#
# spec file for package kernel-docs
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define srcversion 4.12
%define patchversion 4.12.14
%define variant %{nil}

%include %_sourcedir/kernel-spec-macros

%define build_html 1
%define build_pdf 0

%(chmod +x %_sourcedir/{guards,apply-patches,check-for-config-changes,group-source-files.pl,split-modules,modversions,kabi.pl,mkspec,compute-PATCHVERSION.sh,arch-symbols,log.sh,try-disable-staging-driver,compress-vmlinux.sh,mkspec-dtb,check-module-license,klp-symbols,splitflist,mergedep,moddep,modflist,kernel-subpackage-build})

Name:           kernel-docs
Summary:        Kernel Documentation
License:        GPL-2.0
Group:          Documentation/Man
Version:        4.12.14
%if 0%{?is_kotd}
Release:        lp151.28.75.1.g3577f5a
%else
Release:        lp151.28.75.1
%endif
# TW (4.13 or later) no longer needs xmlto
BuildRequires:  xmlto
%if %build_pdf || %build_html
# ReST handling
BuildRequires:  ImageMagick
BuildRequires:  graphviz
BuildRequires:  graphviz-gd
BuildRequires:  graphviz-gnome
BuildRequires:  python3-Sphinx < 3
BuildRequires:  texlive-anyfontsize
%if %build_pdf
BuildRequires:  python3-Sphinx-latex
BuildRequires:  texlive-adjustbox
BuildRequires:  texlive-dejavu
BuildRequires:  texlive-dejavu-fonts
BuildRequires:  texlive-glyphlist
BuildRequires:  texlive-makeindex
BuildRequires:  texlive-varwidth
BuildRequires:  texlive-xetex
BuildRequires:  texlive-zapfding
%endif
%endif
Url:            http://www.kernel.org/
Provides:       %name = %version-%source_rel
Provides:       %name-srchash-3577f5a3720195637b9daca865a72a33f5fac758
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        http://www.kernel.org/pub/linux/kernel/v4.x/linux-%srcversion.tar.xz
Source2:        source-post.sh
Source3:        kernel-source.rpmlintrc
Source8:        devel-pre.sh
Source9:        devel-post.sh
Source10:       preun.sh
Source11:       postun.sh
Source12:       pre.sh
Source13:       post.sh
Source14:       series.conf
Source16:       guards
Source17:       apply-patches
Source21:       config.conf
Source23:       supported.conf
Source33:       check-for-config-changes
Source35:       group-source-files.pl
Source36:       README.PATCH-POLICY.SUSE
Source37:       README.SUSE
Source38:       README.KSYMS
Source39:       config-options.changes.txt
Source40:       source-timestamp
Source46:       split-modules
Source47:       modversions
Source48:       macros.kernel-source
Source49:       kernel-module-subpackage
Source50:       kabi.pl
Source51:       mkspec
Source52:       kernel-source%variant.changes
Source53:       kernel-source.spec.in
Source54:       kernel-binary.spec.in
Source55:       kernel-syms.spec.in
Source56:       kernel-docs.spec.in
Source57:       kernel-cert-subpackage
Source58:       constraints.in
Source60:       config.sh
Source61:       compute-PATCHVERSION.sh
Source62:       old-flavors
Source63:       arch-symbols
Source64:       package-descriptions
Source65:       kernel-spec-macros
Source67:       log.sh
Source68:       host-memcpy-hack.h
Source69:       try-disable-staging-driver
Source70:       kernel-obs-build.spec.in
Source71:       kernel-obs-qa.spec.in
Source72:       compress-vmlinux.sh
Source73:       dtb.spec.in.in
Source74:       mkspec-dtb
Source75:       release-projects
Source76:       check-module-license
Source77:       klp-symbols
Source78:       modules.fips
Source79:       splitflist
Source80:       mergedep
Source81:       moddep
Source82:       modflist
Source83:       kernel-subpackage-build
Source84:       kernel-subpackage-spec
Source85:       kernel-default-base.spec.txt
Source100:      config.tar.bz2
Source101:      config.addon.tar.bz2
Source102:      patches.arch.tar.bz2
Source103:      patches.drivers.tar.bz2
Source104:      patches.fixes.tar.bz2
Source105:      patches.rpmify.tar.bz2
Source106:      patches.suse.tar.bz2
Source108:      patches.addon.tar.bz2
Source109:      patches.kernel.org.tar.bz2
Source110:      patches.apparmor.tar.bz2
Source111:      patches.rt.tar.bz2
Source113:      patches.kabi.tar.bz2
Source114:      patches.drm.tar.bz2
Source120:      kabi.tar.bz2
Source121:      sysctl.tar.bz2
# These files are found in the kernel-source package:
NoSource:       0
NoSource:       2
NoSource:       3
NoSource:       8
NoSource:       9
NoSource:       10
NoSource:       11
NoSource:       12
NoSource:       13
NoSource:       14
NoSource:       16
NoSource:       17
NoSource:       21
NoSource:       23
NoSource:       33
NoSource:       35
NoSource:       36
NoSource:       37
NoSource:       38
NoSource:       39
NoSource:       40
NoSource:       46
NoSource:       47
NoSource:       48
NoSource:       49
NoSource:       50
NoSource:       51
NoSource:       52
NoSource:       53
NoSource:       54
NoSource:       55
NoSource:       56
NoSource:       57
NoSource:       58
NoSource:       60
NoSource:       61
NoSource:       62
NoSource:       63
NoSource:       64
NoSource:       65
NoSource:       67
NoSource:       68
NoSource:       69
NoSource:       70
NoSource:       71
NoSource:       72
NoSource:       73
NoSource:       74
NoSource:       75
NoSource:       76
NoSource:       77
NoSource:       78
NoSource:       79
NoSource:       80
NoSource:       81
NoSource:       82
NoSource:       83
NoSource:       84
NoSource:       85
NoSource:       100
NoSource:       101
NoSource:       102
NoSource:       103
NoSource:       104
NoSource:       105
NoSource:       106
NoSource:       108
NoSource:       109
NoSource:       110
NoSource:       111
NoSource:       113
NoSource:       114
NoSource:       120
NoSource:       121

%description
A few basic documents from the current kernel sources.

%source_timestamp

%if %build_pdf
%package pdf
Summary:        Kernel Documentation (PDF)
Group:          Documentation/Other

%description pdf
These are PDF documents built from the current kernel sources.

%source_timestamp
%endif

%if %build_html
%package html
Summary:        Kernel Documentation (HTML)
Group:          Documentation/HTML

%description html
These are HTML documents built from the current kernel sources.

%source_timestamp
%endif

%prep
%setup -q -c -T -a 0 -a 100 -a 101 -a 102 -a 103 -a 104 -a 105 -a 106 -a 108 -a 109 -a 110 -a 111 -a 113 -a 114 -a 120 -a 121
cp -a linux-%srcversion/{COPYING,CREDITS,MAINTAINERS,README} .
cd linux-%srcversion
%_sourcedir/apply-patches %_sourcedir/series.conf %my_builddir %symbols

%build
cd linux-%srcversion
export LANG=en_US
%if %build_html
mkdir -p html
make %{?make_arg} O=$PWD/html htmldocs
%endif
%if %build_pdf
mkdir -p pdf
make %{?make_arg} O=$PWD/pdf pdfdocs
%endif

%install
cd linux-%srcversion
%if %build_html
install -d $RPM_BUILD_ROOT%{_datadir}/doc/kernel/html/rst
cp -a html/Documentation/output/* $RPM_BUILD_ROOT%{_datadir}/doc/kernel/html/rst || true
%endif

%if %build_pdf
install -d $RPM_BUILD_ROOT%{_datadir}/doc/kernel/pdf
for i in pdf/Documentation/output/latex/*.pdf; do
    cp -a $i $RPM_BUILD_ROOT%{_datadir}/doc/kernel/pdf
done
%endif

%files
%defattr(-,root,root)
%doc COPYING CREDITS MAINTAINERS README

%if %build_pdf
%files pdf
%defattr(-,root,root)
%dir %{_datadir}/doc/kernel
%docdir %{_datadir}/doc/kernel/pdf
%{_datadir}/doc/kernel/pdf
%endif

%if %build_html
%files html
%defattr(-,root,root)
%dir %{_datadir}/doc/kernel
%docdir %{_datadir}/doc/kernel/html
%{_datadir}/doc/kernel/html
%endif

%changelog
* Thu Oct 15 2020 tiwai@suse.de
- Move the upstreamed bluetooth fix into sorted section
- commit ae19157
* Thu Oct 15 2020 tiwai@suse.de
- kABI workaround for bluetooth l2cap_ops filter addition
  (CVE-2020-12351 bsc#1177724).
- commit 7467f71
* Thu Oct 15 2020 tiwai@suse.de
- Bluetooth: L2CAP: Fix calling sk_filter on non-socket based
  channel (CVE-2020-12351 bsc#1177724).
- commit 199fc71
* Thu Oct 15 2020 tiwai@suse.de
- Bluetooth: A2MP: Fix not initializing all members
  (CVE-2020-12352 bsc#1177725).
- commit 2266263
* Wed Oct 14 2020 mkoutny@suse.com
- blacklist.conf: a87425a36fb2 mm, memcg: fix build error around the usage of kmem_caches
- commit f5bcdbd
* Wed Oct 14 2020 bp@suse.de
- blacklist.conf: 6e693b3ffecb x86: uaccess: Inhibit speculation past access_ok() in user_access_begin()
- commit fcff720
* Wed Oct 14 2020 bp@suse.de
- blacklist.conf: 72a9c673636b x86/defconfig: Enable CONFIG_USB_XHCI_HCD=y
- commit 4d32e28
* Wed Oct 14 2020 mkoutny@suse.com
- mm: memcg: switch to css_tryget() in get_mem_cgroup_from_mm()
  (bsc#1177685).
- commit 90ebd33
* Wed Oct 14 2020 mkoutny@suse.com
- blacklist.conf: POSIX timers fixup
- commit 4635411
* Wed Oct 14 2020 msuchanek@suse.de
- powerpc/dma: Fix dma_map_ops::get_required_mask (bsc#1065729).
- commit 327301a
* Tue Oct 13 2020 denis.kirjanov@suse.com
- blacklist.conf: add a couple of commits
- commit da09bb5
* Tue Oct 13 2020 jroedel@suse.de
- iommu/vt-d: Correctly calculate agaw in domain_init() (bsc#1176400).
- commit be382e4
* Tue Oct 13 2020 dwagner@suse.de
- nvme: fix deadlock caused by ANA update wrong locking
  (bsc#1174748).
- nvme: Fix ctrl use-after-free during sysfs deletion
  (bsc#1174748).
- commit 82aca8d
* Tue Oct 13 2020 tiwai@suse.de
- Refresh patches.suse/0001-fpga-manager-change-api-don-t-use-drvdata.patch
  armv7l compile warning indicated the mistake in the backport patch.
- commit a0e15de
* Tue Oct 13 2020 dwagner@suse.de
- nvme: add a Identify Namespace Identification Descriptor list
  quirk (bsc#1174748).
  add two previous futile attempts to fix the bug to blacklist.conf
- 59c7c3caaaf8 ("nvme: fix possible hang when ns scanning fails during error recovery")
- ea43d9709f72 ("nvme: fix identify error status silent ignore")
- commit 3f6052c
* Mon Oct 12 2020 tiwai@suse.de
- i2c: meson: fix clock setting overwrite (git-fixes).
- mmc: core: don't set limits.discard_granularity as 0
  (git-fixes).
- macsec: avoid use-after-free in macsec_handle_frame()
  (git-fixes).
- drm/sun4i: mixer: Extend regmap max_register (git-fixes).
- mac80211: do not allow bigger VHT MPDUs than the hardware
  supports (git-fixes).
- commit a210de1
* Mon Oct 12 2020 dwagner@suse.de
- scsi: hisi_sas: Fix a timeout race of driver internal and SMP IO
  (bsc#1140683).
- scsi: hisi_sas: Change return variable type in phy_up_v3_hw()
  (bsc#1140683).
- scsi: hisi_sas: Do some more tidy-up (bsc#1140683).
- scsi: hisi_sas: Add manual trigger for debugfs dump
  (bsc#1140683).
- scsi: hisi_sas: Add missing seq_printf() call in
  hisi_sas_show_row_32() (bsc#1140683).
- scsi: hisi_sas: Some misc tidy-up (bsc#1140683).
- scsi: hisi_sas: Correct memory allocation size for DQ debugfs
  (bsc#1140683).
- scsi: hisi_sas: Add debugfs ITCT file and add file operations
  (bsc#1140683).
- scsi: hisi_sas: Fix type casting and missing static qualifier
  in debugfs code (bsc#1140683).
  Refresh:
- patches.suse/scsi-hisi_sas-Issue-internal-abort-on-all-relevant-q.patch
- patches.suse/scsi-hisi_sas-Use-pci_irq_get_affinity-for-v3-hw-as-.patch
  Update:
- patches.kabi/scsi-hisi-kabi-fixes.patch
- scsi: hisi_sas: No need to check return value of debugfs_create
  functions (bsc#1140683).
  Update:
- patches.kabi/scsi-hisi-kabi-fixes.patch
- commit de85ebf
* Mon Oct 12 2020 dwagner@suse.de
- scsi: qla2xxx: Fix inconsistent format argument type in
  qla_dbg.c (bsc#1176946 bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Fix inconsistent format argument type in qla_os.c
  (bsc#1176946 bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Fix inconsistent format argument type in
  tcm_qla2xxx.c (bsc#1176946 bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Update version to 10.02.00.103-k (bsc#1176946
  bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Fix point-to-point (N2N) device discovery issue
  (bsc#1176946 bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Fix crash on session cleanup with unload
  (bsc#1176946 bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Fix reset of MPI firmware (bsc#1176946
  bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Fix MPI reset needed message (bsc#1176946
  bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Fix buffer-buffer credit extraction error
  (bsc#1176946 bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Correct the check for sscanf() return value
  (bsc#1176946 bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Update version to 10.02.00.102-k (bsc#1176946
  bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Add SLER and PI control support (bsc#1176946
  bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Add IOCB resource tracking (bsc#1176946
  bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Add rport fields in debugfs (bsc#1176946
  bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Make tgt_port_database available in initiator
  mode (bsc#1176946 bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Fix I/O errors during LIP reset tests
  (bsc#1176946 bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Performance tweak (bsc#1176946 bsc#1175520
  bsc#1172538).
- scsi: qla2xxx: Fix memory size truncation (bsc#1176946
  bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Reduce duplicate code in reporting speed
  (bsc#1176946 bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Honor status qualifier in FCP_RSP per spec
  (bsc#1176946 bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Allow dev_loss_tmo setting for FC-NVMe devices
  (bsc#1176946 bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Setup debugfs entries for remote ports
  (bsc#1176946 bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Fix I/O failures during remote port toggle
  testing (bsc#1176946 bsc#1175520 bsc#1172538).
- scsi: qla2xxx: Remove unneeded variable 'rval' (bsc#1176946
  bsc#1175520 bsc#1172538).
- commit c672134
* Mon Oct 12 2020 neilb@suse.de
- NFS: Revalidate the file mapping on all fatal writeback errors
  (bsc#1177340).
- NFS: On fatal writeback errors, we need to call
  nfs_inode_remove_request() (bsc#1177340).
- commit e8e4449
* Sun Oct 11 2020 neilb@suse.de
- Update
  patches.suse/nfs-Fix-getxattr-kernel-panic-and-memory-overflow.patch
  (bsc#1176381 CVE-2020-25212).
- Update
  patches.suse/nfs-Fix-security-label-length-not-being-reset.patch
  (bsc#1176381 CVE-2020-25212).
  Fix CVE number
- commit 773ac2f
* Fri Oct  9 2020 mbenes@suse.cz
- Disable CONFIG_LIVEPATCH_IPA_CLONES where not needed
  Explicitly disable CONFIG_LIVEPATCH_IPA_CLONES in configs where it is
  not needed to avoid confusion and unwanted values due to fragment config
  files.
- commit 46dbde6
* Fri Oct  9 2020 tiwai@suse.de
- geneve: add transport ports in route lookup for geneve
  (CVE-2020-25645 bsc#1177511).
- commit e7568d7
* Thu Oct  8 2020 neilb@suse.de
- nfs: Fix security label length not being reset (bsc#1176381
  CVE-2020-2521).
- commit a53755a
* Wed Oct  7 2020 msuchanek@suse.de
- kernel-binary.spec.in: Package the obj_install_dir as explicit filelist.
- commit 5587762
* Wed Oct  7 2020 denis.kirjanov@suse.com
- amd-xgbe: Add NUMA affinity support for memory allocations
  (git-fixes).
- Refresh patches.suse/mm-remove-__GFP_COLD.patch.
- commit 82b330e
* Wed Oct  7 2020 lduncan@suse.com
- scsi: iscsi: iscsi_tcp: Avoid holding spinlock while calling
  getpeername() (bsc#1177258).
- commit 3276ab8
* Tue Oct  6 2020 tiwai@suse.de
- platform/x86: thinkpad_acpi: re-initialize ACPI buffer size
  when reuse (git-fixes).
- platform/x86: fix kconfig dependency warning for FUJITSU_LAPTOP
  (git-fixes).
- platform/x86: thinkpad_acpi: initialize tp_nvram_state variable
  (git-fixes).
- vmxnet3: fix cksum offload issues for non-udp tunnels
  (git-fixes).
- commit a2b98fb
* Tue Oct  6 2020 denis.kirjanov@suse.com
- xgbe: switch to more generic VxLAN detection (git-fixes).
- commit 573c44f
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Convert to generic power management (git-fixes).
- commit f7cb7f1
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Use __napi_schedule() in BH context (git-fixes).
- commit cfdfff3
* Tue Oct  6 2020 denis.kirjanov@suse.com
- net/amd: Remove useless driver version (git-fixes).
- commit 55ec71f
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: remove unnecessary conversion to bool (git-fixes).
- commit 6ca532e
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Fix error path in xgbe_mod_init() (git-fixes).
- commit f5ce4ab
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: use devm_platform_ioremap_resource() to simplify code (git-fixes).
- commit cf520be
* Tue Oct  6 2020 denis.kirjanov@suse.com
- xgbe: no need to check return value of debugfs_create functions (git-fixes).
- commit fcc561a
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Mark expected switch fall-throughs (git-fixes).
- commit cd4aa3d
* Tue Oct  6 2020 denis.kirjanov@suse.com
- net: amd: fix return type of ndo_start_xmit function (git-fixes).
- commit beb53d3
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: use dma_mapping_error to check map errors (git-fixes).
- commit f4db744
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Improve SFP 100Mbps auto-negotiation (git-fixes).
- commit f220e62
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Update the BelFuse quirk to support SGMII (git-fixes).
- commit 8c90da0
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Advertise FEC support with the KR re-driver (git-fixes).
- commit 9efba75
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Add ethtool show/set channels support (git-fixes).
- commit f0a8b7e
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Prepare for ethtool set-channel support (git-fixes).
- commit 0336d7e
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Add ethtool show/set ring parameter support (git-fixes).
- commit d0d1569
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Add ethtool support to retrieve SFP module info (git-fixes).
- commit 39f52e4
* Tue Oct  6 2020 denis.kirjanov@suse.com
- net: amd-xgbe: fix comparison to bitshift when dealing with a mask (git-fixes).
- commit baf796a
* Tue Oct  6 2020 denis.kirjanov@suse.com
- net: amd-xgbe: Get rid of custom hex_dump_to_buffer() (git-fixes).
- commit 181e57e
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Interrupt summary bits are h/w version dependent (git-fixes).
- commit 5107876
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Add additional ethtool statistics (git-fixes).
- commit 2a558f9
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Add support for VXLAN offload capabilities (git-fixes). - Refresh patches.suse/amd-xgbe-Improve-KR-auto-negotiation-and-training.patch.
- commit f2016ae
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Convert to using the new link mode settings (git-fixes). - Refresh patches.suse/0008-amd-xgbe-Read-and-save-the-port-property-registers-d.patch.
- commit b8eaaf7
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Add per queue Tx and Rx statistics (git-fixes).
- commit f875189
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Add hardware features debug output (git-fixes).
- commit 2e545d6
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Optimize DMA channel interrupt enablement (git-fixes).
- commit e4c57a7
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Add additional dynamic debug messages (git-fixes).
- commit 5a8bde6
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Add support to handle device renaming (git-fixes). - Refresh patches.suse/amd-xgbe-Improve-KR-auto-negotiation-and-training.patch.
- commit d947b0f
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Update TSO packet statistics accuracy (git-fixes).
- commit b0a0a57
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Be sure driver shuts down cleanly on module removal (git-fixes).
- commit 090e556
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Set the MII control width for the MAC interface (git-fixes). - Refresh patches.suse/amd-xgbe-Improve-KR-auto-negotiation-and-training.patch.
- commit 484438c
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Set the MDIO mode for 10000Base-T configuration (git-fixes).
- commit 51e3c5c
* Tue Oct  6 2020 denis.kirjanov@suse.com
- drivers: net: add missing interrupt.h include (git-fixes).
- commit 81ab279
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: fix spelling mistake: "avialable" -> "available" (git-fixes).
- commit 947afe1
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Adjust register settings to improve performance (git-fixes). - Refresh patches.suse/0008-amd-xgbe-Read-and-save-the-port-property-registers-d.patch. - Refresh patches.suse/amd-xgbe-Improve-KR-auto-negotiation-and-training.patch.
- commit cd9fe0e
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Simplify the burst length settings (git-fixes).
- commit 59ba4b2
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Prepare for more fine grained cache coherency controls (git-fixes). - Refresh patches.suse/0008-amd-xgbe-Read-and-save-the-port-property-registers-d.patch.
- commit 97774b1
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Add NUMA affinity support for IRQ hints (git-fixes).
- commit 8df2a73
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Re-issue interrupt if interrupt status not cleared (git-fixes). - Refresh patches.suse/amd-xgbe-Improve-KR-auto-negotiation-and-training.patch.
- commit 0cf726d
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Limit the I2C error messages that are output (git-fixes).
- commit cdfafb2
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Fixes for working with PHYs that support 2.5GbE (git-fixes).
- commit b9016ba
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Handle return code from software reset function (git-fixes).
- commit 3e43b2a
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Prevent looping forever if timestamp update fails (git-fixes).
- commit 63c3162
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Add a check for an skb in the timestamp path (git-fixes).
- commit 3c46c91
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Use the proper register during PTP initialization (git-fixes).
- commit 52cb81d
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Fix SFP PHY supported/advertised settings (git-fixes).
- commit e9b9d68
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Always attempt link training in KR mode (git-fixes).
- commit 9d979c5
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Remove field that indicates SFP diagnostic support (git-fixes).
- commit 310bbb6
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Remove use of comm_owned field (git-fixes).
- commit 183b44c
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Read and save the port property registers during probe (git-fixes).
- commit f1b38fd
* Tue Oct  6 2020 denis.kirjanov@suse.com
- amd-xgbe: Fix debug output of max channel counts (git-fixes).
- commit 11cf70f
* Tue Oct  6 2020 denis.kirjanov@suse.com
- net: tc35815: Explicitly check NET_IP_ALIGN is not zero in tc35815_rx (git-fixes).
- commit 998d777
* Tue Oct  6 2020 denis.kirjanov@suse.com
- drivers/net/ethernet/marvell/mvmdio.c: Fix non OF case (git-fixes).
- commit b0014ee
* Tue Oct  6 2020 denis.kirjanov@suse.com
- net: mvmdio: defer probe of orion-mdio if a clock is not ready (git-fixes).
- commit de36c58
* Tue Oct  6 2020 denis.kirjanov@suse.com
- net: broadcom: Fix manufacturer name in Kconfig help text (git-fixes).
- commit f2a8bdd
* Tue Oct  6 2020 denis.kirjanov@suse.com
- net: apple: Fix manufacturer name in Kconfig help text (git-fixes).
- commit 4408dce
* Tue Oct  6 2020 denis.kirjanov@suse.com
- net: 8390: Fix manufacturer name in Kconfig help text (git-fixes).
- commit 56d2ac8
* Tue Oct  6 2020 martin.wilck@suse.com
- scsi: fnic: Do not call 'scsi_done()' for unhandled commands
  (bsc#1168468, bsc#1171675).
- commit 8fc51b0
* Mon Oct  5 2020 tiwai@suse.de
- USB: gadget: f_ncm: Fix NDP16 datagram validation (git-fixes).
- i2c: cpm: Fix i2c_ram structure (git-fixes).
- commit ed30ce1
* Mon Oct  5 2020 dbueso@suse.de
- Refresh patches.kabi/futex-Fix-inode-life-time-issue.patch (CVE-2020-14381 bsc#1176011).
  Update patch to fix requeue paths such that filp is valid when dropping
  the references.
- commit 7c2a3c2
* Mon Oct  5 2020 mbenes@suse.cz
- ftrace: Move RCU is watching check after recursion check
  (git-fixes).
- commit 494cc59
* Mon Oct  5 2020 jroedel@suse.de
- iommu/exynos: add missing put_device() call in
  exynos_iommu_of_xlate() (bsc#1177296).
- iommu/amd: Restore IRTE.RemapEn bit for
  amd_iommu_activate_guest_mode (bsc#1177295).
- iommu/amd: Fix potential @entry null deref (bsc#1177294).
- iommu/amd: Fix IOMMU AVIC not properly update the is_run bit
  in IRTE (bsc#1177293).
- commit b450251
* Mon Oct  5 2020 jroedel@suse.de
- iommu/amd: Re-factor guest virtual APIC (de-)activation code
  (bsc#1177291).
- Refresh
  patches.suse/iommu-amd-restore-irte-remapen-bit-after-programming-irte.
- commit 8a32368
* Mon Oct  5 2020 jgross@suse.com
- xen/events: don't use chip_data for legacy IRQs (bsc#1065600).
- commit cdf66a9
* Mon Oct  5 2020 jgross@suse.com
- XEN uses irqdesc::irq_data_common::handler_data to store a
  per interrupt XEN data pointer which contains XEN specific
  information (bsc#1065600).
- commit 54be4c3
* Mon Oct  5 2020 neilb@suse.de
- NFSv4: don't mark all open state for recovery when handling
  recallable state revoked flag (bsc#1176935).
- Refresh
  patches.suse/NFSv4.1-Only-reap-expired-delegations.patch.
- commit b0771d9
* Sat Oct  3 2020 tiwai@suse.de
- pinctrl: mvebu: Fix i2c sda definition for 98DX3236 (git-fixes).
- gpio: tc35894: fix up tc35894 interrupt configuration
  (git-fixes).
- mmc: sdhci: Workaround broken command queuing on Intel GLK
  based IRBIS models (git-fixes).
- commit e6a4f2e
* Fri Oct  2 2020 tiwai@suse.de
- Update config files: fix vanilla config
- commit c5b1bd0
* Fri Oct  2 2020 tiwai@suse.de
- yam: fix possible memory leak in yam_init_driver (git-fixes).
- commit e92cfa5
* Fri Oct  2 2020 tiwai@suse.de
- vgacon: remove software scrollback support (bsc#1176278).
- Update config files.
- commit 711eb1a
* Fri Oct  2 2020 tiwai@suse.de
- video: fbdev: fix OOB read in vga_8planes_imageblit()
  (git-fixes).
- sdhci: tegra: Remove SDHCI_QUIRK_DATA_TIMEOUT_USES_SDCLK for
  Tegra186 (git-fixes).
- sdhci: tegra: Remove SDHCI_QUIRK_DATA_TIMEOUT_USES_SDCLK for
  Tegra210 (git-fixes).
- mtd: properly check all write ioctls for permissions
  (git-fixes).
- phy: samsung: s5pv210-usb2: Add delay after reset (git-fixes).
- mtd: phram: fix a double free issue in error path (git-fixes).
- mtd: lpddr: Fix a double free in probe() (git-fixes).
- PCI/ASPM: Allow re-enabling Clock PM (git-fixes).
- usb: qmi_wwan: add D-Link DWM-222 A2 device ID (git-fixes).
- commit 7a6a634
* Fri Oct  2 2020 tiwai@suse.de
- clocksource/drivers/h8300_timer8: Fix wrong return value in
  h8300_8timer_init() (git-fixes).
- iio: adc: mcp3422: fix locking on error path (git-fixes).
- iio: adc: mcp3422: fix locking scope (git-fixes).
- iio:adc:ina2xx Fix timestamp alignment issue (git-fixes).
- iio:adc:ti-adc081c Fix alignment and data leak issues
  (git-fixes).
- iio:magnetometer:ak8975 Fix alignment and data leak issues
  (git-fixes).
- iio:light:ltr501 Fix timestamp alignment issue (git-fixes).
- iio:light:max44000 Fix timestamp alignment and prevent data leak
  (git-fixes).
- iio:accel:mma7455: Fix timestamp alignment and prevent data leak
  (git-fixes).
- iio:accel:bmc150-accel: Fix timestamp alignment and prevent
  data leak (git-fixes).
- iio: accel: kxsd9: Fix alignment of local buffer (git-fixes).
- iio: adc: ti-ads1015: fix conversion when CONFIG_PM is not set
  (git-fixes).
- hwmon: (applesmc) check status earlier (git-fixes).
- drm/msm: add shutdown support for display platform_driver
  (git-fixes).
- 9p: Fix memory leak in v9fs_mount (git-fixes).
- iio: improve IIO_CONCENTRATION channel type description
  (git-fixes).
- Revert "i2c: cadence: Fix the hold bit setting" (git-fixes).
- airo: Fix read overflows sending packets (git-fixes).
- altera-stapl: altera_get_note: prevent write beyond end of 'key'
  (git-fixes).
- airo: Add missing CAP_NET_ADMIN check in
  AIROOLDIOCTL/SIOCDEVPRIVATE (git-fixes).
- airo: Fix possible info leak in AIROOLDIOCTL/SIOCDEVPRIVATE
  (git-fixes).
- clk/ti/adpll: allocate room for terminating null (git-fixes).
- commit 23684c3
* Fri Oct  2 2020 tiwai@suse.de
- clk: samsung: exynos4: mark 'chipid' clock as CLK_IGNORE_UNUSED
  (git-fixes).
- batman-adv: mcast: fix duplicate mcast packets in BLA backbone
  from mesh (git-fixes).
- batman-adv: Add missing include for in_interrupt() (git-fixes).
- batman-adv: mcast/TT: fix wrongly dropped or rerouted packets
  (git-fixes).
- batman-adv: bla: fix type misuse for backbone_gw hash indexing
  (git-fixes).
- mac802154: tx: fix use-after-free (git-fixes).
- ieee802154/adf7242: check status of adf7242_read_reg
  (git-fixes).
- ieee802154: fix one possible memleak in ca8210_dev_com_init
  (git-fixes).
- drm/amdkfd: fix a memory leak issue (git-fixes).
- clk: rockchip: Fix initialization of mux_pll_src_4plls_p
  (git-fixes).
- regulator: push allocation in set_consumer_device_supply()
  out of lock (git-fixes).
- mmc: sdhci-msm: Add retries when all tuning phases are found
  valid (git-fixes).
- power: supply: max17040: Correct voltage reading (git-fixes).
- drivers: char: tlclk.c: Avoid data race between init and
  interrupt handler (git-fixes).
- staging:r8188eu: avoid skb_clone for amsdu to msdu conversion
  (git-fixes).
- usb: dwc3: Increase timeout for CmdAct cleared by device
  controller (git-fixes).
- USB: EHCI: ehci-mv: fix less than zero comparison of an unsigned
  int (git-fixes).
- USB: EHCI: ehci-mv: fix error handling in mv_ehci_probe()
  (git-fixes).
- e1000: Do not perform reset in reset_task if we are already down
  (git-fixes).
- Bluetooth: Handle Inquiry Cancel error after Inquiry Complete
  (git-fixes).
- drm/nouveau/dispnv50: fix runtime pm imbalance on error
  (git-fixes).
- drm/nouveau: fix runtime pm imbalance on error (git-fixes).
- drm/nouveau/debugfs: fix runtime pm imbalance on error
  (git-fixes).
- rtc: ds1374: fix possible race condition (git-fixes).
- dmaengine: tegra-apb: Prevent race conditions on channel's
  freeing (git-fixes).
- drm/msm/a5xx: Always set an OPP supported hardware value
  (git-fixes).
- drm/msm: fix leaks if initialization fails (git-fixes).
- drm/amdgpu: increase atombios cmd timeout (git-fixes).
- drm/amd/display: dal_ddc_i2c_payloads_create can fail causing
  panic (git-fixes).
- drm/omap: fix possible object reference leak (git-fixes).
- ath10k: use kzalloc to read for ath10k_sdio_hif_diag_read
  (git-fixes).
- Bluetooth: L2CAP: handle l2cap config request during open state
  (git-fixes).
- Bluetooth: guard against controllers sending zero'd events
  (git-fixes).
- Bluetooth: prefetch channel before killing sock (git-fixes).
- Bluetooth: Fix refcount use-after-free issue (git-fixes).
- serial: 8250: 8250_omap: Terminate DMA before pushing data on
  RX timeout (git-fixes).
- serial: 8250_omap: Fix sleeping function called from invalid
  context during probe (git-fixes).
- serial: 8250_port: Don't service RX FIFO if throttled
  (git-fixes).
- media: ti-vpe: cal: Restrict DMA to avoid memory corruption
  (git-fixes).
- ar5523: Add USB ID of SMCWUSBT-G2 wireless adapter (git-fixes).
- ACPI: EC: Reference count query handlers under lock (git-fixes).
- dmaengine: zynqmp_dma: fix burst length configuration
  (git-fixes).
- mfd: mfd-core: Protect against NULL call-back function pointer
  (git-fixes).
- drm/amdgpu/powerplay/smu7: fix AVFS handling with custom
  powerplay table (git-fixes).
- drm/amdgpu/powerplay: fix AVFS handling with custom powerplay
  table (git-fixes).
- gma/gma500: fix a memory disclosure bug due to uninitialized
  bytes (git-fixes).
- media: smiapp: Fix error handling at NVM reading (git-fixes).
- ASoC: kirkwood: fix IRQ error handling (git-fixes).
- ath10k: fix memory leak for tpc_stats_final (git-fixes).
- ath10k: fix array out-of-bounds access (git-fixes).
- mtd: cfi_cmdset_0002: don't free cfi->cfiq in error path of
  cfi_amdstd_setup() (git-fixes).
- commit 4b8dd87
* Thu Oct  1 2020 tiwai@suse.de
- hdlc_ppp: add range checks in ppp_cp_parse_cr() (CVE-2020-25643
  bsc#1177206).
- commit 20e2909
* Thu Oct  1 2020 tiwai@suse.de
- block: allow for_each_bvec to support zero len bvec
  (CVE-2020-25641 bsc#1177121).
- commit 78a0e1e
* Thu Oct  1 2020 bp@suse.de
- blacklist.conf: df1a7524741b x86/entry/32: Remove unused resume_userspace label
- commit 4abe683
* Thu Oct  1 2020 bp@suse.de
- blacklist.conf: Blacklist tools/ for now
  ... until the build process has been unified. Talk to tiwai@ if you need
  more info.
- commit 9fbd1fd
* Wed Sep 30 2020 bp@suse.de
- tools/power/cpupower: Fix initializer override in
  hsw_ext_cstates (bsc#1112178).
- commit 74ece89
* Wed Sep 30 2020 ohering@suse.de
- rpm/constraints.in: recognize also kernel-source-azure (bsc#1176732)
- commit 7214bbe
* Wed Sep 30 2020 tiwai@suse.de
- drm/sun4i: sun8i-csc: Secondary CSC register correction
  (git-fixes).
- drm/vc4/vc4_hdmi: fill ASoC card owner (git-fixes).
- Revert "ALSA: usb-audio: Disable Lenovo P620 Rear line-in
  volume control" (git-fixes).
- ALSA: asihpi: fix iounmap in error handler (git-fixes).
- drm/mediatek: Add missing put_device() call in
  mtk_hdmi_dt_parse_pdata() (git-fixes).
- drm/mediatek: Add exception handing in mtk_drm_probe() if
  component init fail (git-fixes).
- drm/radeon: revert "Prefer lower feedback dividers" (git-fixes).
- drm/tve200: Stabilize enable/disable (git-fixes).
- drm/sun4i: Fix dsi dcs long write function (git-fixes).
- drm/msm: Disable preemption on all 5xx targets (git-fixes).
- ALSA: hda: fix a runtime pm issue in SOF when integrated GPU
  is disabled (git-fixes).
- ALSA: hda: Fix 2 channel swapping for Tegra (git-fixes).
- drm/amdgpu: Fix bug in reporting voltage for CIK (git-fixes).
- commit 44f72fe
* Wed Sep 30 2020 dwagner@suse.de
- Drop patches.suse/scsi-qla2xxx-Handle-incorrect-entry_type-entries.patch
  The patch contains a bug which prevents device discovery. Drop it until
  we have a proper fix from upstream.
- commit a35994b
* Wed Sep 30 2020 ghe@suse.com
- ocfs2: give applications more IO opportunities during fstrim
  (bsc#1175228).
- commit d2283a9
* Wed Sep 30 2020 neilb@suse.de
- Fix error in kabi fix for: NFSv4: Fix OPEN / CLOSE race
  (bsc#1176950).
- commit ae150c8
* Tue Sep 29 2020 msuchanek@suse.de
- Refresh patches.suse/powerpc-mm-Limit-resize_hpt_for_hotplug-call-to-hash.patch.
  Fix build warining.
- commit 2325625
* Tue Sep 29 2020 oneukum@suse.com
- blacklist.conf: no code change
- commit 6e937eb
* Tue Sep 29 2020 oneukum@suse.com
- usblp: fix race between disconnect() and read() (git-fixes).
- commit 103dc41
* Tue Sep 29 2020 oneukum@suse.com
- USB: UAS: fix disconnect by unplugging a hub (git-fixes).
- commit 3831ddd
* Tue Sep 29 2020 oneukum@suse.com
- blacklist.conf: patch designed to affect CRC
- commit 4bcd99c
* Tue Sep 29 2020 oneukum@suse.com
- USB: quirks: Add USB_QUIRK_IGNORE_REMOTE_WAKEUP quirk for BYD
  zhaoxin notebook (git-fixes).
- commit 5c514e8
* Tue Sep 29 2020 ohering@suse.de
- Drivers: hv: vmbus: Add timeout to vmbus_wait_for_unload
  (git-fixes).
- hv_utils: drain the timesync packets on onchannelcallback
  (bsc#1176877).
- hv_utils: return error if host timesysnc update is stale
  (bsc#1176877).
- Drivers: hv: Specify receive buffer size using Hyper-V page size
  (bsc#1176877).
- commit 0a8a874
* Mon Sep 28 2020 oneukum@suse.com
- USB: serial: option: support dynamic Quectel USB compositions
  (git-fixes).
- commit 337d59f
* Mon Sep 28 2020 oneukum@suse.com
- USB: serial: option: add support for SIM7070/SIM7080/SIM7090
  modules (git-fixes).
- commit eca9a6e
* Mon Sep 28 2020 oneukum@suse.com
- USB: serial: ftdi_sio: add IDs for Xsens Mti USB converter
  (git-fixes).
- commit 2bfdaa6
* Mon Sep 28 2020 lhenriques@suse.de
- ceph: don't allow setlease on cephfs (bsc#1177041).
- ceph: handle zero-length feature mask in session messages
  (bsc#1177044).
- ceph: fix use-after-free for fsc->mdsc (bsc#1177043).
- ceph: fix potential mdsc use-after-free crash (bsc#1177042).
- commit 0e6f705
* Mon Sep 28 2020 oneukum@suse.com
- usb: core: fix slab-out-of-bounds Read in read_descriptors
  (git-fixes).
- commit 793ad6c
* Mon Sep 28 2020 oneukum@suse.com
- usb: typec: ucsi: acpi: Check the _DEP dependencies (git-fixes).
- commit 9544ec9
* Mon Sep 28 2020 oneukum@suse.com
- usb: Fix out of sync data toggle if a configured device is
  reconfigured (git-fixes).
- commit e15e4bc
* Mon Sep 28 2020 bp@suse.de
- KVM: SVM: Add a dedicated INVD intercept routine (bsc#1112178).
- commit f5d39fb
* Fri Sep 25 2020 ggherdovich@suse.cz
- Refresh
  patches.suse/cpufreq-intel_pstate-Fix-EPP-setting-via-sysfs-in-ac.patch.
- commit d2030d7
* Fri Sep 25 2020 tiwai@suse.de
- net/nfc/rawsock.c: add CAP_NET_RAW check (CVE-2020-26088
  bsc#1176990).
- commit 94a2f59
* Fri Sep 25 2020 bp@suse.de
- asm-generic: fix -Wtype-limits compiler warnings (bsc#1112178).
- commit 0a71855
* Fri Sep 25 2020 ggherdovich@suse.cz
- cpufreq: intel_pstate: Fix EPP setting via sysfs in active mode
  (bsc#1176966).
- commit bcbacfc
* Fri Sep 25 2020 msuchanek@suse.de
- powerpc/kernel: Enables memory hot-remove after reboot on
  pseries guests (bsc#1177030 ltc#187588).
- powerpc/mm: Limit resize_hpt_for_hotplug() call to hash guests
  only (bsc#1177030 ltc#187588).
- commit 7b608d8
* Fri Sep 25 2020 msuchanek@suse.de
- scsi: ibmvfc: Avoid link down on FS9100 canister reboot
  (bsc#1176962 ltc#188304).
- scsi: ibmvfc: Use compiler attribute defines instead of
  __attribute__() (bsc#1176962 ltc#188304).
- commit c89ed61
* Wed Sep 23 2020 msuchanek@suse.de
- rpadlpar_io: Add MODULE_DESCRIPTION entries to kernel modules
  (bsc#1176869 ltc#188243).
- commit 0996fd0
* Wed Sep 23 2020 tiwai@suse.de
- fbcon: remove soft scrollback code (CVE-2020-14390 bsc#1176235).
- commit 44a3a25
* Wed Sep 23 2020 tiwai@suse.de
- cfg80211: regulatory: reject invalid hints (bsc#1176699).
- commit 35de811
* Wed Sep 23 2020 dwagner@suse.de
- scsi: qla2xxx: Handle incorrect entry_type entries
  (bsc#1171688).
- scsi: qla2xxx: Log calling function name in
  qla2x00_get_sp_from_handle() (bsc#1171688).
- scsi: qla2xxx: Simplify return value logic in
  qla2x00_get_sp_from_handle() (bsc#1171688).
- scsi: qla2xxx: Warn if done() or free() are called on an
  already freed srb (bsc#1171688).
- scsi: qla2xxx: Fix the return value (bsc#1171688).
- scsi: qla2xxx: Fix wrong return value in qla_nvme_register_hba()
  (bsc#1171688).
- scsi: qla2xxx: Fix wrong return value in
  qlt_chk_unresolv_exchg() (bsc#1171688).
- scsi: qla2xxx: Remove redundant variable initialization
  (bsc#1171688).
- scsi: qla2xxx: Fix the size used in a 'dma_free_coherent()'
  call (bsc#1171688).
- scsi: qla2xxx: Remove pci-dma-compat wrapper API (bsc#1171688).
- scsi: qla2xxx: Remove superfluous memset() (bsc#1171688).
- commit cc8e660
* Wed Sep 23 2020 dwagner@suse.de
- series: Update meta data
- commit cfe74a0
* Tue Sep 22 2020 tiwai@suse.de
- staging: most: net: fix buffer overflow (CVE-2020-0432
  bsc#1176721).
- commit 528cea2
* Tue Sep 22 2020 tiwai@suse.de
- pinctrl: devicetree: Avoid taking direct reference to device
  name string (CVE-2020-0427 bsc#1176725).
- commit 825fe73
* Tue Sep 22 2020 tiwai@suse.de
- HID: hid-input: clear unmapped usages (CVE-2020-0431
  bsc#1176722).
- commit 835f6ff
* Tue Sep 22 2020 msuchanek@suse.de
- kernel-syms.spec.in: Also use bz compression (boo#1175882).
- commit ecaf78d
* Tue Sep 22 2020 bp@suse.de
- Update
  patches.suse/media-uvcvideo-Avoid-cyclic-entity-chains-due-to-mal.patch
  (bsc#1051510 bsc#1176423 CVE-2020-0404).
- commit 4e69fe9
* Tue Sep 22 2020 wqu@suse.com
- btrfs: require only sector size alignment for parent eb  bytenr
  (bsc#1176789).
- btrfs: tree-checker: fix the error message for transid error
  (bsc#1176788).
- commit fa87198
* Tue Sep 22 2020 neilb@suse.de
- nfs: Fix getxattr kernel panic and memory overflow (bsc#1176381
  CVE-2020-2521).
- commit 41de7ea
* Mon Sep 21 2020 mkubecek@suse.cz
- hsr: use netdev_err() instead of WARN_ONCE() (bsc#1176659).
- commit b1bb03c
* Mon Sep 21 2020 dwagner@suse.de
- blacklist: Ignore build warning fix
  The offending commit is in mainline since 2.6.
- commit 952f804
* Mon Sep 21 2020 denis.kirjanov@suse.com
- gtp: add missing gtp_encap_disable_sock() in gtp_encap_enable() (git-fixes).
- commit f7399c7
* Mon Sep 21 2020 denis.kirjanov@suse.com
- gtp: fix use-after-free in gtp_newlink() (git-fixes).
- commit 381671c
* Mon Sep 21 2020 denis.kirjanov@suse.com
- gtp: fix Illegal context switch in RCU read-side critical section (git-fixes).
- commit 1c04f71
* Mon Sep 21 2020 denis.kirjanov@suse.com
- net/mlx5: E-Switch, Use correct flags when configuring vlan (git-fixes).
- commit 2075172
* Mon Sep 21 2020 denis.kirjanov@suse.com
- net: stmmac: dwmac4: fix flow control issue (git-fixes).
- commit 890821e
* Mon Sep 21 2020 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: fix shift of FID bits in mv88e6185_g1_vtu_loadpurge() (git-fixes).
- commit 615b053
* Mon Sep 21 2020 denis.kirjanov@suse.com
- net: lio_core: fix potential sign-extension overflow on large shift (git-fixes).
- commit a7aceb7
* Mon Sep 21 2020 denis.kirjanov@suse.com
- net/mlx5e: Disable rxhash when CQE compress is enabled (git-fixes). - Refresh patches.suse/net-mlx5e-Print-a-warning-when-LRO-feature-is-droppe.patch.
- commit a9a26dd
* Mon Sep 21 2020 denis.kirjanov@suse.com
- net: tulip: de4x5: Drop redundant MODULE_DEVICE_TABLE() (git-fixes).
- commit 35ca105
* Mon Sep 21 2020 denis.kirjanov@suse.com
- net/mlx5: Add meaningful return codes to status_to_err function (git-fixes).
- commit b010d3e
* Mon Sep 21 2020 denis.kirjanov@suse.com
- net: ucc_geth - fix Oops when changing number of buffers in the ring (git-fixes).
- commit 5f5d4d7
* Mon Sep 21 2020 denis.kirjanov@suse.com
- net/mlx5e: Turn on HW tunnel offload in all TIRs (git-fixes). - Refresh patches.suse/linux-dim-Rename-externally-used-net_dim-members.patch.
- commit b936888
* Mon Sep 21 2020 msuchanek@suse.de
- libnvdimm/security: fix a typo (bsc#1171742 bsc#1167527).
- commit 274edb1
* Mon Sep 21 2020 denis.kirjanov@suse.com
- net/mlx5e: XDP, Avoid checksum complete when XDP prog is loaded (git-fixes).
- commit 2993227
* Mon Sep 21 2020 denis.kirjanov@suse.com
- vxge: fix return of a free'd memblock on a failed dma mapping (git-fixes).
- commit 4755cd4
* Mon Sep 21 2020 denis.kirjanov@suse.com
- vrf: prevent adding upper devices (git-fixes).
- commit 2caa2fc
* Mon Sep 21 2020 denis.kirjanov@suse.com
- net: stmmac: don't stop NAPI processing when dropping a packet (git-fixes).
- commit eb707e1
* Mon Sep 21 2020 tiwai@suse.de
- Update and sort the upstreamed powerpc patch
- commit b87ba2e
* Mon Sep 21 2020 msuchanek@suse.de
- ibmvnic: add missing parenthesis in do_reset() (bsc#1176700
  ltc#188140).
- commit 8e79002
* Mon Sep 21 2020 nsaenzjulienne@suse.de
- mmc: sdhci-pci: Fix SDHCI_RESET_ALL for CQHCI for Intel
  GLK-based controllers (git-fixes).
- i2c: core: Don't fail PRP0001 enumeration when no ID table exist
  (git-fixes).
- mmc: cqhci: Add cqhci_deactivate() (git-fixes).
- commit a5d98c8
* Mon Sep 21 2020 glin@suse.com
- rpm/kernel-cert-subpackage: add CA check on key enrollment (bsc#1173115)
  To avoid the unnecessary key enrollment, when enrolling the signing key
  of the kernel package, "--ca-check" is added to mokutil so that mokutil
  will ignore the request if the CA of the signing key already exists in
  MokList or UEFI db.
  Since the macro, %%_suse_kernel_module_subpackage, is only defined in a
  kernel module package (KMP), it's used to determine whether the %%post
  script is running in a kernel package, or a kernel module package.
- commit b15c9bf
* Fri Sep 18 2020 dbueso@suse.de
- futex: Fix inode life-time issue (CVE-2020-14381 bsc#1176011).
- commit 0091d77
* Fri Sep 18 2020 jslaby@suse.cz
- Revert "rxrpc: Fix race between recvmsg and sendmsg on immediate call"
  This reverts commit 04f6b8ac00d839c61b79667685d97a5ecef35a93. We don't
  enable AF_RXRPC on SLE, but we do on openSUSE (arm 32bit -- why?)
  kernels. And there, it causes build failures as RXRPC_CALL_DISCONNECTED
  is not defined in 4.12 yet. So stay on the safe side and drop this.
- commit 08749ac
* Fri Sep 18 2020 bp@suse.de
- blacklist.conf: 731dc9df975a cpu/speculation: Uninline and export CPU mitigations helpers
- commit c291606
* Fri Sep 18 2020 glin@suse.com
- rpm/macros.kernel-source: pass -c proerly in kernel module package (bsc#1176698)
  The "-c" option wasn't passed down to %%_kernel_module_package so the
  ueficert subpackage wasn't generated even if the certificate is
  specified in the spec file.
- commit 34808fb
* Thu Sep 17 2020 dwagner@suse.de
- nvme: Namepace identification descriptor list is optional
  (bsc#1174748).
- commit 2789b85
* Thu Sep 17 2020 denis.kirjanov@suse.com
- Refresh
  patches.suse/0018-net-stmmac-dwmac-meson8b-fix-internal-RGMII-clock-co.patch.
  Fix missing clk_set_rate()
- commit f3ed9a7
* Wed Sep 16 2020 ematsumiya@suse.de
- nvme-pci: override the value of the controller's numa node
  (bsc#1176507).
- commit cb8b638
* Wed Sep 16 2020 dwagner@suse.de
- nvme-multipath: do not reset on unknown status (bsc#1174748).
- nvme-rdma: Avoid double freeing of async event data
  (bsc#1174748).
- nvme: make nvme_report_ns_ids propagate error back
  (bsc#1174748).
- nvme: make nvme_identify_ns propagate errors back (bsc#1174748).
  Refresh:
  - patches.suse/nvme-flush-scan_work-when-resetting-controller.patch
- nvme: pass status to nvme_error_status (bsc#1174748).
- nvme: fix possible io failures when removing multipathed ns
  (bsc#1174748).
- nvme: return error from nvme_alloc_ns() (bsc#1174748).
- commit ac7f6d2
* Wed Sep 16 2020 tzimmermann@suse.de
- drm/ast: Initialize DRAM type before posting GPU (bsc#1113956)
  * context changes
- commit 09bb116
* Wed Sep 16 2020 tzimmermann@suse.de
- drm/msm/gpu: make ringbuffer readonly (bsc#1112178)
  * context changes
- commit 5dfb6a3
* Wed Sep 16 2020 tzimmermann@suse.de
- fbcon: prevent user font height or width change from causing (bsc#1112178)
  * move from drivers/video/fbdev/fbcon to drivers/video/console
  * context changes
- commit d24ecb2
* Wed Sep 16 2020 jslaby@suse.cz
- net: initialize fastreuse on inet_inherit_port
  (networking-stable-20_08_15).
- net: refactor bind_bucket fastreuse into helper
  (networking-stable-20_08_15).
- net/nfc/rawsock.c: add CAP_NET_RAW check
  (networking-stable-20_08_15).
- tcp: apply a floor of 1 for RTT samples from TCP timestamps
  (networking-stable-20_08_08).
- rxrpc: Fix race between recvmsg and sendmsg on immediate call
  failure (networking-stable-20_08_08).
- net: lan78xx: replace bogus endpoint lookup
  (networking-stable-20_08_08).
- usb: hso: check for return value in hso_serial_common_create()
  (networking-stable-20_08_08).
- drivers/net/wan/x25_asy: Fix to make it work
  (networking-stable-20_07_29).
- net-sysfs: add a newline when printing 'tx_timeout' by sysfs
  (networking-stable-20_07_29).
- rxrpc: Fix sendmsg() returning EPIPE due to recvmsg() returning
  ENODATA (networking-stable-20_07_29).
- bnxt_en: Fix completion ring sizing with TPA enabled
  (networking-stable-20_07_29).
- commit 124721c
* Tue Sep 15 2020 lhenriques@suse.de
- rbd: require global CAP_SYS_ADMIN for mapping and unmapping
  (CVE-2020-25284 bsc#1176482).
- commit 80192f0
* Tue Sep 15 2020 aaptel@suse.com
- smb3: warn on confusing error scenario with sec=krb5
  (bsc#1176548).
- commit 9711ca6
* Tue Sep 15 2020 aaptel@suse.com
- SMB3: Honor persistent/resilient handle flags for multiuser
  mounts (bsc#1176546).
- commit 9318213
* Tue Sep 15 2020 aaptel@suse.com
- SMB3: Honor 'seal' flag for multiuser mounts (bsc#1176545).
- commit 7380dfd
* Tue Sep 15 2020 aaptel@suse.com
- cifs/smb3: Fix data inconsistent when punch hole (bsc#1176544).
- commit 39edd86
* Tue Sep 15 2020 aaptel@suse.com
- cifs/smb3: Fix data inconsistent when zero file range
  (bsc#1176536).
- commit c48ea61
* Tue Sep 15 2020 denis.kirjanov@suse.com
- Refresh
  patches.suse/net-aquantia-memory-corruption-on-jumbo-frames.patch.
  Fix the patch metadata
- commit 653354a
* Tue Sep 15 2020 jslaby@suse.cz
- clk: Add (devm_)clk_get_optional() functions (git-fixes).
- commit da17586
* Mon Sep 14 2020 bp@suse.de
- blacklist.conf: bfcdcef8c8e3 padata: update documentation
- commit 2ca5a07
* Mon Sep 14 2020 bp@suse.de
- blacklist.conf: 5e124900c6eb KVM: doc: Fix incorrect word ordering regarding supported use of APIs
- commit 579d366
* Mon Sep 14 2020 bp@suse.de
- blacklist.conf: 206b92353c83 cpu/hotplug: Prevent crash when CPU bringup fails on CONFIG_HOTPLUG_CPU=n
- commit 47c2fdf
* Mon Sep 14 2020 msuchanek@suse.de
- powerpc/64s: Include <asm/nmi.h> header file to fix a warning
  (bsc#1094244 ltc#168122).
- powerpc/64s: Fix unrelocated interrupt trampoline address test
  (bsc#1094244 ltc#168122).
- commit 5be0f69
* Mon Sep 14 2020 denis.kirjanov@suse.com
- net: lan78xx: Bail out if lan78xx_get_endpoints fails
  (git-fixes).
- commit efcf772
* Mon Sep 14 2020 denis.kirjanov@suse.com
- net: mvneta: fix mtu change on port without link (git-fixes).
- commit e810abb
* Mon Sep 14 2020 denis.kirjanov@suse.com
- net: qca_spi: Make sure the QCA7000 reset is triggered
  (git-fixes).
- commit acbccb8
* Mon Sep 14 2020 denis.kirjanov@suse.com
- net: qca_spi: Avoid packet drop during initial sync (git-fixes).
- commit cd545a2
* Mon Sep 14 2020 denis.kirjanov@suse.com
- net: dsa: qca8k: Allow overwriting CPU port setting (git-fixes).
- commit f4e8de8
* Mon Sep 14 2020 denis.kirjanov@suse.com
- net: dsa: qca8k: Force CPU port to its highest bandwidth
  (git-fixes).
- commit 4cbbb53
* Mon Sep 14 2020 denis.kirjanov@suse.com
- net: dsa: qca8k: Enable RXMAC when bringing up a port
  (git-fixes).
- commit 7636b32
* Mon Sep 14 2020 denis.kirjanov@suse.com
- net-next: ax88796: Do not free IRQ in ax_remove() (already
  freed in ax_close()) (git-fixes).
- commit aa11600
* Mon Sep 14 2020 denis.kirjanov@suse.com
- net: stmmac: Disable ACS Feature for GMAC >= 4 (git-fixes).
- commit 916f4a9
* Mon Sep 14 2020 denis.kirjanov@suse.com
- net: dsa: b53: Fix sparse warnings in b53_mmap.c (git-fixes).
- commit 8b34052
* Mon Sep 14 2020 denis.kirjanov@suse.com
- net: systemport: Fix sparse warnings in bcm_sysport_insert_tsb()
  (git-fixes).
- commit 2d3e9e8
* Mon Sep 14 2020 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: Fix name of switch 88E6141 (git-fixes).
- commit 974be66
* Mon Sep 14 2020 msuchanek@suse.de
- powerpc/kernel: Cleanup machine check function declarations
  (bsc#1065729).
- commit 5b9f959
* Mon Sep 14 2020 mbenes@suse.cz
- ftrace: Setup correct FTRACE_FL_REGS flags for module
  (git-fixes).
- commit 684e164
* Fri Sep 11 2020 msuchanek@suse.de
- include: add additional sizes (bsc#1094244 ltc#168122).
- commit 1ab0270
* Fri Sep 11 2020 msuchanek@suse.de
- powerpc/64s: sreset panic if there is no debugger or crash
  dump handlers (bsc#1094244 ltc#168122).
- commit e3e5e33
* Fri Sep 11 2020 ptesarik@suse.cz
- net/smc: fix sock refcounting in case of termination
  (git-fixes).
- net/smc: reset sndbuf_desc if freed (git-fixes).
- net/smc: set rx_off for SMCR explicitly (git-fixes).
- net/smc: Prevent kernel-infoleak in __smc_diag_dump()
  (git-fixes).
- net/smc: fix dmb buffer shortage (git-fixes).
- net/smc: fix restoring of fallback changes (git-fixes).
- net/smc: remove freed buffer from list (git-fixes).
- net/smc: tolerate future SMCD versions (git-fixes).
- net/smc: switch smcd_dev_list spinlock to mutex (git-fixes).
- net/smc: improve close of terminated socket (git-fixes).
- commit 20de6cb
* Fri Sep 11 2020 msuchanek@suse.de
- powerpc/traps: Make unrecoverable NMIs die instead of panic
  (bsc#1094244 ltc#168122).
- powerpc/traps: Do not trace system reset (bsc#1094244
  ltc#168122).
- powerpc/64s: machine check do not trace real-mode handler
  (bsc#1094244 ltc#168122).
- powerpc: Implement ftrace_enabled() helpers (bsc#1094244
  ltc#168122).
- powerpc/pseries: Machine check use rtas_call_unlocked() with
  args on stack (bsc#1094244 ltc#168122).
- powerpc/pseries: Limit machine check stack to 4GB (bsc#1094244
  ltc#168122).
- powerpc/pseries/ras: fwnmi sreset should not interlock
  (bsc#1094244 ltc#168122).
- powerpc/pseries/ras: fwnmi avoid modifying r3 in error case
  (bsc#1094244 ltc#168122).
- powerpc/pseries/ras: Fix FWNMI_VALID off by one (bsc#1094244
  ltc#168122).
- powerpc/pseries/ras: Avoid calling rtas_token() in NMI paths
  (bsc#1094244 ltc#168122).
- powerpc/64s: system reset interrupt preserve HSRRs (bsc#1094244
  ltc#168122).
- powerpc/64s: Fix HV NMI vs HV interrupt recoverability test
  (bsc#1094244 ltc#168122).
- powerpc/traps: fix recoverability of machine check handling
  on book3s/32 (bsc#1094244 ltc#168122).
- powerpc/pseries/le: Work around a firmware quirk (bsc#1094244
  ltc#168122).
- powerpc/64s: Blacklist functions invoked on a trap (bsc#1094244
  ltc#168122).
- commit 97f84db
* Fri Sep 11 2020 msuchanek@suse.de
- blacklist.conf: remove 0bbea75c476b
  commmit 0bbea75c476b ("powerpc/traps: fix recoverability of machine
  check handling on book3s/32") is not 32bit-only.
- commit 7e86c87
* Thu Sep 10 2020 ptesarik@suse.cz
- blacklist.conf: zfcp comment fix
- commit de62d8e
* Thu Sep 10 2020 ptesarik@suse.cz
- s390/mm: fix huge pte soft dirty copying (git-fixes).
- commit 724fcce
* Thu Sep 10 2020 ptesarik@suse.cz
- blacklist.conf: fix needed only if fake NUMA support is removed
- commit 43b6404
* Thu Sep 10 2020 ptesarik@suse.cz
- blacklist.conf: s390: PAGE_DEFAULT_KEY is always zero
- commit b073243
* Thu Sep 10 2020 mgorman@suse.de
- bitfield.h: don't compile-time validate _val in FIELD_FIT
  (git fixes (bitfield)).
- mm/page_alloc.c: fix a crash in free_pages_prepare() (git fixes
  (mm/pgalloc)).
- mm/vmalloc.c: move 'area->pages' after if statement (git fixes
  (mm/vmalloc)).
- rcu: Do RCU GP kthread self-wakeup from softirq and interrupt
  (git fixes (rcu)).
- commit ad58e01
* Thu Sep 10 2020 ptesarik@suse.cz
- s390/qeth: don't process empty bridge port events (git-fixes).
- s390/qeth: integrate RX refill worker with NAPI (git-fixes).
- commit 2f8db84
* Thu Sep 10 2020 ptesarik@suse.cz
- s390/qeth: tolerate pre-filled RX buffer (git-fixes).
- commit 4cf3668
* Thu Sep 10 2020 mgorman@suse.de
- blacklist.conf: Build fix that is not relevant to kernel configuration
- commit 97b2e8c
* Thu Sep 10 2020 msuchanek@suse.de
- powerpc: Add cputime_to_nsecs() (bsc#1065729).
- commit c6944f2
* Thu Sep 10 2020 mbenes@suse.cz
- livepatch: Add -fdump-ipa-clones to build (fate#323487).
  Add support for -fdump-ipa-clones GCC option.
  Update config files accordingly.
- commit f50ad3b
* Wed Sep  9 2020 jroedel@suse.de
- blacklist.conf:
- Add de2b41be8fcc x86, vmlinux.lds: Page-align end of ..page_aligned sections
- Add f29dfa53cc8a x86/bugs/multihit: Fix mitigation reporting when VMX is not in use
- commit 0fbe414
* Wed Sep  9 2020 jroedel@suse.de
- KVM: SVM: Fix disable pause loop exit/pause filtering capability
  on SVM (bsc#1176321).
- commit 3007dfa
* Wed Sep  9 2020 mbenes@suse.cz
- blacklist.conf: 318af7b80b6a ("Revert "kbuild: use -flive-patching when CONFIG_LIVEPATCH is enabled"")
  Contrary to the upstream we'll support the original patch, since it
  makes things easier for us as of now.
- commit acc6275
* Wed Sep  9 2020 colyli@suse.de
- blacklist.conf: add cafe01ef8fcb248583038e1be071383530fe355a
- commit 8e5f6cf
* Wed Sep  9 2020 denis.kirjanov@suse.com
- net: stmmac: dwmac-meson8b: Add missing boundary to RGMII TX
  clock array (git-fixes).
- commit e357389
* Wed Sep  9 2020 denis.kirjanov@suse.com
- usbnet: ipheth: fix potential null pointer dereference in
  ipheth_carrier_set (git-fixes).
- commit 41eee82
* Wed Sep  9 2020 denis.kirjanov@suse.com
- net: stmmac: dwmac-meson8b: Fix the RGMII TX delay on
  Meson8b/8m2 SoCs (git-fixes).
- commit 28d4842
* Wed Sep  9 2020 jroedel@suse.de
- iommu/amd: Use cmpxchg_double() when updating 128-bit IRTE
  (bsc#1176318).
- iommu/amd: Restore IRTE.RemapEn bit after programming IRTE
  (bsc#1176317).
- iommu/vt-d: Serialize IOMMU GCMD register modifications
  (bsc#1176320).
- iommu/amd: Print extended features in one line to fix divergent
  log levels (bsc#1176316).
- iommu/omap: Check for failure of a call to omap_iommu_dump_ctx
  (bsc#1176319).
- commit eea2ae6
* Wed Sep  9 2020 msuchanek@suse.de
- powerpc/xmon: Use `dcbf` inplace of `dcbi` instruction for
  64bit Book3S (bsc#1065729).
- commit 245cbd5
* Wed Sep  9 2020 dwagner@suse.de
- scsi: lpfc: Fix setting IRQ affinity with an empty CPU mask
  (git-fixes).
- scsi: qla2xxx: Fix regression on sparc64 (git-fixes).
- commit a97f368
* Wed Sep  9 2020 dwagner@suse.de
- scsi: libfc: Fix for double free() (bsc#1174899).
- commit 1eaa624
* Wed Sep  9 2020 colyli@suse.de
- dm rq: don't call blk_mq_queue_stopped() in dm_stop_queue()
  (git fixes (block drivers)).
- bcache: fix overflow in offset_to_stripe() (git fixes (block
  drivers)).
- commit 60b6b52
* Wed Sep  9 2020 colyli@suse.de
- dm integrity: fix integrity recalculation that is improperly
  skipped (git fixes (block drivers)).
- commit f9636a3
* Wed Sep  9 2020 colyli@suse.de
- md: raid0/linear: fix dereference before null check on pointer
  mddev (git fixes (block drivers)).
- Refresh for the above change,
  patches.suse/mdraid-fix-read-write-bytes-accounting.patch.
- commit 11406d9
* Wed Sep  9 2020 colyli@suse.de
- blktrace: fix debugfs use after free (git fixes (block
  drivers)).
- block: revert back to synchronous request_queue removal (git
  fixes (block drivers)).
- block: add docs for gendisk / request_queue refcount helpers
  (git fixes (block drivers)).
- dm: use noio when sending kobject event (git fixes (block
  drivers)).
- virtio-blk: free vblk-vqs in error path of virtblk_probe()
  (git fixes (block drivers)).
- dm writecache: add cond_resched to loop in
  persistent_memory_claim() (git fixes (block drivers)).
- dm writecache: correct uncommitted_block when discarding
  uncommitted entry (git fixes (block drivers)).
- dm zoned: assign max_io_len correctly (git fixes (block
  drivers)).
- dm crypt: avoid truncating the logical block size (git fixes
  (block drivers)).
- bcache: Convert pr_<level> uses to a more typical style (git
  fixes (block drivers)).
- dm: report suspended device during destroy (git fixes (block
  drivers)).
- dm integrity: fix a deadlock due to offloading to an incorrect
  workqueue (git fixes (block drivers)).
- lib/raid6: use vdupq_n_u8 to avoid endianness warnings (git
  fixes (block drivers)).
- dm: fix redundant IO accounting for bios that need splitting
  (git fixes (block drivers)).
- commit aa92bba
* Wed Sep  9 2020 colyli@suse.de
- blacklist.conf: add two IDs,
- 7bf137298cb73afdb8c5536e474f7ba71ab1c235
- 52f476a323f9efc959be1c890d0cdcf12e1582e0
- commit 0b068dc
* Tue Sep  8 2020 dwagner@suse.de
- nvme-fc: set max_segments to lldd max value (bsc#1176038).
- commit 5ee296e
* Tue Sep  8 2020 mbenes@suse.cz
- rpm/kernel-binary.spec.in: pack .ipa-clones files for live patching
  When -fdump-ipa-clones option is enabled, GCC reports about its cloning
  operation during IPA optimizations. We use the information for live
  patches preparation, because it is crucial to know if and how functions
  are optimized.
  Currently, we create the needed .ipa-clones dump files manually. It is
  unnecessary, because the files may be created automatically during our
  kernel build. Prepare for the step and provide the resulting files in
  - livepatch-devel package.
- commit 98e5a9d
* Tue Sep  8 2020 dwagner@suse.de
- scsi: lpfc: Add dependency on CPU_FREQ (git-fixes).
- block: Use non _rcu version of list functions for tag_set_list
  (git-fixes).
- scsi: qla2xxx: Suppress two recently introduced compiler
  warnings (git-fixes).
- commit 2a23b95
* Tue Sep  8 2020 dwagner@suse.de
- blacklist.conf: Add inapplicable fixes
- commit 38e6721
* Tue Sep  8 2020 denis.kirjanov@suse.com
- net: stmmac: call correct function in stmmac_mac_config_rx_queues_routing() (git-fixes).
- commit 58d46e2
* Tue Sep  8 2020 denis.kirjanov@suse.com
- net: stmmac: rename dwmac4_tx_queue_routing() to match reality (git-fixes).
- commit c43e422
* Tue Sep  8 2020 denis.kirjanov@suse.com
- net: stmmac: set MSS for each tx DMA channel (git-fixes).
- commit f1ab812
* Tue Sep  8 2020 denis.kirjanov@suse.com
- net: dsa: b53: Use strlcpy() for ethtool::get_strings (git-fixes).
- commit ddbe2ac
* Tue Sep  8 2020 denis.kirjanov@suse.com
- net: stmmac: dwmac-meson8b: propagate rate changes to the parent clock (git-fixes).
- commit 5c45eb6
* Tue Sep  8 2020 denis.kirjanov@suse.com
- net: stmmac: dwmac-meson8b: fix setting the RGMII TX clock on Meson8b (git-fixes).
- commit 31c57d2
* Tue Sep  8 2020 denis.kirjanov@suse.com
- net: stmmac: dwmac-meson8b: fix internal RGMII clock configuration (git-fixes).
- commit 28d1408
* Tue Sep  8 2020 denis.kirjanov@suse.com
- net: stmmac: dwmac-meson8b: only configure the clocks in RGMII mode (git-fixes).
- commit 83e4f56
* Tue Sep  8 2020 denis.kirjanov@suse.com
- net: fs_enet: do not call phy_stop() in interrupts (git-fixes).
- commit ff1f805
* Tue Sep  8 2020 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: Unregister MDIO bus on error path (git-fixes).
- commit 609dea5
* Tue Sep  8 2020 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: Fix interrupt masking on removal (git-fixes).
- commit 0670ddf
* Tue Sep  8 2020 denis.kirjanov@suse.com
- bonding: use nla_get_u64 to extract the value for IFLA_BOND_AD_ACTOR_SYSTEM (git-fixes).
- commit 31b4dd4
* Tue Sep  8 2020 denis.kirjanov@suse.com
- usbnet: ipheth: prevent TX queue timeouts when device not ready (git-fixes). - Refresh patches.suse/usbnet-ipheth-fix-potential-recvmsg-bug-and-recvmsg-.patch.
- commit 0b4778e
* Tue Sep  8 2020 denis.kirjanov@suse.com
- net: stmmac: Use correct values in TQS/RQS fields (git-fixes).
- commit 3e23be0
* Tue Sep  8 2020 denis.kirjanov@suse.com
- bcm63xx_enet: do not write to random DMA channel on BCM6345 (git-fixes).
- commit df4a549
* Tue Sep  8 2020 denis.kirjanov@suse.com
- bcm63xx_enet: correct clock usage (git-fixes).
- commit 10fb3ff
* Tue Sep  8 2020 denis.kirjanov@suse.com
- stmmac: Don't access tx_q->dirty_tx before netif_tx_lock (git-fixes).
- commit dd30115
* Tue Sep  8 2020 denis.kirjanov@suse.com
- net: stmmac: dwmac_lib: fix interchanged sleep/timeout values in DMA reset function (git-fixes).
- commit 19d2534
* Tue Sep  8 2020 denis.kirjanov@suse.com
- net: systemport: Fix software statistics for SYSTEMPORT Lite (git-fixes).
- commit 806da9d
* Tue Sep  8 2020 denis.kirjanov@suse.com
- net: stmmac: Fix error handling path in 'alloc_dma_tx_desc_resources()' (git-fixes).
- commit aa35d2e
* Tue Sep  8 2020 denis.kirjanov@suse.com
- net: stmmac: Fix error handling path in 'alloc_dma_rx_desc_resources()' (git-fixes).
- commit 14cacc3
* Tue Sep  8 2020 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: fix 6085 frame mode masking (git-fixes).
- commit a31076f
* Mon Sep  7 2020 dwagner@suse.de
- scsi: libfc: Free skb in fc_disc_gpn_id_resp() for valid cases
  (bsc#1174899).
- scsi: fcoe: Memory leak fix in fcoe_sysfs_fcf_del()
  (bsc#1174899).
- scsi: libfc: free response frame from GPN_ID (bsc#1174899).
- commit 41911fb
* Mon Sep  7 2020 bp@suse.de
- blacklist.conf: cc5277fe66cf x86/resctrl: Fix a NULL vs IS_ERR() static checker warning in rdt_cdp_peer_get()
- commit 7d7bfb4
* Mon Sep  7 2020 tiwai@suse.de
- thermal: ti-soc-thermal: Fix bogus thermal shutdowns for
  omap4430 (git-fixes).
- dmaengine: pl330: Fix burst length if burst size is smaller
  than bus width (git-fixes).
- dmaengine: at_hdmac: check return value of
  of_find_device_by_node() in at_dma_xlate() (git-fixes).
- dmaengine: of-dma: Fix of_dma_router_xlate's of_dma_xlate
  handling (git-fixes).
- drm/radeon: Prefer lower feedback dividers (git-fixes).
- batman-adv: bla: use netif_rx_ni when not in interrupt context
  (git-fixes).
- batman-adv: Avoid uninitialized chaddr when handling DHCP
  (git-fixes).
- usb: storage: Add unusual_uas entry for Sony PSZ drives
  (git-fixes).
- USB: gadget: u_f: Unbreak offset calculation in VLAs
  (git-fixes).
- USB: quirks: Ignore duplicate endpoint on Sound Devices MixPre-D
  (git-fixes).
- USB: gadget: f_ncm: add bounds checks to ncm_unwrap_ntb()
  (git-fixes).
- USB: gadget: u_f: add overflow checks to VLA macros (git-fixes).
- xhci: Do warm-reset when both CAS and XDEV_RESUME are set
  (git-fixes).
- usb: uas: Add quirk for PNY Pro Elite (git-fixes).
- USB: lvtest: return proper error code in probe (git-fixes).
- USB: quirks: Add no-lpm quirk for another Raydium touchscreen
  (git-fixes).
- USB: yurex: Fix bad gfp argument (git-fixes).
- drm/amdgpu: Fix buffer overflow in INFO ioctl (git-fixes).
- drm/amd/pm: correct Vega12 swctf limit setting (git-fixes).
- drm/amd/pm: correct Vega10 swctf limit setting (git-fixes).
- HID: hiddev: Fix slab-out-of-bounds write in
  hiddev_ioctl_usage() (git-fixes).
- mfd: intel-lpss: Add Intel Emmitsburg PCH PCI IDs (git-fixes).
- PCI: Fix pci_create_slot() reference count leak (git-fixes).
- media: davinci: vpif_capture: fix potential double free
  (git-fixes).
- media: pci: ttpci: av7110: fix possible buffer overflow caused
  by bad DMA value in debiirq() (git-fixes).
- ASoC: tegra: Fix reference count leaks (git-fixes).
- rtlwifi: rtl8192cu: Prevent leaking urb (git-fixes).
- drm/nouveau: Fix reference count leak in
  nouveau_connector_detect (git-fixes).
- drm/nouveau: fix reference count leak in nv50_disp_atomic_commit
  (git-fixes).
- drm/nouveau/drm/noveau: fix reference count leak in
  nouveau_fbcon_open (git-fixes).
- omapfb: fix multiple reference count leaks due to
  pm_runtime_get_sync (git-fixes).
- drm/amdgpu/display: fix ref count leak when pm_runtime_get_sync
  fails (git-fixes).
- drm/amd/display: fix ref count leak in amdgpu_drm_ioctl
  (git-fixes).
- drm/amdgpu: fix ref count leak in amdgpu_driver_open_kms
  (git-fixes).
- drm/radeon: fix multiple reference count leak (git-fixes).
- drm/amdkfd: Fix reference count leaks (git-fixes).
- USB: sisusbvga: Fix a potential UB casued by left shifting a
  negative value (git-fixes).
- commit e19b8fc
* Mon Sep  7 2020 aaptel@suse.com
- cifs: Fix leak when handling lease break for cached root fid
  (bsc#1176242).
- commit ca35582
* Mon Sep  7 2020 tiwai@suse.de
- ALSA: hda/realtek - Improved routing for Thinkpad X1 7th/8th
  Gen (git-fixes).
- ALSA: hda/realtek: Add quirk for Samsung Galaxy Book Ion
  NT950XCJ-X716A (git-fixes).
- Revert "ALSA: hda: Add support for Loongson 7A1000 controller"
  (git-fixes).
- ALSA: firewire-digi00x: exclude Avid Adrenaline from detection
  (git-fixes).
- ALSA; firewire-tascam: exclude Tascam FE-8 from detection
  (git-fixes).
- commit 97b648e
* Mon Sep  7 2020 msuchanek@suse.de
- rpm/kernel-source.spec.in: Also use bz compression (boo#1175882).
- commit 375ec84
* Mon Sep  7 2020 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Also sign ppc64 kernels (jsc#SLE-15857
  jsc#SLE-13618).
- commit 971fc3d
* Mon Sep  7 2020 jgross@suse.com
- xen: don't reschedule in preemption off sections (bsc#1175749).
- commit 318da0e
* Mon Sep  7 2020 shung-hsi.yu@suse.com
- net: ethernet: mlx4: Fix memory allocation in mlx4_buddy_init()
  (git-fixes).
- commit bfeb0db
* Sat Sep  5 2020 bp@suse.de
- KVM: SVM: fix svn_pin_memory()'s use of get_user_pages_fast()
  (bsc#1112178).
- commit 526948b
* Sat Sep  5 2020 bp@suse.de
- x86/fsgsbase/64: Fix NULL deref in 86_fsgsbase_read_task
  (bsc#1112178).
- commit 57949a6
* Sat Sep  5 2020 bp@suse.de
- EDAC: Fix reference count leaks (bsc#1112178).
- commit a44b460
* Fri Sep  4 2020 ematsumiya@suse.de
- Refresh
  patches.suse/net-ipv6_stub-use-ip6_dst_lookup_flow-instead-of-ip6.patch.
- Workaround for warning (-Wmaybe-uninitialized)
  for CVE-2020-14386 patch.
- commit 7affa95
* Fri Sep  4 2020 tiwai@suse.de
- Refresh and re-sort upstreamed patch
- commit f8eb45a
* Fri Sep  4 2020 tiwai@suse.de
- Drop wrongly inserted end-of-sorted marker
- commit 79c12b5
* Fri Sep  4 2020 mkubecek@suse.cz
- net/packet: fix overflow in tpacket_rcv (CVE-2020-14386
  bsc#1176069).
- commit 8fbffb3
* Fri Sep  4 2020 bp@suse.de
- x86/mce/inject: Fix a wrong assignment of i_mce.status
  (bsc#1112178).
- commit c5a4dbd
* Fri Sep  4 2020 bp@suse.de
- blacklist.conf: 2accfa69050c cpu/speculation: Add prototype for cpu_show_srbds()
  Not worth backporting.
- commit de8d427
* Thu Sep  3 2020 bp@suse.de
- sched/deadline: Initialize ->dl_boosted (bsc#1112178).
- commit 2cc3275
* Thu Sep  3 2020 pmladek@suse.com
- blacklist.conf: dma-debug: speed up debug code that is disabled in SUSE kernels
- commit f39945e
* Thu Sep  3 2020 pmladek@suse.com
- blacklist.conf: kstrto*: comment fix
- commit 149e6d1
* Thu Sep  3 2020 pmladek@suse.com
- blacklist.conf: kthread: comment fix
- commit 9c117df
* Thu Sep  3 2020 denis.kirjanov@suse.com
- hippi: Fix a size used in a 'pci_free_consistent()' in an
  error handling path (git-fixes).
- commit 21fb11a
* Thu Sep  3 2020 denis.kirjanov@suse.com
- net: dp83640: fix SIOCSHWTSTAMP to update the struct with
  actual configuration (git-fixes).
- commit 4a1ab26
* Thu Sep  3 2020 denis.kirjanov@suse.com
- net: smc91x: Fix possible memory leak in smc_drv_probe()
  (git-fixes).
- commit 5692663
* Thu Sep  3 2020 denis.kirjanov@suse.com
- bonding: check error value of register_netdevice() immediately
  (git-fixes).
- commit 51dbf06
* Thu Sep  3 2020 denis.kirjanov@suse.com
- bonding: check return value of register_netdevice() in
  bond_newlink() (git-fixes).
- commit 23b9367
* Thu Sep  3 2020 denis.kirjanov@suse.com
- net/mlx5e: Fix error path of device attach (git-fixes).
- commit c3ec25d
* Thu Sep  3 2020 denis.kirjanov@suse.com
- net/mlx5: Fix a bug of using ptp channel index as pin index
  (git-fixes).
- commit 3660bc8
* Thu Sep  3 2020 denis.kirjanov@suse.com
- vxlan: Ensure FDB dump is performed under RCU (git-fixes).
- commit 48c418d
* Thu Sep  3 2020 denis.kirjanov@suse.com
- mlx4: disable device on shutdown (git-fixes).
- commit fafad6a
* Thu Sep  3 2020 denis.kirjanov@suse.com
- mlxsw: core: Increase scope of RCU read-side critical section
  (git-fixes).
- commit 48480a5
* Thu Sep  3 2020 denis.kirjanov@suse.com
- mlxsw: core: Free EMAD transactions using kfree_rcu()
  (git-fixes).
- commit d1eb85c
* Wed Sep  2 2020 dwagner@suse.de
- scsi: lpfc: Update lpfc version to 12.8.0.3 (bsc#1171558
  bsc#1136666).
- scsi: lpfc: Fix LUN loss after cable pull (bsc#1171558
  bsc#1136666).
- scsi: lpfc: Fix validation of bsg reply lengths (bsc#1171558
  bsc#1136666).
- scsi: lpfc: Fix retry of PRLI when status indicates its
  unsupported (bsc#1171558 bsc#1136666).
- scsi: lpfc: Fix oops when unloading driver while running mds
  diags (bsc#1171558 bsc#1136666).
- scsi: lpfc: Fix RSCN timeout due to incorrect gidft counter
  (bsc#1171558 bsc#1136666).
- scsi: lpfc: Fix no message shown for lpfc_hdw_queue out of
  range value (bsc#1171558 bsc#1136666).
- scsi: lpfc: Fix FCoE speed reporting (bsc#1171558 bsc#1136666).
- scsi: lpfc: Add missing misc_deregister() for lpfc_init()
  (bsc#1171558 bsc#1136666).
- scsi: lpfc: nvmet: Avoid hang / use-after-free again when
  destroying targetport (bsc#1171558 bsc#1136666).
- scsi: lpfc: Fix typo in comment for ULP (bsc#1171558
  bsc#1136666).
- scsi: lpfc: Add description for lpfc_release_rpi()'s 'ndlpl
  param (bsc#1171558 bsc#1136666).
- scsi: lpfc: Fix a bunch of kerneldoc misdemeanors (bsc#1171558
  bsc#1136666).
- scsi: lpfc: Add and rename a whole bunch of function parameter
  descriptions (bsc#1171558 bsc#1136666).
- scsi: lpfc: Use __printf() format notation (bsc#1171558
  bsc#1136666).
- scsi: lpfc: Fix kerneldoc parameter formatting/misnaming/missing
  issues (bsc#1171558 bsc#1136666).
- scsi: lpfc: Fix some function parameter descriptions
  (bsc#1171558 bsc#1136666).
- scsi: lpfc: Ensure variable has the same stipulations as code
  using it (bsc#1171558 bsc#1136666).
- scsi: lpfc: Fix-up formatting/docrot where appropriate
  (bsc#1171558 bsc#1136666).
- scsi: lpfc: Provide description for lpfc_mem_alloc()'s 'align'
  param (bsc#1171558 bsc#1136666).
- scsi: lpfc: Fix-up around 120 documentation issues (bsc#1171558
  bsc#1136666).
- scsi: lpfc: Remove unused variable 'pg_addr' (bsc#1171558
  bsc#1136666).
- scsi: lpfc: NVMe remote port devloss_tmo from lldd (bsc#1171558
  bsc#1136666 bsc#1173060).
- scsi: lpfc: Quieten some printks (bsc#1171558 bsc#1136666).
- commit 6fba9f1
* Wed Sep  2 2020 dwagner@suse.de
- update upstream references after rebase
  Once again, scsi maintainer branch got rebased, leaving our Git-commit tags
  invalid and git_sort complaining heavily. Update the tags to rebased
  branch.
- commit 4a114be
* Wed Sep  2 2020 jslaby@suse.cz
- PCI: qcom: Add support for tx term offset for rev 2.1.0
  (git-fixes).
- PCI: qcom: Define some PARF params needed for ipq8064 SoC
  (git-fixes).
- PCI: qcom: Add missing reset for ipq806x (git-fixes).
- PCI: qcom: Add missing ipq806x clocks in PCIe driver
  (git-fixes).
- PCI: rcar: Fix incorrect programming of OB windows (git-fixes).
- commit a2a92f2
* Wed Sep  2 2020 msuchanek@suse.de
- powerpc/mm: Move book3s64 specifics in subdirectory mm/book3s64
  (bsc#1176022 ltc#187208).
- powerpc/pseries: lift RTAS limit for radix (bsc#1176022
  ltc#187208).
- powerpc/pseries: radix is not subject to RMA limit, remove it
  (bsc#1176022 ltc#187208).
- powerpc/powernv: Remove real mode access limit for early
  allocations (bsc#1176022 ltc#187208).
- commit 387ceaf
* Wed Sep  2 2020 tiwai@suse.de
- Update kabi files: sync with 2020-09 update (commit 910b927f16fd)
- commit bc20508
* Wed Sep  2 2020 firo.yang@suse.com
- mm, vmstat: reduce zone->lock holding time by /proc/pagetypeinfo
  (bsc#1175691).
- commit 09b5db0
* Tue Sep  1 2020 lyan@suse.com
- Hide e21a4f3a930c as of its duplication
- commit 3355078
* Tue Sep  1 2020 msuchanek@suse.de
- powerpc/book3s64/radix: Fix boot failure with large amount of
  guest memory (bsc#1176022 ltc#187208).
- commit dd1be79
* Tue Sep  1 2020 tiwai@suse.de
- Update config files: corrected vanilla configs again
- commit 5009827
* Tue Sep  1 2020 lyan@suse.com
- KVM: arm64: Write arch.mdcr_el2 changes since last vcpu_load
  on VHE (jsc#SLE-4084).
- arm64: KVM: regmap: Fix unexpected switch fall-through
  (jsc#SLE-4084).
- KVM: arm64: Forbid kprobing of the VHE world-switch code
  (jsc#SLE-4084).
- arm64: KVM: Don't generate UNDEF when LORegion feature is
  present (jsc#SLE-4084).
- KVM: arm64: Fix order of vcpu_write_sys_reg() arguments
  (jsc#SLE-4084).
- KVM: PPC: Fix compile error that occurs when CONFIG_ALTIVEC=n
  (jsc#SLE-4084).
- commit dce3e1e
* Mon Aug 31 2020 mkubecek@suse.cz
- kabi: mask changes to struct ipv6_stub (bsc#1165629).
- kabi: hide new parameter of ip6_dst_lookup_flow() (bsc#1165629).
- net: ipv6_stub: use ip6_dst_lookup_flow instead of
  ip6_dst_lookup (CVE-2020-1749 bsc#1165629).
- net: ipv6: add net argument to ip6_dst_lookup_flow
  (CVE-2020-1749 bsc#1165629).
- commit f77a3e2
* Mon Aug 31 2020 lyan@suse.com
- Set CONFIG_HAVE_KVM_VCPU_ASYNC_IOCTL=y (jsc#SLE-4084).
- commit c1f496f
* Mon Aug 31 2020 msuchanek@suse.de
- Update vanilla config files.
- commit f3a6f66
* Mon Aug 31 2020 denis.kirjanov@suse.com
- net/mlx5e: vxlan: Use RCU for vxlan table lookup (git-fixes).
- commit d796e33
* Mon Aug 31 2020 denis.kirjanov@suse.com
- net: mvpp2: fix memory leak in mvpp2_rx (git-fixes).
- commit 81387ef
* Mon Aug 31 2020 denis.kirjanov@suse.com
- net: ethernet: aquantia: Fix wrong return value (git-fixes).
- commit d0f1ff9
* Mon Aug 31 2020 lyan@suse.com
- KVM: arm/arm64: Avoid VGICv3 save/restore on VHE with no IRQs
  (jsc#SLE-4084).
- KVM: arm/arm64: Move VGIC APR save/restore to vgic put/load
  (jsc#SLE-4084).
- KVM: arm/arm64: Handle VGICv3 save/restore from the main VGIC
  code on VHE (jsc#SLE-4084).
- KVM: arm64: Cleanup __activate_traps and __deactive_traps for
  VHE and non-VHE (jsc#SLE-4084).
- KVM: arm64: Configure c15, PMU, and debug register traps on
  cpu load/put for VHE (jsc#SLE-4084).
- KVM: arm64: Directly call VHE and non-VHE FPSIMD enabled
  functions (jsc#SLE-4084).
- Refresh
  patches.suse/arm64-KVM-Add-ARCH_WORKAROUND_2-support-for-guests.patch
  patches.suse/arm64-KVM-Use-SMCCC_ARCH_WORKAROUND_1-for-Falkor-BP-.patch
- KVM: arm64: Move common VHE/non-VHE trap config in separate
  functions (jsc#SLE-4084).
- KVM: arm64: Defer saving/restoring 32-bit sysregs to vcpu
  load/put (jsc#SLE-4084).
- KVM: arm64: Prepare to handle deferred save/restore of 32-bit
  registers (jsc#SLE-4084).
- Refresh
  patches.suse/0008-kvm-arm-use-PSR_AA32-definitions.patch
- KVM: arm64: Defer saving/restoring 64-bit sysregs to vcpu
  load/put on VHE (jsc#SLE-4084).
- KVM: arm64: Prepare to handle deferred save/restore of ELR_EL1
  (jsc#SLE-4084).
- KVM: arm/arm64: Prepare to handle deferred save/restore of
  SPSR_EL1 (jsc#SLE-4084).
- KVM: arm64: Introduce framework for accessing deferred sysregs
  (jsc#SLE-4084).
- KVM: arm64: Rewrite system register accessors to read/write
  functions (jsc#SLE-4084).
- Refresh
  patches.suse/0008-kvm-arm-use-PSR_AA32-definitions.patch
- KVM: arm64: Change 32-bit handling of VM system registers
  (jsc#SLE-4084).
- KVM: arm64: Don't save the host ELR_EL2 and SPSR_EL2 on VHE
  systems (jsc#SLE-4084).
- Refresh
  patches.suse/arm64-KVM-Add-ARCH_WORKAROUND_2-support-for-guests.patch
- KVM: arm64: Unify non-VHE host/guest sysreg save and restore
  functions (jsc#SLE-4084).
- Refresh
  patches.suse/arm64-KVM-Use-SMCCC_ARCH_WORKAROUND_1-for-Falkor-BP-.patch
  patches.suse/arm64-KVM-Add-ARCH_WORKAROUND_2-support-for-guests.patch
- KVM: arm/arm64: Remove leftover comment from kvm_vcpu_run_vhe
  (jsc#SLE-4084).
- KVM: arm64: Introduce separate VHE/non-VHE sysreg save/restore
  functions (jsc#SLE-4084).
- Refresh
  patches.suse/arm64-KVM-Use-SMCCC_ARCH_WORKAROUND_1-for-Falkor-BP-.patch
  patches.suse/arm64-KVM-Add-ARCH_WORKAROUND_2-support-for-guests.patch
- KVM: arm64: Rewrite sysreg alternatives to static keys
  (jsc#SLE-4084).
- KVM: arm64: Move userspace system registers into separate
  function (jsc#SLE-4084).
- KVM: arm64: Remove noop calls to timer save/restore from VHE
  switch (jsc#SLE-4084).
- KVM: arm64: Don't deactivate VM on VHE systems (jsc#SLE-4084).
- KVM: arm64: Remove kern_hyp_va() use in VHE switch function
  (jsc#SLE-4084).
- KVM: arm64: Introduce VHE-specific kvm_vcpu_run (jsc#SLE-4084).
- Refresh
  patches.suse/arm64-KVM-Add-ARCH_WORKAROUND_2-support-for-guests.patch
- KVM: arm64: Factor out fault info population and gic workarounds
  (jsc#SLE-4084).
- Refresh
  patches.suse/arm64-KVM-Use-SMCCC_ARCH_WORKAROUND_1-for-Falkor-BP-.patch
  patches.suse/arm64-KVM-Add-ARCH_WORKAROUND_2-support-for-guests.patch
- KVM: arm64: Improve debug register save/restore flow
  (jsc#SLE-4084).
- Refresh
  patches.suse/arm64-KVM-Add-ARCH_WORKAROUND_2-support-for-guests.patch
- KVM: arm64: Slightly improve debug save/restore functions
  (jsc#SLE-4084).
- KVM: arm64: Move debug dirty flag calculation out of world
  switch (jsc#SLE-4084).
- KVM: arm/arm64: Get rid of vcpu->arch.irq_lines (jsc#SLE-4084).
- Refresh
  patches.suse/KVM-arm-arm64-Handle-VGICv2-save-restore-from-the-ma.patch
- KVM: arm64: Move HCR_INT_OVERRIDE to default HCR_EL2 guest flag
  (jsc#SLE-4084).
- Refresh
  patches.suse/KVM-arm-arm64-Handle-VGICv2-save-restore-from-the-ma.patch
- KVM: arm64: Rework hyp_panic for VHE and non-VHE (jsc#SLE-4084).
- KVM: arm/arm64: Move vcpu_load call after
  kvm_vcpu_first_run_init (jsc#SLE-4084).
- KVM: arm/arm64: Avoid vcpu_load for other vcpu ioctls than
  KVM_RUN (jsc#SLE-4084).
- KVM: introduce kvm_arch_vcpu_async_ioctl (jsc#SLE-4084).
- Refresh
  patches.suse/KVM-polling-add-architecture-backend-to-disable-poll.patch
- KVM: Move vcpu_load to arch-specific kvm_arch_vcpu_ioctl
  (jsc#SLE-4084).
- Refresh
  patches.suse/kvm-s390-do-not-leak-kernel-stack-data-in-the-kvm_s390_interrupt-ioctl
  patches.suse/KVM-s390-do-not-clobber-registers-during-guest-reset.patch
- KVM: Move vcpu_load to arch-specific kvm_arch_vcpu_ioctl_set_fpu
  (jsc#SLE-4084).
- KVM: Move vcpu_load to arch-specific kvm_arch_vcpu_ioctl_get_fpu
  (jsc#SLE-4084).
- KVM: Move vcpu_load to arch-specific
  kvm_arch_vcpu_ioctl_set_guest_debug (jsc#SLE-4084).
- KVM: Move vcpu_load to arch-specific
  kvm_arch_vcpu_ioctl_translate (jsc#SLE-4084).
- KVM: Move vcpu_load to arch-specific
  kvm_arch_vcpu_ioctl_set_mpstate (jsc#SLE-4084).
- KVM: Move vcpu_load to arch-specific
  kvm_arch_vcpu_ioctl_get_mpstate (jsc#SLE-4084).
- KVM: Move vcpu_load to arch-specific
  kvm_arch_vcpu_ioctl_set_sregs (jsc#SLE-4084).
- Refresh
  patches.suse/kvm-x86-update-cpuid-properly-when-cr4-osxave-or-cr4-pke-is-changed
- KVM: Move vcpu_load to arch-specific
  kvm_arch_vcpu_ioctl_set_regs (jsc#SLE-4084).
- Refresh
  patches.suse/KVM-PPC-Move-nip-ctr-lr-xer-registers-to-pt_regs-in-.patch
- KVM: Move vcpu_load to arch-specific
  kvm_arch_vcpu_ioctl_get_regs (jsc#SLE-4084).
- Refresh
  patches.suse/KVM-PPC-Move-nip-ctr-lr-xer-registers-to-pt_regs-in-.patch
- KVM: Move vcpu_load to arch-specific kvm_arch_vcpu_ioctl_run
  (jsc#SLE-4084).
- KVM: Prepare for moving vcpu_load/vcpu_put into arch specific
  code (jsc#SLE-4084).
- Refresh
  patches.suse/0005-kvm-x86-mmu-Recovery-of-shattered-NX-large-pages.patch
- KVM: Take vcpu->mutex outside vcpu_load (jsc#SLE-4084).
- Refresh
  patches.suse/KVM-x86-move-LAPIC-initialization-after-VMCS-creatio.patch
  patches.suse/KVM-x86-fix-vcpu-initialization-with-userspace-lapic.patch
  patches.suse/kvm-x86-emulate-msr_ia32_arch_capabilities-on-amd-hosts.patch
  patches.suse/0005-kvm-x86-mmu-Recovery-of-shattered-NX-large-pages.patch
- commit 2bd8c1c
* Mon Aug 31 2020 denis.kirjanov@suse.com
- net: spider_net: Fix the size used in a 'dma_free_coherent()'
  call (git-fixes).
- commit c7fc7a5
* Mon Aug 31 2020 denis.kirjanov@suse.com
- fsl/fman: use 32-bit unsigned integer (git-fixes).
- commit 884f2a1
* Mon Aug 31 2020 denis.kirjanov@suse.com
- fsl/fman: fix dereference null return value (git-fixes).
- commit 5236b48
* Mon Aug 31 2020 denis.kirjanov@suse.com
- fsl/fman: fix unreachable code (git-fixes).
- commit f28a691
* Mon Aug 31 2020 denis.kirjanov@suse.com
- fsl/fman: check dereferencing null pointer (git-fixes).
- commit b59e3ad
* Mon Aug 31 2020 denis.kirjanov@suse.com
- fsl/fman: fix eth hash table allocation (git-fixes).
- commit 038554f
* Mon Aug 31 2020 denis.kirjanov@suse.com
- net/mlx5: Delete extra dump stack that gives nothing
  (git-fixes).
- commit ee64db8
* Mon Aug 31 2020 denis.kirjanov@suse.com
- net: qcom/emac: add missed clk_disable_unprepare in error path
  of emac_clks_phase1_init (git-fixes).
- commit a9bf90f
* Mon Aug 31 2020 denis.kirjanov@suse.com
- net: stmmac: Fix RX packet size > 8191 (git-fixes).
- commit 5f5f461
* Mon Aug 31 2020 msuchanek@suse.de
- char: virtio: Select VIRTIO from VIRTIO_CONSOLE (bsc#1175667).
- commit ead5836
* Mon Aug 31 2020 tiwai@suse.de
- USB: Ignore UAS for JMicron JMS567 ATA/ATAPI Bridge (git-fixes).
- usb: host: ohci-exynos: Fix error handling in
  exynos_ohci_probe() (git-fixes).
- usb: gadget: f_tcm: Fix some resource leaks in some error paths
  (git-fixes).
- USB: cdc-acm: rework notification_buffer resizing (git-fixes).
- i2c: rcar: in slave mode, clear NACK earlier (git-fixes).
- device property: Fix the secondary firmware node handling in
  set_primary_fwnode() (git-fixes).
- PM: sleep: core: Fix the handling of pending runtime resume
  requests (git-fixes).
- drm/msm/adreno: fix updating ring fence (git-fixes).
- usb: xhci: Fix ASMedia ASM1142 DMA addressing (git-fixes).
- usb: xhci: define IDs for various ASMedia host controllers
  (git-fixes).
- USB: serial: qcserial: add EM7305 QDL product ID (git-fixes).
- USB: serial: ftdi_sio: fix break and sysrq handling (git-fixes).
- USB: serial: ftdi_sio: clean up receive processing (git-fixes).
- USB: serial: ftdi_sio: make process-packet buffer unsigned
  (git-fixes).
- USB: rename USB quirk to USB_QUIRK_ENDPOINT_IGNORE (git-fixes).
- commit b3ac7b5
* Mon Aug 31 2020 msuchanek@suse.de
- Set VIRTIO_CONSOLE=y (bsc#1175667).
- commit 446034c
* Mon Aug 31 2020 jgross@suse.com
- drm/xen-front: Fix misused IS_ERR_OR_NULL checks (bsc#1065600).
- commit be29b26
* Mon Aug 31 2020 jgross@suse.com
- Revert "xen/balloon: Fix crash when ballooning on x86 32 bit
  PAE" (bsc#1065600).
- commit b1849c0
* Mon Aug 31 2020 jgross@suse.com
- xen/balloon: make the balloon wait interruptible (bsc#1065600).
- commit 553c722
* Mon Aug 31 2020 ohering@suse.de
- hv_balloon: Balloon up according to request page number
  (git-fixes).
- Drivers: hv: balloon: Remove dependencies on guest page size
  (git-fixes).
- hv_netvsc: flag software created hash value (git-fixes).
- hv_balloon: Use a static page for the balloon_up send buffer
  (git-fixes).
- hv_netvsc: Allow scatter-gather feature to be tunable
  (git-fixes).
- x86/hyperv: Create and use Hyper-V page definitions (git-fixes).
- hv_netvsc: Fix a warning of suspicious RCU usage (git-fixes).
- Drivers: hv: vmbus: Remove the undesired put_cpu_ptr() in
  hv_synic_cleanup() (git-fixes).
- commit 403bb07
* Mon Aug 31 2020 jgross@suse.com
- xen/balloon: fix accounting in alloc_xenballooned_pages error
  path (bsc#1065600).
- commit f61b397
* Sun Aug 30 2020 colyli@suse.de
- bcache: allocate meta data pages as compound pages
  (bsc#1172873).
- commit cadb4e1
* Sun Aug 30 2020 colyli@suse.de
- block: check queue's limits.discard_granularity in
  __blkdev_issue_discard() (bsc#1152148).
- block: improve discard bio alignment in __blkdev_issue_discard()
  (bsc#1152148).
- commit 27a1b8f
* Fri Aug 28 2020 msuchanek@suse.de
- obsolete_kmp: provide newer version than the obsoleted one
  (boo#1170232).
- commit c5ecb27
* Fri Aug 28 2020 ohering@suse.de
- hv_netvsc: Fix the queue_mapping in netvsc_vf_xmit()
  (git-fixes).
- hv_netvsc: Remove "unlikely" from netvsc_select_queue
  (git-fixes).
- hv_netvsc: do not use VF device if link is down (git-fixes).
- hv_netvsc: Fix extra rcu_read_unlock in netvsc_recv_callback()
  (git-fixes).
- netvsc: unshare skb in VF rx handler (git-fixes).
- x86/hyperv: Make hv_vcpu_is_preempted() visible (git-fixes).
- commit 58f2c34
* Fri Aug 28 2020 tiwai@suse.de
- Update patch reference for a tipc fix patch (bsc#1175515)
- commit d50e3d1
* Fri Aug 28 2020 tiwai@suse.de
- ip6_tunnel: allow not to count pkts on tstats by passing dev
  as NULL (bsc#1175515).
- ip_tunnel: allow not to count pkts on tstats by setting skb's
  dev to NULL (bsc#1175515).
- commit b0b0b81
* Fri Aug 28 2020 msuchanek@suse.de
- ibmvnic fix NULL tx_pools and rx_tools issue at do_reset
  (bsc#1175873 ltc#187922).
- commit 4a2ff81
* Thu Aug 27 2020 ddiss@suse.de
- scsi: target/iblock: fix WRITE SAME zeroing (bsc#1169790).
- commit dbea3da
* Thu Aug 27 2020 tiwai@suse.de
- serial: 8250: change lock order in serial8250_do_startup()
  (git-fixes).
- serial: pl011: Fix oops on -EPROBE_DEFER (git-fixes).
- serial: pl011: Don't leak amba_ports entry on driver register
  error (git-fixes).
- kernel/relay.c: fix memleak on destroy relay channel
  (git-fixes).
- ASoC: intel: Fix memleak in sst_media_open (git-fixes).
- drm/amd/display: fix pow() crashing when given base 0
  (git-fixes).
- Input: psmouse - add a newline when printing 'proto' by sysfs
  (git-fixes).
- media: vpss: clean up resources in init (git-fixes).
- media: budget-core: Improve exception handling in
  budget_register() (git-fixes).
- commit 8e96d5d
* Thu Aug 27 2020 dwagner@suse.de
- Revert "scsi: qla2xxx: Disable T10-DIF feature with FC-NVMe
  during probe" (bsc#1171688 bsc#1174003).
- Revert "scsi: qla2xxx: Fix crash on qla2x00_mailbox_command"
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix null pointer access during disconnect from
  subsystem (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Check if FW supports MQ before enabling
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix WARN_ON in qla_nvme_register_hba (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Allow ql2xextended_error_logging special value
  1 to be set anytime (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Reduce noisy debug message (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Fix login timeout (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Indicate correct supported speeds for Mezz card
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Flush I/O on zone disable (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Flush all sessions on zone disable (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Use MBX_TOV_SECONDS for mailbox command timeout
  values (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Address a set of sparse warnings (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: SAN congestion management implementation
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Change in PUREX to handle FPIN ELS requests
  (bsc#1171688 bsc#1174003).
  Refresh patches.kabi/scsi-fc-kABI-fixes-for-new-ELS_FPIN-definition.patch
- scsi: qla2xxx: Introduce a function for computing the debug
  message prefix (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Make qla2x00_restart_isp() easier to read
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix a Coverity complaint in qla2100_fw_dump()
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Make __qla2x00_alloc_iocbs() initialize 32 bits
  of request_t.handle (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Remove a superfluous cast (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Initialize 'n' before using it (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Make qla82xx_flash_wait_write_finish() easier
  to read (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Remove the __packed annotation from struct
  fcp_hdr and fcp_hdr_le (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Check the size of struct fcp_hdr at compile time
  (bsc#1171688 bsc#1174003).
- scsi: Fix trivial spelling (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Keep initiator ports after RSCN (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Remove return value from qla_nvme_ls()
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Remove an unused function (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Fix endianness annotations in source files
  (bsc#1171688 bsc#1174003).
  Refresh patches.suse/scsi-qla2xxx-Set-NVMe-status-code-for-failed-NVMe-FC.patch
- scsi: qla2xxx: Fix endianness annotations in header files
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Use make_handle() instead of open-coding it
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Cast explicitly to uint16_t / uint32_t
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Change {RD,WRT}_REG_*() function names from
  upper case into lower case (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix the code that reads from mailbox registers
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Use register names instead of register offsets
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Change two hardcoded constants into offsetof()
  / sizeof() expressions (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Increase the size of struct qla_fcp_prio_cfg
  to FCP_PRIO_CFG_SIZE (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Make a gap in struct qla2xxx_offld_chain explicit
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Add more BUILD_BUG_ON() statements (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Sort BUILD_BUG_ON() statements alphabetically
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Simplify the functions for dumping firmware
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix spelling of a variable name (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Make qlafx00_process_aen() return void
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Use true, false for ha->fw_dumped (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Use true, false for need_mpi_reset (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Make qla_set_ini_mode() return void (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Fix issue with adapter's stopping state
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix failure message in qlt_disable_vha()
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix warning after FC target reset (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: make 1-bit bit-fields unsigned int (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Fix MPI failure AEN (8200) handling (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Use ARRAY_SIZE() instead of open-coding it
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Split qla2x00_configure_local_loop() (bsc#1171688
  bsc#1174003).
- commit 427bfb4
* Wed Aug 26 2020 lyan@suse.com
- KVM: arm/arm64: Handle VGICv2 save/restore from the main VGIC
  code (bsc#1085308 CVE-2018-3639).
- commit 454daa8
* Wed Aug 26 2020 lyan@suse.com
- KVM: arm/arm64: Get rid of vgic_elrsr (bsc#1085308
  CVE-2018-3639).
- Refresh
  patches.suse/KVM-arm-arm64-Move-arm64-only-vgic-v2-sr.c-file-to-a.patch
  patches.suse/0016-arm64-vgic-v2-Fix-proxying-of-cpuif-access.patch
- commit d8c4bbc
* Wed Aug 26 2020 martin.wilck@suse.com
- Refresh
  patches.suse/nvme-multipath-do-not-fall-back-to-__nvme_find_path-.patch.
- commit d110b83
* Wed Aug 26 2020 martin.wilck@suse.com
- Refresh
  patches.suse/nvme-multipath-fix-logic-for-non-optimized-paths.patch.
- commit ca766a1
* Wed Aug 26 2020 martin.wilck@suse.com
- Refresh
  patches.suse/nvme-multipath-round-robin-eliminate-fallback-variable.patch.
- commit 3ed00ab
* Wed Aug 26 2020 martin.wilck@suse.com
- Refresh
  patches.suse/nvme-multipath-round-robin-fix-single-non-optimized-path-case.patch.
- commit 4140ba8
* Wed Aug 26 2020 msuchanek@suse.de
- blacklist.conf: Add inapplicable fix.
  5f987caec521 powerpc/fadump: Fix build error with CONFIG_PRESERVE_FA_DUMP=y
- commit af92dfd
* Wed Aug 26 2020 msuchanek@suse.de
- powerpc/perf: Fix missing is_sier_aviable() during build
  (bsc#1065729).
- pseries: Fix 64 bit logical memory block panic (bsc#1065729).
- KVM: PPC: Book3S PR: Remove uninitialized_var() usage
  (bsc#1065729).
- commit a3452cf
* Wed Aug 26 2020 mbenes@suse.cz
- selftests/livepatch: fix mem leaks in test-klp-shadow-vars
  (bsc#1071995).
- commit a65d35c
* Wed Aug 26 2020 msuchanek@suse.de
- powerpc/pseries/hotplug-cpu: wait indefinitely for vCPU death
  (fate#322438 bsc#1085030 ltC#165630).
- commit fddb4c0
* Wed Aug 26 2020 mbenes@suse.cz
- selftests/livepatch: more verification in test-klp-shadow-vars
  (bsc#1071995).
- commit be95677
* Wed Aug 26 2020 mbenes@suse.cz
- selftests/livepatch: rework test-klp-shadow-vars (bsc#1071995).
- commit 17f1cf0
* Wed Aug 26 2020 mbenes@suse.cz
- selftests/livepatch: simplify test-klp-callbacks busy target
  tests (bsc#1071995).
- commit a02b79c
* Wed Aug 26 2020 msuchanek@suse.de
- powerpc/64s: Don't init FSCR_DSCR in __init_FSCR()
  (bsc#1065729).
- commit fe73b14
* Wed Aug 26 2020 jack@suse.cz
- ocfs2: change slot number type s16 to u16 (bsc#1175786).
- commit 2a330a3
* Wed Aug 26 2020 mbenes@suse.cz
- tracing: Use trace_sched_process_free() instead of exit()
  for pid tracing (git-fixes).
- commit 222cf8c
* Wed Aug 26 2020 mbenes@suse.cz
- tracepoint: Mark __tracepoint_string's __used (git-fixes).
- commit b3dff60
* Wed Aug 26 2020 mbenes@suse.cz
- blacklist.conf: 96b4833b6827 ("tracing/hwlat: Honor the tracing_cpumask")
  CONFIG_HWLAT_TRACER is not set anywhere.
- commit 8ada7a9
* Wed Aug 26 2020 mbenes@suse.cz
- blacklist.conf: 7ef282e05132 ("tracing: Move pipe reference to trace array instead of current_tracer")
  As mentioned in the changelog, it is a cleanup and not really a critical
  fix.
- commit 75c9e8c
* Wed Aug 26 2020 jack@suse.cz
- jbd2: add the missing unlock_buffer() in the error path of
  jbd2_write_superblock() (bsc#1175772).
- commit 9da330d
* Wed Aug 26 2020 jack@suse.cz
- ext4: fix checking of directory entry validity for inline
  directories (bsc#1175771).
- commit fd18e6d
* Wed Aug 26 2020 jack@suse.cz
- kernfs: do not call fsnotify() with name without a parent
  (bsc#1175770).
- commit e6f14da
* Wed Aug 26 2020 jack@suse.cz
- mm: filemap: clear idle flag for writes (bsc#1175769).
- commit 0653a74
* Wed Aug 26 2020 jack@suse.cz
- dlm: Fix kobject memleak (bsc#1175768).
- commit 193f10b
* Wed Aug 26 2020 jack@suse.cz
- ocfs2: fix value of OCFS2_INVALID_SLOT (bsc#1175767).
- commit c57fe5a
* Wed Aug 26 2020 jslaby@suse.cz
- ip6_gre: fix null-ptr-deref in ip6gre_init_net() (git-fixes).
- commit ab472c0
* Wed Aug 26 2020 jslaby@suse.cz
- tcp: make sure listeners don't initialize congestion-control
  state (networking-stable-20_07_17).
- l2tp: remove skb_dst_set() from l2tp_xmit_skb()
  (networking-stable-20_07_17).
- vlan: consolidate VLAN parsing code and limit max parsing depth
  (networking-stable-20_07_17).
- ipv4: fill fl4_icmp_{type,code} in ping_v4_sendmsg
  (networking-stable-20_07_17).
- net: usb: qmi_wwan: add support for Quectel EG95 LTE modem
  (networking-stable-20_07_17).
- sched: consistently handle layer3 header accesses in the
  presence of VLANs (networking-stable-20_07_17).
- tcp: md5: do not send silly options in SYNCOOKIES
  (networking-stable-20_07_17).
- tcp: md5: refine tcp_md5_do_add()/tcp_md5_hash_key() barriers
  (networking-stable-20_07_17).
- genetlink: remove genl_bind (networking-stable-20_07_17).
- kABI: genetlink: remove genl_bind (kabi).
- tcp: md5: add missing memory barriers
  in tcp_md5_do_add()/tcp_md5_hash_key()
  (networking-stable-20_07_17).
- llc: make sure applications use ARPHRD_ETHER
  (networking-stable-20_07_17).
- commit 0f20390
* Wed Aug 26 2020 lyan@suse.com
- Refresh
  patches.suse/arm64-KVM-Add-ARCH_WORKAROUND_2-support-for-guests.patch
- commit a59e06b
* Tue Aug 25 2020 jack@suse.cz
- ext4: check journal inode extents more carefully (bsc#1173485).
- commit 5fc17d6
* Tue Aug 25 2020 jack@suse.cz
- ext4: don't allow overlapping system zones (bsc#1173485).
- commit ce9080b
* Tue Aug 25 2020 jack@suse.cz
- ext4: handle error of ext4_setup_system_zone() on remount
  (bsc#1173485).
- commit ec670e3
* Tue Aug 25 2020 jack@suse.cz
- ext4: fix potential negative array index in do_split()
  (bsc#1173798 CVE-2020-14314).
- commit 42dfa31
* Tue Aug 25 2020 denis.kirjanov@suse.com
- net: stmmac: dwmac1000: provide multicast filter fallback (git-fixes).
- commit e298f6b
* Tue Aug 25 2020 denis.kirjanov@suse.com
- net: ethernet: stmmac: Disable hardware multicast filter (git-fixes).
- commit f1cab89
* Tue Aug 25 2020 denis.kirjanov@suse.com
- i40e: Set RX_ONLY mode for unicast promiscuous on VLAN (git-fixes).
- commit bd2695a
* Tue Aug 25 2020 denis.kirjanov@suse.com
- i40e: Fix crash during removing i40e driver (git-fixes).
- commit 07e5b39
* Tue Aug 25 2020 denis.kirjanov@suse.com
- net: fec: correct the error path for regulator disable in probe (git-fixes).
- commit 472fa46
* Tue Aug 25 2020 denis.kirjanov@suse.com
- bonding: show saner speed for broadcast mode (git-fixes).
- commit 0c1bded
* Tue Aug 25 2020 denis.kirjanov@suse.com
- bonding: fix a potential double-unregister (git-fixes).
- commit 8d9db95
* Tue Aug 25 2020 denis.kirjanov@suse.com
- ipvlan: fix device features (git-fixes).
- commit 9f1abdc
* Tue Aug 25 2020 denis.kirjanov@suse.com
- net: dsa: b53: check for timeout (git-fixes).
- commit e0151df
* Tue Aug 25 2020 tiwai@suse.de
- drm/amdgpu: Fix bug where DPM is not enabled after hibernate
  and resume (bsc#1111666).
- drm: Added orientation quirk for ASUS tablet model T103HAF
  (bsc#1111666).
- commit 959c395
* Tue Aug 25 2020 tiwai@suse.de
- Bluetooth: Prevent out-of-bounds read in
  hci_inquiry_result_with_rssi_evt() (bsc#1111666).
- Bluetooth: Prevent out-of-bounds read in
  hci_inquiry_result_evt() (bsc#1111666).
- Bluetooth: Fix slab-out-of-bounds read in
  hci_extended_inquiry_result_evt() (bsc#1111666).
- commit 25b2e0c
* Tue Aug 25 2020 jslaby@suse.cz
- sctp: Don't advertise IPv4 addresses if ipv6only is set on
  the socket (networking-stable-20_06_28).
- tcp_cubic: fix spurious HYSTART_DELAY exit upon drop in min RTT
  (networking-stable-20_06_28).
- net: bridge: enfore alignment for ethernet address
  (networking-stable-20_06_28).
- net: Do not clear the sock TX queue in sk_set_socket()
  (networking-stable-20_06_28).
- net: increment xmit_recursion level in dev_direct_xmit()
  (networking-stable-20_06_28).
- net: Fix the arp error in some cases
  (networking-stable-20_06_28).
- ip_tunnel: fix use-after-free in ip_tunnel_lookup()
  (networking-stable-20_06_28).
- ip6_gre: fix use-after-free in ip6gre_tunnel_lookup()
  (networking-stable-20_06_28).
- net: core: reduce recursion limit value
  (networking-stable-20_06_28).
- net: fix memleak in register_netdevice()
  (networking-stable-20_06_28).
- net: usb: ax88179_178a: fix packet alignment padding
  (networking-stable-20_06_28).
- tcp: grow window for OOO packets only for SACK flows
  (networking-stable-20_06_28).
- rocker: fix incorrect error handling in dma_rings_init
  (networking-stable-20_06_28).
- mld: fix memory leak in ipv6_mc_destroy_dev()
  (networking-stable-20_06_28).
- commit 0bd3d4a
* Mon Aug 24 2020 lyan@suse.com
- KVM: arm/arm64: Do not use kern_hyp_va() with
  kvm_vgic_global_state (bsc#1085308 CVE-2018-3639).
- commit 7ebf94c
* Mon Aug 24 2020 lyan@suse.com
- arm64: KVM: Handle guest's ARCH_WORKAROUND_2 requests
  (bsc#1085308 CVE-2018-3639).
- commit f31cf42
* Mon Aug 24 2020 lyan@suse.com
- arm64: KVM: Add ARCH_WORKAROUND_2 discovery through
  ARCH_FEATURES_FUNC_ID (bsc#1085308 CVE-2018-3639).
- arm64: KVM: Add ARCH_WORKAROUND_2 support for guests
  (bsc#1085308 CVE-2018-3639).
- arm64: KVM: Add HYP per-cpu accessors (bsc#1085308
  CVE-2018-3639).
- Refresh
  patches.suse/KVM-arm-arm64-Do-not-use-kern_hyp_va-with-kvm_vgic_g.patch
- KVM: arm/arm64: Move arm64-only vgic-v2-sr.c file to arm64
  (bsc#1085308 CVE-2018-3639).
- Refresh
  patches.suse/0016-arm64-vgic-v2-Fix-proxying-of-cpuif-access.patch
  patches.suse/0008-kvm-arm-use-PSR_AA32-definitions.patch
- KVM: arm/arm64: Add kvm_vcpu_load_sysregs and
  kvm_vcpu_put_sysregs (bsc#1085308 CVE-2018-3639).
- Refresh
  patches.suse/ARM-KVM-report-support-for-SMCCC_ARCH_WORKAROUND_1.patch
  patches.suse/kvm-make-vm-ioctl-do-valloc-for-some-archs
- KVM: arm64: Avoid storing the vcpu pointer on the stack
  (bsc#1085308 CVE-2018-3639).
- Refresh
  patches.suse/arm64-KVM-Use-SMCCC_ARCH_WORKAROUND_1-for-Falkor-BP-.patch
  patches.suse/KVM-arm64-Set-SCTLR_EL2.DSSBS-if-SSBD-is-forcefully-.patch
- commit 2cb50dd
* Mon Aug 24 2020 mgorman@suse.de
- blacklist.conf: Commit breaks KABI for wb_reason and the dangling reason is harmless
- commit b8897b0
* Mon Aug 24 2020 mgorman@suse.de
- include/linux/poison.h: remove obsolete comment (git fixes
  (poison)).
- kernel/cpu_pm: Fix uninitted local in cpu_pm (git fixes
  (kernel/pm)).
- mm: remove VM_BUG_ON(PageSlab()) from page_mapcount() (git fixes
  (mm/compaction)).
- mm, thp: fix defrag setting if newline is not used (git fixes
  (mm/thp)).
- mm/shmem.c: cast the type of unmap_start to u64 (git fixes
  (mm/shmem)).
- mm/rmap.c: don't reuse anon_vma if we just want a copy (git
  fixes (mm/rmap)).
- mm/mmu_notifier: use hlist_add_head_rcu() (git fixes
  (mm/mmu_notifiers)).
- mm/migrate.c: add missing flush_dcache_page for non-mapped
  page migrate (git fixes (mm/migrate)).
- PM / CPU: replace raw_notifier with atomic_notifier (git fixes
  (kernel/pm)).
- commit c20db15
* Mon Aug 24 2020 yousaf.kaukab@suse.com
- dpaa_eth: Fix one possible memleak in dpaa_eth_probe
  (bsc#1174550).
- commit 15a2f64
* Mon Aug 24 2020 yousaf.kaukab@suse.com
- soc: fsl: qbman_portals: add APIs to retrieve the probing status
  (bsc#1174550).
- commit f728c54
* Mon Aug 24 2020 yousaf.kaukab@suse.com
- dpaa_eth: FMan erratum A050385 workaround (bsc#1174550).
- fsl/fman: detect FMan erratum A050385 (bsc#1174550).
- dpaa_eth: fix DMA mapping leak (bsc#1174550).
- dpaa_eth: register a device link for the qman portal used
  (bsc#1174550).
- soc: fsl: qbman: allow registering a device link for the portal
  user (bsc#1174550).
- dpaa_eth: extend delays in ndo_stop (bsc#1174550).
- dpaa_eth: remove netdev_err() for user errors (bsc#1174550).
- dpaa_eth: add dropped frames to percpu ethtool stats
  (bsc#1174550).
- dpaa_eth: use a page to store the SGT (bsc#1174550).
- dpaa_eth: cleanup skb_to_contig_fd() (bsc#1174550).
- dpaa_eth: use fd information in dpaa_cleanup_tx_fd()
  (bsc#1174550).
- dpaa_eth: simplify variables used in dpaa_cleanup_tx_fd()
  (bsc#1174550).
- dpaa_eth: use page backed rx buffers (bsc#1174550).
- dpaa_eth: use only one buffer pool per interface (bsc#1174550).
- dpaa_eth: add newline in dev_err() msg (bsc#1174550).
- fsl/fman: remove unused struct member (bsc#1174550).
- dpaa_eth: change DMA device (bsc#1174550).
- fsl/fman: add API to get the device behind a fman port
  (bsc#1174550).
- dpaa_eth: remove redundant code (bsc#1174550).
- dpaa_eth: defer probing after qbman (bsc#1174550).
- fsl/fman: don't touch liodn base regs reserved on non-PAMU SoCs
  (bsc#1174550).
- commit 4b07355
* Mon Aug 24 2020 tbogendoerfer@suse.de
- net: ena: Make missed_tx stat incremental (bsc#1083548).
- net: ena: Change WARN_ON expression in ena_del_napi_in_range()
  (bsc#1174852).
- net: ena: Prevent reset after device destruction (bsc#1083548).
- commit dfc6d53
* Mon Aug 24 2020 yousaf.kaukab@suse.com
- blacklist.conf: arm64: add a couple of fixes
- commit 22b388f
* Mon Aug 24 2020 yousaf.kaukab@suse.com
- PM / devfreq: rk3399_dmc: Fix kernel oops when rockchip,pmu
  is absent (bsc#1175668).
- tty: serial: fsl_lpuart: free IDs allocated by IDA
  (bsc#1175670).
- arm64: ssbs: Fix context-switch when SSBS is present on all CPUs
  (bsc#1175669).
- PM / devfreq: rk3399_dmc: Disable devfreq-event device when
  fails.
- PM / devfreq: rk3399_dmc: Add missing of_node_put()
  (bsc#1175668).
- tty: serial: fsl_lpuart: add imx8qxp support (bsc#1175670).
- PCI: dwc: Move interrupt acking into the proper callback
  (bsc#1175666).
- commit 59fc68c
* Mon Aug 24 2020 msuchanek@suse.de
- Refresh sorted patches.
- commit 83d3401
* Mon Aug 24 2020 msuchanek@suse.de
- mm/vunmap: add cond_resched() in vunmap_pmd_range (bsc#1175654
  ltc#184617).
- commit e0f292b
* Mon Aug 24 2020 neilb@suse.de
- md-cluster: Fix potential error pointer dereference in
  resize_bitmaps() (git-fixes).
- md/raid5: Fix Force reconstruct-write io stuck in degraded raid5
  (git-fixes).
- commit 9b89f70
* Fri Aug 21 2020 tiwai@suse.de
- ALSA: hda/realtek: Add quirk for Samsung Galaxy Book Ion
  (git-fixes).
- ALSA: usb-audio: ignore broken processing/extension unit
  (git-fixes).
- ALSA: hda/realtek: Add model alc298-samsung-headphone
  (git-fixes).
- ALSA: usb-audio: Update documentation comment for MS2109 quirk
  (git-fixes).
- ALSA: usb-audio: Add capture support for Saffire 6 (USB 1.1)
  (git-fixes).
- ALSA: hda/realtek: Add quirk for Samsung Galaxy Flex Book
  (git-fixes).
- commit cf8af4e
* Fri Aug 21 2020 tbogendoerfer@suse.de
- vmxnet3: use correct tcp hdr length when packet is encapsulated
  (bsc#1175199).
- commit e4c95e9
* Fri Aug 21 2020 denis.kirjanov@suse.com
- net: Added pointer check for dst->ops->neigh_lookup in
  dst_neigh_lookup_skb (git-fixes).
- commit 0974c5c
* Fri Aug 21 2020 denis.kirjanov@suse.com
- net: udp: Fix wrong clean up for IS_UDPLITE macro (git-fixes).
- commit c602a65
* Fri Aug 21 2020 denis.kirjanov@suse.com
- dev: Defer free of skbs in flush_backlog (git-fixes).
- commit 96b591c
* Fri Aug 21 2020 denis.kirjanov@suse.com
- ipv4: Silence suspicious RCU usage warning (git-fixes).
- commit d8642d6
* Fri Aug 21 2020 denis.kirjanov@suse.com
- ipv6: fix memory leaks on IPV6_ADDRFORM path (git-fixes).
- commit 73e0906
* Fri Aug 21 2020 denis.kirjanov@suse.com
- rds: Prevent kernel-infoleak in rds_notify_queue_get()
  (git-fixes).
- commit cf91989
* Fri Aug 21 2020 denis.kirjanov@suse.com
- af_key: pfkey_dump needs parameter validation (git-fixes).
- commit 0611b53
* Fri Aug 21 2020 denis.kirjanov@suse.com
- ipvs: allow connection reuse for unconfirmed conntrack
  (git-fixes).
- commit 71f6dfe
* Fri Aug 21 2020 denis.kirjanov@suse.com
- net: make symbol 'flush_works' static (git-fixes).
- commit 146d980
* Fri Aug 21 2020 denis.kirjanov@suse.com
- openvswitch: Prevent kernel-infoleak in ovs_ct_put_key()
  (git-fixes).
- commit 5e9b4ad
* Fri Aug 21 2020 denis.kirjanov@suse.com
- net: gre: recompute gre csum for sctp over gre tunnels
  (git-fixes).
- commit 54a648d
* Fri Aug 21 2020 denis.kirjanov@suse.com
- net: Set fput_needed iff FDPUT_FPUT is set (git-fixes).
- commit 2bc7e15
* Fri Aug 21 2020 jwiesner@suse.com
- bonding: fix active-backup failover for current ARP slave
  (bsc#1174771).
- commit 89cd3a9
* Fri Aug 21 2020 osalvador@suse.de
- mm: Avoid calling build_all_zonelists_init under hotplug context
  (bsc#1154366).
- commit f736945
* Fri Aug 21 2020 tiwai@suse.de
- drm/ttm/nouveau: don't call tt destroy callback on alloc failure
  (bsc#1175232).
- commit 2d00bd4
* Fri Aug 21 2020 tiwai@suse.de
- iwlegacy: Check the return value of pcie_capability_read_*()
  (bsc#1111666).
- brcmfmac: set state of hanger slot to FREE when flushing PSQ
  (bsc#1111666).
- brcmfmac: To fix Bss Info flag definition Bug (bsc#1111666).
- brcmfmac: keep SDIO watchdog running when console_interval is
  non-zero (bsc#1111666).
- drm/msm: ratelimit crtc event overflow error (bsc#1111666).
- drm/nouveau: fix multiple instances of reference count leaks
  (bsc#1111666).
- gpu: host1x: debug: Fix multiple channels emitting messages
  simultaneously (bsc#1111666).
- drm/etnaviv: fix ref count leak via pm_runtime_get_sync
  (bsc#1111666).
- drm/radeon: Fix reference count leaks caused by
  pm_runtime_get_sync (bsc#1111666).
- drm/amdgpu: avoid dereferencing a NULL pointer (bsc#1111666).
- drm/radeon: disable AGP by default (bsc#1111666).
- drm/tilcdc: fix leak & null ref in panel_connector_get_modes
  (bsc#1111666).
- drm/debugfs: fix plain echo to connector "force" attribute
  (bsc#1111666).
- net: phy: Check harder for errors in get_phy_id() (bsc#1111666).
- commit 5e79b44
* Fri Aug 21 2020 tiwai@suse.de
- Fix the wrong timer callback call in the recent ipvs refcount fix
  Refresh patches.suse/0008-ipvs-fix-refcount-usage-for-conns-in-ops-mode.patch
- commit c29c9f1
* Fri Aug 21 2020 ghe@suse.com
- ocfs2: fix panic on nfs server over ocfs2 (bsc#1172963).
- ocfs2: load global_inode_alloc (bsc#1172963).
- ocfs2: avoid inode removal while nfsd is accessing it
  (bsc#1172963).
- commit 796ef7d
* Fri Aug 21 2020 ghe@suse.com
- ocfs2: fix the application IO timeout when fstrim is running
  (bsc#1175228).
- ocfs2: add trimfs lock to avoid duplicated trims in cluster
  (bsc#1175228).
- ocfs2: add trimfs dlm lock resource (bsc#1175228).
- commit d2d31d7
* Fri Aug 21 2020 firo.yang@suse.com
- ipvs: fix the connection sync failed in some cases (bsc#1174699).
- commit 84882ba
* Thu Aug 20 2020 msuchanek@suse.de
- powerpc/pseries: Do not initiate shutdown when system is
  running on UPS (bsc#1175440 ltc#187574).
- commit 46dece7
* Thu Aug 20 2020 fdmanana@suse.com
- btrfs: fix memory leaks after failure to lookup checksums
  during inode logging (bsc#1175550).
- commit 55d04f3
* Thu Aug 20 2020 tbogendoerfer@suse.de
- net: ena: ethtool: support set_channels callback (bsc#1174852).
- Refresh
  patches.suse/net-ena-add-missing-ethtool-TX-timestamping-indicati.patch.
- commit 9b8c5e6
* Thu Aug 20 2020 tbogendoerfer@suse.de
- net: ena: make ethtool -l show correct max number of queues
  (bsc#1174852).
- Refresh patches.suse/net-ena-fix-uses-of-round_jiffies.patch.
- commit bca3abd
* Thu Aug 20 2020 tbogendoerfer@suse.de
- net: ena: fix incorrect update of intr_delay_resolution
  (bsc#1174852).
- Refresh
  patches.suse/net-ena-fix-default-tx-interrupt-moderation-interval.patch.
- commit dc41801
* Thu Aug 20 2020 tbogendoerfer@suse.de
- net: ena: remove all old adaptive rx interrupt moderation code
  from ena_com (bsc#1174852).
- Refresh
  patches.suse/net-ena-fix-corruption-of-dev_idx_to_host_tbl.patch.
- Refresh
  patches.suse/net-ena-fix-default-tx-interrupt-moderation-interval.patch.
- commit 6820b68
* Thu Aug 20 2020 tbogendoerfer@suse.de
- net: ena: support new LLQ acceleration mode (bsc#1174852).
- net: ena: move llq configuration from ena_probe to
  ena_device_init() (bsc#1174852).
- net: ena: enable support of rss hash key and function changes
  (bsc#1174852).
- net: ena: add support for traffic mirroring (bsc#1174852).
- net: ena: cosmetic: change ena_com_stats_admin stats to u64
  (bsc#1174852).
- net: ena: cosmetic: satisfy gcc warning (bsc#1174852).
- net: ena: add reserved PCI device ID (bsc#1174852).
- net: ena: avoid unnecessary rearming of interrupt vector when
  busy-polling (bsc#1174852).
- net: ena: Fix using plain integer as NULL pointer in
  ena_init_napi_in_range (bsc#1174852).
- net: ena: xdp: update napi budget for DROP and ABORTED
  (bsc#1174852).
- net: ena: xdp: XDP_TX: fix memory leak (bsc#1174852).
- net: ena: reduce driver load time (bsc#1174852).
- net: ena: cosmetic: minor code changes (bsc#1174852).
- net: ena: cosmetic: fix spacing issues (bsc#1174852).
- net: ena: cosmetic: code reorderings (bsc#1174852).
- net: ena: cosmetic: remove unnecessary code (bsc#1174852).
- net: ena: cosmetic: fix line break issues (bsc#1174852).
- net: ena: cosmetic: fix spelling and grammar mistakes in
  comments (bsc#1174852).
- net: ena: cosmetic: set queue sizes to u32 for consistency
  (bsc#1174852).
- net: ena: cosmetic: rename
  ena_update_tx/rx_rings_intr_moderation() (bsc#1174852).
- net: ena: simplify ena_com_update_intr_delay_resolution()
  (bsc#1174852).
- net: ena: fix ena_com_comp_status_to_errno() return value
  (bsc#1174852).
- net: ena: use explicit variable size for clarity (bsc#1174852).
- net: ena: rename ena_com_free_desc to make API more uniform
  (bsc#1174852).
- net: ena: add support for the rx offset feature (bsc#1174852).
- net: ena: cosmetic: extract code to ena_indirection_table_set()
  (bsc#1174852).
- net: ena: cosmetic: remove unnecessary spaces and tabs in
  ena_com.h macros (bsc#1174852).
- net: ena: use SHUTDOWN as reset reason when closing interface
  (bsc#1174852).
- net: ena: drop superfluous prototype (bsc#1174852).
- net: ena: add support for reporting of packet drops
  (bsc#1174852).
- net: ena: add unmask interrupts statistics to ethtool
  (bsc#1174852).
- net: ena: remove code that does nothing (bsc#1174852).
- net: ena: changes to RSS hash key allocation (bsc#1174852).
- net: ena: change default RSS hash function to Toeplitz
  (bsc#1174852).
- net: ena: allow setting the hash function without changing
  the key (bsc#1174852).
- net: ena: fix error returning in ena_com_get_hash_function()
  (bsc#1174852).
- net: ena: avoid unnecessary admin command when RSS function
  set fails (bsc#1174852).
- net/ena: Fix build warning in ena_xdp_set() (bsc#1174852).
- net: ena: Make some functions static (bsc#1174852).
- net: ena: ethtool: clean up minor indentation issue
  (bsc#1174852).
- net: ena: ethtool: remove redundant non-zero check on rc
  (bsc#1174852).
- net: ena: remove set but not used variable 'hash_key'
  (bsc#1174852).
- net: ena: fix request of incorrect number of IRQ vectors
  (bsc#1174852).
- net: ena: fix incorrect setting of the number of msix vectors
  (bsc#1174852).
- net: ena: remove set but not used variable 'rx_ring'
  (bsc#1174852).
- net: ena: Add first_interrupt field to napi struct
  (bsc#1174852).
- net: ena: Implement XDP_TX action (bsc#1174852).
- net: ena: implement XDP drop support (bsc#1174852).
- net: ena: remove redundant print of number of queues
  (bsc#1174852).
- net: ena: ethtool: get_channels: use combined only
  (bsc#1174852).
- net: ena: multiple queue creation related cleanups
  (bsc#1174852).
- net: ena: change num_queues to num_io_queues for clarity and
  consistency (bsc#1174852).
- net: ena: clean up indentation issue (bsc#1174852).
- net: ena: Select DIMLIB for ENA_ETHERNET (bsc#1174852).
- net: ena: fix update of interrupt moderation register
  (bsc#1174852).
- net: ena: remove ena_restore_ethtool_params() and relevant
  fields (bsc#1174852).
- net: ena: remove old adaptive interrupt moderation code from
  ena_netdev (bsc#1174852).
- net: ena: remove code duplication in
  ena_com_update_nonadaptive_moderation_interval _*()
  (bsc#1174852).
- net: ena: enable the interrupt_moderation in
  driver_supported_features (bsc#1174852).
- net: ena: switch to dim algorithm for rx adaptive interrupt
  moderation (bsc#1174852).
- commit 9180042
* Thu Aug 20 2020 msuchanek@suse.de
- powerpc/init: Do not advertise radix during
  client-architecture-support (bsc#1055186 ltc#153436
  FATE#323286).
- commit a69c29b
* Thu Aug 20 2020 msuchanek@suse.de
- powerpc/book3s64/radix: Add kernel command line option to
  disable radix GTSE (bsc#1055186 ltc#153436 FATE#323286).
- powerpc/prom: Enable Radix GTSE in cpu pa-features (bsc#1055186
  ltc#153436 FATE#323286).
- powerpc/mm: Enable radix GTSE only if supported (bsc#1055186
  ltc#153436 FATE#323286).
- commit 423ac58
* Thu Aug 20 2020 yousaf.kaukab@suse.com
- arm64: mm: Fix pte_mkclean, pte_mkdirty semantics (bsc#1175526).
  Remove patch from blacklist.conf
- commit 39050c2
* Thu Aug 20 2020 denis.kirjanov@suse.com
- net: ip6_gre: Request headroom in __gre6_xmit() (git-fixes).
- commit d5de444
* Thu Aug 20 2020 denis.kirjanov@suse.com
- ipvs: fix refcount usage for conns in ops mode (git-fixes).
- commit 9721bff
* Thu Aug 20 2020 denis.kirjanov@suse.com
- netfilter: x_tables: add counters allocation wrapper (git-fixes).
- commit faf700d
* Thu Aug 20 2020 denis.kirjanov@suse.com
- netfilter: x_tables: limit allocation requests for blob rule heads (git-fixes).
- commit 7f95e2b
* Thu Aug 20 2020 denis.kirjanov@suse.com
- netfilter: x_tables: cap allocations at 512 mbyte (git-fixes).
- commit 7f365e5
* Wed Aug 19 2020 fdmanana@suse.com
- btrfs: treat RWF_{,D}SYNC writes as sync for CRCs (bsc#1175493).
- commit 5f890c0
* Wed Aug 19 2020 tbogendoerfer@suse.de
- linux/dim: Move implementation to .c files (bsc#1174852).
- Update config files.
- commit 6ecfc7b
* Wed Aug 19 2020 tbogendoerfer@suse.de
- net: ethernet: broadcom: have drivers select DIMLIB as needed
  (bsc#1174852).
- net: update net_dim documentation after rename (bsc#1174852).
- lib: dimlib: fix help text typos (bsc#1174852).
- lib/dim: Fix -Wunused-const-variable warnings (bsc#1174852).
- linux/dim: Fix overflow in dim calculation (bsc#1174852).
- linux/dim: Add completions count to dim_sample (bsc#1174852).
- linux/dim: Rename externally used net_dim members (bsc#1174852).
- linux/dim: Rename net_dim_sample() to net_dim_update_sample()
  (bsc#1174852).
- linux/dim: Rename externally exposed macros (bsc#1174852).
- linux/dim: Remove "net" prefix from internal DIM members
  (bsc#1174852).
- linux/dim: Move logic to dim.h (bsc#1174852).
- Documentation/networking: Add net DIM documentation
  (bsc#1174852).
- MAINTAINERS: add entry for Dynamic Interrupt Moderation
  (bsc#1174852).
- commit 6eb9854
* Wed Aug 19 2020 ohering@suse.de
- hv_netvsc: Fix unwanted wakeup in netvsc_attach() (git-fixes).
- scsi: storvsc: Correctly set number of hardware queues for
  IDE disk (git-fixes).
- hv_netvsc: Fix error handling in netvsc_attach() (git-fixes).
- x86/hyper-v: Fix overflow bug in fill_gva_list() (git-fixes).
- Drivers: hv: vmbus: Fix virt_to_hvpfn() for X86_PAE (git-fixes).
- commit cce5d35
* Wed Aug 19 2020 ohering@suse.de
- add mainline tag to a patch for pci-hyperv
- commit 8f3bb72
* Wed Aug 19 2020 ohering@suse.de
- PCI: hv: Fix a timing issue which causes kdump to fail
  occasionally (bsc#1172871, bsc#1172872, git-fixes).
- commit 23b6a0a
* Wed Aug 19 2020 nstange@suse.de
- rpm/kernel-binary.spec.in: restrict livepatch metapackage to default flavor
  It has been reported that the kernel-*-livepatch metapackage got
  erroneously enabled for SLE15-SP3's new -preempt flavor, leading to a
  unresolvable dependency to a non-existing kernel-livepatch-x.y.z-preempt
  package.
  As SLE12 and SLE12-SP1 have run out of livepatching support, the need to
  build said metapackage for the -xen flavor is gone and the only remaining
  flavor for which they're still wanted is -default.
  Restrict the build of the kernel-*-livepatch metapackage to the -default
  flavor.
- commit 58949f3
* Wed Aug 19 2020 ohering@suse.de
- Drivers: hv: vmbus: Only notify Hyper-V for die events that
  are oops (bsc#1175127, bsc#1175128).
- commit 7fbfb2c
* Wed Aug 19 2020 ghe@suse.com
- Revert "ocfs2: avoid inode removal while nfsd is accessing it"
  This reverts commit 9e096c72476eda333a9998ff464580c00ff59c83.
- commit 5fb64dd
* Wed Aug 19 2020 ghe@suse.com
- Revert "ocfs2: load global_inode_alloc (bsc#1172963)."
  This reverts commit fc476497b53f967dc615b9cbad9427ba3107b5c4.
- commit ef7b520
* Wed Aug 19 2020 ghe@suse.com
- Revert "ocfs2: fix panic on nfs server over ocfs2 (bsc#1172963)."
  This reverts commit 0bf6e248f93736b3f17f399b4a8f64ffa30d371e.
- commit 44df65d
* Tue Aug 18 2020 yousaf.kaukab@suse.com
- spi: spi-mem: export spi_mem_default_supports_op()
  (bsc#1175421).
- commit a8f5f1c
* Tue Aug 18 2020 yousaf.kaukab@suse.com
- blacklist.conf: append "spi: spi-fsl-dspi: Exit the ISR with IRQ_NONE when it's not ours"
  Add duplicate Commit-Id.
- commit effc547
* Tue Aug 18 2020 yousaf.kaukab@suse.com
- dpaa2-eth: Fix passing zero to 'PTR_ERR' warning (bsc#1175403).
- drivers/perf: hisi: Fix wrong value for all counters enable
  (bsc#1175409).
- mtd: spi-nor: fix kernel-doc for spi_nor::info (bsc#1175414).
- mtd: spi-nor: fix kernel-doc for spi_nor::reg_proto
  (bsc#1175415).
- drivers/perf: hisi: Fix typo in events attribute array
  (bsc#1175408).
- dpaa2-eth: prevent array underflow in update_cls_rule()
  (bsc#1175405).
- spi: spi-fsl-dspi: Fix 16-bit word order in 32-bit XSPI mode
  (bsc#1175422).
- spi: nxp-fspi: Ensure width is respected in spi-mem operations
  (bsc#1175421).
- mfd: rk808: Fix RK818 ID template (bsc#1175412).
- dpaa_eth: avoid timestamp read on error paths (bsc#1175406).
- dpaa_eth: perform DMA unmapping before read (bsc#1175407).
- arm64: Silence clang warning on mismatched value/register sizes
  (bsc#1175396).
- mtd: spi-nor: fix silent truncation in spi_nor_read_raw()
  (bsc#1175416).
- dpaa2-eth: free already allocated channels on probe defer
  (bsc#1175404).
- arm64: Do not mask out PTE_RDONLY in pte_same() (bsc#1175393).
- arm64: cpufeature: Enable Qualcomm Falkor/Kryo errata 1003
  (bsc#1175398).
- arm64: Ensure VM_WRITE|VM_SHARED ptes are clean by default
  (bsc#1175394).
- arm64/sve: Fix wrong free for task->thread.sve_state
  (bsc#1175400).
- net: socionext: Fix a signedness bug in ave_probe()
  (bsc#1175419).
- net: netsec: Fix signedness bug in netsec_probe() (bsc#1175417).
- mtd: spi-nor: Fix an error code in spi_nor_read_raw()
  (bsc#1175413).
- drm/rockchip: fix VOP_WIN_GET macro (bsc#1175411).
- net: netsec: initialize tx ring on ndo_open (bsc#1175418).
- arm64/sve: <uapi/asm/ptrace.h> should not depend on
  <uapi/linux/prctl.h> (bsc#1175401).
- arm64: ssbd: explicitly depend on <linux/prctl.h> (bsc#1175399).
- net: socionext: replace napi_alloc_frag with the netdev variant
  on init (bsc#1175420).
- arm64: backtrace: Don't bother trying to unwind the userspace
  stack (bsc#1175397).
- staging: fsl-dpaa2: ethsw: Add missing netdevice check
  (bsc#1175423).
- drivers/perf: hisi: Fixup one DDRC PMU register offset
  (bsc#1175410).
- arm64: tlbflush: avoid writing RES0 bits (bsc#1175402).
- commit 8d4f49a
* Mon Aug 17 2020 palcantara@suse.de
- cifs: Fix an error pointer dereference in cifs_mount()
  (bsc#1144333 bsc#1172428).
- commit ffa95c8
* Mon Aug 17 2020 martin.wilck@suse.com
- scsi: dh: Add Fujitsu device to devinfo and dh lists
  (bsc#1174026).
- commit 5e457f2
* Mon Aug 17 2020 mkoutny@suse.com
- kABI fix for sock_cgroup_data (bsc#1175213 CVE-2020-14356).
- cgroup: Fix sock_cgroup_data on big-endian (bsc#1175213
  CVE-2020-14356).
- cgroup: fix cgroup_sk_alloc() for sk_clone_lock() (bsc#1175213
  CVE-2020-14356).
- kABI fix for sock_cgroup_data (bsc#1175213 CVE-2020-14356).
- cgroup: Fix sock_cgroup_data on big-endian (bsc#1175213
  CVE-2020-14356).
- cgroup: fix cgroup_sk_alloc() for sk_clone_lock() (bsc#1175213
  CVE-2020-14356).
- commit 34c74fb
* Mon Aug 17 2020 denis.kirjanov@suse.com
- xfrm: clean up xfrm protocol checks (git-fixes).
- commit f6bbc35
* Mon Aug 17 2020 denis.kirjanov@suse.com
- ip_tunnel: restore binding to ifaces with a large mtu
  (git-fixes).
- commit 1224911
* Mon Aug 17 2020 denis.kirjanov@suse.com
- ip_tunnel: Emit events for post-register MTU changes
  (git-fixes).
- commit 2b29786
* Mon Aug 17 2020 denis.kirjanov@suse.com
- xfrm_user: uncoditionally validate esn replay attribute struct
  (git-fixes).
- commit 98bbfca
* Mon Aug 17 2020 denis.kirjanov@suse.com
- xfrm: check id proto in validate_tmpl() (git-fixes).
- commit 2d72bfa
* Mon Aug 17 2020 martin.wilck@suse.com
- blacklist.conf: smartpqi documentation fix
- commit caed41f
* Mon Aug 17 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gem: Avoid iterating an empty list'
- commit 2d946db
* Mon Aug 17 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/radeon: fix double free'
- commit 24af8e0
* Mon Aug 17 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/radeon: fix fb_div check in ni_init_smc_spll_table()'
- commit 0f95e75
* Mon Aug 17 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm: encoder_slave: fix refcouting error for modules'
- commit 7d16325
* Mon Aug 17 2020 ykaukab@suse.de
- Refresh
  patches.suse/arm64-compat-Workaround-Neoverse-N1-1542419-for-comp.patch.
- commit cdace6b
* Mon Aug 17 2020 ykaukab@suse.de
- Refresh
  patches.suse/arm64-Fake-the-IminLine-size-on-systems-affected-by-.patch.
- commit 65f6b82
* Mon Aug 17 2020 tzimmermann@suse.de
- drm: fix drm_dp_mst_port refcount leaks in drm_dp_mst_allocate_vcpi (bsc#1112178)
  * updated names of get/put functions
- commit 6a5b1ca
* Mon Aug 17 2020 tzimmermann@suse.de
- drm/bridge: dw-hdmi: Don't cleanup i2c adapter and ddc ptr in (bsc#1113956)
  * refreshed for context changes
- commit bed093a
* Mon Aug 17 2020 ykaukab@suse.de
- Refresh
  patches.suse/arm64-errata-Hide-CTR_EL0.DIC-on-systems-affected-by.patch.
- commit c96bb9e
* Mon Aug 17 2020 ailiop@suse.com
- xfs: fix inode allocation block res calculation precedence
  (git-fixes).
- commit 5c07b95
* Mon Aug 17 2020 ailiop@suse.com
- xfs: fix reflink quota reservation accounting error (git-fixes).
- commit 231c9fb
* Mon Aug 17 2020 tzimmermann@suse.de
- Revert "drm/amdgpu: Fix NULL dereference in dpm sysfs handlers" (bsc#1113956)
  * refresh for context changes
- commit 3ae4022
* Mon Aug 17 2020 tzimmermann@suse.de
- drm: hold gem reference until object is no longer accessed (bsc#1113956)
- commit b8fcaa8
* Mon Aug 17 2020 tzimmermann@suse.de
- drm/dbi: Fix SPI Type 1 (9-bit) transfer (bsc#1113956)
  * move drm_mipi_dbi.c -> tinydrm/mipi-drm.c
  * refresh for context changes
- commit 5f75b66
* Mon Aug 17 2020 tzimmermann@suse.de
- drm/amdgpu: Fix NULL dereference in dpm sysfs handlers (bsc#1113956)
  * refresh for context changes
- commit bf78f32
* Mon Aug 17 2020 tzimmermann@suse.de
- drm/amdgpu: Replace invalid device ID with a valid device ID (bsc#1113956)
- commit 7e7744a
* Mon Aug 17 2020 tzimmermann@suse.de
- Update "Fix for missing check in vgacon scrollback handling"
  The patch get adopted into the mainline kernel. Set the patches'
  mainline commit hash and tag, and moves it to the correct position
  in the series.
- commit 2316266
* Mon Aug 17 2020 tzimmermann@suse.de
- omapfb: dss: Fix max fclk divider for omap36xx (bsc#1113956)
- commit 01e1d21
* Mon Aug 17 2020 tzimmermann@suse.de
- fbdev: Detect integer underflow at "struct fbcon_ops"->clear_margins. (bsc#1112178)
  * move files drivers/video/fbdev/core -> drivers/video/console
  * refresh for context changes
- commit 34e3a8e
* Mon Aug 17 2020 tiwai@suse.de
- mfd: dln2: Run event handler loop under spinlock (git-fixes).
- mfd: arizona: Ensure 32k clock is put on driver unbind and error
  (git-fixes).
- pwm: bcm-iproc: handle clk_get_rate() return (git-fixes).
- i2c: rcar: slave: only send STOP event when we have been
  addressed (bsc#1111666).
- clk: at91: clk-generated: check best_rate against ranges
  (bsc#1111666).
- clk: clk-atlas6: fix return value check in atlas6_clk_init()
  (bsc#1111666).
- clk: iproc: round clock rate to the closest (bsc#1111666).
- watchdog: f71808e_wdt: clear watchdog timeout occurred flag
  (bsc#1111666).
- watchdog: f71808e_wdt: remove use of wrong watchdog_info option
  (bsc#1111666).
- watchdog: f71808e_wdt: indicate WDIOF_CARDRESET support in
  watchdog_info.options (bsc#1111666).
- drm/vmwgfx: Fix two list_for_each loop exit tests (bsc#1111666).
- drm/vmwgfx: Use correct vmw_legacy_display_unit pointer
  (bsc#1111666).
- Input: sentelic - fix error return when fsp_reg_write fails
  (bsc#1111666).
- irqchip/gic: Atomically update affinity (bsc#1111666).
- commit 361dbe5
* Sat Aug 15 2020 tiwai@suse.de
- ALSA: echoaudio: Fix potential Oops in snd_echo_resume()
  (bsc#1111666).
- ALSA: hda/realtek - Fix unused variable warning (bsc#1111666).
- ALSA: hda - reverse the setting value in the micmute_led_set
  (bsc#1111666).
- ALSA: echoaduio: Drop superfluous volatile modifier
  (bsc#1111666).
- ALSA: usb-audio: Disable Lenovo P620 Rear line-in volume control
  (bsc#1111666).
- ALSA: usb-audio: add quirk for Pioneer DDJ-RB (bsc#1111666).
- ALSA: usb-audio: work around streaming quirk for MacroSilicon
  MS2109 (bsc#1111666).
- ALSA: hda - fix the micmute led status for Lenovo ThinkCentre
  AIO (bsc#1111666).
- ALSA: hda/realtek: Fix pin default on Intel NUC 8 Rugged
  (bsc#1111666).
- ALSA: usb-audio: Creative USB X-Fi Pro SB1095 volume knob
  support (bsc#1111666).
- ALSA: usb-audio: fix spelling mistake "buss" -> "bus"
  (bsc#1111666).
- commit c819e4f
* Sat Aug 15 2020 tiwai@suse.de
- Re-sort and refresh the upstreamed USB-audio patch
- commit e9287b8
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: Use scnprintf() for avoiding potential buffer
  overflow (bsc#1172418).
- commit f8c5dde
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: bump version (bsc#1172418).
- commit c63c8de
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: Align driver syntax with oob (bsc#1172418).
- commit 9c517ae
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: bump version (bsc#1172418).
- commit c4a7cda
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: update copyright (bsc#1172418).
- commit aada389
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: add new pci ids (bsc#1172418).
- commit d558bd2
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: correct REGNEWD return status (bsc#1172418).
- commit 1166f15
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: add gigabyte controller (bsc#1172418).
- commit fd56d2f
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: correct hang when deleting 32 lds (bsc#1172418).
- commit 0c6f75a
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: add bay identifier (bsc#1172418).
- commit fd303da
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: add sysfs entries (bsc#1172418).
- commit e20f90f
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: add module param to hide vsep (bsc#1172418).
- commit b571589
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: add pci ids for fiberhome controller
  (bsc#1172418).
- commit 829664d
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: add module param for exposure order
  (bsc#1172418).
- commit 146e7f7
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: properly set both the DMA mask and the coherent
  DMA mask (bsc#1172418).
- commit 472e641
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: Reporting unhandled SCSI errors (bsc#1172418).
- commit cdafb2f
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: remove unused manifest constants (bsc#1172418).
- commit 52f5534
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: fix problem with unique ID for physical device
  (bsc#1172418).
- commit aa4974c
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: correct syntax issue (bsc#1172418).
- commit 49fc620
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: change TMF timeout from 60 to 30 seconds
  (bsc#1172418).
- commit 95738b3
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: fix LUN reset when fw bkgnd thread is hung
  (bsc#1172418).
- commit 4f82e79
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: add inquiry timeouts (bsc#1172418).
- commit 6e0d45d
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: fix call trace in device discovery
  (bsc#1172418).
- commit f73cabc
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: fix controller lockup observed during force
  reboot (bsc#1172418).
- commit 37711c1
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: bump version to 1.2.16-010 (bsc#1172418).
- commit fff82bf
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: add RAID bypass counter (bsc#1172418).
- commit 1e77451
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: support device deletion via sysfs (bsc#1172418).
- commit 4644dbe
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: avoid crashing kernel for controller issues
  (bsc#1172418).
- commit 29e8d33
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: update logical volume size after expansion
  (bsc#1172418).
- commit a62d395
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: add id support for SmartRAID 3152-8i (bsc#1172418).
- commit da8d55e
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: identify physical devices without issuing INQUIRY
  (bsc#1172418).
- commit 3bfc0f7
* Fri Aug 14 2020 msuchanek@suse.de
- powerpc/nvdimm: use H_SCM_QUERY hcall on H_OVERLAP error
  (bsc#1175284).
- powerpc/nvdimm: Use HCALL error as the return value
  (bsc#1175284).
- commit 4c87d0d
* Fri Aug 14 2020 wqu@suse.com
- btrfs: inode: fix NULL pointer dereference if inode doesn't
  need compression (bsc#1174484).
- commit ab84025
* Wed Aug 12 2020 msuchanek@suse.de
- ibmveth: Fix use of ibmveth in a bridge (bsc#1174387
  ltc#187506).
- commit dcc6070
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix page leaks after failure to lock page for delalloc
  (bsc#1175149).
- commit 9947a9f
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix double free on ulist after backref resolution failure
  (bsc#1175149).
- commit 612a743
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix fatal extent_buffer readahead vs releasepage race
  (bsc#1175149).
- commit 7a8c60f
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix bytes_may_use underflow when running balance and
  scrub in parallel (bsc#1175149).
- commit a6a0ecc
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix data block group relocation failure due to concurrent
  scrub (bsc#1175149).
- commit 8ea644f
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix race between block group removal and block group
  creation (bsc#1175149).
- commit c5f9c13
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix a block group ref counter leak after failure to
  remove block group (bsc#1175149).
- commit f011828
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix block group leak when removing fails (bsc#1175149).
- commit b35d144
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix space_info bytes_may_use underflow during space
  cache writeout (bsc#1175149).
- commit c399475
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix space_info bytes_may_use underflow after nocow
  buffered write (bsc#1175149).
- commit 59fd31a
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix wrong file range cleanup after an error filling
  dealloc range (bsc#1175149).
- commit 4e7b9f7
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix corrupt log due to concurrent fsync of inodes with
  shared extents (bsc#1175149).
- Refresh
  patches.suse/0002-btrfs-qgroup-try-to-flush-qgroup-space-when-we-get-E.patch.
- commit 8fd1d6a
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: Rename and export clear_btree_io_tree (bsc#1175149).
- commit 48c98d8
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: Open code btrfs_write_and_wait_marked_extents
  (bsc#1175149).
- commit 78da0b4
* Wed Aug 12 2020 tiwai@suse.de
- cfg80211: check vendor command doit pointer before use
  (git-fixes).
- drm/nouveau/fbcon: zero-initialise the mode_cmd2 structure
  (git-fixes).
- drm/nouveau/fbcon: fix module unload when fbcon init has failed
  for some reason (git-fixes).
- commit bb06c17
* Wed Aug 12 2020 tiwai@suse.de
- Delete patches.suse/DMAPI-work-around-12sp5.patch (bsc#1174734)
  The patch will be applied to only SLE12-SP5 directly, as DMAPI support
  is dropped from SLE15-*.
- commit 9f303b5
* Wed Aug 12 2020 jslaby@suse.cz
- vgacon: Fix for missing check in scrollback handling
  (bsc#1174205 CVE-2020-14331).
  Update upstream status.
  [mkoutny: Cherry-picked from c83225cb749 which was in lost empty merge
    b85afbddf3f]
- vgacon: Fix for missing check in scrollback handling
  (bsc#1174205 CVE-2020-14331).
  Update upstream status.
- commit ea00134
* Tue Aug 11 2020 msuchanek@suse.de
- powerpc/pseries/hotplug-cpu: Remove double free in error path
  (bsc#1065729).
- powerpc/boot: Fix CONFIG_PPC_MPC52XX references (bsc#1065729).
- powerpc: Allow 4224 bytes of stack expansion for the signal
  frame (bsc#1065729).
- powerpc/book3s64/pkeys: Use PVR check instead of cpu feature
  (bsc#1065729).
- powerpc/vdso: Fix vdso cpu truncation (bsc#1065729).
- powerpc/rtas: don't online CPUs for partition suspend
  (bsc#1065729).
- powerpc/pseries: remove cede offline state for CPUs
  (bsc#1065729).
- ibmvnic: Fix IRQ mapping disposal in error path (bsc#1175112
  ltc#187459).
- powerpc/64s: Fix early_init_mmu section mismatch (bsc#1065729).
- commit 5b85453
* Tue Aug 11 2020 tiwai@suse.de
- firmware: google: increment VPD key_len properly (git-fixes).
- commit 6df01e1
* Tue Aug 11 2020 ailiop@suse.com
- nvme: explicitly update mpath disk capacity on revalidation
  (git-fixes).
- Refresh
  patches.suse/nvme-do-not-update-multipath-disk-information-if-the.patch.
- commit 1b8b79c
* Tue Aug 11 2020 ailiop@suse.com
- nvme: fix possible deadlock when I/O is blocked (git-fixes).
- Refresh
  patches.suse/nvme-do-not-update-multipath-disk-information-if-the.patch.
- commit 8db15e5
* Tue Aug 11 2020 tiwai@suse.de
- PCI: switchtec: Add missing __iomem tag to fix sparse warnings
  (git-fixes).
- PCI: switchtec: Add missing __iomem and __user tags to fix
  sparse warnings (git-fixes).
- PCI: Release IVRS table in AMD ACS quirk (git-fixes).
- PCI: Fix pci_cfg_wait queue locking problem (git-fixes).
- PCI/ASPM: Add missing newline in sysfs 'policy' (git-fixes).
- media: exynos4-is: Add missed check for pinctrl_lookup_state()
  (git-fixes).
- media: firewire: Using uninitialized values in node_probe()
  (git-fixes).
- media: omap3isp: Add missed v4l2_ctrl_handler_free() for
  preview_init_entities() (git-fixes).
- integrity: remove redundant initialization of variable ret
  (git-fixes).
- clk: spear: Remove uninitialized_var() usage (git-fixes).
- clk: st: Remove uninitialized_var() usage (git-fixes).
- rtlwifi: rtl8192cu: Remove uninitialized_var() usage
  (git-fixes).
- PCI: hotplug: ACPI: Fix context refcounting in
  acpiphp_grab_context() (git-fixes).
- mac80211: mesh: Free pending skb when destroying a mpath
  (git-fixes).
- mac80211: mesh: Free ie data when leaving mesh (git-fixes).
- staging: comedi: addi_apci_1564: check INSN_CONFIG_DIGITAL_TRIG
  shift (git-fixes).
- staging: comedi: addi_apci_1500: check INSN_CONFIG_DIGITAL_TRIG
  shift (git-fixes).
- staging: comedi: addi_apci_1032: check INSN_CONFIG_DIGITAL_TRIG
  shift (git-fixes).
- staging: comedi: ni_6527: fix INSN_CONFIG_DIGITAL_TRIG support
  (git-fixes).
- AX.25: Prevent integer overflows in connect and sendmsg
  (git-fixes).
- AX.25: Prevent out-of-bounds read in ax25_sendmsg() (git-fixes).
- AX.25: Fix out-of-bounds read in ax25_connect() (git-fixes).
- nfc: nci: add missed destroy_workqueue in nci_register_device
  (git-fixes).
- ax88172a: fix ax88172a_unbind() failures (git-fixes).
- ASoC: rt5670: Correct RT5670_LDO_SEL_MASK (git-fixes).
- phy: sun4i-usb: fix dereference of pointer phy0 before it is
  null checked (git-fixes).
- dmaengine: fsl-edma: Fix NULL pointer exception in
  fsl_edma_tx_handler (git-fixes).
- Staging: rtl8723bs: prevent buffer overflow in
  update_sta_support_rate() (git-fixes).
- NTB: ntb_transport: Use scnprintf() for avoiding potential
  buffer overflow (git-fixes).
- NTB: Fix an error in get link status (git-fixes).
- staging/speakup: fix get_word non-space look-ahead (git-fixes).
- firmware: google: check if size is valid when decoding VPD data
  (git-fixes).
- ntb_netdev: fix sleep time mismatch (git-fixes).
- commit db0aa16
* Tue Aug 11 2020 tiwai@suse.de
- pinctrl: single: fix function name in documentation (git-fixes).
- pinctrl-single: fix pcs_parse_pinconf() return value
  (git-fixes).
- power: supply: check if calc_soc succeeded in
  pm860x_init_battery (git-fixes).
- staging: rtl8192u: fix a dubious looking mask before a shift
  (git-fixes).
- wl1251: fix always return 0 error (git-fixes).
- liquidio: Fix wrong return value in cn23xx_get_pf_num()
  (git-fixes).
- Bluetooth: Fix update of connection state in `hci_encrypt_cfm`
  (git-fixes).
- mwifiex: Prevent memory corruption handling keys (git-fixes).
- drm/etnaviv: Fix error path on failure to enable bus clk
  (git-fixes).
- drm/imx: imx-ldb: Disable both channels for split mode in
  enc->disable() (git-fixes).
- drm/imx: tve: fix regulator_disable error path (git-fixes).
- drm/imx: fix use after free (git-fixes).
- drm/bridge: sil_sii8620: initialize return of sii8620_readb
  (git-fixes).
- drm: panel: simple: Fix bpc for LG LB070WV8 panel (git-fixes).
- drm/mipi: use dcs write for mipi_dsi_dcs_set_tear_scanline
  (git-fixes).
- agp/intel: Fix a memory leak on module initialisation failure
  (git-fixes).
- drm/radeon: fix array out-of-bounds read and write issues
  (git-fixes).
- drm/panel: otm8009a: Drop unnessary
  backlight_device_unregister() (git-fixes).
- drm/arm: fix unintentional integer overflow on left shift
  (git-fixes).
- video: pxafb: Fix the function used to balance a
  'dma_alloc_coherent()' call (git-fixes).
- console: newport_con: fix an issue about leak related system
  resources (git-fixes).
- video: fbdev: sm712fb: fix an issue about iounmap for a wrong
  address (git-fixes).
- leds: core: Flush scheduled work for system suspend (git-fixes).
- leds: wm831x-status: fix use-after-free on unbind (git-fixes).
- leds: lm3533: fix use-after-free on unbind (git-fixes).
- leds: da903x: fix use-after-free on unbind (git-fixes).
- leds: 88pm860x: fix use-after-free on unbind (git-fixes).
- leds: lm355x: avoid enum conversion warning (git-fixes).
- USB: serial: iuu_phoenix: fix led-activity helpers (git-fixes).
- USB: serial: cp210x: re-enable auto-RTS on open (git-fixes).
- USB: serial: cp210x: enable usb generic throttle/unthrottle
  (git-fixes).
- usbip: tools: fix module name in man page (git-fixes).
- driver core: Avoid binding drivers to dead devices (git-fixes).
- devres: keep both device name and resource name in pretty name
  (git-fixes).
- spi: davinci: Remove uninitialized_var() usage (git-fixes).
- b43: Remove uninitialized_var() usage (git-fixes).
- spi: sun4i: update max transfer size reported (git-fixes).
- spi: lantiq: fix: Rx overflow error in full duplex mode
  (git-fixes).
- regulator: gpio: Honor regulator-boot-on property (git-fixes).
- platform/x86: intel-vbtn: Fix return value check in
  check_acpi_dev() (git-fixes).
- platform/x86: intel-hid: Fix return value check in
  check_acpi_dev() (git-fixes).
- crypto: qat - fix double free in qat_uclo_create_batch_init_list
  (git-fixes).
- crypto: ccp - Fix use of merged scatterlists (git-fixes).
- crypto: cpt - don't sleep of CRYPTO_TFM_REQ_MAY_SLEEP was not
  specified (git-fixes).
- net: lan78xx: fix transfer-buffer memory leak (git-fixes).
- net: lan78xx: add missing endpoint sanity check (git-fixes).
- drm/amdgpu: Prevent kernel-infoleak in amdgpu_info_ioctl()
  (git-fixes).
- usb: xhci-mtk: fix the failure of bandwidth allocation
  (git-fixes).
- commit b96c079
* Mon Aug 10 2020 lhenriques@suse.de
- blacklist.conf: added a few fuse-related commits
- commit 789ccd4
* Mon Aug 10 2020 lhenriques@suse.de
- fuse: Fix parameter for FS_IOC_{GET,SET}FLAGS (bsc#1175062).
- commit 9c7dfed
* Mon Aug 10 2020 lhenriques@suse.de
- fuse: fix weird page warning (bsc#1175063).
- fuse: verify nlink (bsc#1175067).
- fuse: verify attributes (bsc#1175066).
- commit 1e197fe
* Mon Aug 10 2020 lhenriques@suse.de
- fuse: truncate pending writes on O_TRUNC (bsc#1175065).
- fuse: flush dirty data/metadata before non-truncate setattr
  (bsc#1175064).
- commit 10d83de
* Mon Aug 10 2020 oneukum@suse.com
- USB: iowarrior: fix up report size handling for some devices
  (git-fixes).
- commit 1e8edc0
* Mon Aug 10 2020 jslaby@suse.cz
- Delete patches.suse/vxlan-fix-tos-value-before-xmit.patch.
- blacklist.conf: add it there
  This one was reverted upstream.
- commit cb7b23d
* Mon Aug 10 2020 oneukum@suse.com
- go7007: add sanity checking for endpoints (git-fixes).
- commit b93e956
* Mon Aug 10 2020 tiwai@suse.de
- Reorder / update the already upstreamed patches
- commit 8514a11
* Mon Aug 10 2020 tiwai@suse.de
- ALSA: usb-audio: fix overeager device match for MacroSilicon
  MS2109 (bsc#1174625).
- commit 66d965c
* Mon Aug 10 2020 glin@suse.com
- bpf: Fix map leak in HASH_OF_MAPS map (git-fixes).
- commit dfb32f3
* Mon Aug 10 2020 neilb@suse.de
- VFS: Check rename_lock in lookup_fast() (bsc#1174734).
- commit 3c8e73b
* Mon Aug 10 2020 ghe@suse.com
- ocfs2: fix remounting needed after setfacl command
  (bsc#1173954).
- commit cf3157d
* Fri Aug  7 2020 tiwai@suse.de
- ALSA: pci: delete repeated words in comments (bsc#1111666).
- ASoC: hda/tegra: Set buffer alignment to 128 bytes
  (bsc#1111666).
- ALSA: seq: oss: Serialize ioctls (bsc#1111666).
- ALSA: usb-audio: add startech usb audio dock name (bsc#1111666).
- ALSA: usb-audio: Add support for Lenovo ThinkStation P620
  (bsc#1111666).
- ALSA: hda: fix snd_hda_codec_cleanup() documentation
  (bsc#1111666).
- Revert "ALSA: hda: call runtime_allow() for all hda controllers"
  (bsc#1111666).
- ALSA: hda/ca0132 - Fix AE-5 microphone selection commands
  (bsc#1111666).
- ALSA: hda/ca0132 - Add new quirk ID for Recon3D (bsc#1111666).
- ALSA: hda/ca0132 - Fix ZxR Headphone gain control get value
  (bsc#1111666).
- ALSA: usb-audio: endpoint : remove needless check before
  usb_free_coherent() (bsc#1111666).
- ALSA: hda: Add support for Loongson 7A1000 controller
  (bsc#1111666).
- ALSA: usb/line6: remove 'defined but not used' warning
  (bsc#1111666).
- ALSA: core: pcm_iec958: fix kernel-doc (bsc#1111666).
- ALSA: hda/realtek: Add alc269/alc662 pin-tables for Loongson-3
  laptops (bsc#1111666).
- commit 19f088b
* Fri Aug  7 2020 mbrugger@suse.com
- ACPI: kABI fixes for subsys exports (bsc#1174968).
- commit 604db2c
* Fri Aug  7 2020 palcantara@suse.de
- cifs: document and cleanup dfs mount (bsc#1144333 bsc#1172428).
- commit 89514e7
* Fri Aug  7 2020 palcantara@suse.de
- cifs: only update prefix path of DFS links in
  cifs_tree_connect() (bsc#1144333 bsc#1172428).
- commit 963e9d6
* Fri Aug  7 2020 palcantara@suse.de
- cifs: fix double free error on share and prefix (bsc#1144333
  bsc#1172428).
- commit de2ec4b
* Fri Aug  7 2020 palcantara@suse.de
- cifs: handle RESP_GET_DFS_REFERRAL.PathConsumed in reconnect
  (bsc#1144333 bsc#1172428).
- commit 5a089b8
* Fri Aug  7 2020 palcantara@suse.de
- cifs: handle empty list of targets in cifs_reconnect()
  (bsc#1144333 bsc#1172428).
- commit 459b302
* Fri Aug  7 2020 palcantara@suse.de
- cifs: rename reconn_inval_dfs_target() (bsc#1144333
  bsc#1172428).
- commit 2efffd0
* Fri Aug  7 2020 palcantara@suse.de
- cifs: reduce number of referral requests in DFS link lookups
  (bsc#1144333 bsc#1172428).
- commit 387fb4e
* Fri Aug  7 2020 palcantara@suse.de
- cifs: merge __{cifs,smb2}_reconnect[_tcon]() into
  cifs_tree_connect() (bsc#1144333 bsc#1172428).
- commit bd76b86
* Thu Aug  6 2020 mbrugger@suse.com
- ACPI: PM: Introduce "poweroff" callbacks for ACPI PM domain
  and LPSS (bsc#1174968).
- ACPI: PM: Simplify and fix PM domain hibernation callbacks
  (bsc#1174968).
- ACPI / LPSS: Use acpi_lpss_* instead of acpi_subsys_* functions
  for hibernate (bsc#1174968).
- ACPI / LPSS: Resume BYT/CHT I2C controllers from resume_noirq
  (bsc#1174968).
- commit eddcba7
* Thu Aug  6 2020 martin.wilck@suse.com
- nvme-multipath: round-robin: eliminate "fallback" variable
  (bsc#1172108).
- commit e730137
* Thu Aug  6 2020 martin.wilck@suse.com
- nvme: multipath: round-robin: fix single non-optimized path case
  (bsc#1172108).
- commit 3d93959
* Wed Aug  5 2020 lyan@suse.com
- KVM: arm64: Stop clobbering x0 for HVC_SOFT_RESTART
  (bsc#1133021).
- KVM: arm: Make inject_abt32() inject an external abort instead
  (bsc#1133021).
- KVM: arm: Fix DFSR setting for non-LPAE aarch32 guests
  (bsc#1133021).
- KVM: arm/arm64: Fix young bit from mmu notifier (bsc#1133021).
- KVM: arm/arm64: vgic-its: Fix restoration of unmapped
  collections (bsc#1133021).
- KVM: Check for a bad hva before dropping into the ghc slow path
  (bsc#1133021).
- KVM: arm64: Ensure 'params' is initialised when looking up
  sys register (bsc#1133021).
- KVM: arm/arm64: vgic: Don't rely on the wrong pending table
  (bsc#1133021).
- kvm: Change offset in kvm_write_guest_offset_cached to unsigned
  (bsc#1133021).
- arm64: KVM: Avoid setting the upper 32 bits of VTCR_EL2 to 1
  (bsc#1133021).
- ARM: spectre-v2: KVM: invalidate icache on guest exit for
  Brahma B15 (bsc#1133021).
- ARM: KVM: invalidate icache on guest exit for Cortex-A15
  (bsc#1133021).
- ARM: KVM: invalidate BTB on guest exit for Cortex-A12/A17
  (bsc#1133021).
  Refresh:
  patches.suse/ARM-KVM-Add-SMCCC_ARCH_WORKAROUND_1-fast-handling.patch
  patches.suse/KVM-arm-arm64-vgic-its-Take-the-srcu-lock-when-writi.patch
- commit 8dac560
* Wed Aug  5 2020 tabraham@suse.com
- s390, dcssblk: kaddr and pfn can be NULL to ->direct_access()
  (bsc#1174873).
- commit d17c8b4
* Wed Aug  5 2020 lhenriques@suse.de
- fuse: fix memleak in cuse_channel_open (bsc#1174926).
- fuse: fix missing unlock_page in fuse_writepage() (bsc#1174904).
- commit c3d467d
* Wed Aug  5 2020 oneukum@suse.com
- usb: xhci: Fix ASM2142/ASM3142 DMA addressing (git-fixes).
- commit 76f7eb8
* Wed Aug  5 2020 tiwai@suse.de
- Revert pciehp patches that broke booting (bsc#1174887)
  Delete:
  patches.suse/PCI-pciehp-Fix-indefinite-wait-on-sysfs-requests.patch
  patches.suse/PCI-pciehp-Support-interrupts-sent-from-D3hot.patch
  Refresh:
  patches.suse/0001-PCI-pciehp-Avoid-returning-prematurely-from-sysfs-re.patch
  patches.suse/0001-PCI-pciehp-Do-not-handle-events-if-interrupts-are-ma.patch
  patches.suse/0001-PCI-pciehp-Fix-hot-add-vs-powerfault-detection-order.patch
  patches.suse/0001-PCI-pciehp-Unify-controller-and-slot-structs.patch
  patches.suse/pci-pciehp-fix-msi-interrupt-race
- commit a52d47d
* Wed Aug  5 2020 wqu@suse.com
- btrfs: qgroup: remove ASYNC_COMMIT mechanism in favor of
  reserve retry-after-EDQUOT (bsc#1120163).
- Delete
  patches.suse/0001-btrfs-qgroup-Make-qgroup-async-transaction-commit-mo.patch.
- commit f7f31ff
* Wed Aug  5 2020 wqu@suse.com
- btrfs: qgroup: try to flush qgroup space when we get  -EDQUOT
  (bsc#1120163).
- commit d99d6be
* Wed Aug  5 2020 wqu@suse.com
- btrfs: qgroup: allow to unreserve range without releasing
  other ranges (bsc#1120163).
- Refresh
  patches.suse/btrfs-qgroups-fix-rescan-worker-running-races.patch.
- commit 837b275
* Wed Aug  5 2020 wqu@suse.com
- btrfs: qgroup: fix data leak caused by race between writeback
  and truncate (bsc#1172247).
- commit 25d680c
* Wed Aug  5 2020 wqu@suse.com
- btrfs: change timing for qgroup reserved space for  ordered
  extents to fix reserved space leak (bsc#1172247).
- commit c7daed7
* Wed Aug  5 2020 wqu@suse.com
- btrfs: file: reserve qgroup space after the hole punch  range
  is locked (bsc#1172247).
- commit dd54360
* Wed Aug  5 2020 wqu@suse.com
- btrfs: inode: move qgroup reserved space release to the  callers
  of insert_reserved_file_extent() (bsc#1172247).
- commit 5680ea2
* Wed Aug  5 2020 wqu@suse.com
- btrfs: inode: refactor the parameters of
  insert_reserved_file_extent() (bsc#1172247).
- commit d1cb567
* Wed Aug  5 2020 wqu@suse.com
- btrfs: make btrfs_ordered_extent naming consistent with
  btrfs_file_extent_item (bsc#1172247).
- commit c8af3a9
* Tue Aug  4 2020 tiwai@suse.de
- Refresh patches.suse/crypto-virtio-Fix-src-dst-scatterlist-calculation-in.patch
  Align with the original patch to fix the compile warning
- commit 95e6c15
* Tue Aug  4 2020 tiwai@suse.de
- vt_compat_ioctl(): clean up, use compat_ptr() properly
  (git-fixes).
- Refresh
  patches.suse/vt-vt_ioctl-remove-unnecessary-console-allocation-ch.patch.
- commit 9fbe369
* Tue Aug  4 2020 oneukum@suse.com
- vt: vt_ioctl: remove unnecessary console allocation checks
  (git-fixes).
- commit 2cc9174
* Tue Aug  4 2020 oneukum@suse.com
- crypto: virtio: Fix src/dst scatterlist calculation in
  __virtio_crypto_skcipher_do_req() (git-fixes).
- HID: hiddev: fix mess in hiddev_open() (git-fixes).
- commit 2f28840
* Tue Aug  4 2020 ykaukab@suse.de
- arm64: errata: Update stale comment (bsc#1174547).
- arm64: KVM: Guests can skip __install_bp_hardening_cb()s HYP work (bsc#1174547).
- commit c5d2e2d
* Tue Aug  4 2020 oneukum@suse.com
- blacklist.conf: prerequisite kills kABI
- commit 35a3b83
* Mon Aug  3 2020 jack@suse.cz
- fat: don't allow to mount if the FAT length == 0 (bsc#1174845).
- commit 9df210f
* Mon Aug  3 2020 jack@suse.cz
- dlm: remove BUG() before panic() (bsc#1174844).
- commit 202383f
* Mon Aug  3 2020 jack@suse.cz
- block: Fix use-after-free in blkdev_get() (bsc#1174843).
- commit dfc7be0
* Mon Aug  3 2020 jack@suse.cz
- propagate_one(): mnt_set_mountpoint() needs mount_lock
  (bsc#1174841).
- commit 3d6b142
* Mon Aug  3 2020 jack@suse.cz
- ext4: fix EXT_MAX_EXTENT/INDEX to check for zeroed eh_max
  (bsc#1174840).
- commit 15c5cfd
* Mon Aug  3 2020 tiwai@suse.de
- ALSA: hda/realtek: Fix add a "ultra_low_power" function for
  intel reference board (alc256) (bsc#1111666).
- commit 359198d
* Mon Aug  3 2020 tiwai@suse.de
- ALSA: hda/realtek - Fix Lenovo Thinkpad X1 Carbon 7th quirk
  subdevice id (bsc#1111666).
- ALSA: hda/realtek - Add quirk for Lenovo Carbon X1 8th gen
  (bsc#1111666).
- commit e6ecb12
* Mon Aug  3 2020 tiwai@suse.de
- ALSA: hda/realtek - Fixed HP right speaker no sound
  (bsc#1111666).
- ALSA: hda/realtek: Fixed ALC298 sound bug by adding quirk for
  Samsung Notebook Pen S (bsc#1111666).
- ALSA: hda/realtek - Enable Speaker for ASUS UX563 (bsc#1111666).
- ALSA: hda/realtek: Add mute LED and micmute LED support for
  HP systems (bsc#1111666).
- commit 53f928b
* Mon Aug  3 2020 tiwai@suse.de
- ALSA: hda/realtek - change to suitable link model for ASUS
  platform (bsc#1111666).
- commit d97f2da
* Mon Aug  3 2020 tiwai@suse.de
- ALSA: hda/realtek: typo_fix: enable headset mic of ASUS ROG
  Zephyrus G14(GA401) series with ALC289 (bsc#1111666).
- ALSA: hda/realtek: enable headset mic of ASUS ROG Zephyrus
  G15(GA502) series with ALC289 (bsc#1111666).
- ALSA: hda/realtek: Enable headset mic of Acer TravelMate
  B311R-31 with ALC256 (bsc#1111666).
- ALSA: hda/realtek: enable headset mic of ASUS ROG Zephyrus
  G14(G401) series with ALC289 (bsc#1111666).
- ALSA: hda/realtek: Enable headset mic of Acer Veriton N4660G
  with ALC269VC (bsc#1111666).
- ALSA: hda/realtek: Enable headset mic of Acer C20-820 with
  ALC269VC (bsc#1111666).
- ALSA: hda/realtek - Enable audio jacks of Acer vCopperbox with
  ALC269VC (bsc#1111666).
- commit 1fe1736
* Mon Aug  3 2020 tiwai@suse.de
- ALSA: hda/realtek - Check headset type by unplug and resume
  (bsc#1111666).
- commit b986a47
* Mon Aug  3 2020 tiwai@suse.de
- ALSA: hda/realtek - Add quirk for MSI GE63 laptop (bsc#1111666).
- commit d16d127
* Mon Aug  3 2020 tiwai@suse.de
- ALSA: hda/realtek - Add quirk for MSI GL63 (bsc#1111666).
- Refresh
  patches.suse/ALSA-hda-realtek-Fix-silent-output-on-Gigabyte-X57-2.patch.
- commit 1df0abc
* Mon Aug  3 2020 oneukum@suse.com
- crypto: talitos - check AES key size (git-fixes).
- commit dd49514
* Mon Aug  3 2020 oneukum@suse.com
- Refresh
  patches.suse/cdc-acm-Add-DISABLE_ECHO-quirk-for-Microchip-SMSC-ch.patch.
  fixed mix-up in commit ID
- commit 601d519
* Mon Aug  3 2020 lhenriques@suse.de
- blacklist.conf: mtd kernel-doc fixes
- commit 7b4e951
* Mon Aug  3 2020 oneukum@suse.com
- blacklist.conf: cleanup removing an EXPORT
- commit c88a3de
* Mon Aug  3 2020 lhenriques@suse.de
- blacklist.conf: iov_iter optimization patch
- commit f8de702
* Mon Aug  3 2020 oneukum@suse.com
- blacklist.conf: patch removes a driver
- commit ab82482
* Mon Aug  3 2020 jslaby@suse.cz
- Fix for missing check in vgacon scrollback handling (bsc#1174205
  CVE-2020-14331).
  Update to the latest findings/submission.
- commit 7ae4119
* Sun Aug  2 2020 tiwai@suse.de
- ALSA: hda: fix NULL pointer dereference during suspend
  (git-fixes).
- ALSA: hda: Workaround for spurious wakeups on some Intel
  platforms (git-fixes).
- commit 2d70d8d
* Fri Jul 31 2020 tiwai@suse.de
- random32: update the net random state on interrupt and activity
  (CVE-2020-16166 bsc#1174757).
- blacklist.conf: add two entries that are not needed for the fix above
- commit a09e2a2
* Thu Jul 30 2020 ykaukab@suse.de
- arm64/speculation: Support 'mitigations=' cmdline option (bsc#1174547).
  Refresh:
  patches.suse/0002-x86-speculation-Enable-Spectre-v1-swapgs-mitigations.patch
  patches.suse/0009-x86-speculation-taa-Add-documentation-for-TSX-Async-.patch
  patches.suse/x86-speculation-mds-add-mitigations-support-for-mds.patch
- arm64: ssbs: Don't treat CPUs with SSBS as unaffected by SSB (bsc#1174547).
- arm64: enable generic CPU vulnerabilites support (bsc#1174547).
  Update config/arm64/default
- arm64: add sysfs vulnerability show for speculative store bypass (bsc#1174547).
  Refresh:
  patches.suse/arm64-Handle-erratum-1418040-as-a-superset-of-erratu.patch
- arm64: Always enable ssb vulnerability detection (bsc#1174547).
  Refresh:
  patches.suse/arm64-Apply-ARM64_ERRATUM_1188873-to-Neoverse-N1.patch
  patches.suse/arm64-Handle-erratum-1418040-as-a-superset-of-erratu.patch
- arm64: add sysfs vulnerability show for spectre-v2 (bsc#1174547).
- arm64: Always enable spectre-v2 vulnerability detection (bsc#1174547).
  Refresh:
  patches.suse/arm64-errata-Hide-CTR_EL0.DIC-on-systems-affected-by.patch
- arm64: Use firmware to detect CPUs that are not affected by Spectre-v2 (bsc#1174547).
- arm64: Advertise mitigation of Spectre-v2, or lack thereof (bsc#1174547).
  Refresh:
  patches.suse/arm64-errata-Hide-CTR_EL0.DIC-on-systems-affected-by.patch
- arm64: add sysfs vulnerability show for meltdown (bsc#1174547).
- arm64: Add sysfs vulnerability show for spectre-v1 (bsc#1174547).
- arm64: Provide a command line to disable spectre_v2 mitigation (bsc#1174547).
- arm64: kpti: Whitelist HiSilicon Taishan v110 CPUs (bsc#1174547).
- arm64: Add MIDR encoding for HiSilicon Taishan CPUs (bsc#1174547).
- arm64: kpti: Update arm64_kernel_use_ng_mappings() when forced on (bsc#1174547).
- arm64: kpti: Avoid rewriting early page tables when KASLR is enabled (bsc#1174547).
- arm64: kpti: Whitelist Cortex-A CPUs that don't implement the CSV3 field (bsc#1174547).
- arm64: capabilities: Merge duplicate Cavium erratum entries (bsc#1174547).
- arm64: capabilities: Merge entries for ARM64_WORKAROUND_CLEAN_CACHE (bsc#1174547).
  Update config/arm64/default
  Refresh:
  patches.suse/arm64-Apply-ARM64_ERRATUM_1188873-to-Neoverse-N1.patch
  patches.suse/arm64-Handle-erratum-1418040-as-a-superset-of-erratu.patch
- arm64: errata: Don't define type field twice for arm64_errata entries (bsc#1174547).
- arm64: capabilities: Add NVIDIA Denver CPU to bp_harden list (bsc#1174547).
- arm64: Add MIDR encoding for NVIDIA CPUs (bsc#1174547).
- arm64: Get rid of __smccc_workaround_1_hvc_* (bsc#1174547).
- arm64: KVM: Use SMCCC_ARCH_WORKAROUND_1 for Falkor BP hardening (bsc#1174547).
  Refresh:
  patches.suse/0006-arm64-Add-ARCH_WORKAROUND_2-probing.patch
- commit 51fdc66
* Thu Jul 30 2020 oneukum@suse.com
- crypto: rockchip - fix scatterlist nents error (git-fixes).
- commit 8ee6615
* Thu Jul 30 2020 oneukum@suse.com
- crypto: talitos - fix ablkcipher for CONFIG_VMAP_STACK
  (git-fixes).
- commit 7b38c2f
* Thu Jul 30 2020 ghe@suse.com
- ocfs2: fix panic on nfs server over ocfs2 (bsc#1172963).
- ocfs2: load global_inode_alloc (bsc#1172963).
- ocfs2: avoid inode removal while nfsd is accessing it
  (bsc#1172963).
- commit 0bf6e24
* Thu Jul 30 2020 oneukum@suse.com
- fpga: dfl: fix bug in port reset handshake (git-fixes).
- commit 50915ee
* Thu Jul 30 2020 aherrmann@suse.com
- net: Fix a documentation bug wrt. ip_unprivileged_port_start (git-fixes).
  (SLES tuning guide refers to ip-sysctl.txt.)
- commit a363521
* Thu Jul 30 2020 oneukum@suse.com
- blacklist.conf: misattributed patch
- commit 608a7b8
* Thu Jul 30 2020 aherrmann@suse.com
- blacklist.conf: Add 98919f4c9a342 ("Documentation: debugfs: Document debugfs helper for unsigned long values")
- commit 4703efe
* Wed Jul 29 2020 dwagner@suse.de
- powerpc/pseries: PCIE PHB reset (bsc#1174689).
- powerpc/eeh: Fix pseries_eeh_configure_bridge() (bsc#1174689).
- commit e2b8089
* Wed Jul 29 2020 hare@suse.de
- nvme-multipath: do not fall back to __nvme_find_path() for non-optimized paths (bsc#1172108).
- nvme-multipath: fix logic for non-optimized paths (bsc#1172108).
- commit 1a5fcdf
* Wed Jul 29 2020 mbrugger@suse.com
- efi/memreserve: deal with memreserve entries in unmapped memory
  (bsc#1174685).
- commit 48c51d2
* Wed Jul 29 2020 mbrugger@suse.com
- bus: hisi_lpc: Add .remove method to avoid driver unbind crash
  (bsc#1174658).
- bus: hisi_lpc: Unregister logical PIO range to avoid potential
  use-after-free (bsc#1174658).
- lib: logic_pio: Add logic_pio_unregister_range() (bsc#1174658).
- lib: logic_pio: Avoid possible overlap for unregistering regions
  (bsc#1174658).
- lib: logic_pio: Fix RCU usage (bsc#1174658).
- bus: hisi_lpc: Don't fail probe for unrecognised child devices
  (bsc#1174658).
- HISI LPC: Re-Add ACPI child enumeration support (bsc#1174658).
- HISI LPC: Stop using MFD APIs (bsc#1174658).
- commit 5abae1d
* Wed Jul 29 2020 oneukum@suse.com
- crypto: stm32/crc32 - fix ext4 chksum BUG_ON() (git-fixes).
- commit f586772
* Wed Jul 29 2020 mbenes@suse.cz
- x86/unwind/orc: Fix ORC for newly forked tasks (bsc#1058115).
- commit 7b16fe6
* Tue Jul 28 2020 oneukum@suse.com
- blacklist.conf: fix for kbuild we do not need
- commit f3fa888
* Tue Jul 28 2020 oneukum@suse.com
- PCI: Fix "try" semantics of bus and slot reset (git-fixes).
- commit c3cfa33
* Tue Jul 28 2020 ykaukab@suse.de
- config: arm64: enable CONFIG_IOMMU_DEFAULT_PASSTHROUGH
  References: bsc#1174549
- commit 469045c
* Tue Jul 28 2020 oneukum@suse.com
- xhci: Fix enumeration issue when setting max packet size for
  FS devices (git-fixes).
- commit ccb6c41
* Tue Jul 28 2020 oneukum@suse.com
- cdc-acm: Add DISABLE_ECHO quirk for Microchip/SMSC chip
  (git-fixes).
- commit 00d2d67
* Tue Jul 28 2020 oneukum@suse.com
- io-mapping: indicate mapping failure (git-fixes).
- commit 3b5b068
* Tue Jul 28 2020 dmueller@suse.com
- rpm/kernel-obs-build.spec.in: Enable overlayfs
  Overlayfs is needed for podman or docker builds when no more specific
  driver can be used (like lvm or btrfs). As the default build fs is ext4
  currently, we need overlayfs kernel modules to be available.
- commit 29474aa
* Tue Jul 28 2020 jslaby@suse.cz
- vgacon: fix out of bounds write to the scrollback buffer
  (bsc#1174205 CVE-2020-14331).
- commit 8991ff6
* Tue Jul 28 2020 tiwai@suse.de
- Move kabi patch into the right place
- commit 7d2eade
* Tue Jul 28 2020 acho@suse.com
- Bluetooth: Disconnect if E0 is used for Level 4 (bsc#1171988
  CVE-2020-10135).
- Bluetooth: Consolidate encryption handling in hci_encrypt_cfm
  (bsc#1171988 CVE-2020-10135).
- commit 2668db1
* Tue Jul 28 2020 acho@suse.com
- scripts/git_sort/git_sort.py: add bluetooth/bluetooth-next.git repository
- commit f7fbbb2
* Mon Jul 27 2020 jslaby@suse.cz
- virtio: virtio_console: add missing MODULE_DEVICE_TABLE()
  for rproc serial (git-fixes).
- /dev/mem: Add missing memory barriers for devmem_inode
  (git-fixes).
- /dev/mem: Revoke mappings when a driver claims the region
  (git-fixes).
- Refresh
  patches.suse/0043-Restrict-dev-mem-and-dev-kmem-when-the-kernel-is-loc.patch.
- commit a545a34
* Mon Jul 27 2020 jslaby@suse.cz
- blacklist.conf: add 5fc6266af7b4
- commit 910ce97
* Mon Jul 27 2020 jslaby@suse.cz
- Delete
  patches.suse/tcp-md5-reject-TCP_MD5SIG-or-TCP_MD5SIG_EXT-on-estab.patch.
- blacklist.conf: add it
  It was later reverted in upstream as it caused problems on some BGP
  implementations.
- commit 558a304
* Mon Jul 27 2020 jslaby@suse.cz
- rtnetlink: Fix memory(net_device) leak when ->newlink fails
  (git-fixes).
- net: dsa: bcm_sf2: Fix node reference count (git-fixes).
- tty: hvc_console, fix crashes on parallel open/close
  (git-fixes).
- commit 04649c2
* Fri Jul 24 2020 tiwai@suse.de
- USB: serial: option: add Quectel EG95 LTE modem (bsc#1111666).
- USB: serial: ch341: add new Product ID for CH340 (bsc#1111666).
- USB: serial: option: add GosunCn GM500 series (bsc#1111666).
- USB: serial: cypress_m8: enable Simply Automated UPB PIM
  (bsc#1111666).
- Input: i8042 - add Lenovo XiaoXin Air 12 to i8042 nomux list
  (bsc#1111666).
- ALSA: usb-audio: add quirk for MacroSilicon MS2109
  (bsc#1111666).
- ALSA: opl3: fix infoleak in opl3 (bsc#1111666).
- ALSA: hda - let hs_mic be picked ahead of hp_mic (bsc#1111666).
- i2c: eg20t: Load module automatically if ID matches
  (bsc#1111666).
- tpm_tis: extra chip->ops check on error path in
  tpm_tis_core_init (bsc#1111666).
- spi: spidev: fix a race between spidev_release and spidev_remove
  (bsc#1111666).
- ACPI: video: Use native backlight on Acer TravelMate 5735Z
  (bsc#1111666).
- ACPI: video: Use native backlight on Acer Aspire 5783z
  (bsc#1111666).
- mmc: sdhci: do not enable card detect interrupt for gpio cd type
  (bsc#1111666).
- spi: fix initial SPI_SR value in spi-fsl-dspi (bsc#1111666).
- commit 9c89246
* Fri Jul 24 2020 tbogendoerfer@suse.de
- IB/hfi1: Do not destroy link_wq when the device is shut down
  (bsc#1174409).
- IB/hfi1: Do not destroy hfi1_wq when the device is shut down
  (bsc#1174409).
- commit 7cc42e6
* Fri Jul 24 2020 tiwai@suse.de
- chardev: Avoid potential use-after-free in 'chrdev_open()'
  (CVE-2020-0305, bsc#1174462).
- commit 03ef25c
* Fri Jul 24 2020 tiwai@suse.de
- Update patch reference tag for cdev security fix (CVE-2020-0305, bsc#1174462)
- commit 14b2b65
* Fri Jul 24 2020 ohering@suse.de
- PCI: hv: Retry PCI bus D0 entry on invalid device state
  (bsc#1172871, bsc#1172872).
- PCI: hv: Fix the PCI HyperV probe failure path to release
  resource properly (bsc#1172871, bsc#1172872).
- hv_netvsc: Fix netvsc_start_xmit's return type (git-fixes).
- commit d1e4856
* Fri Jul 24 2020 ohering@suse.de
- kabi: hv: prevent struct device_node to become defined
  (bsc#1172871).
- PCI: hv: Introduce hv_msi_entry (bsc#1172871, bsc#1172872).
- commit 234c01a
* Fri Jul 24 2020 ohering@suse.de
- PCI: hv: Move retarget related structures into tlfs header
  (bsc#1172871, bsc#1172872).
- PCI: hv: Move hypercall related definitions into tlfs header
  (bsc#1172871, bsc#1172872).
- PCI: hv: Change pci_protocol_version to per-hbus (bsc#1172871,
  bsc#1172872).
- commit daf115f
* Fri Jul 24 2020 ohering@suse.de
- PCI: hv: Reorganize the code in preparation of hibernation
  (bsc#1172871, bsc#1172872).
- Refresh
  patches.suse/msft-hv-2032-PCI-hv-Decouple-the-func-definition-in-hv_dr_state-f.patch.
- commit ae41dfe
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: fix RWF_NOWAIT writes blocking on extent locks and
  waiting for IO (bsc#1174438).
- commit 3b38225
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: fix RWF_NOWAIT write not failling when we need to cow
  (bsc#1174438).
- commit 3020a52
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: fix failure of RWF_NOWAIT write into prealloc extent
  beyond eof (bsc#1174438).
- commit 8a30a2b
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: fix hang on snapshot creation after RWF_NOWAIT write
  (bsc#1174438).
- commit 5728ed8
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: drop argument tree from
  btrfs_lock_and_flush_ordered_range (bsc#1174438).
- commit 5f13681
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: add assertions for tree == inode->io_tree to extent IO
  helpers (bsc#1174438).
- commit fa5d996
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: use correct count in btrfs_file_write_iter()
  (bsc#1174438).
- commit 826b6c7
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: fix extent_state leak in
  btrfs_lock_and_flush_ordered_range (bsc#1174438).
- commit d3ef5d1
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: Return EAGAIN if we can't start no snpashot write in
  check_can_nocow (bsc#1174438).
- commit 467b7f4
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: Always use a cached extent_state in
  btrfs_lock_and_flush_ordered_range (bsc#1174438).
- commit 860c5a2
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: Use newly introduced btrfs_lock_and_flush_ordered_range
  (bsc#1174438).
- commit 733c29d
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: add new helper btrfs_lock_and_flush_ordered_range
  (bsc#1174438).
- commit c127de2
* Thu Jul 23 2020 oneukum@suse.com
- HID: magicmouse: do not set up autorepeat (git-fixes).
- commit cc5bab2
* Thu Jul 23 2020 oneukum@suse.com
- crypto: talitos - reorder code in talitos_edesc_alloc()
  (git-fixes).
- commit 7ab7da7
* Thu Jul 23 2020 oneukum@suse.com
- blacklist.conf: cleanup removing unused symbols
- commit 9829d77
* Thu Jul 23 2020 oneukum@suse.com
- crypto: talitos - fix IPsec cipher in length (git-fixes).
- commit 4185d3f
* Thu Jul 23 2020 oneukum@suse.com
- input: i8042 - Remove special PowerPC handling (git-fixes).
- commit a8b03d9
* Thu Jul 23 2020 oneukum@suse.com
- media: cec: silence shift wrapping warning in
  __cec_s_log_addrs() (git-fixes).
- commit 6f9166a
* Thu Jul 23 2020 jslaby@suse.cz
- kABI: reintroduce inet_hashtables.h include to l2tp_ip (kabi).
- commit 9e32359
* Thu Jul 23 2020 jslaby@suse.cz
- l2tp: add sk_family checks to l2tp_validate_socket
  (networking-stable-20_06_07).
- l2tp: do not use inet_hash()/inet_unhash()
  (networking-stable-20_06_07).
- devinet: fix memleak in inetdev_init()
  (networking-stable-20_06_07).
- net/mlx5: Fix crash upon suspend/resume
  (networking-stable-20_06_07).
- net: be more gentle about silly gso requests coming from user
  (networking-stable-20_06_07).
- vsock: fix timeout in vsock_accept()
  (networking-stable-20_06_07).
- net: usb: qmi_wwan: add Telit LE910C1-EUX composition
  (networking-stable-20_06_07).
- net: check untrusted gso_size at kernel entry
  (networking-stable-20_06_07).
- net: usb: qmi_wwan: add Telit 0x1050 composition
  (networking-stable-20_06_07).
- commit c35e706
* Wed Jul 22 2020 tbogendoerfer@suse.de
- nfp: bpf: fix code-gen bug on BPF_ALU | BPF_XOR | BPF_K
  (git-fixes).
- Refresh
  patches.suse/0001-nfp-bpf-fix-ALU32-high-bits-clearance-bug.patch.
- commit 3507d98
* Wed Jul 22 2020 tbogendoerfer@suse.de
- ipvlan: call dev_change_flags when ipvlan mode is reset
  (git-fixes).
- Refresh
  patches.suse/ipvlan-l3mdev-fix-broken-l3s-mode-wrt-local-routes.patch.
- commit 530c0ee
* Wed Jul 22 2020 tbogendoerfer@suse.de
- mlxsw: spectrum_router: Remove inappropriate usage of WARN_ON()
  (git-fixes).
- bnxt_en: fix NULL dereference in case SR-IOV configuration fails
  (git-fixes).
- net: qed: fix excessive QM ILT lines consumption (git-fixes).
- net: qed: fix NVMe login fails over VFs (git-fixes).
- net: qede: stop adding events on an already destroyed workqueue
  (git-fixes).
- vxlan: Avoid infinite loop when suppressing NS messages with
  invalid options (git-fixes).
- qlcnic: fix missing release in qlcnic_83xx_interrupt_test
  (git-fixes).
- net/mlx4_core: fix a memory leak bug (git-fixes).
- net/cxgb4: Check the return from t4_query_params properly
  (git-fixes).
- net: ena: fix continuous keep-alive resets (git-fixes).
- net: ena: avoid memory access violation by validating req_id
  properly (git-fixes).
- net: ena: ena-com.c: prevent NULL pointer dereference
  (git-fixes).
- net: ena: ethtool: use correct value for crc32 hash (git-fixes).
- net: ena: make ena rxfh support ETH_RSS_HASH_NO_CHANGE
  (git-fixes).
- net: ena: fix corruption of dev_idx_to_host_tbl (git-fixes).
- net: ena: fix incorrectly saving queue numbers when setting
  RSS indirection table (git-fixes).
- net: ena: rss: store hash function as values and not bits
  (git-fixes).
- net: ena: rss: fix failure to get indirection table (git-fixes).
- net: ena: rss: do not allocate key when not supported
  (git-fixes).
- net: ena: fix incorrect default RSS key (git-fixes).
- net: ena: add missing ethtool TX timestamping indication
  (git-fixes).
- net: ena: fix uses of round_jiffies() (git-fixes).
- net: ena: fix potential crash when rxfh key is NULL (git-fixes).
- mlxsw: spectrum_dpipe: Add missing error path (git-fixes).
- bnxt_en: Fix ipv6 RFS filter matching logic (git-fixes).
- ixgbevf: Remove limit of 10 entries for unicast filter list
  (git-fixes).
- net: ena: fix issues in setting interrupt moderation params
  in ethtool (git-fixes).
- net: ena: fix default tx interrupt moderation interval
  (git-fixes).
- mvpp2: remove misleading comment (git-fixes).
- net/mlx5e: Fix traffic duplication in ethtool steering
  (git-fixes).
- net: ena: don't wake up tx queue when down (git-fixes).
- net: ena: fix retrieval of nonadaptive interrupt moderation
  intervals (git-fixes).
- net: ena: reimplement set/get_coalesce() (git-fixes).
- net: ena: add intr_moder_rx_interval to struct ena_com_dev
  and use it (git-fixes).
- net/mlx5e: Remove unnecessary clear_bit()s (git-fixes).
- net/mlx5e: ethtool, Fix a typo in WOL function names
  (git-fixes).
- i40e: reduce stack usage in i40e_set_fc (git-fixes).
- qed: reduce maximum stack frame size (git-fixes).
- bnxt_en: Fix handling FRAG_ERR when NVM_INSTALL_UPDATE cmd fails
  (git-fixes).
- net: mvmdio: allow up to four clocks to be specified for
  orion-mdio (git-fixes).
- bnxt_en: Fix ethtool selftest crash under error conditions
  (git-fixes).
- net: mvpp2: prs: Don't override the sign bit in SRAM parser
  shift (git-fixes).
- be2net: fix link failure after ethtool offline test (git-fixes).
- mlxsw: spectrum: Disallow prio-tagged packets when PVID is
  removed (git-fixes).
- mlxsw: spectrum_router: Refresh nexthop neighbour when it
  becomes dead (git-fixes).
- net: ipvlan: Fix ipvlan device tso disabled while
  NETIF_F_IP_CSUM is set (git-fixes).
- mlxsw: spectrum: Prevent force of 56G (git-fixes).
- mlxsw: core: Do not use WQ_MEM_RECLAIM for mlxsw workqueue
  (git-fixes).
- mlxsw: core: Do not use WQ_MEM_RECLAIM for mlxsw ordered
  workqueue (git-fixes).
- mlxsw: spectrum_switchdev: Add MDB entries in prepare phase
  (git-fixes).
- net/mlx5: Avoid panic when setting vport rate (git-fixes).
- mlxsw: spectrum_switchdev: Do not treat static FDB entries as
  sticky (git-fixes).
- mlxsw: pci: Return error on PCI reset timeout (git-fixes).
- net/mlx5: Continue driver initialization despite debugfs failure
  (git-fixes).
- net/mlx4_core: drop useless LIST_HEAD (git-fixes).
- commit 1969d1b
* Wed Jul 22 2020 oneukum@suse.com
- PM / Domains: Allow genpd users to specify default active
  wakeup behavior (git-fixes).
- commit 90c3d1a
* Wed Jul 22 2020 tiwai@suse.de
- Drop another USB dwc3 gadget patch that broke the build
- commit 16125fb
* Wed Jul 22 2020 oneukum@suse.com
- usb: dwc3: gadget: introduce cancelled_list (git-fixes).
- blacklist.conf: a patch now needed for other patches
- commit 053d0de
* Wed Jul 22 2020 jslaby@suse.cz
- bnxt_en: Fix AER reset logic on 57500 chips (git-fixes).
- commit 0366b72
* Wed Jul 22 2020 tiwai@suse.de
- Drop USB dwc3 gadget patch that broke the build on openSUSE-15.1 branch
- commit 7630c3f
* Tue Jul 21 2020 tiwai@suse.de
- PCI/AER: Remove HEST/FIRMWARE_FIRST parsing for AER ownership
  (bsc#1174356).
- commit b20389f
* Tue Jul 21 2020 tiwai@suse.de
- pci: Revive pci_dev __aer_firmware_first* fields for kABI
  (bsc#1174356).
- commit bdde1dc
* Tue Jul 21 2020 tiwai@suse.de
- PCI/AER: Use only _OSC to determine AER ownership (bsc#1174356).
- commit c94e0e4
* Tue Jul 21 2020 oneukum@suse.com
- padata: reorder work kABI fixup (git-fixes).
- commit 140a912
* Tue Jul 21 2020 oneukum@suse.com
- padata: ensure the reorder timer callback runs on the correct
  CPU (git-fixes).
- commit de7401a
* Tue Jul 21 2020 oneukum@suse.com
- PM / domains: Don't skip driver's ->suspend|resume_noirq()
  callbacks (git-fixes).
  Refresh
  patches.suse/0001-PM-genpd-Stop-start-devices-without-pm_runtime_force.patch.
- commit 9992bf7
* Tue Jul 21 2020 tiwai@suse.de
- Revert commit e918e570415c ("tpm_tis: Remove the HID IFX0102")
  (bsc#1111666).
- commit a844430
* Tue Jul 21 2020 tiwai@suse.de
- USB: serial: iuu_phoenix: fix memory corruption (bsc#1111666).
- usb: gadget: udc: atmel: fix uninitialized read in debug printk
  (bsc#1111666).
- usb: gadget: udc: atmel: remove outdated comment in
  usba_ep_disable() (bsc#1111666).
- usb: dwc2: Fix shutdown callback in platform (bsc#1111666).
- USB: c67x00: fix use after free in c67x00_giveback_urb
  (bsc#1111666).
- usb: chipidea: core: add wakeup support for extcon
  (bsc#1111666).
- hwmon: (emc2103) fix unable to change fan pwm1_enable attribute
  (bsc#1111666).
- spi: spi-sun6i: sun6i_spi_transfer_one(): fix setting of clock
  rate (bsc#1111666).
- regmap: debugfs: Don't sleep while atomic for fast_io regmaps
  (bsc#1111666).
- ALSA: hda/realtek - Enable Speaker for ASUS UX533 and UX534
  (bsc#1111666).
- intel_th: Fix a NULL dereference when hub driver is not loaded
  (bsc#1111666).
- staging: comedi: verify array index is correct before using it
  (bsc#1111666).
- iio:pressure:ms5611 Fix buffer element alignment (bsc#1111666).
- iio:humidity:hdc100x Fix alignment and data leak issues
  (bsc#1111666).
- iio:magnetometer:ak8974: Fix alignment and data leak issues
  (bsc#1111666).
- iio: pressure: zpa2326: handle pm_runtime_get_sync failure
  (bsc#1111666).
- iio: mma8452: Add missed iio_device_unregister() call in
  mma8452_probe() (bsc#1111666).
- iio:health:afe4404 Fix timestamp alignment and prevent data leak
  (bsc#1111666).
- Revert "thermal: mediatek: fix register index error"
  (bsc#1111666).
- ALSA: usb-audio: Fix packet size calculation (bsc#1111666).
- i2c: mlxcpld: check correct size of maximum RECV_LEN packet
  (bsc#1111666).
- i2c: algo-pca: Add 0x78 as SCL stuck low status for PCA9665
  (bsc#1111666).
- hwmon: (acpi_power_meter) Fix potential memory leak in
  acpi_power_meter_add() (bsc#1111666).
- hwmon: (max6697) Make sure the OVERT mask is set correctly
  (bsc#1111666).
- drm/msm/dpu: fix error return code in dpu_encoder_init
  (bsc#1111666).
- tpm_tis: Remove the HID IFX0102 (bsc#1111666).
- usb: gadget: udc: Potential Oops in error handling code
  (bsc#1111666).
- USB: ohci-sm501: Add missed iounmap() in remove (bsc#1111666).
- usb: host: ehci-exynos: Fix error check in exynos_ehci_probe()
  (bsc#1111666).
- ACPI: sysfs: Fix pm_profile_attr type (bsc#1111666).
- drm: panel-orientation-quirks: Use generic orientation-data
  for Acer S1003 (bsc#1111666).
- drm: panel-orientation-quirks: Add quirk for Asus T101HA panel
  (bsc#1111666).
- gpu: host1x: Detach driver on unregister (bsc#1111666).
- drm/tegra: hub: Do not enable orphaned window group
  (bsc#1111666).
- usbnet: smsc95xx: Fix use-after-free after removal
  (bsc#1111666).
- usb: gadget: fix potential double-free in m66592_probe
  (bsc#1111666).
- power: vexpress: add suppress_bind_attrs to true (bsc#1111666).
- ALSA: usb-audio: Improve frames size computation (bsc#1111666).
- bus: sunxi-rsb: Return correct data when mixing 16-bit and
  8-bit reads (bsc#1111666).
- kernfs: fix barrier usage in __kernfs_new_node() (bsc#1111666).
- commit e399ee6
* Tue Jul 21 2020 tiwai@suse.de
- Drop ath9k fix patch that caused a regression (bko#208251)
  Delete
  patches.suse/ath9k-Fix-general-protection-fault-in-ath9k_hif_usb_.patch.
  blacklist.conf: add commit ids
- commit 65db794
* Tue Jul 21 2020 jslaby@suse.cz
- timers: Add a function to start/reduce a timer
  (networking-stable-20_05_27).
- Refresh
  patches.suse/timers-Invoke-timer_start_debug-where-it-makes-sense.patch.
- commit 084721e
* Tue Jul 21 2020 tiwai@suse.de
- Fix boot crash with MD (bsc#1174343)
  Refresh patches.suse/mdraid-fix-read-write-bytes-accounting.patch
- commit 7f6d060
* Tue Jul 21 2020 jslaby@suse.cz
- dpaa_eth: fix usage as DSA master, try 3
  (networking-stable-20_05_27).
- net/mlx5e: Update netdev txq on completions during closure
  (networking-stable-20_05_27).
- net/mlx5: Add command entry handling completion
  (networking-stable-20_05_27).
- kABI: protect struct mlx5_cmd_work_ent (kabi).
- sctp: Start shutdown on association restart if in SHUTDOWN-SENT
  state and socket is closed (networking-stable-20_05_27).
- net: ipip: fix wrong address family in init error path
  (networking-stable-20_05_27).
- net: qrtr: Fix passing invalid reference to qrtr_local_enqueue()
  (networking-stable-20_05_27).
- ax25: fix setsockopt(SO_BINDTODEVICE)
  (networking-stable-20_05_27).
- sctp: Don't add the shutdown timer if its already been added
  (networking-stable-20_05_27).
- net: inet_csk: Fix so_reuseport bind-address cache in tb->fast*
  (networking-stable-20_05_27).
- r8152: support additional Microsoft Surface Ethernet Adapter
  variant (networking-stable-20_05_27).
- net sched: fix reporting the first-time use timestamp
  (networking-stable-20_05_27).
- net: revert "net: get rid of an signed integer overflow in
  ip_idents_reserve()" (networking-stable-20_05_27).
- net: dsa: mt7530: fix roaming from DSA user ports
  (networking-stable-20_05_27).
- pppoe: only process PADT targeted at local interfaces
  (networking-stable-20_05_16).
- net: phy: fix aneg restart in phy_ethtool_set_eee
  (networking-stable-20_05_16).
- net: dsa: loop: Add module soft dependency
  (networking-stable-20_05_16).
- netprio_cgroup: Fix unlimited memory leak of v2 cgroups
  (networking-stable-20_05_16).
- net: fix a potential recursive NETDEV_FEAT_CHANGE
  (networking-stable-20_05_16).
- Revert "ipv6: add mtu lock check in __ip6_rt_update_pmtu"
  (networking-stable-20_05_16).
- net: stricter validation of untrusted gso packets
  (networking-stable-20_05_12).
- net/mlx4_core: Fix use of ENOSPC around mlx4_counter_alloc()
  (networking-stable-20_05_12).
- net: usb: qmi_wwan: add support for DW5816e
  (networking-stable-20_05_12).
- mlxsw: spectrum_acl_tcam: Position vchunk in a vregion list
  properly (networking-stable-20_05_12).
- tunnel: Propagate ECT(1) when decapsulating as recommended by
  RFC6040 (networking-stable-20_05_12).
- net: macsec: preserve ingress frame ordering
  (networking-stable-20_05_12).
- net/mlx5: Fix command entry leak in Internal Error State
  (networking-stable-20_05_12).
- net/mlx5: Fix forced completion access non initialized command
  entry (networking-stable-20_05_12).
- sch_sfq: validate silly quantum values
  (networking-stable-20_05_12).
- bnxt_en: Fix VLAN acceleration handling in bnxt_fix_features()
  (networking-stable-20_05_12).
- bnxt_en: Improve AER slot reset (networking-stable-20_05_12).
- bnxt_en: Fix VF anti-spoof filter setup
  (networking-stable-20_05_12).
- sch_choke: avoid potential panic in choke_reset()
  (networking-stable-20_05_12).
- fq_codel: fix TCA_FQ_CODEL_DROP_BATCH_SIZE sanity checks
  (networking-stable-20_05_12).
- net/tls: Fix sk_psock refcnt leak when in tls_data_ready()
  (networking-stable-20_05_12).
- net/tls: Fix sk_psock refcnt leak in bpf_exec_tx_verdict()
  (networking-stable-20_05_12).
- commit 663829d
* Mon Jul 20 2020 oneukum@suse.com
- usb: dwc3: gadget: Properly handle failed kick_transfer
  (git-fixes).
- commit e4e548b
* Mon Jul 20 2020 msuchanek@suse.de
- powerpc/book3s64/pkeys: Fix pkey_access_permitted() for execute
  disable pkey (bsc#1065729).
- commit 512c66c
* Mon Jul 20 2020 hare@suse.de
- scsi: qla2xxx: Fix a condition in qla2x00_find_all_fabric_devs()
  (bsc#1174296).
- scsi: mpt3sas: Fix double free in attach error handling
  (bsc#1174296).
- scsi: megaraid_sas: Fix a compilation warning (bsc#1174296).
- scsi: hisi_sas: fix calls to dma_set_mask_and_coherent()
  (bsc#1174296).
- scsi: aacraid: fix a signedness bug (bsc#1174296).
- commit 97b7503
* Mon Jul 20 2020 jlee@suse.com
- efi: Restrict efivar_ssdt_load when the kernel is locked down
  (CVE-2019-20908 bsc#1173567).
- commit f89c367
* Sat Jul 18 2020 tiwai@suse.de
- Fix Patch-mainline tag in the previous zram fix patch
- commit 42aac98
* Sat Jul 18 2020 lduncan@suse.com
- Revert "zram: convert remaining CLASS_ATTR() to CLASS_ATTR_RO()"
  (bsc#1173074 CVE-2020-10781).
- commit f3006ff
* Thu Jul 16 2020 msuchanek@suse.de
- powerpc/fadump: fix race between pstore write and fadump crash
  trigger (bsc#1168959 ltc#185010).
- commit c2a54c1
* Thu Jul 16 2020 oneukum@suse.com
- usb: dwc3: gadget: Properly handle ClearFeature(halt)
  (git-fixes).
- commit eb7068e
* Thu Jul 16 2020 msuchanek@suse.de
- powerpc/xmon: Reset RCU and soft lockup watchdogs (bsc#1065729).
- commit 3f8e9fd
* Thu Jul 16 2020 tiwai@suse.de
- ACPI: configfs: Disallow loading ACPI tables when locked down
  (CVE-2020-15780 bsc#1173573).
- commit 0f0fd84
* Wed Jul 15 2020 oneukum@suse.com
- usb: dwc3: gadget: never call ->complete() from ->ep_queue()
  (git-fixes).
- commit 10e64ac
* Wed Jul 15 2020 mbrugger@suse.com
- brcmfmac: Transform compatible string for FW loading
  (bsc#1169771).
- commit 973a8d6
* Wed Jul 15 2020 tbogendoerfer@suse.de
- net: hns3: fix a not link up issue when fibre port supports
  autoneg (bsc#1174070).
- net: hns3: fix port setting handle for fibre port (bsc#1174070).
- net: hns3: fix port capbility updating issue (bsc#1174070).
- net: hns3: restore the MAC autoneg state after reset
  (bsc#1174070).
- net: hns3: fix selftest fail issue for fibre port with autoneg
  on (bsc#1174070).
- commit 508a649
* Wed Jul 15 2020 oneukum@suse.com
- blacklist.conf: c91815b596245fd7da349ecc43c8def670d2269e removed
  prerequisite for another patch
  Bitte geben Sie eine Commit-Beschreibung für Ihre Änderungen ein. Zeilen,
- commit 63dfdc8
* Wed Jul 15 2020 tbogendoerfer@suse.de
- net: hns3: add support for multiple media type (bsc#1174070).
- Refresh patches.suse/net-hns3-add-aRFS-support-for-PF.patch.
- Refresh
  patches.suse/net-hns3-add-support-for-dump-firmware-statistics-by.patch.
- Refresh
  patches.suse/net-hns3-some-modifications-to-simplify-and-optimize.patch.
- Refresh
  patches.suse/net-hns3-sync-VLAN-filter-entries-when-kill-VLAN-ID-.patch.
- commit d3b0506
* Wed Jul 15 2020 oneukum@suse.com
- USB: ehci: reopen solution for Synopsys HC bug (git-fixes).
- commit 06f69a3
* Wed Jul 15 2020 oneukum@suse.com
- xhci: Fix incorrect EP_STATE_MASK (git-fixes).
- commit e2f75e2
* Wed Jul 15 2020 tbogendoerfer@suse.de
- net: hns3: add autoneg and change speed support for fibre port
  (bsc#1174070).
- Refresh
  patches.suse/net-hns3-fix-flow-control-configure-issue-for-fibre-.patch.
- commit 5dc14fe
* Wed Jul 15 2020 oneukum@suse.com
- wil6210: make sure Rx ring sizes are correlated (git-fixes).
- commit 6223dfb
* Wed Jul 15 2020 tbogendoerfer@suse.de
- net: hns3: fix for FEC configuration (bsc#1174070).
- net: hns3: add support for FEC encoding control (bsc#1174070).
- commit 016e34b
* Tue Jul 14 2020 oneukum@suse.com
- usb: add USB_QUIRK_DELAY_INIT for Logitech C922 (git-fixes).
- commit 64b74a7
* Tue Jul 14 2020 jroedel@suse.de
- vfio/pci: Fix SR-IOV VF handling with MMIO blocking
  (bsc#1174123).
- KVM: x86: Fix APIC page invalidation race (bsc#1174122).
- commit 584ee8f
* Tue Jul 14 2020 tiwai@suse.de
- Move upstreamed lpfc patches into sorted section
- commit 32dd117
* Tue Jul 14 2020 tiwai@suse.de
- intel_idle: Graceful probe failure when MWAIT is disabled
  (bsc#1174115).
- Refresh
  patches.suse/intel_idle-convert-to-new-x86-cpu-match-macros.patch.
- commit 8021c39
* Tue Jul 14 2020 dwagner@suse.de
- scsi: lpfc: Fix less-than-zero comparison of unsigned value
  (bsc#1158983).
- scsi: lpfc: Fix interrupt assignments when multiple vectors
  are supported on same CPU (bsc#1158983).
- scsi: lpfc: Fix inconsistent indenting (bsc#1158983).
- scsi: lpfc: Update lpfc version to 12.8.0.2 (bsc#1158983).
- scsi: lpfc: Add an internal trace log buffer (bsc#1172687
  bsc#1171530).
- scsi: lpfc: Add blk_io_poll support for latency improvment
  (bsc#1172687 bsc#1171530).
- scsi: lpfc: Add support to display if adapter dumps are
  available (bsc#1172687 bsc#1171530).
- scsi: lpfc: Allow applications to issue Common Set Features
  mailbox command (bsc#1172687 bsc#1171530).
- scsi: lpfc: Fix language in 0373 message to reflect non-error
  message (bsc#1172687 bsc#1171530).
- scsi: lpfc: Fix kdump hang on PPC (bsc#1172687 bsc#1171530).
- scsi: lpfc: Fix shost refcount mismatch when deleting vport
  (bsc#1172687 bsc#1171530).
- scsi: lpfc: Fix stack trace seen while setting rrq active
  (bsc#1172687 bsc#1171530).
- scsi: lpfc: Fix oops due to overrun when reading SLI3 data
  (bsc#1172687 bsc#1171530).
- scsi: lpfc: Fix NVMe rport deregister and registration during
  ADISC (bsc#1172687 bsc#1171530).
- scsi: lpfc: Fix missing MDS functionality (bsc#1172687
  bsc#1171530).
- scsi: lpfc: Fix unused assignment in
  lpfc_sli4_bsg_link_diag_test (bsc#1172687 bsc#1171530).
- scsi: lpfc: Avoid another null dereference in
  lpfc_sli4_hba_unset() (bsc#1172687 bsc#1171530).
- lpfc_debugfs: get rid of pointless access_ok() (bsc#1172687
  bsc#1171530).
- commit d548866
* Tue Jul 14 2020 lhenriques@suse.de
- libceph: don't omit recovery_deletes in target_copy()
  (bsc#1174113).
- commit be62b4b
* Mon Jul 13 2020 oneukum@suse.com
- PCI: pciehp: Fix indefinite wait on sysfs requests (git-fixes).
- commit 02e9b44
* Mon Jul 13 2020 oneukum@suse.com
- PCI: pciehp: Support interrupts sent from D3hot (git-fixes).
- Refresh
  patches.suse/0001-PCI-pciehp-Avoid-returning-prematurely-from-sysfs-re.patch.
- Refresh
  patches.suse/0001-PCI-pciehp-Do-not-handle-events-if-interrupts-are-ma.patch.
- Refresh
  patches.suse/0001-PCI-pciehp-Fix-hot-add-vs-powerfault-detection-order.patch.
- Refresh
  patches.suse/0001-PCI-pciehp-Unify-controller-and-slot-structs.patch.
- Refresh patches.suse/pci-pciehp-fix-msi-interrupt-race.
- commit 83f9645
* Mon Jul 13 2020 tzimmermann@suse.de
- blacklist.conf: Append 'video: vt8500lcdfb: fix fallthrough warning'
- commit 679769c
* Mon Jul 13 2020 tzimmermann@suse.de
- drm/radeon: fix double free (bsc#1113956)
- commit 6c159bc
* Mon Jul 13 2020 tzimmermann@suse.de
- drm/mediatek: Check plane visibility in atomic_update (bsc#1113956)
  * context changes
- commit ea7bb18
* Mon Jul 13 2020 tzimmermann@suse.de
- drm/radeon: fix fb_div check in ni_init_smc_spll_table() (bsc#1113956)
- commit 236a1bc
* Mon Jul 13 2020 tzimmermann@suse.de
- drm/i915/icl+: Fix hotplug interrupt disabling after storm detection (bsc#1112178)
- commit c150ebd
* Mon Jul 13 2020 tzimmermann@suse.de
- drm/vkms: Hold gem object while still in-use (bsc#1113956)
  * context changes
- commit c287ea3
* Mon Jul 13 2020 tzimmermann@suse.de
- drm/dp_mst: Increase ACT retry timeout to 3s (bsc#1113956)
  * context changes
- commit 5a245ea
* Mon Jul 13 2020 tzimmermann@suse.de
- drm/qxl: Use correct notify port address when creating cursor ring (bsc#1113956)
- commit c584d0d
* Fri Jul 10 2020 mkoutny@suse.com
- blacklist.conf: Blacklist 61e713bdca36 (bsc#1171529)
- commit 52e6cf1
* Fri Jul 10 2020 jack@suse.cz
- cgroup, blkcg: Prepare some symbols for module and
  !CONFIG_CGROUP usages (bsc#1173857).
- blacklist.conf: Remove above commit from blacklist
- Refresh patches.suse/cgroup-writeback-don-t-switch-wbs-immediately-on-dea.patch
- commit a4abde4
* Fri Jul 10 2020 ohering@suse.de
- Drivers: hv: Change flag to write log level in panic msg to
  false (bsc#1170617, bsc#1170618).
- commit 09000e3
* Thu Jul  9 2020 ptesarik@suse.cz
- README.BRANCH: Add Takashi Iwai as primary maintainer.
- commit 2400e4d
* Wed Jul  8 2020 tiwai@suse.de
- usb: usbtest: fix missing kfree(dev->buf) in usbtest_disconnect
  (CVE-2020-15393 bsc#1173514).
- commit 522c880
* Wed Jul  8 2020 wqu@suse.com
- btrfs: qgroup: Fix a bug that prevents qgroup to be  re-enabled
  after disable (bsc#1172247).
- commit 38b397a
* Wed Jul  8 2020 neilb@suse.de
- nfsd: apply umask on fs without ACL support (git-fixes,
  bsc#1175518, CVE-2020-24394).
- commit 44db378
* Tue Jul  7 2020 jack@suse.cz
- nilfs2: fix null pointer dereference at
  nilfs_segctor_do_construct() (bsc#1173857).
- commit d276b30
* Tue Jul  7 2020 jack@suse.cz
- blacklist.conf: Blacklist ef1548adada5
- commit 3cfa227
* Tue Jul  7 2020 jack@suse.cz
- blacklist.conf: Blacklist ce623f89872d
- commit 4a4fd85
* Tue Jul  7 2020 jack@suse.cz
- blacklist.conf: Blacklist d7b0a23d8150
- commit 5e346f5
* Tue Jul  7 2020 jack@suse.cz
- blacklist.conf: Blacklist 9b0eb69b75bc
- commit 3c90a13
* Tue Jul  7 2020 jack@suse.cz
- blacklist.conf: Blacklist aa94b1dc5bca
- commit eac7317
* Tue Jul  7 2020 jack@suse.cz
- blacklist.conf: Blacklist ad6bf88a6c19
- commit 1547bb6
* Tue Jul  7 2020 jack@suse.cz
- jbd2: Preserve kABI when adding j_abort_mutex (bsc#1173833).
- commit a77f6b6
* Tue Jul  7 2020 jack@suse.cz
- jbd2: avoid leaking transaction credits when unreserving handle
  (bsc#1173845).
- commit bc42036
* Tue Jul  7 2020 jack@suse.cz
- ext4: fix partial cluster initialization when splitting extent
  (bsc#1173839).
- commit baa800f
* Tue Jul  7 2020 jack@suse.cz
- ext4: fix race between ext4_sync_parent() and rename()
  (bsc#1173838).
- commit e6b4ba9
* Tue Jul  7 2020 jack@suse.cz
- ext4, jbd2: ensure panic by fix a race between jbd2 abort and
  ext4 error handlers (bsc#1173833).
- commit 7e8f589
* Tue Jul  7 2020 jack@suse.cz
- ubifs: remove broken lazytime support (bsc#1173826).
- commit 3b0703f
* Tue Jul  7 2020 jack@suse.cz
- fix multiplication overflow in copy_fdtable() (bsc#1173825).
- commit df81716
* Tue Jul  7 2020 jack@suse.cz
- loop: replace kill_bdev with invalidate_bdev (bsc#1173820).
- commit 7db4384
* Tue Jul  7 2020 jack@suse.cz
- block: nr_sects_write(): Disable preemption on seqcount write
  (bsc#1173818).
- commit cf77b8d
* Mon Jul  6 2020 tbogendoerfer@suse.de
- debugfs: Check module state before warning in
  {full/open}_proxy_open() (bsc#1173746).
- commit b89d82c
* Mon Jul  6 2020 colyli@suse.de
- bcache: fix potential deadlock problem in btree_gc_coalesce
  (bsc#1171732, CVE-2020-12771).
- commit 0aa0b5b
* Fri Jul  3 2020 pmladek@suse.com
- blacklist.conf: bpf: non-critical (bsc#1172344)
- commit b6857dc
* Thu Jul  2 2020 tbogendoerfer@suse.de
- tg3: driver sleeps indefinitely when EEH errors exceed
  eeh_max_freezes (bsc#1173284).
- commit c59580c
* Thu Jul  2 2020 acho@suse.com
- Fix kABI breakage by nl80211 security fix (bsc#1152107
  CVE-2019-16746).
- nl80211: validate beacon head (bsc#1152107 CVE-2019-16746).
- netlink: replace __NLA_ENSURE implementation (bsc#1152107
  CVE-2019-16746).
- netlink: add validation function to policy (bsc#1152107
  CVE-2019-16746).
- netlink: add attribute range validation to policy (bsc#1152107
  CVE-2019-16746).
- netlink: add nested array policy validation (bsc#1152107
  CVE-2019-16746).
- netlink: allow NLA_NESTED to specify nested policy to validate
  (bsc#1152107 CVE-2019-16746).
- netlink: move extack setting into validate_nla() (bsc#1152107
  CVE-2019-16746).
- netlink: make validation_data const (bsc#1152107
  CVE-2019-16746).
- netlink: add NLA_REJECT policy type (bsc#1152107
  CVE-2019-16746).
- netlink: Return extack message if attribute validation fails
  (bsc#1152107 CVE-2019-16746).
- net netlink: Add new type NLA_BITFIELD32 (bsc#1152107
  CVE-2019-16746).
- net: add extack arg to lwtunnel build state (bsc#1152107
  CVE-2019-16746).
- net: ipv4: Add extack messages for route add failures
  (bsc#1152107 CVE-2019-16746).
- commit 39ffeec
* Thu Jul  2 2020 dwagner@suse.de
- scsi: qla2xxx: Set NVMe status code for failed NVMe FCP request
  (bsc#1158983).
- commit e4f8567
* Thu Jul  2 2020 mkubecek@suse.cz
- rpm/kernel-binary.spec.in: do not run klp-symbols for configs with no modules
  Starting with 5.8-rc1, s390x/zfcpdump builds fail because rpm/klp-symbols
  script does not find .tmp_versions directory. This is missing because
  s390x/zfcpdump is built without modules (CONFIG_MODULES disabled).
  As livepatching cannot work without modules, the cleanest solution is
  setting %%klp_symbols to 0 if CONFIG_MODULES is disabled. (We cannot simply
  add another condition to the place where %%klp_symbols is set as it can be
  already set to 1 from prjconf.)
- commit a048c4b
* Wed Jul  1 2020 nmoreychaisemartin@suse.com
- RDMA/efa: Set maximum pkeys device attribute (bsc#1111666)
- commit e037808
* Tue Jun 30 2020 oneukum@suse.com
- crypto: cavium/nitrox - Fix 'nitrox_get_first_device()' when
  ndevlist is fully iterated (git-fixes).
- commit 86246df
* Tue Jun 30 2020 ptesarik@suse.cz
- amdgpu: a NULL ->mm does not mean a thread is a kthread
  (git-fixes).
- commit e1f0d70
* Tue Jun 30 2020 ptesarik@suse.cz
- blacklist.conf: rcar-du Kconfig fix not needed
- commit 14d1e0e
* Tue Jun 30 2020 ptesarik@suse.cz
- s390/qeth: fix error handling for isolation mode cmds
  (git-fixes).
- s390: fix syscall_get_error for compat processes (git-fixes).
- s390/qdio: put thinint indicator after early error (git-fixes).
- s390/qdio: tear down thinint indicator after early error
  (git-fixes).
- s390/qdio: consistently restore the IRQ handler (git-fixes).
- commit 628f3fe
* Tue Jun 30 2020 ptesarik@suse.cz
- s390/qdio: lock device while installing IRQ handler (git-fixes).
- Refresh
  patches.suse/s390-qdio-don-t-release-memory-in-qdio_setup_irq.patch.
- commit 2fd3b26
* Mon Jun 29 2020 bp@suse.de
- EDAC/amd64: Read back the scrub rate PCI register on F15h
  (bsc#1114279).
- commit a9a41c3
* Mon Jun 29 2020 bp@suse.de
- blacklist.conf: 376bd28d03c9 crypto: ccp - Fix sparse warnings in sev-dev
- commit 7e7c687
* Mon Jun 29 2020 bp@suse.de
- x86/reboot/quirks: Add MacBook6,1 reboot quirk (bsc#1114279).
- commit df51001
* Mon Jun 29 2020 bp@suse.de
- KVM: nVMX: Skip IBPB when switching between vmcs01 and vmcs02
  (bsc#1114279).
- KVM: nVMX: Don't reread VMCS-agnostic state when switching VMCS
  (bsc#1114279).
- commit bba436e
* Mon Jun 29 2020 mbenes@suse.cz
- blacklist.conf: aadf9dcef9d4 ("rxrpc: Fix trace string")
  Cosmetic change only.
- commit 91f6ae4
* Mon Jun 29 2020 mbenes@suse.cz
- tracing: Fix event trigger to accept redundant spaces
  (git-fixes).
- commit d7dc129
* Mon Jun 29 2020 ptesarik@suse.cz
- blacklist.conf: e1750a3d9abb ("s390/pci: Log new handle in clp_disable_fh()")
- commit fc8ca98
* Fri Jun 26 2020 msuchanek@suse.de
- ibmveth: Fix max MTU limit (bsc#1173428 ltc#186397).
- commit 8cf8fae
* Fri Jun 26 2020 ptesarik@suse.cz
- Update upstream references and move to sorted section:
  patches.suse/ibmvnic-continue-to-init-in-CRQ-reset-returns-H_CLOS.patch.
- commit 492ce26
* Fri Jun 26 2020 dwagner@suse.de
- nvme: do not update multipath disk information if the controller
  is down (bcs#1171558 bsc#1159058).
- nvme: check for NVME_CTRL_LIVE in nvme_report_ns_ids()
  (bcs#1171558 bsc#1159058).
- commit 5eb69fa
* Fri Jun 26 2020 dwagner@suse.de
- Update series.conf and meta data
- commit b63165e
* Fri Jun 26 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gem: Avoid iterating an empty list'
- commit 563e300
* Fri Jun 26 2020 dwagner@suse.de
- scsi: qedf: Add port_id getter (bsc#1150660).
- commit cd531b9
* Fri Jun 26 2020 tzimmermann@suse.de
- drm: encoder_slave: fix refcouting error for modules (bsc#1114279)
- commit 421860e
* Wed Jun 24 2020 bp@suse.de
- x86/{mce,mm}: Unmap the entire page if the whole page is
  affected and poisoned (bsc#1172257).
- commit 45c5493
* Wed Jun 24 2020 jroedel@suse.de
- vfio-pci: Invalidate mmaps and block MMIO access on disabled
  memory (CVE-2020-12888 bsc#1171868).
- vfio-pci: Fault mmaps to enable vma tracking (CVE-2020-12888
  bsc#1171868).
- vfio/type1: Support faulting PFNMAP vmas (CVE-2020-12888
  bsc#1171868).
- vfio/type1: Fix VA->PA translation for PFNMAP VMAs in
  vaddr_get_pfn() (CVE-2020-12888 bsc#1171868).
- commit 981c35f
* Tue Jun 23 2020 msuchanek@suse.de
- ibmvnic: continue to init in CRQ reset returns H_CLOSED
  (bsc#1173280 ltc#185369).
- commit 4693b3c
* Tue Jun 23 2020 tiwai@suse.de
- crypto: algboss - don't wait during notifier callback
  (bsc#1111666).
- crypto: algif_skcipher - Cap recv SG list at ctx->used
  (bsc#1111666).
- drm: encoder_slave: fix refcouting error for modules
  (bsc#1111666).
- drm/sun4i: hdmi ddc clk: Fix size of m divider (bsc#1111666).
- crypto: cavium/nitrox - Fix 'nitrox_get_first_device()' when
  ndevlist is fully iterated (bsc#1111666).
- media: si2157: Better check for running tuner in init
  (bsc#1111666).
- Bluetooth: Add SCO fallback for invalid LMP parameters error
  (bsc#1111666).
- b43_legacy: Fix connection problem with WPA3 (bsc#1111666).
- b43: Fix connection problem with WPA3 (bsc#1111666).
- e1000e: Relax condition to trigger reset for ME workaround
  (bsc#1111666).
- carl9170: remove P2P_GO support (bsc#1111666).
- ath9k: Fix general protection fault in ath9k_hif_usb_rx_cb
  (bsc#1111666).
- ath9x: Fix stack-out-of-bounds Write in ath9k_hif_usb_rx_cb
  (bsc#1111666).
- ath9k: Fix use-after-free Write in ath9k_htc_rx_msg
  (bsc#1111666).
- ath9k: Fix use-after-free Read in ath9k_wmi_ctrl_rx
  (bsc#1111666).
- Crypto/chcr: fix for ccm(aes) failed test (bsc#1111666).
- e1000: Distribute switch variables for initialization
  (bsc#1111666).
- clocksource: dw_apb_timer: Make CPU-affiliation being optional
  (bsc#1111666).
- drm: bridge: adv7511: Extend list of audio sample rates
  (bsc#1111666).
- ACPI: GED: use correct trigger type field in _Exx / _Lxx
  handling (bsc#1111666).
- ACPI: GED: add support for _Exx / _Lxx handler methods
  (bsc#1111666).
- platform/x86: hp-wmi: Convert simple_strtoul() to kstrtou32()
  (bsc#1111666).
- mmc: sdhci-msm: Set SDHCI_QUIRK_MULTIBLOCK_READ_ACMD12 quirk
  (bsc#1111666).
- spi: pxa2xx: Apply CS clk quirk to BXT (bsc#1111666).
- Input: synaptics - add a second working PNP_ID for Lenovo T470s
  (bsc#1111666).
- ALSA: lx6464es - add support for LX6464ESe pci express variant
  (bsc#1111666).
- PCI: Generalize multi-function power dependency device links
  (bsc#1111666).
- commit c2eeb81
* Tue Jun 23 2020 tiwai@suse.de
- Update patch reference for crypto authenc security fix (CVE-2020-10769 bsc#1173265)
- commit 59607da
* Mon Jun 22 2020 dwagner@suse.de
- lpfc: Synchronize NVME transport and lpfc driver devloss_tmo
  (bcs#1173060).
- commit d0f793c
* Fri Jun 19 2020 ohering@suse.de
- x86/apic: Install an empty physflat_init_apic_ldr (bsc#1163309).
- commit 646bc08
* Fri Jun 19 2020 lhenriques@suse.com
- ceph: request expedited service on session's last cap flush
  (bsc#1167104).
- ceph: convert mdsc->cap_dirty to a per-session list
  (bsc#1167104).
- commit 964d04d
* Fri Jun 19 2020 tbogendoerfer@suse.de
- vmxnet3: allow rx flow hash ops only when rss is enabled
  (bsc#1172484).
- net: vmxnet3: fix possible buffer overflow caused by bad DMA
  value in vmxnet3_get_rss() (bsc#1172484).
- vmxnet3: use correct hdr reference when packet is encapsulated
  (bsc#1172484).
- vmxnet3: update to version 4 (bsc#1172484).
- vmxnet3: add geneve and vxlan tunnel offload support
  (bsc#1172484).
- vmxnet3: add support to get/set rx flow hash (bsc#1172484).
- vmxnet3: prepare for version 4 changes (bsc#1172484).
- vmxnet3: Remove always false conditional statement
  (bsc#1172484).
- vmxnet3: Replace msleep(1) with usleep_range() (bsc#1172484).
- vmxnet3: remove unused flag "rxcsum" from struct vmxnet3_adapter
  (bsc#1172484).
- vmxnet3: remove redundant initialization of pointer 'rq'
  (bsc#1172484).
- vmxnet3: avoid format strint overflow warning (bsc#1172484).
- commit 550acec
* Fri Jun 19 2020 msuchanek@suse.de
- blacklist.conf: Add couple of dma-mapping fixes (bsc#1171424).
  33dcb37cef74 dma-mapping: fix page attributes for dma_mmap_*
  f9f3232a7d0a dma-mapping: explicitly wire up ->mmap and ->get_sgtable
- commit 54fd41a
* Fri Jun 19 2020 lhenriques@suse.com
- libceph: ignore pool overlay and cache logic on redirects
  (bsc#1173146).
- commit bdb0a6f
* Thu Jun 18 2020 ptesarik@suse.cz
- Update upstream references and move to sorted section:
- patches.suse/powerpc-mm-Remove-kvm-radix-prefetch-workaround-for-.patch
- patches.suse/powerpc-xmon-don-t-access-ASDR-in-VMs.patch
- patches.suse/scsi-qla2xxx-Add-D-Port-Diagnostic-reason-explanatio.patch
- patches.suse/scsi-qla2xxx-Add-a-shadow-variable-to-hold-disc_stat.patch
- patches.suse/scsi-qla2xxx-Cleanup-unused-async_logout_done.patch
- patches.suse/scsi-qla2xxx-Consolidate-fabric-scan.patch
- patches.suse/scsi-qla2xxx-Correct-fcport-flags-handling.patch
- patches.suse/scsi-qla2xxx-Fix-RIDA-Format-2.patch
- patches.suse/scsi-qla2xxx-Fix-fabric-scan-hang.patch
- patches.suse/scsi-qla2xxx-Fix-mtcp-dump-collection-failure.patch
- patches.suse/scsi-qla2xxx-Fix-stuck-login-session-using-prli_pend.patch
- patches.suse/scsi-qla2xxx-Fix-stuck-session-in-GNL.patch
- patches.suse/scsi-qla2xxx-Fix-the-endianness-of-the-qla82xx_get_f.patch
- patches.suse/scsi-qla2xxx-Fix-update_fcport-for-current_topology.patch
- patches.suse/scsi-qla2xxx-Improve-readability-of-the-code-that-ha.patch
- patches.suse/scsi-qla2xxx-Remove-defer-flag-to-indicate-immeadiat.patch
- patches.suse/scsi-qla2xxx-Update-driver-version-to-10.01.00.22-k.patch
- patches.suse/scsi-qla2xxx-Use-common-routine-to-free-fcport-struc.patch
- patches.suse/scsi-qla2xxx-Use-get_unaligned_-instead-of-open-codi.patch
- patches.suse/slcan-Don-t-transmit-uninitialized-stack-data-in-pad.patch
- commit 05e2e02
* Thu Jun 18 2020 tiwai@suse.de
- Update patch reference for s390 security fix (CVE-2020-10773 bsc#1172999)
- commit 5108e69
* Thu Jun 18 2020 tiwai@suse.de
- Update patch reference for can driver security fix (CVE-2020-14416 bsc#1162002)
- commit cb0550a
* Wed Jun 17 2020 tonyj@suse.de
- perf/x86: Fix incorrect PEBS_REGS (git-fixes).
- x86/events/intel/ds: Add PERF_SAMPLE_PERIOD into
  PEBS_FREERUNNING_FLAGS (git-fixes).
- commit 5890bb9
* Wed Jun 17 2020 msuchanek@suse.de
- ibmvnic: Harden device login requests (bsc#1170011 ltc#183538).
- commit 39d74ba
* Wed Jun 17 2020 wqu@suse.com
- btrfs: volumes: Remove ENOSPC-prone btrfs_can_relocate()
  (bsc#1171124).
- Refresh
  patches.suse/0014-btrfs-migrate-the-block-group-read-creation-code.patch.
- Refresh
  patches.suse/0015-btrfs-temporarily-export-btrfs_get_restripe_target.patch.
- Refresh
  patches.suse/0016-btrfs-migrate-inc-dec_block_group_ro-code.patch.
- Refresh
  patches.suse/0017-btrfs-migrate-the-dirty-bg-writeout-code.patch.
- Refresh
  patches.suse/0022-btrfs-migrate-the-block-group-cleanup-code.patch.
- commit b992bfc
* Wed Jun 17 2020 tiwai@suse.de
- e1000e: Do not wake up the system via WOL if device wakeup is
  disabled (bsc#1051510).
- e1000e: Disable TSO for buffer overrun workaround (bsc#1051510).
- commit 154a0a4
* Tue Jun 16 2020 tonyj@suse.de
- blacklist.conf:
- commit f7dc895
* Tue Jun 16 2020 tonyj@suse.de
- perf/x86/amd: Constrain Large Increment per Cycle events
  (git-fixes).
- perf/x86/intel: Fix PT PMI handling (git-fixes).
- perf/x86/intel/bts: Fix the use of page_private() (git-fixes).
- perf/x86/uncore: Fix event group support (git-fixes).
- perf/x86/amd/ibs: Handle erratum #420 only on the affected
  CPU family (10h) (git-fixes).
- perf/x86/amd/ibs: Fix reading of the IBS OpData register and
  thus precise RIP validity (git-fixes).
- perf/x86/amd/ibs: Fix sample bias for dispatched micro-ops
  (git-fixes).
- perf/x86/amd/uncore: Set the thread mask for F17h L3 PMCs
  (git-fixes).
- perf/x86/amd/uncore: Do not set 'ThreadMask' and 'SliceMask'
  for non-L3 PMCs (git-fixes stable).
- perf/x86/intel/uncore: Handle invalid event coding for
  free-running counter (git-fixes).
- perf/x86/amd/iommu: Make the 'amd_iommu_attr_groups' symbol
  static (git-fixes).
- perf/x86/intel/uncore: Add Node ID mask (git-fixes).
- perf/x86/intel: Add generic branch tracing check to
  intel_pmu_has_bts() (git-fixes).
- perf/x86/intel: Move branch tracing setup to the Intel-specific
  source file (git-fixes).
- perf/x86/amd/uncore: Set ThreadMask and SliceMask for L3 Cache
  perf events (git-fixes stable).
- perf/x86/intel/uncore: Fix PCI BDF address of M3UPI on SKX
  (git-fixes).
- commit 52f430e
* Tue Jun 16 2020 tonyj@suse.de
- perf/x86: Enable free running PEBS for REGS_USER/INTR
  (git-fixes).
- Refresh
  patches.suse/17-x86-cpu_entry_area-add-debugstore-entries-to-cpu_entry_area.patch.
- commit 9a9c70b
* Tue Jun 16 2020 tonyj@suse.de
- perf/x86/intel: Add proper condition to run sched_task callbacks
  (git-fixes).
- commit 2836c09
* Tue Jun 16 2020 neilb@suse.de
- SUNRPC: The TCP back channel mustn't disappear while requests
  are outstanding (bsc#1152624).
- Delete patches.suse/NFSv4.1-bc-request-hold-xprt-ref.patch.
  Replace SUSE patch with upstream patch
- commit a1c0428
* Mon Jun 15 2020 mkubecek@suse.cz
- netfilter: ctnetlink: netns exit must wait for callbacks
  (bsc#1169795).
- commit f2f6bd8
* Mon Jun 15 2020 nsaenzjulienne@suse.de
- mailbox: imx: Disable the clock on
  devm_mbox_controller_register() failure (git-fixes).
- firmware: imx: scu: Fix corruption of header (git-fixes).
- commit 02ac411
* Mon Jun 15 2020 ptesarik@suse.cz
- Refresh
  patches.suse/scsi-ibmvscsi-Don-t-send-host-info-in-adapter-info-M.patch.
- commit 5adefc4
* Mon Jun 15 2020 msuchanek@suse.de
- ibmvnic: Flush existing work items before device removal
  (bsc#1065729).
- commit 419d8e3
* Mon Jun 15 2020 msuchanek@suse.de
- powerpc/64s: Save FSCR to init_task.thread.fscr after feature
  init (bsc#1065729).
- powerpc/64s: Don't let DT CPU features set FSCR_DSCR
  (bsc#1065729).
- commit 28435fa
* Mon Jun 15 2020 msuchanek@suse.de
- include/asm-generic/topology.h: guard cpumask_of_node() macro
  argument (bsc#1148868).
- commit 84a0971
* Mon Jun 15 2020 msuchanek@suse.de
- powerpc/xive: Clear the page tables for the ESB IO mapping
  (fate#322438 bsc#1085030).
- commit 622e096
* Mon Jun 15 2020 bp@suse.de
- blacklist.conf: 29e4276667e2 xfrm: fix error in comment
- commit 412197c
* Mon Jun 15 2020 bp@suse.de
- x86/cpu/amd: Make erratum #1054 a legacy erratum (bsc#1114279).
- commit 4d79f22
* Mon Jun 15 2020 bp@suse.de
- blacklist.conf: 5214028dd89e x86/boot: Correct relocation destination on old linkers
- commit 5c0747f
* Mon Jun 15 2020 bp@suse.de
- x86/speculation: PR_SPEC_FORCE_DISABLE enforcement for indirect
  branches (bsc#1172783 CVE-2020-10768).
- commit a1597a5
* Mon Jun 15 2020 neilb@suse.de
- NFS: Fix an RCU lock leak in nfs4_refresh_delegation_stateid()
  (bsc#1170592).
- commit 996a1f3
* Mon Jun 15 2020 neilb@suse.de
- work around mvfs bug (bsc#1162063).
- commit e7f8a33
* Mon Jun 15 2020 mkubecek@suse.cz
- rpm: drop execute permissions on source files
  Sometimes a source file with execute permission appears in upstream
  repository and makes it into our kernel-source packages. This is caught by
  OBS build checks and may even result in build failures.
  Sanitize the source tree by removing execute permissions from all C source
  and header files.
- commit 771e293
* Fri Jun 12 2020 tiwai@suse.de
- ALSA: pcm: disallow linking stream to itself (bsc#1111666).
- ALSA: hda/realtek - add a pintbl quirk for several Lenovo
  machines (bsc#1111666).
- ALSA: hda: add sienna_cichlid audio asic id for sienna_cichlid
  up (bsc#1111666).
- ALSA: hda: Add ElkhartLake HDMI codec vid (bsc#1111666).
- ALSA: hda/realtek - Fix unused variable warning w/o
  CONFIG_LEDS_TRIGGER_AUDIO (bsc#1111666).
- ALSA: hda/realtek - Add LED class support for micmute LED
  (bsc#1111666).
- ALSA: hda/realtek - Enable micmute LED on and HP system
  (bsc#1111666).
- ALSA: hda/realtek - Introduce polarity for micmute LED GPIO
  (bsc#1111666).
- pcm_native: result of put_user() needs to be checked
  (bsc#1111666).
- ALSA: hda/hdmi - enable runtime pm for newer AMD display audio
  (bsc#1111666).
- commit fa1da63
* Fri Jun 12 2020 tiwai@suse.de
- ALSA: usb-audio: Add Pioneer DJ DJM-900NXS2 support
  (bsc#1111666).
- commit 1632982
* Fri Jun 12 2020 tiwai@suse.de
- ALSA: usb-audio: Clean up quirk entries with macros
  (bsc#1111666).
- commit 49fc97c
* Fri Jun 12 2020 tiwai@suse.de
- ALSA: usb-audio: Manage auto-pm of all bundled interfaces
  (bsc#1111666).
- ALSA: usb-audio: Use the new macro for HP Dock rename quirks
  (bsc#1111666).
- ALSA: usb-audio: Add vendor, product and profile name for HP
  Thunderbolt Dock (bsc#1111666).
- ALSA: usb-audio: Fix inconsistent card PM state after resume
  (bsc#1111666).
- commit f5aa5bf
* Fri Jun 12 2020 bp@suse.de
- x86/speculation: Prevent rogue cross-process SSBD shutdown
  (bsc#1172781 CVE-2020-10766).
- Refresh
  patches.suse/x86-speculation-avoid-force-disabling-ibpb-based-on-stibp-and-enhanced-ibrs.patch.
- commit afa7f36
* Fri Jun 12 2020 tiwai@suse.de
- evm: Fix a small race in init_desc() (bsc#1051510).
- commit 6fd4a2c
* Fri Jun 12 2020 tiwai@suse.de
- ACPI: PM: Avoid using power resources if there are none for D0
  (bsc#1051510).
- clk: clk-flexgen: fix clock-critical handling (bsc#1051510).
- clk: bcm2835: Fix return type of bcm2835_register_gate
  (bsc#1051510).
- clk: sunxi: Fix incorrect usage of round_down() (bsc#1051510).
- power: supply: smb347-charger: IRQSTAT_D is volatile
  (bsc#1051510).
- power: supply: lp8788: Fix an error handling path in
  'lp8788_charger_probe()' (bsc#1051510).
- power: supply: bq24257_charger: Replace depends on REGMAP_I2C
  with select (bsc#1051510).
- staging: rtl8712: Fix IEEE80211_ADDBA_PARAM_BUF_SIZE_MASK
  (bsc#1051510).
- USB: serial: option: add Telit LE910C1-EUX compositions
  (bsc#1051510).
- USB: serial: qcserial: add DW5816e QDL support (bsc#1051510).
- USB: serial: usb_wwan: do not resubmit rx urb on fatal errors
  (bsc#1051510).
- p54usb: add AirVasT USB stick device-id (bsc#1051510).
- mmc: fix compilation of user API (bsc#1051510).
- evm: Check also if *tfm is an error pointer in init_desc()
  (bsc#1051510).
- spi: dw: use "smp_mb()" to avoid sending spi data error
  (bsc#1051510).
- commit b59b996
* Thu Jun 11 2020 bp@suse.de
- x86/speculation: Avoid force-disabling IBPB based on STIBP
  and enhanced IBRS (bsc#1172782 CVE-2020-10767).
- commit 4e61e85
* Thu Jun 11 2020 ptesarik@suse.cz
- Revert "tools lib traceevent: Remove unneeded qsort and uses memmove"
- This reverts commit 6c0711897b8892ee73cdbc8d11ea23790d55bfe8.
  The patch requires more dependencies, otherwise build is broken.
  Blacklist the commit instead.
- commit 8d35b58
* Thu Jun 11 2020 mbenes@suse.cz
- livepatch: Make klp_apply_object_relocs static (bsc#1071995).
- commit ff3f6ac
* Thu Jun 11 2020 mbenes@suse.cz
- livepatch: Prevent module-specific KLP rela sections from
  referencing vmlinux symbols (bsc#1071995).
- Refresh
  patches.suse/livepatch-create-and-include-UAPI-headers.patch.
- commit 9d044e6
* Thu Jun 11 2020 mbenes@suse.cz
- livepatch: Remove .klp.arch (bsc#1071995).
- commit e70ef26
* Thu Jun 11 2020 mbenes@suse.cz
- livepatch: Apply vmlinux-specific KLP relocations early
  (bsc#1071995).
- Refresh
  patches.suse/livepatch-create-and-include-UAPI-headers.patch.
- commit 9cf8301
* Wed Jun 10 2020 msuchanek@suse.de
- scsi: ibmvscsi: Don't send host info in adapter info MAD after
  LPM (bsc#1172759 ltc#184814).
- commit 339b9a7
* Wed Jun 10 2020 mbenes@suse.cz
- livepatch: Disallow vmlinux.ko (bsc#1071995).
- commit 90feee8
* Wed Jun 10 2020 tiwai@suse.de
- drm/i915: Whitelist context-local timestamp in the gen9
  cmdparser (bsc#1111666).
- firmware: imx: scu: Fix possible memory leak in imx_scu_probe()
  (bsc#1111666).
- ALSA: usb-audio: Add duplex sound support for USB devices
  using implicit feedback (bsc#1111666).
- ALSA: usb-audio: Fix racy list management in output queue
  (bsc#1111666).
- brcmfmac: fix wrong location to get firmware feature
  (bsc#1111666).
- platform/x86: dell-laptop: don't register micmute LED if there
  is no token (bsc#1111666).
- spi: spi-mem: Fix Dual/Quad modes on Octal-capable devices
  (bsc#1111666).
- crypto: chelsio/chtls: properly set tp->lsndtime (bsc#1111666).
- mmc: block: Fix use-after-free issue for rpmb (bsc#1111666).
- dmaengine: tegra210-adma: Fix an error handling path in
  'tegra_adma_probe()' (bsc#1111666).
- mmc: block: Fix request completion in the CQE timeout path
  (bsc#1111666).
- watchdog: sp805: fix restart handler (bsc#1111666).
- crypto: caam - update xts sector size for large input length
  (bsc#1111666).
- mac80211: set IEEE80211_TX_CTRL_PORT_CTRL_PROTO for nl80211 TX
  (bsc#1111666).
- nl80211: fix NL80211_ATTR_CHANNEL_WIDTH attribute type
  (bsc#1111666).
- wil6210: check rx_buff_mgmt before accessing it (bsc#1111666).
- mac80211: add option for setting control flags (bsc#1111666).
- wil6210: ignore HALP ICR if already handled (bsc#1111666).
- gpu: ipu-v3: pre: don't trigger update if buffer address
  doesn't change (bsc#1111666).
- wil6210: add general initialization/size checks (bsc#1111666).
- commit eb73b21
* Wed Jun 10 2020 jroedel@suse.de
- KVM: x86/mmu: Set mmio_value to '0' if reserved #PF can't be
  generated (bsc#1171904).
- KVM: x86: only do L1TF workaround on affected processors
  (bsc#1171904).
- kvm: x86: Fix L1TF mitigation for shadow MMU (bsc#1171904).
- commit 1c903b0
* Wed Jun 10 2020 tiwai@suse.de
- ima: Directly assign the ima_default_policy pointer to ima_rules
  (bsc#1051510).
- ima: Fix ima digest hash table key calculation (bsc#1051510).
- commit 401f0a4
* Wed Jun 10 2020 tiwai@suse.de
- pinctrl: freescale: imx: Fix an error handling path in
  'imx_pinctrl_probe()' (bsc#1051510).
- pinctrl: imxl: Fix an error handling path in
  'imx1_pinctrl_core_probe()' (bsc#1051510).
- pinctrl: samsung: Save/restore eint_mask over suspend for
  EINT_TYPE GPIOs (bsc#1051510).
- extcon: adc-jack: Fix an error handling path in
  'adc_jack_probe()' (bsc#1051510).
- w1: omap-hdq: cleanup to add missing newline for some dev_dbg
  (bsc#1051510).
- staging: sm750fb: add missing case while setting FB_VISUAL
  (bsc#1051510).
- iio: pressure: bmp280: Tolerate IRQ before registering
  (bsc#1051510).
- iio: buffer: Don't allow buffers without any channels enabled
  to be activated (bsc#1051510).
- tty: n_gsm: Fix bogus i++ in gsm_data_kick (bsc#1051510).
- tty: n_gsm: Fix waking up upper tty layer when room available
  (bsc#1051510).
- tty: n_gsm: Fix SOF skipping (bsc#1051510).
- usb: musb: Fix runtime PM imbalance on error (bsc#1051510).
- usb: musb: start session in resume for host port (bsc#1051510).
- usb: gadget: lpc32xx_udc: don't dereference ep pointer before
  null check (bsc#1051510).
- USB: gadget: udc: s3c2410_udc: Remove pointless NULL check in
  s3c2410_udc_nuke (bsc#1051510).
- usb: dwc2: gadget: move gadget resume after the core is in L0
  state (bsc#1051510).
- USB: host: ehci-mxc: Add error handling in ehci_mxc_drv_probe()
  (bsc#1051510).
- PCI: Allow pci_resize_resource() for devices on root bus
  (bsc#1051510).
- PCI/PTM: Inherit Switch Downstream Port PTM settings from
  Upstream Port (bsc#1051510).
- PCI: Program MPS for RCiEP devices (bsc#1051510).
- PCI: Fix pci_register_host_bridge() device_register() error
  handling (bsc#1051510).
- gpiolib: Document that GPIO line names are not globally unique
  (bsc#1051510).
- drivers: soc: ti: knav_qmss_queue: Make knav_gp_range_ops static
  (bsc#1051510).
- HID: sony: Fix for broken buttons on DS3 USB dongles
  (bsc#1051510).
- ALSA: es1688: Add the missed snd_card_free() (bsc#1051510).
- commit a15b669
* Wed Jun 10 2020 tiwai@suse.de
- Refresh and move the upstreamed relay security fix to sorted section
- commit 17b3c49
* Wed Jun 10 2020 tiwai@suse.de
- vt: keyboard: avoid signed integer overflow in k_ascii
  (CVE-2020-13974 bsc#1172775).
- commit b66c2c6
* Wed Jun 10 2020 pvorel@suse.cz
- fanotify: fix ignore mask logic for events on child and on dir
  (bsc#1172719).
- commit 9bc164a
* Tue Jun  9 2020 jroedel@suse.de
- blacklist.conf: Add c4e0f3b24004 iommu/msm: Make msm_iommu_lock static
- commit 3708a5e
* Tue Jun  9 2020 oneukum@suse.com
- USB: serial: usb_wwan: do not resubmit rx urb on fatal errors
  (git-fixes).
- commit acf46a5
* Tue Jun  9 2020 dwagner@suse.de
- nvme-fc: Fail transport errors with NVME_SC_HOST_PATH
  (bsc#1158983 bsc#1172538).
- nvme-tcp: fail command with NVME_SC_HOST_PATH_ERROR send failed
  (bsc#1158983 bsc#1172538).
- nvme: fail cancelled commands with NVME_SC_HOST_PATH_ERROR
  (bsc#1158983 bsc#1172538).
- commit 2526674
* Tue Jun  9 2020 wqu@suse.com
- btrfs: do not zero f_bavail if we have available space
  (bsc#1168081).
- commit 90dd2a2
* Tue Jun  9 2020 wqu@suse.com
- btrfs: do not zero f_bavail if we have available space
  (bsc#1168081).
- commit 08e2613
* Tue Jun  9 2020 dwagner@suse.de
- blacklist: 55e8c8eb2c7b ("posix-cpu-timers: Store a reference to a pid not a task")
  This fixes a historical/theoretical bug which is not worth
  back porting. It depends on tglx's massive posix-cpu-timers
  refactoring. The risk to introduce subtle bugs do not outweigh the
  gain of fixing the bug.
- commit abdee23
* Tue Jun  9 2020 oneukum@suse.com
- CDC-ACM: heed quirk also in error handling (git-fixes).
- commit 8818915
* Tue Jun  9 2020 dwagner@suse.de
- netfilter: not mark a spinlock as __read_mostly (git-fixes).
- netfilter: connlabels: prefer static lock initialiser
  (git-fixes).
- commit 6ca3677
* Tue Jun  9 2020 oneukum@suse.com
- blacklist.conf: prerequisite not taken, not trivial, and fix is a clean
  up
- commit 5109d23
* Tue Jun  9 2020 colyli@suse.de
- xfrm: fix error in comment (git fixes).
- virtio-blk: handle block_device_operations callbacks after
  hot unplug (git fixes (block drivers)).
- dm verity fec: fix hash block number in verity_fec_decode
  (git fixes (block drivers)).
- pnp: Use list_for_each_entry() instead of open coding (git
  fixes).
- pid: Improve the comment about waiting in zap_pid_ns_processes
  (git fixes)).
- dm verity fec: fix memory leak in verity_fec_dtr (git fixes
  (block drivers)).
- dm cache: fix a crash due to incorrect work item cancelling
  (git fixes (block drivers)).
- dm: fix potential for q->make_request_fn NULL pointer (git fixes
  (block drivers)).
- dm crypt: fix benbi IV constructor crash if used in
  authenticated mode (git fixes (block drivers)).
- dm space map common: fix to ensure new block isn't already in
  use (git fixes (block drivers)).
- compat_ioctl: block: handle Persistent Reservations (git fixes
  (block drivers)).
- compat_ioctl: block: handle BLKREPORTZONE/BLKRESETZONE (git
  fixes (block drivers)).
- dm btree: increase rebalance threshold in __rebalance2()
  (git fixes (block drivers)).
- Revert "dm crypt: use WQ_HIGHPRI for the IO and crypt
  workqueues" (git fixes (block drivers)).
- block: sed-opal: fix sparse warning: convert __be64 data
  (git fixes (block drivers)).
- bcache: Fix an error code in bch_dump_read() (git fixes
  (block drivers)).
- overflow: Fix -Wtype-limits compilation warnings (git fixes).
- commit 6945dcc
* Tue Jun  9 2020 colyli@suse.de
- md: Avoid namespace collision with bitmap API (git fixes
  (block drivers)).
- blacklist.conf: remove the above patch
- Refresh for the above change,
  patches.suse/md-raid1-don-t-clear-bitmap-bits-on-interrupted-reco.patch.
- commit 423a64e
* Tue Jun  9 2020 colyli@suse.de
- overflow.h: Add arithmetic shift helper (git fixes).
- commit 27cb26c
* Tue Jun  9 2020 colyli@suse.de
- dm: various cleanups to md->queue initialization code (git
  fixes).
- Refresh for the above change,
  patches.suse/dm-disable-DISCARD-if-the-underlying-storage-no-long.patch.
- commit 2612891
* Tue Jun  9 2020 colyli@suse.de
- block: remove QUEUE_FLAG_STACKABLE (git fixes (block drivers)).
- Refresh for the above change,
  patches.suse/0001-dm-do-not-allow-readahead-to-limit-IO-size.patch.
- commit f014e0d
* Tue Jun  9 2020 colyli@suse.de
- copy_{to,from}_user(): consolidate object size checks (git
  fixes).
- commit c4f72c7
* Tue Jun  9 2020 oneukum@suse.com
- PCI/PM: Call .bridge_d3() hook only if non-NULL (git-fixes).
- commit d6d54c0
* Tue Jun  9 2020 oneukum@suse.com
- fpga: dfl: afu: Corrected error handling levels (git-fixes).
- commit fb02300
* Mon Jun  8 2020 palcantara@suse.de
- cifs: get rid of unused parameter in reconn_setup_dfs_targets()
  (bsc#1144333).
- commit 0f3687c
* Mon Jun  8 2020 palcantara@suse.de
- cifs: handle hostnames that resolve to same ip in failover
  (bsc#1144333 bsc#1161016).
- commit 09f7878
* Mon Jun  8 2020 palcantara@suse.de
- cifs: set up next DFS target before generic_ip_connect()
  (bsc#1144333 bsc#1161016).
- commit 03ce3a8
* Sun Jun  7 2020 nmoreychaisemartin@suse.com
- RDMA/efa: Unified getters/setters for device structs bitmask access (bsc#1111666)
- commit fc35291
* Sun Jun  7 2020 nmoreychaisemartin@suse.com
- RDMA/efa: Support remote read access in MR registration (bsc#1111666)
- commit 8e254eb
* Sun Jun  7 2020 nmoreychaisemartin@suse.com
- RDMA/efa: Fix setting of wrong bit in get/set_feature commands (bsc#1111666)
- commit 6f31f76
* Sun Jun  7 2020 colyli@suse.de
- raid5: remove gfp flags from scribble_alloc() (bsc#1166985).
- commit d733564
* Sun Jun  7 2020 colyli@suse.de
- md: use memalloc scope APIs in mddev_suspend()/mddev_resume()
  (bsc#1166985)).
- Refresh for the above change,
  patches.kabi/md-backport-kabi.patch.
- commit a067369
* Sun Jun  7 2020 colyli@suse.de
- Revert "bcache: ignore pending signals when creating gc and allocator
  thread" (git fixes (block drivers)).
- commit c5333d3
* Sat Jun  6 2020 bp@suse.de
- blacklist.conf: 7f00cc8d4a51 Documentation: Add ITLB_MULTIHIT documentation
- commit d46ff25
* Fri Jun  5 2020 bp@suse.de
- x86: Fix early boot crash on gcc-10, third try (bsc#1114279).
- commit 3ea6474
* Fri Jun  5 2020 jeffm@suse.com
- mdraid: fix read/write bytes accounting (bsc#1172537).
- commit 2a7f2f3
* Fri Jun  5 2020 bp@suse.de
- blacklist.conf: 88743470668e x86/dma: Fix max PFN arithmetic overflow on 32 bit systems
- commit a79c3e0
* Fri Jun  5 2020 ptesarik@suse.cz
- s390/bpf: Maintain 8-byte stack alignment (bsc#1169194).
- commit 4553d68
* Fri Jun  5 2020 tzimmermann@suse.de
- drm: amd/display: fix Kconfig help text (bsc#1113956)
  * only fix DEBUG_KERNEL_DC
- commit 5881484
* Fri Jun  5 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: force fbdev into vram'
- commit e113507
* Fri Jun  5 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: HDCP: fix Ri prime check done during link check'
- commit 42e05c0
* Fri Jun  5 2020 neilb@suse.de
- NFSv4: Retry CLOSE and DELEGRETURN on NFS4ERR_OLD_STATEID
  (bsc#1170592).
- commit 450b9f8
* Fri Jun  5 2020 neilb@suse.de
- Refresh patches.kabi/NFSv4-Fix-OPEN-CLOSE-race.patch.
  Using DEFINE_WAIT_BIT() can miss a wakeup if the bit
  is quickly set again.  It is also not needed.
  We can safely do an ordinary WAIT on a bit_waitqueue.
- commit b4442f0
* Fri Jun  5 2020 neilb@suse.de
- Delete patches.suse/nfs-delay-fix.patch.
  This patch is actually pointless - locking prevents
  the problem I thought I saw.
  So remove it and move the kabi patch back were it belongs.
- commit c5b2d63
* Thu Jun  4 2020 tiwai@suse.de
- media: go7007: fix a miss of snd_card_free (CVE-2019-20810
  bsc#1172458).
- commit 102e395
* Thu Jun  4 2020 tbogendoerfer@suse.de
- ipv6: fix IPV6_ADDRFORM operation logic (bsc#1171662).
- commit b6ba22b
* Thu Jun  4 2020 nsaenzjulienne@suse.de
- Refresh patches.suse/spi-spi-s3c64xx-fix-system-resume-support.patch.
  This SPI controller is only built for leap15.1, so we didn't catch this
  issue earlier.
- commit d79175f
* Thu Jun  4 2020 dwagner@suse.de
- nvme-fc: print proper nvme-fc devloss_tmo value (bsc#1172391).
- commit 29e0015
* Thu Jun  4 2020 tiwai@suse.de
- spi: dw: Add SPI Rx-done wait method to DMA-based transfer
  (bsc#1051510).
- spi: dw: Add SPI Tx-done wait method to DMA-based transfer
  (bsc#1051510).
- spi: dw: Zero DMA Tx and Rx configurations on stack
  (bsc#1051510).
- spi: bcm-qspi: when tx/rx buffer is NULL set to 0 (bsc#1051510).
- spi: bcm63xx-hsspi: Really keep pll clk enabled (bsc#1051510).
- spi/zynqmp: remove entry that causes a cs glitch (bsc#1051510).
- spi: pxa2xx: Add CS control clock quirk (bsc#1051510).
- spi: qup: call spi_qup_pm_resume_runtime before suspending
  (bsc#1051510).
- commit 1f6eb8e
* Thu Jun  4 2020 tiwai@suse.de
- media: platform: fcp: Set appropriate DMA parameters
  (bsc#1051510).
- media: dvb: return -EREMOTEIO on i2c transfer failure
  (bsc#1051510).
- wcn36xx: Fix error handling path in 'wcn36xx_probe()'
  (bsc#1051510).
- mwifiex: Fix memory corruption in dump_station (bsc#1051510).
- rtlwifi: Fix a double free in _rtl_usb_tx_urb_setup()
  (bsc#1051510).
- mwifiex: avoid -Wstringop-overflow warning (bsc#1051510).
- b43legacy: Fix case where channel status is corrupted
  (bsc#1051510).
- clocksource: dw_apb_timer_of: Fix missing clockevent timers
  (bsc#1051510).
- NFC: st21nfca: add missed kfree_skb() in an error path
  (bsc#1051510).
- mac80211: mesh: fix discovery timer re-arming issue / crash
  (bsc#1051510).
- commit 0ccd007
* Wed Jun  3 2020 tonyj@suse.de
- blacklist.conf:
- commit 52c5c6b
* Wed Jun  3 2020 tonyj@suse.de
- perf/core: Fix race between close() and fork() (git-fixes).
- perf/core: Fix the address filtering fix (git-fixes).
- perf/core: Fix impossible ring-buffer sizes warning (git-fixes).
- commit 960f75e
* Wed Jun  3 2020 tonyj@suse.de
- Following two patches needs to be combined as one commit (one adds context,
  later removes which affects existing patch) else commit series cannot be
  sequenced.
- perf/core: Fix locking for children siblings group read
  (git-fixes).
- perf/core: Fix __perf_read_group_add() locking (git-fixes
  (dependent patch)).
- commit 3546361
* Wed Jun  3 2020 tiwai@suse.de
- video: fbdev: w100fb: Fix a potential double free (bsc#1051510).
- drm/dp_mst: Reformat drm_dp_check_act_status() a bit
  (bsc#1051510).
- agp/intel: Reinforce the barrier after GTT updates
  (bsc#1051510).
- ACPI: CPPC: Fix reference count leak in
  acpi_cppc_processor_probe() (bsc#1051510).
- ACPI: sysfs: Fix reference count leak in
  acpi_sysfs_add_hotplug_profile() (bsc#1051510).
- mmc: sdhci-msm: Clear tuning done flag while hs400 tuning
  (bsc#1051510).
- mmc: sdhci-esdhc-imx: fix the mask for tuning start point
  (bsc#1051510).
- mmc: sdio: Fix potential NULL pointer error in
  mmc_sdio_init_card() (bsc#1051510).
- Input: synaptics-rmi4 - fix error return code in
  rmi_driver_probe() (bsc#1051510).
- Input: i8042 - add ThinkPad S230u to i8042 reset list
  (bsc#1051510).
- Input: xpad - add custom init packet for Xbox One S controllers
  (bsc#1051510).
- Input: evdev - call input_flush_device() on release(), not
  flush() (bsc#1051510).
- Input: usbtouchscreen - add support for BonXeon TP
  (bsc#1051510).
- usb: gadget: legacy: fix redundant initialization warnings
  (bsc#1051510).
- gpio: tegra: mask GPIO IRQs during IRQ shutdown (bsc#1051510).
- commit 6d9200f
* Wed Jun  3 2020 tiwai@suse.de
- Update patch reference for net security fix (CVE-2019-20812 bsc#1172453)
- commit 829b1e0
* Wed Jun  3 2020 mbenes@suse.cz
- objtool: Ignore empty alternatives (bsc#1169514).
- commit 0337d5b
* Wed Jun  3 2020 mhocko@suse.com
- mm: Fix mremap not considering huge pmd devmap (bsc#1172317,
  CVE-2020-10757).
- commit d38eb72
* Wed Jun  3 2020 mbenes@suse.cz
- objtool: Clean instruction state before each function validation
  (bsc#1169514).
- commit 7980f68
* Wed Jun  3 2020 tiwai@suse.de
- relay: handle alloc_percpu returning NULL in relay_open
  (CVE-2019-19462 bsc#1158265).
- commit a0b3f3d
* Wed Jun  3 2020 tbogendoerfer@suse.de
- debugfs_lookup(): switch to lookup_one_len_unlocked()
  (bsc#1171979).
- Refresh patches.suse/new-helper-lookup_positive_unlocked.patch.
- commit b22e4b8
* Wed Jun  3 2020 ykaukab@suse.de
- fdt: Update CRC check for rng-seed (jsc#SLE-12423).
- commit 0bf2909
* Wed Jun  3 2020 jslaby@suse.cz
- net: bcmgenet: correct per TX/RX ring statistics
  (networking-stable-20_04_27).
- net/x25: Fix x25_neigh refcnt leak when receiving frame
  (networking-stable-20_04_27).
- mlxsw: Fix some IS_ERR() vs NULL bugs
  (networking-stable-20_04_27).
- net: dsa: b53: Rework ARL bin logic
  (networking-stable-20_04_27).
- net: dsa: b53: Fix ARL register definitions
  (networking-stable-20_04_27).
- vrf: Check skb for XFRM_TRANSFORMED flag
  (networking-stable-20_04_27).
- xfrm: Always set XFRM_TRANSFORMED in xfrm{4,6}_output_finish
  (networking-stable-20_04_27).
- team: fix hang in team_mode_get() (networking-stable-20_04_27).
- tcp: cache line align MAX_TCP_HEADER
  (networking-stable-20_04_27).
- net/mlx4_en: avoid indirect call in TX completion
  (networking-stable-20_04_27).
- net: netrom: Fix potential nr_neigh refcnt leak in nr_add_node
  (networking-stable-20_04_27).
- commit ed7fd2b
* Wed Jun  3 2020 jslaby@suse.cz
- net: ipv4: devinet: Fix crash when add/del multicast IP with
  autojoin (networking-stable-20_04_17).
- l2tp: Allow management of tunnels and session in user namespace
  (networking-stable-20_04_17).
- hsr: check protocol version in hsr_newlink()
  (networking-stable-20_04_17).
- net: revert default NAPI poll timeout to 2 jiffies
  (networking-stable-20_04_17).
- net: ipv6: do not consider routes via gateways for anycast
  address check (networking-stable-20_04_17).
- commit 6d6a932
* Wed Jun  3 2020 wqu@suse.com
- btrfs: reloc: clear DEAD_RELOC_TREE bit for orphan roots  to
  prevent runaway balance (bsc#1171417 bsc#1160947 bsc#1172366).
- commit 9639a33
* Wed Jun  3 2020 wqu@suse.com
- btrfs: reloc: fix reloc root leak and NULL pointer  dereference
  (bsc#1171417 bsc#1160947 bsc#1172366).
- commit d9bc3f0
* Tue Jun  2 2020 jeffm@suse.com
- dm-raid1: fix invalid return value from dm_mirror (bsc#1172378).
- commit a949fbc
* Tue Jun  2 2020 tiwai@suse.de
- fs/binfmt_elf.c: allocate initialized memory in
  fill_thread_core_info() (CVE-2020-10732 bsc#1171220).
- commit 2074ff5
* Tue Jun  2 2020 tonyj@suse.de
- resolve KABI warning for perf-pt-coresight (git-fixes).
- perf/core: Fix exclusive events' grouping (git-fixes).
- perf/ioctl: Add check for the sample_period value (git-fixes).
- perf/core: Fix perf_sample_regs_user() mm check (git-fixes).
- perf/core: Restore mmap record type correctly (git-fixes).
- perf, pt, coresight: Fix address filters for vmas with non-zero
  offset (git-fixes).
- perf: Copy parent's address filter offsets on clone (git-fixes).
- perf/core: Don't WARN() for impossible ring-buffer sizes
  (git-fixes).
- perf/core: Fix perf_pmu_unregister() locking (git-fixes).
- perf/core: Add sanity check to deal with pinned event failure
  (git-fixes).
- perf/core: Force USER_DS when recording user stack data
  (git-fixes).
- perf/core: Fix group scheduling with mixed hw and sw events
  (git-fixes).
- perf/core: Fix possible Spectre-v1 indexing for ->aux_pages
  (git-fixes).
- perf: Return proper values for user stack errors (git-fixes).
- perf/core: Fix use-after-free in uprobe_perf_close()
  (git-fixes).
- perf/core: Fix ctx_event_type in ctx_resched() (git-fixes).
- perf: Allocate context task_ctx_data for child event
  (git-fixes).
- perf/core: Fix lock inversion between perf,trace,cpuhp
  (git-fixes (dependent patch for 18736eef1213)).
- perf: Fix header.size for namespace events (git-fixes).
- perf/core: Fix perf_event_read_value() locking (git-fixes).
- perf/cgroup: Fix perf cgroup hierarchy support (git-fixes).
- perf/core: Avoid freeing static PMU contexts when PMU is
  unregistered (git-fixes).
- perf/core: Correct event creation with PERF_FORMAT_GROUP
  (git-fixes).
- perf/core: Fix error handling in perf_event_alloc() (git-fixes).
- commit 9a0e335
* Tue Jun  2 2020 nsaenzjulienne@suse.de
- spi: fsl: use platform_get_irq() instead of of_irq_to_resource()
  (git-fixes).
- commit d7e0e1e
* Tue Jun  2 2020 jroedel@suse.de
- iommu: Fix reference count leak in iommu_group_alloc (bsc#1172397).
- commit 6a062b4
* Tue Jun  2 2020 ykaukab@suse.de
- kabi: ppc64le: prevent struct dma_map_ops to become defined (jsc#SLE-12423).
- commit 8ac9cdd
* Tue Jun  2 2020 nsaenzjulienne@suse.de
- spi: spi-fsl-dspi: Replace interruptible wait queue with a
  simple completion (git-fixes).
- spi: fsl: don't map irq during probe (git-fixes).
- spi: bcm2835: Fix 3-wire mode if DMA is enabled (git-fixes).
- mtd: spi-nor: fsl-quadspi: Don't let -EINVAL on the bus
  (git-fixes).
- spi: spi-s3c64xx: Fix system resume support (git-fixes).
- commit e619fc3
* Tue Jun  2 2020 nsaenzjulienne@suse.de
- blacklist.conf: Add some i2c-hid fixes
- commit caeeb14
* Tue Jun  2 2020 nsaenzjulienne@suse.de
- Revert "HID: i2c-hid: add Trekstor Primebook C11B to descriptor override"
  Depends on 9b5c747685982d22efffeafc5ec601bd28f6d78b, which was also
  reverted.
- commit a0f6a3e
* Tue Jun  2 2020 nsaenzjulienne@suse.de
- Revert "i2c-hid: properly terminate i2c_hid_dmi_desc_override_table"
  Fixed 9b5c747685982d22efffeafc5ec601bd28f6d78b, which was also reverted.
- commit 9816261
* Tue Jun  2 2020 nsaenzjulienne@suse.de
- Revert "HID: i2c-hid: override HID descriptors for certain devices"
  This broke i2c-hid.ko's build, there is no way around it without a big file
  rename or renaming the kernel module.
- commit 4d9da2f
* Tue Jun  2 2020 tbogendoerfer@suse.de
- ixgbe: don't check firmware errors (bsc#1170284).
- commit 560204c
* Tue Jun  2 2020 tbogendoerfer@suse.de
- blacklist.conf:
- Delete
  patches.suse/net-mlx5-Accumulate-levels-for-chains-prio-namespace.patch.
  The SHA1 in the fixes tag points to a wrong commit. This fixes bsc#1168332
- commit 841fb68
* Tue Jun  2 2020 wqu@suse.com
- Fix a backport bug, where btrfs_put_root() -> btrfs_put_fs_root()
  modification is not needed due to missing dependency
- Refresh
  patches.suse/0001-btrfs-relocation-Fix-reloc-root-leakage-and-the-NULL.patch.
- Refresh
  patches.suse/0002-btrfs-relocation-Clear-the-DEAD_RELOC_TREE-bit-for-o.patch.
- commit fe18c4e
* Tue Jun  2 2020 neilb@suse.de
- kabi fix for sunrpc-clean-up-properly-in-gss_mech_unregister
  (bsc#1171219, CVE-2020-12656).
- sunrpc: clean up properly in gss_mech_unregister() (bsc#1171219,
  CVE-2020-12656).
- sunrpc: svcauth_gss_register_pseudoflavor must reject duplicate
  registrations (bsc#1171219, CVE-2020-12656).
- commit 455c842
* Mon Jun  1 2020 mkubecek@suse.cz
- netlabel: cope with NULL catmap (CVE-2020-10711 bsc#1171191).
- commit 58c27ad
* Mon Jun  1 2020 mkubecek@suse.cz
- selinux: properly handle multiple messages in
  selinux_netlink_send() (CVE-2020-10751 bsc#1171189).
- commit f75d401
* Mon Jun  1 2020 ptesarik@suse.cz
- blacklist.conf: Add an intrusive s390 patch.
- commit 1bb830f
* Mon Jun  1 2020 ptesarik@suse.cz
- s390/ism: fix error return code in ism_probe() (git-fixes).
- commit e5228db
* Mon Jun  1 2020 nsaenzjulienne@suse.de
- blacklist.conf: 34719de919af ("rtc: i2c/spi: Avoid inclusion of REGMAP
  support when not needed")
- commit 777cdc9
* Mon Jun  1 2020 msuchanek@suse.de
- drivers/net/ibmvnic: Update VNIC protocol version reporting
  (bsc#1065729).
- commit b7a72c0
* Mon Jun  1 2020 pmladek@suse.com
- blacklist.conf: bpf: non-critical (bsc#1172344)
- commit 1ae8a47
* Mon Jun  1 2020 fdmanana@suse.com
- btrfs: fix partial loss of prealloc extent past i_size after
  fsync (bsc#1172343).
- commit fe3fd3e
* Mon Jun  1 2020 fdmanana@suse.com
- btrfs: fix log context list corruption after rename whiteout
  error (bsc#1172342).
- commit 2e176e5
* Mon Jun  1 2020 neilb@suse.de
- kabi for for md: improve handling of bio with REQ_PREFLUSH in
  md_flush_request() (git-fixes).
- commit 9df69e6
* Mon Jun  1 2020 neilb@suse.de
- blacklist.conf: add some non-needed commits
  Mostly just cosmetic changes which won't affect SLE in any important way.
- commit 26aa757
* Mon Jun  1 2020 neilb@suse.de
- md: improve handling of bio with REQ_PREFLUSH in
  md_flush_request() (git-fixes).
- commit 1ca15b8
* Sat May 30 2020 tiwai@suse.de
- Move an upstreamed sound patch to sorted section
- commit 6dd65a7
* Sat May 30 2020 tiwai@suse.de
- ALSA: usb-audio: Quirks for Gigabyte TRX40 Aorus Master onboard
  audio (git-fixes).
- commit 289d4c3
* Sat May 30 2020 tiwai@suse.de
- ALSA: hda/realtek - Add new codec supported for ALC287
  (git-fixes).
- ALSA: usb-audio: mixer: volume quirk for ESS Technology Asus
  USB DAC (git-fixes).
- ALSA: hwdep: fix a left shifting 1 by 31 UB bug (git-fixes).
- commit 494a4d8
* Fri May 29 2020 nsaenzjulienne@suse.de
- i2c: fix missing pm_runtime_put_sync in i2c_device_probe
  (git-fixes).
- i2c: acpi: put device when verifying client fails (git-fixes).
- i2c: i801: Do not add ICH_RES_IO_SMI for the iTCO_wdt device
  (git-fixes).
- i2c: acpi: Force bus speed to 400KHz if a Silead touchscreen
  is present (git-fixes).
- HID: i2c-hid: add Trekstor Primebook C11B to descriptor override
  (git-fixes).
- i2c: iproc: Stop advertising support of SMBUS quick cmd
  (git-fixes).
- i2c: brcmstb: remove unused struct member (git-fixes).
- i2c: isch: Remove unnecessary acpi.h include (git-fixes).
- i2c-hid: properly terminate i2c_hid_dmi_desc_override_table
  array (git-fixes).
- HID: i2c-hid: override HID descriptors for certain devices
  (git-fixes).
- i2c: core: Allow empty id_table in ACPI case as well
  (git-fixes).
- commit 1386826
* Fri May 29 2020 ptesarik@suse.cz
- Update upstream references and move to sorted section:
- patches.suse/0001-btrfs-relocation-Fix-reloc-root-leakage-and-the-NULL.patch.
- patches.suse/0002-btrfs-relocation-Clear-the-DEAD_RELOC_TREE-bit-for-o.patch.
- commit 6bc1f7f
* Fri May 29 2020 ohering@suse.de
- drivers: hv: Add a module description line to the hv_vmbus
  driver (bsc#1172249, bsc#1172251).
- HID: hyperv: Add a module description line (bsc#1172249,
  bsc#1172251).
- Input: hyperv-keyboard - add module description (bsc#1172249,
  bsc#1172251).
- commit 30b471c
* Fri May 29 2020 ptesarik@suse.cz
- KVM: arm64: Stop save/restoring host tpidr_el1 on VHE
  (bsc#1133021).
- KVM: arm64: Change hyp_panic()s dependency on tpidr_el2
  (bsc#1133021).
- commit 858fb6e
* Fri May 29 2020 ptesarik@suse.cz
- kabi/severities: Do not track KVM internal symbols.
- commit c7abfd4
* Fri May 29 2020 tiwai@suse.de
- iio: adc: stm32-adc: fix sleep in atomic context (git-fixes).
- Refresh
  patches.suse/iio-adc-stm32-adc-fix-device-used-to-request-dma.patch.
- commit 536a438
* Fri May 29 2020 tiwai@suse.de
- ima: Fix return value of ima_write_policy() (git-fixes).
- usb: gadget: udc: atmel: Make some symbols static (git-fixes).
- usb: host: xhci-plat: keep runtime active when removing host
  (git-fixes).
- usb: xhci: Fix NULL pointer dereference when enqueuing trbs
  from urb sg list (git-fixes).
- usb: gadget: legacy: fix error return code in gncm_bind()
  (git-fixes).
- usb: gadget: legacy: fix error return code in cdc_bind()
  (git-fixes).
- usb: gadget: net2272: Fix a memory leak in an error handling
  path in 'net2272_plat_probe()' (git-fixes).
- usb: gadget: audio: Fix a missing error return value in
  audio_bind() (git-fixes).
- USB: serial: qcserial: Add DW5816e support (git-fixes).
- USB: uas: add quirk for LaCie 2Big Quadra (git-fixes).
- usb-storage: Add unusual_devs entry for JMicron JMS566
  (git-fixes).
- staging: vt6656: Fix pairwise key entry save (git-fixes).
- staging: vt6656: Fix drivers TBTT timing counter (git-fixes).
- staging: vt6656: Don't set RCR_MULTICAST or RCR_BROADCAST by
  default (git-fixes).
- tpm/tpm_tis: Free IRQ if probing fails (git-fixes).
- watchdog: reset last_hw_keepalive time at start (git-fixes).
- commit 45a4230
* Fri May 29 2020 tiwai@suse.de
- Input: synaptics-rmi4 - really fix attn_data use-after-free
  (git-fixes).
- commit f16d0b8
* Thu May 28 2020 dbueso@suse.de
- Revert "ipc,sem: remove uneeded sem_undo_list lock usage in
  exit_sem()" (bsc#1172221).
- commit 801dace
* Thu May 28 2020 ohering@suse.de
- PCI: hv: Add support for protocol 1.3 and support
  PCI_BUS_RELATIONS2 (bsc#1172201, bsc#1172202).
- PCI: hv: Decouple the func definition in hv_dr_state from VSP
  message (bsc#1172201, bsc#1172202).
- commit f353ce0
* Thu May 28 2020 nsaenzjulienne@suse.de
- mmc: renesas_sdhi: limit block count to 16 bit for old revisions
  (git-fixes).
- commit 407b7df
* Thu May 28 2020 nsaenzjulienne@suse.de
- mmc: dw_mmc: Fix debugfs on 64-bit platforms (git-fixes).
- mmc: atmel-mci: Fix debugfs on 64-bit platforms (git-fixes).
- debugfs: Add debugfs_create_xul() for hexadecimal unsigned long
  (git-fixes).
- commit 3d434da
* Thu May 28 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: force fbdev into vram'
- commit ce5e640
* Thu May 28 2020 tzimmermann@suse.de
- drm/etnaviv: fix perfmon domain interation (bsc#1113956)
- commit 5057970
* Thu May 28 2020 nsaenzjulienne@suse.de
- mmc: sdhci: Update the tuning failed messages to pr_debug level
  (git-fixes).
- mmc: tmio: fix access width of Block Count Register (git-fixes).
- commit eca2b47
* Thu May 28 2020 tiwai@suse.de
- mei: release me_cl object reference (bsc#1051510).
- iio: sca3000: Remove an erroneous 'get_device()' (bsc#1051510).
- iio: adc: stm32-adc: fix device used to request dma
  (bsc#1051510).
- staging: iio: ad2s1210: Fix SPI reading (bsc#1051510).
- iio: dac: vf610: Fix an error handling path in
  'vf610_dac_probe()' (bsc#1051510).
- i2c: mux: demux-pinctrl: Fix an error handling path in
  'i2c_demux_pinctrl_probe()' (bsc#1051510).
- component: Silence bind error on -EPROBE_DEFER (bsc#1051510).
- USB: core: Fix misleading driver bug report (bsc#1051510).
- platform/x86: asus-nb-wmi: Do not load on Asus T100TA and T200TA
  (bsc#1051510).
- HID: multitouch: add eGalaxTouch P80H84 support (bsc#1051510).
- i2c: dev: Fix the race between the release of i2c_dev and cdev
  (bsc#1051510).
- brcmfmac: abort and release host after error (bsc#1051510).
- iio: adc: stm32-adc: Use dma_request_chan() instead
  dma_request_slave_channel() (bsc#1051510).
- commit 313d2ef
* Thu May 28 2020 bp@suse.de
- blacklist.conf: 81d30225bc0c x86/vdso: Remove hpet_page from vDSO
- commit 38635e6
* Thu May 28 2020 ptesarik@suse.cz
- Separate one more kABI fixup from the functional change:
- patches.kabi/NFSv4-Fix-OPEN-CLOSE-race.patch
- patches.suse/nfs-delay-fix.patch
- commit 8664a22
* Thu May 28 2020 ptesarik@suse.cz
- Move patches.kabi/NFSv4-Fix-OPEN-CLOSE-race.patch to the kABI section.
- Refresh patches.suse/nfs-delay-fix.patch.
- commit e242bd7
* Thu May 28 2020 tiwai@suse.de
- Update patch reference of a media driver security fix (CVE-2019-20806 bsc#1172199)
- commit 0ec85a8
* Wed May 27 2020 pmladek@suse.com
- taskstats: fix data-race (bsc#1172188).
- commit 32f7a95
* Wed May 27 2020 pmladek@suse.com
- signal/pid_namespace: Fix reboot_pid_ns to use send_sig not
  force_sig (bsc#1172185).
- commit cee4b66
* Wed May 27 2020 pmladek@suse.com
- blacklist.conf: sysrq: prehistoric bug, non-critical, found by code review
- commit 4247b86
* Wed May 27 2020 dwagner@suse.de
- scsi: lpfc: Fix lpfc_nodelist leak when processing unsolicited
  event (bsc#1164780).
- scsi: lpfc: remove duplicate unloading checks (bsc#1164780).
- scsi: lpfc: Remove redundant initialization to variable rc
  (bsc#1164780).
- scsi: lpfc: Update lpfc version to 12.8.0.1 (bsc#1164780).
- scsi: lpfc: Fix MDS Diagnostic Enablement definition
  (bsc#1164780).
- scsi: lpfc: Fix noderef and address space warnings
  (bsc#1164780).
- scsi: lpfc: Remove unnecessary lockdep_assert_held calls
  (bsc#1164780).
- scsi: lpfc: Change default queue allocation for reduced memory
  consumption (bsc#1164780).
- scsi: lpfc: Fix negation of else clause in
  lpfc_prep_node_fc4type (bsc#1164780).
- scsi: lpfc: Remove re-binding of nvme rport during registration
  (bsc#1164780).
- scsi: lpfc: Maintain atomic consistency of queue_claimed flag
  (bsc#1164780).
- commit d928bfe
* Wed May 27 2020 bp@suse.de
- x86/kprobes: Avoid kretprobe recursion bug (bsc#1114279).
- commit 982949c
* Tue May 26 2020 pmladek@suse.com
- workqueue: don't use wq_select_unbound_cpu() for bound works
  (bsc#1172130).
- commit 932cbdf
* Tue May 26 2020 mgorman@suse.de
- mm: limit boost_watermark on small zones (git fixes
  (mm/pgalloc)).
- commit 6c80dbc
* Tue May 26 2020 fdmanana@suse.com
- Btrfs: setup a nofs context for memory allocation at
  __btrfs_set_acl (bsc#1172127).
- commit 75f523e
* Tue May 26 2020 fdmanana@suse.com
- Btrfs: setup a nofs context for memory allocation at
  btrfs_create_tree() (bsc#1172127).
- commit 8d9898c
* Tue May 26 2020 fdmanana@suse.com
- Btrfs: use nofs context when initializing security xattrs to
  avoid deadlock (bsc#1172127).
- commit edf681c
* Tue May 26 2020 fdmanana@suse.com
- Btrfs: fix deadlock with memory reclaim during scrub
  (bsc#1172127).
- commit 27750d8
* Tue May 26 2020 msuchanek@suse.de
- powerpc/setup_64: Set cache-line-size based on cache-block-size
  (bsc#1065729).
- commit bf878f9
* Tue May 26 2020 msuchanek@suse.de
- blacklist.conf: Add 73aca179d78e powerpc/modules: Fix crashes by adding
  CONFIG_RELOCATABLE to vermagic
- commit 7566dd8
* Tue May 26 2020 msuchanek@suse.de
- powerpc/pci/of: Parse unassigned resources (bsc#1065729).
- commit 5ad1120
* Tue May 26 2020 msuchanek@suse.de
- tpm/tpm_tis: Free IRQ if probing fails (bsc#1082555).
- commit e2b078f
* Tue May 26 2020 msuchanek@suse.de
- blacklist.conf: Add 9d82973e032e gcc-10 warnings: fix low-hanging fruit
- commit 0565a0a
* Tue May 26 2020 msuchanek@suse.de
- scripts/decodecode: fix trapping instruction formatting
  (bsc#1065729).
- commit 3dc330c
* Tue May 26 2020 msuchanek@suse.de
- tpm: ibmvtpm: retry on H_CLOSED in tpm_ibmvtpm_send()
  (bsc#1065729).
- commit e7c2630
* Tue May 26 2020 msuchanek@suse.de
- rpm/kernel-source.spec.in: Add obsolete_rebuilds (boo#1172073).
- commit 6524463
* Tue May 26 2020 jroedel@suse.de
- iommu/amd: Fix over-read of ACPI UID from IVRS table
  (bsc#1172101).
- iommu/amd: Do not flush Device Table in iommu_map_page()
  (bsc#1172097).
- iommu/amd: Update Device Table in increase_address_space()
  (bsc#1172103).
- iommu/amd: Call domain_flush_complete() in update_domain()
  (bsc#1172096).
- iommu/amd: Do not loop forever when trying to increase address
  space (bsc#1172098).
- iommu/amd: Fix race in increase_address_space()/fetch_pte()
  (bsc#1172102).
- iommu/amd: Fix legacy interrupt remapping for x2APIC-enabled
  system (bsc#1172099).
- KVM: Check validity of resolved slot when searching memslots
  (bsc#1172104).
- commit 625ee83
* Tue May 26 2020 tiwai@suse.de
- ALSA: hda/realtek - Add a model for Thinkpad T570 without DAC
  workaround (bsc#1172017).
- commit 3006c1a
* Tue May 26 2020 jroedel@suse.de
- kabi/severities: Ingnore get_dev_data()
  The function is internal to the AMD IOMMU driver and must
  not be called by any third party.
- commit 01b46dc
* Mon May 25 2020 ptesarik@suse.cz
- Update upstream references and move to sorted section:
- patches.suse/ALSA-pcm-oss-Place-the-plugin-buffer-overflow-checks.patch
- patches.suse/scsi-ibmvfc-Don-t-send-implicit-logouts-prior-to-NPI.patch
- patches.suse/scsi-ibmvscsi-Fix-WARN_ON-during-event-pool-release.patch
- patches.suse/scsi-qla2xxx-check-UNLOADING-before-posting-async-wo.patch
- patches.suse/scsi-qla2xxx-set-UNLOADING-before-waiting-for-sessio.patch
- commit 4712238
* Mon May 25 2020 dwagner@suse.de
- scsi: qla2xxx: Do not log message when reading port speed via
  sysfs (bsc#1157169).
- scsi: qla2xxx: Delete all sessions before unregister local
  nvme port (bsc#1157169).
- scsi: qla2xxx: Fix hang when issuing nvme disconnect-all in NPIV
  (bsc#1157169).
- commit 4999a79
* Mon May 25 2020 tzimmermann@suse.de
- drm/i915/gvt: Init DPLL/DDI vreg for virtual display instead of (bsc#1114279)
- commit 2f9779d
* Mon May 25 2020 tzimmermann@suse.de
- drm/edid: Fix off-by-one in DispID DTD pixel clock (bsc#1114279)
- commit b91f53f
* Mon May 25 2020 mbenes@suse.cz
- x86/unwind/orc: Fix unwind_get_return_address_ptr() for inactive
  tasks (bsc#1058115).
- commit 6b47c57
* Fri May 22 2020 bp@suse.de
- x86/resctrl: Preserve CDP enable over CPU hotplug (bsc#1114279).
- commit 3fcacc6
* Fri May 22 2020 ptesarik@suse.cz
- s390/pci: Fix possible deadlock in recover_store() (bsc#1165183
  LTC#184103).
- s390/pci: Recover handle in clp_set_pci_fn() (bsc#1165183
  LTC#184103).
- commit 75bca30
* Fri May 22 2020 tiwai@suse.de
- ALSA: hda/realtek - Fix silent output on Gigabyte X570 Aorus
  Xtreme (bsc#1111666).
- commit ac1f9f4
* Fri May 22 2020 tiwai@suse.de
- ALSA: hda/realtek - Add more fixup entries for Clevo machines
  (git-fixes).
- ALSA: iec1712: Initialize STDSP24 properly when using the
  model=staudio option (git-fixes).
- ALSA: pcm: fix incorrect hw_base increase (git-fixes).
- commit aab08ed
* Fri May 22 2020 bp@suse.de
- KVM x86: Extend AMD specific guest behavior to Hygon virtual
  CPUs (bsc#1152489).
- commit 69674e3
* Fri May 22 2020 tiwai@suse.de
- spi: spi-dw: Add lock protect dw_spi rx/tx to prevent concurrent
  calls (CVE-2020-12769 bsc#1171983).
- commit 23ba781
* Fri May 22 2020 tiwai@suse.de
- USB: gadget: fix illegal array access in binding with UDC
  (CVE-2020-13143 bsc#1171982).
- commit 981bbca
* Fri May 22 2020 ohering@suse.de
- clocksource/drivers/hyper-v: Set TSC clocksource as default w/
  InvariantTSC (bsc#1170620, bsc#1170621).
- commit e093c54
* Fri May 22 2020 duwe@suse.de
- selftests/powerpc: Fix build errors in powerpc ptrace selftests
  (boo#1124278).
- commit de29fe9
* Fri May 22 2020 ptesarik@suse.cz
- Redo patch for SLE15-SP1, based on feedback from IBM:
  patches.suse/s390-ftrace-fix-potential-crashes-when-switching-tracers
  (bsc#1171244 LTC#185785 git-fixes).
- commit 2dafeb6
* Fri May 22 2020 ptesarik@suse.cz
- Update references:
  patches.suse/s390-pci-do-not-set-affinity-for-floating-irqs
  (bsc#1171817 LTC#185819 git-fixes).
- commit f77b834
* Thu May 21 2020 jack@suse.cz
- patches.suse/ext4-Check-for-non-zero-journal-inum-in-ext4_calculate_overhead.patches:
  Update tags
- commit 59430e6
* Thu May 21 2020 jack@suse.cz
- block: fix busy device checking in blk_drop_partitions again
  (bsc#1171948).
- commit 2488ba8
* Thu May 21 2020 jack@suse.cz
- block: remove the bd_openers checks in blk_drop_partitions
  (bsc#1171948).
- commit 9ad384c
* Thu May 21 2020 jack@suse.cz
- ext4: do not zeroout extents beyond i_disksize (bsc#1167851).
- commit d4fc492
* Thu May 21 2020 jack@suse.cz
- ext4: use non-movable memory for superblock readahead
  (bsc#1171952).
- commit 40fc9ad
* Thu May 21 2020 jack@suse.cz
- blacklist.conf: Blacklist 9a7f12edf884
- commit 8cfcd2b
* Thu May 21 2020 jack@suse.cz
- locks: print unsigned ino in /proc/locks (bsc#1171951).
  Refresh patches.suse/vfs-add-super_operations-get_inode_dev
- commit e91f787
* Thu May 21 2020 jack@suse.cz
- ext4: fix extent_status fragmentation for plain files
  (bsc#1171949).
- commit f96a0a1
* Thu May 21 2020 jack@suse.cz
- block: fix busy device checking in blk_drop_partitions
  (bsc#1171948).
- commit 743a4d2
* Thu May 21 2020 wqu@suse.com
- btrfs: relocation: Clear the DEAD_RELOC_TREE bit for  orphan
  roots to prevent runaway balance (bsc#1171417).
- commit 31c0d8d
* Thu May 21 2020 wqu@suse.com
- btrfs: relocation: Fix reloc root leakage and the NULL  pointer
  reference caused by the leakage (bsc#1171417).
- commit e16c244
* Wed May 20 2020 msuchanek@suse.de
- blacklist.conf: blacklist riscv.
- commit c138727
* Wed May 20 2020 tzimmermann@suse.de
- drm/atomic: Take the atomic toys away from X (bsc#1112178)
  * context changes
- commit 2f0ee62
* Wed May 20 2020 neilb@suse.de
- NFS: fix racey wait in nfs_set_open_stateid_locked
  (bsc#1170592).
- commit d582489
* Tue May 19 2020 lduncan@suse.com
- scsi: mptfusion: Fix double fetch bug in ioctl (bsc#1171218
  CVE-2020-12652).
- commit b58e62e
* Tue May 19 2020 jroedel@suse.de
- KVM: SVM: Fix potential memory leak in svm_cpu_init() (bsc#1171736).
- commit 1afbbf7
* Tue May 19 2020 dmueller@suse.com
- Add br_netfilter to kernel-default-base (bsc#1169020)
- commit 364305f
* Tue May 19 2020 dmueller@suse.com
- scripts/dtc: Remove redundant YYLOC global declaration
  (bsc#1160388).
- commit 14896bf
* Tue May 19 2020 oneukum@suse.com
- blacklist.conf: kABI, removes a global variable that should not be
  global
- commit 0817ef5
* Tue May 19 2020 oneukum@suse.com
- mtd: spi-nor: enable 4B opcodes for mx66l51235l (git-fixes).
- commit b312e16
* Tue May 19 2020 oneukum@suse.com
- mtd: spi-nor: cadence-quadspi: add a delay in write sequence
  (git-fixes).
- Refresh
  patches.suse/mtd-spi-nor-Fix-Cadence-QSPI-page-fault-kernel-panic.patch.
- commit 97492be
* Tue May 19 2020 oneukum@suse.com
- blacklist.conf: removes a feature reported to work badly, but still a
  feature
- commit 5e3ce84
* Tue May 19 2020 mbenes@suse.cz
- x86/unwind/orc: Fix error handling in __unwind_start()
  (bsc#1058115).
- commit 3e02f05
* Tue May 19 2020 glin@suse.com
- bpf: Fix sk_psock refcnt leak when receiving message
  (bsc#1083647).
- commit 6602e7d
* Mon May 18 2020 jack@suse.cz
- fanotify: fix merging marks masks with FAN_ONDIR (bsc#1171679).
- commit 91c7c97
* Mon May 18 2020 oneukum@suse.com
- vt: selection, introduce vc_is_sel (git-fixes).
- blacklist.conf: needed as prerequisite for later patches
- Refresh
  patches.suse/vt-ioctl-switch-VT_IS_IN_USE-and-VT_BUSY-to-inlines.patch.
- commit ad0a432
* Mon May 18 2020 jack@suse.cz
- ocfs2: no need try to truncate file beyond i_size (bsc#1171841).
- commit c491d99
* Mon May 18 2020 oneukum@suse.com
- vt: vt_ioctl: fix use-after-free in vt_in_use() (git-fixes).
- commit 15f17f6
* Mon May 18 2020 oneukum@suse.com
- vt: ioctl, switch VT_IS_IN_USE and VT_BUSY to inlines
  (git-fixes).
- blacklist.conf: now needed to cleanly backport later patches
- commit 7cb1869
* Mon May 18 2020 jack@suse.cz
- ext4: fix a data race at inode->i_blocks (bsc#1171835).
- commit c8bb0cb
* Mon May 18 2020 msuchanek@suse.de
- libnvdimm/dax: Pick the right alignment default when creating dax
  devices (bsc#1171759).
- powerpc/book3s64: Export has_transparent_hugepage() related
  functions (bsc#1171759).
- Refresh patches.suse/powerpc-hash64-devmap-Use-H_PAGE_THP_HUGE-when-setti.patch.
- commit 5257d13
* Mon May 18 2020 oneukum@suse.com
- vt: vt_ioctl: fix VT_DISALLOCATE freeing in-use virtual console
  (git-fixes).
- commit e6f55bd
* Mon May 18 2020 nsaenzjulienne@suse.de
- mmc: core: Fix recursive locking issue in CQE recovery path
  (git-fixes).
- mmc: core: Check request type before completing the request
  (git-fixes).
- mmc: cqhci: Avoid false "cqhci: CQE stuck on" by not open-coding
  timeout loop (git-fixes).
- commit bb23570
* Mon May 18 2020 oneukum@suse.com
- vt: vt_ioctl: fix race in VT_RESIZEX (git-fixes).
- commit 664d504
* Mon May 18 2020 oneukum@suse.com
- i2c: core: decrease reference count of device node in
  i2c_unregister_device (git-fixes).
- commit f0cb466
* Mon May 18 2020 oneukum@suse.com
- USB: serial: garmin_gps: add sanity checking for data length
  (git-fixes).
- commit 98c1e0a
* Mon May 18 2020 tbogendoerfer@suse.de
- ipv6: fix restrict IPV6_ADDRFORM operation (bsc#1171662).
- commit 05aba8f
* Mon May 18 2020 jslaby@suse.cz
- blacklist.conf: add one net entry
- commit 7a8c492
* Sun May 17 2020 tiwai@suse.de
- pinctrl: sunrisepoint: Fix PAD lock register offset for SPT-H
  (git-fixes).
- commit 2c8083d
* Sun May 17 2020 tiwai@suse.de
- pinctrl: cherryview: Add missing spinlock usage in
  chv_gpio_irq_handler (git-fixes).
- pinctrl: baytrail: Enable pin configuration setting for GPIO
  chip (git-fixes).
- commit fd2d52c
* Sat May 16 2020 tiwai@suse.de
- ALSA: rawmidi: Fix racy buffer resize under concurrent accesses
  (git-fixes).
- commit 27bd92e
* Sat May 16 2020 tiwai@suse.de
- ALSA: hda/realtek - Add COEF workaround for ASUS ZenBook UX431DA
  (git-fixes).
- ALSA: hda/realtek: Enable headset mic of ASUS UX581LV with
  ALC295 (git-fixes).
- ALSA: hda/realtek - Enable headset mic of ASUS UX550GE with
  ALC295 (git-fixes).
- ALSA: hda/realtek - Enable headset mic of ASUS GL503VM with
  ALC295 (git-fixes).
- ALSA: hda/realtek: Add quirk for Samsung Notebook (git-fixes).
- ALSA: usb-audio: add mapping for ASRock TRX40 Creator
  (git-fixes).
- ALSA: hda/realtek - Add HP new mute led supported for ALC236
  (git-fixes).
- ALSA: hda/realtek - Add supported new mute Led for HP
  (git-fixes).
- commit e8de573
* Sat May 16 2020 tiwai@suse.de
- kABI workaround for snd_rawmidi buffer_ref field addition
  (git-fixes).
- commit a7c2c8d
* Sat May 16 2020 tiwai@suse.de
- ALSA: hda/realtek - Limit int mic boost for Thinkpad T530
  (git-fixes bsc#1171293).
- commit c3ef43b
* Sat May 16 2020 tiwai@suse.de
- ALSA: hda/realtek - Fix S3 pop noise on Dell Wyse (git-fixes).
- Revert "ALSA: hda/realtek: Fix pop noise on ALC225" (git-fixes).
- ALSA: usb-audio: Add control message quirk delay for Kingston
  HyperX headset (git-fixes).
- commit 935a2e7
* Fri May 15 2020 msuchanek@suse.de
- ACPI: NFIT: Fix unlock on error in scrub_show() (bsc#1171753).
- commit fcb2f62
* Fri May 15 2020 palcantara@suse.de
- cifs: fix uninitialised lease_key in open_shroot()
  (bsc#1144333).
- commit bf25824
* Fri May 15 2020 palcantara@suse.de
- cifs: ensure correct super block for DFS reconnect
  (bsc#1144333).
- commit 788c79c
* Fri May 15 2020 palcantara@suse.de
- cifs: do not share tcons with DFS (bsc#1144333).
- commit 7f82190
* Fri May 15 2020 palcantara@suse.de
- cifs: minor update to comments around the cifs_tcp_ses_lock
  mutex (bsc#1144333).
- commit 1a7b4cd
* Fri May 15 2020 palcantara@suse.de
- cifs: protect updating server->dstaddr with a spinlock
  (bsc#1144333).
- commit d1d4951
* Fri May 15 2020 palcantara@suse.de
- smb3: remove overly noisy debug line in signing errors
  (bsc#1144333).
- commit 3dae883
* Fri May 15 2020 palcantara@suse.de
- cifs: improve read performance for page size 64KB & cache=strict
  & vers=2.1+ (bsc#1144333).
- commit 972bd10
* Fri May 15 2020 palcantara@suse.de
- cifs: dump the session id and keys also for SMB2 sessions
  (bsc#1144333).
- commit ad798fc
* Fri May 15 2020 palcantara@suse.de
- smb3: enable swap on SMB3 mounts (bsc#1144333).
- commit 30ecfad
* Fri May 15 2020 palcantara@suse.de
- smb3: change noisy error message to FYI (bsc#1144333).
- commit 015ea74
* Fri May 15 2020 palcantara@suse.de
- smb3: smbdirect support can be configured by default
  (bsc#1144333).
- commit 4efb168
* Fri May 15 2020 palcantara@suse.de
- cifs: smbd: Do not schedule work to send immediate packet on
  every receive (bsc#1144333).
- commit c40d584
* Fri May 15 2020 palcantara@suse.de
- cifs: smbd: Properly process errors on ib_post_send
  (bsc#1144333).
- commit 011dab4
* Fri May 15 2020 palcantara@suse.de
- cifs: Allocate crypto structures on the fly for calculating
  signatures of incoming packets (bsc#1144333).
- commit cb6e0ae
* Fri May 15 2020 ptesarik@suse.cz
- s390/pci: do not set affinity for floating irqs (git-fixes).
- commit 8e8b676
* Fri May 15 2020 ptesarik@suse.cz
- s390/cpum_cf: Add new extended counters for IBM z15 (bsc#1169762
  LTC#185291).
- commit 631655d
* Fri May 15 2020 msuchanek@suse.de
- libnvdimm: cover up changes in struct nvdimm_bus (bsc#1171753).
- commit cab810b
* Fri May 15 2020 msuchanek@suse.de
- driver-core, libnvdimm: Let device subsystems add local lockdep
  coverage (bsc#1171753).
  Refresh patches.kabi/libnvdimm-fix-devm_nsio_enable-kabi.patch
  Refresh patches.suse/libnvdimm-namespace-Differentiate-between-probe-mapp.patch
- libnvdimm/bus: Fix wait_nvdimm_bus_probe_idle() ABBA deadlock
  (bsc#1171753).
- libnvdimm/bus: Stop holding nvdimm_bus_list_mutex over
  __nd_ioctl() (bsc#1171753).
- libnvdimm/bus: Prepare the nd_ioctl() path to be re-entrant
  (bsc#1171753).
- commit 048c66f
* Fri May 15 2020 ohering@suse.de
- x86/Hyper-V: Report crash data in die() when panic_on_oops is
  set (bsc#1170617, bsc#1170618).
- commit 142cbaa
* Fri May 15 2020 ohering@suse.de
- x86/Hyper-V: Report crash register data when
  sysctl_record_panic_msg is not set (bsc#1170617, bsc#1170618).
- commit cbbb58e
* Fri May 15 2020 ohering@suse.de
- x86/Hyper-V: Report crash register data or kmsg before running
  crash kernel (bsc#1170617, bsc#1170618).
- commit cc64223
* Fri May 15 2020 ohering@suse.de
- x86/Hyper-V: Trigger crash enlightenment only once during
  system crash (bsc#1170617, bsc#1170618).
- commit f9a96e5
* Fri May 15 2020 ohering@suse.de
- x86/Hyper-V: Free hv_panic_page when fail to register kmsg dump
  (bsc#1170617, bsc#1170618).
- commit 2f16168
* Fri May 15 2020 ohering@suse.de
- x86/Hyper-V: Unload vmbus channel in hv panic callback
  (bsc#1170617, bsc#1170618).
- commit a817cf5
* Fri May 15 2020 mhocko@suse.com
- perf/hwbp: Simplify the perf-hwbp code, fix documentation
  (bnc#1012382, bsc#1089895, CVE-2018-1000199, bsc#1171665).
- commit 5b1d034
* Fri May 15 2020 ptesarik@suse.cz
- Fix build failure by refreshing
  patches.suse/0003-drm-sun4i-dsi-Remove-incorrect-use-of-runtime-PM.patch.
- commit 2388795
* Fri May 15 2020 ptesarik@suse.cz
- Fix build failure by refreshing
  patches.suse/0006-drm-etnaviv-rework-perfmon-query-infrastructure.patch.
- commit ecee6e3
* Fri May 15 2020 tbogendoerfer@suse.de
- nfp: abm: fix a memory leak bug (bsc#1109837).
- net_sched: sch_skbprio: add message validation to
  skbprio_change() (bsc#1109837).
- devlink: fix return value after hitting end in region read
  (bsc#1109837).
- bnxt_en: Return error when allocating zero size context memory
  (bsc#1104745 FATE#325918).
- bnxt_en: Reduce BNXT_MSIX_VEC_MAX value to supported CQs per PF
  (bsc#1104745 FATE#325918).
- net/mlx5: Fix failing fw tracer allocation on s390 (bsc#1103990
  FATE#326006).
- svcrdma: Fix trace point use-after-free race (bsc#1103992
  FATE#326009).
- tun: Don't put_page() for all negative return values from XDP
  program (bsc#1109837).
- cxgb4: fix MPS index overwrite when setting MAC address
  (bsc#1127355).
- svcrdma: Fix double svc_rdma_send_ctxt_put() in an error path
  (bsc#1103992 FATE#326009).
- IB/mlx5: Fix missing congestion control debugfs on rep rdma
  device (bsc#1103991 FATE#326007).
- mlxsw: spectrum_mr: Fix list iteration in error path
  (bsc#1112374).
- bnxt_en: Return error if bnxt_alloc_ctx_mem() fails (bsc#1104745
  FATE#325918).
- cxgb4: fix Txq restart check during backpressure (bsc#1127354
  bsc#1127371).
- net: hns3: fix "tc qdisc del" failed issue (bsc#1109837).
- devlink: validate length of region addr/len (bsc#1109837).
- devlink: validate length of param values (bsc#1109837).
- Revert "RDMA/cma: Simplify rdma_resolve_addr() error flow"
  (bsc#1103992 FATE#326009).
- commit d00f38a
* Fri May 15 2020 ohering@suse.de
- x86: hyperv: report value of misc_features (git fixes).
- x86/hyperv: Allow guests to enable InvariantTSC (bsc#1170621,
  bsc#1170620).
- commit 567b3e6
* Fri May 15 2020 tbogendoerfer@suse.de
- net/mlx5: Expose port speed when possible (bsc#1171118).
- net/mlx5: Expose link speed directly (bsc#1171118).
- net/mlx5: Add new fields to Port Type and Speed register
  (bsc#1171118).
- commit 3c7670e
* Thu May 14 2020 palcantara@suse.de
- cifs: smbd: Update receive credits before sending and deal
  with credits roll back on failure before sending (bsc#1144333).
- commit b6b6ae0
* Thu May 14 2020 palcantara@suse.de
- cifs: smbd: Check send queue size before posting a send
  (bsc#1144333).
- commit b54165c
* Thu May 14 2020 palcantara@suse.de
- cifs: smbd: Merge code to track pending packets (bsc#1144333).
- commit a147d85
* Thu May 14 2020 palcantara@suse.de
- cifs: Allocate encryption header through kmalloc (bsc#1144333).
- commit 9d736cc
* Thu May 14 2020 palcantara@suse.de
- cifs: smbd: Check and extend sender credits in interrupt context
  (bsc#1144333).
- commit 51235f4
* Thu May 14 2020 palcantara@suse.de
- cifs: smbd: Calculate the correct maximum packet size for
  segmented SMBDirect send/receive (bsc#1144333).
- commit 42879d0
* Thu May 14 2020 palcantara@suse.de
- smb3: use SMB2_SIGNATURE_SIZE define (bsc#1144333).
- commit b2d783f
* Thu May 14 2020 palcantara@suse.de
- CIFS: Fix bug which the return value by asynchronous read is
  error (bsc#1144333).
- commit 4145008
* Thu May 14 2020 palcantara@suse.de
- CIFS: check new file size when extending file by fallocate
  (bsc#1144333).
- commit 4d2fd34
* Thu May 14 2020 palcantara@suse.de
- SMB3: Minor cleanup of protocol definitions (bsc#1144333).
- commit 2df55e6
* Thu May 14 2020 palcantara@suse.de
- SMB3: Additional compression structures (bsc#1144333).
- commit 8ee0f49
* Thu May 14 2020 palcantara@suse.de
- SMB3: Add new compression flags (bsc#1144333).
- commit c68d7ce
* Thu May 14 2020 palcantara@suse.de
- cifs: smb2pdu.h: Replace zero-length array with flexible-array
  member (bsc#1144333).
- commit 44e7148
* Thu May 14 2020 palcantara@suse.de
- cifs: clear PF_MEMALLOC before exiting demultiplex thread
  (bsc#1144333).
- commit bcba2cd
* Thu May 14 2020 palcantara@suse.de
- cifs: cifspdu.h: Replace zero-length array with flexible-array
  member (bsc#1144333).
- commit 81e4521
* Thu May 14 2020 palcantara@suse.de
- CIFS: Warn less noisily on default mount (bsc#1144333).
- commit 63a82d0
* Thu May 14 2020 palcantara@suse.de
- fs/cifs: fix gcc warning in sid_to_id (bsc#1144333).
- commit 5218c19
* Thu May 14 2020 palcantara@suse.de
- cifs: allow unlock flock and OFD lock across fork (bsc#1144333).
- commit 3313065
* Thu May 14 2020 palcantara@suse.de
- CIFS: Increment num_remote_opens stats counter even in case
  of smb2_query_dir_first (bsc#1144333).
- commit 18e637f
* Thu May 14 2020 lduncan@suse.com
- Remove 2 git-fixes that cause build issues. (bsc#1171691)
  Removed patch:
  > patches.suse/scsi-core-handle-drivers-which-set-sg_tablesize-to-zero
  and a patch that supported it:
  > patches.suse/scsi-core-avoid-preallocating-big-sgl-for-data
  Also removed:
  >   patches.suse/scsi-core-save-restore-command-resid-for-error-handling
  since it was felt it may cause stack corruption.
- commit e4a6592
* Thu May 14 2020 palcantara@suse.de
- Update to final upstream, rename, and move to sorted section:
- patches.suse/cifs-print-warning-once-if-mounting-with-vers-1.0.patch
- commit 8f1ba81
* Thu May 14 2020 palcantara@suse.de
- Update upstream references and move to sorted section:
- patches.suse/cifs-do-not-ignore-the-SYNC-flags-in-getattr.patch
- patches.suse/cifs-potential-unintitliazed-error-code-in-cifs_geta.patch
- patches.suse/cifs-handle-prefix-paths-in-reconnect.patch
- patches.suse/cifs-call-wake_up-server-response_q-inside-of-cifs_r.patch
- patches.suse/cifs-use-mod_delayed_work-for-server-reconnect-if-al.patch
- patches.suse/cifs-make-use-of-cap_unix-ses-in-cifs_reconnect_tcon.patch
- patches.suse/smb3-fix-performance-regression-with-setting-mtime.patch
- patches.suse/cifs-rename-posix-create-rsp.patch
- patches.suse/cifs-add-smb2-POSIX-info-level.patch
- patches.suse/cifs-add-SMB2_open-arg-to-return-POSIX-data.patch
- patches.suse/cifs-plumb-smb2-POSIX-dir-enumeration.patch
- patches.suse/cifs-do-d_move-in-rename.patch
- commit 867c164
* Thu May 14 2020 lhenriques@suse.com
- ceph: demote quotarealm lookup warning to a debug message
  (bsc#1171692).
- ceph: fix double unlock in handle_cap_export() (bsc#1171694).
- ceph: fix endianness bug when handling MDS session feature bits
  (bsc#1171695).
- commit 31ef9e3
* Thu May 14 2020 oneukum@suse.com
- blacklist.conf: changing HID_MAX_BUFFER_SIZE would break kABI
- commit 028b5df
* Thu May 14 2020 oneukum@suse.com
- HID: hid-input: clear unmapped usages (git-fixes).
- commit a31292b
* Thu May 14 2020 nsaenzjulienne@suse.de
- Refresh patches.suse/w1-add-subsystem-kernel-public-interface.patch.
  Finally fixes all documentation build issues.
- commit 2c9967c
* Thu May 14 2020 ykaukab@suse.de
- efi: READ_ONCE rng seed size before munmap (jsc#SLE-12423).
- commit fecace0
* Thu May 14 2020 oneukum@suse.com
- mmc: sdhci-of-at91: fix memleak on clk_get failure (git-fixes).
- commit 591a5b3
* Thu May 14 2020 ykaukab@suse.de
- efi/random: Treat EFI_RNG_PROTOCOL output as bootloader randomness (jsc#SLE-12423).
- char/random: Add a newline at the end of the file (jsc#SLE-12423).
- fdt: add support for rng-seed (jsc#SLE-12423).
- arm64: map FDT as RW for early_init_dt_scan() (jsc#SLE-12423).
- efi: Reorder pr_notice() with add_device_randomness() call (jsc#SLE-12423).
- efi/random: Increase size of firmware supplied randomness (jsc#SLE-12423).
- commit 80336da
* Thu May 14 2020 msuchanek@suse.de
- rpm/check-for-config-changes: Ignore CONFIG_CC_VERSION_TEXT
- commit 8e6b05f
* Wed May 13 2020 lduncan@suse.com
- scsi: sg: add sg_remove_request in sg_common_write
  (bsc#1171620).
- scsi: ufs: Clean up ufshcd_scale_clks() and clock scaling
  error out path (bsc#1171623).
- scsi: lpfc: Fix crash in target side cable pulls hitting
  WAIT_FOR_UNREG (bsc#1171615).
- scsi: ufs: Fix ufshcd_hold() caused scheduling while atomic
  (bsc#1171624).
- block/drbd: delete invalid function drbd_md_mark_dirty_
  (bsc#1171527).
- scsi: ufs: Fix ufshcd_probe_hba() reture value in case
  ufshcd_scsi_add_wlus() fails (bsc#1171625).
- scsi: megaraid_sas: Do not initiate OCR if controller is not
  in ready state (bsc#1171616).
- scsi: csiostor: Adjust indentation in csio_device_reset
  (bsc#1171606).
- scsi: qla4xxx: Adjust indentation in qla4xxx_mem_free
  (bsc#1171617).
- scsi: ufs: Recheck bkops level if bkops is disabled
  (bsc#1171626).
- scsi: fnic: fix invalid stack access (bsc#1171609).
- scsi: sd: Clear sdkp->protection_type if disk is reformatted
  without PI (bsc#1171619).
- scsi: iscsi: Avoid potential deadlock in iscsi_if_rx func
  (bsc#1171611).
- scsi: iscsi: Fix a potential deadlock in the timeout handler
  (bsc#1171612).
- scsi: iscsi: qla4xxx: fix double free in probe (bsc#1171613).
- scsi: bnx2i: fix potential use after free (bsc#1171600).
- scsi: qla4xxx: fix double free bug (bsc#1171618).
- scsi: lpfc: fix: Coverity: lpfc_cmpl_els_rsp(): Null pointer
  dereferences (bsc#1171614).
- scsi: tracing: Fix handling of TRANSFER LENGTH == 0 for READ(6)
  and WRITE(6) (bsc#1171621).
- scsi: core: scsi_trace: Use get_unaligned_be*() (bsc#1171604).
- scsi: esas2r: unlock on error in esas2r_nvram_read_direct()
  (bsc#1171608).
- scsi: csiostor: Don't enable IRQs too early (bsc#1171607).
- block: drbd: remove a stray unlock in __drbd_send_protocol()
  (bsc#1171599).
- scsi: core: try to get module before removing device
  (bsc#1171605).
- scsi: core: save/restore command resid for error handling
  (bsc#1171602).
- scsi: fnic: fix msix interrupt allocation (bsc#1171610).
- scsi: ufs: change msleep to usleep_range (bsc#1171622).
- commit 6e6e33c
* Wed May 13 2020 lduncan@suse.com
- scsi: core: Handle drivers which set sg_tablesize to zero (bsc#1171601)
  This commit also required:
  > scsi: core: avoid preallocating big SGL for data
- commit 54a2b2e
* Wed May 13 2020 lduncan@suse.com
- Add commit for git-fix that's not a fix
  This commit cleans up debug code but doesn't
  fix anything, and it relies on a new kernel
  function that isn't yet in this version of SLE.
- commit afed8dc
* Wed May 13 2020 msuchanek@suse.de
- supported.conf: Add br_netfilter to base (bsc#1169020).
- commit 400c3c2
* Wed May 13 2020 oneukum@suse.com
- wil6210: remove reset file from debugfs (git-fixes).
- blacklist.conf: removed mistaken entry
- commit c46db20
* Wed May 13 2020 nsaenzjulienne@suse.de
- Refresh
  patches.suse/w1-add-subsystem-kernel-public-interface.patch.
  The patch introduced a regression in the documentation generation. This
  fixes the issue.
- commit 4f59e7a
* Wed May 13 2020 oneukum@suse.com
- mmc: meson-gx: make sure the descriptor is stopped on errors
  (git-fixes).
- commit 888dc79
* Wed May 13 2020 bp@suse.de
- x86: Add a struct x86_cpu_id kABI workaround (bsc#1154824
  CVE-2020-0543).
- commit 64d5bf0
* Wed May 13 2020 oneukum@suse.com
- mmc: meson-gx: simplify interrupt handler (git-fixes).
- commit d26ca65
* Wed May 13 2020 mbenes@suse.cz
- blacklist.conf: 81b67439d147 ("x86/unwind/orc: Fix premature unwind stoppage due to IRET frames")
  Not worth the effort. Entry has changed a lot since 4.12 and it would be
  easy to break something gaining only a slightly better unwinding in
  certain cases.
- commit 700c965
* Wed May 13 2020 mbenes@suse.cz
- x86/unwind/orc: Fix error path for bad ORC entry type
  (bsc#1058115).
- commit bf3897a
* Wed May 13 2020 mbenes@suse.cz
- x86/unwind/orc: Prevent unwinding before ORC initialization
  (bsc#1058115).
- commit 557c314
* Wed May 13 2020 mbenes@suse.cz
- x86/unwind/orc: Don't skip the first frame for inactive tasks
  (bsc#1058115).
- commit 75be980
* Wed May 13 2020 mbenes@suse.cz
- x86/unwind: Prevent false warnings for non-current tasks
  (bsc#1058115).
- commit 7152686
* Wed May 13 2020 neilb@suse.de
- nfs: Fix potential posix_acl refcnt leak in nfs3_set_acl
  (git-fixes).
- nfsd: memory corruption in nfsd4_lock() (git-fixes).
- NFSv4/pnfs: Return valid stateids in
  nfs_layout_find_inode_by_stateid() (git-fixes).
- svcrdma: Fix leak of transport addresses (git-fixes).
- SUNRPC: Fix a potential buffer overflow in 'svc_print_xprts()'
  (git-fixes).
- sunrpc: expiry_time should be seconds not timeval (git-fixes).
- nfsd: fix jiffies/time_t mixup in LRU list (git-fixes).
- nfsd: fix delay timer on 32-bit architectures (git-fixes).
- NFSv4.0: nfs4_do_fsinfo() should not do implicit lease renewals
  (git-fixes).
- NFSv4: try lease recovery on NFS4ERR_EXPIRED (git-fixes).
- NFS: Directory page cache pages need to be locked when read
  (git-fixes).
- NFS: Fix memory leaks and corruption in readdir (git-fixes).
- NFS/pnfs: Fix pnfs_generic_prepare_to_resend_writes()
  (git-fixes).
- NFS: Revalidate the file size on a fatal write error
  (git-fixes).
- xprtrdma: Fix completion wait during device removal (git-fixes).
- nfsd: Ensure CLONE persists data and metadata changes to the
  target file (git-fixes).
- nfsd4: fix up replay_matches_cache() (git-fixes).
- NFSv4.x: Drop the slot if nfs4_delegreturn_prepare waits for
  layoutreturn (git-fixes).
- md/raid10: prevent access of uninitialized resync_pages offset
  (git-fixes).
- NFSv4: Don't allow a cached open with a revoked delegation
  (git-fixes).
- NFSv4: Fix leak of clp->cl_acceptor string (git-fixes).
- NFS: Fix O_DIRECT accounting of number of bytes read/written
  (git-fixes).
- pNFS: Ensure we do clear the return-on-close layout stateid
  on fatal errors (git-fixes).
- NFS/flexfiles: Use the correct TCP timeout for flexfiles I/O
  (git-fixes).
- commit 494ed16
* Tue May 12 2020 mkoutny@suse.com
- blacklist.conf: Add 2d4ecb030dcc cgroup: cgroup_procs_next should increase position index
- commit 05faec6
* Tue May 12 2020 mbenes@suse.cz
- x86/entry/64: Fix unwind hints in rewind_stack_do_exit()
  (bsc#1058115).
- commit 69e46e3
* Tue May 12 2020 mbenes@suse.cz
- x86/entry/64: Fix unwind hints in __switch_to_asm()
  (bsc#1058115).
- commit 7084935
* Tue May 12 2020 mbenes@suse.cz
- x86/entry/64: Fix unwind hints in kernel exit path
  (bsc#1058115).
- commit 623c7c8
* Tue May 12 2020 mbenes@suse.cz
- x86/entry/64: Fix unwind hints in register clearing code
  (bsc#1058115).
- commit 177711b
* Tue May 12 2020 mbenes@suse.cz
- objtool: Fix stack offset tracking for indirect CFAs
  (bsc#1169514).
- commit e550da4
* Tue May 12 2020 oneukum@suse.com
- USB: sisusbvga: Change port variable from signed to unsigned
  (git-fixes).
- blacklist.conf: removed mistaken entry
- commit a4fd4b6
* Tue May 12 2020 mbenes@suse.cz
- tracing: Add a vmalloc_sync_mappings() for safe measure
  (git-fixes).
- commit 4d7e016
* Tue May 12 2020 jslaby@suse.cz
- net: dsa: bcm_sf2: Ensure correct sub-node is parsed
  (networking-stable-20_04_09).
- mlxsw: spectrum_flower: Do not stop at FLOW_ACTION_VLAN_MANGLE
  (networking-stable-20_04_09).
- net: dsa: bcm_sf2: Do not register slave MDIO bus with OF
  (networking-stable-20_04_09).
- ipv6: don't auto-add link-local address to lag ports
  (networking-stable-20_04_09).
- commit a336a60
* Tue May 12 2020 mbenes@suse.cz
- blacklist.conf: 12ecef0cb121 ("tracing: Reverse the order of trace_types_lock and event_mutex")
  Not really a fix. Preparatory patch for future changes (future in 4.12 terms).
- commit 6e5d421
* Tue May 12 2020 glin@suse.com
- bpf: Forbid XADD on spilled pointers for unprivileged users
  (bsc#1083647).
- commit a245e33
* Mon May 11 2020 bp@suse.de
- x86/speculation: Add Special Register Buffer Data Sampling
  (SRBDS) mitigation (bsc#1154824 CVE-2020-0543).
- commit 1fd8aa8
* Mon May 11 2020 bp@suse.de
- x86/cpu: Add a steppings field to struct x86_cpu_id (bsc#1154824
  CVE-2020-0543).
- commit ff36c1b
* Mon May 11 2020 tiwai@suse.de
- drm/amdgpu: Correctly initialize thermal controller for GPUs
  with Powerplay table v0 (e.g Hawaii) (bsc#1111666).
- drm/amdgpu: Fix oops when pp_funcs is unset in ACPI event
  (bsc#1111666).
- commit 8ee6f77
* Mon May 11 2020 tiwai@suse.de
- wimax/i2400m: Fix potential urb refcnt leak (bsc#1051510).
- mac80211: add ieee80211_is_any_nullfunc() (bsc#1051510).
- commit f0f1aea
* Mon May 11 2020 tiwai@suse.de
- ASoC: codecs: hdac_hdmi: Fix incorrect use of
  list_for_each_entry (bsc#1051510).
- ASoC: topology: Check return value of pcm_new_ver (bsc#1051510).
- commit 368f9b8
* Mon May 11 2020 jgross@suse.com
- xen/pci: reserve MCFG areas earlier (bsc#1170145).
- commit d4ed3a1
* Mon May 11 2020 bp@suse.de
- cpufreq/intel_pstate: Fix wrong macro conversion (bsc#1154824
  CVE-2020-0543).
- commit c5f10fe
* Mon May 11 2020 bp@suse.de
- x86/cpu: Cleanup the now unused CPU match macros (bsc#1154824
  CVE-2020-0543).
- commit 6260e0f
* Mon May 11 2020 oneukum@suse.com
- crypto: ccp - Clean up and exit correctly on allocation failure
  (git-fixes).
- commit 19b5353
* Mon May 11 2020 bp@suse.de
- hwrng: via_rng: Convert to new X86 CPU match macros (bsc#1154824
  CVE-2020-0543).
- commit 46a3268
* Mon May 11 2020 bp@suse.de
- crypto: Convert to new CPU match macros (bsc#1154824
  CVE-2020-0543).
- commit 6a4b3d3
* Mon May 11 2020 oneukum@suse.com
- serial: uartps: Move the spinlock after the read of the tx empty
  (git-fixes).
- commit 8dd6fbc
* Mon May 11 2020 oneukum@suse.com
- blacklist.conf: stylistic fix
- commit 2b8d8b2
* Mon May 11 2020 oneukum@suse.com
- crypto: ccp - AES CFB mode is a stream cipher (git-fixes).
- commit 640b2ac
* Mon May 11 2020 bp@suse.de
- powercap/intel_rapl: Convert to new X86 CPU match macros
  (bsc#1154824 CVE-2020-0543).
- commit 8b479c5
* Mon May 11 2020 bp@suse.de
- PCI: intel-mid: Convert to new X86 CPU match macros (bsc#1154824
  CVE-2020-0543).
- commit 731fe3a
* Mon May 11 2020 bp@suse.de
- mmc: sdhci-acpi: Convert to new X86 CPU match macros
  (bsc#1154824 CVE-2020-0543).
- commit 0524806
* Mon May 11 2020 msuchanek@suse.de
- powerpc: Add attributes for setjmp/longjmp (bsc#1065729).
- commit 1c99dc7
* Mon May 11 2020 bp@suse.de
- intel_idle: Convert to new X86 CPU match macros (bsc#1154824
  CVE-2020-0543).
- commit d38105c
* Mon May 11 2020 wqu@suse.com
- btrfs: relocation: Work around dead relocation stage loop
  (bsc#1171417).
- commit 80c6426
* Mon May 11 2020 wqu@suse.com
- btrfs: relocation: Check cancel request after each extent  found
  (bsc#1171417).
- commit d1de94d
* Mon May 11 2020 wqu@suse.com
- btrfs: relocation: Check cancel request after each data  page
  read (bsc#1171417).
- commit a2b3502
* Mon May 11 2020 wqu@suse.com
- btrfs: relocation: add error injection points for  cancelling
  balance (bsc#1171417).
- commit 62ef6ea
* Mon May 11 2020 bp@suse.de
- thermal: Convert to new X86 CPU match macros (bsc#1154824
  CVE-2020-0543).
- commit 84608f2
* Mon May 11 2020 bp@suse.de
- hwmon: Convert to new X86 CPU match macros (bsc#1154824
  CVE-2020-0543).
- commit 9c0dcd2
* Sun May 10 2020 bp@suse.de
- platform/x86: Convert to new CPU match macros (bsc#1154824
  CVE-2020-0543).
- commit 6e54b96
* Sun May 10 2020 bp@suse.de
- EDAC: Convert to new X86 CPU match macros (bsc#1154824
  CVE-2020-0543).
- commit 21d32a6
* Sun May 10 2020 bp@suse.de
- cpufreq: Convert to new X86 CPU match macros (bsc#1154824
  CVE-2020-0543).
- Refresh
  patches.suse/cpufreq-intel_pstate-Use-load-based-policy-by-default-but-allow-PID-to-be-used.patch.
- commit 6cde129
* Sun May 10 2020 bp@suse.de
- ACPI: Convert to new X86 CPU match macros (bsc#1154824
  CVE-2020-0543).
- commit 9d5e510
* Sun May 10 2020 bp@suse.de
- x86/platform: Convert to new CPU match macros (bsc#1154824
  CVE-2020-0543).
- commit f4c1ae0
* Sun May 10 2020 bp@suse.de
- x86/kernel: Convert to new CPU match macros (bsc#1154824
  CVE-2020-0543).
- commit 168233f
* Sun May 10 2020 bp@suse.de
- x86/kvm: Convert to new CPU match macros (bsc#1154824
  CVE-2020-0543).
- commit 6b2448e
* Sun May 10 2020 bp@suse.de
- x86/perf/events: Convert to new CPU match macros (bsc#1154824
  CVE-2020-0543).
- commit 16b1873
* Sat May  9 2020 bp@suse.de
- x86/intel: Aggregate microserver naming (bsc#1154824
  CVE-2020-0543).
- Refresh
  patches.suse/0001-x86-Add-ITLB_MULTIHIT-bug-infrastructure.patch.
- Refresh
  patches.suse/0002-x86-cpu-Add-Tremont-to-the-cpu-vulnerability.patch.
- commit 6d12604
* Fri May  8 2020 nsaenzjulienne@suse.de
- w1: keep balance of mutex locks and refcnts (jsc#SLE-11048).
- drivers: w1: add hwmon temp support for w1_therm
  (jsc#SLE-11048).
- drivers: w1: refactor w1_slave_show to make the temp reading
  functionality separate (jsc#SLE-11048).
- drivers: w1: add hwmon support structures (jsc#SLE-11048).
- w1: Fix slave count on 1-Wire bus (resend) (jsc#SLE-11048).
- w1: Add subsystem kernel public interface (jsc#SLE-11048).
- commit 3203d96
* Fri May  8 2020 nsaenzjulienne@suse.de
- w1: use put_device() if device_register() fail (jsc#SLE-11048).
- commit cc7897c
* Fri May  8 2020 tzimmermann@suse.de
- drm/sun4i: dsi: Avoid hotplug race with DRM driver bind (bsc#1113956)
- commit 9df1e9d
* Fri May  8 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Program MBUS with rmw during initialization'
- commit 1c3375b
* Fri May  8 2020 tzimmermann@suse.de
- drm/amd/powerplay: force the trim of the mclk dpm_levels if OD is (bsc#1113956)
- commit f0dccda
* Fri May  8 2020 tzimmermann@suse.de
- drm/i915: HDCP: fix Ri prime check done during link check (bsc#1112178)
  * rename display/intel_hdmi.c to intel_hdmi.c
  * context changes
- commit 19dbc23
* Fri May  8 2020 tzimmermann@suse.de
- drm/etnaviv: rework perfmon query infrastructure (bsc#1112178)
- commit 94815f9
* Fri May  8 2020 tzimmermann@suse.de
- drm/i915: Apply Wa_1406680159:icl,ehl as an engine workaround (bsc#1112178)
  * rename gt/intel_workarounds.c to intel_workarounds.c
  * context changes
- commit 2f50748
* Fri May  8 2020 tzimmermann@suse.de
- drm/sun4i: dsi: Remove incorrect use of runtime PM (bsc#1113956)
  * context changes
- commit fa482c4
* Fri May  8 2020 tzimmermann@suse.de
- drm/sun4i: dsi: Allow binding the host without a panel (bsc#1113956)
- commit 3fae7fc
* Fri May  8 2020 tzimmermann@suse.de
- drm/sun4i: dsi: Remove unused drv from driver context (bsc#1113956)
  * context changes
  * keep include of sun4i_drv.h
- commit c340d13
* Thu May  7 2020 bp@suse.de
- x86/intel: Aggregate big core graphics naming (bsc#1154824
  CVE-2020-0543).
- commit c283e3e
* Thu May  7 2020 msuchanek@suse.de
- libnvdimm/security, acpi/nfit: unify zero-key for all security
  commands (bsc#1171742).
- commit 2f7e0cc
* Thu May  7 2020 bp@suse.de
- x86/intel: Aggregate big core mobile naming (bsc#1154824
  CVE-2020-0543).
- Refresh patches.suse/do-not-default-to-ibrs-on-skl.patch.
- commit a92c00b
* Thu May  7 2020 jzerebecki@suse.com
- kernel-docs: Change Requires on python-Sphinx to earlier than version 3
  References: bsc#1166965
  From 3 on the internal API that the build system uses was rewritten in
  an incompatible way.
  See https://github.com/sphinx-doc/sphinx/issues/7421 and
  https://bugzilla.suse.com/show_bug.cgi?id=1166965#c16 for some details.
- commit cf60b5c
* Thu May  7 2020 msuchanek@suse.de
- libnvdimm: cover up struct nvdimm changes (bsc#1171742).
- commit 23a2a5b
* Thu May  7 2020 msuchanek@suse.de
- libnvdimm: cover up nvdimm_security_ops changes (bsc#1171742).
- commit 2c386a4
* Thu May  7 2020 msuchanek@suse.de
- libnvdimm: cover up nd_pfn_sb changes (bsc#1171759).
- commit 20af10d
* Thu May  7 2020 nsaenzjulienne@suse.de
- Update config files: Build w1 bus on arm64 (jsc#SLE-11048)
- supported.conf: support w1 core and thermometer support
- commit 0b989d4
* Thu May  7 2020 bp@suse.de
- x86/intel: Aggregate big core client naming (bsc#1154824
  CVE-2020-0543).
- Refresh patches.suse/do-not-default-to-ibrs-on-skl.patch.
- commit 4f2a435
* Thu May  7 2020 bp@suse.de
- x86/cpu/bugs: Convert to new matching macros (bsc#1154824
  CVE-2020-0543).
- commit e0b6c20
* Thu May  7 2020 tiwai@suse.de
- dp83640: reverse arguments to list_add_tail (git-fixes).
- batman-adv: Fix refcnt leak in batadv_v_ogm_process (git-fixes).
- batman-adv: Fix refcnt leak in batadv_store_throughput_override
  (git-fixes).
- batman-adv: Fix refcnt leak in batadv_show_throughput_override
  (git-fixes).
- batman-adv: fix batadv_nc_random_weight_tq (git-fixes).
- commit 9cc37fe
* Wed May  6 2020 alnovak@suse.cz
- libceph: allow setting abort_on_full for rbd (bsc#1169972).
- commit d55aace
* Wed May  6 2020 tzimmermann@suse.de
- drm: NULL pointer dereference [null-pointer-deref] (CWE 476) problem (bsc#1114279)
- commit 23793a2
* Tue May  5 2020 msuchanek@suse.de
- nvdimm: Avoid race between probe and reading device attributes
  (bsc#1170442).
- commit 7ceff70
* Tue May  5 2020 ailiop@suse.com
- xfs: add agf freeblocks verify in xfs_agf_verify (bsc#1171217
  CVE-2020-12655).
- commit e4fecf2
* Tue May  5 2020 tiwai@suse.de
- xsk: Add missing check on user supplied headroom size
  (CVE-2020-12659 bsc#1171214).
- commit c339475
* Tue May  5 2020 tiwai@suse.de
- mwifiex: Fix possible buffer overflows in
  mwifiex_cmd_append_vsie_tlv() (CVE-2020-12653 bsc#1171195).
- mwifiex: Fix possible buffer overflows in
  mwifiex_ret_wmm_get_status() (CVE-2020-12654 bsc#1171202).
- commit d6259e9
* Tue May  5 2020 tiwai@suse.de
- Update patch reference tag for a bfq secuiry fix (CVE-2020-12657 bsc#1171205)
- commit 925e500
* Tue May  5 2020 tiwai@suse.de
- Update patch reference for a bfq security fix (CVE-2020-12657 bsc#1171205)
- commit c0d52ae
* Tue May  5 2020 tiwai@suse.de
- block, bfq: fix use-after-free in bfq_idle_slice_timer_body
  (CVE-2020-12657 bsc#1171205 bsc#1168760).
- commit 3350a6e
* Tue May  5 2020 jslaby@suse.cz
- net, ip_tunnel: fix interface lookup with no key
  (networking-stable-20_04_02).
- sctp: fix possibly using a bad saddr with a given dst
  (networking-stable-20_04_02).
- sctp: fix refcount bug in sctp_wfree
  (networking-stable-20_04_02).
- ipv4: fix a RCU-list lock in fib_triestat_seq_show
  (networking-stable-20_04_02).
- commit bd156dc
* Tue May  5 2020 jslaby@suse.cz
- net: dsa: Fix duplicate frames flooded by learning
  (networking-stable-20_03_28).
- bnxt_en: fix memory leaks in bnxt_dcbnl_ieee_getets()
  (networking-stable-20_03_28).
- macsec: restrict to ethernet devices
  (networking-stable-20_03_28).
- net: qmi_wwan: add support for ASKEY WWHC050
  (networking-stable-20_03_28).
- tcp: repair: fix TCP_QUEUE_SEQ implementation
  (networking-stable-20_03_28).
- slcan: not call free_netdev before rtnl_unlock in slcan_open
  (networking-stable-20_03_28).
- hsr: fix general protection fault in hsr_addr_is_self()
  (networking-stable-20_03_28).
- vxlan: check return value of gro_cells_init()
  (networking-stable-20_03_28).
- net: mvneta: Fix the case where the last poll did not process
  all rx (networking-stable-20_03_28).
- net_sched: cls_route: remove the right filter from hashtable
  (networking-stable-20_03_28).
- hsr: set .netnsok flag (networking-stable-20_03_28).
- hsr: add restart routine into hsr_get_node_list()
  (networking-stable-20_03_28).
- hsr: use rcu_read_lock() in hsr_get_node_{list/status}()
  (networking-stable-20_03_28).
- commit 7021b02
* Tue May  5 2020 wqu@suse.com
- blacklist.conf: Require extra dependency while out-of-tree
  fix is already good enough (bsc#1168670)
- commit 99339d6
* Tue May  5 2020 tiwai@suse.de
- HID: wacom: Read HID_DG_CONTACTMAX directly for non-generic
  devices (git-fixes).
- commit 5ce2acd
* Tue May  5 2020 wqu@suse.com
- blacklist.conf: Require extra dependency while out-of-tree
  fix is already good enough (bsc#1168670)
- commit 0e5a9c6
* Tue May  5 2020 jslaby@suse.cz
- tty: rocket, avoid OOB access (git-fixes).
- commit ace65c1
* Tue May  5 2020 shung-hsi.yu@suse.com
- net: fec: add phy_reset_after_clk_enable() support (git-fixes).
- commit dee080e
* Mon May  4 2020 ailiop@suse.com
- blacklist.conf: add 5a57c05b56b6e
- commit 437b16a
* Mon May  4 2020 ailiop@suse.com
- blacklist.conf: add 71912e08e06b7
- commit 9301c7d
* Mon May  4 2020 ailiop@suse.com
- xfs: don't ever return a stale pointer from __xfs_dir3_free_read
  (git-fixes).
- commit 69e1b94
* Mon May  4 2020 ailiop@suse.com
- xfs: Correctly invert xfs_buftarg LRU isolation logic
  (git-fixes).
- commit b6de9d3
* Mon May  4 2020 tiwai@suse.de
- fs/namespace.c: fix mountpoint reference counter race
  (CVE-2020-12114 bsc#1171098 stable-4.14.y).
- commit 66bbfed
* Mon May  4 2020 tiwai@suse.de
- Update config files: re-enable CONFIG_HAMRADIO and co (bsc#1170740)
- commit b43f6b8
* Mon May  4 2020 msuchanek@suse.de
- ibmvnic: Skip fatal error reset after passive init (bsc#1171078
  ltc#184239).
- commit 8ed0959
* Mon May  4 2020 tzimmermann@suse.de
- fbcon: fix null-ptr-deref in fbcon_switch (bsc#1114279)
  * rename drivers/video/fbdev/core to drivers/video/console
  * context changes
- commit 5fb2306
* Mon May  4 2020 tzimmermann@suse.de
- video: fbdev: sis: Remove unnecessary parentheses and commented code (bsc#1114279)
- commit 6fc7964
* Mon May  4 2020 oneukum@suse.com
- cdc-acm: introduce a cool down (git-fixes).
- commit c76866a
* Mon May  4 2020 tiwai@suse.de
- ALSA: hda: Match both PCI ID and SSID for driver blacklist
  (bsc#1111666).
- commit 06d966b
* Mon May  4 2020 tiwai@suse.de
- ALSA: usb-audio: Correct a typo of NuPrime DAC-10 USB ID
  (bsc#1051510).
- ALSA: opti9xx: shut up gcc-10 range warning (bsc#1051510).
- ALSA: hda/hdmi: fix without unlocked before return
  (bsc#1051510).
- ALSA: hda/hdmi: fix race in monitor detection during probe
  (bsc#1051510).
- ALSA: hda/realtek - Two front mics on a Lenovo ThinkCenter
  (bsc#1051510).
- commit 8f2ecf5
* Mon May  4 2020 tiwai@suse.de
- dmaengine: dmatest: Fix iteration non-stop logic (bsc#1051510).
- drm/qxl: qxl_release use after free (bsc#1051510).
- drm/qxl: qxl_release leak in qxl_hw_surface_alloc()
  (bsc#1051510).
- drm/qxl: qxl_release leak in qxl_draw_dirty_fb() (bsc#1051510).
- mmc: sdhci-pci: Fix eMMC driver strength for BYT-based
  controllers (bsc#1051510).
- mmc: sdhci-xenon: fix annoying 1.8V regulator warning
  (bsc#1051510).
- staging: comedi: dt2815: fix writing hi byte of analog output
  (bsc#1051510).
- ASoC: dapm: fixup dapm kcontrol widget (bsc#1051510).
- mtd: cfi: fix deadloop in cfi_cmdset_0002.c do_write_buffer
  (bsc#1051510).
- commit 0cc55f2
* Mon May  4 2020 oneukum@suse.com
- cdc-acm: close race betrween suspend() and acm_softint
  (git-fixes).
- commit 1ce842c
* Mon May  4 2020 oneukum@suse.com
- UAS: fix deadlock in error handling and PM flushing work
  (git-fixes).
- commit 5e64d55
* Mon May  4 2020 ptesarik@suse.cz
- KVM: s390: vsie: Fix delivery of addressing exceptions
  (git-fixes).
- commit a818904
* Mon May  4 2020 oneukum@suse.com
- UAS: no use logging any details in case of ENODEV (git-fixes).
- commit e86ceec
* Mon May  4 2020 ptesarik@suse.cz
- s390/ftrace: fix potential crashes when switching tracers
  (git-fixes).
- commit b1f13b0
* Mon May  4 2020 oneukum@suse.com
- blacklist.conf: would break kABI
- commit 2bf5135
* Mon May  4 2020 oneukum@suse.com
- usb: gadget: udc: atmel: Fix vbus disconnect handling
  (git-fixes).
- commit 4869191
* Mon May  4 2020 bp@suse.de
- crypto: ccp - Cleanup sp_dev_master in psp_dev_destroy()
  (bsc#1114279).
- commit dc6dc56
* Mon May  4 2020 oneukum@suse.com
- USB: Add USB_QUIRK_DELAY_CTRL_MSG and USB_QUIRK_DELAY_INIT
  for Corsair K70 RGB RAPIDFIRE (git-fixes).
- commit 550580b
* Mon May  4 2020 bp@suse.de
- crypto: ccp - Cleanup misc_dev on sev_exit() (bsc#1114279).
- commit 1fb65a6
* Mon May  4 2020 neilb@suse.de
- NFS: Don't call generic_error_remove_page() while holding locks
  (bsc#1170457).
- commit 56686f4
* Sun May  3 2020 ailiop@suse.com
- xfs: clear PF_MEMALLOC before exiting xfsaild thread
  (git-fixes).
- commit 423ab84
* Sun May  3 2020 colyli@suse.de
- bcache: fix incorrect data type usage in btree_flush_write()
  (git fixes (block drivers)).
- commit ffa3e26
* Sat May  2 2020 colyli@suse.de
- dm writecache: fix data corruption when reloading the target
  (git fixes (block drivers)).
- commit aff9212
* Sat May  2 2020 colyli@suse.de
- lib/raid6/test: fix build on distros whose /bin/sh is not bash
  (git fixes (block drivers)).
- coresight: do not use the BIT() macro in the UAPI header
  (git fixes (block drivers)).
- commit fbf17cc
* Sat May  2 2020 colyli@suse.de
- dm zoned: remove duplicate nr_rnd_zones increase in
  dmz_init_zone() (git fixes (block drivers)).
- dm writecache: verify watermark during resume (git fixes
  (block drivers)).
- lib/stackdepot.c: fix global out-of-bounds in stack_slabs
  (git fixes (block drivers)).
- commit cdc45ca
* Sat May  2 2020 colyli@suse.de
- bcache: Revert "bcache: shrink btree node cache after
  bch_btree_check()" (git fixes (block drivers)).
- dm writecache: fix incorrect flush sequence when doing SSD
  mode commit (git fixes (block drivers)).
- dm zoned: support zone sizes smaller than 128MiB (git fixes
  (block drivers)).
- bcache: avoid unnecessary btree nodes flushing in
  btree_flush_write() (git fixes (block drivers)).
- lib: raid6: fix awk build warnings (git fixes (block drivers)).
- commit f1109cc
* Sat May  2 2020 colyli@suse.de
- block: fix memleak of bio integrity data (git fixes (block
  drivers)).
- Refresh for the above change,
  patches.kabi/block-kABI-fixes-for-bio_rewind_iter-removal.patch.
- commit 585a75b
* Sat May  2 2020 colyli@suse.de
- hrtimer: Annotate lockless access to timer->state (git fixes
  (block drivers)).
- dm zoned: reduce overhead of backing device checks (git fixes
  (block drivers)).
- md/raid0: Fix an error message in raid0_make_request() (git
  fixes (block drivers)).
- dump_stack: avoid the livelock of the dump_lock (git fixes
  (block drivers)).
- mm: thp: handle page cache THP correctly in PageTransCompoundMap
  (git fixes (block drivers)).
- dm zoned: fix invalid memory access (git fixes (block drivers)).
- Partially revert "kfifo: fix kfifo_alloc() and kfifo_init()"
  (git fixes (block drivers)).
- rcu: locking and unlocking need to always be at least barriers
  (git fixes (block drivers)).
- raid6/ppc: Fix build for clang (git fixes (block drivers)).
- commit a3a2282
* Sat May  2 2020 colyli@suse.de
- libnvdimm/pfn: Prevent raw mode fallback if pfn-infoblock valid
  (bsc#1171743).
- commit e32082a
* Sat May  2 2020 colyli@suse.de
- libnvdimm: Use PAGE_SIZE instead of SZ_4K for align check
  (bsc#1171759).
- libnvdimm/label: Remove the dpa align check (bsc#1171759).
- libnvdimm/pfn_dev: Add page size and struct page size to pfn
  superblock (bsc#1171759).
- commit 3a82690
* Sat May  2 2020 colyli@suse.de
- libnvdimm/pmem: Advance namespace seed for specific probe errors
  (bsc#1171743).
- libnvdimm/pfn_dev: Add a build check to make sure we notice when
  struct page size change (bsc#1171743).
- Refresh for the above changes,
  patches.suse/libnvdimm-namespace-Differentiate-between-probe-mapp.patch.
- commit 3d89aa2
* Fri May  1 2020 colyli@suse.de
- libnvdimm/region: Rewrite _probe_success() to _advance_seeds()
  (bsc#1171743).
- commit da995dc
* Fri May  1 2020 colyli@suse.de
- libnvdimm/security: Introduce a 'frozen' attribute (bsc#1171742).
- Refresh for the above change,
  patches.suse/libnvdimm-prevent-nvdimm-from-requesting-key-when-security.patch.
- commit a220486
* Fri May  1 2020 colyli@suse.de
- libnvdimm/of_pmem: Provide a unique name for bus provider
  (bsc#1171739).
- commit d48c043
* Thu Apr 30 2020 oneukum@suse.com
- Update
  patches.suse/0001-media-ov519-add-missing-endpoint-sanity-checks.patch
  (bsc#1168829 CVE-2020-11608).
  added CVE number
- commit 989bda9
* Thu Apr 30 2020 oneukum@suse.com
- Update
  patches.suse/0001-media-stv06xx-add-missing-descriptor-sanity-checks.patch
  (bsc#1168854 CVE-2020-11609).
  added CVE number
- commit 01ddc08
* Thu Apr 30 2020 otto.hollmann@suse.com
- ip6_tunnel: Allow rcv/xmit even if remote address is a local
  address (bsc#1166978).
- commit 96c7917
* Thu Apr 30 2020 tiwai@suse.de
- USB: core: Fix free-while-in-use bug in the USB S-Glibrary
  (CVE-2020-12464 bsc#1170901).
- commit 82a0028
* Thu Apr 30 2020 oneukum@suse.com
- blacklist.conf: would break kABI
- commit 7132a5c
* Thu Apr 30 2020 tbogendoerfer@suse.de
- Update
  patches.suse/net-gro-fix-use-after-free-read-in-napi_gro_frags.patch
  (networking-stable-19_05_31 bsc#1170778 CVE-2020-10720).
  Added CVE number.
- commit cab01f7
* Thu Apr 30 2020 neilb@suse.de
- Refresh patches.suse/SUNRPC-defer-slow-parts-of-rpc_free_client-to-a-work.patch.
  Fix a use-after-free in first version of this patch.
- commit ee5cfd2
* Thu Apr 30 2020 neilb@suse.de
- blacklist.conf: Add some not-a-regression commits.
  These commits claim "Fixes:" for my patch but they aren't.
  The bug they fix is minor and pre-existed.  We don't need
  the churn of adding these patches.
- commit 5a7c4db
* Wed Apr 29 2020 tiwai@suse.de
- Input: raydium_i2c_ts - use true and false for boolean values
  (bsc#1051510).
- Refresh
  patches.suse/Input-raydium_i2c_ts-fix-error-codes-in-raydium_i2c_.patch.
- commit d1bf181
* Wed Apr 29 2020 tiwai@suse.de
- staging: comedi: Fix comedi_device refcnt leak in comedi_open
  (bsc#1051510).
- iio: xilinx-xadc: Fix sequencer configuration for aux channels
  in simultaneous mode (bsc#1051510).
- iio: xilinx-xadc: Fix clearing interrupt when enabling trigger
  (bsc#1051510).
- iio: xilinx-xadc: Fix ADC-B powerdown (bsc#1051510).
- iio:ad7797: Use correct attribute_group (bsc#1051510).
- macsec: avoid to set wrong mtu (bsc#1051510).
- iwlwifi: pcie: actually release queue memory in TVQM
  (bsc#1051510).
- macvlan: fix null dereference in macvlan_device_event()
  (bsc#1051510).
- drm/meson: Delete an error message in meson_dw_hdmi_bind()
  (bsc#1051510).
- mac80211_hwsim: Use kstrndup() in place of kasprintf()
  (bsc#1051510).
- ASoC: dapm: connect virtual mux with default value
  (bsc#1051510).
- libata: Return correct status in sata_pmp_eh_recover_pm()
  when ATA_DFLAG_DETACH is set (bsc#1051510).
- Input: i8042 - add Acer Aspire 5738z to nomux list
  (bsc#1051510).
- drm/dp_mst: Fix clearing payload state on topology disable
  (bsc#1051510).
- acpi/x86: ignore unspecified bit positions in the ACPI global
  lock field (bsc#1051510).
- libata: Remove extra scsi_host_put() in ata_scsi_add_hosts()
  (bsc#1051510).
- KEYS: reaching the keys quotas correctly (bsc#1051510).
- i2c: st: fix missing struct parameter description (bsc#1051510).
- ASoC: msm8916-wcd-digital: Reset RX interpolation path after
  use (bsc#1051510).
- clk: Add clk_hw_unregister_composite helper function definition
  (bsc#1051510).
- cpufreq: s3c64xx: Remove pointless NULL check in
  s3c64xx_cpufreq_driver_init (bsc#1051510).
- firmware: qcom: scm: fix compilation error when disabled
  (bsc#1051510).
- clk: imx: make mux parent strings const (bsc#1051510).
- clk: sunxi-ng: a64: Fix gate bit of DSI DPHY (bsc#1051510).
- clk: mediatek: correct the clocks for MT2701 HDMI PHY module
  (bsc#1051510).
- clk: imx6ull: use OSC clock during AXI rate change
  (bsc#1051510).
- commit c5c3dcb
* Wed Apr 29 2020 oneukum@suse.com
- blacklist.conf: we do not have a virtual bus for altmodes, only type C, misatttributed
- commit acb7d7b
* Wed Apr 29 2020 msuchanek@suse.de
- scsi: ibmvscsi: Fix WARN_ON during event pool release
  (bsc#1170791 ltc#185128).
- commit a8c9133
* Wed Apr 29 2020 oneukum@suse.com
- usbnet: silence an unnecessary warning (bsc#1170770).
- commit 7b64337
* Wed Apr 29 2020 oneukum@suse.com
- tools lib traceevent: Remove unneeded qsort and uses memmove
  instead (git-fixes).
- commit 6c07118
* Tue Apr 28 2020 oneukum@suse.com
- USB: hub: Fix handling of connect changes during sleep
  (git-fixes).
- commit 8d8519b
* Tue Apr 28 2020 oneukum@suse.com
- x86/resctrl: Fix invalid attempt at removing the default
  resource group (git-fixes).
- commit 03f35b8
* Tue Apr 28 2020 oneukum@suse.com
- media: ti-vpe: cal: fix disable_irqs to only the intended target
  (git-fixes).
- commit 8585735
* Tue Apr 28 2020 oneukum@suse.com
- usb: gadget: udc: bdc: Remove unnecessary NULL checks in
  bdc_req_complete (git-fixes).
- commit f0b5196
* Tue Apr 28 2020 oneukum@suse.com
- usb: dwc3: gadget: Do link recovery for SS and SSP (git-fixes).
- commit 9008aa2
* Tue Apr 28 2020 oneukum@suse.com
- blacklist.conf: only renames that would break kABI
- commit 6585c7d
* Tue Apr 28 2020 oneukum@suse.com
- usb: f_fs: Clear OS Extended descriptor counts to zero in
  ffs_data_reset() (git-fixes).
- commit e410802
* Tue Apr 28 2020 oneukum@suse.com
- kABI fix for early XHCI debug (git-fixes).
- commit 19b8943
* Tue Apr 28 2020 mhocko@suse.com
- Update patches.suse/x86-mm-split-vmalloc_sync_all.patch
  (bsc#1165741, bsc#1166969).
- commit 345e20e
* Tue Apr 28 2020 oneukum@suse.com
- USB: early: Handle AMD's spec-compliant identifiers, too
  (git-fixes).
- commit ca7b6a1
* Tue Apr 28 2020 oneukum@suse.com
- blacklist.conf: duplicate patch
- commit 1d306db
* Tue Apr 28 2020 oneukum@suse.com
- usb: dwc3: don't set gadget->is_otg flag (git-fixes).
- commit 778f8f1
* Tue Apr 28 2020 msuchanek@suse.de
- Refresh patches.suse/ibmvfc-don-t-send-implicit-logouts-prior-to-NPIV-log.patch
- commit 3f5465d
* Sun Apr 26 2020 tiwai@suse.de
- ALSA: pcm: oss: Place the plugin buffer overflow checks
  correctly (bsc#1170522).
- commit a028710
* Sun Apr 26 2020 dkirjanov@suse.com
- net/ethernet: add Google GVE driver (jsc#SLE-10538)
- commit c690489
* Sat Apr 25 2020 tiwai@suse.de
- ALSA: hda: Remove ASUS ROG Zenith from the blacklist
  (bsc#1051510).
- ALSA: hda: Add driver blacklist (bsc#1051510).
- ALSA: doc: Document PC Beep Hidden Register on Realtek ALC256
  (bsc#1051510).
- commit b39941c
* Sat Apr 25 2020 tiwai@suse.de
- ASoC: topology: use name_prefix for new kcontrol (bsc#1051510).
- ASoC: dpcm: allow start or stop during pause for backend
  (bsc#1051510).
- ASoC: fix regwmask (bsc#1051510).
- commit 4bbad3f
* Sat Apr 25 2020 tiwai@suse.de
- ALSA: hda: Always use jackpoll helper for jack update after
  resume (bsc#1051510).
- ALSA: usb-audio: Add connector notifier delegation
  (bsc#1051510).
- ALSA: usb-audio: Apply async workaround for Scarlett 2i4 2nd
  gen (bsc#1051510).
- ALSA: usb-audio: Add quirk for Focusrite Scarlett 2i2
  (bsc#1051510).
- ALSA: usb-audio: Add static mapping table for ALC1220-VB-based
  mobos (bsc#1051510).
- commit db5679a
* Sat Apr 25 2020 tiwai@suse.de
- ALSA: hda/realtek - Add new codec supported for ALC245
  (bsc#1051510).
- ALSA: usb-audio: Fix usb audio refcnt leak when getting spdif
  (bsc#1051510).
- ALSA: usx2y: Fix potential NULL dereference (bsc#1051510).
- ALSA: hda/realtek - Fix unexpected init_amp override
  (bsc#1051510).
- commit 7c68b38
* Fri Apr 24 2020 tiwai@suse.de
- Refresh ptp_clock kABI workaround
  This version works without blacklisting the kabi change.
- commit 1b34b18
* Fri Apr 24 2020 tiwai@suse.de
- media: videobuf2-v4l2: drop WARN_ON in vb2_warn_zero_bytesused()
  (CVE-2019-9455 bsc#1170345).
- blacklist.conf: remove the backported entry
- commit 07936c6
* Fri Apr 24 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/selftests: Fix return in assert_mmap_offset()'
- commit 8d57602
* Fri Apr 24 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Wean off drm_pci_alloc/drm_pci_free'
- commit eda2b14
* Fri Apr 24 2020 msuchanek@suse.de
- Refresh sorted patches.
- commit 018a76b
* Fri Apr 24 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/userptr: fix size calculation'
- commit 66d3000
* Fri Apr 24 2020 msuchanek@suse.de
- Update
  patches.suse/powerpc-pseries-ddw-Extend-upper-limit-for-huge-DMA-.patch
  (FATE#327775 bsc#1142685 bsc#1167867 ltc#179509 ltc#184616).
- commit 778503d
* Fri Apr 24 2020 neilb@suse.de
- seq_file: fix problem when seeking mid-record (bsc#1170125).
- commit 5d17ffb
* Thu Apr 23 2020 dwagner@suse.de
- scsi: qla2xxx: check UNLOADING before posting async work
  (bsc#1157169).
- scsi: qla2xxx: set UNLOADING before waiting for session deletion
  (bsc#1157169).
- scsi: qla2xxx: Fix regression warnings (bsc#1157169).
- scsi: qla2xxx: Remove non functional code (bsc#1157169).
- scsi: qla2xxx: add ring buffer for tracing debug logs
  (bsc#1157169).
- commit 4a7030f
* Thu Apr 23 2020 tiwai@suse.de
- kABI workaround for ptp_clock struct change (CVE-2020-10690
  bsc#1170056).
- commit 2df035a
* Thu Apr 23 2020 tiwai@suse.de
- kabi/severities: Allow posix_clock_register kABI change (CVE-2020-10690 bsc#1170056)
- commit dd47488
* Thu Apr 23 2020 tiwai@suse.de
- ptp: free ptp device pin descriptors properly (CVE-2020-10690
  bsc#1170056).
- ptp: fix the race between the release of ptp_clock and cdev
  (CVE-2020-10690 bsc#1170056).
- commit d8790ea
* Thu Apr 23 2020 martin.wilck@suse.com
- blk-mq: honor IO scheduler for multiqueue devices (bsc#1165478).
- commit c3fd2a1
* Thu Apr 23 2020 tzimmermann@suse.de
- drm: amd/acp: fix broken menu structure (bsc#1114279)
  * context changes
- commit 22268db
* Thu Apr 23 2020 tzimmermann@suse.de
- drm/i915: properly sanity check batch_start_offset (bsc#1114279)
  * renamed display/intel_fbc.c -> intel_fb.c
  * renamed gt/intel_rc6.c -> intel_pm.c
  * context changes
- commit e92b298
* Thu Apr 23 2020 tzimmermann@suse.de
- Revert "drm/panel: simple: Add support for Sharp LQ150X1LG11 panels" (bsc#1114279)
  * offset changes
- commit 90f6094
* Thu Apr 23 2020 tzimmermann@suse.de
- drm: Remove PageReserved manipulation from drm_pci_alloc (bsc#1114279)
  * offset changes
- commit c289370
* Thu Apr 23 2020 tzimmermann@suse.de
- drm/crc: Actually allow to change the crc source (bsc#1114279)
  * offset changes
- commit 7493856
* Thu Apr 23 2020 neilb@suse.de
- fs/seq_file.c: simplify seq_file iteration code and interface
  (bsc#1170125).
- commit 01d5dd4
* Wed Apr 22 2020 mbenes@suse.cz
- objtool: Make BP scratch register warning more robust
  (bsc#1169514).
- commit 756fd80
* Wed Apr 22 2020 mbenes@suse.cz
- objtool: Fix switch table detection in .text.unlikely
  (bsc#1169514).
- commit 16d1486
* Tue Apr 21 2020 bp@suse.de
- x86/speculation: Add SRBDS vulnerability and mitigation
  documentation (bsc#1154824 CVE-2020-0543).
- commit 79be385
* Tue Apr 21 2020 bp@suse.de
- x86/speculation: Add Special Register Buffer Data Sampling
  (SRBDS) mitigation (bsc#1154824 CVE-2020-0543).
- commit 3840003
* Tue Apr 21 2020 bp@suse.de
- x86/cpu: Add 'table' argument to cpu_matches() (bsc#1154824
  CVE-2020-0543).
- commit 432b70b
* Tue Apr 21 2020 bp@suse.de
- mod_devicetable: Add a x86_cpu_id.steppings kABI workaround
  (bsc#1154824 CVE-2020-0543).
- commit b111994
* Tue Apr 21 2020 bp@suse.de
- x86/cpu: Add a steppings field to struct x86_cpu_id (bsc#1154824
  CVE-2020-0543).
- commit 21ac900
* Tue Apr 21 2020 martin.wilck@suse.com
- blk-mq: simplify blk_mq_make_request() (bsc#1165478).
- commit 0ed1eb1
* Tue Apr 21 2020 bp@suse.de
- EDAC, sb_edac: Add support for systems with segmented PCI buses
  (bsc#1169525).
- commit 2162d10
* Tue Apr 21 2020 martin.wilck@suse.com
- dm mpath: switch paths in dm_blk_ioctl() code path
  (bsc#1167574).
- commit c0cebb3
* Tue Apr 21 2020 lhenriques@suse.com
- ceph: check if file lock exists before sending unlock request
  (bsc#1168789).
- commit 0dcc643
* Tue Apr 21 2020 bp@suse.de
- x86/cpu: Add consistent CPU match macros (bsc#1154824
  CVE-2020-0543).
- commit 308b2c6
* Tue Apr 21 2020 bp@suse.de
- x86/devicetable: Move x86 specific macro out of generic code
  (bsc#1154824 CVE-2020-0543).
- commit 5120ab2
* Tue Apr 21 2020 oneukum@suse.com
- padata: Remove broken queue flushing (git-fixes).
- commit 77d35de
* Mon Apr 20 2020 mkubecek@suse.cz
- net: fix race condition in __inet_lookup_established()
  (bsc#1151794).
- commit c7c9f91
* Mon Apr 20 2020 tiwai@suse.de
- ALSA: hda: Honor PM disablement in PM freeze and thaw_noirq ops
  (bsc#1051510).
- commit 0b361b8
* Mon Apr 20 2020 tiwai@suse.de
- ALSA: hda: call runtime_allow() for all hda controllers
  (bsc#1051510).
- ALSA: hda: Explicitly permit using autosuspend if runtime PM
  is supported (bsc#1051510).
- ALSA: hda: Skip controller resume if not needed (bsc#1051510).
- ALSA: hda: Release resources at error in delayed probe
  (bsc#1051510).
- ALSA: usb-audio: Check mapping at creating connector controls,
  too (bsc#1051510).
- ALSA: usb-audio: Don't create jack controls for PCM terminals
  (bsc#1051510).
- ALSA: usb-audio: Filter error from connector kctl ops, too
  (bsc#1051510).
- ALSA: hda/realtek - Enable the headset mic on Asus FX505DT
  (bsc#1051510).
- ALSA: usb-audio: Add mixer workaround for TRX40 and co
  (bsc#1051510).
- commit b88433f
* Mon Apr 20 2020 tiwai@suse.de
- ALSA: hda: Keep the controller initialization even if no codecs
  found (bsc#1051510).
- ALSA: hda: Don't release card at firmware loading error
  (bsc#1051510).
- ALSA: usb-audio: Don't override ignore_ctl_error value from
  the map (bsc#1051510).
- ALSA: ctxfi: Remove unnecessary cast in kfree (bsc#1051510).
- commit 7de92e5
* Mon Apr 20 2020 msuchanek@suse.de
- Refresh upstream status of patches.suse/slcan-Don-t-transmit-uninitialized-stack-data-in-pad.patch.
- commit 638cf8f
* Mon Apr 20 2020 msuchanek@suse.de
- powerpc/sstep: Fix DS operand in ld encoding to appropriate
  value (bsc#1065729).
- commit a3ebbfd
* Mon Apr 20 2020 oneukum@suse.com
- blacklist.conf: lacking all prerequisite documentation
- commit 35d385a
* Mon Apr 20 2020 mbenes@suse.cz
- tracing: Fix the race between registering 'snapshot' event
  trigger and triggering 'snapshot' operation (git-fixes).
- commit a2524aa
* Mon Apr 20 2020 mbenes@suse.cz
- tracing: Disable trace_printk() on post poned tests (git-fixes).
- commit 821037e
* Fri Apr 17 2020 tiwai@suse.de
- blacklist.conf: Add inapplicable ALSA and other entries
  Some entries have been already fixed in SLE15-SP1 branch, and only for
  fixes/linux-4.12 and SLE12-SP4.
- commit 0b2cde2
* Fri Apr 17 2020 tiwai@suse.de
- ASoC: samsung: Prevent clk_get_rate() calls in atomic context
  (bsc#1111666).
- commit 63356c7
* Fri Apr 17 2020 tiwai@suse.de
- ALSA: dummy: Fix PCM format loop in proc output (bsc#1111666).
- commit 7bed38a
* Fri Apr 17 2020 jslaby@suse.cz
- net: memcg: fix lockdep splat in inet_csk_accept()
  (networking-stable-20_03_14).
- net/packet: tpacket_rcv: do not increment ring index on drop
  (networking-stable-20_03_14).
- net: fec: validate the new settings in fec_enet_set_coalesce()
  (networking-stable-20_03_14).
- net: macsec: update SCI upon MAC address change
  (networking-stable-20_03_14).
- ipv6/addrconf: call ipv6_mc_up() for non-Ethernet interface
  (networking-stable-20_03_14).
- net: memcg: late association of sock to memcg
  (networking-stable-20_03_14).
- ipvlan: do not use cond_resched_rcu() in
  ipvlan_process_multicast() (networking-stable-20_03_14).
- cgroup, netclassid: periodically release file_lock on classid
  updating (networking-stable-20_03_14).
- macvlan: add cond_resched() during multicast processing
  (networking-stable-20_03_14).
- ipvlan: add cond_resched_rcu() while processing muticast backlog
  (networking-stable-20_03_14).
- ipvlan: don't deref eth hdr before checking it's set
  (networking-stable-20_03_14).
- sfc: detach from cb_page in efx_copy_channel()
  (networking-stable-20_03_14).
- gre: fix uninit-value in __iptunnel_pull_header
  (networking-stable-20_03_14).
- bonding/alb: make sure arp header is pulled before accessing it
  (networking-stable-20_03_14).
- slip: make slhc_compress() more robust against malicious packets
  (networking-stable-20_03_14).
- nfc: add missing attribute validation for vendor subcommand
  (networking-stable-20_03_14).
- nfc: add missing attribute validation for SE API
  (networking-stable-20_03_14).
- team: add missing attribute validation for array index
  (networking-stable-20_03_14).
- team: add missing attribute validation for port ifindex
  (networking-stable-20_03_14).
- net: fq: add missing attribute validation for orphan mask
  (networking-stable-20_03_14).
- can: add missing attribute validation for termination
  (networking-stable-20_03_14).
- nl802154: add missing attribute validation for dev_type
  (networking-stable-20_03_14).
- nl802154: add missing attribute validation
  (networking-stable-20_03_14).
- fib: add missing attribute validation for tun_id
  (networking-stable-20_03_14).
- bnxt_en: reinitialize IRQs when MTU is modified
  (networking-stable-20_03_14).
- net: dsa: mv88e6xxx: fix lockup on warm boot
  (networking-stable-20_03_14).
- netlink: Use netlink header as base to calculate bad attribute
  offset (networking-stable-20_03_14).
- r8152: check disconnect status after long sleep
  (networking-stable-20_03_14).
- commit cb4c95f
* Fri Apr 17 2020 ptesarik@suse.cz
- blacklist.conf: s390 fixes which are not needed.
- commit 8b0e1cb
* Fri Apr 17 2020 ptesarik@suse.cz
- s390/cio: generate delayed uevent for vfio-ccw subchannels
  (git-fixes).
- s390/cio: avoid duplicated 'ADD' uevents (git-fixes).
- KVM: s390: vsie: Fix possible race when shadowing region 3
  tables (git-fixes).
- KVM: s390: vsie: Fix region 1 ASCE sanity shadow address checks
  (git-fixes).
- s390/diag: fix display of diagnose call statistics (git-fixes).
- s390/cpuinfo: fix wrong output when CPU0 is offline (git-fixes).
- scsi: zfcp: fix missing erp_lock in port recovery trigger for
  point-to-point (git-fixes).
- s390/gmap: return proper error code on ksm unsharing
  (git-fixes).
- s390/qeth: support net namespaces for L3 devices (git-fixes).
- s390/qeth: cancel RX reclaim work earlier (git-fixes).
- s390/qeth: handle error when backing RX buffer (git-fixes).
- s390/qeth: fix off-by-one in RX copybreak check (git-fixes).
- s390/qeth: don't warn for napi with 0 budget (git-fixes).
- s390/time: Fix clk type in get_tod_clock (git-fixes).
- s390/qeth: lock the card while changing its hsuid (git-fixes).
- s390/qeth: fix qdio teardown after early init error (git-fixes).
- s390/qeth: don't return -ENOTSUPP to userspace (git-fixes).
- s390/qeth: fix promiscuous mode after reset (git-fixes).
- s390/qeth: handle error due to unsupported transport mode
  (git-fixes).
- commit cdc279b
* Fri Apr 17 2020 jslaby@suse.cz
- ipmi: fix hung processes in __get_guid() (git-fixes).
- net: dsa: bcm_sf2: Fix overflow checks (git-fixes).
- commit e9139c4
* Thu Apr 16 2020 mbenes@suse.cz
- x86/xen: fix booting 32-bit pv guest (bsc#1071995).
- commit 1b5961e
* Thu Apr 16 2020 mbenes@suse.cz
- x86/xen: Make the secondary CPU idle tasks reliable
  (bsc#1071995).
- commit 8538cf7
* Thu Apr 16 2020 mbenes@suse.cz
- x86/xen: Make the boot CPU idle task reliable (bsc#1071995).
- commit b064e00
* Thu Apr 16 2020 oneukum@suse.com
- blacklist.conf: stable duplicate of upstream
- commit 469f515
* Thu Apr 16 2020 msuchanek@suse.de
- ibmvfc: don't send implicit logouts prior to NPIV login
  (bsc#1169625 ltc#184611).
- commit 777c032
* Thu Apr 16 2020 oneukum@suse.com
- USB: serial: option: add Wistron Neweb D19Q1 (git-fixes).
- commit 1f38585
* Thu Apr 16 2020 oneukum@suse.com
- USB: serial: option: add BroadMobi BM806U (git-fixes).
- commit 23469df
* Thu Apr 16 2020 oneukum@suse.com
- USB: serial: option: add support for ASKEY WWHC050 (git-fixes).
- commit 8313173
* Thu Apr 16 2020 oneukum@suse.com
- usb: gadget: composite: Inform controller driver of self-powered
  (git-fixes).
- commit 6e23e3c
* Thu Apr 16 2020 jslaby@suse.cz
- nfc: pn544: Fix occasional HW initialization failure
  (networking-stable-20_03_01).
- qede: Fix race between rdma destroy workqueue and link change
  event (networking-stable-20_03_01).
- sctp: move the format error check out of __sctp_sf_do_9_1_abort
  (networking-stable-20_03_01).
- net: phy: restore mdio regs in the iproc mdio driver
  (networking-stable-20_03_01).
- net: fib_rules: Correctly set table field when table number
  exceeds 8 bits (networking-stable-20_03_01).
- ipv6: Fix nlmsg_flags when splitting a multipath route
  (networking-stable-20_03_01).
- ipv6: Fix route replacement with dev-only route
  (networking-stable-20_03_01).
- commit ba7a6ae
* Thu Apr 16 2020 jwiesner@suse.com
- netfilter: conntrack: sctp: use distinct states for new SCTP
  connections (bsc#1159199).
- commit a20c6de
* Wed Apr 15 2020 aaptel@suse.com
- Refresh
  patches.suse/cifs-ignore-cached-share-root-handle-closing-errors.patch.
- commit 1cfdc01
* Wed Apr 15 2020 msuchanek@suse.de
- rpm/check-for-config-changes: Ignore CONFIG_LD_VERSION
- commit e60242e
* Wed Apr 15 2020 mbenes@suse.cz
- objtool: Add is_static_jump() helper (bsc#1169514).
- commit 6ae3b99
* Wed Apr 15 2020 mbenes@suse.cz
- objtool: Add relocation check for alternative sections
  (bsc#1169514).
- commit 5eb4cab
* Wed Apr 15 2020 jslaby@suse.cz
- blacklist.conf: add three cleanups
- commit 394a1b0
* Wed Apr 15 2020 tzimmermann@suse.de
- fbmem: Adjust indentation in fb_prepare_logo and fb_blank (bsc#1114279)
- commit 66c6f21
* Wed Apr 15 2020 tzimmermann@suse.de
- OMAP: DSS2: remove non-zero check on variable r (bsc#1114279)
- commit 26484d4
* Wed Apr 15 2020 tzimmermann@suse.de
- fbdev: potential information leak in do_fb_ioctl() (bsc#1114279)
- commit 6072223
* Tue Apr 14 2020 tiwai@suse.de
- ipmi: fix hung processes in __get_guid() (bsc#1111666).
- drm/v3d: Replace wait_for macros to remove use of msleep
  (bsc#1111666).
- drm/amd/display: Fix wrongly passed static prefix (bsc#1111666).
- drm/amdgpu: fix typo for vcn1 idle check (bsc#1111666).
- drm/amd/display: Add link_rate quirk for Apple 15" MBP 2017
  (bsc#1111666).
- drm/exynos: dsi: fix workaround for the legacy clock name
  (bsc#1111666).
- drm/exynos: dsi: propagate error value and silence meaningless
  warning (bsc#1111666).
- commit c9a6d45
* Tue Apr 14 2020 msuchanek@suse.de
- powerpc/hash64/devmap: Use H_PAGE_THP_HUGE when setting up
  huge devmap PTE entries (bsc#1065729).
- commit 71b5d04
* Tue Apr 14 2020 jgross@suse.com
- mm/memory_hotplug.c: only respect mem= parameter during boot
  stage (bsc#1065600).
- commit 6614fe5
* Tue Apr 14 2020 tiwai@suse.de
- drm/msm: Use the correct dma_sync calls harder (bsc#1051510).
- commit 7683bc8
* Tue Apr 14 2020 tiwai@suse.de
- pwm: pca9685: Fix PWM/GPIO inter-operation (bsc#1051510).
- pwm: renesas-tpu: Fix late Runtime PM enablement (bsc#1051510).
- pwm: rcar: Fix late Runtime PM enablement (bsc#1051510).
- pwm: meson: Fix confusing indentation (bsc#1051510).
- pwm: bcm2835: Dynamically allocate base (bsc#1051510).
- ASoC: Intel: atom: Take the drv->lock mutex before calling
  sst_send_slot_map() (bsc#1051510).
- ALSA: ice1724: Fix invalid access for enumerated ctl items
  (bsc#1051510).
- ALSA: hda: Fix potential access overflow in beep helper
  (bsc#1051510).
- ALSA: pcm: oss: Fix regression by buffer overflow fix
  (bsc#1051510).
- net: phy: micrel: kszphy_resume(): add delay after
  genphy_resume() before accessing PHY registers (bsc#1051510).
- Bluetooth: RFCOMM: fix ODEBUG bug in rfcomm_dev_ioctl
  (bsc#1051510).
- drm/bochs: downgrade pci_request_region failure from error to
  warning (bsc#1051510).
- clk: qcom: rcg: Return failure for RCG update (bsc#1051510).
- drm/msm: Use the correct dma_sync calls in msm_gem
  (bsc#1051510).
- drm/msm: stop abusing dma_map/unmap for cache (bsc#1051510).
- drm_dp_mst_topology: fix broken
  drm_dp_sideband_parse_remote_dpcd_read() (bsc#1051510).
- commit 5eab9a6
* Tue Apr 14 2020 jgross@suse.com
- Refresh
  patches.suse/0001-x86-respect-memory-size-limiting-via-mem-parameter.patch.
- Refresh
  patches.suse/0002-x86-xen-dont-add-memory-above-max-allowed-allocation.patch.
- commit 98a14d9
* Tue Apr 14 2020 jgross@suse.com
- xen/blkfront: fix memory allocation flags in
  blkfront_setup_indirect() (bsc#1168486).
- commit d922b02
* Tue Apr 14 2020 msuchanek@suse.de
- powerpc/powernv/idle: Restore AMR/UAMOR/AMOR after idle
  (CVE-2020-11669 bsc#1169390).
- commit b67a803
* Tue Apr 14 2020 yousaf.kaukab@suse.com
- ahci: Add support for Amazon's Annapurna Labs SATA controller
  (bsc#1169013).
- commit 797b69d
* Tue Apr 14 2020 ptesarik@suse.cz
- Update config files: Fix product version for armv7hl.
- commit 8475dd8
* Tue Apr 14 2020 yousaf.kaukab@suse.com
- Refresh
  patches.suse/arm64-PCI-Preserve-firmware-configuration-when-desir.patch.
  References: bsc#1169013
  To cover both Graviton and Graviton2 (M6g), remove check for oem_table_id.
  Same as the Graviton test in gic-v2m upstream.
- commit a9cc98f
* Mon Apr 13 2020 lhenriques@suse.com
- libceph: fix alloc_msg_with_page_vector() memory leaks
  (bsc#1169308).
- Refresh
  patches.suse/libceph-add-scatterlist-messenger-data-type.patch.
- commit f623ae7
* Mon Apr 13 2020 lhenriques@suse.com
- ceph: check POOL_FLAG_FULL/NEARFULL in addition to
  OSDMAP_FULL/NEARFULL (bsc#1169307).
- commit 0f41de6
* Mon Apr 13 2020 nsaenzjulienne@suse.de
- drm/vc4: Fix HDMI mode validation (git-fixes).
- clk: imx: Align imx sc clock msg structs to 4 (git-fixes).
- commit 4fb7230
* Mon Apr 13 2020 jlee@suse.com
- efi: Don't attempt to map RCI2 config table if it doesn't exist
  (jsc#ECO-366, bsc#1168367).
- commit 603d036
* Sun Apr 12 2020 mkubecek@suse.cz
- constrants: fix malformed XML
  Closing tag of an element is "</foo>", not "<foo/>".
  Fixes: 8b37de2eb835 ("rpm/constraints.in: Increase memory for kernel-docs")
- commit 4a8ca28
* Fri Apr 10 2020 glin@suse.com
- Refresh patches.suse/bpf-Explicitly-memset-some-bpf-info-structures-decla.patch.
  btf.c exists in SLE15-SP1/openSUSE Leap 15.1. Add the btf.c part back.
- commit 2ebd7a5
* Thu Apr  9 2020 yousaf.kaukab@suse.com
- binfmt_elf: Do not move brk for INTERP-less ET_EXEC
  (bsc#1169013).
- commit 4976691
* Thu Apr  9 2020 jwiesner@suse.com
- ipvlan: do not add hardware address of master to its unicast
  filter list (bsc#1137325).
- commit 0097cc3
* Thu Apr  9 2020 aaptel@suse.com
- cifs: ignore cached share root handle closing errors
  (bsc#1166780).
- commit 8156f53
* Thu Apr  9 2020 yousaf.kaukab@suse.com
- binfmt_elf: move brk out of mmap when doing direct loader exec
  (bsc#1169013).
- commit dc17fa1
* Thu Apr  9 2020 dwagner@suse.de
- scsi: core: kABI fix offline_already (bsc#1145929).
- commit ec4a265
* Thu Apr  9 2020 msuchanek@suse.de
- rpm/constraints.in: Increase memory for kernel-docs
  References: https://build.opensuse.org/request/show/792664
- commit 8b37de2
* Thu Apr  9 2020 jroedel@suse.de
- PCI: pciehp: Fix MSI interrupt race (bsc#1159037).
- commit c1bb442
* Thu Apr  9 2020 jroedel@suse.de
- blacklist.conf: Add d18b2f43b914 KVM: x86: Gracefully handle __vmalloc() failure during VM allocation
- commit ff1bcd1
* Thu Apr  9 2020 jroedel@suse.de
- iommu/amd: Fix the configuration of GCR3 table root pointer
  (bsc#1169057).
- commit c2941c2
* Thu Apr  9 2020 dwagner@suse.de
- scsi: core: avoid repetitive logging of device offline messages
  (bsc#1145929).
- commit 9bf0059
* Thu Apr  9 2020 wqu@suse.com
- btrfs: qgroup: Mark qgroup inconsistent if we're inherting
  snapshot to a new qgroup (bsc#1165823).
- commit 795a1c9
* Thu Apr  9 2020 wqu@suse.com
- btrfs: qgroup: Don't hold qgroup_ioctl_lock in
  btrfs_qgroup_inherit() (bsc#1165823).
- commit b138573
* Thu Apr  9 2020 neilb@suse.de
- kabi fix for (bsc#1168202).
- SUNRPC: defer slow parts of rpc_free_client() to a workqueue
  (bsc#1168202).
- commit 39a8fe1
* Wed Apr  8 2020 lhenriques@suse.com
- ceph: canonicalize server path in place (bsc#1168443).
- ceph: remove the extra slashes in the server path (bsc#1168443).
- commit ef71e26
* Wed Apr  8 2020 oneukum@suse.com
- USB: cdc-acm: restore capability check order (git-fixes).
- commit 61c5faf
* Wed Apr  8 2020 oneukum@suse.com
- media: flexcop-usb: fix endpoint sanity check (git-fixes).
- commit 29a05cb
* Wed Apr  8 2020 oneukum@suse.com
- Update
  patches.suse/media-xirlink_cit-add-missing-descriptor-sanity-chec.patch
  (bsc#1168952). Added specific bsc number so that this is not lost.
- commit 52ecda9
* Wed Apr  8 2020 tiwai@suse.de
- drm/sun4i: dsi: Use NULL to signify "no panel" (bsc#1111666).
- clk: imx: Align imx sc clock msg structs to 4 (bsc#1111666).
- commit d777121
* Wed Apr  8 2020 tiwai@suse.de
- thermal: devfreq_cooling: inline all stubs for
  CONFIG_DEVFREQ_THERMAL=n (bsc#1051510).
- mfd: dln2: Fix sanity checking for endpoints (bsc#1051510).
- tty: evh_bytechan: Fix out of bounds accesses (bsc#1051510).
- misc: pci_endpoint_test: Fix to support > 10 pci-endpoint-test
  devices (bsc#1051510).
- PCI: endpoint: Fix clearing start entry in configfs
  (bsc#1051510).
- PCI/ASPM: Clear the correct bits when enabling L1 substates
  (bsc#1051510).
- drm/drm_dp_mst:remove set but not used variable 'origlen'
  (bsc#1051510).
- pxa168fb: fix release function mismatch in probe failure
  (bsc#1051510).
- crypto: mxs-dcp - fix scatterlist linearization for hash
  (bsc#1051510).
- crypto: arm64/sha-ce - implement export/import (bsc#1051510).
- crypto: tcrypt - fix printed skcipher [a]sync mode
  (bsc#1051510).
- irqchip/bcm2835: Quiesce IRQs left enabled by bootloader
  (bsc#1051510).
- PCI/switchtec: Fix init_completion race condition with
  poll_wait() (bsc#1051510).
- staging: wlan-ng: fix use-after-free Read in
  hfa384x_usbin_callback (bsc#1051510).
- staging: wlan-ng: fix ODEBUG bug in prism2sta_disconnect_usb
  (bsc#1051510).
- staging: rtl8188eu: Add ASUS USB-N10 Nano B1 to device table
  (bsc#1051510).
- iio: potentiostat: lmp9100: fix
  iio_triggered_buffer_{predisable,postenable} positions
  (bsc#1051510).
- usb: gadget: f_fs: Fix use after free issue as part of queue
  failure (bsc#1051510).
- USB: serial: io_edgeport: fix slab-out-of-bounds read in
  edge_interrupt_callback (bsc#1051510).
- usb: musb: fix crash with highmen PIO and usbmon (bsc#1051510).
- media: xirlink_cit: add missing descriptor sanity checks
  (bsc#1051510).
- media: tda10071: fix unsigned sign extension overflow
  (bsc#1051510).
- media: v4l2-core: fix entity initialization in
  device_register_subdev (bsc#1051510).
- media: go7007: Fix URB type for interrupt handling
  (bsc#1051510).
- media: vsp1: tidyup VI6_HGT_LBn_H() macro (bsc#1051510).
- media: dib0700: fix rc endpoint lookup (bsc#1051510).
- media: usbtv: fix control-message timeouts (bsc#1051510).
- i2c: hix5hd2: add missed clk_disable_unprepare in remove
  (bsc#1051510).
- Input: synaptics - enable RMI on HP Envy 13-ad105ng
  (bsc#1051510).
- NFC: fdp: Fix a signedness bug in fdp_nci_send_patch()
  (bsc#1051510).
- intel_th: pci: Add Elkhart Lake CPU support (bsc#1051510).
- mac80211: Do not send mesh HWMP PREQ if HWMP is disabled
  (bsc#1051510).
- batman-adv: Don't schedule OGM for disabled interface
  (bsc#1051510).
- pinctrl: core: Remove extra kref_get which blocks hogs being
  freed (bsc#1051510).
- fat: fix uninit-memory access for partial initialized inode
  (bsc#1051510).
- i2c: jz4780: silence log flood on txabrt (bsc#1051510).
- staging: vt6656: fix sign of rx_dbm to bb_pre_ed_rssi
  (bsc#1051510).
- tty: serial: imx: setup the correct sg entry for tx dma
  (bsc#1051510).
- tty/serial: atmel: manage shutdown in case of RS485 or ISO7816
  mode (bsc#1051510).
- serdev: ttyport: restore client ops on deregistration
  (bsc#1051510).
- qmi_wwan: unconditionally reject 2 ep interfaces (bsc#1051510).
- irqdomain: Fix a memory leak in irq_domain_push_irq()
  (bsc#1051510).
- cpufreq: Register drivers only after CPU devices have been
  registered (bsc#1051510).
- cpuidle: Do not unset the driver if it is there already
  (bsc#1051510).
- fat: work around race with userspace's read via blockdev while
  mounting (bsc#1051510).
- dmaengine: ste_dma40: fix unneeded variable warning
  (bsc#1051510).
- batman-adv: prevent TT request storms by not sending
  inconsistent TT TLVLs (bsc#1051510).
- batman-adv: Avoid spurious warnings from bat_v neigh_cmp
  implementation (bsc#1051510).
- configfs: Fix bool initialization/comparison (bsc#1051510).
- commit e4eaaea
* Tue Apr  7 2020 jack@suse.cz
- blacklist.conf: Blacklist fs/ext2 since we don't compile it at all
- commit 3cc8480
* Tue Apr  7 2020 jack@suse.cz
- blacklist.conf: Blacklist 780f66e59231
- commit a647f0d
* Tue Apr  7 2020 jack@suse.cz
- mm/filemap.c: don't initiate writeback if mapping has no dirty
  pages (bsc#1168884).
- commit e1f39c5
* Tue Apr  7 2020 jack@suse.cz
- libfs: fix infoleak in simple_attr_read() (bsc#1168881).
- commit 46ea826
* Tue Apr  7 2020 jack@suse.cz
- blacklist.conf: Blacklist 1ac994525b9d
- commit 1666119
* Tue Apr  7 2020 jack@suse.cz
- patches.suse/jbd2-flush_descriptor-Do-not-decrease-buffer-head-s-ref-count.patch:
  Update tags
- commit b0e78a8
* Tue Apr  7 2020 jack@suse.cz
- patches.suse/ext4-Avoid-ENOSPC-when-avoiding-to-reuse-recently-de.patch:
  Update tags
- commit 1f509a6
* Tue Apr  7 2020 jack@suse.cz
- ext4: fix potential race between online resizing and write
  operations (bsc#1166864).
- commit 1c28326
* Tue Apr  7 2020 jack@suse.cz
- ext4: add cond_resched() to __ext4_find_entry() (bsc#1166862).
- commit 2c46556
* Tue Apr  7 2020 jack@suse.cz
- ext4: fix a data race in EXT4_I(inode)->i_disksize
  (bsc#1166861).
- commit 9ffca79
* Tue Apr  7 2020 jack@suse.cz
- ext4: don't assume that mmp_nodename/bdevname have NUL
  (bsc#1166860).
- commit a8c2eba
* Tue Apr  7 2020 ptesarik@suse.cz
- s390/mm: fix dynamic pagetable upgrade for hugetlbfs
  (bsc#1165182 LTC#184102).
- commit 120ed1f
* Tue Apr  7 2020 jack@suse.cz
- partitions/efi: Fix partition name parsing in GUID partition
  entry (bsc#1168763).
- commit c3201aa
* Tue Apr  7 2020 jack@suse.cz
- block: keep bdi->io_pages in sync with max_sectors_kb for
  stacked devices (bsc#1168762).
- commit 686d490
* Tue Apr  7 2020 jack@suse.cz
- blacklist.conf: Blacklist f01b411f41f9
- commit 90feb5e
* Tue Apr  7 2020 jack@suse.cz
- block, bfq: fix use-after-free in bfq_idle_slice_timer_body
  (bsc#1168760).
- commit d3cc845
* Tue Apr  7 2020 nborisov@suse.com
- btrfs: force chunk allocation if our global rsv is larger than metadata (bsc#1165949).
- commit 62701d1
* Tue Apr  7 2020 tbogendoerfer@suse.de
- bnxt_en: Support all variants of the 5750X chip family
  (bsc#1167216).
- commit 9c89a54
* Tue Apr  7 2020 oneukum@suse.com
- media: stv06xx: add missing descriptor sanity checks
  (bsc#1168854).
- commit 44ac13a
* Tue Apr  7 2020 oneukum@suse.com
- media: ov519: add missing endpoint sanity checks (bsc#1168829).
- commit 84ec6a8
* Tue Apr  7 2020 msuchanek@suse.de
- Update
  patches.suse/KVM-PPC-Book3S-PR-Add-guest-MSR-parameter-for-kvmppc.patch
  (bsc#1061840 CVE-2020-8834).
- commit e943945
* Tue Apr  7 2020 glin@suse.com
- bpf: Explicitly memset some bpf info structures declared on
  the stack (bsc#1083647).
- commit 15737b0
* Tue Apr  7 2020 glin@suse.com
- bpf: Explicitly memset the bpf_attr structure (bsc#1083647).
- commit e3603e3
* Mon Apr  6 2020 ptesarik@suse.cz
- Update patch references of
  patches.suse/s390-pci-fix-unexpected-write-combine-on-resource
  (bsc#1168552 LTC#184761 git-fixes).
- commit 9ba1a0d
* Mon Apr  6 2020 jack@suse.cz
- ext4: fix incorrect group count in ext4_fill_super error message
  (bsc#1168765).
- commit 9590aac
* Mon Apr  6 2020 jack@suse.cz
- ext4: fix incorrect inodes per group in error message
  (bsc#1168764).
- commit 4ad1d6c
* Mon Apr  6 2020 oneukum@suse.com
- blacklist.conf: uncompiled SOC driver
- commit de2dd72
* Mon Apr  6 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Call find_vma under mmap_sem'
- commit 2f4061a
* Mon Apr  6 2020 ptesarik@suse.cz
- s390/qeth: fix potential deadlock on workqueue flush
  (bsc#1165185 LTC#184108).
- commit 07c2cb5
* Mon Apr  6 2020 msuchanek@suse.de
- powerpc/kprobes: Ignore traps that happened in real mode
  (bsc#1065729).
- commit 6ac763f
* Mon Apr  6 2020 oneukum@suse.com
- USB: serial: pl2303: add device-id for HP LD381 (git-fixes).
- commit ae0cad8
* Mon Apr  6 2020 oneukum@suse.com
- USB: serial: option: add ME910G1 ECM composition 0x110b
  (git-fixes).
- commit 0ef9f7b
* Mon Apr  6 2020 msuchanek@suse.de
- tpm: ibmvtpm: Wait for buffer to be set before proceeding
  (bsc#1065729).
- commit bce9874
* Mon Apr  6 2020 oneukum@suse.com
- usb: quirks: add NO_LPM quirk for RTL8153 based ethernet
  adapters (git-fixes).
- commit 53ff28c
* Mon Apr  6 2020 oneukum@suse.com
- usb: host: xhci-plat: add a shutdown (git-fixes).
- commit fda39a1
* Mon Apr  6 2020 oneukum@suse.com
- USB: Disable LPM on WD19's Realtek Hub (git-fixes).
- commit 27f2175
* Mon Apr  6 2020 oneukum@suse.com
- usb: xhci: apply XHCI_SUSPEND_DELAY to AMD XHCI controller
  1022:145c (git-fixes).
- commit 4faae07
* Mon Apr  6 2020 oneukum@suse.com
- usb: core: port: do error out if usb_autopm_get_interface()
  fails (git-fixes).
- commit 8295528
* Mon Apr  6 2020 oneukum@suse.com
- usb: core: hub: do error out if usb_autopm_get_interface()
  fails (git-fixes).
- commit 231004f
* Mon Apr  6 2020 oneukum@suse.com
- usb: dwc2: Fix in ISOC request length checking (git-fixes).
- commit 5c8c070
* Mon Apr  6 2020 mbenes@suse.cz
- ftrace/kprobe: Show the maxactive number on kprobe_events
  (git-fixes).
- commit e8808c3
* Mon Apr  6 2020 ptesarik@suse.cz
- Update patch metadata
- Update upstream reference:
  - patches.suse/cpufreq-powernv-Fix-unsafe-notifiers.patch
  - patches.suse/cpufreq-powernv-Fix-use-after-free.patch
  - patches.suse/powerpc-64-tm-Don-t-let-userspace-set-regs-trap-via-.patch
  - patches.suse/powerpc-64s-Fix-section-mismatch-warnings-from-boot-.patch
  - patches.suse/powerpc-drmem-avoid-NULL-pointer-dereference-when-dr.patch
  - patches.suse/powerpc-pseries-Fix-of_read_drc_info_cell-to-point-a.patch
  - patches.suse/powerpc-smp-Use-nid-as-fallback-for-package_id.patch
  - patches.suse/powerpc-vmlinux.lds-Explicitly-retain-.gnu.hash.patch
  - patches.suse/powerpc-xive-Use-XIVE_BAD_IRQ-instead-of-zero-to-cat.patch
  - patches.suse/scsi-fc-Update-Descriptor-definition-and-add-RDF-and.patch
  - patches.suse/scsi-lpfc-Clean-up-hba-max_lun_queue_depth-checks.patch
  - patches.suse/scsi-lpfc-Copyright-updates-for-12.6.0.4-patches.patch
  - patches.suse/scsi-lpfc-Fix-RQ-buffer-leakage-when-no-IOCBs-availa.patch
  - patches.suse/scsi-lpfc-Fix-broken-Credit-Recovery-after-driver-lo.patch
  - patches.suse/scsi-lpfc-Fix-compiler-warning-on-frame-size.patch
  - patches.suse/scsi-lpfc-Fix-coverity-errors-in-fmdi-attribute-hand.patch
  - patches.suse/scsi-lpfc-Fix-lpfc_io_buf-resource-leak-in-lpfc_get_.patch
  - patches.suse/scsi-lpfc-Fix-registration-of-ELS-type-support-in-fd.patch
  - patches.suse/scsi-lpfc-Fix-release-of-hwq-to-clear-the-eq-relatio.patch
  - patches.suse/scsi-lpfc-Remove-handler-for-obsolete-ELS-Read-Port-.patch
  - patches.suse/scsi-lpfc-Update-lpfc-version-to-12.6.0.4.patch
  - patches.suse/scsi-lpfc-add-RDF-registration-and-Link-Integrity-FP.patch
  - patches.suse/scsi-lpfc-fix-spelling-mistake-Notication-Notificati.patch
- commit 017037d
* Mon Apr  6 2020 oneukum@suse.com
- usb: gadget: composite: Fix bMaxPower for SuperSpeedPlus
  (git-fixes).
- commit d2a52c6
* Mon Apr  6 2020 oneukum@suse.com
- blacklist.conf: docu change for an unsupported feature
- commit 17be044
* Mon Apr  6 2020 oneukum@suse.com
- USB: hub: Don't record a connect-change event during
  reset-resume (git-fixes).
- commit 47343de
* Mon Apr  6 2020 oneukum@suse.com
- blacklist.conf: unsupported hardware for embedded systems
- commit ccefb04
* Mon Apr  6 2020 ptesarik@suse.cz
- Update patch metadata
- Update upstream reference:
  - patches.suse/cpufreq-powernv-Fix-unsafe-notifiers.patch
  - patches.suse/cpufreq-powernv-Fix-use-after-free.patch
  - patches.suse/powerpc-64-tm-Don-t-let-userspace-set-regs-trap-via-.patch
  - patches.suse/powerpc-64s-Fix-section-mismatch-warnings-from-boot-.patch
  - patches.suse/powerpc-drmem-avoid-NULL-pointer-dereference-when-dr.patch
  - patches.suse/powerpc-smp-Use-nid-as-fallback-for-package_id.patch
  - patches.suse/powerpc-vmlinux.lds-Explicitly-retain-.gnu.hash.patch
  - patches.suse/powerpc-xive-Use-XIVE_BAD_IRQ-instead-of-zero-to-cat.patch
- commit 83f5afd
* Mon Apr  6 2020 dwagner@suse.de
- scsi: qla2xxx: Fix I/Os being passed down when FC device is
  being deleted (bsc#1157424).
- commit 10f106e
* Mon Apr  6 2020 msuchanek@suse.de
- powerpc/pseries/ddw: Extend upper limit for huge DMA window
  for persistent memory (FATE#327775 bsc#1142685 ltc#179509).
- powerpc/pseries/iommu: Fix set but not used values (FATE#327775
  bsc#1142685 ltc#179509).
- powerpc/pseries/iommu: Use memory@ nodes in max RAM address
  calculation (FATE#327775 bsc#1142685 ltc#179509).
- commit f415347
* Fri Apr  3 2020 msuchanek@suse.de
- scsi: ibmvfc: Fix NULL return compiler warning (bsc#1161951
  ltc#183551).
  Refresh sorted patches.
- commit 4e45a1b
* Fri Apr  3 2020 msuchanek@suse.de
- scsi: lpfc: Change default SCSI LUN QD to 64 (bsc#1164777
  bsc#1164780 bsc#1165211 jsc#SLE-8654).
  Patch split off
  patches.suse/scsi-lpfc-Fix-erroneous-cpu-limit-of-128-on-I-O-stat.patch
  in upstream repository.
- Refresh patches.suse/scsi-lpfc-Fix-erroneous-cpu-limit-of-128-on-I-O-stat.patch.
- Refresh patches.suse/scsi-lpfc-Make-debugfs-ktime-stats-generic-for-NVME-.patch.
- Refresh patches.suse/scsi-lpfc-Remove-prototype-FIPS-DSS-options-from-SLI.patch.
- Refresh patches.suse/scsi-lpfc-Update-lpfc-version-to-12.8.0.0.patch.
- commit 60b6f91
* Fri Apr  3 2020 tiwai@suse.de
- ALSA: usb-audio: Fix case when USB MIDI interface has more
  than one extra endpoint descriptor (bsc#1051510).
- ALSA: usx2y: use for_each_pcm_streams() macro (bsc#1051510).
- ALSA: usb-audio: Inform devices that need delayed registration
  (bsc#1051510).
- ALSA: usb-audio: Add delayed_register option (bsc#1051510).
- ALSA: usb-audio: Rewrite registration quirk handling
  (bsc#1051510).
- ALSA: usb-audio: Create a registration quirk for Kingston
  HyperX Amp (0951:16d8) (bsc#1051510).
- ALSA: usb-audio: Fix mixer controls' USB interface for Kingston
  HyperX Amp (0951:16d8) (bsc#1051510).
- ALSA: usb-audio: Add support for MOTU MicroBook IIc
  (bsc#1051510).
- ALSA: usb-audio: Parse source ID of UAC2 effect unit
  (bsc#1051510).
- usb: audio-v2: Add uac2_effect_unit_descriptor definition
  (bsc#1051510).
- ALSA: usb-audio: Don't create a mixer element with bogus volume
  range (bsc#1051510).
- ALSA: usb-midi: Replace zero-length array with flexible-array
  member (bsc#1051510).
- commit acb5292
* Fri Apr  3 2020 tiwai@suse.de
- ALSA: hda/realtek - Remove now-unnecessary XPS 13 headphone
  noise fixups (bsc#1051510).
- ALSA: pcm.h: add for_each_pcm_streams() (bsc#1051510).
- ALSA: hda: default enable CA0132 DSP support (bsc#1051510).
- ALSA: core: Add snd_device_get_state() helper (bsc#1051510).
- ALSA: pcm: Fix superfluous snprintf() usage (bsc#1051510).
- ALSA: pcm: oss: Unlock mutex temporarily for sleeping at
  read/write (bsc#1051510).
- ALSA: pcm: Use a macro for parameter masks to reduce the needed
  cast (bsc#1051510).
- ALSA: hda/realtek - a fake key event is triggered by running
  shutup (bsc#1051510).
- ALSA: hda/realtek: Enable mute LED on an HP system
  (bsc#1051510).
- ALSA: hda/ca0132 - Add Recon3Di quirk to handle integrated
  sound on EVGA X99 Classified motherboard (bsc#1051510).
- commit 11452c5
* Fri Apr  3 2020 tiwai@suse.de
- ASoC: Intel: mrfld: fix incorrect check on p->sink
  (bsc#1051510).
- ASoC: sun8i-codec: Remove unused dev from codec struct
  (bsc#1051510).
- ASoC: Intel: mrfld: return error codes when an error occurs
  (bsc#1051510).
- ASoC: jz4740-i2s: Fix divider written at incorrect offset in
  register (bsc#1051510).
- commit 7886184
* Fri Apr  3 2020 tiwai@suse.de
- ALSA: hda/realtek - Set principled PC Beep configuration for
  ALC256 (bsc#1051510).
- ALSA: hda: Use scnprintf() for string truncation (bsc#1051510).
- ALSA: korg1212: fix if-statement empty body warnings
  (bsc#1051510).
- ALSA: hda_codec: Replace zero-length array with flexible-array
  member (bsc#1051510).
- ALSA: hda/ca0132 - Replace zero-length array with flexible-array
  member (bsc#1051510).
- ALSA: core: Replace zero-length array with flexible-array member
  (bsc#1051510).
- ALSA: info: remove redundant assignment to variable c
  (bsc#1051510).
- ALSA: ali5451: remove redundant variable capture_flag
  (bsc#1051510).
- ALSA: hda: remove redundant assignment to variable timeout
  (bsc#1051510).
- ALSA: hdsp: remove redundant assignment to variable err
  (bsc#1051510).
- ALSA: emu10k1: Fix endianness annotations (bsc#1051510).
- ALSA: via82xx: Fix endianness annotations (bsc#1051510).
- commit a605a22
* Fri Apr  3 2020 tiwai@suse.de
- slcan: Don't transmit uninitialized stack data in padding
  (CVE-2020-11494 bsc#1168424).
- commit 49799c9
* Thu Apr  2 2020 nborisov@suse.com
- btrfs: run btrfs_try_granting_tickets if a priority ticket fails (bsc#1165949).
- commit 1465802
* Thu Apr  2 2020 nborisov@suse.com
- btrfs: only check priority tickets for priority flushing (bsc#1165949).
- commit 5b8ad84
* Thu Apr  2 2020 nborisov@suse.com
- btrfs: Account for trans_block_rsv in may_commit_transaction (bsc#1165949).
- commit 3034574
* Thu Apr  2 2020 nborisov@suse.com
- btrfs: allow us to use up to 90%% of the global rsv for unlink (bsc#1165949).
- commit 1d0fb3d
* Thu Apr  2 2020 nborisov@suse.com
- btrfs: Improve global reserve stealing logic (bsc#1165949).
- commit a76497e
* Thu Apr  2 2020 neilb@suse.de
- MM: replace PF_LESS_THROTTLE with PF_LOCAL_THROTTLE
  (bsc#1163403).
- Deprecate NR_UNSTABLE_NFS, use NR_WRITEBACK (bsc#1163403).
- commit c56523a
* Wed Apr  1 2020 msuchanek@suse.de
- powerpc/vmlinux.lds: Explicitly retain .gnu.hash (bsc#1148868).
- commit 67091e0
* Wed Apr  1 2020 msuchanek@suse.de
- powerpc/64/tm: Don't let userspace set regs->trap via sigreturn
  (bsc#1118338 ltc#173734).
- commit 8ac960c
* Wed Apr  1 2020 dwagner@suse.de
- nvme-multipath: fix crash in nvme_mpath_clear_ctrl_paths
  (bsc#1158983).
- nvme-multipath: remove unused groups_only mode in ana log
  (bsc#1158983).
- nvme-multipath: fix possible io hang after ctrl reconnect
  (bsc#1158983).
- nvme: fix controller removal race with scan work (bsc#1158983).
- nvme: fix a possible deadlock when passthru commands sent to
  a multipath device (bsc#1158983).
- nvme-multipath: do not select namespaces which are about to
  be removed (bsc#1158983).
- nvme-multipath: also check for a disabled path if there is a
  single sibling (bsc#1158983).
- nvme-multipath: factor out a nvme_path_is_disabled helper
  (bsc#1158983).
- commit de82c44
* Wed Apr  1 2020 dwagner@suse.de
- nvme-multipath: round-robin I/O policy (bsc#1158983).
  Replace this version with the upstream implementation. Since the
  upstream implementation does not define NVME_IOPOLICY_UNKNOWN, add it
  back to avoid changes in struct nvme_subsystem.
- commit c4b11a1
* Wed Apr  1 2020 msuchanek@suse.de
- powerpc/xive: Use XIVE_BAD_IRQ instead of zero to catch non
  configured IPIs (bsc#1085030).
- powerpc/xive: Replace msleep(x) with msleep(OPAL_BUSY_DELAY_MS)
  (bsc#1085030).
- commit 95fe4c3
* Wed Apr  1 2020 tiwai@suse.de
- kABI workaround for v4l2_fh (CVE-2019-9458 bsc#1168295).
- commit c4ab154
* Wed Apr  1 2020 nborisov@suse.com
- Btrfs: fix race leading to metadata space leak after task received  signal (bsc#1165949).
- commit c171020
* Wed Apr  1 2020 tiwai@suse.de
- media: v4l: event: Add subscription to list before calling
  "add" operation (CVE-2019-9458 bsc#1168295).
- media: v4l: event: Prevent freeing event subscriptions while
  accessed (CVE-2019-9458 bsc#1168295).
- commit 4eff58a
* Wed Apr  1 2020 tiwai@suse.de
- blacklist.conf: Remove two entries to be fixed nevertheless (CVE-2019-9458 bsc#1168295)
- commit 18defd1
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: add enospc debug messages for ticket failure (bsc#1165949).
- Refresh
  patches.suse/btrfs-dump_space_info-when-encountering-total_bytes_pinned-0-at-umount.patch.
- commit 01afd09
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: do not account global reserve in can_overcommit (bsc#1165949).
- commit d7fa8fd
* Wed Apr  1 2020 jroedel@suse.de
- blacklist.conf: Add b34087157dd7 dma-direct: Make DIRECT_MAPPING_ERROR viable for SWIOTLB
- commit a32f0cc
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: use btrfs_try_granting_tickets in update_global_rsv (bsc#1165949).
- commit 4bdd597
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: always reserve our entire size for the global reserve (bsc#1165949).
- commit 0332883
* Wed Apr  1 2020 wqu@suse.com
- btrfs: adjust dirty_metadata_bytes after writeback failure of
  extent buffer (bsc#1168273).
- commit 07180fe
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: change the minimum global reserve size (bsc#1165949).
- commit 8f0aed5
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: rename btrfs_space_info_add_old_bytes (bsc#1165949).
- commit 63df503
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: remove orig_bytes from reserve_ticket (bsc#1165949).
- commit 0871e87
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: fix may_commit_transaction to deal with no partial filling (bsc#1165949).
- commit d6d76a6
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: rework wake_all_tickets (bsc#1165949).
- commit f543763
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: refactor the ticket wakeup code (bsc#1165949).
- commit c21cf6f
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: stop partially refilling tickets when releasing space (bsc#1165949).
- commit 33f3607
* Wed Apr  1 2020 jack@suse.cz
- ext4: Avoid ENOSPC when avoiding to reuse recently deleted
  inodes (bsc#1165019).
- commit 02465ec
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: add space reservation tracepoint for reserved bytes (bsc#1165949).
- commit 3620973
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: roll tracepoint into btrfs_space_info_update helper (bsc#1165949).
- commit a99f554
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: do not allow reservations if we have pending tickets (bsc#1165949).
- commit 6261f32
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: only reserve metadata_size for inodes (bsc#1165949).
- commit 7501136
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: rename the btrfs_calc_*_metadata_size helpers (bsc#1165949).
- commit 1cd873f
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: introduce an evict flushing state (bsc#1165949).
- commit 1466cc6
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: refactor priority_reclaim_metadata_space (bsc#1165949).
- commit 533c1ca
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: factor out the ticket flush handling (bsc#1165949).
- commit 84b6792
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: unify error handling for ticket flushing (bsc#1165949).
- commit 237f09d
* Wed Apr  1 2020 nborisov@suse.com
- btrfs: add a flush step for delayed iputs (bsc#1165949).
- commit ad90466
* Wed Apr  1 2020 wqu@suse.com
- Btrfs: fix unwritten extent buffers and hangs on future
  writeback attempts (bsc#1168273).
- commit 7b8c207
* Wed Apr  1 2020 wqu@suse.com
- btrfs: Do mandatory tree block check before submitting  bio
  (bsc#1168273).
- commit fe204e3
* Wed Apr  1 2020 wqu@suse.com
- btrfs: tree-checker: Remove comprehensive root owner  check
  (bsc#1168273).
- commit 4c3ca24
* Wed Apr  1 2020 wqu@suse.com
- btrfs: extent_io: Handle errors better in  extent_writepages()
  (bsc#1168273).
- commit b819de4
* Wed Apr  1 2020 wqu@suse.com
- btrfs: extent_io: add proper error handling to
  lock_extent_buffer_for_io() (bsc#1168273).
- commit 4495149
* Wed Apr  1 2020 wqu@suse.com
- btrfs: extent_io: Handle errors better in
  extent_write_locked_range() (bsc#1168273).
- commit d5ae838
* Wed Apr  1 2020 wqu@suse.com
- btrfs: extent_io: Kill dead condition in
  extent_write_cache_pages() (bsc#1168273).
- commit 3b6f572
* Wed Apr  1 2020 wqu@suse.com
- btrfs: extent_io: Handle errors better in
  btree_write_cache_pages() (bsc#1168273).
- commit 037eb47
* Wed Apr  1 2020 tiwai@suse.de
- Crypto: chelsio - Fixes a deadlock between rtnl_lock and
  uld_mutex (bsc#1111666).
- Crypto: chelsio - Fixes a hang issue during driver registration
  (bsc#1111666).
- brcmfmac: abort and release host after error (bsc#1111666).
- firmware: arm_sdei: fix possible double-lock on hibernate
  error path (bsc#1111666).
- firmware: arm_sdei: fix double-lock on hibernate with shared
  events (bsc#1111666).
- commit 213068f
* Wed Apr  1 2020 wqu@suse.com
- btrfs: extent_io: Handle errors better in
  extent_write_full_page() (bsc#1168273).
- commit bf77517
* Wed Apr  1 2020 wqu@suse.com
- btrfs: extent_io: Move the BUG_ON() in flush_write_bio()
  one level up (bsc#1168273).
- commit 4ee7dd7
* Wed Apr  1 2020 tiwai@suse.de
- ath9k: Handle txpower changes even when TPC is disabled
  (bsc#1051510).
- mwifiex: set needed_headroom, not hard_header_len (bsc#1051510).
- platform/x86: pmc_atom: Add Lex 2I385SW to critclk_systems
  DMI table (bsc#1051510).
- fbdev/g364fb: Fix build failure (bsc#1051510).
- commit 53b89e0
* Wed Apr  1 2020 wqu@suse.com
- btrfs: factor our read/write stage off csum_tree_block into
  its callers (bsc#1168273).
- Refresh
  patches.suse/0001-btrfs-Introduce-support-for-FSID-change-without-meta.patch.
- Refresh
  patches.suse/0002-btrfs-Remove-fsid-metadata_fsid-fields-from-btrfs_in.patch.
- commit 68d374f
* Wed Apr  1 2020 wqu@suse.com
- btrfs: extent_io: Kill the forward declaration of
  flush_write_bio (bsc#1168273).
- commit 5f623b6
* Wed Apr  1 2020 wqu@suse.com
- btrfs: unify extent_page_data type passed as void (bsc#1168273).
- commit 69dab14
* Wed Apr  1 2020 wqu@suse.com
- btrfs: sink writepage parameter to  extent_write_cache_pages
  (bsc#1168273).
- commit 93a3e43
* Wed Apr  1 2020 nstange@suse.de
- random: always use batched entropy for get_random_u{32,64}
  (bsc#1164871).
- commit d0e0bac
* Wed Apr  1 2020 wqu@suse.com
- btrfs: sink flush_fn to extent_write_cache_pages (bsc#1168273).
- commit 93a08da
* Wed Apr  1 2020 wqu@suse.com
- btrfs: merge two flush_write_bio helpers (bsc#1168273).
- commit 0ed8ca2
* Wed Apr  1 2020 wqu@suse.com
- btrfs: Rename bin_search -> btrfs_bin_search (bsc#1168273).
- commit 89d461d
* Wed Apr  1 2020 wqu@suse.com
- btrfs: sink extent_write_full_page tree argument (bsc#1168273).
- commit 466a480
* Wed Apr  1 2020 wqu@suse.com
- btrfs: sink extent_write_locked_range tree parameter (bsc#1168273).
- commit 526374c
* Wed Apr  1 2020 wqu@suse.com
- btrfs: switch to on-stack csum buffer in csum_tree_block
  (bsc#1168273).
- commit e9b61c0
* Wed Apr  1 2020 wqu@suse.com
- btrfs: sink get_extent parameter to extent_readpages (bsc#1168273).
- commit 1fc0561
* Wed Apr  1 2020 wqu@suse.com
- btrfs: sink get_extent parameter to get_extent_skip_holes
  (bsc#1168273).
- commit d576494
* Wed Apr  1 2020 wqu@suse.com
- btrfs: sink get_extent parameter to extent_fiemap (bsc#1168273).
- commit 96e270a
* Wed Apr  1 2020 wqu@suse.com
- btrfs: drop get_extent from extent_page_data (bsc#1168273).
- commit 004ca21
* Wed Apr  1 2020 wqu@suse.com
- btrfs: sink get_extent parameter to  extent_write_full_page
  (bsc#1168273).
- commit b96c1e3
* Wed Apr  1 2020 wqu@suse.com
- btrfs: sink get_extent parameter to  extent_write_locked_range
  (bsc#1168273).
- commit 482246d
* Wed Apr  1 2020 wqu@suse.com
- btrfs: sink get_extent parameter to extent_writepages
  (bsc#1168273).
- commit 235e2f1
* Wed Apr  1 2020 wqu@suse.com
- btrfs: Remove redundant mirror_num arg (bsc#1168273).
- commit b00e570
* Wed Apr  1 2020 wqu@suse.com
- Btrfs: remove bio_flags which indicates a meta block of
  log-tree (bsc#1168273).
- commit 1bb4e34
* Wed Apr  1 2020 wqu@suse.com
- Btrfs: make plug in writing meta blocks really work (bsc#1168273).
- commit fc52d5f
* Wed Apr  1 2020 wqu@suse.com
- Btrfs: do not reset bio->bi_ops while writing bio (bsc#1168273).
- commit 9f8d987
* Tue Mar 31 2020 oneukum@suse.com
- xhci: Do not open code __print_symbolic() in xhci trace events
  (git-fixes).
- commit fbbe1da
* Tue Mar 31 2020 oneukum@suse.com
- blacklist.conf: requires an impossible kABI change
- commit e59ce83
* Tue Mar 31 2020 nborisov@suse.com
- btrfs: unexport the temporary exported functions (bsc#1165949).
- commit 8e97215
* Tue Mar 31 2020 nborisov@suse.com
- btrfs: migrate the block group cleanup code (bsc#1165949).
- Refresh
  patches.suse/0001-btrfs-qgroup-Always-free-PREALLOC-META-reserve-in-bt.patch.
- Refresh
  patches.suse/btrfs-dump_space_info-when-encountering-total_bytes_pinned-0-at-umount.patch.
- Refresh
  patches.suse/btrfs-use-spinlock-to-protect--caching_block_groups-list.patch.
- commit 41a92c7
* Tue Mar 31 2020 nborisov@suse.com
- btrfs: migrate the alloc_profile helpers (bsc#1165949).
- commit 73fb4c5
* Tue Mar 31 2020 nborisov@suse.com
- btrfs: migrate the chunk allocation code (bsc#1165949).
- commit e4a8248
* Tue Mar 31 2020 nborisov@suse.com
- btrfs: migrate the block group space accounting helpers (bsc#1165949).
- commit 1016f12
* Tue Mar 31 2020 nborisov@suse.com
- btrfs: export block group accounting helpers (bsc#1165949).
- commit 3cbff1e
* Tue Mar 31 2020 nborisov@suse.com
- btrfs: migrate the dirty bg writeout code (bsc#1165949).
- commit 712387e
* Tue Mar 31 2020 nborisov@suse.com
- btrfs: migrate inc/dec_block_group_ro code (bsc#1165949).
- Refresh
  patches.suse/0001-btrfs-qgroup-Always-free-PREALLOC-META-reserve-in-bt.patch.
- Refresh
  patches.suse/0001-btrfs-scrub-Require-mandatory-block-group-RO-for-dev.patch.
- Refresh
  patches.suse/Btrfs-fix-block-group-remaining-RO-forever-after-err.patch.
- commit e7a9c3c
* Tue Mar 31 2020 nborisov@suse.com
- btrfs: temporarily export btrfs_get_restripe_target (bsc#1165949).
- commit 9b19434
* Tue Mar 31 2020 bp@suse.de
- blacklist.conf: 3ff9c075cc76 x86/kprobes: Verify stack frame on kretprobe
- commit 59fc2d2
* Tue Mar 31 2020 nborisov@suse.com
- btrfs: cleanup root usage by btrfs_get_alloc_profile (bsc#1165949).
- Refresh
  patches.suse/0003-btrfs-rename-do_chunk_alloc-to-btrfs_chunk_alloc.patch.
- Refresh
  patches.suse/0005-btrfs-move-the-space_info-handling-code-to-space-info-c.patch.
- Refresh
  patches.suse/0006-btrfs-move-and-export-can_overcommit.patch.
- Refresh
  patches.suse/0007-btrfs-don-t-use-global-reserve-for-chunk-allocation.patch.
- Refresh
  patches.suse/0011-btrfs-move-reserve_metadata_bytes-and-supporting-code-to-space-info-c.patch.
- Refresh
  patches.suse/0014-btrfs-migrate-the-block-group-read-creation-code.patch.
- Refresh
  patches.suse/0022-btrfs-migrate-the-delalloc-space-stuff-to-it-s-own-home.patch.
- Refresh
  patches.suse/btrfs-remove-fs_info-from-do_chunk_alloc.patch.
- commit 95e125e
* Tue Mar 31 2020 bp@suse.de
- blacklist.conf: 870b4333a62e x86/ioremap: Fix CONFIG_EFI=n build
- commit 8a443e4
* Tue Mar 31 2020 bp@suse.de
- perf/amd/uncore: Replace manual sampling check with
  CAP_NO_INTERRUPT flag (bsc#1114279).
- commit fa5ccc5
* Tue Mar 31 2020 nborisov@suse.com
- btrfs: migrate the block group read/creation code (bsc#1165949).
- Refresh
  patches.suse/0001-btrfs-block-group-Fix-a-memory-leak-due-to-missing-b.patch.
- commit 33ab509
* Tue Mar 31 2020 jlee@suse.com
- efi: Fix a race and a buffer overflow while reading efivars
  via sysfs (bsc#1164893).
- commit 20809b1
* Tue Mar 31 2020 nborisov@suse.com
- btrfs: migrate the block group removal code (bsc#1165949).
- Refresh
  patches.suse/btrfs-use-spinlock-to-protect--caching_block_groups-list.patch.
- commit cec7e2c
* Tue Mar 31 2020 tiwai@suse.de
- media: ov6650: Fix stored crop rectangle not in sync with
  hardware (bsc#1051510).
- media: ov6650: Fix stored frame format not in sync with hardware
  (bsc#1051510).
- media: ov6650: Fix .get_fmt() V4L2_SUBDEV_FORMAT_TRY support
  (bsc#1051510).
- media: ov6650: Fix some format attributes not under control
  (bsc#1051510).
- dt-bindings: allow up to four clocks for orion-mdio
  (bsc#1051510).
- commit 4079c49
* Tue Mar 31 2020 tiwai@suse.de
- blacklist.conf: Remove the bogus entries that should be rather applied
- commit 8807818
* Tue Mar 31 2020 nborisov@suse.com
- btrfs: temporarily export inc_block_group_ro (bsc#1165949).
- commit af4d7e7
* Tue Mar 31 2020 nborisov@suse.com
- btrfs: migrate the block group caching code (bsc#1165949).
- Refresh
  patches.suse/btrfs-use-spinlock-to-protect--caching_block_groups-list.patch.
- commit ec3e320
* Tue Mar 31 2020 bp@suse.de
- x86/mce: Fix logic and comments around MSR_PPIN_CTL
  (bsc#1114279).
- commit d4018ba
* Mon Mar 30 2020 mkubecek@suse.cz
- Update
  patches.suse/can-gw-ensure-DLC-boundaries-after-CAN-frame-modific.patch
  references (add CVE-2019-3701 bsc#1120386).
- commit 6a69bad
* Mon Mar 30 2020 bp@suse.de
- x86/pkeys: Manually set X86_FEATURE_OSPKE to preserve existing
  changes (bsc#1114279).
- commit c8aca4a
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: make caching_thread use btrfs_find_next_key (bsc#1165949).
- commit e2704a0
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: temporarily export fragment_free_space (bsc#1165949).
- commit cd5d520
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: export the caching control helpers (bsc#1165949).
- Refresh
  patches.suse/btrfs-use-spinlock-to-protect--caching_block_groups-list.patch.
- commit 5ed2075
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: export the excluded extents helpers (bsc#1165949).
- commit 05bc267
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: export the block group caching helpers (bsc#1165949).
- Refresh
  patches.suse/btrfs-use-spinlock-to-protect--caching_block_groups-list.patch.
- commit bbc53fc
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: migrate nocow and reservation helpers (bsc#1165949).
- commit 72a3e9c
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: migrate the block group ref counting stuff (bsc#1165949).
- commit b259a3e
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: migrate the block group lookup code (bsc#1165949).
- commit e3dc79e
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: move basic block_group definitions to their own header (bsc#1165949).
- commit 5dcac22
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: move btrfs_add_free_space out of a header file (bsc#1165949).
- commit 19e3961
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: move the subvolume reservation stuff out of extent-tree.c (bsc#1165949).
- Refresh
  patches.suse/0001-btrfs-qgroup-Always-free-PREALLOC-META-reserve-in-bt.patch.
- commit f265018
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: migrate the delalloc space stuff to it's own home (bsc#1165949).
- Refresh
  patches.suse/0001-btrfs-qgroup-Always-free-PREALLOC-META-reserve-in-bt.patch.
- Refresh
  patches.suse/btrfs-fix-qgroup-double-free-after-failure-to-reserve-metadata-for-delalloc.patch.
- commit 460cb33
* Mon Mar 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/soc15: fix xclk for raven'
- commit 1b55e1e
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: migrate btrfs_trans_release_chunk_metadata (bsc#1165949).
- commit 89d4639
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: migrate the delayed refs rsv code (bsc#1165949).
- commit c7b9300
* Mon Mar 30 2020 oneukum@suse.com
- Input: add safety guards to input_set_keycode() (bsc#1168075).
- commit 2c0794c
* Mon Mar 30 2020 tzimmermann@suse.de
- drm/amd/amdgpu: Fix GPR read from debugfs (v2) (bsc#1113956)
- commit 44159bc
* Mon Mar 30 2020 tzimmermann@suse.de
- drm/lease: fix WARNING in idr_destroy (bsc#1113956)
- commit 52d68ac
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: migrate the global_block_rsv helpers to block-rsv.c (bsc#1165949).
- commit 0824f94
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: migrate the block-rsv code to block-rsv.c (bsc#1165949).
- commit 37c00b9
* Mon Mar 30 2020 jslaby@suse.cz
- net_sched: keep alloc_hash updated after hash allocation
  (git-fixes).
- commit a89d7b2
* Mon Mar 30 2020 dwagner@suse.de
- scsi: lpfc: Remove prototype FIPS/DSS options from SLI-3
  (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Make debugfs ktime stats generic for NVME and SCSI
  (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix erroneous cpu limit of 128 on I/O statistics
  (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix crash in target side cable pulls hitting
  WAIT_FOR_UNREG (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix update of wq consumer index in
  lpfc_sli4_wq_release (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix crash after handling a pci error (bsc#1164777
  bsc#1164780 bsc#1165211).
- commit 8b188a6
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: stop using block_rsv_release_bytes everywhere (bsc#1165949).
- commit 1d1ba9c
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: cleanup the target logic in __btrfs_block_rsv_release (bsc#1165949).
- commit 0654300
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: export __btrfs_block_rsv_release (bsc#1165949).
- commit 4b60c87
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: export btrfs_block_rsv_add_bytes (bsc#1165949).
- commit 631640b
* Mon Mar 30 2020 dwagner@suse.de
- scsi: lpfc: Update lpfc version to 12.8.0.0 (bsc#1164777
  bsc#1164780 bsc#1165211).
- commit 0d0b6b1
* Mon Mar 30 2020 jlee@suse.com
- efi: Export Runtime Configuration Interface table to sysfs
  (jsc#ECO-366, bsc#1168367).
- Update config files.
- Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
- commit 9dc4f26
* Mon Mar 30 2020 dwagner@suse.de
- scsi: lpfc: Fix scsi host template for SLI3 vports (bsc#1164777
  bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix lpfc overwrite of sg_cnt field in
  nvmefc_tgt_fcp_req (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix lockdep error - register non-static key
  (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix kasan slab-out-of-bounds error in
  lpfc_unreg_login (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: fix spelling mistake "Notication" -> "Notification"
  (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: add RDF registration and Link Integrity FPIN logging
  (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: fc: Update Descriptor definition and add RDF and Link
  Integrity FPINs (bsc#1164777 bsc#1164780 bsc#1165211).
  Update scsi-fc-kABI-fixes-for-new-ELS_FPIN-definition.patch:
  Add ELS_RDF definitions to GENKSYMS section.
- scsi: lpfc: Copyright updates for 12.6.0.4 patches (bsc#1164777
  bsc#1164780 bsc#1165211).
- scsi: lpfc: Update lpfc version to 12.6.0.4 (bsc#1164777
  bsc#1164780 bsc#1165211).
- scsi: lpfc: Clean up hba max_lun_queue_depth checks (bsc#1164777
  bsc#1164780 bsc#1165211).
- scsi: lpfc: Remove handler for obsolete ELS - Read Port Status
  (RPS) (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix coverity errors in fmdi attribute handling
  (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix compiler warning on frame size (bsc#1164777
  bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix release of hwq to clear the eq relationship
  (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix registration of ELS type support in fdmi
  (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix broken Credit Recovery after driver load
  (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix lpfc_io_buf resource leak in
  lpfc_get_scsi_buf_s4 error path (bsc#1164777 bsc#1164780
  bsc#1165211).
- scsi: lpfc: Fix RQ buffer leakage when no IOCBs available
  (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Make lpfc_defer_acc_rsp static (bsc#1164777
  bsc#1164780 bsc#1165211).
- scsi: lpfc: Update lpfc version to 12.6.0.3 (bsc#1164777
  bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix improper flag check for IO type (bsc#1164777
  bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix MDS Latency Diagnostics Err-drop rates
  (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix unmap of dpp bars affecting next driver load
  (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix disablement of FC-AL on lpe35000 models
  (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix ras_log via debugfs (bsc#1164777 bsc#1164780
  bsc#1165211).
- scsi: lpfc: Fix Fabric hostname registration if system hostname
  changes (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix missing check for CSF in Write Object Mbox Rsp
  (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix: Rework setting of fdmi symbolic node name
  registration (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix incomplete NVME discovery when target
  (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: fix spelling mistakes of asynchronous (bsc#1164777
  bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix memory leak on lpfc_bsg_write_ebuf_set func
  (bsc#1164777 bsc#1164780 bsc#1165211).
- scsi: lpfc: Fix driver nvme rescan logging (bsc#1164777
  bsc#1164780 bsc#1165211).
- lpfc: add support for translating an RSCN rcv into a discovery
  rescan (bsc#1164777 bsc#1164780 bsc#1165211).
- lpfc: add support to generate RSCN events for nport (bsc#1164777
  bsc#1164780 bsc#1165211).
- commit a16e2b6
* Mon Mar 30 2020 nborisov@suse.com
- btrfs: move btrfs_block_rsv definitions into it's own header (bsc#1165949).
- commit 5bd3575
* Mon Mar 30 2020 ptesarik@suse.cz
- blacklist.conf: clean up duplicate entries.
- commit 9be13d6
* Mon Mar 30 2020 jlee@suse.com
- efi: x86: move efi_is_table_address() into arch/x86 (jsc#ECO-366, bsc#1168367).
- commit 360e0d5
* Sat Mar 28 2020 bp@suse.de
- vhost: Check docket sk_family instead of call getname
  (bsc#1167629 CVE-2020-10942).
- commit fc746cc
* Fri Mar 27 2020 msuchanek@suse.de
- powerpc/64s: Fix section mismatch warnings from boot code
  (bsc#1148868).
- commit fdb7d99
* Fri Mar 27 2020 msuchanek@suse.de
- powerpc/64: mark start_here_multiplatform as __ref
  (bsc#1148868).
- commit 7b2f2cc
* Fri Mar 27 2020 msuchanek@suse.de
- powerpc/mm: Fix section mismatch warning in
  stop_machine_change_mapping() (bsc#1148868).
- Refresh patches.suse/powerpc-64s-radix-Fix-memory-hotplug-section-page-ta.patch.
- commit 5882741
* Fri Mar 27 2020 jbohac@suse.cz
- net: ena: Add PCI shutdown handler to allow safe kexec
  (bsc#1167421, bsc#1167423).
- commit 69f0570
* Fri Mar 27 2020 tiwai@suse.de
- iio: imu: adis: check ret val for non-zero vs less-than-zero
  (bsc#1051510).
- iio: imu: adis16480: check ret val for non-zero vs
  less-than-zero (bsc#1051510).
- iio: imu: adis16400: check ret val for non-zero vs
  less-than-zero (bsc#1051510).
- iio: gyro: adis16136: check ret val for non-zero vs
  less-than-zero (bsc#1051510).
- commit 5f686e1
* Fri Mar 27 2020 tiwai@suse.de
- Input: avoid BIT() macro usage in the serio.h UAPI header
  (bsc#1051510).
- Input: raydium_i2c_ts - fix error codes in
  raydium_i2c_boot_trigger() (bsc#1051510).
- commit 44b088c
* Fri Mar 27 2020 neilb@suse.de
- NFS: send state management on a single connection (bsc#1167005).
- commit ddf1ef1
* Thu Mar 26 2020 nborisov@suse.com
- Btrfs: fix qgroup double free after failure to reserve metadata for  delalloc (bsc#1165949).
- commit 145464a
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: Remove redundant argument of flush_space (bsc#1165949).
- Refresh
  patches.suse/0007-btrfs-add-new-flushing-states-for-the-delayed-refs-rsv.patch.
- Refresh
  patches.suse/0010-btrfs-be-more-explicit-about-allowed-flush-states.patch.
- Refresh
  patches.suse/0011-btrfs-move-reserve_metadata_bytes-and-supporting-code-to-space-info-c.patch.
- Refresh
  patches.suse/btrfs-change-how-we-decide-to-commit-transactions-du.patch.
- commit d377ab5
* Thu Mar 26 2020 oneukum@suse.com
- blacklist.conf: for obscure x86 platform we do not compile
- commit 4a137d4
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: unexport can_overcommit (bsc#1165949).
- commit 453c963
* Thu Mar 26 2020 oneukum@suse.com
- blacklist.conf: unused driver for obscure hardware
- commit 99b846d
* Thu Mar 26 2020 oneukum@suse.com
- blacklist.conf: unused driver for obscure hardware
- commit 9f5b5a5
* Thu Mar 26 2020 oneukum@suse.com
- blacklist.conf: unused driver for obscure hardware
- commit 8bd856f
* Thu Mar 26 2020 oneukum@suse.com
- blacklist.conf: unused driver for obscure hardware
- commit 5aada86
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: move reserve_metadata_bytes and supporting code to space-info.c (bsc#1165949).
- commit cb504df
* Thu Mar 26 2020 oneukum@suse.com
- blacklist.conf: unused driver
- commit 5a59d9f
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: move dump_space_info to space-info.c (bsc#1165949).
- Refresh
  patches.suse/btrfs-dump_space_info-when-encountering-total_bytes_pinned-0-at-umount.patch.
- commit b46868d
* Thu Mar 26 2020 msuchanek@suse.de
- Refresh patches.suse/powerpc-pseries-Fix-of_read_drc_info_cell-to-point-a.patch
- commit 1c9b38a
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: Add enospc_debug printing in metadata_reserve_bytes (bsc#1165949).
- Refresh
  patches.suse/0009-btrfs-export-block_rsv_use_bytes.patch.
- commit 2c56779
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: Output ENOSPC debug info in inc_block_group_ro (bsc#1165949).
- commit c3d0129
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: export block_rsv_use_bytes (bsc#1165949).
- commit 8c36bda
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: move btrfs_space_info_add_*_bytes to space-info.c (bsc#1165949).
- commit 39b8333
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: move the space info update macro to space-info.h (bsc#1165949).
- commit ff04106
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: extent-tree: Add trace events for space info numbers update (bsc#1165949).
- Refresh
  patches.suse/0006-btrfs-move-and-export-can_overcommit.patch.
- commit 10772ab
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: extent-tree: Detect bytes_pinned underflow earlier (bsc#1165949).
- commit 3f2ae89
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: extent-tree: Add lockdep assert when updating space info (bsc#1165949).
- commit 5273f40
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: move and export can_overcommit (bsc#1165949).
- commit f1bf9c0
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: move the space_info handling code to space-info.c (bsc#1165949).
- commit a6a9542
* Thu Mar 26 2020 jack@suse.cz
- ext4: Check for non-zero journal inum in ext4_calculate_overhead
  (bsc#1167288).
- commit 1fca0ff
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: refactor block group replication factor calculation to a helper (bsc#1165949).
- Refresh
  patches.suse/0005-btrfs-introduce-delayed_refs_rsv.patch.
- Refresh
  patches.suse/0019-btrfs-Introduce-mount-time-chunk-dev-extent-mapping-.patch.
- commit 2c35c91
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: move btrfs_raid_group values to btrfs_raid_attr table (bsc#1165949).
- commit 039a6d1
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: drop unused space_info parameter from create_space_info (bsc#1165949).
- commit 9cd1976
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: export space_info_add_*_bytes (bsc#1165949).
- commit f03d80f
* Thu Mar 26 2020 dwagner@suse.de
- nvme-multipath: fix possible I/O hang when paths are updated
  (bsc#1158983).
- Refresh nvme-register-ns_id-attributes-as-default-sysfs-grou.patch.
- commit 23b7bc0
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: rename do_chunk_alloc to btrfs_chunk_alloc (bsc#1165949).
- commit 95619d4
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: Remove fs_info from do_chunk_alloc (bsc#1165949).
- Refresh
  patches.suse/0007-btrfs-don-t-use-global-reserve-for-chunk-allocation.patch.
- commit ba7dcfa
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: move space_info to space-info.h (bsc#1165949).
- commit e0a7d0e
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: run delayed iput at unlink time (bsc#1165949).
- commit 5fa5f6a
* Thu Mar 26 2020 nborisov@suse.com
- btrfs: Remove btrfs_inode::delayed_iput_count (bsc#1165949).
- Refresh
  patches.suse/0001-Btrfs-fix-fsync-of-files-with-multiple-hard-links-in.patch.
- Refresh
  patches.suse/0004-btrfs-replace-cleaner_delayed_iput_mutex-with-a-waitqueue.patch.
- Refresh
  patches.suse/0016-btrfs-wakeup-cleaner-thread-when-adding-delayed-iput.patch.
- Refresh
  patches.suse/btrfs-improve-performance-on-fsync-of-files-with-mul.patch.
- commit fae373d
* Wed Mar 25 2020 vbabka@suse.cz
- blacklist.conf: add two git-fixes for SLUB that we don't need
- commit 171b963
* Wed Mar 25 2020 oneukum@suse.com
- rtlwifi: rtl8192de: Fix missing callback that tests for hw
  release of buffer (git-fixes).
- commit 037a487
* Wed Mar 25 2020 nborisov@suse.com
- btrfs: reserve delalloc metadata differently (bsc#1165949).
- commit 9dec0b3
* Wed Mar 25 2020 nborisov@suse.com
- btrfs: track DIO bytes in flight (bsc#1165949).
- commit b7bbd3f
* Wed Mar 25 2020 nborisov@suse.com
- btrfs: reserve extra space during evict (bsc#1165949).
- commit 309195a
* Wed Mar 25 2020 oneukum@suse.com
- blacklist.conf: just added documentation
- commit e6f7b0d
* Wed Mar 25 2020 nborisov@suse.com
- btrfs: be more explicit about allowed flush states (bsc#1165949).
- commit a4632da
* Wed Mar 25 2020 oneukum@suse.com
- blacklist.conf: documentation for something we do not build
- commit 2a5b1e9
* Wed Mar 25 2020 nborisov@suse.com
- btrfs: loop in inode_rsv_refill (bsc#1165949).
- commit a78528c
* Wed Mar 25 2020 nborisov@suse.com
- btrfs: don't enospc all tickets on flush failure (bsc#1165949).
- commit 421827c
* Wed Mar 25 2020 nborisov@suse.com
- btrfs: extent-tree: Detect bytes_may_use underflow earlier (bsc#1165949).
- commit ae1847e
* Wed Mar 25 2020 nborisov@suse.com
- btrfs: don't use global reserve for chunk allocation (bsc#1165949).
- commit 60a5d17
* Wed Mar 25 2020 nborisov@suse.com
- btrfs: dump block_rsv details when dumping space info   (bsc#1165949).
- Refresh
  patches.suse/btrfs-dump_space_info-when-encountering-total_bytes_pinned-0-at-umount.patch.
- commit 43b1f77
* Wed Mar 25 2020 nborisov@suse.com
- btrfs: check if there are free block groups for commit (bsc#1165949).
- commit 2481e84
* Wed Mar 25 2020 tiwai@suse.de
- virtio-blk: improve virtqueue error to BLK_STS (bsc#1167627).
- commit 32e08a7
* Wed Mar 25 2020 nborisov@suse.com
- btrfs: replace cleaner_delayed_iput_mutex with a waitqueue (bsc#1165949).
- Refresh
  patches.suse/Btrfs-fix-race-between-adding-and-putting-tree-mod-s.patch.
- commit 9b4c8a8
* Wed Mar 25 2020 nborisov@suse.com
- btrfs: call btrfs_create_pending_block_groups unconditionally (bsc#1165949).
- commit 1cab336
* Wed Mar 25 2020 nborisov@suse.com
- btrfs: make btrfs_destroy_delayed_refs use btrfs_delete_ref_head (bsc#1165949).
- commit 0d084d7
* Wed Mar 25 2020 nborisov@suse.com
- btrfs: make btrfs_destroy_delayed_refs use btrfs_delayed_ref_lock (bsc#1165949).
- commit 17df6e3
* Wed Mar 25 2020 nborisov@suse.com
- btrfs: delayed-ref: pass delayed_refs directly to btrfs_delayed_ref_lock (bsc#1165949).
- commit e3dc64e
* Tue Mar 24 2020 tiwai@suse.de
- Revert "Update "drm/i915: Wean off drm_pci_alloc/drm_pci_free" (bsc#1114279)"
  This reverts commit 9d14ae1eb30420c73646e2759a645de58914cf10.
  The fix is needed only for fixes/linux-4.12 and SLE12-SP4 branches, not
  for SLE15-SP1 and SLE12-SP5 that have the updated code path.
- commit 50c651d
* Tue Mar 24 2020 tiwai@suse.de
- blacklist.conf: Add the i915 patch that is known to be bad (bsc#1145051)
- commit 91d30e9
* Tue Mar 24 2020 ptesarik@suse.cz
- blacklist.conf: clean up duplicate entries.
- commit e68d02f
* Tue Mar 24 2020 tiwai@suse.de
- Remove again the bad i915 patch slipped in
  Delete patches.suse/0001-drm-i915-userptr-Try-to-acquire-the-page-lock-around.patch
  The i915 patch that was taken via git-fixes is known to be harmful, hence
  it's been reverted on SLE15-SP1 and later (bsc#1145051).
- commit 2a1fb0b
* Mon Mar 23 2020 oneukum@suse.com
- USB: cdc-acm: fix rounding error in TIOCSSERIAL (git-fixes).
- commit 2c91d75
* Mon Mar 23 2020 tiwai@suse.de
- intel_th: Fix user-visible error codes (bsc#1051510).
- iio: magnetometer: ak8974: Fix negative raw values in sysfs
  (bsc#1051510).
- drm/bridge: dw-hdmi: fix AVI frame colorimetry (bsc#1051510).
- mmc: sdhci-of-at91: fix cd-gpios for SAMA5D2 (bsc#1051510).
- net: nfc: fix bounds checking bugs on "pipe" (bsc#1051510).
- macsec: add missing attribute validation for port (bsc#1051510).
- ACPI: watchdog: Fix gas->access_width usage (bsc#1051510).
- ACPICA: Introduce ACPI_ACCESS_BYTE_WIDTH() macro (bsc#1051510).
- mac80211: rx: avoid RCU list traversal under mutex
  (bsc#1051510).
- cfg80211: check reg_rule for NULL in handle_channel_custom()
  (bsc#1051510).
- HID: apple: Add support for recent firmware on Magic Keyboards
  (bsc#1051510).
- ipmi:ssif: Handle a possible NULL pointer reference
  (bsc#1051510).
- cfg80211: check wiphy driver existence for drvinfo report
  (bsc#1051510).
- mac80211: consider more elements in parsing CRC (bsc#1051510).
- drm/msm: Set dma maximum segment size for mdss (bsc#1051510).
- drm/amd/display: remove duplicated assignment to grph_obj_type
  (bsc#1051510).
- macsec: fix refcnt leak in module exit routine (bsc#1051510).
- mac80211: only warn once on chanctx_conf being NULL
  (bsc#1051510).
- mac80211: free peer keys before vif down in mesh (bsc#1051510).
- mac80211: mesh: fix RCU warning (bsc#1051510).
- net/nfc: Avoid stalls when nfc_alloc_send_skb() returned NULL
  (bsc#1051510).
- commit 1f6eda9
* Mon Mar 23 2020 jeyu@suse.de
- blacklist.conf: 708e0ada1916 ("module: avoid setting info->name early in
  case we can fall back to info->mod->name")
- commit f9f3a97
* Mon Mar 23 2020 ykaukab@suse.de
- apei/ghes: Do not delay GHES polling (bsc#1166982).
- commit ca6ca34
* Mon Mar 23 2020 jslaby@suse.cz
- net: dsa: tag_qca: Make sure there is headroom for tag
  (networking-stable-20_02_19).
- net/sched: flower: add missing validation of TCA_FLOWER_FLAGS
  (networking-stable-20_02_19).
- net/sched: matchall: add missing validation of
  TCA_MATCHALL_FLAGS (networking-stable-20_02_19).
- net/smc: fix leak of kernel memory to user space
  (networking-stable-20_02_19).
- commit 1c1654f
* Mon Mar 23 2020 oneukum@suse.com
- usb: storage: Add quirk for Samsung Fit flash (git-fixes).
- commit 9984cbf
* Mon Mar 23 2020 oneukum@suse.com
- usb: quirks: add NO_LPM quirk for Logitech Screen Share
  (git-fixes).
- commit 1976ea9
* Mon Mar 23 2020 oneukum@suse.com
- USB: misc: iowarrior: add support for the 100 device
  (git-fixes).
- commit 2c8babd
* Mon Mar 23 2020 oneukum@suse.com
- USB: misc: iowarrior: add support for the 28 and 28L devices
  (git-fixes).
- commit d1114f1
* Mon Mar 23 2020 oneukum@suse.com
- USB: misc: iowarrior: add support for 2 OEMed devices
  (git-fixes).
- commit 969d5d5
* Mon Mar 23 2020 oneukum@suse.com
- USB: Fix novation SourceControl XL after suspend (git-fixes).
- commit ad87f08
* Mon Mar 23 2020 oneukum@suse.com
- usb: uas: fix a plug & unplug racing (git-fixes).
- commit 2d0547d
* Mon Mar 23 2020 nborisov@suse.com
- Btrfs: clean up error handling in btrfs_truncate() (bsc#1165949).
- commit 7d0a924
* Mon Mar 23 2020 nborisov@suse.com
- btrfs: don't end the transaction for delayed refs in throttle (bsc#1165949).
- commit 3a5f02e
* Mon Mar 23 2020 oneukum@suse.com
- xhci: apply XHCI_PME_STUCK_QUIRK to Intel Comet Lake platforms
  (git-fixes).
- commit a4824a4
* Mon Mar 23 2020 nborisov@suse.com
- btrfs: wakeup cleaner thread when adding delayed iput (bsc#1165949).
- commit 3ee6e11
* Mon Mar 23 2020 nborisov@suse.com
- btrfs: run delayed iputs before committing (bsc#1165949).
- commit 618d429
* Mon Mar 23 2020 nborisov@suse.com
- btrfs: wait on ordered extents on abort cleanup (bsc#1165949).
- commit fd06831
* Mon Mar 23 2020 nborisov@suse.com
- btrfs: catch cow on deleting snapshots (bsc#1165949).
- Refresh
  patches.suse/0001-btrfs-check-for-refs-on-snapshot-delete-resume.patch.
- Refresh
  patches.suse/0001-btrfs-relocation-Delay-reloc-tree-deletion-after-mer.patch.
- commit dfe9095
* Mon Mar 23 2020 nborisov@suse.com
- btrfs: fix truncate throttling (bsc#1165949).
- commit d52db24
* Mon Mar 23 2020 nborisov@suse.com
- btrfs: don't run delayed refs in the end transaction logic (bsc#1165949).
- commit 3b2a8a6
* Mon Mar 23 2020 jroedel@suse.de
- Refresh patches.suse/x86-mm-split-vmalloc_sync_all.patch.
- commit b99530b
* Mon Mar 23 2020 jack@suse.cz
- blk-mq: Allow blocking queue tag iter callbacks (bsc#1167316).
- commit 269bf1a
* Mon Mar 23 2020 oneukum@suse.com
- usb: musb: Disable pullup at init (git-fixes).
- commit ba0016b
* Mon Mar 23 2020 nborisov@suse.com
- Btrfs: fix missing delayed iputs on unmount (bsc#1165949).
- commit f3ceed8
* Sat Mar 21 2020 oneukum@suse.com
- perf: qcom_l2: fix column exclusion check (git-fixes).
- commit 3ca417c
* Sat Mar 21 2020 oneukum@suse.com
- staging: ccree: use signal safe completion wait (git-fixes).
- commit 7435d6f
* Sat Mar 21 2020 tiwai@suse.de
- ALSA: hda/realtek - Enable the headset of Acer N50-600 with
  ALC662 (git-fixes).
- ALSA: hda/realtek - Enable headset mic of Acer X2660G with
  ALC662 (git-fixes).
- commit 38e42d5
* Sat Mar 21 2020 tiwai@suse.de
- ALSA: seq: oss: Fix running status after receiving sysex
  (git-fixes).
- ALSA: seq: virmidi: Fix running status after receiving sysex
  (git-fixes).
- ALSA: pcm: oss: Remove WARNING from snd_pcm_plug_alloc() checks
  (git-fixes).
- ALSA: hda/realtek: Fix pop noise on ALC225 (git-fixes).
- ALSA: line6: Fix endless MIDI read loop (git-fixes).
- ALSA: pcm: oss: Avoid plugin buffer overflow (git-fixes).
- commit 20bd266
* Fri Mar 20 2020 tiwai@suse.de
- kABI workaround for pcie_port_bus_type change (bsc#1161561).
- commit 8d36d78
* Fri Mar 20 2020 tiwai@suse.de
- PCI/portdrv: Remove pcie_port_bus_type link order dependency
  (bsc#1161561).
- Refresh
  patches.suse/0001-PCI-pciehp-Make-pciehp_is_native-stricter.patch.
- Refresh
  patches.suse/0001-PCI-portdrv-Simplify-PCIe-feature-permission-checkin.patch.
- Refresh
  patches.suse/0002-dma-mapping-move-dma-configuration-to-bus-infrastruc.patch.
- Refresh
  patches.suse/PCI-AER-Factor-out-error-reporting-to-drivers-pci-pc.patch.
- Refresh
  patches.suse/PCI-portdrv-Initialize-service-drivers-directly.patch.
- commit 67e8617
* Fri Mar 20 2020 mkoutny@suse.com
- cgroup: memcg: net: do not associate sock with unrelated cgroup
  (bsc#1167290).
- commit 1036c8c
* Fri Mar 20 2020 msuchanek@suse.de
- Update config files.
  CONFIG_IPX was set on ARM. Disable as on other archs.
- commit dbf1aea
* Fri Mar 20 2020 nborisov@suse.com
- btrfs: rework btrfs_check_space_for_delayed_refs (bsc#1165949).
- commit 0aa0e8f
* Fri Mar 20 2020 nborisov@suse.com
- btrfs: add new flushing states for the delayed refs rsv (bsc#1165949).
- commit 83ee3f0
* Fri Mar 20 2020 nborisov@suse.com
- btrfs: update may_commit_transaction to use the delayed refs rsv (bsc#1165949).
- commit bcc9c8d
* Fri Mar 20 2020 ptesarik@suse.cz
- Update config files.
- commit e6864d9
* Fri Mar 20 2020 nborisov@suse.com
- btrfs: introduce delayed_refs_rsv (bsc#1165949).
- Refresh
  patches.suse/0001-btrfs-qgroup-Move-reserved-data-accounting-from-btrf.patch.
- Refresh
  patches.suse/0004-btrfs-handle-delayed-ref-head-accounting-cleanup-in-.patch.
- Refresh
  patches.suse/btrfs-fix-race-between-block-group-removal-and-block.patch.
- Refresh
  patches.suse/revert-btrfs-qgroup-move-half-of-the-qgroup-accounting-time-out-of-commit-trans.patch.
- commit 7afdde4
* Fri Mar 20 2020 oneukum@suse.com
- PM: core: Fix handling of devices deleted during system-wide
  resume (git-fixes).
- commit 8f1b2b6
* Fri Mar 20 2020 tiwai@suse.de
- PCI/AER: Factor message prefixes with dev_fmt() (bsc#1161561).
- commit 5a93255
* Fri Mar 20 2020 tiwai@suse.de
- PCI/AER: Log which device prevents error recovery (bsc#1161561).
- PCI/ERR: Remove duplicated include from err.c (bsc#1161561).
- commit 7d5951a
* Fri Mar 20 2020 tiwai@suse.de
- PCI: Unify device inaccessible (bsc#1161561).
- commit b8d870d
* Fri Mar 20 2020 tiwai@suse.de
- PCI/ERR: Always report current recovery status for udev
  (bsc#1161561).
- commit 084e504
* Fri Mar 20 2020 tiwai@suse.de
- PCI/ERR: Simplify broadcast callouts (bsc#1161561).
- commit 0060f7d
* Fri Mar 20 2020 tiwai@suse.de
- PCI/ERR: Handle fatal error recovery (bsc#1161561).
- Refresh
  patches.suse/PCI-ERR-Run-error-recovery-callbacks-for-all-affecte.patch.
- commit 7e857a3
* Fri Mar 20 2020 tiwai@suse.de
- PCI/AER: Remove ERR_FATAL code from ERR_NONFATAL path
  (bsc#1161561).
- Refresh
  patches.suse/PCI-ERR-Run-error-recovery-callbacks-for-all-affecte.patch.
- commit ab2e851
* Fri Mar 20 2020 tiwai@suse.de
- PCI: Simplify disconnected marking (bsc#1161561).
- Refresh
  patches.suse/0001-PCI-pciehp-Differentiate-between-surprise-and-safe-r.patch.
- commit b6eb2eb
* Fri Mar 20 2020 tiwai@suse.de
- PCI: portdrv: Initialize service drivers directly (bsc#1161561).
- commit 0303143
* Fri Mar 20 2020 ptesarik@suse.cz
- drm/i915/gvt: Fix unnecessary schedule timer when no vGPU exits
  (git-fixes).
- drm/i915: Program MBUS with rmw during initialization
  (git-fixes).
- drm/sun4i: Fix DE2 VI layer format support (git-fixes).
- drm/sun4i: de2/de3: Remove unsupported VI layer formats
  (git-fixes).
- drm/i915/gvt: Fix orphan vgpu dmabuf_objs' lifetime (git-fixes).
- drm/nouveau/kms/gv100-: Re-set LUT after clearing for modesets
  (git-fixes).
- commit 19b0539
* Fri Mar 20 2020 ptesarik@suse.cz
- blacklist.conf: Irrelevant DRM fixes with wrong Fixes: tags.
- commit ce56c87
* Fri Mar 20 2020 nborisov@suse.com
- btrfs: only track ref_heads in delayed_ref_updates (bsc#1165949).
- commit 0300b43
* Fri Mar 20 2020 nborisov@suse.com
- btrfs: cleanup extent_op handling (bsc#1165949).
- Refresh
  patches.suse/0003-btrfs-add-cleanup_ref_head_accounting-helper.patch.
- commit 8509fef
* Fri Mar 20 2020 nborisov@suse.com
- btrfs: add btrfs_delete_ref_head helper (bsc#1165949).
- commit f4151c1
* Fri Mar 20 2020 nborisov@suse.com
- btrfs: don't run delayed_iputs in commit (bsc##1165949).
- commit 9c6495d
* Fri Mar 20 2020 nborisov@suse.com
- btrfs: fix insert_reserved error handling (bsc##1165949).
- commit bdb804d
* Fri Mar 20 2020 nborisov@suse.com
- btrfs: only free reserved extent if we didn't insert it (bsc##1165949).
- commit 9b5f738
* Fri Mar 20 2020 nborisov@suse.com
- btrfs: don't use ctl->free_space for max_extent_size (bsc##1165949).
- commit c4101b7
* Fri Mar 20 2020 nborisov@suse.com
- btrfs: set max_extent_size properly (bsc##1165949).
- commit ee2b1ce
* Fri Mar 20 2020 nborisov@suse.com
- btrfs: reset max_extent_size properly (bsc##1165949).
- commit ca9efa1
* Fri Mar 20 2020 ptesarik@suse.cz
- net/smc: fix cleanup for linkgroup setup failures (git-fixes).
- commit 3ced097
* Fri Mar 20 2020 ptesarik@suse.cz
- s390/uv: Fix handling of length extensions (git-fixes).
- commit 7082224
* Fri Mar 20 2020 nborisov@suse.com
- btrfs: drop min_size from evict_refill_and_join (bsc##1165949).
- commit 34d22ac
* Fri Mar 20 2020 nborisov@suse.com
- btrfs: assert on non-empty delayed iputs (bsc##1165949).
- commit 7edbc79
* Fri Mar 20 2020 nborisov@suse.com
- btrfs: reset max_extent_size on clear in a bitmap
  (bsc##1165949).
- Refresh
  patches.suse/0002-btrfs-release-metadata-before-running-delayed-refs.patch.
- commit 539713d
* Fri Mar 20 2020 ptesarik@suse.cz
- s390/pci: Fix unexpected write combine on resource (git-fixes).
- net/smc: no peer ID in CLC decline for SMCD (git-fixes).
- net/smc: transfer fasync_list in case of fallback (git-fixes).
- net/smc: add fallback check to connect() (git-fixes).
- commit 6f9f229
* Fri Mar 20 2020 nborisov@suse.com
- btrfs: release metadata before running delayed refs (bsc##1165949).
- commit 4c58711
* Fri Mar 20 2020 nborisov@suse.com
- btrfs: wait on caching when putting the bg cache (bsc#1165949).
- commit cb60ef7
* Fri Mar 20 2020 colyli@suse.de
- drivers/md/raid5.c: use the new spelling of
  RWH_WRITE_LIFE_NOT_SET (bsc#1166003).
- commit aea9582
* Fri Mar 20 2020 colyli@suse.de
- md/raid10: prevent access of uninitialized resync_pages offset
  (bsc#1166003).
- commit 7366fcd
* Fri Mar 20 2020 colyli@suse.de
- md: avoid invalid memory access for array sb->dev_roles
  (bsc#1166003).
- commit 1db1a75
* Fri Mar 20 2020 colyli@suse.de
- md/raid1: avoid soft lockup under high load (bsc#1166003).
- commit 79081b4
* Fri Mar 20 2020 colyli@suse.de
- md: no longer compare spare disk superblock events in super_load
  (bsc#1166003).
- commit dbe9ef1
* Fri Mar 20 2020 colyli@suse.de
- md/bitmap: avoid race window between md_bitmap_resize and
  bitmap_file_clear_bit (bsc#1166003).
- commit 26a915f
* Fri Mar 20 2020 colyli@suse.de
- md/raid0: Fix an error message in raid0_make_request()
  (bsc#1166003).
- commit 8328aad
* Thu Mar 19 2020 nborisov@suse.com
- btrfs: clear space cache inode generation always (bsc#1165949).
- btrfs: don't call btrfs_start_delalloc_roots in flushoncommit
  (bsc#1165949).
- btrfs: add assertions for releasing trans handle reservations
  (bsc#1165949).
- Btrfs: only check delayed ref usage in should_end_transaction
  (bsc#1165949).
- btrfs: pass root to various extent ref mod functions
  (bsc#1165949).
- commit ef18fe2
* Thu Mar 19 2020 oneukum@suse.com
- padata: always acquire cpu_hotplug_lock before pinst->lock
  (git-fixes).
- commit 34168d1
* Thu Mar 19 2020 oneukum@suse.com
- blacklist.conf: this patch removes an unused symbol.
- commit 68e7afc
* Thu Mar 19 2020 msuchanek@suse.de
- cpufreq: powernv: Fix unsafe notifiers (bsc#1065729).
- cpufreq: powernv: Fix use-after-free (bsc#1065729).
- powerpc: fix hardware PMU exception bug on PowerVM compatibility
  mode systems (bsc#1056686).
- commit 793983a
* Wed Mar 18 2020 hare@suse.de
- nvme: Fix parsing of ANA log page (bsc#1166658).
- commit 5756ae1
* Wed Mar 18 2020 jack@suse.cz
- ext4: potential crash on allocation error in
  ext4_alloc_flex_bg_array() (bsc#1166940).
- commit 78c52b6
* Tue Mar 17 2020 jack@suse.cz
- blktrace: fix trace mutex deadlock (bsc#1159285).
- commit c1bc936
* Tue Mar 17 2020 jack@suse.cz
- blk: Fix kabi due to blk_trace_mutex addition (bsc#1159285).
- commit e485832
* Tue Mar 17 2020 jack@suse.cz
- blktrace: fix dereference after null check (bsc#1159285).
- commit f2b8d1d
* Tue Mar 17 2020 jack@suse.cz
- ext4: fix race between writepages and enabling EXT4_EXTENTS_FL
  (bsc#1166870).
- commit 200b52a
* Tue Mar 17 2020 jack@suse.cz
- ext4: rename s_journal_flag_rwsem to s_writepages_rwsem
  (bsc#1166868).
- commit 846b50d
* Tue Mar 17 2020 jack@suse.cz
- ext4: fix potential race between s_flex_groups online resizing
  and access (bsc#1166867).
- commit 8a46313
* Tue Mar 17 2020 jack@suse.cz
- ext4: fix potential race between s_group_info online resizing
  and access (bsc#1166866).
- commit 03117e3
* Tue Mar 17 2020 oneukum@suse.com
- crypto: pcrypt - Fix user-after-free on module unload
  (git-fixes).
- commit 5e46fb3
* Tue Mar 17 2020 oneukum@suse.com
- blacklist.conf: breaks kABI
- commit b2b022e
* Tue Mar 17 2020 colyli@suse.de
- md: fix a typo s/creat/create (bsc#1166003).
- commit f8de910
* Tue Mar 17 2020 colyli@suse.de
- md: rename wb stuffs (bsc#1166003). - Refresh with more kabi fix for the above change, patches.kabi/md-backport-kabi.patch. - Refresh for the above change, patches.suse/md-display-timeout-error.patch.
- commit 1fa56cd
* Tue Mar 17 2020 colyli@suse.de
- raid5: remove worker_cnt_per_group argument from alloc_thread_groups (bsc#1166003). - Refresh wth more kabi fix for the above change, patches.kabi/md-backport-kabi.patch. - Refresh for the above change, patches.suse/md-display-timeout-error.patch.
- commit 9bf9c7d
* Tue Mar 17 2020 colyli@suse.de
- md/raid6: fix algorithm choice under larger PAGE_SIZE (bsc#1166003).
- raid6/test: fix a compilation warning (bsc#1166003).
- raid6/test: fix a compilation error (bsc#1166003).
- md-bitmap: small cleanups (bsc#1166003).
- md: make sure desc_nr less than MD_SB_DISKS (bsc#1166003).
- md: raid1: check rdev before reference in raid1_sync_request func (bsc#1166003).
- raid5: need to set STRIPE_HANDLE for batch head (bsc#1166003).
- drivers/md/raid5-ppl.c: use the new spelling of RWH_WRITE_LIFE_NOT_SET (bsc#1166003).
- fcntl: fix typo in RWH_WRITE_LIFE_NOT_SET r/w hint name (bsc#1166003).
- raid5: use bio_end_sector in r5_next_bio (bsc#1166003).
- raid5: remove STRIPE_OPS_REQ_PENDING (bsc#1166003).
- md: add feature flag MD_FEATURE_RAID0_LAYOUT (bsc#1166003).
- raid5: don't set STRIPE_HANDLE to stripe which is in
  batch list (bsc#1166003).
- raid5: don't increment read_errors on EILSEQ return (bsc#1166003).
- md/raid5: use bio_end_sector to calculate last_sector (bsc#1166003).
- md/raid1: fail run raid1 array when active disk less than
  one (bsc#1166003).
- commit 019cfc8
* Mon Mar 16 2020 colyli@suse.de
- md raid0/linear: Mark array as 'broken' and fail BIOs if
  a member is gone (bsc#1166003).
- Refresh for the above change,
  patches.suse/0001-md-raid0-avoid-RAID0-data-corruption-due-to-layout-c.patch.
- commit 4756959
* Mon Mar 16 2020 colyli@suse.de
- raid5 improve too many read errors msg by adding limits (bsc#1166003).
- raid1: factor out a common routine to handle the completion
  of sync write (bsc#1166003).
- md: don't call spare_active in md_reap_sync_thread if all member
  devices can't work (bsc#1166003).
- md: don't set In_sync if array is frozen (bsc#1166003).
- commit ef59daf
* Mon Mar 16 2020 colyli@suse.de
- md: allow last device to be forcibly removed from RAID1/RAID10
  (bsc#1166003).
- Refresh with more kabi fix for the above change,
  patches.kabi/md-backport-kabi.patch.
- commit 3e2f228
* Mon Mar 16 2020 colyli@suse.de
- md/raid10: end bio when the device faulty (bsc#1166003).
- Refresh for the above change,
  patches.suse/md-display-timeout-error.patch.
- commit 3c9ed7a
* Mon Mar 16 2020 colyli@suse.de
- md/raid1: end bio when the device faulty (bsc#1166003).
- raid1: use an int as the return value of raise_barrier()
  (bsc#1166003).
- md/raid1: Fix a warning message in remove_wb() (bsc#1166003).
- commit f187d68
* Mon Mar 16 2020 colyli@suse.de
- md: add bitmap_abort label in md_run (bsc#1166003).
- Refresh for the above change,
  patches.suse/md-don-t-report-active-array_state-until-after-reval.patch.
- commit be424f5
* Mon Mar 16 2020 colyli@suse.de
- md-bitmap: create and destroy wb_info_pool with the change
  of bitmap (bsc#1166003).
- md-bitmap: create and destroy wb_info_pool with the change
  of backlog (bsc#1166003).
- md: introduce mddev_create/destroy_wb_pool for the change
  of member device (bsc#1166003).
- commit d90abd9
* Mon Mar 16 2020 jslaby@suse.cz
- net: systemport: Avoid RBUF stuck in Wake-on-LAN mode
  (networking-stable-20_02_09).
- net: mvneta: move rx_dropped and rx_errors in per-cpu stats
  (networking-stable-20_02_09).
- net: macb: Limit maximum GEM TX length in TSO
  (networking-stable-20_02_09).
- net: macb: Remove unnecessary alignment check for TSO
  (networking-stable-20_02_09).
- bonding/alb: properly access headers in bond_alb_xmit()
  (networking-stable-20_02_09).
- net_sched: fix a resource leak in tcindex_set_parms()
  (networking-stable-20_02_09).
- commit 8c5084f
* Mon Mar 16 2020 tzimmermann@suse.de
- amdgpu/gmc_v9: save/restore sdpif regs during S3 (bsc#1113956)
- commit 4be32f4
* Mon Mar 16 2020 tzimmermann@suse.de
- drm/amd/dm/mst: Ignore payload update failures (bsc#1112178)
- commit 15d3649
* Mon Mar 16 2020 nsaenzjulienne@suse.de
- pinctrl: imx: scu: Align imx sc msg structs to 4 (git-fixes).
- commit e8353fd
* Mon Mar 16 2020 jroedel@suse.de
- iommu/vt-d: Ignore devices with out-of-spec domain number
  (bsc#1166734).
- iommu/vt-d: Fix the wrong printing in RHSA parsing
  (bsc#1166733).
- iommu/vt-d: quirk_ioat_snb_local_iommu: replace WARN_TAINT
  with pr_warn + add_taint (bsc#1166735).
- iommu/vt-d: dmar: replace WARN_TAINT with pr_warn + add_taint
  (bsc#1166731).
- iommu/dma: Fix MSI reservation allocation (bsc#1166730).
- iommu/vt-d: Fix a bug in intel_iommu_iova_to_phys() for huge
  page (bsc#1166732).
- commit 9610fb0
* Mon Mar 16 2020 jslaby@suse.cz
- blacklist.conf: add one random.c entry
- commit 826f61f
* Mon Mar 16 2020 colyli@suse.de
- md/raid1: fix potential data inconsistency issue with write
  behind device (bsc#1166003).
- Refresh with more kabi fix for the above change,
  patches.kabi/md-backport-kabi.patch.
- Refresh for the above change,
  patches.suse/md-display-timeout-error.patch.
- commit 48c2136
* Mon Mar 16 2020 colyli@suse.de
- md/raid1: get rid of extra blank line and space (bsc#1166003).
- commit 0637cf3
* Mon Mar 16 2020 colyli@suse.de
- md: fix spelling typo and add necessary space (bsc#1166003).
- commit 7bc671d
* Mon Mar 16 2020 colyli@suse.de
- md: md.c: Return -ENODEV when mddev is NULL in rdev_attr_show
  (bsc#1166003).
- commit 6fbd061
* Mon Mar 16 2020 colyli@suse.de
- md: fix for divide error in status_resync (bsc#1166003).
- commit 92087c6
* Mon Mar 16 2020 colyli@suse.de
- raid5: set write hint for PPL (bsc#1166003).
- commit 22b1d6c
* Mon Mar 16 2020 colyli@suse.de
- md: convert to kvmalloc (bsc#1166003).
- commit 0909f87
* Mon Mar 16 2020 colyli@suse.de
- raid1: simplify raid1_error function (bsc#1166003).
- commit 3177e9f
* Mon Mar 16 2020 colyli@suse.de
- md-linear: use struct_size() in kzalloc() (bsc#1166003).
- commit 5d5f787
* Mon Mar 16 2020 colyli@suse.de
- md: Make bio_alloc_mddev use bio_alloc_bioset (bsc#1166003).
- commit ef59da5
* Mon Mar 16 2020 colyli@suse.de
- lib/raid6: avoid __attribute_const__ redefinition (bsc#1166003).
- commit 00c6b6d
* Mon Mar 16 2020 colyli@suse.de
- lib/raid6: add missing include for raid6test (bsc#1166003).
- commit ddd5468
* Mon Mar 16 2020 colyli@suse.de
- md: remove set but not used variable 'bi_rdev' (bsc#1166003).
- commit 03ad3d6
* Mon Mar 16 2020 colyli@suse.de
- md-cluster: send BITMAP_NEEDS_SYNC message if reshaping
  is interrupted (bsc#1166003).
- commit 4b49064
* Sun Mar 15 2020 colyli@suse.de
- md-cluster/bitmap: don't call md_bitmap_sync_with_cluster
  during reshaping stage (bsc#1166003).
- commit 114e068
* Sun Mar 15 2020 colyli@suse.de
- md-cluster/raid10: don't call remove_and_add_spares during
  reshaping stage (bsc#1166003).
- commit 5c85193
* Sun Mar 15 2020 colyli@suse.de
- md-cluster/raid10: call update_size in md_reap_sync_thread (bsc#1166003).
- commit 8061655
* Sun Mar 15 2020 colyli@suse.de
- md-cluster: introduce resync_info_get interface for sanity check
  (bsc#1166003).
- Refresh with more kabi fix for the above change,
  patches.kabi/md-backport-kabi.patch.
- commit 6d53de1
* Sun Mar 15 2020 colyli@suse.de
- md-cluster/raid10: support add disk under grow mode (bsc#1166003).
- Refresh with more kabi fix for the above change,
  patches.kabi/md-backport-kabi.patch.
- commit 00fd97b
* Sat Mar 14 2020 colyli@suse.de
- md-cluster/raid10: resize all the bitmaps before start reshape
  (bsc#1166003).
- Refresh with more kabi fix for the above change,
  patches.kabi/md-backport-kabi.patch
- commit 3b51fac
* Sat Mar 14 2020 colyli@suse.de
- md/bitmap: use mddev_suspend/resume instead of ->quiesce() (bsc#1166003).
- commit eb0ed6e
* Sat Mar 14 2020 colyli@suse.de
- md/raid10: Fix raid10 replace hang when new added disk faulty
  (bsc#1166003).
- commit ca546ca
* Sat Mar 14 2020 colyli@suse.de
- raid5: block failing device if raid will be failed (bsc#1166003).
- commit 7c5b3b0
* Sat Mar 14 2020 tiwai@suse.de
- iwlwifi: mvm: Do not require PHY_SKU NVM section for 3168
  devices (bsc#1166632).
- commit 12b634d
* Fri Mar 13 2020 hare@suse.de
- nvme: Translate more status codes to blk_status_t (bsc#1156510).
- nvme: resync include/linux/nvme.h with nvmecli (bsc#1156510).
- commit dfe2c5c
* Fri Mar 13 2020 yousaf.kaukab@suse.com
- EDAC, ghes: Make platform-based whitelisting x86-only
  (bsc#1158187).
  Refresh:
  patches.suse/edac-ghes-fix-locking-and-memory-barrier-issues.patch
- commit 6b53376
* Fri Mar 13 2020 tzimmermann@suse.de
- Update "drm/i915: Wean off drm_pci_alloc/drm_pci_free" (bsc#1114279)
  This patch fixes
  ../drivers/gpu/drm/i915/i915_gem.c: In function 'i915_gem_object_get_pages_phys':
  ../drivers/gpu/drm/i915/i915_gem.c:232:2: warning: return makes pointer from integer without a cast [enabled by default]
  introduced by commit cde29f21f04985905600b14e6936f4f023329a99.
- commit 9d14ae1
* Fri Mar 13 2020 ptesarik@suse.cz
- Refresh
  patches.suse/ibmvnic-Do-not-process-device-remove-during-device-r.patch.
- Refresh
  patches.suse/scsi-ibmvfc-Avoid-loss-of-all-paths-during-SVC-node-.patch.
- commit 159647a
* Fri Mar 13 2020 bp@suse.de
- x86/mce/amd: Fix kobject lifetime (bsc#1114279).
- commit fd3aa0a
* Fri Mar 13 2020 bp@suse.de
- x86/mce/amd: Publish the bank pointer only after setup has
  succeeded (bsc#1114279).
- commit 13bca58
* Thu Mar 12 2020 jbohac@suse.cz
- tick: broadcast-hrtimer: Fix a race in bc_set_next
  (bsc#1044231).
- commit 78e040b
* Thu Mar 12 2020 oneukum@suse.com
- usb: host: xhci: update event ring dequeue pointer on purpose
  (git-fixes).
- commit d541d85
* Thu Mar 12 2020 oneukum@suse.com
- virtio-blk: fix hw_queue stopped on arbitrary error (git-fixes).
- commit 4325fbf
* Wed Mar 11 2020 tiwai@suse.de
- vgacon: Fix a UAF in vgacon_invert_region (CVE-2020-8647
  bsc#1162929 CVE-2020-8649 bsc#1162931 bsc#1114279).
- commit 555f376
* Wed Mar 11 2020 tiwai@suse.de
- Update patch reference for console security fix (CVE-2020-8647 bsc#1162929 CVE-2020-8649 bsc#1162931)
- commit 918d9ae
* Wed Mar 11 2020 msuchanek@suse.de
- libnvdimm/pfn: fix fsdax-mode namespace info-block zero-fields
  (bsc#1165929).
- commit b6c4345
* Wed Mar 11 2020 msuchanek@suse.de
- libnvdimm: remove redundant __func__ in dev_dbg (bsc#1165929).
- Refresh patches.suse/libnvdimm-dimm-maximize-label-transfer-size.patch.
- Refresh patches.suse/libnvdimm-namespace-fix-label-tracking-error.patch.
- Refresh patches.suse/libnvdimm-pmem-Restore-page-attributes-when-clearing.patch.
- Refresh patches.suse/nvdimm-split-label-init-out-from-the-logic-for-getting-config-data.patch.
- commit 383d9d3
* Wed Mar 11 2020 jslaby@suse.cz
- vt: selection, push sel_lock up (bnc#1162928 CVE-2020-8648).
- vt: selection, push console lock down (bnc#1162928
  CVE-2020-8648).
- commit 28f3e13
* Wed Mar 11 2020 jslaby@suse.cz
- Refresh patches.suse/vt-selection-close-sel_buffer-race.patch.
- Refresh
  patches.suse/vt-selection-handle-pending-signals-in-paste_selecti.patch.
  Update upstream status.
- commit c40bf75
* Wed Mar 11 2020 msuchanek@suse.de
- ibmvnic: Do not process device remove during device reset
  (bsc#1065729).
- commit c04104e
* Tue Mar 10 2020 bp@suse.de
- x86/cpu/amd: Enable the fixed Instructions Retired counter
  IRPERF (bsc#1114279).
- commit d5eb8b9
* Tue Mar 10 2020 msuchanek@suse.de
- ibmvnic: Warn unknown speed message only when carrier is present
  (bsc#1065729).
- commit c837293
* Tue Mar 10 2020 bp@suse.de
- EDAC/mc: Fix use-after-free and memleaks during device removal
  (bsc#1114279).
- commit b4cfb64
* Tue Mar 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Fix return in assert_mmap_offset() (bsc#1114279)
  * updated filenames:
  gem/selftests/i915_gem_mmap.c -> selftests/i915_gem_object.c
- commit 03b31a8
* Tue Mar 10 2020 tzimmermann@suse.de
- drm/i915/userptr: Try to acquire the page lock around (bsc#1114279)
  * updated filenames:
  gem/selftests/i915_gem_userptr.c -> selftests/i915_gem_userptr.c
- commit 5265792
* Tue Mar 10 2020 tzimmermann@suse.de
- vgacon: Fix a UAF in vgacon_invert_region (bsc#1114279)
- commit c716ddb
* Tue Mar 10 2020 colyli@suse.de
- md/raid10: read balance chooses idlest disk for SSD (bsc#1166003).
- md: raid10: Use struct_size() in kmalloc() (bsc#1166003).
- md: return -ENODEV if rdev has no mddev assigned (bsc#1166003).
- md: add __acquires/__releases annotations to handle_active_stripes
  (bsc#1166003).
- md: add __acquires/__releases annotations to (un)lock_two_stripes
  (bsc#1166003).
- md: use correct type in super_1_sync (bsc#1166003).
- md: use correct type in super_1_load (bsc#1166003).
- md: use correct types in md_bitmap_print_sb (bsc#1166003).
- md: add a missing endianness conversion in check_sb_changes
  (bsc#1166003).
- raid10: refactor common wait code from regular read/write
  request (bsc#1166003).
- lib/raid6: add option to skip algo benchmarking (bsc#1166003).
- Add CONFIG_RAID6_PQ_BENCHMARK=y in following config files
  for the above change,
  config/arm64/default
  config/ppc64le/default
  config/s390x/default
  config/x86_64/default
- md-cluster: remove suspend_info (bsc#1166003).
- commit 6e520f2
* Mon Mar  9 2020 jeyu@suse.de
- rpm/kabi.pl: account for namespace field being moved last
  Upstream is moving the namespace field in Module.symvers last in order to
  preserve backwards compatibility with kmod tools (depmod, etc). Fix the kabi.pl
  script to expect the namespace field last. Since split() ignores trailing empty
  fields and delimeters, switch to using tr to count how many fields/tabs are in
  a line. Also, in load_symvers(), pass LIMIT of -1 to split() so it does not
  strip trailing empty fields, as namespace is an optional field.
- commit a3bb253
* Mon Mar  9 2020 tiwai@suse.de
- ALSA: hda/realtek - Enable the headset of ASUS B9450FA with
  ALC294 (bsc#1111666).
- ALSA: hda/realtek - Fix silent output on Gigabyte X570 Aorus
  Master (bsc#1111666).
- ALSA: hda/realtek - Add Headset Button supported for ThinkPad X1
  (bsc#1111666).
- ALSA: hda/realtek - Add Headset Mic supported (bsc#1111666).
- ALSA: hda/realtek - Fix a regression for mute led on Lenovo
  Carbon X1 (bsc#1111666).
- ALSA: hda/realtek - Apply quirk for yet another MSI laptop
  (bsc#1111666).
- ALSA: hda/realtek - Apply quirk for MSI GP63, too (bsc#1111666).
- ALSA: hda/realtek - Add more codec supported Headset Button
  (bsc#1111666).
- commit 4a40295
* Mon Mar  9 2020 tiwai@suse.de
- ALSA: usb-audio: Add clock validity quirk for Denon
  MC7000/MCX8000 (bsc#1111666).
- ALSA: usb-audio: Fix UAC2/3 effect unit parsing (bsc#1111666).
- ALSA: usb-audio: Apply 48kHz fixed rate playback for Jabra
  Evolve 65 headset (bsc#1111666).
- ALSA: usb-audio: add quirks for Line6 Helix devices fw>=2.82
  (bsc#1111666).
- ALSA: usb-audio: add implicit fb quirk for MOTU M Series
  (bsc#1111666).
- ALSA: usb-audio: unlock on error in probe (bsc#1111666).
- ALSA: usb-audio: Add boot quirk for MOTU M Series (bsc#1111666).
- ALSA: usb-audio: fix Corsair Virtuoso mixer label collision
  (bsc#1111666).
- commit efbe167
* Mon Mar  9 2020 tiwai@suse.de
- ALSA: usb-audio: Use lower hex numbers for IDs (bsc#1111666).
- Refresh
  patches.suse/0001-ALSA-usb-audio-Apply-sample-rate-quirk-for-Audioengi.patch.
- commit aac6cd9
* Mon Mar  9 2020 colyli@suse.de
- tools: Update include/uapi/linux/fcntl.h copy from the kernel
  (bsc#1166003).
- commit c18a667
* Mon Mar  9 2020 colyli@suse.de
- md: change kabi fix patch name, from
  patches.kabi/md-batch-flush-requests-kabi.patch to
  patches.kabi/md-backport-kabi.patch
- commit def8107
* Mon Mar  9 2020 jroedel@suse.de
- KVM: VMX: check descriptor table exits on instruction emulation
  (bsc#1166104).
- iommu/vt-d: Fix compile warning from intel-svm.h (bsc#1166103).
- iommu/amd: Only support x2APIC with IVHD type 11h/40h
  (bsc#1166102).
- iommu/amd: Check feature support bit before accessing MSI
  capability registers (bsc#1166101).
- commit dd0c90d
* Mon Mar  9 2020 tiwai@suse.de
- staging: rtl8723bs: Fix potential overuse of kernel memory
  (bsc#1051510).
- staging: rtl8188eu: Fix potential overuse of kernel memory
  (bsc#1051510).
- staging: rtl8723bs: Fix potential security hole (bsc#1051510).
- staging: rtl8188eu: Fix potential security hole (bsc#1051510).
- xhci: fix runtime pm enabling for quirky Intel hosts
  (bsc#1051510).
- xhci: Force Maximum Packet size for Full-speed bulk devices
  to valid range (bsc#1051510).
- qmi_wwan: re-add DW5821e pre-production variant (bsc#1051510).
- remoteproc: Initialize rproc_class before use (bsc#1051510).
- pinctrl: baytrail: Do not clear IRQ flags on direct-irq enabled
  pins (bsc#1051510).
- pinctrl: sh-pfc: sh7269: Fix CAN function GPIOs (bsc#1051510).
- pinctrl: sh-pfc: sh7264: Fix CAN function GPIOs (bsc#1051510).
- rtlwifi: rtl_pci: Fix -Wcast-function-type (bsc#1051510).
- commit 32a2520
* Mon Mar  9 2020 tiwai@suse.de
- NFC: pn544: Fix a typo in a debug message (bsc#1051510).
- iwlwifi: mvm: Fix thermal zone registration (bsc#1051510).
- orinoco: avoid assertion in case of NULL pointer (bsc#1051510).
- iwlegacy: Fix -Wcast-function-type (bsc#1051510).
- NFC: port100: Convert cpu_to_le16(le16_to_cpu(E1) + E2) to
  use le16_add_cpu() (bsc#1051510).
- commit cbab64e
* Mon Mar  9 2020 tiwai@suse.de
- hwmon: (adt7462) Fix an error return in ADT7462_REG_VOLT()
  (bsc#1051510).
- HID: core: fix off-by-one memset in hid_report_raw_event()
  (bsc#1051510).
- Input: synaptics - remove the LEN0049 dmi id from topbuttonpad
  list (bsc#1051510).
- Input: synaptics - enable SMBus on ThinkPad L470 (bsc#1051510).
- Input: synaptics - switch T470s to RMI4 by default
  (bsc#1051510).
- Input: edt-ft5x06 - work around first register access error
  (bsc#1051510).
- commit bb2717c
* Mon Mar  9 2020 tiwai@suse.de
- dmaengine: coh901318: Fix a double lock bug in dma_tc_handle()
  (bsc#1051510).
- drm/nouveau/disp/nv50-: prevent oops when no channel method
  map provided (bsc#1051510).
- drm/nouveau/gr/gk20a,gm200-: add terminators to method lists
  read from fw (bsc#1051510).
- drm/mediatek: handle events when enabling/disabling crtc
  (bsc#1051510).
- drm: remove the newline for CRC source name (bsc#1051510).
- drm/gma500: Fixup fbdev stolen size usage evaluation
  (bsc#1051510).
- driver core: platform: fix u32 greater or equal to zero
  comparison (bsc#1051510).
- driver core: Print device when resources present in
  really_probe() (bsc#1051510).
- driver core: platform: Prevent resouce overflow from causing
  infinite loops (bsc#1051510).
- b43legacy: Fix -Wcast-function-type (bsc#1051510).
- commit 14a8e2d
* Mon Mar  9 2020 tiwai@suse.de
- ASoC: dapm: Correct DAPM handling of active widgets during
  shutdown (bsc#1051510).
- ASoC: pcm512x: Fix unbalanced regulator enable call in probe
  error path (bsc#1051510).
- ASoC: topology: Fix memleak in soc_tplg_link_elems_load()
  (bsc#1051510).
- ASoC: pcm: Fix possible buffer overflow in dpcm state sysfs
  output (bsc#1051510).
- ALSA: usx2y: Adjust indentation in snd_usX2Y_hwdep_dsp_status
  (bsc#1051510).
- ASoC: pcm: update FE/BE trigger order based on the command
  (bsc#1051510).
- atm: zatm: Fix empty body Clang warnings (bsc#1051510).
- commit 1b6763c
* Mon Mar  9 2020 nsaenzjulienne@suse.de
- firmware: imx: scu-pd: Align imx sc msg structs to 4
  (git-fixes).
- firmware: imx: misc: Align imx sc msg structs to 4 (git-fixes).
- firmware: imx: scu: Ensure sequential TX (git-fixes).
- commit 33c1254
* Mon Mar  9 2020 tiwai@suse.de
- floppy: check FDC index for errors before assigning it
  (CVE-2020-9383 bsc#1165111).
- commit 4c25573
* Sun Mar  8 2020 ailiopoulos@suse.com
- fs/xfs: fix f_ffree value for statfs when project quota is set
  (bsc#1165985).
- commit e482c38
* Sun Mar  8 2020 ailiopoulos@suse.com
- xfs: bulkstat should copy lastip whenever userspace supplies
  one (bsc#1165984).
- commit b862d8d
* Sat Mar  7 2020 msuchanek@suse.de
- powerpc/pseries: fix of_read_drc_info_cell() to point at next
  record (bsc#1165980 ltc#183834).
- commit cbf093b
* Sat Mar  7 2020 msuchanek@suse.de
- libnvdimm/pfn_dev: Don't clear device memmap area during
  generic namespace probe (bsc#1165929 bsc#1165950).
- commit f23cc6d
* Fri Mar  6 2020 ailiopoulos@suse.com
- xfs: also remove cached ACLs when removing the underlying attr
  (bsc#1165873).
- commit f3f73aa
* Fri Mar  6 2020 colyli@suse.de
- blacklist.conf: add 775d78319f1ceb32be8eb3b1202ccdc60e9cb7f1 because
  it breaks KABI.
- commit b084086
* Fri Mar  6 2020 colyli@suse.de
- Enable the following two patches in series.conf, and refresh
  the KABI patch due to previous md commit (bsc#1119680),
- patches.suse/md-batch-flush-requests.patch
- patches.kabi/md-batch-flush-requests-kabi.patch
- commit b8b29b4
* Fri Mar  6 2020 msuchanek@suse.de
- powerpc/smp: Use nid as fallback for package_id (bsc#1165813
  ltc#184091).
- commit 9eca66f
* Fri Mar  6 2020 msuchanek@suse.de
- powerpc/pseries: Avoid NULL pointer dereference when drmem is
  unavailable (bsc#1160659).
- commit e9ed059
* Fri Mar  6 2020 jdelvare@suse.de
- scsi: fnic: do not queue commands during fwreset (bsc#1146539).
- commit 0bc155e
* Fri Mar  6 2020 ptesarik@suse.cz
- Refresh
  patches.suse/0001-drm-etnaviv-fix-dumping-of-iommuv2.patch.
- commit a3c0334
* Fri Mar  6 2020 colyli@suse.de
- Delete because it is reverted in upstream. (bsc#1111974)
  patches.suse/0077-MD-fix-lock-contention-for-flush-bios.patch.
- Delete these two patches because they are fixes of the previous
  deleted patch, unnecessary to have them anymore. (bsc#1111974)
  patches.suse/0167-md-fix-memleak-for-mempool.patch.
  patches.suse/0168-MD-Memory-leak-when-flush-bio-size-is-zero.patch.
- commit e12bb42
* Thu Mar  5 2020 msuchanek@suse.de
- Delete patches which cause regression (bsc#1165527 ltc#184149).
- Delete patches.suse/powerpc-avoid-adjusting-memory_limit-for-capture-ker.patch.
- Delete patches.suse/powerpc-reserve-memory-for-capture-kernel-after-huge.patch.
- commit ed27991
* Thu Mar  5 2020 ptesarik@suse.cz
- Delete
  patches.suse/0001-drm-i915-userptr-Try-to-acquire-the-page-lock-around.patch:
  Marked as known to be broken in SLE15-SP1 blacklist.conf.
- commit c198062
* Thu Mar  5 2020 jeyu@suse.de
- kernel/module.c: wakeup processes in module_wq on module unload
  (bsc#1165488).
- kernel/module.c: Only return -EEXIST for modules that have
  finished loading (bsc#1165488).
- commit 862fff7
* Thu Mar  5 2020 mhocko@suse.com
- x86/mm: Split vmalloc_sync_all() (bsc#1165741).
- commit 14404e0
* Thu Mar  5 2020 palcantara@suse.de
- smb3: Fix regression in time handling (bsc#1144333).
- commit 6380733
* Thu Mar  5 2020 palcantara@suse.de
- fs: cifs: Initialize filesystem timestamp ranges (bsc#1144333).
- commit d24050e
* Thu Mar  5 2020 jslaby@suse.cz
- gtp: use __GFP_NOWARN to avoid memalloc warning
  (networking-stable-20_02_05).
- l2tp: Allow duplicate session creation with UDP
  (networking-stable-20_02_05).
- net_sched: fix an OOB access in cls_tcindex
  (networking-stable-20_02_05).
- net: hsr: fix possible NULL deref in hsr_handle_frame()
  (networking-stable-20_02_05).
- bnxt_en: Fix TC queue mapping (networking-stable-20_02_05).
- net: stmmac: Delete txtimer in suspend()
  (networking-stable-20_02_05).
- rxrpc: Fix insufficient receive notification generation
  (networking-stable-20_02_05).
- cls_rsvp: fix rsvp_policy (networking-stable-20_02_05).
- tcp: clear tp->segs_{in|out} in tcp_disconnect()
  (networking-stable-20_02_05).
- tcp: clear tp->data_segs{in|out} in tcp_disconnect()
  (networking-stable-20_02_05).
- tcp: clear tp->delivered in tcp_disconnect()
  (networking-stable-20_02_05).
- tcp: clear tp->total_retrans in tcp_disconnect()
  (networking-stable-20_02_05).
- commit 27d5a15
* Thu Mar  5 2020 msuchanek@suse.de
- media: uvcvideo: Refactor teardown of uvc on USB disconnect
  (bsc#1164507).
- commit 3560d1a
* Thu Mar  5 2020 jack@suse.cz
- blktrace: fix unlocked access to init/start-stop/teardown
  (bsc#1159285 CVE-2019-19768).
- blacklist.conf: Remove blacklisted fix
- commit 512bc2b
* Thu Mar  5 2020 jack@suse.cz
- blktrace: Fix potential deadlock between delete & sysfs ops
  (bsc#1159285 CVE-2019-19768).
  patches.suse/tracing-blktrace-Fix-to-allow-setting-same-value.patch:
  Refresh
- commit e301853
* Thu Mar  5 2020 jslaby@suse.cz
- net_sched: ematch: reject invalid TCF_EM_SIMPLE
  (networking-stable-20_01_30).
- commit 81bff8c
* Thu Mar  5 2020 jslaby@suse.cz
- net: cxgb3_main: Add CAP_NET_ADMIN check to CHELSIO_GET_MEM
  (networking-stable-20_01_27).
- net_sched: fix datalen for ematch (networking-stable-20_01_27).
- gtp: make sure only SOCK_DGRAM UDP sockets are accepted
  (networking-stable-20_01_27).
- net: rtnetlink: validate IFLA_MTU attribute in
  rtnl_create_link() (networking-stable-20_01_27).
- net, ip6_tunnel: fix namespaces move
  (networking-stable-20_01_27).
- net, ip_tunnel: fix namespaces move
  (networking-stable-20_01_27).
- net: usb: lan78xx: Add .ndo_features_check
  (networking-stable-20_01_27).
- tcp_bbr: improve arithmetic division in bbr_update_bw()
  (networking-stable-20_01_27).
- net-sysfs: Fix reference count leak
  (networking-stable-20_01_27).
- net: ip6_gre: fix moving ip6gre between namespaces
  (networking-stable-20_01_27).
- commit e309859
* Thu Mar  5 2020 jslaby@suse.cz
- net: hns: fix soft lockup when there is not enough memory
  (networking-stable-20_01_20).
- net: dsa: tag_qca: fix doubled Tx statistics
  (networking-stable-20_01_20).
- net/wan/fsl_ucc_hdlc: fix out of bounds write on array utdm_info
  (networking-stable-20_01_20).
- hv_netvsc: Fix memory leak when removing rndis device
  (networking-stable-20_01_20).
- tcp: fix marked lost packets not being retransmitted
  (networking-stable-20_01_20).
- commit c761dc7
* Thu Mar  5 2020 jack@suse.cz
- blktrace: Protect q->blk_trace with RCU (bsc#1159285
  CVE-2019-19768).
- commit e14e417
* Thu Mar  5 2020 gfigueira@suse.com
- [1/2,media] uvcvideo: Refactor teardown of uvc on USB disconnect
  (https://patchwork.kernel.org/patch/9683663/) (bsc#1164507)
- commit e1d8a95
* Wed Mar  4 2020 jroedel@suse.de
- virtio_ring: fix unmap of indirect descriptors (bsc#1162171).
- swiotlb: remove the overflow buffer (bsc#1162171).
- swiotlb: do not panic on mapping failures (bsc#1162171).
- commit 51d3cfa
* Wed Mar  4 2020 lyan@suse.com
- KVM: arm64: Store vcpu on the stack during __guest_enter()
  (bsc#1133021).
- commit 01d7321
* Wed Mar  4 2020 lyan@suse.com
- KVM: s390: do not clobber registers during guest reset/store
  status (bsc#1133021).
- KVM: s390: ENOTSUPP -> EOPNOTSUPP fixups (bsc#1133021).
- commit f70d4d1
* Tue Mar  3 2020 palcantara@suse.de
- cifs: do d_move in rename (bsc#1144333).
- commit a4ce51c
* Tue Mar  3 2020 palcantara@suse.de
- cifs: add SMB2_open() arg to return POSIX data (bsc#1144333).
- commit 47d3eca
* Tue Mar  3 2020 palcantara@suse.de
- cifs: plumb smb2 POSIX dir enumeration (bsc#1144333).
- commit 70a9af7
* Tue Mar  3 2020 palcantara@suse.de
- cifs: add smb2 POSIX info level (bsc#1144333).
- commit 97f8ae5
* Tue Mar  3 2020 palcantara@suse.de
- cifs: rename posix create rsp (bsc#1144333).
- commit 9447725
* Tue Mar  3 2020 palcantara@suse.de
- cifs: print warning once if mounting with vers=1.0
  (bsc#1144333).
- commit 3d9da59
* Tue Mar  3 2020 palcantara@suse.de
- smb3: fix performance regression with setting mtime
  (bsc#1144333).
- commit dd86570
* Tue Mar  3 2020 palcantara@suse.de
- cifs: make use of cap_unix(ses) in cifs_reconnect_tcon()
  (bsc#1144333).
- commit 526b1c3
* Tue Mar  3 2020 palcantara@suse.de
- cifs: use mod_delayed_work() for &server->reconnect if already
  queued (bsc#1144333).
- commit bec1e14
* Tue Mar  3 2020 palcantara@suse.de
- cifs: call wake_up(&server->response_q) inside of
  cifs_reconnect() (bsc#1144333).
- commit 7bef7b3
* Tue Mar  3 2020 palcantara@suse.de
- cifs: handle prefix paths in reconnect (bsc#1144333).
- commit f0d28c6
* Tue Mar  3 2020 palcantara@suse.de
- cifs: potential unintitliazed error code in cifs_getattr()
  (bsc#1144333).
- commit e184cda
* Tue Mar  3 2020 palcantara@suse.de
- cifs: do not ignore the SYNC flags in getattr (bsc#1144333).
- commit 5581d4d
* Tue Mar  3 2020 palcantara@suse.de
- cifs: Use #define in cifs_dbg (bsc#1144333).
- commit 782a0a3
* Tue Mar  3 2020 palcantara@suse.de
- cifs: fix rename() by ensuring source handle opened with DELETE
  bit (bsc#1144333).
- commit 05c1666
* Tue Mar  3 2020 palcantara@suse.de
- cifs: add missing mount option to /proc/mounts (bsc#1144333).
- commit 1c822d9
* Tue Mar  3 2020 palcantara@suse.de
- cifs: fix potential mismatch of UNC paths (bsc#1144333).
- commit eb03a0b
* Tue Mar  3 2020 palcantara@suse.de
- cifs: don't leak -EAGAIN for stat() during reconnect
  (bsc#1144333).
- commit efaa688
* Tue Mar  3 2020 dwagner@suse.de
- Drop patches.suse/qla2xxx-Enable-T10-DIF-with-FC-NVMe-enabled.patch
  The driver update to 10.01.00.25-k replaces the dropped patch.
- commit 54ab06c
* Tue Mar  3 2020 dwagner@suse.de
- scsi: qla2xxx: Update driver version to 10.01.00.25-k
  (bsc#1157424).
- scsi: qla2xxx: Set Nport ID for N2N (bsc#1157424).
- scsi: qla2xxx: Handle NVME status iocb correctly (bsc#1157424).
- scsi: qla2xxx: Remove restriction of FC T10-PI and FC-NVMe
  (bsc#1157424).
- scsi: qla2xxx: Serialize fc_port alloc in N2N (bsc#1157424).
- scsi: qla2xxx: Fix NPIV instantiation after FW dump
  (bsc#1157424).
- scsi: qla2xxx: Fix RDP respond data format (bsc#1157424).
- scsi: qla2xxx: Force semaphore on flash validation failure
  (bsc#1157424).
- scsi: qla2xxx: add more FW debug information (bsc#1157424).
- scsi: qla2xxx: Update BPM enablement semantics (bsc#1157424).
- scsi: qla2xxx: fix FW resource count values (bsc#1157424).
- scsi: qla2xxx: Use a dedicated interrupt handler for
  'handshake-required' ISPs (bsc#1157424).
- scsi: qla2xxx: Return appropriate failure through BSG Interface
  (bsc#1157424).
- scsi: qla2xxx: Improved secure flash support messages
  (bsc#1157424).
- scsi: qla2xxx: Fix FCP-SCSI FC4 flag passing error
  (bsc#1157424).
- scsi: qla2xxx: Use FC generic update firmware options routine
  for ISP27xx (bsc#1157424).
- scsi: qla2xxx: Avoid setting firmware options twice in
  24xx_update_fw_options (bsc#1157424).
- scsi: qla2xxx: Add 16.0GT for PCI String (bsc#1157424).
- scsi: qla2xxx: Convert MAKE_HANDLE() from a define into an
  inline function (bsc#1157424).
- scsi: qla2xxx: Fix sparse warnings triggered by the PCI state
  checking code (bsc#1157424).
- scsi: qla2xxx: Suppress endianness complaints in
  qla2x00_configure_local_loop() (bsc#1157424).
- scsi: qla2xxx: Simplify the code for aborting SCSI commands
  (bsc#1157424).
- scsi: qla2xxx: Fix sparse warning reported by kbuild bot
  (bsc#1157424).
- commit 758db20
* Tue Mar  3 2020 tbogendoerfer@suse.de
- ipv6: restrict IPV6_ADDRFORM operation (bsc#1109837).
- net: Fix Tx hash bound checking (bsc#1109837).
- bnxt_en: Issue PCIe FLR in kdump kernel to cleanup pending DMAs
  (bsc#1134090 jsc#SLE-5954).
- bnxt_en: Improve device shutdown method (bsc#1104745
  FATE#325918).
- bpf, offload: Replace bitwise AND by logical AND in
  bpf_prog_offload_info_fill (bsc#1109837).
- RDMA/hfi1: Fix memory leak in _dev_comp_vect_mappings_create
  (bsc#1114685 FATE#325854).
- net: hns3: fix a copying IPv6 address error in
  hclge_fd_get_flow_tuples() (bsc#1104353 FATE#326415).
- core: Don't skip generic XDP program execution for cloned SKBs
  (bsc#1109837).
- net/mlx5: IPsec, fix memory leak at
  mlx5_fpga_ipsec_delete_sa_ctx (bsc#1103990 FATE#326006).
- net/mlx5: IPsec, Fix esp modify function attribute (bsc#1103990
  FATE#326006).
- devlink: report 0 after hitting end in region read
  (bsc#1109837).
- RDMA/cma: Fix unbalanced cm_id reference count during address
  resolve (bsc#1103992 FATE#326009).
- RDMA/uverbs: Verify MR access flags (bsc#1103992 FATE#326009).
- ptr_ring: add include of linux/mm.h (bsc#1109837).
- net/mlx5: Update the list of the PCI supported devices
  (bsc#1127611).
- net/mlx5: Fix lowest FDB pool size (bsc#1103990 FATE#326006).
- tun: add mutex_unlock() call and napi.skb clearing in
  tun_get_user() (bsc#1109837).
- bnxt_en: Fix NTUPLE firmware command failures (bsc#1104745
  FATE#325918).
- mlxsw: spectrum_qdisc: Include MC TCs in Qdisc counters
  (bsc#1112374).
- mlxsw: spectrum: Wipe xstats.backlog of down ports
  (bsc#1112374).
- net/tls: fix async operation (bsc#1109837).
- platform/mellanox: fix potential deadlock in the tmfifo driver
  (bsc#1136333 jsc#SLE-4994).
- SUNRPC: Fix svcauth_gss_proxy_init() (bsc#1103992 FATE#326009).
- net/tls: free the record on encryption error (bsc#1109837).
- net/tls: take into account that bpf_exec_tx_verdict() may free
  the record (bsc#1109837).
- commit 36f3325
* Tue Mar  3 2020 tzimmermann@suse.de
- drm/i915/gvt: Separate display reset from ALL_ENGINES reset (bsc#1114279)
- commit 85a29d1
* Tue Mar  3 2020 tzimmermann@suse.de
- drm/i915: Wean off drm_pci_alloc/drm_pci_free (bsc#1114279)
- commit cde29f2
* Tue Mar  3 2020 tzimmermann@suse.de
- drm: msm: mdp4: Adjust indentation in mdp4_dsi_encoder_enable (bsc#1114279)
- commit 5033219
* Tue Mar  3 2020 tbogendoerfer@suse.de
- IB/hfi1: Close window for pq and request coliding (bsc#1060463
  FATE#323043).
- net/mlxfw: Verify FSM error code translation doesn't exceed
  array size (bsc#1051858).
- commit 0b9ebdd
* Tue Mar  3 2020 tzimmermann@suse.de
- drm/mediatek: Add gamma property according to hardware capability (bsc#1114279)
- commit 30c8f22
* Tue Mar  3 2020 tzimmermann@suse.de
- drm/mediatek: disable all the planes in atomic_disable (bsc#1114279)
- commit c1e96eb
* Tue Mar  3 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix pid leak with banned clients'
- commit b0674ce
* Tue Mar  3 2020 tzimmermann@suse.de
- drm: atmel-hlcdc: enable clock before configuring timing engine (bsc#1114279)
- commit af8d236
* Tue Mar  3 2020 tzimmermann@suse.de
- drm/mipi_dbi: Fix off-by-one bugs in mipi_dbi_blank() (bsc#1114279)
- commit 8fb21b8
* Tue Mar  3 2020 tzimmermann@suse.de
- drm: rcar-du: Recognize "renesas,vsps" in addition to "vsps" (bsc#1114279)
- commit 2464f02
* Tue Mar  3 2020 oneukum@suse.com
- HID: hiddev: Fix race in in hiddev_disconnect() (git-fixes).
- commit d45196e
* Tue Mar  3 2020 oneukum@suse.com
- Revert "HID: add NOGET quirk for Eaton Ellipse MAX UPS"
  (git-fixes).
- Refresh
  patches.suse/0001-HID-Add-quirk-for-Microsoft-PIXART-OEM-mouse.patch.
- commit 7f62426
* Tue Mar  3 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: fix bad DMA from INTERRUPT_CNTL2'
- commit 50b28ab
* Tue Mar  3 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/radeon: fix bad DMA from INTERRUPT_CNTL2'
- commit 859e7b3
* Tue Mar  3 2020 oneukum@suse.com
- blacklist.conf: this has dependencies that would severely break kABI
- commit 684dd6b
* Mon Mar  2 2020 msuchanek@suse.de
- powerpc/pseries: update device tree before ejecting hotplug
  uevents (bsc#1165404 ltc#183498).
- powerpc/pseries: group lmb operation and memblock's (bsc#1165404
  ltc#183498).
- commit 76d5544
* Mon Mar  2 2020 msuchanek@suse.de
- powerpc/pseries/memory-hotplug: Only update DT once per memory DLPAR
  request (bsc#1165404 ltc#183498).
- Refresh patches.suse/powerpc-pseries-Track-LMB-nid-instead-of-using-devic.patch.
- Refresh patches.suse/powerpc-pseries-memory-hotplug-Fix-return-value-type.patch.
- commit 81ed407
* Mon Mar  2 2020 tzimmermann@suse.de
- drm/i915/userptr: fix size calculation (bsc#1114279)
- commit 6285c2b
* Mon Mar  2 2020 tzimmermann@suse.de
- drm/i915/userptr: Try to acquire the page lock around (bsc#1114279)
- commit ab2f8bd
* Mon Mar  2 2020 oneukum@suse.com
- usbip: Fix uninitialized symbol 'nents' in
  stub_recv_cmd_submit() (git-fixes).
- commit db94bff
* Mon Mar  2 2020 msuchanek@suse.de
- ibmvfc: Fix NULL return compiler warning (bsc#1161951
  ltc#183551).
- commit fc3a17c
* Mon Mar  2 2020 msuchanek@suse.de
- Refresh patches.suse/scsi-qla2xxx-Fix-unbound-NVME-response-length.patch.
  Correct upstream commit hash.
- commit 7510ea1
* Mon Mar  2 2020 tzimmermann@suse.de
- drm/amdkfd: fix a use after free race with mmu_notifer unregister (bsc#1114279)
- commit ff36322
* Mon Mar  2 2020 tzimmermann@suse.de
- drm/etnaviv: fix dumping of iommuv2 (bsc#1114279)
- commit 9a478ec
* Mon Mar  2 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/userptr: Try to acquire the page lock around set_page_dirty()'
- commit 7a86a6d
* Mon Mar  2 2020 tzimmermann@suse.de
- blacklist.conf: Append 'phy/rockchip: inno-hdmi: round clock rate down to closest 1000 Hz'
- commit 24dc048
* Mon Mar  2 2020 msuchanek@suse.de
- net/ethtool: Introduce link_ksettings API for virtual network
  devices (bsc#1136157 ltc#177197).
  Delete patches.suse/ibmveth-Update-ethtool-settings-to-reflect-virtual-p.patch.
- ethtool: Factored out similar ethtool link settings for virtual
  devices to core (bsc#1136157 ltc#177197).
- commit d16586d
* Mon Mar  2 2020 jdelvare@suse.de
- Refresh
  patches.suse/acpi-watchdog-allow-disabling-wdat-at-boot.patch.
- Refresh
  patches.suse/acpi-watchdog-set-default-timeout-in-probe.patch.
  Add upstream commit IDs and move to the sorted section.
- commit 272aa07
* Mon Mar  2 2020 jslaby@suse.cz
- ipv4: ensure rcu_read_lock() in cipso_v4_error() (git-fixes).
- commit c06ae58
* Mon Mar  2 2020 jslaby@suse.cz
- ttyprintk: fix a potential deadlock in interrupt context issue
  (git-fixes).
- commit 8371e00
* Mon Mar  2 2020 palcantara@suse.de
- cifs: make sure we do not overflow the max EA buffer size
  (bsc#1144333).
- commit 0fe52e0
* Mon Mar  2 2020 palcantara@suse.de
- cifs: enable change notification for SMB2.1 dialect
  (bsc#1144333).
- commit 9eca409
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Fix mode output in debugging statements (bsc#1144333).
- commit 9076d1e
* Mon Mar  2 2020 palcantara@suse.de
- smb3: Add defines for new information level, FileIdInformation
  (bsc#1144333).
- commit 8960c81
* Mon Mar  2 2020 palcantara@suse.de
-  smb3: print warning once if posix context returned on open
  (bsc#1144333).
- commit 472c79b
* Mon Mar  2 2020 palcantara@suse.de
- smb3: add one more dynamic tracepoint missing from strict
  fsync path (bsc#1144333).
- commit f5c4916
* Mon Mar  2 2020 palcantara@suse.de
- cifs: fix mode bits from dir listing when mounted with
  modefromsid (bsc#1144333).
- commit 12d09a2
* Mon Mar  2 2020 palcantara@suse.de
- cifs: add SMB3 change notification support (bsc#1144333).
- commit 0f4e7af
* Mon Mar  2 2020 palcantara@suse.de
- cifs: fix soft mounts hanging in the reconnect code
  (bsc#1144333).
- commit 57b6a8c
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Add tracepoints for errors on flush or fsync
  (bsc#1144333).
- commit 1f2af20
* Mon Mar  2 2020 palcantara@suse.de
- cifs: log warning message (once) if out of disk space
  (bsc#1144333).
- commit d4993f4
* Mon Mar  2 2020 palcantara@suse.de
- cifs: fail i/o on soft mounts if sessionsetup errors out
  (bsc#1144333).
- commit b362897
* Mon Mar  2 2020 palcantara@suse.de
- smb3: fix problem with null cifs super block with previous patch
  (bsc#1144333).
- commit 462cd8a
* Mon Mar  2 2020 palcantara@suse.de
- SMB3: Backup intent flag missing from some more ops
  (bsc#1144333).
- commit 22b65d3
* Mon Mar  2 2020 palcantara@suse.de
- cifs: fix soft mounts hanging in the reconnect code
  (bsc#1144333).
- commit 3a4f002
* Mon Mar  2 2020 palcantara@suse.de
- CIFS: Fix task struct use-after-free on reconnect (bsc#1144333).
- commit a398b03
* Mon Mar  2 2020 palcantara@suse.de
- cifs: use PTR_ERR_OR_ZERO() to simplify code (bsc#1144333).
- commit f1f871b
* Mon Mar  2 2020 palcantara@suse.de
- cifs: add support for fallocate mode 0 for non-sparse files
  (bsc#1144333).
- commit 3095811
* Mon Mar  2 2020 palcantara@suse.de
- cifs: fix NULL dereference in match_prepath (bsc#1144333).
- commit 82ba2d2
* Mon Mar  2 2020 palcantara@suse.de
- smb3: fix default permissions on new files when mounting with
  modefromsid (bsc#1144333).
- commit fc1f959
* Mon Mar  2 2020 palcantara@suse.de
- CIFS: Add support for setting owner info, dos attributes,
  and create time (bsc#1144333).
- commit 22bdffc
* Mon Mar  2 2020 palcantara@suse.de
- cifs: remove set but not used variable 'server' (bsc#1144333).
- commit 37ffc40
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Fix memory allocation in __smb2_handle_cancelled_cmd()
  (bsc#1144333).
- commit 558b030
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Fix mount options set in automount (bsc#1144333).
- commit 9eb927e
* Mon Mar  2 2020 palcantara@suse.de
- cifs: fix unitialized variable poential problem with network
  I/O cache lock patch (bsc#1144333).
- commit e9a7904
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Fix return value in __update_cache_entry (bsc#1144333).
- commit 205d34c
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Avoid doing network I/O while holding cache lock
  (bsc#1144333).
- commit 2e04bd9
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Fix potential deadlock when updating vol in
  cifs_reconnect() (bsc#1144333).
- commit d769869
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Merge is_path_valid() into get_normalized_path()
  (bsc#1144333).
- commit acf7a09
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Introduce helpers for finding TCP connection
  (bsc#1144333).
- commit 0d9cbbf
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Get rid of kstrdup_const()'d paths (bsc#1144333).
- commit d7c4004
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Clean up DFS referral cache (bsc#1144333).
- commit 49c754e
* Mon Mar  2 2020 palcantara@suse.de
- cifs: set correct max-buffer-size for smb2_ioctl_init()
  (bsc#1144333).
- commit a8ba7f0
* Sun Mar  1 2020 palcantara@suse.de
- cifs: use compounding for open and first query-dir for readdir()
  (bsc#1144333).
- commit 220b705
* Sun Mar  1 2020 palcantara@suse.de
- cifs: create a helper function to parse the query-directory
  response buffer (bsc#1144333).
- commit 4a5fac4
* Sun Mar  1 2020 palcantara@suse.de
- cifs: prepare SMB2_query_directory to be used with compounding
  (bsc#1144333).
- commit 4249ec8
* Sun Mar  1 2020 palcantara@suse.de
- fs/cifs/cifssmb.c: use true,false for bool variable
  (bsc#1144333).
- commit 34c3797
* Sun Mar  1 2020 palcantara@suse.de
- fs/cifs/smb2ops.c: use true,false for bool variable
  (bsc#1144333).
- commit 6440f86
* Sun Mar  1 2020 palcantara@suse.de
- cifs: Optimize readdir on reparse points (bsc#1144333).
- commit 44a8ca6
* Sun Mar  1 2020 palcantara@suse.de
- cifs: Adjust indentation in smb2_open_file (bsc#1144333).
- commit 67a7c49
* Sun Mar  1 2020 palcantara@suse.de
- smb3: improve check for when we send the security descriptor
  context on create (bsc#1144333).
- commit 7aa520a
* Sun Mar  1 2020 palcantara@suse.de
- smb3: fix mode passed in on create for modetosid mount option
  (bsc#1144333).
- commit 53eb3d5
* Sun Mar  1 2020 palcantara@suse.de
- smb3: query attributes on file close (bsc#1144333).
- commit 905aa1d
* Sun Mar  1 2020 palcantara@suse.de
- smb3: remove unused flag passed into close functions
  (bsc#1144333).
- commit f68661a
* Sun Mar  1 2020 palcantara@suse.de
- cifs: remove redundant assignment to pointer pneg_ctxt
  (bsc#1144333).
- commit 03abf96
* Sun Mar  1 2020 palcantara@suse.de
- CIFS: fix a white space issue in cifs_get_inode_info()
  (bsc#1144333).
- commit 526ff32
* Sun Mar  1 2020 palcantara@suse.de
- smb3: dump in_send and num_waiters stats counters by default
  (bsc#1144333).
- commit cbf1428
* Sun Mar  1 2020 palcantara@suse.de
- CIFS: refactor cifs_get_inode_info() (bsc#1144333).
- commit b7e7056
* Sun Mar  1 2020 palcantara@suse.de
- cifs: don't use 'pre:' for MODULE_SOFTDEP (bsc#1144333).
- commit b98f3be
* Sun Mar  1 2020 palcantara@suse.de
- cifs: smbd: Return -EAGAIN when transport is reconnecting
  (bsc#1144333).
- commit d54d07e
* Sun Mar  1 2020 palcantara@suse.de
- cifs: smbd: Only queue work for error recovery on memory
  registration (bsc#1144333).
- commit b90c401
* Sun Mar  1 2020 palcantara@suse.de
- smb3: add debug messages for closing unmatched open
  (bsc#1144333).
- commit 5e86c45
* Sun Mar  1 2020 palcantara@suse.de
- CIFS: Return directly after a failed build_path_from_dentry()
  in cifs_do_create() (bsc#1144333).
- commit 6b20b58
* Sun Mar  1 2020 palcantara@suse.de
- CIFS: Use common error handling code in smb2_ioctl_query_info()
  (bsc#1144333).
- commit 3dc7725
* Sun Mar  1 2020 palcantara@suse.de
- CIFS: Use memdup_user() rather than duplicating its
  implementation (bsc#1144333).
- commit aeea887
* Sun Mar  1 2020 palcantara@suse.de
- cifs: smbd: Return -ECONNABORTED when trasnport is not in
  connected state (bsc#1144333).
- commit d50e477
* Sun Mar  1 2020 palcantara@suse.de
- cifs: smbd: Add messages on RDMA session destroy and
  reconnection (bsc#1144333).
- commit c9fea9e
* Sun Mar  1 2020 palcantara@suse.de
- cifs: smbd: Return -EINVAL when the number of iovs exceeds
  SMBDIRECT_MAX_SGE (bsc#1144333).
- commit 2fb6529
* Sun Mar  1 2020 palcantara@suse.de
- cifs: smbd: Invalidate and deregister memory registration on
  re-send for direct I/O (bsc#1144333).
- commit b65c114
* Sun Mar  1 2020 palcantara@suse.de
- cifs: Don't display RDMA transport on reconnect (bsc#1144333).
- commit b76875f
* Sun Mar  1 2020 palcantara@suse.de
- cifs: remove unused variable 'sid_user' (bsc#1144333).
- commit 482c441
* Sun Mar  1 2020 palcantara@suse.de
- cifs: rename a variable in SendReceive() (bsc#1144333).
- commit 8f4dbfa
* Sun Mar  1 2020 palcantara@suse.de
- fix memory leak in large read decrypt offload (bsc#1144333).
- commit 468204d
* Sun Mar  1 2020 palcantara@suse.de
- smb3: remove noisy debug message and minor cleanup
  (bsc#1144333).
- commit 7812282
* Sun Mar  1 2020 palcantara@suse.de
- fs: cifs: mute -Wunused-const-variable message (bsc#1144333).
- commit a9e1f95
* Sun Mar  1 2020 palcantara@suse.de
- smb3: cleanup some recent endian errors spotted by updated
  sparse (bsc#1144333).
- commit 0dedbe9
* Sun Mar  1 2020 palcantara@suse.de
- smb3: missing ACL related flags (bsc#1144333).
- commit 3c605e2
* Sun Mar  1 2020 palcantara@suse.de
- smb3: pass mode bits into create calls (bsc#1144333).
- commit 2802a0e
* Sun Mar  1 2020 palcantara@suse.de
- smb3: Add missing reparse tags (bsc#1144333).
- commit 021cdcd
* Sun Mar  1 2020 palcantara@suse.de
- fs/cifs/sess.c: Remove set but not used variable 'capabilities'
  (bsc#1144333).
- commit 6046ccd
* Sun Mar  1 2020 palcantara@suse.de
- fs/cifs/smb2pdu.c: Make SMB2_notify_init static (bsc#1144333).
- commit cd812a0
* Sun Mar  1 2020 palcantara@suse.de
- smb3: allow decryption keys to be dumped by admin for debugging
  (bsc#1144333).
- commit 01aecf9
* Sun Mar  1 2020 palcantara@suse.de
- cifs: modefromsid: write mode ACE first (bsc#1144333).
- commit c8633c3
* Sun Mar  1 2020 palcantara@suse.de
- smb3: add missing worker function for SMB3 change notify
  (bsc#1144333).
- commit a6fccfa
* Sun Mar  1 2020 palcantara@suse.de
- cifs: modefromsid: make room for 4 ACE (bsc#1144333).
- commit 7ecccba
* Sun Mar  1 2020 palcantara@suse.de
- smb3: fix potential null dereference in decrypt offload
  (bsc#1144333).
- commit 208ec57
* Sun Mar  1 2020 palcantara@suse.de
- smb3: allow disabling requesting leases (bsc#1144333).
- commit 67072fc
* Sun Mar  1 2020 palcantara@suse.de
- smb3: display max smb3 requests in flight at any one time
  (bsc#1144333).
- commit dd789c3
* Sun Mar  1 2020 palcantara@suse.de
- smb3: only offload decryption of read responses if multiple
  requests (bsc#1144333).
- Refresh
  patches.suse/cifs-move-cifsFileInfo_put-logic-into-a-work-queue.patch.
- commit affe62b
* Sun Mar  1 2020 palcantara@suse.de
- smb3: enable offload of decryption of large reads via mount
  option (bsc#1144333).
- commit eb4899a
* Sun Mar  1 2020 palcantara@suse.de
- smb3: allow parallelizing decryption of reads (bsc#1144333).
- Refresh
  patches.suse/cifs-move-cifsFileInfo_put-logic-into-a-work-queue.patch.
- commit d787d29
* Sun Mar  1 2020 palcantara@suse.de
- cifs: add a debug macro that prints \\server\share for errors
  (bsc#1144333).
- commit 096fc0e
* Sun Mar  1 2020 palcantara@suse.de
- smb3: allow skipping signature verification for perf sensitive
  configurations (bsc#1144333).
- commit 27aee6f
* Sun Mar  1 2020 palcantara@suse.de
- smb3: add dynamic tracepoints for flush and close (bsc#1144333).
- commit fa30abf
* Sun Mar  1 2020 palcantara@suse.de
- smb3: log warning if CSC policy conflicts with cache mount
  option (bsc#1144333).
- commit 74d0103
* Sun Mar  1 2020 palcantara@suse.de
- smb3: add mount option to allow RW caching of share accessed
  by only 1 client (bsc#1144333).
- commit 2f43da9
* Sun Mar  1 2020 palcantara@suse.de
- smb3: add some more descriptive messages about share when
  mounting cache=ro (bsc#1144333).
- commit da524e8
* Sun Mar  1 2020 palcantara@suse.de
- smb3: add mount option to allow forced caching of read only
  share (bsc#1144333).
- commit 94b7519
* Sun Mar  1 2020 palcantara@suse.de
- cifs: fix dereference on ses before it is null checked
  (bsc#1144333).
- commit 6a06e6d
* Sun Mar  1 2020 palcantara@suse.de
- cifs: add new debugging macro cifs_server_dbg (bsc#1144333).
- Refresh
  patches.suse/CIFS-Fix-retry-mid-list-corruption-on-reconnects.patch.
- Refresh
  patches.suse/cifs-Fix-use-after-free-bug-in-cifs_reconnect-.patch.
- commit 83cd21c
* Sun Mar  1 2020 palcantara@suse.de
- cifs: remove set but not used variables (bsc#1144333).
- commit 13ee866
* Sun Mar  1 2020 palcantara@suse.de
- cifs: remove unused variable (bsc#1144333).
- commit 467483b
* Sun Mar  1 2020 palcantara@suse.de
- cifs: remove redundant assignment to variable rc (bsc#1144333).
- commit a5c3cc8
* Sun Mar  1 2020 palcantara@suse.de
- smb3: add missing flag definitions (bsc#1144333).
- commit 45a4401
* Sun Mar  1 2020 palcantara@suse.de
- cifs: add passthrough for smb2 setinfo (bsc#1144333).
- commit 4de20eb
* Sun Mar  1 2020 palcantara@suse.de
- cifs: allow chmod to set mode bits using special sid
  (bsc#1144333).
- commit 5fbe36e
* Sun Mar  1 2020 palcantara@suse.de
- cifs: get mode bits from special sid on stat (bsc#1144333).
- commit 7207b99
* Sun Mar  1 2020 palcantara@suse.de
- fs: cifs: cifsssmb: remove redundant assignment to variable ret
  (bsc#1144333).
- commit fb9cfc1
* Sun Mar  1 2020 palcantara@suse.de
- cifs: fix a comment for the timeouts when sending echos
  (bsc#1144333).
- commit b63e1d1
* Sun Mar  1 2020 palcantara@suse.de
- cifs: replace various strncpy with strscpy and similar
  (bsc#1144333).
- commit eb53672
* Sun Mar  1 2020 nstange@suse.de
- debugfs: defer debugfs_fsdata allocation to first usage (bsc#1159198).
  Prerequisite for bsc#1159198.
- commit 9839cd1
* Sun Mar  1 2020 nstange@suse.de
- debugfs: call debugfs_real_fops() only after debugfs_file_get()
  (bsc#1159198).
  Prerequisite for bsc#1159198.
- commit 26a9bca
* Sat Feb 29 2020 msuchanek@suse.de
- scsi: ibmvfc: Avoid loss of all paths during SVC node reboot
  (bsc#1161951 ltc#183551).
- commit 9c7ebe5
* Sat Feb 29 2020 msuchanek@suse.de
- scsi: ibmvfc: Mark expected switch fall-throughs (bsc#1161951
  ltc#183551).
- scsi: ibmvscsi: Don't use rc uninitialized in ibmvscsi_do_work
  (bsc#1161951 ltc#183551).
- scsi: ibmvscsi: fix tripping of blk_mq_run_hw_queue WARN_ON
  (bsc#1161951 ltc#183551).
- scsi: ibmvscsi: redo driver work thread to use enum action
  states (bsc#1161951 ltc#183551).
- scsi: ibmvscsi: Wire up host_reset() in the driver's
  scsi_host_template (bsc#1161951 ltc#183551).
- scsi: ibmvfc: Clean up transport events (bsc#1161951
  ltc#183551).
- scsi: ibmvfc: Byte swap status and error codes when logging
  (bsc#1161951 ltc#183551).
- scsi: ibmvfc: Add failed PRLI to cmd_status lookup array
  (bsc#1161951 ltc#183551).
- scsi: ibmvfc: Remove "failed" from logged errors (bsc#1161951
  ltc#183551).
- scsi: ibmvscsi: change strncpy+truncation to strlcpy
  (bsc#1161951 ltc#183551).
- scsi: ibmvscsi: Improve strings handling (bsc#1161951
  ltc#183551).
  Refresh patches.suse/ibmvscsi-Protect-ibmvscsi_head-from-concurrent-modif.patch.
- scsi: ibmvfc: Remove unneeded semicolons (bsc#1161951
  ltc#183551).
- scsi: ibmvfc: ibmvscsi: ibmvscsi_tgt: constify vio_device_id
  (bsc#1161951 ltc#183551).
- scsi: ibmvfc: Do not call fc_block_scsi_eh() on host reset
  (bsc#1161951 ltc#183551).
- scsi: ibmvfc: constify dev_pm_ops structures (bsc#1161951
  ltc#183551).
- scsi: ibmvscsi: constify dev_pm_ops structures (bsc#1161951
  ltc#183551).
- commit 10127f3
* Fri Feb 28 2020 palcantara@suse.de
- Delete
  patches.suse/cifs-Fix-memory-allocation-in-__smb2_handle_cancelle.patch.
- commit ebf9604
* Fri Feb 28 2020 palcantara@suse.de
- Delete
  patches.suse/cifs-Fix-mount-options-set-in-automount.patch.
- commit 071871a
* Thu Feb 27 2020 tabraham@suse.com
- x86/kdump: Export the SME mask to vmcoreinfo (bsc#1141895).
- kdump, proc/vmcore: Enable kdumping encrypted memory with SME
  enabled (bsc#1141895).
- iommu/amd: Remap the IOMMU device table with the memory
  encryption mask for kdump (bsc#1141895).
- kexec: Allocate decrypted control pages for kdump if SME is
  enabled (bsc#1141895).
- x86/ioremap: Add an ioremap_encrypted() helper (bsc#1141895).
- commit 2f72905
* Thu Feb 27 2020 dwagner@suse.de
- scsi: qla2xxx: Update driver version to 10.01.00.24-k
  (bsc#1157424).
- scsi: qla2xxx: Use QLA_FW_STOPPED macro to propagate flag
  (bsc#1157424).
- scsi: qla2xxx: Add fixes for mailbox command (bsc#1157424).
- scsi: qla2xxx: Fix control flags for login/logout IOCB
  (bsc#1157424).
- scsi: qla2xxx: Save rscn_gen for new fcport (bsc#1157424).
- scsi: qla2xxx: Use correct ISP28xx active FW region
  (bsc#1157424).
- scsi: qla2xxx: Print portname for logging in
  qla24xx_logio_entry() (bsc#1157424).
- scsi: qla2xxx: Fix qla2x00_echo_test() based on ISP type
  (bsc#1157424).
- scsi: qla2xxx: Correction to selection of loopback/echo test
  (bsc#1157424).
- scsi: qla2xxx: Use endian macros to assign static fields in
  fwdump header (bsc#1157424).
- scsi: qla2xxx: Fix RDP response size (bsc#1157424).
- scsi: qla2xxx: Handle cases for limiting RDP response payload
  length (bsc#1157424).
- scsi: qla2xxx: Add deferred queue for processing ABTS and RDP
  (bsc#1157424).
- scsi: qla2xxx: Cleanup ELS/PUREX iocb fields (bsc#1157424).
- scsi: qla2xxx: Show correct port speed capabilities for RDP
  command (bsc#1157424).
- scsi: qla2xxx: Display message for FCE enabled (bsc#1157424).
- scsi: qla2xxx: Add vendor extended FDMI commands (bsc#1157424).
- scsi: qla2xxx: Add ql2xrdpenable module parameter for RDP
  (bsc#1157424).
- scsi: qla2xxx: Add vendor extended RDP additions and amendments
  (bsc#1157424).
- scsi: qla2xxx: Add changes in preparation for vendor extended
  FDMI/RDP (bsc#1157424).
- scsi: qla2xxx: Add endianizer macro calls to fc host stats
  (bsc#1157424).
- scsi: qla2xxx: Add sysfs node for D-Port Diagnostics AEN data
  (bsc#1157424).
- scsi: qla2xxx: Move free of fcport out of interrupt context
  (bsc#1157424).
- scsi: qla2xxx: Add beacon LED config sysfs interface
  (bsc#1157424).
- scsi: qla2xxx: Check locking assumptions at runtime in
  qla2x00_abort_srb() (bsc#1157424).
- scsi: tcm_qla2xxx: Make qlt_alloc_qfull_cmd() set
  cmd->se_cmd.map_tag (bsc#1157424).
- commit 40e61ec
* Thu Feb 27 2020 oneukum@suse.com
- blacklist.conf: we don't have support for this feature
- commit d5d6a5e
* Thu Feb 27 2020 jslaby@suse.cz
- net: sch_prio: When ungrafting, replace with FIFO
  (networking-stable-20_01_11).
- pkt_sched: fq: do not accept silly TCA_FQ_QUANTUM
  (networking-stable-20_01_11).
- net: stmmac: dwmac-sunxi: Allow all RGMII modes
  (networking-stable-20_01_11).
- net: usb: lan78xx: fix possible skb leak
  (networking-stable-20_01_11).
- vlan: vlan_changelink() should propagate errors
  (networking-stable-20_01_11).
- vlan: fix memory leak in vlan_dev_set_egress_priority
  (networking-stable-20_01_11).
- net: dsa: mv88e6xxx: Preserve priority when setting CPU port
  (networking-stable-20_01_11).
- sctp: free cmd->obj.chunk for the unprocessed SCTP_CMD_REPLY
  (networking-stable-20_01_11).
- vxlan: fix tos value before xmit (networking-stable-20_01_11).
- tcp: fix "old stuff" D-SACK causing SACK to be treated as D-SACK
  (networking-stable-20_01_11).
- commit d611396
* Wed Feb 26 2020 msuchanek@suse.de
- rpm/package-descriptions: garbege collection
  remove old ARM and Xen flavors.
- commit bda0360
* Wed Feb 26 2020 mhocko@suse.com
- Created new preempt kernel flavor (jsc#SLE-11309)
  Configs are cloned from the respective $arch/default configs. All
  changed configs appart from CONFIG_PREEMPT->y are a result of
  dependencies, namely many lock/unlock primitives are no longer
  inlined in the preempt kernel. TREE_RCU has been also changed to
  PREEMPT_RCU which is the default implementation for PREEMPT kernel.
- commit f994874
* Tue Feb 25 2020 oneukum@suse.com
- thunderbolt: Prevent crash if non-active NVMem file is read
  (git-fixes).
- commit de443bc
* Tue Feb 25 2020 oneukum@suse.com
- USB: quirks: blacklist duplicate ep on Sound Devices USBPre2
  (git-fixes).
- commit 59238ae
* Tue Feb 25 2020 oneukum@suse.com
- USB: core: add endpoint-blacklist quirk (git-fixes).
- commit ce70381
* Tue Feb 25 2020 oneukum@suse.com
- tools lib traceevent: Do not free tep->cmdlines in
  add_new_comm() on failure (git-fixes).
- commit efe8520
* Tue Feb 25 2020 meissner@suse.de
- sign also s390x kernel images (bsc#1163524)
- commit b38b611
* Tue Feb 25 2020 jroedel@suse.de
- KVM: nVMX: Check IO instruction VM-exit conditions
  (CVE-2020-2732 bsc#1163971).
- KVM: nVMX: Refactor IO bitmap checks into helper function
  (CVE-2020-2732 bsc#1163971).
- KVM: nVMX: Don't emulate instructions in guest mode
  (CVE-2020-2732 bsc#1163971).
- commit 4072fcf
* Tue Feb 25 2020 jslaby@suse.cz
- net: sched: correct flower port blocking (git-fixes).
- PCI/IOV: Fix memory leak in pci_iov_add_virtfn() (git-fixes).
- commit 4e2d8d7
* Tue Feb 25 2020 jslaby@suse.cz
- blacklist.conf: add one arm 32b specific
- commit 23ff630
* Tue Feb 25 2020 jgross@suse.com
- KVM: x86: Protect pmu_intel.c from Spectre-v1/L1TF attacks
  (bsc#1164735).
- commit 0e55d38
* Tue Feb 25 2020 jgross@suse.com
- KVM: x86: Protect DR-based index computations from
  Spectre-v1/L1TF attacks (bsc#1164734).
- commit 0e64a59
* Tue Feb 25 2020 jgross@suse.com
- KVM: x86: Protect MSR-based index computations from
  Spectre-v1/L1TF attacks in x86.c (bsc#1164733).
- commit 7544761
* Tue Feb 25 2020 jgross@suse.com
- KVM: x86: Protect MSR-based index computations in pmu.h from
  Spectre-v1/L1TF attacks (bsc#1164732).
- commit a0cd2f6
* Tue Feb 25 2020 jgross@suse.com
- KVM: x86: Protect MSR-based index computations in
  fixed_msr_to_seg_unit() from Spectre-v1/L1TF attacks
  (bsc#1164731).
- commit ffbe4dd
* Tue Feb 25 2020 jgross@suse.com
- KVM: x86: Protect kvm_lapic_reg_write() from Spectre-v1/L1TF
  attacks (bsc#1164730).
- commit 595de19
* Tue Feb 25 2020 jgross@suse.com
- KVM: x86: Protect ioapic_write_indirect() from Spectre-v1/L1TF
  attacks (bsc#1164729).
- commit 88aaa8f
* Tue Feb 25 2020 jgross@suse.com
- KVM: x86: Protect ioapic_read_indirect() from Spectre-v1/L1TF
  attacks (bsc#1164728).
- commit 89d1eeb
* Tue Feb 25 2020 jgross@suse.com
- KVM: x86: Refactor picdev_write() to prevent Spectre-v1/L1TF
  attacks (bsc#1164727).
- commit 1fb413b
* Tue Feb 25 2020 mkubecek@suse.cz
- config: enable BLK_DEV_SR_VENDOR on armv7hl (bsc#1164632)
  This option was recently enabled in all SLE15-SP1 configs, enable it also
  for armv7hl, which is built only in openSUSE-15.1.
- commit 033ff98
* Tue Feb 25 2020 jgross@suse.com
- KVM: x86: Protect kvm_hv_msr_[get|set]_crash_data() from
  Spectre-v1/L1TF attacks (bsc#1164712).
- commit 9b26318
* Tue Feb 25 2020 jgross@suse.com
- KVM: x86: Protect x86_decode_insn from Spectre-v1/L1TF attacks
  (bsc#1164705).
- commit e11c3a6
* Tue Feb 25 2020 jgross@suse.com
- KVM: fix spectrev1 gadgets (bsc#1164705).
- commit b8ac5b0
* Mon Feb 24 2020 msuchanek@suse.de
- sr_vendor: support Beurer GL50 evo CD-on-a-chip devices
  (boo#1164632).
- cdrom: respect device capabilities during opening action
  (boo#1164632).
- commit 913b040
* Mon Feb 24 2020 msuchanek@suse.de
- Enable CONFIG_BLK_DEV_SR_VENDOR (boo#1164632).
- commit f9c5f12
* Mon Feb 24 2020 jgross@suse.com
- xen: Enable interrupts when calling _cond_resched()
  (bsc#1065600).
- commit e03f560
* Mon Feb 24 2020 jack@suse.cz
- patches.suse/ext4-Fix-mount-failure-with-quota-configured-as-modu.patch:
  Update tags
- commit 2979de9
* Mon Feb 24 2020 ohering@suse.de
- hv_netvsc: Fix unwanted rx_table reset (bsc#1164598).
- hv_netvsc: Fix tx_table init in rndis_set_subchannel()
  (bsc#1164598).
- hv_netvsc: Fix send_table offset in case of a host bug
  (bsc#1164598).
- hv_netvsc: Fix offset usage in netvsc_send_table()
  (bsc#1164598).
- commit ca7cb76
* Mon Feb 24 2020 ptesarik@suse.cz
- Refresh
  patches.suse/powerpc-tm-Fix-clearing-MSR-TS-in-current-when-recla.patch.
- commit dc675ff
* Mon Feb 24 2020 dkirjanov@suse.com
- ext4: fix mount failure with quota configured as module
  (bsc#1164471).
- Refresh
  patches.suse/powerpc-papr_scm-Don-t-enable-direct-map-for-a-regio.patch.
- Refresh
  patches.suse/powerpc-pseries-lparcfg-Fix-display-of-Maximum-Memor.patch.
- commit 4dcda30
* Sun Feb 23 2020 colyli@suse.de
- md/raid0: Fix buffer overflow at debug print (bsc#1164051).
- commit 7a0a649
* Sun Feb 23 2020 mkubecek@suse.cz
- net: add sendmsg_locked and sendpage_locked to af_inet6
  (bsc#1144162).
- commit 70def10
* Fri Feb 21 2020 dbueso@suse.de
- Revert "locking/pvqspinlock: Don't wait if vCPU is preempted"
  (bsc#1050549).
- lcoking/rwsem: Add missing ACQUIRE to read_slowpath sleep loop
  (bsc#1050549).
- locking/rwsem: Prevent decrement of reader count before
  increment (bsc#1050549).
- commit 42325b1
* Fri Feb 21 2020 dbueso@suse.de
- Refresh
  patches.suse/0001-sched-wake_q-Reduce-reference-counting-for-special-u.patch.
- commit 7ead2fe
* Fri Feb 21 2020 nstange@suse.de
- kABI: restore debugfs_remove_recursive() (bsc#1159198).
- commit fc14e27
* Fri Feb 21 2020 nstange@suse.de
- simple_recursive_removal(): kernel-side rm -rf for ramfs-style
  filesystems (bsc#1159198 CVE-2019-19770).
- Import upstream commit.
- Refresh patches.kabi/debugfs-kabi-fix-d_fsdata-semantics.patch.
- Refresh
  patches.kabi/debugfs-kabi-provide-removal-prot-comp-wrappers.patch.
- commit 894cecb
* Fri Feb 21 2020 jack@suse.cz
- ext4: Fix mount failure with quota configured as module
  (bsc#1164471).
- commit 1342bf2
* Fri Feb 21 2020 nstange@suse.de
- debugfs: simplify __debugfs_remove_file() (bsc#1159198).
  Prerequisite for bsc#1159198.
- commit c322f62
* Fri Feb 21 2020 nstange@suse.de
- debugfs: debugfs_use_start/finish do not exist anymore (bsc#1159198).
  Prerequisite for bsc#1159198.
- commit 177be0c
* Fri Feb 21 2020 nstange@suse.de
- debugfs: fix debugfs_real_fops() build error (bsc#1159198 bsc#1109911).
  Prerequisite for bsc#1159198.
- commit 4faee88
* Thu Feb 20 2020 nstange@suse.de
- kABI: fixes for debugfs per-file removal protection backports
  (bsc#1159198 bsc#1109911).
  Work around kABI issues introduced by backporting the debugfs per-file
  removal protection series as a prerequisite for bsc#1159198.
- commit b74ed75
* Thu Feb 20 2020 oneukum@suse.com
- ALSA: hda/realtek - Fix silent output on MSI-GL73 (git-fixes).
- commit 741e612
* Thu Feb 20 2020 oneukum@suse.com
- ALSA: usb-audio: Apply sample rate quirk for Audioengine D1
  (git-fixes).
- commit 079b347
* Thu Feb 20 2020 nstange@suse.de
- debugfs: defer debugfs_fsdata allocation to first usage
  (bsc#1159198 bsc#1109911).
  Prerequisite for bsc#1159198.
- commit 2e4e624
* Thu Feb 20 2020 nstange@suse.de
- debugfs: call debugfs_real_fops() only after debugfs_file_get()
  (bsc#1159198 bsc#1109911).
  Prerequisite for bsc#1159198.
- commit 2b2f352
* Thu Feb 20 2020 nstange@suse.de
- debugfs: purge obsolete SRCU based removal protection (bsc#1159198
  bsc#1109911).
  Prerequisite for bsc#1159198.
- blacklist.conf: remove commit, the kABI breakage analyzed in bsc#1109911
    will be worked around in a follow-up patch.
- Import upstream commit.
- commit 6f86d26
* Thu Feb 20 2020 nstange@suse.de
- IB/hfi1: convert to debugfs_file_get() and -put() (bsc#1159198
  bsc#1109911).
  Prerequisite for bsc#1159198.
- commit c35ebaf
* Thu Feb 20 2020 nstange@suse.de
- debugfs: convert to debugfs_file_get() and -put() (bsc#1159198
  bsc#1109911).
  Prerequisite for bsc#1159198.
- blacklist.conf: remove commit, the kABI breakage analyzed in bsc#1109911
    will be worked around in a follow-up patch.
- Import upstream commit.
- commit a849b1f
* Thu Feb 20 2020 nstange@suse.de
- debugfs: debugfs_real_fops(): drop __must_hold sparse annotation
  (bsc#1159198 bsc#1109911).
  Prerequisite for bsc#1159198.
- commit e72f387
* Thu Feb 20 2020 nstange@suse.de
- debugfs: implement per-file removal protection (bsc#1159198 bsc#1109911).
  Prerequisite for bsc#1159198.
- blacklist.conf: remove commit, the kABI breakage analyzed in bsc#1109911
    will be worked around in a follow-up patch.
- Import upstream commit.
- commit 9ac6fb5
* Thu Feb 20 2020 mbrugger@suse.com
- ata: ahci: Add shutdown to freeze hardware resources of ahci
  (bsc#1164388).
- commit 5534a25
* Thu Feb 20 2020 nstange@suse.de
- debugfs: add support for more elaborate ->d_fsdata (bsc#1159198
  bsc#1109911).
  Prerequisite for bsc#1159198.
- Import upstream commit.
- Refresh
  patches.suse/debugfs-fix-use-after-free-on-symlink-traversal.patch.
  Refresh patches.suse/debugfs-fix-use-after-free-on-symlink-traversal.patch
- commit 4cbdd41
* Wed Feb 19 2020 msuchanek@suse.de
- powerpc/tm: Fix clearing MSR[TS] in current when reclaiming
  on signal delivery (bsc#1118338 ltc#173734).
- commit d457b83
* Wed Feb 19 2020 tiwai@suse.de
- ASoC: sun8i-codec: Fix setting DAI data format (git-fixes).
- ALSA: hda: Use scnprintf() for printing texts for sysfs/procfs
  (git-fixes).
- ALSA: seq: Fix concurrent access to queue current tick/time
  (git-fixes).
- ALSA: seq: Avoid concurrent access to queue flags (git-fixes).
- commit 64b5055
* Wed Feb 19 2020 mbrugger@suse.com
- iommu/io-pgtable-arm: Fix race handling in split_blk_unmap()
  (bsc#1164115).
- commit 5db87c0
* Wed Feb 19 2020 mkoutny@suse.com
- blacklist.conf: Add 84029fd04c20 memcg: account security cred as well to kmemcg
- commit ba988c9
* Wed Feb 19 2020 jroedel@suse.de
- blacklist.conf: Add 3 Documentation fixes
- commit da664f9
* Wed Feb 19 2020 jroedel@suse.de
- perf/x86/intel: Fix inaccurate period in context switch for
  auto-reload (bsc#1164315).
- iommu/arm-smmu-v3: Populate VMID field for CMDQ_OP_TLBI_NH_VA
  (bsc#1164314).
- commit a1c01aa
* Wed Feb 19 2020 oneukum@suse.com
- rtlwifi: Remove redundant semicolon in wifi.h (git-fixes).
- commit a4f35ff
* Wed Feb 19 2020 oneukum@suse.com
- rtlwifi: Fix MAX MPDU of VHT capability (git-fixes).
- commit 6e75344
* Wed Feb 19 2020 jack@suse.cz
- ext4: fix support for inode sizes > 1024 bytes (bsc#1164284).
- commit 9a6f837
* Wed Feb 19 2020 mbenes@suse.cz
- ftrace: Protect ftrace_graph_hash with ftrace_sync (git-fixes).
- commit a805af5
* Wed Feb 19 2020 mbenes@suse.cz
- tracing: Annotate ftrace_graph_notrace_hash pointer with __rcu
  (git-fixes).
- commit 186221c
* Wed Feb 19 2020 mbenes@suse.cz
- tracing: Annotate ftrace_graph_hash pointer with __rcu
  (git-fixes).
- commit fa90098
* Tue Feb 18 2020 msuchanek@suse.de
- powerpc: avoid adjusting memory_limit for capture kernel memory
  reservation (bsc#1140025 ltc#176086).
- powerpc: reserve memory for capture kernel after hugepages init
  (bsc#1140025 ltc#176086).
- commit 65946b0
* Tue Feb 18 2020 dwagner@suse.de
- nvme: fix the parameter order for nvme_get_log in
  nvme_get_fw_slot_info (bsc#1163774).
- commit b4f028e
* Tue Feb 18 2020 mbenes@suse.cz
- blacklist.conf: b527b638fd63 ("tracing: Simplify assignment parsing for hist triggers")
  There are many upstream prerequisities missing in our 4.12 based
  kernels. Backporting is not worth it.
- commit 401162b
* Tue Feb 18 2020 oneukum@suse.com
- media: pulse8-cec: fix lost cec_transmit_attempt_done() call.
- commit 33cffe3
* Tue Feb 18 2020 oneukum@suse.com
- blacklist.conf: this patch is not a bugfix
- commit 2e9866d
* Tue Feb 18 2020 oneukum@suse.com
- media: cec: CEC 2.0-only bcast messages were ignored
  (git-fixes).
- commit b87555d
* Tue Feb 18 2020 jgross@suse.com
- xen/balloon: Support xend-based toolstack take two
  (bsc#1065600).
- commit 1484fe9
* Tue Feb 18 2020 oneukum@suse.com
- media: exynos4-is: fix wrong mdev and v4l2 dev order in error
  path (git-fixes).
- commit d926c05
* Tue Feb 18 2020 oneukum@suse.com
- media: ov6650: Fix incorrect use of JPEG colorspace (git-fixes).
- commit 466ec16
* Tue Feb 18 2020 mbenes@suse.cz
- ftrace: Add comment to why rcu_dereference_sched() is open coded
  (git-fixes).
- commit 6753e32
* Tue Feb 18 2020 oneukum@suse.com
- media: ov6650: Fix crop rectangle alignment not passed back
  (git-fixes).
- commit 33b236c
* Tue Feb 18 2020 mbenes@suse.cz
- tracing: Fix tracing_stat return values in error handling paths
  (git-fixes).
- commit 1687eca
* Tue Feb 18 2020 oneukum@suse.com
- blacklist.conf: dcmi driver included in v5.2
- commit d83c1bc
* Tue Feb 18 2020 mbenes@suse.cz
- tracing: Fix very unlikely race of registering two stat tracers
  (git-fixes).
- commit 3a9d1a9
* Tue Feb 18 2020 mhocko@suse.com
- genirq/proc: Return proper error code when irq_set_affinity()
  fails (bnc#1105392).
- commit 5396ae9
* Tue Feb 18 2020 tiwai@suse.de
- rtc: cmos: Stop using shared IRQ (bsc#1051510).
- rtc: hym8563: Return -EINVAL if the time is known to be invalid
  (bsc#1051510).
- power: supply: ltc2941-battery-gauge: fix use-after-free
  (bsc#1051510).
- usb: gadget: legacy: set max_speed to super-speed (bsc#1051510).
- mmc: spi: Toggle SPI polarity, do not hardcode it (bsc#1051510).
- mtd: fix mtd_oobavail() incoherent returned value (bsc#1051510).
- commit f59a732
* Tue Feb 18 2020 tiwai@suse.de
- mfd: rn5t618: Mark ADC control register volatile (bsc#1051510).
- mfd: da9062: Fix watchdog compatible string (bsc#1051510).
- mfd: dln2: More sanity checking for endpoints (bsc#1051510).
- media/v4l2-core: set pages dirty upon releasing DMA buffers
  (bsc#1051510).
- commit 348c38a
* Tue Feb 18 2020 mbrugger@suse.com
- arm64: Revert support for execute-only user mappings
  (bsc#1160218).
- commit fdd58cc
* Tue Feb 18 2020 jack@suse.cz
- blk-mq: make sure that line break can be printed (bsc#1164098).
- commit 03f5b58
* Tue Feb 18 2020 petr.pavlu@suse.com
- cifs: fix mount option display for sec=krb5i (bsc#1161907).
- commit ee5b687
* Tue Feb 18 2020 jack@suse.cz
- ext4: add cond_resched() to ext4_protect_reserved_inode
  (bsc#1164069 CVE-2020-8992).
- commit a5af463
* Tue Feb 18 2020 jack@suse.cz
- ext4: add cond_resched() to ext4_protect_reserved_inode
  (bsc#1164069 CVE-2020-8992).
- commit 9b8a49c
* Tue Feb 18 2020 colyli@suse.de
- bcache: remove macro nr_to_fifo_front() (bsc#1163762).
- bcache: Revert "bcache: shrink btree node cache after
  bch_btree_check()" (bsc#1163762, bsc#1112504).
- bcache: ignore pending signals when creating gc and allocator
  thread (bsc#1163762, bsc#1112504).
- bcache: check return value of prio_read() (bsc#1163762).
- bcache: fix incorrect data type usage in btree_flush_write()
  (bsc#1163762).
- bcache: add readahead cache policy options via sysfs interface
  (bsc#1163762).
- bcache: explicity type cast in bset_bkey_last() (bsc#1163762).
- bcache: fix memory corruption in bch_cache_accounting_clear()
  (bsc#1163762).
- bcache: reap from tail of c->btree_cache in bch_mca_scan()
  (bsc#1163762).
- bcache: reap c->btree_cache_freeable from the tail in
  bch_mca_scan() (bsc#1163762).
- bcache: remove member accessed from struct btree (bsc#1163762).
- bcache: print written and keys in trace_bcache_btree_write
  (bsc#1163762).
- bcache: avoid unnecessary btree nodes flushing in
  btree_flush_write() (bsc#1163762).
- bcache: add code comments for state->pool in __btree_sort()
  (bsc#1163762).
- lib: crc64: include <linux/crc64.h> for 'crc64_be'
  (bsc#1163762).
- bcache: don't export symbols (bsc#1163762).
- bcache: remove the extra cflags for request.o (bsc#1163762).
- bcache: at least try to shrink 1 node in bch_mca_scan()
  (bsc#1163762).
- bcache: add idle_max_writeback_rate sysfs interface
  (bsc#1163762).
- bcache: add code comments in bch_btree_leaf_dirty()
  (bsc#1163762).
- bcache: fix deadlock in bcache_allocator (bsc#1163762).
- bcache: add code comment bch_keylist_pop() and
  bch_keylist_pop_front() (bsc#1163762).
- bcache: deleted code comments for dead code in
  bch_data_insert_keys() (bsc#1163762).
- bcache: add more accurate error messages in read_super()
  (bsc#1163762).
- bcache: fix static checker warning in bcache_device_free()
  (bsc#1163762).
- bcache: fix a lost wake-up problem caused by
  mca_cannibalize_lock (bsc#1163762).
- closures: fix a race on wakeup from closure_sync (bsc#1163762).
- bcache: Fix an error code in bch_dump_read() (bsc#1163762).
- bcache: add cond_resched() in __bch_cache_cmp() (bsc#1163762).
- commit 584e3b9
* Mon Feb 17 2020 bp@suse.de
- percpu: Separate decrypted varaibles anytime encryption can
  be enabled (bsc#1114279).
- commit d7f180a
* Mon Feb 17 2020 tiwai@suse.de
- iwlwifi: don't throw error when trying to remove IGTK
  (bsc#1051510).
- clk: tegra: Mark fuse clock as critical (bsc#1051510).
- iwlwifi: mvm: fix NVM check for 3168 devices (bsc#1051510).
- commit e5e99fa
* Mon Feb 17 2020 tiwai@suse.de
- ACPI: video: Do not export a non working backlight interface
  on MSI MS-7721 boards (bsc#1051510).
- ACPI: PM: Avoid attaching ACPI PM domain to certain devices
  (bsc#1051510).
- ACPI / video: Add force_none quirk for Dell OptiPlex 9020M
  (bsc#1051510).
- commit 2db9dbe
* Mon Feb 17 2020 bp@suse.de
- x86/resctrl: Fix a deadlock due to inaccurate reference
  (bsc#1112178).
- commit 84f8fd4
* Mon Feb 17 2020 bp@suse.de
- x86/resctrl: Fix use-after-free due to inaccurate refcount of
  rdtgroup (bsc#1112178).
- commit eb43bbd
* Mon Feb 17 2020 bp@suse.de
- x86/intel_rdt: Split resource group removal in two
  (bsc#1112178).
- commit 783169e
* Mon Feb 17 2020 jack@suse.cz
- ext4: validate the debug_want_extra_isize mount option at
  parse time (bsc#1163897).
- commit 852350e
* Mon Feb 17 2020 jack@suse.cz
- jbd2: move the clearing of b_modified flag to the
  journal_unmap_buffer() (bsc#1163880).
- commit ccab1d7
* Mon Feb 17 2020 jack@suse.cz
- blacklist.conf: ee1438ce5dc4
- commit b5c0cdd
* Mon Feb 17 2020 jack@suse.cz
- reiserfs: Fix spurious unlock in reiserfs_fill_super() error
  handling (bsc#1163869).
- commit bfe8b1a
* Mon Feb 17 2020 jack@suse.cz
- reiserfs: Fix memory leak of journal device string
  (bsc#1163867).
- commit 7d69390
* Mon Feb 17 2020 jack@suse.cz
- blacklist.conf: blacklist d9e9866803f7
- commit 06fed08
* Mon Feb 17 2020 jack@suse.cz
- jbd2: make sure ESHUTDOWN to be recorded in the journal
  superblock (bsc#1163863).
- commit 32d62a9
* Mon Feb 17 2020 jack@suse.cz
- jbd2: clear JBD2_ABORT flag before journal_reset to update
  log tail info when load journal (bsc#1163862).
- commit b4faecd
* Mon Feb 17 2020 jack@suse.cz
- ext4: check for directory entries too close to block end
  (bsc#1163861).
- commit 363ae0b
* Mon Feb 17 2020 jack@suse.cz
- jbd2: Fix possible overflow in jbd2_log_space_left()
  (bsc#1163860).
- commit 4ee815d
* Mon Feb 17 2020 jack@suse.cz
- ext2: check err when partial != NULL (bsc#1163859).
- commit a4dfbe9
* Mon Feb 17 2020 jack@suse.cz
- quota: Check that quota is not dirty before release
  (bsc#1163858).
- commit 193c9c4
* Mon Feb 17 2020 jack@suse.cz
- quota: fix livelock in dquot_writeback_dquots (bsc#1163857).
- commit 742d697
* Mon Feb 17 2020 jack@suse.cz
- ubifs: Fix deadlock in concurrent bulk-read and writepage
  (bsc#1163856).
- commit cb8805b
* Mon Feb 17 2020 jack@suse.cz
- ubifs: Fix FS_IOC_SETFLAGS unexpectedly clearing encrypt flag
  (bsc#1163855).
- commit 6d7263f
* Mon Feb 17 2020 jack@suse.cz
- ext4, jbd2: ensure panic when aborting with zero errno
  (bsc#1163853).
- commit 30e3b66
* Mon Feb 17 2020 jack@suse.cz
- jbd2: switch to use jbd2_journal_abort() when failed to submit
  the commit record (bsc#1163852).
- commit 4a36f33
* Mon Feb 17 2020 jack@suse.cz
- namei: only return -ECHILD from follow_dotdot_rcu()
  (bsc#1163851).
- commit cc84f5e
* Mon Feb 17 2020 jack@suse.cz
- ubifs: don't trigger assertion on invalid no-key filename
  (bsc#1163850).
- commit 482c360
* Mon Feb 17 2020 jack@suse.cz
- chardev: Avoid potential use-after-free in 'chrdev_open()'
  (bsc#1163849).
- blacklist.conf: Blacklist e39e773ad100
- commit 6f10f70
* Mon Feb 17 2020 jack@suse.cz
- fscrypt: don't set policy for a dead directory (bsc#1163846).
- commit 17aba2b
* Mon Feb 17 2020 jack@suse.cz
- fs/open.c: allow opening only regular files during execve()
  (bsc#1163845).
- commit 21f5522
* Mon Feb 17 2020 jack@suse.cz
- ubifs: Reject unsupported ioctl flags explicitly (bsc#1163844).
- commit 032e2ac
* Mon Feb 17 2020 jack@suse.cz
- ext4: improve explanation of a mount failure caused by a
  misconfigured kernel (bsc#1163843).
- commit ffbc7e8
* Mon Feb 17 2020 jack@suse.cz
- ext4: fix deadlock allocating crypto bounce page from mempool
  (bsc#1163842).
- commit 5020620
* Mon Feb 17 2020 jack@suse.cz
- ext4: fix a bug in ext4_wait_for_tail_page_commit (bsc#1163841).
- commit b6a4e50
* Mon Feb 17 2020 jack@suse.cz
- blk-mq: avoid sysfs buffer overflow with too many CPU cores
  (bsc#1163840).
- commit b4154f1
* Mon Feb 17 2020 jack@suse.cz
- jbd2: do not clear the BH_Mapped flag when forgetting a metadata
  buffer (bsc#1163836).
- commit 62ee02f
* Mon Feb 17 2020 jack@suse.cz
- ext4: fix checksum errors with indexed dirs (bsc#1160979).
- commit cb994c0
* Mon Feb 17 2020 tiwai@suse.de
- hwmon: (pmbus/ltc2978) Fix PMBus polling of MFR_COMMON
  definitions (bsc#1051510).
- commit fb43633
* Mon Feb 17 2020 tzimmermann@suse.de
- pxa168fb: Fix the function used to release some memory in an error (bsc#1114279)
- commit 7d1adcc
* Mon Feb 17 2020 firo.yang@suse.com
- enic: prevent waking up stopped tx queues over watchdog reset
  (bsc#1133147).
- commit a4c03e7
* Mon Feb 17 2020 jslaby@suse.cz
- vt: selection, close sel_buffer race (bnc#1162928
  CVE-2020-8648).
- vt: selection, handle pending signals in paste_selection
  (bnc#1162928 CVE-2020-8648).
- commit f036703
* Fri Feb 14 2020 acho@suse.com
- net: ipv4: Add extack messages for route add failures
  (bsc#1152107 CVE-2019-16746).
- Refresh
  patches.suse/net-add-extack-arg-to-lwtunnel-build-state.patch.
- commit ae7f192
* Fri Feb 14 2020 acho@suse.com
- Fix kABI breakage by nl80211 security fix (bsc#1152107
  CVE-2019-16746).
- nl80211: validate beacon head (bsc#1152107 CVE-2019-16746).
- netlink: replace __NLA_ENSURE implementation (bsc#1152107
  CVE-2019-16746).
- netlink: add validation function to policy (bsc#1152107
  CVE-2019-16746).
- netlink: add attribute range validation to policy (bsc#1152107
  CVE-2019-16746).
- netlink: add nested array policy validation (bsc#1152107
  CVE-2019-16746).
- netlink: allow NLA_NESTED to specify nested policy to validate
  (bsc#1152107 CVE-2019-16746).
- netlink: move extack setting into validate_nla() (bsc#1152107
  CVE-2019-16746).
- netlink: make validation_data const (bsc#1152107
  CVE-2019-16746).
- netlink: add NLA_REJECT policy type (bsc#1152107
  CVE-2019-16746).
- netlink: Return extack message if attribute validation fails
  (bsc#1152107 CVE-2019-16746).
- commit fef0299
* Thu Feb 13 2020 tiwai@suse.de
- PCI/AER: Take reference on error devices (bsc#1161561).
- commit 48f6862
* Thu Feb 13 2020 tiwai@suse.de
- PCI/AER: Clear device status bits during ERR_COR handling
  (bsc#1161561).
- commit de5308d
* Thu Feb 13 2020 tiwai@suse.de
- Correct fallouts from previous AER/DPC fixes (bsc#1161561)
  Refreshed:
  patches.suse/PCI-AER-Clear-device-status-bits-during-ERR_FATAL-an.patch
  patches.suse/PCI-ERR-Run-error-recovery-callbacks-for-all-affecte.patch
  patches.suse/PCI-ERR-Use-slot-reset-if-available.patch
  patches.suse/PCI-Handle-error-return-from-pci_reset_bridge_second.patch
  patches.suse/pci-dpc-fix-print-aer-status-in-dpc-event-handling
- commit f1d0f65
* Thu Feb 13 2020 tiwai@suse.de
- PCI/ERR: Use slot reset if available (bsc#1161561).
- PCI/AER: Don't clear AER bits if error handling is
  Firmware-First (bsc#1161561).
- PCI/AER: Clear device status bits during ERR_FATAL and
  ERR_NONFATAL (bsc#1161561).
- PCI/AER: Factor out ERR_NONFATAL status bit clearing
  (bsc#1161561).
- PCI/AER: Clear only ERR_NONFATAL bits during non-fatal recovery
  (bsc#1161561).
- PCI/AER: Clear only ERR_FATAL status bits during fatal recovery
  (bsc#1161561).
- commit b0ede7b
* Thu Feb 13 2020 tiwai@suse.de
- PCI/ERR: Run error recovery callbacks for all affected devices
  (bsc#1161561).
- PCI/AER: Don't read upstream ports below fatal errors
  (bsc#1161561).
- commit e55bd3b
* Wed Feb 12 2020 jdelvare@suse.de
- ACPI / watchdog: Set default timeout in probe (bsc#1162557).
- ACPI: watchdog: Allow disabling WDAT at boot (bsc#1162557).
- watchdog: wdat_wdt: fix get_timeleft call for wdat_wdt
  (bsc#1162557).
- ACPI / watchdog: Fix init failure with overlapping register
  regions (bsc#1162557).
- commit 645ab77
* Wed Feb 12 2020 tabraham@suse.com
- stop_machine: Atomically queue and wake stopper threads
  (bsc#1088810, bsc#1161702).
- stop_machine: Disable preemption after queueing stopper threads
  (bsc#1088810, bsc#1161702).
- stop_machine: Disable preemption when waking two stopper threads
  (bsc#1088810, bsc#1161702).
- stop_machine, sched: Fix migrate_swap() vs. active_balance()
  deadlock (bsc#1088810, bsc#1161702).
- commit 01cba10
* Wed Feb 12 2020 tiwai@suse.de
- kconfig: fix broken dependency in randconfig-generated .config
  (bsc#1051510).
- clocksource: Prevent double add_timer_on() for watchdog_timer
  (bsc#1051510).
- soc/tegra: fuse: Correct straps' address for older Tegra124
  device trees (bsc#1051510).
- commit f9c40a6
* Tue Feb 11 2020 fdmanana@suse.com
- Btrfs: fix race between adding and putting tree mod seq elements
  and nodes (bsc#1163384).
- commit fe1bd86
* Tue Feb 11 2020 fdmanana@suse.com
- Btrfs: fix infinite loop during fsync after rename operations
  (bsc#1163383).
- commit 23d4a74
* Mon Feb 10 2020 bp@suse.de
- x86/resctrl: Fix a deadlock due to inaccurate reference
  (bsc#1112178).
- commit 3a9e034
* Mon Feb 10 2020 msuchanek@suse.de
- powerpc/papr_scm: Fix leaking 'bus_desc.provider_name' in some
  paths (FATE#327775 bsc#1142685 ltc#179509).
- commit 1db3933
* Mon Feb 10 2020 lyan@suse.com
- KVM: Clean up __kvm_gfn_to_hva_cache_init() and its callers
  (bsc#1133021).
- commit b97d849
* Mon Feb 10 2020 msuchanek@suse.de
- powerpc/pseries/vio: Fix iommu_table use-after-free refcount
  warning (bsc#1065729).
- powerpc/pseries: Advance pfn if section is not present in
  lmb_is_removable() (bsc#1065729).
- powerpc/pseries: Allow not having ibm,
  hypertas-functions::hcall-multi-tce for DDW (bsc#1065729).
- powerpc/pseries/hotplug-memory: Change rc variable to bool
  (bsc#1065729).
- commit bf415b5
* Mon Feb 10 2020 tiwai@suse.de
- Move upstreamed wireless fixes into sorted section
  Refreshed:
  patches.suse/libertas-Fix-two-buffer-overflows-at-parsing-bss-des.patch
  patches.suse/libertas-dont-exit-from-lbs_ibss_join_existing-with.patch
  patches.suse/libertas-make-lbs_ibss_join_existing-return-error.patch
  patches.suse/mwifiex-fix-unbalanced-locking-in-mwifiex_process_co.patch
- commit 42d5531
* Mon Feb 10 2020 msuchanek@suse.de
- Move unsortable patch out of sorted section.
- commit fff5ee3
* Mon Feb 10 2020 bp@suse.de
- x86/resctrl: Fix use-after-free due to inaccurate refcount of
  rdtgroup (bsc#1112178).
- x86/intel_rdt: Split resource group removal in two
  (bsc#1112178).
- commit 3cd8b17
* Mon Feb 10 2020 tiwai@suse.de
- hwmon: (k10temp) Add support for AMD family 17h, model 70h CPUs
  (bsc#1163206).
- x86/amd_nb: Add PCI device IDs for family 17h, model 70h
  (bsc#1163206).
- commit a669f82
* Sat Feb  8 2020 tiwai@suse.de
- drm/amd/display: Retrain dongles when SINK_COUNT becomes
  non-zero (bsc#1111666).
- commit 669f8c8
* Sat Feb  8 2020 tiwai@suse.de
- clk: qcom: rcg2: Don't crash if our parent can't be found;
  return an error (bsc#1051510).
- clk: sunxi-ng: add mux and pll notifiers for A64 CPU clock
  (bsc#1051510).
- commit 582d3c9
* Fri Feb  7 2020 mbenes@suse.cz
- livepatch/samples/selftest: Use klp_shadow_alloc() API correctly
  (bsc#1071995).
- commit 6ee55f9
* Fri Feb  7 2020 mbenes@suse.cz
- livepatch/selftest: Clean up shadow variable names and type
  (bsc#1071995).
- commit 79f67ba
* Fri Feb  7 2020 bp@suse.de
- x86/resctrl: Fix use-after-free when deleting resource groups
  (bsc#1114279).
- commit 34678c2
* Thu Feb  6 2020 tiwai@suse.de
- ALSA: hda: Reset stream if DMA RUN bit not cleared
  (bsc#1111666).
- commit ff94c1c
* Thu Feb  6 2020 tiwai@suse.de
- ALSA: hda: Clear RIRB status before reading WP (bsc#1111666).
- ALSA: hda/realtek - Fixed one of HP ALC671 platform Headset
  Mic supported (bsc#1111666).
- ALSA: dummy: Fix PCM format loop in proc output (bsc#1111666).
- ALSA: usb-audio: Fix endianess in descriptor validation
  (bsc#1111666).
- ALSA: hda: Add JasperLake PCI ID and codec vid (bsc#1111666).
- ALSA: hda/hdmi - Clean up Intel platform-specific fixup checks
  (bsc#1111666).
- ALSA: hda: hdmi - fix pin setup on Tigerlake (bsc#1111666).
- ALSA: hda: hdmi - add Tigerlake support (bsc#1111666).
- commit 12c2460
* Thu Feb  6 2020 oneukum@suse.com
- Refresh
  patches.suse/powerpc-mm-Remove-kvm-radix-prefetch-workaround-for-.patch.
- Refresh
  patches.suse/powerpc-xmon-don-t-access-ASDR-in-VMs.patch.
- commit 3993465
* Thu Feb  6 2020 chrubis@suse.cz
- rpm/kernel-binary.spec.in: Replace Novell with SUSE
- commit facfa17
* Thu Feb  6 2020 oneukum@suse.com
- USB: core: fix check for duplicate endpoints (git-fixes).
- commit 0c49080
* Thu Feb  6 2020 nborisov@suse.com
- btrfs: don't double lock the subvol_sem for rename exchange (bsc#1162943).
- commit ffaf953
* Thu Feb  6 2020 oneukum@suse.com
- usbip: Fix error path of vhci_recv_ret_submit() (git-fixes).
- commit 1990539
* Thu Feb  6 2020 oneukum@suse.com
- USB: EHCI: Do not return -EPIPE when hub is disconnected
  (git-fixes).
- commit 9120386
* Thu Feb  6 2020 mkoutny@suse.com
- blacklist.conf: Add "cgroup: Prevent double killing of css when enabling threaded cgroup"
- commit f0c71d3
* Thu Feb  6 2020 bp@suse.de
- x86/resctrl: Check monitoring static key in the MBM overflow
  handler (bsc#1114279).
- commit c0ced14
* Wed Feb  5 2020 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Conflict with too old powerpc-utils
  (jsc#ECO-920, jsc#SLE-11054, jsc#SLE-11322).
- commit 18f87bb
* Wed Feb  5 2020 tiwai@suse.de
- pwm: Remove set but not set variable 'pwm' (git-fixes).
- pwm: omap-dmtimer: Remove PWM chip in .remove before making
  it unfunctional (git-fixes).
- commit 0558b48
* Wed Feb  5 2020 tiwai@suse.de
- PCI: Add DMA alias quirk for Intel VCA NTB (bsc#1051510).
- Refresh
  patches.suse/0001-PCI-Vulcan-AHCI-PCI-bar-fix-for-Broadcom-Vulcan-earl.patch.
- commit d8dfb79
* Wed Feb  5 2020 tiwai@suse.de
- media: af9005: uninitialized variable printked (bsc#1051510).
- media: digitv: don't continue if remote control state can't
  be read (bsc#1051510).
- media: dvb-usb/dvb-usb-urb.c: initialize actlen to 0
  (bsc#1051510).
- media: gspca: zero usb_buf (bsc#1051510).
- staging: vt6656: Fix false Tx excessive retries reporting
  (bsc#1051510).
- staging: vt6656: use NULLFUCTION stack on mac80211
  (bsc#1051510).
- staging: vt6656: correct packet types for CTS protect, mode
  (bsc#1051510).
- Bluetooth: Fix race condition in hci_release_sock()
  (bsc#1051510).
- r8152: get default setting of WOL before initializing
  (bsc#1051510).
- wireless: wext: avoid gcc -O3 warning (bsc#1051510).
- mac80211: Fix TKIP replay protection immediately after key setup
  (bsc#1051510).
- wireless: fix enabling channel 12 for custom regulatory domain
  (bsc#1051510).
- mac80211: mesh: restrict airtime metric to peered established
  plinks (bsc#1051510).
- qmi_wwan: Add support for Quectel RM500Q (bsc#1051510).
- soc: ti: wkup_m3_ipc: Fix race condition with rproc_boot
  (bsc#1051510).
- clk: mmp2: Fix the order of timer mux parents (bsc#1051510).
- watchdog: rn5t618_wdt: fix module aliases (bsc#1051510).
- watchdog: max77620_wdt: fix potential build errors
  (bsc#1051510).
- usb-storage: Disable UAS on JMicron SATA enclosure
  (bsc#1051510).
- commit a1d8113
* Tue Feb  4 2020 oneukum@suse.com
- USB: serial: option: add support for Quectel RM500Q in QDL mode
  (git-fixes).
- commit 4942ac7
* Tue Feb  4 2020 oneukum@suse.com
- USB: serial: option: add ZLP support for 0x1bc7/0x9010
  (git-fixes).
- commit 65020b5
* Tue Feb  4 2020 oneukum@suse.com
- USB: serial: option: add Telit ME910G1 0x110a composition
  (git-fixes).
- commit 36d60ed
* Tue Feb  4 2020 oneukum@suse.com
- blacklist.conf: this patch would break access to some partitions as
  block devices
- commit e2a1e70
* Tue Feb  4 2020 oneukum@suse.com
- blacklist.conf: this would make device nodes go away
- commit d9d77ec
* Tue Feb  4 2020 oneukum@suse.com
- usb: roles: fix a potential use after free (git-fixes).
- commit 6d08d1a
* Tue Feb  4 2020 msuchanek@suse.de
- blacklist.conf: add inapplicable ppc commits
  6fbcdd59094a powerpc: Add barrier_nospec to raw_copy_in_user()
  - barrier is not on other archs
  - to branch on the data in kernel after copy_in_user touched it it must
  go through copy_from_user which already has the barrier
  0ed1325967ab mm/mmu_gather: invalidate TLB correctly on batch allocation
  failure and flush
  - some bits to support this are missing on 4.12
- commit c48521b
* Tue Feb  4 2020 jroedel@suse.de
- Documentation: Document arm64 kpti control (bsc#1162623).
- commit 41a59a1
* Tue Feb  4 2020 jroedel@suse.de
- blacklist.conf: Add 860dd4424f34 scsi: dma-mapping: always provide dma_get_cache_alignment
- commit e9d1bf6
* Tue Feb  4 2020 jroedel@suse.de
- KVM: SVM: Override default MMIO mask if memory encryption is
  enabled (bsc#1162618).
- x86/cpu: Update cached HLE state on write to
  TSX_CTRL_CPUID_CLEAR (bsc#1162619).
- iommu/amd: Fix IOMMU perf counter clobbering during init
  (bsc#1162617).
- commit 9b1186b
* Tue Feb  4 2020 jslaby@suse.cz
- udp: fix integer overflow while computing available space in
  sk_rcvbuf (networking-stable-20_01_01).
- gtp: avoid zero size hashtable (networking-stable-20_01_01).
- gtp: fix an use-after-free in ipv4_pdp_find()
  (networking-stable-20_01_01).
- gtp: fix wrong condition in gtp_genl_dump_pdp()
  (networking-stable-20_01_01).
- gtp: do not allow adding duplicate tid and ms_addr pdp context
  (networking-stable-20_01_01).
- tcp: do not send empty skb from tcp_write_xmit()
  (networking-stable-20_01_01).
- net: ena: fix napi handler misbehavior when the napi budget
  is zero (networking-stable-20_01_01).
- vhost/vsock: accept only packets with the right dst_cid
  (networking-stable-20_01_01).
- commit 02c1ea8
* Tue Feb  4 2020 jslaby@suse.cz
- net: dst: Force 4-byte alignment of dst_metrics
  (networking-stable-19_12_28).
- mod_devicetable: fix PHY module format
  (networking-stable-19_12_28).
- net: hisilicon: Fix a BUG trigered by wrong bytes_compl
  (networking-stable-19_12_28).
- net: nfc: nci: fix a possible sleep-in-atomic-context bug in
  nci_uart_tty_receive() (networking-stable-19_12_28).
- net: qlogic: Fix error paths in ql_alloc_large_buffers()
  (networking-stable-19_12_28).
- qede: Fix multicast mac configuration
  (networking-stable-19_12_28).
- net: usb: lan78xx: Fix suspend/resume PHY register access error
  (networking-stable-19_12_28).
- sctp: fully initialize v4 addr in some functions
  (networking-stable-19_12_28).
- commit 9e42803
* Mon Feb  3 2020 rgoldwyn@suse.com
- vfs: fix do_last() regression  (bsc#1162109,CVE-2020-8428).
- Update
  patches.suse/do_last-fetch-directory--i_mode-and--i_uid-before-its-too-late.patch
  (bsc#1162109,CVE-2020-8428).
- commit d5b0754
* Mon Feb  3 2020 dwagner@suse.de
- scsi: qla2xxx: Fix unbound NVME response length (bsc#1157966
  bsc#1158013 bsc#1157424).
- scsi: qla2xxx: Fix a NULL pointer dereference in an error path
  (bsc#1157966 bsc#1158013 bsc#1157424).
- commit 28fb5c5
* Mon Feb  3 2020 dwagner@suse.de
- Refresh series.conf
  The qla2xxx driver patches have been merged into mainline.
- commit 0a23420
* Mon Feb  3 2020 msuchanek@suse.de
- KVM: PPC: Book3S PR: Fix -Werror=return-type build failure
  (bsc#1061840).
- KVM: PPC: Book3S PR: Free shared page if mmu initialization
  fails (bsc#1061840).
- KVM: PPC: Book3S HV: Uninit vCPU if vcore creation fails
  (bsc#1061840).
- commit 198a374
* Sun Feb  2 2020 tiwai@suse.de
- drm/amdgpu: add function parameter description in
  'amdgpu_device_set_cg_state' (bsc#1111666).
- commit b67a662
* Sat Feb  1 2020 tiwai@suse.de
- PCI/switchtec: Fix vep_vector_number ioread width (bsc#1051510).
- PCI: Don't disable bridge BARs when assigning bus resources
  (bsc#1051510).
- media: uvcvideo: Avoid cyclic entity chains due to malformed
  USB descriptors (bsc#1051510).
- media: iguanair: fix endpoint sanity check (bsc#1051510).
- media: v4l2-rect.h: fix v4l2_rect_map_inside() top/left
  adjustments (bsc#1051510).
- lib/scatterlist.c: adjust indentation in __sg_alloc_table
  (bsc#1051510).
- lib/test_kasan.c: fix memory leak in kmalloc_oob_krealloc_more()
  (bsc#1051510).
- drm/vmwgfx: prevent memory leak in vmw_cmdbuf_res_add
  (bsc#1051510).
- drm/nouveau: Fix copy-paste error in
  nouveau_fence_wait_uevent_handler (bsc#1051510).
- drm/nouveau/secboot/gm20b: initialize pointer in
  gm20b_secboot_new() (bsc#1051510).
- drm: bridge: dw-hdmi: constify copied structure (bsc#1051510).
- drm/rockchip: lvds: Fix indentation of a #define (bsc#1051510).
- drm/amdgpu: remove set but not used variable 'amdgpu_connector'
  (bsc#1051510).
- drm/amdgpu: remove set but not used variable 'mc_shared_chmap'
  from 'gfx_v6_0.c' and 'gfx_v7_0.c' (bsc#1051510).
- drm/amdgpu: remove set but not used variable 'mc_shared_chmap'
  (bsc#1051510).
- drm/amdgpu: remove always false comparison in
  'amdgpu_atombios_i2c_process_i2c_ch' (bsc#1051510).
- drm/amdgpu: remove set but not used variable 'dig'
  (bsc#1051510).
- drm/amdgpu: remove set but not used variable 'dig_connector'
  (bsc#1051510).
- drm/amdgpu: add function parameter description in
  'amdgpu_gart_bind' (bsc#1051510).
- drm/amdgpu: remove 4 set but not used variable in
  amdgpu_atombios_get_connector_info_from_object_table
  (bsc#1051510).
- commit f2d241f
* Fri Jan 31 2020 rgoldwyn@suse.com
- Refresh patches.suse/new-helper-lookup_positive_unlocked.patch.
- commit fa97292
* Fri Jan 31 2020 rgoldwyn@suse.com
- fix autofs regression caused by follow_managed() changes
  (bsc#1159271).
- commit 7d4c0d2
* Fri Jan 31 2020 tiwai@suse.de
- drm: msm: mdp4: Adjust indentation in mdp4_dsi_encoder_enable
  (bsc#1111666).
- drm/amd/powerplay: remove set but not used variable 'us_mvdd'
  (bsc#1111666).
- drm/amdgpu: remove set but not used variable 'invalid'
  (bsc#1111666).
- drm/rect: update kerneldoc for drm_rect_clip_scaled()
  (bsc#1111666).
- drm/rect: Avoid division by zero (bsc#1111666).
- drm/ttm: ttm_tt_init_fields() can be static (bsc#1111666).
- commit 01df7ca
* Fri Jan 31 2020 tiwai@suse.de
- sh_eth: check sh_eth_cpu_data::dual_port when dumping registers
  (bsc#1051510).
- pstore/ram: Write new dumps to start of recycled zones
  (bsc#1051510).
- commit 10d7679
* Fri Jan 31 2020 tiwai@suse.de
- regulator: rk808: Lower log level on optional GPIOs being not
  available (bsc#1051510).
- blacklist.conf:
- regulator: Fix return value of _set_load() stub (bsc#1051510).
- commit 63f7749
* Fri Jan 31 2020 tiwai@suse.de
- serial: serial_core: Perform NULL checks for break_ctl ops
  (bsc#1051510).
- serial: ifx6x60: add missed pm_runtime_disable (bsc#1051510).
- serial: pl011: Fix DMA ->flush_buffer() (bsc#1051510).
- serial: stm32: fix transmit_chars when tx is stopped
  (bsc#1051510).
- commit 79cfc39
* Fri Jan 31 2020 tiwai@suse.de
- sh_eth: fix invalid context bug while changing link options
  by ethtool (bsc#1051510).
- sh_eth: fix invalid context bug while calling auto-negotiation
  by ethtool (bsc#1051510).
- sh_eth: fix TSU init on SH7734/R8A7740 (bsc#1051510).
- sh_eth: TSU_QTAG0/1 registers the same as TSU_QTAGM0/1
  (bsc#1051510).
- sh_eth: fix dumping ARSTR (bsc#1051510).
- sh_eth: fix TXALCR1 offsets (bsc#1051510).
- commit 5218c7d
* Fri Jan 31 2020 tiwai@suse.de
- soc: renesas: rcar-sysc: Add goto to of_node_put() before return
  (bsc#1051510).
- spi: tegra114: configure dma burst size to fifo trig level
  (bsc#1051510).
- spi: tegra114: flush fifos (bsc#1051510).
- spi: tegra114: terminate dma and reset on transfer timeout
  (bsc#1051510).
- spi: tegra114: fix for unpacked mode transfers (bsc#1051510).
- spi: tegra114: clear packed bit for unpacked mode (bsc#1051510).
- commit a78f464
* Fri Jan 31 2020 tiwai@suse.de
- tty: serial: msm_serial: Fix lockup for sysrq and oops
  (bsc#1051510).
- tty: vt: keyboard: reject invalid keycodes (bsc#1051510).
- tty: n_hdlc: fix build on SPARC (bsc#1051510).
- tty/serial: atmel: Add is_half_duplex helper (bsc#1051510).
- commit a836206
* Fri Jan 31 2020 tiwai@suse.de
- usb: host: xhci-hub: fix extra endianness conversion
  (bsc#1051510).
- usb: gadget: Zero ffs_io_data (bsc#1051510).
- commit a126de0
* Fri Jan 31 2020 tiwai@suse.de
- xhci: make sure interrupts are restored to correct state
  (bsc#1051510).
- xhci: fix USB3 device initiated resume race with roothub
  autosuspend (bsc#1051510).
- xhci: Fix memory leak in xhci_add_in_port() (bsc#1051510).
- commit c77f87a
* Thu Jan 30 2020 rgoldwyn@suse.com
- fs/namei.c: fix missing barriers when checking positivity
  (bsc#1159271).
- fix dget_parent() fastpath race  (bsc#1159271).
- new helper: lookup_positive_unlocked()  (bsc#1159271).
- fs/namei.c: pull positivity check into follow_managed()
  (bsc#1159271).
- commit 0b72b8a
* Thu Jan 30 2020 jack@suse.cz
- patches.kabi/libnvdimm-fix-devm_nsio_enable-kabi.patch: Fixup compiler
  warning
- commit 70b9535
* Thu Jan 30 2020 tiwai@suse.de
- blacklist.conf: Add reverted bridge patches
- commit 3751c4f
* Thu Jan 30 2020 tiwai@suse.de
- clocksource/drivers/bcm2835_timer: Fix memory leak of timer
  (bsc#1051510).
- commit 797ab37
* Thu Jan 30 2020 tiwai@suse.de
- 6pack,mkiss: fix possible deadlock (bsc#1051510).
- bonding: fix unexpected IFF_BONDING bit unset (bsc#1051510).
- bonding: fix potential NULL deref in bond_update_slave_arr
  (bsc#1051510).
- drivers/base/memory.c: don't access uninitialized memmaps in
  soft_offline_page_store() (bsc#1051510).
- ACPI / APEI: Switch estatus pool to use vmalloc memory
  (bsc#1051510).
- commit b76f5a0
* Thu Jan 30 2020 tiwai@suse.de
- pinctrl: cherryview: Fix irq_valid_mask calculation
  (bsc#1111666).
- mac80211: fix ieee80211_txq_setup_flows() failure path
  (bsc#1111666).
- commit aea7c08
* Thu Jan 30 2020 tiwai@suse.de
- brcmfmac: sdio: Fix OOB interrupt initialization on brcm43362
  (bsc#1111666).
- brcmfmac: Fix memory leak in brcmf_p2p_create_p2pdev()
  (bsc#1111666).
- commit 7068580
* Thu Jan 30 2020 tiwai@suse.de
- blacklist.conf: unneeded patches for wireless and gpu/host1x
- commit db8d4e6
* Thu Jan 30 2020 tiwai@suse.de
- crypto: reexport crypto_shoot_alg() (bsc#1051510, kABI fix).
- commit 8011775
* Thu Jan 30 2020 tiwai@suse.de
- staging: wlan-ng: ensure error return is actually returned
  (bsc#1051510).
- serial: 8250_bcm2835aux: Fix line mismatch on driver unbind
  (bsc#1051510).
- USB: serial: ir-usb: fix IrLAP framing (bsc#1051510).
- USB: serial: ir-usb: fix link-speed handling (bsc#1051510).
- USB: serial: ir-usb: add missing endpoint sanity check
  (bsc#1051510).
- usb: typec: tcpci: mask event interrupts when remove driver
  (bsc#1051510).
- phy: qualcomm: Adjust indentation in read_poll_timeout
  (bsc#1051510).
- usb: gadget: f_ecm: Use atomic_t to track in-flight request
  (bsc#1051510).
- usb: gadget: f_ncm: Use atomic_t to track in-flight request
  (bsc#1051510).
- usb: dwc3: turn off VBUS when leaving host mode (bsc#1051510).
- pinctrl: sh-pfc: r8a7778: Fix duplicate SDSELF_B and SD1_CLK_B
  (bsc#1051510).
- crypto: api - Fix race condition in crypto_spawn_alg
  (bsc#1051510).
- firestream: fix memory leaks (bsc#1051510).
- commit 3b2c2e3
* Wed Jan 29 2020 rgoldwyn@suse.com
- do_last(): fetch directory ->i_mode and ->i_uid before it's
  too late  (bsc#1152109,CVE-2020-8428).
- commit 04a3b87
* Wed Jan 29 2020 fdmanana@suse.com
- Btrfs: send, skip backreference walking for extents with many
  references (bsc#1162139).
- commit c79a67c
* Wed Jan 29 2020 fdmanana@suse.com
- Btrfs: fix btrfs_write_inode vs delayed iput deadlock
  (bsc#1154243).
- commit d4cc2af
* Wed Jan 29 2020 tiwai@suse.de
- hwmon: (core) Do not use device managed functions for memory
  allocations (bsc#1051510).
- hwmon: (adt7475) Make volt2reg return same reg as reg2volt input
  (bsc#1051510).
- hwmon: (nct7802) Fix voltage limits to wrong registers
  (bsc#1051510).
- media: v4l2-ioctl.c: zero reserved fields for S/TRY_FMT
  (bsc#1051510).
- commit 1332a26
* Wed Jan 29 2020 msuchanek@suse.de
- powerpc/mm: Remove kvm radix prefetch workaround for Power9
  DD2.2 (bsc#1061840).
- commit c90320a
* Wed Jan 29 2020 msuchanek@suse.de
- powerpc/xmon: don't access ASDR in VMs (bsc#1065729).
- commit 0ae415f
* Wed Jan 29 2020 msuchanek@suse.de
- powerpc/papr_scm: Don't enable direct map for a region by
  default (bsc#1129551).
- commit 1f6195f
* Wed Jan 29 2020 tiwai@suse.de
- crypto: atmel-sha - fix error handling when setting hmac key
  (bsc#1051510).
- crypto: chelsio - fix writing tfm flags to wrong place
  (bsc#1051510).
- crypto: picoxcell - adjust the position of tasklet_init and
  fix missed tasklet_kill (bsc#1051510).
- crypto: api - Check spawn->alg under lock in crypto_drop_spawn
  (bsc#1051510).
- crypto: af_alg - Use bh_lock_sock in sk_destruct (bsc#1051510).
- crypto: pcrypt - Do not clear MAY_SLEEP flag in original request
  (bsc#1051510).
- commit e7a3dea
* Wed Jan 29 2020 tiwai@suse.de
- ath10k: Correct the DMA direction for management tx buffers
  (bsc#1111666).
- ath10k: pci: Fix comment on ath10k_pci_dump_memory_sram
  (bsc#1111666).
- ath10k: pci: Only dump ATH10K_MEM_REGION_TYPE_IOREG when safe
  (bsc#1111666).
- mwifiex: delete unused mwifiex_get_intf_num() (bsc#1111666).
- crypto: caam/qi2 - fix typo in algorithm's driver name
  (bsc#1111666).
- commit 91b0a34
* Wed Jan 29 2020 tiwai@suse.de
- ALSA: sh: Fix unused variable warnings (bsc#1111666).
- commit 0375342
* Wed Jan 29 2020 tiwai@suse.de
- ALSA: hda/realtek - Add Headset Mic supported for HP cPC
  (bsc#1111666).
- ALSA: hda: patch_hdmi: remove warnings with empty body
  (bsc#1111666).
- ALSA: hda: correct kernel-doc parameter descriptions
  (bsc#1111666).
- ALSA: hda: patch_realtek: fix empty macro usage in if block
  (bsc#1111666).
- ALSA: hda: More constifications (bsc#1111666).
- ALSA: hda/realtek - More constifications (bsc#1111666).
- ALSA: hda/realtek - Apply mic mute LED quirk for Dell E7xx
  laptops, too (bsc#1111666).
- ALSA: hda - constify and cleanup static NodeID tables
  (bsc#1111666).
- ALSA: hda: Constify snd_pci_quirk tables (bsc#1111666).
- ALSA: hda: Constify snd_kcontrol_new items (bsc#1111666).
- ALSA: hda: constify copied structure (bsc#1111666).
- commit 8e45cc6
* Wed Jan 29 2020 tiwai@suse.de
- ALSA: hda: Add Clevo W65_67SB the power_save blacklist
  (git-fixes).
- ALSA: hda - Add docking station support for Lenovo Thinkpad
  T420s (git-fixes).
- ALSA: hda/hdmi - add retry logic to parse_intel_hdmi()
  (git-fixes).
- ALSA: hda/analog - Minor optimization for SPDIF mux connections
  (git-fixes).
- ALSA: sh: Fix compile warning wrt const (git-fixes).
- ALSA: control: remove useless assignment in .info callback of
  PCM chmap element (git-fixes).
- Revert "ath10k: fix DMA related firmware crashes on multiple
  devices" (git-fixes).
- iwlegacy: ensure loop counter addr does not wrap and cause an
  infinite loop (git-fixes).
- mwifiex: drop most magic numbers from
  mwifiex_process_tdls_action_frame() (git-fixes).
- ath9k: fix storage endpoint lookup (git-fixes).
- brcmfmac: Fix memory leak in brcmf_usbdev_qinit (git-fixes).
- zd1211rw: fix storage endpoint lookup (git-fixes).
- rsi_91x_usb: fix interface sanity check (git-fixes).
- rtl8xxxu: fix interface sanity check (git-fixes).
- orinoco_usb: fix interface sanity check (git-fixes).
- brcmfmac: fix interface sanity check (git-fixes).
- brcmfmac: Fix use after free in brcmf_sdio_readframes()
  (git-fixes).
- bcma: remove set but not used variable 'sizel' (git-fixes).
- NFC: pn544: Adjust indentation in pn544_hci_check_presence
  (git-fixes).
- ppp: Adjust indentation into ppp_async_input (git-fixes).
- commit 3e07a2c
* Wed Jan 29 2020 wqu@suse.com
- btrfs: dev-replace: remove warning for unknown return codes
  when finished (dependency for bsc#1162067).
- commit 26e12a1
* Wed Jan 29 2020 wqu@suse.com
- btrfs: scrub: Require mandatory block group RO for  dev-replace
  (bsc#1162067).
- commit 5ce4491
* Tue Jan 28 2020 msuchanek@suse.de
- powerpc/pseries/lparcfg: Fix display of Maximum Memory
  (bsc#1162028 ltc#181740).
- commit 01fe916
* Tue Jan 28 2020 mkubecek@suse.cz
- xfrm: Fix transport mode skb control buffer usage (bsc#1161552).
- commit 6b7ffe9
* Tue Jan 28 2020 tiwai@suse.de
- iwlwifi: clear persistence bit according to device family
  (bsc#1111666).
- commit f4b01c3
* Tue Jan 28 2020 tiwai@suse.de
- blacklist.conf: Add DRM entries that are cherry-picked or can be skipped
- commit 680d0b3
* Tue Jan 28 2020 tiwai@suse.de
- drm/i915/perf: add missing delay for OA muxes configuration
  (bsc#1111666).
- commit a088a85
* Tue Jan 28 2020 tiwai@suse.de
- drm/i915: Call dma_set_max_seg_size() in i915_driver_hw_probe()
  (bsc#1111666).
- commit 1673f07
* Tue Jan 28 2020 tiwai@suse.de
- drm/i915: Make sure cdclk is high enough for DP audio on VLV/CHV
  (bsc#1111666).
- commit 193da37
* Tue Jan 28 2020 tiwai@suse.de
- drm/amdgpu/{uvd,vcn}: fetch ring's read_ptr after alloc
  (bsc#1111666).
- commit b85966f
* Tue Jan 28 2020 tiwai@suse.de
- drm/amdgpu: fix ring test failure issue during s3 in vce 3.0
  (V2) (bsc#1111666).
- commit 4e75b6c
* Tue Jan 28 2020 tiwai@suse.de
- drm/i915: Sanity check mmap length against object size
  (bsc#1111666).
- drm/i915: Handle vm_mmap error during I915_GEM_MMAP ioctl with
  WC set (bsc#1111666).
- commit 7a7dd55
* Tue Jan 28 2020 tiwai@suse.de
- drm/sun4i: tcon: Set RGB DCLK min. divider based on hardware
  model (bsc#1111666).
- commit b5ededd
* Tue Jan 28 2020 tiwai@suse.de
- cfg80211: fix memory leak in cfg80211_cqm_rssi_update
  (bsc#1111666).
- cfg80211: fix deadlocks in autodisconnect work (bsc#1111666).
- drm/sun4i: tcon: Set min division of TCON0_DCLK to 1
  (bsc#1111666).
- mwifiex: update set_mac_address logic (bsc#1111666).
- drm/nouveau/mmu: qualify vmm during dtor (bsc#1111666).
- drm/nouveau/bar/gf100: ensure BAR is mapped (bsc#1111666).
- drm/nouveau/bar/nv50: check bar1 vmm return value (bsc#1111666).
- iwlwifi: trans: Clear persistence bit when starting the FW
  (bsc#1111666).
- commit da8c808
* Tue Jan 28 2020 jack@suse.cz
- libnvdimm: Fix devm_nsio_enable() kabi (bsc#1153535).
- commit 90b24a0
* Tue Jan 28 2020 jack@suse.cz
- libnvdimm/namespace: Differentiate between probe mapping and
  runtime mapping (bsc#1153535).
- commit 1da801b
* Tue Jan 28 2020 jack@suse.cz
- libnvdimm/pfn: Account for PAGE_SIZE > info-block-size in
  nd_pfn_init() (bsc#1127682 bsc#1153535 ltc#175033 ltc#181834).
- commit b11349c
* Tue Jan 28 2020 palcantara@suse.de
- Refresh
  patches.suse/fs-cifs-Fix-atime-update-check-vs-mtime.patch.
  Fix ARM build breakage.
- commit 3f9aac1
* Mon Jan 27 2020 tiwai@suse.de
- kABI workaround for can/skb.h inclusion (bsc#1051510).
- commit f10235d
* Mon Jan 27 2020 fdmanana@suse.com
- btrfs: handle ENOENT in btrfs_uuid_tree_iterate (bsc#1161937).
- commit 898ec22
* Mon Jan 27 2020 fdmanana@suse.com
- btrfs: abort transaction after failed inode updates in
  create_subvol (bsc#1161936).
- commit 86efd6f
* Mon Jan 27 2020 fdmanana@suse.com
- btrfs: skip log replay on orphaned roots (bsc#1161935).
- commit d7306e0
* Mon Jan 27 2020 fdmanana@suse.com
- btrfs: do not call synchronize_srcu() in inode_tree_del
  (bsc#1161934).
- commit 030bfe1
* Mon Jan 27 2020 fdmanana@suse.com
- btrfs: record all roots for rename exchange on a subvol
  (bsc#1161933).
- commit c75e5f1
* Mon Jan 27 2020 fdmanana@suse.com
- Btrfs: make tree checker detect checksum items with overlapping
  ranges (bsc#1161931).
- commit 3a43ffe
* Mon Jan 27 2020 fdmanana@suse.com
- Btrfs: fix missing data checksums after replaying a log tree
  (bsc#1161931).
- commit 1ad9bcf
* Mon Jan 27 2020 tiwai@suse.de
- dmaengine: coh901318: Remove unused variable (bsc#1051510).
- commit 2df1d21
* Mon Jan 27 2020 tiwai@suse.de
- USB: serial: io_edgeport: handle unbound ports on URB completion
  (bsc#1051510).
- Refresh
  patches.suse/USB-serial-io_edgeport-add-missing-active-port-sanit.patch.
- commit 97a5ac8
* Mon Jan 27 2020 tiwai@suse.de
- can, slip: Protect tty->disc_data in write_wakeup and close
  with RCU (bsc#1051510).
- Input: pm8xxx-vib - fix handling of separate enable register
  (bsc#1051510).
- Input: keyspan-remote - fix control-message timeouts
  (bsc#1051510).
- Input: rmi_f54 - read from FIFO in 32 byte blocks (bsc#1051510).
- Revert "Input: synaptics-rmi4 - don't increment rmiaddr for
  SMBus transfers" (bsc#1051510).
- Input: sur40 - fix interface sanity checks (bsc#1051510).
- Input: gtco - fix endpoint sanity check (bsc#1051510).
- Input: aiptek - fix endpoint sanity check (bsc#1051510).
- Input: pegasus_notetaker - fix endpoint sanity check
  (bsc#1051510).
- Input: sun4i-ts - add a check for
  devm_thermal_zone_of_sensor_register (bsc#1051510).
- mmc: sdhci: fix minimum clock rate for v3 controller
  (bsc#1051510).
- mmc: tegra: fix SDR50 tuning override (bsc#1051510).
- macvlan: use skb_reset_mac_header() in macvlan_queue_xmit()
  (bsc#1051510).
- batman-adv: Fix DAT candidate selection on little endian systems
  (bsc#1051510).
- cfg80211: check for set_wiphy_params (bsc#1051510).
- USB: serial: option: Add support for Quectel RM500Q
  (bsc#1051510).
- USB: serial: simple: Add Motorola Solutions TETRA MTP3xxx and
  MTP85xx (bsc#1051510).
- usb: core: hub: Improved device recognition on remote wakeup
  (bsc#1051510).
- ASoC: msm8916-wcd-analog: Fix selected events for MIC BIAS
  External1 (bsc#1051510).
- clk: Don't try to enable critical clocks if prepare failed
  (bsc#1051510).
- usb: musb: fix idling for suspend after disconnect interrupt
  (bsc#1051510).
- usb: chipidea: host: Disable port power only if previously
  enabled (bsc#1051510).
- usb: musb: dma: Correct parameter passed to IRQ handler
  (bsc#1051510).
- staging: comedi: adv_pci1710: fix AI channels 16-31 for PCI-1713
  (bsc#1051510).
- macvlan: do not assume mac_header is set in macvlan_broadcast()
  (bsc#1051510).
- can: can_dropped_invalid_skb(): ensure an initialized headroom
  in outgoing CAN sk_buffs (bsc#1051510).
- dmaengine: Fix access to uninitialized dma_slave_caps
  (bsc#1051510).
- af_packet: set defaule value for tmo (bsc#1051510).
- regulator: rn5t618: fix module aliases (bsc#1051510).
- staging: rtl8188eu: fix interface sanity check (bsc#1051510).
- iio: adc: max9611: Fix too short conversion time delay
  (bsc#1051510).
- USB: atm: ueagle-atm: add missing endpoint check (bsc#1051510).
- rtc: msm6242: Fix reading of 10-hour digit (bsc#1051510).
- Input: synaptics-rmi4 - simplify data read in rmi_f54_work
  (bsc#1051510).
- ASoC: cs4349: Use PM ops 'cs4349_runtime_pm' (bsc#1051510).
- mac80211: Do not send Layer 2 Update frame before authorization
  (bsc#1051510).
- drm/mst: Fix MST sideband up-reply failure handling
  (bsc#1051510).
- rtc: pcf8523: set xtal load capacitance from DT (bsc#1051510).
- i2c: imx: don't print error message on probe defer
  (bsc#1051510).
- dmaengine: coh901318: Fix a double-lock bug (bsc#1051510).
- rtc: dt-binding: abx80x: fix resistance scale (bsc#1051510).
- rtc: max8997: Fix the returned value in case of error in
  'max8997_rtc_read_alarm()' (bsc#1051510).
- pinctrl: qcom: ssbi-gpio: fix gpio-hog related boot issues
  (bsc#1051510).
- Staging: iio: adt7316: Fix i2c data reading, set the data field
  (bsc#1051510).
- dma-mapping: fix return type of dma_set_max_seg_size()
  (bsc#1051510).
- ACPI: fix acpi_find_child_device() invocation in
  acpi_preset_companion() (bsc#1051510).
- rtc: s35390a: Change buf's type to u8 in s35390a_init
  (bsc#1051510).
- USB: serial: io_edgeport: use irqsave() in USB's complete
  callback (bsc#1051510).
- clk: sunxi: sun9i-mmc: Implement reset callback for reset
  controls (bsc#1051510).
- commit c8ef7b5
* Mon Jan 27 2020 mhocko@suse.com
- drivers/base/memory.c: cache blocks in radix tree to accelerate
  lookup (bsc#1159955 ltc#182993).
- mm: memory_hotplug: use put_device() if device_register fail
  (bsc#1159955 ltc#182993).
- commit 1d8b51f
* Mon Jan 27 2020 mbenes@suse.cz
- tracing: xen: Ordered comparison of function pointers
  (git-fixes).
- commit 1c6dbae
* Mon Jan 27 2020 tiwai@suse.de
- mwifiex: fix unbalanced locking in mwifiex_process_country_ie()
  (CVE-2019-14895 bsc#1157158).
- commit 6a8e423
* Mon Jan 27 2020 jeyu@suse.de
- rpm/kabi.pl: support new (>=5.4) Module.symvers format (new symbol namespace field)
- commit eecbd97
* Mon Jan 27 2020 msuchanek@suse.de
- powerpc/xive: Discard ESB load value when interrupt is invalid
  (fate#322438 bsc#1085030).
- commit 7e96163
* Mon Jan 27 2020 msuchanek@suse.de
- Update
  patches.suse/powerpc-xive-Implement-get_irqchip_state-method-for-.patch
  (fate#322438 bsc#1085030).
- commit 47c7830
* Mon Jan 27 2020 dwagner@suse.de
- scsi: lpfc: fix build failure with DEBUGFS disabled
  (bsc#1154601).
- commit 297f6af
* Fri Jan 24 2020 tiwai@suse.de
- Correct references in BPF patches (bsc#1160618)
  Updated:
  patches.kabi/bpf-protect-new-fields-in-bpf-structs.patch
  patches.suse/bpf-Reject-indirect-var_off-stack-access-in-unpriv-m.patch
  patches.suse/bpf-Sanity-check-max-value-for-var_off-stack-access.patch
  patches.suse/bpf-Support-variable-offset-stack-access-from-helper.patch
  patches.suse/bpf-add-self-check-logic-to-liveness-analysis.patch
  patches.suse/bpf-add-verifier-stats-and-log_level-bit-2.patch
  patches.suse/bpf-improve-stacksafe-state-comparison.patch
  patches.suse/bpf-improve-verification-speed-by-droping-states.patch
  patches.suse/bpf-improve-verifier-branch-analysis.patch
  patches.suse/bpf-increase-verifier-log-limit.patch
  patches.suse/bpf-speed-up-stacksafe-check.patch
  patches.suse/bpf-verifier-teach-the-verifier-to-reason-about-the-BPF_JSET-instruction.patch
- commit 1ca2172
* Fri Jan 24 2020 tiwai@suse.de
- iwlwifi: change monitor DMA to be coherent (bsc#1161243).
- commit c3cd234
* Thu Jan 23 2020 tiwai@suse.de
- leds: Allow to call led_classdev_unregister() unconditionally
  (bsc#1161674).
- leds: class: ensure workqueue is initialized before setting
  brightness (bsc#1161674).
- commit 4552a8b
* Thu Jan 23 2020 bp@suse.de
- x86/kgbd: Use NMI_VECTOR not APIC_DM_NMI (bsc#1114279).
- commit d7ed83d
* Thu Jan 23 2020 dkirjanov@suse.com
- sfc: Remove 'PCIE error reporting unavailable' (bsc#1161472).
- commit db07955
* Thu Jan 23 2020 tbogendoerfer@suse.de
- Update
  patches.suse/net-mlx5-prevent-memory-leak-in-mlx5_fpga_conn_creat.patch
  (bsc#1046303 FATE#322944 CVE-2019-19045).
  Added CVE reference
- commit b121ad2
* Thu Jan 23 2020 tzimmermann@suse.de
- drm/sun4i: hdmi: Remove duplicate cleanup calls (bsc#1113956)
- commit 744ad0e
* Thu Jan 23 2020 tzimmermann@suse.de
- drm/i915/gvt: Pin vgpu dma address before using (bsc#1112178)
- commit f24e3d1
* Thu Jan 23 2020 tzimmermann@suse.de
- drm/i915/gvt: set guest display buffer as readonly (bsc#1112178)
- commit 3ad0b44
* Thu Jan 23 2020 tzimmermann@suse.de
- drm/i915/gvt: use vgpu lock for active state setting (bsc#1112178)
- commit 355f47e
* Thu Jan 23 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Fix KFD-related kernel oops on Hawaii'
- commit 17939b2
* Thu Jan 23 2020 wqu@suse.com
- btrfs: relocation: fix reloc_root lifespan and access
  (bsc#1159588).
- commit e44a0b9
* Wed Jan 22 2020 mkoutny@suse.com
- exit: panic before exit_mm() on global init exit (bsc#1161549).
- commit 1332402
* Wed Jan 22 2020 mrostecki@suse.de
- bpf: Sanity check max value for var_off stack access (bco#1160618).
- commit b52b4b1
* Wed Jan 22 2020 mrostecki@suse.de
- bpf: Reject indirect var_off stack access in unpriv mode (bco#1160618).
- commit 44696f0
* Wed Jan 22 2020 mrostecki@suse.de
- bpf: Reject indirect var_off stack access in raw mode (bsc#1160618).
- commit a8c4b16
* Wed Jan 22 2020 tzimmermann@suse.de
- drm/qxl: Return error if fbdev is not 32 bpp (bsc#1159028)
- commit 23d6624
* Wed Jan 22 2020 tiwai@suse.de
- Update patch reference for net sit fix (CVE-2019-16994 bsc#1161523)
- commit d1fd2eb
* Wed Jan 22 2020 tiwai@suse.de
- media: rc: prevent memory leak in cx23888_ir_probe
  (CVE-2019-19054 bsc#1161518).
- commit c9656c9
* Wed Jan 22 2020 mkoutny@suse.com
- cgroup: pids: use atomic64_t for pids->limit (bsc#1161514).
- commit dab52b8
* Wed Jan 22 2020 tiwai@suse.de
- libertas: make lbs_ibss_join_existing() return error code
  on rates overflow (CVE-2019-14896 bsc#1157157 CVE-2019-14897
  bsc#1157155).
- libertas: don't exit from lbs_ibss_join_existing() with RCU
  read lock held (CVE-2019-14896 bsc#1157157 CVE-2019-14897
  bsc#1157155).
- commit 9f8492d
* Tue Jan 21 2020 bp@suse.de
- x86/resctrl: Fix potential memory leak (bsc#1114279).
- x86/resctrl: Fix an imbalance in domain_remove_cpu()
  (bsc#1114279).
- commit 154b5b8
* Tue Jan 21 2020 bp@suse.de
- x86/mce: Fix possibly incorrect severity calculation on AMD
  (bsc#1114279).
- commit 1a086e9
* Tue Jan 21 2020 glin@suse.com
- bpf: Fix incorrect verifier simulation of ARSH under ALU32
  (bsc#1083647).
- bpf/sockmap: Read psock ingress_msg before sk_receive_queue
  (bsc#1083647).
- commit fa47ac5
* Mon Jan 20 2020 msuchanek@suse.de
- blacklist.conf: Add ppc booke fixes.
  3a0990ca1a00 powerpc/booke: Spelling s/date/data/
  71eb40fc5337 powerpc/kasan: Fix boot failure with RELOCATABLE &&
  FSL_BOOKE
- commit 25e78c4
* Mon Jan 20 2020 msuchanek@suse.de
- blacklist.conf: Add powerpc sstep emulation fixes (bsc#1065729).
  The sstep emulation received big overhaul after 4.12 and fixes do not
  apply to our kernel. Also before 31bfdb036f12 sstep is used little in
  production (xmon/kprobes/uprobes) so this should not affect production
  system stability. If reliability of instruction emulation is an issue
  all fixes should be backported to bring sstep on par with mainline, and
  not only the ones picked by git-fixes.
  0a75aff178df powerpc/lib/sstep: Fix fixed-point shift instructions that set CA32
  45f62159f3aa powerpc: Wrap register number correctly for string load/store instructions
  dc39c1d68f25 powerpc/lib/sstep: Fix fixed-point arithmetic instructions that set CA32
- commit a633b06
* Mon Jan 20 2020 mrostecki@opensuse.org
- kABI: Protest new fields in BPF structs (bsc#1160618).
- commit f718681
* Mon Jan 20 2020 msuchanek@suse.de
- kernel-binary.spec.in: do not recommend firmware for kvmsmall and azure
  flavor (boo#1161360).
- commit dbe7b27
* Mon Jan 20 2020 msuchanek@suse.de
- blacklist.conf: 21f57546ceaf torture: Remove exporting of internal
  functions
- commit 604b22d
* Mon Jan 20 2020 oneukum@suse.com
- blacklist.conf: this changes kABI
- commit c3cced5
* Mon Jan 20 2020 oneukum@suse.com
- blacklist.conf: this is not a bug fix
- commit 3fe2cab
* Mon Jan 20 2020 tiwai@suse.de
- ALSA: seq: Fix racy access for queue timer in proc read
  (bsc#1051510).
- commit 8bf0da4
* Mon Jan 20 2020 tiwai@suse.de
- cfg80211: fix page refcount issue in A-MSDU decap (bsc#1051510).
- r8152: add missing endpoint sanity check (bsc#1051510).
- net: usb: lan78xx: limit size of local TSO packets
  (bsc#1051510).
- NFC: pn533: fix bulk-message timeout (bsc#1051510).
- drm/i915: Add missing include file <linux/math64.h>
  (bsc#1051510).
- iio: buffer: align the size of scan bytes to size of the
  largest element (bsc#1051510).
- USB: serial: quatech2: handle unbound ports (bsc#1051510).
- USB: serial: keyspan: handle unbound ports (bsc#1051510).
- USB: serial: io_edgeport: add missing active-port sanity check
  (bsc#1051510).
- USB: serial: ch341: handle unbound port at reset_resume
  (bsc#1051510).
- USB: serial: suppress driver bind attributes (bsc#1051510).
- USB: serial: opticon: fix control-message timeouts
  (bsc#1051510).
- platform/x86: asus-wmi: Fix keyboard brightness cannot be set
  to 0 (bsc#1051510).
- cfg80211/mac80211: make ieee80211_send_layer2_update a public
  function (bsc#1051510).
- commit 0905405
* Mon Jan 20 2020 tiwai@suse.de
- ALSA: usb-audio: fix sync-ep altsetting sanity check
  (bsc#1051510).
- commit 7e1b844
* Sat Jan 18 2020 ailiopoulos@suse.com
- xfs: Fix tail rounding in xfs_alloc_file_space() (bsc#1161087,
  bsc#1153917).
- commit b345957
* Fri Jan 17 2020 jgross@suse.com
- xen-blkfront: switch kcalloc to kvcalloc for large array
  allocation (bsc#1160917).
- commit 425ea72
* Fri Jan 17 2020 jgross@suse.com
- xen/blkfront: Adjust indentation in xlvbd_alloc_gendisk
  (bsc#1065600).
- commit e369be4
* Fri Jan 17 2020 tzimmermann@suse.de
- drm/qxl: Return error if fbdev is not 32 bpp (bsc#1159028)
- commit 13a7730
* Thu Jan 16 2020 tiwai@suse.de
- HID: hidraw, uhid: Always report EPOLLOUT (bsc#1051510).
- drm/fb-helper: Round up bits_per_pixel if possible
  (bsc#1051510).
- drm/dp_mst: correct the shifting in DP_REMOTE_I2C_READ
  (bsc#1051510).
- HID: uhid: Fix returning EPOLLOUT from uhid_char_poll
  (bsc#1051510).
- HID: hidraw: Fix returning EPOLLOUT from hidraw_poll
  (bsc#1051510).
- can: mscan: mscan_rx_poll(): fix rx path lockup when returning
  from polling to irq mode (bsc#1051510).
- can: gs_usb: gs_usb_probe(): use descriptors of current
  altsetting (bsc#1051510).
- gpio: Fix error message on out-of-range GPIO in lookup table
  (bsc#1051510).
- fjes: fix missed check in fjes_acpi_add (bsc#1051510).
- drm: limit to INT_MAX in create_blob ioctl (bsc#1051510).
- hidraw: Return EPOLLOUT from hidraw_poll (bsc#1051510).
- extcon: max8997: Fix lack of path setting in USB device mode
  (bsc#1051510).
- clk: rockchip: fix ID of 8ch clock of I2S1 for rk3328
  (bsc#1051510).
- clk: rockchip: fix I2S1 clock gate register for rk3328
  (bsc#1051510).
- clk: rockchip: fix rk3188 sclk_mac_lbtest parameter ordering
  (bsc#1051510).
- clk: rockchip: fix rk3188 sclk_smc gate data (bsc#1051510).
- ASoC: au8540: use 64-bit arithmetic instead of 32-bit
  (bsc#1051510).
- commit 84d67db
* Thu Jan 16 2020 tbogendoerfer@suse.de
- IB/hfi1: Don't cancel unused work item (bsc#1114685
  FATE#325854).
- mlxsw: spectrum_qdisc: Ignore grafting of invisible FIFO
  (bsc#1112374).
- net, sysctl: Fix compiler warning when only cBPF is present
  (bsc#1109837).
- bnxt: apply computed clamp value for coalece parameter
  (bsc#1104745 FATE#325918).
- bnxt_en: Return error if FW returns more data than dump length
  (bsc#1104745 FATE#325918).
- bnxt_en: Fix MSIX request logic for RDMA driver (bsc#1104745
  FATE#325918).
- commit 642be71
* Thu Jan 16 2020 tbogendoerfer@suse.de
- RDMA/bnxt_re: Avoid freeing MR resources if dereg fails
  (bsc#1050244 FATE#322915).
- net/mlxfw: Fix out-of-memory error in mfa2 flash burning
  (bsc#1051858).
- qede: Disable hardware gro when xdp prog is installed
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- commit 48d8665
* Thu Jan 16 2020 msuchanek@suse.de
- blacklist.conf: Fix mismerge.
- commit 112380f
* Thu Jan 16 2020 jslaby@suse.cz
- net: ethernet: ti: cpsw: fix extra rx interrupt
  (networking-stable-19_12_16).
- inet: protect against too small mtu values
  (networking-stable-19_12_16).
- tcp: md5: fix potential overestimation of TCP option space
  (networking-stable-19_12_16).
- openvswitch: support asymmetric conntrack
  (networking-stable-19_12_16).
- net: bridge: deny dev_set_mac_address() when unregistering
  (networking-stable-19_12_16).
- commit d34c34a
* Wed Jan 15 2020 palcantara@suse.de
- cifs: Fix memory allocation in __smb2_handle_cancelled_cmd()
  (bsc#1144333).
- commit 827abe1
* Wed Jan 15 2020 palcantara@suse.de
- cifs: Fix mount options set in automount (bsc#1144333).
- commit 7c09453
* Wed Jan 15 2020 dsterba@suse.com
- Update btrfs patch tags (fate#322477)
- Refresh
  patches.suse/btrfs-prevent-ioctls-from-interfering-with-a-swap-file.patch.
- Refresh
  patches.suse/btrfs-rename-and-export-get_chunk_map.patch.
- Refresh patches.suse/btrfs-support-swap-files.patch.
- commit d3d67f4
* Wed Jan 15 2020 tiwai@suse.de
- README.BRANCH: Update the branch name to cve/linux-4.12
- commit 36184af
* Wed Jan 15 2020 tiwai@suse.de
- README.BRANCH: Update the branch name to fixes/linux-4.12
- commit 8c98aba
* Wed Jan 15 2020 tiwai@suse.de
- drm/i915: Fix use-after-free when destroying GEM context
  (CVE-2020-7053 bsc#1160966).
- commit 11df348
* Wed Jan 15 2020 tiwai@suse.de
- drm/i915: Fix use-after-free when destroying GEM context
  (CVE-2020-7053 bsc#1160966).
- commit 4e74cb5
* Tue Jan 14 2020 tiwai@suse.de
- ALSA: hda/realtek - Add quirk for the bass speaker on Lenovo
  Yoga X1 7th gen (bsc#1111666).
- ALSA: hda/realtek - Set EAPD control to default for ALC222
  (bsc#1111666).
- ALSA: usb-audio: Apply the sample rate quirk for Bose Companion
  5 (bsc#1111666).
- ALSA: hda/realtek - Add new codec supported for ALCS1200A
  (bsc#1111666).
- ALSA: hda/realtek - Enable the bass speaker of ASUS UX431FLC
  (bsc#1111666).
- ALSA: hda/realtek - Add Bass Speaker and fixed dac for bass
  speaker (bsc#1111666).
- ALSA: hda - Apply sync-write workaround to old Intel platforms,
  too (bsc#1111666).
- ASoC: samsung: i2s: Fix prescaler setting for the secondary DAI
  (bsc#1111666).
- commit ffde0c8
* Tue Jan 14 2020 hare@suse.de
- kABI fixup for alloc_dax_region (bsc#1158071,bsc#1160678).
- commit 1eb36b2
* Mon Jan 13 2020 palcantara@suse.de
- CIFS: Close cached root handle only if it has a lease
  (bsc#1144333).
- commit d87a1b5
* Mon Jan 13 2020 palcantara@suse.de
- SMB3: Fix crash in SMB2_open_init due to uninitialized field
  in compounding path (bsc#1144333).
- commit 2d453dc
* Mon Jan 13 2020 palcantara@suse.de
- smb3: fix refcount underflow warning on unmount when no
  directory leases (bsc#1144333).
- commit c943054
* Mon Jan 13 2020 palcantara@suse.de
- CIFS: Fix NULL-pointer dereference in smb2_push_mandatory_locks
  (bsc#1144333).
- commit cc8c841
* Mon Jan 13 2020 palcantara@suse.de
- fs: cifs: Fix atime update check vs mtime (bsc#1144333).
- commit 1451d45
* Mon Jan 13 2020 palcantara@suse.de
- CIFS: Properly process SMB3 lease breaks (bsc#1144333).
- commit 1383f32
* Mon Jan 13 2020 palcantara@suse.de
- CIFS: Do not miss cancelled OPEN responses (bsc#1144333).
- commit fee744e
* Mon Jan 13 2020 palcantara@suse.de
- CIFS: Fix NULL pointer dereference in mid callback
  (bsc#1144333).
- commit 770e022
* Mon Jan 13 2020 palcantara@suse.de
- CIFS: Close open handle after interrupted close (bsc#1144333).
- commit 5642ef2
* Mon Jan 13 2020 palcantara@suse.de
- CIFS: Respect O_SYNC and O_DIRECT flags during reconnect
  (bsc#1144333).
- commit 23bab20
* Mon Jan 13 2020 palcantara@suse.de
- smb3: remove confusing dmesg when mounting with encryption
  ("seal") (bsc#1144333).
- commit 0094551
* Mon Jan 13 2020 palcantara@suse.de
- cifs: close the shared root handle on tree disconnect
  (bsc#1144333).
- commit ad5357d
* Mon Jan 13 2020 palcantara@suse.de
- CIFS: remove set but not used variables 'cinode' and 'netfid'
  (bsc#1144333).
- commit ca98d29
* Mon Jan 13 2020 palcantara@suse.de
- cifs: add support for flock (bsc#1144333).
- commit 7b98621
* Mon Jan 13 2020 palcantara@suse.de
- SMB3: Fix persistent handles reconnect (bsc#1144333).
- commit fa27217
* Mon Jan 13 2020 fdmanana@suse.com
- Btrfs: fix infinite loop during nocow writeback due to race
  (bsc#1160804).
- commit c1d28f4
* Mon Jan 13 2020 fdmanana@suse.com
- Btrfs: fix removal logic of the tree mod log that leads to
  use-after-free issues (bsc#1160803).
- commit 3a6735c
* Mon Jan 13 2020 fdmanana@suse.com
- Btrfs: fix negative subv_writers counter and data space leak
  after buffered write (bsc#1160802).
- commit aba9f70
* Mon Jan 13 2020 mbenes@suse.cz
- kernel/trace: Fix do not unregister tracepoints when register
  sched_migrate_task fail (bsc#1160787).
- commit 6c88307
* Mon Jan 13 2020 mbenes@suse.cz
- ftrace: Avoid potential division by zero in function profiler
  (bsc#1160784).
- commit 5a8b96d
* Mon Jan 13 2020 mbenes@suse.cz
- blacklist.conf: b8299d362d08 ("tracing: Have stack tracer compile when MCOUNT_INSN_SIZE is not defined")
  We cannot run into the scenario with our codebase and configs.
- commit 3ac3295
* Mon Jan 13 2020 palcantara@suse.de
- cifs: Fix retrieval of DFS referrals in cifs_mount()
  (bsc#1144333).
- commit 077bafe
* Mon Jan 13 2020 palcantara@suse.de
- cifs: Fix potential softlockups while refreshing DFS cache
  (bsc#1144333).
- commit 581d078
* Mon Jan 13 2020 palcantara@suse.de
- cifs: Fix lookup of root ses in DFS referral cache
  (bsc#1144333).
- commit 5f81137
* Mon Jan 13 2020 palcantara@suse.de
- cifs: Fix use-after-free bug in cifs_reconnect() (bsc#1144333).
- commit bc35fb8
* Mon Jan 13 2020 nsaenzjulienne@suse.de
- clk: imx: clk-composite-8m: add lock to gate/mux (git-fixes).
- mmc: sdhci: Add a quirk for broken command queuing (git-fixes).
- mmc: sdhci: Workaround broken command queuing on Intel GLK
  (git-fixes).
- commit e6ab9e8
* Mon Jan 13 2020 tiwai@suse.de
- blacklist.conf: Add CVE entry that is not needed for SLE15
- commit d91e504
* Mon Jan 13 2020 nsaenzjulienne@suse.de
- Refresh
  patches.suse/firmware-arm_sdei-fix-wrong-of_node_put-in-init-function.patch.
- commit 601cb61
* Mon Jan 13 2020 msuchanek@suse.de
- powerpc/irq: fix stack overflow verification (bsc#1065729).
- commit 8ea0d4c
* Mon Jan 13 2020 msuchanek@suse.de
- powerpc/mm: drop #ifdef CONFIG_MMU in is_ioremap_addr()
  (bsc#1065729).
- powerpc/security: Fix debugfs data leak on 32-bit (bsc#1065729).
- powerpc/pkeys: remove unused pkey_allows_readwrite
  (bsc#1065729).
- commit 953986f
* Mon Jan 13 2020 msuchanek@suse.de
- blacklist 18217da36103 powerpc/64s/radix: Fix build failure with
  RADIX_MMU=n
  We build with radix support always, and the SLE15 code was not buildable
  without radix support to start with.
- commit 316df2c
* Mon Jan 13 2020 tiwai@suse.de
- tcp: exit if nothing to retransmit on RTO timeout (bsc#1160560,
  stable 4.14.159).
- commit 1d9ecd0
* Mon Jan 13 2020 tiwai@suse.de
- tcp: clear tp->packets_out when purging write queue
  (bsc#1160560).
- commit e6f6e50
* Mon Jan 13 2020 jroedel@suse.de
- iommu/vt-d: Unlink device if failed to add to group
  (bsc#1160756).
- iommu: Remove device link to group on failure (bsc#1160755).
- commit e79ea0c
* Mon Jan 13 2020 wqu@suse.com
- Btrfs: fix selftests failure due to uninitialized i_mode in
  test inodes (Fix for dependency of bsc#1157692).
- commit a8e6988
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: Fix wrong check on max devid (fixes for
  dependency of bsc#1157692).
- commit 058d8bf
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: Add EXTENT_DATA_REF check (bsc#1158026
  CVE-2019-19318).
- commit b7d5ac3
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: Add simple keyed refs check (bsc#1158026
  CVE-2019-19318).
- commit 4dbc21a
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: Add EXTENT_ITEM and METADATA_ITEM  check
  (bsc#1158026 CVE-2019-19318).
- commit 85f9d3d
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: Add ROOT_ITEM check (bsc#1157692
  CVE-2019-19036).
- commit 66c34b1
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: get fs_info from eb in  check_inode_item
  (dependency for bsc#1157692).
- commit 26e8997
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: get fs_info from eb in  check_dev_item
  (dependency for bsc#1157692).
- commit 47ae2cc
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: get fs_info from eb in  dev_item_err
  (dependency for bsc#1157692).
- commit 1f1bcbb
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: get fs_info from eb in chunk_err
  (dependency for bsc#1157692).
- commit d4e3ed0
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: get fs_info from eb in check_leaf
  (dependency for bsc#1157692).
- commit 3ba4bab
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: get fs_info from eb in  check_leaf_item
  (dependency for bsc#1157692).
- Refresh
  patches.suse/btrfs-tree-checker-detect-file-extent-items-with-ove.patch.
- commit 081b2df
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: get fs_info from eb in
  check_extent_data_item (dependency for bsc#1157692).
- Refresh
  patches.suse/btrfs-tree-checker-detect-file-extent-items-with-ove.patch.
- commit b44a952
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: get fs_info from eb in
  check_block_group_item (dependency for bsc#1157692).
- commit 8407101
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: get fs_info from eb in  block_group_err
  (dependency for bsc#1157692).
- commit aafba64
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: get fs_info from eb in  check_dir_item
  (dependency for bsc#1157692).
- commit d0bf471
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: get fs_info from eb in  dir_item_err
  (dependency for bsc#1157692).
- commit 68fc959
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: get fs_info from eb in  check_csum_item
  (dependency for bsc#1157692).
- Refresh
  patches.suse/btrfs-tree-checker-detect-file-extent-items-with-ove.patch.
- commit 816515b
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: get fs_info from eb in  file_extent_err
  (dependency for bsc#1157692).
- Refresh
  patches.suse/btrfs-tree-checker-detect-file-extent-items-with-ove.patch.
- commit eb4caac
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: get fs_info from eb in generic_err
  (dependency for bsc#1157692).
- commit e1b8354
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: Check level for leaves and nodes
  (dependency for bsc#1157692).
- commit d939428
* Mon Jan 13 2020 wqu@suse.com
- btrfs: inode: Verify inode mode to avoid NULL pointer
  dereference (dependency for bsc#1157692).
- commit 1abf68b
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: Verify inode item (dependency for
  bsc#1157692).
- commit 9c0978b
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: Enhance chunk checker to validate  chunk
  profile (dependency for bsc#1157692).
- commit 79429c9
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: Verify dev item (dependency for
  bsc#1157692).
- commit 5ada025
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: Check chunk item at tree block  read time
  (dependency for bsc#1157692).
- Refresh
  patches.suse/btrfs-tree-checker-detect-file-extent-items-with-ove.patch.
- commit 4357fbd
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: Make btrfs_check_chunk_valid()  return
  EUCLEAN instead of EIO (dependency for bsc#1157692).
- commit 96c995c
* Mon Jan 13 2020 wqu@suse.com
- btrfs: tree-checker: Make chunk item checker messages  more
  readable (dependency for bsc#1157692).
- commit 9e31767
* Mon Jan 13 2020 wqu@suse.com
- btrfs: Move btrfs_check_chunk_valid() to  tree-check.[ch]
  and export it (dependency for bsc#1157692).
- commit 18a6ac1
* Fri Jan 10 2020 tiwai@suse.de
- drm/i915/gen9: Clear residual context state on context switch
  (CVE-2019-14615 bsc#1160195).
- commit f3a6b00
* Fri Jan 10 2020 tiwai@suse.de
- drm/i915/gen9: Clear residual context state on context switch
  (CVE-2019-14615 bsc#1160195).
- commit 244b1d5
* Fri Jan 10 2020 mrostecki@suse.de
- bpf: increase complexity limit and maximum program size (bsc#1160618).
- commit d4387b0
* Fri Jan 10 2020 mrostecki@suse.de
- bpf: increase verifier log limit (bsc#1160618).
- commit d1c3f48
* Fri Jan 10 2020 mrostecki@suse.de
- bpf: improve verification speed by not remarking live_read
  (bsc#1160618).
- commit 20d5cbb
* Fri Jan 10 2020 mrostecki@suse.de
- bpf: improve verification speed by droping states (bsc#1160618).
- commit 9aa7849
* Fri Jan 10 2020 mrostecki@suse.de
- bpf: add self-check logic to liveness analysis (bsc#1160618).
- commit 3e35e8c
* Fri Jan 10 2020 mrostecki@suse.de
- bpf: add verifier stats and log_level bit 2 (bsc#1160618).
- commit da747d1
* Thu Jan  9 2020 mrostecki@suse.de
- bpf: Support variable offset stack access from helpers (bco#1160618).
- commit cd83f4e
* Thu Jan  9 2020 mrostecki@suse.de
- bpf: verifier: teach the verifier to reason about the BPF_JSET
  instruction (bco#1160618).
- commit 3749d32
* Thu Jan  9 2020 mrostecki@suse.de
- bpf: improve stacksafe state comparison (bco#1160618).
- commit 714dc89
* Thu Jan  9 2020 mrostecki@suse.de
- bpf: speed up stacksafe check (bco#1160618).
- commit 69223f1
* Thu Jan  9 2020 mrostecki@suse.de
- bpf: improve verifier branch analysis (bsc#1160618).
- commit b753f45
* Thu Jan  9 2020 lduncan@suse.com
- scsi: libsas: stop discovering if oob mode is disconnected
  (CVE-2019-19965 bsc#1159911).
- commit 7edf500
* Thu Jan  9 2020 tabraham@suse.com
- blk-mq: make sure that line break can be printed (bsc#1159377).
- commit 880297a
* Thu Jan  9 2020 tabraham@suse.com
- blk-mq: avoid sysfs buffer overflow with too many CPU cores
  (bsc#1159377).
- commit 3585fa0
* Thu Jan  9 2020 mbrugger@suse.com
- Fix the locking in dcache_readdir() and friends (bsc#1123328).
- commit b2c54eb
* Thu Jan  9 2020 bp@suse.de
- Fix partial checked out tree build
  ... so that bisection doesn't break.
- Refresh
  patches.suse/mm-pagevec-remove-cold-parameter-for-pagevecs.patch.
- Refresh
  patches.suse/vfs-Add-page_cache_seek_hole_data-helper.patch.
- commit f005da8
* Thu Jan  9 2020 bp@suse.de
- x86/mce/AMD: Allow any CPU to initialize the smca_banks array
  (bsc#1114279).
- x86/MCE/AMD: Allow Reserved types to be overwritten in
  smca_banks (bsc#1114279).
- Refresh
  patches.suse/x86-mce-amd-do-not-use-rdmsr_safe_on_cpu-in-smca_configure.patch.
- commit 08533f4
* Wed Jan  8 2020 ailiopoulos@suse.com
- mm/page-writeback.c: fix range_cyclic writeback vs writepages
  deadlock (bsc#1159394).
- commit 36d8841
* Wed Jan  8 2020 jroedel@suse.de
- kvm: x86: Host feature SSBD doesn't imply guest feature
  SPEC_CTRL_SSBD (bsc#1160476).
- commit b972c00
* Wed Jan  8 2020 jroedel@suse.de
- iommu/iova: Init the struct iova to fix the possible memleak
  (bsc#1160469).
- iommu/mediatek: Correct the flush_iotlb_all callback
  (bsc#1160470).
- commit 7314362
* Wed Jan  8 2020 jroedel@suse.de
- blacklist.conf: Blacklist 9a62d20027da and da3cc91b8db4
- commit 30268b1
* Wed Jan  8 2020 tiwai@suse.de
- Move upstreamed mwifiex patches into sorted section
  Refreshed:
  patches.suse/mwifiex-Fix-heap-overflow-in-mmwifiex_process_tdls_a.patch
  patches.suse/mwifiex-fix-possible-heap-overflow-in-mwifiex_proces.patch
- commit 231a4eb
* Wed Jan  8 2020 tiwai@suse.de
- libertas: Fix two buffer overflows at parsing bss descriptor
  (CVE-2019-14896 bsc#1157157 CVE-2019-14897 bsc#1157155).
- commit f9891e0
* Wed Jan  8 2020 fdmanana@suse.com
- Btrfs: fix block group remaining RO forever after error during
  device replace (bsc#1160442).
- commit d5f207b
* Wed Jan  8 2020 fdmanana@suse.com
- btrfs: fix integer overflow in calc_reclaim_items_nr
  (bsc#1160433).
- Refresh
  patches.suse/0019-btrfs-make-the-delalloc-block-rsv-per-inode.patch.
- Refresh
  patches.suse/btrfs-ensure-replaced-device-doesn-t-have-pending-chunk-allocation.patch.
- commit ee46453
* Tue Jan  7 2020 dwagner@suse.de
- scsi: qla2xxx: Use get_unaligned_*() instead of open-coding
  these functions (bsc#1158013).
- scsi: qla2xxx: Fix the endianness of the qla82xx_get_fw_size()
  return type (bsc#1158013).
- scsi: qla2xxx: Improve readability of the code that handles
  qla_flt_header (bsc#1158013).
- scsi: qla2xxx: Update driver version to 10.01.00.22-k
  (bsc#1158013).
- scsi: qla2xxx: Fix mtcp dump collection failure (bsc#1158013).
- scsi: qla2xxx: Fix stuck session in GNL (bsc#1158013).
- scsi: qla2xxx: Fix RIDA Format-2 (bsc#1158013).
- scsi: qla2xxx: Consolidate fabric scan (bsc#1158013).
- scsi: qla2xxx: Correct fcport flags handling (bsc#1158013).
- scsi: qla2xxx: Fix stuck login session using prli_pend_timer
  (bsc#1158013).
- scsi: qla2xxx: Use common routine to free fcport struct
  (bsc#1158013).
- scsi: qla2xxx: Add D-Port Diagnostic reason explanation logs
  (bsc#1158013).
- scsi: qla2xxx: Fix update_fcport for current_topology
  (bsc#1158013).
- scsi: qla2xxx: Cleanup unused async_logout_done (bsc#1158013).
- scsi: qla2xxx: Add a shadow variable to hold disc_state history
  of fcport (bsc#1158013).
- scsi: qla2xxx: Fix fabric scan hang (bsc#1158013).
- scsi: qla2xxx: Remove defer flag to indicate immeadiate port
  loss (bsc#1158013).
- commit 236da51
* Tue Jan  7 2020 pmladek@suse.com
- blacklist.conf: workqueue: too intrusive fix of spurious warnings
  when destroying workqueues.
- commit 15f6c3f
* Tue Jan  7 2020 bp@suse.de
- x86/MCE/AMD: Do not use rdmsr_safe_on_cpu() in smca_configure()
  (bsc#1114279).
- commit 9b299aa
* Tue Jan  7 2020 pmladek@suse.com
- workqueue: Fix pwq ref leak in rescuer_thread() (bsc#1160211).
- commit caca035
* Tue Jan  7 2020 tzimmermann@suse.de
- drm/i915: Fix pid leak with banned clients (bsc#1114279)
- commit 4c2e693
* Tue Jan  7 2020 tzimmermann@suse.de
- drm/radeon: fix r1xx/r2xx register checker for POT textures (bsc#1114279)
- commit e6b4be5
* Tue Jan  7 2020 tzimmermann@suse.de
- drm/i810: Prevent underflow in ioctl (bsc#1114279)
- commit 55c6219
* Tue Jan  7 2020 tiwai@suse.de
- Update patch reference for TTM fix (CVE-2019-19927 bsc#1160147)
- commit 3852619
* Tue Jan  7 2020 tiwai@suse.de
- drm/ttm: fix incrementing the page pointer for huge pages
  (CVE-2019-19927 bsc#1160147).
- drm/ttm: fix start page for huge page check in ttm_put_pages()
  (CVE-2019-19927 bsc#1160147).
- commit 2ee9eed
* Tue Jan  7 2020 mbenes@suse.cz
- tracing: Have the histogram compare functions convert to u64
  first (bsc#1160210).
- commit 1130bce
* Mon Jan  6 2020 msuchanek@suse.de
- powerpc/tools: Don't quote $objdump in scripts (bsc#1065729).
- commit 2dfddfa
* Mon Jan  6 2020 jslaby@suse.cz
- openvswitch: remove another BUG_ON()
  (networking-stable-19_12_03).
- openvswitch: drop unneeded BUG_ON() in ovs_flow_cmd_build_info()
  (networking-stable-19_12_03).
- net: sched: fix `tc -s class show` no bstats on class with
  nolock subqueues (networking-stable-19_12_03).
- net: psample: fix skb_over_panic (networking-stable-19_12_03).
- sctp: cache netns in sctp_ep_common
  (networking-stable-19_12_03).
- kABI: protect struct sctp_ep_common (kabi).
- commit f000dcc
* Mon Jan  6 2020 msuchanek@suse.de
- powerpc/pseries: Drop pointless static qualifier in
  vpa_debugfs_init() (FATE#326394 git-fixes).
- commit 409cc40
* Mon Jan  6 2020 msuchanek@suse.de
- powerpc/xive: Skip ioremap() of ESB pages for LSI interrupts
  (fate#322438 bsc#1085030).
- commit f4907dc
* Mon Jan  6 2020 jslaby@suse.cz
- net: rtnetlink: prevent underflows in do_setvfinfo()
  (networking-stable-19_11_25).
- sfc: Only cancel the PPS workqueue if it exists
  (networking-stable-19_11_25).
- net/mlx5e: Fix set vf link state error flow
  (networking-stable-19_11_25).
- net/sched: act_pedit: fix WARN() in the traffic path
  (networking-stable-19_11_25).
- net/mlx4_en: fix mlx4 ethtool -N insertion
  (networking-stable-19_11_25).
- commit 60a07ae
* Mon Jan  6 2020 jslaby@suse.cz
- net: usb: qmi_wwan: add support for Foxconn T77W968 LTE modules
  (networking-stable-19_11_18).
- commit c511148
* Fri Jan  3 2020 tiwai@suse.de
- Move upstreamed sound patches into sorted section
- commit d0f0e26
* Fri Jan  3 2020 jslaby@suse.cz
- blacklist.conf: add one
- commit c5e7cc2
* Fri Jan  3 2020 jslaby@suse.cz
- bonding: fix active-backup transition after link failure
  (git-fixes).
- netfilter: nf_queue: enqueue skbs with NULL dst (git-fixes).
- commit 5da0cb4
* Fri Jan  3 2020 jslaby@suse.cz
- powerpc: Allow flush_icache_range to work across ranges >4GB
  (bnc#1151927 5.3.17).
- powerpc: Allow 64bit VDSO __kernel_sync_dicache to work across
  ranges >4GB (bnc#1151927 5.3.17).
- commit 1489525
* Thu Jan  2 2020 tiwai@suse.de
- Update patch reference for mwifiex fix (CVE-2019-20095 bsc#1159909)
- commit 8e0bb51
* Thu Jan  2 2020 tiwai@suse.de
- Update patch references for sysctl fixes (CVE-2019-20054 bsc#1159910)
- commit c479fd6
* Thu Jan  2 2020 tiwai@suse.de
- Update patch reference for DCCP fix (CVE-2019-20096 bsc#1159908)
- commit 68f2a78
* Thu Jan  2 2020 tiwai@suse.de
- Update patch reference for cpia2 fix (CVE-2019-19966 bsc#1159841)
- commit 9072726
* Mon Dec 30 2019 tiwai@suse.de
- blacklist.conf: Add CVE entries that are not needed for SLE15
- commit 555e645
* Sun Dec 29 2019 tiwai@suse.de
- ALSA: ice1724: Fix sleep-in-atomic in Infrasonic Quartet
  support code (bsc#1051510).
- ALSA: hda/hdmi - fix atpx_present when CLASS is not VGA
  (bsc#1051510).
- ALSA: usb-audio: fix set_format altsetting sanity check
  (bsc#1051510).
- ALSA: hda/realtek - Add headset Mic no shutup for ALC283
  (bsc#1051510).
- commit 509e29e
* Sun Dec 29 2019 tiwai@suse.de
- Refresh patches.suse/net-ibmvnic-Fix-typo-in-retry-check.patch.
  Moved to upstream sorted section
- commit 14ff7ff
* Mon Dec 23 2019 wqu@suse.com
- Refresh
  patches.suse/0001-btrfs-harden-agaist-duplicate-fsid-on-scanned-device.patch.
  Fix a backport error where the function still returns int other than
  pointer in newer kernel.
- commit 752785e
* Mon Dec 23 2019 glin@suse.com
- Revert patches.suse/samples-bpf-add-a-test-for-bpf_override_return.patch (bsc#1159500)
- Refresh patches.suse/bpf-add-selftest-for-tcpbpf.patch.
- Refresh
  patches.suse/bpf-sockmap-add-sample-option-to-test-apply_bytes-he.patch.
- Refresh
  patches.suse/bpf-sockmap-sample-add-option-to-attach-SK_MSG-progr.patch.
- Refresh
  patches.suse/bpf-update-bpf.h-uapi-header-for-tools-9cde0c88.patch.
- Refresh
  patches.suse/samples-bpf-compile-and-link-against-full-libbpf.patch.
- Refresh
  patches.suse/samples-bpf-include-bpf-bpf.h-instead-of-local-libbp.patch.
- Refresh
  patches.suse/samples-bpf-move-libbpf-from-object-dependencies-to-.patch.
- Refresh patches.suse/bpf-Sync-bpf.h-to-tools-96871b9f.patch.
- Refresh
  patches.suse/bpf-sockmap-sample-support-for-bpf_msg_cork_bytes.patch.
- Refresh
  patches.suse/samples-bpf-move-common-purpose-trace-functions-to-s.patch.
- Refresh patches.suse/bpf-selftest-additions-for-SOCKHASH.patch.
- commit e190522
* Mon Dec 23 2019 wqu@suse.com
- btrfs: Ensure we trim ranges across block group boundary
  (bsc#1151910).
- commit 6d5893d
* Mon Dec 23 2019 wqu@suse.com
- btrfs: volumes: Use more straightforward way to calculate  map
  length (bsc#1151910).
- commit f2e3616
* Mon Dec 23 2019 wqu@suse.com
- btrfs: harden agaist duplicate fsid on scanned devices
  (bsc#1134973).
- commit 10952ea
* Sat Dec 21 2019 tiwai@suse.de
- platform/x86: pmc_atom: Add Siemens CONNECT X300 to
  critclk_systems DMI table (bsc#1051510).
- platform/x86: hp-wmi: Make buffer for HPWMI_FEATURE2_QUERY
  128 bytes (bsc#1051510).
- mmc: sdhci-of-esdhc: fix P2020 errata handling (bsc#1051510).
- mmc: sdhci-of-esdhc: Revert "mmc: sdhci-of-esdhc: add erratum
  A-009204 support" (bsc#1051510).
- mmc: mediatek: fix CMD_TA to 2 for MT8173 HS200/HS400 mode
  (bsc#1051510).
- Revert "mmc: sdhci: Fix incorrect switch to HS mode"
  (bsc#1051510).
- usb: xhci: Fix build warning seen with CONFIG_PM=n
  (bsc#1051510).
- usbip: Fix receive error in vhci-hcd when using scatter-gather
  (bsc#1051510).
- commit 3f0559b
* Fri Dec 20 2019 jack@suse.cz
- ext4: work around deleting a file with i_nlink == 0 safely
  (bsc#1158819 CVE-2019-19447).
- commit d10c0d3
* Fri Dec 20 2019 jack@suse.cz
- ext4: fix special inode number checks in __ext4_iget()
  (bsc#1158021 CVE-2019-19319).
- commit 99e7bbf
* Fri Dec 20 2019 jack@suse.cz
- ext4: avoid declaring fs inconsistent due to invalid file
  handles (bsc#1158021 CVE-2019-19319).
  patches.suse/ext4-fix-check-of-inode-in-swap_inode_boot_loader.patch:
  Refresh
  patches.suse/ext4-update-quota-information-while-swapping-boot-lo.patch:
  Refresh
- commit 6e4cde7
* Fri Dec 20 2019 tiwai@suse.de
- xhci: handle some XHCI_TRUST_TX_LENGTH quirks cases as default
  behaviour (bsc#1051510).
- usb: dwc3: ep0: Clear started flag on completion (bsc#1051510).
- usb: core: urb: fix URB structure initialization function
  (bsc#1051510).
- USB: documentation: flags on usb-storage versus UAS
  (bsc#1051510).
- USB: uas: heed CAPACITY_HEURISTICS (bsc#1051510).
- USB: uas: honor flag to avoid CAPACITY16 (bsc#1051510).
- usb: gadget: u_serial: add missing port entry locking
  (bsc#1051510).
- usb: Allow USB device to be warm reset in suspended state
  (bsc#1051510).
- usb: gadget: pch_udc: fix use after free (bsc#1051510).
- usb: mtu3: fix dbginfo in qmu_tx_zlp_error_handler
  (bsc#1051510).
- usb: dwc3: don't log probe deferrals; but do log other error
  codes (bsc#1051510).
- usb: dwc3: debugfs: Properly print/set link state for HS
  (bsc#1051510).
- commit 021463b
* Fri Dec 20 2019 tiwai@suse.de
- media: cec.h: CEC_OP_REC_FLAG_ values were swapped
  (bsc#1051510).
- media: stkwebcam: Bugfix for wrong return values (bsc#1051510).
- media: cec: report Vendor ID after initialization (bsc#1051510).
- media: pulse8-cec: return 0 when invalidating the logical
  address (bsc#1051510).
- commit 1c876c1
* Fri Dec 20 2019 jack@suse.cz
- ext4: don't perform block validity checks on the journal inode
  (bsc#1158021 CVE-2019-19319).
- commit 31ca384
* Fri Dec 20 2019 jack@suse.cz
- ext4: fix block validity checks for journal inodes using
  indirect blocks (bsc#1158021 CVE-2019-19319).
- commit ab695a9
* Fri Dec 20 2019 tiwai@suse.de
- Input: synaptics-rmi4 - don't increment rmiaddr for SMBus
  transfers (bsc#1051510).
- Input: goodix - add upside-down quirk for Teclast X89 tablet
  (bsc#1051510).
- ACPI: bus: Fix NULL pointer check in acpi_bus_get_private_data()
  (bsc#1051510).
- Input: synaptics - switch another X1 Carbon 6 to RMI/SMbus
  (bsc#1051510).
- ASoC: Jack: Fix NULL pointer dereference in snd_soc_jack_report
  (bsc#1051510).
- ar5523: check NULL before memcpy() in ar5523_cmd()
  (bsc#1051510).
- crypto: ccp - fix uninitialized list head (bsc#1051510).
- Input: cyttsp4_core - fix use after free bug (bsc#1051510).
- ath10k: fix fw crash by moving chip reset after napi disabled
  (bsc#1051510).
- e100: Fix passing zero to 'PTR_ERR' warning in
  e100_load_ucode_wait (bsc#1051510).
- iwlwifi: mvm: Send non offchannel traffic via AP sta
  (bsc#1051510).
- iwlwifi: mvm: synchronize TID queue removal (bsc#1051510).
- commit f326398
* Fri Dec 20 2019 jack@suse.cz
- ext4: unsigned int compared against zero (bsc#1158021
  CVE-2019-19319).
- commit 12dab82
* Fri Dec 20 2019 jack@suse.cz
- ext4: protect journal inode's blocks using block_validity
  (bsc#1158021 CVE-2019-19319).
- commit 46496d5
* Thu Dec 19 2019 mkubecek@suse.cz
- rpm/kernel-subpackage-spec: fix kernel-default-base build
  There were some issues with recent changes to subpackage dependencies handling:
- a typo in %%kernel_base_conflicts macro name
- copy/pasted "Recommends:" instead of "Provides:", "Obsoletes:" and
  "Conflicts:
- missing escaping of backslashes in macro expansions
  Fixes: f3b74b0ae86b ("rpm/kernel-subpackage-spec: Unify dependency handling.")
  Fixes: 3fd22e219f77 ("rpm/kernel-subpackage-spec: Fix empty Recommends tag (bsc#1143959)")
- commit 762fd66
* Thu Dec 19 2019 fdmanana@suse.com
- Btrfs: avoid fallback to transaction commit during fsync of
  files with holes (bsc#1159569).
- commit ff8bfbd
* Wed Dec 18 2019 msuchanek@suse.de
- Refresh patches.kabi/kABI-add-_q-suffix-to-exports-that-take-struct-dh.patch.
  Remove the fips=1 check in dh.c
  dh.c is not fips-specific and should perform the same regardless of this
  setting.
- commit b58e024
* Wed Dec 18 2019 tiwai@suse.de
- ASoC: wm8962: fix lambda value (git-fixes).
- ALSA: hda - Downgrade error message for single-cmd fallback
  (git-fixes).
- ALSA: hda/ca0132 - Fix work handling in delayed HP detection
  (git-fixes).
- ALSA: hda/ca0132 - Avoid endless loop (git-fixes).
- ALSA: hda/ca0132 - Keep power on during processing DSP response
  (git-fixes).
- ALSA: pcm: Avoid possible info leaks from PCM stream buffers
  (git-fixes).
- commit de42cc1
* Wed Dec 18 2019 msuchanek@suse.de
- powerpc/archrandom: fix arch_get_random_seed_int()
  (bsc#1065729).
- powerpc: Fix vDSO clock_getres() (bsc#1065729).
- powerpc/powernv: Disable native PCIe port management
  (bsc#1065729).
- commit 357ec14
* Wed Dec 18 2019 msuchanek@suse.de
- ibmveth: Detect unsupported packets before sending to the
  hypervisor (bsc#1159484 ltc#182983).
- commit 09dca4e
* Wed Dec 18 2019 dwagner@suse.de
- Refresh lpfc-size-cpu-map-by-last-cpu-id-set.patch
- commit 03a3eaf
* Wed Dec 18 2019 msuchanek@suse.de
- Refresh patches.kabi/kABI-add-_q-suffix-to-exports-that-take-struct-dh.patch
  This passes dh test with both old and new testmgr module.
- commit 024a442
* Wed Dec 18 2019 fdmanana@suse.com
- Btrfs: add missing extents release on file extent cluster
  relocation error (bsc#1159483).
- Refresh
  patches.suse/0001-btrfs-qgroup-Always-free-PREALLOC-META-reserve-in-bt.patch.
- commit 3bc5cf1
* Wed Dec 18 2019 duwe@suse.de
- patches.kabi/kABI-add-_q-suffix-to-exports-that-take-struct-dh.patch:
  Make sure the FIPS pubkey check is only executed in FIPS mode.
- commit 8162e25
* Wed Dec 18 2019 msuchanek@suse.de
- Refresh patches.kabi/kABI-add-_q-suffix-to-exports-that-take-struct-dh.patch.
  Adjust for change of DH_KPP_SECRET_MIN_SIZE in 35f7d5225ffcbf1b759f641aec1735e3a89b1914
- commit a30af00
* Wed Dec 18 2019 tbogendoerfer@suse.de
- IB/mlx5: Fix steering rule of drop and count (bsc#1103991
  FATE#326007).
- net/mlx5e: Query global pause state before setting prio2buffer
  (bsc#1103990 FATE#326006).
- mqprio: Fix out-of-bounds access in mqprio_dump (bsc#1109837).
- net: sched: fix dump qlen for sch_mq/sch_mqprio with NOLOCK
  subqueues (bsc#1109837).
- RDMA/hns: Bugfix for qpc/cqc timer configuration (bsc#1104427
  FATE#326416 bsc#1126206).
- RDMA/hns: Fix to support 64K page for srq (bsc#1104427
  FATE#326416).
- IB/mlx5: Remove dead code (bsc#1103991 FATE#326007).
- ice: fix stack leakage (bsc#1118661 FATE#325277).
- bpf: skmsg, fix potential psock NULL pointer dereference
  (bsc#1109837).
- net/mlx5: Accumulate levels for chains prio namespaces
  (bsc#1103990 FATE#326006).
- net/mlx5: Update the list of the PCI supported devices
  (bsc#1127611).
- net/mlx4_en: Fix wrong limitation for number of TX rings
  (bsc#1103989 FATE#326004).
- net: sched: ensure opts_len <= IP_TUNNEL_OPTS_MAX in
  act_tunnel_key (bsc#1109837).
- mlxsw: spectrum_router: Fix determining underlay for a GRE
  tunnel (bsc#1112374).
- bpf, offload: Unlock on error in bpf_offload_dev_create()
  (bsc#1109837).
- net: hns3: fix ETS bandwidth validation bug (bsc#1104353
  FATE#326415).
- RDMA/hns: Correct the value of srq_desc_size (bsc#1104427
  FATE#326416).
- commit a909435
* Wed Dec 18 2019 msuchanek@suse.de
- rpm/kernel-subpackage-spec: Unify dependency handling.
- commit f3b74b0
* Wed Dec 18 2019 tbogendoerfer@suse.de
- cxgb4: request the TX CIDX updates to status page (bsc#1127371).
- net/mlx5: prevent memory leak in mlx5_fpga_conn_create_cq
  (bsc#1046303 FATE#322944).
- RDMA/hns: Prevent memory leaks of eq->buf_list (bsc#1104427
  FATE#326416).
- commit 9b532f1
* Wed Dec 18 2019 msuchanek@suse.de
- kABI: add _q suffix to exports that take struct dh (bsc#1155331).
- Delete patches.kabi/crypto-dh-hide-Q-addition.patch.
- commit 7803c1c
* Wed Dec 18 2019 vbabka@suse.cz
- prevent active file list thrashing due to refault detection
  (VM Performance, bsc#1156286).
- commit 5b34c04
* Tue Dec 17 2019 duwe@suse.de
- crypto: dh - fix calculating encoded key size (bsc#1155331).
- crypto: dh - fix memory leak (bsc#1155331).
- crypto: dh - update test for public key verification
  (bsc#1155331).
- Refresh patches.kabi/crypto-dh-hide-Q-addition.patch.
- commit 97c84e1
* Tue Dec 17 2019 jslaby@suse.cz
- net: cdc_ncm: Signedness bug in cdc_ncm_set_dgram_size()
  (git-fixes).
- commit 93f6bc8
* Tue Dec 17 2019 jslaby@suse.cz
- net/mlx5e: Fix SFF 8472 eeprom length (git-fixes).
- commit b992dbb
* Tue Dec 17 2019 jslaby@suse.cz
- qede: fix NULL pointer deref in __qede_remove()
  (networking-stable-19_11_10).
- net: fix data-race in neigh_event_send()
  (networking-stable-19_11_10).
- net: ethernet: octeon_mgmt: Account for second possible VLAN
  header (networking-stable-19_11_10).
- ipv4: Fix table id reference in fib_sync_down_addr
  (networking-stable-19_11_10).
- net: usb: qmi_wwan: add support for DW5821e with eSIM support
  (networking-stable-19_11_10).
- CDC-NCM: handle incomplete transfer of MTU
  (networking-stable-19_11_10).
- NFC: st21nfca: fix double free (networking-stable-19_11_10).
- NFC: fdp: fix incorrect free object
  (networking-stable-19_11_10).
- commit ae51dd5
* Tue Dec 17 2019 jslaby@suse.cz
- bonding: fix state transition issue in link monitoring
  (networking-stable-19_11_10).
- bonding: fix slave stuck in BOND_LINK_FAIL state
  (networking-stable-19_11_10).
- commit 6f0e976
* Tue Dec 17 2019 acho@suse.com
- Revert patches
- Delete
  patches.kabi/0004-netlink-nla_policy-kabi-workaround.patch.
- Delete
  patches.suse/0001-netlink-add-attribute-range-validation-to-policy.patch.
- Delete
  patches.suse/0002-netlink-add-validation-function-to-policy.patch.
- Delete patches.suse/0003-nl80211-validate-beacon-head.patch.
- commit 8159d30
* Mon Dec 16 2019 rgoldwyn@suse.com
- apparmor: fix unsigned len comparison with less than zero
  (git-fixes).
- btrfs: simplify inode locking for RWF_NOWAIT  (git-fixes).
- commit 8a20927
* Mon Dec 16 2019 jgross@suse.com
- xen/blkback: Avoid unmapping unmapped grant pages (bsc#1065600).
- commit 3dfa0d7
* Mon Dec 16 2019 jack@suse.cz
- ext4: add more paranoia checking in ext4_expand_extra_isize
  handling (bsc#1159297 CVE-2019-19767).
- commit fff6dee
* Mon Dec 16 2019 duwe@suse.de
- Update patches.kabi/crypto-dh-hide-Q-addition.patch to only change
  the kABI when FIPS mode is requested.
- commit f95af47
* Mon Dec 16 2019 duwe@suse.de
- rpm/modules.fips:
  update module list (bsc#1157853)
- commit 46a01d6
* Mon Dec 16 2019 duwe@suse.de
- Cover up kABI breakage due to DH key verification (bsc#1155331).
- commit b6375ec
* Mon Dec 16 2019 tiwai@suse.de
- usb: xhci: only set D3hot for pci device (bsc#1051510).
- USB: adutux: fix interface sanity check (bsc#1051510).
- USB: idmouse: fix interface sanity checks (bsc#1051510).
- USB: serial: io_edgeport: fix epic endpoint lookup
  (bsc#1051510).
- commit b403ad9
* Mon Dec 16 2019 tiwai@suse.de
- xhci: Increase STS_HALT timeout in xhci_suspend() (bsc#1051510).
- usb: mon: Fix a deadlock in usbmon between mmap and read
  (bsc#1051510).
- genirq: Prevent NULL pointer dereference in resend_irqs()
  (bsc#1051510).
- genirq: Properly pair kobject_del() with kobject_add()
  (bsc#1051510).
- kernfs: Fix range checks in kernfs_get_target_path
  (bsc#1051510).
- commit 4c7831d
* Mon Dec 16 2019 tiwai@suse.de
- drm: meson: venc: cvbs: fix CVBS mode matching (bsc#1051510).
- can: slcan: Fix use-after-free Read in slcan_open (bsc#1051510).
- configfs_register_group() shouldn't be (and isn't) called in
  rmdirable parts (bsc#1051510).
- commit a48e6b0
* Mon Dec 16 2019 tiwai@suse.de
- blacklist.conf: Add entries breaking kABI due
- commit 1a4478b
* Mon Dec 16 2019 bp@suse.de
- crypto: ccp - Release all allocated memory if sha type is
  invalid (bsc#1156259 CVE-2019-18808).
- commit 102fb76
* Mon Dec 16 2019 jeyu@suse.de
- blacklist.conf: blacklist commit bc6f2a757d52
- commit 71b6df5
* Mon Dec 16 2019 tiwai@suse.de
- rpm/kernel-subpackage-spec: Fix empty Recommends tag (bsc#1143959)
- commit 3fd22e2
* Mon Dec 16 2019 ptesarik@suse.cz
- KVM: s390: Test for bad access register and size at the start
  of S390_MEM_OP (git-fixes).
- KVM: s390: Do not leak kernel stack data in the
  KVM_S390_INTERRUPT ioctl (git-fixes).
- commit f90df70
* Mon Dec 16 2019 acho@suse.com
- Fix kABI breakage by nl80211 security fix (CVE-2019-16746
  bsc#1152107).
- nl80211: validate beacon head (bsc#1152107 CVE-2019-16746).
- netlink: add validation function to policy (bsc#1152107
  CVE-2019-16746).
- netlink: add attribute range validation to policy (bsc#1152107
  CVE-2019-16746).
- commit 2c33dfe
* Mon Dec 16 2019 msuchanek@suse.de
- Refresh patches.suse/ibmvnic-Fix-typo-in-retry-check.patch.
- commit cbde6a3
* Sun Dec 15 2019 tiwai@suse.de
- Move upstreame EFI patch into sored section
- commit bc59c4a
* Sun Dec 15 2019 tiwai@suse.de
- Update patch tags of upstreamed scsi patches, move to sorted section
- commit 0c09943
* Sat Dec 14 2019 tiwai@suse.de
- Refresh patches.suse/0001-media-ov6650-Fix-control-handler-not-freed-on-init-e.patch
  Fix compile error on openSUSE branches.
- commit cc1aa92
* Sat Dec 14 2019 tiwai@suse.de
- dma-buf: Fix memory leak in sync_file_merge() (git-fixes).
- commit 8fc8597
* Sat Dec 14 2019 tiwai@suse.de
- ALSA: hda/realtek - Line-out jack doesn't work on a Dell AIO
  (bsc#1051510).
- ALSA: hda/hdmi - Fix duplicate unref of pci_dev (bsc#1051510).
- ALSA: fireface: fix return value in error path of isochronous
  resources reservation (bsc#1051510).
- ALSA: oxfw: fix return value in error path of isochronous
  resources reservation (bsc#1051510).
- ALSA: echoaudio: simplify get_audio_levels (bsc#1051510).
- commit c32769e
* Sat Dec 14 2019 lduncan@suse.com
- scsi: bfa: release allocated memory in case of error
  (CVE-2019-19066 bsc#1157303).
- commit f2cf285
* Fri Dec 13 2019 bp@suse.de
- resource: fix locking in find_next_iomem_res() (bsc#1114279).
- commit a705bfe
* Fri Dec 13 2019 ptesarik@suse.cz
- kexec: bail out upon SIGKILL when allocating memory (git-fixes).
- commit ace1b16
* Fri Dec 13 2019 bp@suse.de
- blacklist.conf: 04e7712f4460 ("y2038: futex: Move compat implementation into futex.c")
- commit 1459ae8
* Fri Dec 13 2019 mgorman@suse.de
- blacklist.conf: excessive backport requirements for a corner case optimisation
- commit 2c031f4
* Thu Dec 12 2019 mgorman@suse.de
- sched/fair: Fix O(nr_cgroups) in the load balancing path
  (bnc#1156462).
- sched/fair: Optimize update_blocked_averages() (bnc#1156462).
- sched/fair: Fix insertion in rq->leaf_cfs_rq_list (bnc#1156462).
- sched/fair: Add tmp_alone_branch assertion (bnc#1156462).
- commit 93554d4
* Thu Dec 12 2019 tbogendoerfer@suse.de
- RDMA/bnxt_re: Fix missing le16_to_cpu (bsc#1157895).
- RDMA/bnxt_re: Fix chip number validation Broadcom's Gen P5
  series (bsc#1157895).
- RDMA/bnxt_re: Enable SRIOV VF support on Broadcom's 57500
  adapter series (bsc#1154916).
- commit 769ad8d
* Thu Dec 12 2019 tbogendoerfer@suse.de
- e1000e: Add support for Tiger Lake (bsc#1158533).
- e1000e: Add support for Comet Lake (bsc#1158533).
- e1000e: Increase pause and refresh time (bsc#1158533).
- commit e7b2286
* Thu Dec 12 2019 tiwai@suse.de
- iwlwifi: pcie: fix erroneous print (bsc#1111666).
- iwlwifi: mvm: force TCM re-evaluation on TCM resume
  (bsc#1111666).
- commit 4845b2b
* Thu Dec 12 2019 tiwai@suse.de
- blacklist.conf: Add iwlwifi entry that breaks kABI
- commit aa7ca4c
* Thu Dec 12 2019 tiwai@suse.de
- brcmfmac: set SDIO F1 MesBusyCtrl for CYW4373 (bsc#1111666).
- brcmfmac: set F2 watermark to 256 for 4373 (bsc#1111666).
- commit 57025c3
* Thu Dec 12 2019 tiwai@suse.de
- Move upstreamed ath10k fix into sorted section
- commit 12964a7
* Thu Dec 12 2019 msuchanek@suse.de
- net/ibmvnic: Fix typo in retry check (bsc#1155689 ltc#182047).
- ibmvnic: Serialize device queries (bsc#1155689 ltc#182047).
- ibmvnic: Bound waits for device queries (bsc#1155689
  ltc#182047).
- ibmvnic: Terminate waiting device threads after loss of service
  (bsc#1155689 ltc#182047).
- commit 09b4ec9
* Thu Dec 12 2019 ptesarik@suse.cz
- s390/qeth: ensure linear access to packet headers (git-fixes).
- s390/qeth: guard against runt packets (git-fixes).
- scsi: zfcp: trace channel log even for FCP command responses
  (git-fixes).
- s390/qeth: consolidate skb allocation (git-fixes).
- s390/qeth: clean up page frag creation (git-fixes).
- commit bed81e7
* Thu Dec 12 2019 msuchanek@suse.de
- powerpc/pseries/mobility: notify network peers after migration
  (bsc#1152631 ltc#181798).
- commit 0ac4883
* Thu Dec 12 2019 oneukum@suse.com
- PCI: pciehp: Avoid returning prematurely from sysfs requests
  (git-fixes).
- commit be1dcad
* Thu Dec 12 2019 oneukum@suse.com
- blacklist.conf: patch obsoleted by other patch
- commit 4e9f49a
* Thu Dec 12 2019 oneukum@suse.com
- media: uvcvideo: Fix error path in control parsing failure
  (git-fixes).
- commit 4344007
* Thu Dec 12 2019 msuchanek@suse.de
- ibmvnic: Fix completion structure initialization (bsc#1155689
  ltc#182047).
- commit eb9b012
* Wed Dec 11 2019 duwe@suse.de
- crypto: DRBG - add FIPS 140-2 CTRNG for noise source
  (bsc#1155334).
- random: move FIPS continuous test to output functions
  (bsc#1155334).
- commit 22291c1
* Wed Dec 11 2019 tiwai@suse.de
- wimax: i2400: Fix memory leak in i2400m_op_rfkill_sw_toggle
  (CVE-2019-19051 bsc#1159024).
- wimax: i2400: fix memory leak (CVE-2019-19051 bsc#1159024).
- commit 3d3e049
* Wed Dec 11 2019 jroedel@suse.de
- KVM: x86: Remove a spurious export of a static function
  (bsc#1158954).
- KVM: vmx: use MSR_IA32_TSX_CTRL to hard-disable TSX on guest
  that lack it (CVE-2019-19338 bsc#1158954).
- KVM: vmx: implement MSR_IA32_TSX_CTRL disable RTM functionality
  (CVE-2019-19338 bsc#1158954).
- KVM: x86: fix presentation of TSX feature in ARCH_CAPABILITIES
  (CVE-2019-19338 bsc#1158954).
- commit 51a5f46
* Wed Dec 11 2019 oneukum@suse.com
- media: ov6650: Fix control handler not freed on init error
  (git-fixes).
- commit 7d49045
* Wed Dec 11 2019 jroedel@suse.de
- KVM: x86: fix out-of-bounds write in KVM_GET_EMULATED_CPUID
  (CVE-2019-19332) (CVE-2019-19332 bsc#1158827).
- commit 365a1e3
* Wed Dec 11 2019 bp@suse.de
- x86/speculation: Fix redundant MDS mitigation message
  (bsc#1114279).
- commit cb38480
* Wed Dec 11 2019 bp@suse.de
- x86/speculation: Fix incorrect MDS/TAA mitigation status
  (bsc#1114279).
- commit dbb9803
* Wed Dec 11 2019 bp@suse.de
- blacklist.conf: 700c1018b86d x86/insn: Fix awk regexp warnings
- commit 1ed8a77
* Tue Dec 10 2019 jdelvare@suse.de
- kABI fix for "ipmi: Don't allow device module unload when in use" (bsc#1154768).
- ipmi: Don't allow device module unload when in use (bsc#1154768).
- commit 78fbbde
* Tue Dec 10 2019 tiwai@suse.de
- spi: omap2-mcspi: Fix DMA and FIFO event trigger size mismatch
  (bsc#1051510).
- commit a1897e2
* Tue Dec 10 2019 tiwai@suse.de
- net: phy: Check against net_device being NULL (bsc#1051510).
- net: phy: dp83867: Set up RGMII TX delay (bsc#1051510).
- net: phy: fixed_phy: Fix fixed_phy not checking GPIO
  (bsc#1051510).
- net: phy: xgmiitorgmii: Support generic PHY status read
  (bsc#1051510).
- commit 15f4e80
* Tue Dec 10 2019 tiwai@suse.de
- net: phy: Fix not to call phy_resume() if PHY is not attached
  (bsc#1051510).
- net: phy: mscc: read 'vsc8531, edge-slowdown' as an u32
  (bsc#1051510).
- net: phy: mscc: read 'vsc8531,vddmac' as an u32 (bsc#1051510).
- net: phy: Fix the register offsets in Broadcom iProc mdio mux
  driver (bsc#1051510).
- net: phy: xgmiitorgmii: Check read_status results (bsc#1051510).
- net: phy: xgmiitorgmii: Check phy_driver ready before accessing
  (bsc#1051510).
- commit 5da2589
* Tue Dec 10 2019 tiwai@suse.de
- net: phy: marvell: clear wol event before setting it
  (bsc#1051510).
- net: phy: broadcom: Use strlcpy() for ethtool::get_strings
  (bsc#1051510).
- commit 8d18ff5
* Tue Dec 10 2019 tiwai@suse.de
- net: phy: marvell: Use strlcpy() for ethtool::get_strings
  (bsc#1051510).
- Refresh
  patches.suse/net-phy-marvell-Fix-buffer-overrun-with-stats-counte.patch.
- commit ce57ac2
* Tue Dec 10 2019 tiwai@suse.de
- net: phy: micrel: Use strlcpy() for ethtool::get_strings
  (bsc#1051510).
- net: phy: meson-gxl: check phy_write return value (bsc#1051510).
- net: phy: xgene: disable clk on error paths (bsc#1051510).
- net: phy: at803x: Change error to EINVAL for invalid MAC
  (bsc#1051510).
- commit 191fa7c
* Tue Dec 10 2019 tiwai@suse.de
- pktcdvd: remove warning on attempting to register
  non-passthrough dev (bsc#1051510).
- commit 94fc8f8
* Tue Dec 10 2019 tiwai@suse.de
- PM / Domains: Deal with multiple states but no governor in genpd
  (bsc#1051510).
- commit d10e029
* Tue Dec 10 2019 tiwai@suse.de
- pwm: Clear chip_data in pwm_put() (bsc#1051510).
- pwm: clps711x: Fix period calculation (bsc#1051510).
- commit f5799ea
* Tue Dec 10 2019 tiwai@suse.de
- rtlwifi: rtl8192de: Fix missing callback that tests for hw
  release of buffer (bsc#1111666).
- commit 38fec46
* Tue Dec 10 2019 tiwai@suse.de
- stm class: Fix a double free of stm_source_device (bsc#1051510).
- vfs: fix preadv64v2 and pwritev64v2 compat syscalls with offset
  == -1 (bsc#1051510).
- spi: omap2-mcspi: Set FIFO DMA trigger level to word length
  (bsc#1051510).
- commit 782d088
* Tue Dec 10 2019 jeyu@suse.de
- blacklist.conf: blacklist kbuild/module commits related to gcc9
- commit 94548d3
* Tue Dec 10 2019 tiwai@suse.de
- Update patch reference for USB fix (CVE-2019-19537 bsc#1158904)
- commit 9ef1bdb
* Tue Dec 10 2019 tiwai@suse.de
- Update patch reference for USB fix (CVE-2019-19535 bsc#1158903)
- commit 94802fa
* Tue Dec 10 2019 tiwai@suse.de
- Update patch references for HID fixes (CVE-2019-19527 bsc#1158900)
- commit bca72e8
* Tue Dec 10 2019 tiwai@suse.de
- Update patch reference for nfc fix (CVE-2019-19526 bsc#1158893)
- commit a884332
* Tue Dec 10 2019 dwagner@suse.de
- scsi: qla2xxx: Fix incorrect SFUB length used for Secure
  Flash Update MB Cmd (bsc#1157424, bsc#1157908, bsc#1157169,
  bsc#1151548).
- scsi: qla2xxx: Added support for MPI and PEP regions for ISP28XX
  (bsc#1157424, bsc#1157908, bsc#1157169, bsc#1151548).
- scsi: qla2xxx: Correctly retrieve and interpret active flash
  region (bsc#1157424, bsc#1157908, bsc#1157169, bsc#1151548).
- commit 31fabf3
* Tue Dec 10 2019 dwagner@suse.de
- Refresh series.conf
  The qla2xxx driver update posted on linux-scsi 2019-11-25 has been
  applied to the subsystem maintainer's tree. Update previously imported
  patches from the mailing list accordingly.
- 0001-scsi-qla2xxx-Ignore-NULL-pointer-in-tcm_qla2xxx_free.patch
- 0002-scsi-qla2xxx-Use-explicit-LOGO-in-target-mode.patch
- 0003-scsi-qla2xxx-Initialize-free_work-before-flushing-it.patch
- 0004-scsi-qla2xxx-Drop-superfluous-INIT_WORK-of-del_work.patch
- 0005-scsi-qla2xxx-Change-discovery-state-before-PLOGI.patch
- 0006-scsi-qla2xxx-Allow-PLOGI-in-target-mode.patch
- 0007-scsi-qla2xxx-Don-t-call-qlt_async_event-twice.patch
- 0008-scsi-qla2xxx-Fix-PLOGI-payload-and-ELS-IOCB-dump-len.patch
- 0009-scsi-qla2xxx-Configure-local-loop-for-N2N-target.patch
- 0010-scsi-qla2xxx-Send-Notify-ACK-after-N2N-PLOGI.patch
- 0011-scsi-qla2xxx-Don-t-defer-relogin-unconditonally.patch
- 0012-scsi-qla2xxx-Ignore-PORT-UPDATE-after-N2N-PLOGI.patch
- 0013-scsi-qla2xxx-Add-debug-dump-of-LOGO-payload-and-ELS-.patch
  Some of the qla2xxx patches have been promoted from the maintainer's
  subsystem tree to the main tree. Update them also accordingly.
- scsi-qla2xxx-Fix-qla2x00_request_irqs-for-MSI.patch
- scsi-qla2xxx-fix-rports-not-being-mark-as-lost-in-sy.patch
- scsi-qla2xxx-unregister-ports-after-GPN_FT-failure.patch
- commit 9ff2154
* Tue Dec 10 2019 glin@suse.com
- bpf/stackmap: Fix deadlock with rq_lock in bpf_get_stack()
  (bsc#1083647).
- commit f657d19
* Tue Dec 10 2019 glin@suse.com
- blacklist.conf: 6ae08ae3dea2 bpf: Add probe_read_{user, kernel} and probe_read_{user, kernel}_str helpers
- commit 548c3f1
* Tue Dec 10 2019 glin@suse.com
- bpf: Make use of probe_user_write in probe write helper
  (bsc#1083647).
- uaccess: Add non-pagefault user-space write function
  (bsc#1083647).
- commit 2976b35
* Mon Dec  9 2019 tiwai@suse.de
- Update patch reference for a media driver fix (CVE-2019-19533 bsc#1158834)
- commit 22e0c5f
* Mon Dec  9 2019 tiwai@suse.de
- Update patch references for USB and HID fixes (CVE-2019-19532 bsc#1158824 CVE-2019-19523)
- commit 4b8f63e
* Mon Dec  9 2019 tzimmermann@suse.de
- video: backlight: Add devres versions of of_find_backlight (bsc#1090888)
  Taken for 6010831dde5.
- commit 193388c
* Mon Dec  9 2019 tzimmermann@suse.de
- video: backlight: Add of_find_backlight helper in backlight.c (bsc#1090888)
  Taken for 6010831dde5.
- commit b428a28
* Mon Dec  9 2019 osalvador@suse.de
- audit: Allow auditd to set pid to 0 to end auditing
  (bsc#1158094).
- commit d30be8c
* Mon Dec  9 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm: rcar_lvds: Fix color mismatches on R-Car H2 ES2.0 and later'
- commit 2eb286a
* Mon Dec  9 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/mipi-dbi: fix a loop in debugfs code'
- commit c10fd25
* Mon Dec  9 2019 tzimmermann@suse.de
- drm/amdgpu: fix bad DMA from INTERRUPT_CNTL2 (bsc#1114279)
- commit 7c24ea3
* Mon Dec  9 2019 tzimmermann@suse.de
- drm/rockchip: Round up _before_ giving to the clock framework (bsc#1114279)
- commit 0382d11
* Mon Dec  9 2019 tzimmermann@suse.de
- drm: panel-lvds: Potential Oops in probe error handling (bsc#1114279)
- commit 8d8e838
* Mon Dec  9 2019 tzimmermann@suse.de
- drm/msm: include linux/sched/task.h (bsc#1112178)
- commit 94c9e7f
* Sun Dec  8 2019 tiwai@suse.de
- ALSA: hda - fixup for the bass speaker on Lenovo Carbon X1
  7th gen (git-fixes).
- ALSA: hda/realtek - Fix inverted bass GPIO pin on Acer 8951G
  (git-fixes).
- commit 5007d3d
* Sun Dec  8 2019 tiwai@suse.de
- ALSA: pcm: oss: Avoid potential buffer overflows (git-fixes).
- ALSA: hda/realtek - Dell headphone has noise on unmute for
  ALC236 (git-fixes).
- ALSA: hda/hdmi - Add new pci ids for AMD GPU display audio
  (git-fixes).
- ALSA: hda/hdmi - fix vgaswitcheroo detection for AMD
  (git-fixes).
- commit 1b2f3a0
* Fri Dec  6 2019 tiwai@suse.de
- thermal: Fix deadlock in thermal thermal_zone_device_check
  (bsc#1051510).
- tipc: fix link name length check (bsc#1051510).
- USB: serial: ftdi_sio: add device IDs for U-Blox C099-F9P
  (bsc#1051510).
- watchdog: sama5d4: fix WDD value to be always set to max
  (bsc#1051510).
- tipc: fix skb may be leaky in tipc_link_input (bsc#1051510).
- tipc: fix memory leak in tipc_nl_compat_publ_dump (bsc#1051510).
- tipc: fix a missing check of genlmsg_put (bsc#1051510).
- serial: max310x: Fix tx_empty() callback (bsc#1051510).
- commit f0c5a4f
* Fri Dec  6 2019 tiwai@suse.de
- moduleparam: fix parameter description mismatch (bsc#1051510).
- platform/x86: hp-wmi: Fix ACPI errors caused by passing 0 as
  input size (bsc#1051510).
- platform/x86: hp-wmi: Fix ACPI errors caused by too small buffer
  (bsc#1051510).
- staging: rtl8723bs: Drop ACPI device ids (bsc#1051510).
- staging: rtl8723bs: Add 024c:0525 to the list of SDIO device-ids
  (bsc#1051510).
- staging: rtl8192e: fix potential use after free (bsc#1051510).
- mei: bus: prefix device names on bus with the bus name
  (bsc#1051510).
- reset: fix reset_control_ops kerneldoc comment (bsc#1051510).
- mac80211: fix station inactive_time shortly after boot
  (bsc#1051510).
- media: v4l2-ctrl: fix flags for DO_WHITE_BALANCE (bsc#1051510).
- mailbox: mailbox-test: fix null pointer if no mmio
  (bsc#1051510).
- PCI/MSI: Return -ENOSPC from pci_alloc_irq_vectors_affinity()
  (bsc#1051510).
- pinctrl: xway: fix gpio-hog related boot issues (bsc#1051510).
- rtl818x: fix potential use after free (bsc#1051510).
- mwifiex: debugfs: correct histogram spacing, formatting
  (bsc#1051510).
- mwifiex: fix potential NULL dereference and use after free
  (bsc#1051510).
- regulator: tps65910: fix a missing check of return value
  (bsc#1051510).
- drivers/regulator: fix a missing check of return value
  (bsc#1051510).
- PM / AVS: SmartReflex: NULL check before some freeing functions
  is not needed (bsc#1051510).
- commit e044de4
* Fri Dec  6 2019 tiwai@suse.de
- can: rx-offload: can_rx_offload_irq_offload_fifo(): continue
  on error (bsc#1051510).
- can: rx-offload: can_rx_offload_irq_offload_timestamp():
  continue on error (bsc#1051510).
- can: rx-offload: can_rx_offload_offload_one(): use ERR_PTR()
  to propagate error value in case of errors (bsc#1051510).
- can: rx-offload: can_rx_offload_offload_one(): increment
  rx_fifo_errors on queue overflow or OOM (bsc#1051510).
- can: c_can: D_CAN: c_can_chip_config(): perform a sofware
  reset on open (bsc#1051510).
- can: peak_usb: report bus recovery as well (bsc#1051510).
- idr: Fix idr_alloc_u32 on 32-bit systems (bsc#1051510).
- ASoC: compress: fix unsigned integer overflow check
  (bsc#1051510).
- hwrng: stm32 - fix unbalanced pm_runtime_enable (bsc#1051510).
- ACPI / APEI: Don't wait to serialise with oops messages when
  panic()ing (bsc#1051510).
- HID: doc: fix wrong data structure reference for UHID_OUTPUT
  (bsc#1051510).
- HID: intel-ish-hid: fixes incorrect error handling
  (bsc#1051510).
- drivers/base/platform.c: kmemleak ignore a known leak
  (bsc#1051510).
- atl1e: checking the status of atl1e_write_phy_reg (bsc#1051510).
- crypto: mxc-scc - fix build warnings on ARM64 (bsc#1051510).
- ath6kl: Fix off by one error in scan completion (bsc#1051510).
- Bluetooth: hci_bcm: Handle specific unknown packets after
  firmware loading (bsc#1051510).
- ACPI / LPSS: Ignore acpi_device_fix_up_power() return value
  (bsc#1051510).
- commit c5dac6a
* Fri Dec  6 2019 mhocko@suse.com
- mm, memory_hotplug: do not clear numa_node association after
  hot_remove (bnc#1115026).
- commit 4f83047
* Fri Dec  6 2019 tzimmermann@suse.de
- drm/i915: Reacquire priolist cache after dropping the engine lock (bsc#1129770)
  Fixes a const function argument in the patch.
- commit 4c18f2b
* Fri Dec  6 2019 jthumshirn@suse.de
- README.BRANCH: Removing myself from the maintainer list
- commit 4011640
* Fri Dec  6 2019 tiwai@suse.de
- ACPI: sysfs: Change ACPI_MASKABLE_GPE_MAX to 0x100
  (bsc#1051510).
- ACPI: OSL: only free map once in osl.c (bsc#1051510).
- commit 4f385d9
* Fri Dec  6 2019 jack@suse.cz
- blacklist.conf: Blacklist commit 6b2daec19094
- commit e60b517
* Fri Dec  6 2019 jack@suse.cz
- xfs: Sanity check flags of Q_XQUOTARM call (bsc#1158652).
- commit b7d578c
* Fri Dec  6 2019 jack@suse.cz
- iomap: Fix pipe page leakage during splicing (bsc#1158651).
- commit 504c301
* Fri Dec  6 2019 jack@suse.cz
- ocfs2: fix passing zero to 'PTR_ERR' warning (bsc#1158649).
- commit 9083a0c
* Fri Dec  6 2019 jack@suse.cz
- ecryptfs_lookup_interpose(): lower_dentry->d_parent is not
  stable either (bsc#1158647).
- commit f54b32c
* Fri Dec  6 2019 jack@suse.cz
- ecryptfs_lookup_interpose(): lower_dentry->d_inode is not stable
  (bsc#1158646).
- commit 0a9b562
* Fri Dec  6 2019 jack@suse.cz
- cgroup,writeback: don't switch wbs immediately on dead wbs if
  the memcg is dead (bsc#1158645).
- commit 21caf48
* Fri Dec  6 2019 jack@suse.cz
- blacklist.conf: Blacklist 8e88bfba77ee and c70d868f272b
- commit 5a5904d
* Fri Dec  6 2019 jack@suse.cz
- ocfs2: fix panic due to ocfs2_wq is null (bsc#1158644).
- commit 24aed21
* Fri Dec  6 2019 jack@suse.cz
- ubifs: Limit the number of pages in shrink_liability
  (bsc#1158643).
- commit ec7c416
* Fri Dec  6 2019 jack@suse.cz
- ubifs: Correctly initialize c->min_log_bytes (bsc#1158641).
- commit b459bd2
* Fri Dec  6 2019 jack@suse.cz
- ext4: fix punch hole for inline_data file systems (bsc#1158640).
- commit 6caf943
* Fri Dec  6 2019 jack@suse.cz
- ext4: update direct I/O read lock pattern for IOCB_NOWAIT
  (bsc#1158639).
- commit 75d2974
* Fri Dec  6 2019 jack@suse.cz
- nbd: prevent memory leak (bsc#1158638).
- commit a64d40b
* Fri Dec  6 2019 jack@suse.cz
- loop: fix no-unmap write-zeroes request behavior (bsc#1158637).
- commit 965ab50
* Thu Dec  5 2019 bp@suse.de
- Refresh patches.suse/edac-ghes-fix-locking-and-memory-barrier-issues.patch.
  Fix a build warning:
  ../drivers/edac/ghes_edac.c: In function 'ghes_edac_register':
  ../drivers/edac/ghes_edac.c:556:9: warning: 'rc' may be used uninitialized \
  in this function [-Wmaybe-uninitialized]
- commit 37647e1
* Thu Dec  5 2019 bp@suse.de
- EDAC/ghes: Fix locking and memory barrier issues (bsc#1114279).
  EDAC/ghes: Do not warn when incrementing refcount on 0 (bsc#1114279).
- commit a2e81dd
* Thu Dec  5 2019 mfleming@suse.de
- sched/fair: WARN() and refuse to set buddy when !se->on_rq
  (bsc#1158132).
- commit 606d642
* Thu Dec  5 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/nouveau: fix duplication of nv50_head_atom struct'
- commit a1b872b
* Thu Dec  5 2019 tzimmermann@suse.de
- drm: fix module name in edid_firmware log message (bsc#1113956)
- commit ca25711
* Thu Dec  5 2019 tzimmermann@suse.de
- drm/i915: Fix and improve MCR selection logic (bsc#1112178)
- commit c376bc2
* Thu Dec  5 2019 tzimmermann@suse.de
- drm/i915: Lock the engine while dumping the active request (bsc#1142635)
- commit 5e5593e
* Thu Dec  5 2019 tzimmermann@suse.de
- drm/i915: Don't dereference request if it may have been retired when (bsc#1142635)
- commit e14a3ae
* Thu Dec  5 2019 tzimmermann@suse.de
- drm/i915: Reacquire priolist cache after dropping the engine lock (bsc#1129770)
- commit c276017
* Thu Dec  5 2019 tzimmermann@suse.de
- i2c: of: Try to find an I2C adapter matching the parent (bsc#1129770)
- commit 7a1b5cf
* Thu Dec  5 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Lock the engine while dumping the active request'
- commit 8b62b4a
* Thu Dec  5 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Reacquire priolist cache after dropping the engine lock'
- commit 4ae49b6
* Thu Dec  5 2019 oneukum@suse.com
- Update
  patches.suse/media-dvb-usb-fix-use-after-free-in-dvb_usb_device_e.patch
  (bsc#1146544 CVE-2019-15213).
  added CVE number
- commit 4f5341d
* Thu Dec  5 2019 ptesarik@suse.cz
- net/smc: fix refcount non-blocking connect() -part 2
  (git-fixes).
- commit 4e1356c
* Thu Dec  5 2019 ptesarik@suse.cz
- net/smc: fix fastopen for non-blocking connect() (git-fixes).
- net/smc: fix ethernet interface refcounting (git-fixes).
- net/smc: fix refcounting for non-blocking connect() (git-fixes).
- net/smc: keep vlan_id for SMC-R in smc_listen_work()
  (git-fixes).
- net/smc: fix closing of fallback SMC sockets (git-fixes).
- net/smc: fix SMCD link group creation with VLAN id (git-fixes).
- net/smc: avoid fallback in case of non-blocking connect
  (git-fixes).
- net/smc: do not schedule tx_work in SMC_CLOSED state
  (git-fixes).
- net/smc: Fix error path in smc_init (git-fixes).
- net/smc: original socket family in inet_sock_diag (git-fixes).
- commit a0a1aeb
* Wed Dec  4 2019 msuchanek@suse.de
- kabi/severities: Whitelist rpaphp_get_drc_props (bsc#1157480 ltc#181028).
- commit a7c8033
* Wed Dec  4 2019 mkubecek@suse.cz
- fix SCTP regression (bsc#1158082)
  Update
  patches.suse/sctp-change-sctp_prot-.no_autobind-with-true.patch
  (networking-stable-19_10_24 bsc#1158082).
- commit a188d6f
* Wed Dec  4 2019 mkubecek@suse.cz
- Update
  patches.suse/ipv6-defrag-drop-non-last-frags-smaller-than-min-mtu.patch
  (add bsc#1141054).
- Refresh
  patches.kabi/kabi-handle-addition-of-ip6addrlbl_table-into-struct.patch.
  patches.kabi/kabi-handle-addition-of-net-hash_mix.patch.
  patches.kabi/kabi-handle-addition-of-netns_ipv4-ip_id_key.patch.
  patches.kabi/kabi-handle-addition-of-uevent_sock-into-struct-net.patch.
  patches.kabi/kabi-move-sysctl_tcp_min_snd_mss-to-preserve-struct-.patch.
- commit 9db313c
* Wed Dec  4 2019 tiwai@suse.de
- Update patch reference for USB fix (CVE-2019-19531 bsc#1158445)
- commit 723a70a
* Wed Dec  4 2019 tiwai@suse.de
- synclink_gt(): fix compat_ioctl() (bsc#1051510).
- tcp_nv: fix potential integer overflow in tcpnv_acked
  (bsc#1051510).
- commit 0d0a317
* Wed Dec  4 2019 tiwai@suse.de
- tipc: fix wrong timeout input for tipc_wait_for_cond()
  (bsc#1051510).
- tipc: compat: allow tipc commands without arguments
  (bsc#1051510).
- tipc: check msg->req data len in tipc_nl_compat_bearer_disable
  (bsc#1051510).
- tipc: pass tunnel dev as NULL to udp_tunnel(6)_xmit_skb
  (bsc#1051510).
- tipc: Avoid copying bytes beyond the supplied data
  (bsc#1051510).
- commit e0ee42d
* Wed Dec  4 2019 tiwai@suse.de
- tipc: handle the err returned from cmd header function
  (bsc#1051510).
- tipc: check link name with right length in
  tipc_nl_compat_link_set (bsc#1051510).
- tipc: check bearer name with right length in
  tipc_nl_compat_bearer_enable (bsc#1051510).
- tipc: tipc clang warning (bsc#1051510).
- tipc: fix tipc_mon_delete() oops in tipc_enable_bearer()
  error path (bsc#1051510).
- commit 64fc515
* Wed Dec  4 2019 tiwai@suse.de
- tty: serial: pch_uart: correct usage of dma_unmap_sg
  (bsc#1051510).
- tty: serial: imx: use the sg count from dma_map_sg
  (bsc#1051510).
- tty: serial: fsl_lpuart: use the sg count from dma_map_sg
  (bsc#1051510).
- tty: serial: msm_serial: Fix flow control (bsc#1051510).
- commit 7a2cea2
* Wed Dec  4 2019 tiwai@suse.de
- USB: misc: appledisplay: fix backlight update_status return code
  (bsc#1051510).
- commit 2fcbbca
* Wed Dec  4 2019 tiwai@suse.de
- compat_ioctl: handle SIOCOUTQNSD (bsc#1051510).
- commit 3d01544
* Wed Dec  4 2019 tiwai@suse.de
- Update patch reference for media fix (CVE-2019-19543 bsc#1158427)
- commit e996607
* Wed Dec  4 2019 nmoreychaisemartin@suse.com
- mlx5: add parameter to disable enhanced IPoIB (bsc#1142095)
  Fix badly backported patch
- commit 87bf833
* Wed Dec  4 2019 tiwai@suse.de
- Update patch reference for ieee802154 fix (CVE-2019-19525 bsc#1158417)
- commit 908dc5c
* Wed Dec  4 2019 tiwai@suse.de
- Move upstreamed CIFS fixes into sorted section
- commit 704095a
* Wed Dec  4 2019 tiwai@suse.de
- Update patch references for USB and input security fixes (CVE-2019-19530 bsc#1158410 bsc#1142635 CVE-2019-19536 bsc#1158394 CVE-2019-19524 bsc#1158413 CVE-2019-19528 bsc#1158407 CVE-2019-19534 bsc#1158398)
- commit 261bdfe
* Wed Dec  4 2019 mbenes@suse.cz
- ftrace: Introduce PERMANENT ftrace_ops flag (bsc#1120853).
- commit 5af4513
* Wed Dec  4 2019 ptesarik@suse.cz
- kabi: s390: struct subchannel (git-fixes).
- commit bf752d7
* Wed Dec  4 2019 ptesarik@suse.cz
- blacklist.conf: Reverted patch.
- Delete
  patches.suse/s390-protvirt-add-memory-sharing-for-diag-308-set-store.
- commit 995c149
* Wed Dec  4 2019 ptesarik@suse.cz
- s390/zcrypt: fix memleak at release (git-fixes).
- s390/cio: fix virtio-ccw DMA without PV (git-fixes).
- KVM: s390: fix __insn32_query() inline assembly (git-fixes).
- KVM: s390: vsie: Return correct values for Invalid CRYCB format
  (git-fixes).
- KVM: s390: vsie: Do not shadow CRYCB when no AP and no keys
  (git-fixes).
- s390: vsie: Use effective CRYCBD.31 to check CRYCBD validity
  (git-fixes).
- commit e2c5cce
* Wed Dec  4 2019 tiwai@suse.de
- Update patch reference for USB can security fix (CVE-2019-19529 bsc#1158381)
- commit ea0f56d
* Wed Dec  4 2019 tiwai@suse.de
- PCI/PM: Clear PCIe PME Status even for legacy power management
  (bsc#1111666).
- ACPI / hotplug / PCI: Allocate resources directly under the
  non-hotplug bridge (bsc#1111666).
- PCI: pciehp: Do not disable interrupt twice on suspend
  (bsc#1111666).
- commit f71b07f
* Wed Dec  4 2019 tiwai@suse.de
- PCI: rcar: Fix missing MACCTLR register setting in
  initialization sequence (bsc#1051510).
- PCI: dwc: Fix find_next_bit() usage (bsc#1051510).
- PCI: Apply Cavium ACS quirk to ThunderX2 and ThunderX3
  (bsc#1051510).
- PCI: Fix Intel ACS quirk UPDCR register address (bsc#1051510).
- PCI/MSI: Fix incorrect MSI-X masking on resume (bsc#1051510).
- PCI/PTM: Remove spurious "d" from granularity message
  (bsc#1051510).
- commit beed5cd
* Tue Dec  3 2019 msuchanek@suse.de
- powerpc/pseries: Fix vector5 in ibm architecture vector table
  (FATE#326955 bsc#1157480 ltc#181028).
- powerpc/pseries: Revert support for ibm,drc-info devtree
  property (FATE#326955 bsc#1157480 ltc#181028).
- commit 55b6c8f
* Tue Dec  3 2019 msuchanek@suse.de
- powerpc/pseries: Enable support for ibm,drc-info property
  (FATE#326955 bsc#1157480 ltc#181028).
- PCI: rpaphp: Correctly match ibm, my-drc-index to drc-name
  when using drc-info (FATE#326955 bsc#1157480 ltc#181028).
- PCI: rpaphp: Annotate and correctly byte swap DRC properties
  (FATE#326955 bsc#1157480 ltc#181028).
- PCI: rpaphp: Add drc-info support for hotplug slot registration
  (FATE#326955 bsc#1157480 ltc#181028).
- PCI: rpaphp: Don't rely on firmware feature to imply drc-info
  support (FATE#326955 bsc#1157480 ltc#181028).
- PCI: rpaphp: Fix up pointer to first drc-info entry (FATE#326955
  bsc#1157480 ltc#181028).
- powerpc/pseries: Add cpu DLPAR support for drc-info property
  (FATE#326955 bsc#1157480 ltc#181028).
- powerpc/pseries: Fix drc-info mappings of logical cpus to
  drc-index (FATE#326955 bsc#1157480 ltc#181028).
- powerpc/pseries: Fix bad drc_index_start value parsing of
  drc-info entry (FATE#326955 bsc#1157480 ltc#181028).
- PCI: rpaphp: Avoid a sometimes-uninitialized warning
  (FATE#326955 bsc#1157480 ltc#181028).
- powerpc: Enable support for ibm,drc-info devtree property
  (FATE#326955 bsc#1157480 ltc#181028).
- commit 057ac65
* Tue Dec  3 2019 msuchanek@suse.de
- hotplug/drc-info: Add code to search ibm,drc-info property
  (FATE#326955 bsc#1157480 ltc#181028).
- Refresh patches.suse/PCI-rpadlpar-Fix-leaked-device_node-references-in-ad.patch.
- commit f77a2ab
* Tue Dec  3 2019 msuchanek@suse.de
- pseries/drc-info: Search DRC properties for CPU indexes
  (FATE#326955 bsc#1157480 ltc#181028).
- Refresh patches.suse/powerpc-pseries-energy-Use-OF-accessor-functions-to-.patch.
- commit ff86015
* Tue Dec  3 2019 msuchanek@suse.de
- Refresh sorted section.
- commit 57b234c
* Tue Dec  3 2019 bp@suse.de
- KVM: SVM: Guard against DEACTIVATE when performing
  WBINVD/DF_FLUSH (bsc#1114279).
- commit 9984c21
* Tue Dec  3 2019 oneukum@suse.com
- rt2800: remove errornous duplicate condition (git-fixes).
- commit 0a57f20
* Tue Dec  3 2019 tiwai@suse.de
- rpm/kernel-subpackage-spec: Exclude kernel-firmware recommends (bsc#1143959)
  For reducing the dependency on kernel-firmware in sub packages
- commit d950271
* Tue Dec  3 2019 oneukum@suse.com
- blacklist.conf: misattributed patch
- commit 80d49c5
* Tue Dec  3 2019 oneukum@suse.com
- mt76x0: init hw capabilities.
- commit c28de4e
* Tue Dec  3 2019 nmoreychaisemartin@suse.com
- mlx5: add parameter to disable enhanced IPoIB (bsc#1142095)
- commit 7a8a26e
* Tue Dec  3 2019 tiwai@suse.de
- mwifiex: Fix heap overflow in
  mmwifiex_process_tdls_action_frame()
  (CVE-2019-14901,bsc#1157042).
- commit 29a1851
* Tue Dec  3 2019 mbenes@suse.cz
- printk: Export console_printk (bsc#1071995 fate#323487).
- commit 90a2f15
* Tue Dec  3 2019 mbenes@suse.cz
- livepatch: Selftests of the API for tracking system state
  changes (bsc#1071995 fate#323487).
- supported.conf:
- commit 91012ae
* Tue Dec  3 2019 mbenes@suse.cz
- livepatch: Allow to distinguish different version of system
  state changes (bsc#1071995 fate#323487).
- commit 4adb4b6
* Tue Dec  3 2019 mbenes@suse.cz
- livepatch: Basic API to track system state changes (bsc#1071995
  fate#323487).
- commit ec3dfbe
* Tue Dec  3 2019 mbenes@suse.cz
- livepatch: Keep replaced patches until post_patch callback is
  called (bsc#1071995 fate#323487).
- commit f5af6d4
* Tue Dec  3 2019 mbenes@suse.cz
- blacklist.conf: 1d200e9d6f63 ("block: Fix writeback throttling W=1 compiler warnings")
- commit 140d620
* Tue Dec  3 2019 bp@suse.de
- KVM: SVM: Serialize access to the SEV ASID bitmap (bsc#1114279).
- commit 0aa3aac
* Tue Dec  3 2019 jslaby@suse.cz
- PCI: tegra: Enable Relaxed Ordering only for Tegra20 & Tegra30
  (git-fixes).
- commit 29a074b
* Tue Dec  3 2019 jslaby@suse.cz
- blacklist.conf: add pci-dra7xx and reorder paths
  Add pci-dra7xx which we don't enable.
  While at it, sort the entries alphabetically.
  And fix driver/ -> drivers/ typo.
- commit 61ce3de
* Tue Dec  3 2019 jslaby@suse.cz
- vsock/virtio: fix sock refcnt holding during the shutdown
  (git-fixes).
- commit 7884f23
* Tue Dec  3 2019 jslaby@suse.cz
- blacklist.conf: add two more
- commit 5c3ec7a
* Tue Dec  3 2019 ptesarik@suse.cz
- s390/mm: properly clear _PAGE_NOEXEC bit when it is not
  supported (bsc#1051510).
- commit 0854afb
* Tue Dec  3 2019 tiwai@suse.de
- Move upstreamed powerpc and scsi patches into sorted section
- commit 2d5304e
* Mon Dec  2 2019 tiwai@suse.de
- cfg80211: call disconnect_wk when AP stops (bsc#1051510).
- commit cc52525
* Mon Dec  2 2019 tiwai@suse.de
- wil6210: fix locking in wmi_call (bsc#1111666).
- wil6210: fix RGF_CAF_ICR address for Talyn-MB (bsc#1111666).
- wil6210: fix L2 RX status handling (bsc#1111666).
- wil6210: fix debugfs memory access alignment (bsc#1111666).
- ath10k: allocate small size dma memory in
  ath10k_pci_diag_write_mem (bsc#1111666).
- commit 68f9617
* Mon Dec  2 2019 tiwai@suse.de
- gpio: mpc8xxx: Don't overwrite default irq_set_type callback
  (bsc#1051510).
- commit bbc3a80
* Mon Dec  2 2019 tiwai@suse.de
- HID: Add ASUS T100CHI keyboard dock battery quirks
  (bsc#1051510).
- HID: asus: Add T100CHI bluetooth keyboard dock special keys
  mapping (bsc#1051510).
- commit 9a5a611
* Mon Dec  2 2019 tiwai@suse.de
- kABI workaround for struct mwifiex_power_cfg change
  (bsc#1051510).
- commit b672caa
* Mon Dec  2 2019 tiwai@suse.de
- mfd: mc13xxx-core: Fix PMIC shutdown when reading ADC values
  (bsc#1051510).
- Refresh
  patches.suse/mfd-mc13xxx-Fix-a-missing-check-of-a-register-read-f.patch.
- commit 972c31c
* Mon Dec  2 2019 tiwai@suse.de
- mfd: intel-lpss: Add default I2C device properties for Gemini
  Lake (bsc#1051510).
- clk: pxa: fix one of the pxa RTC clocks (bsc#1051510).
- clk: samsung: exynos5420: Preserve CPU clocks configuration
  during suspend/resume (bsc#1051510).
- ppdev: fix PPGETTIME/PPSETTIME ioctls (bsc#1051510).
- usb-serial: cp201x: support Mark-10 digital force gauge
  (bsc#1051510).
- USB: serial: option: add support for Foxconn T77W968 LTE modules
  (bsc#1051510).
- USB: serial: option: add support for DW5821e with eSIM support
  (bsc#1051510).
- USB: serial: mos7840: add USB ID to support Moxa UPort 2210
  (bsc#1051510).
- pinctrl: lewisburg: Update pin list according to v1.1v6
  (bsc#1051510).
- pinctrl: samsung: Fix device node refcount leaks in init code
  (bsc#1051510).
- pinctrl: samsung: Fix device node refcount leaks in S3C64xx
  wakeup controller init (bsc#1051510).
- pinctrl: samsung: Fix device node refcount leaks in S3C24xx
  wakeup controller init (bsc#1051510).
- media: imon: invalid dereference in imon_touch_event
  (bsc#1051510).
- media: cxusb: detect cxusb_ctrl_msg error in query
  (bsc#1051510).
- media: usbvision: Fix races among open, close, and disconnect
  (bsc#1051510).
- media: vivid: Set vid_cap_streaming and vid_out_streaming to
  true (bsc#1051510).
- cpufreq: powernv: fix stack bloat and hard limit on number of
  CPUs (bsc#1051510).
- mwifiex: Fix NL80211_TX_POWER_LIMITED (bsc#1051510).
- pinctrl: zynq: Use define directive for PIN_CONFIG_IO_STANDARD
  (bsc#1051510).
- pinctrl: lpc18xx: Use define directive for
  PIN_CONFIG_GPIO_PIN_INT (bsc#1051510).
- pinctrl: qcom: spmi-gpio: fix gpio-hog related boot issues
  (bsc#1051510).
- dlm: don't leak kernel pointer to userspace (bsc#1051510).
- dlm: fix invalid free (bsc#1051510).
- rtlwifi: rtl8192de: Fix misleading REG_MCUFWDL information
  (bsc#1051510).
- brcmsmac: never log "tid x is not agg'able" by default
  (bsc#1051510).
- ACPICA: Use %%d for signed int print formatting instead of %%u
  (bsc#1051510).
- cfg80211: Prevent regulatory restore during STA disconnect in
  concurrent interfaces (bsc#1051510).
- pwm: lpss: Only set update bit if we are actually changing
  the settings (bsc#1051510).
- clk: samsung: Use clk_hw API for calling clk framework from
  clk notifiers (bsc#1051510).
- gsmi: Fix bug in append_to_eventlog sysfs handler (bsc#1051510).
- crypto: mxs-dcp - make symbols 'sha1_null_hash' and
  'sha256_null_hash' static (bsc#1051510).
- ASoC: tegra_sgtl5000: fix device_node refcounting (bsc#1051510).
- ALSA: i2c/cs8427: Fix int to char conversion (bsc#1051510).
- mfd: max8997: Enale irq-wakeup unconditionally (bsc#1051510).
- mISDN: Fix type of switch control variable in ctrl_teimanager
  (bsc#1051510).
- brcmsmac: AP mode: update beacon when TIM changes (bsc#1051510).
- ACPICA: Never run _REG on system_memory and system_IO
  (bsc#1051510).
- pinctrl: sunxi: Fix a memory leak in
  'sunxi_pinctrl_build_state()' (bsc#1051510).
- mmc: mediatek: fix cannot receive new request when
  msdc_cmd_is_ready fail (bsc#1051510).
- cpufreq: Skip cpufreq resume if it's not suspended
  (bsc#1051510).
- commit b539cc4
* Mon Dec  2 2019 tzimmermann@suse.de
- blacklist.conf: Append 'fbdev: Ditch fb_edid_add_monspecs'
- commit e9b50cc
* Mon Dec  2 2019 oneukum@suse.com
- Bluetooth: Fix invalid-free in bcsp_close() (git-fixes).
- commit 95d3f54
* Mon Dec  2 2019 tzimmermann@suse.de
- drm/i915/pmu: "Frequency" is reported as accumulated cycles (bsc#1112178)
- commit 1a3e33e
* Mon Dec  2 2019 tzimmermann@suse.de
- drm/amd/powerplay: issue no PPSMC_MSG_GetCurrPkgPwr on unsupported (bsc#1113956)
- commit 15aac69
* Mon Dec  2 2019 oneukum@suse.com
- USB: chaoskey: fix error case of a timeout (git-fixes).
- commit 2d1d2de
* Mon Dec  2 2019 oneukum@suse.com
- appledisplay: fix error handling in the scheduled work
  (git-fixes).
- commit 743f6a3
* Mon Dec  2 2019 oneukum@suse.com
- nfc: port100: handle command failure cleanly (git-fixes).
- commit b0cda86
* Mon Dec  2 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/userptr: Try to acquire the page lock around set_page_dirty()'
- commit d75161e
* Mon Dec  2 2019 jthumshirn@suse.de
- kABI fixup alloc_dax_region (bsc#1158071).
- commit f5d22ce
* Mon Dec  2 2019 fdmanana@suse.com
- Refresh
  patches.suse/btrfs-fix-log-context-list-corruption-after-rename-e.patch.
- commit 464909a
* Mon Dec  2 2019 jthumshirn@suse.de
- acpi/nfit, device-dax: Identify differentiated memory with a
  unique numa-node (bsc#1158071).
- Refresh
  patches.suse/powerpc-nvdimm-Pick-nearby-online-node-if-the-device.patch.
- commit 12eccb8
* Mon Dec  2 2019 jthumshirn@suse.de
- libnvdimm: Export the target_node attribute for regions and
  namespaces (bsc#1158071).
- commit 3595132
* Fri Nov 29 2019 martin.wilck@suse.com
- scsi: qla2xxx: Fix qla2x00_request_irqs() for MSI (bsc#1157424,
  bsc#1157908. bsc#1117169, bsc#1151548).
- commit fa6d8ef
* Fri Nov 29 2019 martin.wilck@suse.com
- scsi: qla2xxx: Use correct number of vectors for online CPUs
  (bsc#1137223).
- blacklist.conf: remove f0783d43dde4bb ("scsi: qla2xxx: Use correct
  number of vectors for online CPUs") - context for this patch is avaiable
  in SLE15-SP1.
- Refresh
  patches.suse/scsi-qla2xxx-Avoid-PCI-IRQ-affinity-mapping-when-mul.patch.
  (Fix merge problem, and add check for shost_use_blk_mq() as in SLE15).
- commit 63c267e
* Fri Nov 29 2019 martin.wilck@suse.com
- scsi: qla2xxx: Add debug dump of LOGO payload and ELS IOCB
  (bsc#1157424, bsc#1157908. bsc#1117169, bsc#1151548).
- commit fab585c
* Fri Nov 29 2019 martin.wilck@suse.com
- scsi: qla2xxx: Ignore PORT UPDATE after N2N PLOGI (bsc#1157424,
  bsc#1157908. bsc#1117169, bsc#1151548).
- commit 314d6aa
* Fri Nov 29 2019 martin.wilck@suse.com
- scsi: qla2xxx: Don't defer relogin unconditonally (bsc#1157424,
  bsc#1157908. bsc#1117169, bsc#1151548).
- commit 7be8d51
* Fri Nov 29 2019 martin.wilck@suse.com
- scsi: qla2xxx: Send Notify ACK after N2N PLOGI (bsc#1157424,
  bsc#1157908. bsc#1117169, bsc#1151548).
- commit 0202aea
* Fri Nov 29 2019 martin.wilck@suse.com
- scsi: qla2xxx: Configure local loop for N2N target (bsc#1157424,
  bsc#1157908. bsc#1117169, bsc#1151548).
- commit 40a24b0
* Fri Nov 29 2019 martin.wilck@suse.com
- scsi: qla2xxx: Fix PLOGI payload and ELS IOCB dump length
  (bsc#1157424, bsc#1157908. bsc#1117169, bsc#1151548).
- commit 7f5b0f5
* Fri Nov 29 2019 martin.wilck@suse.com
- scsi: qla2xxx: Don't call qlt_async_event twice (bsc#1157424,
  bsc#1157908. bsc#1117169, bsc#1151548).
- commit d7c4dcd
* Fri Nov 29 2019 martin.wilck@suse.com
- scsi: qla2xxx: Allow PLOGI in target mode (bsc#1157424,
  bsc#1157908. bsc#1117169, bsc#1151548).
- commit eb6b4c8
* Fri Nov 29 2019 martin.wilck@suse.com
- scsi: qla2xxx: Change discovery state before PLOGI (bsc#1157424,
  bsc#1157908. bsc#1117169, bsc#1151548).
- commit 690473b
* Fri Nov 29 2019 martin.wilck@suse.com
- scsi: qla2xxx: Drop superfluous INIT_WORK of del_work
  (bsc#1157424, bsc#1157908. bsc#1117169, bsc#1151548).
- commit f533e74
* Fri Nov 29 2019 martin.wilck@suse.com
- scsi: qla2xxx: Initialize free_work before flushing it
  (bsc#1157424, bsc#1157908. bsc#1117169, bsc#1151548).
- commit ffbd356
* Fri Nov 29 2019 martin.wilck@suse.com
- scsi: qla2xxx: Use explicit LOGO in target mode (bsc#1157424,
  bsc#1157908. bsc#1117169, bsc#1151548).
- commit 9454015
* Fri Nov 29 2019 martin.wilck@suse.com
- scsi: qla2xxx: Ignore NULL pointer in tcm_qla2xxx_free_mcmd
  (bsc#1157424, bsc#1157908. bsc#1117169, bsc#1151548).
- commit 17ad0fa
* Fri Nov 29 2019 martin.wilck@suse.com
- scsi: qla2xxx: unregister ports after GPN_FT failure
  (bsc#1138039).
- commit 3d44590
* Fri Nov 29 2019 martin.wilck@suse.com
- scsi: qla2xxx: fix rports not being mark as lost in sync fabric
  scan (bsc#1138039).
- commit 879c2ce
* Fri Nov 29 2019 ptesarik@suse.cz
- s390/setup: fix boot crash for machine without EDAT-1
  (bsc#1051510 bsc#1140948).
- s390/setup: fix early warning messages (bsc#1051510
  bsc#1140948).
- commit c16eab0
* Fri Nov 29 2019 tbogendoerfer@suse.de
- e1000e: Drop unnecessary __E1000_DOWN bit twiddling
  (bsc#1158049).
- e1000e: Use rtnl_lock to prevent race conditions between net
  and pci/pm (bsc#1158049).
- e1000e: Use dev_get_drvdata where possible (bsc#1158049).
- commit 4000d0c
* Fri Nov 29 2019 ptesarik@suse.cz
- s390/idle: fix cpu idle time calculation (bsc#1051510).
- s390/cmm: fix information leak in cmm_timeout_handler()
  (bsc#1051510).
- s390/cio: exclude subchannels with no parent from pseudo check
  (bsc#1051510).
- s390/cio: avoid calling strlen on null pointer (bsc#1051510).
- commit 4923a3d
* Fri Nov 29 2019 ptesarik@suse.cz
- blacklist.conf: b91d9e67e50b s390/cio: fix intparm documentation
- commit 50433b1
* Fri Nov 29 2019 ptesarik@suse.cz
- s390/topology: avoid firing events before kobjs are created
  (bsc#1051510).
- hypfs: Fix error number left in struct pointer member
  (bsc#1051510).
- s390/process: avoid potential reading of freed stack
  (bsc#1051510).
- s390/bpf: use 32-bit index for tail calls (bsc#1051510).
- s390/bpf: fix lcgr instruction encoding (bsc#1051510).
- virtio/s390: fix race on airq_areas (bsc#1051510).
- vfio-ccw: Set pa_nr to 0 if memory allocation fails for
  pa_iova_pfn (bsc#1051510).
- scsi: zfcp: fix request object use-after-free in send path
  causing wrong traces (bsc#1051510).
- s390/qdio: don't touch the dsci in tiqdio_add_input_queues()
  (bsc#1051510).
- s390/qdio: (re-)initialize tiqdio list entries (bsc#1051510).
- commit 41f14ae
* Fri Nov 29 2019 ptesarik@suse.cz
- s390: fix stfle zero padding (bsc#1051510).
- commit cb22a1c
* Fri Nov 29 2019 ptesarik@suse.cz
- s390/qeth: return proper errno on IO error (bsc#1051510).
- vfio-ccw: Fix misleading comment when setting orb.cmd.c64
  (bsc#1051510).
- commit 9f286a5
* Fri Nov 29 2019 msuchanek@suse.de
- Remove patches that reportedly cause regression (bsc#1155689 ltc#182047).
- Delete patches.suse/ibmvnic-Bound-waits-for-device-queries.patch.
- Delete patches.suse/ibmvnic-Fix-completion-structure-initialization-again.patch.
- Delete patches.suse/ibmvnic-Serialize-device-queries.patch.
- Delete patches.suse/ibmvnic-Terminate-waiting-device-threads-after-loss-.patch.
- commit 5947d08
* Fri Nov 29 2019 jroedel@suse.de
- kABI: Fix for "KVM: x86: Introduce vcpu->arch.xsaves_enabled"
  (bsc#1158066).
- commit d20cf4c
* Fri Nov 29 2019 jroedel@suse.de
- KVM: VMX: Fix conditions for guest IA32_XSS support
  (bsc#1158065).
- KVM: x86: Introduce vcpu->arch.xsaves_enabled (bsc#1158066).
- iommu/vt-d: Fix QI_DEV_IOTLB_PFSID and QI_DEV_EIOTLB_PFSID
  macros (bsc#1158063).
- KVM: x86/mmu: Take slots_lock when using kvm_mmu_zap_all_fast()
  (bsc#1158067).
- KVM: VMX: Consider PID.PIR to determine if vCPU has pending
  interrupts (bsc#1158064).
- x86/speculation/taa: Fix printing of TAA_MSG_SMT on IBRS_ALL
  CPUs (bsc#1158068).
- commit afadef7
* Fri Nov 29 2019 tiwai@suse.de
- mwifiex: fix possible heap overflow in
  mwifiex_process_country_ie() (CVE-2019-14895 bsc#1157158).
- commit d214272
* Thu Nov 28 2019 tiwai@suse.de
- Move never-upstreamed patches into dedicated sections
  The patches with patch-mainline-Never should be put rather in each section
  instead of the out-of-tree around the sorted patches.
  Just shuffled series.conf, no actual code changes.
- commit d3d59ff
* Thu Nov 28 2019 tiwai@suse.de
- Move upstreamed patches into sorted section
  Corrected a bad git-commit tag in an RDMA patch, too
- commit 3d847e3
* Thu Nov 28 2019 tiwai@suse.de
- drm/i915: Skip modeset for cdclk changes if possible
  (bsc#1156928).
- commit f3c92ef
* Thu Nov 28 2019 tiwai@suse.de
- Removed superfluous guarded patches
  The following patches have been already merged via base line or stable
  patches:
  patches.suse/0002-btrfs-Change-qgroup_meta_rsv-to-64bit.patch
  patches.suse/0003-btrfs-qgroups-Retry-after-commit-on-getting-EDQUOT.patch
  patches.suse/btrfs-resume-qgroup-rescan-on-rw-remount.patch
  As these are guarded and never applied, drop them safely.
- commit fce7f04
* Thu Nov 28 2019 msuchanek@suse.de
- Remove duplicate patch.
- Refresh patches.suse/crypto-af_alg-consolidation-of-duplicate-code.patch.
- Delete patches.suse/crypto-AF_ALG-remove-SGL-terminator-indicator-when-c.
- commit 2c70c45
* Thu Nov 28 2019 oneukum@suse.com
- HID: Fix assumption that devices have inputs (git-fixes).
- commit bed2195
* Thu Nov 28 2019 oneukum@suse.com
- virtio_ring: fix return code on DMA mapping fails (git-fixes).
- commit d0dcdd5
* Thu Nov 28 2019 jslaby@suse.cz
- dccp: do not leak jiffies on the wire
  (networking-stable-19_11_05).
- selftests: net: reuseport_dualstack: fix uninitalized parameter
  (networking-stable-19_11_05).
- net: dsa: bcm_sf2: Fix IMP setup for port different than 8
  (networking-stable-19_11_05).
- inet: stop leaking jiffies on the wire
  (networking-stable-19_11_05).
- cxgb4: fix panic when attaching to ULD fail
  (networking-stable-19_11_05).
- net: annotate lockless accesses to sk->sk_napi_id
  (networking-stable-19_11_05).
- net: annotate accesses to sk->sk_incoming_cpu
  (networking-stable-19_11_05).
- net/mlx5e: Fix handling of compressed CQEs in case of low NAPI
  budget (networking-stable-19_11_05).
- net: hisilicon: Fix ping latency when deal with high throughput
  (networking-stable-19_11_05).
- net/mlx4_core: Dynamically set guaranteed amount of counters
  per VF (networking-stable-19_11_05).
- net: ethernet: ftgmac100: Fix DMA coherency issue with SW
  checksum (networking-stable-19_11_05).
- net: fix sk_page_frag() recursion from memory reclaim
  (networking-stable-19_11_05).
- net: add READ_ONCE() annotation in __skb_wait_for_more_packets()
  (networking-stable-19_11_05).
- net: use skb_queue_empty_lockless() in busy poll contexts
  (networking-stable-19_11_05).
- net: use skb_queue_empty_lockless() in poll() handlers
  (networking-stable-19_11_05).
- udp: use skb_queue_empty_lockless()
  (networking-stable-19_11_05).
- net: add skb_queue_empty_lockless()
  (networking-stable-19_11_05).
- net: Zeroing the structure ethtool_wolinfo in ethtool_get_wol()
  (networking-stable-19_11_05).
- netns: fix GFP flags in rtnl_net_notifyid()
  (networking-stable-19_11_05).
- r8152: add device id for Lenovo ThinkPad USB-C Dock Gen 2
  (networking-stable-19_11_05).
- net: dsa: fix switch tree list (networking-stable-19_11_05).
- net: bcmgenet: reset 40nm EPHY on energy detect
  (networking-stable-19_11_05).
- net: dsa: b53: Do not clear existing mirrored port mask
  (networking-stable-19_11_05).
- commit a3af7c4
* Thu Nov 28 2019 oneukum@suse.com
- blacklist.conf: breaks kAbI
- commit 85b9dbb
* Thu Nov 28 2019 ptesarik@suse.cz
- Update tags in
  patches.suse/RDMA-bnxt_re-Fix-stat-push-into-dma-buffer-on-gen-p5-devices.patch.
- commit 836d883
* Thu Nov 28 2019 jslaby@suse.cz
- ipv4: Return -ENETUNREACH if we can't create route but saddr
  is valid (networking-stable-19_10_24).
- net: stmmac: disable/enable ptp_ref_clk in suspend/resume flow
  (networking-stable-19_10_24).
- net: bcmgenet: Fix RGMII_MODE_EN value for GENET v1/2/3
  (networking-stable-19_10_24).
- sctp: change sctp_prot .no_autobind with true
  (networking-stable-19_10_24).
- net: avoid potential infinite loop in tc_ctl_action()
  (networking-stable-19_10_24).
- net: bcmgenet: Set phydev->dev_flags only for internal PHYs
  (networking-stable-19_10_24).
- commit 14ae17d
* Thu Nov 28 2019 nmoreychaisemartin@suse.com
- RDMA/efa: Clear the admin command buffer prior to its submission (git-fixes)
  Patch was already picked through Amazon driver repo but was not marked with a Git-commit tag
- commit e530ffc
* Thu Nov 28 2019 tiwai@suse.de
- drm/amdgpu: fix bad DMA from INTERRUPT_CNTL2 (bsc#1111666).
- drm/msm: fix memleak on release (bsc#1111666).
- commit 9b3c164
* Thu Nov 28 2019 tiwai@suse.de
- drm/radeon: fix bad DMA from INTERRUPT_CNTL2 (git-fixes).
- video/hdmi: Fix AVI bar unpack (git-fixes).
- openvswitch: fix flow command message size (git-fixes).
- net: wireless: ti: remove local VENDOR_ID and DEVICE_ID
  definitions (git-fixes).
- net: wireless: ti: wl1251 use new SDIO_VENDOR_ID_TI_WL1251
  definition (git-fixes).
- commit d038af9
* Thu Nov 28 2019 tiwai@suse.de
- Documentation: debugfs: Document debugfs helper for unsigned
  long values (git-fixes).
- iio: imu: adis: assign value only if return code zero in read
  funcs (git-fixes).
- iio: imu: adis: assign read val in debugfs hook only if op
  successful (git-fixes).
- iio: imu: adis16480: assign bias value only if operation
  succeeded (git-fixes).
- intel_th: Fix a double put_device() in error path (git-fixes).
- mei: fix modalias documentation (git-fixes).
- USB: serial: mos7840: fix remote wakeup (git-fixes).
- USB: serial: mos7720: fix remote wakeup (git-fixes).
- usbip: tools: fix fd leakage in the function of
  read_attr_usbip_status (git-fixes).
- mmc: core: fix wl1251 sdio quirks (git-fixes).
- mmc: sdio: fix wl1251 vendor id (git-fixes).
- mmc: host: omap_hsmmc: add code for special init of wl1251 to
  get rid of pandora_wl1251_init_card (git-fixes).
- pinctl: ti: iodelay: fix error checking on
  pinctrl_count_index_with_args call (git-fixes).
- virtio_console: allocate inbufs in add_port() only if it is
  needed (git-fixes).
- commit 68134a8
* Thu Nov 28 2019 msuchanek@suse.de
- Update patches.suse/KVM-PPC-Book3S-HV-Flush-link-stack-on-guest-exit-to-.patch
  (CVE-2019-18660 bsc#1157038 bsc#1157923 ltc#182612).
- Update patches.suse/powerpc-add-link-stack-flush-mitigation-in-debugfs.patch
  (CVE-2019-18660 bsc#1157038 bsc#1157923 ltc#182612).
- Update patches.suse/powerpc-book3s64-Fix-link-stack-flush-on-context-swi.patch
  (CVE-2019-18660 bsc#1157038 bsc#1157923 ltc#182612).
- commit 95790f9
* Wed Nov 27 2019 msuchanek@suse.de
- net/ibmvnic: Ignore H_FUNCTION return from H_EOI to tolerate
  XIVE mode (bsc#1089644, ltc#166495, ltc#165544, git-fixes).
- Delete patches.suse/net-ibmvnic-Fix-EOI-when-running-in-XIVE-mode.patch - reverted upstream
- blacklist.conf: Add the removed patch and revert.
- commit e506457
* Wed Nov 27 2019 tiwai@suse.de
- Move upstreamed qlge and usb patches into sorted section
- commit 7b6b37a
* Wed Nov 27 2019 msuchanek@suse.de
- Rename patches to the same name as SLE15 SP1.
- commit ef34c4c
* Wed Nov 27 2019 tiwai@suse.de
- ALSA: pcm: Yet another missing check of non-cached buffer type
  (bsc#1111666).
- commit c4dd085
* Wed Nov 27 2019 tiwai@suse.de
- PM / devfreq: Lock devfreq in trans_stat_show (git-fixes).
- PM / devfreq: Check NULL governor in available_governors_show
  (git-fixes).
- remoteproc: Check for NULL firmwares in sysfs interface
  (git-fixes).
- pinctrl: at91: don't use the same irqchip with multiple
  gpiochips (git-fixes).
- commit f4ed362
* Wed Nov 27 2019 tiwai@suse.de
- PCI: sysfs: Ignore lockdep for remove attribute (git-fixes).
- PCI/PME: Fix possible use-after-free on remove (git-fixes).
- phy: phy-twl4030-usb: fix denied runtime access (git-fixes).
- mfd: palmas: Assign the right powerhold mask for tps65917
  (git-fixes).
- commit 8f97d3f
* Wed Nov 27 2019 tiwai@suse.de
- media: flexcop-usb: ensure -EIO is returned on error condition
  (git-fixes).
- media: exynos4-is: Fix recursive locking in isp_video_release()
  (git-fixes).
- media: radio: wl1273: fix interrupt masking on release
  (git-fixes).
- media: bdisp: fix memleak on release (git-fixes).
- media: ti-vpe: vpe: Fix Motion Vector vpdma stride (git-fixes).
- media: vim2m: Fix abort issue (git-fixes).
- ALSA: cs4236: fix error return comparison of an unsigned integer
  (git-fixes).
- ALSA: firewire-motu: Correct a typo in the clock proc string
  (git-fixes).
- mailbox: reset txdone_method TXDONE_BY_POLL if client
  knows_txdone (git-fixes).
- commit 706fafe
* Wed Nov 27 2019 oneukum@suse.com
- blacklist.conf: specific to ARMv7
- commit d7ed505
* Wed Nov 27 2019 oneukum@suse.com
- blacklist.conf: stop watching android drivers
- commit 471fb5c
* Wed Nov 27 2019 oneukum@suse.com
- blacklist.conf: breaks kABI
- commit 92baa9f
* Wed Nov 27 2019 oneukum@suse.com
- blacklist.conf: only a cleanup, no bug is fixed
- commit 23746d5
* Wed Nov 27 2019 oneukum@suse.com
- blacklist.conf: breaks kABI
- commit 6e9bbea
* Wed Nov 27 2019 oneukum@suse.com
- padata: use smp_mb in padata_reorder to avoid orphaned padata
  jobs (git-fixes).
- commit 8eda19e
* Wed Nov 27 2019 msuchanek@suse.de
- ibmvnic: Serialize device queries (bsc#1155689 ltc#182047).
- ibmvnic: Bound waits for device queries (bsc#1155689
  ltc#182047).
- ibmvnic: Terminate waiting device threads after loss of service
  (bsc#1155689 ltc#182047).
- ibmvnic: Fix completion structure initialization (bsc#1155689
  ltc#182047).
- commit 067978b
* Wed Nov 27 2019 tiwai@suse.de
- ALSA: hda/realtek - Move some alc236 pintbls to fallback table
  (git-fixes).
- ALSA: hda/realtek - Move some alc256 pintbls to fallback table
  (git-fixes).
- ALSA: hda - Add mute led support for HP ProBook 645 G4
  (git-fixes).
- ALSA: hda - Fix pending unsol events at shutdown (git-fixes).
- commit c29246e
* Wed Nov 27 2019 tiwai@suse.de
- ALSA: hda/realtek - Enable internal speaker of ASUS UX431FLC
  (git-fixes).
- ALSA: hda/hdmi - Clear codec->relaxed_resume flag at unbinding
  (git-fixes).
- ALSA: hda/realtek - Enable the headset-mic on a Xiaomi's laptop
  (git-fixes).
- ALSA: hda: hdmi - remove redundant code comments (git-fixes).
- ALSA: hda: hdmi - fix port numbering for ICL and TGL platforms
  (git-fixes).
- commit 732d071
* Wed Nov 27 2019 tiwai@suse.de
- ALSA: usb-audio: Fix NULL dereference at parsing BADD
  (git-fixes).
- ALSA: usb-audio: Add skip_validation option (git-fixes).
- ALSA: usb-audio: sound: usb: usb true/false for bool return type
  (git-fixes).
- commit b7282cf
* Wed Nov 27 2019 tiwai@suse.de
- ALSA: usb-audio: Fix Focusrite Scarlett 6i6 gen1 - input
  handling (git-fixes).
- ALSA: 6fire: Drop the dead code (git-fixes).
- commit 3a498d5
* Wed Nov 27 2019 tiwai@suse.de
- media: vivid: Fix wrong locking that causes race conditions
  on streaming stop (CVE-2019-18683,bsc#1155897).
- media: usb: fix memory leak in af9005_identify_state
  (CVE-2019-18809,bsc#1156258).
- commit ff49380
* Wed Nov 27 2019 lduncan@suse.com
- loop: add ioctl for changing logical block size (bsc#1108043).
- commit f584ee7
* Tue Nov 26 2019 msuchanek@suse.de
- docs: move protection-keys.rst to the core-api book
  (FATE#322447, bsc#1078248).
- Documentation: x86: convert protection-keys.txt to reST
  (FATE#322447, bsc#1078248).
- x86/pkeys: Update documentation about availability (FATE#322447,
  bsc#1078248).
- x86/mm/pkeys: Fix typo in Documentation/x86/protection-keys.txt
  (FATE#322447, bsc#1078248).
- commit a559437
* Tue Nov 26 2019 msuchanek@suse.de
- Delete non-upstream documentation and selftest patches for protection
  keys.
- commit aa755f7
* Tue Nov 26 2019 tiwai@suse.de
- Move upstreamed TAA and IFU patches into sorted section
- commit 6c0e1e5
* Tue Nov 26 2019 tiwai@suse.de
- Move upstreamed PCI and iommu patches into sorted section
- commit 15aaa63
* Tue Nov 26 2019 mbenes@suse.cz
- x86/alternatives: Fix int3_emulate_call() selftest stack
  corruption (bsc#1153811).
- commit b637cb7
* Tue Nov 26 2019 mbenes@suse.cz
- x86/alternatives: Add int3_emulate_call() selftest
  (bsc#1153811).
- commit 518c108
* Tue Nov 26 2019 tiwai@suse.de
- ath10k: Correct error handling of dma_map_single()
  (bsc#1111666).
- tun: fix data-race in gro_normal_list() (bsc#1111666).
- drm/i915/gvt: fix dropping obj reference twice (bsc#1111666).
- tools/power/x86/intel-speed-select: Fix a read overflow in
  isst_set_tdp_level_msr() (bsc#1111666).
- rtlwifi: btcoex: Use proper enumerated types for Wi-Fi only
  interface (bsc#1111666).
- commit 5b5b4ac
* Tue Nov 26 2019 tiwai@suse.de
- watchdog: meson: Fix the wrong value of left time (bsc#1051510).
- commit ec1d02c
* Tue Nov 26 2019 tiwai@suse.de
- slip: Fix use-after-free Read in slip_open (bsc#1051510).
- commit d19af5e
* Tue Nov 26 2019 tiwai@suse.de
- reset: fix reset_control_get_exclusive kerneldoc comment
  (bsc#1051510).
- reset: fix of_reset_simple_xlate kerneldoc comment
  (bsc#1051510).
- reset: Fix potential use-after-free in __of_reset_control_get()
  (bsc#1051510).
- commit e486c02
* Tue Nov 26 2019 tiwai@suse.de
- PM / devfreq: passive: fix compiler warning (bsc#1051510).
- PM / devfreq: passive: Use non-devm notifiers (bsc#1051510).
- PM / devfreq: exynos-bus: Correct clock enable sequence
  (bsc#1051510).
- PM / hibernate: Check the success of generating md5 digest
  before hibernation (bsc#1051510).
- commit d411d9f
* Tue Nov 26 2019 tiwai@suse.de
- gpiolib: acpi: Add Terra Pad 1061 to the
  run_edge_events_on_boot_blacklist (bsc#1051510).
- dmaengine: imx-sdma: fix use-after-free on probe error path
  (bsc#1051510).
- ACPI / SBS: Fix rare oops when removing modules (bsc#1051510).
- hwmon: (ina3221) Fix INA3221_CONFIG_MODE macros (bsc#1051510).
- hwmon: (pwm-fan) Silence error on probe deferral (bsc#1051510).
- commit f9dba3e
* Tue Nov 26 2019 msuchanek@suse.de
- powerpc/book3s64/hash: Use secondary hash for bolted mapping
  if the primary is full (bsc#1157778 ltc#182520).
- powerpc/pseries: Don't fail hash page table insert for bolted
  mapping (bsc#1157778 ltc#182520).
- powerpc/pseries: Don't opencode HPTE_V_BOLTED (bsc#1157778
  ltc#182520).
- commit 4469cd2
* Tue Nov 26 2019 tiwai@suse.de
- spi: mediatek: use correct mata->xfer_len when in fifo transfer
  (bsc#1051510).
- media: isif: fix a NULL pointer dereference bug (bsc#1051510).
- media: pxa_camera: Fix check for pdev->dev.of_node
  (bsc#1051510).
- Input: silead - try firmware reload after unsuccessful resume
  (bsc#1051510).
- mei: samples: fix a signedness bug in amt_host_if_call()
  (bsc#1051510).
- usb: dwc3: gadget: Check ENBLSLPM before sending ep command
  (bsc#1051510).
- usb: gadget: udc: fotg210-udc: Fix a sleep-in-atomic-context
  bug in fotg210_get_status() (bsc#1051510).
- mfd: ti_am335x_tscadc: Keep ADC interface on if child is wakeup
  capable (bsc#1051510).
- nl80211: Fix a GET_KEY reply attribute (bsc#1051510).
- spi: spidev: Fix OF tree warning logic (bsc#1051510).
- spi: fsl-lpspi: Prevent FIFO under/overrun by default
  (bsc#1051510).
- spi: rockchip: initialize dma_slave_config properly
  (bsc#1051510).
- commit 2b15903
* Tue Nov 26 2019 tiwai@suse.de
- fbdev: sbuslib: integer overflow in sbusfb_ioctl_helper()
  (bsc#1051510).
- fbdev: sbuslib: use checked version of put_user() (bsc#1051510).
- Input: st1232 - set INPUT_PROP_DIRECT property (bsc#1051510).
- crypto: mxs-dcp - Fix AES issues (bsc#1051510).
- crypto: mxs-dcp - Fix SHA null hashes and output length
  (bsc#1051510).
- dmaengine: rcar-dmac: set scatter/gather max segment size
  (bsc#1051510).
- dmaengine: timb_dma: Use proper enum in td_prep_slave_sg
  (bsc#1051510).
- dmaengine: ep93xx: Return proper enum in
  ep93xx_dma_chan_direction (bsc#1051510).
- gpio: syscon: Fix possible NULL ptr usage (bsc#1051510).
- commit 7074977
* Tue Nov 26 2019 tiwai@suse.de
- spi: atmel: Fix CS high support (bsc#1051510).
- spi: atmel: fix handling of cs_change set on non-last xfer
  (bsc#1051510).
- regulator: ab8500: Remove SYSCLKREQ from enum
  ab8505_regulator_id (bsc#1051510).
- regulator: ab8500: Remove AB8505 USB regulator (bsc#1051510).
- rtlwifi: rtl8192de: Fix missing enable interrupt flag
  (bsc#1051510).
- rtlwifi: rtl8192de: Fix missing code to retrieve RX buffer
  address (bsc#1051510).
- rtlwifi: Remove unnecessary NULL check in rtl_regd_init
  (bsc#1051510).
- tpm: add check after commands attribs tab allocation
  (bsc#1051510).
- commit daa19ef
* Tue Nov 26 2019 tiwai@suse.de
- macvlan: schedule bc_work even if error (bsc#1051510).
- iwlwifi: check kasprintf() return value (bsc#1051510).
- mac80211: consider QoS Null frames for STA_NULLFUNC_ACKED
  (bsc#1051510).
- mt7601u: fix bbp version check in mt7601u_wait_bbp_ready
  (bsc#1051510).
- mtd: spi-nor: fix silent truncation in spi_nor_read()
  (bsc#1051510).
- mtd: spear_smi: Fix Write Burst mode (bsc#1051510).
- iwlwifi: mvm: don't send keys when entering D3 (bsc#1051510).
- mac80211: minstrel: fix sampling/reporting of CCK rates in HT
  mode (bsc#1051510).
- mac80211: minstrel: fix CCK rate group streams value
  (bsc#1051510).
- commit c578a58
* Tue Nov 26 2019 tiwai@suse.de
- Move the upstreamed wireless fix to sorted section
- commit 613a76c
* Tue Nov 26 2019 tiwai@suse.de
- kABI workaround for ath10k last_wmi_vdev_start_status field
  (bsc#1051510).
- commit 663265c
* Tue Nov 26 2019 tiwai@suse.de
- Bluetooth: Fix memory leak in hci_connect_le_scan (bsc#1051510).
- Bluetooth: delete a stray unlock (bsc#1051510).
- Bluetooth: btusb: fix PM leak in error case of setup
  (bsc#1051510).
- ath9k_hw: fix uninitialized variable data (bsc#1051510).
- cw1200: Fix a signedness bug in cw1200_load_firmware()
  (bsc#1051510).
- Bluetooth: hci_core: fix init for HCI_USER_CHANNEL
  (bsc#1051510).
- crypto: tgr192 - remove unneeded semicolon (bsc#1051510).
- crypto: crypto4xx - fix double-free in crypto4xx_destroy_sdr
  (bsc#1051510).
- crypto: ecdh - fix big endian bug in ECC library (bsc#1051510).
- hwrng: omap - Fix RNG wait loop timeout (bsc#1051510).
- crypto: geode-aes - switch to skcipher for cbc(aes) fallback
  (bsc#1051510).
- crypto: af_alg - cast ki_complete ternary op to int
  (bsc#1051510).
- hwrng: omap3-rom - Call clk_disable_unprepare() on exit only
  if not idled (bsc#1051510).
- cpufreq/pasemi: fix use-after-free in pas_cpufreq_cpu_init()
  (bsc#1051510).
- cpupower : frequency-set -r option misses the last cpu in
  related cpu list (bsc#1051510).
- clocksource/drivers/sh_cmt: Fix clocksource width for 32-bit
  machines (bsc#1051510).
- clocksource/drivers/sh_cmt: Fixup for 64-bit machines
  (bsc#1051510).
- backlight: lm3639: Unconditionally call led_classdev_unregister
  (bsc#1051510).
- brcmfmac: fix full timeout waiting for action frame on-channel
  tx (bsc#1051510).
- brcmfmac: reduce timeout for action frame scan (bsc#1051510).
- ath9k: fix reporting calculated new FFT upper max (bsc#1051510).
- ath10k: fix vdev-start timeout on error (bsc#1051510).
- cpupower: Fix coredump on VMWare (bsc#1051510).
- ata: ep93xx: Use proper enums for directions (bsc#1051510).
- cpufreq: intel_pstate: Register when ACPI PCCH is present
  (bsc#1051510).
- cpupower : Fix cpupower working when cpu0 is offline
  (bsc#1051510).
- cpufreq: ti-cpufreq: add missing of_node_put() (bsc#1051510).
- commit 248e2c9
* Tue Nov 26 2019 oneukum@suse.com
- HID: Add quirk for Microsoft PIXART OEM mouse (bsc#1051510).
- commit 5f631e6
* Tue Nov 26 2019 tiwai@suse.de
- blacklist.conf: Add CVE entries that are neede only for SLE15-SP1
- commit dc6f692
* Tue Nov 26 2019 nmoreychaisemartin@suse.com
- bnxt_en: Update firmware interface spec. to 1.10.0.89 (bsc#1157115)
- commit cdccbdf
* Tue Nov 26 2019 nmoreychaisemartin@suse.com
- bnxt_en: Update firmware interface to 1.10.0.69 (bsc#1157115)
- commit 7f79313
* Tue Nov 26 2019 nmoreychaisemartin@suse.com
-  bnxt_en: Update firmware interface spec. to 1.10.0.47 (bsc#1157115)
- commit 4690702
* Tue Nov 26 2019 nmoreychaisemartin@suse.com
- RDMA/bnxt_re: Fix stat push into dma buffer on gen p5 devices (bsc#1157115)
- commit 584c64c
* Tue Nov 26 2019 tiwai@suse.de
- ipmi: Fix memory leak in __ipmi_bmc_register
  (CVE-2019-19046,bsc#1157304).
- ath10k: fix memory leak (CVE-2019-19078,bsc#1157032).
- commit 9b47c7b
* Tue Nov 26 2019 tiwai@suse.de
- crypto: user - fix memory leak in crypto_report
  (CVE-2019-19062,bsc#1157333).
- commit 88ffbd5
* Tue Nov 26 2019 tiwai@suse.de
- mwifiex: pcie: Fix memory leak in mwifiex_pcie_init_evt_ring
  (CVE-2019-19057,bsc#1157193).
- mwifiex: pcie: Fix memory leak in mwifiex_pcie_alloc_cmdrsp_buf
  (CVE-2019-19056,bsc#1157197).
- rtl8xxxu: prevent leaking urb (CVE-2019-19068,bsc#1157307).
- rtlwifi: prevent memory leak in rtl_usb_probe
  (CVE-2019-19063,bsc#1157298).
- commit d595bad
* Mon Nov 25 2019 msuchanek@suse.de
- blacklist.conf: Add inapplicable powerpc fixes.
  ae2e953fdca7 powerpc/rtas: Unexport rtas_online_cpus_mask,
  rtas_offline_cpus_mask
  502523fd1d2a powerpc/irq: drop __irq_offset_value
  b9ee5e04fd77 powerpc/64e: Drop stale call to smp_processor_id() which
  hangs SMP startup
  ff6d27823f61 powerpc: vdso: Make vdso32 installation conditional in
  vdso_install
  e7de4f7b64c2 powerpc/powernv: Restrict OPAL symbol map to only be
  readable by root
- commit deb4c43
* Mon Nov 25 2019 msuchanek@suse.de
- powerpc/bpf: Fix tail call implementation (bsc#1157698).
- commit 5e39978
* Mon Nov 25 2019 oneukum@suse.com
- thunderbolt: Fix lockdep circular locking depedency warning
  (git-fixes).
- commit 27dd808
* Mon Nov 25 2019 tiwai@suse.de
- appletalk: Set error code if register_snap_client failed
  (CVE-2019-19227,bsc#1157678).
- commit 6a00fd4
* Mon Nov 25 2019 tiwai@suse.de
- appletalk: Fix potential NULL pointer dereference in
  unregister_snap_client (CVE-2019-19227,bsc#1157678).
- commit 694bcd7
* Mon Nov 25 2019 mgorman@suse.de
- mm/debug.c: PageAnon() is true for PageKsm() pages (git fixes
  (mm/debug)).
- commit 8bd749a
* Mon Nov 25 2019 mgorman@suse.de
- blacklist.conf: Fix is for SLUB which is not enabled in the kernel configuration
- commit d0e0f42
* Mon Nov 25 2019 mgorman@suse.de
- mm, thp: Do not make page table dirty unconditionally in
  touch_p[mu]d() (git fixes (mm/gup)).
- commit f186dde
* Mon Nov 25 2019 tbogendoerfer@suse.de
- i40e: enable X710 support (bsc#1151067).
- commit 0170db7
* Mon Nov 25 2019 mgorman@suse.de
- blacklist: Fix is unnecessary as 32-bit x86 is not supported
- commit 14178ce
* Mon Nov 25 2019 mgorman@suse.de
- mm/compaction.c: clear total_{migrate,free}_scanned before
  scanning a new zone (git fixes (mm/compaction)).
- commit c5e7264
* Fri Nov 22 2019 tiwai@suse.de
- vmxnet3: turn off lro when rxcsum is disabled (bsc#1157499).
- commit 1bcfb9e
* Fri Nov 22 2019 hare@suse.de
- lpfc: size cpu map by last cpu id set (bsc#1157160).
- scsi: lpfc: use hdwq assigned cpu for allocation (bsc#1157160).
- commit 6bc7492
* Thu Nov 21 2019 ptesarik@suse.cz
- vfio: ccw: push down unsupported IDA check (bsc#1156471
  LTC#182362).
- commit 83611a2
* Thu Nov 21 2019 bp@suse.de
- include/linux/bitrev.h: fix constant bitrev (bsc#1114279).
- blacklist.conf:
- commit d72eb1e
* Thu Nov 21 2019 tiwai@suse.de
- Move never-upstreamed patches from out-of-tree section
  Many patches are put in the out-of-tree section although they are
  marked as never-upstreamed.  Move such patches into the dedicated
  section and keep the out-of-tree section clean.
- commit 5bd2c7b
* Thu Nov 21 2019 tiwai@suse.de
- Move two already upstreamed patches into the sorted section
- commit 1475101
* Thu Nov 21 2019 tiwai@suse.de
- Move two wrongly put pathces into the sorted section
- commit c94b3cc
* Thu Nov 21 2019 oneukum@suse.com
- blacklist.conf: breaks kABI
- commit 06aedbf
* Thu Nov 21 2019 oneukum@suse.com
- blacklist.conf: cosmetic chanhe, same code generated
- commit cbfd736
* Thu Nov 21 2019 hare@suse.de
- nvme-tcp: support C2HData with SUCCESS flag (bsc#1157386).
- commit 64f7f3b
* Thu Nov 21 2019 tbogendoerfer@suse.de
- Update
  patches.suse/nfp-flower-fix-memory-leak-in-nfp_flower_spawn_vnic_.patch
  (bsc#1109837 bsc#1157045 CVE-2019-19081).
- Update
  patches.suse/nfp-flower-prevent-memory-leak-in-nfp_flower_spawn_p.patch
  (bsc#1109837 bsc#1157044 CVE-2019-19080).
- commit 91a6cd9
* Thu Nov 21 2019 tbogendoerfer@suse.de
- RDMA/hfi1: Prevent memory leak in sdma_init (bsc#1157191
  CVE-2019-19065).
- commit 35fb175
* Thu Nov 21 2019 tbogendoerfer@suse.de
- Update
  patches.suse/RDMA-Fix-goto-target-to-release-the-allocated-memory.patch
  (bsc#1050244 FATE#322915 bsc#1157171 CVE-2019-19077).
- commit 23b2e41
* Thu Nov 21 2019 mkoutny@suse.com
- signal: Properly set TRACE_SIGNAL_LOSE_INFO in __send_signal
  (bsc#1157463).
- commit a12a0b6
* Thu Nov 21 2019 tiwai@suse.de
- mwifex: free rx_cmd skb in suspended state (bsc#1111666).
- commit b7beb51
* Thu Nov 21 2019 tiwai@suse.de
- kABI workaround for iwlwifi iwl_rx_cmd_buffer change
  (bsc#1111666).
- commit fe8bcf7
* Thu Nov 21 2019 tiwai@suse.de
- iwlwifi: drop packets with bad status in CD (bsc#1111666).
- commit 46aafd2
* Thu Nov 21 2019 tiwai@suse.de
- Move upstreamed ath10k patch into sorted section
- commit e17fe64
* Thu Nov 21 2019 tiwai@suse.de
- kABI workaround for ath10k hw_filter_reset_required field
  (bsc#1111666).
- commit 789add6
* Thu Nov 21 2019 tiwai@suse.de
- ath10k: skip resetting rx filter for WCN3990 (bsc#1111666).
- commit 78ef7f5
* Thu Nov 21 2019 tonyj@suse.de
- perf/x86/amd: Change/fix NMI latency mitigation to use a
  timestamp (bsc#1142924).
- commit 8426be6
* Thu Nov 21 2019 tiwai@suse.de
- irqdomain: Add the missing assignment of domain->fwnode for
  named fwnode (bsc#1111666).
- qxl: fix null-pointer crash during suspend (bsc#1111666).
- ath10k: avoid possible memory access violation (bsc#1111666).
- iwlwifi: mvm: use correct FIFO length (bsc#1111666).
- iwlwifi: pcie: fit reclaim msg to MAX_MSG_LEN (bsc#1111666).
- iwlwifi: pcie: read correct prph address for newer devices
  (bsc#1111666).
- brcmsmac: Use kvmalloc() for ucode allocations (bsc#1111666).
- brcmfmac: increase buffer for obtaining firmware capabilities
  (bsc#1111666).
- brcmfmac: fix wrong strnchr usage (bsc#1111666).
- mwifiex: do no submit URB in suspended state (bsc#1111666).
- wil6210: fix invalid memory access for rx_buff_mgmt debugfs
  (bsc#1111666).
- wil6210: prevent usage of tx ring 0 for eDMA (bsc#1111666).
- wil6210: set edma variables only for Talyn-MB devices
  (bsc#1111666).
- wil6210: drop Rx multicast packets that are looped-back to STA
  (bsc#1111666).
- cfg80211: validate wmm rule when setting (bsc#1111666).
- commit 9c15800
* Thu Nov 21 2019 tiwai@suse.de
- soc: imx: gpc: fix PDN delay (bsc#1051510).
- usb: chipidea: Fix otg event handler (bsc#1051510).
- usb: chipidea: imx: enable OTG overcurrent in case USB subsystem
  is already started (bsc#1051510).
- usb: gadget: uvc: Only halt video streaming endpoint in bulk
  mode (bsc#1051510).
- usb: gadget: uvc: Factor out video USB request queueing
  (bsc#1051510).
- usb: gadget: uvc: configfs: Prevent format changes after
  linking header (bsc#1051510).
- usb: gadget: uvc: configfs: Drop leaked references to config
  items (bsc#1051510).
- usb: xhci-mtk: fix ISOC error when interval is zero
  (bsc#1051510).
- spi: pic32: Use proper enum in dmaengine_prep_slave_rg
  (bsc#1051510).
- spi: mediatek: Don't modify spi_transfer when transfer
  (bsc#1051510).
- commit 8680dc9
* Thu Nov 21 2019 tiwai@suse.de
- slcan: Fix memory leak in error path (bsc#1051510).
- slip: Fix memory leak in slip_open error path (bsc#1051510).
- soc: qcom: wcnss_ctrl: Avoid string overflow (bsc#1051510).
- serial: mxs-auart: Fix potential infinite loop (bsc#1051510).
- serial: samsung: Enable baud clock for UART reset procedure
  in resume (bsc#1051510).
- serial: uartps: Fix suspend functionality (bsc#1051510).
- power: supply: twl4030_charger: disable eoc interrupt on linear
  charge (bsc#1051510).
- power: supply: twl4030_charger: fix charging current
  out-of-bounds (bsc#1051510).
- power: reset: at91-poweroff: do not procede if at91_shdwc is
  allocated (bsc#1051510).
- rtl8187: Fix warning generated when strncpy() destination
  length matches the sixe argument (bsc#1051510).
- commit 4fbc0f0
* Wed Nov 20 2019 tiwai@suse.de
- media: davinci: Fix implicit enum conversion warning
  (bsc#1051510).
- media: au0828: Fix incorrect error messages (bsc#1051510).
- media: pci: ivtv: Fix a sleep-in-atomic-context bug in
  ivtv_yuv_init() (bsc#1051510).
- media: fix: media: pci: meye: validate offset to avoid arbitrary
  access (bsc#1051510).
- PCI/ACPI: Correct error message for ASPM disabling
  (bsc#1051510).
- power: supply: ab8500_fg: silence uninitialized variable
  warnings (bsc#1051510).
- iwlwifi: api: annotate compressed BA notif array sizes
  (bsc#1051510).
- iwlwifi: mvm: avoid sending too many BARs (bsc#1051510).
- liquidio: fix race condition in instruction completion
  processing (bsc#1051510).
- ipmi:dmi: Ignore IPMI SMBIOS entries with a zero base address
  (bsc#1051510).
- commit ca0647e
* Wed Nov 20 2019 tiwai@suse.de
- Input: synaptics-rmi4 - destroy F54 poller workqueue when
  removing (bsc#1051510).
- Input: ff-memless - kill timer in destroy() (bsc#1051510).
- Input: synaptics-rmi4 - clear IRQ enables for F54 (bsc#1051510).
- Input: synaptics-rmi4 - do not consume more data than we have
  (F11, F12) (bsc#1051510).
- Input: synaptics-rmi4 - disable the relative position IRQ in
  the F12 driver (bsc#1051510).
- iio: dac: mcp4922: fix error handling in mcp4922_write_raw
  (bsc#1051510).
- iio: adc: max9611: explicitly cast gain_selectors (bsc#1051510).
- extcon: cht-wc: Return from default case to avoid warnings
  (bsc#1051510).
- dmaengine: dma-jz4780: Further residue status fix (bsc#1051510).
- dmaengine: dma-jz4780: Don't depend on MACH_JZ4780
  (bsc#1051510).
- commit 386e278
* Wed Nov 20 2019 tiwai@suse.de
- ax88172a: fix information leak on short answers (bsc#1051510).
- ath9k: Fix a locking bug in ath9k_add_interface() (bsc#1051510).
- component: fix loop condition to call unbind() if bind() fails
  (bsc#1051510).
- crypto: fix a memory leak in rsa-kcs1pad's encryption mode
  (bsc#1051510).
- crypto: s5p-sss: Fix Fix argument list alignment (bsc#1051510).
- ath9k: add back support for using active monitor interfaces
  for tx99 (bsc#1051510).
- ath10k: wmi: disable softirq's while calling ieee80211_rx
  (bsc#1051510).
- Bluetooth: L2CAP: Detect if remote is not able to use the
  whole MPS (bsc#1051510).
- ath9k: fix tx99 with monitor mode interface (bsc#1051510).
- cfg80211: Avoid regulatory restore when COUNTRY_IE_IGNORE is
  set (bsc#1051510).
- commit 2c708f7
* Wed Nov 20 2019 tiwai@suse.de
- ASoC: Intel: hdac_hdmi: Limit sampling rates at dai creation
  (bsc#1051510).
- ASoC: sgtl5000: avoid division by zero if lo_vag is zero
  (bsc#1051510).
- ASoC: dpcm: Properly initialise hw->rate_max (bsc#1051510).
- ALSA: intel8x0m: Register irq handler after register
  initializations (bsc#1051510).
- ALSA: seq: Do error checks at creating system ports
  (bsc#1051510).
- ALSA: pcm: signedness bug in snd_pcm_plug_alloc() (bsc#1051510).
- ath10k: limit available channels via DT ieee80211-freq-limit
  (bsc#1051510).
- ath10k: fix kernel panic by moving pci flush after napi_disable
  (bsc#1051510).
- ACPI / LPSS: Exclude I2C busses shared with PUNIT from
  pmc_atom_d3_mask (bsc#1051510).
- commit d915eec
* Wed Nov 20 2019 msuchanek@suse.de
- blacklist.conf: Add fix for unsupported platfrom.
  e59f5bd759b7 powerpc/fsl: Add FSL_PPC_BOOK3E as supported arch for
  nospectre_v2 boot arg
- commit ff55f34
* Wed Nov 20 2019 tiwai@suse.de
- pwm: bcm-iproc: Prevent unloading the driver module while in
  use (git-fixes).
- commit c77ae8b
* Wed Nov 20 2019 tiwai@suse.de
- pinctrl: cherryview: Allocate IRQ chip dynamic (git-fixes).
- commit 8fd17ac
* Wed Nov 20 2019 tiwai@suse.de
- NFC: nxp-nci: Fix NULL pointer dereference after I2C
  communication error (git-fixes).
- mmc: sdhci-of-at91: fix quirk2 overwrite (git-fixes).
- nfc: netlink: fix double device reference drop (git-fixes).
- commit 7279064
* Wed Nov 20 2019 tiwai@suse.de
- Input: synaptics-rmi4 - fix video buffer size (git-fixes).
- commit 612afb1
* Wed Nov 20 2019 tiwai@suse.de
- iio: adc: stm32-adc: fix stopping dma (git-fixes).
- iio: imu: adis16480: make sure provided frequency is positive
  (git-fixes).
- commit d254d3f
* Wed Nov 20 2019 tiwai@suse.de
- HID: wacom: generic: Treat serial number and related fields
  as unsigned (git-fixes).
- commit 650cf65
* Wed Nov 20 2019 tiwai@suse.de
- clk: samsung: exynos5420: Preserve PLL configuration during
  suspend/resume (git-fixes).
- clk: sunxi-ng: a80: fix the zero'ing of bits 16 and 18
  (git-fixes).
- clk: at91: avoid sleeping early (git-fixes).
- commit 914dbe8
* Wed Nov 20 2019 tiwai@suse.de
- can: rx-offload: can_rx_offload_offload_one(): do not increase
  the skb_queue beyond skb_queue_len_max (git-fixes).
- can: rx-offload: can_rx_offload_queue_tail(): fix error
  handling, avoid skb mem leak (git-fixes).
- can: rx-offload: can_rx_offload_queue_sorted(): fix error
  handling, avoid skb mem leak (git-fixes).
- can: c_can: c_can_poll(): only read status register after
  status IRQ (git-fixes).
- can: peak_usb: fix slab info leak (git-fixes).
- can: peak_usb: fix a potential out-of-sync while decoding
  packets (git-fixes).
- can: usb_8dev: fix use-after-free on disconnect (git-fixes).
- can: mcba_usb: fix use-after-free on disconnect (git-fixes).
- commit abf4f66
* Wed Nov 20 2019 tiwai@suse.de
- ASoC: kirkwood: fix external clock probe defer (git-fixes).
- ASoC: msm8916-wcd-analog: Fix RX1 selection in RDAC2 MUX
  (git-fixes).
- ASoC: tlv320aic31xx: Handle inverted BCLK in non-DSP modes
  (stable 4.14.y).
- ASoC: tlv320dac31xx: mark expected switch fall-through
  (stable 4.14.y).
- ASoC: davinci-mcasp: Handle return value of devm_kasprintf
  (stable 4.14.y).
- ASoC: davinci: Kill BUG_ON() usage (stable 4.14.y).
- commit 67e5fa1
* Wed Nov 20 2019 tiwai@suse.de
- can: gs_usb: gs_can_open(): prevent memory leak
  (CVE-2019-19052,bsc#1157324).
- commit 63425d7
* Wed Nov 20 2019 bp@suse.de
- blacklist.conf: c0d9782f5b6d Compiler Attributes: add support for __copy (gcc >= 9)
- commit a7488e8
* Tue Nov 19 2019 msuchanek@suse.de
- powerpc: add link stack flush mitigation in debugfs
  (CVE-2019-18660 bsc#1157038).
- commit 1dca093
* Tue Nov 19 2019 bp@suse.de
- x86/resctrl: Fix potential lockdep warning (bsc#1114279).
- commit d9cb38c
* Tue Nov 19 2019 duwe@suse.de
- crypto: ecdh - fix typo of P-192 b value (bsc#1155331).
- crypto: dh - add public key verification test (bsc#1155331).
- crypto: ecdh - add public key verification test (bsc#1155331).
- commit 93158c5
* Tue Nov 19 2019 lhenriques@suse.com
- ceph: don't try to handle hashed dentries in non-O_CREAT
  atomic_open (bsc#1157184).
- ceph: add missing check in d_revalidate snapdir handling
  (bsc#1157183).
- ceph: fix use-after-free in __ceph_remove_cap() (bsc#1154058).
- ceph: just skip unrecognized info in ceph_reply_info_extra
  (bsc#1157182).
- commit 98cae02
* Tue Nov 19 2019 tiwai@suse.de
- drm/amdgpu: fix multiple memory leaks in acp_hw_init
  (CVE-2019-19067,bsc#1157180).
- commit 5d239d3
* Tue Nov 19 2019 tiwai@suse.de
- iio: imu: adis16400: release allocated memory on failure
  (CVE-2019-19060,bsc#1157178).
- commit ac610a2
* Tue Nov 19 2019 tiwai@suse.de
- of: unittest: fix memory leak in unittest_data_add
  (CVE-2019-19049,bsc#1157173).
- commit 9b20ba0
* Tue Nov 19 2019 tiwai@suse.de
- Update patch reference for ieee802154 security fix (CVE-2019-19075 bsc#1157162)
- commit 56605ba
* Tue Nov 19 2019 mbenes@suse.cz
- blacklist.conf: dd3d792def0d ("tcp: remove redundant new line from tcp_event_sk_skb")
  Cosmetic change in tracing output.
- commit df796cc
* Tue Nov 19 2019 tiwai@suse.de
- iwlwifi: dbg_ini: fix memory leak in alloc_sgtable
  (CVE-2019-19058,bsc#1157145).
- commit a278572
* Tue Nov 19 2019 tiwai@suse.de
- ath9k: release allocated buffer if timed out
  (CVE-2019-19074,bsc#1157143).
- commit 8076db9
* Tue Nov 19 2019 dwagner@suse.de
- Drop scsi-qla2xxx-Fix-memory-leak-when-sending-I-O-fails.patch
  This patch has introduces an double free. Upstream has dropped it from
  the scsi-queue before it hit mainline. So let's drop it as well.
- commit b0e7391
* Tue Nov 19 2019 tzimmermann@suse.de
- Revert "drm/etnaviv: fix dumping of iommuv2 (bsc#1113722)"
  This reverts commit 71e3a1b8d8cf73f711f3e4100aa51f68e631f94f.
  ATM the backported patch doesn't build on x86.
- commit f6e6f31
* Mon Nov 18 2019 tiwai@suse.de
- ath9k_htc: release allocated buffer if timed out
  (CVE-2019-19073,bsc#1157070).
- commit 4e08080
* Mon Nov 18 2019 msuchanek@suse.de
- KVM: PPC: Book3S HV: Flush link stack on guest exit to host
  kernel (CVE-2019-18660 bsc#1157038).
- powerpc/book3s64: Fix link stack flush on context switch
  (CVE-2019-18660 bsc#1157038).
- commit 58a16db
* Mon Nov 18 2019 tiwai@suse.de
- drm/amd/display: memory leak (CVE-2019-19083,bsc#1157049).
- drm/amd/display: prevent memory leak
  (CVE-2019-19082,bsc#1157046).
- commit da39279
* Mon Nov 18 2019 bp@suse.de
- x86/resctrl: Prevent NULL pointer dereference when reading
  mondata (bsc#1114279).
- commit ba561bc
* Mon Nov 18 2019 bp@suse.de
- EDAC/ghes: Fix Use after free in ghes_edac remove path
  (bsc#1114279).
- commit 3054f3a
* Mon Nov 18 2019 hare@suse.de
- scsi: lpfc: Fix Oops in nvme_register with target logout/login (bsc#1151900).
- commit 7a255ec
* Mon Nov 18 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Bail earlier when amdgpu.cik_/si_support is not set to 1'
- commit 7401698
* Mon Nov 18 2019 tzimmermann@suse.de
- drm/radeon: fix si_enable_smc_cac() failed issue (bsc#1113722)
- commit 0f0eb28
* Mon Nov 18 2019 tzimmermann@suse.de
- drm/etnaviv: fix dumping of iommuv2 (bsc#1113722)
- commit 71e3a1b
* Mon Nov 18 2019 tzimmermann@suse.de
- drm/omap: fix max fclk divider for omap36xx (bsc#1113722)
- commit 533b6d1
* Mon Nov 18 2019 dwagner@suse.de
- scsi: lpfc: Honor module parameter lpfc_use_adisc (bsc#1153628).
- commit 81a24bf
* Sat Nov 16 2019 tiwai@suse.de
- ALSA: hda: Fix racy display power access (bsc#1156928).
- commit 5685115
* Fri Nov 15 2019 tiwai@suse.de
- ALSA: usb-audio: Fix incorrect size check for
  processing/extension units (git-fixes).
- ALSA: usb-audio: Fix incorrect NULL check in
  create_yamaha_midi_quirk() (git-fixes).
- commit 99c0dc3
* Fri Nov 15 2019 tiwai@suse.de
- ALSA: pcm: Fix stream lock usage in snd_pcm_period_elapsed()
  (git-fixes).
- ALSA: usb-audio: not submit urb for stopped endpoint
  (git-fixes).
- ALSA: hda: Add Cometlake-S PCI ID (git-fixes).
- ALSA: usb-audio: Fix missing error check at mixer resolution
  test (git-fixes).
- commit bff381c
* Fri Nov 15 2019 tbogendoerfer@suse.de
- ice: fix potential infinite loop because loop counter being
  too small (bsc#1118661 FATE#325277).
- net: hns: Fix the stray netpoll locks causing deadlock in NAPI
  path (bsc#1104353 FATE#326415).
- net/mlx5e: Fix eswitch debug print of max fdb flow (bsc#1103990
  FATE#326006).
- net/mlx5e: Fix ethtool self test: link speed (bsc#1103990
  FATE#326006).
- xsk: Fix registration of Rx-only sockets (bsc#1109837).
- bpf: Fix use after free in subprog's jited symbol removal
  (bsc#1109837).
- cxgb4: request the TX CIDX updates to status page (bsc#1127354
  bsc#1127371).
- net: phy: bcm7xxx: define soft_reset for 40nm EPHY (bsc#1119113
  FATE#326472).
- net: sched: cbs: Avoid division by zero when calculating the
  port rate (bsc#1109837).
- mlxsw: spectrum_flower: Fail in case user specifies multiple
  mirror actions (bsc#1112374).
- nfp: flower: fix memory leak in nfp_flower_spawn_vnic_reprs
  (bsc#1109837).
- nfp: flower: prevent memory leak in nfp_flower_spawn_phy_reprs
  (bsc#1109837).
- xsk: relax UMEM headroom alignment (bsc#1109837).
- bpf: fix BTF limits (bsc#1109837).
- bpf: fix BTF verification of enums (bsc#1109837).
- net/sched: cbs: Fix not adding cbs instance to list
  (bsc#1109837).
- net: sched: fix possible crash in tcf_action_destroy()
  (bsc#1109837).
- IB/mlx5: Free mpi in mp_slave mode (bsc#1103991 FATE#326007).
- RDMA/hns: Fix wrong assignment of qp_access_flags (bsc#1104427
  FATE#326416).
- RDMA/hns: Fix comparison of unsigned long variable 'end'
  with less than zero (bsc#1104427 FATE#326416 bsc#1137236).
- bnxt_en: Increase timeout for HWRM_DBG_COREDUMP_XX commands
  (bsc#1104745 FATE#325918).
- net/mlx5: FWTrace, Reduce stack usage (bsc#1103990 FATE#326006).
- tools: bpftool: fix arguments for p_err() in do_event_pipe()
  (bsc#1109837).
- IB/mlx5: Support MLX5_CMD_OP_QUERY_LAG as a DEVX general command
  (bsc#1103991 FATE#326007).
- net: hns3: prevent unnecessary MAC TNL interrupt (bsc#1104353
  FATE#326415 bsc#1134983).
- net: hns3: fix GFP flag error in hclge_mac_update_stats()
  (bsc#1126390).
- net: hns3: fix some reset handshake issue (bsc#1104353
  FATE#326415).
- net: hns3: do not query unsupported commands in debugfs
  (bsc#1104353 FATE#326415).
- net/mlx5e: Print a warning when LRO feature is dropped or not
  allowed (bsc#1103990 FATE#326006).
- net: hns3: change GFP flag during lock period (bsc#1104353
  FATE#326415).
- ixgbevf: Fix secpath usage for IPsec Tx offload (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: fix double clean of Tx descriptors with xdp (bsc#1113994
  FATE#326315 FATE#326317).
- net: phylink: Fix flow control resolution (bsc#1119113
  FATE#326472).
- net: sched: fix reordering issues (bsc#1109837).
- net: sock_map, fix missing ulp check in sock hash case
  (bsc#1109837).
- net/sched: cbs: Set default link speed to 10 Mbps in
  cbs_set_port_rate (bsc#1109837).
- commit 1e6052c
* Fri Nov 15 2019 msuchanek@suse.de
- powerpc/xive: Prevent page fault issues in the machine crash
  handler (bsc#1156882 ltc#182435).
- commit 77bcbdb
* Fri Nov 15 2019 tiwai@suse.de
- Update patch reference for net core memory leak fix (CVE-2019-15916, bsc#1149448)
- commit 0c4209f
* Fri Nov 15 2019 ptesarik@suse.cz
- Update kabi files: import from 4.12.14-197.26.
- commit a70f8fa
* Fri Nov 15 2019 tiwai@suse.de
- ALSA: hda/intel: add CometLake PCI IDs (bsc#1156729).
- commit 426fce2
* Thu Nov 14 2019 dwagner@suse.de
- scsi: lpfc: Update lpfc version to 12.6.0.2 (bsc#1154601).
- scsi: lpfc: revise nvme max queues to be hdwq count
  (bsc#1154601).
- scsi: lpfc: Initialize cpu_map for not present cpus
  (bsc#1154601).
- scsi: lpfc: fix inlining of lpfc_sli4_cleanup_poll_list()
  (bsc#1154601).
- scsi: lpfc: fix: Coverity: lpfc_cmpl_els_rsp(): Null pointer
  dereferences (bsc#1154601).
- scsi: lpfc: fix: Coverity: lpfc_get_scsi_buf_s3(): Null pointer
  dereferences (bsc#1154601).
- scsi: lpfc: Fix lpfc_cpumask_of_node_init() (bsc#1154601).
- scsi: lpfc: Fix a kernel warning triggered by
  lpfc_sli4_enable_intr() (bsc#1154601).
- scsi: lpfc: Fix a kernel warning triggered by
  lpfc_get_sgl_per_hdwq() (bsc#1154601).
- scsi: lpfc: Update lpfc version to 12.6.0.1 (bsc#1154601).
- scsi: lpfc: Add enablement of multiple adapter dumps
  (bsc#1154601).
- scsi: lpfc: Change default IRQ model on AMD architectures
  (bsc#1154601).
- scsi: lpfc: Add registration for CPU Offline/Online events
  (bsc#1154601).
- scsi: lpfc: Clarify FAWNN error message (bsc#1154601).
- scsi: lpfc: Sync with FC-NVMe-2 SLER change to require Conf
  with SLER (bsc#1154601).
- scsi: lpfc: Fix dynamic fw log enablement check (bsc#1154601).
- scsi: lpfc: Fix unexpected error messages during RSCN handling
  (bsc#1154601).
- scsi: lpfc: Fix kernel crash at lpfc_nvme_info_show during
  remote port bounce (bsc#1154601).
- scsi: lpfc: Fix configuration of BB credit recovery in service
  parameters (bsc#1154601).
- scsi: lpfc: Fix duplicate unreg_rpi error in port offline flow
  (bsc#1154601).
- scsi: lpfc: Make lpfc_debugfs_ras_log_data static (bsc#1154601).
- scsi: lpfc: Fix NULL check before mempool_destroy is not needed
  (bsc#1154601).
- scsi: lpfc: fix spelling error in MAGIC_NUMER_xxx (bsc#1154601).
- scsi: lpfc: fix build error of lpfc_debugfs.c for vfree/vmalloc
  (bsc#1154601).
- scsi: lpfc: lpfc_nvmet: Fix Use plain integer as NULL pointer
  (bsc#1154601).
- scsi: lpfc: lpfc_attr: Fix Use plain integer as NULL pointer
  (bsc#1154601).
- scsi: lpfc: Honor module parameter lpfc_use_adisc (bsc#1154601).
- scsi: lpfc: Raise config max for lpfc_fcp_mq_threshold variable
  (bsc#1154601).
- scsi: lpfc: Mitigate high memory pre-allocation by SCSI-MQ
  (bsc#1154601).
- commit aabd860
* Thu Nov 14 2019 dwagner@suse.de
- Refresh series.conf
  The lpfc patches have been applied to the subsystem maintainer's
  tree. So move the patches into in-tree section.
- commit 8a45786
* Thu Nov 14 2019 msuchanek@suse.de
- powerpc/security/book3s64: Report L1TF status in sysfs
  (bsc#1091041).
- commit 46dca2a
* Thu Nov 14 2019 msuchanek@suse.de
- powerpc/64: Make meltdown reporting Book3S 64 specific (bsc#1091041).
- Refresh patches.suse/powerpc-fsl-Add-nospectre_v2-command-line-argument.patch.
- commit decf362
* Thu Nov 14 2019 msuchanek@suse.de
- Refresh patches.suse/powerpc-fadump-when-fadump-is-supported-register-the.patch.
- commit fe70493
* Thu Nov 14 2019 msuchanek@suse.de
- powerpc/security: Fix wrong message when RFI Flush is disable
  (bsc#1131107).
- commit 07e34c8
* Thu Nov 14 2019 msuchanek@suse.de
- powerpc/pseries: safely roll back failed DLPAR cpu add
  (bsc#1156700 ltc#182459).
- powerpc/pseries: address checkpatch warnings in
  dlpar_offline_cpu (bsc#1156700 ltc#182459).
- commit 18c7d92
* Thu Nov 14 2019 msuchanek@suse.de
- Sort series.conf.
- commit 6a26645
* Wed Nov 13 2019 pvorel@suse.cz
- xfrm: fix sa selector validation (bsc#1156609).
- commit db39484
* Wed Nov 13 2019 oneukum@suse.com
- lib/scatterlist: Fix chaining support in sgl_alloc_order()
  (git-fixes).
- commit 148948b
* Wed Nov 13 2019 mbenes@suse.cz
- blacklist.conf: d1a445d3b86c ("include/trace/events/writeback.h: fix -Wstringop-truncation warnings")
- commit f7793f4
* Wed Nov 13 2019 tiwai@suse.de
- Move drm kABI workaround patch into patches.kabi
  Also move to the dedicated section in series.conf
- commit 3fe4946
* Wed Nov 13 2019 tiwai@suse.de
- Move upstreamed i915 security fixes into sorted section
- commit db5df34
* Wed Nov 13 2019 oneukum@suse.com
- usbip: Fix free of unallocated memory in vhci tx (git-fixes).
- commit 145de3a
* Wed Nov 13 2019 oneukum@suse.com
- USBIP: add config dependency for SGL_ALLOC (git-fixes).
- Update config files.
- commit 538364b
* Tue Nov 12 2019 fdmanana@suse.com
- Btrfs: fix log context list corruption after rename exchange
  operation (bsc#1156494).
- commit 930b1d1
* Tue Nov 12 2019 tiwai@suse.de
- drm/i915/cmdparser: Fix jump whitelist clearing
  (CVE-2019-0154,bsc#1135966,CVE-2019-0155,bsc#1135967).
- commit bd2c4f7
* Tue Nov 12 2019 pvorel@suse.cz
- Refresh
  patches.suse/alarmtimer-Use-EOPNOTSUPP-instead-of-ENOTSUPP.patch.
- commit 82de0f6
* Tue Nov 12 2019 oneukum@suse.com
- lib/scatterlist: Introduce sgl_alloc() and sgl_free()
  (git-fixes).
- Update config files. (manually Kconfig is broken at this point
  in upstream. Fix comes later.)
- commit 001e8ff
* Tue Nov 12 2019 oneukum@suse.com
- mmc: sdhci-esdhc-imx: correct the fix of ERR004536 (git-fixes).
- commit e868d3f
* Tue Nov 12 2019 oneukum@suse.com
- mtd: nand: mtk: fix incorrect register setting order about
  ecc irq.
- commit a5d834b
* Tue Nov 12 2019 oneukum@suse.com
- UAS: Revert commit 3ae62a42090f ("UAS: fix alignment of
  scatter/gather segments").
- commit 3a75f7d
* Tue Nov 12 2019 oneukum@suse.com
- usbip: Implement SG support to vhci-hcd and stub driver
  (git-fixes).
- commit 12b24f4
* Tue Nov 12 2019 oneukum@suse.com
- usbip: Fix vhci_urb_enqueue() URB null transfer buffer error
  path (git-fixes).
- commit bcc3779
* Tue Nov 12 2019 ohering@suse.de
- scsi: storvsc: Add ability to change scsi queue depth
  (bsc#1155021).
- commit 978166d
* Mon Nov 11 2019 mbrugger@suse.com
- arm64: Update config files. (bsc#1156466)
  Enable HW_RANDOM_OMAP driver and mark driver
  omap-rng as supported.
- commit be2891b
* Mon Nov 11 2019 oneukum@suse.com
- iwlwifi: exclude GEO SAR support for 3168 (git-fixes).
- commit 43ad415
* Mon Nov 11 2019 oneukum@suse.com
- scsi: sd: Ignore a failure to sync cache due to lack of
  authorization (git-fixes).
- commit e1ba31a
* Mon Nov 11 2019 dwagner@suse.de
- scsi: qla2xxx: don't use zero for FC4_PRIORITY_NVME (bsc#1143706
  bsc#1082635 bsc#1154526 bsc#1048942).
- scsi: qla2xxx: initialize fc4_type_priority (bsc#1143706
  bsc#1082635 bsc#1154526 bsc#1048942).
- scsi: qla2xxx: Fix a dma_pool_free() call (bsc#1143706
  bsc#1082635 bsc#1154526 bsc#1048942).
- scsi: qla2xxx: Remove an include directive (bsc#1143706
  bsc#1082635 bsc#1154526 bsc#1048942).
- scsi: qla2xxx: Update driver version to 10.01.00.21-k
  (bsc#1143706 bsc#1082635 bsc#1154526 bsc#1048942).
- scsi: qla2xxx: Fix device connect issues in P2P configuration
  (bsc#1143706 bsc#1082635 bsc#1154526 bsc#1048942).
- scsi: qla2xxx: Fix memory leak when sending I/O fails
  (bsc#1143706 bsc#1082635 bsc#1154526 bsc#1048942).
- scsi: qla2xxx: Fix double scsi_done for abort path (bsc#1143706
  bsc#1082635 bsc#1154526 bsc#1048942).
- scsi: qla2xxx: Fix driver unload hang (bsc#1143706 bsc#1082635
  bsc#1154526 bsc#1048942).
- scsi: qla2xxx: Fix SRB leak on switch command timeout
  (bsc#1143706 bsc#1082635 bsc#1154526 bsc#1048942).
- scsi: qla2xxx: Do command completion on abort timeout
  (bsc#1143706 bsc#1082635 bsc#1154526 bsc#1048942).
- scsi: qla2xxx: Retry PLOGI on FC-NVMe PRLI failure (bsc#1143706
  bsc#1082635 bsc#1154526 bsc#1048942).
- commit 98e1d47
* Mon Nov 11 2019 mbenes@suse.cz
- blacklist.conf: fc64e4ad80d4 ("tracing/hwlat: Don't ignore outer-loop duration when calculating max_latency")
  CONFIG_HWLAT_TRACER is not set anywhere.
- commit 79404f5
* Mon Nov 11 2019 mbenes@suse.cz
- blacklist.conf: 98dc19c11470 ("tracing/hwlat: Report total time spent in all NMIs during the sample")
  CONFIG_HWLAT_TRACER is not set anywhere.
- commit 94cfcea
* Mon Nov 11 2019 mbenes@suse.cz
- tracing: Get trace_array reference for available_tracers files
  (bsc#1156429).
- commit ada9a25
* Mon Nov 11 2019 hare@suse.de
- scsi: lpfc: Limit xri count for kdump environment (bsc#1154124).
- commit 3e02bd2
* Mon Nov 11 2019 dwagner@suse.de
- Refresh series.conf
  Some of the qla2xxx patches have been promoted to Linus' tree.
- commit 4e8846f
* Fri Nov  8 2019 tiwai@suse.de
- Move upstreamed CA0132 fix into sorted section
- commit 4fc57c9
* Fri Nov  8 2019 tiwai@suse.de
- ALSA: timer: Fix incorrectly assigned timer instance
  (git-fixes).
- ALSA: bebob: fix to detect configured source of sampling clock
  for Focusrite Saffire Pro i/o series (git-fixes).
- commit 9d7979a
* Fri Nov  8 2019 tiwai@suse.de
- wil6210: fix freeing of rx buffers in EDMA mode (bsc#1111666).
- commit 5cf8077
* Fri Nov  8 2019 tiwai@suse.de
- USB: serial: whiteheat: fix line-speed endianness (bsc#1051510).
- USB: gadget: Reject endpoints with 0 maxpacket value
  (bsc#1051510).
- usb-storage: Revert commit 747668dbc061 ("usb-storage: Set
  virt_boundary_mask to avoid SG overflows") (bsc#1051510).
- usb: handle warm-reset port requests on hub resume
  (bsc#1051510).
- commit bfddb23
* Fri Nov  8 2019 tiwai@suse.de
- staging: rtl8188eu: fix null dereference when kzalloc fails
  (bsc#1051510).
- serial: fix kernel-doc warning in comments (bsc#1051510).
- serial: mctrl_gpio: Check for NULL pointer (bsc#1051510).
- serial: uartlite: fix exit path null pointer (bsc#1051510).
- power: supply: max14656: fix potential use-after-free
  (bsc#1051510).
- sc16is7xx: Fix for "Unexpected interrupt: 8" (bsc#1051510).
- commit 08a343a
* Fri Nov  8 2019 tiwai@suse.de
- phylink: fix kernel-doc warnings (bsc#1111666).
- commit 5e0560d
* Fri Nov  8 2019 tiwai@suse.de
- iwlwifi: exclude GEO SAR support for 3168 (bsc#1111666).
- iwlwifi: fw: don't send GEO_TX_POWER_LIMIT command to FW
  version 36 (bsc#1111666).
- commit 8eb95be
* Fri Nov  8 2019 tiwai@suse.de
- drm/amdgpu/powerplay/vega10: allow undervolting in p7
  (bsc#1111666).
- drm/i915/cml: Add second PCH ID for CMP (bsc#1111666).
- drm/amdgpu: fix memory leak (bsc#1111666).
- drm/amd/display: fix odm combine pipe reset (bsc#1111666).
- drm/msm/dpu: handle failures while initializing displays
  (bsc#1111666).
- ath10k: assign 'n_cipher_suites = 11' for WCN3990 to enable WPA3
  (bsc#1111666).
- drm/i915/ilk: Fix warning when reading emon_status with no
  output (bsc#1111666).
- commit e045aeb
* Fri Nov  8 2019 tiwai@suse.de
- fjes: Handle workqueue allocation failure
  (CVE-2019-16231,bsc#1150466).
- commit f6922b5
* Thu Nov  7 2019 tiwai@suse.de
- Update patch reference for ipv4/tcp security fix (CVE-2019-18805 bsc#1156187)
- commit b6001b0
* Thu Nov  7 2019 tiwai@suse.de
- Update patch reference tag for mISDN fix (bsc#1152782 CVE-2019-17055).
- commit 79c8ad5
* Wed Nov  6 2019 nmoreychaisemartin@suse.com
- RDMA/restrack: Track driver QP types in resource tracker (jsc#SLE-4805)
- commit 89aad1c
* Wed Nov  6 2019 tiwai@suse.de
- Revert synaptics-rmi4 patch due to regression (bsc#1155982)
  Also blacklisting it
- commit 9da1754
* Wed Nov  6 2019 oneukum@suse.com
- blacklist.conf: cosmetic change
- commit e6d6578
* Wed Nov  6 2019 oneukum@suse.com
- blacklist.conf: cannot remove a driver
- commit d2a2975
* Wed Nov  6 2019 tiwai@suse.de
- rpm/kernel-source.spec.in: Fix dependency of kernel-devel (bsc#1154043)
- commit ceb9273
* Wed Nov  6 2019 msuchanek@suse.de
- Refresh patches.suse/powerpc-fadump-when-fadump-is-supported-register-the.patch.
- commit a0b9cff
* Wed Nov  6 2019 nmoreychaisemartin@suse.com
- kabi protect enum RDMA_DRIVER_EFA (jsc#SLE-4805)
- commit 6b0acb0
* Wed Nov  6 2019 jslaby@suse.cz
- rpm/kernel-binary.spec.in: add COMPRESS_VMLINUX (bnc#1155921)
  Let COMPRESS_VMLINUX determine the compression used for vmlinux. By
  default (historically), it is gz.
- commit c8b2d9f
* Wed Nov  6 2019 nmoreychaisemartin@suse.com
- RDMA/efa: Add Amazon EFA driver (jsc#SLE-4805)
- commit ea4e597
* Tue Nov  5 2019 ptesarik@suse.cz
- Update config files: Fix ppc64le vanilla config
- commit 2a4e830
* Tue Nov  5 2019 tiwai@suse.de
- iwlwifi: don't panic in error path on non-msix systems
  (bsc#1155692).
- commit d2bd2bf
* Tue Nov  5 2019 tiwai@suse.de
- ALSA: hda/ca0132 - Fix possible workqueue stall (bsc#1155836).
- commit 7ee88a6
* Tue Nov  5 2019 mbrugger@suse.com
- rpm/mkspec-dtb: add mt76 based dtb package
- commit 8ff92d0
* Tue Nov  5 2019 tiwai@suse.de
- USB: serial: whiteheat: fix potential slab corruption
  (bsc#1051510).
- USB: ldusb: fix control-message timeout (bsc#1051510).
- USB: ldusb: fix ring-buffer locking (bsc#1051510).
- usb: gadget: udc: atmel: Fix interrupt storm in FIFO mode
  (bsc#1051510).
- dmaengine: imx-sdma: fix size check for sdma script_number
  (bsc#1051510).
- dmaengine: bcm2835: Print error in case setting DMA mask fails
  (bsc#1051510).
- can: dev: call netif_carrier_off() in register_candev()
  (bsc#1051510).
- commit da52a64
* Tue Nov  5 2019 ptesarik@suse.cz
- s390/cpumsf: Check for CPU Measurement sampling (bsc#1153681
  LTC#181855).
- commit f08cc5e
* Tue Nov  5 2019 ptesarik@suse.cz
- scsi: zfcp: fix reaction on bit error threshold notification
  (bsc#1154956 LTC#182054).
- commit 9b3bc79
* Tue Nov  5 2019 ptesarik@suse.cz
- s390: add support for IBM z15 machines (bsc#1152696 LTC#181731).
- Update config files.
- commit 0f2206b
* Tue Nov  5 2019 ptesarik@suse.cz
- s390/pci: fix MSI message data (bsc#1152697 LTC#181730).
- commit 30d770d
* Tue Nov  5 2019 ptesarik@suse.cz
- s390/pci: add mio_enabled attribute (bsc#1152665 LTC#181729).
- s390: fix setting of mio addressing control (bsc#1152665
  LTC#181729).
- s390/pci: correctly handle MIO opt-out (bsc#1152665 LTC#181729).
- s390/pci: deal with devices that have no support for MIO
  instructions (bsc#1152665 LTC#181729).
- commit f4429b7
* Tue Nov  5 2019 palcantara@suse.de
- CIFS: fix max ea value size (bsc#1144333, bsc#1154355).
- commit d2e982f
* Tue Nov  5 2019 palcantara@suse.de
- smb3: fix leak in "open on server" perf counter
  (bsc#1144333, bsc#1154355).
- commit c61046b
* Tue Nov  5 2019 palcantara@suse.de
- smb3: fix unmount hang in open_shroot (bsc#1144333, bsc#1154355).
- commit 62efde7
* Tue Nov  5 2019 palcantara@suse.de
- smb3: improve handling of share deleted (and share recreated)
  (bsc#1144333, bsc#1154355).
- commit 10394f1
* Tue Nov  5 2019 palcantara@suse.de
- cifs: add a helper to find an existing readable handle to a file
  (bsc#1144333, bsc#1154355).
- commit 1f2942a
* Tue Nov  5 2019 palcantara@suse.de
- cifs: use existing handle for compound_op(OP_SET_INFO) when
  possible (bsc#1144333, bsc#1154355).
- commit 99999a1
* Tue Nov  5 2019 palcantara@suse.de
- cifs: create a helper to find a writeable handle by path name
  (bsc#1144333, bsc#1154355).
- commit 5973f34
* Tue Nov  5 2019 palcantara@suse.de
- cifs: prepare SMB2_Flush to be usable in compounds
  (bsc#1144333, bsc#1154355).
- commit 5780a64
* Tue Nov  5 2019 palcantara@suse.de
- cifs: Use kzfree() to zero out the password
  (bsc#1144333, bsc#1154355).
- commit d833204
* Tue Nov  5 2019 palcantara@suse.de
- cifs: set domainName when a domain-key is used in multiuser
  (bsc#1144333, bsc#1154355).
- commit 87f6920
* Tue Nov  5 2019 palcantara@suse.de
- smb3: fix signing verification of large reads
  (bsc#1144333, bsc#1154355).
- commit 575697e
* Tue Nov  5 2019 palcantara@suse.de
- smb3: Incorrect size for netname negotiate context
  (bsc#1144333, bsc#1154355).
- commit ba10828
* Mon Nov  4 2019 tiwai@suse.de
- Update config files: Fix ppc64le vanilla config
- commit c4da5af
* Mon Nov  4 2019 msuchanek@suse.de
- rpm/kernel-subpackage-spec: Mention debuginfo in the subpackage
  description (bsc#1149119).
- commit 525ec92
* Mon Nov  4 2019 nmoreychaisemartin@suse.com
- IB/core: Add mitigation for Spectre V1 (bsc#1155671)
- commit c1764c8
* Mon Nov  4 2019 pvorel@suse.cz
- integrity: prevent deadlock during digsig verification
  (bsc#1090631).
- commit 46f6983
* Mon Nov  4 2019 ohering@suse.de
- Fix patches.suse/suse_msi_set_irq_unmanaged.patch.
  The patch applied with fuzz, and patch(1) moved the call to
  suse_msi_set_irq_unmanaged from nvme_setup_io_queues to nvme_setup_host_mem.
- commit e185be8
* Mon Nov  4 2019 mfleming@suse.de
- sched/fair: Avoid divide by zero when rebalancing domains
  (bsc#1096254).
- commit b4aed99
* Mon Nov  4 2019 jslaby@suse.cz
- net: openvswitch: free vport unless register_netdevice()
  succeeds (git-fixes).
- commit 200394d
* Mon Nov  4 2019 bp@suse.de
- Refresh patches.suse/0003-kvm-mmu-ITLB_MULTIHIT-mitigation.patch.
  Fix doc.
- commit f6b5d23
* Mon Nov  4 2019 palcantara@suse.de
- cifs: move cifsFileInfo_put logic into a work-queue
  (bsc#1144333, bsc#1154355).
- commit 86cceac
* Mon Nov  4 2019 palcantara@suse.de
- cifs: Fix cifsInodeInfo lock_sem deadlock when reconnect occurs
  (bsc#1144333, bsc#1154355).
- commit 56ec926
* Mon Nov  4 2019 palcantara@suse.de
- CIFS: Fix SMB2 oplock break processing
  (bsc#1144333, bsc#1154355).
- commit d0bbfb7
* Fri Nov  1 2019 tiwai@suse.de
- ALSA: usb-audio: Add DSD support for Gustard U16/X26 USB
  Interface (bsc#1051510).
- commit 9a2c758
* Fri Nov  1 2019 tiwai@suse.de
- ALSA: timer: Fix mutex deadlock at releasing card (bsc#1051510).
- Revert "ALSA: hda: Flush interrupts on disabling" (bsc#1051510).
- ALSA: bebob: Fix prototype of helper function to return negative
  value (bsc#1051510).
- ALSA: hda/realtek - Fix 2 front mics of codec 0x623
  (bsc#1051510).
- ALSA: hda/realtek - Add support for ALC623 (bsc#1051510).
- commit c191580
* Fri Nov  1 2019 colyli@suse.de
- md/raid0: fix warning message for parameter default_layout
  (bsc#1140090).
- md/raid0: avoid RAID0 data corruption due to layout confusion
  (bsc#1140090).
- commit 30d66aa
* Fri Nov  1 2019 yousaf.kaukab@suse.com
- KVM: arm/arm64: Clean dcache to PoC when changing PTE due to
  CoW (jsc#ECO-561,jsc#SLE-10671).
- commit 1378a14
* Fri Nov  1 2019 yousaf.kaukab@suse.com
- irqchip/gic-v3-its: Fix LPI release for Multi-MSI devices
  (jsc#ECO-561).
- irqchip/gic-v3-its: Fix misuse of GENMASK macro (jsc#ECO-561).
- irqchip/gic-v3-its: Fix command queue pointer comparison bug
  (jsc#ECO-561).
- commit 1b9468f
* Fri Nov  1 2019 yousaf.kaukab@suse.com
- arm64: compat: Workaround Neoverse-N1 #1542419 for compat
  user-space (jsc#ECO-561,jsc#SLE-10671).
- arm64: Fake the IminLine size on systems affected by Neoverse-N1
  [#1542419] (jsc#ECO-561,jsc#SLE-10671).
- arm64: errata: Hide CTR_EL0.DIC on systems affected by
  Neoverse-N1 #1542419 (jsc#ECO-561,jsc#SLE-10671).
- commit aa08c3b
* Fri Nov  1 2019 yousaf.kaukab@suse.com
- arm64: cpu_errata: Remove ARM64_MISMATCHED_CACHE_LINE_SIZE
  (jsc#ECO-561,jsc#SLE-10671).
- commit c6ca5de
* Thu Oct 31 2019 yousaf.kaukab@suse.com
- config: arm64: enable erratum 1418040 and 1542419
- commit fb8543d
* Thu Oct 31 2019 yousaf.kaukab@suse.com
- arm64: cpufeature: Trap CTR_EL0 access only where it is necessary (jsc#ECO-561,jsc#SLE-10671).
- arm64: cpufeature: Fix handling of CTR_EL0.IDC field (jsc#ECO-561,jsc#SLE-10671).
- arm64: cpufeature: ctr: Fix cpu capability check for late CPUs (jsc#ECO-561,jsc#SLE-10671).
- commit b38042a
* Thu Oct 31 2019 ohering@suse.de
- hyperv: set nvme msi interrupts to unmanaged (jsc#SLE-8953,
  jsc#SLE-9221, jsc#SLE-4941, bsc#1119461, bsc#1119465,
  bsc#1138190, bsc#1154905).
- commit 0246dc7
* Thu Oct 31 2019 yousaf.kaukab@suse.com
- arm64: Handle mismatched cache type.
  Refresh:
  patches.suse/0008-kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch.
  patches.suse/arm64-Handle-erratum-1418040-as-a-superset-of-erratu.patch.
  patches.suse/arm64-arch_timer-Add-workaround-for-ARM-erratum-1188.patch.
  patches.suse/arm64-cpufeature-Detect-SSBS-and-advertise-to-usersp.patch.
- commit f571524
* Thu Oct 31 2019 yousaf.kaukab@suse.com
- arm64: Fix mismatched cache line size detection
  (jsc#ECO-561,jsc#SLE-10671).
- commit b1de071
* Thu Oct 31 2019 ykaukab@suse.de
- arm64: Add support for new control bits CTR_EL0.DIC and CTR_EL0.IDC (jsc#ECO-561,jsc#SLE-10671).
  Refresh:
  patches.suse/0001-arm64-capabilities-Update-prototype-for-enable-call-.patch.
  patches.suse/0006-arm64-Add-ARCH_WORKAROUND_2-probing.patch.
  patches.suse/0008-kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch.
  patches.suse/0021-arm64-Delay-enabling-hardware-DBM-feature.patch.
  patches.suse/0026-arm64-mm-Support-Common-Not-Private-translations.patch.
  patches.suse/arm64-Handle-erratum-1418040-as-a-superset-of-erratu.patch.
  patches.suse/arm64-arch_timer-Add-workaround-for-ARM-erratum-1188.patch.
  patches.suse/arm64-cpufeature-Detect-SSBS-and-advertise-to-usersp.patch.
  patches.suse/0004-arm64-capabilities-Prepare-for-fine-grained-capabili.patch
  patches.suse/0005-arm64-capabilities-Add-flags-to-handle-the-conflicts.patch
- commit 67d506f
* Thu Oct 31 2019 ykaukab@suse.de
- KVM: arm/arm64: Drop vcpu parameter from guest cache maintenance
  operartions (jsc#ECO-561,jsc#SLE-10671).
- KVM: arm/arm64: Preserve Exec permission across R/W permission
  faults (jsc#ECO-561,jsc#SLE-10671).
- KVM: arm/arm64: Only clean the dcache on translation fault
  (jsc#ECO-561,jsc#SLE-10671).
- KVM: arm/arm64: Limit icache invalidation to prefetch aborts
  (jsc#ECO-561,jsc#SLE-10671).
- arm64: KVM: PTE/PMD S2 XN bit definition
  (jsc#ECO-561,jsc#SLE-10671).
- arm: KVM: Add optimized PIPT icache flushing
  (jsc#ECO-561,jsc#SLE-10671).
- arm64: KVM: Add invalidate_icache_range helper
  (jsc#ECO-561,jsc#SLE-10671).
- KVM: arm/arm64: Split dcache/icache flushing
  (jsc#ECO-561,jsc#SLE-10671).
- KVM: arm/arm64: Detangle kvm_mmu.h from kvm_hyp.h
  (jsc#ECO-561,jsc#SLE-10671).
- commit 8c00acf
* Wed Oct 30 2019 dwagner@suse.de
- scsi: qla2xxx: stop timer in shutdown path (bsc#1143706
  bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Fix partial flash write of MBI (bsc#1143706
  bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Initialized mailbox to prevent driver load
  failure (bsc#1143706 bsc#1082635 bsc#1123034).
- scsi: qla2xxx: fixup incorrect usage of host_byte (bsc#1143706
  bsc#1082635 bsc#1123034).
- commit 6950a9f
* Wed Oct 30 2019 msuchanek@suse.de
- supporte.conf: add efivarfs to kernel-default-base (bsc#1154858).
- commit c83e6f1
* Wed Oct 30 2019 ykaukab@suse.de
- arm64: Handle erratum 1418040 as a superset of erratum 1188873 (jsc#ECO-561).
  Refresh:
  patches.suse/0008-kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch.
- commit 4dc8f94
* Wed Oct 30 2019 dkirjanov@suse.com
- Refresh
  patches.suse/scsi-lpfc-remove-left-over-BUILD_NVME-defines.patch.
- commit c107366
* Wed Oct 30 2019 dwagner@suse.de
- Refresh series.conf
- Refresh patches.suse/net-ibmvnic-Fix-EOI-when-running-in-XIVE-mode.patch
- Refresh patches.suse/nfsd-degraded-slot-count-more-gracefully-as-allocati.patch
- Refresh patches.suse/nfsd-handle-drc-over-allocation-gracefully.patch
- Refresh patches.suse/powerpc-pseries-Remove-confusing-warning-message.patch
- Refresh patches.suse/scsi-qla2xxx-Fix-Nport-ID-display-value.patch
- commit 1596bdf
* Wed Oct 30 2019 tiwai@suse.de
- USB: usblp: fix use-after-free on disconnect (bsc#1051510).
- mac80211: Reject malformed SSID elements (bsc#1051510).
- drm/edid: Add 6 bpc quirk for SDC panel in Lenovo G50
  (bsc#1051510).
- Input: synaptics-rmi4 - avoid processing unknown IRQs
  (bsc#1051510).
- USB: ldusb: fix NULL-derefs on driver unbind (bsc#1051510).
- r8152: Set macpassthru in reset_resume callback (bsc#1051510).
- mac80211: fix txq null pointer dereference (bsc#1051510).
- nl80211: fix null pointer dereference (bsc#1051510).
- ieee802154: ca8210: prevent memory leak (bsc#1051510).
- commit dd90a96
* Wed Oct 30 2019 tiwai@suse.de
- Refresh patches.suse/ASoC-es8328-Fix-copy-paste-error-in-es8328_right_lin.patch
  Add a cherry-picked commit to ignore, too
- commit 7e4bed3
* Tue Oct 29 2019 tbogendoerfer@suse.de
- Update
  patches.suse/net-hsr-fix-memory-leak-in-hsr_dev_finalize.patch
  (networking-stable-19_03_15 bsc#1152685 CVE-2019-16995).
  Added bsc and CVE number.
- commit 3ebed7a
* Tue Oct 29 2019 palcantara@suse.de
- CIFS: Fix use after free of file info structures
  (bsc#1144333, bsc#1154355).
- commit b0e7f4e
* Tue Oct 29 2019 palcantara@suse.de
- CIFS: Fix retry mid list corruption on reconnects
  (bsc#1144333, bsc#1154355).
- commit cdfb957
* Tue Oct 29 2019 palcantara@suse.de
- cifs: Fix missed free operations (bsc#1144333, bsc#1154355).
- commit 9a3eb25
* Tue Oct 29 2019 palcantara@suse.de
- CIFS: avoid using MID 0xFFFF (bsc#1144333, bsc#1154355).
- commit 415cb2e
* Tue Oct 29 2019 palcantara@suse.de
- CIFS: Fix oplock handling for SMB 2.1+ protocols
  (bsc#1144333, bsc#1154355).
- commit 2ad5991
* Tue Oct 29 2019 palcantara@suse.de
- CIFS: Force reval dentry if LOOKUP_REVAL flag is set
  (bsc#1144333, bsc#1154355).
- commit bbfa942
* Tue Oct 29 2019 palcantara@suse.de
- CIFS: Force revalidate inode when dentry is stale
  (bsc#1144333, bsc#1154355).
- commit 953f7dd
* Tue Oct 29 2019 mkoutny@suse.com
- blacklist.conf: "panic: ensure preemption is disabled during panic()"
- commit 1636cad
* Tue Oct 29 2019 palcantara@suse.de
- CIFS: Gracefully handle QueryInfo errors during open
  (bsc#1144333, bsc#1154355).
- commit bfeaa9e
* Tue Oct 29 2019 palcantara@suse.de
- cifs: use cifsInodeInfo->open_file_lock while iterating to
  avoid a panic (bsc#1144333, bsc#1154355).
- commit 4d25a86
* Tue Oct 29 2019 ykaukab@suse.de
- arm64: Add silicon-errata.txt entry for ARM erratum 1188873
  (jsc#ECO-561).
- commit c4b6ae9
* Tue Oct 29 2019 jroedel@suse.de
- KVM: x86: use Intel speculation bugs and features as derived
  in generic x86 code (bsc#1139073, CVE-2019-11135).
- x86/msr: Add the IA32_TSX_CTRL MSR (bsc#1139073,
  CVE-2019-11135).
- x86/cpu: Add a helper function x86_read_arch_cap_msr()
  (bsc#1139073, CVE-2019-11135).
- x86/cpu: Add a "tsx=" cmdline option with TSX disabled by
  default (bsc#1139073, CVE-2019-11135).
- x86/speculation/taa: Add mitigation for TSX Async Abort
  (bsc#1139073, CVE-2019-11135).
- x86/speculation/taa: Add sysfs reporting for TSX Async Abort
  (bsc#1139073, CVE-2019-11135).
- kvm/x86: Export MDS_NO=0 to guests when TSX is enabled
  (bsc#1139073, CVE-2019-11135).
- x86/tsx: Add "auto" option to the tsx= cmdline parameter
  (bsc#1139073, CVE-2019-11135).
- x86/speculation/taa: Add documentation for TSX Async Abort
  (bsc#1139073, CVE-2019-11135).
- x86/tsx: Add config options to set tsx=on|off|auto (bsc#1139073,
  CVE-2019-11135).
- Update config files.
- Refresh
  patches.suse/0001-x86-Add-ITLB_MULTIHIT-bug-infrastructure.patch.
- Refresh
  patches.suse/0003-kvm-mmu-ITLB_MULTIHIT-mitigation.patch.
- Refresh
  patches.suse/0005-kvm-x86-mmu-Recovery-of-shattered-NX-large-pages.patch.
- commit 0548177
* Tue Oct 29 2019 ykaukab@suse.de
- arm64: Apply ARM64_ERRATUM_1188873 to Neoverse-N1 (jsc#ECO-561).
- arm64: Add part number for Neoverse N1 (jsc#ECO-561).
- arm64: Make ARM64_ERRATUM_1188873 depend on COMPAT
  (jsc#ECO-561).
- arm64: Restrict ARM64_ERRATUM_1188873 mitigation to AArch32
  (jsc#ECO-561).
- arm64: arch_timer: avoid unused function warning (jsc#ECO-561).
- commit 8a05a9a
* Tue Oct 29 2019 tiwai@suse.de
- kABI workaround for mmc_host retune_crc_disable flag addition
  (bsc#1111666).
- commit bba354d
* Tue Oct 29 2019 tiwai@suse.de
- brcmfmac: sdio: Don't tune while the card is off (bsc#1111666).
- mmc: core: Add sdio_retune_hold_now() and sdio_retune_release()
  (bsc#1111666).
- brcmfmac: sdio: Disable auto-tuning around commands expected
  to fail (bsc#1111666).
- mmc: core: API to temporarily disable retuning for SDIO CRC
  errors (bsc#1111666).
- commit b36dc63
* Tue Oct 29 2019 tiwai@suse.de
- blacklist.conf: Add inapplicable sound patches, mostly from 4.19.y stable
- commit d9845c3
* Tue Oct 29 2019 tbogendoerfer@suse.de
- RDMA/hns: Add reset process for function-clear (bsc#1155061).
- RDMA/hns: Remove the some magic number (bsc#1155061).
- commit e7c5598
* Tue Oct 29 2019 jslaby@suse.cz
- x86/boot/64: Round memory hole size up to next PMD page
  (bnc#1153969).
- x86/boot/64: Make level2_kernel_pgt pages invalid outside
  kernel area (bnc#1153969).
- commit 88714eb
* Mon Oct 28 2019 tiwai@suse.de
- HID: logitech-hidpp: do all FF cleanup in hidpp_ff_destroy()
  (bsc#1051510).
- HID: fix error message in hid_open_report() (bsc#1051510).
- commit afa51a9
* Mon Oct 28 2019 ykaukab@suse.de
- arm64: arch_timer: Add workaround for ARM erratum 1188873 (jsc#ECO-561).
  Refresh:
  patches.suse/0008-kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch.
- commit f1a6043
* Mon Oct 28 2019 ykaukab@suse.de
- arm64: compat: Add CNTFRQ trap handler (jsc#ECO-561).
- arm64: compat: Add CNTVCT trap handler (jsc#ECO-561).
- arm64: compat: Add cp15_32 and cp15_64 handler arrays
  (jsc#ECO-561).
- arm64: compat: Add condition code checks and IT advance
  (jsc#ECO-561).
- arm64: compat: Add separate CP15 trapping hook (jsc#ECO-561).
- arm64: Add decoding macros for CP15_32 and CP15_64 traps
  (jsc#ECO-561).
- commit abeb4fa
* Mon Oct 28 2019 fdmanana@suse.com
- Refresh
  patches.suse/Btrfs-check-for-the-full-sync-flag-while-holding-the.patch.
- commit 4eac8d4
* Mon Oct 28 2019 dwagner@suse.de
- scsi: qla2xxx: fix a potential NULL pointer dereference
  (bsc#1150457 CVE-2019-16233).
- commit 69a4d13
* Mon Oct 28 2019 jroedel@suse.de
- kABI Fix for IFU patches (bsc#1117665, CVE-2018-12207).
- commit a080690
* Mon Oct 28 2019 tiwai@suse.de
- efivar/ssdt: Don't iterate over EFI vars if no SSDT override
  was specified (bsc#1051510).
- hso: fix NULL-deref on tty open (bsc#1051510).
- commit 39c519c
* Mon Oct 28 2019 tiwai@suse.de
- efi: cper: print AER info of PCIe fatal error (bsc#1051510).
- efi/memattr: Don't bail on zero VA if it equals the region's PA
  (bsc#1051510).
- commit 526172a
* Mon Oct 28 2019 tiwai@suse.de
- Revert "drm/radeon: Fix EEH during kexec" (bsc#1051510).
- commit 412da23
* Mon Oct 28 2019 tiwai@suse.de
- crypto: af_alg - update correct dst SGL entry (bsc#1051510).
- commit 344d8c6
* Mon Oct 28 2019 tiwai@suse.de
- crypto: af_alg - Initialize sg_num_bytes in error code path
  (bsc#1051510).
- commit c60dfb0
* Mon Oct 28 2019 tiwai@suse.de
- staging: wlan-ng: fix exit return when sme->key_idx >=
  NUM_WEPKEYS (bsc#1051510).
- USB: ldusb: fix read info leaks (bsc#1051510).
- USB: serial: ti_usb_3410_5052: fix port-close races
  (bsc#1051510).
- usb: udc: lpc32xx: fix bad bit shift operation (bsc#1051510).
- USB: legousbtower: fix a signedness bug in tower_probe()
  (bsc#1051510).
- USB: legousbtower: fix memleak on disconnect (bsc#1051510).
- USB: ldusb: fix memleak on disconnect (bsc#1051510).
- commit f5f355a
* Mon Oct 28 2019 jroedel@suse.de
- x86: Add ITLB_MULTIHIT bug infrastructure (bsc#1117665,
  CVE-2018-12207).
- x86/cpu: Add Tremont to the cpu vulnerability (bsc#1117665,
  CVE-2018-12207).
- kvm: mmu: ITLB_MULTIHIT mitigation (bsc#1117665,
  CVE-2018-12207).
- kvm: Add helper function for creating VM worker (bsc#1117665,
  CVE-2018-12207).
- kvm: x86: mmu: Recovery of shattered NX large pages
  (bsc#1117665, CVE-2018-12207).
- KVM: vmx, svm: always run with EFER.NXE=1 when shadow paging
  is active (bsc#1117665).
- Refresh patches.kabi/Fix-KVM-kABI-after-x86-mmu-backports.patch.
- commit 6837a99
* Mon Oct 28 2019 wqu@suse.com
- btrfs: tracepoints: Fix bad entry members of qgroup events
  (bsc#1155186).
- commit d54f577
* Mon Oct 28 2019 wqu@suse.com
- btrfs: tracepoints: Fix wrong parameter order for qgroup  events
  (bsc#1155184).
- commit 478f3fd
* Mon Oct 28 2019 wqu@suse.com
- btrfs: qgroup: Always free PREALLOC META reserve in
  btrfs_delalloc_release_extents() (bsc#1155179).
- commit b745754
* Mon Oct 28 2019 wqu@suse.com
- btrfs: block-group: Fix a memory leak due to missing
  btrfs_put_block_group() (bsc#1155178).
- commit ed81a2e
* Fri Oct 25 2019 tiwai@suse.de
- rds: Fix warning (bsc#1154848).
- commit d13b584
* Fri Oct 25 2019 tiwai@suse.de
- net/rds: remove user triggered WARN_ON in rds_sendmsg
  (bsc#1154848).
- net/rds: fix warn in rds_message_alloc_sgs (bsc#1154848).
- commit bd4294a
* Fri Oct 25 2019 ykaukab@suse.de
- arm64: Force SSBS on context switch (jsc#ECO-561).
- arm64/cpufeature: Convert hook_lock to raw_spin_lock_t in
  cpu_enable_ssbs() (jsc#ECO-561).
- arm64: fix SSBS sanitization (jsc#ECO-561).
- commit 2f927e0
* Fri Oct 25 2019 neilb@suse.de
- NFSv4.1 - backchannel request should hold ref on xprt
  (bsc#1152624).
- commit ffbdb52
* Thu Oct 24 2019 dfaggioli@suse.com
- ksm: optimize refile of stable_node_dup at the head of the chain
  (bnc#1144338).
- ksm: swap the two output parameters of chain/chain_prune
  (bnc#1144338).
- ksm: cleanup stable_node chain collapse case (bnc#1144338).
- ksm: fix use after free with merge_across_nodes = 0
  (bnc#1144338).
- ksm: introduce ksm_max_page_sharing per page deduplication limit
  (bnc#1144338).
- commit 8d77ace
* Thu Oct 24 2019 tiwai@suse.de
- kABI workaround for crypto/af_alg changes (bsc#1154737).
- commit 935be2c
* Thu Oct 24 2019 tiwai@suse.de
- crypto: af_alg - Fix race around ctx->rcvused by making it
  atomic_t (bsc#1154737).
- commit 5c94943
* Thu Oct 24 2019 tiwai@suse.de
- crypto: algif_aead - fix reference counting of null skcipher (bsc#1154737).
- commit da25974
* Thu Oct 24 2019 tiwai@suse.de
- crypto: algif_aead - skip SGL entries with NULL page (bsc#1154737).
- commit c74b360
* Thu Oct 24 2019 tiwai@suse.de
- crypto: algif_aead - copy AAD from src to dst (bsc#1154737).
- commit 81755fd
* Thu Oct 24 2019 ykaukab@suse.de
- arm64: force_signal_inject: WARN if called from kernel context
  (jsc#ECO-561).
- commit d305883
* Thu Oct 24 2019 tiwai@suse.de
- crypto: algif_aead - overhaul memory management (bsc#1154737).
- commit d710555
* Thu Oct 24 2019 tiwai@suse.de
- crypto: algif_skcipher - overhaul memory management
  (bsc#1154737).
- Refresh
  patches.suse/crypto-AF_ALG-remove-SGL-terminator-indicator-when-c.
- commit 0deaf4d
* Thu Oct 24 2019 ykaukab@suse.de
- arm64: cpu: Move errata and feature enable callbacks closer
  to callers (jsc#ECO-561).
- arm64: kill change_cpacr() (jsc#ECO-561).
- arm64: kill config_sctlr_el1() (jsc#ECO-561).
- arm64: Introduce sysreg_clear_set() (jsc#ECO-561).
- commit c6e4dcd
* Thu Oct 24 2019 tiwai@suse.de
- crypto: af_alg - fix race accessing cipher request
  (bsc#1154737).
- crypto: af_alg - wait for data at beginning of recvmsg
  (bsc#1154737).
- crypto: af_alg - remove locking in async callback (bsc#1154737).
- crypto: af_alg - consolidation of duplicate code (bsc#1154737).
- crypto: algif - return error code when no data was processed
  (bsc#1154737).
- commit 030e7c9
* Thu Oct 24 2019 tiwai@suse.de
- blacklist.conf: remove entries for crypto/algif
  The patches will be committed from now on
- commit e9ef0b5
* Thu Oct 24 2019 ykaukab@suse.de
- KVM: arm64: Set SCTLR_EL2.DSSBS if SSBD is forcefully disabled and !vhe (jsc#ECO-561).
- arm64: ssbd: Add support for PSTATE.SSBS rather than trapping to EL3 (jsc#ECO-561).
  Refresh:
  patches.suse/arm64-cpufeature-Detect-SSBS-and-advertise-to-usersp.patch
- arm64: entry: Allow handling of undefined instructions from EL1 (jsc#ECO-561).
- arm64: ssbd: Drop #ifdefs for PR_SPEC_STORE_BYPASS (jsc#ECO-561).
- arm64: cpufeature: Detect SSBS and advertise to userspace (jsc#ECO-561).
  Refresh:
  patches.suse/0008-kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch
  patches.suse/0026-arm64-mm-Support-Common-Not-Private-translations.patch
- arm64: Fix silly typo in comment (jsc#ECO-561).
- arm64: move SCTLR_EL{1,2} assertions to <asm/sysreg.h> (jsc#ECO-561).
- commit 8408528
* Thu Oct 24 2019 tiwai@suse.de
- ASoC: rsnd: Reinitialize bit clock inversion flag for every
  format setting (bsc#1051510).
- ASoc: rockchip: i2s: Fix RPM imbalance (bsc#1051510).
- commit 2288525
* Thu Oct 24 2019 tiwai@suse.de
- ALSA: firewire-motu: add support for MOTU 4pre (bsc#1111666).
- commit 9ce9aea
* Thu Oct 24 2019 tiwai@suse.de
- ALSA: usb-audio: Fix copy&paste error in the validator
  (bsc#1111666).
- ALSA: usb-audio: Disable quirks for BOSS Katana amplifiers
  (bsc#1111666).
- commit 124a0e8
* Thu Oct 24 2019 tiwai@suse.de
- ALSA: hda: Add Tigerlake/Jasperlake PCI ID (bsc#1051510).
- ALSA: hda/realtek - Add support for ALC711 (bsc#1051510).
- ALSA: hda: Add Elkhart Lake PCI ID (bsc#1051510).
- commit c99ae77
* Thu Oct 24 2019 firo.yang@suse.com
- netfilter: nf_nat: don't bug when mapping already exists
  (bsc#1146612).
- net: Replace NF_CT_ASSERT() with WARN_ON() (bsc#1146612).
- commit 198cce4
* Thu Oct 24 2019 jdelvare@suse.de
- s390/cmf: set_schib_wait add timeout (bsc#1153509, bsc#1153476).
- commit 9aae80b
* Thu Oct 24 2019 glin@suse.com
- bpf: fix use after free in prog symbol exposure (bsc#1083647).
- commit 49855dc
* Thu Oct 24 2019 jslaby@suse.cz
- net: qlogic: Fix memory leak in ql_alloc_large_buffers
  (networking-stable-19_10_05).
- sch_dsmark: fix potential NULL deref in dsmark_init()
  (networking-stable-19_10_05).
- ipv6: Handle missing host route in __ipv6_ifa_notify
  (networking-stable-19_10_05).
- cxgb4:Fix out-of-bounds MSI-X info array access
  (networking-stable-19_10_05).
- qmi_wwan: add support for Cinterion CLS8 devices
  (networking-stable-19_10_05).
- ipv6: drop incoming packets having a v4mapped source address
  (networking-stable-19_10_05).
- net/rds: Fix error handling in rds_ib_add_one()
  (networking-stable-19_10_05).
- tipc: fix unlimited bundling of small messages
  (networking-stable-19_10_05).
- vsock: Fix a lockdep warning in __vsock_release()
  (networking-stable-19_10_05).
- net: Unpublish sk from sk_reuseport_cb before call_rcu
  (networking-stable-19_10_05).
- sch_cbq: validate TCA_CBQ_WRROPT to avoid crash
  (networking-stable-19_10_05).
- commit cc8175c
* Wed Oct 23 2019 dwagner@suse.de
- scsi: lpfc: Fix devices that don't return after devloss followed
  by rediscovery (bsc#1137040).
- commit a020e82
* Wed Oct 23 2019 palcantara@suse.de
- filldir[64]: remove WARN_ON_ONCE() for bad directory entries
  (bsc#1144903, CVE-2019-10220, bso#14072).
- commit 8d6442e
* Wed Oct 23 2019 palcantara@suse.de
- Make filldir[64]() verify the directory entry filename is valid
  (bsc#1144903, CVE-2019-10220, bso#14072).
- commit 4a75878
* Wed Oct 23 2019 dkirjanov@suse.com
- xfrm: Fix xfrm sel prefix length validation (git-fixes).
- commit e74ba4b
* Wed Oct 23 2019 jslaby@suse.cz
- net_sched: fix backward compatibility for TCA_ACT_KIND
  (git-fixes).
- commit 2c74cd8
* Wed Oct 23 2019 tiwai@suse.de
- pinctrl: cherryview: restore Strago DMI workaround for all
  versions (bsc#1111666).
- commit 5054014
* Wed Oct 23 2019 neilb@suse.de
- Update patches.suse/NFSv4-Check-the-return-value-of-update_open_stateid.patch
  (boo#1154189 bsc#1154747).
- commit 43485a9
* Tue Oct 22 2019 dwagner@suse.de
- lpfc: Update lpfc version to 12.6.0.0 (bsc#1154521).
- lpfc: Add additional discovery log messages (bsc#1154521).
- lpfc: Add FC-AL support to lpe32000 models (bsc#1154521).
- lpfc: Add FA-WWN Async Event reporting (bsc#1154521).
- lpfc: Add log macros to allow print by serverity or verbocity
  setting (bsc#1154521).
- lpfc: Make FW logging dynamically configurable (bsc#1154521).
- lpfc: Revise interrupt coalescing for missing scenarios
  (bsc#1154521).
- lpfc: Remove lock contention target write path (bsc#1154521).
- lpfc: Slight fast-path Performance optimizations (bsc#1154521).
- lpfc: fix coverity error of dereference after null check
  (bsc#1154521).
- lpfc: Fix hardlockup in lpfc_abort_handler (bsc#1154521).
- lpfc: Fix bad ndlp ptr in xri aborted handling (bsc#1154521).
- lpfc: Fix SLI3 hba in loop mode not discovering devices
  (bsc#1154521).
- lpfc: Fix lockdep errors in sli_ringtx_put (bsc#1154521).
- lpfc: Fix reporting of read-only fw error errors (bsc#1154521).
- lpfc: fix lpfc_nvmet_mrq to be bound by hdw queue count
  (bsc#1154521).
- commit 82810c9
* Tue Oct 22 2019 dwagner@suse.de
- scsi: lpfc: Make function lpfc_defer_pt2pt_acc static
  (bsc#1154521).
- scsi: lpfc: Update lpfc version to 12.4.0.1 (bsc#1154521).
- scsi: lpfc: cleanup: remove unused fcp_txcmlpq_cnt
  (bsc#1154521).
- scsi: lpfc: Complete removal of FCoE T10 PI support on SLI-4
  adapters (bsc#1154521).
- scsi: lpfc: Update async event logging (bsc#1154521).
- scsi: lpfc: Fix list corruption detected in
  lpfc_put_sgl_per_hdwq (bsc#1154521).
- scsi: lpfc: Fix hdwq sgl locks and irq handling (bsc#1154521).
- scsi: lpfc: Fix spinlock_irq issues in lpfc_els_flush_cmd()
  (bsc#1154521).
- scsi: lpfc: Fix list corruption in lpfc_sli_get_iocbq
  (bsc#1154521).
- scsi: lpfc: Fix host hang at boot or slow boot (bsc#1154521).
- scsi: lpfc: Fix coverity errors on NULL pointer checks
  (bsc#1154521).
- scsi: lpfc: Fix NVMe ABTS in response to receiving an ABTS
  (bsc#1154521).
- scsi: lpfc: Fix discovery failures when target device
  connectivity bounces (bsc#1154521).
- scsi: lpfc: Fix GPF on scsi command completion (bsc#1154521).
- scsi: lpfc: Fix locking on mailbox command completion
  (bsc#1154521).
- scsi: lpfc: Fix device recovery errors after PLOGI failures
  (bsc#1154521).
- scsi: lpfc: Fix rpi release when deleting vport (bsc#1154521).
- scsi: lpfc: Fix NVME io abort failures causing hangs
  (bsc#1154521).
- scsi: lpfc: Fix miss of register read failure check
  (bsc#1154521).
- scsi: lpfc: Fix premature re-enabling of interrupts in
  lpfc_sli_host_down (bsc#1154521).
- scsi: lpfc: Fix pt2pt discovery on SLI3 HBAs (bsc#1154521).
- scsi: lpfc: Convert existing %%pf users to %%ps (bsc#1154521).
- commit 3e0cd4e
* Tue Oct 22 2019 dwagner@suse.de
- Refresh scsi lpfc patches
- Refresh patches.suse/scsi-lpfc-Check-queue-pointer-before-use.patch
- Refresh patches.suse/scsi-lpfc-Fix-reset-recovery-paths-that-are-not-reco.patch
- commit a8b5480
* Tue Oct 22 2019 msuchanek@suse.de
- dasd_fba: Display '00000000' for zero page when dumping sense
  Update patches.suse/dasd_fba-Display-00000000-for-zero-page-when-dumping.patch
  (bsc#1123080).
- commit 7950066
* Tue Oct 22 2019 msuchanek@suse.de
- kernel-binary.spec.in: Fix build of non-modular kernels (boo#1154578).
- commit 7f1e881
* Tue Oct 22 2019 acho@suse.com
- rtlwifi: Fix potential overflow on P2P code (bsc#1154372
  CVE-2019-17666).
- commit 39802a7
* Tue Oct 22 2019 lma@suse.com
- tuntap: correctly set SOCKWQ_ASYNC_NOSPACE (bsc#1145099).
- commit d32aace
* Tue Oct 22 2019 lma@suse.com
- vhost_net: conditionally enable tx polling (bsc#1145099).
- commit e6f0d81
* Mon Oct 21 2019 tiwai@suse.de
- libertas: fix a potential NULL pointer dereference
  (CVE-2019-16232,bsc#1150465).
- commit 481da9b
* Mon Oct 21 2019 tiwai@suse.de
- iwlwifi: pcie: fix rb_allocator workqueue allocation
  (CVE-2019-16234,bsc#1150452).
- commit 936acf2
* Mon Oct 21 2019 tiwai@suse.de
- iommu/amd: Apply the same IVRS IOAPIC workaround to Acer Aspire
  A315-41 (bsc#1137799).
- commit 4dfbf9e
* Mon Oct 21 2019 tiwai@suse.de
- iommu/amd: Override wrong IVRS IOAPIC on Raven Ridge systems
  (bsc#1137799).
- commit d1815e5
* Mon Oct 21 2019 msuchanek@suse.de
- kernel-binary.spec.in: Obsolete kgraft packages only when not building
  them.
- commit 25f7690
* Mon Oct 21 2019 mkoutny@suse.com
- Blacklist "signal: Correct namespace fixups of si_pid and si_uid" (bsc#1142667)
- commit cc66e8c
* Mon Oct 21 2019 nborisov@suse.com
- btrfs: Ensure btrfs_init_dev_replace_tgtdev sees up to date
  values (bsc#1154651).
- btrfs: remove wrong use of volume_mutex from
  btrfs_dev_replace_start (bsc#1154651).
- commit 2c026e8
* Mon Oct 21 2019 msuchanek@suse.de
- kernel-subpackage-build: create zero size ghost for uncompressed vmlinux
  (bsc#1154354).
  It is not strictly necessary to uncompress it so maybe the ghost file
  can be 0 size in this case.
- commit 4bf73c8
* Mon Oct 21 2019 tiwai@suse.de
- Move the upstreamed cfg80211 fix into the sorted section
- commit 59730d6
* Mon Oct 21 2019 tiwai@suse.de
- Move the upstreamed DRM patch into the sorted section
- commit b8b7ff7
* Mon Oct 21 2019 tiwai@suse.de
- appletalk: enforce CAP_NET_RAW for raw sockets (bsc#1051510).
- commit cf13637
* Mon Oct 21 2019 tiwai@suse.de
- Move the upstreamed ath6kl fix into the sorted section
- commit 103d8ba
* Mon Oct 21 2019 jroedel@suse.de
- blacklist.conf: Add unneeded locking fixes
- commit c0a295a
* Mon Oct 21 2019 jroedel@suse.de
- Fix AMD IOMMU kABI (bsc#1154610).
- iommu/amd: Check PM_LEVEL_SIZE() condition in locked section
  (bsc#1154608).
- iommu/amd: Remove domain->updated (bsc#1154610).
- iommu/amd: Wait for completion of IOTLB flush in attach_device
  (bsc#1154611).
- commit 9c55437
* Mon Oct 21 2019 tiwai@suse.de
- kABI workaround for drm_connector.registered type changes
  (bsc#1111666).
- commit 4fa8e97
* Mon Oct 21 2019 tiwai@suse.de
- drm/atomic_helper: Stop modesets on unregistered connectors
  harder (bsc#1111666).
- commit 8b48725
* Mon Oct 21 2019 nborisov@suse.com
- btrfs: Ensure replaced device doesn't have pending chunk allocation (bsc#1154607).
- commit be38486
* Mon Oct 21 2019 tiwai@suse.de
- drm/atomic_helper: Allow DPMS On<->Off changes for unregistered
  connectors (bsc#1111666).
- commit 8c26804
* Mon Oct 21 2019 tiwai@suse.de
- Refresh patches.suse/drm-atomic_helper-Disallow-new-modesets-on-unregiste.patch
  Move the patch for the cherry-picked version
- commit f692e9c
* Mon Oct 21 2019 dwagner@suse.de
- scsi: lpfc: Check queue pointer before use (bsc#1154242).
- commit d1f0fee
* Mon Oct 21 2019 dwagner@suse.de
- Move patches to upstream section
- Refresh
  patches.suse/net-ibmvnic-Fix-EOI-when-running-in-XIVE-mode.patch.
- Refresh
  patches.suse/scsi-lpfc-remove-left-over-BUILD_NVME-defines.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Add-error-handling-for-PLOGI-ELS-passth.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Capture-FW-dump-on-MPI-heartbeat-stop-e.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Check-for-MB-timeout-while-capturing-IS.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Dual-FCP-NVMe-target-port-support.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Improve-logging-for-scan-thread.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Set-remove-flag-for-all-VP.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Update-driver-version-to-10.01.00.20-k.patch.
- commit 57a399b
* Mon Oct 21 2019 tiwai@suse.de
- watchdog: imx2_wdt: fix min() calculation in
  imx2_wdt_set_timeout (bsc#1051510).
- video: of: display_timing: Add of_node_put() in
  of_get_display_timing() (bsc#1051510).
- commit 9fb6a11
* Mon Oct 21 2019 tiwai@suse.de
- powerplay: Respect units on max dcfclk watermark (bsc#1111666).
- Refresh
  patches.suse/drm-amd-pp-Fix-truncated-clock-value-when-set-waterm.patch.
- commit 987e23d
* Mon Oct 21 2019 tiwai@suse.de
- iwlwifi: pcie: fix memory leaks in iwl_pcie_ctxt_info_gen3_init
  (bsc#1111666).
- platform/x86: i2c-multi-instantiate: Fail the probe if no IRQ
  provided (bsc#1111666).
- drm/omap: fix max fclk divider for omap36xx (bsc#1111666).
- drm/amdgpu: Fix KFD-related kernel oops on Hawaii (bsc#1111666).
- drm/radeon: Bail earlier when radeon.cik_/si_support=0 is passed
  (bsc#1111666).
- platform/x86: i2c-multi-instantiate: Derive the device name
  from parent (bsc#1111666).
- drm/msm/dsi: Fix return value check for clk_get_parent
  (bsc#1111666).
- drm/amd/display: support spdif (bsc#1111666).
- commit c1165a5
* Mon Oct 21 2019 tiwai@suse.de
- Revert "drm/amd/display: Fix underscan not using proper scaling"
  (bsc#1111666).
- drm/amd/display: reprogram VM config when system resume
  (bsc#1111666).
- drm/amd/display: fix issue where 252-255 values are clipped
  (bsc#1111666).
- drm/nouveau/volt: Fix for some cards having 0 maximum voltage
  (bsc#1111666).
- drm: rcar-du: lvds: Fix bridge_to_rcar_lvds (bsc#1111666).
- drm/rockchip: Check for fast link training before enabling psr
  (bsc#1111666).
- drm/panel: check failure cases in the probe func (bsc#1111666).
- drm/stm: attach gem fence to atomic state (bsc#1111666).
- drm/panel: make drm_panel.h self-contained (bsc#1111666).
- drm/mediatek: set DMA max segment size (bsc#1111666).
- drm/nouveau/disp/nv50-: fix center/aspect-corrected scaling
  (bsc#1111666).
- drm: panel-orientation-quirks: Add extra quirk table entry
  for GPD MicroPC (bsc#1111666).
- drm/bridge: tfp410: fix memleak in get_modes() (bsc#1111666).
- drm/amdkfd: Add missing Polaris10 ID (bsc#1111666).
- drm: add __user attribute to ptr_to_compat() (bsc#1111666).
- Revert "drm/amd/powerplay: Enable/Disable NBPSTATE on On/OFF
  of UVD" (bsc#1111666).
- drm/i915: Fix intel_dp_mst_best_encoder() (bsc#1111666).
- commit ba6e092
* Mon Oct 21 2019 tiwai@suse.de
- drm/atomic_helper: Disallow new modesets on unregistered
  connectors (bsc#1111666).
- drm/amd/dm: Understand why attaching path/tile properties are
  needed (bsc#1111666).
- drm/amd/pp: Fix truncated clock value when set watermark
  (bsc#1111666).
- drm/amdgpu: Update gc_9_0 golden settings (bsc#1111666).
- drm/amdgpu/gfx9: Update gfx9 golden settings (bsc#1111666).
- commit 9fc865b
* Mon Oct 21 2019 tiwai@suse.de
- drm/i915: Cleanup gt powerstate from gem (bsc#1111666).
- Refresh
  patches.suse/0003-drm-i915-Record-GT-workarounds-in-a-list.patch.
- commit 19199e6
* Mon Oct 21 2019 tiwai@suse.de
- drm/i915: Restore sane defaults for KMS on GEM error load
  (bsc#1111666).
- commit 70cdf1b
* Mon Oct 21 2019 tiwai@suse.de
- staging: bcm2835-audio: Fix draining behavior regression
  (bsc#1111666).
- commit 0b4cd51
* Mon Oct 21 2019 tiwai@suse.de
- act_mirred: Fix mirred_init_module error handling (bsc#1051510).
- ACPI: CPPC: Set pcc_data[pcc_ss_id] to NULL in
  acpi_cppc_processor_exit() (bsc#1051510).
- 9p: avoid attaching writeback_fid on mmap with type PRIVATE
  (bsc#1051510).
- ACPI / processor: don't print errors for processorIDs == 0xff
  (bsc#1051510).
- ACPI / CPPC: do not require the _PSD method (bsc#1051510).
- commit fab990b
* Mon Oct 21 2019 tiwai@suse.de
- USB: yurex: fix NULL-derefs on disconnect (bsc#1051510).
- USB: iowarrior: fix use-after-free after driver unbind
  (bsc#1051510).
- USB: iowarrior: fix use-after-free on release (bsc#1051510).
- USB: iowarrior: fix use-after-free on disconnect (bsc#1051510).
- USB: chaoskey: fix use-after-free on release (bsc#1051510).
- USB: adutux: fix use-after-free on release (bsc#1051510).
- USB: legousbtower: fix use-after-free on release (bsc#1051510).
- USB: usb-skeleton: fix use-after-free after driver unbind
  (bsc#1051510).
- USB: usb-skeleton: fix NULL-deref on disconnect (bsc#1051510).
- USB: serial: keyspan: fix NULL-derefs on open() and write()
  (bsc#1051510).
- USB: serial: option: add support for Cinterion CLS8 devices
  (bsc#1051510).
- USB: serial: option: add Telit FN980 compositions (bsc#1051510).
- USB: serial: ftdi_sio: add device IDs for Sienna and Echelon
  PL-20 (bsc#1051510).
- USB: serial: fix runtime PM after driver unbind (bsc#1051510).
- USB: usblp: fix runtime PM after driver unbind (bsc#1051510).
- USB: usb-skeleton: fix runtime PM after driver unbind
  (bsc#1051510).
- usb: xhci: wait for CNR controller not ready bit in xhci resume
  (bsc#1051510).
- USB: dummy-hcd: fix power budget for SuperSpeed mode
  (bsc#1051510).
- USB: yurex: Don't retry on unexpected errors (bsc#1051510).
- usbnet: ignore endpoints with invalid wMaxPacketSize
  (bsc#1051510).
- usbnet: sanity checking of packet sizes and device mtu
  (bsc#1051510).
- commit 9b37c39
* Mon Oct 21 2019 tiwai@suse.de
- xhci: Increase STS_SAVE timeout in xhci_suspend() (bsc#1051510).
- xhci: Check all endpoints for LPM timeout (bsc#1051510).
- xhci: Prevent device initiated U1/U2 link pm if exit latency
  is too long (bsc#1051510).
- xhci: Fix false warning message about wrong bounce buffer
  write length (bsc#1051510).
- commit 5e80715
* Mon Oct 21 2019 tiwai@suse.de
- staging: vt6655: Fix memory leak in vt6655_probe (bsc#1051510).
- thermal_hwmon: Sanitize thermal_zone type (bsc#1051510).
- vfio_pci: Restore original state on release (bsc#1051510).
- commit 603f4ca
* Mon Oct 21 2019 tiwai@suse.de
- platform/x86: classmate-laptop: remove unused variable
  (bsc#1051510).
- thermal: Fix use-after-free when unregistering thermal zone
  device (bsc#1051510).
- platform/x86: pmc_atom: Add Siemens SIMATIC IPC277E to
  critclk_systems DMI table (bsc#1051510).
- pinctrl: tegra: Fix write barrier placement in pmx_writel
  (bsc#1051510).
- power: supply: sysfs: ratelimit property read error message
  (bsc#1051510).
- commit 5e863fe
* Mon Oct 21 2019 tiwai@suse.de
- NFC: pn533: fix use-after-free and memleaks (bsc#1051510).
- PCI: PM: Fix pci_power_up() (bsc#1051510).
- nfc: fix memory leak in llcp_sock_bind() (bsc#1051510).
- PCI: Correct pci=resource_alignment parameter example
  (bsc#1051510).
- NFC: fix attrs checks in netlink interface (bsc#1051510).
- commit 64b81eb
* Mon Oct 21 2019 tiwai@suse.de
- mmc: sdhci-of-esdhc: set DMA snooping based on DMA coherence
  (bsc#1051510).
- mmc: sdhci: improve ADMA error reporting (bsc#1051510).
- mmc: sdhci: Fix incorrect switch to HS mode (bsc#1051510).
- commit 113f36d
* Mon Oct 21 2019 tiwai@suse.de
- memstick: jmb38x_ms: Fix an error handling path in
  'jmb38x_ms_probe()' (bsc#1051510).
- mISDN: enforce CAP_NET_RAW for raw sockets (bsc#1051510).
- mfd: intel-lpss: Remove D3cold delay (bsc#1051510).
- commit ea5613f
* Mon Oct 21 2019 tiwai@suse.de
- media: stkwebcam: fix runtime PM after driver unbind
  (bsc#1051510).
- media: ov9650: add a sanity check (bsc#1051510).
- media: saa7134: fix terminology around
  saa7134_i2c_eeprom_md7134_gate() (bsc#1051510).
- media: sn9c20x: Add MSI MS-1039 laptop to flip_dmi_table
  (bsc#1051510).
- media: saa7146: add cleanup in hexium_attach() (bsc#1051510).
- media: cpia2_usb: fix memory leaks (bsc#1051510).
- media: ttusb-dec: Fix info-leak in ttusb_dec_send_command()
  (bsc#1051510).
- media: dvb-core: fix a memory leak bug (bsc#1051510).
- commit 2cd27d5
* Mon Oct 21 2019 tiwai@suse.de
- mac80211: accept deauth frames in IBSS mode (bsc#1051510).
- macsec: drop skb sk before calling gro_cells_receive
  (bsc#1051510).
- media: gspca: zero usb_buf on error (bsc#1051510).
- media: hdpvr: add terminating 0 at end of string (bsc#1051510).
- media: radio/si470x: kill urb on error (bsc#1051510).
- media: i2c: ov5645: Fix power sequence (bsc#1051510).
- media: omap3isp: Don't set streaming state on random subdevs
  (bsc#1051510).
- media: omap3isp: Set device on omap3isp subdevs (bsc#1051510).
- media: iguanair: add sanity checks (bsc#1051510).
- media: hdpvr: Add device num check and handling (bsc#1051510).
- media: exynos4-is: fix leaked of_node references (bsc#1051510).
- commit 7694a3b
* Mon Oct 21 2019 tiwai@suse.de
- Input: da9063 - fix capability and drop KEY_SLEEP (bsc#1051510).
- iio: light: opt3001: fix mutex unlock race (bsc#1051510).
- iio: adc: ad799x: fix probe error handling (bsc#1051510).
- ieee802154: atusb: fix use-after-free at disconnect
  (bsc#1051510).
- ieee802154: enforce CAP_NET_RAW for raw sockets (bsc#1051510).
- ima: always return negative code for error (bsc#1051510).
- ipmi_si: Only schedule continuously in the thread in maintenance
  mode (bsc#1051510).
- libertas: Add missing sentinel at end of if_usb.c fw_table
  (bsc#1051510).
- lib/mpi: Fix karactx leak in mpi_powm (bsc#1051510).
- commit fc458fe
* Mon Oct 21 2019 tiwai@suse.de
- i2c: riic: Clear NACK in tend isr (bsc#1051510).
- hwmon: (acpi_power_meter) Change log level for 'unsafe software
  power cap' (bsc#1051510).
- commit 5f99136
* Mon Oct 21 2019 tiwai@suse.de
- HID: apple: Fix stuck function keys when using FN (bsc#1051510).
- HID: prodikeys: Fix general protection fault during probe
  (bsc#1051510).
- HID: sony: Fix memory corruption issue on cleanup (bsc#1051510).
- HID: logitech: Fix general protection fault caused by Logitech
  driver (bsc#1051510).
- HID: hidraw: Fix invalid read in hidraw_ioctl (bsc#1051510).
- commit b803207
* Mon Oct 21 2019 tiwai@suse.de
- gpu: drm: radeon: Fix a possible null-pointer dereference in
  radeon_connector_set_property() (bsc#1051510).
- e1000e: add workaround for possible stalled packet
  (bsc#1051510).
- commit 28d29da
* Mon Oct 21 2019 tiwai@suse.de
- drm/ast: Fixed reboot test may cause system hanged
  (bsc#1051510).
- Refresh
  patches.suse/drm-ast-Actually-load-DP501-firmware-when-required.patch.
- commit b758e13
* Mon Oct 21 2019 tiwai@suse.de
- drm/msm/dsi: Implement reset correctly (bsc#1051510).
- cdc_ncm: fix divide-by-zero caused by invalid wMaxPacketSize
  (bsc#1051510).
- drm/amdgpu: Check for valid number of registers to read
  (bsc#1051510).
- clk: at91: select parent if main oscillator or bypass is enabled
  (bsc#1051510).
- clk: zx296718: Don't reference clk_init_data after registration
  (bsc#1051510).
- clk: sirf: Don't reference clk_init_data after registration
  (bsc#1051510).
- clk: qoriq: Fix -Wunused-const-variable (bsc#1051510).
- drm/amd/powerplay/smu7: enforce minimal VBITimeout (v2)
  (bsc#1051510).
- drm/radeon: Fix EEH during kexec (bsc#1051510).
- drm/panel: simple: fix AUO g185han01 horizontal blanking
  (bsc#1051510).
- drm/bridge: tc358767: Increase AUX transfer length limit
  (bsc#1051510).
- cfg80211: Purge frame registrations on iftype change
  (bsc#1051510).
- can: mcp251x: mcp251x_hw_reset(): allow more time after a reset
  (bsc#1051510).
- can: xilinx_can: xcan_probe(): skip error message on deferred
  probe (bsc#1051510).
- drm/vmwgfx: Fix double free in vmw_recv_msg() (bsc#1051510).
- drm: Flush output polling on shutdown (bsc#1051510).
- drm/tilcdc: Register cpufreq notifier after we have initialized
  crtc (bsc#1051510).
- cfg80211: add and use strongly typed element iteration macros
  (bsc#1051510).
- commit 5d8399d
* Mon Oct 21 2019 tiwai@suse.de
- ax25: enforce CAP_NET_RAW for raw sockets (bsc#1051510).
- ASoC: sgtl5000: Fix charge pump source assignment (bsc#1051510).
- ASoC: Define a set of DAPM pre/post-up events (bsc#1051510).
- ASoC: dmaengine: Make the pcm->name equal to pcm->id if the
  name is not set (bsc#1051510).
- ASoC: Intel: NHLT: Fix debug print format (bsc#1051510).
- ASoC: Intel: Fix use of potentially uninitialized variable
  (bsc#1051510).
- ALSA: i2c: ak4xxx-adda: Fix a possible null pointer dereference
  in build_adc_controls() (bsc#1051510).
- Bluetooth: btrtl: Additional Realtek 8822CE Bluetooth devices
  (bsc#1051510).
- auxdisplay: panel: need to delete scan_timer when misc_register
  fails in panel_attach (bsc#1051510).
- commit 0405142
* Mon Oct 21 2019 bp@suse.de
- x86/asm: Fix MWAITX C-state hint value (bsc#1114279).
- commit 5cdbb44
* Mon Oct 21 2019 jgross@suse.com
- xen/netback: fix error path of xenvif_connect_data()
  (bsc#1065600).
- commit bea7706
* Sun Oct 20 2019 tiwai@suse.de
- Delete patches.suse/0001-PCI-dra7xx-Fix-legacy-INTD-IRQ-handling.patch
  The patch doesn't build properly with armv7hl
- commit 73a2cbb
* Sat Oct 19 2019 tiwai@suse.de
- ALSA: hda - Force runtime PM on Nvidia HDMI codecs
  (bsc#1051510).
- ALSA: hda/realtek - Enable headset mic on Asus MJ401TA
  (bsc#1051510).
- ALSA: usb-audio: Add DSD support for EVGA NU Audio
  (bsc#1051510).
- ALSA: hda/realtek - PCI quirk for Medion E4254 (bsc#1051510).
- ALSA: usb-audio: Add Hiby device family to quirks for native
  DSD support (bsc#1051510).
- Add Acer Aspire Ethos 8951G model quirk (bsc#1051510).
- ALSA: usb-audio: Update DSD support quirks for Oppo and Rotel
  (bsc#1051510).
- ALSA: usb-audio: DSD auto-detection for Playback Designs
  (bsc#1051510).
- ALSA: usb-audio: remove some dead code (bsc#1051510).
- ALSA: usb-audio: Fix possible NULL dereference at
  create_yamaha_midi_quirk() (bsc#1051510).
- ALSA: usb-audio: Clean up check_input_term() (bsc#1051510).
- ALSA: usb-audio: Remove superfluous bLength checks
  (bsc#1051510).
- ALSA: usb-audio: Unify the release of usb_mixer_elem_info
  objects (bsc#1051510).
- ALSA: usb-audio: Simplify parse_audio_unit() (bsc#1051510).
- ALSA: usb-audio: More validations of descriptor units
  (bsc#1051510).
- ALSA: hda - Add a quirk model for fixing Huawei Matebook X
  right speaker (bsc#1051510).
- ALSA: usb-audio: fix PCM device order (bsc#1051510).
- ALSA: usb-audio: Unify audioformat release code (bsc#1051510).
- ALSA: hda/hdmi - Don't report spurious jack state changes
  (bsc#1051510).
- commit 5dd75e5
* Sat Oct 19 2019 tiwai@suse.de
- kABI workaround for snd_hda_pick_pin_fixup() changes
  (bsc#1051510).
- commit 056b91b
* Sat Oct 19 2019 tiwai@suse.de
- ALSA: usb-audio: Disable quirks for BOSS Katana amplifiers
  (bsc#1051510).
- ALSA: hda/realtek: Reduce the Headphone static noise on XPS
  9350/9360 (bsc#1051510).
- ALSA: hda - Add laptop imic fixup for ASUS M9V laptop
  (bsc#1051510).
- ALSA: hda - Apply AMD controller workaround for Raven platform
  (bsc#1051510).
- ALSA: hda/realtek - Fix alienware headset mic (bsc#1051510).
- ALSA: hda/hdmi: remove redundant assignment to variable pcm_idx
  (bsc#1051510).
- ALSA: hda/realtek - Blacklist PC beep for Lenovo ThinkCentre
  M73/93 (bsc#1051510).
- ALSA: hda/realtek - Check beep whitelist before assigning in
  all codecs (bsc#1051510).
- ALSA: hda - Define a fallback_pin_fixup_tbl for alc269 family
  (bsc#1051510).
- ALSA: hda - Expand pin_match function to match upcoming new tbls
  (bsc#1051510).
- ALSA: hda - Drop unsol event handler for Intel HDMI codecs
  (bsc#1051510).
- ALSA: hda/sigmatel - remove unused variable 'stac9200_core_init'
  (bsc#1051510).
- ALSA: hda: Set fifo_size for both playback and capture streams
  (bsc#1051510).
- ALSA: hda - Inform too slow responses (bsc#1051510).
- ALSA: usb-audio: Add Pioneer DDJ-SX3 PCM quirck (bsc#1051510).
- ALSA: usb-audio: Skip bSynchAddress endpoint check if it is
  invalid (bsc#1051510).
- ALSA: hda: Add support of Zhaoxin controller (bsc#1051510).
- ALSA: hda - Show the fatal CORB/RIRB error more clearly
  (bsc#1051510).
- ALSA: line6: sizeof (byte) is always 1, use that fact
  (bsc#1051510).
- ALSA: hda: Flush interrupts on disabling (bsc#1051510).
- commit 4c23b83
* Fri Oct 18 2019 tbogendoerfer@suse.de
- ixgbe: Fix secpath usage for IPsec TX offload (bsc#1113994
  FATE#326315 FATE#326317 bsc#1151807).
- commit 46c29e2
* Fri Oct 18 2019 tbogendoerfer@suse.de
- ixgbe: sync the first fragment unconditionally (bsc#1133140).
- commit b80e569
* Fri Oct 18 2019 jdelvare@suse.de
- firmware: dmi: Fix unlikely out-of-bounds read in
  save_mem_devices (git-fixes).
- drm/amdgpu/si: fix ASIC tests (git-fixes).
- commit 8bf52ea
* Fri Oct 18 2019 hare@suse.de
- scsi: lpfc: remove left-over BUILD_NVME defines (bsc#1154268).
- commit 6c85d2f
* Fri Oct 18 2019 hare@suse.de
- Move patches to upstream section
- Refresh
  patches.suse/libnvdimm-prevent-nvdimm-from-requesting-key-when-security.patch.
- Refresh
  patches.suse/nfsd-degraded-slot-count-more-gracefully-as-allocati.patch.
- Refresh
  patches.suse/nfsd-handle-drc-over-allocation-gracefully.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-Nport-ID-display-value.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Remove-WARN_ON_ONCE-in-qla2x00_status_c.patch.
- commit 5daf7cd
* Fri Oct 18 2019 firo.yang@suse.com
- IB/hfi1: Remove overly conservative VM_EXEC flag check
  (bsc#1144449).
- commit 3b05f47
* Thu Oct 17 2019 tabraham@suse.com
- block: don't show io_timeout if driver has no timeout handler
  (bsc#1148410).
- block: add io timeout to sysfs (bsc#1148410).
- commit 1dbb9c3
* Thu Oct 17 2019 tabraham@suse.com
- block: don't show io_timeout if driver has no timeout handler
  (bsc#1148410).
- block: add io timeout to sysfs (bsc#1148410).
- commit 14d4de9
* Thu Oct 17 2019 jgross@suse.com
- xen/pv: Fix Xen PV guest int3 handling
  (bsc#1153811).
- commit bf50921
* Thu Oct 17 2019 tabraham@suse.com
- bnxt_en: Add PCI IDs for 57500 series NPAR devices
  (bsc#1153607).
- commit ef585f1
* Thu Oct 17 2019 nborisov@suse.com
- Btrfs: bail out gracefully rather than BUG_ON (bsc#1153646).
- commit 3c2b6d1
* Thu Oct 17 2019 fdmanana@suse.com
- Btrfs: check for the full sync flag while holding the inode
  lock during fsync (bsc#1153713).
- commit 2f4826e
* Thu Oct 17 2019 oneukum@suse.com
- PCI: dra7xx: Fix legacy INTD IRQ handling (bsc#1087092).
- commit 080c60f
* Thu Oct 17 2019 jslaby@suse.cz
- openvswitch: change type of UPCALL_PID attribute to NLA_UNSPEC
  (networking-stable-19_09_30).
- skge: fix checksum byte order (networking-stable-19_09_30).
- arcnet: provide a buffer big enough to actually receive packets
  (networking-stable-19_09_30).
- net_sched: add policy validation for action attributes
  (networking-stable-19_09_30).
- net: qrtr: Stop rx_worker before freeing node
  (networking-stable-19_09_30).
- net/phy: fix DP83865 10 Mbps HDX loopback disable function
  (networking-stable-19_09_30).
- sch_netem: fix a divide by zero in tabledist()
  (networking-stable-19_09_30).
- net/sched: act_sample: don't push mac header on ip6gre ingress
  (networking-stable-19_09_30).
- commit 1107eda
* Thu Oct 17 2019 oneukum@suse.com
- media: atmel: atmel-isc: fix asd memory allocation
  (bsc#1135642).
- commit 06a141e
* Thu Oct 17 2019 oneukum@suse.com
- blacklist.conf: not relevant in our configurations
- commit d8ce510
* Thu Oct 17 2019 acho@suse.com
- cfg80211: wext: avoid copying malformed SSIDs (bsc#1153158
  CVE-2019-17133).
- commit 5f20dea
* Thu Oct 17 2019 oneukum@suse.com
- crypto: talitos - fix missing break in switch statement
  (bsc#1142635).
- commit afac1ff
* Thu Oct 17 2019 tabraham@suse.com
- sock_diag: fix autoloading of the raw_diag module (bsc#1152791).
- commit 10e0006
* Wed Oct 16 2019 tabraham@suse.com
- sock_diag: request _diag module only when the family or proto
  has been registered (bsc#1152791).
- commit e0bdf12
* Wed Oct 16 2019 bp@suse.de
- nfc: enforce CAP_NET_RAW for raw sockets (bsc#1152788
  CVE-2019-17056).
- commit aa7ba0f
* Wed Oct 16 2019 oneukum@suse.com
- USB: legousbtower: fix open after failed reset request
  (bsc#1142635).
- commit fb88d86
* Wed Oct 16 2019 oneukum@suse.com
- USB: legousbtower: fix potential NULL-deref on disconnect
  (bsc#1142635).
- commit cddc12e
* Wed Oct 16 2019 oneukum@suse.com
- USB: legousbtower: fix deadlock on disconnect (bsc#1142635).
- commit 65b4146
* Wed Oct 16 2019 oneukum@suse.com
- USB: legousbtower: fix slab info leak at probe (bsc#1142635).
- commit 2af3019
* Wed Oct 16 2019 oneukum@suse.com
- USB: usblcd: fix I/O after disconnect (bsc#1142635).
- commit 6eede1b
* Wed Oct 16 2019 oneukum@suse.com
- blacklist.conf: only changing logged messages
- commit a71bb8f
* Wed Oct 16 2019 msuchanek@suse.de
- Refresh patches.suse/RDMA-cxgb4-Do-not-dma-memory-off-of-the-stack.patch
  Add upstream metadata, fix build warning.
- commit 983d37e
* Wed Oct 16 2019 jroedel@suse.de
- Fix KVM kABI after x86 mmu backports (bsc#1117665).
- commit 0ca96e6
* Wed Oct 16 2019 jroedel@suse.de
- kvm: x86, powerpc: do not allow clearing largepages debugfs
  entry (bsc#1117665).
- KVM: x86: add tracepoints around __direct_map and FNAME(fetch)
  (bsc#1117665).
- KVM: x86: change kvm_mmu_page_get_gfn BUG_ON to WARN_ON
  (bsc#1117665).
- KVM: x86: remove now unneeded hugepage gfn adjustment
  (bsc#1117665).
- KVM: x86: make FNAME(fetch) and __direct_map more similar
  (bsc#1117665).
- kvm: x86: Do not release the page inside mmu_set_spte()
  (bsc#1117665).
- kvm: Convert kvm_lock to a mutex (bsc#1117665).
- KVM: x86: adjust kvm_mmu_page member to save 8 bytes
  (bsc#1117665).
- KVM: MMU: drop vcpu param in gpte_access (bsc#1117665).
- commit 613f77f
* Wed Oct 16 2019 nmoreychaisemartin@suse.com
- IB/core, ipoib: Do not overreact to SM LID change event (bsc#1154108)
- commit 91ff21e
* Tue Oct 15 2019 oneukum@suse.com
- USB: adutux: fix NULL-derefs on disconnect (bsc#1142635).
- commit e14cfc5
* Tue Oct 15 2019 oneukum@suse.com
- USB: adutux: fix use-after-free on disconnect (bsc#1142635).
- commit 2ec9c78
* Tue Oct 15 2019 oneukum@suse.com
- USB: microtek: fix info-leak at probe (bsc#1142635).
- commit 7823089
* Tue Oct 15 2019 hare@suse.de
- scsi: lpfc: Fix null ptr oops updating lpfc_devloss_tmo via
  sysfs attribute (bsc#1140845).
- commit afdd1fb
* Tue Oct 15 2019 oneukum@suse.com
- rtlwifi: rtl8192cu: Fix value set in descriptor (bsc#1142635).
- commit 3cf11e1
* Tue Oct 15 2019 hare@suse.de
- scsi: lpfc: Fix propagation of devloss_tmo setting to nvme
  transport (bsc#1140883).
- commit d803abd
* Tue Oct 15 2019 oneukum@suse.com
- blacklist.conf: misattributed
- commit 1f417ff
* Tue Oct 15 2019 ptesarik@suse.cz
- s390/crypto: fix gcm-aes-s390 selftest failures (bsc#1137861
  LTC#178091).
- commit fec3515
* Tue Oct 15 2019 pmladek@suse.com
- tracing: Initialize iter->seq after zeroing in
  tracing_read_pipe() (bsc#1151508).
- commit de17fd0
* Tue Oct 15 2019 tzimmermann@suse.de
- drm/amd/display: Restore backlight brightness after system resume (bsc#1112178)
- commit ce851a0
* Tue Oct 15 2019 tzimmermann@suse.de
- drm/nouveau/kms/nv50-: Don't create MSTMs for eDP connectors (bsc#1112178)
- commit 9b33501
* Tue Oct 15 2019 ykaukab@suse.de
- efi/arm: Show SMBIOS bank/device location in CPER and GHES
  error logs (bsc#1152033).
- commit 99e9cac
* Tue Oct 15 2019 tzimmermann@suse.de
- drm/i915/gvt: update vgpu workload head pointer correctly (bsc#1112178)
- commit c629279
* Tue Oct 15 2019 jslaby@suse.cz
- vfs: Fix EOVERFLOW testing in put_compat_statfs64 (bnc#1151927
  5.3.6).
- libnvdimm/region: Initialize bad block for volatile namespaces
  (bnc#1151927 5.3.6).
- commit 617a281
* Tue Oct 15 2019 bp@suse.de
- x86/mm: Use WRITE_ONCE() when setting PTEs (bsc#1114279).
- commit 80e95be
* Mon Oct 14 2019 msuchanek@suse.de
- KVM: PPC: Book3S HV: use smp_mb() when setting/clearing host_ipi
  flag (bsc#1061840).
- commit 86c0889
* Mon Oct 14 2019 msuchanek@suse.de
- net/ibmvnic: Fix EOI when running in XIVE mode (bsc#1089644,
  ltc#166495, ltc#165544, git-fixes).
- commit 77b1361
* Sat Oct 12 2019 msuchanek@suse.de
- Refresh patches.suse/powerpc-papr_scm-Fix-an-off-by-one-check-in-papr_scm.patch
- commit b43e1a3
* Fri Oct 11 2019 jslaby@suse.cz
- tcp: Don't dequeue SYN/FIN-segments from write-queue
  (git-gixes).
- commit 189df3c
* Fri Oct 11 2019 jslaby@suse.cz
- cdc_ether: fix rndis support for Mediatek based smartphones
  (networking-stable-19_09_15).
- sctp: Fix the link time qualifier of 'sctp_ctrlsock_exit()'
  (networking-stable-19_09_15).
- net: Fix null de-reference of device refcount
  (networking-stable-19_09_15).
- ipv6: Fix the link time qualifier of 'ping_v6_proc_exit_net()'
  (networking-stable-19_09_15).
- tun: fix use-after-free when register netdev failed
  (networking-stable-19_09_15).
- tcp: fix tcp_ecn_withdraw_cwr() to clear TCP_ECN_QUEUE_CWR
  (networking-stable-19_09_15).
- sch_hhf: ensure quantum and hhf_non_hh_weight are non-zero
  (networking-stable-19_09_15).
- bridge/mdb: remove wrong use of NLM_F_MULTI
  (networking-stable-19_09_15).
- net: gso: Fix skb_segment splat when splitting gso_size mangled
  skb having linear-headed frag_list (networking-stable-19_09_15).
- tipc: add NULL pointer check before calling kfree_rcu
  (networking-stable-19_09_15).
- sctp: use transport pf_retrans in sctp_do_8_2_transport_strike
  (networking-stable-19_09_15).
- commit e5d5648
* Fri Oct 11 2019 lhenriques@suse.com
- ceph: reconnect connection if session hang in opening state
  (bsc#1153718).
- ceph: update the mtime when truncating up (bsc#1153719).
- ceph: fix directories inode i_blkbits initialization
  (bsc#1153717).
- commit 748a142
* Fri Oct 11 2019 msuchanek@suse.de
- powerpc/pseries: Remove confusing warning message (bsc#1109158).
- commit 307bd78
* Fri Oct 11 2019 ohering@suse.de
- scsi: storvsc: setup 1:1 mapping between hardware queue and
  CPU queue (bsc#1140729).
- commit 6b285ca
* Thu Oct 10 2019 dwagner@suse.de
- scsi: qla2xxx: Fix wait condition in loop (bsc#1143706
  bsc#1082635 bsc#1123034).
- commit 80202c1
* Thu Oct 10 2019 dwagner@suse.de
- scsi: qla2xxx: Update driver version to 10.01.00.20-k
  (bsc#1143706 bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Improve logging for scan thread (bsc#1143706
  bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Capture FW dump on MPI heartbeat stop event
  (bsc#1143706 bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Check for MB timeout while capturing ISP27/28xx
  FW dump (bsc#1143706 bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Set remove flag for all VP (bsc#1143706
  bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Add error handling for PLOGI ELS passthrough
  (bsc#1143706 bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Dual FCP-NVMe target port support (bsc#1143706
  bsc#1082635 bsc#1123034).
- scsi: qla2xxx: remove redundant assignment to pointer host
  (bsc#1143706 bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Fix N2N link up fail (bsc#1143706 bsc#1082635
  bsc#1123034).
- scsi: qla2xxx: Fix N2N link reset (bsc#1143706 bsc#1082635
  bsc#1123034).
- scsi: qla2xxx: Optimize NPIV tear down process (bsc#1143706
  bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Fix stale mem access on driver unload
  (bsc#1143706 bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Fix unbound sleep in fcport delete path
  (bsc#1143706 bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Silence fwdump template message (bsc#1143706
  bsc#1082635 bsc#1123034).
- Refresh patches.suse/scsi-qla2xxx-Remove-WARN_ON_ONCE-in-qla2x00_status_c.patch
- scsi: qla2xxx: Update driver version to 10.01.00.20-k
  (bsc#1143706 bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Improve logging for scan thread (bsc#1143706
  bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Capture FW dump on MPI heartbeat stop event
  (bsc#1143706 bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Check for MB timeout while capturing ISP27/28xx
  FW dump (bsc#1143706 bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Set remove flag for all VP (bsc#1143706
  bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Add error handling for PLOGI ELS passthrough
  (bsc#1143706 bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Dual FCP-NVMe target port support (bsc#1143706
  bsc#1082635 bsc#1123034).
- scsi: qla2xxx: remove redundant assignment to pointer host
  (bsc#1143706 bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Remove WARN_ON_ONCE in
  qla2x00_status_cont_entry() (bsc#1143706 bsc#1082635
  bsc#1123034).
- scsi: qla2xxx: Fix N2N link up fail (bsc#1143706 bsc#1082635
  bsc#1123034).
- scsi: qla2xxx: Fix N2N link reset (bsc#1143706 bsc#1082635
  bsc#1123034).
- scsi: qla2xxx: Optimize NPIV tear down process (bsc#1143706
  bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Fix stale mem access on driver unload
  (bsc#1143706 bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Fix unbound sleep in fcport delete path
  (bsc#1143706 bsc#1082635 bsc#1123034).
- scsi: qla2xxx: Silence fwdump template message (bsc#1143706
  bsc#1082635 bsc#1123034).
- commit ffa8022
* Thu Oct 10 2019 dwagner@suse.de
- Refresh patches.suse/scsi-qla2xxx-Fix-race-conditions-in-the-code-for-abo.patch
  Fix whitespace to match with upstream.
- commit 18f3ba7
* Thu Oct 10 2019 dkirjanov@suse.com
- cxgb4: do not dma memory off of the stack (bsc#1152790).
- commit 267e120
* Thu Oct 10 2019 tbogendoerfer@suse.de
- cxgb4: fix endianness for vlan value in cxgb4_tc_flower
  (bsc#1064802 bsc#1066129).
- Refresh
  patches.suse/cxgb4-offload-VLAN-flows-regardless-of-VLAN-ethtype.patch.
- commit 95f9558
* Wed Oct  9 2019 dwagner@suse.de
- scsi: lpfc: Remove bg debugfs buffers (bsc#1144375).
- commit 04a9a28
* Wed Oct  9 2019 jslaby@suse.cz
- net: stmmac: dwmac-rk: Don't fail if phy regulator is absent
  (networking-stable-19_09_05).
- tcp: inherit timestamp on mtu probe
  (networking-stable-19_09_05).
- net: sched: act_sample: fix psample group handling on overwrite
  (networking-stable-19_09_05).
- kabi: net: sched: act_sample: fix psample group handling on
  overwrite (networking-stable-19_09_05).
- mld: fix memory leak in mld_del_delrec()
  (networking-stable-19_09_05).
- tcp: remove empty skb from write queue in error cases
  (networking-stable-19_09_05).
- net: fix skb use after free in netpoll
  (networking-stable-19_09_05).
- commit 8919f51
* Wed Oct  9 2019 jslaby@suse.cz
- hwrng: core - don't wait on add_early_randomness() (git-fixes).
- /dev/mem: Bail out upon SIGKILL (git-fixes).
- commit e27b6bf
* Tue Oct  8 2019 dwagner@suse.de
- Fix scsi_transport_fc-return-EBUSY-for-deleted-vport.patch (bsc#1098291)
  During the backport of 260f4aeddb48 ("scsi: scsi_transport_fc: return
  - EBUSY for deleted vport") an additional list_del() was
  introduced.
  'rmmod qedf' will crash the system if vports are in use:
  [ 3203.987367] general protection fault: 0000 [#1] SMP PTI
  [ 3203.998153] CPU: 10 PID: 515 Comm: kworker/10:1 Tainted: G            E      4.12.14-0.g3106fa5-default #1 SLE15 (unrelease$
  [ 3204.021180] Hardware name: HPE ProLiant DL380 Gen10/ProLiant DL380 Gen10, BIOS U30 06/15/2018
  [ 3204.038647] Workqueue: fc_wq_2 fc_vport_sched_delete [scsi_transport_fc]
  g[ 3204.052429] task: ffff9185c1d08200 task.stack: ffffb1f7876f0000
  [ 3204.064643] RIP: 0010:fc_vport_terminate+0x94/0x160 [scsi_transport_fc]
  [ 3204.078283] RSP: 0018:ffffb1f7876f3e60 EFLAGS: 00010002
  [ 3204.089102] RAX: dead000000000200 RBX: ffff918c5941d400 RCX: 0000000000000000
  [ 3204.103771] RDX: dead000000000100 RSI: 0000000000000286 RDI: ffff919448b00000
  [ 3204.118461] RBP: ffff919448b00000 R08: ffffb1f7896a9000 R09: 0000000000000000
  [ 3204.133135] R10: 0000000000002598 R11: 000000000001f990 R12: 0000000000000000
  [ 3204.135757] bnxt_en 0000:5d:00.1: QPLIB: creqe with
  [ 3204.147830] R13: 0000000000000246 R14: ffff918d07caf000 R15: ffff9185c33f0f00
  [ 3204.147831] FS:  0000000000000000(0000) GS:ffff918c5fa80000(0000) knlGS:0000000000000000
  [ 3204.158172] bnxt_en 0000:5d:00.1: QPLIB: op_event = 0x2e not handled
  [ 3204.172859] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
  [ 3204.172860] CR2: 00007fa5fa814594 CR3: 000000020900a003 CR4: 00000000007606e0
  [ 3204.229268] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
  [ 3204.229269] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
  [ 3204.229269] PKRU: 55555554
  [ 3204.229270] Call Trace:
  [ 3204.229274]  fc_vport_sched_delete+0x15/0x70 [scsi_transport_fc]
  [ 3204.229277]  process_one_work+0x1da/0x400
  [ 3204.229279]  worker_thread+0x2b/0x3f0
  [ 3204.229280]  ? process_one_work+0x400/0x400
  [ 3204.229281]  kthread+0x11a/0x130
  [ 3204.229283]  ? kthread_create_on_node+0x40/0x40
  [ 3204.229285]  ret_from_fork+0x35/0x40
  [ 3204.229286] Code: e8 e2 24 2c f8 44 89 e0 5b 5d 41 5c 41 5d 41 5e c3 83 ca 04 48 8b 83 90 00 00 00 48 89 ef 88 93 80 00 00 $
  [ 3204.229297] Modules linked in: loop(E) sr_mod(E) cdrom(E) binfmt_misc(E) qedf(E-) 8021q(E) garp(E) mrp(E) stp(E) llc(E) af_$
  0xffffffffc041eeaa <fc_vport_terminate+122>:    or     $0x4,%%edx
  0xffffffffc041eead <fc_vport_terminate+125>:    mov    0x90(%%rbx),%%rax
  0xffffffffc041eeb4 <fc_vport_terminate+132>:    mov    %%rbp,%%rdi
  0xffffffffc041eeb7 <fc_vport_terminate+135>:    mov    %%dl,0x80(%%rbx)
  0xffffffffc041eebd <fc_vport_terminate+141>:    mov    0x88(%%rbx),%%rdx
  0xffffffffc041eec4 <fc_vport_terminate+148>:    mov    %%rax,0x8(%%rdx)
  0xffffffffc041eec8 <fc_vport_terminate+152>:    mov    %%rdx,(%%rax)
  0xffffffffc041eecb <fc_vport_terminate+155>:    movabs $0xdead000000000100,%%rax
  0xffffffffc041eed5 <fc_vport_terminate+165>:    mov    %%rax,0x88(%%rbx)
  0xffffffffc041eedc <fc_vport_terminate+172>:    add    $0x100,%%rax
  fc_vport_terminate+148 mappes to 0000000000001ebd
  addr2line -e drivers/scsi/scsi_transport_fc.o 0000000000001ebd
  /local/dwagner/sle15/tmp/current/./include/linux/list.h:119
  114static inline void __list_del_entry(struct list_head *entry)
  115{
  116        if (!__list_del_entry_valid(entry))
  117                return;
  118
  119        __list_del(entry->prev, entry->next);
  120}
  The list element has already been freed when we reach
  fc_vport_terminate(); see RAX and RDX contain the list poisoning. So
  don't free premature in the fc_remove_host() loop.
- commit cb14640
* Tue Oct  8 2019 ohering@suse.de
- PCI: hv: Use bytes 4 and 5 from instance ID as the PCI domain
  numbers (bsc#1153263).
- commit 50bc755
* Tue Oct  8 2019 dwagner@suse.de
- scsi: qedf: fc_rport_priv reference counting fixes
  (bsc#1098291).
- Refresh patches.suse/scsi-qedf-print-message-during-bailout-conditions
- scsi: qedf: Modify abort and tmf handler to handle edge
  condition and flush (bsc#1098291).
- Refresh patches.suse/scsi-qedf-decrease-the-ll2-mtu-size-to-2500
- commit e17994a
* Tue Oct  8 2019 mhocko@suse.com
- kernel/sysctl.c: do not override max_threads provided by
  userspace (bnc#1150875).
- commit 30731bc
* Mon Oct  7 2019 msuchanek@suse.de
- powerpc/pseries/mobility: use cond_resched when updating device
  tree (bsc#1153112 ltc#181778).
- powerpc/rtas: allow rescheduling while changing cpu states
  (bsc#1153112 ltc#181778).
- commit 8dc1fb5
* Mon Oct  7 2019 tbogendoerfer@suse.de
- cxgb4: Signedness bug in init_one() (bsc#1097585 bsc#1097586
  bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- net/mlx5: Add device ID of upcoming BlueField-2 (bsc#1046303
  FATE#322944).
- RDMA/bnxt_re: Fix spelling mistake "missin_resp" ->
  "missing_resp" (bsc#1050244 FATE#322915).
- RDMA: Fix goto target to release the allocated memory
  (bsc#1050244 FATE#322915).
- cxgb4: smt: Add lock for atomic_dec_and_test (bsc#1064802
  bsc#1066129).
- ixgbe: Prevent u8 wrapping of ITR value to something less than
  10us (bsc#1101674 FATE#325150 FATE#325151).
- IB/mlx5: Fix MR re-registration flow to use UMR properly
  (bsc#1093205).
- IB/mlx5: Consolidate use_umr checks into single function
  (bsc#1093205).
- bnx2x: Fix VF's VLAN reconfiguration in reload (bsc#1086323
  FATE#324899).
- net/mlx4_en: fix a memory leak bug (bsc#1046299 FATE#322947).
- IB/mlx5: Report correctly tag matching rendezvous capability
  (bsc#1046305 FATE#322943).
- cxgb4: reduce kernel stack usage in cudbg_collect_mem_region()
  (bsc#1073513).
- qed: iWARP - Fix default window size to be based on chip
  (bsc#1050536 FATE#322898 bsc#1050545 FATE#322893).
- qed: iWARP - Fix tc for MPA ll2 connection (bsc#1050536
  FATE#322898 bsc#1050545 FATE#322893).
- qed: iWARP - fix uninitialized callback (bsc#1050536 FATE#322898
  bsc#1050545 FATE#322893).
- qed: iWARP - Use READ_ONCE and smp_store_release to access
  ep->state (bsc#1050536 FATE#322898 bsc#1050545 FATE#322893).
- net/mlx5: Fix error handling in mlx5_load() (bsc#1046305
  FATE#322943).
- cxgb4: offload VLAN flows regardless of VLAN ethtype
  (bsc#1064802 bsc#1066129).
- commit 96b2e38
* Mon Oct  7 2019 mbenes@suse.cz
- objtool: Clobber user CFLAGS variable (bsc#1153236).
- commit 569b001
* Mon Oct  7 2019 mbenes@suse.cz
- blacklist.conf: 056d28d135bc ("objtool: Query pkg-config for libelf location")
  libelf is in the default location in SLES, so we do not have to query
  pkg-config and the fix is not necessary.
- commit 8419c74
* Mon Oct  7 2019 mbenes@suse.cz
- blacklist.conf: 2a1a3fa0f292 ("kallsyms: Don't let kallsyms_lookup_size_offset() fail on retrieving the first symbol")
  CONFIG_KALLSYMS_ALL is set everywhere, so the patch is not needed.
- commit d22c785
* Mon Oct  7 2019 msuchanek@suse.de
- powerpc/64s/pseries: radix flush translations before MMU is
  enabled at boot (bsc#1055186).
- commit 6dd6649
* Mon Oct  7 2019 jthumshirn@suse.de
- KABI protect struct vmem_altmap (bsc#1150305).
- libnvdimm/altmap: Track namespace boundaries in altmap
  (bsc#1150305).
- commit 8f5698c
* Mon Oct  7 2019 jgross@suse.com
- xen/xenbus: fix self-deadlock after killing user process
  (bsc#1065600).
- commit 76e2ca6
* Mon Oct  7 2019 pvorel@suse.cz
- alarmtimer: Use EOPNOTSUPP instead of ENOTSUPP (bsc#1151680).
- commit dc03fff
* Mon Oct  7 2019 jgross@suse.com
- xen-netfront: do not use ~0U as error return value for
  xennet_fill_frags() (bsc#1065600).
- commit f1c5e2e
* Fri Oct  4 2019 msuchanek@suse.de
- powerpc/64s/radix: tidy up TLB flushing code (bsc#1055186).
- powerpc/mm: mark more tlb functions as __always_inline
  (bsc#1055186).
- Refresh patches.suse/powerpc-mm-Fixup-tlbie-vs-mtpidr-mtlpidr-ordering-is.patch.
- powerpc/64s/radix: keep kernel ERAT over local process/guest
  invalidates (bsc#1055186).
- powerpc/64s: Rename PPC_INVALIDATE_ERAT to
  PPC_ISA_3_0_INVALIDATE_ERAT (bsc#1055186).
- powerpc/mm/radix: mark as __tlbie_pid() and friends
  as__always_inline (bsc#1055186).
- powerpc/mm/radix: mark __radix__flush_tlb_range_psize() as
  __always_inline (bsc#1055186).
- powerpc/mm/book3s64: Move book3s64 code to pgtable-book3s64
  (bsc#1055186).
- powerpc/mm: Properly invalidate when setting process table base
  (bsc#1055186).
- commit 9def9c7
* Fri Oct  4 2019 msuchanek@suse.de
- kabi/severities: Whitelist functions internal to radix mm.
  To call these functions you have to first detect if you are running in
  radix mm mode which can't be expected of OOT code.
- commit d2e7b90
* Fri Oct  4 2019 wqu@suse.com
- btrfs: qgroup: Fix reserved data space leak if we have  multiple
  reserve calls (bsc#1152975).
- commit dd30f55
* Fri Oct  4 2019 wqu@suse.com
- btrfs: qgroup: Fix the wrong target io_tree when freeing
  reserved data space (bsc#1152974).
- commit c3a2587
* Fri Oct  4 2019 wqu@suse.com
- btrfs: relocation: fix use-after-free on dead relocation  roots
  (bsc#1152972).
- commit 24ae263
* Thu Oct  3 2019 msuchanek@suse.de
- powerpc/irq: Don't WARN continuously in arch_local_irq_restore()
  (bsc#1065729).
- powerpc/module64: Fix comment in R_PPC64_ENTRY handling
  (bsc#1065729).
- powerpc: Drop page_is_ram() and walk_system_ram_range()
  (bsc#1065729).
- powerpc/powernv/npu: Remove obsolete comment about
  TCE_KILL_INVAL_ALL (bsc#1065729).
- powerpc/irq: drop arch_early_irq_init() (bsc#1065729).
- powerpc/mm: Use memblock API for PPC32 page_is_ram
  (bsc#1065729).
- powerpc/mm: Simplify page_is_ram by using memblock_is_memory
  (bsc#1065729).
- commit d2ea316
* Thu Oct  3 2019 pmladek@suse.com
- blacklist.conf: There are too many locks involved and the race is rather
  theoretical. Better to do not play with matches (bsc#1152325)
- Delete
  patches.suse/ftrace-x86-remove-possible-deadlock-between-register_kprobe-and-ftrace_run_update_code.patch.
- Delete
  patches.suse/module-fix-livepatch-ftrace-module-text-permissions-race.patch.
- commit 3ca917a
* Thu Oct  3 2019 msuchanek@suse.de
- powerpc/pseries/memory-hotplug: Fix return value type of
  find_aa_index (bsc#1065729).
- commit fea5480
* Thu Oct  3 2019 msuchanek@suse.de
- blacklist.conf: Add fixes for unsupported ppc features.
  813af51f5d30 powerpc/boot: Set target when cross-compiling for clang
  aea447141c7e powerpc: Disable -Wbuiltin-requires-header when setjmp is
  a521c44c3ded powerpc/book3e: drop mmu_get_tsize()
- commit 1c86730
* Thu Oct  3 2019 msuchanek@suse.de
- KVM: PPC: Book3S HV: Fix lockdep warning when entering the guest
  (bsc#1061840).
- commit 096c2a9
* Thu Oct  3 2019 msuchanek@suse.de
- powerpc/pseries: Call H_BLOCK_REMOVE when supported
  (bsc#1109158).
- powerpc/pseries: Read TLB Block Invalidate Characteristics
  (bsc#1109158).
- commit ed9227d
* Wed Oct  2 2019 msuchanek@suse.de
- powerpc/powernv: Fix compile without CONFIG_TRACEPOINTS
  (bsc#1065729).
- commit 9467589
* Wed Oct  2 2019 msuchanek@suse.de
- powerpc/xive: Fix bogus error code returned by OPAL
  (bsc#1065729).
- powerpc/powernv: move OPAL call wrapper tracing and interrupt
  handling to C (bsc#1065729).
- commit 8fcebeb
* Wed Oct  2 2019 msuchanek@suse.de
- blacklist.conf: Add duplicate commit id.
- commit 0b5d9ab
* Wed Oct  2 2019 msuchanek@suse.de
- net/ibmvnic: prevent more than one thread from running in reset
  (bsc#1152457 ltc#174432).
- net/ibmvnic: unlock rtnl_lock in reset so linkwatch_event can
  run (bsc#1152457 ltc#174432).
- commit f425435
* Wed Oct  2 2019 msuchanek@suse.de
- powerpc/papr_scm: Fix an off-by-one check in papr_scm_meta_{get,
  set} (bsc#1152243 ltc#181472).
- commit 21f8e3a
* Wed Oct  2 2019 msuchanek@suse.de
- powerpc/mm: Fixup tlbie vs mtpidr/mtlpidr ordering issue on
  POWER9 (bsc#1152161 ltc#181664).
- commit 1b17584
* Wed Oct  2 2019 msuchanek@suse.de
- powerpc/book3s64/radix: Rename CPU_FTR_P9_TLBIE_BUG feature flag
  (bsc#1152161 ltc#181664).
- commit 2a753e0
* Wed Oct  2 2019 msuchanek@suse.de
- powerpc/book3s64/mm: Don't do tlbie fixup for some hardware
  revisions (bsc#1152161 ltc#181664).
- commit e22d3e6
* Wed Oct  2 2019 msuchanek@suse.de
- powerpc/mm/radix: implement LPID based TLB flushes to be used by KVM
  (bsc#1152161 ltc#181664).
- Refresh patches.suse/powerpc-64s-Remove-POWER9-DD1-support.patch.
- commit 1f54c64
* Wed Oct  2 2019 msuchanek@suse.de
- powerpc/64s/radix: Fix MADV_[FREE|DONTNEED] TLB flush miss
  problem with THP (bsc#1152161 ltc#181664).
- commit d7b6f7c
* Wed Oct  2 2019 jslaby@suse.cz
- ppp: Fix memory leak in ppp_write (git-fixes).
- commit b2ea0ab
* Wed Oct  2 2019 msuchanek@suse.de
- powerpc/64s/radix: Improve TLB flushing for page table freeing (bsc#1152161 ltc#181664).
- Refresh patches.suse/powerpc-mm-Fix-typo-in-comments.patch.
- Refresh patches.suse/powerpc-mm-Fixup-tlbie-vs-store-ordering-issue-on-PO.patch.
- Refresh patches.suse/powerpc-mm-Workaround-Nest-MMU-bug-with-TLB-invalida.patch.
- Refresh patches.suse/powerpc-mm-radix-Move-the-functions-that-does-the-ac.patch.
- commit 90cdc09
* Wed Oct  2 2019 msuchanek@suse.de
- powerpc/64s/radix: Optimize flush_tlb_range (bsc#1152161 ltc#181664).
- Refresh patches.suse/powerpc-mm-Fixup-tlbie-vs-store-ordering-issue-on-PO.patch.
- Refresh patches.suse/powerpc-mm-Workaround-Nest-MMU-bug-with-TLB-invalida.patch.
- Refresh patches.suse/powerpc-mm-radix-Move-the-functions-that-does-the-ac.patch.
- commit 80c5a9e
* Wed Oct  2 2019 msuchanek@suse.de
- powerpc/64s/radix: Implement _tlbie(l)_va_range flush functions (bsc#1152161 ltc#181664).
- Refresh patches.suse/powerpc-mm-Fixup-tlbie-vs-store-ordering-issue-on-PO.patch.
- Refresh patches.suse/powerpc-mm-Workaround-Nest-MMU-bug-with-TLB-invalida.patch.
- Refresh patches.suse/powerpc-mm-radix-Move-the-functions-that-does-the-ac.patch.
- commit ab2f8fa
* Wed Oct  2 2019 msuchanek@suse.de
- powerpc/64s/radix: Improve preempt handling in TLB code (bsc#1152161 ltc#181664).
- Refresh patches.suse/powerpc-64s-radix-Optimize-TLB-range-flush-barriers.patch.
- Refresh patches.suse/powerpc-mm-Fixup-tlbie-vs-store-ordering-issue-on-PO.patch.
- Refresh patches.suse/powerpc-mm-Workaround-Nest-MMU-bug-with-TLB-invalida.patch.
- Refresh patches.suse/powerpc-mm-radix-Drop-unneeded-NULL-check.patch.
- Delete patches.suse/powerpc-64s-radix-Fix-preempt-imbalance-in-TLB-flush.patch.
- blacklist.conf: Add the above.
- commit b3a8f87
* Wed Oct  2 2019 msuchanek@suse.de
- powerpc/mm/radix: Drop unneeded NULL check (bsc#1152161
  ltc#181664).
- commit 60ee413
* Wed Oct  2 2019 lhenriques@suse.com
- ceph: use ceph_evict_inode to cleanup inode's resource
  (bsc#1148133).
- commit 92df5d8
* Wed Oct  2 2019 neilb@suse.de
- SUNRPC: Handle connection breakages correctly in call_status()
  (git-fixes).
- NFS: Remove redundant semicolon (git-fixes).
- commit 1992d65
* Tue Oct  1 2019 mwilck@suse.com
- scsi: scsi_dh_rdac: zero cdb in send_mode_select()
  (bsc#1149313).
- commit 1ec727d
* Tue Oct  1 2019 ykaukab@suse.de
- PCI: Add quirk to disable MSI-X support for Amazon's Annapurna
  Labs Root Port (bsc#1152187,bsc#1152525).
- PCI/VPD: Prevent VPD access for Amazon's Annapurna Labs Root
  Port (bsc#1152187,bsc#1152525).
- PCI: Add ACS quirk for Amazon Annapurna Labs root ports
  (bsc#1152187,bsc#1152525).
- PCI: Add Amazon's Annapurna Labs vendor ID
  (bsc#1152187,bsc#1152525).
- commit b26c332
* Tue Oct  1 2019 oneukum@suse.com
- b2c2-flexcop-usb: add sanity checking (bsc#1146540
  CVE-2019-15291).
- commit d70fc3e
* Tue Oct  1 2019 oneukum@suse.com
- mmc: sdhci-msm: fix mutex while in spinlock (bsc#1142635).
- commit 3f5a2a5
* Tue Oct  1 2019 oneukum@suse.com
- blacklist.conf: prerequisites would break kABI
- commit 8bef1d9
* Tue Oct  1 2019 oneukum@suse.com
- mmc: sdhci-of-arasan: Do now show error message in case of
  deffered probe (bsc#1119086).
- commit 0925906
* Tue Oct  1 2019 neilb@suse.de
- Fix kabi for: NFSv4: Fix OPEN / CLOSE race (git-fixes).
- commit fd35a80
* Mon Sep 30 2019 bp@suse.de
- blacklist.conf:
  1b7aebf04876 x86/cacheinfo: Fix a -Wtype-limits warning
- commit fb4c6c4
* Mon Sep 30 2019 pmladek@suse.com
- blacklist.conf: vsprintf: depends on a huge clean up; it is just
  nice to have check
- commit 4581364
* Mon Sep 30 2019 ohering@suse.de
- PCI: hv: Detect and fix Hyper-V PCI domain number collision
  (bsc#1150423).
- commit 867295f
* Mon Sep 30 2019 pmladek@suse.com
- printk: fix printk_time race (bsc#1152466).
- commit 73baed0
* Mon Sep 30 2019 pmladek@suse.com
- Refresh
  patches.suse/panic-avoid-deadlocks-in-re-entrant-console-drivers.patch.
- commit b935bdf
* Mon Sep 30 2019 pmladek@suse.com
- printk: Do not lose last line in kmsg buffer dump (bsc#1152460).
- commit dfb2aad
* Mon Sep 30 2019 pmladek@suse.com
- printk/panic: Avoid deadlock in printk() after stopping CPUs
  by NMI (bsc#1148712).
- commit fc39dab
* Fri Sep 27 2019 bp@suse.de
- x86/tls: Fix possible spectre-v1 in do_get_thread_area()
  (bsc#1114279).
- commit d41bded
* Fri Sep 27 2019 bp@suse.de
- blacklist.conf:
  cae5ec342645 x86/speculation/mds: Fix comment
  693713cbdb3a x86: Hide the int3_emulate_call/jmp functions from UML
- commit bb37420
* Fri Sep 27 2019 mkoutny@suse.com
- blacklist.conf: Add cgroup task listing patches
  They fix psuedozombies listing issues which we don't have in 4.12
  (bsc#1146664).
- commit 9984d9b
* Fri Sep 27 2019 jroedel@suse.de
- KVM: coalesced_mmio: add bounds checking (CVE-2019-14821
  bcs#1151350).
- commit 9f2c41d
* Fri Sep 27 2019 dwagner@suse.de
- scsi: qla2xxx: Downgrade driver to 10.01.00.19-k
  There are upstream bug reports against 10.01.00.19-k which haven't
  been resolved. Also the newer version failed to get a proper review.
  For time being it's better to got with the older version and do not
  introduce new bugs.
- Delete
  patches.suse/scsi-qla2xxx-Add-error-handling-for-PLOGI-ELS-passth.patch.
- Delete
  patches.suse/scsi-qla2xxx-Capture-FW-dump-on-MPI-heartbeat-stop-e.patch.
- Delete
  patches.suse/scsi-qla2xxx-Check-for-MB-timeout-while-capturing-IS.patch.
- Delete
  patches.suse/scsi-qla2xxx-Dual-FCP-NVMe-target-port-support.patch.
- Delete patches.suse/scsi-qla2xxx-Fix-N2N-link-reset.patch.
- Delete patches.suse/scsi-qla2xxx-Fix-N2N-link-up-fail.patch.
- Delete
  patches.suse/scsi-qla2xxx-Fix-stale-mem-access-on-driver-unload.patch.
- Delete
  patches.suse/scsi-qla2xxx-Fix-unbound-sleep-in-fcport-delete-path.patch.
- Delete
  patches.suse/scsi-qla2xxx-Improve-logging-for-scan-thread.patch.
- Delete
  patches.suse/scsi-qla2xxx-Optimize-NPIV-tear-down-process.patch.
- Delete
  patches.suse/scsi-qla2xxx-Set-remove-flag-for-all-VP.patch.
- Delete
  patches.suse/scsi-qla2xxx-Silence-fwdump-template-message.patch.
- Delete
  patches.suse/scsi-qla2xxx-Update-driver-version-to-10.01.00.20-k.patch.
- commit 1c425a3
* Fri Sep 27 2019 mbenes@suse.cz
- livepatch: Nullify obj->mod in klp_module_coming()'s error path
  (bsc#1071995 fate#323487).
- commit fd16e8e
* Fri Sep 27 2019 bp@suse.de
- blacklist.conf: 459e3a21535a gcc-9: properly declare the {pv,hv}clock_page storage
- commit 73936ac
* Fri Sep 27 2019 ptesarik@suse.cz
- Refresh patches with upstream status.
- commit 0e18baf
* Thu Sep 26 2019 bp@suse.de
- Refresh
  patches.suse/0001-x86-speculation-Prepare-entry-code-for-Spectre-v1-sw.patch.
- Refresh
  patches.suse/0002-x86-speculation-Enable-Spectre-v1-swapgs-mitigations.patch.
- Refresh
  patches.suse/x86-speculation-swapgs-exclude-ATOMs-from-speculating-through-SWAPGS.patch.
- commit 74df0fe
* Thu Sep 26 2019 dwagner@suse.de
- qla2xxx: remove SGI SN2 support (bsc#1123034 bsc#1131304
  bsc#1127988).
- scsi: qla2xxx: Fix gnl.l memory leak on adapter init failure
  (bsc#1123034 bsc#1131304 bsc#1127988).
- Refresh scsi-qla2xxx-Correct-error-handling-during-initializ.patch
- scsi: qla2xxx: Fix possible fcport null-pointer dereferences
  (bsc#1123034 bsc#1131304 bsc#1127988).
- commit c15b1d3
* Thu Sep 26 2019 bp@suse.de
- EDAC/amd64: Decode syndrome before translating address
  (bsc#1114279).
- commit b995a6d
* Thu Sep 26 2019 dwagner@suse.de
- Refresh scsi-qla2xxx-Capture-FW-dump-on-MPI-heartbeat-stop-e.patch
  882ffc9f07fb ("scsi: qla2xxx: Capture FW dump on MPI heartbeat stop
  event (bsc#1123034 bsc#1131304 bsc#1127988).") placed the
  "vha->hw->fw_dump_mpi = 0" assigment into the __CHECKER__
  section. Upstream placed the assigment before this section.
- commit 28a90c4
* Thu Sep 26 2019 bp@suse.de
- blacklist.conf: Blacklist some
  8faa1cf6ed82 EDAC/altera: Use the proper type for the IRQ status bits
  Driver disabled in .config.
  f8be8e568022 EDAC/amd64: Recognize DRAM device type ECC capability
  Belongs into 15SP1, blacklist here.
- commit 4cf20eb
* Thu Sep 26 2019 dwagner@suse.de
- scsi: qla2xxx: Update driver version to 10.01.00.20-k
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Set remove flag for all VP (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Improve logging for scan thread (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Dual FCP-NVMe target port support (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Check for MB timeout while capturing ISP27/28xx
  FW dump (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Capture FW dump on MPI heartbeat stop event
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Add error handling for PLOGI ELS passthrough
  (bsc#1123034 bsc#1131304 bsc#1127988).
- commit eb3d766
* Thu Sep 26 2019 dwagner@suse.de
- Refresh: patches.suse/scsi-qla2xxx-Fix-FC-NVMe-LUN-discovery.patch
- commit b19d49f
* Thu Sep 26 2019 jslaby@suse.cz
- ipv6/addrconf: allow adding multicast addr if IFA_F_MCAUTOJOIN
  is set (networking-stable-19_08_28).
- net/smc: make sure EPOLLOUT is raised
  (networking-stable-19_08_28).
- tcp: make sure EPOLLOUT wont be missed
  (networking-stable-19_08_28).
- commit 6d8d1db
* Thu Sep 26 2019 dwagner@suse.de
- scsi: qla2xxx: Remove WARN_ON_ONCE in qla2x00_status_cont_entry() (bsc#1123034 bsc#1131304 bsc#1127988).
- commit 8ada42a
* Thu Sep 26 2019 dwagner@suse.de
- scsi: qla2xxx: Fix Nport ID display value (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix N2N link up fail (bsc#1123034 bsc#1131304
  bsc#1127988).
- scsi: qla2xxx: Fix N2N link reset (bsc#1123034 bsc#1131304
  bsc#1127988).
- scsi: qla2xxx: Optimize NPIV tear down process (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix stale mem access on driver unload
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix unbound sleep in fcport delete path
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Silence fwdump template message (bsc#1123034
  bsc#1131304 bsc#1127988).
- commit 73ca1b4
* Thu Sep 26 2019 jslaby@suse.cz
- net/packet: fix race in tpacket_snd()
  (networking-stable-19_08_21).
- sctp: fix the transport error_count check
  (networking-stable-19_08_21).
- net/mlx5e: Only support tx/rx pause setting for port owner
  (networking-stable-19_08_21).
- net/mlx5e: Use flow keys dissector to parse packets for ARFS
  (networking-stable-19_08_21).
- team: Add vlan tx offload to hw_enc_features
  (networking-stable-19_08_21).
- bonding: Add vlan tx offload to hw_enc_features
  (networking-stable-19_08_21).
- xen/netback: Reset nr_frags before freeing skb
  (networking-stable-19_08_21).
- commit 62e2750
* Thu Sep 26 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gtt: Revert "Disable read-only support under GVT"'
- commit 87a68fc
* Wed Sep 25 2019 bp@suse.de
- x86/fpu: Add FPU state copying quirk to handle XRSTOR failure
  on Intel Skylake CPUs (bsc#1151955).
- commit 0a9d814
* Wed Sep 25 2019 jack@suse.cz
- quota: fix wrong condition in is_quota_modification()
  (bsc#1152026).
- commit 095a54b
* Wed Sep 25 2019 jack@suse.cz
- ext4: fix warning inside ext4_convert_unwritten_extents_endio
  (bsc#1152025).
- commit ef7a3bd
* Wed Sep 25 2019 jack@suse.cz
- ext4: set error return correctly when ext4_htree_store_dirent
  fails (bsc#1152024).
- commit 2af17f9
* Wed Sep 25 2019 mwilck@suse.com
- Refresh patches.suse/0001-qla2xxx-Mask-off-Scope-bits-in-retry-delay.patch.
  Fix minor difference to upstream code.
- commit 81b7c69
* Wed Sep 25 2019 mwilck@suse.com
- scsi: qla2xxx: Fix comment in MODULE_PARM_DESC in qla2xxx (bsc#1123034 bsc#1131304 bsc#1127988).
- commit dc1d180
* Wed Sep 25 2019 mwilck@suse.com
- scsi: qla2xxx: Remove set but not used variable 'ptr_dma' (bsc#1123034 bsc#1131304 bsc#1127988).
- commit d66db00
* Wed Sep 25 2019 mwilck@suse.com
- scsi: qla2xxx: Use dma_pool_zalloc() (bsc#1123034 bsc#1131304 bsc#1127988).
  Refresh
  patches.suse/scsi-qla2xxx-Use-get-put_unaligned-where-appropriate.patch
  and patches.suse/scsi-qla2xxx-Let-the-compiler-check-the-type-of-the-.patch
  to apply cleanly after this addition.
- commit 3b46ec1
* Wed Sep 25 2019 mwilck@suse.com
- Refresh patches.suse/scsi-qla2xxx-Move-marker-request-behind-QPair.patch.
  Add a minor change from upstream merge commit 92fff53b7191.
  This is a trivial change; qla2x00_get_sp() would have set
  sp->fcport = fcport, so the two are equal.
- commit bcfc6fb
* Wed Sep 25 2019 mwilck@suse.com
- Refresh patches.suse/scsi-qla2xxx-fix-driver-unload-by-shutting-down-chip.patch.
  There is a backport error in a102af629d1c, caused by the fact that this patch
  was added to series.conf before 2ce87cc5b269 ("qla2xxx: Fix memory corruption
  during hba reset test"). As a consequence, qla2x00_wait_for_sess_deletion()
  could be called too early.
  Refresh patches.suse/scsi-qla2xxx-Add-Device-ID-for-ISP28XX.patch.
  Amend the patch to apply cleanly after the previous commit.
- commit 56f4ed1
* Wed Sep 25 2019 jack@suse.cz
- blk-wbt: improve waking of tasks (bsc#1135873).
- commit 9e35a90
* Wed Sep 25 2019 jack@suse.cz
- blk-wbt: abstract out end IO completion handler (bsc#1135873).
- commit 1db61d9
* Wed Sep 25 2019 jack@suse.cz
- blk-wbt: fix has-sleeper queueing check (bsc#1135873).
- commit 383cf45
* Wed Sep 25 2019 jack@suse.cz
- blk-wbt: use wq_has_sleeper() for wq active check (bsc#1135873).
- commit 993c392
* Wed Sep 25 2019 jack@suse.cz
- blk-wbt: move disable check into get_limit() (bsc#1135873).
- commit f764b20
* Wed Sep 25 2019 ptesarik@suse.cz
- supported.conf: Mark vfio_ccw supported by SUSE, because bugs can
  be routed to IBM via SUSE support (jsc#SLE-6138, bsc#1151192).
- commit 99757d5
* Wed Sep 25 2019 bp@suse.de
- blacklist.conf: b63f20a778c8 x86/retpoline: Don't clobber RFLAGS during CALL_NOSPEC on i386
  A 32-bit fix.
- commit d1fbc8b
* Wed Sep 25 2019 jslaby@suse.cz
- atm: iphase: Fix Spectre v1 vulnerability
  (networking-stable-19_08_08).
- net: bridge: mcast: don't delete permanent entries when fast
  leave is enabled (networking-stable-19_08_08).
- net: fix ifindex collision during namespace removal
  (networking-stable-19_08_08).
- mvpp2: refactor MTU change code (networking-stable-19_08_08).
- net: bridge: delete local fdb on device init failure
  (networking-stable-19_08_08).
- net: sched: Fix a possible null-pointer dereference in
  dequeue_func() (networking-stable-19_08_08).
- net/mlx5e: Prevent encap flow counter update async to user query
  (networking-stable-19_08_08).
- net/mlx5: Use reversed order when unregister devices
  (networking-stable-19_08_08).
- ip6_tunnel: fix possible use-after-free on xmit
  (networking-stable-19_08_08).
- bnx2x: Disable multi-cos feature (networking-stable-19_08_08).
- ife: error out when nla attributes are empty
  (networking-stable-19_08_08).
- commit cc74b59
* Wed Sep 25 2019 neilb@suse.de
- pNFS/flexfiles: Turn off soft RPC calls (git-fixes).
- NFS: Ensure O_DIRECT reports an error if the bytes read/written
  is 0 (git-fixes).
- NFSv4/pnfs: Fix a page lock leak in nfs_pageio_resend()
  (git-fixes).
- NFS: Fix regression whereby fscache errors are appearing on
  'nofsc' mounts (git-fixes).
- NFSv4: Fix an Oops in nfs4_do_setattr (git-fixes).
- NFSv4: Fix a potential sleep while atomic in nfs4_do_reclaim()
  (git-fixes).
- NFSv4: Check the return value of update_open_stateid()
  (git-fixes).
- NFSv4.1: Only reap expired delegations (git-fixes).
- NFSv4.1: Fix open stateid recovery (git-fixes).
- NFSv4: Fix delegation state recovery (git-fixes).
- pnfs/flexfiles: Fix PTR_ERR() dereferences in
  ff_layout_track_ds_error (git-fixes).
- NFSv4: Handle the special Linux file open access mode
  (git-fixes).
- NFSv4.1: Again fix a race where CB_NOTIFY_LOCK fails to wake
  a waiter (git-fixes).
- SUNRPC fix regression in umount of a secure mount (git-fixes).
- SUNRPC/nfs: Fix return value for nfs4_callback_compound()
  (git-fixes).
- NFS4: Fix v4.0 client state corruption when mount (git-fixes).
- PNFS fallback to MDS if no deviceid found (git-fixes).
- NFS: Don't interrupt file writeout due to fatal errors
  (git-fixes).
- nfsd: Don't release the callback slot unless it was actually
  held (git-fixes).
- NFS: Forbid setting AF_INET6 to "struct sockaddr_in"->sin_family
  (git-fixes).
- NFSv4: Fix lookup revalidate of regular files (git-fixes).
- NFS: Refactor nfs_lookup_revalidate() (git-fixes).
- NFS: Don't open code clearing of delegation state (git-fixes).
- NFSv4: Only pass the delegation to setattr if we're sending
  a truncate (git-fixes).
- NFSv4: Fix OPEN / CLOSE race (git-fixes).
- commit c801fd8
* Tue Sep 24 2019 msuchanek@suse.de
- Update patches.suse/powerpc-powernv-Return-for-invalid-IMC-domain.patch
  (bsc#1054914, fate#322448, git-fixes).
- commit 75ee7f9
* Tue Sep 24 2019 bp@suse.de
- x86/CPU/AMD: Clear RDRAND CPUID bit on AMD family 15h/16h
  (bsc#1114279).
- commit 0822f0e
* Tue Sep 24 2019 msuchanek@suse.de
- powerpc/powernv/ioda2: Allocate TCE table levels on demand
  for default DMA window (bsc#1061840).
- commit 7aed3d9
* Tue Sep 24 2019 fdmanana@suse.com
- Btrfs: fix use-after-free when using the tree modification log
  (bsc#1151891).
- commit 8c9d1a1
* Tue Sep 24 2019 msuchanek@suse.de
- supported.conf: Add vfio_ccw (bsc#1151192 jsc#SLE-6138).
- commit 145fd0c
* Tue Sep 24 2019 msuchanek@suse.de
- Update s390 config files (bsc#1151192).
  - VFIO_CCW=m
  - S390_CCW_IOMMU=y
- commit d8ae093
* Tue Sep 24 2019 hare@suse.de
- Compile nvme.ko as module (bsc#1150846)
- commit d409932
* Tue Sep 24 2019 sschricker@suse.de
- kABI: media: em28xx: fix handler for vidioc_s_input() (bsc#1051510).
  fixes kABI
- commit d681754
* Tue Sep 24 2019 hare@suse.de
- lightnvm: remove dependencies on BLK_DEV_NVME and PCI
  (bsc#1150846).
- commit d3283af
* Tue Sep 24 2019 sschricker@suse.de
- kABI: media: em28xx: stop rewriting device's struct (bsc#1051510).
  fixes kABI
- commit efcb30a
* Tue Sep 24 2019 dwagner@suse.de
- scsi: qla2xxx: Update driver version to 10.01.00.19-k
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix stale session (bsc#1123034 bsc#1131304
  bsc#1127988).
- scsi: qla2xxx: Fix stuck login session (bsc#1123034 bsc#1131304
  bsc#1127988).
- scsi: qla2xxx: Fix driver reload for ISP82xx (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix flash read for Qlogic ISPs (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix message indicating vectors used by driver
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: fix spelling mistake "initializatin" ->
  "initialization" (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix a recently introduced kernel warning
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: cleanup trace buffer initialization (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: qla2x00_alloc_fw_dump: set ha->eft (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix a NULL pointer dereference (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Simplify qla24xx_async_abort_cmd() (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Remove two superfluous if-tests (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Introduce qla2x00_els_dcmd2_free() (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Inline the qla2x00_fcport_event_handler()
  function (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Report invalid mailbox status codes (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Remove superfluous sts_entry_* casts (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Let the compiler check the type of the SCSI
  command context pointer (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Complain if sp->done() is not called from the
  completion path (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Make sure that aborted commands are freed
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Introduce qla2xxx_get_next_handle() (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Modify NVMe include directives (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Make qlt_handle_abts_completion() more robust
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix a race condition between aborting and
  completing a SCSI command (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Introduce the function qla2xxx_init_sp()
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Enable type checking for the SRB free and done
  callback functions (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Rework key encoding in qlt_find_host_by_d_id()
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Set the responder mode if appropriate for ELS
  pass-through IOCBs (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Make it explicit that ELS pass-through IOCBs
  use little endian (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Check secondary image if reading the primary
  image fails (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Change the return type of
  qla24xx_read_flash_data() (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Introduce the be_id_t and le_id_t data types
  for FC src/dst IDs (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Complain if a soft reset fails (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Use memcpy() and strlcpy() instead of strcpy()
  and strncpy() (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Check the PCI info string output buffer size
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Complain if waiting for pending commands times
  out (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Declare fourth qla2x00_set_model_info() argument
  const (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Always check the qla2x00_wait_for_hba_online()
  return value (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Suppress multiple Coverity complaint about
  out-of-bounds accesses (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Suppress a Coveritiy complaint about integer
  overflow (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Remove unreachable code from qla83xx_idc_lock()
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix qla24xx_process_bidir_cmd() (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Simplify a debug statement (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Remove dead code (bsc#1123034 bsc#1131304
  bsc#1127988).
- scsi: qla2xxx: Complain if parsing the version string fails
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Complain if a mailbox command times out
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Use strlcpy() instead of strncpy() (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Do not corrupt vha->plogi_ack_list (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Report the firmware status code if a mailbox
  command fails (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix session lookup in qlt_abort_work()
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Simplify qla24xx_abort_sp_done() (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Remove two superfluous tests (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Remove a superfluous pointer check (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Simplify qlt_lport_dump() (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Reduce the number of casts in GID list code
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Verify locking assumptions at runtime
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Change data_dsd into an array (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Declare qla_tgt_cmd.cdb const (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Reduce the scope of three local variables in
  qla2xxx_queuecommand() (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Change the return type
  of qla2x00_update_ms_fdmi_iocb() into void (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Declare the fourth ql_dump_buffer() argument
  const (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Remove a superfluous forward declaration
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Remove an include directive from qla_mr.c
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Include the <asm/unaligned.h> header file from
  qla_dsd.h (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Use tabs instead of spaces for indentation
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Improve Linux kernel coding style conformance
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Really fix qla2xxx_eh_abort() (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Make qla2x00_abort_srb() again decrease the sp
  reference count (bsc#1123034 bsc#1131304 bsc#1127988).
- qla2xxx: kABI fixes for v10.01.00.18-k (bsc#1123034 bsc#1131304
  bsc#1127988).
- scsi: qla2xxx: Update driver version to 10.01.00.18-k
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Allow NVMe IO to resume with short cable pull
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix hang in fcport delete path (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Use common update-firmware-options routine for
  ISP27xx+ (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix NVMe port discovery after a short device
  port loss (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Correct error handling during initialization
  failures (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Retry fabric Scan on IOCB queue full (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix premature timer expiration (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix Relogin to prevent modifying scan_state flag
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Reject EH_{abort|device_reset|target_request}
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Skip FW dump on LOOP initialization error
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Use Correct index for Q-Pair array (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix abort timeout race condition (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix different size DMA Alloc/Unmap (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix DMA unmap leak (bsc#1123034 bsc#1131304
  bsc#1127988).
- scsi: qla2xxx: Replace vmalloc + memset with vzalloc
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Remove unnecessary null check (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: move IO flush to the front of NVME rport
  unregistration (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix NVME cmd and LS cmd timeout race condition
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: on session delete, return nvme cmd (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix kernel crash after disconnecting NVMe devices
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: remove double assignment in qla2x00_update_fcport
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix hardlockup in abort command during driver
  remove (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Avoid that lockdep complains about unsafe
  locking in tcm_qla2xxx_close_session() (bsc#1123034 bsc#1131304
  bsc#1127988).
- scsi: qla2xxx: Fix hardirq-unsafe locking (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Complain loudly about reference count underflow
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Use __le64 instead of uint32_t for sending DMA
  addresses to firmware (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Introduce the dsd32 and dsd64 data structures
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Check the size of firmware data structures at
  compile time (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Pass little-endian values to the firmware
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix race conditions in the code for aborting
  SCSI commands (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Use an on-stack completion in
  qla24xx_control_vp() (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Make qla24xx_async_abort_cmd() static
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Remove unnecessary locking from the target code
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Remove qla_tgt_cmd.released (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Complain if a command is released that is owned
  by the firmware (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: target: Fix offline port handling and host
  reset handling (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Simplify qlt_send_term_imm_notif() (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix use-after-free issues in
  qla2xxx_qpair_sp_free_dma() (bsc#1123034 bsc#1131304
  bsc#1127988).
- scsi: qla2xxx: Fix a qla24xx_enable_msix() error path
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Avoid that qla2x00_mem_free() crashes if called
  twice (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Make qla2x00_mem_free() easier to verify
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Increase the size of the mailbox arrays from
  4 to 8 (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Log the status code if a firmware command fails
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Avoid that Coverity complains about dereferencing
  a NULL rport pointer (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Remove the fcport test from qla_nvme_abort_work()
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Uninline qla2x00_init_timer() (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Move qla2x00_is_reserved_id() from qla_inline.h
  into qla_init.c (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Move qla2x00_clear_loop_id() from qla_inline.h
  into qla_init.c (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Remove a set-but-not-used variable (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Declare qla2x00_find_new_loop_id() static
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Move qla2x00_set_reserved_loop_ids() definition
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Silence Successful ELS IOCB message (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix read offset in qla24xx_load_risc_flash()
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Move qla2x00_set_fcport_state() from a .h into
  a .c file (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Remove two superfluous casts (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Remove qla_tgt_cmd.data_work and
  qla_tgt_cmd.data_work_free (bsc#1123034 bsc#1131304
  bsc#1127988).
- scsi: qla2xxx: Move the <linux/io-64-nonatomic-lo-hi.h>
  include directive (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Declare qla24xx_build_scsi_crc_2_iocbs() static
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Move the port_state_str definition from a .h
  to a .c file (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Insert spaces where required (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix formatting of pointer types (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Leave a blank line after declarations
  (bsc#1123034 bsc#1131304 bsc#1127988).
- Refresh patches.suse/qla2xxx-Enable-T10-DIF-with-FC-NVMe-enabled.patch
- scsi: qla2xxx: Use tabs to indent code (bsc#1123034 bsc#1131304
  bsc#1127988).
- scsi: scsi_transport_fc: nvme: display FC-NVMe port roles
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: tcm_qla2xxx: Minimize #include directives (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Unregister resources in the opposite order of
  the registration order (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Use get/put_unaligned where appropriate
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Make qla2x00_process_response_queue() easier
  to read (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Reduce the number of forward declarations
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Declare local symbols static (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Use ARRAY_SIZE() in the definition of
  QLA_LAST_SPEED (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Remove a comment that refers to the SCSI host
  lock (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: fix spelling mistake "alredy" -> "already"
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Remove useless set memory to zero use memset()
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Update driver version to 10.01.00.16-k
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Change abort wait_loop from msleep to
  wait_event_timeout (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix driver unload when FC-NVMe LUNs are connected
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Cleanup redundant qla2x00_abort_all_cmds during
  unload (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Set remote port devloss timeout to 0 (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Cleanup fcport memory to prevent leak
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Use mutex protection during
  qla2x00_sysfs_read_fw_dump() (bsc#1123034 bsc#1131304
  bsc#1127988).
- scsi: qla2xxx: Fix fw dump corruption (bsc#1123034 bsc#1131304
  bsc#1127988).
- scsi: qla2xxx: Further limit FLASH region write access from
  SysFS (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Disable T10-DIF feature with FC-NVMe during probe
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Increase the max_sgl_segments to 1024
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Reset the FCF_ASYNC_{SENT|ACTIVE} flags
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Set the qpair in SRB to NULL when SRB is released
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Set the SCSI command result before calling the
  command done (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Simplify conditional check again (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix a small typo in qla_bsg.c (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix comment alignment in qla_bsg.c (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Update driver version to 10.01.00.15-k
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Secure flash update support for ISP28XX
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Add 28xx flash primary/secondary status/image
  mechanism (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Simplification of register address used in
  qla_tmpl.c (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Correction and improvement to fwdt processing
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Update flash read/write routine (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Add support for multiple fwdump
  templates/segments (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Cleanups for NVRAM/Flash read/write path
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Correctly report max/min supported speeds
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Add Serdes support for ISP28XX (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Add Device ID for ISP28XX (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix routine qla27xx_dump_{mpi|ram}() (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Remove FW default template (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Add fw_attr and port_no SysFS node (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix NULL pointer crash due to stale CPUID
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: check for kstrtol() failure (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: avoid printf format warning (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Avoid PCI IRQ affinity mapping when multiqueue
  is not supported (bsc#1123034 bsc#1131304 bsc#1127988).
- Refresh patches.suse/qla2xxx-allow-irqbalance-control-in-non-MQ-mode.patch
- scsi: qla2xxx: Update driver version to 10.00.00.14-k
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Add new FW dump template entry types (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix code indentation for qla27xx_fwdt_entry
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Move marker request behind QPair (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Prevent SysFS access when chip is down
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Add support for setting port speed (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Prevent multiple ADISC commands per session
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Check for FW started flag before aborting
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix unload when NVMe devices are configured
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Add First Burst support for FC-NVMe devices
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix LUN discovery if loop id is not assigned
  yet by firmware (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: remove redundant null check on pointer sess
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Move debug messages before sending srb preventing
  panic (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Update driver version to 10.00.00.13-k
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Use complete switch scan for RSCN events
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix fw options handle eh_bus_reset() (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Restore FAWWPN of Physical Port only for loop
  down (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Prevent memory leak for CT req/rsp allocation
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix SRB allocation flag to avoid sleeping in
  IRQ context (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: allow session delete to finish before create
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: fix fcport null pointer access (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: flush IO on chip reset or sess delete
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix session cleanup hang (bsc#1123034 bsc#1131304
  bsc#1127988).
- scsi: qla2xxx: Change default ZIO threshold (bsc#1123034
  bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Add pci function reset support (bsc#1123034
  bsc#1131304 bsc#1127988).
- Refresh patches.suse/scsi-qla2xxx-Add-cleanup-for-PCI-EEH-recovery.patch
- scsi: qla2xxx: no need to check return value of debugfs_create
  functions (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix DMA error when the DIF sg buffer crosses
  4GB boundary (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Add protection mask module parameters
  (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: Fix panic from use after free in
  qla2x00_async_tm_cmd (bsc#1123034 bsc#1131304 bsc#1127988).
- scsi: qla2xxx: deadlock by configfs_depend_item (bsc#1123034
  bsc#1131304 bsc#1127988).
- commit 891f737
* Tue Sep 24 2019 dwagner@suse.de
- Remove patches.kabi/kABI-fixes-for-qla2xxx-Fix-inconsistent-DMA-mem-allo.patch
  The qla2xxx driver has been whitelisted by 1d5e8aad6de2
  ("kabi/severities: ignore qla2xxx as all symbols are internal")
- commit 6ab8ff8
* Tue Sep 24 2019 hare@suse.de
- Refresh patches.suse/null_blk-wire-up-timeouts.patch.
- commit 0488e25
* Tue Sep 24 2019 hare@suse.de
- Move patches to upstream section
- Refresh
  patches.suse/scsi-lpfc-Add-MDS-driver-loopback-diagnostics-suppor.patch.
- Refresh
  patches.suse/scsi-lpfc-Add-NVMe-sequence-level-error-recovery-sup.patch.
- Refresh
  patches.suse/scsi-lpfc-Add-first-and-second-level-hardware-revisi.patch.
- Refresh
  patches.suse/scsi-lpfc-Add-simple-unlikely-optimizations-to-reduc.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-ADISC-reception-terminating-login-stat.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-BlockGuard-enablement-on-FCoE-adapters.patch.
- Refresh patches.suse/scsi-lpfc-Fix-ELS-field-alignments.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-FLOGI-handling-across-multiple-link-up.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-Max-Frame-Size-value-shown-in-fdmishow.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-Oops-in-nvme_register-with-target-logo.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-PLOGI-failure-with-high-remoteport-cou.patch.
- Refresh patches.suse/scsi-lpfc-Fix-coverity-warnings.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-crash-due-to-port-reset-racing-vs-adap.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-crash-on-driver-unload-in-wq-free.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-deadlock-on-host_lock-during-cable-pul.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-devices-that-don-t-return-after-devlos.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-discovery-when-target-has-no-GID_FT-in.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-error-in-remote-port-address-change.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-failure-to-clear-non-zero-eq_delay-aft.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-hang-when-downloading-fw-on-port-enabl.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-irq-raising-in-lpfc_sli_hba_down.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-issuing-init_vpi-mbox-on-SLI-3-card.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-leak-of-ELS-completions-on-adapter-res.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-loss-of-remote-port-after-devloss-due-.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-null-ptr-oops-updating-lpfc_devloss_tm.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-nvme-first-burst-module-parameter-desc.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-nvme-sg_seg_cnt-display-if-HBA-does-no.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-nvme-target-mode-ABTSing-a-received-AB.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-oops-when-fewer-hdwqs-than-cpus.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-port-relogin-failure-due-to-GID_FT-int.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-propagation-of-devloss_tmo-setting-to-.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-reported-physical-link-speed-on-a-disa.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-reset-recovery-paths-that-are-not-reco.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-sg_seg_cnt-for-HBAs-that-don-t-support.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-sli4-adapter-initialization-with-MSI.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-too-many-sg-segments-spamming-in-kerne.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-upcall-to-bsg-done-in-non-success-case.patch.
- Refresh
  patches.suse/scsi-lpfc-Limit-xri-count-for-kdump-environment.patch.
- Refresh
  patches.suse/scsi-lpfc-Migrate-to-px-and-pf-in-kernel-print-calls.patch.
- Refresh
  patches.suse/scsi-lpfc-Resolve-checker-warning-for-lpfc_new_io_bu.patch.
- Refresh
  patches.suse/scsi-lpfc-Support-dynamic-unbounded-SGL-lists-on-G7-.patch.
- Refresh
  patches.suse/scsi-lpfc-Update-lpfc-version-to-12.4.0.0.patch.
- Refresh patches.suse/scsi-lpfc-fix-12.4.0.0-GPF-at-boot.patch.
- Refresh
  patches.suse/scsi-lpfc-merge-per-protocol-wq-cq-pairs-into-single.patch.
- Refresh
  patches.suse/scsi-lpfc-remove-NULL-check-before-some-freeing-func.patch.
- Refresh patches.suse/scsi-lpfc-remove-bg-debugfs-buffers.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Allow-NVMe-IO-to-resume-with-short-cabl.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Always-check-the-qla2x00_wait_for_hba_o.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Change-data_dsd-into-an-array.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Change-the-return-type-of-qla24xx_read_.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Change-the-return-type-of-qla2x00_updat.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Check-secondary-image-if-reading-the-pr.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Check-the-PCI-info-string-output-buffer.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Complain-if-a-mailbox-command-times-out.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Complain-if-a-soft-reset-fails.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Complain-if-parsing-the-version-string-.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Complain-if-sp-done-is-not-called-from-.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Complain-if-waiting-for-pending-command.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Correct-error-handling-during-initializ.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Declare-fourth-qla2x00_set_model_info-a.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Declare-qla_tgt_cmd.cdb-const.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Declare-the-fourth-ql_dump_buffer-argum.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Do-not-corrupt-vha-plogi_ack_list.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Enable-type-checking-for-the-SRB-free-a.patch.
- Refresh patches.suse/scsi-qla2xxx-Fix-DMA-unmap-leak.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-NVMe-port-discovery-after-a-short-d.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-Relogin-to-prevent-modifying-scan_s.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-a-NULL-pointer-dereference.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-a-race-condition-between-aborting-a.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-abort-timeout-race-condition.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-different-size-DMA-Alloc-Unmap.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-driver-reload-for-ISP82xx.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-flash-read-for-Qlogic-ISPs.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-hang-in-fcport-delete-path.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-message-indicating-vectors-used-by-.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-premature-timer-expiration.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-qla24xx_process_bidir_cmd.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-session-lookup-in-qlt_abort_work.patch.
- Refresh patches.suse/scsi-qla2xxx-Fix-stale-session.patch.
- Refresh patches.suse/scsi-qla2xxx-Fix-stuck-login-session.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Improve-Linux-kernel-coding-style-confo.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Include-the-asm-unaligned.h-header-file.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Inline-the-qla2x00_fcport_event_handler.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Introduce-qla2x00_els_dcmd2_free.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Introduce-qla2xxx_get_next_handle.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Introduce-the-be_id_t-and-le_id_t-data-.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Introduce-the-function-qla2xxx_init_sp.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Let-the-compiler-check-the-type-of-the-.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Make-it-explicit-that-ELS-pass-through-.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Make-qla2x00_abort_srb-again-decrease-t.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Make-qlt_handle_abts_completion-more-ro.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Make-sure-that-aborted-commands-are-fre.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Modify-NVMe-include-directives.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Really-fix-qla2xxx_eh_abort.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Reduce-the-number-of-casts-in-GID-list-.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Reduce-the-scope-of-three-local-variabl.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Reject-EH_-abort-device_reset-target_re.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Remove-a-superfluous-forward-declaratio.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Remove-a-superfluous-pointer-check.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Remove-an-include-directive-from-qla_mr.patch.
- Refresh patches.suse/scsi-qla2xxx-Remove-dead-code.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Remove-superfluous-sts_entry_-casts.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Remove-two-superfluous-if-tests.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Remove-two-superfluous-tests.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Remove-unnecessary-null-check.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Remove-unreachable-code-from-qla83xx_id.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Replace-vmalloc-memset-with-vzalloc.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Report-invalid-mailbox-status-codes.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Report-the-firmware-status-code-if-a-ma.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Retry-fabric-Scan-on-IOCB-queue-full.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Rework-key-encoding-in-qlt_find_host_by.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Set-the-responder-mode-if-appropriate-f.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Simplify-a-debug-statement.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Simplify-qla24xx_abort_sp_done.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Simplify-qla24xx_async_abort_cmd.patch.
- Refresh patches.suse/scsi-qla2xxx-Simplify-qlt_lport_dump.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Skip-FW-dump-on-LOOP-initialization-err.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Suppress-a-Coveritiy-complaint-about-in.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Suppress-multiple-Coverity-complaint-ab.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Update-driver-version-to-10.01.00.18-k.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Update-driver-version-to-10.01.00.19-k.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Use-Correct-index-for-Q-Pair-array.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Use-common-update-firmware-options-rout.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Use-memcpy-and-strlcpy-instead-of-strcp.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Use-strlcpy-instead-of-strncpy.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Use-tabs-instead-of-spaces-for-indentat.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Verify-locking-assumptions-at-runtime.patch.
- Refresh
  patches.suse/scsi-qla2xxx-cleanup-trace-buffer-initialization.patch.
- Refresh
  patches.suse/scsi-qla2xxx-qla2x00_alloc_fw_dump-set-ha-eft.patch.
- commit e0a6e7e
* Tue Sep 24 2019 hare@suse.de
- block: fix timeout changes for legacy request drivers
  (bsc#1149446).
- null_blk: complete requests from ->timeout (bsc#1149446).
- null_blk: wire up timeouts (bsc#1149446).
- commit 1c7642d
* Tue Sep 24 2019 hare@suse.de
- nvme: fix multipath crash when ANA is deactivated (bsc#1149446).
- nvme-rdma: fix a NULL deref when an admin connect times out
  (bsc#1149446).
- nvme-rdma: fix timeout handler (bsc#1149446).
- nvme-rdma: centralize admin/io queue teardown sequence
  (bsc#1142076).
- nvme-rdma: centralize controller setup sequence (bsc#1142076).
- nvme-rdma: unquiesce queues when deleting the controller
  (bsc#1142076).
- nvme-rdma: support up to 4 segments of inline data
  (bsc#1142076).
- nvme-rdma: Allow DELETING state change failure in
  (bsc#1104967,FATE#325924).
- commit d93d360
* Tue Sep 24 2019 hare@suse.de
- libiscsi: don't try to bypass SCSI EH (bsc#1142076).
- scsi_transport_fc: complete requests from ->timeout
  (bsc#1142076).
- commit ffe813a
* Tue Sep 24 2019 hare@suse.de
- nvme: return BLK_EH_DONE from ->timeout (bsc#1142076).
- commit 09d3f8f
* Tue Sep 24 2019 hare@suse.de
- block: kABI fixes for BLK_EH_DONE renaming (bsc#1142076).
- block: rename BLK_EH_NOT_HANDLED to BLK_EH_DONE (bsc#1142076).
- Refresh
  patches.suse/s390-sles15-dasd-fix-deadlock-in-dasd_times_out.patch.
- commit 2d28590
* Tue Sep 24 2019 neilb@suse.de
- md/raid6: Set R5_ReadError when there is read failure on parity
  disk (git-fixes).
- commit ccb3493
* Tue Sep 24 2019 neilb@suse.de
- md: don't report active array_state until after
  revalidate_disk() completes (git-fixes).
- md: only call set_in_sync() when it is expected to succeed
  (git-fixes).
- commit 7bcfc53
* Mon Sep 23 2019 msuchanek@suse.de
- kabi/severities: Whitelist a couple of xive functions
  xive_cleanup_irq_data and xive_native_populate_irq_data are exported by
  the xive interupt controller driver and used by KVM. I don't expect any
  out-of-tree driver can sanely use these.
- commit f7ed153
* Mon Sep 23 2019 msuchanek@suse.de
- powerpc/64s/radix: Fix memory hotplug section page table
  creation (bsc#1065729).
- commit e1331b1
* Mon Sep 23 2019 msuchanek@suse.de
- powerpc/xmon: Fix opcode being uninitialized in
  print_insn_powerpc (bsc#1065729).
- powerpc/64: Make sys_switch_endian() traceable (bsc#1065729).
- commit 5877a4a
* Mon Sep 23 2019 msuchanek@suse.de
- powerpc/bpf: use unsigned division instruction for 64-bit
  operations (bsc#1065729).
- powerpc: bpf: Fix generation of load/store DW instructions
  (bsc#1065729).
- commit 08d29de
* Mon Sep 23 2019 msuchanek@suse.de
- powerpc/pseries: Fix cpu_hotplug_lock acquisition in
  resize_hpt() (bsc#1065729).
- commit 9071fce
* Mon Sep 23 2019 msuchanek@suse.de
- powerpc/xive: Implement get_irqchip_state method for XIVE to
  fix shutdown race (bsc#1065729).
- commit 378f7a9
* Mon Sep 23 2019 msuchanek@suse.de
- powerpc/ptrace: Simplify vr_get/set() to avoid GCC warning
  (bsc#1148868).
- commit 2b40c83
* Mon Sep 23 2019 msuchanek@suse.de
- tpm_tis_core: Set TPM_CHIP_FLAG_IRQ before probing for
  interrupts (bsc#1082555).
- commit a6234e6
* Mon Sep 23 2019 msuchanek@suse.de
- powerpc/64s/radix: Fix memory hot-unplug page table split
  (bsc#1065729).
- KVM: PPC: Book3S: Fix incorrect guest-to-user-translation
  error handling (bsc#1061840).
- powerpc/powernv/ioda: Fix race in TCE level allocation
  (bsc#1061840).
- KVM: PPC: Book3S HV: Don't lose pending doorbell request on
  migration on P9 (bsc#1061840).
- KVM: PPC: Book3S HV: Check for MMU ready on piggybacked virtual
  cores (bsc#1061840).
- KVM: PPC: Book3S HV: Don't push XIVE context when not using
  XIVE device (bsc#1061840).
- KVM: PPC: Book3S HV: Fix race in re-enabling XIVE escalation
  interrupts (bsc#1061840).
- KVM: PPC: Book3S HV: XIVE: Free escalation interrupts before
  disabling the VP (bsc#1061840).
- KVM: PPC: Book3S HV: Handle virtual mode in XIVE VCPU push code
  (bsc#1061840).
- commit bd15b15
* Mon Sep 23 2019 tiwai@suse.de
- slip: make slhc_free() silently accept an error pointer
  (bsc#1051510).
- slip: sl_alloc(): remove unused parameter "dev_t line"
  (bsc#1051510).
- commit af4b048
* Mon Sep 23 2019 tiwai@suse.de
- drivers: thermal: int340x_thermal: Fix sysfs race condition
  (bsc#1051510).
- commit 0d5c18e
* Mon Sep 23 2019 tiwai@suse.de
- team: Add vlan tx offload to hw_enc_features (bsc#1051510).
- commit 19b6193
* Mon Sep 23 2019 tiwai@suse.de
- tun: fix use-after-free when register netdev failed
  (bsc#1111666).
- commit 9490276
* Mon Sep 23 2019 tiwai@suse.de
- USB: usbcore: Fix slab-out-of-bounds bug during device reset
  (bsc#1051510).
- commit 78a6126
* Mon Sep 23 2019 tiwai@suse.de
- wcn36xx: use dynamic allocation for large variables
  (bsc#1111666).
- commit a9777cc
* Mon Sep 23 2019 tiwai@suse.de
- xsk: avoid store-tearing when assigning umem (bsc#1111666).
- xsk: avoid store-tearing when assigning queues (bsc#1111666).
- commit 480041b
* Mon Sep 23 2019 tiwai@suse.de
- media: ov6650: Move v4l2_clk_get() to ov6650_video_probe()
  helper (bsc#1051510).
- commit 8e4fc49
* Mon Sep 23 2019 tiwai@suse.de
- media: mc-device.c: don't memset __user pointer contents
  (bsc#1051510).
- commit dcb05a3
* Mon Sep 23 2019 tiwai@suse.de
- media: vb2: Fix videobuf2 to map correct area (bsc#1051510).
- commit 59e953d
* Mon Sep 23 2019 tiwai@suse.de
- media: tm6000: double free if usb disconnect while streaming
  (bsc#1051510).
- commit 186de44
* Mon Sep 23 2019 tiwai@suse.de
- libertas_tf: Use correct channel range in lbtf_geo_init
  (bsc#1051510).
- commit 6e3091e
* Mon Sep 23 2019 tiwai@suse.de
- i2c: designware: Synchronize IRQs when unregistering slave
  client (bsc#1111666).
- commit 5fb9c3d
* Mon Sep 23 2019 tiwai@suse.de
- gpio: Move gpiochip_lock/unlock_as_irq to gpio/driver.h
  (bsc#1051510).
- commit 1b0ac8e
* Mon Sep 23 2019 tiwai@suse.de
- gpio: fix line flag validation in lineevent_create
  (bsc#1051510).
- gpio: fix line flag validation in linehandle_create
  (bsc#1051510).
- commit 4140de0
* Mon Sep 23 2019 tiwai@suse.de
- gpiolib: only check line handle flags once (bsc#1051510).
- Refresh patches.suse/gpioib-do-not-free-unrequested-descriptors.
- commit 741767a
* Mon Sep 23 2019 tiwai@suse.de
- dma-buf/sw_sync: Synchronize signal vs syncpt free
  (bsc#1111666).
- commit 6b51889
* Mon Sep 23 2019 tiwai@suse.de
- crypto: caam/qi - fix error handling in ERN handler
  (bsc#1111666).
- commit 4023ca2
* Mon Sep 23 2019 tiwai@suse.de
- clk: at91: fix update bit maps on CFG_MOR write (bsc#1051510).
- clk: sunxi-ng: v3s: add missing clock slices for MMC2 module
  clocks (bsc#1051510).
- clk: sunxi-ng: v3s: add the missing PLL_DDR1 (bsc#1051510).
- commit 5f13c10
* Mon Sep 23 2019 jroedel@suse.de
- iommu/dma: Fix for dereferencing before null checking
  (bsc#1151667).
- commit 8f846ef
* Mon Sep 23 2019 jroedel@suse.de
- iommu: Don't use sme_active() in generic code (bsc#1151661).
- iommu/iova: Avoid false sharing on fq_timer_on (bsc#1151662).
- commit c37410f
* Mon Sep 23 2019 hare@suse.de
- nvme-rdma: use dynamic dma mapping per command (bsc#1149446).
- nvme-rdma: remove redundant reference between ib_device and
  tagset (bsc#149446).
- commit ab4b128
* Mon Sep 23 2019 tiwai@suse.de
- sky2: Disable MSI on yet another ASUS boards (P6Xxxx)
  (bsc#1051510).
- commit b478556
* Mon Sep 23 2019 tiwai@suse.de
- r8152: Set memory to all 0xFFs on failed reg reads
  (bsc#1051510).
- commit 6a3c2b7
* Mon Sep 23 2019 hare@suse.de
- nvme: wait until all completed request's complete fn is called (bsc#1149446).
- nvme: don't abort completed request in nvme_cancel_request (bsc#1149446).
- blk-mq: introduce blk_mq_tagset_wait_completed_request()
  (bsc#1149446).
- blk-mq: introduce blk_mq_request_completed() (bsc#1149446).
- nvme-rdma: fix a NULL deref when an admin connect times out
  (bsc#1149446).
- nvme-tcp: fix a NULL deref when an admin connect times out
  (bsc#1149446).
- nvme-tcp: fix timeout handler (bsc#1149446).
- nvme-rdma: fix timeout handler (bsc#1149446).
- commit fc65ac2
* Mon Sep 23 2019 tiwai@suse.de
- power: reset: gpio-restart: Fix typo when gpio reset is not
  found (bsc#1051510).
- power: supply: Init device wakeup after device_add()
  (bsc#1051510).
- commit d9a28d6
* Mon Sep 23 2019 tiwai@suse.de
- phy: renesas: rcar-gen3-usb2: Disable clearing VBUS in
  over-current (bsc#1051510).
- commit 8fe4116
* Mon Sep 23 2019 tiwai@suse.de
- Revert "mwifiex: fix system hang problem after resume"
  (bsc#1051510).
- commit 82c939e
* Mon Sep 23 2019 tiwai@suse.de
- mtd: spi-nor: Fix Cadence QSPI RCU Schedule Stall (bsc#1051510).
- commit 3703ea0
* Mon Sep 23 2019 tiwai@suse.de
- media: technisat-usb2: break out of loop at end of buffer
  (bsc#1051510).
- commit fbd5a3c
* Mon Sep 23 2019 tiwai@suse.de
- isdn/capi: check message length in capi_write() (bsc#1051510).
- commit 405ba39
* Mon Sep 23 2019 tiwai@suse.de
- bcma: fix incorrect update of BCMA_CORE_PCI_MDIO_DATA
  (bsc#1051510).
- commit bc4252b
* Mon Sep 23 2019 jthumshirn@suse.de
- blk-mq: Fix memory leak in blk_mq_init_allocated_queue error
  handling (bsc#1151610).
- commit cc60339
* Mon Sep 23 2019 ptesarik@suse.cz
- Delete patches.kabi/blk-mq-kABI-fixes-for-blk-mq.h.patch.
- commit 470c469
* Mon Sep 23 2019 hare@suse.de
- Refresh
  patches.suse/nvme-multipath-fix-ana-log-nsid-lookup-when-nsid-is-.patch.
- commit 3134276
* Mon Sep 23 2019 hare@suse.de
- nvme: fix multipath crash when ANA is deactivated (bsc#1149446).
- commit 6e901ac
* Mon Sep 23 2019 msuchanek@suse.de
- Refresh sorted patches.
- Refresh patches.suse/powerpc-dump-kernel-log-before-carrying-out-fadump-o.patch with upstrem status.
- commit f6a052e
* Mon Sep 23 2019 jthumshirn@suse.de
- libnvdimm: prevent nvdimm from requesting key when security
  is disabled (bsc#1137982).
- commit 9dde1a6
* Mon Sep 23 2019 tzimmermann@suse.de
- video: ssd1307fb: Start page range at page_offset (bsc#1113722)
- commit 70abc1f
* Mon Sep 23 2019 tzimmermann@suse.de
- drm/imx: Drop unused imx-ipuv3-crtc.o build (bsc#1113722)
- commit dc547ac
* Mon Sep 23 2019 tzimmermann@suse.de
- drm/i915: Fix various tracepoints for gen2 (bsc#1113722)
- commit b7723c4
* Mon Sep 23 2019 jgross@suse.com
- xen-netfront: do not assume sk_buff_head list is empty in
  error handling (bsc#1065600).
- commit 4343701
* Mon Sep 23 2019 sschricker@suse.de
- media: Revert "[media] marvell-ccic: reset ccic phy when stop
  streaming for stability" (bsc#1051510).
- commit 84e25e7
* Mon Sep 23 2019 sschricker@suse.de
- media: marvell-ccic: don't generate EOF on parallel bus
  (bsc#1051510).
- commit 966c34c
* Mon Sep 23 2019 neilb@suse.de
- nfsd: degraded slot-count more gracefully as allocation nears
  exhaustion (bsc#1150381).
- nfsd: handle drc over-allocation gracefully (bsc#1150381).
- nfsd: Fix overflow causing non-working mounts on 1 TB machines
  (bsc#1150381).
- nfsd: fix performance-limiting session calculation
  (bsc#1150381).
- nfsd: give out fewer session slots as limit approaches
  (bsc#1150381).
- nfsd: increase DRC cache limit (bsc#1150381).
- commit 1a96b8c
* Mon Sep 23 2019 neilb@suse.de
- git-sort: add nfsd maintainers git tree
  This allows git-sort to handle patches queued for nfsd.
- commit ec6f7e4
* Sun Sep 22 2019 tbogendoerfer@suse.de
- i40e: Add support for X710 device (bsc#1151067).
- commit 6d2bc25
* Fri Sep 20 2019 jack@suse.cz
- Remove unused function in patches.suse/ext4-unsupported-features.patch.
- commit b2f6d95
* Fri Sep 20 2019 sschricker@suse.de
- media: ov6650: Fix sensor possibly not detected on probe
  (bsc#1051510).
- commit 2a23bd0
* Fri Sep 20 2019 mbenes@suse.cz
- Update
  patches.suse/tracing-Fix-crash-when-it-fails-to-alloc-ring-buffer.patch
  (bsc#1120097 CVE-2017-18595 bsc#1149555).
- Update
  patches.suse/tracing-Fix-possible-double-free-on-failure-of-alloc.patch
  (bsc#1120214 CVE-2017-18595 bsc#1149555).
- commit 6040815
* Fri Sep 20 2019 hare@suse.de
- blk-mq: kABI fixes for blk-mq.h (bsc#1137959).
- commit fd2ff8e
* Fri Sep 20 2019 hare@suse.de
- blk-mq: insert rq with DONTPREP to hctx dispatch list when
  requeue (bsc#1137959).
- commit 8b3257c
* Fri Sep 20 2019 hare@suse.de
- blk-mq: punt failed direct issue to dispatch list (bsc#1137959).
- commit d9cd2bd
* Fri Sep 20 2019 hare@suse.de
- blk-mq: don't allocate driver tag upfront for flush rq
  (bsc#1137959).
- Refresh
  patches.suse/blk-mq-remove-synchronize_rcu-from-blk_mq_del_queue_.patch.
- commit 8e2a4fd
* Fri Sep 20 2019 hare@suse.de
- blk-mq: move blk_mq_put_driver_tag*() into blk-mq.h
  (bsc#1137959).
- Refresh patches.suse/blk-mq-fix-sysfs-inflight-counter.patch.
- commit 7e431dd
* Fri Sep 20 2019 hare@suse.de
- blk-mq-sched: decide how to handle flush rq via RQF_FLUSH_SEQ
  (bsc#1137959).
- Refresh
  patches.suse/blk-mq-remove-synchronize_rcu-from-blk_mq_del_queue_.patch.
- commit 67e1414
* Fri Sep 20 2019 hare@suse.de
- blk-flush: use blk_mq_request_bypass_insert() (bsc#1137959).
- commit 16dda6f
* Fri Sep 20 2019 jack@suse.cz
- Update patches.suse/ext4-unsupported-features.patch
  (fate#317919, SLE-8615, bsc#1149651, SLE-9243).
- commit 9348c99
* Fri Sep 20 2019 hare@suse.de
- blk-flush: don't run queue for requests bypassing flush
  (bsc#1137959).
- blk-mq: put the driver tag of nxt rq before first one is
  requeued (bsc#1137959).
- commit c4843ab
* Fri Sep 20 2019 acho@suse.com
- Update
  patches.suse/Bluetooth-Align-minimum-encryption-key-size-for-LE-a.patch
  (bsc#1051510 CVE-2019-9506 bsc#1137865 bsc#1146042).
- Update
  patches.suse/Bluetooth-Fix-faulty-expression-for-minimum-encrypti.patch
  (bsc#1140328 CVE-2019-9506 bsc#1137865 bsc#1146042).
- Update
  patches.suse/Bluetooth-Fix-regression-with-minimum-encryption-key.patch
  (bsc#1135556 CVE-2019-9506 bsc#1137865 bsc#1146042).
- Update patch reference for Bluetooth security issue
  (CVE-2019-9506, bsc#1137865, bsc#1146042)
- commit 1bb9cd5
* Fri Sep 20 2019 hare@suse.de
- nvme: remove ns sibling before clearing path (bsc#1140155).
- commit b24c3f9
* Thu Sep 19 2019 sschricker@suse.de
- media: replace strcpy() by strscpy() (bsc#1051510).
- commit 8f592a3
* Thu Sep 19 2019 tiwai@suse.de
- ath10k: adjust skb length in ath10k_sdio_mbox_rx_packet
  (bsc#1111666).
- rtlwifi: Fix file release memory leak (bsc#1111666).
- tty: serial: fsl_lpuart: Use appropriate lpuart32_* I/O funcs
  (bsc#1111666).
- floppy: fix usercopy direction (bsc#1111666).
- spi: spi-fsl-dspi: Exit the ISR with IRQ_NONE when it's not ours
  (bsc#1111666).
- vhost/test: fix build for vhost test (bsc#1111666).
- commit 77c4a2b
* Thu Sep 19 2019 tiwai@suse.de
- ath9k: dynack: fix possible deadlock in ath_dynack_node_{de}init
  (bsc#1051510).
- nl80211: Fix possible Spectre-v1 for CQM RSSI thresholds
  (bsc#1051510).
- mac80211: minstrel_ht: fix per-group max throughput rate
  initialization (bsc#1051510).
- crypto: cavium/zip - Add missing single_release() (bsc#1051510).
- crypto: skcipher - Unmap pages after an external error
  (bsc#1051510).
- crypto: caam - free resources in case caam_rng registration
  failed (bsc#1051510).
- crypto: caam - fix concurrency issue in givencrypt descriptor
  (bsc#1051510).
- crypto: qat - Silence smp_processor_id() warning (bsc#1051510).
- crypto: ccp - Reduce maximum stack usage (bsc#1051510).
- mic: avoid statically declaring a 'struct device' (bsc#1051510).
- iio: dac: ad5380: fix incorrect assignment to val (bsc#1051510).
- gpiolib: acpi: Add gpiolib_acpi_run_edge_events_on_boot option
  and blacklist (bsc#1051510).
- Input: elan_i2c - remove Lenovo Legion Y7000 PnpID
  (bsc#1051510).
- commit 278f999
* Thu Sep 19 2019 sschricker@suse.de
- media: em28xx: stop rewriting device's struct (bsc#1051510).
- commit 6488bc5
* Thu Sep 19 2019 sschricker@suse.de
- media: em28xx: fix handler for vidioc_s_input() (bsc#1051510).
- commit dde40de
* Wed Sep 18 2019 tiwai@suse.de
- ACPI / property: Fix acpi_graph_get_remote_endpoint() name in
  kerneldoc (bsc#1051510).
- ACPI / PCI: fix acpi_pci_irq_enable() memory leak (bsc#1051510).
- ACPI: custom_method: fix memory leaks (bsc#1051510).
- PM: sleep: Fix possible overflow in pm_system_cancel_wakeup()
  (bsc#1051510).
- dmaengine: iop-adma.c: fix printk format warning (bsc#1051510).
- dmaengine: dw: platform: Switch to
  acpi_dma_controller_register() (bsc#1051510).
- leds: trigger: gpio: GPIO 0 is valid (bsc#1051510).
- leds: leds-lp5562 allow firmware files up to the maximum length
  (bsc#1051510).
- media: atmel: atmel-isi: fix timeout value for stop streaming
  (bsc#1051510).
- media: fdp1: Reduce FCP not found message level to debug
  (bsc#1051510).
- media: dib0700: fix link error for dibx000_i2c_set_speed
  (bsc#1051510).
- platform/x86: pmc_atom: Add Siemens SIMATIC IPC227E to
  critclk_systems DMI table (bsc#1051510).
- regulator: lm363x: Fix off-by-one n_voltages for lm3632
  ldo_vpos/ldo_vneg (bsc#1051510).
- hwmon: (shtc1) fix shtc1 and shtw1 id mask (bsc#1051510).
- hwmon: (lm75) Fix write operations for negative temperatures
  (bsc#1051510).
- commit cf741d5
* Wed Sep 18 2019 hare@suse.de
- nvme-rdma: stop admin queue before freeing it (bsc#1140155).
- Refresh
  patches.suse/nvme-rdma-fix-possible-free-of-a-non-allocated-async.patch.
- commit 0b513fe
* Wed Sep 18 2019 tiwai@suse.de
- Move the nvme upstreamed patch into sorted section
- commit 1cced01
* Wed Sep 18 2019 tiwai@suse.de
- Modify the patch description not to confuse our scripts
  The patch
  patches.suse/revert-scsi-ufs-disable-vccq-if-it-s-not-needed-by-ufs-device
  contained the patch conflict markers in its description and this confused
  some scripts.  Slightly modify (add a space) to avoid the confusion.
- commit c1c1b4a
* Wed Sep 18 2019 tiwai@suse.de
- Refresh the upstreamed mwifiex security fix, move to sorted section
- commit bd90eae
* Wed Sep 18 2019 tiwai@suse.de
- ASoC: wm8988: fix typo in wm8988_right_line_controls
  (bsc#1051510).
- ASoC: sun4i-i2s: RX and TX counter registers are swapped
  (bsc#1051510).
- ASoC: Intel: Baytrail: Fix implicit fallthrough warning
  (bsc#1051510).
- ASoC: wm8737: Fix copy-paste error in wm8737_snd_controls
  (bsc#1051510).
- ASoC: es8328: Fix copy-paste error in es8328_right_line_controls
  (bsc#1051510).
- ALSA: aoa: onyx: always initialize register read value
  (bsc#1051510).
- ALSA: firewire-tascam: check intermediate state of clock status
  and retry (bsc#1051510).
- ALSA: firewire-tascam: handle error code when getting current
  source of clock (bsc#1051510).
- commit 7a3274e
* Tue Sep 17 2019 tzimmermann@suse.de
- kABI workaround for drm_vma_offset_node readonly field addition (bsc#1135967)
- commit 8bb57b9
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915/gen8+: Add RC6 CTX corruption WA (bsc#1135967)
- commit f01634b
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915: Lower RM timeout to avoid DSI hard hangs (bsc#1135967)
- commit c64904e
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915/cmdparser: Ignore Length operands during command matching (bsc#1135967)
- commit 3a4e6a4
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915/cmdparser: Add support for backward jumps (bsc#1135967)
- commit 4abed7e
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915/cmdparser: Use explicit goto for error paths (bsc#1135967)
- commit da16d0a
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915: Add gen9 BCS cmdparsing (bsc#1135967)
- commit 90ae3b8
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915: Allow parsing of unsized batches (bsc#1135967)
- commit aaf4f10
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915: Support ro ppgtt mapped cmdparser shadow buffers (bsc#1135967)
- commit 2bdfa85
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915: Add support for mandatory cmdparsing (bsc#1135967)
- commit 033078a
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915: Remove Master tables from cmdparser
- commit c877551
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915: Disable Secure Batches for gen6+
- commit 497557f
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915: Rename gen7 cmdparser tables (bsc#1135967)
- commit 008726c
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915: Prevent writing into a read-only object via a GGTT mmap (bsc#1135967)
- commit 2c9f94f
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915/gtt: Disable read-only support under GVT (bsc#1135967)
- commit 24c09bd
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915/gtt: Read-only pages for insert_entries on bdw (bsc#1135967)
- commit a403fd0
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915/gtt: Add read only pages to gen8_pte_encode (bsc#1135967)
- commit 1ef139e
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915/gen8+: Add RC6 CTX corruption WA (bsc#1135967)
- commit b4bebb6
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915: Lower RM timeout to avoid DSI hard hangs (bsc#1135967)
- commit ff3c968
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915/cmdparser: Ignore Length operands during (bsc#1135967)
- commit 204c105
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915/cmdparser: Add support for backward jumps (bsc#1135967)
- commit dd274c9
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915/cmdparser: Use explicit goto for error paths (bsc#1135967)
- commit 6d58e93
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915: Add gen9 BCS cmdparsing (bsc#1135967)
- commit 8a18911
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915: Allow parsing of unsized batches (bsc#1135967)
- commit 3bfc90e
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915: Support ro ppgtt mapped cmdparser shadow (bsc#1135967)
- commit 47c26d1
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915: Add support for mandatory cmdparsing (bsc#1135967)
- commit a07d75f
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915: Remove Master tables from cmdparser (bsc#1135967)
- commit 8aa8854
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915: Disable Secure Batches for gen6+ (bsc#1135967)
- commit c6e33a6
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915: Rename gen7 cmdparser tables (bsc#1135967)
- commit c09b561
* Tue Sep 17 2019 mkubecek@suse.cz
- bonding/802.3ad: fix slave link initialization transition states
  (bsc#1137069 bsc#1141013).
- bonding/802.3ad: fix link_failure_count tracking (bsc#1137069
  bsc#1141013).
- bonding: set default miimon value for non-arp modes if not set
  (bsc#1137069 bsc#1141013).
- bonding: speed/duplex update at NETDEV_UP event (bsc#1137069
  bsc#1141013).
- commit df6116d
* Tue Sep 17 2019 tiwai@suse.de
- vhost: make sure log_num < in_num (bsc#1150112,CVE-2019-14835).
- commit b68beb0
* Tue Sep 17 2019 tzimmermann@suse.de
- drm/i915: Restore relaxed padding (OCL_OOB_SUPPRES_ENABLE) for skl+ (bsc#1142635)
- commit 700d2e9
* Tue Sep 17 2019 jdelvare@suse.de
- nvmem: Use the same permissions for eeprom as for nvmem
  (git-fixes).
- eeprom: at24: make spd world-readable again (git-fixes).
- commit 8b5e393
* Mon Sep 16 2019 fdmanana@suse.com
- Btrfs: do not abort transaction at btrfs_update_root() after
  failure to COW path (bsc#1150933).
- commit 7ea9d0d
* Mon Sep 16 2019 fdmanana@suse.com
- Btrfs: fix assertion failure during fsync and use of stale
  transaction (bsc#1150562).
- commit 25aef77
* Mon Sep 16 2019 tiwai@suse.de
- Update tags of upstreamed ibmvnic patches
- commit 8a435ac
* Mon Sep 16 2019 jdelvare@suse.de
- secure boot lockdown: Fix-up backport of /dev/mem access restriction
  The upstream-submitted patch set has evolved over time, align our
  patches (contents and description) to reflect the current status as
  far as /dev/mem access is concerned.
- commit 6ab83e9
* Mon Sep 16 2019 ptesarik@suse.cz
- Move
  patches.suse/KVM-X86-Reduce-the-overhead-when-lapic_timer_advance.patch
  into the sorted section.
- commit 52c3d4c
* Mon Sep 16 2019 jroedel@suse.de
- iommu/amd: Fix race in increase_address_space() (bsc#1150860).
- iommu/amd: Flush old domains in kdump kernel (bsc#1150861).
- commit be77ff3
* Mon Sep 16 2019 jthumshirn@suse.de
- blacklist.conf: blacklist 73df167c819e s390/zcrypt: remove the exporting of ap_query_configuration
- commit 7e43372
* Sun Sep 15 2019 tiwai@suse.de
- Revert "Bluetooth: validate BLE connection interval updates"
  (bsc#1051510).
- commit b690434
* Sun Sep 15 2019 tiwai@suse.de
- blacklist.conf: Add reverted drm/i915 entries
- commit 506d5fa
* Fri Sep 13 2019 msuchanek@suse.de
- powerpc/powernv: Flush console before platform error reboot (bsc#1149940 ltc#179958).
- Refresh patches.suse/powerpc-pseries-Flush-SLB-contents-on-SLB-MCE-errors.patch.
- Refresh patches.suse/powerpc-64s-consolidate-MCE-counter-increment.patch.
- commit a8b84bd
* Fri Sep 13 2019 msuchanek@suse.de
- powerpc/powernv: Use kernel crash path for machine checks (bsc#1149940 ltc#179958).
- Refresh patches.suse/powerpc-Deliver-SEGV-signal-on-pkey-violation.patch.
- commit 41366ee
* Fri Sep 13 2019 msuchanek@suse.de
- powerpc/pseries, ps3: panic flush kernel messages before
  halting system (bsc#1149940 ltc#179958).
- powerpc/pseries: correctly track irq state in default idle
  (bsc#1150727 ltc#178925).
- commit 6cbd692
* Fri Sep 13 2019 lma@suse.com
- KVM: X86: Reduce the overhead when lapic_timer_advance is
  disabled (bsc#1149083).
- commit 004104f
* Fri Sep 13 2019 hare@suse.de
- scsi: qla2xxx: Update driver version to 10.01.00.19-k
  (bsc#1143706).
- scsi: qla2xxx: Fix stale session (bsc#1143706).
- scsi: qla2xxx: Fix stuck login session (bsc#1143706).
- scsi: qla2xxx: Fix driver reload for ISP82xx (bsc#1143706).
- scsi: qla2xxx: Fix flash read for Qlogic ISPs (bsc#1143706).
- scsi: qla2xxx: Fix message indicating vectors used by driver
  (bsc#1143706).
- scsi: qla2xxx: Fix a NULL pointer dereference (bsc#1143706).
- scsi: qla2xxx: Simplify qla24xx_async_abort_cmd() (bsc#1143706).
- scsi: qla2xxx: Remove two superfluous if-tests (bsc#1143706).
- scsi: qla2xxx: Introduce qla2x00_els_dcmd2_free() (bsc#1143706).
- scsi: qla2xxx: Inline the qla2x00_fcport_event_handler()
  function (bsc#1143706).
- scsi: qla2xxx: Report invalid mailbox status codes
  (bsc#1143706).
- scsi: qla2xxx: Remove superfluous sts_entry_* casts
  (bsc#1143706).
- scsi: qla2xxx: Let the compiler check the type of the SCSI
  command context pointer (bsc#1143706).
- scsi: qla2xxx: Complain if sp->done() is not called from the
  completion path (bsc#1143706).
- scsi: qla2xxx: Make sure that aborted commands are freed
  (bsc#1143706).
- scsi: qla2xxx: Introduce qla2xxx_get_next_handle()
  (bsc#1143706).
- scsi: qla2xxx: Modify NVMe include directives (bsc#1143706).
- scsi: qla2xxx: Make qlt_handle_abts_completion() more robust
  (bsc#1143706).
- scsi: qla2xxx: Fix a race condition between aborting and
  completing a SCSI command (bsc#1143706).
- scsi: qla2xxx: Introduce the function qla2xxx_init_sp()
  (bsc#1143706).
- scsi: qla2xxx: Enable type checking for the SRB free and done
  callback functions (bsc#1143706).
- scsi: qla2xxx: Rework key encoding in qlt_find_host_by_d_id()
  (bsc#1143706).
- scsi: qla2xxx: Set the responder mode if appropriate for ELS
  pass-through IOCBs (bsc#1143706).
- scsi: qla2xxx: Make it explicit that ELS pass-through IOCBs
  use little endian (bsc#1143706).
- scsi: qla2xxx: Check secondary image if reading the primary
  image fails (bsc#1143706).
- scsi: qla2xxx: Change the return type of
  qla24xx_read_flash_data() (bsc#1143706).
- scsi: qla2xxx: Introduce the be_id_t and le_id_t data types
  for FC src/dst IDs (bsc#1143706).
- scsi: qla2xxx: Complain if a soft reset fails (bsc#1143706).
- scsi: qla2xxx: Use memcpy() and strlcpy() instead of strcpy()
  and strncpy() (bsc#1143706).
- scsi: qla2xxx: Check the PCI info string output buffer size
  (bsc#1143706).
- scsi: qla2xxx: Complain if waiting for pending commands times
  out (bsc#1143706).
- scsi: qla2xxx: Declare fourth qla2x00_set_model_info() argument
  const (bsc#1143706).
- scsi: qla2xxx: Always check the qla2x00_wait_for_hba_online()
  return value (bsc#1143706).
- scsi: qla2xxx: Suppress multiple Coverity complaint about
  out-of-bounds accesses (bsc#1143706).
- scsi: qla2xxx: Suppress a Coveritiy complaint about integer
  overflow (bsc#1143706).
- scsi: qla2xxx: Remove unreachable code from qla83xx_idc_lock()
  (bsc#1143706).
- scsi: qla2xxx: Fix qla24xx_process_bidir_cmd() (bsc#1143706).
- scsi: qla2xxx: Simplify a debug statement (bsc#1143706).
- scsi: qla2xxx: Remove dead code (bsc#1143706).
- scsi: qla2xxx: Complain if parsing the version string fails
  (bsc#1143706).
- scsi: qla2xxx: Complain if a mailbox command times out
  (bsc#1143706).
- scsi: qla2xxx: Use strlcpy() instead of strncpy() (bsc#1143706).
- scsi: qla2xxx: Do not corrupt vha->plogi_ack_list (bsc#1143706).
- scsi: qla2xxx: Report the firmware status code if a mailbox
  command fails (bsc#1143706).
- scsi: qla2xxx: Fix session lookup in qlt_abort_work()
  (bsc#1143706).
- scsi: qla2xxx: Simplify qla24xx_abort_sp_done() (bsc#1143706).
- scsi: qla2xxx: Remove two superfluous tests (bsc#1143706).
- scsi: qla2xxx: Remove a superfluous pointer check (bsc#1143706).
- scsi: qla2xxx: Simplify qlt_lport_dump() (bsc#1143706).
- scsi: qla2xxx: Reduce the number of casts in GID list code
  (bsc#1143706).
- scsi: qla2xxx: Verify locking assumptions at runtime
  (bsc#1143706).
- scsi: qla2xxx: Change data_dsd into an array (bsc#1143706).
- scsi: qla2xxx: Declare qla_tgt_cmd.cdb const (bsc#1143706).
- scsi: qla2xxx: Reduce the scope of three local variables in
  qla2xxx_queuecommand() (bsc#1143706).
- scsi: qla2xxx: Change the return type of
  qla2x00_update_ms_fdmi_iocb() into void (bsc#1143706).
- scsi: qla2xxx: Declare the fourth ql_dump_buffer() argument
  const (bsc#1143706).
- scsi: qla2xxx: Remove a superfluous forward declaration
  (bsc#1143706).
- scsi: qla2xxx: Remove an include directive from qla_mr.c
  (bsc#1143706).
- scsi: qla2xxx: Include the <asm/unaligned.h> header file from
  qla_dsd.h (bsc#1143706).
- scsi: qla2xxx: Use tabs instead of spaces for indentation
  (bsc#1143706).
- scsi: qla2xxx: Improve Linux kernel coding style conformance
  (bsc#1143706).
- scsi: qla2xxx: Really fix qla2xxx_eh_abort() (bsc#1143706).
- scsi: qla2xxx: Make qla2x00_abort_srb() again decrease the sp
  reference count (bsc#1143706).
- commit adb520e
* Fri Sep 13 2019 ptesarik@suse.cz
- Refresh
  patches.suse/0001-iwlwifi-fw-use-helper-to-determine-whether-to-dump-p.patch.
- commit 09132ae
* Thu Sep 12 2019 lduncan@suse.com
- Add some qedf commits to blacklist file (bsc#1149976)
- commit ad7f2e8
* Thu Sep 12 2019 lduncan@suse.com
- scsi: qedf: Update the version to 8.42.3.0 (bsc#1149976).
- scsi: qedf: Fix race betwen fipvlan request and response path
  (bsc#1149976).
- scsi: qedf: Use discovery list to traverse rports (bsc#1149976).
- scsi: qedf: Decrease the LL2 MTU size to 2500 (bsc#1149976).
- scsi: qedf: Check for module unloading bit before processing
  link update AEN (bsc#1149976).
- scsi: qedf: Initiator fails to re-login to switch after link
  down (bsc#1149976).
- scsi: qedf: Add debug information for unsolicited processing
  (bsc#1149976).
- scsi: qedf: Add support for 20 Gbps speed (bsc#1149976).
- scsi: qedf: Add shutdown callback handler (bsc#1149976).
- scsi: qedf: Update module description string (bsc#1149976).
- scsi: qedf: Stop sending fipvlan request on unload
  (bsc#1149976).
- scsi: qedf: Print message during bailout conditions
  (bsc#1149976).
- scsi: qedf: remove set but not used variables (bsc#1149976).
- scsi: qedf: Update the driver version to 8.37.25.20
  (bsc#1149976).
- scsi: qedf: Check both the FCF and fabric ID before servicing
  clear virtual link (bsc#1149976).
- scsi: qedf: Check for link state before processing LL2 packets
  and send fipvlan retries (bsc#1149976).
- commit edee027
* Thu Sep 12 2019 sschricker@suse.de
- blacklist.conf: blacklist usb-c tcpm patch
- commit cef523e
* Thu Sep 12 2019 oneukum@suse.com
- Update
  patches.suse/USB-yurex-Fix-protection-fault-after-device-removal.patch
  (bsc#1146361 CVE-2019-15216).
- commit 9f9b329
* Thu Sep 12 2019 hare@suse.de
- scsi: qla2xxx: Use __le64 instead of uint32_t[2] for sending
  DMA addresses to firmware (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Introduce the dsd32 and dsd64 data structures
  (bsc#1082635 bsc#1141340 bsc#1143706).
- commit 2b904a4
* Thu Sep 12 2019 hare@suse.de
- scsi: lpfc: Fix reset recovery paths that are not recovering
  (bsc#1144375).
- scsi: lpfc: Resolve checker warning for lpfc_new_io_buf()
  (bsc#1144375).
- commit ee1d785
* Thu Sep 12 2019 hare@suse.de
- Refresh patches.suse/scsi-lpfc-remove-bg-debugfs-buffers.patch.
- commit 4f773b3
* Thu Sep 12 2019 hare@suse.de
- Replace lpfc patch with upstream version
- commit 3c282ad
* Thu Sep 12 2019 hare@suse.de
- Delete
  patches.suse/lpfc-validate-command-in-lpfc_sli4_scmd_to_wqidx_dis.patch.
- commit c675b1d
* Thu Sep 12 2019 hare@suse.de
- Delete
  patches.suse/scsi-qla2xxx-do-not-crash-on-uninitialized-pool-list.patch.
- commit fa84978
* Thu Sep 12 2019 hare@suse.de
- scsi: qla2xxx: cleanup trace buffer initialization
  (bsc#1134476).
- commit 08b5168
* Thu Sep 12 2019 hare@suse.de
- Move qla2xxx patch to sorted section
- Refresh
  patches.suse/scsi-qla2xxx-qla2x00_alloc_fw_dump-set-ha-eft.patch.
- commit db6251a
* Thu Sep 12 2019 jgross@suse.com
- x86/entry/64/compat: Fix stack switching for XEN PV
  (bsc#1108382).
- commit 1230401
* Thu Sep 12 2019 hare@suse.de
- Move qla2xxx patches to sorted section
- commit e7ed6ad
* Thu Sep 12 2019 hare@suse.de
- Move qla2xxx patch to sorted section
- Refresh
  patches.suse/scsi-qla2xxx-Correct-error-handling-during-initializ.patch.
- Refresh
  patches.suse/scsi-qla2xxx-do-not-crash-on-uninitialized-pool-list.patch.
- commit 9b7a265
* Thu Sep 12 2019 hare@suse.de
- Move qla2xxx patches to sorted section
- commit b105ad2
* Thu Sep 12 2019 hare@suse.de
- Move qla2xxx patch to sorted section
- Refresh
  patches.suse/scsi-qla2xxx-Remove-unnecessary-null-check.patch.
- Refresh
  patches.suse/scsi-qla2xxx-do-not-crash-on-uninitialized-pool-list.patch.
- commit 2ca1200
* Thu Sep 12 2019 hare@suse.de
- Delete
  patches.suse/blk-mq-backport-fixes-for-blk_mq_complete_e_request_.patch.
- commit 6fcbbe0
* Wed Sep 11 2019 palcantara@suse.de
- cifs: handle netapp error codes (bsc#1136261).
- commit a4c55b8
* Wed Sep 11 2019 tbogendoerfer@suse.de
- Update
  patches.suse/fm10k-Fix-a-potential-NULL-pointer-dereference.patch
  (bsc#1051510 bsc#1149612 CVE-2019-15924).
  Added CVE number.
- commit b01b6c4
* Wed Sep 11 2019 bp@suse.de
- EDAC/amd64: Set maximum channel layer size depending on family
  (bsc#1131489).
- commit a041bc2
* Wed Sep 11 2019 bp@suse.de
- EDAC/amd64: Recognize x16 symbol size (bsc#1131489).
- commit 8a821b0
* Wed Sep 11 2019 bp@suse.de
- EDAC/amd64: Support asymmetric dual-rank DIMMs (bsc#1131489).
- commit de7b092
* Wed Sep 11 2019 bp@suse.de
- EDAC/amd64: Cache secondary Chip Select registers (bsc#1131489).
- commit d1070b7
* Wed Sep 11 2019 bp@suse.de
- EDAC/amd64: Decode syndrome before translating address
  (bsc#1131489).
- commit d9fba58
* Wed Sep 11 2019 bp@suse.de
- EDAC/amd64: Support more than two Unified Memory Controllers
  (bsc#1131489).
- commit 108a5c3
* Wed Sep 11 2019 bp@suse.de
- EDAC/amd64: Find Chip Select memory size using Address Mask
  (bsc#1131489).
- commit 463adeb
* Wed Sep 11 2019 bp@suse.de
- EDAC/amd64: Adjust printed chip select sizes when interleaved
  (bsc#1131489).
- commit ea11aaa
* Wed Sep 11 2019 bp@suse.de
- EDAC/amd64: Initialize DIMM info for systems with more than
  two channels (bsc#1131489).
- EDAC/amd64: Recognize DRAM device type ECC capability
  (bsc#1131489).
- commit cd348ec
* Wed Sep 11 2019 bp@suse.de
- EDAC/amd64: Support more than two controllers for chip selects
  handling (bsc#1131489).
- commit c94d361
* Wed Sep 11 2019 bp@suse.de
- EDAC/amd64: Use a macro for iterating over Unified Memory
  Controllers (bsc#1131489).
- commit ec28f2f
* Wed Sep 11 2019 firo.yang@suse.com
- blk-wbt: Avoid lock contention and thundering herd issue in
  wbt_wait (bsc#1141543).
- commit 85c3f55
* Tue Sep 10 2019 tiwai@suse.de
- HID: cp2112: prevent sleeping function called from invalid
  context (bsc#1051510).
- wimax/i2400m: fix a memory leak bug (bsc#1051510).
- cx82310_eth: fix a memory leak bug (bsc#1051510).
- Bluetooth: btqca: Add a short delay before downloading the NVM
  (bsc#1051510).
- lan78xx: Fix memory leaks (bsc#1051510).
- liquidio: add cleanup in octeon_setup_iq() (bsc#1051510).
- spi: bcm2835aux: fix corruptions for longer spi transfers
  (bsc#1051510).
- spi: bcm2835aux: remove dangerous uncontrolled read of fifo
  (bsc#1051510).
- spi: bcm2835aux: unifying code between polling and interrupt
  driven code (bsc#1051510).
- commit 5fea6f2
* Tue Sep 10 2019 lduncan@suse.com
- scsi: qedi: remove declaration of nvm_image from stack
  (git-fixes).
- commit cf36782
* Tue Sep 10 2019 oneukum@suse.com
- Update
  patches.suse/0001-usb-usbmon-Read-text-within-supplied-buffer-size.patch
  (bsc#1150025 CVE-2019-9456).
  Added CVE
- commit 7b005aa
* Tue Sep 10 2019 sschricker@suse.de
- Refresh
  patches.suse/0001-iwlwifi-dbg-split-iwl_fw_error_dump-to-two-functions.patch.
  Original backport was wrong, fw_error_dump used without allocation.
- commit 703cfd3
* Tue Sep 10 2019 hare@suse.de
- blk-mq: backport fixes for blk_mq_complete_e_request_sync()
  (bsc#1145661).
- commit a78db03
* Tue Sep 10 2019 sschricker@suse.de
- iwlwifi: fw: use helper to determine whether to dump paging
  (bsc#1106434).
  Patch needed to be adjusted, because our tree doesn't have the global variable
  IWL_FW_ERROR_DUMP_PAGING
- commit 16bc427
* Tue Sep 10 2019 hare@suse.de
- nvme: cancel request synchronously (bsc#1145661).
- blk-mq: introduce blk_mq_complete_request_sync() (bsc#1145661).
- commit be2a321
* Tue Sep 10 2019 sschricker@suse.de
- iwlwifi: fix bad dma handling in page_mem dumping flow
  (bsc#1120902).
- commit adbc3e6
* Tue Sep 10 2019 msuchanek@suse.de
- powerpc: dump kernel log before carrying out fadump or kdump
  (bsc#1149940 ltc#179958).
- commit c8bead4
* Tue Sep 10 2019 msuchanek@suse.de
- Refresh patches with upstream status.
- commit c8e87ea
* Tue Sep 10 2019 hare@suse.de
- Refresh
  patches.suse/nvme-multipath-fix-ana-log-nsid-lookup-when-nsid-is-.patch.
- scripts/git_sort/git_sort.py:
- commit 6256d05
* Tue Sep 10 2019 hare@suse.de
- nvme-multipath: relax ANA state check (bsc#1123105).
- Delete
  patches.suse/nvme-schedule-requeue-whenever-a-LIVE-state-is-enter.patch.
- commit b1415e9
* Tue Sep 10 2019 hare@suse.de
- nvme-fc: fix module unloads while lports still pending
  (bsc#1150033).
- commit 0030228
* Mon Sep  9 2019 msuchanek@suse.de
- net/ibmvnic: Fix missing { in __ibmvnic_reset (bsc#1149652
  ltc#179635).
- commit 602733d
* Mon Sep  9 2019 msuchanek@suse.de
- net/ibmvnic: free reset work of removed device from queue
  (bsc#1149652 ltc#179635).
- ibmvnic: Do not process reset during or after device removal
  (bsc#1149652 ltc#179635).
- commit b05eda9
* Mon Sep  9 2019 lhenriques@suse.com
- Update
  patches.suse/ceph-remove-request-from-waiting-list-before-unregister.patch
  (bsc#1148133 bsc#1138539).
- commit 00e13f8
* Mon Sep  9 2019 lhenriques@suse.com
- Update
  patches.suse/ceph-remove-request-from-waiting-list-before-unregister.patch
  (bsc#1148133 bsc#1138539).
- commit 5160560
* Mon Sep  9 2019 dwagner@suse.de
- scsi: lpfc: Remove bg debugfs buffers (bsc#1144375).
- commit 6155cb4
* Mon Sep  9 2019 jthumshirn@suse.de
- libnvdimm/security: provide fix for secure-erase to use zero-key
  (bsc#1149853).
- commit 1605dc2
* Mon Sep  9 2019 guillaume.gardet@arm.com
- rpm/constraints.in: lower disk space required for ARM
  With a requirement of 35GB, only 2 slow workers are usable for ARM.
  Current aarch64 build requires 27G and armv6/7 requires 14G.
  Set requirements respectively to 30GB and 20GB.
- commit f84c163
* Mon Sep  9 2019 tzimmermann@suse.de
- drm/amdgpu: Add APTX quirk for Dell Latitude 5495 (bsc#1142635)
- commit 84b59c4
* Mon Sep  9 2019 tzimmermann@suse.de
- drm/i915: Don't deballoon unused ggtt drm_mm_node in linux guest (bsc#1142635)
- commit 662cb21
* Sun Sep  8 2019 tiwai@suse.de
- scsi: sd: Quiesce warning if device does not report optimal
  I/O size (git-fixes).
- commit 4d227c6
* Sat Sep  7 2019 tiwai@suse.de
- Revert patches.suse/0001-blk-wbt-Avoid-lock-contention-and-thundering-herd-is.patch (bsc#1141543)
  As we see stalls / crashes recently with the relevant code path, revert
  this patch tentatively.
- commit c8f11b1
* Fri Sep  6 2019 lduncan@suse.com
- Add 3 not-needeed commits to blacklist.conf from git-fixes.
- commit 735de86
* Fri Sep  6 2019 lduncan@suse.com
- scsi: sr: Avoid that opening a CD-ROM hangs with runtime power
  management enabled (git-fixes).
- Refresh
  patches.suse/scsi-sr-wait-for-the-medium-to-become-ready.patch.
- commit 9ec2045
* Fri Sep  6 2019 lduncan@suse.com
- scsi: virtio_scsi: don't send sc payload with tmfs (git-fixes).
- commit be1c4bf
* Fri Sep  6 2019 lduncan@suse.com
- scsi: sd: Fix a race between closing an sd device and sd I/O
  (git-fixes).
- commit 8f5e62e
* Fri Sep  6 2019 lduncan@suse.com
- scsi: sd: Optimal I/O size should be a multiple of physical
  block size (git-fixes).
- scsi: cxlflash: Prevent deadlock when adapter probe fails
  (git-fixes).
- scsi: sd: Fix cache_type_store() (git-fixes).
- scsi: sd: Defer spinning up drive while SANITIZE is in progress
  (git-fixes).
- scsi: sd_zbc: Fix potential memory leak (git-fixes).
- scsi: bfa: convert to strlcpy/strlcat (git-fixes).
- scsi: use dma_get_cache_alignment() as minimum DMA alignment
  (git-fixes).
- scsi: ufs: fix wrong command type of UTRD for UFSHCI v2.1
  (git-fixes).
- commit deec538
* Fri Sep  6 2019 tbogendoerfer@suse.de
- RDMA/hns: Fixs hw access invalid dma memory error (bsc#1104427
  FATE#326416).
- commit 843239d
* Fri Sep  6 2019 msuchanek@suse.de
- powerpc/tm: Fix restoring FP/VMX facility incorrectly on
  interrupts (CVE-2019-15031 bsc#1149713).
- powerpc/tm: Fix FP/VMX unavailable exceptions inside a
  transaction (CVE-2019-15030 bsc#1149713).
- commit 0b51abd
* Fri Sep  6 2019 tbogendoerfer@suse.de
- blacklist.conf: 4130741736d4 has fixes tag in merge commit
- commit 3dcb06e
* Fri Sep  6 2019 tbogendoerfer@suse.de
- RDMA/hns: Replace magic numbers with #defines (bsc#1104427
  FATE#326416).
- Refresh
  patches.suse/RDMA-hns-Bugfix-for-posting-multiple-srq-work-reques.patch.
- commit ffb1ce0
* Fri Sep  6 2019 tiwai@suse.de
- keys: Fix missing null pointer check in
  request_key_auth_describe() (bsc#1051510).
- commit 8fb27bb
* Fri Sep  6 2019 tiwai@suse.de
- watchdog: bcm2835_wdt: Fix module autoload (bsc#1051510).
- watchdog: fix compile time error of pretimeout governors
  (bsc#1051510).
- commit ded5db7
* Fri Sep  6 2019 tiwai@suse.de
- USB: storage: ums-realtek: Whitelist auto-delink support
  (bsc#1051510).
- USB: storage: ums-realtek: Update module parameter description
  for auto_delink_en (bsc#1051510).
- usb: host: ohci: fix a race condition between shutdown and irq
  (bsc#1051510).
- usb-storage: Add new JMS567 revision to unusual_devs
  (bsc#1051510).
- usb: chipidea: udc: don't do hardware access if gadget has
  stopped (bsc#1051510).
- usb: host: fotg2: restart hcd after port reset (bsc#1051510).
- usb: gadget: composite: Clear "suspended" on reset/disconnect
  (bsc#1051510).
- commit ea861f6
* Fri Sep  6 2019 tiwai@suse.de
- mmc: core: Fix init of SD cards reporting an invalid VDD range
  (bsc#1051510).
- commit c999d41
* Fri Sep  6 2019 tbogendoerfer@suse.de
- xdp: unpin xdp umem pages in error path (bsc#1109837).
- tools: bpftool: close prog FD before exit on showing a single
  program (bsc#1109837).
- bnxt_en: Fix to include flow direction in L2 key (bsc#1104745
  FATE#325918).
- bnxt_en: Use correct src_fid to determine direction of the flow
  (bsc#1104745 FATE#325918).
- bnxt_en: Improve RX doorbell sequence (bsc#1104745 FATE#325918).
- bnxt_en: Fix VNIC clearing logic for 57500 chips (bsc#1104745
  FATE#325918).
- tools: bpftool: fix error message (prog -> object)
  (bsc#1109837).
- ixgbe: fix possible deadlock in ixgbe_service_task()
  (bsc#1113994 FATE#326315 FATE#326317).
- net: hns3: typo in the name of a constant (bsc#1104353
  FATE#326415).
- RDMA/hns: Use %%pK format pointer print (bsc#1104427
  FATE#326416).
- RDMA/hns: Bugfix for calculating qp buffer size (bsc#1104427
  FATE#326416).
- RDMA/hns: Set reset flag when hw resetting (bsc#1104427
  FATE#326416).
- RDMA/hns: Modify ba page size for cqe (bsc#1104427 FATE#326416).
- RDMA/hns: Fixup qp release bug (bsc#1104427 FATE#326416).
- RDMA/hns: Remove set but not used variable
  'fclr_write_fail_flag' (bsc#1104427 FATE#326416).
- RDMA/hns: Fix an error code in hns_roce_set_user_sq_size()
  (bsc#1104427 FATE#326416).
- RDMa/hns: Don't stuck in endless timeout loop (bsc#1104427
  FATE#326416).
- RDMA/hns: reset function when removing module (bsc#1104427
  FATE#326416).
- RDMA/hns: Add mtr support for mixed multihop addressing
  (bsc#1104427 FATE#326416).
- RDMA/hns: Bugfix for filling the sge of srq (bsc#1104427
  FATE#326416).
- RDMA/hns: fix inverted logic of readl read and shift
  (bsc#1104427 FATE#326416).
- RDMA/hns: Remove unnecessary print message in aeq (bsc#1104427
  FATE#326416).
- net: hns: add support for vlan TSO (bsc#1104353 FATE#326415).
- net: hns3: set maximum length to resp_data_len for exceptional
  case (bsc#1104353 FATE#326415).
- net: hns3: bitwise operator should use unsigned type
  (bsc#1104353 FATE#326415).
- net: hns3: add default value for tc_size and tc_offset
  (bsc#1104353 FATE#326415).
- net: hns3: check msg_data before memcpy in hclgevf_send_mbx_msg
  (bsc#1104353 FATE#326415).
- net: hns3: set default value for param "type" in
  hclgevf_bind_ring_to_vector (bsc#1104353 FATE#326415).
- net: hns3: add all IMP return code (bsc#1104353 FATE#326415).
- net: hns3: fix flow control configure issue for fibre port
  (bsc#1104353 FATE#326415).
- net: hns3: enable broadcast promisc mode when initializing VF
  (bsc#1104353 FATE#326415).
- net: hns3: optimize the CSQ cmd error handling (bsc#1104353
  FATE#326415).
- net: hns3: remove RXD_VLD check in hns3_handle_bdinfo
  (bsc#1104353 FATE#326415).
- net: hns3: remove unused linkmode definition (bsc#1104353
  FATE#326415).
- net: hns3: fix a statistics issue about l3l4 checksum error
  (bsc#1104353 FATE#326415).
- net: hns3: handle empty unknown interrupt (bsc#1104353
  FATE#326415).
- net: hns3: re-schedule reset task while VF reset fail
  (bsc#1104353 FATE#326415).
- net: hns3: add Asym Pause support to fix autoneg problem
  (bsc#1104353 FATE#326415).
- net: hns3: fix a -Wformat-nonliteral compile warning
  (bsc#1104353 FATE#326415).
- net: hns3: add some error checking in hclge_tm module
  (bsc#1104353 FATE#326415).
- net: hns3: change SSU's buffer allocation according to UM
  (bsc#1104353 FATE#326415).
- net: hns3: enable DCB when TC num is one and pfc_en is non-zero
  (bsc#1104353 FATE#326415).
- net: hns3: fix __QUEUE_STATE_STACK_XOFF not cleared issue
  (bsc#1104353 FATE#326415).
- net: hns3: add exception handling when enable NIC HW error
  interrupts (bsc#1104353 FATE#326415).
- net: hns3: fixes wrong place enabling ROCE HW error when loading
  (bsc#1104353 FATE#326415).
- net: hns3: fix race conditions between reset and module loading
  & unloading (bsc#1104353 FATE#326415).
- net: hns3: add check to number of buffer descriptors
  (bsc#1104353 FATE#326415).
- net: hns3: remove override_pci_need_reset (bsc#1104353
  FATE#326415).
- net: hns3: modify handling of out of memory in hclge_err.c
  (bsc#1104353 FATE#326415).
- net: hns3: code optimizaition of hclge_handle_hw_ras_error()
  (bsc#1104353 FATE#326415).
- net: hns3: sync VLAN filter entries when kill VLAN ID failed
  (bsc#1104353 FATE#326415).
- net: hns3: remove VF VLAN filter entry inexistent warning print
  (bsc#1104353 FATE#326415).
- net: hns3: Add missing newline at end of file (bsc#1104353
  FATE#326415).
- net: hns3: fix dereference of ae_dev before it is null checked
  (bsc#1104353 FATE#326415).
- net: hns3: some variable modification (bsc#1104353 FATE#326415).
- net: hns3: delay ring buffer clearing during reset (bsc#1104353
  FATE#326415).
- net: hns3: fix for skb leak when doing selftest (bsc#1104353
  FATE#326415).
- net: hns3: fix for dereferencing before null checking
  (bsc#1104353 FATE#326415).
- net: hns3: free irq when exit from abnormal branch (bsc#1104353
  FATE#326415).
- net: hns3: clear restting state when initializing HW device
  (bsc#1104353 FATE#326415).
- net: hns3: extract handling of mpf/pf msi-x errors into
  functions (bsc#1104353 FATE#326415).
- net: hns3: some changes of MSI-X bits in PPU(RCB) (bsc#1104353
  FATE#326415).
- net: hns3: add recovery for the H/W errors occurred before
  the HNS dev initialization (bsc#1104353 FATE#326415).
- net: hns3: process H/W errors occurred before HNS dev
  initialization (bsc#1104353 FATE#326415).
- net: hns3: fix avoid unnecessary resetting for the H/W errors
  which do not require reset (bsc#1104353 FATE#326415).
- net: hns3: delay setting of reset level for hw errors until
  slot_reset is called (bsc#1104353 FATE#326415).
- net: hns3: fix some coding style issues (bsc#1104353
  FATE#326415).
- net: hns3: some modifications to simplify and optimize code
  (bsc#1104353 FATE#326415).
- net: hns3: refactor PF/VF RSS hash key configuration
  (bsc#1104353 FATE#326415).
- net: hns3: use macros instead of magic numbers (bsc#1104353
  FATE#326415).
- net: hns3: small changes for magic numbers (bsc#1104353
  FATE#326415).
- net: hns3: delete the redundant user NIC codes (bsc#1104353
  FATE#326415).
- net: hns3: trigger VF reset if a VF has an over_8bd_nfe_err
  (bsc#1104353 FATE#326415).
- net: hns3: refactor hns3_get_new_int_gl function (bsc#1104353
  FATE#326415).
- net: hns3: replace numa_node_id with numa_mem_id for buffer
  reusing (bsc#1104353 FATE#326415).
- net: hns3: make HW GRO handling compliant with SW GRO
  (bsc#1104353 FATE#326415).
- net: hns3: fix wrong size of mailbox responding data
  (bsc#1104353 FATE#326415).
- net: hns3: log detail error info of ROCEE ECC and AXI errors
  (bsc#1104353 FATE#326415).
- net: hns3: delay and separate enabling of NIC and ROCE HW errors
  (bsc#1104353 FATE#326415).
- net: hns3: add opcode about query and clear RAS & MSI-X to
  special opcode (bsc#1104353 FATE#326415).
- net: hns3: remove setting bit of reset_requests when handling
  mac tunnel interrupts (bsc#1104353 FATE#326415).
- net: hns3: add handling of two bits in MAC tunnel interrupts
  (bsc#1104353 FATE#326415).
- net: hns3: set ops to null when unregister ad_dev (bsc#1104353
  FATE#326415).
- net: hns3: add a check to pointer in error_detected and
  slot_reset (bsc#1104353 FATE#326415).
- net: hns3: set the port shaper according to MAC speed
  (bsc#1104353 FATE#326415).
- net: hns3: fix VLAN filter restore issue after reset
  (bsc#1104353 FATE#326415).
- net: hns3: don't configure new VLAN ID into VF VLAN table when
  it's full (bsc#1104353 FATE#326415).
- net: hns3: remove redundant core reset (bsc#1104353
  FATE#326415).
- net: hns3: fix a memory leak issue for
  hclge_map_unmap_ring_to_vf_vector (bsc#1104353 FATE#326415).
- net: hns3: adjust hns3_uninit_phy()'s location in the
  hns3_client_uninit() (bsc#1104353 FATE#326415).
- net: hns3: stop schedule reset service while unloading driver
  (bsc#1104353 FATE#326415).
- net: hns3: add handshake with hardware while doing reset
  (bsc#1104353 FATE#326415).
- net: hns3: modify hclgevf_init_client_instance() (bsc#1104353
  FATE#326415).
- net: hns3: modify hclge_init_client_instance() (bsc#1104353
  FATE#326415).
- net: hns3: use HCLGEVF_STATE_NIC_REGISTERED to indicate VF
  NIC client has registered (bsc#1104353 FATE#326415).
- net: hns3: use HCLGE_STATE_ROCE_REGISTERED to indicate PF ROCE
  client has registered (bsc#1104353 FATE#326415).
- net: hns3: use HCLGE_STATE_NIC_REGISTERED to indicate PF NIC
  client has registered (bsc#1104353 FATE#326415).
- net: hns3: add support for dump firmware statistics by debugfs
  (bsc#1104353 FATE#326415).
- net: hns3: fix compile warning without CONFIG_RFS_ACCEL
  (bsc#1104353 FATE#326415).
- net: hns3: add aRFS support for PF (bsc#1104353 FATE#326415).
- net: hns3: refine the flow director handle (bsc#1104353
  FATE#326415).
- net: hns3: initialize CPU reverse mapping (bsc#1104353
  FATE#326415).
- commit 9596114
* Fri Sep  6 2019 tiwai@suse.de
- intel_th: pci: Add Tiger Lake support (bsc#1051510).
- intel_th: pci: Add support for another Lewisburg PCH
  (bsc#1051510).
- commit 7b5b3ce
* Fri Sep  6 2019 tiwai@suse.de
- i2c: piix4: Fix port selection for AMD Family 16h Model 30h
  (bsc#1051510).
- i2c: emev2: avoid race when unregistering slave client
  (bsc#1051510).
- commit 3807a4a
* Fri Sep  6 2019 tiwai@suse.de
- Revert "cfg80211: fix processing world regdomain when non
  modular" (bsc#1051510).
- commit df69fa0
* Fri Sep  6 2019 tiwai@suse.de
- Drop an ASoC fix that was reverted in 4.14.y stable
- commit 5dddfc0
* Fri Sep  6 2019 ptesarik@suse.cz
- Refresh
  patches.suse/crypto-ccp-Ignore-unconfigured-CCP-device-on-suspend.patch.
- commit 23b4ba5
* Fri Sep  6 2019 jlee@suse.com
- ACPICA: Increase total number of possible Owner IDs
  (bsc#1148859).
- commit 4ee4651
* Fri Sep  6 2019 tiwai@suse.de
- ALSA: hda/realtek - Enable internal speaker & headset mic of
  ASUS UX431FL (bsc#1051510).
- ALSA: hda/realtek - Add quirk for HP Pavilion 15 (bsc#1051510).
- commit a1dc171
* Fri Sep  6 2019 tiwai@suse.de
- ALSA: hda: kabi workaround for generic parser flag
  (bsc#1051510).
- commit b9ae4e4
* Fri Sep  6 2019 tiwai@suse.de
- ALSA: hda/realtek - Fix the problem of two front mics on a
  ThinkCentre (bsc#1051510).
- ALSA: hda/realtek - Fix overridden device-specific
  initialization (bsc#1051510).
- ALSA: hda - Fix potential endless loop at applying quirks
  (bsc#1051510).
- commit 79578b1
* Fri Sep  6 2019 firo.yang@suse.com
- blk-wbt: Avoid lock contention and thundering herd issue in
  wbt_wait (bsc#1141543).
- commit a9a1f2a
* Thu Sep  5 2019 ptesarik@suse.cz
- crypto: virtio - Register an algo only if it's supported
  (jsc#SLE-5844 jsc#SLE-6331 FATE#327377 bsc#1145446 LTC#175307).
- crypto: virtio - Read crypto services and algorithm masks
  (jsc#SLE-5844 jsc#SLE-6331 FATE#327377 bsc#1145446 LTC#175307).
- commit 45a2564
* Thu Sep  5 2019 tiwai@suse.de
- Update patch reference for CIFS security issue (CVE-2019-15920, bsc#1149626)
- commit a1da6e9
* Thu Sep  5 2019 tiwai@suse.de
- Update patch reference for netlink security issue (CVE-2019-15921, bsc#1149602)
- commit 853f899
* Thu Sep  5 2019 tiwai@suse.de
- rsi: add fix for crash during assertions
  (CVE-2018-21008,bsc#1149591).
- commit a7d4c26
* Thu Sep  5 2019 tiwai@suse.de
- Update patch reference for cifs security issue (CVE-2019-15919, bsc#1149552)
- commit 2c7d41a
* Thu Sep  5 2019 tiwai@suse.de
- Update patch reference for BT security matter (CVE-2019-15917, bsc#1149539)
- commit 8e349ee
* Thu Sep  5 2019 ptesarik@suse.cz
- Update vanilla config files.
- commit f5f968e
* Thu Sep  5 2019 tiwai@suse.de
- Update patch references for ath6kl security matter (CVE-2019-15926, bsc#1149527)
- commit d442f4a
* Thu Sep  5 2019 jlee@suse.com
- Update config files. (bsc#1145687)
  Add the following kernel config to ARM64:
  CONFIG_ACPI_PCI_SLOT=y
  CONFIG_HOTPLUG_PCI_ACPI=y
- commit 2628c46
* Thu Sep  5 2019 tiwai@suse.de
- Update patch reference for USB-audio security matter (CVE-2019-15927, bsc#1149522)
- commit d55fe63
* Thu Sep  5 2019 jroedel@suse.de
- kvm/x86: Move MSR_IA32_ARCH_CAPABILITIES to array emulated_msrs
  (bsc#1134881 bsc#1134882).
- commit 3ea1de5
* Thu Sep  5 2019 jlee@suse.com
- Update config files. (bsc#1145687)
  Add the following kernel config to ARM64:
  CONFIG_ACPI_PCI_SLOT=y
  CONFIG_HOTPLUG_PCI_ACPI=y
- commit 6cbb147
* Thu Sep  5 2019 msuchanek@suse.de
- powerpc/xmon: Add a dump of all XIVE interrupts (bsc#1142019).
- powerpc/xive: Fix dump of XIVE interrupt under pseries
  (bsc#1142019).
- powerpc/xmon: Check for HV mode when dumping XIVE info from OPAL
  (bsc#1142019).
- commit 8c4905a
* Wed Sep  4 2019 mbenes@suse.cz
- ftrace: Check for successful allocation of hash (bsc#1149424).
- commit 51371b7
* Wed Sep  4 2019 tiwai@suse.de
- Refresh patches.suse/supported-flag-wildcards: fix up references
- commit 7db373b
* Wed Sep  4 2019 mbenes@suse.cz
- ftrace: Check for empty hash and comment the race with
  registering probes (bsc#1149418).
- commit b0a7e90
* Wed Sep  4 2019 mbenes@suse.cz
- ftrace: Fix NULL pointer dereference in t_probe_next()
  (bsc#1149413).
- commit 62b7991
* Wed Sep  4 2019 tiwai@suse.de
- mac80211: Correctly set noencrypt for PAE frames (bsc#1111666).
- mac80211: Don't memset RXCB prior to PAE intercept
  (bsc#1111666).
- commit 4a2b3e7
* Wed Sep  4 2019 tiwai@suse.de
- VMCI: Release resource if the work is already queued
  (bsc#1051510).
- commit cdeec63
* Wed Sep  4 2019 tiwai@suse.de
- USB: cdc-wdm: fix race between write and disconnect due to
  flag abuse (bsc#1051510).
- usb: host: xhci: rcar: Fix typo in compatible string matching
  (bsc#1051510).
- commit c194437
* Wed Sep  4 2019 tiwai@suse.de
- test_firmware: fix a memory leak bug (bsc#1051510).
- commit 39763a7
* Wed Sep  4 2019 tiwai@suse.de
- scripts/decode_stacktrace.sh: prefix addr2line with
  $CROSS_COMPILE (bsc#1051510).
- scripts/checkstack.pl: Fix arm64 wrong or unknown architecture
  (bsc#1051510).
- scripts/gdb: fix lx-version string output (bsc#1051510).
- scripts/decode_stacktrace: only strip base path when a prefix
  of the path (bsc#1051510).
- commit de6197f
* Wed Sep  4 2019 tiwai@suse.de
- samples, bpf: fix to change the buffer size for read()
  (bsc#1051510).
- samples: mei: use /dev/mei0 instead of /dev/mei (bsc#1051510).
- rtc: pcf8523: don't return invalid date when battery is low
  (bsc#1051510).
- commit d64864a
* Wed Sep  4 2019 tiwai@suse.de
- mmc: sdhci-of-at91: add quirk for broken HS200 (bsc#1051510).
- mpls: fix warning with multi-label encap (bsc#1051510).
- commit f180985
* Wed Sep  4 2019 tiwai@suse.de
- batman-adv: Only read OGM2 tvlv_len after buffer len check
  (bsc#1051510).
- batman-adv: Only read OGM tvlv_len after buffer len check
  (bsc#1051510).
- batman-adv: fix uninit-value in batadv_netlink_get_ifindex()
  (bsc#1051510).
- mac80211: fix possible sta leak (bsc#1051510).
- libata: add SG safety checks in SFF pio transfers (bsc#1051510).
- libata: have ata_scsi_rw_xlat() fail invalid passthrough
  requests (bsc#1051510).
- can: peak_usb: force the string buffer NULL-terminated
  (bsc#1051510).
- can: sja1000: force the string buffer NULL-terminated
  (bsc#1051510).
- isdn: hfcsusb: Fix mISDN driver crash caused by transfer buffer
  on the stack (bsc#1051510).
- isdn: mISDN: hfcsusb: Fix possible null-pointer dereferences
  in start_isoc_chain() (bsc#1051510).
- HID: hiddev: do cleanup in failure of opening a device
  (bsc#1051510).
- HID: Add 044f:b320 ThrustMaster, Inc. 2 in 1 DT (bsc#1051510).
- kconfig/[mn]conf: handle backspace (^H) key (bsc#1051510).
- gpio: mxs: Get rid of external API call (bsc#1051510).
- gpio: pxa: handle corner case of unprobed device (bsc#1051510).
- i2c: qup: fixed releasing dma without flush operation completion
  (bsc#1051510).
- commit 84a9af1
* Wed Sep  4 2019 mhocko@suse.com
- x86/ptrace: Fix possible spectre-v1 in ptrace_get_debugreg()
  (bnc#1149376, CVE-2019-15902).
- commit b08113e
* Wed Sep  4 2019 jthumshirn@suse.de
- Btrfs: add one more sanity check for shared ref type
  (bsc#1149325).
- Btrfs: remove BUG_ON in __add_tree_block (bsc#1149325).
- Btrfs: remove BUG() in add_data_reference (bsc#1149325).
- Btrfs: remove BUG() in print_extent_item (bsc#1149325).
- Btrfs: remove BUG() in btrfs_extent_inline_ref_size
  (bsc#1149325).
- Btrfs: convert to use btrfs_get_extent_inline_ref_type
  (bsc#1149325).
- Btrfs: add a helper to retrive extent inline ref type
  (bsc#1149325).
- commit cfb980a
* Wed Sep  4 2019 vbabka@suse.cz
- mm/memcontrol.c: fix use after free in mem_cgroup_iter()
  (bsc#1149224, VM Functionality).
- commit ac66c64
* Wed Sep  4 2019 yousaf.kaukab@suse.com
- config: arm64: Remove CONFIG_ARM64_MODULE_CMODEL_LARGE
  Option removed by patches in bsc#1148219
- commit 664ffb2
* Tue Sep  3 2019 tiwai@suse.de
- Fix patch tags (references, patch-mainline) for legacy patches
  so that now all patches.suse/* pass check-patchhdr tests
- commit 192eaa2
* Tue Sep  3 2019 msuchanek@suse.de
- powerpc/fadump: when fadump is supported register the fadump
  sysfs files (bsc#1146352).
- commit 841a3ce
* Tue Sep  3 2019 vbabka@suse.cz
- mm/vmscan.c: fix trying to reclaim unevictable LRU page
  (bsc#1149214, VM Functionality).
- commit 6a7c2cb
* Tue Sep  3 2019 oneukum@suse.com
- iwlwifi: dbg: split iwl_fw_error_dump to two functions
  (bsc#1119086).
- commit 1d624ef
* Tue Sep  3 2019 vbabka@suse.cz
- blacklist.conf: blacklist several MM git-fixes suggestions, with reasons
- commit 428ccb6
* Tue Sep  3 2019 vbabka@suse.cz
- mm, page_owner: handle THP splits correctly (bsc#1149197,
  VM Debugging Functionality).
- commit a83b4e4
* Tue Sep  3 2019 yousaf.kaukab@suse.com
- arm64: module: don't BUG when exceeding preallocated PLT count (bsc#1148219).
- commit 97aa7d8
* Tue Sep  3 2019 lhenriques@suse.com
- ceph: hold i_ceph_lock when removing caps for freeing inode
  (bsc#1148133).
- commit 629b4f4
* Tue Sep  3 2019 tiwai@suse.de
- Rename patches to the unified patches.suse directory
  To adapt the directory structure like master/stable/SLE15-SP2 branches.
  No code change by this action at all.
- commit 7cc35ba
* Mon Sep  2 2019 tiwai@suse.de
- blacklist.conf: Add an entry for CVE that is needed only for SLE15-SP1+
- commit c68886c
* Mon Sep  2 2019 tiwai@suse.de
- ASoC: Fail card instantiation if DAI format setup fails
  (bsc#1051510).
- commit a3eaad8
* Mon Sep  2 2019 lhenriques@suse.com
- ceph: hold i_ceph_lock when removing caps for freeing inode
  (bsc#1148133).
- commit 54b77e9
* Mon Sep  2 2019 jroedel@suse.de
- KVM: x86: Don't update RIP or do single-step on faulting
  emulation (bsc#1149104).
- PCI: PM/ACPI: Refresh all stale power state data in
  pci_pm_complete() (bsc#1149106).
- iommu/amd: Move iommu_init_pci() to .init section (bsc#1149105).
- commit 17b069a
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/nouveau: Don't retry infinitely when receiving no data on i2c (bsc#1142635)
- commit 46e796d
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/mediatek: mtk_drm_drv.c: Add of_node_put() before goto (bsc#1142635)
- commit 98b8c4a
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/mediatek: use correct device to import PRIME buffers (bsc#1142635)
- commit 1e19002
* Mon Sep  2 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix various tracepoints for gen2'
- commit 38319ef
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/i915: Fix wrong escape clock divisor init for GLK (bsc#1142635)
- commit c80e12d
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/rockchip: Suspend DP late (bsc#1142635)
- commit 1089448
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/i915/perf: ensure we keep a reference on the driver (bsc#1142635)
- commit 7bd2cc2
* Mon Sep  2 2019 tzimmermann@suse.de
- gpu: ipu-v3: ipu-ic: Fix saturation bit offset in TPMEM (bsc#1142635)
- commit 7ac15a8
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/msm/mdp5: Fix mdp5_cfg_init error return (bsc#1142635)
- commit b980f78
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/imx: only send event on crtc disable if kept disabled (bsc#1135642)
- commit b07f744
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/imx: notify drm core before sending event during crtc disable (bsc#1135642)
- commit 9612fe4
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/etnaviv: add missing failure path to destroy suballoc (bsc#1135642)
- commit 514d0e0
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/vmwgfx: fix a warning due to missing dma_parms (bsc#1135642)
- commit e42b762
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/vmwgfx: Use the backdoor port if the HB port is not available (bsc#1135642)
- commit ef3cc96
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/mediatek: call mtk_dsi_stop() after mtk_drm_crtc_atomic_disable() (bsc#1135642)
- commit eddd851
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/mediatek: clear num_pipes when unbind driver (bsc#1135642)
- commit 41d1d1c
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/mediatek: call drm_atomic_helper_shutdown() when unbinding driver (bsc#1135642)
- commit e1a36d5
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/mediatek: unbind components in mtk_drm_unbind() (bsc#1135642)
- commit a2c6951
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/mediatek: fix unbind functions (bsc#1135642)
- commit cab18d8
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/amdgpu/psp: move psp version specific function pointers to (bsc#1135642)
- commit 30a932b
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/udl: move to embedding drm device inside udl device. (bsc#1113722)
- commit d5b1803
* Mon Sep  2 2019 tzimmermann@suse.de
- drm/udl: introduce a macro to convert dev to udl. (bsc#1113722)
- commit ecbbcc3
* Mon Sep  2 2019 jslaby@suse.cz
- ipip: validate header length in ipip_tunnel_xmit (git-fixes).
- commit 09a79ed
* Mon Sep  2 2019 mkubecek@suse.cz
- tcp: fix tcp_rtx_queue_tail in case of empty retransmit queue
  (CVE-2019-11477 bsc#1137586 bsc#1139751).
- move core networking kabi patches to the end of the section
- commit cc9fad9
* Mon Sep  2 2019 mkubecek@suse.cz
- xfrm: policy: Fix out-of-bound array accesses in
  __xfrm_policy_unlink (CVE-2019-15666 bsc#1148394).
- commit a9a90f0
* Sat Aug 31 2019 ailiopoulos@suse.com
- xfs: don't trip over uninitialized buffer on extent read of
  corrupted inode (bsc#1149053).
- commit c9da56d
* Fri Aug 30 2019 tiwai@suse.de
- mac80211_hwsim: Fix possible null-pointer dereferences in
  hwsim_dump_radio_nl() (bsc#1111666).
- commit 313ff15
* Fri Aug 30 2019 tiwai@suse.de
- octeon_mgmt: Fix MIX registers configuration on MTU setup
  (bsc#1051510).
- commit eea7d06
* Fri Aug 30 2019 tiwai@suse.de
- phy: renesas: rcar-gen2: Fix memory leak at error paths
  (bsc#1051510).
- phy: qcom-qusb2: Fix crash if nvmem cell not specified
  (bsc#1051510).
- commit 9e7fa12
* Fri Aug 30 2019 tiwai@suse.de
- rpmsg: smd: fix memory leak on channel create (bsc#1051510).
- rpmsg: smd: do not use mananged resources for endpoints and
  channels (bsc#1051510).
- rpmsg: added MODULE_ALIAS for rpmsg_char (bsc#1051510).
- commit d7c0ba2
* Fri Aug 30 2019 tiwai@suse.de
- rslib: Fix handling of of caller provided syndrome
  (bsc#1051510).
- rslib: Fix decoding of shortened codes (bsc#1051510).
- rsi: improve kernel thread handling to fix kernel panic
  (bsc#1051510).
- commit c4cce46
* Fri Aug 30 2019 tiwai@suse.de
- st_nci_hci_connectivity_event_received: null check the
  allocation (bsc#1051510).
- st21nfca_connectivity_event_received: null check the allocation
  (bsc#1051510).
- commit ef2a23a
* Fri Aug 30 2019 lduncan@suse.com
- Add unneeded git-fixes patches to blacklist.
- commit 32de733
* Fri Aug 30 2019 lduncan@suse.com
- scsi: sd: use mempool for discard special page (git-fixes).
- commit cad43a5
* Fri Aug 30 2019 neilb@suse.com
- NFS: Cleanup if nfs_match_client is interrupted (bsc#1134291).
- NFS: Fix a double unlock from nfs_match,get_client
  (bsc#1134291).
- NFS: make nfs_match_client killable (bsc#1134291).
- commit 45fc7a3
* Fri Aug 30 2019 lduncan@suse.com
- scsi: ufs: Fix NULL pointer dereference in
  ufshcd_config_vreg_hpm() (git-fixes).
- commit 65ae829
* Thu Aug 29 2019 lduncan@suse.com
- fix struct ufs_req removal of unused field (git-fixes).
- Revert "scsi: ufs: disable vccq if it's not needed by UFS
  device" (git-fixes).
- commit de6b9e1
* Thu Aug 29 2019 msuchanek@suse.de
- scsi: cxlflash: Mark expected switch fall-throughs
  (bsc#1148868).
- commit 6e0c73b
* Thu Aug 29 2019 msuchanek@suse.de
- ibmveth: Convert multicast list size for little-endian system
  (bsc#1061843).
- Refresh patches.suse/ibmveth-Update-ethtool-settings-to-reflect-virtual-p.patch.
- commit 256fe94
* Thu Aug 29 2019 yousaf.kaukab@suse.com
- arm64/kernel: enable A53 erratum #8434319 handling at runtime (bsc#1148219).
  Refresh:
    patches.suse/0006-arm64-Add-ARCH_WORKAROUND_2-probing.patch
    patches.suse/0017-arm64-capabilities-Clean-up-midr-range-helpers.patch
    patches.suse/0021-arm64-Delay-enabling-hardware-DBM-feature.patch
    patches.suse/0026-arm64-mm-Support-Common-Not-Private-translations.patch
    patches.suse/0008-kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch
- commit 709063b
* Thu Aug 29 2019 oneukum@suse.com
- Update
  patches.drivers/USB-sisusbvga-fix-oops-in-error-path-of-sisusb_probe.patch
  (bsc#1146524 CVE-2019-15219).
  Added CVE
- commit 97dc108
* Thu Aug 29 2019 dwagner@suse.de
- lpfc: fix 12.4.0.0 GPF at boot (bsc#1148308).
- scsi: lpfc: Merge per-protocol WQ/CQ pairs into single per-cpu
  pair (bsc#1146215).
- commit 13ef7ce
* Thu Aug 29 2019 jack@suse.cz
- dax: dax_layout_busy_page() should not unmap cow pages
  (bsc#1148698).
- commit f016c95
* Thu Aug 29 2019 dwagner@suse.de
- scsi: megaraid_sas: Release Mutex lock before OCR in case of DCMD timeout (bsc#1143962).
- scsi: megaraid_sas: IRQ poll to avoid CPU hard lockups (bsc#1143962).
- commit 3c0d042
* Wed Aug 28 2019 lduncan@suse.com
- scsi: esp_scsi: Track residual for PIO transfers (git-fixes)
  Also, mitigate kABI changes.
- commit e73b6be
* Wed Aug 28 2019 msuchanek@suse.de
- Revert "Do not enforce patch directories yet."
  Prepare to merge all patches to patches.suse.
- commit b886694
* Wed Aug 28 2019 jack@suse.cz
- blacklist.conf: Blacklist b5e02b484d6f
- commit 4f11966
* Wed Aug 28 2019 jack@suse.cz
- vfs: fix page locking deadlocks when deduping files
  (bsc#1148619).
- commit d37851d
* Wed Aug 28 2019 jack@suse.cz
- udf: Fix incorrect final NOT_ALLOCATED (hole) extent length
  (bsc#1148617).
- commit 2b252d1
* Wed Aug 28 2019 jack@suse.cz
- ext4: use jbd2_inode dirty range scoping (bsc#1148616).
- commit 12b3b4c
* Wed Aug 28 2019 jack@suse.cz
- jbd2: introduce jbd2_inode dirty range scoping (bsc#1148616).
- commit 5432bdc
* Wed Aug 28 2019 jack@suse.cz
- mm: add filemap_fdatawait_range_keep_errors() (bsc#1148616).
- commit d4658a8
* Wed Aug 28 2019 jack@suse.cz
- blacklist.conf: Blacklist 4e19d6b65fb4
- commit 5cf149d
* Wed Aug 28 2019 jack@suse.cz
- blacklist.conf: Blacklist 2e5384036277 and 02b016ca7f99
- commit 69ccf52
* Wed Aug 28 2019 lhenriques@suse.com
- ceph: increment change_attribute on local changes (bsc#1148133
  bsc#1136682).
- ceph: handle change_attr in cap messages (bsc#1148133
  bsc#1136682).
- ceph: add change_attr field to ceph_inode_info (bsc#1148133
  bsc#1136682).
- iversion: add a routine to update a raw value with a larger one
  (bsc#1148133).
- libceph: turn on CEPH_FEATURE_MSG_ADDR2 (bsc#1148133
  bsc#1136682).
- ceph: handle btime in cap messages (bsc#1148133 bsc#1136682).
- ceph: add btime field to ceph_inode_info (bsc#1148133
  bsc#1136682).
- libceph: rename ceph_encode_addr to ceph_encode_banner_addr
  (bsc#1148133 bsc#1136682).
- libceph: use TYPE_LEGACY for entity addrs instead of TYPE_NONE
  (bsc#1148133 bsc#1136682).
- ceph: fix decode_locker to use ceph_decode_entity_addr
  (bsc#1148133 bsc#1136682).
- ceph: have MDS map decoding use entity_addr_t decoder
  (bsc#1148133 bsc#1136682).
- libceph: correctly decode ADDR2 addresses in incremental OSD
  maps (bsc#1148133 bsc#1136682).
- libceph: fix watch_item_t decoding to use
  ceph_decode_entity_addr (bsc#1148133 bsc#1136682).
- libceph: switch osdmap decoding to use ceph_decode_entity_addr
  (bsc#1148133 bsc#1136682).
- libceph: ADDR2 support for monmap (bsc#1148133 bsc#1136682).
- libceph: add ceph_decode_entity_addr (bsc#1148133 bsc#1136682).
- libceph: fix sa_family just after reading address (bsc#1148133
  bsc#1136682).
- commit 4b95318
* Wed Aug 28 2019 lhenriques@suse.com
- ceph: remove unused vxattr length helpers (bsc#1148133
  bsc#1148570).
- Refresh
  patches.fixes/ceph-fix-buffer-free-while-holding-i_ceph_lock-in-_ceph_build_xattrs_blob.patch.
- commit 4827aab
* Wed Aug 28 2019 lhenriques@suse.com
- ceph: fix listxattr vxattr buffer length calculation
  (bsc#1148133 bsc#1148570).
- ceph: add ceph.snap.btime vxattr (bsc#1148133 bsc#1148570).
- ceph: carry snapshot creation time with inodes (bsc#1148133
  bsc#1148570).
- libceph: make ceph_pr_addr take an struct ceph_entity_addr
  pointer (bsc#1136682).
- libceph: fix unaligned accesses in ceph_entity_addr handling
  (bsc#1136682).
- commit 5483eea
* Wed Aug 28 2019 vbabka@suse.cz
- blacklist.conf: add two commits suggested by git-fixes
- commit e79e5d9
* Wed Aug 28 2019 vbabka@suse.cz
- mm: do not stall register_shrinker() (bsc#1104902, VM
  Performance).
- commit e53832c
* Wed Aug 28 2019 vbabka@suse.cz
- mm: page_mapped: don't assume compound page is huge or THP
  (bsc#1148574, VM Functionality).
- commit 7d7c483
* Wed Aug 28 2019 tiwai@suse.de
- mwifiex: Fix three heap overflow at
  parsing element in cfg80211_ap_settings
  (CVE-2019-14814,bsc#1146512,CVE-2019-14815,bsc#1146514,CVE-2019-14816,bsc#1146516).
- commit 3d20ec5
* Wed Aug 28 2019 yousaf.kaukab@suse.com
- arm64: fix undefined reference to 'printk' (bsc#1148219).
- commit ebb0d12
* Wed Aug 28 2019 yousaf.kaukab@suse.com
- arm64/kernel: rename module_emit_adrp_veneer->module_emit_veneer_for_adrp (bsc#1148219).
- arm64/kernel: don't ban ADRP to work around Cortex-A53 erratum
  Refresh:
  patches.suse/0046-arm64-sve-Document-firmware-support-requirements-in-.patch
- commit cbe0ca5
* Wed Aug 28 2019 jslaby@suse.cz
- net: sched: verify that q!=NULL before setting q->flags
  (git-fixes).
- net: Fix netdev_WARN_ONCE macro (git-fixes).
- commit 824e4ec
* Wed Aug 28 2019 vbabka@suse.cz
- mm/mlock.c: mlockall error for flag MCL_ONFAULT (bsc#1148527,
  VM Functionality).
- commit e12a969
* Wed Aug 28 2019 vbabka@suse.cz
- mm/mlock.c: change count_mm_mlocked_page_nr return type
  (bsc#1148527, VM Functionality).
- commit 3830f43
* Wed Aug 28 2019 jthumshirn@suse.de
- rename patches according to their names in SLE15-SP1.
- commit ee1f8f0
* Wed Aug 28 2019 jslaby@suse.cz
- net: Introduce netdev_*_once functions
  (networking-stable-19_07_25).
- commit 92e5672
* Wed Aug 28 2019 msuchanek@suse.de
- Remove qla2xxx-specific symbols kABI workarounds.
  In SLE15 1d5e8aad6de2285a00b4e1f2c5ea64a41e74bb7b adds kABI whitelists
  for drivers/scsi/qla2xxx/* because these symbols are internal to the
  driver. This entry was dropped from 15 SP1 during a kabi/severities
  cleanup and we grew a few needless kABI hacks to fix these symbols.
  Remove them again since the commit is cherry-picked on SP1.
- Refresh patches.kabi/qla2xxx-kABI-fixes-for-v10.01.00.18-k.patch.
- Delete patches.kabi/qla2xxx-kABI-fixes-for-v10.00.00.14-k.patch.
- Delete patches.kabi/qla2xxx-kABI-fixes-for-v10.01.00.15-k.patch.
- commit d8f353f
* Wed Aug 28 2019 oneukum@suse.com
- carl9170: fix misuse of device driver API (bsc#1142635).
- commit f2e9e8d
* Wed Aug 28 2019 oneukum@suse.com
- blacklist.conf: only logged messages
- commit 7edba04
* Wed Aug 28 2019 oneukum@suse.com
- p54usb: Fix race between disconnect and firmware loading
  (bsc#1146526 CVE-2019-15220).
- commit a52b2b6
* Wed Aug 28 2019 jslaby@suse.cz
- netrom: hold sock when setting skb->destructor
  (networking-stable-19_07_25).
- vrf: make sure skb->data contains ip header to make routing
  (networking-stable-19_07_25).
- net: bcmgenet: use promisc for unsupported filters
  (networking-stable-19_07_25).
- net_sched: unset TCQ_F_CAN_BYPASS when adding filters
  (networking-stable-19_07_25).
- caif-hsi: fix possible deadlock in cfhsi_exit_module()
  (networking-stable-19_07_25).
- net: neigh: fix multiple neigh timer scheduling
  (networking-stable-19_07_25).
- net/mlx5e: IPoIB, Add error path in mlx5_rdma_setup_rn
  (networking-stable-19_07_25).
- tcp: Reset bytes_acked and bytes_received when disconnecting
  (networking-stable-19_07_25).
- bonding: validate ip header before check IPPROTO_IGMP
  (networking-stable-19_07_25).
- rxrpc: Fix send on a connected, but unbound socket
  (networking-stable-19_07_25).
- net: bridge: stp: don't cache eth dest pointer before skb pull
  (networking-stable-19_07_25).
- net: bridge: mcast: fix stale ipv6 hdr pointer when handling
  v6 query (networking-stable-19_07_25).
- net: bridge: mcast: fix stale nsrcs pointer in igmp3/mld2
  report handling (networking-stable-19_07_25).
- netrom: fix a memory leak in nr_rx_frame()
  (networking-stable-19_07_25).
- ipv4: don't set IPv6 only flags to IPv4 addresses
  (networking-stable-19_07_25).
- net: openvswitch: fix csum updates for MPLS actions
  (networking-stable-19_07_25).
- net: dsa: mv88e6xxx: wait after reset deactivation
  (networking-stable-19_07_25).
- bnx2x: Prevent ptp_task to be rescheduled indefinitely
  (networking-stable-19_07_25).
- igmp: fix memory leak in igmpv3_del_delrec()
  (networking-stable-19_07_25).
- net: make skb_dst_force return true when dst is refcounted
  (networking-stable-19_07_25).
- commit e44b93f
* Wed Aug 28 2019 msuchanek@suse.de
- powerpc/fsl: Update Spectre v2 reporting (bsc#1131107).
- Refresh patches.arch/powerpc-security-Fix-spectre_v2-reporting.patch.
- commit 4c5194e
* Wed Aug 28 2019 msuchanek@suse.de
- powerpc/64s: support nospectre_v2 cmdline option (bsc#1131107).
- commit 073289a
* Wed Aug 28 2019 msuchanek@suse.de
- powerpc/security: Show powerpc_security_features in debugfs
  (bsc#1131107).
- commit 1958fa2
* Wed Aug 28 2019 msuchanek@suse.de
- powerpc/fsl: Add nospectre_v2 command line argument (bsc#1131107).
- Refresh patches.arch/powerpc-speculation-support-mitigations-cmdline-option.patch.
- commit 21aaf15
* Wed Aug 28 2019 lduncan@suse.com
- scsi: core: Fix race on creating sense cache (git-fixes).
- scsi: libfc: fix null pointer dereference on a null lport
  (git-fixes).
- scsi: megaraid_sas: Fix calculation of target ID (git-fixes).
- scsi: mac_scsi: Fix pseudo DMA implementation, take 2
  (git-fixes).
- scsi: mac_scsi: Increase PIO/PDMA transfer length threshold
  (git-fixes).
- scsi: NCR5380: Always re-enable reselection interrupt
  (git-fixes).
- Revert "scsi: ncr5380: Increase register polling limit"
  (git-fixes).
- scsi: ufs: Avoid runtime suspend possibly being blocked forever
  (git-fixes).
- scsi: smartpqi: unlock on error in
  pqi_submit_raid_request_synchronous() (git-fixes).
- scsi: ufs: Check that space was properly alloced in
  copy_query_response (git-fixes).
- scsi: libsas: delete sas port if expander discover failed
  (git-fixes).
- scsi: scsi_dh_alua: Fix possible null-ptr-deref (git-fixes).
- scsi: bnx2fc: fix incorrect cast to u64 on shift operation
  (git-fixes).
- scsi: qla2xxx: Avoid that qlt_send_resp_ctio() corrupts memory
  (git-fixes).
- scsi: qla2xxx: Fix error handling in qlt_alloc_qfull_cmd()
  (git-fixes).
- scsi: qla2xxx: Fix a format specifier (git-fixes).
- scsi: qla2xxx: Update two source code comments (git-fixes).
- scsi: ufs: Fix RX_TERMINATION_FORCE_ENABLE define value
  (git-fixes).
- scsi: qla2xxx: Fix device staying in blocked state (git-fixes).
- scsi: qedf: remove memset/memcpy to nfunc and use func instead
  (git-fixes).
- scsi: qla2xxx: Unregister chrdev if module initialization fails
  (git-fixes).
- scsi: qla4xxx: avoid freeing unallocated dma memory (git-fixes).
- scsi: core: set result when the command cannot be dispatched
  (git-fixes).
- scsi: aacraid: Fix performance issue on logical drives
  (git-fixes).
- scsi: aacraid: Fix missing break in switch statement
  (git-fixes).
- scsi: libsas: Fix rphy phy_identifier for PHYs with end devices
  attached (git-fixes).
- scsi: aic94xx: fix module loading (git-fixes).
- scsi: isci: initialize shost fully before calling
  scsi_add_host() (git-fixes).
- scsi: core: Synchronize request queue PM status only on
  successful resume (git-fixes).
- scsi: megaraid: fix out-of-bound array accesses (git-fixes).
- scsi: bnx2fc: Fix NULL dereference in error handling
  (git-fixes).
- scsi: raid_attrs: fix unused variable warning (git-fixes).
- scsi: qla2xxx: Fix an endian bug in fcpcmd_is_corrupted()
  (git-fixes).
- scsi: aic94xx: fix an error code in aic94xx_init() (git-fixes).
- commit 4450608
* Wed Aug 28 2019 lduncan@suse.com
- scsi: fas216: fix sense buffer initialization (git-fixes).
- commit d2f7d7c
* Tue Aug 27 2019 tiwai@suse.de
- ALSA: usb-audio: Check mixer unit bitmap yet more strictly
  (bsc#1051510).
- ALSA: usb-audio: Fix invalid NULL check in
  snd_emuusb_set_samplerate() (bsc#1051510).
- ALSA: hda/ca0132 - Add new SBZ quirk (bsc#1051510).
- ALSA: usb-audio: Add implicit fb quirk for Behringer UFX1604
  (bsc#1051510).
- ALSA: hda - Fixes inverted Conexant GPIO mic mute led
  (bsc#1051510).
- commit de33e7a
* Tue Aug 27 2019 tiwai@suse.de
- ALSA: seq: Fix potential concurrent access to the deleted pool
  (bsc#1051510).
- ALSA: line6: Fix memory leak at line6_init_pcm() error path
  (bsc#1051510).
- commit 66bd261
* Tue Aug 27 2019 tiwai@suse.de
- Move upstreamed nvme fix into sorted section
- commit ec1fcd6
* Tue Aug 27 2019 osalvador@suse.de
- mm/hotplug: fix offline undo_isolate_page_range() (bsc#1148196,
  VM Functionality).
- commit 70a79d6
* Tue Aug 27 2019 bp@suse.de
- Move patches to the sorted section.
- Refresh
  patches.arch/0001-x86-speculation-Prepare-entry-code-for-Spectre-v1-sw.patch.
- Refresh
  patches.suse/x86-cpufeatures-Carve-out-CQM-features-retrieval.patch.
- Refresh
  patches.suse/x86-cpufeatures-Combine-word-11-and-12-into-a-new-sc.patch.
- Refresh
  patches.suse/x86-cpufeatures-Enumerate-the-new-AVX512-BFLOAT16-in.patch.
- Refresh
  patches.suse/x86-topology-Add-CPUID.1F-multi-die-package-support.patch.
- commit 7153216
* Tue Aug 27 2019 lhenriques@suse.com
- libceph: fix PG split vs OSD (re)connect race (bsc#1148133).
- ceph: don't try fill file_lock on unsuccessful GETFILELOCK reply
  (bsc#1148133).
- ceph: clear page dirty before invalidate page (bsc#1148133).
- ceph: fix buffer free while holding i_ceph_lock in fill_inode()
  (bsc#1148133).
- ceph: fix buffer free while holding i_ceph_lock in
  __ceph_build_xattrs_blob() (bsc#1148133).
- ceph: fix buffer free while holding i_ceph_lock in
  __ceph_setxattr() (bsc#1148133).
- libceph: allow ceph_buffer_put() to receive a NULL ceph_buffer
  (bsc#1148133).
- ceph: initialize superblock s_time_gran to 1 (bsc#1148133).
- ceph: remove request from waiting list before unregister
  (bsc#1148133).
- ceph: don't blindly unregister session that is in opening state
  (bsc#1148133).
- ceph: fix infinite loop in get_quota_realm() (bsc#1148133).
- ceph: fix improper use of smp_mb__before_atomic() (bsc#1148133).
- ceph: fix "ceph.dir.rctime" vxattr value (bsc#1148133 bsc#1135219).
- ceph: silence a checker warning in mdsc_show() (bsc#1148133).
- commit b35dae9
* Tue Aug 27 2019 vbabka@suse.cz
- mm/list_lru.c: fix memory leak in __memcg_init_list_lru_node
  (bsc#1148379, VM Functionality).
- commit ca01c4e
* Tue Aug 27 2019 aaptel@suse.com
- Refresh
  patches.fixes/cifs-do-not-return-atime-less-than-mtime.patch.
  4.12 doesn't have use timespec64 yet for inode [amc]time.
- commit 4f84a09
* Tue Aug 27 2019 vbabka@suse.cz
- mm/memory.c: recheck page table entry with page table lock held
  (bsc#1148363, VM Functionality).
- commit 1bb3033
* Tue Aug 27 2019 hare@suse.de
- scsi: lpfc: use sg helper to iterate over scatterlist
  (bsc#1148308).
- scsi: lpfc: Avoid unused function warnings (bsc#1148308).
- scsi: lpfc: Make some symbols static (bsc#1148308).
- scsi: lpfc: Remove set but not used variables 'qp'
  (bsc#1148308).
- commit a2c04c2
* Tue Aug 27 2019 mkubecek@suse.cz
- rpm: raise required disk space for binary packages
  Current disk space constraints (10 GB on s390x, 25 GB on other
  architectures) no longer suffice for 5.3 kernel builds. The statistics
  show ~30 GB of disk consumption on x86_64 and ~11 GB on s390x so raise
  the constraints to 35 GB in general and 14 GB on s390x.
- commit 527cb66
* Tue Aug 27 2019 hare@suse.de
- scsi: lpfc: add check for loss of ndlp when sending RRQ
  (bsc#1148308).
- scsi: lpfc: correct rcu unlock issue in lpfc_nvme_info_show
  (bsc#1148308).
- scsi: lpfc: resolve lockdep warnings (bsc#1148308).
- commit 9e091ff
* Tue Aug 27 2019 hare@suse.de
- scsi: lpfc: no need to check return value of debugfs_create
  functions (bsc#1148308).
- Refresh
  patches.drivers/scsi-lpfc-Adapt-cpucheck-debugfs-logic-to-Hardware-Q.patch.
- Refresh
  patches.drivers/scsi-lpfc-Move-SCSI-and-NVME-Stats-to-hardware-queue.patch.
- Refresh
  patches.drivers/scsi-lpfc-Partition-XRI-buffer-list-across-Hardware-.patch.
- Refresh
  patches.drivers/scsi-lpfc-Support-non-uniform-allocation-of-MSIX-vec.patch.
- commit 8cacf40
* Tue Aug 27 2019 hare@suse.de
- scsi: lpfc: nvmet: avoid hang / use-after-free when destroying
  targetport (bsc#1148308).
- Refresh
  patches.drivers/scsi-lpfc-Correct-localport-timeout-duration-error.patch.
- Refresh
  patches.drivers/scsi-lpfc-Replace-io_channels-for-nvme-and-fcp-with-.patch.
- commit fcbb245
* Tue Aug 27 2019 vbabka@suse.cz
- blacklist.conf: add trivial entries for SLAB, SLUB, and bsc#1148303 comment 1
- commit fc0cecb
* Tue Aug 27 2019 hare@suse.de
- scsi: lpfc: nvme: avoid hang / use-after-free when destroying
  localport (bsc#1148308).
- Refresh
  patches.drivers/scsi-lpfc-Declare-local-functions-static.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-a-recently-introduced-compiler-warning.patch.
- Refresh
  patches.drivers/scsi-lpfc-Move-SCSI-and-NVME-Stats-to-hardware-queue.patch.
- Refresh
  patches.drivers/scsi-lpfc-Revise-message-when-stuck-due-to-unrespons.patch.
- commit f4956d6
* Tue Aug 27 2019 hare@suse.de
- scsi: lpfc: lpfc_sli: Mark expected switch fall-throughs
  (bsc#1148308).
- Refresh
  patches.drivers/scsi-lpfc-Fix-memory-leak-in-abnormal-exit-path-from.patch.
- commit 16bd356
* Tue Aug 27 2019 hare@suse.de
- scsi: lpfc: Use dma_zalloc_coherent (bsc#1148308).
- commit 10cc26d
* Tue Aug 27 2019 lhenriques@suse.com
- libceph: fix PG split vs OSD (re)connect race (bsc#1148133).
- ceph: don't try fill file_lock on unsuccessful GETFILELOCK reply
  (bsc#1148133).
- ceph: fix buffer free while holding i_ceph_lock in fill_inode()
  (bsc#1148133).
- ceph: fix buffer free while holding i_ceph_lock in
  __ceph_build_xattrs_blob() (bsc#1148133).
- ceph: fix buffer free while holding i_ceph_lock in
  __ceph_setxattr() (bsc#1148133).
- libceph: allow ceph_buffer_put() to receive a NULL ceph_buffer
  (bsc#1148133).
- commit b497133
* Tue Aug 27 2019 hare@suse.de
- scsi: lpfc: Remove set but not used variables 'tgtp'
  (bsc#1148308).
- Refresh
  patches.drivers/scsi-lpfc-change-snprintf-to-scnprintf-for-possible-.patch.
- commit 70fe5a4
* Tue Aug 27 2019 hare@suse.de
- scsi: lpfc: Remove set but not used variable 'psli'
  (bsc#1148308).
- commit 1f8b152
* Tue Aug 27 2019 hare@suse.de
- scsi: lpfc: Remove set but not used variables 'fc_hdr' and
  'hw_page_size' (bsc#1148308).
- Refresh
  patches.drivers/scsi-lpfc-Correct-MDS-loopback-diagnostics-support.patch.
- commit 038a8f6
* Tue Aug 27 2019 hare@suse.de
- scsi: lpfc: remove a bogus pci_dma_sync_single_for_device call
  (bsc#1148308).
- scsi: lpfc: Default fdmi_on to on (bsc#1148308).
- commit 27e66d4
* Tue Aug 27 2019 hare@suse.de
- scsi: lpfc: remove null check on nvmebuf (bsc#1148308).
- commit 02c5efa
* Tue Aug 27 2019 hare@suse.de
- scsi: lpfc: remove ScsiResult macro (bsc#1148308).
- Refresh
  patches.drivers/scsi-lpfc-Annotate-switch-case-fall-through.patch.
- commit b8e0387
* Tue Aug 27 2019 colyli@suse.de
- dm table: fix invalid memory accesses with too high sector
  number (git fixes).
- dm space map metadata: fix missing store of apply_bops()
  return value (git fixes).
- dm btree: fix order of block initialization in
  btree_split_beneath (git fixes).
- dm raid: add missing cleanup in raid_ctr() (git fixes).
- dm zoned: fix potential NULL dereference in dmz_do_reclaim()
  (git fixes).
- dm zoned: properly handle backing device failure (git fixes).
- dm zoned: improve error handling in i/o map code (git fixes).
- dm zoned: improve error handling in reclaim (git fixes).
- dm kcopyd: always complete failed jobs (git fixes).
- Revert "dm bufio: fix deadlock with loop device" (git fixes).
- loop: set PF_MEMALLOC_NOIO for the worker thread (git fixes).
- nbd: replace kill_bdev() with __invalidate_device() again
  (git fixes).
- bcache: fix possible memory leak in bch_cached_dev_run()
  (git fixes).
- dm zoned: fix zone state management race (git fixes).
- dm bufio: fix deadlock with loop device (git fixes).
- nilfs2: do not use unexported cpu_to_le32()/le32_to_cpu()
  in uapi header (git fixes).
- block, documentation: Fix wbt_lat_usec documentation (git
  fixes).
- dm log writes: make sure super sector log updates are written
  in order (git fixes).
- blk-mq: Fix spelling in a source code comment (git fixes).
- bio: fix improper use of smp_mb__before_atomic() (git fixes).
- dm delay: fix a crash when invalid device is specified
  (git fixes).
- dm cache metadata: Fix loading discard bitset (git fixes).
- dm zoned: Fix zone report handling (git fixes).
- dm zoned: Silence a static checker warning (git fixes).
- include/linux/bitops.h: sanitize rotate primitives (git fixes).
- md/raid: raid5 preserve the writeback action after the parity
  check (git fixes).
- md: add mddev->pers to avoid potential NULL pointer dereference
  (git fixes).
- smpboot: Place the __percpu annotation correctly (git fixes).
- dm table: propagate BDI_CAP_STABLE_WRITES to fix sporadic
  checksum errors (git fixes).
- dm: revert 8f50e358153d ("dm: limit the max bio size as
  BIO_MAX_PAGES * PAGE_SIZE") (git fixes).
- dm integrity: change memcmp to strncmp in dm_integrity_ctr
  (git fixes).
- dm integrity: limit the rate of error messages (git fixes).
- dm: fix to_sector() for 32bit (git fixes).
- devres: always use dev_name() in devm_ioremap_resource()
  (git fixes).
- dm thin: fix bug where bio that overwrites thin block ignores
  FUA (git fixes).
- dm crypt: don't overallocate the integrity tag space (git
  fixes).
- dm thin: fix passdown_double_checking_shared_status()
  (git fixes).
- dm crypt: fix parsing of extended IV arguments (git fixes).
- kasan: remove redundant initialization of variable 'real_size'
  (git fixes).
- commit 3ed4cbb
* Tue Aug 27 2019 oneukum@suse.com
- usb: gadget: udc: renesas_usb3: Fix sysfs interface of "role"
  (bsc#1142635).
- commit f54d38c
* Tue Aug 27 2019 lhenriques@suse.com
- ceph: remove request from waiting list before unregister
  (bsc#1148133).
- ceph: don't blindly unregister session that is in opening state
  (bsc#1148133).
- ceph: fix improper use of smp_mb__before_atomic() (bsc#1148133).
- ceph: fix "ceph.dir.rctime" vxattr value (bsc#1148133 bsc#1135219).
- ceph: silence a checker warning in mdsc_show() (bsc#1148133).
- commit b097a5c
* Tue Aug 27 2019 hare@suse.de
- scsi: lpfc: Convert timers to use timer_setup() (bsc#1148308).
- Refresh
  patches.drivers/scsi-lpfc-Fix-BFS-crash-with-DIX-enabled.patch.
- Refresh
  patches.drivers/scsi-lpfc-Rework-EQ-CQ-processing-to-address-interru.patch.
- commit 27c59f5
* Tue Aug 27 2019 colyli@suse.de
- dm integrity: fix a crash due to BUG_ON in
  __journal_read_write() (git fixes).
- bcache: Revert "bcache: use sysfs_match_string() instead of
  __sysfs_match_string()" (git fixes).
- raid5-cache: Need to do start() part job after adding journal
  device (git fixes).
- dm integrity: correctly calculate the size of metadata area
  (git fixes).
- dm integrity: fix deadlock with overlapping I/O (git fixes).
- commit b4a26a9
* Tue Aug 27 2019 jack@suse.cz
- mm: move MAP_SYNC to asm-generic/mman-common.h (bsc#1148297).
- Delete
  patches.arch/arch-powerpc-dax-Add-MAP_SYNC-mmap-flag.patch.
- commit 2813800
* Tue Aug 27 2019 jack@suse.cz
- patches.fixes/block-Don-t-revalidate-bdev-of-hidden-gendisk.patch:
  Update patch metadata
- commit 84d4ac0
* Tue Aug 27 2019 jack@suse.cz
- patches.suse/mm-migrate-Fix-reference-check-race-between-__find_get_block-and-migration.patch:
  Update patch metadata.
- commit a81cc2e
* Tue Aug 27 2019 hare@suse.de
- Delete
  patches.drivers/scsi-lpfc-Merge-per-protocol-WQ-CQ-pairs-into-single.patch.
- commit 6432f9e
* Mon Aug 26 2019 vbabka@suse.cz
- mm/hmm: fix bad subpage pointer in try_to_unmap_one
  (bsc#1148202, HMM, VM Functionality).
- commit 00ab508
* Mon Aug 26 2019 vbabka@suse.cz
- mm/migrate.c: initialize pud_entry in migrate_vma()
  (bsc#1148198, HMM, VM Functionality).
- commit 69e9c3c
* Mon Aug 26 2019 vbabka@suse.cz
- mm/page_alloc.c: fix calculation of pgdat->nr_zones
  (bsc#1148192, VM Functionality).
- commit 1e427e5
* Mon Aug 26 2019 jslaby@suse.cz
- crypto: ccp - Ignore unconfigured CCP device on suspend/resume
  (bnc#1145934).
- commit 0c22d13
* Mon Aug 26 2019 ailiopoulos@suse.com
- Update
  patches.fixes/xfs-fix-missing-ILOCK-unlock-when-xfs_setattr_nonsiz.patch
  (bsc#1148032, bsc#1148093, CVE-2019-15538).
- commit ee9764b
* Mon Aug 26 2019 tiwai@suse.de
- Update reference for ath6kl fix (CVE-2019-15290,bsc#1146543).
- commit 637ad3b
* Mon Aug 26 2019 tiwai@suse.de
- Fix a NULL-ptr-deref bug in ath10k_usb_alloc_urb_from_pipe
  (CVE-2019-15099,bsc#1146368).
- commit 5b67bde
* Mon Aug 26 2019 tiwai@suse.de
- Fix a NULL-ptr-deref bug in ath6kl_usb_alloc_urb_from_pipe
  (CVE-2019-15098,bsc#1146378).
- commit cdac0a6
* Mon Aug 26 2019 jthumshirn@suse.de
- nvme: introduce NVME_QUIRK_IGNORE_DEV_SUBNQN (bsc#1146938).
- commit a84bc8e
* Mon Aug 26 2019 bpoirier@suse.com
- tcp: reset sk_send_head in tcp_write_queue_purge (bsc#1146589
  CVE-2019-15239).
- commit 8e3f3fe
* Mon Aug 26 2019 ptesarik@suse.cz
- Refresh sorted section.
- commit 28a318c
* Mon Aug 26 2019 hare@suse.de
- scsi: lpfc: Fix crash when cpu count is 1 and null irq affinity
  mask (bsc#1146215).
- commit ae080c5
* Mon Aug 26 2019 tiwai@suse.de
- gpio: Fix build error of function redefinition (bsc#1051510).
- gpiolib: never report open-drain/source lines as 'input'
  to user-space (bsc#1051510).
- staging: comedi: dt3000: Fix rounding up of timer divisor
  (bsc#1051510).
- staging: comedi: dt3000: Fix signed integer overflow 'divider *
  base' (bsc#1051510).
- compat_ioctl: pppoe: fix PPPOEIOCSFWD handling (bsc#1051510).
- coredump: split pipe command whitespace before expanding
  template (bsc#1051510).
- can: m_can: implement errata "Needless activation of MRAF irq"
  (bsc#1051510).
- can: mcp251x: add support for mcp25625 (bsc#1051510).
- commit 5f9daf9
* Mon Aug 26 2019 tiwai@suse.de
- drm/i915: Fix HW readout for crtc_clock in HDMI mode
  (bsc#1111666).
- drm/mediatek: mtk_drm_drv.c: Add of_node_put() before goto
  (bsc#1111666).
- drm/mediatek: use correct device to import PRIME buffers
  (bsc#1111666).
- drm/i915: Fix the TBT AUX power well enabling (bsc#1111666).
- drm/amdgpu: fix a potential information leaking bug
  (bsc#1111666).
- commit 2453d2b
* Mon Aug 26 2019 tiwai@suse.de
- iio: adc: max9611: Fix temperature reading in probe
  (bsc#1051510).
- USB: serial: option: add the BroadMobi BM818 card (bsc#1051510).
- USB: serial: option: Add Motorola modem UARTs (bsc#1051510).
- USB: serial: option: add D-Link DWM-222 device ID (bsc#1051510).
- USB: serial: option: Add support for ZTE MF871A (bsc#1051510).
- USB: core: Fix races in character device registration and
  deregistraion (bsc#1051510).
- Input: iforce - add sanity checks (bsc#1051510).
- Input: kbtab - sanity check for endpoint type (bsc#1051510).
- net: usb: pegasus: fix improper read if get_registers() fail
  (bsc#1051510).
- HID: hiddev: avoid opening a disconnected device (bsc#1051510).
- HID: holtek: test for sanity of intfdata (bsc#1051510).
- commit b2ad825
* Sun Aug 25 2019 ailiopoulos@suse.com
- xfs: don't crash on null attr fork xfs_bmapi_read (bsc#1148035).
- commit 527c60c
* Sun Aug 25 2019 ailiopoulos@suse.com
- xfs: remove more ondisk directory corruption asserts
  (bsc#1148034).
- commit 307da1f
* Sun Aug 25 2019 ailiopoulos@suse.com
- fs: xfs: xfs_log: Don't use KM_MAYFAIL at xfs_log_reserve()
  (bsc#1148033).
- commit 1bf8e6b
* Sun Aug 25 2019 ailiopoulos@suse.com
- xfs: fix missing ILOCK unlock when xfs_setattr_nonsize fails
  due to EDQUOT (bsc#1148032).
- commit 2c4862c
* Sun Aug 25 2019 ailiopoulos@suse.com
- fs/xfs: Fix return code of xfs_break_leased_layouts()
  (bsc#1148031).
- commit be52cec
* Fri Aug 23 2019 tiwai@suse.de
- Update config files: correct vanilla configs
- commit 0d3e918
* Fri Aug 23 2019 palcantara@suse.de
- Delete
  patches.fixes/0001-CIFS-Fix-NULL-pointer-deref-on-SMB2_tcon-failure.patch.
- Delete
  patches.fixes/0001-CIFS-dump-IPC-tcon-in-debug-proc-file.patch.
- Delete patches.fixes/0001-CIFS-make-IPC-a-regular-tcon.patch.
- Delete
  patches.fixes/0001-CIFS-use-tcon_ipc-instead-of-use_ipc-parameter-of-SM.patch.
- Delete
  patches.fixes/0001-CIFS-zero-sensitive-data-when-freeing.patch.
- Delete
  patches.fixes/0001-Fix-SMB3.1.1-guest-authentication-to-Samba.patch.
- Delete
  patches.fixes/0001-Fix-encryption-labels-and-lengths-for-SMB3.1.1.patch.
- Delete
  patches.fixes/0001-SMB-Validate-negotiate-to-protect-against-downgrade-.patch.
- Delete
  patches.fixes/0001-SMB3-Don-t-ignore-O_SYNC-O_DSYNC-and-O_DIRECT-flags.patch.
- Delete
  patches.fixes/0001-SMB3-Warn-user-if-trying-to-sign-connection-that-aut.patch.
- Delete patches.fixes/0001-SMB3-handle-new-statx-fields.patch.
- Delete
  patches.fixes/0001-cifs-Check-for-timeout-on-Negotiate-stage.patch.
- Delete
  patches.fixes/0001-cifs-Fix-autonegotiate-security-settings-mismatch.patch.
- Delete
  patches.fixes/0001-cifs-Fix-missing-put_xid-in-cifs_file_strict_mmap.patch.
- Delete
  patches.fixes/0001-cifs-Fix-stack-out-of-bounds-in-smb-2-3-_create_leas.patch.
- Delete
  patches.fixes/0001-cifs-Select-all-required-crypto-modules.patch.
- Delete
  patches.fixes/0001-cifs-check-MaxPathNameComponentLength-0-before-using.patch.
- Delete patches.fixes/0001-cifs-check-kmalloc-before-use.patch.
- Delete
  patches.fixes/0001-cifs-check-rsp-for-NULL-before-dereferencing-in-SMB2.patch.
- Delete
  patches.fixes/0001-cifs-fix-NULL-deref-in-SMB2_read.patch.
- Delete
  patches.fixes/0001-cifs-release-auth_key.response-for-reconnect.patch.
- Delete
  patches.fixes/0001-cifs-release-cifs-root_cred-after-exit_cifs.patch.
- Delete
  patches.fixes/0001-cifs-store-the-leaseKey-in-the-fid-on-SMB2_open.patch.
- Delete
  patches.fixes/CIFS-511c54a2f69195b28afb9dd119f03787b1625bb4-adds-a-check-for-sess.patch.
- Delete
  patches.fixes/CIFS-Do-not-count-ENODATA-as-failure-for-query-direc.patch.
- Delete
  patches.fixes/CIFS-Do-not-hide-EINTR-after-sending-network-packets.patch.
- Delete
  patches.fixes/CIFS-Do-not-reconnect-TCP-session-in-add_credits.patch.
- Delete
  patches.fixes/CIFS-Do-not-reset-lease-state-to-NONE-on-lease-break.patch.
- Delete
  patches.fixes/CIFS-Fix-adjustment-of-credits-for-MTU-requests.patch.
- Delete
  patches.fixes/CIFS-Fix-credit-calculation-for-encrypted-reads-with.patch.
- Delete
  patches.fixes/CIFS-Fix-credits-calculations-for-reads-with-errors.patch.
- Delete
  patches.fixes/CIFS-Fix-error-mapping-for-SMB2_LOCK-command-which-c.patch.
- Delete
  patches.fixes/CIFS-Fix-possible-hang-during-async-MTU-reads-and-wr.patch.
- Delete
  patches.fixes/CIFS-Fix-read-after-write-for-files-with-read-cachin.patch.
- Delete patches.fixes/CIFS-add-sha512-secmech.patch.
- Delete
  patches.fixes/CIFS-don-t-log-STATUS_NOT_FOUND-errors-for-DFS.patch.
- Delete
  patches.fixes/CIFS-fix-POSIX-lock-leak-and-invalid-ptr-deref.patch.
- Delete patches.fixes/CIFS-fix-circular-locking-dependency.patch.
- Delete
  patches.fixes/CIFS-fix-sha512-check-in-cifs_crypto_secmech_release.patch.
- Delete
  patches.fixes/CIFS-fix-wrapping-bugs-in-num_entries.patch.
- Delete
  patches.fixes/CIFS-implement-v3.11-preauth-integrity.patch.
- Delete
  patches.fixes/CIFS-keep-FileInfo-handle-live-during-oplock-break.patch.
- Delete
  patches.fixes/CIFS-make-nodfs-mount-opt-a-superblock-flag.patch.
- Delete
  patches.fixes/CIFS-refactor-crypto-shash-sdesc-allocation-free.patch.
- Delete
  patches.fixes/SMB-fix-leak-of-validate-negotiate-info-response-buf.patch.
- Delete
  patches.fixes/SMB-fix-validate-negotiate-info-uninitialised-memory.patch.
- Delete
  patches.fixes/SMB3-Add-support-for-multidialect-negotiate-SMB2.1-a.patch.
- Delete
  patches.fixes/SMB3-Backup-intent-flag-missing-for-directory-opens-.patch.
- Delete patches.fixes/SMB3-Enable-encryption-for-SMB3.1.1.patch.
- Delete
  patches.fixes/SMB3-Fix-3.11-encryption-to-Windows-and-handle-encry.patch.
- Delete
  patches.fixes/SMB3-Fix-SMB3.1.1-guest-mounts-to-Samba.patch.
- Delete patches.fixes/SMB3-Fix-endian-warning.patch.
- Delete
  patches.fixes/SMB3-Fix-length-checking-of-SMB3.11-negotiate-reques.patch.
- Delete
  patches.fixes/SMB3-Improve-security-move-default-dialect-to-SMB3-f.patch.
- Delete
  patches.fixes/SMB3-Remove-ifdef-since-SMB3-and-later-now-STRONGLY-.patch.
- Delete
  patches.fixes/SMB3-Validate-negotiate-request-must-always-be-signe.patch.
- Delete
  patches.fixes/SMB3.1.1-dialect-is-no-longer-experimental.patch.
- Delete patches.fixes/SMB311-Fix-reconnect.patch.
- Delete
  patches.fixes/SMB311-Improve-checking-of-negotiate-security-contex.patch.
- Delete
  patches.fixes/cifs-Add-support-for-reading-attributes-on-SMB2.patch.
- Delete
  patches.fixes/cifs-Add-support-for-writing-attributes-on-SMB2.patch.
- Delete
  patches.fixes/cifs-Do-not-modify-mid-entry-after-submitting-I-O-in.patch.
- Delete
  patches.fixes/cifs-Don-t-log-confusing-message-on-reconnect-by-default.patch.
- Delete
  patches.fixes/cifs-Don-t-log-expected-error-on-DFS-referral-request.patch.
- Delete
  patches.fixes/cifs-Fix-infinite-loop-when-using-hard-mount-.patch.
- Delete patches.fixes/cifs-Fix-memory-leak-in-smb2_set_ea.patch.
- Delete
  patches.fixes/cifs-Fix-potential-OOB-access-of-lock-element-array.patch.
- Delete
  patches.fixes/cifs-Fix-separator-when-building-path-from-dentry.patch.
- Delete
  patches.fixes/cifs-Fix-use-after-free-of-a-mid_q_entry.patch.
- Delete
  patches.fixes/cifs-For-SMB2-security-informaion-query-check-for-mi.patch.
- Delete
  patches.fixes/cifs-OFD-locks-do-not-conflict-with-eachothers.patch.
- Delete
  patches.fixes/cifs-Tree-connect-for-SMB3.1.1-must-be-signed-for-non-enc.patch.
- Delete
  patches.fixes/cifs-Use-ULL-suffix-for-64-bit-constant.patch.
- Delete
  patches.fixes/cifs-Use-smb-2-3-and-cifsacl-mount-options-getacl-fu.patch.
- Delete
  patches.fixes/cifs-Use-smb-2-3-and-cifsacl-mount-options-setacl-fu.patch.
- Delete
  patches.fixes/cifs-add-missing-debug-entries-for-kconfig-options.patch.
- Delete
  patches.fixes/cifs-add-missing-support-for-ACLs-in-SMB-3.11.patch.
- Delete
  patches.fixes/cifs-allow-guest-mounts-to-work-for-smb3.11.patch.
- Delete
  patches.fixes/cifs-connect-to-servername-instead-of-IP-for-IPC-sha.patch.
- Delete
  patches.fixes/cifs-do-not-allow-creating-sockets-except-with-SMB1-posix-exensions.patch.
- Delete
  patches.fixes/cifs-don-t-dereference-smb_file_target-before-null-c.patch.
- Delete patches.fixes/cifs-fix-memory-leak-in-SMB2_open-.patch.
- Delete
  patches.fixes/cifs-fix-return-value-for-cifs_listxattr.patch.
- Delete patches.fixes/cifs-hide-unused-functions.patch.
- Delete
  patches.fixes/cifs-integer-overflow-in-in-SMB2_ioctl.patch.
- Delete
  patches.fixes/cifs-invalidate-cache-when-we-truncate-a-file.patch.
- Delete
  patches.fixes/cifs-prevent-integer-overflow-in-nxt_dir_entry.patch.
- Delete
  patches.fixes/cifs-prototype-declaration-and-definition-for-smb-2-.patch.
- Delete
  patches.fixes/cifs-prototype-declaration-and-definition-to-set-acl.patch.
- Delete
  patches.fixes/cifs-silence-compiler-warnings-showing-up-with-gcc-8.patch.
- Delete
  patches.fixes/cifs-smb2ops-Fix-listxattr-when-there-are-no-EAs.patch.
- Delete patches.fixes/cifs-xattr-hide-unused-functions.patch.
- Delete
  patches.fixes/fix-smb3-encryption-breakage-when-CONFIG_DEBUG_SG-y.patch.
- Delete patches.fixes/fs-cifs-require-sha512.patch.
- Delete
  patches.fixes/smb2-fix-missing-files-in-root-share-directory-listing.patch.
- Delete
  patches.fixes/smb3-Do-not-send-SMB3-SET_INFO-if-nothing-changed.patch.
- Delete
  patches.fixes/smb3-Fix-root-directory-when-server-returns-inode-nu.patch.
- Delete
  patches.fixes/smb3-allow-stats-which-track-session-and-share-recon.patch.
- Delete
  patches.fixes/smb3-check-for-and-properly-advertise-directory-leas.patch.
- Delete
  patches.fixes/smb3-directory-sync-should-not-return-an-error.patch.
- Delete
  patches.fixes/smb3-do-not-attempt-cifs-operation-in-smb3-query-inf.patch.
- Delete
  patches.fixes/smb3-don-t-request-leases-in-symlink-creation-and-qu.patch.
- Delete
  patches.fixes/smb3-enumerating-snapshots-was-leaving-part-of-the-d.patch.
- Delete
  patches.fixes/smb3-fill-in-statfs-fsid-and-correct-namelen.patch.
- Delete
  patches.fixes/smb3-fix-reset-of-bytes-read-and-written-stats.patch.
- Delete patches.fixes/smb3-fix-various-xid-leaks.patch.
- Delete
  patches.fixes/smb3-on-kerberos-mount-if-server-doesn-t-specify-aut.patch.
- Delete
  patches.fixes/smb3-on-reconnect-set-PreviousSessionId-field.patch.
- Delete
  patches.fixes/smb3-remove-noisy-warning-message-on-mount.patch.
- Delete
  patches.fixes/smb3-simplify-code-by-removing-CONFIG_CIFS_SMB311.patch.
- Delete patches.suse/cifs-Add-DFS-cache-routines.patch.
- Delete
  patches.suse/cifs-Add-support-for-failover-in-cifs_mount.patch.
- Delete
  patches.suse/cifs-Add-support-for-failover-in-cifs_reconnect.patch.
- Delete
  patches.suse/cifs-Add-support-for-failover-in-cifs_reconnect_tcon.patch.
- Delete
  patches.suse/cifs-Add-support-for-failover-in-smb2_reconnect.patch.
- Delete
  patches.suse/cifs-Always-resolve-hostname-before-reconnecting.patch.
- Delete
  patches.suse/cifs-Fix-NULL-pointer-dereference-of-devname.patch.
- Delete patches.suse/cifs-Fix-a-debug-message.patch.
- Delete patches.suse/cifs-Fix-a-tiny-potential-memory-leak.patch.
- Delete
  patches.suse/cifs-Fix-to-use-kmem_cache_free-instead-of-kfree.patch.
- Delete
  patches.suse/cifs-Make-devname-param-optional-in-cifs_compose_mount_options-.patch.
- Delete
  patches.suse/cifs-Make-use-of-DFS-cache-to-get-new-DFS-referrals.patch.
- Delete patches.suse/cifs-Minor-Kconfig-clarification.patch.
- Delete
  patches.suse/cifs-Only-free-DFS-target-list-if-we-actually-got-on.patch.
- Delete patches.suse/cifs-Refactor-out-cifs_mount-.patch.
- Delete
  patches.suse/cifs-Save-TTL-value-when-parsing-DFS-referrals.patch.
- Delete
  patches.suse/cifs-Skip-any-trailing-backslashes-from-UNC.patch.
- Delete
  patches.suse/cifs-Use-GFP_ATOMIC-when-a-lock-is-held-in-cifs_moun.patch.
- Delete patches.suse/cifs-Use-kzfree-to-free-password.patch.
- Delete
  patches.suse/cifs-auto-disable-serverino-in-dfs-mounts.patch.
- Delete
  patches.suse/cifs-fix-confusing-warning-message-on-reconnect.patch.
- Delete
  patches.suse/cifs-move-large-array-from-stack-to-heap.patch.
- Delete
  patches.suse/cifs-remove-set-but-not-used-variable-sep.patch.
- Delete
  patches.suse/cifs-start-DFS-cache-refresher-in-cifs_mount.patch.
- Delete patches.suse/cifs-fix-set-info.patch.
- Update config files.
- commit a8d26d1
* Fri Aug 23 2019 palcantara@suse.de
- Delete
  patches.fixes/0001-CIFS-Fix-NULL-pointer-deref-on-SMB2_tcon-failure.patch.
- Delete
  patches.fixes/0001-CIFS-dump-IPC-tcon-in-debug-proc-file.patch.
- Delete patches.fixes/0001-CIFS-make-IPC-a-regular-tcon.patch.
- Delete
  patches.fixes/0001-CIFS-use-tcon_ipc-instead-of-use_ipc-parameter-of-SM.patch.
- Delete
  patches.fixes/0001-CIFS-zero-sensitive-data-when-freeing.patch.
- Delete
  patches.fixes/0001-Fix-SMB3.1.1-guest-authentication-to-Samba.patch.
- Delete
  patches.fixes/0001-Fix-encryption-labels-and-lengths-for-SMB3.1.1.patch.
- Delete
  patches.fixes/0001-SMB-Validate-negotiate-to-protect-against-downgrade-.patch.
- Delete
  patches.fixes/0001-SMB3-Don-t-ignore-O_SYNC-O_DSYNC-and-O_DIRECT-flags.patch.
- Delete
  patches.fixes/0001-SMB3-Warn-user-if-trying-to-sign-connection-that-aut.patch.
- Delete patches.fixes/0001-SMB3-handle-new-statx-fields.patch.
- Delete
  patches.fixes/0001-cifs-Check-for-timeout-on-Negotiate-stage.patch.
- Delete
  patches.fixes/0001-cifs-Fix-autonegotiate-security-settings-mismatch.patch.
- Delete
  patches.fixes/0001-cifs-Fix-missing-put_xid-in-cifs_file_strict_mmap.patch.
- Delete
  patches.fixes/0001-cifs-Fix-stack-out-of-bounds-in-smb-2-3-_create_leas.patch.
- Delete
  patches.fixes/0001-cifs-Select-all-required-crypto-modules.patch.
- Delete
  patches.fixes/0001-cifs-check-MaxPathNameComponentLength-0-before-using.patch.
- Delete patches.fixes/0001-cifs-check-kmalloc-before-use.patch.
- Delete
  patches.fixes/0001-cifs-check-rsp-for-NULL-before-dereferencing-in-SMB2.patch.
- Delete
  patches.fixes/0001-cifs-fix-NULL-deref-in-SMB2_read.patch.
- Delete
  patches.fixes/0001-cifs-release-auth_key.response-for-reconnect.patch.
- Delete
  patches.fixes/0001-cifs-release-cifs-root_cred-after-exit_cifs.patch.
- Delete
  patches.fixes/0001-cifs-store-the-leaseKey-in-the-fid-on-SMB2_open.patch.
- Delete
  patches.fixes/CIFS-511c54a2f69195b28afb9dd119f03787b1625bb4-adds-a-check-for-sess.patch.
- Delete
  patches.fixes/CIFS-Do-not-count-ENODATA-as-failure-for-query-direc.patch.
- Delete
  patches.fixes/CIFS-Do-not-hide-EINTR-after-sending-network-packets.patch.
- Delete
  patches.fixes/CIFS-Do-not-reconnect-TCP-session-in-add_credits.patch.
- Delete
  patches.fixes/CIFS-Do-not-reset-lease-state-to-NONE-on-lease-break.patch.
- Delete
  patches.fixes/CIFS-Fix-adjustment-of-credits-for-MTU-requests.patch.
- Delete
  patches.fixes/CIFS-Fix-credit-calculation-for-encrypted-reads-with.patch.
- Delete
  patches.fixes/CIFS-Fix-credits-calculations-for-reads-with-errors.patch.
- Delete
  patches.fixes/CIFS-Fix-error-mapping-for-SMB2_LOCK-command-which-c.patch.
- Delete
  patches.fixes/CIFS-Fix-possible-hang-during-async-MTU-reads-and-wr.patch.
- Delete
  patches.fixes/CIFS-Fix-read-after-write-for-files-with-read-cachin.patch.
- Delete patches.fixes/CIFS-add-sha512-secmech.patch.
- Delete
  patches.fixes/CIFS-don-t-log-STATUS_NOT_FOUND-errors-for-DFS.patch.
- Delete
  patches.fixes/CIFS-fix-POSIX-lock-leak-and-invalid-ptr-deref.patch.
- Delete patches.fixes/CIFS-fix-circular-locking-dependency.patch.
- Delete
  patches.fixes/CIFS-fix-sha512-check-in-cifs_crypto_secmech_release.patch.
- Delete
  patches.fixes/CIFS-fix-wrapping-bugs-in-num_entries.patch.
- Delete
  patches.fixes/CIFS-implement-v3.11-preauth-integrity.patch.
- Delete
  patches.fixes/CIFS-keep-FileInfo-handle-live-during-oplock-break.patch.
- Delete
  patches.fixes/CIFS-make-nodfs-mount-opt-a-superblock-flag.patch.
- Delete
  patches.fixes/CIFS-refactor-crypto-shash-sdesc-allocation-free.patch.
- Delete
  patches.fixes/SMB-fix-leak-of-validate-negotiate-info-response-buf.patch.
- Delete
  patches.fixes/SMB-fix-validate-negotiate-info-uninitialised-memory.patch.
- Delete
  patches.fixes/SMB3-Add-support-for-multidialect-negotiate-SMB2.1-a.patch.
- Delete
  patches.fixes/SMB3-Backup-intent-flag-missing-for-directory-opens-.patch.
- Delete patches.fixes/SMB3-Enable-encryption-for-SMB3.1.1.patch.
- Delete
  patches.fixes/SMB3-Fix-3.11-encryption-to-Windows-and-handle-encry.patch.
- Delete
  patches.fixes/SMB3-Fix-SMB3.1.1-guest-mounts-to-Samba.patch.
- Delete patches.fixes/SMB3-Fix-endian-warning.patch.
- Delete
  patches.fixes/SMB3-Fix-length-checking-of-SMB3.11-negotiate-reques.patch.
- Delete
  patches.fixes/SMB3-Improve-security-move-default-dialect-to-SMB3-f.patch.
- Delete
  patches.fixes/SMB3-Remove-ifdef-since-SMB3-and-later-now-STRONGLY-.patch.
- Delete
  patches.fixes/SMB3-Validate-negotiate-request-must-always-be-signe.patch.
- Delete
  patches.fixes/SMB3.1.1-dialect-is-no-longer-experimental.patch.
- Delete patches.fixes/SMB311-Fix-reconnect.patch.
- Delete
  patches.fixes/SMB311-Improve-checking-of-negotiate-security-contex.patch.
- Delete
  patches.fixes/cifs-Add-support-for-reading-attributes-on-SMB2.patch.
- Delete
  patches.fixes/cifs-Add-support-for-writing-attributes-on-SMB2.patch.
- Delete
  patches.fixes/cifs-Do-not-modify-mid-entry-after-submitting-I-O-in.patch.
- Delete
  patches.fixes/cifs-Don-t-log-confusing-message-on-reconnect-by-default.patch.
- Delete
  patches.fixes/cifs-Don-t-log-expected-error-on-DFS-referral-request.patch.
- Delete
  patches.fixes/cifs-Fix-infinite-loop-when-using-hard-mount-.patch.
- Delete patches.fixes/cifs-Fix-memory-leak-in-smb2_set_ea.patch.
- Delete
  patches.fixes/cifs-Fix-potential-OOB-access-of-lock-element-array.patch.
- Delete
  patches.fixes/cifs-Fix-separator-when-building-path-from-dentry.patch.
- Delete
  patches.fixes/cifs-Fix-use-after-free-of-a-mid_q_entry.patch.
- Delete
  patches.fixes/cifs-For-SMB2-security-informaion-query-check-for-mi.patch.
- Delete
  patches.fixes/cifs-OFD-locks-do-not-conflict-with-eachothers.patch.
- Delete
  patches.fixes/cifs-Tree-connect-for-SMB3.1.1-must-be-signed-for-non-enc.patch.
- Delete
  patches.fixes/cifs-Use-ULL-suffix-for-64-bit-constant.patch.
- Delete
  patches.fixes/cifs-Use-smb-2-3-and-cifsacl-mount-options-getacl-fu.patch.
- Delete
  patches.fixes/cifs-Use-smb-2-3-and-cifsacl-mount-options-setacl-fu.patch.
- Delete
  patches.fixes/cifs-add-missing-debug-entries-for-kconfig-options.patch.
- Delete
  patches.fixes/cifs-add-missing-support-for-ACLs-in-SMB-3.11.patch.
- Delete
  patches.fixes/cifs-allow-guest-mounts-to-work-for-smb3.11.patch.
- Delete
  patches.fixes/cifs-connect-to-servername-instead-of-IP-for-IPC-sha.patch.
- Delete
  patches.fixes/cifs-do-not-allow-creating-sockets-except-with-SMB1-posix-exensions.patch.
- Delete
  patches.fixes/cifs-don-t-dereference-smb_file_target-before-null-c.patch.
- Delete patches.fixes/cifs-fix-memory-leak-in-SMB2_open-.patch.
- Delete
  patches.fixes/cifs-fix-return-value-for-cifs_listxattr.patch.
- Delete patches.fixes/cifs-hide-unused-functions.patch.
- Delete
  patches.fixes/cifs-integer-overflow-in-in-SMB2_ioctl.patch.
- Delete
  patches.fixes/cifs-invalidate-cache-when-we-truncate-a-file.patch.
- Delete
  patches.fixes/cifs-prevent-integer-overflow-in-nxt_dir_entry.patch.
- Delete
  patches.fixes/cifs-prototype-declaration-and-definition-for-smb-2-.patch.
- Delete
  patches.fixes/cifs-prototype-declaration-and-definition-to-set-acl.patch.
- Delete
  patches.fixes/cifs-silence-compiler-warnings-showing-up-with-gcc-8.patch.
- Delete
  patches.fixes/cifs-smb2ops-Fix-listxattr-when-there-are-no-EAs.patch.
- Delete patches.fixes/cifs-xattr-hide-unused-functions.patch.
- Delete
  patches.fixes/fix-smb3-encryption-breakage-when-CONFIG_DEBUG_SG-y.patch.
- Delete patches.fixes/fs-cifs-require-sha512.patch.
- Delete
  patches.fixes/smb2-fix-missing-files-in-root-share-directory-listing.patch.
- Delete
  patches.fixes/smb3-Do-not-send-SMB3-SET_INFO-if-nothing-changed.patch.
- Delete
  patches.fixes/smb3-Fix-root-directory-when-server-returns-inode-nu.patch.
- Delete
  patches.fixes/smb3-allow-stats-which-track-session-and-share-recon.patch.
- Delete
  patches.fixes/smb3-check-for-and-properly-advertise-directory-leas.patch.
- Delete
  patches.fixes/smb3-directory-sync-should-not-return-an-error.patch.
- Delete
  patches.fixes/smb3-do-not-attempt-cifs-operation-in-smb3-query-inf.patch.
- Delete
  patches.fixes/smb3-don-t-request-leases-in-symlink-creation-and-qu.patch.
- Delete
  patches.fixes/smb3-enumerating-snapshots-was-leaving-part-of-the-d.patch.
- Delete
  patches.fixes/smb3-fill-in-statfs-fsid-and-correct-namelen.patch.
- Delete
  patches.fixes/smb3-fix-reset-of-bytes-read-and-written-stats.patch.
- Delete patches.fixes/smb3-fix-various-xid-leaks.patch.
- Delete
  patches.fixes/smb3-on-kerberos-mount-if-server-doesn-t-specify-aut.patch.
- Delete
  patches.fixes/smb3-on-reconnect-set-PreviousSessionId-field.patch.
- Delete
  patches.fixes/smb3-remove-noisy-warning-message-on-mount.patch.
- Delete
  patches.fixes/smb3-simplify-code-by-removing-CONFIG_CIFS_SMB311.patch.
- Delete
  patches.suse/cifs-Always-resolve-hostname-before-reconnecting.patch.
- Delete
  patches.suse/cifs-Fix-NULL-pointer-dereference-of-devname.patch.
- Delete patches.suse/cifs-fix-set-info.patch.
- Update config files.
- commit e581c26
* Fri Aug 23 2019 dwagner@suse.de
- scsi: hisi_sas: Add support for DIX feature for v3 hw
  (bsc#1137322 bsc#1137323 bsc#1138099 bsc#1138100).
- scsi: hisi_sas: Change SERDES_CFG init value to increase
  reliability of HiLink (bsc#1137322 bsc#1137323 bsc#1138099
  bsc#1138100).
- scsi: hisi_sas: Disable stash for v3 hw (bsc#1137322 bsc#1137323
  bsc#1138099 bsc#1138100).
- scsi: hisi_sas: Fix losing directly attached disk when hot-plug
  (bsc#1137322 bsc#1137323 bsc#1138099 bsc#1138100).
- scsi: hisi_sas: Ignore the error code between phy down to phy up
  (bsc#1137322 bsc#1137323 bsc#1138099 bsc#1138100).
- scsi: hisi_sas: Issue internal abort on all relevant queues
  (bsc#1137322 bsc#1137323 bsc#1138099 bsc#1138100).
- scsi: hisi_sas: Reduce HISI_SAS_SGE_PAGE_CNT in size
  (bsc#1137322 bsc#1137323 bsc#1138099 bsc#1138100).
- scsi: hisi_sas: Reject setting programmed minimum linkrate >
  1.5G (bsc#1137322 bsc#1137323 bsc#1138099 bsc#1138100).
- scsi: hisi_sas: Use pci_irq_get_affinity() for v3 hw as
  experimental (bsc#1137322 bsc#1137323 bsc#1138099 bsc#1138100).
- scsi: hisi_sas: change queue depth from 512 to 4096 (bsc#1137322
  bsc#1137323 bsc#1138099 bsc#1138100).
- scsi: hisi_sas: print PHY RX errors count for later revision
  of v3 hw (bsc#1137322 bsc#1137323 bsc#1138099 bsc#1138100).
- scsi: hisi_sas: send primitive NOTIFY to SSP situation only
  (bsc#1137322 bsc#1137323 bsc#1138099 bsc#1138100).
- scsi: hisi_sas: shutdown axi bus to avoid exception CQ returned
  (bsc#1137322 bsc#1137323 bsc#1138099 bsc#1138100).
- scsi: libsas: only clear phy->in_shutdown after shutdown event
  done (bsc#1137322 bsc#1137323 bsc#1138099 bsc#1138100).
- scsi: sas: Convert timers to use timer_setup() (bsc#1137322
  bsc#1137323 bsc#1138099 bsc#1138100).
- scsi: hisi_sas: kabi fixes (bsc#1137322 bsc#1137323 bsc#1138099
  bsc#1138100).
- scsi: libsas: kABI protect struct sas_task_slow (bsc#1137322
  bsc#1137323 bsc#1138099 bsc#1138100).
- Refresh
  patches.drivers/scsi-hisi_sas-Fix-the-race-between-IO-completion-and.patch.
- Refresh
  patches.drivers/scsi-hisi_sas-add-support-for-dif-feature-for-v2-hw.patch.
- Refresh
  patches.drivers/scsi-hisi_sas-fix-for-setting-the-phy-linkrate-when-disconnected.
- Refresh
  patches.drivers/scsi-hisi_sas-fix-the-issue-of-link-rate-inconsistency.patch.
- Refresh
  patches.drivers/scsi-hisi_sas-increase-timer-expire-of-internal-abort-task.patch.
- Refresh
  patches.drivers/scsi-hisi_sas-make-return-type-of-prep-functions-void.patch.
- Refresh
  patches.drivers/scsi-hisi_sas-mark-phy-as-in-reset-for-nexus-reset.patch.
- Refresh
  patches.drivers/scsi-hisi_sas-remove-some-unneeded-structure-members.patch.
- Refresh
  patches.drivers/scsi-hisi_sas-send-hard-reset-to-clear-the-previous-affiliation-of-stp-target-port.
- Refresh patches.drivers/scsi-hisi_sas-some-misc-tidy-up.
- Refresh
  patches.drivers/scsi-hisi_sas-support-all-ras-events-with-msi-interrupts.
- Refresh
  patches.drivers/scsi-hisi_sas-use-an-general-way-to-delay-phy-work.patch.
- Refresh patches.kabi/scsi-hisi-kabi-ignore-new-symbols.
- commit ed2b94d
* Fri Aug 23 2019 jroedel@suse.de
- kABI: Fix kABI for x86 pci-dma code (bsc#1136039).
- Documentation: Update Documentation for iommu.passthrough
  (bsc#1136039).
- iommu: Disable passthrough mode when SME is active
  (bsc#1136039).
- iommu: Set default domain type at runtime (bsc#1136039).
- iommu: Print default domain type on boot (bsc#1136039).
- ia64: Get rid of iommu_pass_through (bsc#1136039).
- x86/dma: Get rid of iommu_pass_through (bsc#1136039).
- iommu/vt-d: Request passthrough mode from IOMMU core
  (bsc#1136039).
- iommu/amd: Request passthrough mode from IOMMU core
  (bsc#1136039).
- iommu: Use Functions to set default domain type in
  iommu_set_def_domain_type() (bsc#1136039).
- iommu: Add helpers to set/get default domain type (bsc#1136039).
- iommu: Remember when default domain type was set on kernel
  command line (bsc#1136039).
- commit 5efabc2
* Fri Aug 23 2019 colyli@suse.de
- Update patches.fixes/MD-fix-invalid-stored-role-for-a-disk-try2.patch
  (bsc#1143765).
- commit 34aad22
* Fri Aug 23 2019 hare@suse.de
- scsi: qla2xxx: Add cleanup for PCI EEH recovery (bsc#1129424).
- commit c414f17
* Fri Aug 23 2019 hare@suse.de
- nvme-core: Fix extra device_put() call on error path
  (bsc#1142541).
- commit d0ca8a3
* Fri Aug 23 2019 hare@suse.de
- nvme: change locking for the per-subsystem controller list
  (bsc#1142541).
- Refresh
  patches.fixes/nvme-fix-memory-leak-caused-by-incorrect-subsystem-free.patch.
- commit 5145006
* Fri Aug 23 2019 hare@suse.de
- scsi: lpfc: Update lpfc version to 12.4.0.0 (bsc#1146215).
- scsi: lpfc: Merge per-protocol WQ/CQ pairs into single per-cpu
  pair (bsc#1146215).
- scsi: lpfc: Add NVMe sequence level error recovery support
  (bsc#1146215).
- scsi: lpfc: Support dynamic unbounded SGL lists on G7 hardware
  (bsc#1146215).
- scsi: lpfc: Add MDS driver loopback diagnostics support
  (bsc#1146215).
- scsi: lpfc: Add first and second level hardware revisions to
  sysfs (bsc#1146215).
- scsi: lpfc: Migrate to %%px and %%pf in kernel print calls
  (bsc#1146215).
- scsi: lpfc: Add simple unlikely optimizations to reduce NVME
  latency (bsc#1146215).
- scsi: lpfc: Fix coverity warnings (bsc#1146215).
- scsi: lpfc: Fix nvme first burst module parameter description
  (bsc#1146215).
- scsi: lpfc: Fix BlockGuard enablement on FCoE adapters
  (bsc#1146215).
- scsi: lpfc: Fix reported physical link speed on a disabled
  trunked (bsc#1146215).
- scsi: lpfc: Fix Max Frame Size value shown in fdmishow output
  (bsc#1146215).
- scsi: lpfc: Fix upcall to bsg done in non-success cases
  (bsc#1146215).
- scsi: lpfc: Fix sli4 adapter initialization with MSI
  (bsc#1146215).
- scsi: lpfc: Fix nvme sg_seg_cnt display if HBA does not support
  NVME (bsc#1146215).
- scsi: lpfc: Fix nvme target mode ABTSing a received ABTS
  (bsc#1146215).
- scsi: lpfc: Fix hang when downloading fw on port enabled for
  nvme (bsc#1146215).
- scsi: lpfc: Fix too many sg segments spamming in kernel log
  (bsc#1146215).
- scsi: lpfc: Fix crash due to port reset racing vs adapter error
  (bsc#1146215).
- scsi: lpfc: Fix deadlock on host_lock during cable pulls
  (bsc#1146215).
- scsi: lpfc: Fix error in remote port address change
  (bsc#1146215).
- scsi: lpfc: Fix sg_seg_cnt for HBAs that don't support NVME
  (bsc#1146215).
- scsi: lpfc: Fix propagation of devloss_tmo setting to nvme
  transport (bsc#1146215).
- scsi: lpfc: Fix loss of remote port after devloss due to lack
  of RPIs (bsc#1146215).
- scsi: lpfc: Fix devices that don't return after devloss followed
  by (bsc#1146215).
- scsi: lpfc: Fix null ptr oops updating lpfc_devloss_tmo via
  sysfs (bsc#1146215).
- scsi: lpfc: Fix FLOGI handling across multiple link up/down
  (bsc#1146215).
- scsi: lpfc: Fix oops when fewer hdwqs than cpus (bsc#1146215).
- scsi: lpfc: Fix irq raising in lpfc_sli_hba_down (bsc#1146215).
- scsi: lpfc: Fix Oops in nvme_register with target logout/login
  (bsc#1146215).
- scsi: lpfc: Fix issuing init_vpi mbox on SLI-3 card
  (bsc#1146215).
- scsi: lpfc: Fix ADISC reception terminating login state if a
  NVME (bsc#1146215).
- scsi: lpfc: Fix discovery when target has no GID_FT information
  (bsc#1146215).
- scsi: lpfc: Fix port relogin failure due to GID_FT interaction
  (bsc#1146215).
- scsi: lpfc: Fix leak of ELS completions on adapter reset
  (bsc#1146215).
- scsi: lpfc: Fix failure to clear non-zero eq_delay after io rate
  (bsc#1146215).
- scsi: lpfc: Fix crash on driver unload in wq free (bsc#1146215).
- scsi: lpfc: Fix ELS field alignments (bsc#1146215).
- scsi: lpfc: Fix PLOGI failure with high remoteport count
  (bsc#1146215).
- scsi: lpfc: Limit xri count for kdump environment (bsc#1146215).
- scsi: lpfc: remove NULL check before some freeing functions
  (bsc#1146215).
- commit 750d70c
* Fri Aug 23 2019 hare@suse.de
- scsi: lpfc: change snprintf to scnprintf for possible overflow
  (bsc#1146215).
- Refresh
  patches.drivers/scsi-lpfc-Declare-local-functions-static.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-oops-when-driver-is-loaded-with-1-inte.patch.
- commit e30888c
* Fri Aug 23 2019 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Fix kernel-livepatch description typo.
- commit 36acf91
* Thu Aug 22 2019 msuchanek@suse.de
- Pull packaging cleanup from mkubecek.
- Parametrize kgraft vs livepatch.
- commit 16f6816
* Thu Aug 22 2019 msuchanek@suse.de
- rpm/config.sh: Enable livepatch.
- commit 6387718
* Thu Aug 22 2019 bp@suse.de
- x86/unwind: Add hardcoded ORC entry for NULL (bsc#1114279).
- commit 7b43378
* Thu Aug 22 2019 oneukum@suse.com
- Update
  patches.drivers/USB-rio500-fix-memory-leak-in-close-after-disconnect.patch
  (bsc#1051510 bsc#1146391 CVE-2019-15212).
- Update
  patches.drivers/USB-rio500-refuse-more-than-one-device-at-a-time.patch
  (bsc#1051510 bsc#1146391 CVE-2019-15212).
  Added CVE number
- commit 26c322a
* Thu Aug 22 2019 pmladek@suse.com
- Update
  patches.fixes/tracing-Fix-bad-use-of-igrab-in-trace_uprobe.c.patch
  (bsc#1120046, bsc#1146141).
- commit 811fa62
* Thu Aug 22 2019 tiwai@suse.de
- Update patch tag for an already backported fix (CVE-2019-15292,bsc#1146678)
- commit 3fb5876
* Thu Aug 22 2019 tiwai@suse.de
- media: usb:zr364xx:Fix KASAN:null-ptr-deref Read in
  zr364xx_vidioc_querycap (CVE-2019-15217,bsc#1146547).
- commit 0cafaf1
* Thu Aug 22 2019 tiwai@suse.de
- media: radio-raremono: change devm_k*alloc to k*alloc
  (CVE-2019-15211,bsc#1146519).
- commit 418ad9b
* Wed Aug 21 2019 msuchanek@suse.de
- powerpc/rtas: use device model APIs and serialization during
  LPM (bsc#1144123 ltc#178840).
- commit 9cbdd0c
* Wed Aug 21 2019 tiwai@suse.de
- Yet another patch tag update for security fix (CVE-2019-15214,bsc#1146550)
- commit 9d5b64b
* Wed Aug 21 2019 tiwai@suse.de
- Update patch tags for already present securiy fixes (CVE-2019-15221,bsc#1146529,CVE-2019-15222,bsc#1146531)
- commit a8305b2
* Wed Aug 21 2019 bp@suse.de
- blacklist.conf:
  a9d57ef15cbe x86/retpolines: Disable switch jump tables when retpolines are enabled
- commit afa99a4
* Wed Aug 21 2019 bp@suse.de
- x86/unwind: Handle NULL pointer calls better in frame unwinder
  (bsc#1114279).
- commit f3e381b
* Wed Aug 21 2019 msuchanek@suse.de
- kabi/severities: match SLE15 entry ordering.
- commit 58a51d3
* Wed Aug 21 2019 lhenriques@suse.com
- ceph: clean up ceph.dir.pin vxattr name sizeof() (bsc#1146346).
- commit 8e0f69d
* Wed Aug 21 2019 lhenriques@suse.com
- ceph: clean up ceph.dir.pin vxattr name sizeof() (bsc#1146346).
- ceph: support getting ceph.dir.pin vxattr (bsc#1146346).
- ceph: support versioned reply (bsc#1146346).
- ceph: decode feature bits in session message (bsc#1146346).
- ceph: support cephfs' own feature bits (bsc#1146346).
- ceph: always get rstat from auth mds (bsc#1146346).
- ceph: use bit flags to define vxattr attributes (bsc#1146346).
- commit 3b8d335
* Wed Aug 21 2019 jthumshirn@suse.de
- blacklist.conf: Blacklist 2170a0d53bee ("tools/testing/nvdimm: Retain security state after overwrite")
- commit 8ea557d
* Wed Aug 21 2019 hare@suse.de
- nvme-multipath: fix ana log nsid lookup when nsid is not found
  (bsc#1141554).
- commit 1d6ec2f
* Wed Aug 21 2019 hare@suse.de
- nvme: Return BLK_STS_TARGET if the DNR bit is set (bsc#1142076).
- commit c4afaf4
* Wed Aug 21 2019 msuchanek@suse.de
- libnvdimm/pfn: Store correct value of npfns in namespace
  superblock (bsc#1146381 ltc#180720).
- commit e703307
* Wed Aug 21 2019 msuchanek@suse.de
- powerpc: Allow flush_(inval_)dcache_range to work across ranges
  >4GB (bsc#1146575 ltc#180764).
- commit 1af9ac2
* Wed Aug 21 2019 oneukum@suse.com
- Update
  patches.drivers/media-usb-siano-Fix-general-protection-fault-in-smsu.patch
  (bsc#1051510 bsc#1146413 CVE-2019-15218).
  Added CVE number
- commit 7715a12
* Wed Aug 21 2019 yousaf.kaukab@suse.com
- irqchip/gic-v2m: Add support for Amazon Graviton variant of GICv3+GICv2m (SLE-9332).
- commit a55b575
* Wed Aug 21 2019 oneukum@suse.com
- Update
  patches.fixes/0001-media-cpia2_usb-first-wake-up-then-free-in-disconnec.patch
  (bsc#1135642 bsc#1146425 CVE-2019-15215).
  Added CVE number
- commit b8d5415
* Wed Aug 21 2019 oneukum@suse.com
- HID: wacom: correct misreported EKR ring values (bsc#1142635).
- commit fff2c8e
* Wed Aug 21 2019 oneukum@suse.com
- HID: wacom: Correct distance scale for 2nd-gen Intuos devices
  (bsc#1142635).
- commit 938b6bc
* Wed Aug 21 2019 dwagner@suse.de
- Delete
  patches.drivers/scsi-qla2xxx-Change-a-stack-variable-into-a-static-c.patch.
  The patch depends on 5585cbddce0e ("scsi: scsi_transport_fc: Declare
  wwn_to_u64() argument const"), which is not back ported.
  drivers/scsi/qla2xxx/qla_attr.c: In function ‘qla2x00_get_host_fabric_name’:
  drivers/scsi/qla2xxx/qla_attr.c:2735:31: warning: passing argument 1 of ‘wwn_to_u64’ discards ‘const’ qualifier from pointer target type [-Wdiscarded-qualifiers]
  u64 fabric_name = wwn_to_u64(node_name);
    ^~~~~~~~~
  In file included from drivers/scsi/qla2xxx/qla_def.h:34:0,
    from drivers/scsi/qla2xxx/qla_attr.c:7:
  ./include/scsi/scsi_transport_fc.h:766:19: note: expected ‘u8 * {aka unsigned char *}’ but argument is of type ‘const uint8_t * {aka const unsigned char *}’
  static inline u64 wwn_to_u64(u8 *wwn)
    ^~~~~~~~~~
- commit f11ca43
* Wed Aug 21 2019 lhenriques@suse.com
- ceph: support getting ceph.dir.pin vxattr (bsc#1146346).
- ceph: support versioned reply (bsc#1146346).
- ceph: decode feature bits in session message (bsc#1146346).
- commit 3615283
* Wed Aug 21 2019 bp@suse.de
- blacklist.conf:
  ce02ef06fcf7 x86, retpolines: Raise limit for generating indirect calls from switch-case
- commit 58b4712
* Wed Aug 21 2019 palcantara@suse.de
- blacklist.conf: Add 33da8e7c814f ("signal: Allow cifs and drbd to receive their terminating signals")
- commit 7cf0c17
* Wed Aug 21 2019 lduncan@suse.com
- scsi: qedi: remove memset/memcpy to nfunc and use func instead
  (bsc#1146399 CVE-2019-15090).
- commit 6174892
* Tue Aug 20 2019 yousaf.kaukab@suse.com
- arm64: PCI: Preserve firmware configuration when desired (SLE-9332).
- commit 9233377
* Tue Aug 20 2019 msuchanek@suse.de
- ibmvnic: Unmap DMA address of TX descriptor buffers after use
  (bsc#1146351 ltc#180726).
- commit 3b35ec5
* Tue Aug 20 2019 msuchanek@suse.de
- powerpc/fadump: use kstrtoint to handle sysfs store
  (bsc#1146376).
- Refresh patches.arch/powerpc-fadump-re-register-firmware-assisted-dump-if.patch.
- commit f2d2536
* Tue Aug 20 2019 oneukum@suse.com
- USB: CDC: fix sanity checks in CDC union parser (bsc#1142635).
- commit ea8f734
* Tue Aug 20 2019 oneukum@suse.com
- usb: cdc-acm: make sure a refcount is taken early enough
  (bsc#1142635).
- commit f73861c
* Tue Aug 20 2019 ailiopoulos@suse.com
- xfs: clear sb->s_fs_info on mount failure (bsc#1146285,
  CVE-2018-20976).
- commit 8cdb4f1
* Tue Aug 20 2019 ptesarik@suse.cz
- kabi/severities: Exclude drivers/crypto/ccp/*
- commit 23b6f7f
* Tue Aug 20 2019 dwagner@suse.de
- scsi: qla2xxx: qla2x00_alloc_fw_dump: set ha->eft (bsc#1134476).
- commit a2558b1
* Tue Aug 20 2019 ailiopoulos@suse.com
- nvme-multipath: revalidate nvme_ns_head gendisk in
  nvme_validate_ns (bsc#1120876).
- commit 40c0bfb
* Mon Aug 19 2019 dwagner@suse.de
- qla2xxx: kABI fixes for v10.01.00.18-k (bcs#1082635 bcs#1141340
  bcs#1143706).
- scsi: qla2xxx: Update driver version to 10.01.00.18-k
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Allow NVMe IO to resume with short cable pull
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix hang in fcport delete path (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Use common update-firmware-options routine for
  ISP27xx+ (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix NVMe port discovery after a short device
  port loss (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Correct error handling during initialization
  failures (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Retry fabric Scan on IOCB queue full (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix premature timer expiration (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix Relogin to prevent modifying scan_state flag
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Reject EH_{abort|device_reset|target_request}
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Skip FW dump on LOOP initialization error
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Use Correct index for Q-Pair array (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix abort timeout race condition (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix different size DMA Alloc/Unmap (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix DMA unmap leak (bsc#1082635 bsc#1141340
  bsc#1143706).
- scsi: qla2xxx: Replace vmalloc + memset with vzalloc
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Remove unnecessary null check (bsc#1082635
  bsc#1141340 bsc#1143706).
- commit 409793e
* Mon Aug 19 2019 tiwai@suse.de
- drm/amd/display: num of sw i2c/aux engines less than num of
  connectors (bsc#1145946).
- drm/amdgpu:change VEGA booting with firmware loaded by PSP
  (bsc#1143331).
- drm/amdgpu: added support 2nd UVD instance (bsc#1143331).
- drm/amd/display: Remove redundant non-zero and overflow check
  (bsc#1145946).
- commit 5872e42
* Mon Aug 19 2019 dwagner@suse.de
- scsi: qla2xxx: Fix possible fcport null-pointer dereferences
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: move IO flush to the front of NVME rport
  unregistration (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix NVME cmd and LS cmd timeout race condition
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: on session delete, return nvme cmd (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix kernel crash after disconnecting NVMe devices
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: remove double assignment in qla2x00_update_fcport
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix hardlockup in abort command during driver
  remove (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Add cleanup for PCI EEH recovery (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Avoid that lockdep complains about unsafe
  locking in tcm_qla2xxx_close_session() (bsc#1082635 bsc#1141340
  bsc#1143706).
- scsi: qla2xxx: Avoid that qlt_send_resp_ctio() corrupts memory
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix hardirq-unsafe locking (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Complain loudly about reference count underflow
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Check the size of firmware data structures at
  compile time (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Pass little-endian values to the firmware
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix race conditions in the code for aborting
  SCSI commands (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Use an on-stack completion in
  qla24xx_control_vp() (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Make qla24xx_async_abort_cmd() static
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Remove unnecessary locking from the target code
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Remove qla_tgt_cmd.released (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Complain if a command is released that is owned
  by the firmware (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: target: Fix offline port handling and host
  reset handling (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix error handling in qlt_alloc_qfull_cmd()
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Simplify qlt_send_term_imm_notif() (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix use-after-free issues in
  qla2xxx_qpair_sp_free_dma() (bsc#1082635 bsc#1141340
  bsc#1143706).
- scsi: qla2xxx: Fix a qla24xx_enable_msix() error path
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Avoid that qla2x00_mem_free() crashes if called
  twice (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Make qla2x00_mem_free() easier to verify
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Increase the size of the mailbox arrays from
  4 to 8 (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Log the status code if a firmware command fails
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Avoid that Coverity complains about dereferencing
  a NULL rport pointer (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Remove the fcport test from qla_nvme_abort_work()
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Uninline qla2x00_init_timer() (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Move qla2x00_is_reserved_id() from qla_inline.h
  into qla_init.c (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Move qla2x00_clear_loop_id() from qla_inline.h
  into qla_init.c (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Remove a set-but-not-used variable (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Declare qla2x00_find_new_loop_id() static
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Move qla2x00_set_reserved_loop_ids() definition
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix a format specifier (bsc#1082635 bsc#1141340
  bsc#1143706).
- scsi: qla2xxx: Update two source code comments (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Silence Successful ELS IOCB message (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix device staying in blocked state (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Move qla2x00_set_fcport_state() from a .h into
  a .c file (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Remove two superfluous casts (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Remove qla_tgt_cmd.data_work and
  qla_tgt_cmd.data_work_free (bsc#1082635 bsc#1141340
  bsc#1143706).
- scsi: qla2xxx: Move the <linux/io-64-nonatomic-lo-hi.h>
  include directive (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Declare qla24xx_build_scsi_crc_2_iocbs() static
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Move the port_state_str definition from a .h
  to a .c file (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Insert spaces where required (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix formatting of pointer types (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Leave a blank line after declarations
  (bsc#1082635 bsc#1141340 bsc#1143706).
- Refresh patches.drivers/qla2xxx-Enable-T10-DIF-with-FC-NVMe-enabled.patch
- scsi: qla2xxx: Use tabs to indent code (bsc#1082635 bsc#1141340
  bsc#1143706).
- scsi: scsi_transport_fc: nvme: display FC-NVMe port roles
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: tcm_qla2xxx: Minimize #include directives (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Unregister resources in the opposite order of
  the registration order (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Unregister chrdev if module initialization fails
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Use get/put_unaligned where appropriate
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Make qla2x00_process_response_queue() easier
  to read (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Reduce the number of forward declarations
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Declare local symbols static (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Use ARRAY_SIZE() in the definition of
  QLA_LAST_SPEED (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Remove a comment that refers to the SCSI host
  lock (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Change a stack variable into a static const
  variable (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: fix spelling mistake "alredy" -> "already"
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Remove useless set memory to zero use memset()
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Update driver version to 10.01.00.16-k
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Change abort wait_loop from msleep to
  wait_event_timeout (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix driver unload when FC-NVMe LUNs are connected
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Cleanup redundant qla2x00_abort_all_cmds during
  unload (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Cleanup fcport memory to prevent leak
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Use mutex protection during
  qla2x00_sysfs_read_fw_dump() (bsc#1082635 bsc#1141340
  bsc#1143706).
- scsi: qla2xxx: Fix fw dump corruption (bsc#1082635 bsc#1141340
  bsc#1143706).
- Refresh patches.kabi/qla2xxx-kABI-fixes-for-v10.01.00.15-k.patch
- scsi: qla2xxx: Further limit FLASH region write access from
  SysFS (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Disable T10-DIF feature with FC-NVMe during probe
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Increase the max_sgl_segments to 1024
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Reset the FCF_ASYNC_{SENT|ACTIVE} flags
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Set the qpair in SRB to NULL when SRB is released
  (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Set the SCSI command result before calling the
  command done (bsc#1082635 bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix a small typo in qla_bsg.c (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix comment alignment in qla_bsg.c (bsc#1082635
  bsc#1141340 bsc#1143706).
- scsi: qla2xxx: Fix NULL pointer crash due to stale CPUID
  (bsc#1082635 bsc#1141340 bsc#1143706).
- commit 3acfaa4
* Mon Aug 19 2019 mgorman@suse.de
- mm, vmscan: do not special-case slab reclaim when watermarks
  are boosted (git fixes (mm/vmscan)).
- commit 931e4bb
* Mon Aug 19 2019 tiwai@suse.de
- blacklist.conf: Remove the backported entry for i2c-core
- commit a2925e1
* Mon Aug 19 2019 tiwai@suse.de
- i2c: core-smbus: prevent stack corruption on read I2C_BLOCK_DATA
  (CVE-2017-18551,bsc#1146163).
- commit 8a3a796
* Mon Aug 19 2019 jroedel@suse.de
- iommu/dma: Handle SG length overflow better (bsc#1146084).
- commit aa7828b
* Mon Aug 19 2019 jroedel@suse.de
- KVM: x86: fix backward migration with async_PF (bsc#1146074).
- commit 1780c7c
* Mon Aug 19 2019 tiwai@suse.de
- blacklist.conf: Add a CVE entry that is valid only for SLE15-SP1+
- commit 1dc95cb
* Mon Aug 19 2019 nborisov@suse.com
- blacklist.conf: Add invalid btrfs commits
- commit e2305c6
* Sun Aug 18 2019 tiwai@suse.de
- drm/amd/display: Increase size of audios array (bsc#1111666).
- drm/amd/display: Only enable audio if speaker allocation exists
  (bsc#1111666).
- drm/amd/display: Fix dc_create failure handling and 666 color
  depths (bsc#1111666).
- drm/amd/display: use encoder's engine id to find matched free
  audio device (bsc#1111666).
- drm/amd/display: Wait for backlight programming completion in
  set backlight level (bsc#1111666).
- commit 5727eee
* Sun Aug 18 2019 tiwai@suse.de
- iio: adc: max9611: Fix misuse of GENMASK macro (bsc#1051510).
- usb: usbfs: fix double-free of usb memory upon submiturb error
  (bsc#1051510).
- Input: synaptics - enable RMI mode for HP Spectre X360
  (bsc#1051510).
- mac80211: don't WARN on short WMM parameters from AP
  (bsc#1051510).
- HID: sony: Fix race condition between rumble and device remove
  (bsc#1051510).
- mac80211: don't warn about CW params when not using them
  (bsc#1051510).
- drivers/pps/pps.c: clear offset flags in PPS_SETPARAMS ioctl
  (bsc#1051510).
- commit ad7168f
* Sun Aug 18 2019 tiwai@suse.de
- crypto: ccp - Validate buffer lengths for copy operations
  (bsc#1051510).
- Refresh
  patches.fixes/crypto-ccp-Fix-3DES-complaint-from-ccp-crypto-module.patch.
- Refresh
  patches.fixes/crypto-ccp-gcm-use-const-time-tag-comparison.patch.
- commit ad0fc3d
* Sun Aug 18 2019 tiwai@suse.de
- crypto: ccp - Add support for valid authsize values less than 16
  (bsc#1051510).
- drm: silence variable 'conn' set but not used (bsc#1051510).
- commit e51846e
* Sun Aug 18 2019 tiwai@suse.de
- ALSA: hda/realtek - Add quirk for HP Envy x360 (bsc#1051510).
- commit dc93d77
* Sun Aug 18 2019 tiwai@suse.de
- ALSA: hda - Add a generic reboot_notify (bsc#1051510).
- ALSA: hda - Let all conexant codec enter D3 when rebooting
  (bsc#1051510).
- ALSA: hda - Fix a memory leak bug (bsc#1051510).
- ALSA: hda - Apply workaround for another AMD chip 1022:1487
  (bsc#1051510).
- commit 5a16838
* Sat Aug 17 2019 fdmanana@suse.com
- Refresh
  patches.suse/btrfs-add-missing-inode-version-ctime-and-mtime-upda.patch.
- commit caa1588
* Fri Aug 16 2019 tiwai@suse.de
- ALSA: usb-audio: Fix a stack buffer overflow bug in
  check_input_term (CVE-2019-15118,bsc#1145922).
- ALSA: usb-audio: Fix an OOB bug in parse_audio_mixer_unit
  (CVE-2019-15117,bsc#1145920).
- commit 6787ab0
* Fri Aug 16 2019 tiwai@suse.de
- ALSA: usb-audio: Fix a stack buffer overflow bug in
  check_input_term (CVE-2019-15118,bsc#1145922).
- ALSA: usb-audio: Fix an OOB bug in parse_audio_mixer_unit
  (CVE-2019-15117,bsc#1145920).
- commit c68760f
* Fri Aug 16 2019 fdmanana@suse.com
- Btrfs: fix fsync not persisting dentry deletions due to inode
  evictions (bsc#1145942).
- commit 2b9288a
* Fri Aug 16 2019 fdmanana@suse.com
- Btrfs: fix data loss after inode eviction, renaming it, and
  fsync it (bsc#1145941).
- commit 94c1da3
* Fri Aug 16 2019 fdmanana@suse.com
- Btrfs: fix incremental send failure after deduplication
  (bsc#1145940).
- commit e44b16e
* Fri Aug 16 2019 fdmanana@suse.com
- Btrfs: fix race leading to fs corruption after transaction abort
  (bsc#1145937).
- commit fc04aaf
* Fri Aug 16 2019 fdmanana@suse.com
- Btrfs: add missing inode version, ctime and mtime updates when
  punching hole (bsc#1140487).
- commit 7426909
* Fri Aug 16 2019 palcantara@suse.de
- SMB3: Kernel oops mounting a encryptData share with
  CONFIG_DEBUG_VIRTUAL (bsc#1144333).
- commit 87dae80
* Fri Aug 16 2019 palcantara@suse.de
- smb3: send CAP_DFS capability during session setup
  (bsc#1144333).
- commit 0280850
* Fri Aug 16 2019 palcantara@suse.de
- SMB3: Fix potential memory leak when processing compound chain
  (bsc#1144333).
- commit 6f104b1
* Fri Aug 16 2019 palcantara@suse.de
- SMB3: Fix deadlock in validate negotiate hits reconnect
  (bsc#1144333).
- commit 0d88c19
* Fri Aug 16 2019 palcantara@suse.de
- cifs: fix rmmod regression in cifs.ko caused by force_sig
  changes (bsc#1144333).
- commit 76f5281
* Fri Aug 16 2019 tiwai@suse.de
- ath10k: Drop WARN_ON()s that always trigger during system resume
  (bsc#1111666).
- Refresh
  patches.drivers/ath10k-fix-incorrect-multicast-broadcast-rate-settin.patch.
- commit 830f253
* Fri Aug 16 2019 tiwai@suse.de
- usb: typec: tcpm: Ignore unsupported/unknown alternate mode
  requests (bsc#1111666).
- usb: typec: tcpm: remove tcpm dir if no children (bsc#1111666).
- usb: typec: tcpm: free log buf memory when remove debug file
  (bsc#1111666).
- commit f02a245
* Fri Aug 16 2019 bp@suse.de
- x86/speculation/mds: Apply more accurate check on hypervisor
  platform (bsc#1114279).
- commit 8a1df40
* Fri Aug 16 2019 bp@suse.de
- x86/boot: Fix memory leak in default_get_smp_config()
  (bsc#1114279).
- commit 648370e
* Fri Aug 16 2019 bp@suse.de
- cpu/speculation: Warn on unsupported mitigations= parameter
  (bsc#1114279).
- commit a78bef0
* Fri Aug 16 2019 bp@suse.de
- x86/speculation: Allow guests to use SSBD even if host does not
  (bsc#1114279).
- commit 66db1d6
* Fri Aug 16 2019 fyang@suse.com
- xfrm: Fix NULL pointer dereference in xfrm_input when
  skb_dst_force clears the dst_entry (bsc#1143300).
- xfrm: Fix bucket count reported to userspace (bsc#1143300).
- xfrm: Fix error return code in xfrm_output_one() (bsc#1143300).
- xfrm: Fix NULL pointer dereference when skb_dst_force clears
  the dst_entry (bsc#1143300).
- commit 8597a81
* Thu Aug 15 2019 tbogendoerfer@suse.de
- IB/mlx5: Fix MR registration flow to use UMR properly
  (bsc#1093205 bsc#1145678).
- net/mlx4_core: Zero out lkey field in SW2HW_MPT fw command
  (bsc#1145678).
- commit 6ffe96c
* Thu Aug 15 2019 nborisov@suse.com
- xfs: fix semicolon.cocci warnings (bsc#1145235).
- commit acbefc7
* Thu Aug 15 2019 nborisov@suse.com
- xfs: eliminate duplicate icreate tx reservation functions
  (bsc#1145235).
- xfs: refactor inode chunk alloc/free tx reservation
  (bsc#1145235).
- xfs: include an allocfree res for inobt modifications
  (bsc#1145235).
- xfs: truncate transaction does not modify the inobt
  (bsc#1145235).
- xfs: fix up agi unlinked list reservations (bsc#1145235).
- xfs: include inobt buffers in ifree tx log reservation
  (bsc#1145235).
- xfs: print transaction log reservation on overrun (bsc#1145235).
- commit 82d0f2c
* Thu Aug 15 2019 neilb@suse.com
- NFS: Fix the inode request accounting when pages have
  subrequests (bsc#1140012).
- commit ff722c4
* Wed Aug 14 2019 tbogendoerfer@suse.de
- net: fix bpf_xdp_adjust_head regression for generic-XDP
  (bsc#1109837).
- net/mlx5e: always initialize frag->last_in_page (bsc#1103990
  FATE#326006).
- mlxsw: spectrum: Fix error path in mlxsw_sp_module_init()
  (bsc#1112374).
- net: phylink: Fix flow control for fixed-link (bsc#1119113
  FATE#326472).
- net/mlx5: Fix modify_cq_in alignment (bsc#1103990 FATE#326006).
- bpf: sockmap, only create entry if ulp is not already enabled
  (bsc#1109837).
- bpf: sockmap, synchronize_rcu before free'ing map (bsc#1109837).
- bpf: sockmap, sock_map_delete needs to use xchg (bsc#1109837).
- bnx2x: Disable multi-cos feature (bsc#1136498 jsc#SLE-4699).
- tun: mark small packets as owned by the tap sock (bsc#1109837).
- net: mvpp2: Don't check for 3 consecutive Idle frames for 10G
  links (bsc#1119113 FATE#326472).
- commit 2da4b63
* Wed Aug 14 2019 nborisov@suse.com
- xfs: dump transaction usage details on log reservation overrun
  (bsc#1145235).
- xfs: refactor xlog_cil_insert_items() to facilitate transaction
  dump (bsc#1145235).
- xfs: separate shutdown from ticket reservation print helper
  (bsc#1145235).
- commit 2eb4a53
* Wed Aug 14 2019 yousaf.kaukab@suse.com
- Refresh patches.drivers/0002-perf-arm_spe-handle-devm_kasprintf-failure.patch.
- commit 0fed144
* Wed Aug 14 2019 yousaf.kaukab@suse.com
- Refresh patches.drivers/0002-cpufreq-cppc-Work-around-for-Hisilicon-CPPC-cpufreq.patch.
- commit 4cc7513
* Wed Aug 14 2019 yousaf.kaukab@suse.com
- Refresh patches.drivers/0001-ACPI-CPPC-Add-a-helper-to-get-desired-performance.patch.
- commit 1f3070c
* Wed Aug 14 2019 yousaf.kaukab@suse.com
- Refresh patches.drivers/0049-mtd-m25p80-add-support-of-octal-mode-I-O-transfer.patch.
- commit 8db04b6
* Wed Aug 14 2019 yousaf.kaukab@suse.com
- Refresh patches.drivers/0041-mtd-spi-nor-add-octal-read-flag-for-flash-mt35xu512a.patch.
- commit 91ddecb
* Wed Aug 14 2019 yousaf.kaukab@suse.com
- Refresh patches.drivers/0040-mtd-spi-nor-add-opcodes-for-octal-Read-Write-command.patch.
- commit 2168443
* Wed Aug 14 2019 yousaf.kaukab@suse.com
- Refresh patches.drivers/0027-spi-spi-mem-Add-devm_spi_mem_dirmap_-create-destroy.patch.
  Refresh: patches.drivers/spi-mem-fix-kernel-doc-for-spi_mem_dirmap_-read-writ.patch
- commit e06a23a
* Wed Aug 14 2019 yousaf.kaukab@suse.com
- Refresh patches.drivers/0026-spi-spi-mem-Fix-a-memory-leak-in-spi_mem_dirmap_dest.patch.
- commit 93c9b77
* Wed Aug 14 2019 yousaf.kaukab@suse.com
- Refresh patches.drivers/0025-spi-spi-mem-Fix-spi_mem_dirmap_destroy-kerneldoc.patch.
- commit 5c94ee6
* Wed Aug 14 2019 yousaf.kaukab@suse.com
- Refresh patches.drivers/0013-spi-spi-mem-spi-nxp-fspi-add-module-license-info.patch.
- commit 4c3bfe1
* Wed Aug 14 2019 yousaf.kaukab@suse.com
- Refresh patches.drivers/0012-spi-nxp-fspi-add-octal-mode-flag-bit-for-octal-suppo.patch.
- commit 08ecca8
* Wed Aug 14 2019 yousaf.kaukab@suse.com
- Refresh patches.drivers/0011-spi-spi-mem-Add-driver-for-NXP-FlexSPI-controller.patch.
- commit 51f7aeb
* Wed Aug 14 2019 yousaf.kaukab@suse.com
- Refresh patches.drivers/0001-ahci-qoriq-add-lx2160-platforms-support.patch.
- commit 6a62df4
* Wed Aug 14 2019 yousaf.kaukab@suse.com
- Refresh: clk: qoriq: add support for lx2160a (fate#326572).
  One hunk is moved to a new patch:
  cpufreq: qoriq: add support for lx2160a
- commit 27a22cc
* Wed Aug 14 2019 yousaf.kaukab@suse.com
- Refresh patches.drivers/0001-clk-qoriq-increase-array-size-of-cmux_to_group.patch.
- commit 9bc9711
* Wed Aug 14 2019 yousaf.kaukab@suse.com
- refresh: soc: fsl: guts: Add definition for LX2160A (fate#326572).
- commit a05556c
* Wed Aug 14 2019 msuchanek@suse.de
- Rename patch to same nam as in SLE15 SP1.
- commit ee7b95e
* Tue Aug 13 2019 lduncan@suse.com
- scsi: bnx2fc: fix bnx2fc_cmd refcount imbalance in send_srr
  (bsc#1144582).
- scsi: bnx2fc: fix bnx2fc_cmd refcount imbalance in send_rec
  (bsc#1144582).
- scsi: bnx2fc: Update the driver version to 2.12.10
  (bsc#1144582).
- scsi: bnx2fc: Limit the IO size according to the FW capability
  (bsc#1144582).
- scsi: bnx2fc: Do not allow both a cleanup completion and abort
  completion for the same request (bsc#1144582).
- scsi: bnx2fc: Separate out completion flags and variables for
  abort and cleanup (bsc#1144582).
- scsi: bnx2fc: Only put reference to io_req in
  bnx2fc_abts_cleanup if cleanup times out (bsc#1144582).
- scsi: bnx2fc: Redo setting source FCoE MAC (bsc#1144582).
- commit 6db49cb
* Tue Aug 13 2019 lyan@suse.com
- virtio/s390: fix race on airq_areas (bsc#1145357).
- commit e004470
* Tue Aug 13 2019 jroedel@suse.de
- KVM: LAPIC: Fix pending interrupt in IRR blocked by software
  disable LAPIC (bsc#1145408).
- KVM: x86: degrade WARN to pr_warn_ratelimited (bsc#1145409).
- commit 653821c
* Tue Aug 13 2019 jroedel@suse.de
- Fix kABI after KVM fixes
- commit 14d35d2
* Tue Aug 13 2019 jroedel@suse.de
- KVM: Fix leak vCPU's VMCS value into other pCPU (bsc#1145388).
- KVM: nVMX: do not use dangling shadow VMCS after guest reset
  (bsc#1145390).
- KVM: x86/vPMU: refine kvm_pmu err msg when event creation failed
  (bsc#1145397).
- KVM: x86: Unconditionally enable irqs in guest context
  (bsc#1145396).
- kvm: nVMX: Remove unnecessary sync_roots from handle_invept
  (bsc#1145391).
- KVM: nVMX: allow setting the VMFUNC controls MSR (bsc#1145389).
- KVM: VMX: check CPUID before allowing read/write of IA32_XSS
  (bsc#1145394).
- KVM: nVMX: Use adjusted pin controls for vmcs02 (bsc#1145392).
- KVM: VMX: Always signal #GP on WRMSR to MSR_IA32_CR_PAT with
  bad value (bsc#1145393).
- KVM: VMX: Fix handling of #MC that occurs during VM-Entry
  (bsc#1145395).
- commit 6dd2efc
* Tue Aug 13 2019 msuchanek@suse.de
- powerpc/nvdimm: Pick nearby online node if the device node is
  not online (bsc#1142685 ltc#179509 FATE#327775).
- commit 9b6a35f
* Tue Aug 13 2019 tiwai@suse.de
- mfd: intel-lpss: Add Intel Comet Lake PCI IDs (jsc#SLE-4875).
- mmc: sdhci-pci: Add support for Intel CML (jsc#SLE-4875).
- mmc: sdhci-pci: Add support for Intel ICP (jsc#SLE-4875).
- commit 24d868c
* Mon Aug 12 2019 msuchanek@suse.de
- rpm/mkspec: Correct tarball URL for rc kernels.
- commit c4ef18d
* Mon Aug 12 2019 msuchanek@suse.de
- powerpc/perf: Add constraints for power9 l2/l3 bus events
  (bsc#1056686).
- powerpc/perf: Cleanup cache_sel bits comment (bsc#1056686).
- powerpc/perf: Update perf_regs structure to include SIER
  (bsc#1056686).
- powerpc/perf: Fix thresholding counter data for unknown type
  (bsc#1056686).
- commit 97adfd9
* Mon Aug 12 2019 msuchanek@suse.de
- KVM: PPC: Book3S HV: Fix CR0 setting in TM emulation
  (bsc#1061840).
- powerpc/powernv: Return for invalid IMC domain (bsc1054914,
  fate#322448, git-fixes).
- powerpc/book3s/64: check for NULL pointer in pgd_alloc()
  (FATE#322447, bsc#1078248, git-fixes).
- powerpc/perf: Remove PM_BR_CMPL_ALT from power9 event list
  (fate#321438, bsc#1047238, bsc#1056686).
- commit ddac941
* Mon Aug 12 2019 msuchanek@suse.de
- blacklist.conf: Add unnecessary powerpc commits.
  5564597d51c8 powerpc: Fix COFF zImage booting on old powermacs
  fe60522ec600 powerpc/function_graph: Simplify with
  function_graph_enter()
  73aca179d78e powerpc/modules: Fix crashes by adding CONFIG_RELOCATABLE
  to vermagic
  8adddf349fda powerpc/mm/radix: Make Radix require HUGETLB_PAGE
  3e3ebed3fef4 powerpc/lib: only build ldstfp.o when CONFIG_PPC_FPU is set
  d065ee93aab6 powerpc: drop unused GENERIC_CSUM Kconfig item
  2b874a5c7b75 powerpc/configs: Don't enable PPC_EARLY_DEBUG in defconfigs
- commit 7a3e64c
* Mon Aug 12 2019 msuchanek@suse.de
- powerpc/mm: Handle page table allocation failures (bsc#1065729).
- powerpc/64s: Include cpu header (bsc#1065729).
- powerpc/pseries: add missing cpumask.h include file
  (bsc#1065729).
- powerpc/powernv/opal-dump : Use IRQ_HANDLED instead of numbers
  in interrupt handler (bsc#1065729).
- powerpc/lib: Fix feature fixup test of external branch
  (bsc#1065729).
- commit e10f278
* Mon Aug 12 2019 msuchanek@suse.de
- tpm: Fix TPM 1.2 Shutdown sequence to prevent future TPM
  operations (bsc#1082555).
- tpm: Fix off-by-one when reading binary_bios_measurements
  (bsc#1082555).
- tpm/tpm_i2c_atmel: Return -E2BIG when the transfer is incomplete
  (bsc#1082555).
- tpm: Unify the send callback behaviour (bsc#1082555).
- tpm: vtpm_proxy: Suppress error logging when in closed state
  (bsc#1082555).
- commit b4884c0
* Mon Aug 12 2019 tiwai@suse.de
- mmc: sdhci-pci: Fix BYT OCP setting (bsc#1051510).
- commit 9932dc5
* Mon Aug 12 2019 tiwai@suse.de
- Move the driver core glue dir fix patch into sorted section
- commit 891c859
* Mon Aug 12 2019 tiwai@suse.de
- PCI: Restore Resizable BAR size bits correctly for 1MB BARs
  (bsc#1143841).
- commit 82f85e6
* Mon Aug 12 2019 tiwai@suse.de
- qede: fix write to free'd pointer error and double free of ptp
  (bsc#1051510).
- commit eded727
* Mon Aug 12 2019 tiwai@suse.de
- regulator: qcom_spmi: Fix math of
  spmi_regulator_set_voltage_time_sel (bsc#1051510).
- commit e34e318
* Mon Aug 12 2019 tiwai@suse.de
- sis900: fix TX completion (bsc#1051510).
- commit 935ad98
* Mon Aug 12 2019 tiwai@suse.de
- watchdog: f71808e_wdt: fix F81866 bit operation (bsc#1051510).
- watchdog: core: fix null pointer dereference when releasing cdev
  (bsc#1051510).
- commit c5d723e
* Mon Aug 12 2019 tiwai@suse.de
- Update kabi files: import from 4.12.14-150.32.1
- commit 60ce7e4
* Mon Aug 12 2019 tiwai@suse.de
- ehea: Fix a copy-paste err in ehea_init_port_res (bsc#1051510).
- commit 0935127
* Mon Aug 12 2019 tiwai@suse.de
- {nl,mac}80211: fix interface combinations on crypto controlled
  devices (bsc#1111666).
- staging: fsl-dpaa2/ethsw: fix memory leak of switchdev_work
  (bsc#1111666).
- commit 505ecbc
* Mon Aug 12 2019 mbenes@suse.cz
- objtool: Add rewind_stack_do_exit() to the noreturn list
  (bsc#1145302).
- commit 40ff441
* Mon Aug 12 2019 mbenes@suse.cz
- objtool: Support GCC 9 cold subfunction naming scheme
  (bsc#1145300).
- Refresh
  patches.suse/objtool-fix-segfault-in-cold-detection-with-ffunction-sections.patch.
- commit 43e6529
* Mon Aug 12 2019 mbenes@suse.cz
- blacklist.conf: 684fb246578b ("objtool: Add machine_real_restart() to the noreturn list")
  Not needed. Clang fix. Moreover CONFIG_CC_OPTIMIZE_FOR_SIZE is disabled
  on x86.
- commit ecb73ea
* Mon Aug 12 2019 yousaf.kaukab@suse.com
- sdhci-fujitsu: add support for setting the CMD_DAT_DELAY
  attribute (bsc#1145256).
- commit ed257c1
* Mon Aug 12 2019 msuchanek@suse.de
- s390/dasd: fix endless loop after read unit address
  configuration (bsc#1144912 LTC#179907).
- commit e9df314
* Mon Aug 12 2019 msuchanek@suse.de
- powerpc/xive: Fix loop exit-condition in
  xive_find_target_in_mask() (FATE#322438, bsc#1085030,
  bsc#1145189, LTC#179762).
- commit b010257
* Mon Aug 12 2019 msuchanek@suse.de
- blacklist.conf: Add CVE entry only needed for SLE15-SP1+.
- commit e10899c
* Mon Aug 12 2019 tiwai@suse.de
- drm/i915: Fix wrong escape clock divisor init for GLK
  (bsc#1051510).
- drm/rockchip: Suspend DP late (bsc#1051510).
- commit 31b5572
* Mon Aug 12 2019 tiwai@suse.de
- usb: iowarrior: fix deadlock on disconnect (bsc#1051510).
- usb: yurex: Fix use-after-free in yurex_delete (bsc#1051510).
- usb: host: xhci-rcar: Fix timeout in xhci_suspend()
  (bsc#1051510).
- drm/vmwgfx: fix memory leak when too many retries have occurred
  (bsc#1051510).
- mmc: cavium: Add the missing dma unmap when the dma has finished
  (bsc#1051510).
- mmc: cavium: Set the correct dma max segment size for mmc_host
  (bsc#1051510).
- crypto: ccp - Ignore tag length when decrypting GCM ciphertext
  (bsc#1051510).
- crypto: ccp - Fix oops by properly managing allocated structures
  (bsc#1051510).
- hwmon: (nct7802) Fix wrong detection of in4 presence
  (bsc#1051510).
- iwlwifi: mvm: fix an out-of-bound access (bsc#1051510).
- iwlwifi: don't unmap as page memory that was mapped as single
  (bsc#1051510).
- HID: Add quirk for HP X1200 PIXART OEM mouse (bsc#1051510).
- gpio: gpio-omap: add check for off wake capable gpios
  (bsc#1051510).
- fsl/fman: Use GFP_ATOMIC in {memac,tgec}_add_hash_mac_address()
  (bsc#1051510).
- commit ac68b04
* Mon Aug 12 2019 tiwai@suse.de
- ALSA: usb-audio: fix a memory leak bug (bsc#1111666).
- commit ec0c463
* Mon Aug 12 2019 tiwai@suse.de
- ASoC: dapm: Fix handling of custom_stop_condition on DAPM
  graph walks (bsc#1051510).
- commit e7114cb
* Mon Aug 12 2019 tiwai@suse.de
- ALSA: firewire: fix a memory leak bug (bsc#1051510).
- sound: fix a memory leak bug (bsc#1051510).
- ALSA: hda - Workaround for crackled sound on AMD controller
  (1022:1457) (bsc#1051510).
- ALSA: hiface: fix multiple memory leak bugs (bsc#1051510).
- ALSA: hda - Don't override global PCM hw info flag
  (bsc#1051510).
- commit c7a724d
* Sun Aug 11 2019 msuchanek@suse.de
- Rename patches to same name as SLE15-SP1.
- commit 99bb37a
* Sat Aug 10 2019 lduncan@suse.com
- scsi: bfa: no need to check return value of debugfs_create
  functions (bsc#1136496 jsc#SLE-4698).
- scsi: bfa: bfa_ioc: Mark expected switch fall-throughs
  (bsc#1136496 jsc#SLE-4698).
- scsi: bfa: bfa_fcs_rport: Mark expected switch fall-throughs
  (bsc#1136496 jsc#SLE-4698).
- scsi: bfa: bfa_fcs_lport: Mark expected switch fall-throughs
  (bsc#1136496 jsc#SLE-4698).
- scsi: bfa: fix calls to dma_set_mask_and_coherent() (bsc#1136496
  jsc#SLE-4698).
- scsi: bfa: clean up a couple of indentation issues (bsc#1136496
  jsc#SLE-4698).
- scsi: bfa: use dma_set_mask_and_coherent (bsc#1136496
  jsc#SLE-4698).
- scsi: bfa: Avoid implicit enum conversion in
  bfad_im_post_vendor_event (bsc#1136496 jsc#SLE-4698).
- scsi: bfa: Remove unused functions (bsc#1136496 jsc#SLE-4698).
- scsi: bfa: remove ScsiResult macro (bsc#1136496 jsc#SLE-4698).
- commit 57a4401
* Fri Aug  9 2019 mfleming@suse.de
- sched/fair: Don't free p->numa_faults with concurrent readers
  (bsc#1144920).
- sched/fair: Use RCU accessors consistently for ->numa_group
  (bsc#1144920).
- Refresh
  patches.kabi/sched-numa-Remove-redundant-field-kabi.patch.
- commit 4a868ba
* Fri Aug  9 2019 ptesarik@suse.cz
- Refresh patches.suse/s390-cpum_cf-add-support-for-cpu-mf-svn-6.
- commit f19f502
* Fri Aug  9 2019 msuchanek@suse.de
- rpm/config.sh: Enable building DTBs.
- commit eb8cdeb
* Fri Aug  9 2019 msuchanek@suse.de
- rpm/mkspec: Make building DTBs optional.
- commit 7c057c8
* Fri Aug  9 2019 tiwai@suse.de
- Revert i915 userptr page lock patch (bsc#1145051)
  This patch potentially causes a deadlock between kcompactd, as reported on
  5.3-rc3.  Revert it until a proper fix is found.
- commit a0f837d
* Fri Aug  9 2019 tbogendoerfer@suse.de
- Revert "net: ena: ethtool: add extra properties retrieval via
  get_priv_flags" (bsc#1139020 bsc#1139021).
- net: ena: Fix bug where ring allocation backoff stopped too late
  (bsc#1139020 bsc#1139021).
- net: ena: update driver version from 2.0.3 to 2.1.0 (bsc#1139020
  bsc#1139021).
- net: ena: remove inline keyword from functions in *.c
  (bsc#1139020 bsc#1139021).
- net: ena: add ethtool function for changing io queue sizes
  (bsc#1139020 bsc#1139021).
- net: ena: allow queue allocation backoff when low on memory
  (bsc#1139020 bsc#1139021).
- net: ena: make ethtool show correct current and max queue sizes
  (bsc#1139020 bsc#1139021).
- net: ena: enable negotiating larger Rx ring size (bsc#1139020
  bsc#1139021).
- net: ena: add MAX_QUEUES_EXT get feature admin command
  (bsc#1139020 bsc#1139021).
- net: ena: use dev_info_once instead of static variable
  (bsc#1139020 bsc#1139021).
- net: ena: add good checksum counter (bsc#1139020 bsc#1139021).
- net: ena: optimise calculations for CQ doorbell (bsc#1139020
  bsc#1139021).
- net: ena: add support for changing max_header_size in LLQ mode
  (bsc#1139020 bsc#1139021).
- net: ena: allow automatic fallback to polling mode (bsc#1139020
  bsc#1139021).
- net: ena: add newline at the end of pr_err prints (bsc#1139020
  bsc#1139021).
- net: ena: arrange ena_probe() function variables in reverse
  christmas tree (bsc#1139020 bsc#1139021).
- net: ena: replace free_tx/rx_ids union with single free_ids
  field in ena_ring (bsc#1139020 bsc#1139021).
- net: ena: ethtool: add extra properties retrieval via
  get_priv_flags (bsc#1139020 bsc#1139021).
- net: ena: add handling of llq max tx burst size (bsc#1139020
  bsc#1139021).
- net: ena: gcc 8: fix compilation warning (bsc#1139020
  bsc#1139021).
- net: ena: fix ena_com_fill_hash_function() implementation
  (bsc#1139020 bsc#1139021).
- net: ena: improve latency by disabling adaptive interrupt
  moderation by default (bsc#1139020 bsc#1139021).
- net: ena: fix incorrect test of supported hash function
  (bsc#1139020 bsc#1139021).
- net: ena: fix: Free napi resources when ena_up() fails
  (bsc#1139020 bsc#1139021).
- net: ena: fix: set freed objects to NULL to avoid failing
  future allocations (bsc#1139020 bsc#1139021).
- net: ena: fix swapped parameters when calling
  ena_com_indirect_table_fill_entry (bsc#1139020 bsc#1139021).
- commit 33a5137
* Fri Aug  9 2019 jgross@suse.com
- xen/swiotlb: fix condition for calling
  xen_destroy_contiguous_region() (bsc#1065600).
- commit 11cdb50
* Fri Aug  9 2019 ptesarik@suse.cz
- KVM: s390: enable MSA9 keywrapping functions depending on cpu
  model (jsc#SLE-6240 FATE#327380).
- KVM: s390: add deflate conversion facilty to cpu model
  (jsc#SLE-6240 FATE#327380).
- KVM: s390: add enhanced sort facilty to cpu model (jsc#SLE-6240
  FATE#327380).
- KVM: s390: provide query function for instructions returning
  32 byte (jsc#SLE-6240 FATE#327380).
- KVM: s390: add MSA9 to cpumodel (jsc#SLE-6240 FATE#327380).
- KVM: s390: add vector BCD enhancements facility to cpumodel
  (jsc#SLE-6240 FATE#327380).
- KVM: s390: add vector enhancements facility 2 to cpumodel
  (jsc#SLE-6240 FATE#327380).
- KVM: s390: add debug logging for cpu model subfunctions
  (jsc#SLE-6240 FATE#327380).
- KVM: s390: implement subfunction processor calls (jsc#SLE-6240
  FATE#327380).
- commit 82654a0
* Fri Aug  9 2019 msuchanek@suse.de
- rpm/modflist: Simplify compression support.
- commit fd135a6
* Fri Aug  9 2019 mkubecek@suse.cz
- rpm: support compressed modules
  Some of our scripts and scriptlets in rpm/ do not expect module files not
  ending with ".ko" which currently leads to failure in preuninstall
  scriptlet of cluster-md-kmp-default (and probably also other subpackages).
  Let those which could be run on compressed module files recognize ".ko.xz"
  in addition to ".ko".
- commit 18fcdff
* Fri Aug  9 2019 msuchanek@suse.de
- Revert "scsi: prefix header search paths with $(srctree)/ (bsc#1136346"
  This reverts commit 5f679430713da59f5367aa9499e544e6187ac17c.
  Reverting this commit fixes build for me.
- commit 16c9a50
* Fri Aug  9 2019 nborisov@suse.com
- btrfs: start readahead also in seed devices (bsc#1144886).
- btrfs: clean up pending block groups when transaction commit
  aborts (bsc#1050911).
- btrfs: handle delayed ref head accounting cleanup in abort
  (bsc#1050911).
- btrfs: add cleanup_ref_head_accounting helper (bsc#1050911).
- btrfs: fix pinned underflow after transaction aborted
  (bsc#1050911).
- btrfs: Fix delalloc inodes invalidation during transaction abort
  (bsc#1050911).
- btrfs: Split btrfs_del_delalloc_inode into 2 functions
  (bsc#1050911).
- commit 639f03f
* Fri Aug  9 2019 fdmanana@suse.com
- Btrfs: prevent send failures and crashes due to concurrent
  relocation (bsc#1145059).
- commit 5a92881
* Fri Aug  9 2019 fdmanana@suse.com
- btrfs: track running balance in a simpler way (bsc#1145059).
- commit 23ac173
* Fri Aug  9 2019 fdmanana@suse.com
- Btrfs: fix race between send and deduplication that lead to
  failures and crashes (bsc#1145059).
- commit 468ea05
* Fri Aug  9 2019 ptesarik@suse.cz
- s390/cio: fix ccw_device_start_timeout API (bsc#1142109
  LTC#179339).
- commit 28183d1
* Fri Aug  9 2019 jack@suse.cz
- jbd2: flush_descriptor(): Do not decrease buffer head's ref
  count (bsc#1143843).
- commit 7c44fcd
* Fri Aug  9 2019 ptesarik@suse.cz
- supported.conf: Remove duplicate entries
- commit 02b3c92
* Fri Aug  9 2019 jroedel@suse.de
- iommu/iova: Remove stale cached32_node (bsc#1145018).
- commit b34c857
* Fri Aug  9 2019 jroedel@suse.de
- kABI: Fix kABI for 'struct amd_iommu' (bsc#1145010).
- commit 5dc829e
* Fri Aug  9 2019 jroedel@suse.de
- mm/vmalloc: Sync unmappings in __purge_vmap_area_lazy()
  (bsc#1118689).
- x86/mm: Sync also unmappings in vmalloc_sync_all()
  (bsc#1118689).
- x86/mm: Check for pfn instead of page in vmalloc_sync_one()
  (bsc#1118689).
- iommu/amd: Add support for X2APIC IOMMU interrupts
  (bsc#1145010).
- commit 9f468a3
* Fri Aug  9 2019 dwagner@suse.de
- scsi: pmcraid: use sg helper to iterate over scatterlist
  (bsc#1135990 jsc#SLE-4709).
- scsi: pmcraid: use generic DMA API (bsc#1135990 jsc#SLE-4709).
- scsi: pmcraid: don't allocate a dma coherent buffer for sense
  data (bsc#1135990 jsc#SLE-4709).
- scsi: pmcraid: simplify pmcraid_cancel_all a bit (bsc#1135990
  jsc#SLE-4709).
- commit f2642ed
* Fri Aug  9 2019 ptesarik@suse.cz
- Update config files.
- commit 1e2f639
* Fri Aug  9 2019 msuchanek@suse.de
- supported.conf: Add missing modules (bsc#1066369).
- rpm/kernel-binary.spec.in: Enable missing modules check.
- commit cf09d01
* Fri Aug  9 2019 msuchanek@suse.de
- supported.conf: Sort alphabetically, align comments.
- commit ed3dca2
* Fri Aug  9 2019 msuchanek@suse.de
- supported.conf: Sort alphabetically, align comments.
- commit 974b701
* Fri Aug  9 2019 colyli@suse.de
- Delete for bsc#1144979: bcache: kernel oops on reading sysfs cache_mode file
  patches.suse/0031-bcache-use-sysfs_match_string-instead-of-__sysfs_mat.patch.
- Refresh for the above change,
  patches.suse/0032-bcache-add-return-value-check-to-bch_cached_dev_run.patch.
- commit 191d6c3
* Thu Aug  8 2019 bp@suse.de
- blacklist.conf: c1887159eb48 x86/boot/64: Add missing fixup_pointer() for next_early_pgt access
  Clang fix.
- commit 66b1028
* Thu Aug  8 2019 bp@suse.de
- blacklist.conf: 81c7ed296dcd x86/boot/64: Fix crash if kernel image crosses page table boundary
  We don't support 5LEVEL page tables.
- commit ce968f5
* Thu Aug  8 2019 bp@suse.de
- x86/microcode: Fix the microcode load on CPU hotplug for real
  (bsc#1114279).
- Refresh patches.kabi/kabi-x86-microcode-hotplug-state-fix.patch.
- commit f40f8ea
* Thu Aug  8 2019 lduncan@suse.com
- scsi: cxgb4i: fix incorrect spelling "reveive" -> "receive"
  (bsc#1136346 jsc#SLE-4682).
- scsi: cxgb4i: validate tcp sequence number only if chip version
  <= T5 (bsc#1136346 jsc#SLE-4682).
- scsi: cxgb4i: get pf number from lldi->pf (bsc#1136346
  jsc#SLE-4682).
- scsi: prefix header search paths with $(srctree)/ (bsc#1136346
  jsc#SLE-4682).
- commit 6a421ec
* Thu Aug  8 2019 ptesarik@suse.cz
- s390/qeth: cancel cmd on early error (bsc#1142109 LTC#179339).
- commit 5724a7b
* Thu Aug  8 2019 ptesarik@suse.cz
- s390/qeth: simplify reply object handling (bsc#1142109
  LTC#179339).
- commit 4da951d
* Thu Aug  8 2019 ptesarik@suse.cz
- s390/qeth: fix request-side race during cmd IO timeout
  (bsc#1142109 LTC#179339).
- Refresh
  patches.arch/s390-sles15-17-02-02-s390-qeth-sanitize-strings-in-debug-messages.patch.
- commit 9e0538c
* Thu Aug  8 2019 ptesarik@suse.cz
- s390/qeth: release cmd buffer in error paths (bsc#1142109
  LTC#179339).
- s390/qeth: avoid control IO completion stalls (bsc#1142109
  LTC#179339).
- commit 4f6b2c5
* Thu Aug  8 2019 bp@suse.de
- blacklist.conf: 6ae865615fc4 x86/uaccess: Dont leak the AC flag into __put_user() argument evaluation
  We don't use UBSAN.
- commit f015af1
* Thu Aug  8 2019 yousaf.kaukab@suse.com
- irqchip/gic-v3-its: fix build warnings (bsc#1144880).
- commit 95644b2
* Thu Aug  8 2019 dmueller@suse.com
- rpm/kernel-obs-build.spec.in: add dm-crypt for building with cryptsetup
  Co-Authored-By: Adam Spiers <aspiers@suse.com>
- commit 7cf5b9e
* Thu Aug  8 2019 jroedel@suse.de
- Refresh patches.arch/0003-dma-introduce-dma_max_mapping_size.
- Refresh patches.kabi/0001-kABI-Preserve-kABI-for-dma_max_mapping_size.patch.
  The sev_dma_ops also need the max_mapping_size member set.
- commit a33e0bb
* Thu Aug  8 2019 ptesarik@suse.cz
- supported.conf: Remove duplicate drivers/ata/libahci_platform
- commit 44cefd2
* Thu Aug  8 2019 tiwai@suse.de
- drm/i915: Fix GEN8_MCR_SELECTOR programming (bsc#1111666).
- drm/edid: parse CEA blocks embedded in DisplayID (bsc#1111666).
- commit 92bf89e
* Thu Aug  8 2019 yousaf.kaukab@suse.com
- PM / devfreq: rk3399_dmc: Pass ODT and auto power down
  parameters to TF-A (bsc#1144718,bsc#1144813).
- PM / devfreq: rockchip-dfi: Move GRF definitions to a common
  place (bsc#1144718,bsc#1144813).
- PM / devfreq: rk3399_dmc: remove unneeded semicolon
  (bsc#1144718,bsc#1144813).
- PM / devfreq: rk3399_dmc: fix spelling mistakes
  (bsc#1144718,bsc#1144813).
- PM / devfreq: rk3399_dmc: do not print error when get supply
  and clk defer (bsc#1144718,bsc#1144813).
- PM / devfreq: rk3399_dmc: remove wait for dcf irq event
  (bsc#1144718,bsc#1144813).
- clk: bulk: silently error out on EPROBE_DEFER
  (bsc#1144718,bsc#1144813).
- soc: rockchip: power-domain: Use of_clk_get_parent_count()
  instead of open coding (bsc#1144718,bsc#1144813).
- clk: rockchip: assign correct id for pclk_ddr and hclk_sd in
  rk3399 (bsc#1144718,bsc#1144813).
- clk: rockchip: Add 1.6GHz PLL rate for rk3399
  (bsc#1144718,bsc#1144813).
- soc: rockchip: power-domain: Add a sanity check on pd->num_clks
  (bsc#1144718,bsc#1144813).
- soc: rockchip: power-domain: use clk_bulk APIs
  (bsc#1144718,bsc#1144813).
- clk: Export clk_bulk_prepare() (bsc#1144813).
- clk: add clk_bulk_get accessories (bsc#1144813).
- commit 3313421
* Thu Aug  8 2019 tiwai@suse.de
- drm/i915/userptr: Acquire the page lock around set_page_dirty()
  (bsc#1051510).
- drm/nouveau: fix memory leak in nouveau_conn_reset()
  (bsc#1051510).
- commit 6ff4907
* Thu Aug  8 2019 bp@suse.de
- blacklist.conf: 1b7aebf04876 x86/cacheinfo: Fix a -Wtype-limits warning
  No need for it.
- commit ff873fc
* Thu Aug  8 2019 bp@suse.de
- x86/resctrl: Prevent NULL pointer dereference when local MBM is disabled (bsc#1112178).
- commit 6d8a979
* Thu Aug  8 2019 lduncan@suse.com
- scsi: target: iscsi: cxgbit: add missing spin_lock_init()
  (bsc#1136349 jsc#SLE-4685).
- commit 4148af2
* Wed Aug  7 2019 bp@suse.de
- EDAC/amd64: Add Family 17h Model 30h PCI IDs (bsc#1112178).
- EDAC, amd64: Add Family 17h, models 10h-2fh support
  (bsc#1112178).
- Refresh patches.arch/edac-amd64-add-hygon-dhyana-support.patch.
- commit 40500c2
* Wed Aug  7 2019 msuchanek@suse.de
- rpm/kernel-binary.spec.in: support partial rt debug config.
- commit af37821
* Wed Aug  7 2019 msuchanek@suse.de
- rpm/config.sh: Update OBS build project.
- commit 9ab0184
* Wed Aug  7 2019 tiwai@suse.de
- drm/exynos: fix missing decrement of retry counter
  (bsc#1111666).
- drm/bridge: lvds-encoder: Fix build error while
  CONFIG_DRM_KMS_HELPER=m (bsc#1111666).
- drm/i915/gvt: fix incorrect cache entry for guest page mapping
  (bsc#1111666).
- drm/i915/perf: fix ICL perf register offsets (bsc#1111666).
- commit cc165b5
* Wed Aug  7 2019 ohering@suse.de
- move irq_data_get_effective_affinity_mask prior the sorted section
- commit 9619a1c
* Wed Aug  7 2019 tiwai@suse.de
- drm/i915/perf: ensure we keep a reference on the driver
  (bsc#1051510).
- rtc: pcf8563: Clear event flags and disable interrupts before
  requesting irq (bsc#1051510).
- rtc: pcf8563: Fix interrupt trigger method (bsc#1051510).
- drm/crc-debugfs: Also sprinkle irqrestore over early exits
  (bsc#1051510).
- ath10k: Change the warning message string (bsc#1051510).
- commit 09f8337
* Wed Aug  7 2019 tiwai@suse.de
- can: peak_usb: pcan_usb_pro: Fix info-leaks to USB devices
  (bsc#1051510).
- can: peak_usb: pcan_usb_fd: Fix info-leaks to USB devices
  (bsc#1051510).
- can: peak_usb: fix potential double kfree_skb() (bsc#1051510).
- can: rcar_canfd: fix possible IRQ storm on high load
  (bsc#1051510).
- HID: wacom: fix bit shift for Cintiq Companion 2 (bsc#1051510).
- drm: msm: Fix add_gpu_components (bsc#1051510).
- clk: renesas: cpg-mssr: Fix reset control race condition
  (bsc#1051510).
- mmc: dw_mmc: Fix occasional hang after tuning on eMMC
  (bsc#1051510).
- gpiolib: fix incorrect IRQ requesting of an active-low lineevent
  (bsc#1051510).
- ISDN: hfcsusb: checking idx of ep configuration (bsc#1051510).
- ACPI: fix false-positive -Wuninitialized warning (bsc#1051510).
- dmaengine: rcar-dmac: Reject zero-length slave DMA requests
  (bsc#1051510).
- drivers/rapidio/devices/rio_mport_cdev.c: NUL terminate some
  strings (bsc#1051510).
- mfd: hi655x-pmic: Fix missing return value check for
  devm_regmap_init_mmio_clk (bsc#1051510).
- mfd: arizona: Fix undefined behavior (bsc#1051510).
- mfd: core: Set fwnode for created devices (bsc#1051510).
- media: pvrusb2: use a different format for warnings
  (bsc#1051510).
- media: au0828: fix null dereference in error path (bsc#1051510).
- commit 871aece
* Wed Aug  7 2019 nsaenzjulienne@suse.de
- Refresh patches.fixes/bonding-Force-slave-speed-check-after-link-state-rec.patch
- commit 7225894
* Wed Aug  7 2019 tiwai@suse.de
- Update patch-mainline tag for mwifiex fix
- commit f5aabef
* Wed Aug  7 2019 bp@suse.de
- x86/asm: Remove dead __GNUC__ conditionals (bsc#1112178).
- commit e6e82b6
* Wed Aug  7 2019 oneukum@suse.com
- mac80211: fix possible memory leak in ieee80211_assign_beacon
  (bsc#1142635).
- commit 2b9b16e
* Wed Aug  7 2019 oneukum@suse.com
- iwlwifi: pcie: don't service an interrupt that was masked
  (bsc#1142635).
- commit c06b2b7
* Wed Aug  7 2019 nsaenzjulienne@suse.de
- Refresh patches.drivers/hid-input-fix-a4tech-horizontal-wheel-custom-usage.patch
- commit 376aba6
* Wed Aug  7 2019 oneukum@suse.com
- iwlwifi: pcie: fix ALIVE interrupt handling for gen2 devices
  w/o MSI-X (bsc#1142635).
- commit c92b5b1
* Wed Aug  7 2019 oneukum@suse.com
- iwlwifi: mvm: fix version check for GEO_TX_POWER_LIMIT support
  (bsc#1142635).
- iwlwifi: mvm: don't send GEO_TX_POWER_LIMIT on version < 41
  (bsc#1142635).
- commit af6af13
* Wed Aug  7 2019 tiwai@suse.de
- sky2: Disable MSI on ASUS P6T (bsc#1142496).
- ata: libahci: do not complain in case of deferred probe
  (bsc#1051510).
- commit d95c462
* Wed Aug  7 2019 bpoirier@suse.com
- qlge: Refill empty buffer queues from wq (bsc#1106061).
- qlge: Refill rx buffers up to multiple of 16 (bsc#1106061).
- qlge: Update buffer queue prod index despite oom (bsc#1106061).
- qlge: Replace memset with assignment (bsc#1106061).
- qlge: Remove useless memset (bsc#1106061).
- qlge: Remove qlge_bq.len & size (bsc#1106061).
- qlge: Factor out duplicated expression (bsc#1106061).
- qlge: Remove rx_ring.type (bsc#1106061).
- qlge: Fix dma_sync_single calls (bsc#1106061).
- qlge: Deduplicate rx buffer queue management (bsc#1106061).
- qlge: Remove useless dma synchronization calls (bsc#1106061).
- qlge: Remove rx_ring.sbq_buf_size (bsc#1106061).
- qlge: Remove bq_desc.maplen (bsc#1106061).
- qlge: Deduplicate lbq_buf_size (bsc#1106061).
- qlge: Remove page_chunk.last_flag (bsc#1106061).
- qlge: Remove irq_cnt (bsc#1106061).
- qlge: Fix irq masking in INTx mode (bsc#1106061).
- commit 1050948
* Tue Aug  6 2019 ohering@suse.de
- Add mainline tag to storvsc_ringbuffer_size patch
- commit e4862df
* Tue Aug  6 2019 msuchanek@suse.de
- Update patches.arch/powerpc-pseries-Fix-xive-off-command-line.patch
  (FATE#322438, bsc#1085030, bsc#1144518, LTC#178833).
- commit c3b0fa1
* Tue Aug  6 2019 mbenes@suse.cz
- tracing: Fix header include guards in trace event headers
  (bsc#1144474).
- commit 45fe8c0
* Tue Aug  6 2019 yousaf.kaukab@suse.com
- PCI: al: Add Amazon Annapurna Labs PCIe host controller driver (SLE-9332).
- commit 2dbe815
* Tue Aug  6 2019 nsaenzjulienne@suse.de
- cpufreq: dt: Try freeing static OPPs only if we have added them
  (jsc#SLE-7294).
- PM / OPP: OF: Use pr_debug() instead of pr_err() while adding
  OPP table (jsc#SLE-7294).
- commit 7ca0aa7
* Tue Aug  6 2019 msuchanek@suse.de
- powerpc/pseries: Fix xive=off command line (FATE#322438,
  bsc#1085030, git-fixes).
- commit 62c9388
* Tue Aug  6 2019 msuchanek@suse.de
- Refresh patches.fixes/fs-dax-deposit-pagetable-even-when-installing-zero-page.patch
- commit 2ec6206
* Mon Aug  5 2019 msuchanek@suse.de
- Refresh sorted section.
- commit 7b2a8cd
* Mon Aug  5 2019 msuchanek@suse.de
- Refresh sorted section.
- Refresh upstream tag patches.arch/mm-nvdimm-add-is_ioremap_addr-and-use-that-to-check-.patch.
- Refresh patches.drivers/scsi-ibmvfc-fix-WARN_ON-during-event-pool-release.patch.
- Refresh patches.fixes/drivers-base-introduce-kill_device.patch.
- Refresh patches.fixes/libnvdimm-bus-prevent-duplicate-device_unregister-calls.patch.
- commit ebf9b61
* Mon Aug  5 2019 lduncan@suse.com
- scsi: libcxgbi: update route finding logic (bsc#1136352
  jsc#SLE-4687)
  Also had to update patches.kabi/scsi-cxgbi-kabi-fix-handle-completion-etc
- commit 5d2c37d
* Mon Aug  5 2019 bp@suse.de
- blacklist.conf: 12209993e98c x86/fpu: Don't export __kernel_fpu_{begin,end}()
  Breaks kABI.
- commit 9238c0c
* Mon Aug  5 2019 dwagner@suse.de
- scsi: mpt3sas: Use 63-bit DMA addressing on SAS35 HBA
  (bsc#1143738).
- scsi: mpt3sas: Fix msix load balance on and off settings
  (bsc#1143738).
- scsi: mpt3sas: Determine smp affinity on per HBA basis
  (bsc#1143738).
- scsi: mpt3sas: Use configured PCIe link speed, not max
  (bsc#1143738).
- scsi: mpt3sas: Remove CPU arch check to determine perf_mode
  (bsc#1143738).
- scsi: mpt3sas: use DEVICE_ATTR_{RO, RW} (bsc#1143738).
- scsi: mpt3sas: make driver options visible in sys (bsc#1143738).
- scsi: mpt3sas: Mark expected switch fall-through (bsc#1143738).
- commit 9a2f258
* Mon Aug  5 2019 bp@suse.de
- EDAC: Fix global-out-of-bounds write when setting
  edac_mc_poll_msec (bsc#1114279).
- commit 8668fda
* Mon Aug  5 2019 msuchanek@suse.de
- powerpc/kdump: Handle crashkernel memory reservation failure
  (bsc#1143466 LTC#179600).
- commit 96d99bf
* Mon Aug  5 2019 ohering@suse.de
- PCI: hv: Fix panic by calling hv_pci_remove_slots() earlier
  (bsc#1142701).
- commit a4b75ac
* Mon Aug  5 2019 jslaby@suse.cz
- af_packet: Block execution of tasks waiting for transmit to
  complete in AF_PACKET (networking-stable-19_07_02).
- sctp: change to hold sk after auth shkey is created successfully
  (networking-stable-19_07_02).
- bonding: Always enable vlan tx offload
  (networking-stable-19_07_02).
- tipc: change to use register_pernet_device
  (networking-stable-19_07_02).
- net: stmmac: set IC bit when transmitting frames with HW
  timestamp (networking-stable-19_07_02).
- net: stmmac: fixed new system time seconds value calculation
  (networking-stable-19_07_02).
- tun: wake up waitqueues after IFF_UP is set
  (networking-stable-19_07_02).
- net: remove duplicate fetch in sock_getsockopt
  (networking-stable-19_07_02).
- commit f58bed8
* Sun Aug  4 2019 lduncan@suse.com
- scsi: libcxgbi: find cxgbi device by MAC address (bsc#1136352
  jsc#SLE-4687).
- scsi: libcxgbi: remove uninitialized variable len (bsc#1136352
  jsc#SLE-4687).
- commit b16ded6
* Sat Aug  3 2019 tiwai@suse.de
- ALSA: hda: Fix 1-minute detection delay when i915 module is
  not available (bsc#1111666).
- commit 082cc32
* Sat Aug  3 2019 tiwai@suse.de
- libata: zpodd: Fix small read overflow in zpodd_get_mech_type()
  (bsc#1051510).
- ACPI: PM: Fix regression in acpi_device_set_power()
  (bsc#1051510).
- ALSA: usb-audio: Fix gpf in snd_usb_pipe_sanity_check
  (bsc#1051510).
- ALSA: pcm: fix lost wakeup event scenarios in snd_pcm_drain
  (bsc#1051510).
- commit 43b7a1d
* Fri Aug  2 2019 ptesarik@suse.cz
- s390/qdio: handle PENDING state for QEBSM devices (bsc#1142117
  bsc#1142118 bsc#1142119 LTC#179329 LTC#179330 LTC#179331).
- commit 9f57b12
* Fri Aug  2 2019 nsaenzjulienne@suse.de
- clk: raspberrypi: register platform device for
  raspberrypi-cpufreq (jsc#SLE-7294).
- firmware: raspberrypi: register clk device (jsc#SLE-7294).
- clk: bcm283x: add driver interfacing with Raspberry Pi's firmware (jsc#SLE-7294).
- Update config files
- Update supported.conf
- clk: bcm2835: remove pllb (jsc#SLE-7294).
- cpufreq: add driver for Raspberry Pi (jsc#SLE-7294).
- Update config files
- Update supported.conf
- commit 6a8534d
* Fri Aug  2 2019 bwiedemann@suse.de
- kernel-binary: Drop .kernel-binary.spec.buildenv (boo#1154578).
  Without this patch,
  /usr/src/linux-@VERSION@-@RELEASE_SHORT@-obj/x86_64/vanilla/.kernel-binary.spec.buildenv
  contained rpm %%_smp_mflags in a line like
  export MAKE_ARGS=" --output-sync -j4"
  This made it hard to produce bit-identical builds.
- commit 789d131
* Thu Aug  1 2019 lduncan@suse.com
- scsi: bnx2fc: fix incorrect cast to u64 on shift operation
  (bsc#1136502 jsc#SLE-4703).
- scsi: bnx2fc: remove unneeded variable (bsc#1136502
  jsc#SLE-4703).
- scsi: bnx2fc: Fix error handling in probe() (bsc#1136502
  jsc#SLE-4703).
- scsi: bnx2fc: Fix NULL dereference in error handling
  (bsc#1136502 jsc#SLE-4703).
- scsi: bnx2fc: Remove set but not used variable 'oxid'
  (bsc#1136502 jsc#SLE-4703).
- bnx2fc_fcoe: Use skb_queue_walk_safe() (bsc#1136502
  jsc#SLE-4703).
- commit 77ba654
* Thu Aug  1 2019 tiwai@suse.de
- Move upstreamed BT fix into sorted section
- commit e4632df
* Thu Aug  1 2019 tiwai@suse.de
- lib/bitmap.c: make bitmap_parselist() thread-safe and much
  faster (bsc#1143507).
- commit a2a3983
* Thu Aug  1 2019 nmoreychaisemartin@suse.com
- nvme: fix possible use-after-free in connect error flow (bsc#1139500, bsc#1140426)
- nvme: fix possible use-after-free in connect error flow (bsc#1139500)
- commit 716a051
* Thu Aug  1 2019 nmoreychaisemartin@suse.com
- scripts/git_sort/git_sort.py: update nvme repository to 5.3-rc
- commit 69f0df5
* Thu Aug  1 2019 tonyj@suse.de
- powerpc/perf: Add mem access events to sysfs (FATE#326869,
  bsc#1124370).
- commit 571ef6a
* Wed Jul 31 2019 lyan@suse.com
- KVM: arm/arm64: Fix VMID alloc race by reverting to lock-less
  (bsc#1133021).
- commit eca90ee
* Wed Jul 31 2019 lyan@suse.com
- ARM: KVM: Add SMCCC_ARCH_WORKAROUND_1 fast handling
  (bsc#1133021).
- ARM: KVM: report support for SMCCC_ARCH_WORKAROUND_1
  (bsc#1133021).
- KVM/Eventfd: Avoid crash when assign and deassign specific
  eventfd in parallel (bsc#1133021).
- KVM: Reject device ioctls from processes other than the VM's
  creator (bsc#1133021).
- KVM: arm/arm64: Close VMID generation race (bsc#1133021).
- KVM: arm/arm64: Convert kvm_host_cpu_state to a static per-cpu
  allocation (bsc#1133021).
- KVM: arm/arm64: Drop resource size check for GICV window
  (bsc#1133021).
- KVM: arm/arm64: Fix lost IRQs from emulated physcial timer
  when blocked (bsc#1133021).
- KVM: arm/arm64: Handle CPU_PM_ENTER_FAILED (bsc#1133021).
- KVM: arm/arm64: Reduce verbosity of KVM init log (bsc#1133021).
- KVM: arm/arm64: Set dist->spis to NULL after kfree
  (bsc#1133021).
- KVM: arm/arm64: Skip updating PMD entry if no change
  (bsc#1133021).
- KVM: arm/arm64: Skip updating PTE entry if no change
  (bsc#1133021).
- KVM: arm/arm64: vgic: Add missing irq_lock to
  vgic_mmio_read_pending (bsc#1133021).
- KVM: arm/arm64: vgic: Fix kvm_device leak in vgic_its_destroy
  (bsc#1133021).
- KVM: arm/arm64: vgic-its: Fix potential overrun in
  vgic_copy_lpi_list (bsc#1133021).
- KVM: arm64: Fix caching of host MDCR_EL2 value (bsc#1133021).
- KVM: mmu: Fix overlap between public and private memslots
  (bsc#1133021).
- arm64: KVM: Fix architecturally invalid reset value for
  FPEXC32_EL2 (bsc#1133021).
- kvm: Disallow wraparound in kvm_gfn_to_hva_cache_init
  (bsc#1133021).
- kvm: arm/arm64: vgic-v3: Tighten synchronization for guests
  using v2 on v3 (bsc#1133021).
- Refresh
  patches.fixes/0001-KVM-arm-arm64-Properly-protect-VGIC-locks-from-IRQs.patch.
  patches.arch/kvm-make-vm-ioctl-do-valloc-for-some-archs
- commit b82550c
* Wed Jul 31 2019 tiwai@suse.de
- acpi/arm64: ignore 5.1 FADTs that are reported as 5.0
  (bsc#1051510).
- commit 8c9daa7
* Wed Jul 31 2019 tiwai@suse.de
- 9p/xen: Add cleanup path in p9_trans_xen_init (bsc#1051510).
- 9p/virtio: Add cleanup path in p9_virtio_init (bsc#1051510).
- 9p: pass the correct prototype to read_cache_page (bsc#1051510).
- net/9p: include trans_common.h to fix missing prototype warning
  (bsc#1051510).
- 9p: p9dirent_read: check network-provided name length
  (bsc#1051510).
- 9p/rdma: remove useless check in cm_event_handler (bsc#1051510).
- 9p: acl: fix uninitialized iattr access (bsc#1051510).
- 9p/rdma: do not disconnect on down_interruptible EAGAIN
  (bsc#1051510).
- 9p/xen: fix check for xenbus_read error in front_probe
  (bsc#1051510).
- commit c3770e6
* Wed Jul 31 2019 oneukum@suse.com
- PCI: xilinx-nwl: Fix Multi MSI data programming (bsc#1142635).
- commit 2c2cee4
* Wed Jul 31 2019 tiwai@suse.de
- tty/ldsem, locking/rwsem: Add missing ACQUIRE to read_failed
  sleep loop (bsc#1051510).
- tty: serial: msm_serial: avoid system lockup condition
  (bsc#1051510).
- tty/serial: digicolor: Fix digicolor-usart already registered
  warning (bsc#1051510).
- tty: max310x: Fix invalid baudrate divisors calculator
  (bsc#1051510).
- commit 5b689d2
* Wed Jul 31 2019 tiwai@suse.de
- tua6100: Avoid build warnings (bsc#1051510).
- commit 5fe29d6
* Wed Jul 31 2019 tiwai@suse.de
- usb: wusbcore: fix unbalanced get/put cluster_id (bsc#1051510).
- usb: Handle USB3 remote wakeup for LPM enabled devices correctly
  (bsc#1051510).
- usb: core: hub: Disable hub-initiated U1/U2 (bsc#1051510).
- commit 1d9328c
* Wed Jul 31 2019 tiwai@suse.de
- serial: 8250: Fix TX interrupt handling condition (bsc#1051510).
- commit 9d23e7a
* Wed Jul 31 2019 oneukum@suse.com
- PCI: qcom: Ensure that PERST is asserted for at least 100 ms
  (bsc#1142635).
- commit 7c6a153
* Wed Jul 31 2019 tiwai@suse.de
- regmap: fix bulk writes on paged registers (bsc#1051510).
- commit b2ad701
* Wed Jul 31 2019 tiwai@suse.de
- pinctrl: rockchip: fix leaked of_node references (bsc#1051510).
- pinctrl: pistachio: fix leaked of_node references (bsc#1051510).
- commit f2615e5
* Wed Jul 31 2019 tiwai@suse.de
- nfc: fix potential illegal memory access (bsc#1051510).
- commit eea437f
* Wed Jul 31 2019 tiwai@suse.de
- media: coda: increment sequence offset for the last returned
  frame (bsc#1051510).
- media: coda: fix last buffer handling in V4L2_ENC_CMD_STOP
  (bsc#1051510).
- media: coda: fix mpeg2 sequence number handling (bsc#1051510).
- media: wl128x: Fix some error handling in
  fm_v4l2_init_video_device() (bsc#1051510).
- media: staging: media: davinci_vpfe: - Fix for memory leak if
  decoder initialization fails (bsc#1051510).
- media: coda: Remove unbalanced and unneeded mutex unlock
  (bsc#1051510).
- media: media_device_enum_links32: clean a reserved field
  (bsc#1051510).
- media: vpss: fix a potential NULL pointer dereference
  (bsc#1051510).
- media: dvb: usb: fix use after free in dvb_usb_device_exit
  (bsc#1051510).
- commit cce0303
* Wed Jul 31 2019 tiwai@suse.de
- media: hdpvr: fix locking and a missing msleep (bsc#1051510).
- media: spi: IR LED: add missing of table registration
  (bsc#1051510).
- commit 3175953
* Wed Jul 31 2019 tiwai@suse.de
- mailbox: handle failed named mailbox channel request
  (bsc#1051510).
- commit 60da685
* Wed Jul 31 2019 tiwai@suse.de
- macsec: fix checksumming after decryption (bsc#1051510).
- macsec: fix use-after-free of skb during RX (bsc#1051510).
- macsec: let the administrator set UP state even if lowerdev
  is down (bsc#1051510).
- macsec: update operstate when lower device changes
  (bsc#1051510).
- commit aba8a32
* Wed Jul 31 2019 tiwai@suse.de
- libata: don't request sense data on !ZAC ATA devices
  (bsc#1051510).
- commit 165118b
* Wed Jul 31 2019 tiwai@suse.de
- iio: iio-utils: Fix possible incorrect mask calculation
  (bsc#1051510).
- commit a88c729
* Wed Jul 31 2019 tiwai@suse.de
- hpet: Fix division by zero in hpet_time_div() (bsc#1051510).
- commit bfebe33
* Wed Jul 31 2019 tiwai@suse.de
- Input: alps - fix a mismatch between a condition check and
  its comment (bsc#1051510).
- Input: alps - don't handle ALPS cs19 trackpoint-only device
  (bsc#1051510).
- Input: synaptics - whitelist Lenovo T580 SMBus intertouch
  (bsc#1051510).
- intel_th: pci: Add Ice Lake NNPI support (bsc#1051510).
- gpio: omap: ensure irq is enabled before wakeup (bsc#1051510).
- Input: trackpoint - only expose supported controls for Elan,
  ALPS and NXP (bsc#1051510).
- commit 21bf098
* Wed Jul 31 2019 tiwai@suse.de
- blacklist.conf: Add inapplicable ac97 bus patch
- commit ce6d243
* Wed Jul 31 2019 tiwai@suse.de
- floppy: fix invalid pointer dereference in drive_name
  (bsc#1111666).
- floppy: fix out-of-bounds read in next_valid_format
  (bsc#1111666).
- drm/amd/display: fix compilation error (bsc#1111666).
- drm/amd/display: Always allocate initial connector state state
  (bsc#1111666).
- drm/amdkfd: Fix sdma queue map issue (bsc#1111666).
- drm/amdkfd: Fix a potential memory leak (bsc#1111666).
- drm/amd/display: Disable ABM before destroy ABM struct
  (bsc#1111666).
- drm/amdgpu/sriov: Need to initialize the HDP_NONSURFACE_BAStE
  (bsc#1111666).
- drm/amd/display: Fill prescale_params->scale for RGB565
  (bsc#1111666).
- commit 8b115de
* Wed Jul 31 2019 tiwai@suse.de
- drm/msm: Depopulate platform on probe failure (bsc#1051510).
- drm/virtio: Add memory barriers for capset cache (bsc#1051510).
- drm/crc-debugfs: User irqsafe spinlock in drm_crtc_add_crc_entry
  (bsc#1051510).
- drm/bridge: sii902x: pixel clock unit is 10kHz instead of 1kHz
  (bsc#1051510).
- drm/bridge: tc358767: read display_props in get_modes()
  (bsc#1051510).
- commit acc8448
* Wed Jul 31 2019 tiwai@suse.de
- drm/panel: simple: Fix panel_simple_dsi_probe (bsc#1051510).
- commit 890763d
* Wed Jul 31 2019 tiwai@suse.de
- Documentation/networking: fix default_ttl typo in mpls-sysctl
  (bsc#1051510).
- Documentation: Add nospectre_v1 parameter (bsc#1051510).
- commit 3774cea
* Wed Jul 31 2019 tiwai@suse.de
- dma-buf: balance refcount inbalance (bsc#1051510).
- commit 314dd8d
* Wed Jul 31 2019 tiwai@suse.de
- crypto: talitos - fix skcipher failure due to wrong output IV
  (bsc#1051510).
- commit 9ad83fe
* Wed Jul 31 2019 tiwai@suse.de
- Bluetooth: 6lowpan: search for destination address in all peers
  (bsc#1051510).
- Bluetooth: Add SMP workaround Microsoft Surface Precision
  Mouse bug (bsc#1051510).
- Bluetooth: validate BLE connection interval updates
  (bsc#1051510).
- Bluetooth: Check state in l2cap_disconnect_rsp (bsc#1051510).
- Bluetooth: hci_bcsp: Fix memory leak in rx_skb (bsc#1051510).
- commit 595fdb0
* Wed Jul 31 2019 tiwai@suse.de
- hwmon: (nct6775) Fix register address and added missed tolerance
  for nct6106 (bsc#1051510).
- commit 979031c
* Wed Jul 31 2019 tiwai@suse.de
- firmware: ti_sci: Always request response from firmware
  (bsc#1051510).
- commit a183abe
* Wed Jul 31 2019 tiwai@suse.de
- efi/bgrt: Drop BGRT status field reserved bits check
  (bsc#1051510).
- commit 0debfe5
* Wed Jul 31 2019 tiwai@suse.de
- eCryptfs: fix a couple type promotion bugs (bsc#1051510).
- commit b6f5263
* Wed Jul 31 2019 tiwai@suse.de
- blacklist.conf: add superfluous ASoC entries
- commit 56ab50a
* Wed Jul 31 2019 acho@suse.com
- driver core: Fix use-after-free and double free on glue
  directory (bsc#1131281).
- commit 78880d7
* Wed Jul 31 2019 tiwai@suse.de
- ACPI/IORT: Fix off-by-one check in iort_dev_find_its_id()
  (bsc#1051510).
- af_key: fix leaks in key_pol_get_resp and dump_sp (bsc#1051510).
- commit 5daa6d3
* Wed Jul 31 2019 ptesarik@suse.cz
- Update config files.
- commit 0f315a4
* Wed Jul 31 2019 acho@suse.com
- Bluetooth: hci_uart: check for missing tty operations
  (CVE-2019-10207 bsc#1142857 bsc#1123959).
- commit d0754de
* Tue Jul 30 2019 schwab@suse.de
- packaging: add support for riscv64
- commit c2885ea
* Tue Jul 30 2019 tiwai@suse.de
- blacklist.conf: Add entries for sound drivers, mostly from 4.19.y stable
- commit dc17196
* Tue Jul 30 2019 tiwai@suse.de
- wil6210: drop old event after wmi_call timeout (bsc#1111666).
- wil6210: fix spurious interrupts in 3-msi (bsc#1111666).
- commit 170af6a
* Tue Jul 30 2019 nborisov@suse.com
- btrfs: use GFP_KERNEL in init_ipath (bsc#1086103).
- btrfs: scrub: add memalloc_nofs protection around init_ipath
  (bsc#1086103).
- commit 7470d5f
* Tue Jul 30 2019 ptesarik@suse.cz
- s390/zcrypt: Fix wrong dispatching for control domain CPRBs
  (bsc#1137811 LTC#178088).
- commit 79fa234
* Tue Jul 30 2019 tbogendoerfer@suse.de
- Update
  patches.drivers/IB-mlx5-Fix-leaking-stack-memory-to-userspace.patch
  (bsc#1103991 FATE#326007 CVE-2018-20855).
  Added CVE reference.
- commit 9693465
* Tue Jul 30 2019 tbogendoerfer@suse.de
- IB/mlx5: Fix leaking stack memory to userspace (bsc#1143045
  CVE-2018-20855).
- commit 1773cb4
* Tue Jul 30 2019 dkirjanov@suse.com
- patches.fixes/hv_netvsc-Set-probe-mode-to-sync.patch:
  (bsc#1142083).
- commit 47e6f44
* Tue Jul 30 2019 mkubecek@suse.cz
- tcp: be more careful in tcp_fragment() (CVE-2019-11478
  bsc#1137586 bsc#1139751).
- Refresh
  patches.kabi/kabi-drop-LINUX_MIB_TCPWQUEUETOOBIG-snmp-counter.patch
- commit 01d7aff
* Tue Jul 30 2019 mhocko@suse.com
- Refresh
  patches.arch/0002-x86-speculation-Enable-Spectre-v1-swapgs-mitigations.patch.
- commit a498c6b
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: remove set but not used variables (bsc#1136467
  jsc#SLE-4694).
- commit aa00a62
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Update the driver version to 8.37.25.20 (bsc#1136467
  jsc#SLE-4694).
- commit 9add3fb
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Add return value to log message if scsi_add_host
  fails (bsc#1136467 jsc#SLE-4694).
- commit 8c36457
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Print fcport information on wait for upload timeout
  (bsc#1136467 jsc#SLE-4694).
- commit f669b60
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Check the return value of start_xmit (bsc#1136467
  jsc#SLE-4694).
- commit 2c7df1a
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Log message if scsi_add_host fails (bsc#1136467
  jsc#SLE-4694).
- commit 4af7dd5
* Mon Jul 29 2019 tiwai@suse.de
- mwifiex: fix 802.11n/WPA detection (CVE-2019-3846,bsc#1136424).
- commit 4f04ac3
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Check for fcoe_libfc_config failure (bsc#1136467
  jsc#SLE-4694).
- commit f688b0d
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Add comment to display logging levels (bsc#1136467
  jsc#SLE-4694).
- commit 320e3fa
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Add port_id for fcport into initiate_cleanup debug
  message (bsc#1136467 jsc#SLE-4694).
- commit 9f1cc47
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Add LBA to underrun debug messages (bsc#1136467
  jsc#SLE-4694).
- commit 967d3aa
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Print scsi_cmd backpointer in good completion path
  if the command is still being used (bsc#1136467 jsc#SLE-4694).
- commit 4a34125
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Add driver state to 'driver_stats' debugfs node
  (bsc#1136467 jsc#SLE-4694).
- commit 3542012
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Change MSI-X load error message (bsc#1136467
  jsc#SLE-4694).
- commit 2176472
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: remove memset/memcpy to nfunc and use func instead
  (bsc#1136467 jsc#SLE-4694).
- commit 4a1cb44
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Remove set but not used variable 'fr_len'
  (bsc#1136467 jsc#SLE-4694).
- commit 5f47365
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Update the driver version to 8.37.25.19 (bsc#1136467
  jsc#SLE-4694).
- commit 6fff8a7
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Fix lport may be used uninitialized warning
  (bsc#1136467 jsc#SLE-4694).
- commit 89a092f
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Correctly handle refcounting of rdata (bsc#1136467
  jsc#SLE-4694).
- commit 02f3c54
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Cleanup rrq_work after QEDF_CMD_OUTSTANDING is
  cleared (bsc#1136467 jsc#SLE-4694).
- commit 7999225
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Check for tm_flags instead of cmd_type during
  cleanup (bsc#1136467 jsc#SLE-4694).
- commit e99577d
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Add a flag to help debugging io_req which could
  not be cleaned (bsc#1136467 jsc#SLE-4694).
- commit edf2f3e
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Don't send ABTS for under run scenario (bsc#1136467
  jsc#SLE-4694).
- commit 234f514
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Don't queue anything if upload is in progress
  (bsc#1136467 jsc#SLE-4694).
- commit 1f5a3c4
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Check both the FCF and fabric ID before servicing
  clear virtual link (bsc#1136467 jsc#SLE-4694).
- commit 4024c4b
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: fc_rport_priv reference counting fixes (bsc#1136467
  jsc#SLE-4694).
- commit 5ae3467
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Add missing return in qedf_scsi_done() (bsc#1136467
  jsc#SLE-4694).
- commit 4f20ca7
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Wait for upload and link down processing during
  soft ctx reset (bsc#1136467 jsc#SLE-4694).
- commit 86237cb
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Add additional checks for io_req->sc_cmd validity
  (bsc#1136467 jsc#SLE-4694).
- commit 07dd5da
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Modify abort and tmf handler to handle edge
  condition and flush (bsc#1136467 jsc#SLE-4694).
- commit e7e6b65
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Modify flush routine to handle all I/Os and TMF
  (bsc#1136467 jsc#SLE-4694).
  Also had to update scsi-qedf-fixup-bit-operations.patch back
  to its original format since above patch added missing context.
- commit 7f0d4a9
* Mon Jul 29 2019 lduncan@suse.com
- scsi: qedf: Add missing return in qedf_post_io_req() in the
  fcport offload check (bsc#1136467 jsc#SLE-4694).
- commit 97355fe
* Mon Jul 29 2019 ptesarik@suse.cz
- Refresh patches.arch/s390-dma-provide-proper-ARCH_ZONE_DMA_BITS.
- commit 2ee1527
* Mon Jul 29 2019 ptesarik@suse.cz
- s390/qeth: be drop monitor friendly (bsc#1142220 LTC#179335).
- commit d36fb72
* Mon Jul 29 2019 vbabka@suse.cz
- x86, mm: fix fast GUP with hyper-based TLB flushing (VM
  Functionality, bsc#1140903).
- commit 0d4f36e
* Mon Jul 29 2019 mhocko@suse.com
- x86/speculation/swapgs: Exclude ATOMs from speculation through
  SWAPGS (bsc#1139358, CVE-2019-1125).
- Refresh
  patches.arch/0001-x86-speculation-Prepare-entry-code-for-Spectre-v1-sw.patch.
- commit 057096c
* Mon Jul 29 2019 jthumshirn@suse.de
- libnvdimm/region: Register badblocks before namespaces
  (bsc#1143209).
- commit 75f3bff
* Mon Jul 29 2019 tiwai@suse.de
- Correct the CVE and bug reference for a floppy security fix (CVE-2019-14284,bsc#1143189)
  A dedicated CVE was already assigned
- commit b35cae3
* Mon Jul 29 2019 tiwai@suse.de
- floppy: fix out-of-bounds read in copy_buffer
  (CVE-2019-14283,bsc#1143191).
- floppy: fix div-by-zero in setup_format_params
  (CVE-2019-14283,bsc#1143191).
- commit 4becf9e
* Mon Jul 29 2019 jthumshirn@suse.de
- nvme: fix memory leak caused by incorrect subsystem free
  (bsc#1143185).
- commit 55e0f8d
* Mon Jul 29 2019 ptesarik@suse.cz
- net/af_iucv: remove GFP_DMA restriction for HiperTransport
  (bsc#1142112 bsc#1142221 LTC#179334 LTC#179332).
- commit 9402a68
* Mon Jul 29 2019 tiwai@suse.de
- usb: pci-quirks: Correct AMD PLL quirk detection (bsc#1051510).
- commit 9981a0b
* Mon Jul 29 2019 mkubecek@suse.cz
- sctp: silence warns on sctp_stream_init allocations
  (bsc#1083710).
- commit 688c1be
* Sun Jul 28 2019 tiwai@suse.de
- ath10k: destroy sdio workqueue while remove sdio module
  (bsc#1111666).
- ath10k: fix PCIE device wake up failed (bsc#1111666).
- iwlwifi: don't WARN when calling iwl_get_shared_mem_conf with
  RF-Kill (bsc#1111666).
- iwlwifi: pcie: don't service an interrupt that was masked
  (bsc#1111666).
- iwlwifi: fix RF-Kill interrupt while FW load for gen2 devices
  (bsc#1111666).
- iwlwifi: pcie: fix ALIVE interrupt handling for gen2 devices
  w/o MSI-X (bsc#1111666).
- iwlwifi: mvm: Drop large non sta frames (bsc#1111666).
- mt7601u: fix possible memory leak when the device is
  disconnected (bsc#1111666).
- mt7601u: do not schedule rx_tasklet when the device has been
  disconnected (bsc#1111666).
- rtlwifi: rtl8192cu: fix error handle when usb probe failed
  (bsc#1111666).
- ath10k: add peer id check in ath10k_peer_find_by_id
  (bsc#1111666).
- ath10k: Do not send probe response template for mesh
  (bsc#1111666).
- ath: DFS JP domain W56 fixed pulse type 3 RADAR detection
  (bsc#1111666).
- ath9k: Check for errors when reading SREV register
  (bsc#1111666).
- commit 328e900
* Sat Jul 27 2019 msuchanek@suse.de
- rpm/macros.kernel-source: KMPs should depend on kmod-compat to build.
  kmod-compat links are used in find-provides.ksyms, find-requires.ksyms,
  and find-supplements.ksyms in rpm-config-SUSE.
- commit f97ca49
* Sat Jul 27 2019 msuchanek@suse.de
- scripts/run_oldconfig.sh: Fix update-vanilla
  When CC is set we want to use it for native only. Cross-compilation
  still needs the crosscompilers.
- commit 3b9fcdb
* Sat Jul 27 2019 ailiopoulos@suse.com
- xfs: don't overflow xattr listent buffer (bsc#1143105).
- commit ef88108
* Sat Jul 27 2019 tiwai@suse.de
- ALSA: hda - Fix intermittent CORB/RIRB stall on Intel chips
  (bsc#1111666).
- ALSA: hda - Optimize resume for codecs without jack detection
  (bsc#1111666).
- commit fa377f3
* Sat Jul 27 2019 tiwai@suse.de
- ALSA: hda - Add a conexant codec entry to let mute led work
  (bsc#1051510).
- ALSA: compress: Be more restrictive about when a drain is
  allowed (bsc#1051510).
- ALSA: compress: Don't allow paritial drain operations on
  capture streams (bsc#1051510).
- ALSA: compress: Prevent bypasses of set_params (bsc#1051510).
- ALSA: compress: Fix regression on compressed capture streams
  (bsc#1051510).
- ALSA: line6: Fix a typo (bsc#1051510).
- ALSA: line6: Fix wrong altsetting for LINE6_PODHD500_1
  (bsc#1051510).
- commit ae9e6c6
* Fri Jul 26 2019 lyan@suse.com
- KVM: arm/arm64: vgic-its: Take the srcu lock when parsing the
  memslots (bsc#1133021).
- KVM: arm/arm64: vgic-its: Take the srcu lock when writing to
  guest memory (bsc#1133021).
- commit 71f3007
* Fri Jul 26 2019 colyli@suse.de
- Update References field to
  patches.suse/0275-bcache-never-writeback-a-discard-operation.patch
  (bsc#1130972, bsc#1102247).
- commit fece483
* Fri Jul 26 2019 ohering@suse.de
- PCI: hv: Fix return value check in hv_pci_assign_slots()
  (bsc#1142701).
- commit b1f308c
* Fri Jul 26 2019 ohering@suse.de
- PCI: hv: Fix a use-after-free bug in hv_eject_device_work()
  (bsc#1142701).
- PCI: hv: Add pci_destroy_slot() in pci_devices_present_work(),
  if necessary (bsc#1142701).
- PCI: hv: Add hv_pci_remove_slots() when we unload the driver
  (bsc#1142701).
- PCI: hv: Fix a memory leak in hv_eject_device_work()
  (bsc#1142701).
- PCI: hv: support reporting serial number as slot information
  (bsc#1142701).
- PCI: hv: Remove unused reason for refcount handler
  (bsc#1142701).
- commit 5c04ed0
* Fri Jul 26 2019 msuchanek@suse.de
- ppc: Convert mmu context allocation to new IDA API (bsc#1139619
  LTC#178538).
- commit a95e1a8
* Fri Jul 26 2019 fdmanana@suse.com
- Btrfs: fix race between block group removal and block group
  allocation (bsc#1143003).
- commit 805c7d6
* Fri Jul 26 2019 tbogendoerfer@suse.de
- bnx2x: Prevent load reordering in tx completion processing
  (bsc#1142868).
- commit 55eef5c
* Fri Jul 26 2019 jthumshirn@suse.de
- Refresh patches.fixes/drivers-base-introduce-kill_device.patch.
- Refresh
  patches.fixes/libnvdimm-bus-prevent-duplicate-device_unregister-calls.patch.
  Update Commit IDs
- commit df1507f
* Fri Jul 26 2019 fyang@suse.com
- fork, memcg: fix cached_stacks case (bsc#1134097).
- fork, memcg: fix crash in free_thread_stack on memcg charge fail
  (bsc#1134097).
- commit 5777e9c
* Thu Jul 25 2019 msuchanek@suse.de
- kernel: jump label transformation performance (bsc#1137534 bsc#1137535
  LTC#178058 LTC#178059).
- commit 94ca19e
* Thu Jul 25 2019 msuchanek@suse.de
- Refresh patches.arch/powerpc-Fix-check-for-copy-paste-instructions-in-ali.patch
  Fix broken backport.
- commit 737a123
* Thu Jul 25 2019 msuchanek@suse.de
- powerpc/64s/radix: Introduce local single page ceiling for TLB range
  flush (bsc#1055117 bsc#1152161 ltc#181664).
- Refresh patches.suse/powerpc-mm-Workaround-Nest-MMU-bug-with-TLB-invalida.patch.
- commit 9a6b5c8
* Thu Jul 25 2019 oneukum@suse.com
- Input: tm2-touchkey - acknowledge that setting brightness is
  a blocking call (bsc#1129770).
- commit 5aea138
* Wed Jul 24 2019 msuchanek@suse.de
- powerpc/nvdimm: Add support for multibyte read/write for
  metadata (bsc#1142685 LTC#179509 FATE#327775).
- powerpc/pseries/scm: Mark the region volatile if cache flush
  not required (bsc#1142685 LTC#179509 FATE#327775).
- powerpc/mm/nvdimm: Add an informative message if we fail to
  allocate altmap block (bsc#1142685 LTC#179509 FATE#327775).
- powerpc/mm/radix: Use the right page size for vmemmap mapping
  (bsc#1055117 bsc#1142685 LTC#179509 FATE#327775).
- powerpc/mm/hash/4k: Don't use 64K page size for vmemmap with
  4K pagesize (bsc#1142685 LTC#179509 FATE#327775).
- commit f4c7f9e
* Wed Jul 24 2019 msuchanek@suse.de
- Refresh patches.arch/powerpc-papr_scm-Force-a-scm-unbind-if-initial-scm-b.patch.
- Refresh patches.arch/powerpc-papr_scm-Update-drc_pmem_unbind-to-use-H_SCM.patch.
- Refresh patches.arch/powerpc-pseries-Update-SCM-hcall-op-codes-in-hvcall..patch.
- commit fe172c6
* Wed Jul 24 2019 tiwai@suse.de
- Add the cherry-picked commit for the existing patch
  Refresh:
  patches.drivers/platform-x86-asus-wmi-Only-Tell-EC-the-OS-will-handl.patch
- commit da39a47
* Wed Jul 24 2019 tiwai@suse.de
- Fix kABI for asus-wmi quirk_entry field addition (bsc#1051510).
- commit 955a98c
* Wed Jul 24 2019 tiwai@suse.de
- platform/x86: asus-wmi: Only Tell EC the OS will handle display
  hotkeys from asus_nb_wmi (bsc#1051510).
- commit 667495a
* Wed Jul 24 2019 tiwai@suse.de
- platform/x86: asus-nb-wmi: Support ALS on the Zenbook UX430UQ
  (bsc#1051510).
- commit c48812e
* Wed Jul 24 2019 tiwai@suse.de
- e1000e: start network tx queue only when link is up
  (bsc#1051510).
- Revert "e1000e: fix cyclic resets at link up with active tx"
  (bsc#1051510).
- commit 87c75a8
* Wed Jul 24 2019 tiwai@suse.de
- iwlwifi: correct one of the PCI struct names (bsc#1111666).
- commit bf9d1f1
* Wed Jul 24 2019 tiwai@suse.de
- iwlwifi: fix cfg structs for 22000 with different RF modules
  (bsc#1111666).
- commit d6b2f02
* Wed Jul 24 2019 tiwai@suse.de
- iwlwifi: fix devices with PCI Device ID 0x34F0 and 11ac RF
  modules (bsc#1111666).
- commit bff95ae
* Wed Jul 24 2019 tiwai@suse.de
- Correct iwlwifi 22000 series ucode file name (bsc#1142673)
  Refreshed:
  patches.drivers/iwlwifi-add-support-for-22560-devices.patch
  patches.drivers/iwlwifi-rename-the-temporary-name-of-A000-to-the-off.patch
- commit 0da0345
* Wed Jul 24 2019 tiwai@suse.de
- PCI/portdrv: Support PCIe services on subtractive decode bridges
  (bsc#1142623).
- PCI/portdrv: Use conventional Device ID table formatting
  (bsc#1142623).
- commit b772c8c
* Wed Jul 24 2019 tiwai@suse.de
- PCI: portdrv: Restore PCI config state on slot reset
  (bsc#1142623).
- commit 54e2bdc
* Wed Jul 24 2019 tiwai@suse.de
- PCI/portdrv: Remove pcie_portdrv_err_handler.slot_reset
  (bsc#1142623).
- commit a2f313f
* Wed Jul 24 2019 tiwai@suse.de
- PCI/AER: Use cached AER Capability offset (bsc#1142623).
- commit fb22306
* Wed Jul 24 2019 tiwai@suse.de
- PCI/portdrv: Disable port driver in compat mode (bsc#1142623).
- Refresh
  patches.drivers/0001-PCI-pciehp-Rename-host-native_hotplug-to-host-native.patch.
- Refresh
  patches.drivers/0001-PCI-portdrv-Rename-and-reverse-sense-of-pcie_ports_a.patch.
- Refresh
  patches.drivers/0001-PCI-portdrv-Simplify-PCIe-feature-permission-checkin.patch.
- commit be57e6c
* Wed Jul 24 2019 tiwai@suse.de
- PCI / PM: Use SMART_SUSPEND and LEAVE_SUSPENDED flags for PCIe
  ports (bsc#1142623).
- Refresh
  patches.drivers/0001-PCI-portdrv-Resume-upon-exit-from-system-suspend-if-.patch.
- commit 567f0b1
* Wed Jul 24 2019 tiwai@suse.de
- Correct the buggy backport about AER / DPC pcie stuff (bsc#1142623)
  Refresh:
  patches.fixes/pci-portdrv-compute-msi-msi-x-irq-vectors-after-final-allocation
  patches.fixes/pci-portdrv-factor-out-interrupt-message-number-lookup
- PCI/portdrv: Consolidate comments (bsc#1142623).
- Refresh
  patches.fixes/pci-portdrv-compute-msi-msi-x-irq-vectors-after-final-allocation.
- Refresh
  patches.fixes/pci-portdrv-factor-out-interrupt-message-number-lookup.
- commit 89c424f
* Wed Jul 24 2019 msuchanek@suse.de
- scripts/arch-symbols: add missing link.
- commit ee7c635
* Wed Jul 24 2019 oneukum@suse.com
- blacklist.conf: kABI
- commit 2cff6dd
* Wed Jul 24 2019 tiwai@suse.de
- PCI/portdrv: Add #defines for AER and DPC Interrupt Message
  Number masks (bsc#1142623).
- Refresh
  patches.fixes/pci-portdrv-factor-out-interrupt-message-number-lookup.
- commit 3690c43
* Wed Jul 24 2019 oneukum@suse.com
- blacklist.conf: this is supposed to speed up things but invalidates
  testing
- commit b8dc286
* Wed Jul 24 2019 oneukum@suse.com
- blacklist.conf: would remove an ioctl
- commit 044bc6e
* Wed Jul 24 2019 oneukum@suse.com
- blacklist.conf: cosmetic change only
- commit a98fb29
* Wed Jul 24 2019 msuchanek@suse.de
- scsi: ibmvfc: fix WARN_ON during event pool release (bsc#1137458
  LTC#178093).
- commit 40bd8b6
* Wed Jul 24 2019 lduncan@suse.com
- scsi: megaraid_sas: return error when create DMA pool failed
  (CVE-2019-11810 bsc#1134399).
- commit 7142e60
* Tue Jul 23 2019 tiwai@suse.de
- Add kernel module compression support (bsc#1135854)
  For enabling the kernel module compress, add the item COMPRESS_MODULES="xz"
  in config.sh, then mkspec will pass it to the spec file.
- commit cdf5806
* Tue Jul 23 2019 msuchanek@suse.de
- bonding: Force slave speed check after link state recovery
  for 802.3ad (bsc#1137584).
- commit ed149f2
* Tue Jul 23 2019 palcantara@suse.de
- cifs: update internal module number (bsc#1144333).
- commit 986284a
* Tue Jul 23 2019 palcantara@suse.de
- cifs: flush before set-info if we have writeable handles (bsc#1144333).
- commit b4d735e
* Tue Jul 23 2019 palcantara@suse.de
- smb3: optimize open to not send query file internal info (bsc#1144333).
- commit e2b707f
* Tue Jul 23 2019 palcantara@suse.de
- CIFS: fix deadlock in cached root handling (bsc#1144333).
- commit 8be25d5
* Tue Jul 23 2019 tbogendoerfer@suse.de
- blacklist.conf: 0bfcd24b39c2 already included as 8c2eb7b6468a
- commit 8d92ffa
* Tue Jul 23 2019 tbogendoerfer@suse.de
- tcp: fix tcp_set_congestion_control() use from bpf hook
  (bsc#1109837).
- xdp: fix possible cq entry leak (bsc#1109837).
- mlxsw: spectrum_dcb: Configure DSCP map as the last rule is
  removed (bsc#1112374).
- xprtrdma: Fix use-after-free in rpcrdma_post_recvs (bsc#1103992
  FATE#326009).
- IB/ipoib: Add child to parent list only if device initialized
  (bsc#1103992 FATE#326009).
- IB/mlx5: Fixed reporting counters on 2nd port for Dual port RoCE
  (bsc#1103991 FATE#326007).
- RDMA/odp: Fix missed unlock in non-blocking invalidate_start
  (bsc#1103992 FATE#326009).
- RDMA/srp: Accept again source addresses that do not have a
  port number (bsc#1103992 FATE#326009).
- RDMA/uverbs: check for allocation failure in uapi_add_elm()
  (bsc#1103992 FATE#326009).
- net/mlx5e: Rx, Fix checksum calculation for new hardware
  (bsc#1127611).
- net/tls: fix socket wmem accounting on fallback with netem
  (bsc#1109837).
- xdp: hold device for umem regardless of zero-copy mode
  (bsc#1109837).
- tools: bpftool: use correct argument in cgroup errors
  (bsc#1109837).
- xsk: Properly terminate assignment in xskq_produce_flush_desc
  (bsc#1109837).
- net/tls: make sure offload also gets the keys wiped
  (bsc#1109837).
- idr: fix overflow case for idr_for_each_entry_ul()
  (bsc#1109837).
- bnxt_en: Suppress error messages when querying DSCP DCB
  capabilities (bsc#1104745 FATE#325918).
- bnxt_en: Cap the returned MSIX vectors to the RDMA driver
  (bsc#1134090 jsc#SLE-5954).
- bnxt_en: Fix statistics context reservation logic for RDMA
  driver (bsc#1104745 FATE#325918).
- bnxt_en: Disable bus master during PCI shutdown and driver
  unload (bsc#1104745 FATE#325918).
- xdp: fix race on generic receive path (bsc#1109837).
- tools: bpftool: Fix json dump crash on powerpc (bsc#1109837).
- bpf: fix callees pruning callers (bsc#1109837).
- qed: Fix -Wmaybe-uninitialized false positive (bsc#1136460
  jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qed: Fix build error without CONFIG_DEVLINK (bsc#1136460
  jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- RDMA/srp: Document srp_parse_in() arguments (bsc#1103992
  FATE#326009).
- commit 465e23a
* Tue Jul 23 2019 palcantara@suse.de
- smb3: smbdirect no longer experimental (bsc#1144333).
- commit e20fcc7
* Tue Jul 23 2019 palcantara@suse.de
- cifs: fix crash in smb2_compound_op()/smb2_set_next_command() (bsc#1144333).
- commit 84ba586
* Tue Jul 23 2019 palcantara@suse.de
- cifs: fix crash in cifs_dfs_do_automount (bsc#1144333).
- commit f139553
* Tue Jul 23 2019 palcantara@suse.de
- cifs: fix parsing of symbolic link error response (bsc#1144333).
- commit f589a16
* Tue Jul 23 2019 palcantara@suse.de
- cifs: refactor and clean up arguments in the reparse point parsing (bsc#1144333).
- commit 19e2523
* Tue Jul 23 2019 palcantara@suse.de
- SMB3: query inode number on open via create context (bsc#1144333).
- commit baf32d4
* Tue Jul 23 2019 palcantara@suse.de
- smb3: Send netname context during negotiate protocol (bsc#1144333).
- commit a9b9aca
* Tue Jul 23 2019 palcantara@suse.de
- smb3: do not send compression info by default (bsc#1144333).
- commit adf25ef
* Tue Jul 23 2019 palcantara@suse.de
- smb3: add new mount option to retrieve mode from special ACE (bsc#1144333).
- commit ca8c013
* Tue Jul 23 2019 palcantara@suse.de
- smb3: Allow query of symlinks stored as reparse points (bsc#1144333).
- commit 298d366
* Tue Jul 23 2019 palcantara@suse.de
- cifs: Fix a race condition with cifs_echo_request (bsc#1144333).
- commit d8c6924
* Tue Jul 23 2019 palcantara@suse.de
- cifs: always add credits back for unsolicited PDUs (bsc#1144333).
- commit 4fdd365
* Tue Jul 23 2019 palcantara@suse.de
- fs: cifs: cifsssmb: Change return type of convert_ace_to_cifs_ace (bsc#1144333).
- commit 9ffd824
* Tue Jul 23 2019 palcantara@suse.de
- add some missing definitions (bsc#1144333).
- commit 1bdcd1a
* Tue Jul 23 2019 palcantara@suse.de
- cifs: fix typo in debug message with struct field ia_valid (bsc#1144333).
- commit e4ba220
* Tue Jul 23 2019 palcantara@suse.de
- smb3: minor cleanup of compound_send_recv (bsc#1144333).
- commit db4e54c
* Tue Jul 23 2019 palcantara@suse.de
- CIFS: Fix module dependency (bsc#1144333).
- commit 874c4a4
* Tue Jul 23 2019 palcantara@suse.de
- cifs: simplify code by removing CONFIG_CIFS_ACL ifdef   (bsc#1144333). - Update config files.
- commit 49ca0c7
* Tue Jul 23 2019 oneukum@suse.com
- fpga: stratix10-soc: fix use-after-free on s10_init()
  (jsc#SLE-7057).
- commit 5b9bc90
* Tue Jul 23 2019 oneukum@suse.com
- fpga: stratix10-soc: fix wrong of_node_put() in init function
  (jsc#jsc#SLE-7057).
- commit 4812224
* Tue Jul 23 2019 oneukum@suse.com
- fpga: add intel stratix10 soc fpga manager driver
  (jsc#SLE-7057).
- commit 7a5875f
* Tue Jul 23 2019 mhocko@suse.com
- x86/speculation: Prepare entry code for Spectre v1 swapgs
  mitigations (bsc#1139358, CVE-2019-1125).
- x86/speculation: Enable Spectre v1 swapgs mitigations
  (bsc#1139358, CVE-2019-1125).
- Refresh
  patches.suse/0005-x86-enter-Use-IBRS-on-syscall-and-interrupts.patch.
- Refresh
  patches.suse/x86-cpufeatures-Combine-word-11-and-12-into-a-new-sc.patch.
- Refresh
  patches.suse/x86-cpufeatures-Enumerate-the-new-AVX512-BFLOAT16-in.patch.
- commit 479b935
* Tue Jul 23 2019 jgross@suse.com
- xen: let alloc_xenballooned_pages() fail if not enough memory
  free (bsc#1142450 XSA-300).
- commit 78512f3
* Tue Jul 23 2019 palcantara@suse.de
- cifs: Fix check for matching with existing mount (bsc#1144333).
- commit ff08ee2
* Tue Jul 23 2019 palcantara@suse.de
- cifs: Properly handle auto disabling of serverino option (bsc#1144333).
- commit c6295b2
* Tue Jul 23 2019 palcantara@suse.de
- smb3: if max_credits is specified then display it in /proc/mounts (bsc#1144333).
- commit 03f8033
* Tue Jul 23 2019 palcantara@suse.de
- Fix match_server check to allow for auto dialect negotiate (bsc#1144333).
- commit d0ad70d
* Tue Jul 23 2019 palcantara@suse.de
- cifs: add missing GCM module dependency (bsc#1144333).
- commit 7379156
* Tue Jul 23 2019 palcantara@suse.de
- SMB3.1.1: Add GCM crypto to the encrypt and decrypt functions (bsc#1144333).
- commit 609cdad
* Tue Jul 23 2019 palcantara@suse.de
- SMB3: Add SMB3.1.1 GCM to negotiated crypto algorigthms (bsc#1144333).
- commit 35322f3
* Tue Jul 23 2019 palcantara@suse.de
- fs: cifs: Drop unlikely before IS_ERR(_OR_NULL) (bsc#1144333).
- commit e4904e7
* Tue Jul 23 2019 palcantara@suse.de
- cifs: Use kmemdup in SMB2_ioctl_init() (bsc#1144333).
- commit 9a7e082
* Tue Jul 23 2019 palcantara@suse.de
- cifs: fix crash querying symlinks stored as reparse-points (bsc#1144333).
- commit e1d9262
* Tue Jul 23 2019 palcantara@suse.de
- treewide: Replace GPLv2 boilerplate/reference with SPDX - rule 231 (bsc#1144333).
- commit 4b6e977
* Tue Jul 23 2019 palcantara@suse.de
- cifs: fix GlobalMid_Lock bug in cifs_reconnect (bsc#1144333).
- commit b3593b6
* Tue Jul 23 2019 palcantara@suse.de
- SMB3: retry on STATUS_INSUFFICIENT_RESOURCES instead of failing write (bsc#1144333).
- commit 18095f8
* Tue Jul 23 2019 palcantara@suse.de
- cifs: add spinlock for the openFileList to cifsInodeInfo (bsc#1144333).
- commit 7ad2b35
* Tue Jul 23 2019 palcantara@suse.de
- cifs: fix panic in smb2_reconnect (bsc#1144333).
- commit bee1af6
* Tue Jul 23 2019 palcantara@suse.de
- CIFS: cifs_read_allocate_pages: don't iterate through whole page array on ENOMEM (bsc#1144333).
- commit fca893c
* Tue Jul 23 2019 palcantara@suse.de
- dfs_cache: fix a wrong use of kfree in flush_cache_ent() (bsc#1144333).
- commit 8f1ff22
* Tue Jul 23 2019 palcantara@suse.de
- fs/cifs/smb2pdu.c: fix buffer free in SMB2_ioctl_free (bsc#1144333).
- commit 1cd210c
* Tue Jul 23 2019 palcantara@suse.de
- cifs: fix memory leak of pneg_inbuf on -EOPNOTSUPP ioctl case (bsc#1144333).
- commit 67d46c6
* Tue Jul 23 2019 palcantara@suse.de
- signal/cifs: Fix cifs_put_tcp_session to call send_sig instead of force_sig (bsc#1144333).
- commit ac48d1f
* Tue Jul 23 2019 palcantara@suse.de
- cifs: add support for SEEK_DATA and SEEK_HOLE (bsc#1144333).
- commit 0f11421
* Tue Jul 23 2019 palcantara@suse.de
- Fixed https://bugzilla.kernel.org/show_bug.cgi?id=202935 allow write on the same file (bsc#1144333).
- commit 7748fed
* Tue Jul 23 2019 palcantara@suse.de
- cifs: Allocate memory for all iovs in smb2_ioctl (bsc#1144333).
- commit 5f81833
* Tue Jul 23 2019 palcantara@suse.de
- cifs: Don't match port on SMBDirect transport (bsc#1144333).
- commit 051316f
* Tue Jul 23 2019 palcantara@suse.de
- cifs:smbd Use the correct DMA direction when sending data (bsc#1144333).
- commit 4d76c3a
* Tue Jul 23 2019 palcantara@suse.de
- cifs:smbd When reconnecting to server, call smbd_destroy() after all MIDs have been called (bsc#1144333).
- commit 6452a9b
* Tue Jul 23 2019 palcantara@suse.de
- smb3: trivial cleanup to smb2ops.c (bsc#1144333).
- commit 80746c4
* Tue Jul 23 2019 palcantara@suse.de
- cifs: cleanup smb2ops.c and normalize strings (bsc#1144333).
- commit 68b4575
* Tue Jul 23 2019 palcantara@suse.de
- smb3: display session id in debug data (bsc#1144333).
- commit ff1be03
* Tue Jul 23 2019 palcantara@suse.de
- cifs: update module internal version number (bsc#1144333).
- commit b15e93d
* Tue Jul 23 2019 palcantara@suse.de
- SMB3: Clean up query symlink when reparse point (bsc#1144333).
- commit 263d56b
* Tue Jul 23 2019 palcantara@suse.de
- cifs: fix strcat buffer overflow and reduce raciness in smb21_set_oplock_level() (bsc#1144333).
- commit 20d16b3
* Tue Jul 23 2019 palcantara@suse.de
- Negotiate and save preferred compression algorithms (bsc#1144333).
- commit 2f9136f
* Tue Jul 23 2019 palcantara@suse.de
- cifs: rename and clarify CIFS_ASYNC_OP and CIFS_NO_RESP (bsc#1144333).
- commit b844fff
* Tue Jul 23 2019 palcantara@suse.de
- cifs: fix credits leak for SMB1 oplock breaks (bsc#1144333).
- commit c9b3aea
* Tue Jul 23 2019 palcantara@suse.de
- smb3: Add protocol structs for change notify support (bsc#1144333).
- commit 19f6994
* Tue Jul 23 2019 palcantara@suse.de
- cifs: fix smb3_zero_range for Azure (bsc#1144333).
- commit 2d61900
* Tue Jul 23 2019 palcantara@suse.de
- cifs: zero-range does not require the file is sparse (bsc#1144333).
- commit 4580e2d
* Tue Jul 23 2019 palcantara@suse.de
- Add new flag on SMB3.1.1 read (bsc#1144333).
- commit bad960f
* Tue Jul 23 2019 palcantara@suse.de
- cifs: add fiemap support (bsc#1144333).
- commit 83181db
* Tue Jul 23 2019 palcantara@suse.de
- SMB3: Add defines for new negotiate contexts (bsc#1144333).
- commit 9bbe6f7
* Tue Jul 23 2019 palcantara@suse.de
- cifs: fix bi-directional fsctl passthrough calls (bsc#1144333).
- commit 0fd12f5
* Tue Jul 23 2019 palcantara@suse.de
- cifs: smbd: take an array of reqeusts when sending upper layer data (bsc#1144333).
- commit 0bb2ab5
* Tue Jul 23 2019 palcantara@suse.de
- SMB3: Add handling for different FSCTL access flags (bsc#1144333).
- commit dbdf4ee
* Tue Jul 23 2019 palcantara@suse.de
- cifs: Add support for FSCTL passthrough that write data to the server (bsc#1144333).
- commit b35bcfe
* Tue Jul 23 2019 palcantara@suse.de
- cifs: Call MID callback before destroying transport (bsc#1144333).
- commit 39e15e8
* Tue Jul 23 2019 palcantara@suse.de
- cifs: smbd: Retry on memory registration failure (bsc#1144333).
- commit f8f5ad4
* Tue Jul 23 2019 palcantara@suse.de
- cifs: smbd: Indicate to retry on transport sending failure (bsc#1144333).
- commit d10678b
* Tue Jul 23 2019 palcantara@suse.de
- cifs: smbd: Return EINTR when interrupted (bsc#1144333).
- commit 88cf401
* Tue Jul 23 2019 palcantara@suse.de
- cifs: smbd: Don't destroy transport on RDMA disconnect (bsc#1144333).
- commit b0ccc81
* Tue Jul 23 2019 palcantara@suse.de
- smbd: Make upper layer decide when to destroy the transport (bsc#1144333).
- commit f5d568d
* Tue Jul 23 2019 palcantara@suse.de
- SMB3: update comment to clarify enumerating snapshots (bsc#1144333).
- commit 8510c32
* Tue Jul 23 2019 palcantara@suse.de
- CIFS: check CIFS_MOUNT_NO_DFS when trying to reuse existing sb (bsc#1144333).
- commit db230f1
* Mon Jul 22 2019 palcantara@suse.de
- CIFS: Show locallease in /proc/mounts for cifs shares mounted with locallease feature (bsc#1144333).
- commit 0864b55
* Mon Jul 22 2019 palcantara@suse.de
- cifs: Fix DFS cache refresher for DFS links (bsc#1144333).
- commit e9bae57
* Mon Jul 22 2019 palcantara@suse.de
- cifs: don't use __constant_cpu_to_le32() (bsc#1144333).
- commit ffc448e
* Mon Jul 22 2019 palcantara@suse.de
- SMB3: Track total time spent on roundtrips for each SMB3 command (bsc#1144333).
- commit 8a3179e
* Mon Jul 22 2019 palcantara@suse.de
- cifs: fix page reference leak with readv/writev (bsc#1144333).
- commit fbb8472
* Mon Jul 22 2019 palcantara@suse.de
- cifs: do not attempt cifs operation on smb2+ rename error (bsc#1144333).
- commit 5ebac84
* Mon Jul 22 2019 palcantara@suse.de
- cifs: fix memory leak in SMB2_read (bsc#1144333).
- commit d5acd73
* Mon Jul 22 2019 palcantara@suse.de
- CIFS: keep FileInfo handle live during oplock break (bsc#1106284, bsc#1131565, bsc#1144333).
- commit 83e4054
* Mon Jul 22 2019 palcantara@suse.de
- cifs: fix handle leak in smb2_query_symlink() (bsc#1144333).
- commit 4beb6c4
* Mon Jul 22 2019 palcantara@suse.de
- cifs: Fix lease buffer length error (bsc#1144333).
- commit 9e69c1d
* Mon Jul 22 2019 palcantara@suse.de
- cifs: Fix use-after-free in SMB2_read (bsc#1144333).
- commit 082bb78
* Mon Jul 22 2019 palcantara@suse.de
- cifs: Fix use-after-free in SMB2_write (bsc#1144333).
- commit 2ba4a61
* Mon Jul 22 2019 palcantara@suse.de
- smb3: allow more detailed protocol info on open files for debugging (bsc#1144333).
- commit 596e8f1
* Mon Jul 22 2019 oneukum@suse.com
- Refresh
  patches.drivers/0001-PCI-pciehp-Unify-controller-and-slot-structs.patch.
  (bsc#1141558)
- commit ebb2214
* Mon Jul 22 2019 msuchanek@suse.de
- powerpc/tm: Fix oops on sigreturn on systems without TM
  (bsc#1142265 CVE-2019-13648).
- commit 1b520d8
* Mon Jul 22 2019 tiwai@suse.de
- Input: gtco - bounds check collection indent level
  (CVE-2019-13631,bsc#1142023).
- commit 2ce2efe
* Mon Jul 22 2019 mkubecek@suse.cz
- rpm/klp-symbols: update to work with kernel >= 5.3
  Since mainline commit b7dca6dd1e59 ("kbuild: create *.mod with full
  directory path and remove MODVERDIR") in v5.3-rc1, *.mod files are created
  in the build tree rather than in a single directory .tmp_versions
  ($MODVERDIR). They also do not provide path to the *.ko module file on
  their first line as the path is the same (except for the suffix).
  Update klp-symbols script to handle this new layout and format of *.mod
  files to fix build of 5.3-rc1 and newer kernel.
  Note: this is a quick band-aid to fix master branch build without risk of
  breaking any other branch. A more proper cleanup will follow.
- commit c32f8e7
* Mon Jul 22 2019 tiwai@suse.de
- VMCI: Fix integer overflow in VMCI handle arrays (bsc#1051510).
- commit 8bf4468
* Mon Jul 22 2019 tiwai@suse.de
- USB: serial: ftdi_sio: add ID for isodebug v1 (bsc#1051510).
- USB: serial: option: add support for GosunCn ME3630 RNDIS mode
  (bsc#1051510).
- commit 1da5d9b
* Mon Jul 22 2019 tiwai@suse.de
- Input: psmouse - fix build error of multiple definition
  (bsc#1051510).
- Input: synaptics - enable SMBUS on T480 thinkpad trackpad
  (bsc#1051510).
- Input: imx_keypad - make sure keyboard can always wake up system
  (bsc#1051510).
- Input: elantech - enable middle button support on 2 ThinkPads
  (bsc#1051510).
- commit 9e1c3d9
* Mon Jul 22 2019 tiwai@suse.de
- drm/nouveau/i2c: Enable i2c pads & busses during preinit
  (bsc#1051510).
- commit 45b1d4a
* Mon Jul 22 2019 tiwai@suse.de
- crypto: ccp - Fix SEV_VERSION_GREATER_OR_EQUAL (bsc#1051510).
- crypto: ccp/gcm - use const time tag comparison (bsc#1051510).
- crypto: ccp - memset structure fields to zero before reuse
  (bsc#1051510).
- crypto: crypto4xx - fix a potential double free in
  ppc4xx_trng_probe (bsc#1051510).
- commit 297f83f
* Mon Jul 22 2019 tiwai@suse.de
- drm/udl: move to embedding drm device inside udl device
  (bsc#1111666).
- drm/udl: introduce a macro to convert dev to udl (bsc#1111666).
- drm/udl: Replace drm_dev_unref with drm_dev_put (bsc#1111666).
- commit 1eff3d8
* Mon Jul 22 2019 jthumshirn@suse.de
- block, bfq: NULL out the bic when it's no longer valid
  (bsc#1142359).
- commit 9ed968c
* Mon Jul 22 2019 jroedel@suse.de
- blacklist.conf: Add a5008b59cd9d dma-direct: only limit the mapping size if swiotlb could be used
- commit 26c7651
* Mon Jul 22 2019 jroedel@suse.de
- KVM: SVM: Fix detection of AMD Errata 1096 (bsc#1142354).
- commit d4bab45
* Mon Jul 22 2019 jthumshirn@suse.de
- acpi/nfit: Always dump _DSM output payload (bsc#1142351).
- commit fbdd275
* Mon Jul 22 2019 jthumshirn@suse.de
- libnvdimm/namespace: Fix label tracking error (bsc#1142350).
- commit 336ccfc
* Mon Jul 22 2019 dkirjanov@suse.com
- s390/qdio: handle PENDING state for QEBSM devices (bsc#1142119
  LTC#179331).
- s390/qeth: be drop monitor friendly (bsc#1142115 LTC#179337).
- commit 67bbcee
* Mon Jul 22 2019 bpoirier@suse.com
- be2net: Synchronize be_update_queues with dev_watchdog
  (bsc#1127315).
- be2net: Signal that the device cannot transmit during
  reconfiguration (bsc#1127315).
- commit a128a02
* Sun Jul 21 2019 jslaby@suse.cz
- sunhv: Fix device naming inconsistency between sunhv_console
  and sunhv_reg (networking-stable-19_06_18).
- lapb: fixed leak of control-blocks (networking-stable-19_06_18).
- neigh: fix use-after-free read in pneigh_get_next
  (networking-stable-19_06_18).
- be2net: Fix number of Rx queues used for flow hashing
  (networking-stable-19_06_18).
- vsock/virtio: set SOCK_DONE on peer shutdown
  (networking-stable-19_06_18).
- sctp: Free cookie before we memdup a new one
  (networking-stable-19_06_18).
- net: openvswitch: do not free vport if register_netdevice()
  is failed (networking-stable-19_06_18).
- ipv6: flowlabel: fl6_sock_lookup() must use atomic_inc_not_zero
  (networking-stable-19_06_18).
- commit 92c9710
* Sat Jul 20 2019 ptesarik@suse.cz
- pkey: Indicate old mkvp only if old and current mkvp are
  different (bsc#1137827 LTC#178090).
- commit dadd843
* Sat Jul 20 2019 ptesarik@suse.cz
- net/af_iucv: build proper skbs for HiperTransport (bsc#1142221
  LTC#179332).
- net/af_iucv: remove GFP_DMA restriction for HiperTransport
  (bsc#1142221 LTC#179332).
- commit 41d0dfa
* Sat Jul 20 2019 ptesarik@suse.cz
- s390/cpumf: Add extended counter set definitions for model
  8561 and 8562 (bsc#1142052 LTC#179320).
- commit 8139b27
* Fri Jul 19 2019 ptesarik@suse.cz
- s390: report new CPU capabilities (jsc#SLE-6907 FATE#327564
  LTC#175887).
- s390: add alignment hints to vector load and store (jsc#SLE-6907
  FATE#327564 LTC#175887).
- commit b89c692
* Fri Jul 19 2019 ptesarik@suse.cz
- s390/cpu_mf: replace stcctm5() with the stcctm() function
  (jsc#SLE-6904 FATE#327581).
- s390/cpu_mf: add store cpu counter multiple instruction support
  (jsc#SLE-6904 FATE#327581).
- commit 66b95ee
* Fri Jul 19 2019 ptesarik@suse.cz
- s390/cpum_cf_diag: Add support for s390 counter facility
  diagnostic trace (jsc#SLE-6904 FATE#327581).
- Refresh
  patches.arch/s390-uv-introduce-guest-side-ultravisor-code.
- commit a9ad827
* Fri Jul 19 2019 ptesarik@suse.cz
- s390/cpum_cf_diag: Add support for CPU-MF SVN 6 (jsc#SLE-6904
  FATE#327581).
- s390/cpumf: Fix warning from check_processor_id (jsc#SLE-6904
  FATE#327581).
- s390/cpum_cf: add ctr_stcctm() function (jsc#SLE-6904
  FATE#327581).
- s390/cpum_cf: introduce kernel_cpumcf_avail() function
  (jsc#SLE-6904 FATE#327581).
- s390/cpum_cf: Add minimal in-kernel interface for counter
  measurements (jsc#SLE-6904 FATE#327581).
- s390/cpum_cf: introduce kernel_cpumcf_alert() to obtain
  measurement alerts (jsc#SLE-6904 FATE#327581).
- s390/cpu_mf: move struct cpu_cf_events and per-CPU variable
  to header file (jsc#SLE-6904 FATE#327581).
- s390/cpum_cf: rename per-CPU counter facility structure and
  variables (jsc#SLE-6904 FATE#327581).
- s390/cpum_cf: prepare for in-kernel counter measurements
  (jsc#SLE-6904 FATE#327581).
- s390/cpum_cf: move counter set controls to a new header file
  (jsc#SLE-6904 FATE#327581).
- commit 2cd8a18
* Fri Jul 19 2019 ptesarik@suse.cz
- s390/dma: provide proper ARCH_ZONE_DMA_BITS value (jsc#SLE-6197
  FATE#327012 bsc#1140559 LTC#173150).
- commit d6e1afa
* Fri Jul 19 2019 ptesarik@suse.cz
- dma-direct: add support for allocation from ZONE_DMA and
  ZONE_DMA32 (jsc#SLE-6197 FATE#327012 bsc#1140559 LTC#173150).
- Refresh
  patches.suse/dma-direct-retry-allocations-using-gfp_dma-for-small-masks.
- commit 1da6c65
* Fri Jul 19 2019 ptesarik@suse.cz
- s390/cpum_cf: Add support for CPU-MF SVN 6 (jsc#SLE-6904
  FATE#327581).
- commit 24386ec
* Fri Jul 19 2019 ptesarik@suse.cz
- kABI: Fix lost iommu-helper symbols on arm64 (jsc#SLE-6197
  FATE#327012 bsc#1140559 LTC#173150).
- Update config files.
- commit a378127
* Fri Jul 19 2019 tiwai@suse.de
- mei: me: add denverton innovation engine device IDs
  (bsc#1051510).
- mei: bus: need to unlink client before freeing (bsc#1051510).
- mei: me: add gemini lake devices id (bsc#1051510).
- commit 27fefbb
* Fri Jul 19 2019 ptesarik@suse.cz
- iommu-helper: mark iommu_is_span_boundary as inline
  (jsc#SLE-6197 FATE#327012 bsc#1140559 LTC#173150).
- Update config files.
- commit 7b4c983
* Fri Jul 19 2019 tiwai@suse.de
- drm/vc4: fix fb references in async update (bsc#1141312).
- commit 2cedb40
* Fri Jul 19 2019 tiwai@suse.de
- clk: rockchip: Don't yell about bad mmc phases when getting
  (bsc#1051510).
- clk: tegra210: fix PLLU and PLLU_OUT1 (bsc#1051510).
- clk: qcom: Fix -Wunused-const-variable (bsc#1051510).
- dmaengine: hsu: Revert "set HSU_CH_MTSR to memory width"
  (bsc#1051510).
- crypto: talitos - fix max key size for sha384 and sha512
  (bsc#1051510).
- commit 66dee7e
* Fri Jul 19 2019 tiwai@suse.de
- kABI fix for hda_codec.relaxed_resume flag (bsc#1111666).
- commit b68c02d
* Fri Jul 19 2019 tiwai@suse.de
- ALSA: hda - Don't resume forcibly i915 HDMI/DP codec
  (bsc#1111666).
- ALSA: hda/hdmi - Fix i915 reverse port/pin mapping
  (bsc#1111666).
- ALSA: hda/hdmi - Remove duplicated define (bsc#1111666).
- commit b8b1a5d
* Fri Jul 19 2019 tiwai@suse.de
- ALSA: seq: Break too long mutex context in the write loop
  (bsc#1051510).
- ALSA: hda/realtek: apply ALC891 headset fixup to one Dell
  machine (bsc#1051510).
- ALSA: hda/realtek - Fixed Headphone Mic can't record on Dell
  platform (bsc#1051510).
- commit ee65de2
* Fri Jul 19 2019 ptesarik@suse.cz
- kABI: mask changes made by swiotlb for protected virtualization
  (jsc#SLE-6197 FATE#327012 bsc#1140559 LTC#173150).
- commit c7d5a40
* Fri Jul 19 2019 ptesarik@suse.cz
- kABI: mask changes made by use of DMA memory for adapter
  interrupts (jsc#SLE-6197 FATE#327012 bsc#1140559 LTC#173150).
- commit f33c336
* Fri Jul 19 2019 ptesarik@suse.cz
- kABI: mask changes made by basic protected virtualization
  support (jsc#SLE-6197 FATE#327012 bsc#1140559 LTC#173150).
- commit 449a5bc
* Thu Jul 18 2019 ptesarik@suse.cz
- dma-direct: don't retry allocation for no-op GFP_DMA
  (jsc#SLE-6197 FATE#327012 bsc#1140559 LTC#173150).
- commit 7979420
* Thu Jul 18 2019 ptesarik@suse.cz
- arm64: don't override dma_max_pfn (jsc#SLE-6197 FATE#327012
  bsc#1140559 LTC#173150).
- dma-mapping: take dma_pfn_offset into account in dma_max_pfn
  (jsc#SLE-6197 FATE#327012 bsc#1140559 LTC#173150).
- commit bb1ef2e
* Thu Jul 18 2019 tbogendoerfer@suse.de
- net: hns3: Fix inconsistent indenting (bsc#1140676).
- net: hns: Fix loopback test failed at copper ports
  (bsc#1140676).
- net: hns: fix unsigned comparison to less than zero
  (bsc#1140676).
- net: hns: Fix WARNING when remove HNS driver with SMMU enabled
  (bsc#1140676).
- net: hns: fix ICMP6 neighbor solicitation messages discard
  problem (bsc#1140676).
- net: hns: Fix probabilistic memory overwrite when HNS driver
  initialized (bsc#1140676).
- net: hns: Use NAPI_POLL_WEIGHT for hns driver (bsc#1140676).
- net: hns: fix KASAN: use-after-free in hns_nic_net_xmit_hw()
  (bsc#1140676).
- commit c46e85b
* Thu Jul 18 2019 ptesarik@suse.cz
- dma-direct: retry allocations using GFP_DMA for small masks
  (jsc#SLE-6197 FATE#327012 bsc#1140559 LTC#173150).
- commit c3ffa8c
* Thu Jul 18 2019 ptesarik@suse.cz
- s390: remove the unused dma_capable helper (jsc#SLE-6197
  FATE#327012 bsc#1140559 LTC#173150).
- commit dc3c36e
* Thu Jul 18 2019 ptesarik@suse.cz
- s390/cio: introduce DMA pools to cio (jsc#SLE-6197 FATE#327012
  bsc#1140559 LTC#173150).
- Update config files.
- commit 07ad1d8
* Thu Jul 18 2019 ptesarik@suse.cz
- s390/mm: force swiotlb for protected virtualization
  (jsc#SLE-6197 FATE#327012 bsc#1140559 LTC#173150).
- Update config files.
- commit db637f4
* Thu Jul 18 2019 ptesarik@suse.cz
- dma-mapping: move swiotlb arch helpers to a new header
  (jsc#SLE-6197 FATE#327012 bsc#1140559 LTC#173150).
- Update config files.
- Refresh
  patches.fixes/x86-asm-memcpy_mcsafe-Define-copy_to_iter_mcsafe.patch.
- Refresh
  patches.fixes/x86-asm-memcpy_mcsafe-Fix-copy_to_user_mcsafe-except.patch.
- commit d0755aa
* Thu Jul 18 2019 mgorman@suse.de
- mm: migrate: Fix reference check race between __find_get_block()
  and migration (bnc#1137609).
- commit 2ca7d32
* Thu Jul 18 2019 ptesarik@suse.cz
- virtio/s390: make airq summary indicators DMA (jsc#SLE-6197
  FATE#327012 bsc#1140559 LTC#173150).
- virtio/s390: use DMA memory for ccw I/O and classic notifiers
  (jsc#SLE-6197 FATE#327012 bsc#1140559 LTC#173150).
- virtio/s390: add indirection to indicators access (jsc#SLE-6197
  FATE#327012 bsc#1140559 LTC#173150).
- virtio/s390: use cacheline aligned airq bit vectors
  (jsc#SLE-6197 FATE#327012 bsc#1140559 LTC#173150).
- s390/airq: use DMA memory for adapter interrupts (jsc#SLE-6197
  FATE#327012 bsc#1140559 LTC#173150).
- s390/cio: add basic protected virtualization support
  (jsc#SLE-6197 FATE#327012 bsc#1140559 LTC#173150).
- virtio/s390: DMA support for virtio-ccw (jsc#SLE-6197
  FATE#327012 bsc#1140559 LTC#173150).
- virtio/s390: use vring_create_virtqueue (jsc#SLE-6197
  FATE#327012 bsc#1140559 LTC#173150).
- dma-mapping: move dma_mark_clean to dma-direct.h (jsc#SLE-6197
  FATE#327012 bsc#1140559 LTC#173150).
- mips: fix an off-by-one in dma_capable (jsc#SLE-6197 FATE#327012
  bsc#1140559 LTC#173150).
- commit eecf2f8
* Thu Jul 18 2019 jslaby@suse.cz
- net: rds: fix memory leak in rds_ib_flush_mr_pool
  (networking-stable-19_06_09).
- ipv6: fix EFAULT on sendto with icmpv6 and hdrincl
  (networking-stable-19_06_09).
- ipv6: use READ_ONCE() for inet->hdrincl as in ipv4
  (networking-stable-19_06_09).
- ethtool: fix potential userspace buffer overflow
  (networking-stable-19_06_09).
- Fix memory leak in sctp_process_init
  (networking-stable-19_06_09).
- net/mlx4_en: ethtool, Remove unsupported SFP EEPROM high pages
  query (networking-stable-19_06_09).
- commit 15a7753
* Thu Jul 18 2019 tiwai@suse.de
- drm/i915/cml: Introduce Comet Lake PCH (jsc#SLE-6681).
- commit 1d9e290
* Wed Jul 17 2019 lduncan@suse.com
- SCSI: cxgbi: KABI: fix handle completion etc (jsc#SLE-4678
  bsc#1136342).
- scsi: cxgbi: remove redundant __kfree_skb call on skb and free
  cst->atid (jsc#SLE-4678 bsc#1136342).
- scsi: cxgb4i: add wait_for_completion() (jsc#SLE-4678
  bsc#1136342).
- commit ac5fca6
* Wed Jul 17 2019 tiwai@suse.de
- gpu: ipu-v3: ipu-ic: Fix saturation bit offset in TPMEM
  (bsc#1111666).
- dma-buf: Discard old fence_excl on retrying get_fences_rcu
  for realloc (bsc#1111666).
- commit 4cfdf5e
* Wed Jul 17 2019 hare@suse.de
- scsi/fc: kABI fixes for new ELS_FPIN definition
  (bsc#1136217,jsc#SLE-4722).
- commit e94d760
* Wed Jul 17 2019 hare@suse.de
- scsi: lpfc: Update lpfc version to 12.2.0.3
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix kernel warnings related to smp_processor_id()
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix BFS crash with DIX enabled
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix FDMI fc4type for nvme support
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix fcp_rsp_len checking on lun reset
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix poor use of hardware queues if fewer irq vectors
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix oops when driver is loaded with 1 interrupt
  vector (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix incorrect logical link speed on trunks when
  links down (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix memory leak in abnormal exit path from
  lpfc_eq_create (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Rework misleading nvme not supported in firmware
  message (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix hardlockup in scsi_cmd_iocb_cmpl
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Cancel queued work for an IO when processing a
  received ABTS (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Prevent 'use after free' memory overwrite in nvmet
  LS handling (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix PT2PT PLOGI collison stopping discovery
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Revert message logging on unsupported topology
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix nvmet handling of received ABTS for unmapped
  frames (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Separate CQ processing for nvmet_fc upcalls
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Revise message when stuck due to unresponsive
  adapter (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Correct nvmet buffer free race condition
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix nvmet target abort cmd matching
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix alloc context on oas lun creations
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Make lpfc_sli4_oas_verify static
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: add support for posting FC events on FPIN reception
  (bsc#1136217,jsc#SLE-4722).
- scsi: scsi_transport_fc: Add FPIN fc event codes
  (bsc#1136217,jsc#SLE-4722).
- scsi: scsi_transport_fc: refactor event posting routines
  (bsc#1136217,jsc#SLE-4722).
- scsi: fc: add FPIN ELS definition (bsc#1136217,jsc#SLE-4722).
- commit 4c6a353
* Wed Jul 17 2019 hare@suse.de
- scsi: lpfc: Fix a recently introduced compiler warning
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Change smp_processor_id() into
  raw_smp_processor_id() (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Remove unused functions (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Remove set-but-not-used variables
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Move trunk_errmsg[] from a header file into a .c
  file (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Annotate switch/case fall-through
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix indentation and balance braces
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Declare local functions static
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: avoid uninitialized variable warning
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fixup eq_clr_intr references
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix build error (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Update lpfc version to 12.2.0.1
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Update Copyright in driver version
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Enhance 6072 log string (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix duplicate log message numbers
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Specify node affinity for queue memory allocation
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Reduce memory footprint for lpfc_queue
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Add loopback testing to trunking mode
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix link speed reporting for 4-link trunk
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix handling of trunk links state reporting
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix protocol support on G6 and G7 adapters
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Correct boot bios information to FDMI registration
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix HDMI2 registration string for symbolic name
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix fc4type information for FDMI
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix FDMI manufacturer attribute value
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix io lost on host resets
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix mailbox hang on adapter init
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix driver crash in target reset handler
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Correct localport timeout duration error
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Convert bootstrap mbx polling from msleep to udelay
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Coordinate adapter error handling with offline
  handling (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Stop adapter if pci errors detected
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix deadlock due to nested hbalock call
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix nvmet handling of first burst cmd
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix lpfc_nvmet_mrq attribute handling when 0
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix nvmet async receive buffer replenishment
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix location of SCSI ktime counters
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix SLI3 commands being issued on SLI4 devices
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix use-after-free mailbox cmd completion
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Resolve irq-unsafe lockdep heirarchy warning in
  lpfc_io_free (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Resolve inconsistent check of hdwq in
  lpfc_scsi_cmd_iocb_cmpl (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix missing wakeups on abort threads
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix error codes in lpfc_sli4_pci_mem_setup()
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: fix 32-bit format string warning
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: fix unused variable warning
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: resolve static checker warning in
  lpfc_sli4_hba_unset (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Correct __lpfc_sli_issue_iocb_s4 lockdep check
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Remove set but not used variable 'phys_id'
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: fix a handful of indentation issues
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: Fix error code if kcalloc() fails
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: fix calls to dma_set_mask_and_coherent()
  (bsc#1136217,jsc#SLE-4722).
- scsi: lpfc: use dma_set_mask_and_coherent
  (bsc#1136217,jsc#SLE-4722).
- commit 850135c
* Wed Jul 17 2019 jroedel@suse.de
- kvm: svm/avic: Do not send AVIC doorbell to self (bsc#1140133).
- commit a34d4f3
* Wed Jul 17 2019 ptesarik@suse.cz
- Refresh headers of
  patches.arch/mm-nvdimm-add-is_ioremap_addr-and-use-that-to-check-.patch.
- commit ba46f6b
* Tue Jul 16 2019 msuchanek@suse.de
- powerpc/crypto: Use cheaper random numbers for crc-vpmsum
  self-test (FATE#327696).
- commit 930a2cf
* Tue Jul 16 2019 msuchanek@suse.de
- Add support for crct10dif-vpmsum (FATE#327696).
- commit 962cbcc
* Tue Jul 16 2019 tiwai@suse.de
- usb: gadget: ether: Fix race between gether_disconnect and
  rx_submit (bsc#1051510).
- tty: serial_core: Set port active bit in uart_port_activate
  (bsc#1051510).
- tty: serial: cpm_uart - fix init when SMC is relocated
  (bsc#1051510).
- tty: rocket: fix incorrect forward declaration of 'rp_init()'
  (bsc#1051510).
- commit f9796f8
* Tue Jul 16 2019 tiwai@suse.de
- team: Always enable vlan tx offload (bsc#1051510).
- commit 017d54c
* Tue Jul 16 2019 tiwai@suse.de
- Revert "serial: 8250: Don't service RX FIFO if interrupts are
  disabled" (bsc#1051510).
- serial: uartps: Remove useless return from
  cdns_uart_poll_put_char (bsc#1051510).
- serial: uartps: Do not add a trailing semicolon to macro
  (bsc#1051510).
- serial: uartps: Fix long line over 80 chars (bsc#1051510).
- serial: uartps: Fix multiple line dereference (bsc#1051510).
- commit 65242c8
* Tue Jul 16 2019 tiwai@suse.de
- PCI/P2PDMA: Fix missing check for dma_virt_ops (bsc#1111666).
- commit 0a74943
* Tue Jul 16 2019 tiwai@suse.de
- PCI: Always allow probing with driver_override (bsc#1051510).
- PCI: Return error if cannot probe VF (bsc#1051510).
- mfd: intel-lpss: Release IDA resources (bsc#1051510).
- commit 17fe5b0
* Tue Jul 16 2019 tiwai@suse.de
- drm/msm/mdp5: Fix mdp5_cfg_init error return (bsc#1111666).
- commit eb96010
* Tue Jul 16 2019 tiwai@suse.de
- ALSA: usb-audio: Cleanup DSD whitelist (bsc#1051510).
- commit 31d111a
* Tue Jul 16 2019 tiwai@suse.de
- ALSA: usb-audio: fix Line6 Helix audio format rates
  (bsc#1111666).
- commit 9c421a8
* Tue Jul 16 2019 tiwai@suse.de
- ALSA: usb-audio: Add quirk for Focusrite Scarlett Solo
  (bsc#1051510).
- commit 2fff3db
* Tue Jul 16 2019 tiwai@suse.de
- ALSA: usb-audio: Sanity checks for each pipe and EP types
  (bsc#1051510).
- ALSA: usb-audio: Add quirk for MOTU MicroBook II (bsc#1051510).
- commit d819b43
* Tue Jul 16 2019 tiwai@suse.de
- ALSA: usb-audio: Enable .product_name override for Emagic,
  Unitor 8 (bsc#1051510).
- commit 3865597
* Tue Jul 16 2019 lpechacek@suse.com
- rpm/kernel-binary.spec.in: build kernel-*-kgraft only for default SLE kernel
  RT and Azure variants are excluded for the moment. (bsc#1141600)
- commit 620816f
* Tue Jul 16 2019 tiwai@suse.de
- blacklist.conf: Add reverting/reverted entries for fib_rules and seccomp
- commit 17e0ddf
* Tue Jul 16 2019 tiwai@suse.de
- drm/msm/a3xx: remove TPL1 regs from snapshot (bsc#1051510).
- drm/rockchip: Properly adjust to a true clock in adjusted_mode
  (bsc#1051510).
- drm/meson: Add support for XBGR8888 & ABGR8888 formats
  (bsc#1051510).
- commit 7db412c
* Tue Jul 16 2019 tiwai@suse.de
- crypto: ccp - Validate the the error value used to index error
  messages (bsc#1051510).
- crypto: chacha20poly1305 - fix atomic sleep when using async
  algorithm (bsc#1051510).
- crypto: ghash - fix unaligned memory access in ghash_setkey()
  (bsc#1051510).
- crypto: arm64/sha2-ce - correct digest for empty data in finup
  (bsc#1051510).
- crypto: arm64/sha1-ce - correct digest for empty data in finup
  (bsc#1051510).
- crypto: talitos - Align SEC1 accesses to 32 bits boundaries
  (bsc#1051510).
- crypto: talitos - properly handle split ICV (bsc#1051510).
- crypto: talitos - HMAC SNOOP NO AFEU mode requires SW icv
  checking (bsc#1051510).
- crypto: talitos - check data blocksize in ablkcipher
  (bsc#1051510).
- crypto: talitos - fix CTR alg blocksize (bsc#1051510).
- crypto: talitos - reduce max key size for SEC1 (bsc#1051510).
- crypto: talitos - rename alternative AEAD algos (bsc#1051510).
- crypto: ccp - Fix 3DES complaint from ccp-crypto module
  (bsc#1051510).
- crypto: ccp - fix AES CFB error exposed by new test vectors
  (bsc#1051510).
- commit c31bdf9
* Tue Jul 16 2019 msuchanek@suse.de
- KABI: remove unused hcall definition (bsc#1140322 LTC#176270).
- commit cd384f4
* Tue Jul 16 2019 tiwai@suse.de
- Enable intel-speed-select driver and update supported.conf (jsc#SLE-5364)
- commit 3d28540
* Tue Jul 16 2019 tiwai@suse.de
- tools/power/x86: A tool to validate Intel Speed Select commands
  (jsc#SLE-5364).
- platform/x86: ISST: Restore state on resume (jsc#SLE-5364).
- platform/x86: ISST: Add Intel Speed Select PUNIT MSR interface
  (jsc#SLE-5364).
- platform/x86: ISST: Add Intel Speed Select mailbox interface
  via MSRs (jsc#SLE-5364).
- platform/x86: ISST: Add Intel Speed Select mailbox interface
  via PCI (jsc#SLE-5364).
- platform/x86: ISST: Add Intel Speed Select mmio interface
  (jsc#SLE-5364).
- platform/x86: ISST: Add IOCTL to Translate Linux logical CPU
  to PUNIT CPU number (jsc#SLE-5364).
- platform/x86: ISST: Store per CPU information (jsc#SLE-5364).
- platform/x86: ISST: Add common API to register and handle ioctls
  (jsc#SLE-5364).
- commit 24de92c
* Tue Jul 16 2019 jthumshirn@suse.de
- blacklist.conf: blacklist e153abc0739f ("zram: pass down the bvec we need
  to read into in the work struct")
- commit 4c1cb5d
* Tue Jul 16 2019 msuchanek@suse.de
- Rename patches to same name as SLE15 SP1.
- commit 41e129a
* Tue Jul 16 2019 msuchanek@suse.de
- mm/nvdimm: add is_ioremap_addr and use that to check ioremap
  address (bsc#1140322 LTC#176270).
- powerpc/mm: Consolidate numa_enable check and min_common_depth
  check (bsc#1140322 LTC#176270).
- powerpc/mm: Fix node look up with numa=off boot (bsc#1140322
  LTC#176270).
- powerpc/mm/drconf: Use NUMA_NO_NODE on failures instead of
  node 0 (bsc#1140322 LTC#176270).
- mm: replace all open encodings for NUMA_NO_NODE (bsc#1140322
  LTC#176270).
- commit eb30721
* Tue Jul 16 2019 msuchanek@suse.de
- powerpc/papr_scm: Force a scm-unbind if initial scm-bind fails
  (bsc#1140322 LTC#176270).
- powerpc/papr_scm: Update drc_pmem_unbind() to use
  H_SCM_UNBIND_ALL (bsc#1140322 LTC#176270).
- powerpc/pseries: Update SCM hcall op-codes in hvcall.h
  (bsc#1140322 LTC#176270).
- commit 4766ae0
* Tue Jul 16 2019 ggherdovich@suse.cz
- platform/x86: intel_turbo_max_3: Remove restriction for HWP
  platforms (jsc#SLE-5439).
- commit 5359a3d
* Tue Jul 16 2019 tiwai@suse.de
- drm/atmel-hlcdc: revert shift by 8 (bsc#1111666).
- drm/amd/display: Make some functions static (bsc#1111666).
- drm/i915/icl: Add WaDisableBankHangMode (bsc#1111666).
- commit 95e9ab2
* Mon Jul 15 2019 msuchanek@suse.de
- Move patch to correct directory.
- commit 54a306a
* Mon Jul 15 2019 msuchanek@suse.de
- scripts/git_sort/git_sort.py: Add mmots tree.
- commit 08c2a80
* Mon Jul 15 2019 fdmanana@suse.com
- patches.suse/Btrfs-kill-btrfs_clear_path_blocking.patch:
  (bsc#1140139).
- commit a5cd556
* Mon Jul 15 2019 lhenriques@suse.com
- libceph: check reply num_data_items in setup_request_data()
  (bsc#1135897).
- Refresh
  patches.drivers/ceph-osd_client-add-support-for-CEPH_OSD_OP_GETXATTR.patch.
- Refresh
  patches.drivers/libceph-add-support-for-CMPEXT-compare-extent-reques.patch.
- Refresh
  patches.drivers/libceph-add-support-for-write-same-requests.patch.
- commit ca2351e
* Mon Jul 15 2019 lyan@suse.com
- KVM: s390: kABI Workaround for 'lowcore' (bsc#1119222).
- commit f5c46ac
* Mon Jul 15 2019 lhenriques@suse.com
- libceph: preallocate message data items (bsc#1135897).
- Refresh
  patches.drivers/ceph-osd_client-add-support-for-CEPH_OSD_OP_GETXATTR.patch.
- Refresh
  patches.drivers/libceph-add-scatterlist-messenger-data-type.patch.
- Refresh
  patches.drivers/libceph-add-support-for-CMPEXT-compare-extent-reques.patch.
- Refresh
  patches.drivers/libceph-add-support-for-write-same-requests.patch.
- commit ac80fb5
* Mon Jul 15 2019 tiwai@suse.de
- Fix kABI breakage by mwifiex security fix
  (CVE-2019-3846,bsc#1136424).
- commit 304447b
* Mon Jul 15 2019 tiwai@suse.de
- wil6210: fix potential out-of-bounds read (bsc#1051510).
- commit d05bdaa
* Mon Jul 15 2019 msuchanek@suse.de
- powerpc/watchpoint: Restore NV GPRs while returning from
  exception (bsc#1140945 bsc#1141401 bsc#1141402 bsc#1141452
  bsc#1141453 bsc#1141454 LTC#178983 LTC#179191 LTC#179192
  LTC#179193 LTC#179194 LTC#179195).
- commit 599f587
* Mon Jul 15 2019 tiwai@suse.de
- platform/x86: pmc_atom: Add CB4063 Beckhoff Automation board
  to critclk_systems DMI table (bsc#1051510).
- staging: rtl8712: reduce stack usage, again (bsc#1051510).
- commit 45d1e2e
* Mon Jul 15 2019 tiwai@suse.de
- p54usb: Fix race between disconnect and firmware loading
  (bsc#1111666).
- commit 5641da3
* Mon Jul 15 2019 tiwai@suse.de
- mwifiex: Don't abort on small, spec-compliant vendor IEs
  (CVE-2019-3846,bsc#1136424).
- commit 69fc498
* Mon Jul 15 2019 tiwai@suse.de
- memstick: Fix error cleanup path of memstick_init (bsc#1051510).
- mmc: sdhci-pci: Try "cd" for card-detect lookup before using
  NULL (bsc#1051510).
- commit 4752cfa
* Mon Jul 15 2019 tiwai@suse.de
- memory: tegra: Fix integer overflow on tick value calculation
  (bsc#1051510).
- commit 0bd6f51
* Mon Jul 15 2019 tiwai@suse.de
- media: v4l2: Test type instead of cfg->type in
  v4l2_ctrl_new_custom() (bsc#1051510).
- media: s5p-mfc: Make additional clocks optional (bsc#1051510).
- media: vivid: fix incorrect assignment operation when setting
  video mode (bsc#1051510).
- media: marvell-ccic: fix DMA s/g desc number calculation
  (bsc#1051510).
- commit e2ee41b
* Mon Jul 15 2019 tiwai@suse.de
- mac80211: do not start any work during reconfigure flow
  (bsc#1111666).
- mac80211: only warn once on chanctx_conf being NULL
  (bsc#1111666).
- mac80211: free peer keys before vif down in mesh (bsc#1111666).
- mac80211: mesh: fix RCU warning (bsc#1111666).
- mac80211: fix rate reporting inside
  cfg80211_calculate_bitrate_he() (bsc#1111666).
- commit 086a09d
* Mon Jul 15 2019 tiwai@suse.de
- lib/scatterlist: Fix mapping iterator when sg->offset is
  greater than PAGE_SIZE (bsc#1051510).
- lib: fix stall in __bitmap_parselist() (bsc#1051510).
- commit 1f90d1e
* Mon Jul 15 2019 tiwai@suse.de
- drm: return -EFAULT if copy_to_user() fails (bsc#1111666).
- drm/vmwgfx: Honor the sg list segment size limitation
  (bsc#1111666).
- iwlwifi: Fix double-free problems in iwl_req_fw_callback()
  (bsc#1111666).
- commit 4b0b0bd
* Mon Jul 15 2019 tiwai@suse.de
- intel_th: msu: Fix single mode with disabled IOMMU
  (bsc#1051510).
- HID: wacom: generic: read HID_DG_CONTACTMAX from any feature
  report (bsc#1051510).
- HID: wacom: correct touch resolution x/y typo (bsc#1051510).
- HID: wacom: generic: Correct pad syncing (bsc#1051510).
- HID: wacom: generic: only switch the mode on devices with LEDs
  (bsc#1051510).
- commit 61dad59
* Mon Jul 15 2019 tiwai@suse.de
- staging: comedi: dt282x: fix a null pointer deref on interrupt
  (bsc#1051510).
- staging: comedi: amplc_pci230: fix null pointer deref on
  interrupt (bsc#1051510).
- batman-adv: fix for leaked TVLV handler (bsc#1051510).
- ath6kl: add some bounds checking (bsc#1051510).
- cpufreq: brcmstb-avs-cpufreq: Fix types for voltage/frequency
  (bsc#1051510).
- cpufreq: brcmstb-avs-cpufreq: Fix initial command check
  (bsc#1051510).
- cpufreq: ppc_cbe: fix possible object reference leak
  (bsc#1051510).
- cpufreq: pmac32: fix possible object reference leak
  (bsc#1051510).
- cpufreq/pasemi: fix possible object reference leak
  (bsc#1051510).
- cpufreq: kirkwood: fix possible object reference leak
  (bsc#1051510).
- cpufreq: acpi-cpufreq: Report if CPU doesn't support boost
  technologies (bsc#1051510).
- cpufreq: Use struct kobj_attribute instead of struct global_attr
  (bsc#1051510).
- cpufreq: check if policy is inactive early in __cpufreq_get()
  (bsc#1051510).
- commit 264b5ec
* Mon Jul 15 2019 tiwai@suse.de
- carl9170: fix misuse of device driver API (bsc#1111666).
- commit da4e9f5
* Mon Jul 15 2019 tiwai@suse.de
- ath9k: correctly handle short radar pulses (bsc#1111666).
- commit 9873fe0
* Mon Jul 15 2019 tiwai@suse.de
- ath10k: add missing error handling (bsc#1111666).
- ath10k: Fix encoding for protected management frames
  (bsc#1111666).
- ath10k: fix incorrect multicast/broadcast rate setting
  (bsc#1111666).
- commit e408734
* Mon Jul 15 2019 tiwai@suse.de
- ASoC: max98090: remove 24-bit format support if RJ is 0
  (bsc#1051510).
- ASoC: soc-pcm: BE dai needs prepare when pause release after
  resume (bsc#1051510).
- ASoC : cs4265 : readable register too low (bsc#1051510).
- commit 5b361be
* Mon Jul 15 2019 tiwai@suse.de
- ALSA: hda/realtek - Headphone Mic can't record after S3
  (bsc#1051510).
- commit d8759b7
* Mon Jul 15 2019 mkoutny@suse.com
- cgroup: Use css_tryget() instead of css_tryget_online() in
  task_get_css() (bsc#1141478).
- commit 19414dc
* Mon Jul 15 2019 colyli@suse.de
- bcache: add reclaimed_journal_buckets to struct cache_set
  (bsc#1140652).
- bcache: performance improvement for btree_flush_write()
  (bsc#1140652).
- bcache: fix race in btree_flush_write() (bsc#1140652).
- bcache: remove retry_flush_write from struct cache_set
  (bsc#1140652).
- bcache: add comments for mutex_lock(&b->write_lock)
  (bsc#1140652).
- bcache: only clear BTREE_NODE_dirty bit when it is set
  (bsc#1140652).
- bcache: Revert "bcache: fix high CPU occupancy during journal"
  (bsc#1140652).
- bcache: Revert "bcache: free heap cache_set->flush_btree in
  bch_journal_free" (bsc#1140652).
- bcache: shrink btree node cache after bch_btree_check()
  (bsc#1140652).
- bcache: set largest seq to ja->seq[bucket_index] in
  journal_read_bucket() (bsc#1140652).
- bcache: add code comments for journal_read_bucket()
  (bsc#1140652).
- bcache: fix potential deadlock in cached_def_free()
  (bsc#1140652).
- bcache: acquire bch_register_lock later in cached_dev_free()
  (bsc#1140652).
- bcache: acquire bch_register_lock later in
  cached_dev_detach_finish() (bsc#1140652).
- bcache: avoid a deadlock in bcache_reboot() (bsc#1140652).
- bcache: stop writeback kthread and kworker when
  bch_cached_dev_run() failed (bsc#1140652).
- bcache: destroy dc->writeback_write_wq if failed to create
  dc->writeback_thread (bsc#1140652).
- bcache: fix mistaken sysfs entry for io_error counter
  (bsc#1140652).
- bcache: add pendings_cleanup to stop pending bcache device
  (bsc#1140652).
- bcache: make bset_search_tree() be more understandable
  (bsc#1140652).
- bcache: remove "XXX:" comment line from run_cache_set()
  (bsc#1140652).
- bcache: improve error message in bch_cached_dev_run()
  (bsc#1140652).
- bcache: add more error message in bch_cached_dev_attach()
  (bsc#1140652).
- bcache: more detailed error message to bcache_device_link()
  (bsc#1140652).
- bcache: check CACHE_SET_IO_DISABLE bit in bch_journal()
  (bsc#1140652).
- bcache: check CACHE_SET_IO_DISABLE in allocator code
  (bsc#1140652).
- bcache: remove unncessary code in bch_btree_keys_init()
  (bsc#1140652).
- bcache: add return value check to bch_cached_dev_run()
  (bsc#1140652).
- bcache: use sysfs_match_string() instead of
  __sysfs_match_string() (bsc#1140652).
- bcache: remove unnecessary prefetch() in bset_search_tree()
  (bsc#1140652).
- bcache: add io error counting in write_bdev_super_endio()
  (bsc#1140652).
- bcache: ignore read-ahead request failure on backing device
  (bsc#1140652).
- bcache: avoid flushing btree node in cache_set_flush() if io
  disabled (bsc#1140652).
- Revert "bcache: set CACHE_SET_IO_DISABLE in
  bch_cached_dev_error()" (bsc#1140652).
- bcache: fix return value error in bch_journal_read()
  (bsc#1140652).
- bcache: check c->gc_thread by IS_ERR_OR_NULL in
  cache_set_flush() (bsc#1140652).
- bcache: don't set max writeback rate if gc is running
  (bsc#1140652).
- bcache: only set BCACHE_DEV_WB_RUNNING when cached device
  attached (bsc#1140652).
- bcache: fix stack corruption by PRECEDING_KEY() (bsc#1140652).
- bcache: make is_discard_enabled() static (bsc#1140652).
- bcache: remove redundant LIST_HEAD(journal) from run_cache_set()
  (bsc#1140652).
- bcache: avoid potential memleak of list of journal_replay(s)
  in the CACHE_SYNC branch of run_cache_set (bsc#1140652).
- bcache: fix wrong usage use-after-freed on keylist in
  out_nocoalesce branch of btree_gc_coalesce (bsc#1140652).
- bcache: fix failure in journal relplay (bsc#1140652).
- bcache: improve bcache_reboot() (bsc#1140652).
- bcache: add comments for closure_fn to be called in
  closure_queue() (bsc#1140652).
- bcache: Add comments for blkdev_put() in registration code path
  (bsc#1140652).
- bcache: add error check for calling register_bdev()
  (bsc#1140652).
- bcache: return error immediately in bch_journal_replay()
  (bsc#1140652).
- bcache: add comments for kobj release callback routine
  (bsc#1140652).
- bcache: add failure check to run_cache_set() for journal replay
  (bsc#1140652).
- bcache: never set KEY_PTRS of journal key to 0 in
  journal_reclaim() (bsc#1140652).
- bcache: move definition of 'int ret' out of macro read_bucket()
  (bsc#1140652).
- bcache: fix a race between cache register and cacheset
  unregister (bsc#1140652).
- bcache: Clean up bch_get_congested() (bsc#1140652).
- bcache: avoid clang -Wunintialized warning (bsc#1140652).
- bcache: fix inaccurate result of unused buckets (bsc#1140652).
- bcache: fix crashes stopping bcache device before read miss done
  (bsc#1140652).
- commit 7566542
* Mon Jul 15 2019 colyli@suse.de
- bcache: add reclaimed_journal_buckets to struct cache_set
  (bsc#1140652).
- bcache: performance improvement for btree_flush_write()
  (bsc#1140652).
- bcache: fix race in btree_flush_write() (bsc#1140652).
- bcache: remove retry_flush_write from struct cache_set
  (bsc#1140652).
- bcache: add comments for mutex_lock(&b->write_lock)
  (bsc#1140652).
- bcache: only clear BTREE_NODE_dirty bit when it is set
  (bsc#1140652).
- bcache: Revert "bcache: fix high CPU occupancy during journal"
  (bsc#1140652).
- bcache: Revert "bcache: free heap cache_set->flush_btree in
  bch_journal_free" (bsc#1140652).
- bcache: shrink btree node cache after bch_btree_check()
  (bsc#1140652).
- bcache: set largest seq to ja->seq[bucket_index] in
  journal_read_bucket() (bsc#1140652).
- bcache: add code comments for journal_read_bucket()
  (bsc#1140652).
- bcache: fix potential deadlock in cached_def_free()
  (bsc#1140652).
- bcache: acquire bch_register_lock later in cached_dev_free()
  (bsc#1140652).
- bcache: acquire bch_register_lock later in
  cached_dev_detach_finish() (bsc#1140652).
- bcache: avoid a deadlock in bcache_reboot() (bsc#1140652).
- bcache: stop writeback kthread and kworker when
  bch_cached_dev_run() failed (bsc#1140652).
- bcache: destroy dc->writeback_write_wq if failed to create
  dc->writeback_thread (bsc#1140652).
- bcache: fix mistaken sysfs entry for io_error counter
  (bsc#1140652).
- bcache: add pendings_cleanup to stop pending bcache device
  (bsc#1140652).
- bcache: make bset_search_tree() be more understandable
  (bsc#1140652).
- bcache: remove "XXX:" comment line from run_cache_set()
  (bsc#1140652).
- bcache: improve error message in bch_cached_dev_run()
  (bsc#1140652).
- bcache: add more error message in bch_cached_dev_attach()
  (bsc#1140652).
- bcache: more detailed error message to bcache_device_link()
  (bsc#1140652).
- bcache: check CACHE_SET_IO_DISABLE bit in bch_journal()
  (bsc#1140652).
- bcache: check CACHE_SET_IO_DISABLE in allocator code
  (bsc#1140652).
- bcache: remove unncessary code in bch_btree_keys_init()
  (bsc#1140652).
- bcache: add return value check to bch_cached_dev_run()
  (bsc#1140652).
- bcache: use sysfs_match_string() instead of
  __sysfs_match_string() (bsc#1140652).
- bcache: remove unnecessary prefetch() in bset_search_tree()
  (bsc#1140652).
- bcache: add io error counting in write_bdev_super_endio()
  (bsc#1140652).
- bcache: ignore read-ahead request failure on backing device
  (bsc#1140652).
- bcache: avoid flushing btree node in cache_set_flush() if io
  disabled (bsc#1140652).
- Revert "bcache: set CACHE_SET_IO_DISABLE in
  bch_cached_dev_error()" (bsc#1140652).
- bcache: fix return value error in bch_journal_read()
  (bsc#1140652).
- bcache: check c->gc_thread by IS_ERR_OR_NULL in
  cache_set_flush() (bsc#1140652).
- bcache: don't set max writeback rate if gc is running
  (bsc#1140652).
- bcache: only set BCACHE_DEV_WB_RUNNING when cached device
  attached (bsc#1140652).
- bcache: fix stack corruption by PRECEDING_KEY() (bsc#1140652).
- bcache: make is_discard_enabled() static (bsc#1140652).
- bcache: remove redundant LIST_HEAD(journal) from run_cache_set()
  (bsc#1140652).
- bcache: avoid potential memleak of list of journal_replay(s)
  in the CACHE_SYNC branch of run_cache_set (bsc#1140652).
- bcache: fix wrong usage use-after-freed on keylist in
  out_nocoalesce branch of btree_gc_coalesce (bsc#1140652).
- bcache: fix failure in journal relplay (bsc#1140652).
- bcache: improve bcache_reboot() (bsc#1140652).
- bcache: add comments for closure_fn to be called in
  closure_queue() (bsc#1140652).
- bcache: Add comments for blkdev_put() in registration code path
  (bsc#1140652).
- bcache: add error check for calling register_bdev()
  (bsc#1140652).
- bcache: return error immediately in bch_journal_replay()
  (bsc#1140652).
- bcache: add comments for kobj release callback routine
  (bsc#1140652).
- bcache: add failure check to run_cache_set() for journal replay
  (bsc#1140652).
- bcache: never set KEY_PTRS of journal key to 0 in
  journal_reclaim() (bsc#1140652).
- bcache: move definition of 'int ret' out of macro read_bucket()
  (bsc#1140652).
- bcache: fix a race between cache register and cacheset
  unregister (bsc#1140652).
- bcache: Clean up bch_get_congested() (bsc#1140652).
- bcache: avoid clang -Wunintialized warning (bsc#1140652).
- bcache: fix inaccurate result of unused buckets (bsc#1140652).
- bcache: fix crashes stopping bcache device before read miss done
  (bsc#1140652).
- bcache: do not assign in if condition in bcache_device_init()
  (bsc#1140652).
- commit 624edf7
* Mon Jul 15 2019 dkirjanov@suse.com
- net/packet: fix memory leak in packet_set_ring() (git-fixes).
- pktgen: do not sleep with the thread lock held (git-fixes).
- packet: in recvmsg msg_name return at least sizeof sockaddr_ll
  (git-fixes).
- ethtool: check the return value of get_regs_len (git-fixes).
- netfilter: conntrack: fix calculation of next bucket number
  in early_drop (git-fixes).
- RDS: IB: fix 'passing zero to ERR_PTR()' warning (git-fixes).
- af_unix: remove redundant lockdep class (git-fixes).
- tcp: reduce tcp_fastretrans_alert() verbosity (git-fixes).
- commit ca77765
* Mon Jul 15 2019 mkoutny@suse.com
- blacklist.conf: Add "signal: Don't restart fork when signals come in."
- commit 5f983d8
* Mon Jul 15 2019 ghe@suse.com
- ocfs2: add first lock wait time in locking_state (bsc#1134390).
- ocfs2: add locking filter debugfs file (bsc#1134390).
- ocfs2: add last unlock times in locking_state (bsc#1134390).
- commit 0510321
* Mon Jul 15 2019 glin@suse.com
- bpf: fix nested bpf tracepoints with per-cpu data (bsc#1083647).
- bpf: btf: fix the brackets of BTF_INT_OFFSET() (bsc#1083647).
- commit 5dab5e7
* Fri Jul 12 2019 lduncan@suse.com
- qedi: Use hwfns and affin_hwfn_idx to get MSI-X vector index
  (jsc#SLE-4693 bsc#1136462).
- scsi: qedi: remove set but not used variables 'cdev' and 'udev'
  (jsc#SLE-4693 bsc#1136462).
- scsi: qedi: Update driver version to 8.33.0.21 (jsc#SLE-4693
  bsc#1136462).
- scsi: qedi: Move LL2 producer index processing in BH
  (jsc#SLE-4693 bsc#1136462).
- scsi: qedi: add module param to set ping packet size
  (jsc#SLE-4693 bsc#1136462).
- scsi: qedi: Add packet filter in light L2 Rx path (jsc#SLE-4693
  bsc#1136462).
- scsi: qedi: Check for session online before getting iSCSI TLV
  data (jsc#SLE-4693 bsc#1136462).
- scsi: qedi: Replace PAGE_SIZE with QEDI_PAGE_SIZE (jsc#SLE-4693
  bsc#1136462).
- scsi: qedi: Fix spelling mistake "OUSTANDING" -> "OUTSTANDING"
  (jsc#SLE-4693 bsc#1136462).
- scsi: qedi: Cleanup redundant QEDI_PAGE_SIZE macro definition
  (jsc#SLE-4693 bsc#1136462).
- commit ca04cd0
* Fri Jul 12 2019 lhenriques@suse.com
- ceph: fix iov_iter issues in ceph_direct_read_write() (bsc#1141450).
  blacklist.conf: dropped patch from blacklist.
- commit a7ea34f
* Fri Jul 12 2019 lhenriques@suse.com
- libceph: add osd_req_op_extent_osd_data_bvecs() (bsc#1141450).
- Refresh
  patches.drivers/libceph-add-scatterlist-messenger-data-type.patch.
- commit dde9c20
* Fri Jul 12 2019 lhenriques@suse.com
- libceph: handle zero-length data items (bsc#1141450).
- commit de3f70e
* Fri Jul 12 2019 lhenriques@suse.com
- rbd: move from raw pages to bvec data descriptors (bsc#1141450).
- Refresh
  patches.drivers/rbd-add-support-for-scatterlist-obj_request_type.patch.
- Refresh
  patches.drivers/rbd-add-support-for-writesame-requests.patch.
- Refresh
  patches.drivers/rbd-export-some-functions-used-by-lio-rbd-backend.patch.
- Refresh
  patches.drivers/rbd-move-structs-used-by-lio-rbd-to-new-header.patch.
- commit 7b7c7e2
* Fri Jul 12 2019 lhenriques@suse.com
- libceph: introduce BVECS data type (bsc#1141450).
- Refresh
  patches.drivers/libceph-add-scatterlist-messenger-data-type.patch.
- commit d754c75
* Fri Jul 12 2019 lyan@suse.com
- kvm/mmu: kABI fix for *_mmu_pages changes in struct kvm_arch
  (bsc#1135335).
- commit 2ed5441
* Fri Jul 12 2019 lhenriques@suse.com
- rbd: get rid of img_req->copyup_pages (bsc#1141450).
- Refresh
  patches.drivers/rbd-add-support-for-scatterlist-obj_request_type.patch.
- Refresh patches.drivers/rbd-add-lio-specific-data-area.patch.
- Refresh
  patches.drivers/rbd-move-structs-used-by-lio-rbd-to-new-header.patch.
- commit 4baa02a
* Fri Jul 12 2019 lhenriques@suse.com
- rbd: use kmem_cache_zalloc() in rbd_img_request_create()
  (bsc#1141450).
- Refresh
  patches.drivers/rbd-add-support-for-scatterlist-obj_request_type.patch.
- commit 5ac046a
* Fri Jul 12 2019 lhenriques@suse.com
- rbd: don't NULL out ->obj_request in
  rbd_img_obj_parent_read_full() (bsc#1141450).
- commit 2a1ca03
* Fri Jul 12 2019 mbenes@suse.cz
- livepatch: Remove duplicate warning about missing reliable
  stacktrace support (bsc#1071995 fate#323487).
- commit c713cd8
* Fri Jul 12 2019 mbenes@suse.cz
- Revert "livepatch: Remove reliable stacktrace check in
  klp_try_switch_task()" (bsc#1071995 fate#323487).
- commit 8abffe1
* Fri Jul 12 2019 lhenriques@suse.com
- rbd: don't (ab)use obj_req->pages for stat requests (bsc#1141450).
- commit 5d26c3a
* Fri Jul 12 2019 lhenriques@suse.com
- rbd: remove bio cloning helpers (bsc#1141450).
- Refresh
  patches.drivers/rbd-add-support-for-scatterlist-obj_request_type.patch.
- commit 0f2b942
* Fri Jul 12 2019 lhenriques@suse.com
- libceph, rbd: new bio handling code (aka don't clone bios)
  (bsc#1141450).
- Refresh
  patches.drivers/libceph-add-scatterlist-messenger-data-type.patch.
- Refresh
  patches.drivers/rbd-add-support-for-scatterlist-obj_request_type.patch.
- Refresh
  patches.drivers/rbd-move-structs-used-by-lio-rbd-to-new-header.patch.
- commit 12dfa12
* Fri Jul 12 2019 lhenriques@suse.com
- rbd: start enums at 1 instead of 0 (bsc#1141450).
- Refresh
  patches.drivers/rbd-add-support-for-COMPARE_AND_WRITE-CMPEXT.patch.
- Refresh
  patches.drivers/rbd-add-support-for-scatterlist-obj_request_type.patch.
- Refresh
  patches.drivers/rbd-add-support-for-writesame-requests.patch.
- Refresh
  patches.drivers/rbd-move-structs-used-by-lio-rbd-to-new-header.patch.
- commit a89ddbc
* Fri Jul 12 2019 mbenes@suse.cz
- livepatch: Use static buffer for debugging messages under rq
  lock (bsc#1071995 fate#323487).
- commit 2762e07
* Fri Jul 12 2019 jslaby@suse.cz
- net-gro: fix use-after-free read in napi_gro_frags()
  (networking-stable-19_05_31).
- net: mvpp2: fix bad MVPP2_TXQ_SCHED_TOKEN_CNTR_REG queue value
  (networking-stable-19_05_31).
- net/mlx5: Allocate root ns memory using kzalloc to match kfree
  (networking-stable-19_05_31).
- net/mlx5: Avoid double free in fs init error unwinding path
  (networking-stable-19_05_31).
- llc: fix skb leak in llc_build_and_send_ui_pkt()
  (networking-stable-19_05_31).
- net: mvneta: Fix err code path of probe
  (networking-stable-19_05_31).
- net: fec: fix the clk mismatch in failed_reset path
  (networking-stable-19_05_31).
- ipv4/igmp: fix build error if !CONFIG_IP_MULTICAST
  (networking-stable-19_05_31).
- ipv4/igmp: fix another memory leak in igmpv3_del_delrec()
  (networking-stable-19_05_31).
- bnxt_en: Fix aggregation buffer leak under OOM condition
  (networking-stable-19_05_31).
- net: stmmac: fix reset gpio free missing
  (networking-stable-19_05_31).
- ipv6: Consider sk_bound_dev_if when binding a raw socket to
  an address (networking-stable-19_05_31).
- commit 3bc60c9
* Fri Jul 12 2019 lhenriques@suse.com
- libceph, rbd, ceph: move ceph_osdc_alloc_messages() calls
  (bsc#1135897).
- Refresh
  patches.drivers/rbd-add-support-for-COMPARE_AND_WRITE-CMPEXT.patch.
- Refresh
  patches.fixes/0001-rbd-drop-extra-rbd_img_request_get.patch.
- Refresh
  patches.fixes/0002-rbd-make-sure-pages-are-freed-by-libceph.patch.
- Refresh
  patches.fixes/rbd-copy-compare-and-write-osd-requests-before-resub.patch.
- Refresh
  patches.fixes/rbd-truncate-objects-on-cmpext-short-reads.patch.
- Refresh
  patches.suse/rbd-do-away-with-obj_request-in-cmpsetxattr.patch.
- Refresh
  patches.suse/rbd-do-away-with-obj_request-in-getxattr.patch.
- Refresh
  patches.suse/rbd-do-away-with-obj_request-in-setxattr.patch.
- commit 328339b
* Fri Jul 12 2019 mbenes@suse.cz
- kbuild: use -flive-patching when CONFIG_LIVEPATCH is enabled
  (bsc#1071995 fate#323487).
- commit 225bdec
* Thu Jul 11 2019 lhenriques@suse.com
- libceph: introduce alloc_watch_request() (bsc#1135897).
- commit b7132d4
* Thu Jul 11 2019 lhenriques@suse.com
- libceph: assign cookies in linger_submit() (bsc#1135897).
- commit 2ca35b3
* Thu Jul 11 2019 lhenriques@suse.com
- libceph: enable fallback to ceph_msg_new() in ceph_msgpool_get()
  (bsc#1135897).
- commit fefe07e
* Thu Jul 11 2019 lhenriques@suse.com
- libceph: don't consume a ref on pagelist in
  ceph_msg_data_add_pagelist() (bsc#1135897).
- commit 71e58ee
* Thu Jul 11 2019 lhenriques@suse.com
- libceph: introduce ceph_pagelist_alloc() (bsc#1135897).
- Refresh
  patches.drivers/ceph-osd_client-add-support-for-CEPH_OSD_OP_GETXATTR.patch.
- commit 8b2e58c
* Thu Jul 11 2019 lhenriques@suse.com
- libceph, rbd: add error handling for osd_req_op_cls_init()
  (bsc#1135897).
- commit 67234c3
* Thu Jul 11 2019 ptesarik@suse.cz
- Delete patches.fixes/s390-setup-fix-early-warning-messages (bsc#1140948).
- commit bf2abc2
* Thu Jul 11 2019 jslaby@suse.cz
- ipv4: Use return value of inet_iif() for __raw_v4_lookup in
  the while loop (git-fixes).
- commit b3c23d2
* Thu Jul 11 2019 osalvador@suse.de
- mm, page_alloc: fix has_unmovable_pages for HugePages
  (bsc#1127034).
- Refresh
  patches.fixes/0005-mm-memory_hotplug-be-more-verbose-for-memory-offline.patch.
- commit acc7b54
* Thu Jul 11 2019 ptesarik@suse.cz
- Delete patches.fixes/s390-setup-fix-early-warning-messages (bsc#1140948).
- commit 3f92a3e
* Thu Jul 11 2019 oneukum@suse.com
- media: cpia2_usb: first wake up, then free in disconnect
  (bsc#1135642).
- commit 62d884c
* Wed Jul 10 2019 tiwai@suse.de
- usb: gadget: udc: lpc32xx: allocate descriptor with GFP_ATOMIC
  (bsc#1051510).
- usb: gadget: fusb300_udc: Fix memory leak of fusb300->ep[i]
  (bsc#1051510).
- commit 246a023
* Wed Jul 10 2019 tiwai@suse.de
- drm/amd/powerplay: use hardware fan control if no powerplay
  fan table (bsc#1111666).
- drm: panel-orientation-quirks: Add quirk for GPD MicroPC
  (bsc#1111666).
- drm: panel-orientation-quirks: Add quirk for GPD pocket2
  (bsc#1111666).
- drm/fb-helper: generic: Don't take module ref for fbcon
  (bsc#1111666).
- commit e37ac1a
* Wed Jul 10 2019 tiwai@suse.de
- blacklist.conf: Add already cherry-picked commits for drm/i915
- commit f5294bb
* Wed Jul 10 2019 tiwai@suse.de
- drm/amdgpu/gfx9: use reset default for PA_SC_FIFO_SIZE
  (bsc#1051510).
- drm/i915/dmc: protect against reading random memory
  (bsc#1051510).
- commit 6b491bf
* Wed Jul 10 2019 jslaby@suse.cz
- vsock/virtio: free packets during the socket release
  (networking-stable-19_05_21).
- net: avoid weird emergency message (networking-stable-19_05_21).
- net: usb: qmi_wwan: add Telit 0x1260 and 0x1261 compositions
  (networking-stable-19_05_21).
- ppp: deflate: Fix possible crash in deflate_init
  (networking-stable-19_05_21).
- rtnetlink: always put IFLA_LINK for links with a link-netnsid
  (networking-stable-19_05_21).
- net/mlx4_core: Change the error print to info print
  (networking-stable-19_05_21).
- commit 60be362
* Wed Jul 10 2019 tiwai@suse.de
- regulator: s2mps11: Fix buck7 and buck8 wrong voltages
  (bsc#1051510).
- commit 72883d3
* Wed Jul 10 2019 tiwai@suse.de
- pwm: stm32: Use 3 cells ->of_xlate() (bsc#1111666).
- qmi_wwan: Fix out-of-bounds read (bsc#1111666).
- commit a9e87e7
* Wed Jul 10 2019 tiwai@suse.de
- PM: ACPI/PCI: Resume all devices during hibernation
  (bsc#1111666).
- commit c894803
* Wed Jul 10 2019 tiwai@suse.de
- PCI: Do not poll for PME if the device is in D3cold
  (bsc#1051510).
- commit d4fcd5f
* Wed Jul 10 2019 tiwai@suse.de
- mfd: hi655x: Fix regmap area declared size for hi655x
  (bsc#1051510).
- commit 624e738
* Wed Jul 10 2019 tiwai@suse.de
- irqchip/gic-v3-its: fix some definitions of inner cacheability
  attributes (bsc#1051510).
- commit bd40199
* Wed Jul 10 2019 tiwai@suse.de
- irqchip/mbigen: Don't clear eventid when freeing an MSI
  (bsc#1051510).
- commit 6a90fd2
* Wed Jul 10 2019 tiwai@suse.de
- iommu/arm-smmu: Add support for qcom,smmu-v2 variant
  (bsc#1051510).
- commit 9791296
* Wed Jul 10 2019 tiwai@suse.de
- iommu/arm-smmu-v3: Use explicit mb() when moving cons pointer
  (bsc#1051510).
- iommu/arm-smmu-v3: sync the OVACKFLG to PRIQ consumer register
  (bsc#1051510).
- commit a2d5600
* Wed Jul 10 2019 tiwai@suse.de
- gpio: omap: fix lack of irqstatus_raw0 for OMAP4 (bsc#1051510).
- staging:iio:ad7150: fix threshold mode config bit (bsc#1051510).
- commit fd92574
* Wed Jul 10 2019 tiwai@suse.de
- iov_iter: Fix build error without CONFIG_CRYPTO (bsc#1111666).
- commit 363979e
* Wed Jul 10 2019 tiwai@suse.de
- iommu/arm-smmu-v3: Fix big-endian CMD_SYNC writes (bsc#1111666).
- commit 7e1f173
* Wed Jul 10 2019 jslaby@suse.cz
- bonding: fix arp_validate toggling in active-backup mode
  (networking-stable-19_05_14).
- net: seeq: fix crash caused by not set dev.parent
  (networking-stable-19_05_14).
- bridge: Fix error path for kobject_init_and_add()
  (networking-stable-19_05_14).
- packet: Fix error path in packet_init
  (networking-stable-19_05_14).
- tuntap: synchronize through tfiles array instead of
  tun->numqueues (networking-stable-19_05_14).
- ipv4: Fix raw socket lookup for local traffic
  (networking-stable-19_05_14).
- vrf: sit mtu should not be updated when vrf netdev is the link
  (networking-stable-19_05_14).
- dpaa_eth: fix SG frame cleanup (networking-stable-19_05_14).
- commit c9bd797
* Wed Jul 10 2019 mgorman@suse.de
- mm/vmscan.c: prevent useless kswapd loops (git fixes
  (mm/vmscan)).
- hugetlbfs: fix kernel BUG at fs/hugetlbfs/inode.c:444! (git
  fixes (mm/hugetlbfs)).
- hugetlbfs: dirty pages as they are added to pagecache (git fixes
  (mm/hugetlbfs)).
- commit fcdbd4c
* Wed Jul 10 2019 tiwai@suse.de
- ACPICA: Clear status of GPEs on first direct enable
  (bsc#1111666).
- ALSA: usb-audio: Fix parse of UAC2 Extension Units
  (bsc#1111666).
- commit 46263ea
* Wed Jul 10 2019 jroedel@suse.de
- KVM: x86: fix return value for reserved EFER (bsc#1140992).
- commit 275307e
* Wed Jul 10 2019 mgorman@suse.de
- mm/page_alloc.c: fix never set ALLOC_NOFRAGMENT flag (git fixes
  (mm/pagealloc)).
- commit 462a6c0
* Wed Jul 10 2019 mgorman@suse.de
- mm/page_alloc.c: avoid potential NULL pointer dereference
  (git fixes (mm/pagealloc)).
- commit bae6acd
* Wed Jul 10 2019 mgorman@suse.de
- blacklist.conf: DISCONTIGMEM unsupported
- commit 79c2da6
* Wed Jul 10 2019 tiwai@suse.de
- ASoC: cx2072x: fix integer overflow on unsigned int multiply
  (bsc#1111666).
- commit 0ea6ab6
* Wed Jul 10 2019 tiwai@suse.de
- Move upstreamed ASoC patches into sorted section
- commit f6685e7
* Wed Jul 10 2019 jroedel@suse.de
- blacklist.conf: Add 9c3e922ba316 KVM: nVMX: Move guest non-reg state checks to VM-Exit path
- commit ae09496
* Wed Jul 10 2019 jroedel@suse.de
- kvm: svm/avic: fix off-by-one in checking host APIC ID
  (bsc#1140971).
- KVM: x86: Skip EFER vs. guest CPUID checks for host-initiated
  writes (bsc#1140972).
- commit 930856f
* Wed Jul 10 2019 tiwai@suse.de
- ACPI: PM: Allow transitions to D0 to occur in special cases
  (bsc#1051510).
- ACPI: PM: Avoid evaluating _PS3 on transitions from D3hot to
  D3cold (bsc#1051510).
- commit 2ae341b
* Wed Jul 10 2019 jroedel@suse.de
- blacklist.conf: Add 65fd4cb65b2d Documentation: Move L1TF to separate directory
- commit fd03e8e
* Wed Jul 10 2019 jroedel@suse.de
- Documentation: DMA-API: fix a function name of max_mapping_size
  (bsc#1140954).
- iommu: Use right function to get group for device (bsc#1140958).
- iommu/amd: Make iommu_disable safer (bsc#1140955).
- iommu/vt-d: Handle PCI bridge RMRR device scopes in
  intel_iommu_get_resv_regions (bsc#1140960).
- iommu/vt-d: Handle RMRR with PCI bridge device scopes
  (bsc#1140961).
- iommu/vt-d: Introduce is_downstream_to_pci_bridge helper
  (bsc#1140962).
- iommu/vt-d: Duplicate iommu_resv_region objects per device list
  (bsc#1140959).
- iommu: Fix a leak in iommu_insert_resv_region (bsc#1140957).
- iommu/vt-d: Remove unnecessary rcu_read_locks (bsc#1140964).
- iommu/arm-smmu: Avoid constant zero in TLBI writes
  (bsc#1140956).
- commit 0e029eb
* Wed Jul 10 2019 jslaby@suse.cz
- rpm/kernel-binary.spec.in: handle modules.builtin.modinfo
  It was added in 5.2.
- commit eb88df3
* Tue Jul  9 2019 lyan@suse.com
- kvm: mmu: Fix overflow on kvm mmu page limit calculation
  (bsc#1135335).
- commit 64e77be
* Tue Jul  9 2019 tbogendoerfer@suse.de
- ixgbe: Avoid NULL pointer dereference with VF on non-IPsec hw
  (bsc#1140228).
- commit a201532
* Tue Jul  9 2019 jack@suse.cz
- dax: Fix xarray entry association for mixed mappings
  (bsc#1140893).
- commit 7914da5
* Tue Jul  9 2019 jack@suse.cz
- patches.fixes/scsi-vmw_pscsi-Fix-use-after-free-in-pvscsi_queue_lc.patch:
  Update patch metadata
- commit 9a80b82
* Tue Jul  9 2019 jack@suse.cz
- ext4: do not delete unlinked inode from orphan list on failed
  truncate (bsc#1140891).
- commit 493e396
* Tue Jul  9 2019 jack@suse.cz
- fs/ocfs2: fix race in ocfs2_dentry_attach_lock() (bsc#1140889).
- commit 0af973c
* Tue Jul  9 2019 jack@suse.cz
- Abort file_remove_privs() for non-reg. files (bsc#1140888).
- commit e522f5b
* Tue Jul  9 2019 jack@suse.cz
- fs/proc/proc_sysctl.c: Fix a NULL pointer dereference
  (bsc#1140887).
- commit 3a194bf
* Tue Jul  9 2019 jack@suse.cz
- fs/proc/proc_sysctl.c: fix NULL pointer dereference in put_links
  (bsc#1140887).
- commit 716f3c6
* Tue Jul  9 2019 jslaby@suse.cz
- ptrace: Fix ->ptracer_cred handling for PTRACE_TRACEME
  (git-fixes).
- ptrace: restore smp_rmb() in __ptrace_may_access() (git-fixes).
- signal/ptrace: Don't leak unitialized kernel memory with
  PTRACE_PEEK_SIGINFO (git-fixes).
- commit efed5b2
* Tue Jul  9 2019 jthumshirn@suse.de
- nfit/ars: Allow root to busy-poll the ARS state machine
  (bsc#1140814).
- Refresh patches.drivers/nfit-ars-avoid-stale-ars-results.patch.
- commit 3bd9146
* Tue Jul  9 2019 mkubecek@suse.cz
- kabi: handle addition of netns_ipv4::ip_id_key (CVE-2019-10638
  bsc#1140575).
- kabi: handle addition of net::hash_mix (CVE-2019-10639
  bsc#1140577).
- inet: switch IP ID generator to siphash (CVE-2019-10638
  bsc#1140575).
- netns: provide pure entropy for net_hash_mix() (CVE-2019-10639
  bsc#1140577).
- netns: get more entropy from net_hash_mix() (CVE-2019-10638
  bsc#1140575).
- commit 8c9c673
* Tue Jul  9 2019 mkubecek@suse.cz
- tcp: refine memory limit test in tcp_fragment() (CVE-2019-11478
  bsc#1137586 bsc#1139751).
- Refresh
  patches.kabi/kabi-drop-LINUX_MIB_TCPWQUEUETOOBIG-snmp-counter.patch.
- commit 18fef7f
* Tue Jul  9 2019 jslaby@suse.cz
- x86/insn-eval: Fix use-after-free access to LDT entry
  (bnc#1140454 CVE-2019-13233).
- commit d541dfb
* Tue Jul  9 2019 lduncan@suse.com
- scsi: aacraid: clean up some indentation and formatting issues
  (jsc#SLE-4710 bsc#1136161).
- scsi: aacraid: change event_wait to a completion (jsc#SLE-4710
  bsc#1136161).
- scsi: aacraid: change wait_sem to a completion (jsc#SLE-4710
  bsc#1136161).
- scsi: aacraid: Mark expected switch fall-through (jsc#SLE-4710
  bsc#1136161).
- scsi: aacraid: Mark expected switch fall-throughs (jsc#SLE-4710
  bsc#1136161).
- commit 1e1e6c7
* Mon Jul  8 2019 lduncan@suse.com
- Move iblock patch to correct location.
  For some reason (upstream?) git_sort thinks it should move.
- commit 71411ea
* Mon Jul  8 2019 tiwai@suse.de
- blacklist.conf: Add kABI-breaking nfc fix
- commit c3837d8
* Mon Jul  8 2019 tiwai@suse.de
- blacklist.conf: Add unaffected nouveau build fixes
- commit b379525
* Mon Jul  8 2019 tiwai@suse.de
- mmc: core: complete HS400 before checking status (bsc#1111666).
- commit af942b7
* Mon Jul  8 2019 tiwai@suse.de
- drm/arm/hdlcd: Actually validate CRTC modes (bsc#1111666).
- Refresh
  patches.drm/drm-arm-hdlcd-Allow-a-bit-of-clock-tolerance.patch.
- commit 82e718e
* Mon Jul  8 2019 tiwai@suse.de
- drm/imx: only send event on crtc disable if kept disabled
  (bsc#1111666).
- drm/imx: notify drm core before sending event during crtc
  disable (bsc#1111666).
- drm/etnaviv: add missing failure path to destroy suballoc
  (bsc#1111666).
- drm/vmwgfx: fix a warning due to missing dma_parms
  (bsc#1111666).
- drm/vmwgfx: Use the backdoor port if the HB port is not
  available (bsc#1111666).
- drm/arm/mali-dp: Add a loop around the second set CVAL and
  try 5 times (bsc#1111666).
- drm: Fix drm_release() and device unplug (bsc#1111666).
- commit 475259d
* Mon Jul  8 2019 jthumshirn@suse.de
- scsi: qla2xxx: Fix abort handling in tcm_qla2xxx_write_pending()
  (bsc#1140727).
- scsi: qla2xxx: Fix incorrect region-size setting in optrom
  SYSFS routines (bsc#1140728).
- commit 631f49f
* Mon Jul  8 2019 tiwai@suse.de
- dmaengine: imx-sdma: remove BD_INTR for channel0 (bsc#1051510).
- commit 6c0c801
* Mon Jul  8 2019 tiwai@suse.de
- coresight: etm4x: Add support to enable ETMv4.2 (bsc#1051510).
- coresight: etb10: Fix handling of perf mode (bsc#1051510).
- commit bd9477a
* Mon Jul  8 2019 tiwai@suse.de
- blacklist.conf: Add an upstream fix that was reverted in 4.14.y stable
- commit 3b33a6b
* Mon Jul  8 2019 tiwai@suse.de
- staging: comedi: ni_mio_common: Fix divide-by-zero for DIO
  cmdtest (bsc#1051510).
- commit 9b8ac5d
* Mon Jul  8 2019 tiwai@suse.de
- apparmor: enforce nullbyte at end of tag string (bsc#1051510).
- clk: tegra: Fix PLLM programming on Tegra124+ when PMC overrides
  divider (bsc#1051510).
- clk: rockchip: Turn on "aclk_dmac1" for suspend on rk3288
  (bsc#1051510).
- commit bae992a
* Mon Jul  8 2019 mbenes@suse.cz
- blacklist.conf: 074376ac0e1d ("ftrace/x86: Anotate text_mutex split between ftrace_arch_code_modify_post_process() and ftrace_arch_code_modify_prepare()")
  __CHECKER__ only, so not a bug and not really needed.
- commit 6fa68b1
* Mon Jul  8 2019 tbogendoerfer@suse.de
- net/tls: fix page double free on TX cleanup (bsc#1109837).
- net/sched: cbs: Fix error path of cbs_module_init (bsc#1109837).
- net/udp_gso: Allow TX timestamp with UDP GSO (bsc#1109837).
- IB/hfi1: Create inline to get extended headers (bsc#1114685
  FATE#325854).
- IB/hfi1: Validate fault injection opcode user input (bsc#1114685
  FATE#325854).
- bpf, devmap: Add missing RCU read lock on flush (bsc#1109837).
- bpf, devmap: Add missing bulk queue free (bsc#1109837).
- bpf, devmap: Fix premature entry free on destroying map
  (bsc#1109837).
- xdp: check device pointer before clearing (bsc#1109837).
- bpf: lpm_trie: check left child of last leftmost node for NULL
  (bsc#1109837).
- mlxsw: spectrum_flower: Fix TOS matching (bsc#1112374).
- net: tls, correctly account for copied bytes with multiple
  sk_msgs (bsc#1109837).
- net/mlx5: Avoid reloading already removed devices (bsc#1103990
  FATE#326006).
- net/mlx5: Update pci error handler entries and command
  translation (bsc#1103991 FATE#326007).
- bpf: sockmap, fix use after free from sleep in psock backlog
  workqueue (bsc#1109837).
- PCI/P2PDMA: fix the gen_pool_add_virt() failure path
  (bsc#1103992 FATE#326009).
- mm/devm_memremap_pages: introduce devm_memunmap_pages
  (bsc#1103992 FATE#326009).
- drivers/base/devres: introduce devm_release_action()
  (bsc#1103992 FATE#326009).
- net/tls: replace the sleeping lock around RX resync with a
  bit lock (bsc#1109837).
- net: ethernet: ti: cpsw_ethtool: fix ethtool ring param set
  (bsc#1130836).
- net: don't clear sock->sk early to avoid trouble in strparser
  (bsc#1103990 FATE#326006).
- net: core: support XDP generic on stacked devices (bsc#1109837).
- net: phy: marvell10g: report if the PHY fails to boot firmware
  (bsc#1119113 FATE#326472).
- net/tls: don't ignore netdev notifications if no TLS features
  (bsc#1109837).
- net/tls: fix state removal with feature flags off (bsc#1109837).
- mlxsw: core: Prevent reading unsupported slave address from
  SFP EEPROM (bsc#1112374).
- net/mlx5e: Fix ethtool rxfh commands when CONFIG_MLX5_EN_RXNFC
  is disabled (bsc#1103990 FATE#326006).
- bpf, tcp: correctly handle DONT_WAIT flags and timeo == 0
  (bsc#1109837).
- bpf: sockmap fix msg->sg.size account on ingress skb
  (bsc#1109837).
- bpf: sockmap remove duplicate queue free (bsc#1109837).
- bpf: devmap: fix use-after-free Read in __dev_map_entry_free
  (bsc#1109837).
- nfp: flower: add rcu locks when accessing netdev for tunnels
  (bsc#1109837).
- net/mlx5: Set completion EQs as shared resources (bsc#1103991
  FATE#326007).
- IB/mlx5: Verify DEVX general object type correctly (bsc#1103991
  FATE#326007).
- nfp: bpf: fix static check error through tightening shift
  amount adjustment (bsc#1109837).
- RDMA/ipoib: Allow user space differentiate between valid
  dev_port (bsc#1103992 FATE#326009).
- RDMA/mlx5: Initialize roce port info before multiport master
  init (bsc#1103991 FATE#326007).
- net/mlx5e: XDP, Fix shifted flag index in RQ bitmap (bsc#1103990
  FATE#326006).
- net/sched: cbs: fix port_rate miscalculation (bsc#1109837).
- net/tls: avoid NULL pointer deref on nskb->sk in fallback
  (bsc#1109837).
- net/tls: fix copy to fragments in reencrypt (bsc#1109837).
- net/tls: don't copy negative amounts of data in reencrypt
  (bsc#1109837).
- tools: bpftool: fix infinite loop in map create (bsc#1109837).
- RDMA/mlx5: Use rdma_user_map_io for mapping BAR pages
  (bsc#1103992 FATE#326009).
- RDMA/mlx5: Do not allow the user to write to the clock page
  (bsc#1103991 FATE#326007).
- net/tls: don't leak IV and record seq when offload fails
  (bsc#1109837).
- net/tls: avoid potential deadlock in tls_set_device_offload_rx()
  (bsc#1109837).
- net/mlx5e: Fix the max MTU check in case of XDP (bsc#1103990
  FATE#326006).
- net/mlx5e: Fix use-after-free after xdp_return_frame
  (bsc#1103990 FATE#326006).
- net/tls: fix refcount adjustment in fallback (bsc#1109837).
- mlxsw: pci: Reincrease PCI reset timeout (bsc#1112374).
- mlxsw: spectrum: Put MC TCs into DWRR mode (bsc#1112374).
- net: Fix missing meta data in skb with vlan packet
  (bsc#1109837).
- Revert "net/mlx5e: Enable reporting checksum unnecessary also
  for L3 packets" (bsc#1103990 FATE#326006).
- net/mlx5e: Rx, Check ip headers sanity (bsc#1103990
  FATE#326006).
- net/mlx5e: Rx, Fixup skb checksum for packets with tail padding
  (bsc#1109837).
- net/mlx5: FPGA, tls, idr remove on flow delete (bsc#1103990
  FATE#326006).
- net/mlx5: FPGA, tls, hold rcu read lock a bit longer
  (bsc#1103990 FATE#326006).
- net/tls: prevent bad memory access in
  tls_is_sk_tx_device_offloaded() (bsc#1109837).
- failover: allow name change on IFF_UP slave interfaces
  (bsc#1109837).
- net/tls: fix build without CONFIG_TLS_DEVICE (bsc#1109837).
- net/tls: don't leak partially sent record in device mode
  (bsc#1109837).
- net/tls: fix the IV leaks (bsc#1109837).
- mlxsw: core: Do not use WQ_MEM_RECLAIM for EMAD workqueue
  (bsc#1112374).
- IB/hfi1: Clear the IOWAIT pending bits when QP is put into
  error state (bsc#1114685 FATE#325854).
- mlxsw: core: mlxsw: core: avoid -Wint-in-bool-context warning
  (bsc#1112374).
- mlxsw: core: Move ethtool module callbacks to a common location
  (bsc#1112374).
- mlxsw: core: Add API for QSFP module temperature thresholds
  reading (bsc#1112374).
- mlxsw: reg: Add Management Temperature Bulk Register
  (bsc#1112374).
- commit 53b921c
* Mon Jul  8 2019 mbenes@suse.cz
- blacklist.conf: 4a60aa05a063 ("objtool: Support per-function rodata sections")
  We don't build the kernel with -ffunction-sections -fdata-sections.
- commit e146141
* Mon Jul  8 2019 mbenes@suse.cz
- tracing/snapshot: Resize spare buffer if size changed
  (bsc#1140726).
- commit 275bc04
* Mon Jul  8 2019 mbenes@suse.cz
- blacklist.conf: 0c97bf863efc ("tracing: Silence GCC 9 array bounds warning")
  Compiler warning fix for gcc-9. The code itself is correct.
- commit 6c5891e
* Mon Jul  8 2019 mbenes@suse.cz
- ftrace/x86: Remove possible deadlock between register_kprobe()
  and ftrace_run_update_code() (bsc#1071995 fate#323487).
- commit c27efed
* Mon Jul  8 2019 tbogendoerfer@suse.de
- blacklist.conf: 064c5d6881e8 not needed, d3669ca9ff33 changes only comments
- commit 8fe495b
* Mon Jul  8 2019 tbogendoerfer@suse.de
- mlxsw: spectrum: Move QSFP EEPROM definitions to common location
  (bsc#1112374).
- commit de6549a
* Mon Jul  8 2019 tiwai@suse.de
- Update upstream patch tags
  Refreshed:
  patches.drivers/ibmvnic-Do-not-close-unopened-driver-during-reset.patch
  patches.drivers/ibmvnic-Fix-unchecked-return-codes-of-memory-allocat.patch
  patches.drivers/ibmvnic-Refresh-device-multicast-list-after-reset.patch
  patches.fixes/crypto-user-prevent-operating-on-larval-algorithms.patch
  patches.fixes/scsi-target-iblock-fix-overrun-in-write-same-emulation
- commit 786df26
* Mon Jul  8 2019 jthumshirn@suse.de
- libnvdimm, pfn: Fix over-trim in trim_pfn_device()
  (bsc#1140719).
- commit db6a472
* Mon Jul  8 2019 jthumshirn@suse.de
- nvme: copy MTFA field from identify controller (bsc#1140715).
- commit 092be13
* Mon Jul  8 2019 jthumshirn@suse.de
- nfit/ars: Introduce scrub_flags (jsc#SLE-5433).
- Refresh patches.kabi/kabi-protect-struct-acpi_nfit_desc.patch.
- commit 2007195
* Mon Jul  8 2019 jthumshirn@suse.de
- nfit/ars: Avoid stale ARS results (jsc#SLE-5433).
- Refresh patches.kabi/kabi-protect-struct-acpi_nfit_desc.patch.
- commit d859a90
* Mon Jul  8 2019 jthumshirn@suse.de
- sbitmap: fix improper use of smp_mb__before_atomic()
  (bsc#1140658).
- commit 7bc74cf
* Mon Jul  8 2019 jthumshirn@suse.de
- Kabi fixup blk_mq_register_dev() (bsc#1140637).
- blk-mq: free hw queue's resource in hctx's release handler
  (bsc#1140637).
- commit 0068f07
* Sun Jul  7 2019 lduncan@suse.com
- scsi: target/iblock: Fix overrun in WRITE SAME emulation
  (bsc#1140424).
- commit c793181
* Sat Jul  6 2019 lduncan@suse.com
- scsi: target/iblock: Fix overrun in WRITE SAME emulation
  (bsc#1140424).
- commit ba1d4c6
* Fri Jul  5 2019 tiwai@suse.de
- crypto: cryptd - Fix skcipher instance memory leak
  (bsc#1051510).
- commit 87f6ea0
* Fri Jul  5 2019 tiwai@suse.de
- pinctrl/amd: fix gpio irq level in debugfs (bsc#1140463).
- commit bd8f117
* Fri Jul  5 2019 jthumshirn@suse.de
- Update patch mainline tags
- Refresh patches.fixes/drivers-base-introduce-kill_device.patch.
- Refresh
  patches.fixes/libnvdimm-bus-prevent-duplicate-device_unregister-calls.patch.
- commit c63ec1e
* Fri Jul  5 2019 jthumshirn@suse.de
- scripts/git_sort/git_sort.py: add nvdimm/libnvdimm-fixes
- commit c8c8479
* Fri Jul  5 2019 tiwai@suse.de
- pinctrl/amd: poll InterruptEnable bits in amd_gpio_irq_set_type
  (bsc#1140463).
- pinctrl/amd: poll InterruptEnable bits in enable_irq
  (bsc#1140463).
- pinctrl/amd: add get_direction handler (bsc#1140463).
- pinctrl/amd: make functions amd_gpio_suspend and amd_gpio_resume
  static (bsc#1140463).
- pinctrl/amd: fix masking of GPIO interrupts (bsc#1140463).
- commit 6d38fab
* Fri Jul  5 2019 tiwai@suse.de
- ALSA: line6: Fix write on zero-sized buffer (bsc#1051510).
- ALSA: firewire-lib/fireworks: fix miss detection of received
  MIDI messages (bsc#1051510).
- ALSA: seq: fix incorrect order of dest_client/dest_ports
  arguments (bsc#1051510).
- ALSA: hda/realtek - Change front mic location for Lenovo M710q
  (bsc#1051510).
- ALSA: usb-audio: fix sign unintended sign extension on left
  shifts (bsc#1051510).
- ALSA: hda/realtek: Add quirks for several Clevo notebook
  barebones (bsc#1051510).
- commit 095cfae
* Thu Jul  4 2019 msuchanek@suse.de
- Add back sibling paca poiter to paca (bsc#1055117).
- commit a873261
* Thu Jul  4 2019 msuchanek@suse.de
- powerpc/64s: Remove POWER9 DD1 support (bsc#1055117, LTC#159753,
  FATE#323286, git-fixes).
- powerpc/mm/radix: Change pte relax sequence to handle nest
  MMU hang (bsc#1055117).
- powerpc/mm: Change function prototype (bsc#1055117).
- powerpc/mm/radix: Move function from radix.h to pgtable-radix.c
  (bsc#1055117).
- powerpc/mm/hugetlb: Update huge_ptep_set_access_flags to call
  __ptep_set_access_flags directly (bsc#1055117).
- commit cabc25a
* Thu Jul  4 2019 msuchanek@suse.de
- powerpc/perf: Add PM_LD_MISS_L1 and PM_BR_2PATH to power9
  event list (bsc#1137728, LTC#178106).
- Refresh patches.arch/powerpc-perf-Add-blacklisted-events-for-Power9-DD2.1.patch.
- powerpc/perf: Add POWER9 alternate PM_RUN_CYC and
  PM_RUN_INST_CMPL events (bsc#1137728, LTC#178106).
- commit 9c52368
* Thu Jul  4 2019 msuchanek@suse.de
- powerpc/rtas: retry when cpu offline races with
  suspend/migration (bsc#1140428, LTC#178808).
- commit 4e041ec
* Thu Jul  4 2019 nsaenzjulienne@suse.de
- typec: tcpm: fix compiler warning about stupid things
  (git-fixes).
- Refresh
  patches.drivers/0001-usb-typec-Group-all-TCPCI-TCPM-code-together.patch.
- commit 835227d
* Thu Jul  4 2019 lhenriques@suse.com
- ceph: flush dirty inodes before proceeding with remount
  (bsc#1140405).
- commit f6d4f3b
* Thu Jul  4 2019 tbogendoerfer@suse.de
- net: mvpp2: prs: Use the correct helpers when removing all
  VID filters (bsc#1098633).
- net: mvpp2: prs: Fix parser range for VID filtering
  (bsc#1098633).
- net: mvpp2: Use strscpy to handle stat strings (bsc#1098633).
- commit 30c1e7a
* Thu Jul  4 2019 tbogendoerfer@suse.de
- net: mvpp2: prs: Use the correct helpers when removing all
  VID filters (bsc#1098633).
- net: mvpp2: prs: Fix parser range for VID filtering
  (bsc#1098633).
- net: mvpp2: Use strscpy to handle stat strings (bsc#1098633).
- commit 8675c3d
* Thu Jul  4 2019 msuchanek@suse.de
- Refresh patches closer to upstream version.
- Refresh patches.arch/x86-amd_nb-add-pci-device-ids-for-family-17h-model-30h.patch.
- Refresh patches.arch/x86-amd_nb-add-support-for-newer-pci-topologies.patch.
- Refresh patches.arch/x86-cpu-get-cache-info-and-setup-cache-cpumap-for-hygon-dhyana.patch.
- Refresh patches.drivers/hwmon-k10temp-add-support-for-amd-family-17h-model-30h-cpus.patch.
  Notable change:
  @@ -240,7 +241,7 @@ int amd_cache_northbridges(void)
    return -ENODEV;
    root = NULL;
-       while ((root = next_northbridge(root, amd_root_ids)) != NULL)
  +       while ((root = next_northbridge(root, root_ids)) != NULL)
    root_count++;
    if (root_count) {
  @@ -282,7 +283,7 @@ int amd_cache_northbridges(void)
  * correct PCI roots.
  * /
    for (j = 1; j < roots_per_misc; j++)
-                       root = next_northbridge(root, amd_root_ids);
  +                       root = next_northbridge(root, root_ids);
    }
    if (amd_gart_present())
  As root_ids is changed here:
    if (boot_cpu_data.x86_vendor == X86_VENDOR_HYGON) {
    root_ids = hygon_root_ids;
    misc_ids = hygon_nb_misc_ids;
    link_ids = hygon_nb_link_ids;
    }
  We were potentially breaking the Hygon CPUs here.
- commit 5990a23
* Thu Jul  4 2019 msuchanek@suse.de
- Revert "Sign non-x86 kernels when possible (boo#1134303)"
  This reverts commit bac621c6704610562ebd9e74ae5ad85ca8025681.
  We don't have reports of this working with all ARM architectures in all
  cases (boot, kexec, ..) so revert for now.
- commit a235183
* Thu Jul  4 2019 tbogendoerfer@suse.de
- Revert "net: ena: ethtool: add extra properties retrieval via
  get_priv_flags" (bsc#1138879).
- net: ena: Fix bug where ring allocation backoff stopped too late
  (bsc#1138879).
- net: ena: update driver version from 2.0.3 to 2.1.0
  (bsc#1138879).
- net: ena: remove inline keyword from functions in *.c
  (bsc#1138879).
- net: ena: add ethtool function for changing io queue sizes
  (bsc#1138879).
- net: ena: allow queue allocation backoff when low on memory
  (bsc#1138879).
- net: ena: make ethtool show correct current and max queue sizes
  (bsc#1138879).
- net: ena: enable negotiating larger Rx ring size (bsc#1138879).
- net: ena: add MAX_QUEUES_EXT get feature admin command
  (bsc#1138879).
- net: ena: use dev_info_once instead of static variable
  (bsc#1138879).
- net: ena: add good checksum counter (bsc#1138879).
- net: ena: optimise calculations for CQ doorbell (bsc#1138879).
- net: ena: add support for changing max_header_size in LLQ mode
  (bsc#1138879).
- net: ena: allow automatic fallback to polling mode
  (bsc#1138879).
- net: ena: add newline at the end of pr_err prints (bsc#1138879).
- net: ena: arrange ena_probe() function variables in reverse
  christmas tree (bsc#1138879).
- net: ena: replace free_tx/rx_ids union with single free_ids
  field in ena_ring (bsc#1138879).
- net: ena: ethtool: add extra properties retrieval via
  get_priv_flags (bsc#1138879).
- net: ena: add handling of llq max tx burst size (bsc#1138879).
- net: ena: gcc 8: fix compilation warning (bsc#1138879).
- net: ena: fix ena_com_fill_hash_function() implementation
  (bsc#1138879).
- net: ena: improve latency by disabling adaptive interrupt
  moderation by default (bsc#1138879).
- net: ena: fix incorrect test of supported hash function
  (bsc#1138879).
- net: ena: fix: Free napi resources when ena_up() fails
  (bsc#1138879).
- net: ena: fix: set freed objects to NULL to avoid failing
  future allocations (bsc#1138879).
- net: ena: fix swapped parameters when calling
  ena_com_indirect_table_fill_entry (bsc#1138879).
- commit dd9e9a6
* Thu Jul  4 2019 oneukum@suse.com
- blacklist.conf: the patch should not have gone to stable on its own
- commit e6f616f
* Thu Jul  4 2019 oneukum@suse.com
- blacklist.conf: dependencies would break kABI
- commit d3c43ce
* Thu Jul  4 2019 oneukum@suse.com
- blacklist.conf: dependencies would break kABI
- commit d98c05b
* Thu Jul  4 2019 oneukum@suse.com
- blacklist.conf: would break kABI
- commit b15afa1
* Thu Jul  4 2019 oneukum@suse.com
- blacklist.conf: would break kABI
- commit d56abbc
* Thu Jul  4 2019 osalvador@suse.de
- Backporting hwpoison fixes
  - mm: hugetlb: prevent reuse of hwpoisoned free hugepages
    (bsc#1139712).
  - mm: hwpoison: change PageHWPoison behavior on hugetlb pages
    (bsc#1139712).
  - mm: hugetlb: soft-offline: dissolve source hugepage after
    successful migration (bsc#1139712).
  - mm: soft-offline: dissolve free hugepage if soft-offlined
    (bsc#1139712).
  - mm: hwpoison: introduce memory_failure_hugetlb() (bsc#1139712).
  - mm: hwpoison: dissolve in-use hugepage in unrecoverable memory
    error (bsc#1139712).
  - mm: hugetlb: delete dequeue_hwpoisoned_huge_page()
    (bsc#1139712).
  - mm: hwpoison: introduce idenfity_page_state (bsc#1139712).
  - mm: hugetlb: soft_offline: save compound page order before
    page migration (bsc#1139712)
  - fs: hugetlbfs: fix hwpoison reserve accounting (bsc#1139712)
  - mm: fix race on soft-offlining free huge pages (bsc#1139712).
  - mm: soft-offline: close the race against page allocation
    (bsc#1139712).
  - mm: soft-offline: return -EBUSY if
    set_hwpoison_free_buddy_page() fails (bsc#1139712).
  - mm: hugetlb: soft-offline: dissolve_free_huge_page() return
    zero on !PageHuge (bsc#bsc#1139712).
  - Refresh
    patches.fixes/x86-mm-mm-hwpoison-clear-present-bit-for-kernel-1-1-mappings-of-poison-pages.patch
  - Refresh:
    patches.fixes/x86-mm-mm-hwpoison-don-t-unconditionally-unmap-kernel-1-1-pages.patch
  - Refresh:
    patches.fixes/mm-memory_failure-Teach-memory_failure-about-dev_pag.patch
  - Refresh:
    patches.fixes/0001-mm-hwpoison-fix-thp-split-handing-in-soft_offline_in.patch
  - Refresh:
    patches.fixes/mm-madvise_inject_error-Let-memory_failure-optionall.patch
- commit a7319f0
* Thu Jul  4 2019 hare@suse.de
- block: Fix a NULL pointer dereference in generic_make_request()
  (bsc#1139771).
- commit 977cba2
* Thu Jul  4 2019 hare@suse.de
- Reshuffle patches to match series_sort.py
- commit 2469f32
* Thu Jul  4 2019 acho@suse.com
- Bluetooth: Fix faulty expression for minimum encryption key
  size check (bsc#1140328).
- commit 4e794d5
* Thu Jul  4 2019 ddiss@suse.de
- libceph: use single request data item for cmp/setxattr (bsc#1139101).
- Refresh
  patches.drivers/ceph-osd_client-add-support-for-CEPH_OSD_OP_GETXATTR.patch
- commit 8ac4c91
* Thu Jul  4 2019 lduncan@suse.com
- scsi: csiostor: csio_wr: mark expected switch fall-through
  (jsc#SLE-4679 bsc#1136343).
- scsi: csiostor: fix missing data copy in csio_scsi_err_handler()
  (jsc#SLE-4679 bsc#1136343).
- scsi: csiostor: drop serial_number usage (jsc#SLE-4679
  bsc#1136343).
- scsi: csiostor: Remove set but not used variable 'pln'
  (jsc#SLE-4679 bsc#1136343).
- scsi: csiostor: no need to check return value of debugfs_create
  functions (jsc#SLE-4679 bsc#1136343).
- scsi: csiostor: fix calls to dma_set_mask_and_coherent()
  (jsc#SLE-4679 bsc#1136343).
- scsi: csiostor: fix NULL pointer dereference in
  csio_vport_set_state() (jsc#SLE-4679 bsc#1136343).
- scsi: csiostor: fix incorrect dma device in case of vport
  (jsc#SLE-4679 bsc#1136343).
- commit fb0dc69
* Wed Jul  3 2019 msuchanek@suse.de
- scsi: qla2xxx: do not crash on uninitialized pool list
  (boo#1138874).
- commit 1f67498
* Wed Jul  3 2019 msuchanek@suse.de
- crypto: user - prevent operating on larval algorithms
  (bsc#1133401).
- Delete patches.fixes/crypto-algapi-guard-against-uninitialized-spawn-list.patch.
- commit f1b36c6
* Wed Jul  3 2019 oneukum@suse.com
- i2c: acorn: fix i2c warning (bsc#1135642).
- commit a0b3a52
* Wed Jul  3 2019 pvorel@suse.cz
- sysctl: handle overflow in proc_get_long (bsc#1051510).
- commit c14faec
* Wed Jul  3 2019 oneukum@suse.com
- blacklist.conf: it didn't even compile
- commit 7f6d59d
* Wed Jul  3 2019 oneukum@suse.com
- blacklist.conf: build warning only, no fix
- commit c5e8109
* Wed Jul  3 2019 schwab@suse.de
- rpm/dtb.spec.in.in: don't make dtb directory inaccessible
  There is no reason to lock down the dtb directory for ordinary users.
- commit a69437a
* Wed Jul  3 2019 hare@suse.de
- drivers/base: kABI fixes for struct device_private
  (bsc#1106383).
- driver core: Probe devices asynchronously instead of the driver
  (bsc#1106383).
- device core: Consolidate locking and unlocking of parent and
  device (bsc#1106383).
- driver core: Establish order of operations for device_add and
  device_del via bitflag (bsc#1106383).
- commit 1fff851
* Wed Jul  3 2019 jthumshirn@suse.de
- drivers/base: Introduce kill_device() (bsc#1139865).
- commit 33e739c
* Wed Jul  3 2019 jslaby@suse.cz
- Documentation/ABI: Document umwait control sysfs interfaces
  (jsc#SLE-5187).
- x86/umwait: Add sysfs interface to control umwait maximum time
  (jsc#SLE-5187).
- x86/umwait: Add sysfs interface to control umwait C0.2 state
  (jsc#SLE-5187).
- x86/umwait: Initialize umwait control values (jsc#SLE-5187).
- x86/cpufeatures: Enumerate user wait instructions
  (jsc#SLE-5187).
- commit 26caf78
* Wed Jul  3 2019 hare@suse.de
- Refresh patches.drivers/nvme-rdma-move-nvme_rdma_configure_admin_queue-code-.patch.
- commit 93cf9c0
* Wed Jul  3 2019 jroedel@suse.de
- Revert "svm: Fix AVIC incomplete IPI emulation" (bsc#1140133).
- svm: Fix AVIC incomplete IPI emulation (bsc#1140133).
- svm: Add warning message for AVIC IPI invalid target
  (bsc#1140133).
- commit f060d17
* Wed Jul  3 2019 jthumshirn@suse.de
- libnvdimm/bus: Prevent duplicate device_unregister() calls
  (bsc#1139865).
- commit 379ae31
* Wed Jul  3 2019 jthumshirn@suse.de
- scripts/git_sort/git_sort.py: add djbw/nvdimm nvdimm-pending.
- commit 7d6adef
* Wed Jul  3 2019 mhocko@suse.com
- Update patches.suse/do-not-default-to-ibrs-on-skl.patch
  (bsc#1068032 CVE-2017-5753 bsc#1112824 jsc#SLE-7074).
- commit 4b76649
* Wed Jul  3 2019 tiwai@suse.de
- ppp: mppe: Add softdep to arc4 (bsc#1088047).
- commit 83e2dfd
* Tue Jul  2 2019 lduncan@suse.com
- scsi: libsas: fix a race condition when smp task timeout
  (CVE-2018-20836 bsc#1134395).
- commit ef84a5a
* Tue Jul  2 2019 oneukum@suse.com
- ntp: Allow TAI-UTC offset to be set to zero (bsc#1135642).
- commit fe4b469
* Tue Jul  2 2019 ghe@suse.com
- ocfs2: try to reuse extent block in dealloc without meta_alloc
  (bsc#1128902).
- commit ede2d05
* Tue Jul  2 2019 oneukum@suse.com
- USB: serial: fix initial-termios handling (bsc#1135642).
- commit 6bf0f16
* Tue Jul  2 2019 hare@suse.de
- scsi: mpt3sas: Update driver version to 29.100.00.00
  (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: Introduce perf_mode module parameter
  (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: Enable interrupt coalescing on high iops
  (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: Affinity high iops queues IRQs to local node
  (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: save and use MSI-X index for posting RD
  (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: Use high iops queues under some circumstances
  (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: change _base_get_msix_index prototype
  (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: Add flag high_iops_queues
  (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: Add Atomic RequestDescriptor support on Aero
  (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: function pointers of request descriptor
  (bsc#1125703,jsc#SLE-4717).
- commit 8d85688
* Tue Jul  2 2019 hare@suse.de
- scripts/git_sort/git_sort.py: drop old scsi branches
- commit 0fa5415
* Tue Jul  2 2019 hare@suse.de
- scsi: mpt3sas: fix indentation issue (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: Update mpt3sas driver version to 28.100.00.00
  (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: Improve the threshold value and introduce module
  param (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: Load balance to improve performance and avoid
  soft lockups (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: Irq poll to avoid CPU hard lockups
  (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: simplify interrupt handler
  (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: Fix typo in request_desript_type
  (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: Fix kernel panic during expander reset
  (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: Add missing breaks in switch statements
  (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: Update driver version to 27.102.00.00
  (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: Add support for ATLAS PCIe switch
  (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: Add support for NVMe Switch Adapter
  (bsc#1125703,jsc#SLE-4717).
- scsi: mpt3sas: Rename mpi endpoint device ID macro
  (bsc#1125703,jsc#SLE-4717).
- commit 26a8931
* Mon Jul  1 2019 oneukum@suse.com
- usb: dwc2: host: Fix wMaxPacketSize handling (fix webcam
  regression) (bsc#1135642).
- commit 5f24d97
* Mon Jul  1 2019 oneukum@suse.com
- usb: chipidea: udc: workaround for endpoint conflict issue
  (bsc#1135642).
- commit 6586733
* Mon Jul  1 2019 oneukum@suse.com
- Update
  patches.fixes/0001-mwifiex-Fix-heap-overflow-in-mwifiex_uap_parse_tail_.patch
  (bsc#1136935 CVE-2019-10126).
  Added CVE number
- commit 9d2dcb5
* Wed Jun 26 2019 mwilck@suse.com
- Refresh patches.fixes/scsi-Introduce-scsi_start_queue.patch
  (bsc#1119532).
- Refresh
  patches.fixes/scsi-Split-scsi_internal_device_block.patch.
  This adds the changes made by the upstream merge commit 90311148415a.
- commit cf2d9d2
* Wed Jun 26 2019 tiwai@suse.de
- mmc: core: Prevent processing SDIO IRQs when the card is
  suspended (bsc#1051510).
- commit 280e016
* Wed Jun 26 2019 tiwai@suse.de
- mac80211: drop robust management frames from unknown TA
  (bsc#1051510).
- mac80211: Do not use stack memory with scatterlist for GMAC
  (bsc#1051510).
- mac80211: handle deauthentication/disassociation from TDLS peer
  (bsc#1051510).
- commit b226a95
* Wed Jun 26 2019 tiwai@suse.de
- Input: synaptics - enable SMBus on ThinkPad E480 and E580
  (bsc#1051510).
- Input: uinput - add compat ioctl number translation for
  UI_*_FF_UPLOAD (bsc#1051510).
- commit 53b5f1d
* Wed Jun 26 2019 mhocko@suse.com
- coredump: fix race condition between collapse_huge_page()
  and core dumping (bnc#1133738, CVE-2019-11599).
- coredump: fix race condition between
  mmget_not_zero()/get_task_mm() and core dumping (bsc#1133738,
  CVE-2019-11599).
- commit 22843e7
* Wed Jun 26 2019 tiwai@suse.de
- genwqe: Prevent an integer overflow in the ioctl (bsc#1051510).
- commit 67de48a
* Wed Jun 26 2019 tiwai@suse.de
- genirq: Prevent use-after-free and work list corruption
  (bsc#1051510).
- genirq: Respect IRQCHIP_SKIP_SET_WAKE in
  irq_chip_set_wake_parent() (bsc#1051510).
- commit 604ab3b
* Wed Jun 26 2019 tiwai@suse.de
- drm/arm/hdlcd: Allow a bit of clock tolerance (bsc#1051510).
- commit 4a7767f
* Wed Jun 26 2019 tiwai@suse.de
- doc: Cope with the deprecation of AutoReporter (bsc#1051510).
- commit 07fc2ef
* Wed Jun 26 2019 tiwai@suse.de
- can: flexcan: fix timeout when set small bitrate (bsc#1051510).
- commit 0ca4456
* Wed Jun 26 2019 tiwai@suse.de
- ax25: fix inconsistent lock state in ax25_destroy_timer
  (bsc#1051510).
- commit 1024908
* Wed Jun 26 2019 tiwai@suse.de
- PCI: rpadlpar: Fix leaked device_node references in add/remove
  paths (bsc#1051510).
- commit 10134d8
* Wed Jun 26 2019 tiwai@suse.de
- PCI: PM: Skip devices in D0 for suspend-to-idle (bsc#1051510).
- commit 173e73f
* Mon Jun 24 2019 mwilck@suse.com
- scsi: core: add new RDAC LENOVO/DE_Series device (bsc#1132390).
- commit 68e4b01
* Mon Jun 24 2019 msuchanek@suse.de
- crypto: algapi - guard against uninitialized spawn list in
  crypto_remove_spawns (bsc#1133401).
- commit b90bc9f
* Mon Jun 24 2019 lduncan@suse.com
- scsi: be2iscsi: lpfc: fix typo (jsc#SLE-4721 bsc#1136264).
- scsi: be2iscsi: be_main: Mark expected switch fall-through
  (jsc#SLE-4721 bsc#1136264).
- scsi: be2iscsi: be_iscsi: Mark expected switch fall-through
  (jsc#SLE-4721 bsc#1136264).
- scsi: be2iscsi: switch to generic DMA API (jsc#SLE-4721
  bsc#1136264).
- scsi: be2iscsi: fix spelling mistake "Retreiving" ->
  "Retrieving" (jsc#SLE-4721 bsc#1136264).
- scsi: be2iscsi: remove unused variable dmsg (jsc#SLE-4721
  bsc#1136264).
- commit 0706eae
* Mon Jun 24 2019 msuchanek@suse.de
- Update patches.arch/powerpc-mm-64s-hash-Reallocate-context-ids-on-fork.patch
  (bsc#1138263, bsc#1139619, LTC#178538, CVE-2019-12817).
- commit 8396b6c
* Mon Jun 24 2019 tiwai@suse.de
- can: purge socket error queue on sock destruct (bsc#1051510).
- can: af_can: Fix error path of can_init() (bsc#1051510).
- commit ab2392e
* Mon Jun 24 2019 tiwai@suse.de
- USB: serial: option: add Telit 0x1260 and 0x1261 compositions
  (bsc#1051510).
- USB: serial: pl2303: add Allied Telesis VT-Kit3 (bsc#1051510).
- USB: serial: option: add support for Simcom SIM7500/SIM7600
  RNDIS mode (bsc#1051510).
- USB: Fix chipmunk-like voice when using Logitech C270 for
  recording audio (bsc#1051510).
- USB: usb-storage: Add new ID to ums-realtek (bsc#1051510).
- usbnet: ipheth: fix racing condition (bsc#1051510).
- commit f1e8781
* Mon Jun 24 2019 tiwai@suse.de
- mISDN: make sure device name is NUL terminated (bsc#1051510).
- Drivers: misc: fix out-of-bounds access in function
  param_set_kgdbts_var (bsc#1051510).
- media: v4l2-ioctl: clear fields in s_parm (bsc#1051510).
- commit 3b24929
* Mon Jun 24 2019 tiwai@suse.de
- libata: Extend quirks for the ST1000LM024 drives with NOLPM
  quirk (bsc#1051510).
- commit 068c6e9
* Mon Jun 24 2019 tiwai@suse.de
- drm/i915/gvt: ignore unexpected pvinfo write (bsc#1051510).
- commit e0e908b
* Mon Jun 24 2019 tiwai@suse.de
- blacklist.conf: Add superfluous BT blacklist entry (bsc#1135556)
- commit 47a9e1a
* Mon Jun 24 2019 tiwai@suse.de
- ALSA: hda - Force polling mode on CNL for fixing codec
  communication (bsc#1051510).
- commit ef7c06b
* Mon Jun 24 2019 tiwai@suse.de
- Replace the bluetooth fix with the upstream commit (bsc#1135556)
- commit 190eab5
* Mon Jun 24 2019 ptesarik@suse.cz
- s390/qeth: fix VLAN attribute in bridge_hostnotify udev event
  (bsc#1051510).
- scsi: zfcp: fix to prevent port_remove with pure auto scan LUNs
  (only sdevs) (bsc#1051510).
- scsi: zfcp: fix missing zfcp_port reference put on -EBUSY from
  port_remove (bsc#1051510).
- scsi: zfcp: fix scsi_eh host reset with port_forced ERP for
  non-NPIV FCP devices (bsc#1051510).
- scsi: zfcp: fix rport unblock if deleted SCSI devices on
  Scsi_Host (bsc#1051510).
- vfio: ccw: only free cp on final interrupt (bsc#1051510).
- s390/qeth: fix race when initializing the IP address table
  (bsc#1051510).
- s390/virtio: handle find on invalid queue gracefully
  (bsc#1051510).
- s390/setup: fix early warning messages (bsc#1051510).
- s390/dasd: fix using offset into zero size array error
  (bsc#1051510).
- commit df28106
* Mon Jun 24 2019 hare@suse.de
- scsi: megaraid_sas: driver version update (bsc#1136271).
- scsi: megaraid_sas: Update structures for HOST_DEVICE_LIST DCMD
  (bsc#1136271).
- scsi: megaraid_sas: Add support for DEVICE_LIST DCMD in driver
  (bsc#1136271).
- scsi: megaraid_sas: Rework device add code in AEN path
  (bsc#1136271).
- scsi: megaraid_sas: Rework code to get PD and LD list
  (bsc#1136271).
- scsi: megaraid_sas: Retry reads of outbound_intr_status reg
  (bsc#1136271).
- scsi: megaraid_sas: correct an info message (bsc#1136271).
- commit 4e5afe9
* Fri Jun 21 2019 lduncan@suse.com
- scsi: hpsa: fix an uninitialized read and dereference of
  pointer dev (jsc#SLE-4712 bsc#1136156).
- scsi: hpsa: correct device resets (jsc#SLE-4712 bsc#1136156).
- scsi: hpsa: correct simple mode (jsc#SLE-4712 bsc#1136156).
- scsi: hpsa: correct ioaccel2 chaining (jsc#SLE-4712
  bsc#1136156).
- scsi: hpsa: bump driver version (jsc#SLE-4712 bsc#1136156).
- scsi: hpsa: remove timeout from TURs (jsc#SLE-4712 bsc#1136156).
- scsi: hpsa: correct device id issues (jsc#SLE-4712 bsc#1136156).
- scsi: hpsa: check for lv removal (jsc#SLE-4712 bsc#1136156).
- scsi: hpsa: clean up two indentation issues (jsc#SLE-4712
  bsc#1136156).
- scsi: hpsa: mark expected switch fall-throughs (jsc#SLE-4712
  bsc#1136156).
- scsi: hpsa: switch to generic DMA API (jsc#SLE-4712
  bsc#1136156).
- scsi: hpsa: Use vmemdup_user to replace the open code
  (jsc#SLE-4712 bsc#1136156).
- new primitive: vmemdup_user() (jsc#SLE-4712 bsc#1136156).
- commit b5781c4
* Fri Jun 21 2019 ptesarik@suse.cz
- drivers: depend on HAS_IOMEM for
  devm_platform_ioremap_resource() (bsc#1136333 jsc#SLE-4994).
- Refresh
  patches.drivers/drivers-fix-a-typo-in-the-kernel-doc-for-devm_platfo.patch.
- commit 52b668b
* Fri Jun 21 2019 msuchanek@suse.de
- ibmveth: Update ethtool settings to reflect virtual properties
  (bsc#1136157, LTC#177197).
- commit a759aea
* Fri Jun 21 2019 mfleming@suse.de
- sched/topology: Improve load balancing on AMD EPYC
  (bsc#1137366).
- commit a47b8c8
* Fri Jun 21 2019 jslaby@suse.cz
- x86/cpufeatures: Enumerate the new AVX512 BFLOAT16 instructions
  (jsc#SLE-5382).
- x86/cpufeatures: Combine word 11 and 12 into a new scattered
  features word (jsc#SLE-5382).
  This changes definitions of some bits, but they are intended to be
  used only by the core, so hopefully, no KMP uses the definitions.
- x86/cpufeatures: Carve out CQM features retrieval
  (jsc#SLE-5382).
- commit aa0aabb
* Fri Jun 21 2019 glin@suse.com
- bpf, x64: fix stack layout of JITed bpf code (bsc#1083647).
- bpf, x64: save 5 bytes in prologue when ebpf insns came from
  cbpf (bsc#1083647).
- commit efcaeb6
* Thu Jun 20 2019 lduncan@suse.com
- Updated commit ID for scsi mpt3sas patch
  The SCSI maintainer evidently rebased this patch, so fixing
  it so I can continue adding other patches.
- commit ed0789f
* Thu Jun 20 2019 mbenes@suse.cz
- module: Fix livepatch/ftrace module text permissions race
  (bsc#1071995 fate#323487).
- commit 3eec3e8
* Thu Jun 20 2019 tbogendoerfer@suse.de
- i2c: mlxcpld: Fix wrong initialization order in probe
  (bsc#1112374).
- i2c: mux: mlxcpld: simplify code to reach the adapter
  (bsc#1112374).
- i2c: mlxcpld: Allow configurable adapter id for mlxcpld
  (bsc#1112374).
- i2c: mlxcpld: Fix adapter functionality support callback
  (bsc#1112374).
- i2c: mlxcpld: Add support for smbus block read transaction
  (bsc#1112374).
- i2c: mlxcpld: Add support for extended transaction length for
  i2c-mlxcpld (bsc#1112374).
- commit b1ffdb4
* Thu Jun 20 2019 msuchanek@suse.de
- kernel-binary: rpm does not support multiline condition
- commit aceae50
* Thu Jun 20 2019 msuchanek@suse.de
- kernel-binary: Use -c grep option in klp project detection.
- commit 5def2a2
* Thu Jun 20 2019 msuchanek@suse.de
- kernel-binary: fix missing \
- commit 8325214
* Thu Jun 20 2019 tbogendoerfer@suse.de
- drivers: fix a typo in the kernel doc for
  devm_platform_ioremap_resource() (bsc#1136333 jsc#SLE-4994).
- commit eebc916
* Thu Jun 20 2019 neilb@suse.com
- Don't restrict NFSv4.2 on openSUSE (bsc#1138719).
- commit 4f6fcf9
* Wed Jun 19 2019 msuchanek@suse.de
- powerpc/pseries/dlpar: Fix a missing check in
  dlpar_parse_cc_property() (bsc#1137194, CVE-2019-12614).
- commit 0a4b38d
* Wed Jun 19 2019 tbogendoerfer@suse.de
- Update config files.
- supported.conf: added mlxbf_tmfifo (bsc#1136333 jsc#SLE-4994)
- commit 9edeeb4
* Wed Jun 19 2019 tbogendoerfer@suse.de
- platform/x86: mlx-platform: Add mlx-wdt platform driver
  activation (bsc#1112374).
- platform/x86: mlx-platform: Add support for tachometer speed
  register (bsc#1112374).
- platform/mellanox: Add TmFifo driver for Mellanox BlueField Soc
  (bsc#1136333 jsc#SLE-4994).
- platform_data/mlxreg: additions for Mellanox watchdog driver
  (bsc#1112374).
- platform/x86: mlx-platform: Fix access mode for fan_dir
  attribute (bsc#1112374).
- platform/x86: mlx-platform: Add UID LED for the next generation
  systems (bsc#1112374).
- platform/x86: mlx-platform: Add extra CPLD for next generation
  systems (bsc#1112374).
- platform/x86: mlx-platform: Add support for new VMOD0007 board
  name (bsc#1112374).
- platform/x86: mlx-platform: Add support for fan capability
  registers (bsc#1112374).
- platform_data/mlxreg: Add capability field to core platform data
  (bsc#1112374).
- platform_data/mlxreg: Document fixes for core platform data
  (bsc#1112374).
- platform/x86: mlx-platform: Add support for fan direction
  register (bsc#1112374).
- drivers: provide devm_platform_ioremap_resource() (bsc#1136333
  jsc#SLE-4994).
- platform/x86: mlx-platform: Convert to use SPDX identifier
  (bsc#1112374).
- platform/x86: mlx-platform: Allow mlxreg-io driver activation
  for new systems (bsc#1112374).
- platform/x86: mlx-platform: Fix LED configuration (bsc#1112374).
- platform/x86: mlx-platform: Fix tachometer registers
  (bsc#1112374).
- platform/x86: mlx-platform: Rename new systems product names
  (bsc#1112374).
- platform/x86: mlx-platform: Add definitions for new registers
  (bsc#1112374).
- platform/x86: mlx-platform: Fix copy-paste error in
  mlxplat_init() (bsc#1112374).
- platform/x86: mlx-platform: Remove unused define (bsc#1112374).
- platform/x86: mlx-platform: Change mlxreg-io configuration
  for MSN274x systems (bsc#1112374).
- platform/x86: mlx-platform: Allow mlxreg-io driver activation
  for more systems (bsc#1112374).
- platform/x86: mlx-platform: Add ASIC hotplug device
  configuration (bsc#1112374).
- platform/x86: mlx-platform: Add mlxreg-fan platform driver
  activation (bsc#1112374).
- platform/x86: mlx-platform: Add mlxreg-io platform driver
  activation (bsc#1112374).
- platform/x86: mlx-platform: Add LED platform driver activation
  (bsc#1112374).
- platform/mellanox: Add new ODM system types to mlx-platform
  (bsc#1112374).
- commit 864fc01
* Wed Jun 19 2019 tiwai@suse.de
- drm/i915: Fix uninitialized mask in
  intel_device_info_subplatform_init (jsc#SLE-4986).
- drm/i915: Introduce concept of a sub-platform (jsc#SLE-4986).
- drm/i915: Split some PCI ids into separate groups
  (jsc#SLE-4986).
- drm/i915: Remove redundant device id from IS_IRONLAKE_M macro
  (jsc#SLE-4986).
- drm/i915: Split Pineview device info into desktop and mobile
  (jsc#SLE-4986).
- drm/i915/cml: Add CML PCI IDS (jsc#SLE-4986).
- drm/i915: Add new ICL PCI ID (jsc#SLE-4986).
- drm/i915: Mark AML 0x87CA as ULX (jsc#SLE-4986).
- drm/i915/cfl: Adding another PCI Device ID (jsc#SLE-4986).
- drm/i915/icl: Adding few more device IDs for Ice Lake
  (jsc#SLE-4986).
- drm/i915: start moving runtime device info to a separate struct
  (jsc#SLE-4986).
- drm/i915/aml: Add new Amber Lake PCI ID (jsc#SLE-4986).
- drm/i915: Apply correct ddi translation table for AML device
  (jsc#SLE-4986).
- drm/i915: Add new AML_ULX support list (jsc#SLE-4986).
- drm/i915: Move final cleanup of drm_i915_private to
  i915_driver_destroy (jsc#SLE-4986).
- drm/i915: Attach the pci match data to the device upon creation
  (jsc#SLE-4986).
- commit a1191ea
* Wed Jun 19 2019 tbogendoerfer@suse.de
- ipv6: fib: Don't assume only nodes hold a reference on routes
  (bsc#1138732).
- commit 286abc3
* Wed Jun 19 2019 tiwai@suse.de
- audit: fix a memory leak bug (bsc#1051510).
- commit 20dd9ba
* Wed Jun 19 2019 tiwai@suse.de
- af_key: unconditionally clone on broadcast (bsc#1051510).
- commit 3ddf011
* Wed Jun 19 2019 tiwai@suse.de
- 6lowpan: Off by one handling ->nexthdr (bsc#1051510).
- commit a37dca9
* Wed Jun 19 2019 tiwai@suse.de
- vlan: disable SIOCSHWTSTAMP in container (bsc#1051510).
- commit 6ec05b1
* Wed Jun 19 2019 tiwai@suse.de
- tty: max310x: Fix external crystal register setup (bsc#1051510).
- commit f04fcd0
* Wed Jun 19 2019 tiwai@suse.de
- thermal: rcar_gen3_thermal: disable interrupt in .remove
  (bsc#1051510).
- drivers: thermal: tsens: Don't print error message on
  - EPROBE_DEFER (bsc#1051510).
- tmpfs: fix uninitialized return value in shmem_link
  (bsc#1051510).
- tmpfs: fix link accounting when a tmpfile is linked in
  (bsc#1051510).
- commit 8e9ff58
* Wed Jun 19 2019 tiwai@suse.de
- soc: rockchip: Set the proper PWM for rk3288 (bsc#1051510).
- soc: mediatek: pwrap: Zero initialize rdata in pwrap_init_cipher
  (bsc#1051510).
- commit a31492b
* Wed Jun 19 2019 tiwai@suse.de
- qmi_wwan: extend permitted QMAP mux_id value range
  (bsc#1051510).
- qmi_wwan: avoid RCU stalls on device disconnect when in QMAP
  mode (bsc#1051510).
- qmi_wwan: add network device usage statistics for qmimux devices
  (bsc#1051510).
- qmi_wwan: add support for QMAP padding in the RX path
  (bsc#1051510).
- rapidio: fix a NULL pointer dereference when create_workqueue()
  fails (bsc#1051510).
- drivers/rapidio/rio_cm.c: fix potential oops in
  riocm_ch_listen() (bsc#1051510).
- drivers/rapidio/devices/rio_mport_cdev.c: fix resource leak
  in error handling path in 'rio_dma_transfer()' (bsc#1051510).
- commit 50161e7
* Wed Jun 19 2019 tiwai@suse.de
- kABI workaround for asus-wmi changes (bsc#1051510).
- commit 5a2c76a
* Wed Jun 19 2019 tiwai@suse.de
- platform/x86: asus-wmi: Only Tell EC the OS will handle display
  hotkeys from asus_nb_wmi (bsc#1051510).
- commit 6c6c714
* Wed Jun 19 2019 tiwai@suse.de
- nl80211: fix station_info pertid memory leak (bsc#1051510).
- {nl,mac}80211: allow 4addr AP operation on crypto controlled
  devices (bsc#1051510).
- commit fbafa90
* Wed Jun 19 2019 tiwai@suse.de
- cfg80211: fix memory leak of wiphy device name (bsc#1051510).
- commit 10e032a
* Wed Jun 19 2019 oneukum@suse.com
- USB: serial: pl2303: fix tranceiver suspend mode (bsc#1135642).
- commit 5971a4e
* Wed Jun 19 2019 oneukum@suse.com
- usb: xhci: avoid null pointer deref when bos field is NULL
  (bsc#1135642).
- commit 9a68aa9
* Wed Jun 19 2019 lhenriques@suse.com
- ceph: flush dirty inodes before proceeding with remount
  (bsc#1138681).
- rbd: don't assert on writes to snapshots (bsc#1137985
  bsc#1138681).
- ceph: print inode number in __caps_issued_mask debugging
  messages (bsc#1138681).
- ceph: fix potential use-after-free in ceph_mdsc_build_path
  (bsc#1138681).
- ceph: fix NULL pointer deref when debugging is enabled
  (bsc#1138681).
- ceph: quota: fix quota subdir mounts (bsc#1138681).
- ceph: factor out ceph_lookup_inode() (bsc#1138681).
- ceph: remove duplicated filelock ref increase (bsc#1138681).
- commit d183b27
* Wed Jun 19 2019 jdelvare@suse.de
- i2c-piix4: Add Hygon Dhyana SMBus support (FATE#327735).
- hwmon: (k10temp) Add Hygon Dhyana support (FATE#327735).
- hwmon/k10temp, x86/amd_nb: Consolidate shared device IDs
  (FATE#327735).
- hwmon: (k10temp) Support all Family 15h Model 6xh and Model
  7xh processors (FATE#327735).
- hwmon: k10temp: Support Threadripper 2920X, 2970WX; simplify
  offset table (FATE#327735).
- hwmon: (k10temp) 27C Offset needed for Threadripper2
  (FATE#327735).
- hwmon: (k10temp) Make function get_raw_temp static
  (FATE#327735).
- hwmon: (k10temp) Display both Tctl and Tdie (FATE#327735).
- hwmon: (k10temp) Add support for Stoney Ridge and Bristol
  Ridge CPUs (FATE#327735).
- hwmon: (k10temp) Use API function to access System Management
  Network (FATE#327735).
- x86/amd_nb: Add support for Raven Ridge CPUs (FATE#327735).
- hwmon: (k10temp) Fix reading critical temperature register
  (FATE#327735).
- hwmon: (k10temp) Add support for AMD Ryzen w/ Vega graphics
  (FATE#327735).
- hwmon: (k10temp) Add temperature offset for Ryzen 2700X
  (FATE#327735).
- hwmon: (k10temp) Only apply temperature offset if result is
  positive (FATE#327735).
- hwmon: (k10temp) Add temperature offset for Ryzen 1900X
  (FATE#327735).
- hwmon: (k10temp) Correct model name for Ryzen 1600X
  (FATE#327735).
- hwmon: (k10temp) Add support for temperature offsets
  (FATE#327735).
- hwmon: (k10temp) Add support for family 17h (FATE#327735).
- hwmon: (k10temp) Move chip specific code into probe function
  (FATE#327735).
- commit a0260ad
* Wed Jun 19 2019 jack@suse.cz
- scsi: vmw_pscsi: Fix use-after-free in pvscsi_queue_lck()
  (bsc#1135296).
- commit da9726e
* Wed Jun 19 2019 tiwai@suse.de
- Revert "s390/jump_label: Use "jdd" constraint on gcc9 (bsc#1138589)."
  This broke the build with older gcc instead.
- commit fc3fbab
* Tue Jun 18 2019 msuchanek@suse.de
- s390/jump_label: Use "jdd" constraint on gcc9 (bsc#1138589).
- commit 53c4fbd
* Tue Jun 18 2019 ptesarik@suse.cz
- s390/pci: map IOV resources (jsc#SLE-5803 FATE#327056).
- Refresh
  patches.arch/s390-pci-move-everything-irq-related-to-pci_irq-c.
- Refresh
  patches.arch/s390-pci-provide-support-for-mio-instructions.
- commit 35042db
* Tue Jun 18 2019 ptesarik@suse.cz
- s390/pci: improve bar check (jsc#SLE-5803 FATE#327056).
- Refresh
  patches.arch/s390-pci-provide-support-for-mio-instructions.
- commit 8fd7321
* Tue Jun 18 2019 ptesarik@suse.cz
- s390/pci: skip VF scanning (jsc#SLE-5803 FATE#327056).
- commit f8836b4
* Tue Jun 18 2019 ptesarik@suse.cz
- kabi: Mask no_vf_scan in struct pci_dev (jsc#SLE-5803
  FATE#327056).
- PCI/IOV: Add flag so platforms can skip VF scanning
  (jsc#SLE-5803 FATE#327056).
- commit aa45c89
* Tue Jun 18 2019 ptesarik@suse.cz
- PCI/IOV: Factor out sriov_add_vfs() (jsc#SLE-5803 FATE#327056).
- commit 8b69ce9
* Tue Jun 18 2019 oneukum@suse.com
- Refresh
  patches.fixes/0001-mwifiex-Abort-at-too-short-BSS-descriptor-element.patch.
- Refresh
  patches.fixes/0001-mwifiex-Fix-heap-overflow-in-mwifiex_uap_parse_tail_.patch.
- Refresh
  patches.fixes/0001-mwifiex-Fix-possible-buffer-overflows-at-parsing-bss.patch.
  Now in mainline, headers fixed up
- commit 7a522c5
* Tue Jun 18 2019 ptesarik@suse.cz
- PCI: Disable VF decoding before pcibios_sriov_disable()
  updates resources (jsc#SLE-5803 FATE#327056).
- Refresh
  patches.arch/PCI-Remove-reset-argument-from-pci_iov_-add-remove-_.patch.
- commit e80aa5a
* Tue Jun 18 2019 mkubecek@suse.cz
- Update "SACK Panic" patches to reflect upstream state.
- squash patches.fixes/tcp-fix-fack_count-accounting-on-tcp_shift_skb_data.patch
  into patches.fixes/tcp-limit-payload-size-of-sacked-skbs.patch
  to match what stable backports do
- update upstream references:
  patches.fixes/tcp-enforce-tcp_min_snd_mss-in-tcp_mtu_probing.patch.
  patches.fixes/tcp-limit-payload-size-of-sacked-skbs.patch.
  patches.fixes/tcp-add-tcp_min_snd_mss-sysctl.patch.
  patches.fixes/tcp-tcp_fragment-should-apply-sane-memory-limits.patch.
- sort patches to proper position
- commit 1945dc3
* Tue Jun 18 2019 neilb@suse.com
- Update patches.fixes/nfsd-COPY-and-CLONE-operations-require-the-saved-fil.patch
  (git-fixes, bsc#1137103, CVE-2018-16871).
  add CVE tag
- commit 9e07b8f
* Mon Jun 17 2019 ptesarik@suse.cz
- Update config files.
- commit 1705ab7
* Mon Jun 17 2019 ptesarik@suse.cz
- s390/uv: introduce guest side ultravisor code (jsc#SLE-5759
  FATE#327003 bsc#1135153 LTC#173151).
- Update config files.
- Refresh patches.arch/s390-enable-processes-for-mio-instructions.
- commit 8d66a40
* Mon Jun 17 2019 bp@suse.de
- EDAC/mc: Fix edac_mc_find() in case no device is found
  (bsc#1114279).
- commit e36bcd5
* Mon Jun 17 2019 hare@suse.de
- scsi: qla2xxx: Fix FC-AL connection target discovery
  (bsc#1094555).
- scsi: qla2xxx: Fix N2N target discovery with Local loop
  (bsc#1094555).
- commit 6a0cdc5
* Mon Jun 17 2019 bp@suse.de
- blacklist.conf: Documentation only
- commit 71f13a4
* Mon Jun 17 2019 bp@suse.de
- x86/speculation/mds: Revert CPU buffer clear on double fault
  exit (bsc#1114279).
- commit a17d086
* Mon Jun 17 2019 ptesarik@suse.cz
- s390/protvirt: block kernel command line alteration
  (jsc#SLE-5759 FATE#327003 bsc#1135153 LTC#173151).
- s390/protvirt: add memory sharing for diag 308 set/store
  (jsc#SLE-5759 FATE#327003 bsc#1135153 LTC#173151).
- commit 0bd8e94
* Mon Jun 17 2019 bp@suse.de
- x86/mce: Fix machine_check_poll() tests for error types
  (bsc#1114279).
- commit e55e378
* Mon Jun 17 2019 bp@suse.de
- x86/microcode: Fix the ancient deprecated microcode loading
  method (bsc#1114279).
- commit 6d600e7
* Mon Jun 17 2019 bp@suse.de
- x86/mm/mem_encrypt: Disable all instrumentation for early SME
  setup (bsc#1114279).
- commit 3448653
* Mon Jun 17 2019 bp@suse.de
- x86/umip: Make the UMIP activated message generic (bsc#1138336).
- x86/umip: Print UMIP line only once (bsc#1138336).
- commit b8ed726
* Mon Jun 17 2019 ptesarik@suse.cz
- kabi/severities: Whitelist airq_iv_* (s390-specific)
- commit 7603816
* Mon Jun 17 2019 tiwai@suse.de
- watchdog: imx2_wdt: Fix set_timeout for big timeout values
  (bsc#1051510).
- commit 36d29bd
* Mon Jun 17 2019 tiwai@suse.de
- video: imsttfb: fix potential NULL pointer dereferences
  (bsc#1051510).
- video: hgafb: fix potential NULL pointer dereference
  (bsc#1051510).
- virtio_console: initialize vtermno value for ports
  (bsc#1051510).
- commit 080b4ed
* Mon Jun 17 2019 tiwai@suse.de
- usb: dwc2: Fix DMA cache alignment issues (bsc#1051510).
- commit c4f5a31
* Mon Jun 17 2019 tiwai@suse.de
- spi: spi-fsl-spi: call spi_finalize_current_message() at the
  end (bsc#1051510).
- spi: bitbang: Fix NULL pointer dereference in
  spi_unregister_master (bsc#1051510).
- spi: pxa2xx: fix SCR (divisor) calculation (bsc#1051510).
- spi: tegra114: reset controller on probe (bsc#1051510).
- spi : spi-topcliff-pch: Fix to handle empty DMA buffers
  (bsc#1051510).
- spi: Fix zero length xfer bug (bsc#1051510).
- commit 67743a6
* Mon Jun 17 2019 tiwai@suse.de
- blacklist.conf: Add reverted commits
- commit 53e0469
* Mon Jun 17 2019 tiwai@suse.de
- serial: sh-sci: disable DMA for uart_console (bsc#1051510).
- commit b9c3164
* Mon Jun 17 2019 tiwai@suse.de
- qmi_wwan: Add quirk for Quectel dynamic config (bsc#1051510).
- qlcnic: Avoid potential NULL pointer dereference (bsc#1051510).
- commit 0e367f8
* Mon Jun 17 2019 tiwai@suse.de
- power: supply: max14656: fix potential use-before-alloc
  (bsc#1051510).
- PM / core: Propagate dev->power.wakeup_path when no callbacks
  (bsc#1051510).
- power: supply: sysfs: prevent endless uevent loop with
  CONFIG_POWER_SUPPLY_DEBUG (bsc#1051510).
- commit 5350e46
* Mon Jun 17 2019 tiwai@suse.de
- platform/x86: mlx-platform: Fix parent device in i2c-mux-reg
  device registration (bsc#1051510).
- platform/chrome: cros_ec_proto: check for NULL transfer function
  (bsc#1051510).
- commit 25f102b
* Mon Jun 17 2019 tiwai@suse.de
- nvmem: core: fix read buffer in place (bsc#1051510).
- nvmem: allow to select i.MX nvmem driver for i.MX 7D
  (bsc#1051510).
- nvmem: Don't let a NULL cell_id for nvmem_cell_get() crash us
  (bsc#1051510).
- nvmem: properly handle returned value nvmem_reg_read
  (bsc#1051510).
- nvmem: imx-ocotp: Update module description (bsc#1051510).
- nvmem: imx-ocotp: Enable i.MX7D OTP write support (bsc#1051510).
- nvmem: imx-ocotp: Add i.MX7D timing write clock setup support
  (bsc#1051510).
- nvmem: imx-ocotp: Move i.MX6 write clock setup to dedicated
  function (bsc#1051510).
- nvmem: imx-ocotp: Add support for banked OTP addressing
  (bsc#1051510).
- nvmem: imx-ocotp: Pass parameters via a struct (bsc#1051510).
- nvmem: imx-ocotp: Restrict OTP write to IMX6 processors
  (bsc#1051510).
- nvmem: correct Broadcom OTP controller driver writes
  (bsc#1051510).
- commit 995ba83
* Mon Jun 17 2019 tiwai@suse.de
- mmc: mmci: Prevent polling for busy detection in IRQ context
  (bsc#1051510).
- mmc: core: make pwrseq_emmc (partially) support sleepy GPIO
  controllers (bsc#1051510).
- mmc: sdhci-of-esdhc: add erratum eSDHC-A001 and A-008358 support
  (bsc#1051510).
- commit 4cc9ed1
* Mon Jun 17 2019 tiwai@suse.de
- mfd: tps65912-spi: Add missing of table registration
  (bsc#1051510).
- mfd: intel-lpss: Set the device in reset state when init
  (bsc#1051510).
- mfd: twl6040: Fix device init errors for ACCCTL register
  (bsc#1051510).
- commit 45c05ed
* Mon Jun 17 2019 tiwai@suse.de
- drbd: Avoid Clang warning about pointless switch statment
  (bsc#1051510).
- drbd: skip spurious timeout (ping-timeo) when failing promote
  (bsc#1051510).
- drbd: disconnect, if the wrong UUIDs are attached on a connected
  peer (bsc#1051510).
- drbd: narrow rcu_read_lock in drbd_sync_handshake (bsc#1051510).
- commit 1b56dd8
* Mon Jun 17 2019 ptesarik@suse.cz
- kabi/severities: Whitelist more s390x internal symbols
- commit 896cfde
* Mon Jun 17 2019 tiwai@suse.de
- platform/mellanox: mlxreg-hotplug: Add devm_free_irq call to
  remove flow (bsc#1111666).
- commit aaa2fa7
* Mon Jun 17 2019 tiwai@suse.de
- drm: add fallback override/firmware EDID modes workaround
  (bsc#1111666).
- drm/edid: abstract override/firmware EDID retrieval
  (bsc#1111666).
- drm/nouveau/kms/gv100-: fix spurious window immediate interlocks
  (bsc#1111666).
- commit 1b96428
* Mon Jun 17 2019 ptesarik@suse.cz
- kabi: s390: enum interruption_class (jsc#SLE-5789 FATE#327042
  bsc#1134730 LTC#173388).
- commit 717814d
* Mon Jun 17 2019 msuchanek@suse.de
- powerpc/pseries: Fix oops in hotplug memory notifier
  (bsc#1138375, LTC#178204).
- commit 9d7a7e0
* Mon Jun 17 2019 msuchanek@suse.de
- powerpc/pseries/mobility: rebuild cacheinfo hierarchy
  post-migration (bsc#1138374, LTC#178199).
- powerpc/pseries/mobility: prevent cpu hotplug during DT update
  (bsc#1138374, LTC#178199).
- powerpc/cacheinfo: add cacheinfo_teardown, cacheinfo_rebuild
  (bsc#1138374, LTC#178199).
- commit 8800c92
* Mon Jun 17 2019 bpoirier@suse.com
- Update patches.fixes/0001-docs-Fix-conf.py-for-Sphinx-2.0.patch
  (bsc#1135642).
  Fix patch header.
- commit ba543a6
* Sun Jun 16 2019 tiwai@suse.de
- HID: wacom: Sync INTUOSP2_BT touch state after each frame if
  necessary (bsc#1051510).
- HID: wacom: Correct button numbering 2nd-gen Intuos Pro over
  Bluetooth (bsc#1051510).
- HID: wacom: Send BTN_TOUCH in response to INTUOSP2_BT eraser
  contact (bsc#1051510).
- HID: wacom: Don't report anything prior to the tool entering
  range (bsc#1051510).
- HID: wacom: Don't set tool type until we're in range
  (bsc#1051510).
- HID: wacom: Add support for Pro Pen slim (bsc#1051510).
- HID: wacom: Mark expected switch fall-through (bsc#1051510).
- HID: wacom: Move HID fix for AES serial number into
  wacom_hid_usage_quirk (bsc#1051510).
- commit 79b71a9
* Sun Jun 16 2019 tiwai@suse.de
- HID: wacom: Work around HID descriptor bug in DTK-2451 and
  DTH-2452 (bsc#1051510).
- HID: wacom: convert Wacom custom usages to standard HID usages
  (bsc#1051510).
- HID: wacom: Move handling of HID quirks into a dedicated
  function (bsc#1051510).
- HID: wacom: Replace touch_max fixup code with static touch_max
  definitions (bsc#1051510).
- HID: wacom: Support "in range" for Intuos/Bamboo tablets where
  possible (bsc#1051510).
- HID: wacom: wacom_wac_collection() is local to wacom_wac.c
  (bsc#1051510).
- HID: wacom: generic: add the "Report Valid" usage (bsc#1051510).
- HID: wacom: generic: Support multiple tools per report
  (bsc#1051510).
- commit 9c8c33c
* Sun Jun 16 2019 tiwai@suse.de
- HID: wacom: Add support for 3rd generation Intuos BT
  (bsc#1051510).
- Refresh
  patches.drivers/HID-wacom-bluetooth-send-exit-report-for-recent-Blue.
- commit 792a1fe
* Sun Jun 16 2019 tiwai@suse.de
- HID: wacom: Queue events with missing type/serial data for
  later processing (bsc#1051510).
- HID: wacom: Properly handle AES serial number and tool type
  (bsc#1051510).
- HID: Wacom: switch Dell canvas into highres mode (bsc#1051510).
- HID: wacom: generic: Send BTN_STYLUS3 when both barrel switches
  are set (bsc#1051510).
- Revert "HID: wacom: generic: Send BTN_TOOL_PEN in prox once
  the pen enters range" (bsc#1051510).
- HID: wacom: generic: Reset events back to zero when pen leaves
  (bsc#1051510).
- HID: wacom: generic: Send BTN_TOOL_PEN in prox once the pen
  enters range (bsc#1051510).
- HID: wacom: generic: Leave tool in prox until it completely
  leaves sense (bsc#1051510).
- commit 92be99e
* Sun Jun 16 2019 tiwai@suse.de
- HID: wacom: generic: Use generic codepath terminology in
  wacom_wac_pen_report (bsc#1051510).
- HID: wacom: Remove comparison of u8 mode with zero and simplify
  (bsc#1051510).
- HID: wacom: fix mistake in printk (bsc#1051510).
- HID: wacom: generic: Refactor generic battery handling
  (bsc#1051510).
- HID: wacom: Add ability to provide explicit battery status info
  (bsc#1051510).
- HID: wacom: generic: Report AES battery information
  (bsc#1051510).
- HID: wacom: generic: Ignore HID_DG_BATTERYSTRENTH == 0
  (bsc#1051510).
- HID: wacom: generic: Scale battery capacity measurements to
  percentages (bsc#1051510).
- commit 8ba2cf7
* Sun Jun 16 2019 tiwai@suse.de
- blacklist.conf: Add superfluous Kconfig changes in stable commits
- commit 0eb5b68
* Sun Jun 16 2019 tiwai@suse.de
- drm/i915/sdvo: Implement proper HDMI audio support for SDVO
  (bsc#1051510).
- commit 800f685
* Sun Jun 16 2019 tiwai@suse.de
- drm/i915/perf: fix whitelist on Gen10+ (bsc#1051510).
- drm/nouveau/disp/dp: respect sink limits when selecting failsafe
  link configuration (bsc#1051510).
- commit a76b3ec
* Sun Jun 16 2019 tiwai@suse.de
- drm/mediatek: call mtk_dsi_stop() after
  mtk_drm_crtc_atomic_disable() (bsc#1111666).
- drm/mediatek: clear num_pipes when unbind driver (bsc#1111666).
- drm/mediatek: call drm_atomic_helper_shutdown() when unbinding
  driver (bsc#1111666).
- drm/mediatek: unbind components in mtk_drm_unbind()
  (bsc#1111666).
- drm/mediatek: fix unbind functions (bsc#1111666).
- drm/nouveau/kms/gf119-gp10x: push HeadSetControlOutputResource()
  mthd when encoders change (bsc#1111666).
- drm/amd/display: Use plane->color_space for dpp if specified
  (bsc#1111666).
- commit 3ac8ad5
* Sat Jun 15 2019 bp@suse.de
- perf tools: Add Hygon Dhyana support (fate#327735).
- commit 26d3159
* Sat Jun 15 2019 bp@suse.de
- tools/cpupower: Add Hygon Dhyana support (fate#327735).
- commit 2810ead
* Sat Jun 15 2019 bp@suse.de
- EDAC, amd64: Add Hygon Dhyana support (fate#327735).
- commit a764bc7
* Sat Jun 15 2019 bp@suse.de
- cpufreq: Add Hygon Dhyana support (fate#327735).
- commit 85f4332
* Sat Jun 15 2019 bp@suse.de
- cpufreq: AMD: Ignore the check for ProcFeedback in ST/CZ
  (fate#327735).
- commit 1efb484
* Sat Jun 15 2019 bp@suse.de
- ACPI: Add Hygon Dhyana support (fate#327735).
- commit 29482a8
* Sat Jun 15 2019 bp@suse.de
- x86/xen: Add Hygon Dhyana support to Xen (fate#327735).
- commit 9cfd6b0
* Sat Jun 15 2019 bp@suse.de
- x86/kvm: Add Hygon Dhyana support to KVM (fate#327735).
- commit d26ddbb
* Sat Jun 15 2019 bp@suse.de
- x86/mce: Add Hygon Dhyana support to the MCA infrastructure
  (fate#327735).
- commit e8b6320
* Sat Jun 15 2019 bp@suse.de
- x86/bugs: Add Hygon Dhyana to the respective mitigation
  machinery (fate#327735).
- Refresh
  patches.arch/x86-speculation-consolidate-cpu-whitelists.patch.
- Refresh
  patches.arch/x86-speculation-mds-add-basic-bug-infrastructure-for-mds.patch.
- commit 950ac78
* Sat Jun 15 2019 bp@suse.de
- x86/apic: Add Hygon Dhyana support (fate#327735).
- commit 67e2d3f
* Sat Jun 15 2019 bp@suse.de
- x86/pci, x86/amd_nb: Add Hygon Dhyana support to PCI and
  northbridge (fate#327735).
- commit 732e9eb
* Sat Jun 15 2019 bp@suse.de
- x86/amd_nb: Check vendor in AMD-only functions (fate#327735).
- x86/alternative: Init ideal_nops for Hygon Dhyana (fate#327735).
- commit 9641595
* Sat Jun 15 2019 bp@suse.de
- x86/events: Add Hygon Dhyana support to PMU infrastructure
  (fate#327735).
- commit e0edbf2
* Sat Jun 15 2019 bp@suse.de
- x86/smpboot: Do not use BSP INIT delay and MWAIT to idle on
  Dhyana (fate#327735).
- commit 0a372f4
* Sat Jun 15 2019 bp@suse.de
- x86/cpu/mtrr: Support TOP_MEM2 and get MTRR number
  (fate#327735).
- commit 317d610
* Fri Jun 14 2019 bp@suse.de
- x86/cpu: Get cache info and setup cache cpumap for Hygon Dhyana
  (fate#327735).
- commit d0d2f71
* Fri Jun 14 2019 tiwai@suse.de
- kABI workaround for the new pci_dev.skip_bus_pm field addition
  (bsc#1051510).
- PCI: PM: Avoid possible suspend-to-idle issue (bsc#1051510).
- commit d586254
* Fri Jun 14 2019 tiwai@suse.de
- Revert "ALSA: hda/realtek - Improve the headset mic for Acer
  Aspire laptops" (bsc#1051510).
- ASoC: cs42xx8: Add regcache mask dirty (bsc#1051510).
- ASoC: fsl_asrc: Fix the issue about unsupported rate
  (bsc#1051510).
- ALSA: oxfw: allow PCM capture for Stanton SCS.1m (bsc#1051510).
- ALSA: firewire-motu: fix destruction of data for isochronous
  resources (bsc#1051510).
- ALSA: hda/realtek - Update headset mode for ALC256
  (bsc#1051510).
- commit 4f42d54
* Fri Jun 14 2019 bp@suse.de
- x86/cpu: Create Hygon Dhyana architecture support file
  (fate#327735).
- commit 4a184d9
* Fri Jun 14 2019 ptesarik@suse.cz
- s390/pci: fix assignment of bus resources (jsc#SLE-5802
  FATE#327055 bsc#1134738 LTC#173387).
- s390/pci: fix struct definition for set PCI function
  (jsc#SLE-5802 FATE#327055 bsc#1134738 LTC#173387).
- s390: enable processes for mio instructions (jsc#SLE-5802
  FATE#327055 bsc#1134738 LTC#173387).
- s390/pci: add parameter to disable usage of MIO instructions
  (jsc#SLE-5802 FATE#327055 bsc#1134738 LTC#173387).
- s390/pci: provide support for MIO instructions (jsc#SLE-5802
  FATE#327055 bsc#1134738 LTC#173387).
- s390/ism: move oddities of device IO to wrapper function
  (jsc#SLE-5802 FATE#327055 bsc#1134738 LTC#173387).
- s390/pci: move io address mapping code to pci_insn.c
  (jsc#SLE-5802 FATE#327055 bsc#1134738 LTC#173387).
- commit b9dc255
* Fri Jun 14 2019 ptesarik@suse.cz
- kabi/severities: Whitelist s390 internal-only symbols
- commit 61ad3b3
* Fri Jun 14 2019 tiwai@suse.de
- platform/x86: intel_pmc_core: Mark local function static
  (jsc#SLE-5226).
- commit 0815ee8
* Fri Jun 14 2019 msuchanek@suse.de
- powerpc/mm/64s/hash: Reallocate context ids on fork
  (bsc#1138263, CVE-2019-12817).
- commit dfe9f73
* Fri Jun 14 2019 tiwai@suse.de
- Update patch referecens for two sercurity fixes (CVE-2019-12819, bsc#1138291, CVE-2019-12818, bsc#1138293).
- commit 481b6f0
* Fri Jun 14 2019 lhenriques@suse.com
- libceph: check reply num_data_items in setup_request_data()
  (bsc#1135897).
- Refresh
  patches.drivers/libceph-add-support-for-CMPEXT-compare-extent-reques.patch.
- Refresh
  patches.drivers/ceph-osd_client-add-support-for-CEPH_OSD_OP_GETXATTR.patch.
- Refresh
  patches.drivers/libceph-add-support-for-write-same-requests.patch.
- commit 3519044
* Fri Jun 14 2019 tiwai@suse.de
- platform/x86: intel_pmc_core: Quirk to ignore XTAL shutdown
  (jsc#SLE-5226).
- platform/x86: intel_pmc_core: Add Package cstates residency info
  (jsc#SLE-5226).
- platform/x86: intel_pmc_core: Add ICL platform support
  (jsc#SLE-5226).
- platform/x86: intel_pmc_core: Avoid a u32 overflow
  (jsc#SLE-5226).
- platform/x86: intel_pmc_core: Include Reserved IP for LTR
  (jsc#SLE-5226).
- x86/CPU: Add Icelake model number (jsc#SLE-5226).
- commit 354422d
* Fri Jun 14 2019 tiwai@suse.de
- dmaengine: tegra210-adma: Fix crash during probe (bsc#1111666).
- commit cb5be8f
* Fri Jun 14 2019 tbogendoerfer@suse.de
- iw_cxgb4: Fix qpid leak (bsc#1136348 jsc#SLE-4684).
- RDMA/cxgb4: Don't expose DMA addresses (bsc#1136348
  jsc#SLE-4684).
- RDMA/cxgb4: Use sizeof() notation (bsc#1136348 jsc#SLE-4684).
- cxgb4: use firmware API for validating filter spec (bsc#1136345
  jsc#SLE-4681).
- cxgb4: Enable hash filter with offload (bsc#1136345
  jsc#SLE-4681).
- bnxt_en: Add device IDs 0x1806 and 0x1752 for 57500 devices
  (bsc#1137224).
- bnxt_en: Add support for BCM957504 (bsc#1137224).
- commit 38af83d
* Fri Jun 14 2019 nsaenzjulienne@suse.de
- HID: input: fix a4tech horizontal wheel custom usage
  (bsc#1137429).
- commit 3cf1881
* Fri Jun 14 2019 tiwai@suse.de
- dmaengine: ioatdma: support latency tolerance report (LTR)
  for v3.4 (jsc#SLE-5442).
- dmaengine: ioatdma: add descriptor pre-fetch support for v3.4
  (jsc#SLE-5442).
- dmaengine: ioatdma: disable DCA enabling on IOATDMA v3.4
  (jsc#SLE-5442).
- dmaengine: ioatdma: Add Snow Ridge ioatdma device id
  (jsc#SLE-5442).
- dmaengine: ioat: fix prototype of ioat_enumerate_channels
  (jsc#SLE-5442).
- dmaengine: ioatdma: set the completion address register after
  channel reset (jsc#SLE-5442).
- drivers/dma/ioat: Remove now-redundant
  smp_read_barrier_depends() (jsc#SLE-5442).
- dmaengine: ioatdma: Add intr_coalesce sysfs entry
  (jsc#SLE-5442).
- dmaengine: ioat: constify pci_device_id (jsc#SLE-5442).
- dmaengine: Replace WARN_TAINT_ONCE() with pr_warn_once()
  (jsc#SLE-5442).
- dmaengine: ioat: don't use DMA_ERROR_CODE (jsc#SLE-5442).
- commit fa6e2b1
* Fri Jun 14 2019 tiwai@suse.de
- i2c: synquacer: fix synquacer_i2c_doxfer() return value
  (bsc#1111666).
- commit 78a4b5f
* Fri Jun 14 2019 tiwai@suse.de
- drm/gma500/cdv: Check vbt config bits when detecting lvds panels
  (bsc#1051510).
- drm/radeon: prefer lower reference dividers (bsc#1051510).
- commit 44c7a53
* Fri Jun 14 2019 tiwai@suse.de
- drm: don't block fb changes for async plane updates
  (bsc#1111666).
- drm/msm: fix fb references in async update (bsc#1111666).
- drm/i915/gvt: Initialize intel_gvt_gtt_entry in stack
  (bsc#1111666).
- drm/i915: Maintain consistent documentation subsection ordering
  (bsc#1111666).
- drm/amdgpu/psp: move psp version specific function pointers
  to early_init (bsc#1111666).
- drm/amdgpu: remove ATPX_DGPU_REQ_POWER_FOR_DISPLAYS check when
  hotplug-in (bsc#1111666).
- drm: add non-desktop quirk for Valve HMDs (bsc#1111666).
- drm: etnaviv: avoid DMA API warning when importing buffers
  (bsc#1111666).
- drm/nouveau/bar/nv50: ensure BAR is mapped (bsc#1111666).
- drm/lease: Make sure implicit planes are leased (bsc#1111666).
- drm/msm: a5xx: fix possible object reference leak (bsc#1111666).
- drm/pl111: fix possible object reference leak (bsc#1111666).
- drm/panel: otm8009a: Add delay at the end of initialization
  (bsc#1111666).
- drm/amd/display: fix releasing planes when exiting odm
  (bsc#1111666).
- drm/amd/display: Fix Divide by 0 in memory calculations
  (bsc#1111666).
- drm/amd/display: Set stream->mode_changed when connectors change
  (bsc#1111666).
- drm: add non-desktop quirks to Sensics and OSVR headsets
  (bsc#1111666).
- drm/v3d: Handle errors from IRQ setup (bsc#1111666).
- drm/sun4i: dsi: Enforce boundaries on the start delay
  (bsc#1111666).
- drm/sun4i: dsi: Change the start delay calculation
  (bsc#1111666).
- drm/omap: dsi: Fix PM for display blank with paired dss_pll
  calls (bsc#1111666).
- commit af9c9e7
* Fri Jun 14 2019 tiwai@suse.de
- dmaengine: tegra210-adma: restore channel status (bsc#1111666).
- dmaengine: pl330: _stop: clear interrupt status (bsc#1111666).
- dmaengine: at_xdmac: remove BUG_ON macro in tasklet
  (bsc#1111666).
- commit 90239c9
* Fri Jun 14 2019 tiwai@suse.de
- brcmfmac: fix NULL pointer derefence during USB disconnect
  (bsc#1111666).
- commit 69d5136
* Thu Jun 13 2019 tiwai@suse.de
- spi-nor: intel-spi: Add support for Intel Comet Lake SPI serial
  flash (jsc#SLE-5358).
- mtd: spi-nor: intel-spi: Add support for Intel Ice Lake SPI
  serial flash (jsc#SLE-5358).
- commit bf93079
* Thu Jun 13 2019 tiwai@suse.de
- spi: pxa2xx: Add support for Intel Comet Lake (jsc#SLE-5331).
- i2c: i801: Add support for Intel Comet Lake (jsc#SLE-5331).
- commit 2c93ce9
* Thu Jun 13 2019 aaptel@suse.com
- SMB3: Fix endian warning (bsc#1137884).
- commit db19091
* Thu Jun 13 2019 jack@suse.cz
- nvme-rdma: fix double freeing of async event data (bsc#1120423).
- commit 88632ab
* Thu Jun 13 2019 jack@suse.cz
- nvme-rdma: fix possible double free of controller async event
  buffer (bsc#1120423).
- commit e0009ed
* Thu Jun 13 2019 msuchanek@suse.de
- Build klp-symbols in kernel devel projects.
- commit ffd0ed9
* Thu Jun 13 2019 tiwai@suse.de
- Correct the patch reference tag for scsi fix (bsc#1136922 CVE-2019-12456)
- commit 84f1421
* Wed Jun 12 2019 lduncan@suse.com
- scsi: mpt3sas_ctl: fix double-fetch bug in _ctl_ioctl_main()
  (bsc#1136922 cve-2019-12456).
- commit 4628a5a
* Wed Jun 12 2019 lduncan@suse.com
- scsi: mpt3sas_ctl: fix double-fetch bug in _ctl_ioctl_main()
  (bsc#1136922 cve-2019-12456).
- commit a15320d
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: eof trim writeback mapping as soon as it is cached
  (bsc#1138019).
- commit 237bb05
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: remove XFS_IO_INVALID (bsc#1138017).
- commit ac8a63b
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: refactor the tail of xfs_writepage_map (bsc#1138016).
- commit a20daf3
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: remove xfs_start_page_writeback (bsc#1138015).
- commit d875624
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: move all writeback buffer_head manipulation into
  xfs_map_at_offset (bsc#1138014).
- commit cf774b7
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: don't look at buffer heads in xfs_add_to_ioend
  (bsc#1138013).
- commit ebca087
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: remove the imap_valid flag (bsc#1138012).
- commit 13de851
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: simplify xfs_map_blocks by using xfs_iext_lookup_extent
  directly (bsc#1138011).
- commit d6e36c3
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: remove xfs_reflink_find_cow_mapping (bsc#1138010).
- commit b578118
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: make xfs_writepage_map extent map centric (bsc#1138009).
- commit 0709c6a
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: rename the offset variable in xfs_writepage_map
  (bsc#1138008).
- commit 565882f
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: remove xfs_map_cow (bsc#1138007).
- commit fcfbf37
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: remove xfs_reflink_trim_irec_to_next_cow (bsc#1138006).
- commit 3e058c7
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: don't use XFS_BMAPI_IGSTATE in xfs_map_blocks
  (bsc#1138005).
- commit f64d5e7
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: don't clear imap_valid for a non-uptodate buffers
  (bsc#1138018).
- commit ff6d472
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: do not set the page uptodate in xfs_writepage_map
  (bsc#1138003).
- commit a5dfa25
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: xfs_reflink_convert_cow() memory allocation deadlock
  (bsc#1138002).
- commit c8a7c99
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: minor cleanup for xfs_get_blocks (bsc#1138000).
- commit e483ffc
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: don't use XFS_BMAPI_ENTRIRE in xfs_get_blocks
  (bsc#1137999).
- commit cf7f150
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: skip CoW writes past EOF when writeback races with truncate
  (bsc#1137998).
- commit 8d2bc73
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: fix s_maxbytes overflow problems (bsc#1137996).
- commit 62c74f8
* Wed Jun 12 2019 ailiopoulos@suse.com
- xfs: remove unused parameter from xfs_writepage_map
  (bsc#1137995).
- commit b3f5aef
* Wed Jun 12 2019 tiwai@suse.de
- Refresh patches.fixes/efi-x86-Add-missing-error-handling-to-old_memmap-1-1.patch
  Fix the missing __flush_tlb_all() call in !EFI_OLD_MEMMAP case.
- commit 90f7a62
* Wed Jun 12 2019 tiwai@suse.de
- efi/x86/Add missing error handling to old_memmap 1:1 mapping
  code (CVE-2019-12380,bsc#1136598).
- commit 692028b
* Tue Jun 11 2019 tiwai@suse.de
- wil6210: fix return code of wmi_mgmt_tx and wmi_mgmt_tx_ext
  (bsc#1111666).
- rtlwifi: fix potential NULL pointer dereference (bsc#1111666).
- commit 4475179
* Tue Jun 11 2019 tiwai@suse.de
- rtc: don't reference bogus function pointer in kdoc
  (bsc#1051510).
- commit 1310bf8
* Tue Jun 11 2019 tiwai@suse.de
- rtc: 88pm860x: prevent use-after-free on device remove
  (bsc#1051510).
- commit 2c50489
* Tue Jun 11 2019 tiwai@suse.de
- rtlwifi: fix a potential NULL pointer dereference (bsc#1051510).
- thunderbolt: Fix to check for kmemdup failure (bsc#1051510).
- commit 7397c23
* Tue Jun 11 2019 tiwai@suse.de
- tty: serial: msm_serial: Fix XON/XOFF (bsc#1051510).
- usbip: usbip_host: fix stub_dev lock context imbalance
  regression (bsc#1051510).
- USB: rio500: fix memory leak in close after disconnect
  (bsc#1051510).
- USB: rio500: refuse more than one device at a time
  (bsc#1051510).
- usbip: usbip_host: fix BUG: sleeping function called from
  invalid context (bsc#1051510).
- USB: sisusbvga: fix oops in error path of sisusb_probe
  (bsc#1051510).
- USB: Add LPM quirk for Surface Dock GigE adapter (bsc#1051510).
- USB: Fix slab-out-of-bounds write in usb_get_bos_descriptor
  (bsc#1051510).
- usbnet: fix kernel crash after disconnect (bsc#1051510).
- tty/vt: fix write/write race in ioctl(KDSKBSENT) handler
  (bsc#1051510).
- tty: ipwireless: fix missing checks for ioremap (bsc#1051510).
- USB: core: Don't unbind interfaces following device reset
  failure (bsc#1051510).
- usb: core: Add PM runtime calls to usb_hcd_platform_shutdown
  (bsc#1051510).
- commit 7bab3ca
* Tue Jun 11 2019 tiwai@suse.de
- staging: vc04_services: prevent integer overflow in
  create_pagelist() (bsc#1051510).
- Staging: vc04_services: Fix a couple error codes (bsc#1051510).
- commit faf8391
* Tue Jun 11 2019 tiwai@suse.de
- vxlan: trivial indenting fix (bsc#1051510).
- vxlan: use __be32 type for the param vni in __vxlan_fdb_delete
  (bsc#1051510).
- commit e3d500e
* Tue Jun 11 2019 tiwai@suse.de
- staging: wlan-ng: fix adapter initialization failure
  (bsc#1051510).
- w1: fix the resume command API (bsc#1051510).
- commit 6503b43
* Tue Jun 11 2019 tiwai@suse.de
- fuse: fallocate: fix return with locked inode (bsc#1051510).
- xhci: Use %%zu for printing size_t type (bsc#1051510).
- xhci: Convert xhci_handshake() to use
  readl_poll_timeout_atomic() (bsc#1051510).
- xhci: update bounce buffer with correct sg num (bsc#1051510).
- commit 78f38a5
* Tue Jun 11 2019 tiwai@suse.de
- parport: Fix mem leak in parport_register_dev_model
  (bsc#1051510).
- commit 12b7c53
* Tue Jun 11 2019 tiwai@suse.de
- mmc_spi: add a status check for spi_sync_locked (bsc#1051510).
- commit 521d88d
* Tue Jun 11 2019 tiwai@suse.de
- mmc: sdhci-iproc: Set NO_HISPD bit to fix HS50 data hold time
  problem (bsc#1051510).
- mmc: sdhci-iproc: cygnus: Set NO_HISPD bit to fix HS50 data
  hold time problem (bsc#1051510).
- mmc: core: Verify SD bus width (bsc#1051510).
- mmc: sdhci-of-esdhc: add erratum A-009204 support (bsc#1051510).
- mmc: sdhci-of-esdhc: add erratum eSDHC5 support (bsc#1051510).
- commit e02a49f
* Tue Jun 11 2019 tiwai@suse.de
- media: smsusb: better handle optional alignment (bsc#1051510).
- media: usb: siano: Fix false-positive "uninitialized variable"
  warning (bsc#1051510).
- media: usb: siano: Fix general protection fault in smsusb
  (bsc#1051510).
- mfd: da9063: Fix OTP control register names to match datasheets
  for DA9063/63L (bsc#1051510).
- mfd: max77620: Fix swapped FPS_PERIOD_MAX_US values
  (bsc#1051510).
- media: coda: clear error return value before picture run
  (bsc#1051510).
- media: ov2659: make S_FMT succeed even if requested format
  doesn't match (bsc#1051510).
- media: au0828: stop video streaming only when last user stops
  (bsc#1051510).
- media: au0828: Fix NULL pointer dereference in
  au0828_analog_stream_enable() (bsc#1051510).
- media: m88ds3103: serialize reset messages in
  m88ds3103_set_frontend (bsc#1051510).
- media: go7007: avoid clang frame overflow warning with KASAN
  (bsc#1051510).
- media: saa7146: avoid high stack usage with clang (bsc#1051510).
- media: cpia2: Fix use-after-free in cpia2_exit (bsc#1051510).
- commit e681227
* Tue Jun 11 2019 tiwai@suse.de
- leds: avoid flush_work in atomic context (bsc#1051510).
- mac80211/cfg80211: update bss channel on channel switch
  (bsc#1051510).
- mac80211: Fix kernel panic due to use of txq after free
  (bsc#1051510).
- commit a885e4a
* Tue Jun 11 2019 tiwai@suse.de
- iwlwifi: pcie: don't crash on invalid RX interrupt
  (bsc#1051510).
- iwlwifi: mvm: check for length correctness in
  iwl_mvm_create_skb() (bsc#1051510).
- commit 96e363c
* Tue Jun 11 2019 tiwai@suse.de
- i2c: dev: fix potential memory leak in i2cdev_ioctl_rdwr
  (bsc#1051510).
- iio: ad_sigma_delta: Properly handle SPI bus locking vs CS
  assertion (bsc#1051510).
- iio: hmc5843: fix potential NULL pointer dereferences
  (bsc#1051510).
- iio: common: ssp_sensors: Initialize calculated_time in
  ssp_common_process_data (bsc#1051510).
- commit 422839a
* Tue Jun 11 2019 tiwai@suse.de
- hwmon: (pmbus/core) Treat parameters as paged if on multiple
  pages (bsc#1051510).
- hwmon: (core) add thermal sensors only if dev->of_node is
  present (bsc#1051510).
- gpio: fix gpio-adp5588 build errors (bsc#1051510).
- fuse: honor RLIMIT_FSIZE in fuse_file_fallocate (bsc#1051510).
- fuse: fix writepages on 32bit (bsc#1051510).
- gpio: Remove obsolete comment about gpiochip_free_hogs() usage
  (bsc#1051510).
- extcon: arizona: Disable mic detect if running when driver is
  removed (bsc#1051510).
- HID: logitech-hidpp: use RAP instead of FAP to get the protocol
  version (bsc#1051510).
- HID: logitech-hidpp: change low battery level threshold from
  31 to 30 percent (bsc#1051510).
- hwrng: omap - Set default quality (bsc#1051510).
- commit 7e80b06
* Tue Jun 11 2019 tiwai@suse.de
- drm/amdgpu: fix old fence check in amdgpu_fence_emit
  (bsc#1051510).
- drm/drv: Hold ref on parent device during drm_device lifetime
  (bsc#1051510).
- drm: Wake up next in drm_read() chain if we are forced to
  putback the event (bsc#1051510).
- commit e8a31f2
* Tue Jun 11 2019 tiwai@suse.de
- ALSA: hda/realtek - Set default power save node to 0
  (bsc#1051510).
- ASoC: fsl_sai: Update is_slave_mode with correct value
  (bsc#1051510).
- ASoC: eukrea-tlv320: fix a leaked reference by adding missing
  of_node_put (bsc#1051510).
- ASoC: fsl_utils: fix a leaked reference by adding missing
  of_node_put (bsc#1051510).
- ASoC: hdmi-codec: unlock the device on startup errors
  (bsc#1051510).
- brcmfmac: fix missing checks for kmemdup (bsc#1051510).
- brcmfmac: convert dev_init_lock mutex to completion
  (bsc#1051510).
- brcmfmac: fix Oops when bringing up interface during USB
  disconnect (bsc#1051510).
- brcmfmac: fix race during disconnect when USB completion is
  in progress (bsc#1051510).
- brcmfmac: fix WARNING during USB disconnect in case of unempty
  psq (bsc#1051510).
- batman-adv: allow updating DAT entry timeouts on incoming ARP
  Replies (bsc#1051510).
- chardev: add additional check for minor range overlap
  (bsc#1051510).
- ACPI / property: fix handling of data_nodes in
  acpi_get_next_subnode() (bsc#1051510).
- commit a683629
* Tue Jun 11 2019 fabian.baumanis@suse.com
- docs: Fix conf.py for Sphinx 2.0 (bsc#1135642).
- commit dd9aa10
* Tue Jun 11 2019 fabian.baumanis@suse.com
- Documentation: Correct the possible MDS sysfs values
  (bsc#1135642).
- commit e1b2b70
* Tue Jun 11 2019 fabian.baumanis@suse.com
- test_firmware: Use correct snprintf() limit (bsc#1135642).
- commit 0c24ec2
* Tue Jun 11 2019 jgross@suse.com
- xen/pciback: Don't disable PCI_COMMAND on PCI device reset
  (bsc#1065600).
- commit 53b7eb9
* Tue Jun 11 2019 tiwai@suse.de
- drm_dp_cec: add note about good MegaChips 2900 CEC support
  (bsc#1136978).
- drm_dp_cec: check that aux has a transfer function
  (bsc#1136978).
- commit 2643302
* Tue Jun 11 2019 lhenriques@suse.com
- libceph: preallocate message data items (bsc#1135897).
- Refresh
  patches.drivers/libceph-add-scatterlist-messenger-data-type.patch.
- Refresh
  patches.drivers/ceph-osd_client-add-support-for-CEPH_OSD_OP_GETXATTR.patch.
- Refresh
  patches.drivers/libceph-add-support-for-CMPEXT-compare-extent-reques.patch.
- Refresh
  patches.drivers/libceph-add-support-for-write-same-requests.patch.
- commit 75f2b57
* Tue Jun 11 2019 lhenriques@suse.com
- libceph, rbd, ceph: move ceph_osdc_alloc_messages() calls
  (bsc#1135897).
- Refresh
  patches.suse/rbd-do-away-with-obj_request-in-cmpsetxattr.patch.
- Refresh
  patches.suse/rbd-do-away-with-obj_request-in-getxattr.patch.
- Refresh
  patches.suse/rbd-do-away-with-obj_request-in-setxattr.patch.
- Refresh
  patches.fixes/0002-rbd-make-sure-pages-are-freed-by-libceph.patch.
- Refresh
  patches.drivers/rbd-add-support-for-COMPARE_AND_WRITE-CMPEXT.patch.
- Refresh
  patches.fixes/0001-rbd-drop-extra-rbd_img_request_get.patch.
- Refresh
  patches.fixes/rbd-truncate-objects-on-cmpext-short-reads.patch.
- Refresh
  patches.fixes/rbd-copy-compare-and-write-osd-requests-before-resub.patch.
- commit 6a1b80f
* Tue Jun 11 2019 lpechacek@suse.com
- supported.conf: Add cls_bpf, sch_ingress to kernel-default-base (bsc#1134743).
- commit 8be1691
* Tue Jun 11 2019 mkubecek@suse.cz
- tcp: fix fack_count accounting on tcp_shift_skb_data()
  (CVE-2019-11477 bsc#1137586).
- commit 4a006b2
* Tue Jun 11 2019 tzimmermann@suse.de
- drm/i915/gvt: Fix cmd length of VEB_DI_IECP (bsc#1113722)
- commit 038e070
* Tue Jun 11 2019 tzimmermann@suse.de
- drm/i915/gvt: refine ggtt range validation (bsc#1113722)
- commit 44184d3
* Tue Jun 11 2019 tzimmermann@suse.de
- drm/nouveau/i2c: Disable i2c bus access after ->fini() (bsc#1113722)
- commit 943a224
* Tue Jun 11 2019 mkubecek@suse.cz
- add CVE references to bsc#1137586 patches
  patches.fixes/tcp-add-tcp_min_snd_mss-sysctl.patch (add CVE-2019-11479)
  patches.fixes/tcp-enforce-tcp_min_snd_mss-in-tcp_mtu_probing.patch (add CVE-2019-11479)
  patches.fixes/tcp-limit-payload-size-of-sacked-skbs.patch (add CVE-2019-11477)
  patches.fixes/tcp-tcp_fragment-should-apply-sane-memory-limits.patch (add CVE-2019-11478)
  patches.kabi/kabi-drop-LINUX_MIB_TCPWQUEUETOOBIG-snmp-counter.patch (add CVE-2019-11478)
  patches.kabi/kabi-move-sysctl_tcp_min_snd_mss-to-preserve-struct-.patch (add CVE-2019-11479)
- commit 2e2a3c9
* Tue Jun 11 2019 neilb@suse.com
- NFS add module option to limit NFSv4 minor version (jsc#PM-231).
- commit 3752b39
* Mon Jun 10 2019 msuchanek@suse.de
- KVM: PPC: Book3S: Protect memslots while validating user address
  (bsc#1061840).
- commit 487f82e
* Mon Jun 10 2019 msuchanek@suse.de
- powerpc/powernv/idle: Restore IAMR after idle (bsc#1065729).
- powerpc: Fix HMIs on big-endian with CONFIG_RELOCATABLE=y
  (bsc#1065729).
- powerpc/msi: Fix NULL pointer access in teardown code
  (bsc#1065729).
- powerpc/eeh: Fix race with driver un/bind (bsc#1065729).
- powerpc: Always initialize input array when calling
  epapr_hypercall() (bsc#1065729).
- commit 6105eae
* Mon Jun 10 2019 msuchanek@suse.de
- KVM: PPC: Book3S HV: XIVE: Do not clear IRQ data of passthrough
  interrupts (bsc#1061840).
- KVM: PPC: Book3S HV: Avoid lockdep debugging in TCE realmode
  handlers (bsc#1061840).
- KVM: PPC: Release all hardware TCE tables attached to a group
  (bsc#1061840).
- KVM: PPC: Remove redundand permission bits removal
  (bsc#1061840).
- KVM: PPC: Validate TCEs against preregistered memory page sizes
  (bsc#1061840).
- KVM: PPC: Validate all tces before updating tables
  (bsc#1061840).
- commit 7ab76b6
* Mon Jun 10 2019 msuchanek@suse.de
- blacklist.conf: build fix for config we don't use.
  e40542aff909 KVM: PPC: Book3S HV: Fix build failure without IOMMU
  support
- commit 1b8526b
* Mon Jun 10 2019 msuchanek@suse.de
- powerpc/process: Fix sparse address space warnings
  (bsc#1065729).
- commit 7faf413
* Mon Jun 10 2019 msuchanek@suse.de
- blacklist.conf: add fsl-specific nospec patches
  406d2b6ae342 powerpc/64: Make meltdown reporting Book3S 64 specific
  ebcd1bfc33c7 powerpc/fsl: Add barrier_nospec implementation for NXP
  PowerPC Book3E
- commit 106942e
* Mon Jun 10 2019 msuchanek@suse.de
- ibmvnic: Fix unchecked return codes of memory allocations
  (bsc#1137752).
- ibmvnic: Refresh device multicast list after reset
  (bsc#1137752).
- ibmvnic: Do not close unopened driver during reset
  (bsc#1137752).
- commit 5dd1a87
* Mon Jun 10 2019 msuchanek@suse.de
- ibmvnic: Add device identification to requested IRQs
  (bsc#1137739).
- ibmvnic: remove set but not used variable 'netdev'
  (bsc#1137739).
- net/ibmvnic: Remove tests of member address (bsc#1137739).
- treewide: Use DEVICE_ATTR_WO (bsc#1137739).
  - Refresh patches.arch/s390-smp-fix-cpu-hotplug-deadlock-with-cpu-rescan.
- commit b30515c
* Mon Jun 10 2019 jslaby@suse.cz
- ipv4: Define __ipv4_neigh_lookup_noref when CONFIG_INET is
  disabled (git-fixes).
- commit 11184ff
* Mon Jun 10 2019 jack@suse.cz
- patches.fixes/mm-Fix-modifying-of-page-protection-by-insert_pfn.patch:
  Fix buggy backport leading to MAP_SYNC failures (bsc#1137372)
- commit 38f4efc
* Mon Jun 10 2019 jslaby@suse.cz
- kernel/signal.c: trace_signal_deliver when signal_group_exit
  (git-fixes).
- tipc: fix hanging clients using poll with EPOLLOUT flag
  (git-fixes).
- neighbor: Call __ipv4_neigh_lookup_noref in neigh_xmit
  (git-fixes).
- commit 5fba04a
* Mon Jun 10 2019 msuchanek@suse.de
- powerpc/perf: Fix MMCRA corruption by bhrb_filter (bsc#1053043).
- commit 3717d57
* Mon Jun 10 2019 msuchanek@suse.de
- blacklist.conf: blacklist unsupported ppc platforms
  Specifically we don't support 32bit (except syscalls, signals, and
  ptrace which is used with 32bit processes on 64bit)
  don't suport embedded - fsl, pasemi, book3e, booke, 64e, 4xx, 500, 6xx,
  8xx, 8xxx, 5xxx
- commit 4e1e10c
* Mon Jun 10 2019 wqu@suse.com
- Refresh
  patches.suse/btrfs-reloc-also-queue-orphan-reloc-tree-for-cleanup-to-avoid-bug_on.patch.
- commit d9976dd
* Sun Jun  9 2019 mkubecek@suse.cz
- kabi: move sysctl_tcp_min_snd_mss to preserve struct net layout
  (bsc#1137586).
  Refresh
  patches.kabi/kabi-handle-addition-of-ip6addrlbl_table-into-struct.patch
  patches.kabi/kabi-handle-addition-of-uevent_sock-into-struct-net.patch
- tcp: enforce tcp_min_snd_mss in tcp_mtu_probing() (bsc#1137586).
- tcp: add tcp_min_snd_mss sysctl (bsc#1137586).
- kabi: drop LINUX_MIB_TCPWQUEUETOOBIG snmp counter (bsc#1137586).
- tcp: tcp_fragment() should apply sane memory limits
  (bsc#1137586).
- tcp: limit payload size of sacked skbs (bsc#1137586).
- commit 0a0be12
* Fri Jun  7 2019 hare@suse.de
- blk-mq: fix hang caused by freeze/unfreeze sequence
  (bsc#1128432).
- commit 58aac55
* Fri Jun  7 2019 tbogendoerfer@suse.de
- kabi/severities: missed hns roce module
- commit e71809e
* Fri Jun  7 2019 tbogendoerfer@suse.de
- RDMA/hns: Bugfix for posting multiple srq work request
  (bsc#1104427 FATE#326416 bsc#1137236).
- RDMA/hns: Remove jiffies operation in disable interrupt context
  (bsc#1104427 FATE#326416 bsc#1137236).
- RDMA/hns: Move spin_lock_irqsave to the correct place
  (bsc#1104427 FATE#326416 bsc#1137236).
- RDMA/hns: Update CQE specifications (bsc#1104427 FATE#326416
  bsc#1137236).
- RDMA/qedr: Fix incorrect device rate (bsc#1136188).
- net: hns3: fix for HNS3_RXD_GRO_SIZE_M macro (bsc#1104353
  FATE#326415 bsc#1137201).
- RDMA/hns: Support to create 1M srq queue (bsc#1104427
  FATE#326416).
- RDMA/hns: Fix bad endianess of port_pd variable (bsc#1104427
  FATE#326416).
- RDMA/hns: Limit scope of hns_roce_cmq_send() (bsc#1104427
  FATE#326416).
- RDMA/hns: Delete unused variable in hns_roce_v2_modify_qp
  function (bsc#1104427 FATE#326416).
- RDMA/hns: Bugfix for sending with invalidate (bsc#1104427
  FATE#326416 bsc#1137236).
- RDMA/hns: Hide error print information with roce vf device
  (bsc#1104427 FATE#326416 bsc#1137236).
- RDMA/hns: Only assgin some fields if the relatived attr_mask
  is set (bsc#1104427 FATE#326416).
- RDMA/hns: Update the range of raq_psn field of qp context
  (bsc#1104427 FATE#326416).
- RDMA/hns: Only assign the fields of the rq psn if IB_QP_RQ_PSN
  is set (bsc#1104427 FATE#326416).
- RDMA/hns: Only assign the relatived fields of psn if
  IB_QP_SQ_PSN is set (bsc#1104427 FATE#326416).
- net: hns3: dump more information when tx timeout happens
  (bsc#1104353 FATE#326415 bsc#1134990).
- RDMA/hns: Bugfix for mapping user db (bsc#1104427 FATE#326416
  bsc#1137236).
- RDMA/hns: Bugfix for SCC hem free (bsc#1104427 FATE#326416
  bsc#1137236).
- RDMA/hns: Bugfix for set hem of SCC (bsc#1104427 FATE#326416
  bsc#1137236).
- RDMA/hns: Modify qp&cq&pd specification according to UM
  (bsc#1104427 FATE#326416 bsc#1137233).
- RDMA/hns: Configure capacity of hns device (bsc#1104427
  FATE#326416 bsc#1137236).
- RDMA/hns: Delete useful prints for aeq subtype event
  (bsc#1104427 FATE#326416 bsc#1126206).
- RDMA/hns: Set allocated memory to zero for wrid (bsc#1104427
  FATE#326416 bsc#1137236).
- RDMA/hns: Fix the state of rereg mr (bsc#1104427 FATE#326416
  bsc#1137236).
- RDMA/hns: Limit minimum ROCE CQ depth to 64 (bsc#1104427
  FATE#326416 bsc#1137236).
- RDMA/hns: Fix the chip hanging caused by sending doorbell
  during reset (bsc#1104427 FATE#326416 bsc#1137232).
- RDMA/hns: Fix the chip hanging caused by sending mailbox&CMQ
  during reset (bsc#1104427 FATE#326416 bsc#1137232).
- RDMA/hns: Fix the Oops during rmmod or insmod ko when reset
  occurs (bsc#1104427 FATE#326416 bsc#1137232).
- RDMA/hns: Make some function static (bsc#1104427 FATE#326416
  bsc#1126206).
- RDMA/hns: Remove set but not used variable 'rst' (bsc#1104427
  FATE#326416 bsc#1126206).
- RDMA/hns: Add timer allocation support for hip08 (bsc#1104427
  FATE#326416 bsc#1126206).
- RDMA/hns: Add SCC context clr support for hip08 (bsc#1104427
  FATE#326416 bsc#1126206).
- RDMA/hns: Add SCC context allocation support for hip08
  (bsc#1104427 FATE#326416 bsc#1126206).
- RDMA/hns: Add the process of AEQ overflow for hip08 (bsc#1104427
  FATE#326416 bsc#1126206).
- RDMA/hns: RDMA/hns: Assign rq head pointer when enable rq
  record db (bsc#1104427 FATE#326416 bsc#1137236).
- RDMA/hns: Modify the pbl ba page size for hip08 (bsc#1104427
  FATE#326416 bsc#1137233).
- RDMA/hns: Add constraint on the setting of local ACK timeout
  (bsc#1104427 FATE#326416 bsc#1137233).
- RDMA/hns: Bugfix for the scene without receiver queue
  (bsc#1104427 FATE#326416 bsc#1137233).
- RDMA/hns: Fix the bug with updating rq head pointer when flush
  cqe (bsc#1104427 FATE#326416 bsc#1137233).
- commit 1f13362
* Fri Jun  7 2019 mvedovati@suse.com
- rpm/post.sh: correct typo in err msg (bsc#1137625)
- commit 9fe85cc
* Fri Jun  7 2019 ptesarik@suse.cz
- s390/pci: add parameter to force floating irqs (jsc#SLE-5789
  FATE#327042 bsc#1134730 LTC#173388).
- s390/pci: gather statistics for floating vs directed irqs
  (jsc#SLE-5789 FATE#327042 bsc#1134730 LTC#173388).
- s390: show statistics for MSI IRQs (jsc#SLE-5789 FATE#327042
  bsc#1134730 LTC#173388).
- s390/pci: provide support for CPU directed interrupts
  (jsc#SLE-5789 FATE#327042 bsc#1134730 LTC#173388).
- s390/airq: provide cacheline aligned ivs (jsc#SLE-5789
  FATE#327042 bsc#1134730 LTC#173388).
- s390/pci: clarify interrupt vector usage (jsc#SLE-5789
  FATE#327042 bsc#1134730 LTC#173388).
- s390/airq: recognize directed interrupts (jsc#SLE-5789
  FATE#327042 bsc#1134730 LTC#173388).
- s390/sclp: detect DIRQ facility (jsc#SLE-5789 FATE#327042
  bsc#1134730 LTC#173388).
- s390/pci: move everything irq related to pci_irq.c (jsc#SLE-5789
  FATE#327042 bsc#1134730 LTC#173388).
- s390/pci: remove unused define (jsc#SLE-5789 FATE#327042
  bsc#1134730 LTC#173388).
- s390/pci: mark command line parser data __initdata (jsc#SLE-5789
  FATE#327042 bsc#1134730 LTC#173388).
- s390/pci: remove stale rc (jsc#SLE-5789 FATE#327042 bsc#1134730
  LTC#173388).
- commit 8b0fa65
* Fri Jun  7 2019 hare@suse.de
- scsi: qla2xxx: Fix read offset in qla24xx_load_risc_flash()
  (bsc#1136215).
- commit 3116ca1
* Fri Jun  7 2019 hare@suse.de
- scsi: qla2xxx: Simplify conditional check again (bsc#1136215).
- commit c2d1f99
* Fri Jun  7 2019 hare@suse.de
- scsi: qla2xxx: Update driver version to 10.01.00.15-k
  (bsc#1136215).
- scsi: qla2xxx: Secure flash update support for ISP28XX
  (bsc#1136215).
- commit 5dd1983
* Fri Jun  7 2019 hare@suse.de
- scsi: qla2xxx: Add 28xx flash primary/secondary status/image
  mechanism (bsc#1136215).
- Refresh
  patches.kabi/qla2xxx-kABI-fixes-for-v10.00.00.14-k.patch.
- commit a9195d3
* Fri Jun  7 2019 hare@suse.de
- scsi: qla2xxx: Simplification of register address used in
  qla_tmpl.c (bsc#1136215).
- scsi: qla2xxx: Correction and improvement to fwdt processing
  (bsc#1136215).
- scsi: qla2xxx: Update flash read/write routine (bsc#1136215).
- scsi: qla2xxx: Add support for multiple fwdump
  templates/segments (bsc#1136215).
- scsi: qla2xxx: Cleanups for NVRAM/Flash read/write path
  (bsc#1136215).
- commit 90b79eb
* Fri Jun  7 2019 hare@suse.de
- scsi: qla2xxx: Correctly report max/min supported speeds
  (bsc#1136215).
- Refresh
  patches.kabi/qla2xxx-kABI-fixes-for-v10.00.00.14-k.patch.
- commit ef75981
* Fri Jun  7 2019 hare@suse.de
- scsi: qla2xxx: Add Serdes support for ISP28XX (bsc#1136215).
- commit 73ea5a3
* Fri Jun  7 2019 hare@suse.de
- scsi: qla2xxx: Add Device ID for ISP28XX (bsc#1136215).
- Refresh
  patches.kabi/qla2xxx-kABI-fixes-for-v10.00.00.14-k.patch.
- commit e270ac2
* Fri Jun  7 2019 hare@suse.de
- scsi: qla2xxx: Fix routine qla27xx_dump_{mpi|ram}()
  (bsc#1136215).
- scsi: qla2xxx: Remove FW default template (bsc#1136215).
- scsi: qla2xxx: Add fw_attr and port_no SysFS node (bsc#1136215).
- scsi: qla2xxx: no need to check return value of debugfs_create
  functions (bsc#1136215).
- commit e89e66b
* Fri Jun  7 2019 tbogendoerfer@suse.de
- kabi/severities: exclude hns3 symbols (bsc#1134948)
- commit 67fd6c1
* Fri Jun  7 2019 tbogendoerfer@suse.de
- net: phy: marvell: Enable interrupt function on LED2 pin
  (bsc#1135018).
- Refresh
  patches.drivers/Revert-net-phy-marvell-avoid-pause-mode-on-SGMII-to-.patch.
- commit 909c043
* Fri Jun  7 2019 tbogendoerfer@suse.de
- net: phy: marvell: add new default led configure for m88e151x
  (bsc#1135018).
- net: phy: marvell: change default m88e1510 LED configuration
  (bsc#1135018).
- commit 5dbeda3
* Fri Jun  7 2019 hare@suse.de
- qla2xxx: kABI fixes for v10.01.00.15-k (bsc#1136215).
- commit 58804a9
* Fri Jun  7 2019 bp@suse.de
- x86/CPU/hygon: Fix phys_proc_id calculation logic for multi-die
  processors (fate#327735).
- commit 7749aed
* Fri Jun  7 2019 tbogendoerfer@suse.de
- IB/hfi1: Fix WQ_MEM_RECLAIM warning (jsc#SLE-4925).
- IB/hfi1: Add selected Rcv counters (jsc#SLE-4925).
- IB/{rdmavt, hfi1): Miscellaneous comment fixes (jsc#SLE-4925).
- IB/hfi1: Add debugfs to control expansion ROM write protect
  (jsc#SLE-4925).
- IB/hfi1: Remove WARN_ON when freeing expected receive groups
  (jsc#SLE-4925).
- RDMA/rdmavt: Use correct sizing on buffers holding page DMA
  addresses (jsc#SLE-4925).
- IB/hfi1: Fix two format strings (jsc#SLE-4925).
- IB/rdmavt: Fix frwr memory registration (jsc#SLE-4925).
- IB/hfi1: Fix the allocation of RSM table (jsc#SLE-4925).
- IB/hfi1: Eliminate opcode tests on mr deref (jsc#SLE-4925).
- IB/hfi1: Failed to drain send queue when QP is put into error
  state (jsc#SLE-4925).
- commit e30cad6
* Thu Jun  6 2019 tbogendoerfer@suse.de
- IB/rdmavt: Fix loopback send with invalidate ordering
  (jsc#SLE-4925).
- infiniband: hfi1: no need to check return value of
  debugfs_create functions (jsc#SLE-4925).
- infiniband: hfi1: drop crazy DEBUGFS_SEQ_FILE_CREATE() macro
  (jsc#SLE-4925).
- IB/rdmavt: Add wc_flags and wc_immdata to cq entry trace
  (jsc#SLE-4925).
- IB/hfi1: Remove overly conservative VM_EXEC flag check
  (jsc#SLE-4925).
- IB/hfi1: Reduce lock contention on iowait_lock for sdma and pio
  (jsc#SLE-4925).
- IB/hfi1: Close VNIC sdma_progress sleep window (jsc#SLE-4925).
- IB/hfi1: Unreserve a reserved request when it is completed
  (jsc#SLE-4925).
- IB/hfi1: Consider LMC in 16B/bypass ingress packet check
  (jsc#SLE-4925).
- IB/hfi1: Incorrect sizing of sge for PIO will OOPs
  (jsc#SLE-4925).
- IB/hfi1: Limit VNIC use of SDMA engines to the available count
  (jsc#SLE-4925).
- IB/hfi1: Correctly process FECN and BECN in packets
  (jsc#SLE-4925).
- IB/hfi1: Ignore LNI errors before DC8051 transitions to Polling
  state (jsc#SLE-4925).
- IB/hfi1: Dump pio info for non-user send contexts
  (jsc#SLE-4925).
- commit 8b68a54
* Thu Jun  6 2019 ptesarik@suse.cz
- scsi: zfcp: make DIX experimental, disabled, and independent
  of DIF (jsc#SLE-6772).
- commit 54e96ee
* Thu Jun  6 2019 msuchanek@suse.de
- ppc64le: enable CONFIG_PPC_DT_CPU_FTRS (jsc#SLE-7159).
- commit 1fe7518
* Thu Jun  6 2019 tbogendoerfer@suse.de
- RDMA/i40iw: Handle workqueue allocation failure (jsc#SLE-4793).
- i40iw: Avoid panic when handling the inetdev event
  (jsc#SLE-4793).
- i40iw: remove support for ib_get_vector_affinity (jsc#SLE-4793).
- i40iw: remove use of VLAN_TAG_PRESENT (jsc#SLE-4793).
- commit 1377db7
* Thu Jun  6 2019 tbogendoerfer@suse.de
- kabi/severities: exclude qed* symbols (bsc#1136461)
- commit e73a0a0
* Thu Jun  6 2019 tbogendoerfer@suse.de
- qed: remove redundant assignment to rc (bsc#1136460 jsc#SLE-4691
  bsc#1136461 jsc#SLE-4692).
- qed: Fix static checker warning (bsc#1136460 jsc#SLE-4691
  bsc#1136461 jsc#SLE-4692).
- qed: fix spelling mistake "inculde" -> "include" (bsc#1136460
  jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qede: Handle infinite driver spinning for Tx timestamp
  (bsc#1136460 jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qed: Reduce the severity of ptp debug message (bsc#1136460
  jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qed*: Add iWARP 100g support (bsc#1136460 jsc#SLE-4691
  bsc#1136461 jsc#SLE-4692).
- qed: Add qed devlink parameters table (bsc#1136460 jsc#SLE-4691
  bsc#1136461 jsc#SLE-4692).
- qed: Set the doorbell address correctly (bsc#1136460
  jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qedr: Change the MSI-X vectors selection to be based on affined
  engine (bsc#1136460 jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qed: Modify offload protocols to use the affined engine
  (bsc#1136460 jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qed*: Change hwfn used for sb initialization (bsc#1136460
  jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qed: Add llh ppfid interface and 100g support for offload
  protocols (bsc#1136460 jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qed: Modify api for performing a dmae to another PF (bsc#1136460
  jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- IB/hw: Remove unneeded semicolons (bsc#1136456 jsc#SLE-4689).
- RDMA/qedr: Fix out of bounds index check in query pkey
  (bsc#1136456 jsc#SLE-4689).
- infiniband/qedr: Potential null ptr dereference of qp
  (bsc#1136456 jsc#SLE-4689).
- commit 5a597a7
* Thu Jun  6 2019 hare@suse.de
- nvme: skip nvme_update_disk_info() if the controller is not live
  (bsc#1128432).
- commit cf4fe48
* Thu Jun  6 2019 fabian.baumanis@suse.com
- of: fix clang -Wunsequenced for be32_to_cpu() (bsc#1135642).
- commit 09b7c1c
* Thu Jun  6 2019 tbogendoerfer@suse.de
- net: hns3: remove redundant assignment of l2_hdr to itself
  (bsc#1104353 FATE#326415).
- net: hns3: use devm_kcalloc when allocating desc_cb (bsc#1104353
  FATE#326415 bsc#1134947).
- net: hns3: some cleanup for struct hns3_enet_ring (bsc#1104353
  FATE#326415 bsc#1134947).
- net: hns3: unify the page reusing for page size 4K and 64K
  (bsc#1104353 FATE#326415 bsc#1134947).
- net: hns3: optimize the barrier using when cleaning TX BD
  (bsc#1104353 FATE#326415 bsc#1134945).
- net: hns3: fix error handling for desc filling (bsc#1104353
  FATE#326415).
- net: hns3: combine len and checksum handling for inner and
  outer header (bsc#1104353 FATE#326415 bsc#1134947).
- net: hns3: refactor BD filling for l2l3l4 info (bsc#1104353
  FATE#326415 bsc#1134947).
- net: hns3: fix for tunnel type handling in hns3_rx_checksum
  (bsc#1104353 FATE#326415 bsc#1134946).
- net: hns3: add linearizing checking for TSO case (bsc#1104353
  FATE#326415 bsc#1134947).
- net: hns3: add counter for times RX pages gets allocated
  (bsc#1104353 FATE#326415 bsc#1134947).
- net: hns3: use napi_schedule_irqoff in hard interrupts handlers
  (bsc#1104353 FATE#326415 bsc#1134947).
- net: hns3: unify maybe_stop_tx for TSO and non-TSO case
  (bsc#1104353 FATE#326415 bsc#1134947).
- net: hns3: remove reset after command send failed (bsc#1104353
  FATE#326415 bsc#1134949).
- net: hns3: prevent double free in hns3_put_ring_config()
  (bsc#1104353 FATE#326415 bsc#1134950).
- net: hns3: extend the loopback state acquisition time
  (bsc#1104353 FATE#326415).
- net: hns3: fix pause configure fail problem (bsc#1104353
  FATE#326415 bsc#1134951 bsc#1134951).
- net: hns3: not reset TQP in the DOWN while VF resetting
  (bsc#1104353 FATE#326415 bsc#1134952).
- net: hns3: use a reserved byte to identify need_resp flag
  (bsc#1104353 FATE#326415).
- net: hns3: use atomic_t replace u32 for arq's count (bsc#1104353
  FATE#326415 bsc#1134953).
- net: hns3: stop sending keep alive msg when VF command queue
  needs reinit (bsc#1104353 FATE#326415 bsc#1134972).
- net: hns3: handle the BD info on the last BD of the packet
  (bsc#1104353 FATE#326415 bsc#1134974).
- net: hns3: fix for TX clean num when cleaning TX BD (bsc#1104353
  FATE#326415).
- net: hns3: fix data race between ring->next_to_clean
  (bsc#1104353 FATE#326415 bsc#1134975 bsc#1134945).
- net: hns3: add function type check for debugfs help information
  (bsc#1104353 FATE#326415 bsc#1134980).
- net: hns3: add queue's statistics update to service task
  (bsc#1104353 FATE#326415 bsc#1134981).
- net: hns3: Add handling of MAC tunnel interruption (bsc#1104353
  FATE#326415 bsc#1134983).
- net: hns3: add support for dump ncl config by debugfs
  (bsc#1104353 FATE#326415 bsc#1134987).
- net: hns3: Add support for netif message level settings
  (bsc#1104353 FATE#326415 bsc#1134989).
- net: hns3: fix loop condition of hns3_get_tx_timeo_queue_info()
  (bsc#1104353 FATE#326415 bsc#1134990).
- net: hns3: refine tx timeout count handle (bsc#1104353
  FATE#326415 bsc#1134990).
- net: hns3: add some debug info for hclgevf_get_mbx_resp()
  (bsc#1104353 FATE#326415 bsc#1134994).
- net: hns3: add some debug information for
  hclge_check_event_cause (bsc#1104353 FATE#326415 bsc#1134994).
- net: hns3: add reset statistics for VF (bsc#1104353 FATE#326415
  bsc#1134995).
- net: hns3: add reset statistics info for PF (bsc#1104353
  FATE#326415 bsc#1134995).
- net: hns3: fix for vport->bw_limit overflow problem (bsc#1104353
  FATE#326415 bsc#1134998).
- net: hns3: fix sparse: warning when calling
  hclge_set_vlan_filter_hw() (bsc#1104353 FATE#326415
  bsc#1134999).
- net: hns3: code optimization for command queue' spin lock
  (bsc#1104353 FATE#326415 bsc#1135042).
- net: hns3: free the pending skb when clean RX ring (bsc#1104353
  FATE#326415 bsc#1135044).
- net: hns3: do not initialize MDIO bus when PHY is inexistent
  (bsc#1104353 FATE#326415 bsc#1135045).
- net: hns3: set dividual reset level for all RAS and MSI-X errors
  (bsc#1104353 FATE#326415 bsc#1135046).
- net: hns3: divide shared buffer between TC (bsc#1104353
  FATE#326415 bsc#1135047).
- net: hns3: always assume no drop TC for performance reason
  (bsc#1104353 FATE#326415 bsc#1135049).
- net: hns3: add hns3_gro_complete for HW GRO process (bsc#1104353
  FATE#326415 bsc#1135051).
- net: hns3: minor refactor for hns3_rx_checksum (bsc#1104353
  FATE#326415 bsc#1135052).
- net: hns3: fix set port based VLAN issue for VF (bsc#1104353
  FATE#326415 bsc#1135053).
- net: hns3: fix set port based VLAN for PF (bsc#1104353
  FATE#326415 bsc#1135053).
- net: hns3: fix VLAN offload handle for VLAN inserted by port
  (bsc#1104353 FATE#326415 bsc#1135053).
- net: hns3: modify VLAN initialization to be compatible with
  port based VLAN (bsc#1104353 FATE#326415 bsc#1135053).
- net: hns3: fix keep_alive_timer not stop problem (bsc#1104353
  FATE#326415 bsc#1135055).
- net: hns3: add error handler for initializing command queue
  (bsc#1104353 FATE#326415 bsc#1135058).
- net: hns3: stop mailbox handling when command queue need re-init
  (bsc#1104353 FATE#326415 bsc#1135058).
- net: hns3: handle pending reset while reset fail (bsc#1104353
  FATE#326415 bsc#1135058).
- net: hns3: do not request reset when hardware resetting
  (bsc#1104353 FATE#326415 bsc#1137201).
- net: hns3: ignore lower-level new coming reset (bsc#1104353
  FATE#326415 bsc#1137201).
- net: hns3: deactive the reset timer when reset successfully
  (bsc#1104353 FATE#326415 bsc#1137201).
- net: hns3: adjust the timing of hns3_client_stop when unloading
  (bsc#1104353 FATE#326415 bsc#1137201).
- net: hns3: not reset vport who not alive when PF reset
  (bsc#1104353 FATE#326415 bsc#1137201).
- net: hns3: set up the vport alive state while reinitializing
  (bsc#1104353 FATE#326415 bsc#1137201).
- net: hns3: set vport alive state to default while resetting
  (bsc#1104353 FATE#326415 bsc#1137201).
- net: hns3: split function hnae3_match_n_instantiate()
  (bsc#1104353 FATE#326415).
- net: hns3: modify HNS3_NIC_STATE_INITED flag in
  hns3_reset_notify_uninit_enet (bsc#1104353 FATE#326415).
- net: hns3: prevent change MTU when resetting (bsc#1104353
  FATE#326415 bsc#1137201).
- net: hns3: check resetting status in hns3_get_stats()
  (bsc#1104353 FATE#326415 bsc#1137201).
- net: hns3: add protect when handling mac addr list (bsc#1104353
  FATE#326415).
- net: hns3: simplify hclgevf_cmd_csq_clean (bsc#1104353
  FATE#326415).
- net: hns3: minor optimization for datapath (bsc#1104353
  FATE#326415).
- net: hns3: minor optimization for ring_space (bsc#1104353
  FATE#326415).
- net: hns3: return 0 and print warning when hit duplicate MAC
  (bsc#1104353 FATE#326415 bsc#1137201).
- net: hns3: modify the VF network port media type acquisition
  method (bsc#1104353 FATE#326415 bsc#1137201).
- net: hns3: reduce resources use in kdump kernel (bsc#1104353
  FATE#326415 bsc#1137201).
- net: hns3: check 1000M half for
  hns3_ethtool_ops.set_link_ksettings (bsc#1104353 FATE#326415
  bsc#1137201).
- net: hns3: Make hclge_destroy_cmd_queue static (bsc#1104353
  FATE#326415 bsc#1137201).
- net: hns3: Make hclgevf_update_link_mode static (bsc#1104353
  FATE#326415 bsc#1137201).
- commit 4e17579
* Thu Jun  6 2019 hare@suse.de
- Refresh
  patches.fixes/scsi-qla2xxx-fix-driver-unload-by-shutting-down-chip.patch.
- commit c217291
* Thu Jun  6 2019 hare@suse.de
- scsi: qla2xxx: Avoid PCI IRQ affinity mapping when multiqueue
  is not supported (bsc#1136215).
- Delete
  patches.suse/qla2xxx-allow-irqbalance-control-in-non-MQ-mode.patch.
- commit ca9a631
* Thu Jun  6 2019 hare@suse.de
- blacklist.conf: disable qla2xxx fix until driver has been updated
- commit b9bf4af
* Thu Jun  6 2019 hare@suse.de
- scsi: qla2xxx: Set remote port devloss timeout to 0
  (bsc#1136215).
- commit 8468d97
* Thu Jun  6 2019 tbogendoerfer@suse.de
- qlcnic: remove set but not used variables 'op, cmd_op'
  (bsc#1136469 jsc#SLE-4695).
- qlcnic: remove set but not used variables 'cur_rings,
  max_hw_rings, tx_desc_info' (bsc#1136469 jsc#SLE-4695).
- qlcnic: remove assumption that vlan_tci != 0 (bsc#1136469
  jsc#SLE-4695).
- commit db8c908
* Thu Jun  6 2019 mkubecek@suse.cz
- net: unbreak CONFIG_RETPOLINE=n builds (bsc#1124503).
- udp: use indirect call wrappers for GRO socket lookup
  (bsc#1124503).
- net: use indirect call wrappers at GRO transport layer
  (bsc#1124503).
- net: use indirect call wrappers at GRO network layer
  (bsc#1124503).
- indirect call wrappers: helpers to speed-up indirect calls of
  builtin (bsc#1124503).
- commit dbad7a1
* Thu Jun  6 2019 hare@suse.de
- scsi: qla2xxx: NULL check before some freeing functions is
  not needed (bsc#1137444).
- scsi: qla2xxx: Split the __qla2x00_abort_all_cmds() function
  (bsc#1137444).
- scsi: qla2xxx: Introduce a switch/case statement in
  qlt_xmit_tm_rsp() (bsc#1137444).
- scsi: qla2xxx: use lower_32_bits and upper_32_bits instead of
  reinventing them (bsc#1137444).
- commit c0027ab
* Thu Jun  6 2019 hare@suse.de
- scsi: qla2xxx: Remove two arguments from qlafx00_error_entry()
  (bsc#1137444).
- scsi: qla2xxx: Make sure that qlafx00_ioctl_iosb_entry()
  initializes 'res' (bsc#1137444).
- commit b79868f
* Thu Jun  6 2019 hare@suse.de
- scsi: qla2xxx: Remove a set-but-not-used variable (bsc#1137444).
- Refresh
  patches.drivers/scsi-qla2xxx-Timeouts-occur-on-surprise-removal-of-Q.patch.
- commit ea8d0d3
* Thu Jun  6 2019 hare@suse.de
- scsi: qla2xxx: Make qla2x00_sysfs_write_nvram() easier to
  analyze (bsc#1137444).
- scsi: qla2xxx: Declare local functions 'static' (bsc#1137444).
- scsi: qla2xxx: Improve several kernel-doc headers (bsc#1137444).
- scsi: qla2xxx: fully convert to the generic DMA API
  (bsc#1137444).
- commit c521810
* Thu Jun  6 2019 tbogendoerfer@suse.de
- Fix build breakage, if obj-dir != src-dir
  Delete
  patches.drivers/crypto-prefix-header-search-paths-with-srctree.patch.
- commit 89cc58b
* Thu Jun  6 2019 vbabka@suse.cz
- Refresh
  patches.fixes/mm-prevent-get_user_pages-from-overflowing-page-refcount.patch.
  (Add one more missed check on x86 and prevent spurious warning on s390).
- commit 1a7767e
* Thu Jun  6 2019 hare@suse.de
- scsi: qla2xxx: remove the unused tcm_qla2xxx_cmd_wq
  (bsc#1118139).
- commit 6256c14
* Thu Jun  6 2019 hare@suse.de
- scsi: qla2xxx: fx00 copypaste typo (bsc#1118139).
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-small-memory-leak-in-qla2x00_probe_.patch.
- commit 250a772
* Thu Jun  6 2019 hare@suse.de
- scsi: qla2xxx: fix error message on <qla2400 (bsc#1118139).
- commit 0c3d9c8
* Thu Jun  6 2019 hare@suse.de
- Refresh
  patches.fixes/scsi-qla2xxx-fix-driver-unload-by-shutting-down-chip.patch.
- commit a102af6
* Thu Jun  6 2019 hare@suse.de
- scsi: qla2xxx: Fix memory corruption during hba reset test
  (bsc#1118139).
- commit ae7be5f
* Thu Jun  6 2019 hare@suse.de
- scsi: qla2xxx: fix spelling mistake: "existant" -> "existent"
  (bsc#1118139).
- scsi: qla2xxx: Fix function argument descriptions (bsc#1118139).
- scsi: qla2xxx: Remove unused symbols (bsc#1118139).
- scsi: qla2xxx: Use %%p for printing pointers (bsc#1118139).
- commit 214e4fc
* Wed Jun  5 2019 hare@suse.de
- qla2xxx: kABI fixes for v10.00.00.14-k (bsc#1136215).
- commit 87b8b0b
* Wed Jun  5 2019 hare@suse.de
- Refresh
  patches.fixes/scsi-qla2xxx-fix-driver-unload-by-shutting-down-chip.patch.
- commit 35dc7a1
* Wed Jun  5 2019 tbogendoerfer@suse.de
- qed: Define new MF bit for no_vlan config (bsc#1136460
  jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qede: Populate mbi version in ethtool driver query data
  (bsc#1136460 jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qed: fix spelling mistake "faspath" -> "fastpath" (bsc#1136460
  jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qed: Fix the DORQ's attentions handling (bsc#1136460
  jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qed: Fix missing DORQ attentions (bsc#1136460 jsc#SLE-4691
  bsc#1136461 jsc#SLE-4692).
- qed: Fix the doorbell address sanity check (bsc#1136460
  jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qed: Delete redundant doorbell recovery types (bsc#1136460
  jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qede: fix write to free'd pointer error and double free of ptp
  (bsc#1136460 jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qede: Fix internal loopback failure with jumbo mtu configuration
  (bsc#1136460 jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qed: Read device port count from the shmem (bsc#1136460
  jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qed: fix indentation issue with statements in an if-block
  (bsc#1136460 jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qede: Add ethtool interface for SmartAN query (bsc#1136460
  jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qed: Add API for SmartAN query (bsc#1136460 jsc#SLE-4691
  bsc#1136461 jsc#SLE-4692).
- qede: place ethtool_rx_flow_spec after code after TC flower
  codebase (bsc#1136460 jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qede: Error recovery process (bsc#1136460 jsc#SLE-4691
  bsc#1136461 jsc#SLE-4692).
- qed: Add infrastructure for error detection and recovery
  (bsc#1136460 jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qed: Revise load sequence to avoid PCI errors (bsc#1136460
  jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qed: Mark expected switch fall-through (bsc#1136460 jsc#SLE-4691
  bsc#1136461 jsc#SLE-4692).
- qed: remove duplicated include from qed_if.h (bsc#1136460
  jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qed: Fix iWARP syn packet mac address validation (bsc#1136460
  jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- qed: Fix iWARP buffer size provided for syn packet processing
  (bsc#1136460 jsc#SLE-4691 bsc#1136461 jsc#SLE-4692).
- commit 124f0d8
* Wed Jun  5 2019 hare@suse.de
- scsi: qla2xxx: check for kstrtol() failure (bsc#1136215).
- scsi: qla2xxx: avoid printf format warning (bsc#1136215).
- commit 5b544c8
* Wed Jun  5 2019 hare@suse.de
- scsi: qla2xxx: Update driver version to 10.00.00.14-k
  (bsc#1136215).
- scsi: qla2xxx: Add new FW dump template entry types
  (bsc#1136215).
- scsi: qla2xxx: Fix code indentation for qla27xx_fwdt_entry
  (bsc#1136215).
- scsi: qla2xxx: Move marker request behind QPair (bsc#1136215).
- scsi: qla2xxx: Prevent SysFS access when chip is down
  (bsc#1136215).
- scsi: qla2xxx: Add support for setting port speed (bsc#1136215).
- scsi: qla2xxx: Prevent multiple ADISC commands per session
  (bsc#1136215).
- scsi: qla2xxx: Check for FW started flag before aborting
  (bsc#1136215).
- scsi: qla2xxx: Fix unload when NVMe devices are configured
  (bsc#1136215).
- scsi: qla2xxx: Add First Burst support for FC-NVMe devices
  (bsc#1136215).
- scsi: qla2xxx: Fix LUN discovery if loop id is not assigned
  yet by firmware (bsc#1136215).
- scsi: qla2xxx: remove redundant null check on pointer sess
  (bsc#1136215).
- scsi: qla2xxx: Move debug messages before sending srb preventing
  panic (bsc#1136215).
- scsi: qla2xxx: Fix DMA error when the DIF sg buffer crosses
  4GB boundary (bsc#1136215).
- scsi: qla2xxx: Add protection mask module parameters
  (bsc#1136215).
- scsi: qla2xxx: Fix panic from use after free in
  qla2x00_async_tm_cmd (bsc#1136215).
- commit 9a87b50
* Wed Jun  5 2019 tbogendoerfer@suse.de
- bnx2x: Add support for detection of P2P event packets
  (bsc#1136498 jsc#SLE-4699).
- bnx2x: Replace magic numbers with macro definitions (bsc#1136498
  jsc#SLE-4699).
- bnx2x: Utilize FW 7.13.11.0 (bsc#1136498 jsc#SLE-4699).
- bnx2x: fix spelling mistake "dicline" -> "decline" (bsc#1136498
  jsc#SLE-4699).
- bnx2x: Remove set but not used variable 'mfw_vn' (bsc#1136498
  jsc#SLE-4699).
- bnx2x: Use struct_size() in kzalloc() (bsc#1136498
  jsc#SLE-4699).
- broadcom: Mark expected switch fall-throughs (bsc#1136498
  jsc#SLE-4699).
- bnx2x: Bump up driver version to 1.713.36 (bsc#1136498
  jsc#SLE-4699).
- bnx2x: fix various indentation issues (bsc#1136498
  jsc#SLE-4699).
- commit e5153e0
* Wed Jun  5 2019 tbogendoerfer@suse.de
- bnxt_en: Reduce memory usage when running in kdump kernel
  (bsc#1134090 jsc#SLE-5954).
- bnxt_en: Fix possible BUG() condition when calling
  pci_disable_msix() (bsc#1134090 jsc#SLE-5954).
- bnxt_en: Fix aggregation buffer leak under OOM condition
  (bsc#1134090 jsc#SLE-5954).
- bnxt_en: Improve NQ reservations (bsc#1134090 jsc#SLE-5954).
- bnxt_en: Fix uninitialized variable usage in bnxt_rx_pkt()
  (bsc#1134090 jsc#SLE-5954).
- bnxt_en: Fix statistics context reservation logic (bsc#1134090
  jsc#SLE-5954).
- bnxt_en: Pass correct extended TX port statistics size to
  firmware (bsc#1134090 jsc#SLE-5954).
- bnxt_en: Fix possible crash in bnxt_hwrm_ring_free() under
  error conditions (bsc#1134090 jsc#SLE-5954).
- bnxt_en: Improve multicast address setup logic (bsc#1134090
  jsc#SLE-5954).
- commit 8cf418b
* Wed Jun  5 2019 tbogendoerfer@suse.de
- ice: Disable sniffing VF traffic on PF (jsc#SLE-4803).
- ice: Use more efficient structures (jsc#SLE-4803).
- ice: Use bitfields where possible (jsc#SLE-4803).
- ice: Add function to program ethertype based filter rule on VSIs
  (jsc#SLE-4803).
- ice: Separate if conditions for ice_set_features()
  (jsc#SLE-4803).
- ice: Remove __always_unused attribute (jsc#SLE-4803).
- ice: Suppress false-positive style issues reported by static
  analyzer (jsc#SLE-4803).
- ice: Refactor getting/setting coalesce (jsc#SLE-4803).
- ice: Always free/allocate q_vectors (jsc#SLE-4803).
- ice: Do not unnecessarily initialize local variable
  (jsc#SLE-4803).
- ice: Add more validation in ice_vc_cfg_irq_map_msg
  (jsc#SLE-4803).
- ice: Don't remove VLAN filters that were never programmed
  (jsc#SLE-4803).
- ice: Preserve VLAN Rx stripping settings (jsc#SLE-4803).
- ice: Fix for allowing too many MDD events on VF (jsc#SLE-4803).
- ice: Use pf instead of vsi-back (jsc#SLE-4803).
- ice: Use dev_err when ice_cfg_vsi_lan fails (jsc#SLE-4803).
- ice: Refactor link event flow (jsc#SLE-4803).
- ice: Add missing PHY type to link settings (jsc#SLE-4803).
- ice: Add reg_idx variable in ice_q_vector structure
  (jsc#SLE-4803).
- ice: Remove runtime change of PFINT_OICR_ENA register
  (jsc#SLE-4803).
- ice: Fix issue when adding more than allowed VLANs
  (jsc#SLE-4803).
- ice: Remove unnecessary wait when disabling/enabling Rx queues
  (jsc#SLE-4803).
- ice: Add ability to update rx-usecs-high (jsc#SLE-4803).
- ice: Add 52 byte RSS hash key support (jsc#SLE-4803).
- ice: Use ice_for_each_q_vector macro where possible
  (jsc#SLE-4803).
- ice: Validate ring existence and its q_vector per VSI
  (jsc#SLE-4803).
- ice: Reduce scope of variable in ice_vsi_cfg_rxqs
  (jsc#SLE-4803).
- ice: Resolve static analysis reported issue (jsc#SLE-4803).
- ice: Return configuration error without queue to disable
  (jsc#SLE-4803).
- ice: Create framework for VSI queue context (jsc#SLE-4803).
- ice: Calculate ITR increment based on direct calculation
  (jsc#SLE-4803).
- ice: Bump driver version (jsc#SLE-4803).
- ice: Add code to control FW LLDP and DCBX (jsc#SLE-4803).
- ice: Add code for DCB rebuild (jsc#SLE-4803).
- ice: Add code to get DCB related statistics (jsc#SLE-4803).
- ice: Add priority information into VLAN header (jsc#SLE-4803).
- ice: Update rings based on TC information (jsc#SLE-4803).
- ice: Add code to process LLDP MIB change events (jsc#SLE-4803).
- ice: Add code for DCB initialization part 4/4 (jsc#SLE-4803).
- ice: Add code for DCB initialization part 3/4 (jsc#SLE-4803).
- ice: Add code for DCB initialization part 2/4 (jsc#SLE-4803).
- ice: Add code for DCB initialization part 1/4 (jsc#SLE-4803).
- ice: Bump version (jsc#SLE-4803).
- ice: Fix incorrect use of abbreviations (jsc#SLE-4803).
- ice: Fix typos in code comments (jsc#SLE-4803).
- ice: Remove "2 BITS" comment (jsc#SLE-4803).
- ice: Update comment regarding the ITR_GRAN_S (jsc#SLE-4803).
- ice: Update function header for __ice_vsi_get_qs (jsc#SLE-4803).
- ice: Remove unnecessary braces (jsc#SLE-4803).
- ice: Remove unused function prototype (jsc#SLE-4803).
- ice: Add missing case in print_link_msg for printing flow
  control (jsc#SLE-4803).
- ice: Audit hotpath structures with pahole (jsc#SLE-4803).
- ice: Do not bail out when filter already exists (jsc#SLE-4803).
- ice: Fix issue with VF attempt to delete default MAC address
  (jsc#SLE-4803).
- ice: enable VF admin queue interrupts (jsc#SLE-4803).
- ice: Fix for adaptive interrupt moderation (jsc#SLE-4803).
- ice: Implement pci_error_handler ops (jsc#SLE-4803).
- ice: Put __ICE_PREPARED_FOR_RESET check in ice_prepare_for_reset
  (jsc#SLE-4803).
- ice: use virt channel status codes (jsc#SLE-4803).
- ice: Remove unnecessary newlines from log messages
  (jsc#SLE-4803).
- ice: Create a generic name for the ice_rx_flg64_bits structure
  (jsc#SLE-4803).
- ice: add and use new ice_for_each_traffic_class() macro
  (jsc#SLE-4803).
- ice: change VF VSI tc info along with num_queues (jsc#SLE-4803).
- ice: Prevent unintended multiple chain resets (jsc#SLE-4803).
- ice: map Rx buffer pages with DMA attributes (jsc#SLE-4803).
- ice: Limit the ice_add_rx_frag to frag addition (jsc#SLE-4803).
- ice: Gather the rx buf clean-up logic for better reuse
  (jsc#SLE-4803).
- ice: Introduce bulk update for page count (jsc#SLE-4803).
- ice: Get rid of ice_pull_tail (jsc#SLE-4803).
- ice: Pull out page reuse checks onto separate function
  (jsc#SLE-4803).
- ice: Retrieve rx_buf in separate function (jsc#SLE-4803).
- ice: Enable link events over the ARQ (jsc#SLE-4803).
- ice: use irq_num var in ice_vsi_req_irq_msix (jsc#SLE-4803).
- ice: Restore VLAN switch rule if port VLAN existed before
  (jsc#SLE-4803).
- ice: update VSI config dynamically (jsc#SLE-4803).
- ice: Get VF VSI instances directly via PF (jsc#SLE-4803).
- ice: Don't let VF know that it is untrusted (jsc#SLE-4803).
- ice: Set LAN_EN for all directional rules (jsc#SLE-4803).
- ice: Do not set LB_EN for prune switch rules (jsc#SLE-4803).
- ice: Enable LAN_EN for the right recipes (jsc#SLE-4803).
- ice: Add support for PF/VF promiscuous mode (jsc#SLE-4803).
- ice: code cleanup in ice_sched.c (jsc#SLE-4803).
- ice: Remove unused vsi_id field (jsc#SLE-4803).
- ice: fix some function prototype and signature style issues
  (jsc#SLE-4803).
- ice: fix the divide by zero issue (jsc#SLE-4803).
- ice: Fix issue reconfiguring VF queues (jsc#SLE-4803).
- ice: Remove unused function prototype (jsc#SLE-4803).
- ice: fix static analysis warnings (jsc#SLE-4803).
- ice: Fix issue reclaiming resources back to the pool after reset
  (jsc#SLE-4803).
- ice: Enable MAC anti-spoof by default (jsc#SLE-4803).
- ice: Determine descriptor count and ring size based on PAGE_SIZE
  (jsc#SLE-4803).
- ice: Reset all VFs with VFLR during SR-IOV init flow
  (jsc#SLE-4803).
- ice: Get resources per function (jsc#SLE-4803).
- ice: Implement flow to reset VFs with PFR and other resets
  (jsc#SLE-4803).
- ice: configure GLINT_ITR to always have an ITR gran of 2
  (jsc#SLE-4803).
- ice: use ice_for_each_vsi macro when possible (jsc#SLE-4803).
- ice : Ensure only valid bits are set in ice_aq_set_phy_cfg
  (jsc#SLE-4803).
- ice: remove redundant variable and if condition (jsc#SLE-4803).
- ice: avoid multiple unnecessary de-references in probe
  (jsc#SLE-4803).
- ice: Fix issue with VF reset and multiple VFs support on PFs
  (jsc#SLE-4803).
- ice: Fix broadcast traffic in port VLAN mode (jsc#SLE-4803).
- ice: fix overlong string, update stats output (jsc#SLE-4803).
- ice: Fix for FC get rx/tx pause params (jsc#SLE-4803).
- ice: use absolute vector ID for VFs (jsc#SLE-4803).
- ice: check for a leaf node presence (jsc#SLE-4803).
- ice: flush Tx pipe on disable queue timeout (jsc#SLE-4803).
- ice: clear VF ARQLEN register on reset (jsc#SLE-4803).
- ice: don't spam VFs with link messages (jsc#SLE-4803).
- ice: only use the VF for ICE_VSI_VF in ice_vsi_release
  (jsc#SLE-4803).
- ice: fix numeric overflow warning (jsc#SLE-4803).
- ice: fix issue where host reboots on unload when iommu=on
  (jsc#SLE-4803).
- ice: fix ice_remove_rule_internal vsi_list handling
  (jsc#SLE-4803).
- ice: fix stack hogs from struct ice_vsi_ctx structures
  (jsc#SLE-4803).
- ice: sizeof(<type>) should be avoided (jsc#SLE-4803).
- ice: Fix added in VSI supported nodes calc (jsc#SLE-4803).
- ice: Fix the calculation of ICE_MAX_MTU (jsc#SLE-4803).
- ice: add const qualifier to mac_addr parameter (jsc#SLE-4803).
- ice: Add support for new PHY types (jsc#SLE-4803).
- ice: Offload SCTP checksum (jsc#SLE-4803).
- ice: Allow for software timestamping (jsc#SLE-4803).
- ice: Implement getting and setting ethtool coalesce
  (jsc#SLE-4803).
- ice: Add support for adaptive interrupt moderation
  (jsc#SLE-4803).
- ice: Move aggregator list into ice_hw instance (jsc#SLE-4803).
- ice: Rework queue management code for reuse (jsc#SLE-4803).
- ice: Add ethtool private flag to make forcing link down optional
  (jsc#SLE-4803).
- ice: Set physical link up/down when an interface is set up/down
  (jsc#SLE-4803).
- ice: Implement support for normal get_eeprom[_len] ethtool ops
  (jsc#SLE-4803).
- ice: Add ethtool set_phys_id handler (jsc#SLE-4803).
- ice: Configure RSS LUT and HASH KEY in rebuild path
  (jsc#SLE-4803).
- ice: Refactor a few Tx scheduler functions (jsc#SLE-4803).
- commit f4ad9a1
* Wed Jun  5 2019 fabian.baumanis@suse.com
- Documentation: Add MDS vulnerability documentation
  (bsc#1135642).
- commit 6935e28
* Wed Jun  5 2019 mhocko@suse.com
- blacklist.conf: blacklist ac5b2c18911f
- commit 4519279
* Wed Jun  5 2019 neilb@suse.com
- mount: copy the port field into the cloned nfs_server structure
  (bsc#1136990).
- commit 6c04f4e
* Tue Jun  4 2019 mbrugger@suse.com
- firmware: efi: factor out mem_reserve (bsc#1117158 bsc#1134671).
- commit d3b71b7
* Tue Jun  4 2019 tbogendoerfer@suse.de
- igc: Remove unneeded hw_dbg prints (jsc#SLE-4799).
- igc: Fix the typo in igc_base.h header definition
  (jsc#SLE-4799).
- igc: Add support for the ntuple feature (jsc#SLE-4799).
- igc: Add support for statistics (jsc#SLE-4799).
- igc: Extend the ethtool supporting (jsc#SLE-4799).
- igc: Add multiple receive queues control supporting
  (jsc#SLE-4799).
- e1000e: Disable runtime PM on CNP+ (jsc#SLE-4804).
- igb: fix various indentation issues (jsc#SLE-4798).
- igb: Exclude device from suspend direct complete optimization
  (jsc#SLE-4798).
- igb: Fix WARN_ONCE on runtime suspend (jsc#SLE-4798).
- igc: Use struct_size() helper (jsc#SLE-4799).
- igb: use struct_size() helper (jsc#SLE-4798).
- fm10k: use struct_size() in kzalloc() (jsc#SLE-4796).
- igc: Add ethtool support (jsc#SLE-4799).
- igb: Bump version number (jsc#SLE-4798).
- igc: Remove the 'igc_get_phy_id_base' method (jsc#SLE-4799).
- igc: Remove the 'igc_read_mac_addr_base' method (jsc#SLE-4799).
- igc: Remove unneeded code (jsc#SLE-4799).
- igc: Remove unused code (jsc#SLE-4799).
- e1000e: fix a missing check for return value (jsc#SLE-4804).
- fm10k: TRIVIAL cleanup of extra spacing in function comment
  (jsc#SLE-4796).
- igc: Fix code redundancy (jsc#SLE-4799).
- igc: Remove unreachable code from igc_phy.c file (jsc#SLE-4799).
- e1000e: Exclude device from suspend direct complete optimization
  (jsc#SLE-4804).
- commit 5a053b1
* Tue Jun  4 2019 tbogendoerfer@suse.de
- intel: correct return from set features callback (jsc#SLE-4795).
- ixgbe: fix mdio bus registration (jsc#SLE-4795).
- ixgbe: Use struct_size() helper (jsc#SLE-4795).
- ixgbe: remove magic constant in ixgbe_reset_hw_82599()
  (jsc#SLE-4795).
- ixgbe: fix older devices that do not support
  IXGBE_MRQC_L3L4TXSWEN (jsc#SLE-4795).
- ixgbe: use mii_bus to handle MII related ioctls (jsc#SLE-4795).
- ixgbe: register a mdiobus (jsc#SLE-4795).
- commit 2a90f07
* Tue Jun  4 2019 mhocko@suse.com
- mm: thp: relax __GFP_THISNODE for MADV_HUGEPAGE mappings
  (bnc#1012382).
- commit ec75cec
* Tue Jun  4 2019 tbogendoerfer@suse.de
- kabi protect struct vf_info (bsc#1136347 jsc#SLE-4683).
- commit e74efad
* Tue Jun  4 2019 tbogendoerfer@suse.de
- kabi protect struct iw_cm_id (bsc#1136348 jsc#SLE-4684).
- commit 769c55f
* Tue Jun  4 2019 oneukum@suse.com
- mwifiex: Fix heap overflow in mwifiex_uap_parse_tail_ies()
  (bsc#1136935).
- commit 962016b
* Tue Jun  4 2019 tbogendoerfer@suse.de
- cxgb4: Revert "cxgb4: Remove SGE_HOST_PAGE_SIZE dependency on
  page size" (bsc#1136345 jsc#SLE-4681).
- cxgb4: offload VLAN flows regardless of VLAN ethtype
  (bsc#1136345 jsc#SLE-4681).
- crypto: chelsio - count incomplete block in IV (bsc#1136353
  jsc#SLE-4688).
- crypto: chelsio - Fix softlockup with heavy I/O (bsc#1136353
  jsc#SLE-4688).
- crypto: chelsio - Fix NULL pointer dereference (bsc#1136353
  jsc#SLE-4688).
- RDMA/cxgb4: Fix spelling mistake "immedate" -> "immediate"
  (bsc#1136348 jsc#SLE-4684).
- RDMA/cxgb4: Fix null pointer dereference on alloc_skb failure
  (bsc#1136348 jsc#SLE-4684).
- RDMA/iw_cxgb4: Always disconnect when QP is transitioning to
  TERMINATE state (bsc#1136348 jsc#SLE-4684).
- RDMA/cxbg: Use correct sizing on buffers holding page DMA
  addresses (bsc#1136348 jsc#SLE-4684).
- cxgb4: Fix error path in cxgb4_init_module (bsc#1136345
  jsc#SLE-4681).
- cxgb4: Delete all hash and TCAM filters before resource cleanup
  (bsc#1136345 jsc#SLE-4681).
- cxgb4/cxgb4vf_main: Mark expected switch fall-through
  (bsc#1136345 jsc#SLE-4681).
- cxgb4: Don't return EAGAIN when TCAM is full (bsc#1136345
  jsc#SLE-4681).
- cxgb4/cxgb4vf: Display advertised FEC in ethtool (bsc#1136345
  jsc#SLE-4681).
- cxgb4: Update 1.23.3.0 as the latest firmware supported
  (bsc#1136345 jsc#SLE-4681).
- libcxgb: fix incorrect ppmax calculation (bsc#1136345
  jsc#SLE-4681).
- chelsio: use BUG() instead of BUG_ON(1) (bsc#1136345
  jsc#SLE-4681).
- cxgb4: kfree mhp after the debug print (bsc#1136345
  jsc#SLE-4681).
- iw_cxgb4: Make function read_tcb() static (bsc#1136348
  jsc#SLE-4684).
- RDMA/cxgb4: Remove kref accounting for sync operation
  (bsc#1136348 jsc#SLE-4684).
- iw_cxgb4: fix srqidx leak during connection abort (bsc#1136348
  jsc#SLE-4684).
- iw_cxgb4: complete the cached SRQ buffers (bsc#1136348
  jsc#SLE-4684).
- cxgb4: add tcb flags and tcb rpl struct (bsc#1136345
  jsc#SLE-4681).
- iw_cxgb4: use tos when finding ipv6 routes (bsc#1136348
  jsc#SLE-4684).
- iw_cxgb4: use tos when importing the endpoint (bsc#1136348
  jsc#SLE-4684).
- iw_cxgb4: use listening ep tos when accepting new connections
  (bsc#1136348 jsc#SLE-4684).
- RDMA/iwcm: add tos_set bool to iw_cm struct (bsc#1136348
  jsc#SLE-4684).
- iw_cxgb*: kzalloc the iwcm verbs struct (bsc#1136348
  jsc#SLE-4684).
- iw_cxgb4: Check for send WR also while posting write with
  completion WR (bsc#1136348 jsc#SLE-4684).
- crypto: chelsio - Fixed Traffic Stall (bsc#1136353
  jsc#SLE-4688).
- crypto: chtls - remove cdev_list_lock (bsc#1136353
  jsc#SLE-4688).
- crypto: prefix header search paths with $(srctree)/ (bsc#1136353
  jsc#SLE-4688).
- crypto: chelsio - Fix passing zero to 'PTR_ERR' warning in
  chcr_aead_op (bsc#1136353 jsc#SLE-4688).
- crypto: chelsio - Inline single pdu only (bsc#1136353
  jsc#SLE-4688).
- crypto: chelsio - avoid using sa_entry imm (bsc#1136353
  jsc#SLE-4688).
- crypto: chelsio - remove set but not used variables 'adap'
  (bsc#1136353 jsc#SLE-4688).
- crypto: chelsio - check set_msg_len overflow in generate_b0
  (bsc#1136353 jsc#SLE-4688).
- crypto: chtls - remove set but not used variables 'err, adap,
  request, hws' (bsc#1136353 jsc#SLE-4688).
- cxgb4/chtls: Prefix adapter flags with CXGB4 (bsc#1136345
  jsc#SLE-4681).
- cxgb4vf: Call netif_carrier_off properly in pci_probe
  (bsc#1136347 jsc#SLE-4683).
- cxgb4vf: Revert force link up behaviour (bsc#1136347
  jsc#SLE-4683).
- cxgb4: Add VF Link state support (bsc#1136345 jsc#SLE-4681).
- cxgb4vf: Prefix adapter flags with CXGB4VF (bsc#1136347
  jsc#SLE-4683).
- cxgb4vf: Enter debugging mode if FW is inaccessible (bsc#1136347
  jsc#SLE-4683).
- cxgb4: Enable outer UDP checksum offload for T6 (bsc#1136345
  jsc#SLE-4681).
- cxgb4/cxgb4vf: Fix up netdev->hw_features (bsc#1136345
  jsc#SLE-4681).
- cxgb4: Add new T6 PCI device ids 0x608b (bsc#1136345
  jsc#SLE-4681).
- cxgb4: TLS record offload enable (bsc#1136345 jsc#SLE-4681).
- net/tls: free ctx in sock destruct (bsc#1136353 jsc#SLE-4688).
- net: cxgb4: fix various indentation issues (bsc#1136345
  jsc#SLE-4681).
- net: chelsio: Add a missing check on cudg_get_buffer
  (bsc#1136345 jsc#SLE-4681).
- crypto: chelsio - Fix wrong error counter increments
  (bsc#1136353 jsc#SLE-4688).
- crypto: chelsio - Reset counters on cxgb4 Detach (bsc#1136353
  jsc#SLE-4688).
- crypto: chelsio - Handle PCI shutdown event (bsc#1136353
  jsc#SLE-4688).
- crypto: chelsio - cleanup:send addr as value in function
  argument (bsc#1136353 jsc#SLE-4688).
- crypto: chelsio - Use same value for both channel in single WR
  (bsc#1136353 jsc#SLE-4688).
- crypto: chelsio - Swap location of AAD and IV sent in WR
  (bsc#1136353 jsc#SLE-4688).
- crypto: chelsio - remove set but not used variable 'kctx_len'
  (bsc#1136353 jsc#SLE-4688).
- crypto: chcr - ESN for Inline IPSec Tx (bsc#1136353
  jsc#SLE-4688).
- crypto: chcr - small packet Tx stalls the queue (bsc#1136353
  jsc#SLE-4688).
- crypto: chelsio - clean up various indentation issues
  (bsc#1136353 jsc#SLE-4688).
- cxgb4: remove DEFINE_SIMPLE_DEBUGFS_FILE() (bsc#1136345
  jsc#SLE-4681).
- cxgb4: remove set but not used variables 'multitrc, speed'
  (bsc#1136345 jsc#SLE-4681).
- cxgb4vf: free mac_hlist properly (bsc#1136345 jsc#SLE-4681).
- cxgb4: free mac_hlist properly (bsc#1136345 jsc#SLE-4681).
- include/linux/bitops.h: introduce BITS_PER_TYPE (bsc#1136345
  jsc#SLE-4681).
- commit b12e375
* Tue Jun  4 2019 oneukum@suse.com
- mwifiex: Abort at too short BSS descriptor element (bsc#1136424
  CVE-2019-3846).
- commit b07c2e2
* Tue Jun  4 2019 oneukum@suse.com
- mwifiex: Fix possible buffer overflows at parsing bss descriptor
- commit ace6d67
* Tue Jun  4 2019 vbabka@suse.cz
- Refresh
  patches.fixes/mm-prevent-get_user_pages-from-overflowing-page-refcount.patch.
- commit 398d995
* Tue Jun  4 2019 mbrugger@suse.com
- iommu/arm-smmu-v3: Don't disable SMMU in kdump kernel
  (bsc#1117158 bsc#1134671).
- commit a343fd2
* Tue Jun  4 2019 msuchanek@suse.de
- crypto: vmx - ghash: do nosimd fallback manually (bsc#1135661,
  bsc#1137162).
- crypto: vmx - return correct error code on failed setkey
  (bsc#1135661, bsc#1137162).
- commit 6ca8b7b
* Tue Jun  4 2019 mbrugger@suse.com
- arch: arm64: acpi: KABI ginore includes (bsc#1117158
  bsc#1134671).
- commit 3e244cb
* Tue Jun  4 2019 yousaf.kaukab@suse.com
- kabi: arm64: cpuhotplug: Reuse other arch's cpuhp_state (fate#323052).
- commit a5df64f
* Tue Jun  4 2019 ptesarik@suse.cz
- Refresh
  patches.suse/btrfs-fix-wrong-ctime-and-mtime-of-a-directory-after.patch.
- commit c321464
* Tue Jun  4 2019 tzimmermann@suse.de
- drm/etnaviv: lock MMU while dumping core (bsc#1113722)
- commit d81ef7c
* Tue Jun  4 2019 tzimmermann@suse.de
- drm/i915/gvt: add 0x4dfc to gen9 save-restore list (bsc#1113722)
- commit 08bdb02
* Tue Jun  4 2019 tzimmermann@suse.de
- drm/i915/gvt: Tiled Resources mmios are in-context mmios for gen9+ (bsc#1113722)
- commit 8b8d7b3
* Tue Jun  4 2019 tzimmermann@suse.de
- drm/vmwgfx: NULL pointer dereference from vmw_cmd_dx_view_define() (bsc#1113722)
- commit 64e1c75
* Tue Jun  4 2019 tzimmermann@suse.de
- fbdev: fix WARNING in __alloc_pages_nodemask bug (bsc#1113722)
- commit 999019d
* Tue Jun  4 2019 tzimmermann@suse.de
- fbdev: fix divide error in fb_var_to_videomode (bsc#1113722)
- commit 88305ed
* Tue Jun  4 2019 tzimmermann@suse.de
- blacklist.conf: Append 'fbdev: sm712fb: use 1024x768 by default on non-MIPS, fix garbled display'
- commit 6e93cf2
* Tue Jun  4 2019 tzimmermann@suse.de
- blacklist.conf: Append 'fbdev: sm712fb: fix support for 1024x768-16 mode'
- commit 393898c
* Tue Jun  4 2019 tzimmermann@suse.de
- blacklist.conf: Append 'fbdev: sm712fb: fix crashes and garbled display during DPMS modesetting'
- commit 2c1e780
* Tue Jun  4 2019 tzimmermann@suse.de
- blacklist.conf: Append 'fbdev: sm712fb: fix crashes during framebuffer writes by correctly mapping VRAM'
- commit 58ac3c1
* Tue Jun  4 2019 tzimmermann@suse.de
- blacklist.conf: Append 'fbdev: sm712fb: fix boot screen glitch when sm712fb replaces VGA'
- commit d73d11c
* Tue Jun  4 2019 tzimmermann@suse.de
- blacklist.conf: Append 'fbdev: sm712fb: fix VRAM detection, don't set SR70/71/74/75'
- commit 4817d93
* Tue Jun  4 2019 tzimmermann@suse.de
- blacklist.conf: Append 'fbdev: sm712fb: fix brightness control on reboot, don't set SR30'
- commit 35d7d4e
* Tue Jun  4 2019 tzimmermann@suse.de
- blacklist.conf: Append 'fbdev: sm712fb: fix white screen of death on reboot, don't set CR3B-CR3F'
- commit b3f3380
* Mon Jun  3 2019 fdmanana@suse.com
- Btrfs: fix race updating log root item during fsync
  (bsc#1137153).
- commit a494c93
* Mon Jun  3 2019 fdmanana@suse.com
- Btrfs: fix wrong ctime and mtime of a directory after log replay
  (bsc#1137152).
- commit 91e5499
* Mon Jun  3 2019 fdmanana@suse.com
- Btrfs: fix fsync not persisting changed attributes of a
  directory (bsc#1137151).
- commit e8f83fa
* Mon Jun  3 2019 mbrugger@suse.com
- arm64/x86: Update config files.
  Use CONFIG_ARCH_SUPPORTS_ACPI
- commit 1c432af
* Mon Jun  3 2019 tbogendoerfer@suse.de
- kabi i40e ignore include (jsc#SLE-4797).
- commit ffa8f30
* Mon Jun  3 2019 jroedel@suse.de
- blacklist.conf: Add 43a0541e312f iommu/tegra-smmu: Fix invalid ASID bits on Tegra30/114
- commit a23cc59
* Mon Jun  3 2019 tbogendoerfer@suse.de
- i40e: Memory leak in i40e_config_iwarp_qvlist (jsc#SLE-4797).
- i40e: Fix of memory leak and integer truncation in
  i40e_virtchnl.c (jsc#SLE-4797).
- i40e: Use struct_size() in kzalloc() (jsc#SLE-4797).
- i40e: Revert ShadowRAM checksum calculation change
  (jsc#SLE-4797).
- i40e: missing input validation on VF message handling by the PF
  (jsc#SLE-4797).
- i40e: Add support for X710 B/P & SFP+ cards (jsc#SLE-4797).
- i40e: Wrong truncation from u16 to u8 (jsc#SLE-4797).
- i40e: add num_vectors checker in iwarp handler (jsc#SLE-4797).
- i40e: Fix the typo in adding 40GE KR4 mode (jsc#SLE-4797).
- i40e: Setting VF to VLAN 0 requires restart (jsc#SLE-4797).
- i40e: add new pci id for X710/XXV710 N3000 cards (jsc#SLE-4797).
- i40e: VF's promiscuous attribute is not kept (jsc#SLE-4797).
- i40e: Introduce recovery mode support (jsc#SLE-4797).
- i40e: print PCI vendor and device ID during probe
  (jsc#SLE-4797).
- i40e: fix misleading message about promisc setting on un-trusted
  VF (jsc#SLE-4797).
- i40e: update version number (jsc#SLE-4797).
- i40e: remove out-of-range comparisons in
  i40e_validate_cloud_filter (jsc#SLE-4797).
- i40e: Further implementation of LLDP (jsc#SLE-4797).
- i40e: Report advertised link modes on 40GBase_LR4, CR4 and fibre
  (jsc#SLE-4797).
- i40e: ShadowRAM checksum calculation change (jsc#SLE-4797).
- i40e: remove error msg when vf with port vlan tries to remove
  vlan 0 (jsc#SLE-4797).
- i40e: change behavior on PF in response to MDD event
  (jsc#SLE-4797).
- i40e: Fix for allowing too many MDD events on VF (jsc#SLE-4797).
- i40e: Fix misleading error message (jsc#SLE-4797).
- i40e: Able to add up to 16 MAC filters on an untrusted VF
  (jsc#SLE-4797).
- i40e: Report advertised link modes on 40GBASE_SR4
  (jsc#SLE-4797).
- i40e: The driver now prints the API version in error message
  (jsc#SLE-4797).
- i40e: Changed maximum supported FW API version to 1.8
  (jsc#SLE-4797).
- i40e: Remove misleading messages for untrusted VF
  (jsc#SLE-4797).
- i40e: Update i40e_init_dcb to return correct error
  (jsc#SLE-4797).
- i40e: Fix for 10G ports LED not blinking (jsc#SLE-4797).
- i40e: save PTP time before a device reset (jsc#SLE-4797).
- i40e: don't allow changes to HW VLAN stripping on active port
  VLANs (jsc#SLE-4797).
- i40e: Implement DDP support in i40e driver (jsc#SLE-4797).
- i40e: Queues are reserved despite "Invalid argument" error
  (jsc#SLE-4797).
- i40e: add tracking of AF_XDP ZC state for each queue pair
  (jsc#SLE-4797).
- i40e: move i40e_xsk_umem function (jsc#SLE-4797).
- i40e: fix i40e_ptp_adjtime when given a negative delta
  (jsc#SLE-4797).
- i40e: clean up several indentation issues (jsc#SLE-4797).
- i40e: increase indentation (jsc#SLE-4797).
- i40e: update version number (jsc#SLE-4797).
- i40e: remove debugfs tx_timeout support (jsc#SLE-4797).
- i40e: check queue pairs num in config queues handler
  (jsc#SLE-4797).
- i40e: Change unmatched function types (jsc#SLE-4797).
- i40e: Add support FEC configuration for Fortville 25G
  (jsc#SLE-4797).
- i40e: Limiting RSS queues to CPUs (jsc#SLE-4797).
- i40e: Remove umem from VSI (jsc#SLE-4797).
- xsk: export xdp_get_umem_from_qid (jsc#SLE-4797).
- bitmap: Add bitmap_alloc(), bitmap_zalloc() and bitmap_free()
  (jsc#SLE-4797).
- commit a2f4d4c
* Mon Jun  3 2019 mbrugger@suse.com
- efi/arm: Revert "Defer persistent reservations until after
  paging_init()" (bsc#1117158).
- commit e96dc10
* Mon Jun  3 2019 mbrugger@suse.com
- arm64, mm, efi: Account for GICv3 LPI tables in static memblock
  reserve table (bsc#1117158).
- commit 42a592e
* Mon Jun  3 2019 mbrugger@suse.com
- efi: Reduce the amount of memblock reservations for persistent
  allocations (bsc#1117158).
- Refresh
  patches.suse/0002-MODSIGN-print-appropriate-status-message-when-gettin.patch.
- commit 3af452b
* Mon Jun  3 2019 mbrugger@suse.com
- efi: Permit multiple entries in persistent memreserve data
  structure (bsc#1117158).
- Refresh
  patches.suse/0002-MODSIGN-print-appropriate-status-message-when-gettin.patch.
- commit d569a2e
* Mon Jun  3 2019 mbrugger@suse.com
- efi: Prevent GICv3 WARN() by mapping the memreserve table
  before first use (bsc#1117158).
- commit e756c85
* Mon Jun  3 2019 mbrugger@suse.com
- efi: Permit calling efi_mem_reserve_persistent() from atomic
  context (bsc#1117158).
- commit bc55ab2
* Mon Jun  3 2019 mbrugger@suse.com
- efi/arm: Defer persistent reservations until after paging_init()
  (bsc#1117158).
- commit 31eda48
* Mon Jun  3 2019 mbrugger@suse.com
- efi: add API to reserve memory persistently across kexec reboot
  (bsc#1117158).
- commit 23b0f24
* Mon Jun  3 2019 mbrugger@suse.com
- efi/arm: libstub: add a root memreserve config table
  (bsc#1117158).
- commit 955743f
* Mon Jun  3 2019 mbrugger@suse.com
- efi: honour memory reservations passed via a linux specific
  config table (bsc#1117158).
- Refresh
  patches.suse/0002-MODSIGN-print-appropriate-status-message-when-gettin.patch.
- commit 30a4b0a
* Mon Jun  3 2019 hare@suse.de
- Refresh
  patches.suse/nvme-flush-scan_work-when-resetting-controller.patch.
- commit edf089e
* Mon Jun  3 2019 mbrugger@suse.com
- iommu/arm-smmu-v3: Abort all transactions if SMMU is enabled
  in kdump kernel (bsc#1117158).
- ACPI: fix menuconfig presentation of ACPI submenu (bsc#1117158).
- commit 51f7441
* Mon Jun  3 2019 mhocko@suse.com
- mm: hwpoison: fix thp split handing in
  soft_offline_in_use_page() (bsc#1130699, CVE-2019-10124).
- commit f0e18c6
* Mon Jun  3 2019 mbrugger@suse.com
- arm64: fix ACPI dependencies (bsc#1117158).
- arm64: acpi: fix alignment fault in accessing ACPI
  (bsc#1117158).
- efi/arm: map UEFI memory map even w/o runtime services enabled
  (bsc#1117158).
- efi/arm: preserve early mapping of UEFI memory map longer for
  BGRT (bsc#1117158).
- drivers: acpi: add dependency of EFI for arm64 (bsc#1117158).
- commit 50a260e
* Mon Jun  3 2019 hare@suse.de
- scsi: qedf: fixup bit operations (bsc#1135542).
- scsi: qedf: fixup locking in qedf_restart_rport() (bsc#1135542).
- scsi: qedf: missing kref_put in qedf_xmit() (bsc#1135542).
- commit aeecf02
* Mon Jun  3 2019 jslaby@suse.cz
- ipv4: ip_do_fragment: Preserve skb_iif during fragmentation
  (networking-stable-19_05_04).
- sctp: avoid running the sctp state machine recursively
  (networking-stable-19_05_04).
- net: dsa: bcm_sf2: fix buffer overflow doing set_rxnfc
  (networking-stable-19_05_04).
- bnxt_en: Improve multicast address setup logic
  (networking-stable-19_05_04).
- net: phy: marvell: Fix buffer overrun with stats counters
  (networking-stable-19_05_04).
- commit 3177994
* Mon Jun  3 2019 jslaby@suse.cz
- memcg: make it work on sparse non-0-node systems (bnc#1133616).
- memcg: make it work on sparse non-0-node systems kabi
  (bnc#1133616).
- commit a3ffa5a
* Fri May 31 2019 lduncan@suse.com
- scsi: hisi: KABI ignore new symbols (bsc#1135038).
- commit 1ed490b
* Fri May 31 2019 tiwai@suse.de
- mmc: block: Delete gendisk before cleaning up the request queue
  (bsc#1127616).
- commit 098f519
* Fri May 31 2019 jslaby@suse.cz
- signal: Restore the stop PTRACE_EVENT_EXIT (git-fixes).
- commit 6eedc81
* Fri May 31 2019 tiwai@suse.de
- ALSA: hda/realtek - Enable micmute LED for Huawei laptops
  (bsc#1051510).
- commit 30d080e
* Fri May 31 2019 tiwai@suse.de
- rtc: da9063: set uie_unsupported when relevant (bsc#1051510).
- rtc: sh: Fix invalid alarm warning for non-enabled alarm
  (bsc#1051510).
- commit 8105b25
* Fri May 31 2019 tiwai@suse.de
- configfs: Fix use-after-free when accessing sd->s_dentry
  (bsc#1051510).
- commit 5a729aa
* Fri May 31 2019 tiwai@suse.de
- ALSA: hda/realtek - Improve the headset mic for Acer Aspire
  laptops (bsc#1051510).
- ARM: iop: don't use using 64-bit DMA masks (bsc#1051510).
- ARM: orion: don't use using 64-bit DMA masks (bsc#1051510).
- commit 1c0a657
* Fri May 31 2019 jslaby@suse.cz
- userfaultfd: use RCU to free the task struct when fork fails
  (git-fixes).
- switchtec: Fix unintended mask of MRPC event (git-fixes).
- PCI: Work around Pericom PCIe-to-PCI bridge Retrain Link erratum
  (git-fixes).
- kABI: protect struct pci_dev (kabi).
- PCI: Factor out pcie_retrain_link() function (git-fixes).
- kernel/sys.c: prctl: fix false positive in validate_prctl_map()
  (git-fixes).
- ptrace: take into account saved_sigmask in
  PTRACE{GET,SET}SIGMASK (git-fixes).
- commit 4b79357
* Fri May 31 2019 jslaby@suse.cz
- signal: Better detection of synchronous signals (git-fixes).
- signal: Always notice exiting tasks (git-fixes).
- commit d78bfdd
* Fri May 31 2019 jslaby@suse.cz
- PCI: endpoint: Use EPC's device in
  dma_alloc_coherent()/dma_free_coherent() (git-fixes).
- kABI: protect dma-mapping.h include (kabi).
- commit cdb335e
* Fri May 31 2019 jslaby@suse.cz
- blacklist.conf: add 2 ARCH_RENESAS commits and 1 unneeded
- commit 556e784
* Fri May 31 2019 jslaby@suse.cz
- net: dsa: mv88e6xxx: fix handling of upper half of
  STATS_TYPE_PORT (git-fixes).
- commit f9ecc4c
* Fri May 31 2019 jslaby@suse.cz
- net/rose: fix unbound loop in rose_loopback_timer()
  (networking-stable-19_04_30).
- net: rds: exchange of 8K and 1M pool
  (networking-stable-19_04_30).
- net: stmmac: move stmmac_check_ether_addr() to driver probe
  (networking-stable-19_04_30).
- net/mlx5e: ethtool, Remove unsupported SFP EEPROM high pages
  query (networking-stable-19_04_30).
- team: fix possible recursive locking when add slaves
  (networking-stable-19_04_30).
- stmmac: pci: Adjust IOT2000 matching
  (networking-stable-19_04_30).
- mlxsw: spectrum: Fix autoneg status in ethtool
  (networking-stable-19_04_30).
- ipv4: set the tcp_min_rtt_wlen range from 0 to one day
  (networking-stable-19_04_30).
- commit 96259b9
* Fri May 31 2019 wqu@suse.com
- btrfs: qgroup: Check bg while resuming relocation to  avoid
  NULL pointer dereference (bsc#1134806).
- commit f7220b7
* Fri May 31 2019 wqu@suse.com
- Refresh
  patches.suse/btrfs-reloc-also-queue-orphan-reloc-tree-for-cleanup-to-avoid-bug_on.patch.
- commit 375bd5a
* Fri May 31 2019 jslaby@suse.cz
- ipv4: add sanity checks in ipv4_link_failure() (git-fixes).
- commit 905af0e
* Fri May 31 2019 lduncan@suse.com
- scsi: libsas: Print expander PHY indexes in decimal
  (bsc#1135021).
- scsi: libsas: Do discovery on empty PHY to update PHY info
  (bsc#1135024).
- scsi: libsas: Inject revalidate event for root port event
  (bsc#1135026).
- scsi: libsas: Improve vague log in SAS rediscovery
  (bsc#1135027).
- scsi: libsas: Try to retain programmed min linkrate for SATA
  min pathway unmatch fixing (bsc#1135028).
- scsi: libsas: Stop hardcoding SAS address length (bsc#1135029).
- scsi: hisi_sas: Some misc tidy-up (bsc#1135031).
- scsi: hisi_sas: Don't fail IT nexus reset for Open Reject
  timeout (bsc#1135033).
- scsi: hisi_sas: Don't hard reset disk during controller reset
  (bsc#1135034).
- scsi: hisi_sas: Support all RAS events with MSI interrupts
  (bsc#1135035).
- scsi: hisi_sas: allocate different SAS address for directly
  attached situation (bsc#1135036).
- scsi: hisi_sas: Adjust the printk format of functions
  hisi_sas_init_device() (bsc#1135037).
- scsi: hisi_sas: Fix for setting the PHY linkrate when
  disconnected (bsc#1135038).
- scsi: hisi_sas: Remedy inconsistent PHY down state in software
  (bsc#1135039).
- scsi: hisi_sas: add host reset interface for test (bsc#1135041).
- scsi: hisi_sas: Add softreset in hisi_sas_I_T_nexus_reset()
  (bsc#1135033).
- scsi: hisi_sas: Send HARD RESET to clear the previous
  affiliation of STP target port (bsc#1135037).
- scsi: hisi_sas: Set PHY linkrate when disconnected
  (bsc#1135038).
- scsi: hisi_sas: remove the check of sas_dev status in
  hisi_sas_I_T_nexus_reset() (bsc#1135037).
- scsi: libsas: Support SATA PHY connection rate unmatch fixing
  during discovery (bsc#1135028).
- commit ef80787
* Thu May 30 2019 lyan@suse.com
- KVM: s390: kABI Workaround for 'kvm_vcpu_stat'
  Add halt_no_poll_steal to kvm_vcpu_stat. Hide it from the kABI checker.
  Related patch:
  KVM-s390-provide-kvm_arch_no_poll-function.patch
- commit 5991d45
* Thu May 30 2019 lyan@suse.com
- KVM: s390: enable CONFIG_HAVE_KVM_NO_POLL (bsc#1119222)
  We need to enable CONFIG_HAVE_KVM_NO_POLL for bsc#1119222
- commit df0fa87
* Thu May 30 2019 lyan@suse.com
- KVM: s390: change default halt poll time to 50us (bsc#1119222).
- KVM: s390: fix typo in parameter description (bsc#1119222).
- KVM: s390: provide kvm_arch_no_poll function (bsc#1119222).
- KVM: polling: add architecture backend to disable polling
  (bsc#1119222).
- s390/vtime: steal time exponential moving average (bsc#1119222).
- commit 705523a
* Thu May 30 2019 fdmanana@suse.com
- btrfs: don't double unlock on error in btrfs_punch_hole
  (bsc#1136881).
- commit e903367
* Thu May 30 2019 mbenes@suse.cz
- ftrace/x86_64: Emulate call function while updating in
  breakpoint handler (bsc#1099658).
- commit fae436c
* Thu May 30 2019 mbenes@suse.cz
- x86_64: Allow breakpoints to emulate call instructions
  (bsc#1099658).
- commit 5ac027b
* Thu May 30 2019 mbenes@suse.cz
- x86_64: Add gap to int3 to allow for call emulation
  (bsc#1099658).
- commit 7433070
* Thu May 30 2019 jslaby@suse.cz
- tcp: tcp_grow_window() needs to respect tcp_space()
  (networking-stable-19_04_19).
- net: atm: Fix potential Spectre v1 vulnerabilities
  (networking-stable-19_04_19).
- bonding: fix event handling for stacked bonds
  (networking-stable-19_04_19).
- ipv4: ensure rcu_read_lock() in ipv4_link_failure()
  (networking-stable-19_04_19).
- ipv4: recompile ip options in ipv4_link_failure
  (networking-stable-19_04_19).
- net: thunderx: don't allow jumbo frames with XDP
  (networking-stable-19_04_19).
- net: thunderx: raise XDP MTU to 1508
  (networking-stable-19_04_19).
- net: fou: do not use guehdr after iptunnel_pull_offloads in
  gue_udp_recv (networking-stable-19_04_19).
- tipc: missing entries in name table of publications
  (networking-stable-19_04_19).
- vhost: reject zero size iova range (networking-stable-19_04_19).
- commit 4c0bbc3
* Thu May 30 2019 jslaby@suse.cz
- x86/smpboot: Rename match_die() to match_pkg() (jsc#SLE-5454).
- commit abb6430
* Thu May 30 2019 jslaby@suse.cz
- perf/x86/intel/rapl: Cosmetic rename internal variables in
  response to multi-die/pkg support (jsc#SLE-5454).
- perf/x86/intel/uncore: Cosmetic renames in response to
  multi-die/pkg support (jsc#SLE-5454).
- hwmon/coretemp: Cosmetic: Rename internal variables to zones
  from packages (jsc#SLE-5454).
- thermal/x86_pkg_temp_thermal: Cosmetic: Rename internal
  variables to zones from packages (jsc#SLE-5454).
- perf/x86/intel/cstate: Support multi-die/package (jsc#SLE-5454).
- perf/x86/intel/rapl: Support multi-die/package (jsc#SLE-5454).
- perf/x86/intel/uncore: Support multi-die/package (jsc#SLE-5454).
- topology: Create core_cpus and die_cpus sysfs attributes
  (jsc#SLE-5454).
- topology: Create package_cpus sysfs attribute (jsc#SLE-5454).
- hwmon/coretemp: Support multi-die/package (jsc#SLE-5454).
- powercap/intel_rapl: Update RAPL domain name and debug messages
  (jsc#SLE-5454).
- thermal/x86_pkg_temp_thermal: Support multi-die/package
  (jsc#SLE-5454).
- powercap/intel_rapl: Support multi-die/package (jsc#SLE-5454).
- powercap/intel_rapl: Simplify rapl_find_package()
  (jsc#SLE-5454).
- x86/topology: Define topology_logical_die_id() (jsc#SLE-5454).
- kabi: x86/topology: Define topology_logical_die_id()
  (jsc#SLE-5454).
- Refresh
  patches.kabi/x86-topology-Add-CPUID.1F-multi-die-package-support.patch.
- x86/topology: Define topology_die_id() (jsc#SLE-5454).
- cpu/topology: Export die_id (jsc#SLE-5454).
- x86/topology: Create topology_max_die_per_package()
  (jsc#SLE-5454).
- x86/topology: Add CPUID.1F multi-die/package support
  (jsc#SLE-5454).
- kabi: x86/topology: Add CPUID.1F multi-die/package support
  (jsc#SLE-5454).
- commit 1bbf122
* Wed May 29 2019 lyan@suse.com
- KVM: s390: vsie: fix < 8k check for the itdba (bsc#1136206).
- KVM: s390: fix memory overwrites when not using SCA entries
  (bsc#1136206).
- KVM: s390: provide io interrupt kvm_stat (bsc#1136206).
- KVM: s390: use created_vcpus in more places (bsc#1136206).
- commit ac8acab
* Wed May 29 2019 nborisov@suse.com
- btrfs: reloc: Also queue orphan reloc tree for cleanup to avoid  BUG_ON() (bsc#1133612).
- commit a060248
* Wed May 29 2019 tiwai@suse.de
- Update cx2072x patches to follow the upstream development (bsc#1068546)
- commit 994eaf4
* Wed May 29 2019 lhenriques@suse.com
- libceph: introduce alloc_watch_request() (bsc#1135897).
- libceph: assign cookies in linger_submit() (bsc#1135897).
- libceph: enable fallback to ceph_msg_new() in ceph_msgpool_get()
  (bsc#1135897).
- libceph: don't consume a ref on pagelist in
  ceph_msg_data_add_pagelist() (bsc#1135897).
- commit f4b5978
* Wed May 29 2019 lhenriques@suse.com
- libceph: introduce ceph_pagelist_alloc() (bsc#1135897).
- Refresh
  patches.drivers/ceph-osd_client-add-support-for-CEPH_OSD_OP_GETXATTR.patch.
- commit 0b2485a
* Wed May 29 2019 lhenriques@suse.com
- libceph, rbd: add error handling for osd_req_op_cls_init()
  (bsc#1135897).
- commit 1005540
* Wed May 29 2019 mbenes@suse.cz
- livepatch: Remove duplicated code for early initialization
  (bsc#1071995).
- commit d7cb081
* Tue May 28 2019 nsaenzjulienne@suse.de
- HID: core: move Usage Page concatenation to Main item
  (bsc#1093389).
- commit e911a1e
* Tue May 28 2019 mbenes@suse.cz
- livepatch: Remove custom kobject state handling (bsc#1071995).
- commit a4335b2
* Tue May 28 2019 mbenes@suse.cz
- livepatch: Convert error about unsupported reliable stacktrace
  into a warning (bsc#1071995).
- commit 72f483c
* Tue May 28 2019 jeyu@suse.de
- blacklist.conf: blacklist unneeded git-fix for kbuild
- commit 68fd002
* Tue May 28 2019 tiwai@suse.de
- drm/edid: Fix a missing-check bug in drm_load_edid_firmware()
  (CVE-2019-12382, bsc#1136586).
- commit 1e30a36
* Tue May 28 2019 ailiopoulos@suse.com
- xfs: serialize unaligned dio writes against all other dio writes
  (bsc#1134936).
- commit 74a4006
* Tue May 28 2019 mbenes@suse.cz
- tracing: Fix partial reading of trace event's id file
  (bsc#1136573).
- commit 09f1eb3
* Tue May 28 2019 mbenes@suse.cz
- blacklist.conf: 8ea58f1e8b11 ("objtool: Allow AR to be overridden with HOSTAR")
  Not needed. We can happily use just AR.
- commit 8993380
* Tue May 28 2019 mbenes@suse.cz
- objtool: Fix function fallthrough detection (bsc#1058115).
- commit 0746a05
* Tue May 28 2019 vbabka@suse.cz
- fs: prevent page refcount overflow in pipe_buf_get
  (CVE-2019-11487, bsc#1133190).
- fs: prevent page refcount overflow in pipe_buf_get - KABI fix
  (CVE-2019-11487, bsc#1133190, KABI).
- Refresh patches.suse/tracing-fix-buffer_ref-pipe-ops.patch.
- commit c6248ad
* Tue May 28 2019 fabian.baumanis@suse.com
- dt-bindings: rtc: sun6i-rtc: Fix register range in example
  (bsc#1120902).
- commit 927760c
* Tue May 28 2019 fabian.baumanis@suse.com
- dt-bindings: clock: r8a7796: Remove CSIREF clock (bsc#1120902).
- commit c971b53
* Tue May 28 2019 fabian.baumanis@suse.com
- dt-bindings: clock: r8a7795: Remove CSIREF clock (bsc#1120902).
- commit 3779405
* Tue May 28 2019 fabian.baumanis@suse.com
- dt-bindings: net: Add binding for the external clock for TI
  WiLink (bsc#1085535).
- commit a82e24e
* Mon May 27 2019 fdmanana@suse.com
- Btrfs: tree-checker: detect file extent items with overlapping
  ranges (bsc#1136478).
- commit 99c28e3
* Mon May 27 2019 fdmanana@suse.com
- Btrfs: fix race between ranged fsync and writeback of adjacent
  ranges (bsc#1136477).
- commit 78d735d
* Mon May 27 2019 jack@suse.cz
- blacklist.conf: Blacklist e5d01196c042
- commit f5f212c
* Mon May 27 2019 jack@suse.cz
- blacklist.conf: Blacklist e5d01196c042
- commit 8d4155b
* Mon May 27 2019 jack@suse.cz
- ext4: make sanity check in mballoc more strict (bsc#1136439).
- commit 6ac995b
* Mon May 27 2019 jack@suse.cz
- ext4: wait for outstanding dio during truncate in nojournal mode
  (bsc#1136438).
- commit 638f0df
* Mon May 27 2019 jack@suse.cz
- ext4: avoid panic during forced reboot due to aborted journal
  (bsc#1126356).
- commit 0e51a34
* Mon May 27 2019 jack@suse.cz
- fs/writeback.c: use rcu_barrier() to wait for inflight wb
  switches going into workqueue when umount (bsc#1136435).
- commit 9efa073
* Mon May 27 2019 jack@suse.cz
- ocfs2: fix ocfs2 read inode data panic in ocfs2_iget
  (bsc#1136434).
- commit c5999d1
* Mon May 27 2019 jack@suse.cz
- fs/sync.c: sync_file_range(2) may use WB_SYNC_ALL writeback
  (bsc#1136432).
- commit d0e9c49
* Mon May 27 2019 jack@suse.cz
- jbd2: check superblock mapped prior to committing (bsc#1136430).
- commit e8faf2c
* Mon May 27 2019 jack@suse.cz
- ext4: fix data corruption caused by overlapping unaligned and
  aligned IO (bsc#1136428).
- commit 1dc7363
* Mon May 27 2019 oneukum@suse.com
- blacklist.conf: not neeed for our kernel configs
- commit 57259c7
* Mon May 27 2019 oneukum@suse.com
- p54: drop device reference count if fails to enable device
  (bsc#1135642).
- commit 4fe5e78
* Mon May 27 2019 oneukum@suse.com
- keys: safe concurrent user->{session,uid}_keyring access
  (bsc#1135642).
- commit 208d509
* Mon May 27 2019 yousaf.kaukab@suse.com
- config: arm64: enable CN99xx uncore pmu
  References: fate#323052,bsc#1117114
- commit 68ebe3c
* Mon May 27 2019 yousaf.kaukab@suse.com
- drivers/perf: Add Cavium ThunderX2 SoC UNCORE PMU driver (fate#323052).
- Documentation: perf: Add documentation for ThunderX2 PMU uncore driver (fate#323052).
- commit 13e4b4f
* Mon May 27 2019 jgross@suse.com
- xenbus: drop useless LIST_HEAD in xenbus_write_watch() and
  xenbus_file_write() (bsc#1065600).
- commit 19f3981
* Mon May 27 2019 mwilck@suse.com
- RDMA/rxe: Consider skb reserve space based on netdev of GID
  (bsc#1082387, bsc#1103992, FATE#326009).
- commit 1002de7
* Mon May 27 2019 glin@suse.com
- kabi: implement map_lookup_elem_sys_only in another way
  (bsc#1083647).
- bpf, lru: avoid messing with eviction heuristics upon syscall
  lookup (bsc#1083647).
- bpf: add map_lookup_elem_sys_only for lookups from syscall side
  (bsc#1083647).
- commit f662f86
* Mon May 27 2019 wqu@suse.com
- Refresh
  patches.suse/0001-btrfs-extent-tree-Fix-a-bug-that-btrfs-is-unable-to-.patch.
- commit 3d0a3c7
* Sun May 26 2019 tiwai@suse.de
- Bluetooth: Check key sizes only when Secure Simple Pairing is
  enabled (bsc#1135556).
- commit 6cda879
* Fri May 24 2019 tiwai@suse.de
- drm/sun4i: Fix sun8i HDMI PHY configuration for > 148.5 MHz
  (bsc#1111666).
- drm/sun4i: Fix sun8i HDMI PHY clock initialization
  (bsc#1111666).
- commit c60d4d9
* Fri May 24 2019 tiwai@suse.de
- drm/i915/gvt: do not let TRTTE and 0x4dfc write passthrough
  to hardware (bsc#1051510).
- commit 7358223
* Fri May 24 2019 tiwai@suse.de
- platform/x86: pmc_atom: Add several Beckhoff Automation boards
  to critclk_systems DMI table (bsc#1051510).
- platform/x86: pmc_atom: Add Lex 3I380D industrial PC to
  critclk_systems DMI table (bsc#1051510).
- drm/vmwgfx: integer underflow in vmw_cmd_dx_set_shader()
  leading to an invalid read (bsc#1051510).
- drm/vmwgfx: Don't send drm sysfs hotplug events on initial
  master set (bsc#1051510).
- commit 70d4924
* Fri May 24 2019 dkirjanov@suse.com
- netfilter: ebtables: CONFIG_COMPAT: reject trailing data after
  last rule (git-fixes).
- ipv6/flowlabel: wait rcu grace period before put_pid()
  (git-fixes).
- ipv6: invert flowlabel sharing check in process and user mode
  (git-fixes).
- netfilter: nf_tables: fix leaking object reference count
  (git-fixes).
- netfilter: ipset: do not call ipset_nest_end after
  nla_nest_cancel (git-fixes).
- ipvs: call ip_vs_dst_notifier earlier than ipv6_dev_notf
  (git-fixes).
- net: don't keep lonely packets forever in the gro hash
  (git-fixes).
- netfilter: nft_compat: do not dump private area (git-fixes).
- net/ipv4: defensive cipso option parsing (git-fixes).
- ip_gre: fix parsing gre header in ipgre_err (git-fixes).
- net: make skb_partial_csum_set() more robust against overflows
  (git-fixes).
- commit 86f6537
* Fri May 24 2019 tbogendoerfer@suse.de
- net: ena: fix return value of ena_com_config_llq_info()
  (bsc#1111696 bsc#1117561).
- bpf: Add missed newline in verifier verbose log (bsc#1056787).
- net: hns3: remove resetting check in hclgevf_reset_task_schedule
  (bsc#1104353 FATE#326415 bsc#1135056).
- bnxt_en: Free short FW command HWRM memory in error path in
  bnxt_init_one() (bsc#1050242 FATE#322914).
- RDMA/hns: Fix bug that caused srq creation to fail (bsc#1104427
  FATE#326416).
- net/sched: don't dereference a->goto_chain to read the chain
  index (bsc#1064802 bsc#1066129).
- net/mlx5e: IPoIB, Reset QP after channels are closed
  (bsc#1075020).
- net/mlx5e: Fix trailing semicolon (bsc#1075020).
- commit 1a64be3
* Fri May 24 2019 ptesarik@suse.cz
- Update patches.fixes/net-smc-check-for-ip-prefix-and-subnet
  (bsc#1134618 LTC#177520).
- Update patches.fixes/net-smc-cleanup-of-get-vlan-id (bsc#1134618
  LTC#177520).
- Update patches.fixes/net-smc-code-cleanup-smc_listen_work
  (bsc#1134618 LTC#177520).
- Update patches.fixes/net-smc-consolidate-function-parameters
  (bsc#1134618 LTC#177520).
- Update
  patches.fixes/net-smc-fallback-to-tcp-after-connect-problems
  (bsc#1134618 LTC#177520).
- Update patches.fixes/net-smc-fix-a-null-pointer-dereference
  (bsc#1134618 LTC#177520).
- Update patches.fixes/net-smc-fix-return-code-from-flush-command
  (bsc#1134618 LTC#177520).
- Update
  patches.fixes/net-smc-improve-smc_conn_create-reason-codes
  (bsc#1134618 LTC#177520).
- Update
  patches.fixes/net-smc-improve-smc_listen_work-reason-codes
  (bsc#1134618 LTC#177520).
- Update
  patches.fixes/net-smc-move-unhash-before-release-of-clcsock
  (bsc#1134618 LTC#177520).
- Update patches.fixes/net-smc-nonblocking-connect-rework
  (bsc#1134618 LTC#177520).
- Update
  patches.fixes/net-smc-propagate-file-from-smc-to-tcp-socket
  (bsc#1134618 LTC#177520).
- Update
  patches.fixes/net-smc-wait-for-pending-work-before-clcsock-release_sock
  (bsc#1134618 LTC#177520).
- commit b2dfaba
* Thu May 23 2019 neilb@suse.com
- arm64: Export save_stack_trace_tsk() (jsc#SLE-4214).
- commit 47a499b
* Thu May 23 2019 ptesarik@suse.cz
- net/smc: improve smc_conn_create reason codes (bsc#1134607
  LTC#177518).
- net/smc: improve smc_listen_work reason codes (bsc#1134607
  LTC#177518).
- net/smc: code cleanup smc_listen_work (bsc#1134607 LTC#177518).
- net/smc: cleanup of get vlan id (bsc#1134607 LTC#177518).
- commit e4f2e1f
* Thu May 23 2019 ptesarik@suse.cz
- net/smc: consolidate function parameters (bsc#1134607
  LTC#177518).
- Refresh
  patches.kabi/net-smc-preallocated-memory-for-rdma-work-requests
- commit 278f2e9
* Thu May 23 2019 ptesarik@suse.cz
- net/smc: check for ip prefix and subnet (bsc#1134607
  LTC#177518).
- net/smc: fallback to TCP after connect problems (bsc#1134607
  LTC#177518).
- net/smc: nonblocking connect rework (bsc#1134607 LTC#177518).
- net/smc: move unhash before release of clcsock (bsc#1134607
  LTC#177518).
- net/smc: fix return code from FLUSH command (bsc#1134607
  LTC#177518).
- net/smc: propagate file from SMC to TCP socket (bsc#1134607
  LTC#177518).
- net/smc: fix a NULL pointer dereference (bsc#1134607
  LTC#177518).
- net/smc: wait for pending work before clcsock release_sock
  (bsc#1134607 LTC#177518).
- commit 77acc58
* Thu May 23 2019 ptesarik@suse.cz
- Update patches.arch/s390-qdio-clear-intparm-during-shutdown
  (bsc#1134597 bsc#1134600 LTC#177516 LTC#177517).
- commit 00d8d86
* Thu May 23 2019 ptesarik@suse.cz
- s390/qdio: clear intparm during shutdown (bsc#1134597
  LTC#177516).
- commit fbf32ad
* Thu May 23 2019 ptesarik@suse.cz
- kmsg: Update message catalog to latest IBM level (2019/03/08)
  (bsc#1128904 LTC#176078).
- commit d18ce40
* Thu May 23 2019 ptesarik@suse.cz
- Refresh
  patches.drm/drm-i915-Disable-LP3-watermarks-on-all-SNB-machines.patch.
- commit d7b63e6
* Thu May 23 2019 jthumshirn@suse.de
- nvme-rdma: fix possible free of a non-allocated async event
  buffer (bsc#1120423).
- commit 897ddf2
* Thu May 23 2019 vbabka@suse.cz
- mm/mincore.c: make mincore() more conservative (CVE-2019-5489,
  bsc#1120843).
- commit 1e17fa5
* Thu May 23 2019 oneukum@suse.com
- PCI: pciehp: Tolerate Presence Detect hardwired to zero
  (bsc#1133016).
- Refresh
  patches.drivers/0001-PCI-pciehp-Unify-controller-and-slot-structs.patch.
- commit cbef614
* Thu May 23 2019 tiwai@suse.de
- MD: fix invalid stored role for a disk (bsc#1051510).
- commit 44ef4a6
* Thu May 23 2019 tiwai@suse.de
- mac8390: Fix mmio access size probe (bsc#1051510).
- commit ae05479
* Thu May 23 2019 tiwai@suse.de
- l2tp: revert "l2tp: fix missing print session offset info"
  (bsc#1051510).
- l2tp: cleanup l2tp_tunnel_delete calls (bsc#1051510).
- commit 9da90d9
* Thu May 23 2019 tiwai@suse.de
- iw_cxgb4: only allow 1 flush on user qps (bsc#1051510).
- commit 917dc56
* Thu May 23 2019 tiwai@suse.de
- ipvs: Fix signed integer overflow when setsockopt timeout
  (bsc#1051510).
- ipvs: fix race between ip_vs_conn_new() and ip_vs_del_dest()
  (bsc#1051510).
- commit c0d0472
* Thu May 23 2019 tiwai@suse.de
- blacklist.conf: Add reverted entries for ipvlan
- commit e8535d6
* Thu May 23 2019 tiwai@suse.de
- ipvlan: use ETH_MAX_MTU as max mtu (bsc#1051510).
- ipvlan: Add the skb->mark as flow4's member to lookup route
  (bsc#1051510).
- ipvlan: fix ipv6 outbound device (bsc#1051510).
- commit 034e32f
* Thu May 23 2019 tiwai@suse.de
- ipconfig: Correctly initialise ic_nameservers (bsc#1051510).
- commit dfaa13c
* Thu May 23 2019 tiwai@suse.de
- debugfs: fix use-after-free on symlink traversal (bsc#1051510).
- commit 472b149
* Thu May 23 2019 tiwai@suse.de
- dccp: Fix memleak in __feat_register_sp (bsc#1051510).
- commit f3bfe00
* Thu May 23 2019 tiwai@suse.de
- crypto: vmx - CTR: always increment IV as quadword
  (bsc#1051510).
- commit 8dd0014
* Thu May 23 2019 tiwai@suse.de
- 9p locks: add mount option for lock retry interval
  (bsc#1051510).
- Refresh
  patches.fixes/9p-locks-fix-glock.client_id-leak-in-do_lock.patch.
- commit 70d83b3
* Thu May 23 2019 tiwai@suse.de
- blacklist.conf: blacklist entries for unsupported fsl hypervisor
- commit cd8abeb
* Thu May 23 2019 ptesarik@suse.cz
- RDMA/smc: Replace ib_query_gid with rdma_get_gid_attr
  (bsc#1131530 LTC#176717).
- commit 11da9fc
* Wed May 22 2019 dkirjanov@suse.com
- xfrm: reset crypto_done when iterating over multiple input xfrms
  (git-fixes).
- xfrm: reset transport header back to network header after all
  input transforms ahave been applied (git-fixes).
- xfrm6: call kfree_skb when skb is toobig (git-fixes).
- xfrm: Validate address prefix lengths in the xfrm selector
  (git-fixes).
- netfilter: bridge: Don't sabotage nf_hook calls from an l3mdev
  (git-fixes).
- netfilter: nf_tables: release chain in flushing set (git-fixes).
- igmp: fix incorrect unsolicit report count when join group
  (git-fixes).
- ipv6: fix cleanup ordering for pingv6 registration (git-fixes).
- ipv6: fix cleanup ordering for ip6_mr failure (git-fixes).
- ip6_tunnel: collect_md xmit: Use ip_tunnel_key's provided src
  address (git-fixes).
- xfrm: fix 'passing zero to ERR_PTR()' warning (git-fixes).
- net/ipv6: propagate net.ipv6.conf.all.addr_gen_mode to devices
  (git-fixes).
- net/ipv6: reserve room for IFLA_INET6_ADDR_GEN_MODE (git-fixes).
- net/ipv6: don't reinitialize ndev->cnf.addr_gen_mode on new
  inet6_dev (git-fixes).
- net/ipv6: fix addrconf_sysctl_addr_gen_mode (git-fixes).
- packet: refine ring v3 block size test to hold one frame
  (git-fixes).
- net: socket: fix potential spectre v1 gadget in socketcall
  (git-fixes).
- xfrm: fix missing dst_release() after policy blocking lbcast
  and multicast (git-fixes).
- xfrm_user: prevent leaking 2 bytes of kernel memory (git-fixes).
- netfilter: nf_log: don't hold nf_log_mutex during user access
  (git-fixes).
- netfilter: nf_log: fix uninit read in nf_log_proc_dostring
  (git-fixes).
- commit 303186e
* Wed May 22 2019 aaptel@suse.com
- cifs: a smb2_validate_and_copy_iov failure does not mean the handle is invalid (bsc#1144333).
- commit 68f6ab0
* Wed May 22 2019 aaptel@suse.com
- SMB3: Allow persistent handle timeout to be configurable on mount (bsc#1144333).
- commit 627d619
* Wed May 22 2019 aaptel@suse.com
- smb3: Fix enumerating snapshots to Azure (bsc#1144333).
- commit 0a9c290
* Wed May 22 2019 aaptel@suse.com
- cifs: fix kref underflow in close_shroot() (bsc#1144333).
- commit 615abb2
* Wed May 22 2019 aaptel@suse.com
- fs/cifs: Simplify ib_post_(send|recv|srq_recv)() calls (bsc#1144333).
- commit 04b1ce0
* Wed May 22 2019 aaptel@suse.com
- cifs_lookup(): switch to d_splice_alias() (bsc#1144333).
- commit 36ccce5
* Wed May 22 2019 aaptel@suse.com
- cifs_lookup(): cifs_get_inode_...() never returns 0 with *inode left NULL (bsc#1144333).
- commit f01e8fd
* Wed May 22 2019 jack@suse.cz
- ext4: zero out the unused memory region in the extent tree block
  (bsc#1135281 CVE-2019-11833).
- commit 5827b89
* Wed May 22 2019 tiwai@suse.de
- ARM: imx6q: cpuidle: fix bug that CPU might not wake up at
  expected time (bsc#1051510).
- ARM: 8833/1: Ensure that NEON code always compiles with Clang
  (bsc#1051510).
- ARM: avoid Cortex-A9 livelock on tight dmb loops (bsc#1051510).
- ARM: 8840/1: use a raw_spinlock_t in unwind (bsc#1051510).
- ARM: 8839/1: kprobe: make patch_lock a raw_spinlock_t
  (bsc#1051510).
- ARM: s3c24xx: Fix boolean expressions in osiris_dvs_notify
  (bsc#1051510).
- ARM: 8824/1: fix a migrating irq bug when hotplug cpu
  (bsc#1051510).
- ARM: OMAP2+: fix lack of timer interrupts on CPU1 after hotplug
  (bsc#1051510).
- ARM: OMAP2+: Variable "reg" in function omap4_dsi_mux_pads()
  could be uninitialized (bsc#1051510).
- ARM: pxa: ssp: unneeded to free devm_ allocated data
  (bsc#1051510).
- ARM: samsung: Limit SAMSUNG_PM_CHECK config option to non-Exynos
  platforms (bsc#1051510).
- commit 8a4cc44
* Wed May 22 2019 msuchanek@suse.de
- Update config files.
  Debug kernel is not supported (bsc#1135492).
- commit 166e766
* Wed May 22 2019 aaptel@suse.com
- cifs: Fix to use kmem_cache_free() instead of kfree() (bsc#1144333).
- commit 3845c98
* Wed May 22 2019 fabian.baumanis@suse.com
- tools lib traceevent: Fix missing equality check for strcmp
  (bsc#1129770).
- commit 677ed0a
* Wed May 22 2019 fabian.baumanis@suse.com
- x86/speculation/mds: Fix documentation typo (bsc#1135642).
- commit 4e531e5
* Tue May 21 2019 aaptel@suse.com
- smb3: missing defines and structs for reparse point handling (bsc#1144333).
- commit 7fa072b
* Tue May 21 2019 aaptel@suse.com
- smb3: if server does not support posix do not allow posix mount option (bsc#1144333).
- commit 99d410c
* Tue May 21 2019 aaptel@suse.com
- cifs: smbd: Check for iov length on sending the last iov (bsc#1144333).
- commit c0232af
* Tue May 21 2019 ptesarik@suse.cz
- Refresh
  patches.drivers/iommu-arm-smmu-v3-Don-t-disable-SMMU-in-kdump-kernel.patch.
- Refresh
  patches.fixes/nvme-multipath-avoid-crash-on-invalid-subsystem-cntl.patch.
- commit 8352479
* Tue May 21 2019 fdmanana@suse.com
- Btrfs: improve performance on fsync of files with multiple
  hardlinks (bsc#1123454).
- commit 19a09ba
* Tue May 21 2019 fdmanana@suse.com
- Btrfs: send, flush dellaloc in order to avoid data loss
  (bsc#1133320).
- commit 9e6fc7e
* Tue May 21 2019 fdmanana@suse.com
- Btrfs: do not allow trimming when a fs is mounted with the
  nologreplay option (bsc#1135758).
- commit f1cd52b
* Tue May 21 2019 tiwai@suse.de
- blacklist.conf: add a CVE entry that isn't needed for SLE15-SP0
- commit 6366742
* Tue May 21 2019 tiwai@suse.de
- Update reference tag for MDS fixes, adding mising CVE-2019-11091
- commit b6b4ce8
* Tue May 21 2019 jslaby@suse.cz
- TTY: serial_core, add ->install (bnc#1129693).
- commit f4a2fd2
* Tue May 21 2019 tiwai@suse.de
- vsock/virtio: Initialize core virtio vsock before registering
  the driver (bsc#1051510).
- soc/fsl/qe: Fix an error code in qe_pin_request() (bsc#1051510).
- commit 71c20f2
* Tue May 21 2019 jslaby@suse.cz
- Refresh
  patches.drivers/serial-fix-race-between-flush_to_ldisc-and-tty_open.patch.
  Fix misapplied hunk. The second hunk should have been in
  uart_unthrottle.
- commit 2e69a77
* Mon May 20 2019 tiwai@suse.de
- Update reference tag for tun security fix (CVE-2018-7191, bsc#1135603)
- commit fe4b52d
* Mon May 20 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gvt: Add in context mmio 0x20D8 to gen9 mmio list'
- commit f377034
* Mon May 20 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/sun4i: rgb: Change the pixel clock validation check'
- commit bfb6b1e
* Sun May 19 2019 bp@suse.de
- perf tools: Add Hygon Dhyana support (fate#327735).
- commit ab9d89c
* Sun May 19 2019 bp@suse.de
- Update config files.
- commit 32d89f9
* Sun May 19 2019 bp@suse.de
- tools/cpupower: Add Hygon Dhyana support (fate#327735).
- commit bc59bd0
* Sun May 19 2019 bp@suse.de
- EDAC, amd64: Add Hygon Dhyana support (fate#327735).
- commit 41d77bc
* Sun May 19 2019 bp@suse.de
- cpufreq: Add Hygon Dhyana support (fate#327735).
- cpufreq: AMD: Ignore the check for ProcFeedback in ST/CZ
  (fate#327735).
- commit ecf0cba
* Sun May 19 2019 tiwai@suse.de
- blacklist.conf: Add a blacklist entry for HD-audio core that would break kABI
- commit 1d28cd1
* Sun May 19 2019 tiwai@suse.de
- ALSA: hda/realtek - Fix for Lenovo B50-70 inverted internal
  microphone bug (bsc#1051510).
- ALSA: hda/realtek - Corrected fixup for System76 Gazelle
  (gaze14) (bsc#1051510).
- ALSA: hda/realtek - Avoid superfluous COEF EAPD setups
  (bsc#1051510).
- ALSA: hda/realtek - Fixup headphone noise via runtime suspend
  (bsc#1051510).
- ALSA: hda - Use a macro for snd_array iteration loops
  (bsc#1051510).
- commit ed69d64
* Sun May 19 2019 bp@suse.de
- ACPI: Add Hygon Dhyana support (fate#327735).
- commit 4baf3e0
* Sun May 19 2019 bp@suse.de
- x86/xen: Add Hygon Dhyana support to Xen (fate#327735).
- commit 572d0fb
* Sun May 19 2019 bp@suse.de
- x86/kvm: Add Hygon Dhyana support to KVM (fate#327735).
- commit 450fdda
* Sun May 19 2019 bp@suse.de
- x86/mce: Don't disable MCA banks when offlining a CPU on AMD
  (fate#327735).
- x86/mce: Add Hygon Dhyana support to the MCA infrastructure
  (fate#327735).
- x86/mce: Don't disable MCA banks when offlining a CPU on AMD
  (fate#327735).
- commit 956d775
* Sat May 18 2019 bp@suse.de
- x86/bugs: Add Hygon Dhyana to the respective mitigation
  machinery (fate#327735).
- Update
  patches.arch/x86-speculation-consolidate-cpu-whitelists.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,).
- Update
  patches.arch/x86-speculation-mds-add-basic-bug-infrastructure-for-mds.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,).
- Update patches.arch/x86-speculation-mds-add-bug_msbds_only.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,).
- commit b867b1c
* Sat May 18 2019 bp@suse.de
- x86/apic: Add Hygon Dhyana support (fate#327735).
- commit b287f37
* Sat May 18 2019 ailiopoulos@suse.com
- xfs: force summary counter recalc at next mount (bsc#1114427).
- commit 437f1ec
* Sat May 18 2019 ailiopoulos@suse.com
- xfs: refactor unmount record write (bsc#1114427).
- commit fd58dbe
* Sat May 18 2019 ailiopoulos@suse.com
- xfs: move error injection tags into their own file
  (bsc#1114427).
- commit 269d9c3
* Sat May 18 2019 ailiopoulos@suse.com
- xfs: fix unused variable warning in xfs_buf_set_ref()
  (bsc#1114427).
- commit b0ec684
* Sat May 18 2019 ailiopoulos@suse.com
- xfs: create inode pointer verifiers (bsc#1114427).
- commit 2fc02cb
* Sat May 18 2019 ailiopoulos@suse.com
- xfs: buffer lru reference count error injection tag
  (bsc#1114427).
- commit 7c870d3
* Sat May 18 2019 ailiopoulos@suse.com
- xfs: add log item pinning error injection tag (bsc#1114427).
- commit 50a1a91
* Sat May 18 2019 ailiopoulos@suse.com
- xfs: replace log_badcrc_factor knob with error injection tag
  (bsc#1114427).
- commit 71829d5
* Sat May 18 2019 ailiopoulos@suse.com
- xfs: convert drop_writes to use the errortag mechanism
  (bsc#1114427).
- commit 7756cd3
* Sat May 18 2019 ailiopoulos@suse.com
- xfs: expose errortag knobs via sysfs (bsc#1114427).
- Refresh
  patches.fixes/xfs-remove-unneeded-parameter-from-XFS_TEST_ERROR.patch.
- commit 4c318be
* Sat May 18 2019 ailiopoulos@suse.com
- xfs: export _inobt_btrec_to_irec and _ialloc_cluster_alignment
  for scrub (bsc#1114427).
- commit 9a1c1d3
* Fri May 17 2019 bp@suse.de
- x86/pci, x86/amd_nb: Add Hygon Dhyana support to PCI and
  northbridge (fate#327735).
- Refresh
  patches.arch/x86-amd_nb-add-support-for-newer-pci-topologies.patch.
- commit 8565793
* Fri May 17 2019 aaptel@suse.com
- cifs: update internal module version number (bsc#1144333).
- commit 7464d29
* Fri May 17 2019 aaptel@suse.com
- SMB3: Fix SMB3.1.1 guest mounts to Samba (bsc#1051510, bsc#1144333).
- commit 4f51c39
* Fri May 17 2019 aaptel@suse.com
- cifs: Fix slab-out-of-bounds when tracing SMB tcon (bsc#1144333).
- commit cbe5f9f
* Fri May 17 2019 aaptel@suse.com
- cifs: allow guest mounts to work for smb3.11 (bsc#1051510, bsc#1144333).
- commit dd5b721
* Fri May 17 2019 aaptel@suse.com
- fix incorrect error code mapping for OBJECTID_NOT_FOUND (bsc#1144333).
- commit 363dad3
* Fri May 17 2019 aaptel@suse.com
- CIFS: Fix an issue with re-sending rdata when transport returning -EAGAIN (bsc#1144333).
- commit f215a41
* Fri May 17 2019 aaptel@suse.com
- CIFS: Fix an issue with re-sending wdata when transport returning -EAGAIN (bsc#1144333).
- commit 58f5208
* Fri May 17 2019 aaptel@suse.com
- CIFS: fix POSIX lock leak and invalid ptr deref (bsc#1114542, bsc#1144333).
- commit 84b9ca5
* Fri May 17 2019 aaptel@suse.com
- SMB3: Allow SMB3 FSCTL queries to be sent to server from tools (bsc#1144333).
- commit 0fc8064
* Fri May 17 2019 aaptel@suse.com
- cifs: fix incorrect handling of smb2_set_sparse() return in smb3_simple_falloc (bsc#1144333).
- commit be9b2e4
* Fri May 17 2019 aaptel@suse.com
- smb2: fix typo in definition of a few error flags (bsc#1144333).
- commit 94d3a94
* Fri May 17 2019 aaptel@suse.com
- CIFS: make mknod() an smb_version_op (bsc#1144333).
- commit 37ba4d4
* Fri May 17 2019 aaptel@suse.com
- cifs: remove unused value pointed out by Coverity (bsc#1144333).
- commit c4f35af
* Fri May 17 2019 aaptel@suse.com
- SMB3: passthru query info doesn't check for SMB3 FSCTL passthru (bsc#1144333).
- commit 0c79e6b
* Fri May 17 2019 aaptel@suse.com
- smb3: add dynamic tracepoints for simple fallocate and zero range (bsc#1144333).
- commit 4b80521
* Fri May 17 2019 aaptel@suse.com
- cifs: fix smb3_zero_range so it can expand the file-size when required (bsc#1144333).
- commit 869e25e
* Fri May 17 2019 aaptel@suse.com
- cifs: add SMB2_ioctl_init/free helpers to be used with compounding (bsc#1144333).
- commit 2e0785f
* Fri May 17 2019 aaptel@suse.com
- smb3: Add dynamic trace points for various compounded smb3 ops (bsc#1144333).
- commit bfb0a61
* Fri May 17 2019 aaptel@suse.com
- cifs: cache FILE_ALL_INFO for the shared root handle (bsc#1144333).
- commit 24457c8
* Fri May 17 2019 aaptel@suse.com
- smb3: display volume serial number for shares in /proc/fs/cifs/DebugData (bsc#1144333).
- commit 69a9bf3
* Fri May 17 2019 aaptel@suse.com
- cifs: simplify how we handle credits in compound_send_recv() (bsc#1144333).
- commit 2c6e52b
* Fri May 17 2019 aaptel@suse.com
- smb3: add dynamic tracepoint for timeout waiting for credits (bsc#1144333).
- commit 0205de1
* Fri May 17 2019 aaptel@suse.com
- smb3: display security information in /proc/fs/cifs/DebugData more accurately (bsc#1144333).
- commit 45e7cec
* Fri May 17 2019 aaptel@suse.com
- cifs: add a timeout argument to wait_for_free_credits (bsc#1144333).
- commit 5c67c91
* Fri May 17 2019 aaptel@suse.com
- cifs: prevent starvation in wait_for_free_credits for multi-credit requests (bsc#1144333).
- commit 79213cb
* Fri May 17 2019 aaptel@suse.com
- cifs: wait_for_free_credits() make it possible to wait for >=1 credits (bsc#1144333).
- commit 19ec29e
* Fri May 17 2019 aaptel@suse.com
- cifs: pass flags down into wait_for_free_credits() (bsc#1144333).
- commit 4e5a6f9
* Fri May 17 2019 aaptel@suse.com
- cifs: change wait_for_free_request() to take flags as argument (bsc#1144333).
- commit 61d499e
* Fri May 17 2019 aaptel@suse.com
- fs: cifs: Kconfig: pedantic formatting (bsc#1144333).
- commit 236ac2b
* Fri May 17 2019 aaptel@suse.com
- smb3: request more credits on normal (non-large read/write) ops (bsc#1144333).
- commit e7ba074
* Fri May 17 2019 aaptel@suse.com
- CIFS: Mask off signals when sending SMB packets (bsc#1144333).
- commit 39b8127
* Fri May 17 2019 aaptel@suse.com
- CIFS: Return -EAGAIN instead of -ENOTSOCK (bsc#1144333).
- commit 7d43c63
* Fri May 17 2019 aaptel@suse.com
- CIFS: Only send SMB2_NEGOTIATE command on new TCP connections (bsc#1144333).
- commit 2216157
* Fri May 17 2019 aaptel@suse.com
- CIFS: Fix read after write for files with read caching (bsc#1051510, bsc#1144333).
- commit 5b17941
* Fri May 17 2019 aaptel@suse.com
- smb3: for kerberos mounts display the credential uid used (bsc#1144333).
- commit e768732
* Fri May 17 2019 aaptel@suse.com
- cifs: use correct format characters (bsc#1144333).
- commit 349330a
* Fri May 17 2019 aaptel@suse.com
- smb3: add dynamic trace point for query_info_enter/done (bsc#1144333).
- commit f313794
* Fri May 17 2019 bp@suse.de
- x86/amd_nb: Check vendor in AMD-only functions (fate#327735).
- commit cac6c50
* Fri May 17 2019 aaptel@suse.com
- smb3: add dynamic trace point for smb3_cmd_enter (bsc#1144333).
- commit 868407f
* Fri May 17 2019 aaptel@suse.com
- smb3: improve dynamic tracing of open and posix mkdir (bsc#1144333).
- commit 9b6ec9e
* Fri May 17 2019 aaptel@suse.com
- smb3: add missing read completion trace point (bsc#1144333).
- commit f768d2f
* Fri May 17 2019 aaptel@suse.com
- smb3: Add tracepoints for read, write and query_dir enter (bsc#1144333).
- commit 57da492
* Fri May 17 2019 aaptel@suse.com
- smb3: add tracepoints for query dir (bsc#1144333).
- commit f27bdad
* Fri May 17 2019 aaptel@suse.com
- smb3: Update POSIX negotiate context with POSIX ctxt GUID (bsc#1144333).
- commit 1e6924b
* Fri May 17 2019 aaptel@suse.com
- cifs: update internal module version number (bsc#1144333).
- commit 6e02e6e
* Fri May 17 2019 aaptel@suse.com
- CIFS: Try to acquire credits at once for compound requests (bsc#1144333).
- commit d1ac7e2
* Fri May 17 2019 aaptel@suse.com
- CIFS: Return error code when getting file handle for writeback (bsc#1144333).
- commit e5eabf3
* Fri May 17 2019 aaptel@suse.com
- CIFS: Move open file handling to writepages (bsc#1144333).
- commit 88e44ed
* Fri May 17 2019 aaptel@suse.com
- CIFS: Move unlocking pages from wdata_send_pages() (bsc#1144333).
- commit f35bc80
* Fri May 17 2019 aaptel@suse.com
- CIFS: Find and reopen a file before get MTU credits in writepages (bsc#1144333).
- commit fc9ec19
* Fri May 17 2019 aaptel@suse.com
- CIFS: Reopen file before get SMB2 MTU credits for async IO (bsc#1144333).
- commit 5d647a5
* Fri May 17 2019 aaptel@suse.com
- CIFS: Remove custom credit adjustments for SMB2 async IO (bsc#1144333).
- commit 77a1406
* Fri May 17 2019 aaptel@suse.com
- CIFS: Adjust MTU credits before reopening a file (bsc#1144333).
- commit 78e9be0
* Fri May 17 2019 aaptel@suse.com
- CIFS: Check for reconnects before sending compound requests (bsc#1144333).
- commit 07d400d
* Fri May 17 2019 aaptel@suse.com
- CIFS: Check for reconnects before sending async requests (bsc#1144333).
- commit 378cdb1
* Fri May 17 2019 aaptel@suse.com
- CIFS: Respect reconnect in non-MTU credits calculations (bsc#1144333).
- commit eb47f27
* Fri May 17 2019 aaptel@suse.com
- CIFS: Respect reconnect in MTU credits calculations (bsc#1144333).
- commit 96ab551
* Fri May 17 2019 aaptel@suse.com
- CIFS: Set reconnect instance to one initially (bsc#1144333).
- commit 203835a
* Fri May 17 2019 aaptel@suse.com
- CIFS: Respect SMB2 hdr preamble size in read responses (bsc#1144333).
- commit 2202d63
* Fri May 17 2019 aaptel@suse.com
- CIFS: Count SMB3 credits for malformed pending responses (bsc#1144333).
- commit c414c2c
* Fri May 17 2019 aaptel@suse.com
- CIFS: Do not log credits when unmounting a share (bsc#1144333).
- commit 0b56f16
* Fri May 17 2019 aaptel@suse.com
- CIFS: Always reset read error to -EIO if no response (bsc#1144333).
- commit b50fd91
* Fri May 17 2019 aaptel@suse.com
- cifs: Accept validate negotiate if server return NT_STATUS_NOT_SUPPORTED (bsc#1144333).
- commit 76d6e1d
* Fri May 17 2019 aaptel@suse.com
- CIFS: Do not skip SMB2 message IDs on send failures (bsc#1144333).
- commit 1495978
* Fri May 17 2019 aaptel@suse.com
- smb3: request more credits on tree connect (bsc#1144333).
- commit 78f6cae
* Fri May 17 2019 aaptel@suse.com
- smb3: make default i/o size for smb3 mounts larger (bsc#1144333).
- commit d51d536
* Fri May 17 2019 aaptel@suse.com
- CIFS: Do not reset lease state to NONE on lease break (bsc#1051510, bsc#1144333).
- commit 2b009f3
* Fri May 17 2019 aaptel@suse.com
- smb3: fix bytes_read statistics (bsc#1144333).
- commit a25167c
* Fri May 17 2019 aaptel@suse.com
- cifs: return -ENODATA when deleting an xattr that does not exist (bsc#1144333).
- commit dfbb286
* Fri May 17 2019 aaptel@suse.com
- cifs: add credits from unmatched responses/messages (bsc#1144333).
- commit f7e3ff5
* Fri May 17 2019 aaptel@suse.com
- cifs: replace snprintf with scnprintf (bsc#1144333).
- commit b9e1b5e
* Fri May 17 2019 aaptel@suse.com
- cifs: Fix NULL pointer dereference of devname (bnc#1129519).
- commit 3454751
* Fri May 17 2019 aaptel@suse.com
- CIFS: Fix leaking locked VFS cache pages in writeback retry (bsc#1144333).
- commit 8439227
* Fri May 17 2019 aaptel@suse.com
- cifs: update internal module version number (bsc#1144333).
- commit f226dd4
* Fri May 17 2019 aaptel@suse.com
- CIFS: fix use-after-free of the lease keys (bsc#1144333).
- commit d144209
* Fri May 17 2019 aaptel@suse.com
- CIFS: Do not consider -ENODATA as stat failure for reads (bsc#1144333).
- commit 865bfac
* Fri May 17 2019 aaptel@suse.com
- CIFS: Do not count -ENODATA as failure for query directory (bsc#1051510, bsc#1144333).
- commit e5bfe8c
* Fri May 17 2019 aaptel@suse.com
- CIFS: Fix trace command logging for SMB2 reads and writes (bsc#1144333).
- commit eb75aa6
* Fri May 17 2019 bp@suse.de
- x86/alternative: Init ideal_nops for Hygon Dhyana (fate#327735).
- commit 92051d3
* Fri May 17 2019 aaptel@suse.com
- CIFS: Fix possible oops and memory leaks in async IO (bsc#1144333).
- commit b2f69fa
* Fri May 17 2019 aaptel@suse.com
- cifs: limit amount of data we request for xattrs to CIFSMaxBufSize (bsc#1144333).
- commit 3978692
* Fri May 17 2019 aaptel@suse.com
- cifs: fix computation for MAX_SMB2_HDR_SIZE (bsc#1144333).
- commit f3a9346
* Fri May 17 2019 aaptel@suse.com
- cifs: print CIFSMaxBufSize as part of /proc/fs/cifs/DebugData (bsc#1144333).
- commit 8f07afe
* Fri May 17 2019 aaptel@suse.com
- smb3: add credits we receive from oplock/break PDUs (bsc#1144333).
- commit 87f92a0
* Fri May 17 2019 aaptel@suse.com
- CIFS: Fix mounts if the client is low on credits (bsc#1144333).
- commit 76a2d83
* Fri May 17 2019 aaptel@suse.com
- CIFS: Do not assume one credit for async responses (bsc#1144333).
- commit 6184794
* Fri May 17 2019 aaptel@suse.com
- CIFS: Fix credit calculations in compound mid callback (bsc#1144333).
- commit 12e2df3
* Fri May 17 2019 aaptel@suse.com
- CIFS: Fix credit calculation for encrypted reads with errors (bsc#1051510, bsc#1144333).
- commit 77d31e3
* Fri May 17 2019 aaptel@suse.com
- CIFS: Fix credits calculations for reads with errors (bsc#1051510, bsc#1144333).
- commit 3425dd4
* Fri May 17 2019 aaptel@suse.com
- CIFS: Do not reconnect TCP session in add_credits() (bsc#1051510, bsc#1144333).
- commit 43a8d95
* Fri May 17 2019 aaptel@suse.com
- smb3: Cleanup license mess (bsc#1144333).
- commit 96ab85f
* Fri May 17 2019 aaptel@suse.com
- CIFS: Fix possible hang during async MTU reads and writes (bsc#1051510, bsc#1144333).
- commit f42401b
* Fri May 17 2019 aaptel@suse.com
- cifs: fix memory leak of an allocated cifs_ntsd structure (bsc#1144333).
- commit 1b0facc
* Fri May 17 2019 aaptel@suse.com
- cifs: update internal module version number (bsc#1144333).
- commit b2ce5d5
* Fri May 17 2019 aaptel@suse.com
- CIFS: Fix error paths in writeback code (bsc#1144333).
- commit f308483
* Fri May 17 2019 aaptel@suse.com
- CIFS: Move credit processing to mid callbacks for SMB3 (bsc#1144333).
- commit f1f1223
* Fri May 17 2019 aaptel@suse.com
- CIFS: Fix credits calculation for cancelled requests (bsc#1144333).
- commit f982603
* Fri May 17 2019 aaptel@suse.com
- cifs: Fix potential OOB access of lock element array (bsc#1051510, bsc#1144333).
- commit 30c45eb
* Fri May 17 2019 aaptel@suse.com
- cifs: Limit memory used by lock request calls to a page (bsc#1144333).
- commit 5aef325
* Fri May 17 2019 aaptel@suse.com
- cifs: move large array from stack to heap (bsc#1144333).
- commit 629e8fc
* Fri May 17 2019 aaptel@suse.com
- CIFS: Do not hide EINTR after sending network packets (bsc#1051510, bsc#1144333).
- commit 01f77d5
* Fri May 17 2019 aaptel@suse.com
- CIFS: Fix credit computation for compounded requests (bsc#1144333).
- commit b4a44d3
* Fri May 17 2019 aaptel@suse.com
- CIFS: Do not set credits to 1 if the server didn't grant anything (bsc#1144333).
- commit c6cfe86
* Fri May 17 2019 aaptel@suse.com
- CIFS: Fix adjustment of credits for MTU requests (bsc#1051510, bsc#1144333).
- commit 09b367d
* Fri May 17 2019 aaptel@suse.com
- cifs: Fix a tiny potential memory leak (bsc#1144333).
- commit 8389de5
* Fri May 17 2019 aaptel@suse.com
- cifs: Fix a debug message (bsc#1144333).
- commit d393ca3
* Fri May 17 2019 bp@suse.de
- x86/events: Add Hygon Dhyana support to PMU infrastructure
  (fate#327735).
- commit 0af184a
* Fri May 17 2019 aaptel@suse.com
- smb3: add smb3.1.1 to default dialect list (bsc#1144333).
- commit 653d973
* Fri May 17 2019 aaptel@suse.com
- cifs: fix confusing warning message on reconnect (bsc#1144333).
- commit 1bc1769
* Fri May 17 2019 aaptel@suse.com
- smb3: fix large reads on encrypted connections (bsc#1144333).
- commit be94072
* Fri May 17 2019 aaptel@suse.com
- cifs: update internal module version number (bsc#1144333).
- commit b83644e
* Fri May 17 2019 aaptel@suse.com
- cifs: we can not use small padding iovs together with encryption (bsc#1144333).
- commit a647d0f
* Fri May 17 2019 aaptel@suse.com
- cifs: Minor Kconfig clarification (bsc#1144333).
- commit ea760b7
* Fri May 17 2019 aaptel@suse.com
- cifs: Always resolve hostname before reconnecting (bsc#1051510, bsc#1144333).
- commit ab372db
* Fri May 17 2019 aaptel@suse.com
- cifs: Add support for failover in cifs_reconnect_tcon() (bsc#1144333).
- commit d743568
* Fri May 17 2019 aaptel@suse.com
- cifs: Add support for failover in smb2_reconnect() (bsc#1144333).
- commit 9cc4cfe
* Fri May 17 2019 aaptel@suse.com
- cifs: Only free DFS target list if we actually got one (bsc#1144333).
- commit 75a4193
* Fri May 17 2019 aaptel@suse.com
- cifs: start DFS cache refresher in cifs_mount() (bsc#1144333).
- commit a6460ef
* Fri May 17 2019 aaptel@suse.com
- cifs: Use GFP_ATOMIC when a lock is held in cifs_mount() (bsc#1144333).
- commit a7084cb
* Fri May 17 2019 aaptel@suse.com
- cifs: Add support for failover in cifs_reconnect() (bsc#1144333).
- commit 97c72ce
* Fri May 17 2019 aaptel@suse.com
- cifs: Add support for failover in cifs_mount() (bsc#1144333).
- commit 30da61c
* Fri May 17 2019 aaptel@suse.com
- cifs: remove set but not used variable 'sep' (bsc#1144333).
- commit 22614a6
* Fri May 17 2019 aaptel@suse.com
- cifs: Make use of DFS cache to get new DFS referrals (bsc#1144333).
- commit 90cce04
* Fri May 17 2019 aaptel@suse.com
- cifs: check kzalloc return (bsc#1144333).
- commit 6d6439c
* Fri May 17 2019 aaptel@suse.com
- cifs: remove set but not used variable 'server' (bsc#1144333).
- commit 5666e23
* Fri May 17 2019 aaptel@suse.com
- cifs: Use kzfree() to free password (bsc#1144333).
- commit 9b5a04d
* Fri May 17 2019 aaptel@suse.com
- cifs: Add DFS cache routines (bsc#1144333).
- commit 30e70bb
* Fri May 17 2019 bp@suse.de
- x86/smpboot: Do not use BSP INIT delay and MWAIT to idle on
  Dhyana (fate#327735).
- commit e7a0806
* Fri May 17 2019 aaptel@suse.com
- cifs: Save TTL value when parsing DFS referrals (bsc#1144333).
- commit 60f8dc6
* Fri May 17 2019 aaptel@suse.com
- cifs: auto disable 'serverino' in dfs mounts (bsc#1144333).
- commit f2a0a09
* Fri May 17 2019 aaptel@suse.com
- cifs: Make devname param optional in cifs_compose_mount_options() (bsc#1144333).
- commit 3acacec
* Fri May 17 2019 aaptel@suse.com
- cifs: Skip any trailing backslashes from UNC (bsc#1144333).
- commit 9d380ad
* Fri May 17 2019 aaptel@suse.com
- cifs: Refactor out cifs_mount() (bsc#1144333).
- commit 2e16c94
* Fri May 17 2019 aaptel@suse.com
- CIFS: Fix error mapping for SMB2_LOCK command which caused OFD lock problem (bsc#1051510, bsc#1144333).
- commit ee13ef4
* Fri May 17 2019 aaptel@suse.com
- CIFS: return correct errors when pinning memory failed for direct I/O (bsc#1144333).
- commit a8d345c
* Fri May 17 2019 aaptel@suse.com
- CIFS: use the correct length when pinning memory for direct I/O for write (bsc#1144333).
- commit 055d1d5
* Fri May 17 2019 aaptel@suse.com
- cifs: check ntwrk_buf_start for NULL before dereferencing it (bsc#1144333).
- commit d7754fb
* Fri May 17 2019 aaptel@suse.com
- cifs: remove coverity warning in calc_lanman_hash (bsc#1144333).
- commit afaec00
* Fri May 17 2019 aaptel@suse.com
- cifs: remove set but not used variable 'smb_buf' (bsc#1144333).
- commit 875f95a
* Fri May 17 2019 aaptel@suse.com
- cifs: suppress some implicit-fallthrough warnings (bsc#1144333).
- commit 2c43cd3
* Fri May 17 2019 aaptel@suse.com
- cifs: change smb2_query_eas to use the compound query-info helper (bsc#1144333).
- commit 386a052
* Fri May 17 2019 aaptel@suse.com
- Add vers=3.0.2 as a valid option for SMBv3.0.2 (bsc#1144333).
- commit 0271862
* Fri May 17 2019 aaptel@suse.com
- cifs: create a helper function for compound query_info (bsc#1144333).
- commit c9a1bc7
* Fri May 17 2019 aaptel@suse.com
- cifs: address trivial coverity warning (bsc#1144333).
- commit 0b6758a
* Fri May 17 2019 aaptel@suse.com
- cifs: smb2 commands can not be negative, remove confusing check (bsc#1144333).
- commit b6b77e4
* Fri May 17 2019 aaptel@suse.com
- cifs: use a compound for setting an xattr (bsc#1144333).
- commit 5b12a67
* Fri May 17 2019 aaptel@suse.com
- cifs: clean up indentation, replace spaces with tab (bsc#1144333).
- commit d4b4c5b
* Fri May 17 2019 aaptel@suse.com
- smb3: Fix rmdir compounding regression to strict servers (bsc#1144333).
- commit 49563e4
* Fri May 17 2019 bp@suse.de
- x86/cpu/mtrr: Support TOP_MEM2 and get MTRR number
  (fate#327735).
- commit 5dfccf9
* Fri May 17 2019 aaptel@suse.com
- CIFS: Avoid returning EBUSY to upper layer VFS (bsc#1144333).
- commit 4869979
* Fri May 17 2019 aaptel@suse.com
- cifs: Fix separator when building path from dentry (bsc#1051510, bsc#1144333).
- commit 9d852da
* Fri May 17 2019 aaptel@suse.com
- cifs: In Kconfig CONFIG_CIFS_POSIX needs depends on legacy (insecure cifs) (bsc#1144333).
- commit b62ba51
* Fri May 17 2019 aaptel@suse.com
- cifs: fix signed/unsigned mismatch on aio_read patch (bsc#1144333).
- commit b3103c7
* Fri May 17 2019 aaptel@suse.com
- cifs: don't dereference smb_file_target before null check (bsc#1051510, bsc#1144333).
- commit f46e1bc
* Fri May 17 2019 aaptel@suse.com
- CIFS: Add direct I/O functions to file_operations (bsc#1144333).
- commit 21498fd
* Fri May 17 2019 aaptel@suse.com
- CIFS: Add support for direct I/O write (bsc#1144333).
- commit f09dbb1
* Fri May 17 2019 aaptel@suse.com
- CIFS: Add support for direct I/O read (bsc#1144333).
- commit d458a08
* Fri May 17 2019 aaptel@suse.com
- smb3: on kerberos mount if server doesn't specify auth type use krb5 (bsc#1051510, bsc#1144333).
- commit 0bca5b4
* Fri May 17 2019 aaptel@suse.com
- smb3: add trace point for tree connection (bsc#1144333).
- commit 7e01105
* Fri May 17 2019 aaptel@suse.com
- cifs: fix spelling mistake, EACCESS -> EACCES (bsc#1144333).
- commit 24acada
* Fri May 17 2019 aaptel@suse.com
- cifs: fix return value for cifs_listxattr (bsc#1051510, bsc#1144333).
- commit e712206
* Fri May 17 2019 aaptel@suse.com
- cifs: update internal module version number for cifs.ko to 2.14 (bsc#1144333).
- commit 3e4e82a
* Fri May 17 2019 aaptel@suse.com
- smb3: add debug for unexpected mid cancellation (bsc#1144333).
- commit 840c007
* Fri May 17 2019 aaptel@suse.com
- cifs: allow calling SMB2_xxx_free(NULL) (bsc#1144333).
- commit c73ac60
* Fri May 17 2019 aaptel@suse.com
- smb3 - clean up debug output displaying network interfaces (bsc#1144333).
- commit cd37173
* Fri May 17 2019 aaptel@suse.com
- smb3: show number of current open files in /proc/fs/cifs/Stats (bsc#1144333).
- commit 036c847
* Fri May 17 2019 aaptel@suse.com
- cifs: add support for ioctl on directories (bsc#1144333).
- commit 55a421b
* Fri May 17 2019 aaptel@suse.com
- cifs: fallback to older infolevels on findfirst queryinfo retry (bsc#1144333).
- commit 95d13f3
* Fri May 17 2019 aaptel@suse.com
- smb3: do not attempt cifs operation in smb3 query info error path (bsc#1051510, bsc#1144333).
- commit cc10f95
* Fri May 17 2019 aaptel@suse.com
- smb3: send backup intent on compounded query info (bsc#1144333).
- commit 31189b6
* Fri May 17 2019 aaptel@suse.com
- cifs: track writepages in vfs operation counters (bsc#1144333).
- commit d316ce5
* Fri May 17 2019 aaptel@suse.com
- smb2: fix uninitialized variable bug in smb2_ioctl_query_info (bsc#1144333).
- commit 631d8d6
* Fri May 17 2019 aaptel@suse.com
- cifs: add IOCTL for QUERY_INFO passthrough to userspace (bsc#1144333).
- commit e4908f1
* Fri May 17 2019 aaptel@suse.com
- cifs: minor clarification in comments (bsc#1144333).
- commit 32759bb
* Fri May 17 2019 aaptel@suse.com
- CIFS: Print message when attempting a mount (bsc#1144333).
- commit b43e6a9
* Fri May 17 2019 aaptel@suse.com
- CIFS: Adds information-level logging function (bsc#1144333).
- commit b88e3c1
* Fri May 17 2019 aaptel@suse.com
- cifs: OFD locks do not conflict with eachothers (bsc#1051510, bsc#1144333).
- commit b6fdf1b
* Fri May 17 2019 aaptel@suse.com
- CIFS: SMBD: Do not call ib_dereg_mr on invalidated memory registration (bsc#1144333).
- commit f4f9160
* Fri May 17 2019 aaptel@suse.com
- CIFS: pass page offsets on SMB1 read/write (bsc#1144333).
- commit 1a0e880
* Fri May 17 2019 aaptel@suse.com
- fs/cifs: fix uninitialised variable warnings (bsc#1144333).
- commit c1745e9
* Fri May 17 2019 aaptel@suse.com
- smb3: add tracepoint for sending lease break responses to server (bsc#1144333).
- commit 36cd9b7
* Fri May 17 2019 aaptel@suse.com
- cifs: do not return atime less than mtime (bsc#1144333).
- commit 143e27f
* Fri May 17 2019 aaptel@suse.com
- smb3: update default requested iosize to 4MB from 1MB for recent dialects (bsc#1144333).
- commit 5a9e797
* Fri May 17 2019 aaptel@suse.com
- smb3: Add debug message later in smb2/smb3 reconnect path (bsc#1144333).
- commit 2026c25
* Fri May 17 2019 aaptel@suse.com
- CIFS: make 'nodfs' mount opt a superblock flag (bsc#1051510, bsc#1144333).
- commit 6a0fc8f
* Fri May 17 2019 aaptel@suse.com
- smb3: track the instance of each session for debugging (bsc#1144333).
- commit a85af4a
* Fri May 17 2019 aaptel@suse.com
- smb3: minor missing defines relating to reparse points (bsc#1144333).
- commit a2bc0a9
* Fri May 17 2019 aaptel@suse.com
- smb3: add way to control slow response threshold for logging and stats (bsc#1144333).
- commit 08ac21a
* Fri May 17 2019 aaptel@suse.com
- cifs: minor updates to module description for cifs.ko (bsc#1144333).
- commit 85b442a
* Fri May 17 2019 aaptel@suse.com
- cifs: protect against server returning invalid file system block size (bsc#1144333).
- commit bdfadb0
* Fri May 17 2019 aaptel@suse.com
- smb3: allow stats which track session and share reconnects to be reset (bsc#1051510, bsc#1144333).
- commit 261fe49
* Fri May 17 2019 aaptel@suse.com
- SMB3: Backup intent flag missing from compounded ops (bsc#1144333).
- commit 92e6870
* Fri May 17 2019 aaptel@suse.com
- cifs: create a define for the max number of iov we need for a SMB2 set_info (bsc#1144333).
- commit e539455
* Fri May 17 2019 aaptel@suse.com
- cifs: change SMB2_OP_RENAME and SMB2_OP_HARDLINK to use compounding (bsc#1144333).
- commit d069f0a
* Fri May 17 2019 ailiopoulos@suse.com
- xfs: sanity-check the unused space before trying to use it
  (bsc#1123663).
- commit d9d191e
* Fri May 17 2019 ailiopoulos@suse.com
- xfs: refactor btree block header checking functions
  (bsc#1123663).
- commit 59af3d5
* Fri May 17 2019 ailiopoulos@suse.com
- xfs: refactor btree pointer checks (bsc#1123663).
- commit a98bae6
* Fri May 17 2019 aaptel@suse.com
- cifs: remove the is_falloc argument to SMB2_set_eof (bsc#1144333).
- commit 0643e36
* Fri May 17 2019 aaptel@suse.com
- cifs: change SMB2_OP_SET_INFO to use compounding (bsc#1144333).
- commit d8d2551
* Fri May 17 2019 ailiopoulos@suse.com
- xfs: create block pointer check functions (bsc#1123663).
- commit 69250e0
* Fri May 17 2019 aaptel@suse.com
- cifs: change SMB2_OP_SET_EOF to use compounding (bsc#1144333).
- commit 661207b
* Fri May 17 2019 ailiopoulos@suse.com
- xfs: check _btree_check_block value (bsc#1123663).
- commit 678f7f4
* Fri May 17 2019 aaptel@suse.com
- cifs: make rmdir() use compounding (bsc#1144333).
- commit c27dee2
* Fri May 17 2019 ailiopoulos@suse.com
- xfs: rename MAXPATHLEN to XFS_SYMLINK_MAXLEN (bsc#1123663).
- commit 2ba49d2
* Fri May 17 2019 aaptel@suse.com
- cifs: create helpers for SMB2_set_info_init/free() (bsc#1144333).
- commit 6a229a7
* Fri May 17 2019 ailiopoulos@suse.com
- xfs: remove unneeded parameter from XFS_TEST_ERROR
  (bsc#1123663).
- Refresh
  patches.fixes/0038-xfs-split-xfs_bmap_shift_extents.patch.
- commit 468fad3
* Fri May 17 2019 ailiopoulos@suse.com
- xfs: make errortag a per-mountpoint structure (bsc#1123663).
- commit 49ab9ae
* Fri May 17 2019 ailiopoulos@suse.com
- xfs: export various function for the online scrubber
  (bsc#1123663).
- commit 0f5a146
* Fri May 17 2019 aaptel@suse.com
- cifs: change unlink to use a compound (bsc#1144333).
- commit 7fb5bcc
* Fri May 17 2019 aaptel@suse.com
- cifs: change mkdir to use a compound (bsc#1144333).
- commit fd31c93
* Fri May 17 2019 aaptel@suse.com
- cifs: add a smb2_compound_op and change QUERY_INFO to use it (bsc#1144333).
- commit f6b452e
* Fri May 17 2019 aaptel@suse.com
- cifs: fix a credits leak for compund commands (bsc#1144333).
- commit 3a73eae
* Fri May 17 2019 aaptel@suse.com
- smb3: add tracepoint to catch cases where credit refund of failed op overlaps reconnect (bsc#1144333).
- commit 8a60cb1
* Fri May 17 2019 tiwai@suse.de
- power: supply: axp20x_usb_power: Fix typo in VBUS current
  limit macros (bsc#1051510).
- power: supply: axp288_charger: Fix unchecked return value
  (bsc#1051510).
- team: set slave to promisc if team is already in promisc mode
  (bsc#1051510).
- commit 960072f
* Fri May 17 2019 aaptel@suse.com
- cifs: remove set but not used variable 'cifs_sb' (bsc#1144333).
- commit b0206f8
* Fri May 17 2019 aaptel@suse.com
- cifs: Use kmemdup rather than duplicating its implementation in smb311_posix_mkdir() (bsc#1144333).
- commit 391676b
* Fri May 17 2019 aaptel@suse.com
- smb3: do not display confusing message on mount to Azure servers (bsc#1144333).
- commit d180654
* Fri May 17 2019 tiwai@suse.de
- drm/pl111: Initialize clock spinlock early (bsc#1111666).
- ACPI: PM: Set enable_for_wake for wakeup GPEs during
  suspend-to-idle (bsc#1111666).
- drm/amd/display: If one stream full updates, full update all
  planes (bsc#1111666).
- drm/amd/display: extending AUX SW Timeout (bsc#1111666).
- ipmi: fix sleep-in-atomic in free_user at cleanup SRCU
  user->release_barrier (bsc#1111666).
- ipmi: Prevent use-after-free in deliver_response (bsc#1111666).
- ath10k: snoc: fix unbalanced clock error handling (bsc#1111666).
- commit 97b8dd6
* Fri May 17 2019 aaptel@suse.com
- smb3: fix lease break problem introduced by compounding (bsc#1144333).
- commit 029fcc0
* Fri May 17 2019 aaptel@suse.com
- cifs: only wake the thread for the very last PDU in a compound (bsc#1144333).
- commit 484a4a9
* Fri May 17 2019 aaptel@suse.com
- cifs: add a warning if we try to to dequeue a deleted mid (bsc#1144333).
- commit 05b4a01
* Fri May 17 2019 aaptel@suse.com
- smb2: fix missing files in root share directory listing (bsc#1112907, bsc#1144333).
- commit 3108c8c
* Fri May 17 2019 aaptel@suse.com
- cifs: read overflow in is_valid_oplock_break() (bsc#1144333).
- commit 04e56fc
* Fri May 17 2019 aaptel@suse.com
- cifs: integer overflow in in SMB2_ioctl() (bsc#1051510, bsc#1144333).
- commit e8f9960
* Fri May 17 2019 aaptel@suse.com
- CIFS: fix wrapping bugs in num_entries() (bsc#1051510, bsc#1144333).
- commit 49a1326
* Fri May 17 2019 aaptel@suse.com
- cifs: prevent integer overflow in nxt_dir_entry() (bsc#1051510, bsc#1144333).
- commit 9419e33
* Fri May 17 2019 aaptel@suse.com
- fs/cifs: require sha512 (bsc#1051510, bsc#1144333).
- commit 667714a
* Fri May 17 2019 tiwai@suse.de
- appletalk: Fix compile regression (bsc#1051510).
- appletalk: Fix use-after-free in atalk_proc_exit (bsc#1051510).
- commit f7c1154
* Fri May 17 2019 aaptel@suse.com
- fs/cifs: suppress a string overflow warning (bsc#1144333).
- commit 2052a84
* Fri May 17 2019 aaptel@suse.com
- cifs: connect to servername instead of IP for IPC$ share (bsc#1051510, bsc#1144333).
- commit 3eeaa88
* Fri May 17 2019 aaptel@suse.com
- smb3: check for and properly advertise directory lease support (bsc#1051510, bsc#1144333).
- commit ee6bae2
* Fri May 17 2019 tiwai@suse.de
- ACPI: button: reinitialize button state upon resume
  (bsc#1051510).
- drm/imx: don't skip DP channel disable for background plane
  (bsc#1051510).
- ACPI / utils: Drop reference in test for device presence
  (bsc#1051510).
- commit df10ac3
* Fri May 17 2019 aaptel@suse.com
- smb3: minor debugging clarifications in rfc1001 len processing (bsc#1144333).
- commit 101f78e
* Fri May 17 2019 aaptel@suse.com
- SMB3: Backup intent flag missing for directory opens with backupuid mounts (bsc#1051510, bsc#1144333).
- commit 8339bc2
* Fri May 17 2019 aaptel@suse.com
- fs/cifs: don't translate SFM_SLASH (U+F026) to backslash (bsc#1144333).
- commit 519a906
* Fri May 17 2019 aaptel@suse.com
- cifs: update internal module version number for cifs.ko to 2.12 (bsc#1144333).
- commit e4e5c10
* Fri May 17 2019 aaptel@suse.com
- cifs: check kmalloc before use (bsc#1051510, bsc#1144333).
- commit 623829b
* Fri May 17 2019 aaptel@suse.com
- cifs: check if SMB2 PDU size has been padded and suppress the warning (bsc#1144333).
- commit 8110eac
* Fri May 17 2019 aaptel@suse.com
- cifs: create a define for how many iovs we need for an SMB2_open() (bsc#1144333).
- commit e6177e7
* Fri May 17 2019 aaptel@suse.com
- smb3: create smb3 equivalent alias for cifs pseudo-xattrs (bsc#1144333).
- commit de22c0d
* Fri May 17 2019 aaptel@suse.com
- smb3: allow previous versions to be mounted with snapshot= mount parm (bsc#1144333).
- commit 529fe9d
* Fri May 17 2019 tiwai@suse.de
- Input: synaptics-rmi4 - fix possible double free (bsc#1051510).
- gpu: ipu-v3: dp: fix CSC handling (bsc#1051510).
- spi: ST ST95HF NFC: declare missing of table (bsc#1051510).
- spi: Micrel eth switch: declare missing of table (bsc#1051510).
- iio: adc: xilinx: fix potential use-after-free on remove
  (bsc#1051510).
- HID: input: add mapping for "Toggle Display" key (bsc#1051510).
- HID: input: add mapping for keyboard Brightness Up/Down/Toggle
  keys (bsc#1051510).
- HID: input: add mapping for Expose/Overview key (bsc#1051510).
- Input: elan_i2c - add hardware ID for multiple Lenovo laptops
  (bsc#1051510).
- mISDN: Check address length before reading address family
  (bsc#1051510).
- nl80211: Add NL80211_FLAG_CLEAR_SKB flag for other NL commands
  (bsc#1051510).
- mac80211: fix memory accounting with A-MSDU aggregation
  (bsc#1051510).
- mac80211: fix unaligned access in mesh table hash function
  (bsc#1051510).
- ACPICA: Namespace: remove address node from global list after
  method termination (bsc#1051510).
- drm/rockchip: fix for mailbox read validation (bsc#1051510).
- vt: always call notifier with the console lock held
  (bsc#1051510).
- drm/i915: Disable LP3 watermarks on all SNB machines
  (bsc#1051510).
- devres: Align data[] to ARCH_KMALLOC_MINALIGN (bsc#1051510).
- drm/i915: Downgrade Gen9 Plane WM latency error (bsc#1051510).
- ACPICA: AML interpreter: add region addresses in global list
  during initialization (bsc#1051510).
- leds: pwm: silently error out on EPROBE_DEFER (bsc#1051510).
- commit a9825cc
* Fri May 17 2019 aaptel@suse.com
- cifs: don't show domain= in mount output when domain is empty (bsc#1144333).
- commit b8f2d8d
* Fri May 17 2019 aaptel@suse.com
- cifs: add missing support for ACLs in SMB 3.11 (bsc#1051510, bsc#1144333).
- commit 595ccf9
* Fri May 17 2019 aaptel@suse.com
- smb3: enumerating snapshots was leaving part of the data off end (bsc#1051510, bsc#1144333).
- commit 0c7ae4c
* Fri May 17 2019 aaptel@suse.com
- cifs: update smb2_queryfs() to use compounding (bsc#1144333).
- commit 485f10e
* Fri May 17 2019 aaptel@suse.com
- cifs: update receive_encrypted_standard to handle compounded responses (bsc#1144333).
- commit 880f97e
* Fri May 17 2019 aaptel@suse.com
- cifs: create SMB2_open_init()/SMB2_open_free() helpers (bsc#1144333).
- commit 84bdf43
* Fri May 17 2019 aaptel@suse.com
- cifs: add SMB2_query_info_[init|free]() (bsc#1144333).
- commit 8c47233
* Fri May 17 2019 aaptel@suse.com
- cifs: add SMB2_close_init()/SMB2_close_free() (bsc#1144333).
- commit 1ca2fcd
* Fri May 17 2019 aaptel@suse.com
- smb3: display stats counters for number of slow commands (bsc#1144333).
- commit b08a4cc
* Fri May 17 2019 aaptel@suse.com
- CIFS: fix uninitialized ptr deref in smb2 signing (bsc#1144333).
- commit 6c7e58e
* Fri May 17 2019 aaptel@suse.com
- smb3: Do not send SMB3 SET_INFO if nothing changed (bsc#1051510, bsc#1144333).
- commit 5268023
* Fri May 17 2019 aaptel@suse.com
- smb3: fix minor debug output for CONFIG_CIFS_STATS (bsc#1144333).
- commit 7dc7709
* Fri May 17 2019 aaptel@suse.com
- smb3: add tracepoint for slow responses (bsc#1144333).
- commit 5d9dd2d
* Fri May 17 2019 aaptel@suse.com
- cifs: add compound_send_recv() (bsc#1144333).
- commit 8f8adfe
* Fri May 17 2019 aaptel@suse.com
- cifs: make smb_send_rqst take an array of requests (bsc#1144333).
- commit 0e34c1e
* Fri May 17 2019 aaptel@suse.com
- cifs: update init_sg, crypt_message to take an array of rqst (bsc#1144333).
- commit f4403e5
* Fri May 17 2019 aaptel@suse.com
- smb3: fix reset of bytes read and written stats (bsc#1112906, bsc#1144333).
- commit d6ac362
* Fri May 17 2019 aaptel@suse.com
- smb3: display bytes_read and bytes_written in smb3 stats (bsc#1144333).
- commit 4fb8374
* Fri May 17 2019 aaptel@suse.com
- cifs: simple stats should always be enabled (bsc#1144333).
- commit 58de6f9
* Fri May 17 2019 bp@suse.de
- x86/cpu: Get cache info and setup cache cpumap for Hygon Dhyana
  (fate#327735).
- commit 79134f0
* Fri May 17 2019 aaptel@suse.com
- cifs: use a refcount to protect open/closing the cached file handle (bsc#1144333).
- commit 6c4f09e
* Fri May 17 2019 aaptel@suse.com
- smb3: add reconnect tracepoints (bsc#1144333).
- commit af16afc
* Fri May 17 2019 aaptel@suse.com
- smb3: add tracepoint for session expired or deleted (bsc#1144333).
- commit 9b0e1bc
* Fri May 17 2019 aaptel@suse.com
- cifs: remove unused stats (bsc#1144333).
- commit 911bb06
* Fri May 17 2019 aaptel@suse.com
- smb3: don't request leases in symlink creation and query (bsc#1051510, bsc#1144333).
- commit 22074db
* Fri May 17 2019 aaptel@suse.com
- smb3: remove per-session operations from per-tree connection stats (bsc#1144333).
- commit cbbc544
* Fri May 17 2019 aaptel@suse.com
- SMB3: Number of requests sent should be displayed for SMB3 not just CIFS (bsc#1144333).
- commit af0a3a0
* Fri May 17 2019 aaptel@suse.com
- smb3: snapshot mounts are read-only and make sure info is displayable about the mount (bsc#1144333).
- commit e3301d9
* Fri May 17 2019 aaptel@suse.com
- smb3: remove noisy warning message on mount (bsc#1129664, bsc#1144333).
- commit e4e3a6f
* Fri May 17 2019 aaptel@suse.com
- smb3: simplify code by removing CONFIG_CIFS_SMB311 (bsc#1051510, bsc#1144333).
- commit 149aeb7
* Fri May 17 2019 aaptel@suse.com
- cifs: add missing debug entries for kconfig options (bsc#1051510, bsc#1144333).
- commit 0ced478
* Fri May 17 2019 aaptel@suse.com
- smb3: add support for statfs for smb3.1.1 posix extensions (bsc#1144333).
- commit 4c29597
* Fri May 17 2019 aaptel@suse.com
- smb3: fill in statfs fsid and correct namelen (bsc#1112905, bsc#1144333).
- commit 2adf99a
* Fri May 17 2019 aaptel@suse.com
- cifs: Make sure all data pages are signed correctly (bsc#1144333).
- commit ae1c766
* Fri May 17 2019 aaptel@suse.com
- CIFS: fix memory leak and remove dead code (bsc#1144333).
- commit bf039a7
* Fri May 17 2019 aaptel@suse.com
- Update config files. - cifs: allow disabling insecure dialects in the config (bsc#1144333).
- commit 81bf3fd
* Fri May 17 2019 bp@suse.de
- Move stuff git_sort chokes on, out of the way
- commit 5cfd89f
* Fri May 17 2019 tiwai@suse.de
- drm/i915: Force 2*96 MHz cdclk on glk/cnl when audio power is
  enabled (bsc#1111666).
- commit 09863d3
* Fri May 17 2019 aaptel@suse.com
- cifs: Silence uninitialized variable warning (bsc#1144333).
- commit de882a0
* Fri May 17 2019 tiwai@suse.de
- media: davinci/vpbe: array underflow in vpbe_enum_outputs()
  (bsc#1051510).
- media: omap_vout: potential buffer overflow in vidioc_dqbuf()
  (bsc#1051510).
- media: atmel: atmel-isc: fix INIT_WORK misplacement
  (bsc#1051510).
- configfs: fix possible use-after-free in configfs_register_group
  (bsc#1051510).
- thermal: cpu_cooling: Actually trace CPU load in
  thermal_power_cpu_get_power (bsc#1051510).
- drm/bridge: adv7511: Fix low refresh rate selection
  (bsc#1051510).
- drm/i915/fbc: disable framebuffer compression on GeminiLake
  (bsc#1051510).
- crypto: caam - fix caam_dump_sg that iterates through
  scatterlist (bsc#1051510).
- commit 5537bec
* Fri May 17 2019 aaptel@suse.com
- cifs: Fix stack out-of-bounds in smb{2,3}_create_lease_buf() (bsc#1051510, bsc#1144333).
- commit c1c1d92
* Fri May 17 2019 aaptel@suse.com
- cifs: Fix infinite loop when using hard mount option (bsc#1091171, bsc#1144333).
- commit 9efe8de
* Fri May 17 2019 aaptel@suse.com
- cifs: Fix slab-out-of-bounds in send_set_info() on SMB2 ACE setting (bsc#1144333).
- commit 9a088fc
* Fri May 17 2019 aaptel@suse.com
- cifs: Fix memory leak in smb2_set_ea() (bsc#1051510, bsc#1144333).
- commit 5fd3308
* Fri May 17 2019 aaptel@suse.com
- cifs: fix SMB1 breakage (bsc#1144333).
- commit adca1c0
* Fri May 17 2019 aaptel@suse.com
- cifs: Fix validation of signed data in smb2 (bsc#1144333).
- commit d78f0b2
* Fri May 17 2019 aaptel@suse.com
- cifs: Fix validation of signed data in smb3+ (bsc#1144333).
- commit 636b9ed
* Fri May 17 2019 aaptel@suse.com
- cifs: Fix use after free of a mid_q_entry (bsc#1112903, bsc#1144333).
- commit d47c2fb
* Fri May 17 2019 aaptel@suse.com
- cifs: Fix invalid check in __cifs_calc_signature() (bsc#1144333).
- commit 59bb8ba
* Fri May 17 2019 aaptel@suse.com
- cifs: Use correct packet length in SMB2_TRANSFORM header (bsc#1144333).
- commit 5fdece5
* Fri May 17 2019 aaptel@suse.com
- smb3: fix corrupt path in subdirs on smb311 with posix (bsc#1144333).
- commit b47d93b
* Fri May 17 2019 aaptel@suse.com
- smb3: do not display empty interface list (bsc#1144333).
- commit 2055cf7
* Fri May 17 2019 aaptel@suse.com
- smb3: Fix mode on mkdir on smb311 mounts (bsc#1144333).
- commit 90640a7
* Fri May 17 2019 aaptel@suse.com
- cifs: Fix kernel oops when traceSMB is enabled (bsc#1144333).
- commit a87cd36
* Fri May 17 2019 aaptel@suse.com
- CIFS: dump every session iface info (bsc#1144333).
- commit 3820321
* Fri May 17 2019 aaptel@suse.com
- CIFS: parse and store info on iface queries (bsc#1144333).
- commit 883e2c6
* Fri May 17 2019 aaptel@suse.com
- CIFS: add iface info to struct cifs_ses (bsc#1144333).
- commit a89b0a1
* Fri May 17 2019 aaptel@suse.com
- CIFS: complete PDU definitions for interface queries (bsc#1144333).
- commit c7ea237
* Fri May 17 2019 aaptel@suse.com
- CIFS: move default port definitions to cifsglob.h (bsc#1144333).
- commit cfa8ece
* Fri May 17 2019 aaptel@suse.com
- cifs: Fix encryption/signing (bsc#1144333).
- commit 613d27c
* Fri May 17 2019 aaptel@suse.com
- cifs: update __smb_send_rqst() to take an array of requests (bsc#1144333).
- commit 83f1d85
* Fri May 17 2019 aaptel@suse.com
- cifs: remove smb2_send_recv() (bsc#1144333).
- commit 27db550
* Fri May 17 2019 aaptel@suse.com
- cifs: push rfc1002 generation down the stack (bsc#1144333).
- commit 8bd128f
* Fri May 17 2019 dkirjanov@suse.com
- rxrpc: Fix transport sockopts to get IPv4 errors on an IPv6
  socket (git-fixes).
- l2tp: fix missing refcount drop in pppol2tp_tunnel_ioctl()
  (git-fixes).
- packet: reset network header if packet shorter than ll reserved
  space (git-fixes).
- packet: fix reserve calculation (git-fixes).
- commit 7586350
* Fri May 17 2019 aaptel@suse.com
- smb3: increase initial number of credits requested to allow write (bsc#1144333).
- commit cbc385b
* Fri May 17 2019 aaptel@suse.com
- cifs: add lease tracking to the cached root fid (bsc#1144333).
- commit 4161268
* Fri May 17 2019 aaptel@suse.com
- smb3: note that smb3.11 posix extensions mount option is experimental (bsc#1144333).
- commit 243da7f
* Fri May 17 2019 aaptel@suse.com
- cifs: fix a buffer leak in smb2_query_symlink (bsc#1144333).
- commit d2d3c97
* Fri May 17 2019 aaptel@suse.com
- smb3: do not allow insecure cifs mounts when using smb3 (bsc#1144333).
- commit b77ecfc
* Fri May 17 2019 aaptel@suse.com
- CIFS: Fix NULL ptr deref (bsc#1144333).
- commit 75d9c3f
* Fri May 17 2019 aaptel@suse.com
- CIFS: fix encryption in SMB3.1.1 (bsc#1144333).
- commit 26e5e5e
* Fri May 17 2019 aaptel@suse.com
- CIFS: Pass page offset for encrypting (bsc#1144333).
- commit 51f05ed
* Fri May 17 2019 aaptel@suse.com
- CIFS: Pass page offset for calculating signature (bsc#1144333).
- commit 89b986f
* Fri May 17 2019 aaptel@suse.com
- CIFS: SMBD: Support page offset in memory registration (bsc#1144333).
- commit 0417817
* Fri May 17 2019 aaptel@suse.com
- CIFS: SMBD: Support page offset in RDMA recv (bsc#1144333).
- commit 55e7820
* Fri May 17 2019 aaptel@suse.com
- CIFS: SMBD: Support page offset in RDMA send (bsc#1144333).
- commit ca0de2e
* Fri May 17 2019 aaptel@suse.com
- CIFS: When sending data on socket, pass the correct page offset (bsc#1144333).
- commit 0eeceff
* Fri May 17 2019 aaptel@suse.com
- CIFS: Introduce helper function to get page offset and length in smb_rqst (bsc#1144333).
- commit f2d5055
* Fri May 17 2019 aaptel@suse.com
- CIFS: Calculate the correct request length based on page offset and tail size (bsc#1144333).
- commit 6f34b00
* Fri May 17 2019 aaptel@suse.com
- cifs: For SMB2 security informaion query, check for minimum sized security descriptor instead of sizeof FileAllInformation class (bsc#1051510, bsc#1144333).
- commit 37d522c
* Fri May 17 2019 aaptel@suse.com
- CIFS: Fix signing for SMB2/3 (bsc#1144333).
- commit 9293199
* Fri May 17 2019 aaptel@suse.com
- CIFS: Add support for direct pages in wdata (bsc#1144333).
- commit e36f228
* Fri May 17 2019 aaptel@suse.com
- CIFS: Use offset when reading pages (bsc#1144333).
- commit 8ea50a8
* Fri May 17 2019 aaptel@suse.com
- CIFS: Add support for direct pages in rdata (bsc#1144333).
- commit 41826e1
* Fri May 17 2019 aaptel@suse.com
- cifs: update multiplex loop to handle compounded responses (bsc#1144333).
- commit ac6c32f
* Fri May 17 2019 aaptel@suse.com
- cifs: remove header_preamble_size where it is always 0 (bsc#1144333).
- commit a6b93f4
* Fri May 17 2019 aaptel@suse.com
- cifs: remove struct smb2_hdr (bsc#1144333).
- commit a3f4540
* Fri May 17 2019 aaptel@suse.com
- CIFS: check for STATUS_USER_SESSION_DELETED (bsc#1112902, bsc#1144333).
- commit 1f55e1b
* Fri May 17 2019 aaptel@suse.com
- cifs: change smb2_get_data_area_len to take a smb2_sync_hdr as argument (bsc#1144333).
- commit d1b33f4
* Fri May 17 2019 aaptel@suse.com
- cifs: update smb2_calc_size to use smb2_sync_hdr instead of smb2_hdr (bsc#1144333).
- commit 0fbe7bf
* Fri May 17 2019 aaptel@suse.com
- cifs: remove struct smb2_oplock_break_rsp (bsc#1144333).
- commit 037a8e6
* Fri May 17 2019 aaptel@suse.com
- cifs: remove rfc1002 header from all SMB2 response structures (bsc#1144333).
- commit aee5ad9
* Fri May 17 2019 aaptel@suse.com
- smb3: on reconnect set PreviousSessionId field (bsc#1112899, bsc#1144333).
- commit 58ac08c
* Fri May 17 2019 aaptel@suse.com
- smb3: Add posix create context for smb3.11 posix mounts (bsc#1144333).
- commit 21ca206
* Fri May 17 2019 aaptel@suse.com
- smb3: add tracepoints for smb2/smb3 open (bsc#1144333).
- commit d87d42b
* Fri May 17 2019 aaptel@suse.com
- cifs: add debug output to show nocase mount option (bsc#1144333).
- commit 12df628
* Fri May 17 2019 aaptel@suse.com
- smb3: add define for id for posix create context and corresponding struct (bsc#1144333).
- commit 51ec5ca
* Fri May 17 2019 aaptel@suse.com
- cifs: update smb2_check_message to handle PDUs without a 4 byte length header (bsc#1144333).
- commit 485cf67
* Fri May 17 2019 aaptel@suse.com
- smb3: allow posix mount option to enable new SMB311 protocol extensions (bsc#1144333).
- commit d10ae9f
* Fri May 17 2019 aaptel@suse.com
- smb3: add support for posix negotiate context (bsc#1144333).
- commit 369dc05
* Fri May 17 2019 aaptel@suse.com
- cifs: allow disabling less secure legacy dialects (bsc#1144333).
- commit bcccc76
* Fri May 17 2019 aaptel@suse.com
- cifs: make minor clarifications to module params for cifs.ko (bsc#1144333).
- commit d450bfd
* Fri May 17 2019 aaptel@suse.com
- cifs: show the w bit for writeable /proc/fs/cifs/* files (bsc#1144333).
- commit 135d482
* Fri May 17 2019 aaptel@suse.com
- smb3: add module alias for smb3 to cifs.ko (bsc#1144333).
- commit 72710bc
* Fri May 17 2019 aaptel@suse.com
- cifs: return error on invalid value written to cifsFYI (bsc#1144333).
- commit 5841f4f
* Fri May 17 2019 aaptel@suse.com
- cifs: invalidate cache when we truncate a file (bsc#1051510, bsc#1144333).
- commit 0f7776d
* Fri May 17 2019 aaptel@suse.com
- smb3: print tree id in debugdata in proc to be able to help logging (bsc#1144333).
- commit 647a749
* Fri May 17 2019 aaptel@suse.com
- smb3: add additional ftrace entry points for entry/exit to cifs.ko (bsc#1144333).
- commit cb9802c
* Fri May 17 2019 aaptel@suse.com
- smb3: fix various xid leaks (bsc#1051510, bsc#1144333).
- commit c7dbd56
* Fri May 17 2019 aaptel@suse.com
- CIFS: Introduce offset for the 1st page in data transfer structures (bsc#1144333).
- commit 97133e1
* Fri May 17 2019 aaptel@suse.com
- smb3: Add ftrace tracepoints for improved SMB3 debugging (bsc#1144333).
- commit e89fde2
* Fri May 17 2019 dkirjanov@suse.com
- netfilter: x_tables: initialise match/target check parameter
  struct (git-fixes).
- commit ab0a962
* Fri May 17 2019 dkirjanov@suse.com
- netfilter: ebtables: reject non-bridge targets (git-fixes).
- commit a3d82d8
* Fri May 17 2019 dkirjanov@suse.com
- ipvs: fix check on xmit to non-local addresses (git-fixes).
- commit c2a2828
* Fri May 17 2019 jdelvare@suse.de
- Refresh
  patches.suse/sched-do-not-re-read-h_load_next-during-hierarchical-load-calculation.patch.
  Add upstream reference and move to sorted section.
- commit e41744b
* Fri May 17 2019 jslaby@suse.cz
- bnxt_en: Reset device on RX buffer errors
  (networking-stable-19_04_10).
- bnxt_en: Improve RX consumer index validity check
  (networking-stable-19_04_10).
- tcp: Ensure DCTCP reacts to losses (networking-stable-19_04_10).
- net/sched: act_sample: fix divide by zero in the traffic path
  (networking-stable-19_04_10).
- net-gro: Fix GRO flush when receiving a GSO packet
  (networking-stable-19_04_10).
- ip6_tunnel: Match to ARPHRD_TUNNEL6 for dev type
  (networking-stable-19_04_10).
- sctp: initialize _pad of sockaddr_in before copying to user
  memory (networking-stable-19_04_10).
- net/sched: fix ->get helper of the matchall cls
  (networking-stable-19_04_10).
- vrf: check accept_source_route on the original netdevice
  (networking-stable-19_04_10).
- kABI: protect ip_options_rcv_srr (kabi).
- net/mlx5e: Add a lock on tir list (networking-stable-19_04_10).
- kABI: protect struct mlx5_td (kabi).
- net/mlx5e: Fix error handling when refreshing TIRs
  (networking-stable-19_04_10).
- net/mlx5: Decrease default mr cache size
  (networking-stable-19_04_10).
- net: ethtool: not call vzalloc for zero sized memory request
  (networking-stable-19_04_10).
- commit cb65757
* Fri May 17 2019 aaptel@suse.com
- smb3: rename encryption_required to smb3_encryption_required (bsc#1144333).
- commit 2a0a3c2
* Fri May 17 2019 aaptel@suse.com
- cifs: update internal module version number for cifs.ko to 2.12 (bsc#1144333).
- commit 709609c
* Fri May 17 2019 aaptel@suse.com
- cifs: add a new SMB2_close_flags function (bsc#1144333).
- commit 52233b5
* Fri May 17 2019 aaptel@suse.com
- cifs: store the leaseKey in the fid on SMB2_open (bsc#1051510, bsc#1144333).
- commit afdf64d
* Fri May 17 2019 aaptel@suse.com
- cifs: fix build break when CONFIG_CIFS_DEBUG2 enabled (bsc#1144333).
- commit d25b49e
* Fri May 17 2019 aaptel@suse.com
- cifs: update calc_size to take a server argument (bsc#1144333).
- commit 2aee34a
* Fri May 17 2019 aaptel@suse.com
- cifs: add server argument to the dump_detail method (bsc#1144333).
- commit 4ed0919
* Fri May 17 2019 aaptel@suse.com
- smb3: fix redundant opens on root (bsc#1144333).
- commit 6773807
* Fri May 17 2019 aaptel@suse.com
- smb3: directory sync should not return an error (bsc#1051510, bsc#1144333).
- commit 9d0b0b3
* Fri May 17 2019 aaptel@suse.com
- cifs: smb2ops: Fix listxattr() when there are no EAs (bsc#1051510, bsc#1144333).
- commit 7c12818
* Fri May 17 2019 aaptel@suse.com
- cifs: smbd: Enable signing with smbdirect (bsc#1144333).
- commit 0fbaf77
* Fri May 17 2019 aaptel@suse.com
- cifs: Allocate validate negotiation request through kmalloc (bsc#1144333).
- commit 0ebd97f
* Fri May 17 2019 aaptel@suse.com
- cifs: smbd: depend on INFINIBAND_ADDR_TRANS (bsc#1144333).
- commit 8792c7c
* Fri May 17 2019 aaptel@suse.com
- cifs: smbd: Avoid allocating iov on the stack (bsc#1144333).
- commit fd39a05
* Fri May 17 2019 aaptel@suse.com
- cifs: smbd: Don't use RDMA read/write when signing is used (bsc#1144333).
- commit 36f2bb8
* Fri May 17 2019 aaptel@suse.com
- SMB311: Fix reconnect (bsc#1051510, bsc#1144333).
- commit d72a275
* Fri May 17 2019 aaptel@suse.com
- SMB3: Fix 3.11 encryption to Windows and handle encrypted smb3 tcon (bsc#1051510, bsc#1144333).
- commit 63da32b
* Fri May 17 2019 aaptel@suse.com
- CIFS: set *resp_buf_type to NO_BUFFER on error (bsc#1144333).
- commit 9b9a753
* Fri May 17 2019 aaptel@suse.com
- CIFS: fix typo in cifs_dbg (bsc#1144333).
- commit 1c55bf5
* Fri May 17 2019 aaptel@suse.com
- cifs: do not allow creating sockets except with SMB1 posix exensions (bsc#1102097, bsc#1144333).
- commit 2bffbe2
* Thu May 16 2019 aaptel@suse.com
- cifs: smbd: Dump SMB packet when configured (bsc#1144333).
- commit d88f8ba
* Thu May 16 2019 aaptel@suse.com
- cifs: smb2ops: Fix NULL check in smb2_query_symlink (bsc#1144333).
- commit b04299f
* Thu May 16 2019 aaptel@suse.com
- cifs: change validate_buf to validate_iov (bsc#1144333).
- commit 906bd59
* Thu May 16 2019 aaptel@suse.com
- cifs: remove rfc1002 hardcoded constants from cifs_discard_remaining_data() (bsc#1144333).
- commit 617a6f7
* Thu May 16 2019 aaptel@suse.com
- cifs: Change SMB2_open to return an iov for the error parameter (bsc#1144333).
- commit dcb9625
* Thu May 16 2019 aaptel@suse.com
- cifs: add resp_buf_size to the mid_q_entry structure (bsc#1144333).
- commit b08c29d
* Thu May 16 2019 aaptel@suse.com
- smb3.11: replace a 4 with server->vals->header_preamble_size (bsc#1144333).
- commit 23fc514
* Thu May 16 2019 aaptel@suse.com
- cifs: replace a 4 with server->vals->header_preamble_size (bsc#1144333).
- commit a2ae2c9
* Thu May 16 2019 aaptel@suse.com
- cifs: add pdu_size to the TCP_Server_Info structure (bsc#1144333).
- commit 1640413
* Thu May 16 2019 aaptel@suse.com
- SMB311: Improve checking of negotiate security contexts (bsc#1051510, bsc#1144333).
- commit 5803906
* Thu May 16 2019 aaptel@suse.com
- SMB3: Fix length checking of SMB3.11 negotiate request (bsc#1051510, bsc#1144333).
- commit 5ab66c0
* Thu May 16 2019 aaptel@suse.com
- CIFS: add ONCE flag for cifs_dbg type (bsc#1144333).
- commit b6c0c4c
* Thu May 16 2019 aaptel@suse.com
- cifs: Use ULL suffix for 64-bit constant (bsc#1051510, bsc#1144333).
- commit 5c4894b
* Thu May 16 2019 aaptel@suse.com
- SMB3: Log at least once if tree connect fails during reconnect (bsc#1144333).
- commit 05b0e92
* Thu May 16 2019 aaptel@suse.com
- cifs: smb2pdu: Fix potential NULL pointer dereference (bsc#1144333).
- commit 3e43540
* Thu May 16 2019 aaptel@suse.com
- cifs: Add minor debug message during negprot (bsc#1144333).
- commit 3b41e0d
* Thu May 16 2019 aaptel@suse.com
- smb3: Fix root directory when server returns inode number of zero (bsc#1051510, bsc#1144333).
- commit de0d034
* Thu May 16 2019 aaptel@suse.com
- cifs: fix sparse warning on previous patch in a few printks (bsc#1144333).
- commit 56ce311
* Thu May 16 2019 aaptel@suse.com
- cifs: add server->vals->header_preamble_size (bsc#1144333).
- commit f31a0d1
* Thu May 16 2019 aaptel@suse.com
- cifs: smbd: disconnect transport on RDMA errors (bsc#1144333).
- commit a08f5ab
* Thu May 16 2019 aaptel@suse.com
- cifs: smbd: avoid reconnect lockup (bsc#1144333).
- commit 0d4f8de
* Thu May 16 2019 aaptel@suse.com
- Don't log confusing message on reconnect by default (bsc#1129664, bsc#1144333).
- commit c62a1eb
* Thu May 16 2019 aaptel@suse.com
- Don't log expected error on DFS referral request (bsc#1051510, bsc#1144333).
- commit 2b0ffdc
* Thu May 16 2019 aaptel@suse.com
- fs: cifs: Replace _free_xid call in cifs_root_iget function (bsc#1144333).
- commit 3c774ad
* Thu May 16 2019 aaptel@suse.com
- SMB3.1.1 dialect is no longer experimental (bsc#1051510, bsc#1144333).
- commit 5a7f288
* Thu May 16 2019 aaptel@suse.com
- Tree connect for SMB3.1.1 must be signed for non-encrypted shares (bsc#1051510, bsc#1144333).
- commit bbb7b0e
* Thu May 16 2019 aaptel@suse.com
- fix smb3-encryption breakage when CONFIG_DEBUG_SG=y (bsc#1051510, bsc#1144333).
- commit ce4ef54
* Thu May 16 2019 aaptel@suse.com
- CIFS: fix sha512 check in cifs_crypto_secmech_release (bsc#1051510, bsc#1144333).
- commit d700426
* Thu May 16 2019 aaptel@suse.com
- CIFS: implement v3.11 preauth integrity (bsc#1051510, bsc#1144333).
- commit 282e69b
* Thu May 16 2019 aaptel@suse.com
- CIFS: add sha512 secmech (bsc#1051510, bsc#1144333).
- commit dd1b0dc
* Thu May 16 2019 aaptel@suse.com
- CIFS: refactor crypto shash/sdesc allocation&free (bsc#1051510, bsc#1144333).
- commit 7c8cd7a
* Thu May 16 2019 aaptel@suse.com
- cifs: fix memory leak in SMB2_open() (bsc#1112894, bsc#1144333).
- commit 9a11d87
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: fix spelling mistake: faield and legnth (bsc#1144333).
- commit 656fc0e
* Thu May 16 2019 aaptel@suse.com
- Add missing structs and defines from recent SMB3.1.1 documentation (bsc#1144333).
- commit 561ad80
* Thu May 16 2019 aaptel@suse.com
- address lock imbalance warnings in smbdirect.c (bsc#1144333).
- commit 764cd6d
* Thu May 16 2019 aaptel@suse.com
- cifs: silence compiler warnings showing up with gcc-8.0.0 (bsc#1090734, bsc#1144333).
- commit b26e318
* Thu May 16 2019 aaptel@suse.com
- Add some missing debug fields in server and tcon structs (bsc#1144333).
- commit b13c148
* Thu May 16 2019 aaptel@suse.com
- fs/cifs/cifsacl.c Fixes typo in a comment (bsc#1144333).
- commit 8a9435e
* Thu May 16 2019 aaptel@suse.com
- update internal version number for cifs.ko (bsc#1144333).
- commit 4d4e098
* Thu May 16 2019 aaptel@suse.com
- cifs: add .splice_write (bsc#1144333).
- commit 53f3d14
* Thu May 16 2019 aaptel@suse.com
- CIFS: document tcon/ses/server refcount dance (bsc#1144333).
- commit 541127a
* Thu May 16 2019 aaptel@suse.com
- move a few externs to smbdirect.h to eliminate warning (bsc#1144333).
- commit 054495e
* Thu May 16 2019 aaptel@suse.com
- CIFS: zero sensitive data when freeing (bsc#1087092, bsc#1144333).
- commit c3f174d
* Thu May 16 2019 aaptel@suse.com
- Cleanup some minor endian issues in smb3 rdma (bsc#1144333).
- commit 204ad24
* Thu May 16 2019 aaptel@suse.com
- CIFS: dump IPC tcon in debug proc file (bsc#1071306, bsc#1144333).
- commit 4801bbd
* Thu May 16 2019 aaptel@suse.com
- CIFS: use tcon_ipc instead of use_ipc parameter of SMB2_ioctl (bsc#1071306, bsc#1144333).
- commit 2029687
* Thu May 16 2019 aaptel@suse.com
- CIFS: make IPC a regular tcon (bsc#1071306, bsc#1144333).
- commit 8c62a07
* Thu May 16 2019 aaptel@suse.com
- cifs: remove redundant duplicated assignment of pointer 'node' (bsc#1144333).
- commit 8633c07
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: work around gcc -Wmaybe-uninitialized warning (bsc#1144333).
- commit 660ab15
* Thu May 16 2019 aaptel@suse.com
- cifs: Fix autonegotiate security settings mismatch (bsc#1087092, bsc#1144333).
- commit 79bbb54
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: _smbd_get_connection() can be static (bsc#1144333).
- commit 3dbcabb
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Disable signing on SMB direct transport (bsc#1144333).
- commit d36304b
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Add SMB Direct debug counters (bsc#1144333).
- commit e42b986
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Upper layer performs SMB read via RDMA write through memory registration (bsc#1144333).
- commit 479e730
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Read correct returned data length for RDMA write (SMB read) I/O (bsc#1144333).
- commit 49800bf
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Upper layer performs SMB write via RDMA read through memory registration (bsc#1144333).
- commit 451ce23
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Implement RDMA memory registration (bsc#1144333).
- commit 4bd37fc
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Upper layer sends data via RDMA send (bsc#1144333).
- commit 5a756b5
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Implement function to send data via RDMA send (bsc#1144333).
- commit bb8535a
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Upper layer receives data via RDMA receive (bsc#1144333).
- commit a05b399
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Implement function to receive data via RDMA receive (bsc#1144333).
- commit 0fa64fd
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Set SMB Direct maximum read or write size for I/O (bsc#1144333).
- commit bac6317
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Upper layer destroys SMB Direct session on shutdown or umount (bsc#1144333).
- commit 840e7c9
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Implement function to destroy a SMB Direct connection (bsc#1144333).
- commit 8acee94
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Upper layer reconnects to SMB Direct session (bsc#1144333).
- commit ca6bb73
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Implement function to reconnect to a SMB Direct transport (bsc#1144333).
- commit 7414215
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Upper layer connects to SMBDirect session (bsc#1144333).
- commit 58ec5a4
* Thu May 16 2019 aaptel@suse.com
- cifs: fix build errors for SMB_DIRECT (bsc#1144333).
- commit a13a689
* Thu May 16 2019 aaptel@suse.com
- cifs: Fix missing put_xid in cifs_file_strict_mmap (bsc#1087092, bsc#1144333).
- commit 5026bae
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: export protocol initial values (bsc#1144333).
- commit 2a890ed
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Implement function to create a SMB Direct connection (bsc#1144333).
- commit 66b6d3f
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Establish SMB Direct connection (bsc#1144333).
- commit f9633ed
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Add SMB Direct protocol initial values and constants (bsc#1144333).
- commit 3761db5
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Add rdma mount option (bsc#1144333).
- commit ddce205
* Thu May 16 2019 aaptel@suse.com
- Update config files. - CIFS: SMBD: Introduce kernel config option CONFIG_CIFS_SMB_DIRECT (bsc#1144333).
- commit ef3de16
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Add parameter rdata to smb2_new_read_req (bsc#1144333).
- commit 564812c
* Thu May 16 2019 aaptel@suse.com
- cifs: avoid a kmalloc in smb2_send_recv/SendReceive2 for the common case (bsc#1144333).
- commit ddfa27a
* Thu May 16 2019 aaptel@suse.com
- cifs: remove small_smb2_init (bsc#1144333).
- commit 42e787c
* Thu May 16 2019 aaptel@suse.com
- cifs: remove rfc1002 header from smb2_lease_ack (bsc#1144333).
- commit 9c703a7
* Thu May 16 2019 aaptel@suse.com
- cifs: remove unused variable from SMB2_read (bsc#1144333).
- commit a657e0f
* Thu May 16 2019 aaptel@suse.com
- cifs: remove rfc1002 header from smb2_oplock_break we get from server (bsc#1144333).
- commit 3b9f330
* Thu May 16 2019 aaptel@suse.com
- cifs: remove rfc1002 header from smb2_query_info_req (bsc#1144333).
- commit 419a2f6
* Thu May 16 2019 aaptel@suse.com
- cifs: remove rfc1002 header from smb2_query_directory_req (bsc#1144333).
- commit 31d741a
* Thu May 16 2019 aaptel@suse.com
- cifs: remove rfc1002 header from smb2_set_info_req (bsc#1144333).
- commit 8c059cb
* Thu May 16 2019 aaptel@suse.com
- cifs: remove rfc1002 header from smb2 read/write requests (bsc#1144333).
- commit 9c3fb1c
* Thu May 16 2019 aaptel@suse.com
- cifs: remove rfc1002 header from smb2_lock_req (bsc#1144333).
- commit a519c85
* Thu May 16 2019 aaptel@suse.com
- cifs: remove rfc1002 header from smb2_flush_req (bsc#1144333).
- commit 7de26aa
* Thu May 16 2019 aaptel@suse.com
- cifs: remove rfc1002 header from smb2_create_req (bsc#1144333).
- commit 67e2e5a
* Thu May 16 2019 aaptel@suse.com
- cifs: remove rfc1002 header from smb2_sess_setup_req (bsc#1144333).
- commit 95aacf9
* Thu May 16 2019 aaptel@suse.com
- cifs: remove rfc1002 header from smb2_tree_connect_req (bsc#1144333).
- commit e0421bc
* Thu May 16 2019 aaptel@suse.com
- cifs: remove rfc1002 header from smb2_echo_req (bsc#1144333).
- commit ce0258d
* Thu May 16 2019 aaptel@suse.com
- cifs: remove rfc1002 header from smb2_ioctl_req (bsc#1144333).
- commit 4f10855
* Thu May 16 2019 aaptel@suse.com
- cifs: remove rfc1002 header from smb2_close_req (bsc#1144333).
- commit 1068bff
* Thu May 16 2019 aaptel@suse.com
- cifs: remove rfc1002 header from smb2_tree_disconnect_req (bsc#1144333).
- commit d3a1bc0
* Thu May 16 2019 aaptel@suse.com
- cifs: remove rfc1002 header from smb2_logoff_req (bsc#1144333).
- commit 3c2c6eb
* Thu May 16 2019 aaptel@suse.com
- cifs: remove rfc1002 header from smb2_negotiate_req (bsc#1144333).
- commit 7b194b5
* Thu May 16 2019 aaptel@suse.com
- cifs: Add smb2_send_recv (bsc#1144333).
- commit 135336f
* Thu May 16 2019 aaptel@suse.com
- fs/*/Kconfig: drop links to 404-compliant http://acl.bestbits.at (bsc#1144333).
- commit 9069308
* Thu May 16 2019 aaptel@suse.com
- CIFS: don't log STATUS_NOT_FOUND errors for DFS (bsc#1051510, bsc#1144333).
- commit 9260aad
* Thu May 16 2019 aaptel@suse.com
- cifs: fix NULL deref in SMB2_read (bsc#1085539, bsc#1144333).
- commit 74c4a72
* Thu May 16 2019 aaptel@suse.com
- cifs: check MaxPathNameComponentLength != 0 before using it (bsc#1085536, bsc#1144333).
- commit 7c39678
* Thu May 16 2019 aaptel@suse.com
- SMB3: Validate negotiate request must always be signed (bsc#1064597, bsc#1144333).
- commit 6a20e8b
* Thu May 16 2019 aaptel@suse.com
- SMB: fix validate negotiate info uninitialised memory use (bsc#1064597, bsc#1144333).
- commit 8350eb9
* Thu May 16 2019 aaptel@suse.com
- SMB: fix leak of validate negotiate info response buffer (bsc#1064597, bsc#1144333).
- commit 540580e
* Thu May 16 2019 aaptel@suse.com
- CIFS: Fix NULL pointer deref on SMB2_tcon() failure (bsc#1071009, bsc#1144333).
- commit 1d3a9de
* Thu May 16 2019 aaptel@suse.com
- CIFS: do not send invalid input buffer on QUERY_INFO requests (bsc#1144333).
- commit 6f46fd8
* Thu May 16 2019 aaptel@suse.com
- cifs: Select all required crypto modules (bsc#1085536, bsc#1144333).
- commit bd44e1c
* Thu May 16 2019 aaptel@suse.com
- CIFS: SMBD: Fix the definition for SMB2_CHANNEL_RDMA_V1_INVALIDATE (bsc#1144333).
- commit da19369
* Thu May 16 2019 aaptel@suse.com
- cifs: handle large EA requests more gracefully in smb2+ (bsc#1144333).
- commit 510e996
* Thu May 16 2019 aaptel@suse.com
- Fix encryption labels and lengths for SMB3.1.1 (bsc#1085536, bsc#1144333).
- commit 7fceff4
* Thu May 16 2019 aaptel@suse.com
- SMB3: Don't ignore O_SYNC/O_DSYNC and O_DIRECT flags (bsc#1085536, bsc#1144333).
- commit 4a9b75c
* Thu May 16 2019 aaptel@suse.com
- SMB3: handle new statx fields (bsc#1085536, bsc#1144333).
- commit bc2d9a1
* Thu May 16 2019 aaptel@suse.com
- SMB: Validate negotiate (to protect against downgrade) even if signing off (bsc#1085536, bsc#1144333).
- commit c098efa
* Thu May 16 2019 aaptel@suse.com
- cifs: release auth_key.response for reconnect (bsc#1085536, bsc#1144333).
- commit d8cd1cf
* Thu May 16 2019 aaptel@suse.com
- cifs: release cifs root_cred after exit_cifs (bsc#1085536, bsc#1144333).
- commit 5715b1a
* Thu May 16 2019 aaptel@suse.com
- CIFS: make arrays static const, reduces object code size (bsc#1144333).
- commit 023cf87
* Thu May 16 2019 aaptel@suse.com
- Update session and share information displayed for debugging SMB2/SMB3 (bsc#1144333).
- commit 61e32f7
* Thu May 16 2019 aaptel@suse.com
- cifs: show 'soft' in the mount options for hard mounts (bsc#1144333).
- commit e189fd2
* Thu May 16 2019 aaptel@suse.com
- SMB3: Warn user if trying to sign connection that authenticated as guest (bsc#1085536, bsc#1144333).
- commit b1d1dac
* Thu May 16 2019 aaptel@suse.com
- SMB3: Fix endian warning (bsc#1144333, bsc#1137884).
- commit 547afff
* Thu May 16 2019 aaptel@suse.com
- Fix SMB3.1.1 guest authentication to Samba (bsc#1085536, bsc#1144333).
- commit 61fb84c
* Thu May 16 2019 aaptel@suse.com
- Update version of cifs module (bsc#1144333).
- commit efad703
* Thu May 16 2019 aaptel@suse.com
- cifs: hide unused functions (bsc#1051510, bsc#1144333).
- commit d7281cb
* Thu May 16 2019 aaptel@suse.com
- SMB3: Add support for multidialect negotiate (SMB2.1 and later) (bsc#1051510, bsc#1144333).
- commit 3e420d7
* Thu May 16 2019 aaptel@suse.com
- cifs: check rsp for NULL before dereferencing in SMB2_open (bsc#1085536, bsc#1144333).
- commit 50c89fb
* Thu May 16 2019 aaptel@suse.com
- cifs: Check for timeout on Negotiate stage (bsc#1091171, bsc#1144333).
- commit 8c908c7
* Thu May 16 2019 aaptel@suse.com
- cifs: Add support for writing attributes on SMB2+ (bsc#1051510, bsc#1144333).
- commit bf83c0c
* Thu May 16 2019 aaptel@suse.com
- cifs: Add support for reading attributes on SMB2+ (bsc#1051510, bsc#1144333).
- commit a06eeb8
* Thu May 16 2019 aaptel@suse.com
- Fix warning messages when mounting to older servers (bsc#1144333).
- commit 093dfa2
* Thu May 16 2019 aaptel@suse.com
- Improve security, move default dialect to SMB3 from old CIFS (bsc#1051510, bsc#1144333).
- commit 1dbc35c
* Thu May 16 2019 aaptel@suse.com
- Remove ifdef since SMB3 (and later) now STRONGLY preferred (bsc#1051510, bsc#1144333).
- commit 03819a9
* Thu May 16 2019 aaptel@suse.com
- CIFS: Reconnect expired SMB sessions (bnc#1060662).
- commit a6b3714
* Thu May 16 2019 aaptel@suse.com
- Delete patches.kernel.org/4.12.4-101-CIFS-Reconnect-expired-SMB-sessions.patch.
- commit 6ca54d2
* Thu May 16 2019 bp@suse.de
- x86/cpu: Create Hygon Dhyana architecture support file
  (fate#327735).
- commit 99bb7e0
* Thu May 16 2019 dkirjanov@suse.com
- ipv6: mcast: fix unsolicited report interval after receiving querys (git-fixes).
- l2tp: filter out non-PPP sessions in pppol2tp_tunnel_ioctl() (git-fixes).
- l2tp: prevent pppol2tp_connect() from creating kernel sockets (git-fixes).
- l2tp: only accept PPP sessions in pppol2tp_connect() (git-fixes).
- netfilter: nf_tables: check msg_type before nft_trans_set(trans) (git-fixes).
- ip_tunnel: Fix name string concatenate in __ip_tunnel_create() (git-fixes).
- sctp: fix identification of new acks for SFR-CACC (git-fixes).
- xfrm6: avoid potential infinite loop in _decode_session6() (git-fixes).
- ipvs: fix buffer overflow with sync daemon and service (git-fixes).
- netfilter: ebtables: handle string from userspace with care (git-fixes).
- netfilter: nf_tables: fix NULL pointer dereference on nft_ct_helper_obj_dump() (git-fixes).
- net: Fix a bug in removing queues from XPS map (git-fixes).
- net: test tailroom before appending to linear skb (git-fixes).
- tcp: purge write queue in tcp_connect_init() (git-fixes).
- ipvs: fix stats update from local clients (git-fixes).
- packet: in packet_snd start writing at link layer allocation (git-fixes).
- rxrpc: Fix error reception on AF_INET6 sockets (git-fixes).
- netfilter: nf_tables: can't fail after linking rule into active rule list (git-fixes).
- ipvs: fix rtnl_lock lockups caused by start_sync_thread (git-fixes).
- inetpeer: fix uninit-value in inet_getpeer (git-fixes).
- net: fix uninit-value in __hw_addr_add_ex() (git-fixes).
- net: initialize skb->peeked when cloning (git-fixes).
- fix rtnh_ok() (git-fixes).
- netlink: fix uninit-value in netlink_sendmsg (git-fixes).
- commit a03d3d8
* Thu May 16 2019 aaptel@suse.com
- CIFS: Display SMB2 error codes in the hex format (bsc#1144333).
- commit db41c2a
* Thu May 16 2019 aaptel@suse.com
- cifs: Use smb 2 - 3 and cifsacl mount options setacl function (bsc#1051510, bsc#1144333).
- commit 0778119
* Thu May 16 2019 aaptel@suse.com
- cifs: prototype declaration and definition to set acl for smb 2 - 3 and cifsacl mount options (bsc#1051510, bsc#1144333).
- commit a71ef22
* Thu May 16 2019 aaptel@suse.com
- CIFS: fix circular locking dependency (bsc#1064701, bsc#1144333).
- commit 0594876
* Thu May 16 2019 aaptel@suse.com
- cifs: set oparms.create_options rather than or'ing in CREATE_OPEN_BACKUP_INTENT (bsc#1144333).
- commit a9243fa
* Thu May 16 2019 aaptel@suse.com
- cifs: Do not modify mid entry after submitting I/O in cifs_call_async (bsc#1051510, bsc#1144333).
- commit 3f97012
* Thu May 16 2019 aaptel@suse.com
- CIFS: add SFM mapping for 0x01-0x1F (bsc#1144333).
- commit 79a8706
* Thu May 16 2019 aaptel@suse.com
- cifs: hide unused functions (bsc#1051510, bsc#1144333).
- commit 33c52ee
* Thu May 16 2019 aaptel@suse.com
- cifs: Use smb 2 - 3 and cifsacl mount options getacl functions (bsc#1051510, bsc#1144333).
- commit 68ab5bd
* Thu May 16 2019 aaptel@suse.com
- cifs: prototype declaration and definition for smb 2 - 3 and cifsacl mount options (bsc#1051510, bsc#1144333).
- commit f2e25c6
* Thu May 16 2019 aaptel@suse.com
- Update config files. - CIFS: add CONFIG_CIFS_DEBUG_KEYS to dump encryption keys (bsc#1144333).
- commit 040aef8
* Thu May 16 2019 aaptel@suse.com
- cifs: set mapping error when page writeback fails in writepage or launder_pages (bsc#1144333).
- commit 73b6484
* Thu May 16 2019 jack@suse.cz
- mm/huge_memory: fix vmf_insert_pfn_{pmd, pud}() crash, handle
  unaligned addresses (bsc#1135330).
- commit 545b409
* Thu May 16 2019 jack@suse.cz
- blacklist.conf: Blacklist 7959cf3a7506, 988bec41318f, and 9ca2d7326444
- commit e060719
* Thu May 16 2019 jack@suse.cz
- ufs: fix braino in ufs_get_inode_gid() for solaris UFS flavour
  (bsc#1135323).
- blacklist.conf: Blacklist 0bf3d5c1604e, a5fdd713d256, and 71921ef85928
- commit 447e9de
* Thu May 16 2019 jack@suse.cz
- block: fix the return errno for direct IO (bsc#1135320).
- commit 7a5620b
* Thu May 16 2019 jack@suse.cz
- blacklist.conf: Blacklist b01531db6cec
- commit 584e057
* Thu May 16 2019 hare@suse.de
- nvme: flush scan_work when resetting controller (bsc#1131673).
- nvme: Do not remove namespaces during reset (bsc#1131673).
- commit 5170dea
* Thu May 16 2019 jack@suse.cz
- ext4: fix ext4_show_options for file systems w/o journal
  (bsc#1135316).
- commit 29b8927
* Thu May 16 2019 jack@suse.cz
- ext4: actually request zeroing of inode table after grow
  (bsc#1135315).
- commit a868c67
* Thu May 16 2019 jack@suse.cz
- ext4: fix use-after-free race with debug_want_extra_isize
  (bsc#1135314).
- commit 5eca021
* Thu May 16 2019 hare@suse.de
- block: Don't revalidate bdev of hidden gendisk (bsc#1120091).
- Refresh patches.kabi/kabi-fix-for-check_disk_size_change.patch.
- commit 8dce5a6
* Thu May 16 2019 jack@suse.cz
- block: fix use-after-free on gendisk (bsc#1135312).
- commit c63ecfb
* Thu May 16 2019 jack@suse.cz
- block: do not leak memory in bio_copy_user_iov() (bsc#1135309).
- commit 179d24e
* Thu May 16 2019 tiwai@suse.de
- Update patch reference for ipmi_ssif fix (bsc#1135120)
- commit b30d5bf
* Thu May 16 2019 tiwai@suse.de
- Update patch tag for i915 security fix (CVE-2019-11085, bsc#1135278).
- commit c9240fa
* Wed May 15 2019 aaptel@suse.com
- CIFS: keep FileInfo handle live during oplock break
  (bsc#1106284, bsc#1131565).
- commit 057abeb
* Wed May 15 2019 tiwai@suse.de
- PCI: Init PCIe feature bits for managed host bridge alloc
  (bsc#1111666).
- commit 1ae8784
* Wed May 15 2019 tiwai@suse.de
- backlight: lm3630a: Return 0 on success in update_status
  functions (bsc#1051510).
- PCI: Mark Atheros AR9462 to avoid bus reset (bsc#1051510).
- PCI: Mark AMD Stoney Radeon R7 GPU ATS as broken (bsc#1051510).
- commit ce79740
* Wed May 15 2019 tiwai@suse.de
- Move MDS patches into sorted section, too
  Also update/correct the patch tags
- commit c2d6df0
* Wed May 15 2019 tiwai@suse.de
- Move upstreamed nvme and powerpc patches to sorted section
- commit c1e9c04
* Wed May 15 2019 wqu@suse.com
- btrfs: qgroup: Don't scan leaf if we're modifying reloc  tree
  (bsc#1063638 bsc#1128052 bsc#1108838).
- commit 81e4693
* Wed May 15 2019 wqu@suse.com
- btrfs: extent-tree: Use btrfs_ref to refactor
  btrfs_free_extent() (bsc#1063638 bsc#1128052 bsc#1108838).
- commit ec353a9
* Wed May 15 2019 wqu@suse.com
- btrfs: extent-tree: Use btrfs_ref to refactor
  btrfs_inc_extent_ref() (bsc#1063638 bsc#1128052 bsc#1108838).
- Refresh
  patches.suse/0001-btrfs-extent-tree-Fix-a-bug-that-btrfs-is-unable-to-.patch.
- commit c0ee85b
* Wed May 15 2019 wqu@suse.com
- btrfs: extent-tree: Fix a bug that btrfs is unable to add
  pinned bytes (bsc#1063638 bsc#1128052 bsc#1108838).
- commit 37707c4
* Wed May 15 2019 wqu@suse.com
- btrfs: extent-tree: Use btrfs_ref to refactor
  add_pinned_bytes() (bsc#1063638 bsc#1128052 bsc#1108838).
- commit f19a7ab
* Wed May 15 2019 wqu@suse.com
- btrfs: delayed-ref: Use btrfs_ref to refactor
  btrfs_add_delayed_data_ref() (bsc#1063638 bsc#1128052
  bsc#1108838).
- Refresh
  patches.suse/revert-btrfs-qgroup-move-half-of-the-qgroup-accounting-time-out-of-commit-trans.patch.
- commit 5959973
* Wed May 15 2019 wqu@suse.com
- btrfs: delayed-ref: Use btrfs_ref to refactor
  btrfs_add_delayed_tree_ref() (bsc#1063638 bsc#1128052
  bsc#1108838).
- Refresh
  patches.suse/revert-btrfs-qgroup-move-half-of-the-qgroup-accounting-time-out-of-commit-trans.patch.
- commit eedfcc9
* Wed May 15 2019 tonyj@suse.de
- perf/x86/amd: Update generic hardware cache events for Family
  17h (bsc#1134223).
- perf/x86/amd: Add event map for AMD Family 17h (bsc#1134223).
- x86/perf/amd: Remove need to check "running" bit in NMI handler
  (bsc#1131438).
- x86/perf/amd: Resolve NMI latency issues for active PMCs
  (bsc#1131438).
- x86/perf/amd: Resolve race condition when disabling PMC
  (bsc#1131438).
- commit a70bdac
* Tue May 14 2019 tiwai@suse.de
- Revert "drm/sun4i: rgb: Change the pixel clock validation check (bnc#1113722)"
  The patch seems buggy, breaks the build for armv7hl/pae config.
- commit 7e3fe35
* Tue May 14 2019 msuchanek@suse.de
- net/ibmvnic: Update carrier state after link state change
  (bsc#1135100).
- commit 620e16c
* Tue May 14 2019 msuchanek@suse.de
- rpm/config.sh: Build against openSUSE:Leap:15.1:Update
- commit 906398e
* Tue May 14 2019 msuchanek@suse.de
- net/ibmvnic: Update MAC address settings after adapter reset
  (bsc#1134760).
- commit 9e9fbf7
* Tue May 14 2019 msuchanek@suse.de
- Refresh patches.fixes/nvme-multipath-avoid-crash-on-invalid-subsystem-cntl.patch.
  Fix commit id.
- commit 480e4e0
* Tue May 14 2019 fabian.baumanis@suse.com
- dt-bindings: net: Fix a typo in the phy-mode list for ethernet
  bindings (bsc#1129770).
- commit ce908a0
* Tue May 14 2019 tzimmermann@suse.de
- drm/ttm: Remove warning about inconsistent mapping information (bnc#1131488)
- commit 3b2528e
* Tue May 14 2019 wqu@suse.com
- btrfs: split delayed ref head initialization and addition
  (bsc#1134813).
- Refresh
  patches.fixes/0001-btrfs-qgroup-Move-reserved-data-accounting-from-btrf.patch.
- Refresh
  patches.suse/revert-btrfs-qgroup-move-half-of-the-qgroup-accounting-time-out-of-commit-trans.patch.
- commit a52dcc3
* Tue May 14 2019 hare@suse.de
- lpfc: validate command in lpfc_sli4_scmd_to_wqidx_distr()
  (bsc#1129138).
- commit c255cb4
* Tue May 14 2019 tiwai@suse.de
- phy: sun4i-usb: Make sure to disable PHY0 passby for peripheral
  mode (bsc#1051510).
- commit e14e420
* Tue May 14 2019 tiwai@suse.de
- vfio/mdev: Fix aborting mdev child device removal if one fails
  (bsc#1051510).
- vfio/mdev: Avoid release parent reference during error path
  (bsc#1051510).
- vfio/pci: use correct format characters (bsc#1051510).
- vsock/virtio: fix kernel panic from
  virtio_transport_reset_no_sock (bsc#1051510).
- vsock/virtio: reset connected sockets on device removal
  (bsc#1051510).
- vsock/virtio: fix kernel panic after device hot-unplug
  (bsc#1051510).
- vhost/vsock: fix reset orphans race with close timeout
  (bsc#1051510).
- commit df62ff0
* Tue May 14 2019 wqu@suse.com
- btrfs: Use init_delayed_ref_head in add_delayed_ref_head
  (bsc#1134813).
- Refresh
  patches.fixes/0001-btrfs-qgroup-Move-reserved-data-accounting-from-btrf.patch.
- Refresh
  patches.suse/revert-btrfs-qgroup-move-half-of-the-qgroup-accounting-time-out-of-commit-trans.patch.
- commit 07fe730
* Tue May 14 2019 wqu@suse.com
- btrfs: Introduce init_delayed_ref_head (bsc#1134813).
- Refresh
  patches.fixes/0001-btrfs-qgroup-Move-reserved-data-accounting-from-btrf.patch.
- commit 4ef0b81
* Tue May 14 2019 jroedel@suse.de
- iommu/vt-d: Make kernel parameter igfx_off work with vIOMMU
  (bsc#1135007).
- iommu/vt-d: Set intel_iommu_gfx_mapped correctly (bsc#1135008).
- iommu/vt-d: Don't request page request irq under
  dmar_global_lock (bsc#1135006).
- commit caca066
* Tue May 14 2019 wqu@suse.com
- btrfs: Open-code add_delayed_data_ref (bsc#1134813).
- Refresh
  patches.suse/revert-btrfs-qgroup-move-half-of-the-qgroup-accounting-time-out-of-commit-trans.patch.
- commit 3fb7e15
* Tue May 14 2019 tiwai@suse.de
- sc16is7xx: put err_spi and err_i2c into correct #ifdef
  (bsc#1051510).
- sc16is7xx: move label 'err_spi' to correct section
  (bsc#1051510).
- commit ef2d000
* Tue May 14 2019 mkubecek@suse.cz
- net: rds: force to destroy connection if t_sock is NULL in
  rds_tcp_kill_sock() (CVE-2019-11815 bsc#1134537).
- commit 1f4fdb2
* Tue May 14 2019 wqu@suse.com
- btrfs: Open-code add_delayed_tree_ref (bsc#1134813).
- Refresh
  patches.suse/revert-btrfs-qgroup-move-half-of-the-qgroup-accounting-time-out-of-commit-trans.patch.
- commit 2231136
* Tue May 14 2019 wqu@suse.com
- btrfs: Use init_delayed_ref_common in  add_delayed_data_ref
  (bsc#1134813).
- commit 50b6855
* Tue May 14 2019 wqu@suse.com
- btrfs: Use init_delayed_ref_common in  add_delayed_tree_ref
  (bsc#1134813).
- commit 3cf5280
* Tue May 14 2019 wqu@suse.com
- btrfs: Factor out common delayed refs init code (bsc#1134813).
- commit ce2a0bd
* Tue May 14 2019 wqu@suse.com
- btrfs: track refs in a rb_tree instead of a list (bsc#1134813).
- Refresh
  patches.suse/btrfs-Take-trans-lock-before-access-running-trans-in.patch.
- Refresh
  patches.suse/btrfs-fix-race-condition-between-delayed-refs-and-blockgroup-removal.patch.
- commit 1e5b754
* Tue May 14 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/opregion: rvda is relative from opregion base in opregion 2.1+'
- commit c35b08b
* Tue May 14 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/opregion: fix version check'
- commit 34cf39c
* Tue May 14 2019 tzimmermann@suse.de
- drm/meson: add size and alignment requirements for dumb buffers (bnc#1113722)
- commit 4a07be1
* Tue May 14 2019 tzimmermann@suse.de
- drm/i915/gvt: Fix incorrect mask of mmio 0x22028 in gen8/9 mmio list (bnc#1113722)
- commit 25e583c
* Tue May 14 2019 tzimmermann@suse.de
- drm/sun4i: rgb: Change the pixel clock validation check (bnc#1113722)
- commit 287e07e
* Mon May 13 2019 mwilck@suse.com
- Update config files: disable CONFIG_IDE for ppc64le
- commit 847d24c
* Mon May 13 2019 mwilck@suse.com
- block: disk_events: introduce event flags (bsc#1110946, bsc#1119843).
- commit 205e985
* Mon May 13 2019 mwilck@suse.com
- block: check_events: don't bother with events if unsupported (bsc#1110946, bsc#1119843).
- commit fd1ec26
* Mon May 13 2019 mwilck@suse.com
- Revert "block: unexport DISK_EVENT_MEDIA_CHANGE for legacy/fringe drivers" (bsc#1110946, bsc#1119843).
- commit 03abd66
* Mon May 13 2019 mwilck@suse.com
- Revert "ide: unexport DISK_EVENT_MEDIA_CHANGE for ide-gd and ide-cd" (bsc#1110946, bsc#1119843).
- commit 43be751
* Mon May 13 2019 tiwai@suse.de
- vfio_pci: Enable memory accesses before calling pci_map_rom
  (bsc#1051510).
- commit 40fa4f3
* Mon May 13 2019 tiwai@suse.de
- virtio-blk: limit number of hw queues by nr_cpu_ids
  (bsc#1051510).
- virtio: Honour 'may_reduce_num' in vring_create_virtqueue
  (bsc#1051510).
- virtio_pci: fix a NULL pointer reference in vp_del_vqs
  (bsc#1051510).
- commit e8aa979
* Mon May 13 2019 tiwai@suse.de
- spi-mem: fix kernel-doc for spi_mem_dirmap_{read|write}()
  (bsc#1111666).
- Refresh
  patches.drivers/0027-spi-spi-mem-Add-devm_spi_mem_dirmap_-create-destroy.patch.
- commit 38352aa
* Mon May 13 2019 tiwai@suse.de
- spi: Add missing pm_runtime_put_noidle() after failed get
  (bsc#1111666).
- commit 569b4a9
* Mon May 13 2019 tiwai@suse.de
- staging: rtlwifi: Fix potential NULL pointer dereference of
  kzalloc (bsc#1111666).
- staging: rtlwifi: rtl8822b: fix to avoid potential NULL pointer
  dereference (bsc#1111666).
- commit 70671fe
* Mon May 13 2019 tiwai@suse.de
- overflow: Fix -Wtype-limits compilation warnings (bsc#1111666).
- commit 8a70151
* Mon May 13 2019 tiwai@suse.de
- sc16is7xx: missing unregister/delete driver on error in
  sc16is7xx_init() (bsc#1051510).
- spi: a3700: Clear DATA_OUT when performing a read (bsc#1051510).
- commit 8e9ab9a
* Mon May 13 2019 tiwai@suse.de
- pwm: meson: Use the spin-lock only to protect register
  modifications (bsc#1051510).
- pwm: meson: Don't disable PWM when setting duty repeatedly
  (bsc#1051510).
- pwm: meson: Consider 128 a valid pre-divider (bsc#1051510).
- pwm: tiehrpwm: Update shadow register for disabling PWMs
  (bsc#1051510).
- pwm: Fix deadlock warning when removing PWM device
  (bsc#1051510).
- commit eb64e0b
* Mon May 13 2019 tiwai@suse.de
- proc/sysctl: fix return error for proc_doulongvec_minmax()
  (bsc#1051510).
- proc/kcore: don't bounds check against address 0 (bsc#1051510).
- proc: revalidate kernel thread inodes to root:root
  (bsc#1051510).
- commit 65ec978
* Mon May 13 2019 tiwai@suse.de
- linux/kernel.h: Use parentheses around argument in
  u64_to_user_ptr() (bsc#1051510).
- commit ce6d021
* Mon May 13 2019 tiwai@suse.de
- omapfb: add missing of_node_put after of_device_is_available
  (bsc#1051510).
- commit d60e431
* Mon May 13 2019 tiwai@suse.de
- mtd: part: fix incorrect format specifier for an unsigned long
  long (bsc#1051510).
- mtd: nand: omap: Fix comment in platform data using wrong
  Kconfig symbol (bsc#1051510).
- mtd: docg3: fix a possible memory leak of mtd->name
  (bsc#1051510).
- mtd: docg3: Fix passing zero to 'PTR_ERR' warning in
  doc_probe_device (bsc#1051510).
- commit d8f4906
* Mon May 13 2019 tiwai@suse.de
- media: vivid: use vfree() instead of kfree() for dev->bitmap_cap
  (bsc#1051510).
- media: ov2659: fix unbalanced mutex_lock/unlock (bsc#1051510).
- media: wl128x: prevent two potential buffer overflows
  (bsc#1051510).
- media: tw5864: Fix possible NULL pointer dereference in
  tw5864_handle_frame (bsc#1051510).
- media: davinci-isif: avoid uninitialized variable use
  (bsc#1051510).
- media: serial_ir: Fix use-after-free in serial_ir_init_module
  (bsc#1051510).
- media: cx23885: check allocation return (bsc#1051510).
- media: wl128x: Fix an error code in fm_download_firmware()
  (bsc#1051510).
- media: cx18: update *pos correctly in cx18_read_pos()
  (bsc#1051510).
- media: ivtv: update *pos correctly in ivtv_read_pos()
  (bsc#1051510).
- commit a5d9aa0
* Mon May 13 2019 tiwai@suse.de
- kernel/sysctl.c: fix out-of-bounds access when setting file-max
  (bsc#1051510).
- kernel/sysctl.c: add missing range check in
  do_proc_dointvec_minmax_conv (bsc#1051510).
- commit 5ac58a3
* Mon May 13 2019 tiwai@suse.de
- drm/i915/icl: Whitelist GEN9_SLICE_COMMON_ECO_CHICKEN1
  (bsc#1111666).
- drm/tegra: gem: Fix CPU-cache maintenance for BO's allocated
  using get_pages() (bsc#1111666).
- drm/vmwgfx: Remove set but not used variable 'restart'
  (bsc#1111666).
- drm/fb-helper: generic: Call drm_client_add() after setup is
  done (bsc#1111666).
- drm/doc: Drop "content type" from the legacy kms property table
  (bsc#1111666).
- drm: rcar-du: Fix rcar_du_crtc structure documentation
  (bsc#1111666).
- drm/sun4i: tcon top: Fix NULL/invalid pointer dereference in
  sun8i_tcon_top_un/bind (bsc#1111666).
- drm/amd/display: fix cursor black issue (bsc#1111666).
- drm/tegra: hub: Fix dereference before check (bsc#1111666).
- drm/rockchip: fix for mailbox read validation (bsc#1111666).
- commit 61795db
* Mon May 13 2019 tiwai@suse.de
- drm/rockchip: shutdown drm subsystem on shutdown (bsc#1051510).
- drm/fb-helper: dpms_legacy(): Only set on connectors in use
  (bsc#1051510).
- drm/i915: Fix I915_EXEC_RING_MASK (bsc#1051510).
- drm/mediatek: fix possible object reference leak (bsc#1051510).
- commit 57b1ae5
* Mon May 13 2019 vbabka@suse.cz
- mm: prevent get_user_pages() from overflowing page refcount
  (CVE-2019-11487, bsc#1133190).
- mm: add 'try_get_page()' helper function (CVE-2019-11487,
  bsc#1133190).
- mm: make page ref count overflow check tighter and more explicit
  (CVE-2019-11487, bsc#1133190).
- commit 3ccf631
* Mon May 13 2019 tiwai@suse.de
- ASoC: Intel: avoid Oops if DMA setup fails (bsc#1051510).
- ASoC: fix valid stream condition (bsc#1051510).
- ASoC: tlv320aic32x4: Fix Common Pins (bsc#1051510).
- ASoC: cs4270: Set auto-increment bit for register writes
  (bsc#1051510).
- ASoC: wm_adsp: Add locking to wm_adsp2_bus_error (bsc#1051510).
- ASoC: samsung: odroid: Fix clock configuration for 44100 sample
  rate (bsc#1051510).
- ASoC: nau8810: fix the issue of widget with prefixed name
  (bsc#1051510).
- ASoC: nau8824: fix the issue of the widget with prefix name
  (bsc#1051510).
- ASoC:soc-pcm:fix a codec fixup issue in TDM case (bsc#1051510).
- ASoC: hdmi-codec: fix S/PDIF DAI (bsc#1051510).
- commit 1a2b4f8
* Mon May 13 2019 vbabka@suse.cz
- mm, gup: ensure real head page is ref-counted when using
  hugepages (CVE-2019-11487, bsc#1133190, prerequisity).
- Refresh patches.fixes/mm-fix-__gup_device_huge-vs-unmap.patch.
- commit 2aa1b48
* Mon May 13 2019 vbabka@suse.cz
- mm, gup: remove broken VM_BUG_ON_PAGE compound check for
  hugepages (CVE-2019-11487, bsc#1133190, prerequisity).
- commit a4548d7
* Mon May 13 2019 oneukum@suse.com
- mtd: spi-nor: intel-spi: Avoid crossing 4K address boundary
  on read/write (bsc#1129770).
- commit 79ff3e5
* Mon May 13 2019 oneukum@suse.com
- media: pvrusb2: Prevent a buffer overflow (bsc#1129770).
- commit 7a54ecd
* Mon May 13 2019 tiwai@suse.de
- Update patch tag for refecence (CVE-2019-11884, bsc#1134848).
- commit e12f3fe
* Mon May 13 2019 tiwai@suse.de
- Revert "tty: pty: Fix race condition between release_one_tty
  and pty_write" (bsc#1051510).
- usb-storage: Set virt_boundary_mask to avoid SG overflows
  (bsc#1051510).
- commit 875ce44
* Mon May 13 2019 tiwai@suse.de
- platform/x86: sony-laptop: Fix unintentional fall-through
  (bsc#1051510).
- platform/x86: alienware-wmi: printing the wrong error code
  (bsc#1051510).
- platform/x86: intel_punit_ipc: Revert "Fix resource ioremap
  warning" (bsc#1051510).
- platform/x86: intel_pmc_ipc: adding error handling
  (bsc#1051510).
- platform/x86: dell-rbtn: Add missing #include (bsc#1051510).
- clk: rockchip: Fix video codec clocks on rk3288 (bsc#1051510).
- clk: rockchip: fix wrong clock definitions for rk3328
  (bsc#1051510).
- dmaengine: tegra210-dma: free dma controller in remove()
  (bsc#1051510).
- dmaengine: axi-dmac: Don't check the number of frames for
  alignment (bsc#1051510).
- dwc2: gadget: Fix completed transfer size calculation in DDMA
  (bsc#1051510).
- ssb: Fix possible NULL pointer dereference in
  ssb_host_pcmcia_exit (bsc#1051510).
- Bluetooth: Align minimum encryption key size for LE and BR/EDR
  connections (bsc#1051510).
- Bluetooth: hidp: fix buffer overflow (bsc#1051510).
- intel_th: pci: Add Comet Lake support (bsc#1051510).
- commit e11b282
* Mon May 13 2019 mwilck@suse.com
- blacklist.conf: add drivers/ide
  We haven't been shipping IDE drivers since SLE12
- commit 8dce52a
* Mon May 13 2019 tiwai@suse.de
- ALSA: emu10k1: Drop superfluous id-uniquification behavior
  (bsc#1051510).
- commit c156a88
* Mon May 13 2019 tiwai@suse.de
- Re-export snd_cards for kABI compatibility (bsc#1051510).
- commit 78cf440
* Mon May 13 2019 tiwai@suse.de
- ALSA: core: Don't refer to snd_cards array directly
  (bsc#1051510).
- commit 1501d4d
* Mon May 13 2019 tiwai@suse.de
- kABI workaround for snd_seq_kernel_client_enqueue() API changes
  (bsc#1051510).
- commit 31233f8
* Mon May 13 2019 tiwai@suse.de
- ALSA: seq: Correct unlock sequence at
  snd_seq_client_ioctl_unlock() (bsc#1051510).
- ALSA: seq: Protect racy pool manipulation from OSS sequencer
  (bsc#1051510).
- ALSA: seq: Simplify snd_seq_kernel_client_enqueue() helper
  (bsc#1051510).
- commit 3b22932
* Mon May 13 2019 tiwai@suse.de
- ALSA: hda/realtek - Support low power consumption for ALC256
  (bsc#1051510).
- ALSA: hda/realtek - Support low power consumption for ALC295
  (bsc#1051510).
- commit 419c4a2
* Mon May 13 2019 wqu@suse.com
- Update
  patches.fixes/0001-btrfs-reloc-Fix-NULL-pointer-dereference-due-to-expa.patch
  (bsc#1129497 bsc#1134651).
  Use upstream commit to make git-fixes happy.
- commit 95ca4df
* Mon May 13 2019 tiwai@suse.de
- ASoC: max98090: Fix restore of DAPM Muxes (bsc#1051510).
- ASoC: RT5677-SPI: Disable 16Bit SPI Transfers (bsc#1051510).
- ALSA: hdea/realtek - Headset fixup for System76 Gazelle (gaze14)
  (bsc#1051510).
- ALSA: hda/hdmi - Consider eld_valid when reporting jack event
  (bsc#1051510).
- ALSA: hda/hdmi - Read the pin sense from register when repolling
  (bsc#1051510).
- ASoC: fsl_esai: Fix missing break in switch statement
  (bsc#1051510).
- ALSA: hda - Register irq handler after the chip initialization
  (bsc#1051510).
- ALSA: usx2y: fix a double free bug (bsc#1051510).
- ALSA: usb-audio: Fix a memory leak bug (bsc#1051510).
- ALSA: hda/realtek - EAPD turn on later (bsc#1051510).
- ALSA: usb-audio: Handle the error from
  snd_usb_mixer_apply_create_quirk() (bsc#1051510).
- ALSA: seq: Cover unsubscribe_port() in list_mutex (bsc#1051510).
- Revert "ALSA: seq: Protect in-kernel ioctl calls with mutex"
  (bsc#1051510).
- ALSA: timer: Coding style fixes (bsc#1051510).
- ALSA: timer: Simplify error path in snd_timer_open()
  (bsc#1051510).
- ALSA: seq: Fix race of get-subscription call vs port-delete
  ioctls (bsc#1051510).
- ALSA: seq: Protect in-kernel ioctl calls with mutex
  (bsc#1051510).
- ALSA: seq: Remove superfluous irqsave flags (bsc#1051510).
- ALSA: seq: Align temporary re-locking with irqsave version
  (bsc#1051510).
- ALSA: timer: Revert active callback sync check at close
  (bsc#1051510).
- ALSA: timer: Make snd_timer_close() really kill pending actions
  (bsc#1051510).
- ALSA: timer: Check ack_list emptiness instead of bit flag
  (bsc#1051510).
- ALSA: timer: Make sure to clear pending ack list (bsc#1051510).
- ALSA: timer: Unify timer callback process code (bsc#1051510).
- commit 332dfdd
* Mon May 13 2019 wqu@suse.com
- btrfs: move all ref head cleanup to the helper function
  (bsc#1134813).
- btrfs: remove delayed_ref_node from ref_head (bsc#1134813).
- Refresh
  patches.fixes/0001-btrfs-qgroup-Move-reserved-data-accounting-from-btrf.patch.
- Refresh
  patches.suse/btrfs-Take-trans-lock-before-access-running-trans-in.patch.
- Refresh
  patches.suse/btrfs-fix-race-condition-between-delayed-refs-and-blockgroup-removal.patch.
- Refresh
  patches.suse/revert-btrfs-qgroup-move-half-of-the-qgroup-accounting-time-out-of-commit-trans.patch.
- commit 751bb6e
* Mon May 13 2019 wqu@suse.com
- btrfs: move ref_mod modification into the if (ref) logic
  (bsc#1134813).
- commit 43101f4
* Mon May 13 2019 wqu@suse.com
- btrfs: breakout empty head cleanup to a helper (bsc#1134813).
- commit 0b0f74c
* Mon May 13 2019 wqu@suse.com
- btrfs: move extent_op cleanup to a helper (bsc#1134813).
- commit accdac6
* Mon May 13 2019 wqu@suse.com
- btrfs: add a helper to return a head ref (bsc#1134813).
- commit 44c6263
* Mon May 13 2019 wqu@suse.com
- btrfs: extent-tree: Open-code process_func in  __btrfs_mod_ref
  (bsc#1063638 bsc#1128052 bsc#1108838).
- commit 2d4a201
* Mon May 13 2019 wqu@suse.com
- btrfs: delayed-ref: Introduce better documented delayed  ref
  structures (bsc#1063638 bsc#1128052 bsc#1108838).
- commit a50ff03
* Mon May 13 2019 wqu@suse.com
- selinux: use kernel linux/socket.h for genheaders and mdp
  (bsc#1134810).
- commit b1217e4
* Sun May 12 2019 ailiopoulos@suse.com
- xfs: prepare xfs_break_layouts() for another layout type
  (bsc#1106011).
- commit af8461c
* Sun May 12 2019 ailiopoulos@suse.com
- xfs: prepare xfs_break_layouts() to be called with
  XFS_MMAPLOCK_EXCL (bsc#1106011).
- commit 9fc7166
* Sun May 12 2019 ailiopoulos@suse.com
- xfs: remove xfs_zero_range (bsc#1106011).
- commit e210917
* Sun May 12 2019 ailiopoulos@suse.com
- xfs: kill meaningless variable 'zero' (bsc#1106011).
- commit 338018e
* Sun May 12 2019 ailiopoulos@suse.com
- xfs: detect and fix bad summary counts at mount (bsc#1114427).
- commit d041381
* Fri May 10 2019 ptesarik@suse.cz
- Re-enable nouveau for PCI device 10de:1cbb (bsc#1133593).
- commit 18faf84
* Fri May 10 2019 ptesarik@suse.cz
- Disable nouveau for PCI device 10de:1cbb (bsc#1133593).
- commit 3261dfb
* Fri May 10 2019 jslaby@suse.cz
- thunderx: eliminate extra calls to put_page() for pages held
  for recycling (networking-stable-19_03_28).
- thunderx: enable page recycling for non-XDP case
  (networking-stable-19_03_28).
- genetlink: Fix a memory leak on error path
  (networking-stable-19_03_28).
- dccp: do not use ipv6 header for ipv4 flow
  (networking-stable-19_03_28).
- tcp: do not use ipv6 header for ipv4 flow
  (networking-stable-19_03_28).
- net: stmmac: fix memory corruption with large MTUs
  (networking-stable-19_03_28).
- sctp: get sctphdr by offset in sctp_compute_cksum
  (networking-stable-19_03_28).
- packets: Always register packet sk in the same order
  (networking-stable-19_03_28).
- vxlan: Don't call gro_cells_destroy() before device is
  unregistered (networking-stable-19_03_28).
- net: aquantia: fix rx checksum offload for UDP/TCP over IPv6
  (networking-stable-19_03_28).
- net: rose: fix a possible stack overflow
  (networking-stable-19_03_28).
- tun: add a missing rcu_read_unlock() in error path
  (networking-stable-19_03_28).
- tun: properly test for IFF_UP (networking-stable-19_03_28).
- commit dbe4469
* Thu May  9 2019 msuchanek@suse.de
- Refresh patches.arch/powerpc-pseries-Track-LMB-nid-instead-of-using-devic.patch.
- commit b8e67e0
* Thu May  9 2019 tiwai@suse.de
- scripts: override locale from environment when running
  recordmcount.pl (bsc#1134354).
- commit 4cacf9e
* Thu May  9 2019 lduncan@suse.com
- scsi: smartpqi: bump driver version (bsc#1133547).
- scsi: smartpqi: add spdx (bsc#1133547).
- scsi: smartpqi: update copyright (bsc#1133547).
- scsi: smartpqi: add H3C controller IDs (bsc#1133547).
- scsi: smartpqi: increase LUN reset timeout (bsc#1133547).
- scsi: smartpqi: Reporting 'logical unit failure' (bsc#1133547).
- scsi: smartpqi_init: fix boolean expression in
  pqi_device_remove_start (bsc#1133547).
- scsi: smartpqi: call pqi_free_interrupts() in pqi_shutdown()
  (bsc#1133547).
- scsi: smartpqi: fix build warnings (bsc#1133547).
- scsi: smartpqi: update driver version (bsc#1133547).
- scsi: smartpqi: add ofa support (bsc#1133547).
- scsi: smartpqi: increase fw status register read timeout
  (bsc#1133547).
- scsi: smartpqi: bump driver version (bsc#1133547).
- scsi: smartpqi: add smp_utils support (bsc#1133547).
- scsi: smartpqi: correct lun reset issues (bsc#1133547).
- scsi: smartpqi: correct volume status (bsc#1133547).
- scsi: smartpqi: do not offline disks for transient did no
  connect conditions (bsc#1133547).
- scsi: smartpqi: allow for larger raid maps (bsc#1133547).
- scsi: smartpqi: check for null device pointers (bsc#1133547).
- scsi: smartpqi: add support for huawei controllers
  (bsc#1133547).
- scsi: smartpqi: enhance numa node detection (bsc#1133547).
- scsi: smartpqi: wake up drives after os resumes from suspend
  (bsc#1133547).
- scsi: smartpqi: fix disk name mount point (bsc#1133547).
- scsi: smartpqi: add h3c ssid (bsc#1133547).
- scsi: smartpqi: add sysfs attributes (bsc#1133547).
- scsi: smartpqi: refactor sending controller raid requests
  (bsc#1133547).
- scsi: smartpqi: turn off lun data caching for ptraid
  (bsc#1133547).
- scsi: smartpqi: correct host serial num for ssa (bsc#1133547).
- scsi: smartpqi: add no_write_same for logical volumes
  (bsc#1133547).
- scsi: smartpqi: Add retries for device reset (bsc#1133547).
- scsi: smartpqi: add support for PQI Config Table handshake
  (bsc#1133547).
- scsi: smartpqi: fully convert to the generic DMA API
  (bsc#1133547).
- commit 5ecdafe
* Thu May  9 2019 hare@suse.de
- qla2xxx: always allocate qla_tgt_wq (bsc#1131451).
- commit e409e3d
* Thu May  9 2019 tiwai@suse.de
- Refresh patches.drivers/ALSA-hda-realtek-Add-quirk-for-Tuxedo-XC-1509.patch
  Upstreamed, move to sorted section.
- commit 61b3b1c
* Thu May  9 2019 hare@suse.de
- Delete
  patches.fixes/block_dev-fix-crash-on-chained-bios-with-O_DIRECT.patch.
- commit c9e1edf
* Thu May  9 2019 hare@suse.de
- Refresh
  patches.fixes/nvme-multipath-avoid-crash-on-invalid-subsystem-cntl.patch.
- commit c7eafa3
* Thu May  9 2019 msuchanek@suse.de
- Refresh sorted patches.
- Refresh patches.arch/cpu-speculation-add-mitigations-cmdline-option.patch.
- Refresh patches.arch/powerpc-speculation-support-mitigations-cmdline-option.patch.
- Refresh patches.arch/powerpc-tm-Avoid-machine-crash-on-rt_sigreturn.patch
- Refresh patches.arch/s390-speculation-support-mitigations-cmdline-option.patch.
- Refresh patches.arch/x86-mce-handle-varying-mca-bank-counts.patch.
- Refresh patches.arch/x86-speculation-support-mitigations-cmdline-option.patch.
- Refresh patches.drivers/ibmvnic-Report-actual-backing-device-speed-and-duple.patch.
- Refresh patches.fixes/md-batch-flush-requests.patch.
- commit 14d13e7
* Thu May  9 2019 ptesarik@suse.cz
- kABI: protect struct smcd_dev (bsc#1129845 LTC#176252).
- commit 538fef1
* Thu May  9 2019 tiwai@suse.de
- brcmfmac: fix leak of mypkt on error return path (bsc#1111666).
- mmc: core: Fix tag set memory leak (bsc#1111666).
- crypto: caam/qi2 - generate hash keys in-place (bsc#1111666).
- crypto: caam/qi2 - fix DMA mapping of stack memory
  (bsc#1111666).
- crypto: caam/qi2 - fix zero-length buffer DMA mapping
  (bsc#1111666).
- ACPI: property: restore _DSD data subnodes GUID comment
  (bsc#1111666).
- i2c: synquacer: fix enumeration of slave devices (bsc#1111666).
- i2c: imx: correct the method of getting private data in
  notifier_call (bsc#1111666).
- iwlwifi: fix driver operation for 5350 (bsc#1111666).
- mac80211: don't attempt to rename ERR_PTR() debugfs dirs
  (bsc#1111666).
- commit ec6f12c
* Thu May  9 2019 tiwai@suse.de
- blacklist.conf: Remove incorrectly added blacklist entry for regulator
- commit dc57ffb
* Thu May  9 2019 ptesarik@suse.cz
- kABI: protect struct smc_ib_device (bsc#1129845 LTC#176252).
- commit 0ffdabf
* Thu May  9 2019 ptesarik@suse.cz
- kABI: protect functions using struct net_generic (bsc#1129845
  LTC#176252).
- commit bbb606e
* Thu May  9 2019 hare@suse.de
- nvme-multipath: avoid crash on invalid subsystem cntlid
  enumeration (bsc#1130937).
- commit e925db2
* Thu May  9 2019 hare@suse.de
- nvme-fc: use separate work queue to avoid warning (bsc#1131673).
- commit 86b188d
* Thu May  9 2019 hare@suse.de
- scripts/git_sort/git_sort.py: remove old SCSI git branches
- commit 05384f2
* Thu May  9 2019 hare@suse.de
- scripts/git_sort/git_sort.py: Update nvme git branches
- commit a08f9e1
* Thu May  9 2019 tiwai@suse.de
- USB: core: Fix bug caused by duplicate interface PM usage
  counter (bsc#1051510).
- kABI workaround for removed usb_interface.pm_usage_cnt field
  (bsc#1051510).
- Refresh
  patches.suse/0002-Add-a-void-suse_kabi_padding-placeholder-to-some-USB.patch.
- commit 52f191f
* Thu May  9 2019 tiwai@suse.de
- tty: pty: Fix race condition between release_one_tty and
  pty_write (bsc#1051510).
- tty: vt.c: Fix TIOCL_BLANKSCREEN console blanking if
  blankinterval == 0 (bsc#1051510).
- usb: dwc3: Fix default lpm_nyet_threshold value (bsc#1051510).
- USB: serial: f81232: fix interrupt worker not stop
  (bsc#1051510).
- USB: serial: fix unthrottle races (bsc#1051510).
- USB: cdc-acm: fix unthrottle races (bsc#1051510).
- USB: w1 ds2490: Fix bug caused by improper use of altsetting
  array (bsc#1051510).
- USB: yurex: Fix protection fault after device removal
  (bsc#1051510).
- usb: usbip: fix isoc packet num validation in get_pipe
  (bsc#1051510).
- USB: core: Fix unterminated string returned by usb_string()
  (bsc#1051510).
- usb: gadget: net2272: Fix net2272_dequeue() (bsc#1051510).
- usb: gadget: net2280: Fix net2280_dequeue() (bsc#1051510).
- usb: gadget: net2280: Fix overrun of OUT messages (bsc#1051510).
- usb: u132-hcd: fix resource leak (bsc#1051510).
- usb: usb251xb: fix to avoid potential NULL pointer dereference
  (bsc#1051510).
- tty: increase the default flip buffer limit to 2*640K
  (bsc#1051510).
- commit 4aa2c5c
* Thu May  9 2019 tiwai@suse.de
- stm class: Fix channel free in stm output free path
  (bsc#1051510).
- commit 7dbf8ff
* Thu May  9 2019 tiwai@suse.de
- ipmi:ssif: compare block number correctly for multi-part return
  messages (bsc#1051510).
- rtlwifi: rtl8723ae: Fix missing break in switch statement
  (bsc#1051510).
- mwl8k: Fix rate_idx underflow (bsc#1051510).
- mwifiex: prevent an array overflow (bsc#1051510).
- mwifiex: Fix mem leak in mwifiex_tm_cmd (bsc#1051510).
- openvswitch: add seqadj extension when NAT is used
  (bsc#1051510).
- openvswitch: fix flow actions reallocation (bsc#1051510).
- HID: input: add mapping for Assistant key (bsc#1051510).
- stm class: Prevent division by zero (bsc#1051510).
- stm class: Fix an endless loop in channel allocation
  (bsc#1051510).
- Input: introduce KEY_ASSISTANT (bsc#1051510).
- commit 06048d9
* Thu May  9 2019 oneukum@suse.com
- UAS: fix alignment of scatter/gather segments (bsc#1129770).
- commit b23bdd3
* Thu May  9 2019 tiwai@suse.de
- brcm80211: potential NULL dereference in
  brcmf_cfg80211_vndr_cmds_dcmd_handler() (bsc#1051510).
- at76c50x-usb: Don't register led_trigger if usb_register_driver
  failed (bsc#1051510).
- b43: shut up clang -Wuninitialized variable warning
  (bsc#1051510).
- audit: fix a memleak caused by auditing load module
  (bsc#1051510).
- ASoC: stm32: fix sai driver name initialisation (bsc#1051510).
- HID: debug: fix race condition with between rdesc_show()
  and device removal (bsc#1051510).
- HID: logitech: check the return value of
  create_singlethread_workqueue (bsc#1051510).
- gpio: aspeed: fix a potential NULL pointer dereference
  (bsc#1051510).
- commit d26e26c
* Thu May  9 2019 guillaume.gardet@free.fr
- Sign non-x86 kernels when possible (boo#1134303)
- commit 874586f
* Wed May  8 2019 bp@suse.de
- ghes, EDAC: Fix ghes_edac registration (bsc#1133176).
- commit 8ce891d
* Wed May  8 2019 lhenriques@suse.com
- ceph: fix ci->i_head_snapc leak (bsc#1122776).
- ceph: ensure d_name stability in ceph_dentry_hash()
  (bsc#1134461).
- ceph: only use d_name directly when parent is locked
  (bsc#1134460).
- ceph: fix use-after-free on symlink traversal (bsc#1134459).
- ceph: fix ci->i_head_snapc leak (bsc#1122776).
- ceph: ensure d_name stability in ceph_dentry_hash()
  (bsc#1134461).
- ceph: only use d_name directly when parent is locked
  (bsc#1134460).
- ceph: fix use-after-free on symlink traversal (bsc#1134459).
- commit 74ce2ce
* Wed May  8 2019 hare@suse.de
- qla2xxx: allow irqbalance control in non-MQ mode (bsc#1128979).
- commit a4c2dd4
* Wed May  8 2019 hare@suse.de
- qla2xxx: allow irqbalance control in non-MQ mode (bsc#1128971).
- commit 8446aa3
* Wed May  8 2019 ghe@suse.com
- ocfs2: turn on OCFS2_FS_STATS setting(bsc#1134393)
  We need to turn on OCFS2_FS_STATS kernel configuration setting,
  to fix bsc#1134393.
- commit 45279fb
* Wed May  8 2019 tiwai@suse.de
- blacklist.conf: Add regulator entries that require the missing API
- commit 0145c38
* Wed May  8 2019 tiwai@suse.de
- spi: bcm2835aux: setup gpio-cs to output and correct level
  during setup (bsc#1051510).
- spi: bcm2835aux: warn in dmesg that native cs is not really
  supported (bsc#1051510).
- spi: bcm2835aux: fix driver to not allow 65535 (=-1) cs-gpios
  (bsc#1051510).
- spi: rspi: Fix sequencer reset during initialization
  (bsc#1051510).
- regulator: tps65086: Fix tps65086_ldoa1_ranges for selector 0xB
  (bsc#1051510).
- commit eef4b75
* Wed May  8 2019 tiwai@suse.de
- leds: avoid races with workqueue (bsc#1051510).
- ALSA: line6: Avoid polluting led_* namespace (bsc#1051510).
- intel_th: msu: Fix single mode with IOMMU (bsc#1051510).
- mmc: core: fix possible use after free of host (bsc#1051510).
- commit 013cf36
* Wed May  8 2019 tiwai@suse.de
- Update patch tag of already present security fix (CVE-2019-11811, bsc#1134397)
- commit 550f6c8
* Wed May  8 2019 wqu@suse.com
- btrfs: Don't panic when we can't find a root key (bsc#1112063).
- commit e5728d0
* Tue May  7 2019 colyli@suse.de
- bcache: use (REQ_META|REQ_PRIO) to indicate bio for metadata
  (bsc#1130972).
- bcache: fix input overflow to cache set sysfs file
  io_error_halflife (bsc#1130972).
- bcache: fix input overflow to cache set io_error_limit
  (bsc#1130972).
- bcache: fix input overflow to journal_delay_ms (bsc#1130972).
- bcache: fix input overflow to writeback_rate_minimum
  (bsc#1130972).
- bcache: fix potential div-zero error of
  writeback_rate_p_term_inverse (bsc#1130972).
- bcache: fix potential div-zero error of
  writeback_rate_i_term_inverse (bsc#1130972).
- bcache: fix input overflow to writeback_delay (bsc#1130972).
- bcache: use sysfs_strtoul_bool() to set bit-field variables
  (bsc#1130972).
- bcache: add sysfs_strtoul_bool() for setting bit-field variables
  (bsc#1130972).
- bcache: fix input overflow to sequential_cutoff (bsc#1130972).
- bcache: fix input integer overflow of congested threshold
  (bsc#1130972).
- bcache: improve sysfs_strtoul_clamp() (bsc#1130972).
- bcache: treat stale && dirty keys as bad keys (bsc#1130972).
- bcache: fix indentation issue, remove tabs on a hunk of code
  (bsc#1130972).
- bcache: export backing_dev_uuid via sysfs (bsc#1130972).
- bcache: export backing_dev_name via sysfs (bsc#1130972).
- bcache: not use hard coded memset size in
  bch_cache_accounting_clear() (bsc#1130972).
- bcache: never writeback a discard operation (bsc#1130972).
- bcache: print number of keys in trace_bcache_journal_write
  (bsc#1130972).
- bcache: set writeback_percent in a flexible range (bsc#1130972).
- bcache: make cutoff_writeback and cutoff_writeback_sync tunable
  (bsc#1130972).
- bcache: add MODULE_DESCRIPTION information (bsc#1130972).
- bcache: option to automatically run gc thread after writeback
  (bsc#1130972).
- bcache: introduce force_wake_up_gc() (bsc#1130972).
- bcache: cannot set writeback_running via sysfs if no writeback
  kthread created (bsc#1130972).
- bcache: do not mark writeback_running too early (bsc#1130972).
- bcache: update comment in sysfs.c (bsc#1130972).
- bcache: update comment for bch_data_insert (bsc#1130972).
- bcache: do not check if debug dentry is ERR or NULL explicitly
  on remove (bsc#1130972).
- bcache: add comment for cache_set->fill_iter (bsc#1130972).
- bcache: panic fix for making cache device (bsc#1130972).
- bcache: split combined if-condition code into separate ones
  (bsc#1130972).
- bcache: use MAX_CACHES_PER_SET instead of magic number 8 in
  __bch_bucket_alloc_set (bsc#1130972).
- bcache: replace hard coded number with BUCKET_GC_GEN_MAX
  (bsc#1130972).
- bcache: remove useless parameter of bch_debug_init()
  (bsc#1130972).
- bcache: remove unused bch_passthrough_cache (bsc#1130972).
- bcache: recal cached_dev_sectors on detach (bsc#1130972).
- bcache: Populate writeback_rate_minimum attribute (bsc#1130972).
- bcache: correct dirty data statistics (bsc#1130972).
- bcache: fix typo in code comments of
  closure_return_with_destructor() (bsc#1130972).
- bcache: fix ioctl in flash device (bsc#1130972).
- bcache: use REQ_PRIO to indicate bio for metadata (bsc#1130972).
- bcache: account size of buckets used in uuid write to
  ca->meta_sectors_written (bsc#1130972).
- bcache: add separate workqueue for journal_write to avoid
  deadlock (bsc#1130972).
- bcache: add the missing comments for smp_mb()/smp_wmb()
  (bsc#1130972).
- bcache: remove unnecessary space before ioctl function pointer
  arguments (bsc#1130972).
- bcache: add missing SPDX header (bsc#1130972).
- bcache: move open brace at end of function definitions to next
  line (bsc#1130972).
- bcache: add static const prefix to char * array declarations
  (bsc#1130972).
- bcache: fix code comments style (bsc#1130972).
- bcache: do not check NULL pointer before calling
  kmem_cache_destroy (bsc#1130972).
- bcache: prefer 'help' in Kconfig (bsc#1130972).
- commit 6f636cd
* Tue May  7 2019 colyli@suse.de
- bcache: use routines from lib/crc64.c for CRC64 calculation
  (bsc#1130972).
- lib: add crc64 calculation routines (bsc#1130972).
- lib: don't depend on linux headers being installed
  (bsc#1130972).
- Add config for lib/crc64
- Add lib/crc64 to supported.conf
- Refresh for above change,
  patches.suse/0238-bcache-style-fix-to-replace-unsigned-by-unsigned-int.patch.
- commit 1121803
* Tue May  7 2019 colyli@suse.de
- bcache: fix typo 'succesfully' to 'successfully' (bsc#1130972).
- bcache: replace '%%pF' by '%%pS' in seq_printf() (bsc#1130972).
- bcache: fix indent by replacing blank by tabs (bsc#1130972).
- bcache: replace printk() by pr_*() routines (bsc#1130972).
- bcache: replace Symbolic permissions by octal permission numbers
  (bsc#1130972).
- bcache: style fixes for lines over 80 characters (bsc#1130972).
- bcache: add identifier names to arguments of function
  definitions (bsc#1130972).
- bcache: style fix to add a blank line after declarations
  (bsc#1130972).
- bcache: style fix to replace 'unsigned' by 'unsigned int'
  (bsc#1130972).
- bcache: trivial - remove tailing backslash in macro BTREE_FLAG
  (bsc#1130972).
- bcache: add code comments for bset.c (bsc#1130972).
- bcache: fix mistaken comments in request.c (bsc#1130972).
- bcache: fix mistaken code comments in bcache.h (bsc#1130972).
- bcache: add a comment in super.c (bsc#1130972).
- bcache: stop using the deprecated get_seconds() (bsc#1130972).
- commit 18444d1
* Tue May  7 2019 tiwai@suse.de
- thermal/int340x_thermal: fix mode setting (bsc#1051510).
- thermal/int340x_thermal: Add additional UUIDs (bsc#1051510).
- commit 5147b07
* Tue May  7 2019 tiwai@suse.de
- soc/tegra: pmc: Drop locking from tegra_powergate_is_powered()
  (bsc#1051510).
- commit 262c86c
* Tue May  7 2019 tiwai@suse.de
- serial: ar933x_uart: Fix build failure with disabled console
  (bsc#1051510).
- serial: 8250_pxa: honor the port number from devicetree
  (bsc#1051510).
- commit 3179a44
* Tue May  7 2019 tiwai@suse.de
- serial: uartps: console_setup() can't be placed to init section
  (bsc#1051510).
- commit 64be059
* Tue May  7 2019 tiwai@suse.de
- staging: rtl8188eu: Fix potential NULL pointer dereference of
  kcalloc (bsc#1051510).
- commit 3c15a6e
* Tue May  7 2019 colyli@suse.de
- bcache: do not assign in if condition in bcache_init()
  (bsc#1130972).
- Refresh for above change,
  patches.suse/0232-bcache-do-not-check-return-value-of-debugfs_create_d.patch.
- commit 1e79131
* Tue May  7 2019 colyli@suse.de
- bcache: do not assign in if condition register_bcache()
  (bsc#1130972).
- bcache: don't clone bio in bch_data_verify (bsc#1130972).
- bcache: Replace bch_read_string_list() by __sysfs_match_string()
  (bsc#1130972).
- bcache: Move couple of functions to sysfs.c (bsc#1130972).
- bcache: Move couple of string arrays to sysfs.c (bsc#1130972).
- bcache: stop bcache device when backing device is offline
  (bsc#1130972).
- commit fcba1aa
* Tue May  7 2019 tiwai@suse.de
- rt2x00: do not increment sequence number while re-transmitting
  (bsc#1051510).
- commit 85007ed
* Tue May  7 2019 tiwai@suse.de
- qmi_wwan: add Olicard 600 (bsc#1051510).
- commit dc4a78d
* Tue May  7 2019 tiwai@suse.de
- platform/x86: pmc_atom: Drop __initconst on dmi table
  (bsc#1051510).
- commit 4df1f03
* Tue May  7 2019 tiwai@suse.de
- libata: fix using DMA buffers on stack (bsc#1051510).
- commit a1804f1
* Tue May  7 2019 tiwai@suse.de
- hwmon: (vt1211) Use request_muxed_region for Super-IO accesses
  (bsc#1051510).
- hwmon: (w83627hf) Use request_muxed_region for Super-IO accesses
  (bsc#1051510).
- hwmon: (smsc47m1) Use request_muxed_region for Super-IO accesses
  (bsc#1051510).
- hwmon: (smsc47b397) Use request_muxed_region for Super-IO
  accesses (bsc#1051510).
- hwmon: (pc87427) Use request_muxed_region for Super-IO accesses
  (bsc#1051510).
- hwmon: (f71805f) Use request_muxed_region for Super-IO accesses
  (bsc#1051510).
- commit eedae7d
* Tue May  7 2019 tiwai@suse.de
- crypto: sun4i-ss - Fix invalid calculation of hash end
  (bsc#1051510).
- crypto: ccm - fix incompatibility between "ccm" and "ccm_base"
  (bsc#1051510).
- crypto: gcm - fix incompatibility between "gcm" and "gcm_base"
  (bsc#1051510).
- crypto: arm/aes-neonbs - don't access already-freed walk.iv
  (bsc#1051510).
- crypto: ccp - Do not free psp_master when PLATFORM_INIT fails
  (bsc#1051510).
- crypto: chacha20poly1305 - set cra_name correctly (bsc#1051510).
- crypto: skcipher - don't WARN on unprocessed data after slow
  walk step (bsc#1051510).
- crypto: x86/crct10dif-pcl - fix use via crypto_shash_digest()
  (bsc#1051510).
- crypto: crct10dif-generic - fix use via crypto_shash_digest()
  (bsc#1051510).
- crypto: fips - Grammar s/options/option/, s/to/the/
  (bsc#1051510).
- crypto: vmx - fix copy-paste error in CTR mode (bsc#1051510).
- commit 300438f
* Tue May  7 2019 ptesarik@suse.cz
- net/smc: allow pnetid-less configuration (bsc#1129845
  LTC#176252).
- net/smc: allow PCI IDs as ib device names in the pnet table
  (bsc#1129845 LTC#176252).
- net/smc: add pnet table namespace support (bsc#1129845
  LTC#176252).
- net/smc: add smcd support to the pnet table (bsc#1129845
  LTC#176252).
- net/smc: rework pnet table (bsc#1129845 LTC#176252).
- net/smc: cleanup for smcr_tx_sndbuf_nonempty (bsc#1129845
  LTC#176252).
- commit d3e88b2
* Tue May  7 2019 hare@suse.de
- scsi: qla2xxx: Fix panic in qla_dfs_tgt_counters_show
  (bsc#1132044).
- commit d578582
* Tue May  7 2019 lpechacek@suse.com
- supported.conf: Add openvswitch to kernel-default-base (bsc#1124839).
- commit bc5239a
* Tue May  7 2019 lpechacek@suse.com
- supported.conf: Add openvswitch to kernel-default-base (bsc#1124839).
- commit 353f0eb
* Tue May  7 2019 dkirjanov@suse.com
- netfilter: nf_socket: Fix out of bounds access in
  nf_sk_lookup_slow_v{4,6} (git-fixes).
- netfilter: drop template ct when conntrack is skipped
  (git-fixes).
- netfilter: bridge: ebt_among: add more missing match size checks
  (git-fixes).
- netfilter: bridge: ebt_among: add missing match size checks
  (git-fixes).
- net: avoid skb_warn_bad_offload on IS_ERR (git-fixes).
- xfrm: Return error on unknown encap_type in init_state
  (git-fixes).
- xfrm: fix xfrm_do_migrate() with AEAD e.g(AES-GCM) (git-fixes).
- commit f21ff42
* Tue May  7 2019 dkirjanov@suse.com
- xfrm: Fix stack-out-of-bounds read on socket policy lookup
  (git-fixes).
- commit 5a31401
* Tue May  7 2019 jthumshirn@suse.de
- testing: nvdimm: provide SZ_4G constant (bsc#1132982).
- commit b8cd24c
* Tue May  7 2019 jslaby@suse.cz
- tty: make R3964 line discipline fail (bnc#1133188 CVE-2019-11486).
- commit 75ae661
* Mon May  6 2019 dkirjanov@suse.com
- sctp: only update outstanding_bytes for transmitted queue when doing prsctp_prune (git-fixes).
- sctp: set frag_point in sctp_setsockopt_maxseg correctly` (git-fixes).
- net: dsa: legacy: don't unmask port bitmaps (git-fixes).
- commit 72e2f6f
* Mon May  6 2019 jroedel@suse.de
- blacklist.conf: Add 4a58038b9e42 Revert "svm: Fix AVIC incomplete IPI emulation"
  Reverted commit not in SLE15
- commit 027a60e
* Mon May  6 2019 jroedel@suse.de
- KVM: x86: svm: make sure NMI is injected after nmi_singlestep (bsc#1134205).
- commit 1efa1ca
* Mon May  6 2019 jroedel@suse.de
- KVM: x86: Always use 32-bit SMRAM save state for 32-bit kernels
  (bsc#1134203).
- KVM: x86: Don't clear EFER during SMM transitions for 32-bit
  vCPU (bsc#1134204).
- KVM: VMX: Zero out *all* general purpose registers after VM-Exit
  (bsc#1134202).
- KVM: Fix UAF in nested posted interrupt processing
  (bsc#1134199).
- KVM: nVMX: restore host state in nested_vmx_vmexit for VMFail
  (bsc#1134201).
- KVM: nVMX: Clear reserved bits of #DB exit qualification
  (bsc#1134200).
- commit 09e58c5
* Mon May  6 2019 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/i915/fbdev: Actually configure untiled displays"'
- commit 1a6d210
* Mon May  6 2019 wqu@suse.com
- btrfs: qgroup: Move reserved data accounting from
  btrfs_delayed_ref_head to btrfs_qgroup_extent_record
  (bsc#1134162).
- commit c46e00b
* Mon May  6 2019 wqu@suse.com
- btrfs: qgroup: Remove duplicated trace points for
  qgroup_rsv_add/release (bsc#1134160).
- commit 4a0e633
* Sat May  4 2019 tiwai@suse.de
- mwifiex: Make resume actually do something useful again on
  SDIO cards (bsc#1111666).
- commit 1e9cd85
* Sat May  4 2019 tiwai@suse.de
- ALSA: hda/realtek - Apply the fixup for ASUS Q325UAR
  (bsc#1051510).
- ALSA: line6: use dynamic buffers (bsc#1051510).
- ALSA: hda/realtek - Fixed Dell AIO speaker noise (bsc#1051510).
- ALSA: hda/realtek - Add new Dell platform for headset mode
  (bsc#1051510).
- commit 818b345
* Fri May  3 2019 bp@suse.de
- blacklist.conf: 379d98ddf413 x86: vdso: Use $LD instead of $CC to link
- commit 513d103
* Fri May  3 2019 hare@suse.de
- nvme-multipath: avoid crash on invalid subsystem cntlid
  enumeration (bsc#1129273).
- commit e2a5094
* Fri May  3 2019 msuchanek@suse.de
- powerpc/mm: Fix page table dump to work on Radix (bsc#1055186,
  fate#323286, git-fixes).
- powerpc/mm/radix: Display if mappings are exec or not
  (bsc#1055186, fate#323286, git-fixes).
- powerpc/mm/radix: Prettify mapped memory range print out
  (bsc#1055186, fate#323286, git-fixes).
- Refresh patches.arch/powerpc-mm-radix-Split-linear-mapping-on-hot-unplug.patch
- commit 5451b1e
* Fri May  3 2019 hare@suse.de
- scsi: qla2xxx: Add new FC-NVMe enable BIT to enable FC-NVMe
  feature (bsc#1130579).
- commit 0222aa2
* Fri May  3 2019 jslaby@suse.cz
- packet: validate msg_namelen in send directly (git-fixes).
- commit f8a64bd
* Fri May  3 2019 bp@suse.de
- MDS: Add CVE refs
- Update
  patches.arch/kvm-x86-report-stibp-on-get_supported_cpuid.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update
  patches.arch/locking-atomics-asm-generic-move-some-macros-from-linux-bitops-h-to-a-new-linux-bits-h-file.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update patches.arch/x86-cpu-sanitize-fam6_atom-naming.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update
  patches.arch/x86-kvm-expose-x86_feature_md_clear-to-guests.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update
  patches.arch/x86-kvm-vmx-add-mds-protection-when-l1d-flush-is-not-active.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update patches.arch/x86-msr-index-cleanup-bit-defines.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update
  patches.arch/x86-speculation-consolidate-cpu-whitelists.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update
  patches.arch/x86-speculation-mds-add-basic-bug-infrastructure-for-mds.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update patches.arch/x86-speculation-mds-add-bug_msbds_only.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update
  patches.arch/x86-speculation-mds-add-mds-full-nosmt-cmdline-option.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update
  patches.arch/x86-speculation-mds-add-mds_clear_cpu_buffers.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update
  patches.arch/x86-speculation-mds-add-mitigation-control-for-mds.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update
  patches.arch/x86-speculation-mds-add-mitigation-mode-vmwerv.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update
  patches.arch/x86-speculation-mds-add-mitigations-support-for-mds.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update
  patches.arch/x86-speculation-mds-add-smt-warning-message.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update
  patches.arch/x86-speculation-mds-add-sysfs-reporting-for-mds.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update
  patches.arch/x86-speculation-mds-clear-cpu-buffers-on-exit-to-user.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update
  patches.arch/x86-speculation-mds-conditionally-clear-cpu-buffers-on-idle-entry.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update
  patches.arch/x86-speculation-mds-print-smt-vulnerable-on-msbds-with-mitigations-off.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update
  patches.arch/x86-speculation-move-arch_smt_update-call-to-after-mitigation-decisions.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- Update
  patches.arch/x86-speculation-simplify-the-cpu-bug-detection-logic.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130,
  CVE-2019-11091).
- commit 862c838
* Fri May  3 2019 neilb@suse.com
- NFS: Add missing encode / decode sequence_maxsz to v4.2
  operations (git-fixes).
- commit 3673108
* Fri May  3 2019 neilb@suse.com
- blacklist.conf: Add a not-a-bug commit id
- commit 83ebe4a
* Thu May  2 2019 tiwai@suse.de
- drm/i915: Disable tv output on i9x5gm (bsc#1086657,
  bsc#1133897).
- commit 5d3ab98
* Thu May  2 2019 yousaf.kaukab@suse.com
- ipmi: Fix I2C client removal in the SSIF driver (bsc#1108193).
- ipmi_ssif: Remove duplicate NULL check (bsc#1108193).
- i2c: Make i2c_unregister_device() NULL-aware (bsc#1108193).
- commit 99bec98
* Thu May  2 2019 dkirjanov@suse.com
- net: Fix untag for vlan packets without ethernet header
  (git-fixes).
- commit 99361c7
* Thu May  2 2019 bp@suse.de
- Update
  patches.arch/kvm-x86-report-stibp-on-get_supported_cpuid.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update
  patches.arch/locking-atomics-asm-generic-move-some-macros-from-linux-bitops-h-to-a-new-linux-bits-h-file.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update patches.arch/x86-cpu-sanitize-fam6_atom-naming.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update
  patches.arch/x86-kvm-expose-x86_feature_md_clear-to-guests.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update
  patches.arch/x86-kvm-vmx-add-mds-protection-when-l1d-flush-is-not-active.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update patches.arch/x86-msr-index-cleanup-bit-defines.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update
  patches.arch/x86-speculation-consolidate-cpu-whitelists.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update
  patches.arch/x86-speculation-mds-add-basic-bug-infrastructure-for-mds.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update patches.arch/x86-speculation-mds-add-bug_msbds_only.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update
  patches.arch/x86-speculation-mds-add-mds-full-nosmt-cmdline-option.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update
  patches.arch/x86-speculation-mds-add-mds_clear_cpu_buffers.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update
  patches.arch/x86-speculation-mds-add-mitigation-control-for-mds.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update
  patches.arch/x86-speculation-mds-add-mitigation-mode-vmwerv.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update
  patches.arch/x86-speculation-mds-add-mitigations-support-for-mds.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update
  patches.arch/x86-speculation-mds-add-smt-warning-message.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update
  patches.arch/x86-speculation-mds-add-sysfs-reporting-for-mds.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update
  patches.arch/x86-speculation-mds-clear-cpu-buffers-on-exit-to-user.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update
  patches.arch/x86-speculation-mds-conditionally-clear-cpu-buffers-on-idle-entry.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update
  patches.arch/x86-speculation-mds-print-smt-vulnerable-on-msbds-with-mitigations-off.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update
  patches.arch/x86-speculation-move-arch_smt_update-call-to-after-mitigation-decisions.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- Update
  patches.arch/x86-speculation-simplify-the-cpu-bug-detection-logic.patch
  (bsc#1111331, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130).
- commit 0d6b73d
* Thu May  2 2019 tiwai@suse.de
- drm/nouveau/core: recognise TU102 (bsc#1133593).
- drm/nouveau: register backlight on pascal and newer (bsc#1133593).
- drm/nouveau/ce/tu106: initial support (bsc#1133593).
- drm/nouveau/fifo/tu106: initial support (bsc#1133593).
- drm/nouveau/disp/tu106: initial support (bsc#1133593).
- drm/nouveau/dma/tu106: initial support (bsc#1133593).
- drm/nouveau/therm/tu106: initial support (bsc#1133593).
- drm/nouveau/pmu/tu106: initial support (bsc#1133593).
- drm/nouveau/fault/tu106: initial support (bsc#1133593).
- drm/nouveau/bar/tu106: initial support (bsc#1133593).
- drm/nouveau/mmu/tu106: initial support (bsc#1133593).
- drm/nouveau/ltc/tu106: initial support (bsc#1133593).
- drm/nouveau/fb/tu106: initial support (bsc#1133593).
- drm/nouveau/imem/tu106: initial support (bsc#1133593).
- drm/nouveau/tmr/tu106: initial support (bsc#1133593).
- drm/nouveau/bus/tu106: initial support (bsc#1133593).
- drm/nouveau/mc/tu106: initial support (bsc#1133593).
- drm/nouveau/fuse/tu106: initial support (bsc#1133593).
- drm/nouveau/i2c/tu106: initial support (bsc#1133593).
- drm/nouveau/gpio/tu106: initial support (bsc#1133593).
- drm/nouveau/ibus/tu106: initial support (bsc#1133593).
- drm/nouveau/top/tu106: initial support (bsc#1133593).
- drm/nouveau/devinit/tu106: initial support (bsc#1133593).
- drm/nouveau/bios/tu106: initial support (bsc#1133593).
- drm/nouveau/pci/tu106: initial support (bsc#1133593).
- drm/nouveau/core: recognise TU106 (bsc#1133593).
- drm/nouveau/core: increase maximum number of nvdec instances to 3 (bsc#1133593).
- drm/nouveau/kms/tu104: initial support (bsc#1133593).
- drm/nouveau/ce/tu104: initial support (bsc#1133593).
- drm/nouveau/fifo/tu104: initial support (bsc#1133593).
- drm/nouveau/disp/tu104: initial support (bsc#1133593).
- drm/nouveau/dma/tu104: initial support (bsc#1133593).
- drm/nouveau/therm/tu104: initial support (bsc#1133593).
- drm/nouveau/pmu/tu104: initial support (bsc#1133593).
- drm/nouveau/fault/tu104: initial support (bsc#1133593).
- drm/nouveau/bar/tu104: initial support (bsc#1133593).
- drm/nouveau/mmu/tu104: initial support (bsc#1133593).
- drm/nouveau/ltc/tu104: initial support (bsc#1133593).
- drm/nouveau/fb/tu104: initial support (bsc#1133593).
- drm/nouveau/imem/tu104: initial support (bsc#1133593).
- drm/nouveau/tmr/tu104: initial support (bsc#1133593).
- drm/nouveau/bus/tu104: initial support (bsc#1133593).
- drm/nouveau/mc/tu104: initial support (bsc#1133593).
- drm/nouveau/fuse/tu104: initial support (bsc#1133593).
- drm/nouveau/i2c/tu104: initial support (bsc#1133593).
- drm/nouveau/gpio/tu104: initial support (bsc#1133593).
- drm/nouveau/ibus/tu104: initial support (bsc#1133593).
- drm/nouveau/top/tu104: initial support (bsc#1133593).
- drm/nouveau/devinit/tu104: initial support (bsc#1133593).
- drm/nouveau/bios/tu104: initial support (bsc#1133593).
- drm/nouveau/pci/tu104: initial support (bsc#1133593).
- drm/nouveau/core: recognise TU104 (bsc#1133593).
- drm/nouveau/kms/nv50-: allow more flexibility with lut formats (bsc#1133593).
- drm/nouveau: remove left-over struct member (bsc#1133593).
- drm/nouveau/fifo/gv100: return work submission token in channel ctor args (bsc#1133593).
- drm/nouveau/fifo/gv100: allocate method buffer (bsc#1133593).
- drm/nouveau/fifo/gm200-: read pbdma count more directly (bsc#1133593).
- drm/nouveau/fifo/gk104-: virtualise pbdma enable function (bsc#1133593).
- drm/nouveau/fifo/gk104-: group pbdma functions together (bsc#1133593).
- drm/nouveau/fifo/gk104-: separate runlist building from committing to hw (bsc#1133593).
- drm/nouveau/fifo/gk104-: support enabling privileged ce functions (bsc#1133593).
- drm/nouveau/fifo/gk104-: return channel instance in ctor args (bsc#1133593).
- drm/nouveau/fifo/gf100-: call into BAR to reset BARs after MMU fault (bsc#1133593).
- drm/nouveau/disp/gv100: fix name of window channels in debug output (bsc#1133593).
- drm/nouveau/mmu: add more general vmm free/node handling functions (bsc#1133593).
- drm/nouveau/fault: add explicit control over fault buffer interrupts (bsc#1133593).
- drm/nouveau/fault: store get/put pri address in nvkm_fault_buffer (bsc#1133593).
- drm/nouveau/fault: remove manual mapping of fault buffers into BAR2 (bsc#1133593).
- drm/nouveau/imem/nv50: support pinning objects in BAR2 and returning address (bsc#1133593).
- drm/nouveau/devinit/gm200-: export function to upload+execute PMU/PRE_OS (bsc#1133593).
- drm/nouveau/bios: translate USB-C connector type (bsc#1133593).
- drm/nouveau/bios: translate additional memory types (bsc#1133593).
- drm/nouveau/core: support multiple nvdec instances (bsc#1133593).
- drm/nouveau/drm/nouveau: Don't forget to label dp_aux devices (bsc#1133593).
- drm/nouveau: Add size to vbios.rom file in debugfs (bsc#1133593).
- drm/nouveau: Add strap_peek to debugfs (bsc#1133593).
- drm/nouveau/drm/nouveau: tegra: Call nouveau_drm_device_init() (bsc#1133593).
- drm/nouveau/disp: take sink support into account for exposing 594mhz (bsc#1133593).
- drm/nouveau/disp: add support for setting scdc parameters for high modes (bsc#1133593).
- drm/nouveau/disp: keep track of high-speed state, program into clock (bsc#1133593).
- drm/nouveau/disp/gm200-: add scdc parameter setter (bsc#1133593).
- drm/nouveau/disp: add a way to configure scrambling/tmds for hdmi 2.0 (bsc#1133593).
- drm/nouveau: Start using new drm_dev initialization helpers (bsc#1133593).
- drm/nouveau: Fix potential memory leak in nouveau_drm_load() (bsc#1133593).
- drm/nouveau: Refactor nvXX_backlight_init() (bsc#1133593).
- drm/nouveau: Cleanup indenting in nouveau_backlight.c (bsc#1133593).
- drm/nouveau/drm/nouveau: s/nouveau_backlight_exit/nouveau_backlight_fini/ (bsc#1133593).
- drm/nouveau: Move backlight device into nouveau_connector (bsc#1133593).
- drm/nouveau: Add NV_PRINTK_ONCE and variants (bsc#1133593).
- drm/nouveau: add DisplayPort CEC-Tunneling-over-AUX support (bsc#1133593).
- drm/nouveau: Remove unecessary dma_fence_ops (bsc#1133593).
- commit bd7f02b
* Thu May  2 2019 msuchanek@suse.de
- s390/dasd: fix panic for failed online processing (bsc#1132589).
- commit e24913c
* Thu May  2 2019 dkirjanov@suse.com
- tcp: fix TCP_REPAIR_QUEUE bound checking (git-fixes).
- rxrpc: Don't treat call aborts as conn aborts (git-fixes).
- rxrpc: Fix Tx ring annotation after initial Tx failure
  (git-fixes).
- xfrm: fix rcu_read_unlock usage in xfrm_local_error (git-fixes).
- net: Fix vlan untag for bridge and vlan_dev with reorder_hdr
  off (git-fixes).
- net: xfrm: use preempt-safe this_cpu_read() in
  ipcomp_alloc_tfms() (git-fixes).
- xfrm: Fix ESN sequence number handling for IPsec GSO packets
  (git-fixes).
- xfrm: do not call rcu_read_unlock when afinfo is NULL in
  xfrm_get_tos (git-fixes).
- ipvs: remove IPS_NAT_MASK check to fix passive FTP (git-fixes).
- netfilter: ipv6: fix use-after-free Write in
  nf_nat_ipv6_manip_pkt (git-fixes).
- netfilter: x_tables: avoid out-of-bounds reads in
  xt_request_find_{match|target} (git-fixes).
- netfilter: x_tables: fix int overflow in xt_alloc_table_info()
  (git-fixes).
- netfilter: ipset: Missing nfnl_lock()/nfnl_unlock() is added
  to ip_set_net_exit() (git-fixes).
- rds: tcp: atomically purge entries from rds_tcp_conn_list
  during netns delete (git-fixes).
- commit 2e1ed06
* Thu May  2 2019 hare@suse.de
- nvme-multipath: split bios with the ns_head bio_set before
  submitting (bsc#1103259, bsc#1131673).
- commit d40d160
* Thu May  2 2019 hare@suse.de
- scripts/git_sort/git_sort.py: update nvme repository to 5.2
- commit a7486ed
* Thu May  2 2019 ptesarik@suse.cz
- kabi/severities: Restore well-known kabi check exceptions
- commit 08632bf
* Thu May  2 2019 tiwai@suse.de
- blacklist.conf: Add entries for ACPICA changes causing regression (bsc#1132943)
- commit 52de608
* Thu May  2 2019 tiwai@suse.de
- Delete patches.fixes/ACPICA-Clear-status-of-GPEs-before-enabling-them.patch (bsc#1132943)
  This turned out to cause a regression on Thunderbolt docks.
  Follow the upstream to revert the commit and blacklist them.
- commit 160bf9d
* Wed May  1 2019 dbueso@suse.de
- futex: Cure exit race (bsc#1050549).
- commit fd88aa5
* Wed May  1 2019 dbueso@suse.de
- blacklist.conf: Add small qrwlock change, breaks kabi
- commit c74e4c7
* Wed May  1 2019 dbueso@suse.de
- blacklist.conf: Add SCHED_DEBUG patch
- commit 05d077d
* Wed May  1 2019 rgoldwyn@suse.com
- kernfs: don't set dentry->d_fsdata (boo#1133115).
- commit 87703df
* Tue Apr 30 2019 ailiopoulos@suse.com
- vfs: rename clone_verify_area to remap_verify_area (bsc#1133852,
  bsc#1132219).
- commit e7a6da0
* Tue Apr 30 2019 ailiopoulos@suse.com
- vfs: skip zero-length dedupe requests (bsc#1133851,
  bsc#1132219).
- commit 3cb446d
* Tue Apr 30 2019 ailiopoulos@suse.com
- vfs: avoid problematic remapping requests into partial EOF block
  (bsc#1133850, bsc#1132219).
- commit bf23f52
* Tue Apr 30 2019 jroedel@suse.de
- mm/vmalloc: fix size check for remap_vmalloc_range_partial() (bsc#1133825).
- commit aa4afbd
* Tue Apr 30 2019 tiwai@suse.de
- blacklist.conf: Add CVE entries to be ignored (CVE-2019-9003,CVE-2018-16880)
- commit c4eee01
* Tue Apr 30 2019 tiwai@suse.de
- Correct the bug reference in vhost secuirty fix (bsc#1122767 CVE-2018-16880)
- commit 359d2d2
* Tue Apr 30 2019 mbrugger@suse.com
- arch: arm64: acpi: KABI ginore includes (bsc#1117158).
- commit 6316022
* Tue Apr 30 2019 tiwai@suse.de
- mmc: sdhci: Handle auto-command errors (bsc#1051510).
- mmc: sdhci: Rename SDHCI_ACMD12_ERR and SDHCI_INT_ACMD12ERR
  (bsc#1051510).
- mmc: sdhci: Fix data command CRC error handling (bsc#1051510).
- commit 3b43b40
* Tue Apr 30 2019 tiwai@suse.de
- mac80211: do not call driver wake_tx_queue op during reconfig
  (bsc#1051510).
- commit 6c6b354
* Tue Apr 30 2019 tiwai@suse.de
- Input: synaptics-rmi4 - write config register values to the
  right offset (bsc#1051510).
- io: accel: kxcjk1013: restore the range after resume
  (bsc#1051510).
- commit 7de4d86
* Tue Apr 30 2019 tiwai@suse.de
- iio: dac: mcp4725: add missing powerdown bits in store eeprom
  (bsc#1051510).
- iio: adc: at91: disable adc channel interrupt in timeout case
  (bsc#1051510).
- iio: gyro: mpu3050: fix chip ID reading (bsc#1051510).
- iio: Fix scan mask selection (bsc#1051510).
- staging: iio: ad7192: Fix ad7193 channel address (bsc#1051510).
- iio/gyro/bmg160: Use millidegrees for temperature scale
  (bsc#1051510).
- commit 8dcd648
* Tue Apr 30 2019 tiwai@suse.de
- dmaengine: sh: rcar-dmac: With cyclic DMA residue 0 is valid
  (bsc#1051510).
- commit 23721ea
* Tue Apr 30 2019 tiwai@suse.de
- device_cgroup: fix RCU imbalance in error case (bsc#1051510).
- commit 496ae7a
* Tue Apr 30 2019 tiwai@suse.de
- crypto: crypto4xx - properly set IV after de- and encrypt
  (bsc#1051510).
- commit 923e152
* Tue Apr 30 2019 tiwai@suse.de
- staging: comedi: ni_usb6501: Fix possible double-free of
  - >usb_rx_buf (bsc#1051510).
- staging: comedi: ni_usb6501: Fix use of uninitialized mutex
  (bsc#1051510).
- staging: comedi: vmk80xx: Fix possible double-free of
  - >usb_rx_buf (bsc#1051510).
- staging: comedi: vmk80xx: Fix use of uninitialized semaphore
  (bsc#1051510).
- commit 6f218bd
* Tue Apr 30 2019 tiwai@suse.de
- clk: x86: Add system specific quirk to mark clocks as critical
  (bsc#1051510).
- commit 2550217
* Tue Apr 30 2019 tiwai@suse.de
- HID: i2c-hid: Ignore input report if there's no data present
  on Elan touchpanels (bsc#1133486).
- commit 186ac94
* Tue Apr 30 2019 ailiopoulos@suse.com
- vfs: vfs_clone_file_prep_inodes should return EINVAL for a
  clone from beyond EOF (bsc#1133780, bsc#1132219).
- commit f8cdd64
* Tue Apr 30 2019 ailiopoulos@suse.com
- vfs: dedupe should return EPERM if permission is not granted
  (bsc#1133779, bsc#1132219).
- commit ee49cef
* Tue Apr 30 2019 ailiopoulos@suse.com
- vfs: allow dedupe of user owned read-only files (bsc#1133778,
  bsc#1132219).
- commit f928d34
* Tue Apr 30 2019 ailiopoulos@suse.com
- vfs: swap names of {do,vfs}_clone_file_range() (bsc#1133774,
  bsc#1132219).
- commit 418217d
* Tue Apr 30 2019 ailiopoulos@suse.com
- vfs: export vfs_dedupe_file_range_one() to modules (bsc#1133772,
  bsc#1132219).
- commit ee6046d
* Tue Apr 30 2019 ailiopoulos@suse.com
- vfs: dedupe: extract helper for a single dedup (bsc#1133769,
  bsc#1132219).
- commit 0adcab6
* Tue Apr 30 2019 msuchanek@suse.de
- Fix duplicate commit id.
- Refresh patches.suse/0021-btrfs-switch-args-for-comp_-_refs.patch.
- Refresh patches.suse/0022-btrfs-add-a-comp_refs-helper.patch.
- commit 557f7ab
* Tue Apr 30 2019 mbrugger@suse.com
- efi/arm: Revert deferred unmap of early memmap mapping (bsc#1117158).
- efi/arm: Revert deferred unmap of early memmap mapping
  (bsc#1117158).
- commit 11eff9a
* Tue Apr 30 2019 msuchanek@suse.de
- Fix sorting of series.conf
- Refresh patches.drivers/ibmvnic-Enable-GRO.patch.
- Refresh patches.drivers/ibmvnic-Fix-netdev-feature-clobbering-during-a-reset.patch.
- rename nvme patches to match SLE15-SP1
- commit 47068e2
* Tue Apr 30 2019 acho@suse.com
- Bluetooth: hci_uart: Check if socket buffer is ERR_PTR in
  h4_recv_buf() (bsc#1133731).
- commit b5208fc
* Tue Apr 30 2019 acho@suse.com
- Bluetooth: hci_uart: Check if socket buffer is ERR_PTR in
  h4_recv_buf() (bsc#1133731).
- commit 6020c13
* Tue Apr 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vc4: Fix compilation error reported by kbuild test bot'
- commit 8f2ead0
* Tue Apr 30 2019 tzimmermann@suse.de
- drm/sun4i: Unbind components before releasing DRM and memory (bsc#1113722)
- commit 8c0f712
* Mon Apr 29 2019 jeyu@suse.de
- blacklist.conf: blacklist some unneeded git-fixes for kbuild
- commit bc4e6d5
* Mon Apr 29 2019 msuchanek@suse.de
- powerpc/numa: document topology_updates_enabled, disable by
  default (bsc#1133584).
- powerpc/numa: improve control of topology updates (bsc#1133584).
- powerpc/numa: document topology_updates_enabled, disable by
  default (bsc#1133584).
- powerpc/numa: improve control of topology updates (bsc#1133584).
- commit 350fb98
* Mon Apr 29 2019 hare@suse.de
- blk-mq: Avoid that submitting a bio concurrently with device
  removal triggers a crash (bsc#1131673).
- commit ec6a00b
* Mon Apr 29 2019 mbenes@suse.cz
- blacklist.conf: d6097c9e4454 ("trace: Fix preempt_enable_no_resched() abuse")
  There is no difference on !PREEMPT kernel.
- commit 015cb02
* Mon Apr 29 2019 mbenes@suse.cz
- tracing: Fix a memory leak by early error exit in
  trace_pid_write() (bsc#1133702).
- commit b236635
* Mon Apr 29 2019 hare@suse.de
- block: Fix a race between request queue removal and the block
  cgroup controller (bsc#1131673).
- Refresh patches.fixes/blkcg-Introduce-blkg_root_lookup.patch.
- Refresh
  patches.fixes/block-Ensure-that-a-request-queue-is-dissociated-fro.patch.
- Refresh patches.fixes/block-Introduce-blk_exit_queue.patch.
- commit c699a18
* Mon Apr 29 2019 mbenes@suse.cz
- tracing: Fix buffer_ref pipe ops (bsc#1133698).
- commit da9fad9
* Mon Apr 29 2019 mbenes@suse.cz
- blacklist.conf: fabe38ab6b2b ("kprobes: Mark ftrace mcount handler functions nokprobe")
  Not needed.
- commit eaa083a
* Mon Apr 29 2019 ailiopoulos@suse.com
- xfs: hold xfs_buf locked between shortform->leaf conversion
  and the addition of an attribute (bsc#1133675).
- commit cab0145
* Mon Apr 29 2019 ailiopoulos@suse.com
- xfs: add the ability to join a held buffer to a defer_ops
  (bsc#1133674).
- commit 6b7ffad
* Mon Apr 29 2019 ailiopoulos@suse.com
- xfs: remove the ip argument to xfs_defer_finish (bsc#1133672).
- Refresh
  patches.fixes/0036-xfs-inline-xfs_shift_file_space-into-callers.patch.
- Refresh
  patches.fixes/0059-xfs-introduce-the-xfs_iext_cursor-abstraction.patch.
- commit ebe7eab
* Mon Apr 29 2019 ailiopoulos@suse.com
- xfs: rename xfs_defer_join to xfs_defer_ijoin (bsc#1133668).
- commit bcff405
* Mon Apr 29 2019 ailiopoulos@suse.com
- xfs: refactor xfs_trans_roll (bsc#1133667).
  Refresh
  patches.fixes/xfs-relog-dirty-buffers-during-swapext-bmbt-owner-ch.patch.
- commit 1ff0f5c
* Mon Apr 29 2019 tzimmermann@suse.de
- drm/vc4: Fix memory leak during gpu reset. (bsc#1113722)
- commit eddacb4
* Mon Apr 29 2019 tzimmermann@suse.de
- drm/sun4i: Fix component unbinding and component master deletion (bsc#1113722)
- commit 11c33d3
* Mon Apr 29 2019 tzimmermann@suse.de
- drm/sun4i: Set device driver data at bind time for use in unbind (bsc#1113722)
- commit ed9bd32
* Mon Apr 29 2019 tzimmermann@suse.de
- drm/sun4i: Add missing drm_atomic_helper_shutdown at driver unbind (bsc#1113722)
- commit ed4e572
* Mon Apr 29 2019 tzimmermann@suse.de
- drm: bridge: dw-hdmi: Fix overflow workaround for Rockchip SoCs (bsc#1113722)
- commit 408e420
* Sat Apr 27 2019 hare@suse.de
- nvme: make sure ns head inherits underlying device limits
  (bsc#1131673).
- blkcg: Make blkg_root_lookup() work for queues in bypass mode
  (bsc#1131673).
- commit bb15eb6
* Fri Apr 26 2019 msuchanek@suse.de
- Remove duplicate patch.
- Delete patches.drm/drm-i915-Fix-bad-comparison-in-skl_compute_plane_wm.
- Refresh patches.drm/drm-i915-cleanup-fixed-point-wrappers-naming.
- commit 66bf81c
* Fri Apr 26 2019 msuchanek@suse.de
- Rename patches that exist in SLE15-SP1 to the same name.
- commit f242f0b
* Fri Apr 26 2019 msuchanek@suse.de
- Cherry-pick SLE 12 SP4 additional smc patches.
- net/smc: return booleans instead of integers (bsc#1096003,
  FATE#325023, LTC#164003).
- net: smc_close: mark expected switch fall-through (bsc#1096003,
  FATE#325023, LTC#164003).
- Refresh patches.arch/s390-sles15sp1-00-11-032-net-smc-use-local-struct-sock-variables-consistently.patch
- Refresh patches.arch/s390-sles15sp1-00-11-039-net-smc-handle-state-SMC_PEERFINCLOSEWAIT-correctly.patch
- commit 6659a50
* Fri Apr 26 2019 ptesarik@suse.cz
- Fix kernel-vanilla by moving
  patches.kernel.org/0001-drm-udl-add-a-release-method-and-delay-modeset-teard.patch
  under patches.drm/.
- commit 059ed35
* Fri Apr 26 2019 hare@suse.de
- blk-mq: fallback to previous nr_hw_queues when updating fails
  (bsc#1131673).
- blk-mq: realloc hctx when hw queue is mapped to another node
  (bsc#1131673).
- blk-mq: change gfp flags to GFP_NOIO in blk_mq_realloc_hw_ctxs
  (bsc#1131673).
- blk-mq: adjust debugfs and sysfs register when updating
  nr_hw_queues (bsc#1131673).
- commit f88bc93
* Fri Apr 26 2019 hare@suse.de
- blk-mq: sync the update nr_hw_queues with
  blk_mq_queue_tag_busy_iter (bsc#1131673).
- blk-mq: init hctx sched after update ctx and hctx mapping
  (bsc#1131673).
- commit d935704
* Fri Apr 26 2019 hare@suse.de
- block: Ensure that a request queue is dissociated from the
  cgroup controller (bsc#1131673).
- block: Introduce blk_exit_queue() (bsc#1131673).
- blkcg: Introduce blkg_root_lookup() (bsc#1131673).
- commit a5dd3b2
* Fri Apr 26 2019 dkirjanov@suse.com
- netfilter: bridge: set skb transport_header before entering
  NF_INET_PRE_ROUTING (git-fixes).
- commit d426b2c
* Fri Apr 26 2019 dkirjanov@suse.com
- net: datagram: fix unbounded loop in __skb_try_recv_datagram()
  (git-fixes).
- commit 8a8a896
* Fri Apr 26 2019 dkirjanov@suse.com
- ipv6: Fix dangling pointer when ipv6 fragment (git-fixes).
- commit 167348a
* Fri Apr 26 2019 dkirjanov@suse.com
- ipv6: sit: reset ip header pointer in ipip6_rcv (git-fixes).
- commit 6cc7095
* Fri Apr 26 2019 dkirjanov@suse.com
- net: bridge: multicast: use rcu to access port list from
  br_multicast_start_querier (git-fixes).
- commit 077343d
* Fri Apr 26 2019 dkirjanov@suse.com
- net: bridge: fix per-port af_packet sockets (git-fixes).
- commit 85d5245
* Fri Apr 26 2019 ailiopoulos@suse.com
- xfs: fix reporting supported extra file attributes for statx()
  (bsc#1133529).
- commit f8af342
* Fri Apr 26 2019 jack@suse.cz
- patches.fixes/ext4-Avoid-panic-during-forced-reboot.patch: Update tags
- commit 2eb9dad
* Fri Apr 26 2019 jack@suse.cz
- ext4: Don't warn when enabling DAX (bsc#1132894).
- commit db334c1
* Thu Apr 25 2019 mbrugger@suse.com
- arm64/x86: Update config files.
  Use CONFIG_ARCH_SUPPORTS_ACPI
- commit 3384d40
* Thu Apr 25 2019 mbrugger@suse.com
- ACPI: fix menuconfig presentation of ACPI submenu (bsc#1117158).
- commit ceda332
* Thu Apr 25 2019 mbrugger@suse.com
- scripts/git_sort/git_sort.py: add repositories for arm-smmu-*
- commit 61c96dc
* Thu Apr 25 2019 oneukum@suse.com
- crypto: qat - Remove unused goto label (jsc#SLE-4818).
- commit bcb0f77
* Thu Apr 25 2019 oneukum@suse.com
- crypto: qat - no need to check return value of debugfs_create
  functions (jsc#SLE-4818).
- commit 5aa967d
* Thu Apr 25 2019 dkirjanov@suse.com
- cxgb4: remove redundant assignment to vlan_cmd.dropnovlan_fm
  (bsc#1127371).
- commit 9878a01
* Thu Apr 25 2019 oneukum@suse.com
- crypto: qat - move temp buffers off the stack (jsc#SLE-4818).
- commit fb23dd1
* Thu Apr 25 2019 oneukum@suse.com
- crypto: qat - Remove VLA usage (jsc#SLE-4818).
- commit 2073cd4
* Thu Apr 25 2019 dkirjanov@suse.com
- cxgb4: specify IQTYPE in fw_iq_cmd (bsc#1127371).
- Refresh
  patches.fixes/0001-cxgb4-cxgb4vf-Add-support-for-SGE-doorbell-queue-tim.patch.
- commit fffff56
* Thu Apr 25 2019 dkirjanov@suse.com
- cxgb4: impose mandatory VLAN usage when non-zero TAG ID
  (bsc#1127371).
- commit 98b6e7b
* Thu Apr 25 2019 dkirjanov@suse.com
- cxgb4/cxgb4vf: Program hash region for {t4/t4vf}_change_mac()
  (bsc#1127371).
- commit 0080200
* Wed Apr 24 2019 mbrugger@suse.com
- arm64: fix ACPI dependencies (bsc#1117158).
- commit 2628e44
* Wed Apr 24 2019 mbrugger@suse.com
- iommu/arm-smmu-v3: Don't disable SMMU in kdump kernel
  (bsc#1120566).
- commit 70aabd4
* Wed Apr 24 2019 dkirjanov@suse.com
- cxgb4: use new fw interface to get the VIN and smt index
  (bsc#1127371).
- Refresh
  patches.fixes/0001-cxgb4-cxgb4vf-Add-support-for-SGE-doorbell-queue-tim.patch.
- commit 5344b4b
* Wed Apr 24 2019 yousaf.kaukab@suse.com
- i2c: Make i2c_unregister_device() NULL-aware (bsc#1133311).
- commit 5b6b2ac
* Wed Apr 24 2019 tiwai@suse.de
- Drop "PCI: designware-ep: Read-only registers need DBI_RO_WR_EN to"
  The patch doesn't work with SLE15 / Leap 15.0 code as the prerequisite
  helper functions are missing.  Drop it for now.
- commit 77b9d89
* Wed Apr 24 2019 ohering@suse.de
- Drivers: hv: vmbus: Offload the handling of channels to two
  workqueues (bsc#1130567).
- commit 2f3f8d7
* Wed Apr 24 2019 tiwai@suse.de
- drm/amdkfd: use init_mqd function to allocate object for hid_mqd
  (CI) (bsc#1111666).
- drm/panel: panel-innolux: set display off in
  innolux_panel_unprepare (bsc#1111666).
- commit 69f2e2e
* Wed Apr 24 2019 tiwai@suse.de
- iio: core: fix a possible circular locking dependency
  (bsc#1051510).
- iio: ad_sigma_delta: select channel when reading register
  (bsc#1051510).
- iio: cros_ec: Fix the maths for gyro scale calculation
  (bsc#1051510).
- Input: snvs_pwrkey - initialize necessary driver data before
  enabling IRQ (bsc#1051510).
- crypto: x86/poly1305 - fix overflow during partial reduction
  (bsc#1051510).
- PCI: Add function 1 DMA alias quirk for Marvell 9170 SATA
  controller (bsc#1051510).
- ASoC: fsl_esai: fix channel swap issue when stream starts
  (bsc#1051510).
- mmc: davinci: remove extraneous __init annotation (bsc#1051510).
- drm/nouveau/volt/gf117: fix speedo readout register
  (bsc#1051510).
- crypto: sha512/arm - fix crash bug in Thumb2 build
  (bsc#1051510).
- crypto: sha256/arm - fix crash bug in Thumb2 build
  (bsc#1051510).
- ASoC: topology: free created components in tplg load error
  (bsc#1051510).
- 9p: do not trust pdu content for stat item size (bsc#1051510).
- ACPI / SBS: Fix GPE storm on recent MacBookPro's (bsc#1051510).
- ath10k: avoid possible string overflow (bsc#1051510).
- PCI: designware-ep: Read-only registers need DBI_RO_WR_EN to
  be writable (bsc#1051510).
- commit 3abb7dd
* Wed Apr 24 2019 osalvador@suse.de
- acpi, nfit: Prefer _DSM over _LSR for namespace label reads
  (bsc#112128) (bsc#1132426).
- commit d87d52e
* Wed Apr 24 2019 jslaby@suse.cz
- bonding: fix PACKET_ORIGDEV regression (git-fixes).
- rds: fix refcount bug in rds_sock_addref (git-fixes).
- commit c43c4da
* Wed Apr 24 2019 jslaby@suse.cz
- blacklist.conf: add an ORC patch
- commit 8377b75
* Wed Apr 24 2019 jslaby@suse.cz
- Delete
  patches.suse/bridge-do-not-add-port-to-router-list-when-receives-.patch.
- Delete
  patches.suse/net-bridge-remove-ipv6-zero-address-check-in-mcast-q.patch.
  Both were reverted in upstream by 278e2148c075.
- commit 0e2431c
* Wed Apr 24 2019 jslaby@suse.cz
- blacklist.conf: preserve R3964 module
- commit aae746b
* Wed Apr 24 2019 dkirjanov@suse.com
- cxgb4: remove the unneeded locks (bsc#1127371).
- commit 8c41499
* Wed Apr 24 2019 dkirjanov@suse.com
- cxgb4: fix the error path of cxgb4_uld_register() (bsc#1127371).
- commit 47726a9
* Wed Apr 24 2019 ohering@suse.de
- Drivers: hv: vmbus: Reset the channel callback in
  vmbus_onoffer_rescind() (bsc#1130567).
- commit 0c6a64e
* Wed Apr 24 2019 glin@suse.com
- bpf: fix use after free in bpf_evict_inode (bsc#1083647).
- commit b930261
* Wed Apr 24 2019 neilb@suse.com
- NFS: Fix dentry revalidation on NFSv4 lookup (bsc#1132618).
- commit 89a6e08
* Tue Apr 23 2019 mbrugger@suse.com
- efi: Reduce the amount of memblock reservations for persistent
  allocations (bsc#1117158).
- Refresh
  patches.suse/0002-MODSIGN-print-appropriate-status-message-when-gettin.patch.
- commit c825299
* Tue Apr 23 2019 tiwai@suse.de
- drm/i915/gvt: Annotate iomem usage (bsc#1051510).
- commit 313092c
* Tue Apr 23 2019 tiwai@suse.de
- drm/amdgpu/gmc9: fix VM_L2_CNTL3 programming (bsc#1111666).
- drm/ttm: fix out-of-bounds read in ttm_put_pages() v2
  (bsc#1111666).
- drm/i915/gvt: Roundup fb->height into tile's height at
  calucation fb->size (bsc#1111666).
- drm/i915/gvt: Prevent use-after-free in ppgtt_free_all_spt()
  (bsc#1111666).
- drm/omap: hdmi4_cec: Fix CEC clock handling for PM
  (bsc#1111666).
- drm/exynos/mixer: fix MIXER shadow registry synchronisation code
  (bsc#1111666).
- drm/ttm: Fix bo_global and mem_global kfree error (bsc#1111666).
- commit 4aa1a14
* Tue Apr 23 2019 tiwai@suse.de
- mac80211: Honor SW_CRYPTO_CONTROL for unicast keys in AP VLAN
  mode (bsc#1111666).
- cfg80211: Handle WMM rules in regulatory domain intersection
  (bsc#1111666).
- commit f14f629
* Tue Apr 23 2019 jroedel@suse.de
- KVM: SVM: Workaround errata#1096 (insn_len maybe zero on SMAP
  violation) (bsc#1133149).
- KVM: Fix kABI for AMD SMAP Errata workaround (bsc#1133149).
- Refresh patches.kabi/fix-kvm-kabi.patch.
- Refresh
  patches.kabi/kABI-Hide-get_msr_feature-in-kvm_x86_ops.patch.
- Refresh
  patches.kabi/kvm-x86-kABI-fix-for-vm_alloc-vm_free-changes.patch.
- commit 03fe042
* Tue Apr 23 2019 mbrugger@suse.com
- arm64, mm, efi: Account for GICv3 LPI tables in static memblock
  reserve table (bsc#1117158).
  Refresh
  patches.suse/0003-MODSIGN-load-blacklist-from-MOKx.patch.
- commit a1a245c
* Tue Apr 23 2019 tiwai@suse.de
- ALSA: hda/realtek - add two more pin configuration sets to
  quirk table (bsc#1051510).
- ALSA: core: Fix card races between register and disconnect
  (bsc#1051510).
- ALSA: info: Fix racy addition/deletion of nodes (bsc#1051510).
- ALSA: hda: Initialize power_state field properly (bsc#1051510).
- commit a758061
* Tue Apr 23 2019 fabian.baumanis@suse.com
- blacklist.conf:
  c7084edc3f6d67750f50d4183134c4fb5712a5c8 #build-system only
- commit 433694c
* Tue Apr 23 2019 dkirjanov@suse.com
- kabi/severities: add cxgb4 and cxgb4vf shared data to the whitelis (bsc#1127372)
- commit cb5afe3
* Tue Apr 23 2019 dkirjanov@suse.com
- cxgb4: Add flag tc_flower_initialized (bsc#1127371).
- cxgb4: convert flower table to use rhashtable (bsc#1127371).
- commit aa6e062
* Tue Apr 23 2019 oneukum@suse.com
- PCI: pciehp: Convert to threaded IRQ (bsc#1133005).
- commit f0731dc
* Tue Apr 23 2019 oneukum@suse.com
- blacklist.conf: this breaks some kernel command lines
- commit cc177f9
* Tue Apr 23 2019 oneukum@suse.com
- PCI: pciehp: Ignore Link State Changes after powering off a slot
  (bsc#1133005).
- commit ef568c9
* Tue Apr 23 2019 mkoutny@suse.com
- fix cgroup_do_mount() handling of failure exits (bsc#1133095).
- commit fe5a2ff
* Tue Apr 23 2019 mkoutny@suse.com
- cgroup: fix parsing empty mount option string (bsc#1133094).
- commit 17de6c6
* Tue Apr 23 2019 mbrugger@suse.com
- efi/arm: Don't mark ACPI reclaim memory as MEMBLOCK_NOMAP (bsc#1117158 bsc#1115688 bsc#1120566).
- efi/arm: Revert "Defer persistent reservations until after
  paging_init()" (bsc#1117158).
- efi: Permit multiple entries in persistent memreserve data
  structure (bsc#1117158).
  Refresh:
  patches.suse/0002-MODSIGN-print-appropriate-status-message-when-gettin.patch
- efi: Prevent GICv3 WARN() by mapping the memreserve table
  before first use (bsc#1117158).
- efi: Permit calling efi_mem_reserve_persistent() from atomic
  context (bsc#1117158).
- efi/arm: Defer persistent reservations until after paging_init()
  (bsc#1117158).
- iommu/arm-smmu-v3: Abort all transactions if SMMU is enabled
  in kdump kernel (bsc#1117158).
- arm64: acpi: fix alignment fault in accessing ACPI
  (bsc#1117158).
- efi/arm: map UEFI memory map even w/o runtime services enabled
  (bsc#1117158).
- efi/arm: preserve early mapping of UEFI memory map longer for
  BGRT (bsc#1117158).
- drivers: acpi: add dependency of EFI for arm64 (bsc#1117158).
- efi/arm: Don't mark ACPI reclaim memory as MEMBLOCK_NOMAP
  (bsc#1117158 bsc#1115688 bsc#1120566).
- commit 8ab8717
* Tue Apr 23 2019 tzimmermann@suse.de
- drm/mediatek: Fix an error code in mtk_hdmi_dt_parse_pdata() (bsc#1113722)
- commit 63c727d
* Tue Apr 23 2019 tzimmermann@suse.de
- drm/udl: add a release method and delay modeset teardown (bsc#1085536)
- commit c54c0c4
* Tue Apr 23 2019 msuchanek@suse.de
- intel_idle: add support for Jacobsville (jsc#SLE-5394).
- commit 653c52e
* Tue Apr 23 2019 neilb@suse.com
- Fix kabi after "md: batch flush requests." (bsc#1119680).
- md: batch flush requests (bsc#1119680).
- commit db3b444
* Mon Apr 22 2019 dkirjanov@suse.com
- cxgb4: update supported DCB version (bsc#1127371).
- commit e9610db
* Mon Apr 22 2019 dkirjanov@suse.com
- netfilter: ip6t_MASQUERADE: add dependency on conntrack module
  (git-fixes).
- commit c067711
* Mon Apr 22 2019 dkirjanov@suse.com
- gre6: use log_ecn_error module parameter in ip6_tnl_rcv()
  (git-fixes).
- commit 45fd2cd
* Mon Apr 22 2019 dkirjanov@suse.com
- net: bridge: add vlan_tunnel to bridge port policies (git-fixes).
- commit 81c6555
* Mon Apr 22 2019 dkirjanov@suse.com
- rxrpc: Don't release call mutex on error pointer (git-fixes).
- commit b6257a8
* Mon Apr 22 2019 dkirjanov@suse.com
- blacklist.conf: bbbe211c295f ("net: rcu lock and preempt disable missing around generic xdp")
- commit 6d9e01f
* Sat Apr 20 2019 dkirjanov@suse.com
- RDMA/iw_cxgb4: Drop __GFP_NOFAIL (bsc#1127371).
- commit ab1de4b
* Sat Apr 20 2019 dkirjanov@suse.com
- rdma/cxgb4: fix some info leaks (bsc#1127371).
- commit 0460620
* Sat Apr 20 2019 dkirjanov@suse.com
- rdma/cxgb4: Remove a set-but-not-used variable (bsc#1127371).
- commit 64752bc
* Sat Apr 20 2019 dkirjanov@suse.com
- blacklist.conf: 23ff6ba8feec("RDMA/cxgb4: Restore the dropped
  uninitialized_var")
- commit 8ebcd6e
* Sat Apr 20 2019 dkirjanov@suse.com
- rdma/cxgb4: Add support for kernel mode SRQ's (bsc#1127371).
- commit 982fc38
* Fri Apr 19 2019 dkirjanov@suse.com
- rdma/cxgb4: Add support for 64Byte cqes (bsc#1127371).
- commit ed618c3
* Fri Apr 19 2019 dkirjanov@suse.com
- RDMA/cxgb4: Make c4iw_poll_cq_one() easier to analyze (bsc#1127371).
- commit 59e79c3
* Fri Apr 19 2019 dkirjanov@suse.com
- rdma/cxgb4: Add support for srq functions & structs (bsc#1127371).
- commit d29463d
* Fri Apr 19 2019 dbueso@suse.de
- futex: Ensure that futex address is aligned in
  handle_futex_death() (bsc#1050549).
- futex: Handle early deadlock return correctly (bsc#1050549).
- commit cf5db9c
* Thu Apr 18 2019 bp@suse.de
- x86/mce/AMD, EDAC/mce_amd: Enumerate Reserved SMCA bank type
  (bsc#1128415).
- Refresh
  patches.arch/x86-mce-amd-edac-mce_amd-add-new-error-descriptions-for-some-smca-bank-types.patch.
- Refresh
  patches.arch/x86-mce-amd-get-address-from-already-initialized-block.
- commit f372d3f
* Thu Apr 18 2019 dkirjanov@suse.com
- cxgb4/cxgb4vf: Fix mac_hlist initialization and free
  (bsc#1127374).
- commit 50c39df
* Thu Apr 18 2019 dkirjanov@suse.com
- cxgb4vf: Update port information in cxgb4vf_open()
  (bsc#1127374).
- commit 6c8b745
* Thu Apr 18 2019 dkirjanov@suse.com
- cxgb4vf: Few more link management changes (bsc#1127374).
- commit a3abbde
* Thu Apr 18 2019 dkirjanov@suse.com
- cxgb4vf: fix memleak in mac_hlist initialization (bsc#1127374).
- commit 136530a
* Thu Apr 18 2019 bp@suse.de
- s390/speculation: Support 'mitigations=' cmdline option
  (bsc#1112178).
- powerpc/speculation: Support 'mitigations=' cmdline option
  (bsc#1112178).
- x86/speculation: Support 'mitigations=' cmdline option
  (bsc#1112178).
- cpu/speculation: Add 'mitigations=' cmdline option
  (bsc#1112178).
- s390/speculation: Support 'mitigations=' cmdline option
  (bsc#1112178).
- powerpc/speculation: Support 'mitigations=' cmdline option
  (bsc#1112178).
- x86/speculation: Support 'mitigations=' cmdline option
  (bsc#1112178).
- cpu/speculation: Add 'mitigations=' cmdline option
  (bsc#1112178).
- commit d1a9bfc
* Thu Apr 18 2019 msuchanek@suse.de
- Remove duplicate patches.
- Delete patches.drivers/0001-USB-usb-storage-Add-new-IDs-to-ums-realtek.patch.
- Delete patches.drivers/0001-thunderbolt-Serialize-PCIe-tunnel-creation-with-PCI-.patch.
- Refresh patches.drivers/0001-thunderbolt-Add-support-for-runtime-PM.patch.
- commit 410ccf3
* Thu Apr 18 2019 tiwai@suse.de
- Correct the wrongly assigned CVE# (CVE-2019-9503,bsc#1132828)
- commit dc2acc2
* Thu Apr 18 2019 palcantara@suse.de
- CIFS: fix POSIX lock leak and invalid ptr deref (bsc#1114542).
- commit 20dba1d
* Thu Apr 18 2019 mhocko@suse.com
- mm: create non-atomic version of SetPageReserved for init use
  (jsc#SLE-6647).
- Refresh
  patches.fixes/mm-__init_single_page-do-not-zero-core-struct-pages.patch.
- commit 1ccc4b1
* Thu Apr 18 2019 tiwai@suse.de
- x86/PCI: Fixup RTIT_BAR of Intel Denverton Trace Hub (bsc#1120318).
  Delete the old patch with the upstream version, too
  patches.suse/PCI-Disable-broken-RTIT_BAR-of-Intel-TH.patch.
- commit 966a590
* Wed Apr 17 2019 palcantara@suse.de
- CIFS: fix POSIX lock leak and invalid ptr deref (bsc#1114542).
- commit ed4103e
* Wed Apr 17 2019 yousaf.kaukab@suse.com
- irqchip/exiu: Fix return value check in exiu_init()
  (bsc#1132778).
- commit 1706143
* Wed Apr 17 2019 yousaf.kaukab@suse.com
- config: arm64: enable drivers for Socionext Synquacer platform
  Add enabled drivers to supported.conf
- commit cda02b7
* Wed Apr 17 2019 yousaf.kaukab@suse.com
- i2c: synquacer: remove unused is_suspended flag (bsc#1132778).
- net: socionext: remove mmio reads on Tx (bsc#1132778).
- net: socionext: correctly recover txq after being full
  (bsc#1132778).
- net: socionext: refactor netsec_alloc_dring() (bsc#1132778).
- net: socionext: different approach on DMA (bsc#1132778).
- i2c: synquacer: fix fall-through annotation (bsc#1132778).
- net: socionext: Reset tx queue in ndo_stop (bsc#1132778).
- net: socionext: Add dummy PHY register read in phy_write()
  (bsc#1132778).
- net: socionext: Stop PHY before resetting netsec (bsc#1132778).
- net: socionext: clear rx irq correctly (bsc#1132778).
- net: socionext: Increase descriptors to 256 (bsc#1132778).
- net: socionext: Use descriptor info instead of MMIO reads on Rx
  (bsc#1132778).
- net: socionext: remove redundant pointer ndev (bsc#1132778).
- i2c: synquacer: fix fence-post error in retry loop
  (bsc#1132778).
- net: socionext: reset hardware in ndo_stop (bsc#1132778).
- net: netsec: enable tx-irq during open callback (bsc#1132778).
- net: netsec: reduce DMA mask to 40 bits (bsc#1132778).
- i2c: add support for Socionext SynQuacer I2C controller
  (bsc#1132778).
- net: netsec: use dma_addr_t for storing dma address
  (bsc#1132778).
- net: socionext: Fix error return code in netsec_netdev_open()
  (bsc#1132778).
- net: socionext: include linux/io.h to fix build (bsc#1132778).
- net: socionext: Add Synquacer NetSec driver (bsc#1132778).
- net: ethernet: socionext: add AVE ethernet driver (bsc#1132778).
- PCI: generic: Add support for Synopsys DesignWare RC in ECAM
  mode (bsc#1132778).
- gpio: mb86s7x: share with other SoCs as module (bsc#1132778).
- irqchip/exiu: Add support for Socionext Synquacer EXIU
  controller (bsc#1132778).
- gpio: mb86s7x: Handle return value of clk_prepare_enable
  (bsc#1132778).
- commit 04dc55f
* Wed Apr 17 2019 dkirjanov@suse.com
- iw_cxgb4: cq/qp mask depends on bar2 pages in a host page
  (bsc#1127371).
- commit c36e1b8
* Wed Apr 17 2019 dkirjanov@suse.com
- cxgb4: Export sge_host_page_size to ulds (bsc#1127371).
- Refresh patches.kabi/kabi-cxgb4-MU.patch.
- commit 6d1f2b8
* Wed Apr 17 2019 dkirjanov@suse.com
- cxgb4: collect number of free PSTRUCT page pointers
  (bsc#1127371).
- Refresh
  patches.fixes/0001-cxgb4-move-Tx-Rx-free-pages-collection-to-common-cod.patch.
- commit e76f63e
* Wed Apr 17 2019 dkirjanov@suse.com
- cxgb4: collect ASIC LA dumps from ULP TX (bsc#1127371).
- commit 0173335
* Wed Apr 17 2019 dkirjanov@suse.com
- cxgb4: Remove SGE_HOST_PAGE_SIZE dependency on page size
  (bsc#1127371).
- commit 5b5f3de
* Wed Apr 17 2019 tiwai@suse.de
- brcmfmac: assure SSID length from firmware is limited
  (CVE-2019-9500,bsc#1132681).
- commit beb6147
* Wed Apr 17 2019 dkirjanov@suse.com
- cxgb4: move Tx/Rx free pages collection to common code (bsc#1127371).
- commit d3b85a6
* Wed Apr 17 2019 jroedel@suse.de
- svm/avic: Fix invalidate logical APIC id entry (bsc#1132726).
- commit a0c00f8
* Tue Apr 16 2019 tiwai@suse.de
- brcmfmac: add subtype check for event handling in data path
  (CVE-2019-8564,bsc#1132673).
- commit dfd89cb
* Tue Apr 16 2019 dkirjanov@suse.com
- cxgb4: add support to display DCB info (bsc#1127371).
- commit 5b50c7b
* Tue Apr 16 2019 bp@suse.de
- blacklist.conf: bebd024e4815 ("x86/smp: Enforce CONFIG_HOTPLUG_CPU when SMP=y")
  SLE kernels already enable this.
- commit 577c0d1
* Tue Apr 16 2019 dkirjanov@suse.com
- cxgb4: Add new T6 PCI device ids 0x608a (bsc#1127371).
- commit 06d9ae2
* Tue Apr 16 2019 dkirjanov@suse.com
- cxgb4: Add new T5 PCI device ids 0x50af and 0x50b0 (bsc#1127371).
- commit 9210ec3
* Tue Apr 16 2019 dkirjanov@suse.com
- cxgb4: display number of rx and tx pages free (bsc#1127371).
- commit 436d16d
* Tue Apr 16 2019 dkirjanov@suse.com
- cxgb4: cxgb4: use FW_PORT_ACTION_L1_CFG32 for 32 bit capability (bsc#1127371).
- commit a42b78c
* Tue Apr 16 2019 dkirjanov@suse.com
- assume flash part size to be 4MB, if it can't be determined (bsc#1127371).
- commit 84ea04f
* Tue Apr 16 2019 jroedel@suse.de
- Refresh patches.arch/svm-fix-avic-dfr-and-ldr-handling.
  Fix compile warning introduced by this patch.
- commit 30fa6d4
* Tue Apr 16 2019 jgross@suse.com
- xen: Prevent buffer overflow in privcmd ioctl (bsc#1065600).
- commit c236911
* Tue Apr 16 2019 jroedel@suse.de
- blacklist.conf: Blacklist some KVM reverts not needed in SLE
- commit d786a86
* Tue Apr 16 2019 bp@suse.de
- KVM: x86: Emulate MSR_IA32_ARCH_CAPABILITIES on AMD hosts
  (bsc#1114279).
- commit 321dd9f
* Mon Apr 15 2019 bp@suse.de
- x86/mce/AMD: Pass the bank number to smca_get_bank_type()
  (bsc#1128415).
- commit 2a78c16
* Mon Apr 15 2019 jkosina@suse.cz
- x86/bugs: do not default to IBRS even on SKL (bsc#1068032
  CVE-2017-5753 bsc#1112824).
  Drop SUSE-specific IBRS-on-SKL implementation. Please refer to
  page 16 of [1]
  [1] https://software.intel.com/security-software-guidance/api-app/sites/default/files/Retpoline-A-Branch-Target-Injection-Mitigation.pdf
- commit 6ab40f5
* Mon Apr 15 2019 dkirjanov@suse.com
- cxgb4: Support ethtool private flags (bsc#1127371).
- commit dc8dc20
* Mon Apr 15 2019 jroedel@suse.de
- x86/kvm/hyper-v: avoid spurious pending stimer on vCPU init
  (bsc#1132572).
- KVM: x86/mmu: Do not cache MMIO accesses while memslots are
  in flux (bsc#1132571).
- KVM: x86/mmu: Detect MMIO generation wrap in any address space
  (bsc#1132570).
- commit eff2335
* Mon Apr 15 2019 jroedel@suse.de
- KVM: Call kvm_arch_memslots_updated() before updating memslots
  (bsc#1132563).
- KVM: nVMX: Ignore limit checks on VMX instructions using flat
  segments (bsc#1132564).
- commit f524d2f
* Mon Apr 15 2019 jeyu@suse.de
- blacklist.conf: blacklist some unneeded git-fixes for kbuild
- commit 82fab96
* Mon Apr 15 2019 jroedel@suse.de
- KVM: nVMX: Apply addr size mask to effective address for VMX
  instructions (bsc#1132561).
- KVM: nVMX: Sign extend displacements of VMX instr's mem operands
  (bsc#1132562).
- commit 27486c3
* Mon Apr 15 2019 dkirjanov@suse.com
- cxgb4: collect hardware queue descriptors (bsc#1127371).
- commit 16f34c6
* Mon Apr 15 2019 jroedel@suse.de
- svm: Fix AVIC DFR and LDR handling (bsc#1132558).
- commit e81dbdd
* Mon Apr 15 2019 msuchanek@suse.de
- powerpc/powernv: Make opal log only readable by root
  (bsc#1065729).
- commit e1d68e1
* Mon Apr 15 2019 jroedel@suse.de
- KVM: VMX: Compare only a single byte for VMCS' "launched" in vCPU-run (bsc#1132555).
- commit 709aa15
* Mon Apr 15 2019 msuchanek@suse.de
- powerpc/64s: Fix logic when handling unknown CPU features
  (bsc#1055117).
- commit 9eac226
* Mon Apr 15 2019 tiwai@suse.de
- ALSA: hda - Add two more machines to the power_save_blacklist
  (bsc#1051510).
- ALSA: seq: Fix OOB-reads from strlcpy (bsc#1051510).
- commit 6ae1972
* Mon Apr 15 2019 tiwai@suse.de
- ALSA: hda/realtek - Move to ACT_INIT state (bsc#1111666).
- ALSA: hda/realtek: Enable headset MIC of Acer TravelMate
  B114-21 with ALC233 (bsc#1111666).
- commit 3af9d8d
* Mon Apr 15 2019 pmladek@suse.com
- blacklist.conf: tracing: affected code is not in our kernel
- commit 9d2222a
* Mon Apr 15 2019 pmladek@suse.com
- blacklist.conf: tracing: affected code is not in our kernel
- commit 99bb62d
* Mon Apr 15 2019 pmladek@suse.com
- blacklist.conf: tracing: affected code is not in our kernel
- commit 8e8b386
* Mon Apr 15 2019 pmladek@suse.com
- blacklist.conf: tracing: cosmetic
- commit bba8a93
* Mon Apr 15 2019 pmladek@suse.com
- ring-buffer: Check if memory is available before allocation
  (bsc#1132531).
- commit 30fa12d
* Mon Apr 15 2019 pmladek@suse.com
- tracing/hrtimer: Fix tracing bugs by taking all clock bases
  and modes into account (bsc#1132527).
- commit 08a11e1
* Mon Apr 15 2019 jroedel@suse.de
- iommu/amd: Set exclusion range correctly (bsc#1130425).
- commit 0dd02d9
* Mon Apr 15 2019 pmladek@suse.com
- blacklist.conf: trace/xdp: compilation warning; we do not have
  the affected code
- commit 28d52fb
* Mon Apr 15 2019 pmladek@suse.com
- blacklist.conf: tracing: nothing serious
- commit fad463b
* Mon Apr 15 2019 pmladek@suse.com
- blacklist.conf: vsprintf: cosmetic
- commit 2fa0e86
* Mon Apr 15 2019 pmladek@suse.com
- blacklist.conf: printk: cosmetic; anyway, it fixes a commit
  that we do not have in SLE15
- commit 8801f18
* Mon Apr 15 2019 tzimmermann@suse.de
- drm/mediatek: Fix an error code in mtk_hdmi_dt_parse_pdata() (bsc#1113956)
- commit 8963523
* Mon Apr 15 2019 tzimmermann@suse.de
- drm/i915/gvt: do not let pin count of shadow mm go negative (bsc#1113956)
- commit f169d23
* Mon Apr 15 2019 tzimmermann@suse.de
- drm/i915/gvt: Add in context mmio 0x20D8 to gen9 mmio list (bsc#1113956)
- commit d050118
* Sun Apr 14 2019 dkirjanov@suse.com
- Refresh patches.kabi/kabi-cxgb4-MU.patch.
- commit 3439f3f
* Sun Apr 14 2019 dkirjanov@suse.com
- cxgb4: Add capability to get/set SGE Doorbell Queue Timer Tick
  (bsc#1127371).
- commit 7cc943d
* Fri Apr 12 2019 ailiopoulos@suse.com
- xfs: flush removing page cache in xfs_reflink_remap_prep
  (bsc#1132414, bsc#1132219).
- commit ab00137
* Fri Apr 12 2019 ailiopoulos@suse.com
- xfs: clean up xfs_reflink_remap_blocks call site (bsc#1132413,
  bsc#1132219).
- commit 07a90bd
* Fri Apr 12 2019 ailiopoulos@suse.com
- xfs: fix pagecache truncation prior to reflink (bsc#1132412,
  bsc#1132219).
- commit b82ce17
* Fri Apr 12 2019 ailiopoulos@suse.com
- vfs: exit early from zero length remap operations (bsc#1132411,
  bsc#1132219).
- commit 1006b3a
* Fri Apr 12 2019 bp@suse.de
- x86/MCE: Fix kABI for new AMD bank names (bsc#1128415).
- commit e9b2424
* Fri Apr 12 2019 ailiopoulos@suse.com
- xfs: fix data corruption w/ unaligned reflink ranges
  (bsc#1132407, bsc#1132219).
- commit a452f04
* Fri Apr 12 2019 ailiopoulos@suse.com
- xfs: fix data corruption w/ unaligned dedupe ranges
  (bsc#1132405, bsc#1132219).
- commit 16170da
* Fri Apr 12 2019 ailiopoulos@suse.com
- xfs: update ctime and remove suid before cloning files
  (bsc#1132404, bsc#1132219).
- commit 9e067d2
* Fri Apr 12 2019 ailiopoulos@suse.com
- xfs: zero posteof blocks when cloning above eof (bsc#1132403,
  bsc#1132219).
- commit e7442c0
* Fri Apr 12 2019 ailiopoulos@suse.com
- xfs: refactor clonerange preparation into a separate helper
  (bsc#1132402, bsc#1132219).
- commit 7ca8ffb
* Fri Apr 12 2019 ailiopoulos@suse.com
- vfs: limit size of dedupe (bsc#1132397, bsc#1132219).
- commit 3488d92
* Fri Apr 12 2019 ailiopoulos@suse.com
- fs: avoid fdput() after failed fdget() in
  vfs_dedupe_file_range() (bsc#1132384, bsc#1132219).
- commit 71bd329
* Fri Apr 12 2019 ailiopoulos@suse.com
- xfs: cap the length of deduplication requests (bsc#1132373,
  bsc#1132219).
- commit 190ac4b
* Fri Apr 12 2019 ailiopoulos@suse.com
- xfs: only grab shared inode locks for source file during reflink
  (bsc#1132372, bsc#1132219).
- commit 3e9e506
* Fri Apr 12 2019 ailiopoulos@suse.com
- xfs: allow xfs_lock_two_inodes to take different EXCL/SHARED
  modes (bsc#1132370, bsc#1132219).
- commit e1da3ac
* Fri Apr 12 2019 ailiopoulos@suse.com
- xfs: reflink should break pnfs leases before sharing blocks
  (bsc#1132369, bsc#1132219).
- commit 808ec37
* Fri Apr 12 2019 ailiopoulos@suse.com
- xfs: call xfs_qm_dqattach before performing reflink operations
  (bsc#1132368, bsc#1132219).
- commit 8d05605
* Fri Apr 12 2019 ailiopoulos@suse.com
- xfs: remove dest file's post-eof preallocations before
  reflinking (bsc#1132365, bsc#1132219).
- commit 4e87704
* Fri Apr 12 2019 dkirjanov@suse.com
- cxgb4: Added missing break in ndo_udp_tunnel_{add/del} (bsc#1127371).
- commit 3d3df4e
* Fri Apr 12 2019 dkirjanov@suse.com
- cxgb4: do not return DUPLEX_UNKNOWN when link is down (bsc#1127371).
- commit 85c678c
* Fri Apr 12 2019 dkirjanov@suse.com
- cxgb4: Add new T5 PCI device id 0x50ae (bsc#1127371).
- commit 899ca26
* Fri Apr 12 2019 dkirjanov@suse.com
- cxgb4/cxgb4vf: Link management changes (bsc#1127371).
- commit e37a35f
* Fri Apr 12 2019 jroedel@suse.de
- vfio/type1: Limit DMA mappings per container (CVE-2019-3882 bsc#1131427).
- commit ddc4716
* Fri Apr 12 2019 jslaby@suse.cz
- net/x25: reset state in x25_connect()
  (networking-stable-19_03_15).
- net: sit: fix UBSAN Undefined behaviour in check_6rd
  (networking-stable-19_03_15).
- net/x25: fix use-after-free in x25_device_event()
  (networking-stable-19_03_15).
- rxrpc: Fix client call queueing, waiting for channel
  (networking-stable-19_03_15).
- route: set the deleted fnhe fnhe_daddr to 0 in ip_del_fnhe to
  fix a race (networking-stable-19_03_15).
- net/hsr: fix possible crash in add_timer()
  (networking-stable-19_03_15).
- ravb: Decrease TxFIFO depth of Q3 and Q2 to one
  (networking-stable-19_03_15).
- net: hsr: fix memory leak in hsr_dev_finalize()
  (networking-stable-19_03_15).
- net/x25: fix a race in x25_bind() (networking-stable-19_03_15).
- net: Set rtm_table to RT_TABLE_COMPAT for ipv6 for tables >
  255 (networking-stable-19_03_15).
- ipvlan: disallow userns cap_net_admin to change global
  mode/flags (networking-stable-19_03_15).
- missing barriers in some of unix_sock ->addr and ->path accesses
  (networking-stable-19_03_15).
- commit 4256fc7
* Fri Apr 12 2019 jslaby@suse.cz
- net/packet: Set __GFP_NOWARN upon allocation in alloc_pg_vec
  (git-fixes).
- commit 9b93af5
* Fri Apr 12 2019 jslaby@suse.cz
- qmi_wwan: Add support for Quectel EG12/EM12
  (networking-stable-19_03_07).
- net: sit: fix memory leak in sit_init_net()
  (networking-stable-19_03_07).
- net: dsa: mv88e6xxx: Fix u64 statistics
  (networking-stable-19_03_07).
- xen-netback: don't populate the hash cache on XenBus disconnect
  (networking-stable-19_03_07).
- xen-netback: fix occasional leak of grant ref mappings under
  memory pressure (networking-stable-19_03_07).
- netlabel: fix out-of-bounds memory accesses
  (networking-stable-19_03_07).
- net: nfc: Fix NULL dereference on nfc_llcp_build_tlv fails
  (networking-stable-19_03_07).
- bnxt_en: Drop oversize TX packets to prevent errors
  (networking-stable-19_03_07).
- tipc: fix race condition causing hung sendto
  (networking-stable-19_03_07).
- hv_netvsc: Fix IP header checksum for coalesced packets
  (networking-stable-19_03_07).
- mpls: Return error for RTA_GATEWAY attribute
  (networking-stable-19_03_07).
- ipv6: Return error for RTA_VIA attribute
  (networking-stable-19_03_07).
- ipv4: Return error for RTA_VIA attribute
  (networking-stable-19_03_07).
- net: avoid use IPCB in cipso_v4_error
  (networking-stable-19_03_07).
- net: Add __icmp_send helper (networking-stable-19_03_07).
- kABI: restore icmp_send (kabi).
- tun: remove unnecessary memory barrier
  (networking-stable-19_03_07).
- net: socket: set sock->sk to NULL after calling
  proto_ops::release() (networking-stable-19_03_07).
- tun: fix blocking read (networking-stable-19_03_07).
- commit 8f4c9d1
* Thu Apr 11 2019 msuchanek@suse.de
- supported.conf: dw_mmc-bluefield is not needed in kernel-default-base
  (bsc#1131574).
- commit 3eb7cba
* Thu Apr 11 2019 msuchanek@suse.de
- ibmvnic: Fix netdev feature clobbering during a reset
  (bsc#1132227).
- ibmvnic: Enable GRO (bsc#1132227).
- commit 0d7a77f
* Thu Apr 11 2019 dbueso@suse.de
- futex: Ensure that futex address is aligned in
  handle_futex_death() (bsc#1050549).
- x86/tsc: Force inlining of cyc2ns bits (bsc#1052904).
- commit 15ce0ba
* Thu Apr 11 2019 dkirjanov@suse.com
- Refresh patches.kabi/kabi-cxgb4-MU.patch.
- commit e74784a
* Thu Apr 11 2019 msuchanek@suse.de
- Do not provide kernel-default from kernel-default-base (boo#1132154, bsc#1106751).
- commit 0e54e61
* Thu Apr 11 2019 msuchanek@suse.de
- rpm/kernel-subpackage-spec: only provide firmware actually present in
  subpackage.
- commit 839debd
* Thu Apr 11 2019 tiwai@suse.de
- crypto: pcbc - remove bogus memcpy()s with src == dest
  (bsc#1051510).
- commit 94f7856
* Thu Apr 11 2019 ailiopoulos@suse.com
- xfs: reflink find shared should take a transaction (bsc#1132226,
  bsc#1132219).
- Refresh
  patches.fixes/0009-xfs-rewrite-getbmap-using-the-xfs_iext_-helpers.patch.
- commit cd2c8d9
* Thu Apr 11 2019 jack@suse.cz
- patches.fixes/vfs-Avoid-softlockups-in-drop_pagecache_sb.patch: Update
  tags and push to sorted section
- commit ad7e442
* Thu Apr 11 2019 dkirjanov@suse.com
- cxgb4/cxgb4vf: Add support for SGE doorbell queue timer (bsc#1127371).
- commit 58a71eb
* Thu Apr 11 2019 tiwai@suse.de
- KEYS: user: Align the payload buffer (bsc#1051510).
- commit 40d3684
* Thu Apr 11 2019 tiwai@suse.de
- KEYS: always initialize keyring_index_key::desc_len
  (bsc#1051510).
- commit 5ee13c4
* Thu Apr 11 2019 tiwai@suse.de
- mmc: tmio_mmc_core: don't claim spurious interrupts
  (bsc#1051510).
- commit ecf4c22
* Thu Apr 11 2019 tiwai@suse.de
- NFC: nci: Add some bounds checking in nci_hci_cmd_received()
  (bsc#1051510).
- commit 6f0ec11
* Thu Apr 11 2019 tiwai@suse.de
- staging: vt6655: Remove vif check from vnt_interrupt
  (bsc#1051510).
- staging: vt6655: Fix interrupt race condition on device start up
  (bsc#1051510).
- commit 6182d56
* Thu Apr 11 2019 jslaby@suse.cz
- net: avoid false positives in untrusted gso validation
  (git-fixes).
- commit d106ebd
* Thu Apr 11 2019 jslaby@suse.cz
- sctp: call gso_reset_checksum when computing checksum in
  sctp_gso_segment (networking-stable-19_02_24).
- net_sched: fix two more memory leaks in cls_tcindex
  (networking-stable-19_02_24).
- net/packet: fix 4gb buffer limit due to overflow check
  (networking-stable-19_02_24).
- ipv6: propagate genlmsg_reply return code
  (networking-stable-19_02_24).
- sit: check if IPv6 enabled before calling
  ip6_err_gen_icmpv6_unreach() (networking-stable-19_02_24).
- net/mlx5e: Don't overwrite pedit action when multiple pedit used
  (networking-stable-19_02_24).
- commit 905de62
* Thu Apr 11 2019 jslaby@suse.cz
- kcm: switch order of device registration to fix a crash
  (bnc#1130527).
- commit 97a6921
* Thu Apr 11 2019 hare@suse.de
- nvme: fix the dangerous reference of namespaces list
  (bsc#1131673).
- Refresh
  patches.fixes/nvme-ensure-forward-progress-during-admin-passthru.patch.
- Refresh
  patches.fixes/nvme-flush-namespace-scanning-work-just-before-remov.patch.
- commit 723fb31
* Thu Apr 11 2019 jslaby@suse.cz
- net: Do not allocate page fragments that are not skb aligned
  (networking-stable-19_02_20).
- tcp: tcp_v4_err() should be more careful
  (networking-stable-19_02_20).
- net: Add header for usage of fls64()
  (networking-stable-19_02_20).
- net: validate untrusted gso packets without csum offload
  (networking-stable-19_02_20).
- net: Fix for_each_netdev_feature on Big endian
  (networking-stable-19_02_20).
- dsa: mv88e6xxx: Ensure all pending interrupts are handled
  prior to exit (networking-stable-19_02_20).
- net: fix IPv6 prefix route residue (networking-stable-19_02_20).
- vxlan: test dev->flags & IFF_UP before calling netif_rx()
  (networking-stable-19_02_20).
- commit a7a9e9f
* Thu Apr 11 2019 dbueso@suse.de
- futex: Handle early deadlock return correctly (bsc#1050549).
- commit 616063c
* Wed Apr 10 2019 dkirjanov@suse.com
- cxgb4: Add support for FW_ETH_TX_PKT_VM_WR (bsc#1127371).
- commit 3691bab
* Wed Apr 10 2019 dkirjanov@suse.com
- Update patches.kabi/kabi-cxgb4-MU.patch (bsc#1097585 bsc#1097586
  bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584 bsc#1127371).
- commit 7897fc2
* Wed Apr 10 2019 dkirjanov@suse.com
- cxgb4: Add support to read actual provisioned resources
  (bsc#1127371).
- commit 295f1ae
* Wed Apr 10 2019 msuchanek@suse.de
- kernel-subpackage-spec: Add dummy package to ensure subpackages are
  rebuilt with kernel update (bsc#1106751).
  In factory packages are not rebuilt automatically so a dependency is
  needed on the old kernel to get a rebuild with the new kernel. THe
  subpackage itself cannot depend on the kernel so add another empty
  pacakge that does depend on it.
- commit 6d14837
* Wed Apr 10 2019 msuchanek@suse.de
- supported.conf: Add vxlan to kernel-default-base (bsc#1132083).
- commit 498c1c8
* Wed Apr 10 2019 oneukum@suse.com
- iwiwifi: fix bad monitor buffer register addresses
  (bsc#1129770).
- commit a09c4f1
* Wed Apr 10 2019 oneukum@suse.com
- iwlwifi: fix send hcmd timeout recovery flow (bsc#1129770).
- commit 675aabf
* Wed Apr 10 2019 oneukum@suse.com
- mwifiex: don't advertise IBSS features without FW support
  (bsc#1129770).
- commit ad88ebe
* Wed Apr 10 2019 bpoirier@suse.com
- Refresh patch order in sorted section
- Refresh
  patches.arch/powerpc-mm-hash-Increase-vmalloc-space-to-512T-with-.patch.
- Refresh
  patches.arch/powerpc-perf-add-mem-access-events-to-sysfs.patch.
- Refresh
  patches.drivers/RDMA-bnxt_en-Enable-RDMA-driver-support-for-57500-ch.patch.
- Refresh
  patches.drivers/RDMA-bnxt_re-Add-64bit-doorbells-for-57500-series.patch.
- Refresh
  patches.drivers/RDMA-bnxt_re-Add-chip-context-to-identify-57500-seri.patch.
- Refresh
  patches.drivers/RDMA-bnxt_re-Add-extended-psn-structure-for-57500-ad.patch.
- Refresh
  patches.drivers/RDMA-bnxt_re-Enable-GSI-QP-support-for-57500-series.patch.
- Refresh
  patches.drivers/RDMA-bnxt_re-Skip-backing-store-allocation-for-57500.patch.
- Refresh
  patches.drivers/RDMA-bnxt_re-Update-kernel-user-abi-to-pass-chip-con.patch.
- Refresh
  patches.drivers/RDMA-bnxt_re-fix-a-size-calculation.patch.
- Refresh
  patches.drivers/RDMA-bnxt_re-fix-or-ing-of-data-into-an-uninitialize.patch.
- Refresh
  patches.drivers/scsi-hisi_sas-add-debugfs-cq-file-and-add-file-operations.patch.
- Refresh
  patches.drivers/scsi-hisi_sas-add-debugfs-dq-file-and-add-file-operations.patch.
- Refresh
  patches.drivers/scsi-hisi_sas-add-debugfs-for-port-registers.patch.
- Refresh
  patches.drivers/scsi-hisi_sas-add-debugfs-iost-file-and-add-file-operations.patch.
- Refresh
  patches.drivers/scsi-hisi_sas-alloc-debugfs-snapshot-buffer-memory-for-all-registers.patch.
- Refresh
  patches.drivers/scsi-hisi_sas-create-root-and-device-debugfs-directories.patch.
- Refresh
  patches.drivers/scsi-hisi_sas-debugfs-global-register-create-file-and-add-file-operations.patch.
- Refresh
  patches.drivers/scsi-hisi_sas-take-debugfs-snapshot-for-all-regs.patch.
- Refresh
  patches.drivers/scsi-lpfc-Adapt-cpucheck-debugfs-logic-to-Hardware-Q.patch.
- Refresh
  patches.drivers/scsi-lpfc-Adapt-partitioned-XRI-lists-to-efficient-s.patch.
- Refresh
  patches.drivers/scsi-lpfc-Allow-override-of-hardware-queue-selection.patch.
- Refresh
  patches.drivers/scsi-lpfc-Convert-ring-number-to-hardware-queue-for-.patch.
- Refresh
  patches.drivers/scsi-lpfc-Correct-upcalling-nvmet_fc-transport-durin.patch.
- Refresh
  patches.drivers/scsi-lpfc-Enable-SCSI-and-NVME-fc4s-by-default.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-default-driver-parameter-collision-for.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-nvmet-issues-when-link-bounce-under-IO.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-setting-affinity-hints-to-correlate-wi.patch.
- Refresh
  patches.drivers/scsi-lpfc-Implement-common-IO-buffers-between-NVME-a.patch.
- Refresh
  patches.drivers/scsi-lpfc-Move-SCSI-and-NVME-Stats-to-hardware-queue.patch.
- Refresh
  patches.drivers/scsi-lpfc-Partition-XRI-buffer-list-across-Hardware-.patch.
- Refresh
  patches.drivers/scsi-lpfc-Remove-extra-vector-and-SLI4-queue-for-Exp.patch.
- Refresh
  patches.drivers/scsi-lpfc-Replace-io_channels-for-nvme-and-fcp-with-.patch.
- Refresh
  patches.drivers/scsi-lpfc-Resize-cpu-maps-structures-based-on-possib.patch.
- Refresh
  patches.drivers/scsi-lpfc-Rework-EQ-CQ-processing-to-address-interru.patch.
- Refresh
  patches.drivers/scsi-lpfc-Rework-locking-on-SCSI-io-completion.patch.
- Refresh
  patches.drivers/scsi-lpfc-Support-non-uniform-allocation-of-MSIX-vec.patch.
- Refresh
  patches.drivers/scsi-lpfc-Synchronize-hardware-queues-with-SCSI-MQ-i.patch.
- Refresh
  patches.drivers/scsi-lpfc-Update-12.2.0.0-file-copyrights-to-2019.patch.
- Refresh
  patches.drivers/scsi-lpfc-Update-lpfc-version-to-12.2.0.0.patch.
- Refresh
  patches.drivers/scsi-lpfc-Utilize-new-IRQ-API-when-allocating-MSI-X-.patch.
- Refresh
  patches.drivers/scsi-lpfc-cleanup-Remove-excess-check-on-NVME-io-sub.patch.
- Refresh
  patches.drivers/scsi-lpfc-cleanup-Remove-unused-FCP_XRI_ABORT_EVENT-.patch.
- Refresh
  patches.drivers/scsi-lpfc-cleanup-convert-eq_delay-to-usdelay.patch.
- Refresh
  patches.drivers/scsi-lpfc-cleanup-remove-nrport-from-nvme-command-st.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Add-new-FC-NVMe-enable-BIT-to-enable-FC.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Add-pci-function-reset-support.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Change-default-ZIO-threshold.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-N2N-target-discovery-with-Local-loo.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-SRB-allocation-flag-to-avoid-sleepi.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-fw-options-handle-eh_bus_reset.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-session-cleanup-hang.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Prevent-memory-leak-for-CT-req-rsp-allo.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Restore-FAWWPN-of-Physical-Port-only-fo.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Update-driver-version-to-10.00.00.13-k.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Use-complete-switch-scan-for-RSCN-event.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-allow-session-delete-to-finish-before-c.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-fix-fcport-null-pointer-access.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-flush-IO-on-chip-reset-or-sess-delete.patch.
- Refresh
  patches.fixes/tools-lib-traceevent-fix-buffer-overflow-in-arg_eval.patch.
- commit 05b5529
* Wed Apr 10 2019 msuchanek@suse.de
- tpm: Fix the type of the return value in calc_tpm2_event_size()
  (bsc#1082555).
- commit 6313c7d
* Wed Apr 10 2019 tiwai@suse.de
- Bluetooth: btusb: request wake pin with NOAUTOEN (bsc#1051510).
- commit 8a90dff
* Wed Apr 10 2019 msuchanek@suse.de
- powerpc/powernv/cpuidle: Init all present cpus for deep states
  (bsc#1055121).
- commit ef0cd6d
* Tue Apr  9 2019 msuchanek@suse.de
- Refresh patches.arch/powerpc-64s-Simple-RFI-macro-conversions.patch.
- commit a429c56
* Tue Apr  9 2019 msuchanek@suse.de
- kbuild: strip whitespace in cmd_record_mcount findstring
  (bsc#1065729).
- powerpc: avoid -mno-sched-epilog on GCC 4.9 and newer
  (bsc#1065729).
- powerpc: consolidate -mno-sched-epilog into FTRACE flags
  (bsc#1065729).
- commit 051f1dc
* Tue Apr  9 2019 yousaf.kaukab@suse.com
- Refresh
  patches.drivers/0001-ahci-qoriq-add-lx2160-platforms-support.patch.
  Update to v7 of the patch
- commit 1c173f9
* Tue Apr  9 2019 tiwai@suse.de
- drm/i915/gvt: Correct the calculation of plane size
  (bsc#1111666).
- drm/vgem: fix use-after-free when drm_gem_handle_create()
  fails (bsc#1111666).
- drm/amd/display: Clear stream->mode_changed after commit
  (bsc#1111666).
- drm/amd/display: Don't re-program planes for DPMS changes
  (bsc#1111666).
- drm/amd/display: Disconnect mpcc when changing tg (bsc#1111666).
- drm: rcar-du: add missing of_node_put (bsc#1111666).
- drm/amd/display: Enable vblank interrupt during CRC capture
  (bsc#1111666).
- drm/vkms: Bugfix extra vblank frame (bsc#1111666).
- commit 37b7e2f
* Tue Apr  9 2019 tiwai@suse.de
- cpufreq: intel_pstate: Also use CPPC nominal_perf for
  base_frequency (bsc#1111666).
- commit 9855865
* Tue Apr  9 2019 tiwai@suse.de
- batman-adv: fix warning in function batadv_v_elp_get_throughput
  (bsc#1111666).
- commit a59f9af
* Tue Apr  9 2019 tiwai@suse.de
- ACPI / CPPC: Fix guaranteed performance handling (bsc#1111666).
- commit a740f6a
* Tue Apr  9 2019 tiwai@suse.de
- ACPI: EC: Look for ECDT EC after calling acpi_load_tables()
  (bsc#1111666).
- commit b42d175
* Tue Apr  9 2019 tiwai@suse.de
- ACPI: EC / PM: Disable non-wakeup GPEs for suspend-to-idle
  (bsc#1111666).
- commit 8d6c78d
* Tue Apr  9 2019 tiwai@suse.de
- ACPICA: Clear status of GPEs before enabling them (bsc#1111666).
- commit ce9d635
* Tue Apr  9 2019 tiwai@suse.de
- Disable kgdboc failed by echo space to
  /sys/module/kgdboc/parameters/kgdboc (bsc#1051510).
- commit b2052bc
* Tue Apr  9 2019 hare@suse.de
- dm: disable DISCARD if the underlying storage no longer supports
  it (bsc#1114638).
- nvme: add proper discard setup for the multipath device
  (bsc#1114638).
- nvme: only reconfigure discard if necessary (bsc#1114638).
- commit da20e0a
* Tue Apr  9 2019 oneukum@suse.com
- crypto: caam - add missing put_device() call (bsc#1129770).
- commit 160936b
* Tue Apr  9 2019 osalvador@suse.de
- mm/page_isolation.c: fix a wrong flag in
  set_migratetype_isolate() (bsc#1131935).
- commit adffe77
* Tue Apr  9 2019 fabian.baumanis@suse.com
- blacklist.conf: Prerequisites would be too invasive
- commit 53a57ca
* Tue Apr  9 2019 nborisov@suse.com
- btrfs: Avoid possible qgroup_rsv_size overflow in
  btrfs_calculate_inode_block_rsv_size (git-fixes).
- btrfs: Fix bound checking in qgroup_trace_new_subtree_blocks
  (git-fixes).
- commit e57933e
* Tue Apr  9 2019 dkirjanov@suse.com
- cxgb4: Mask out interrupts that are not enabled (bsc#1127175).
- commit 3062605
* Tue Apr  9 2019 dkirjanov@suse.com
- cxgb4: add per rx-queue counter for packet errors (bsc#1127371).
- commit 1e45816
* Tue Apr  9 2019 osalvador@suse.de
- mm/debug.c: fix __dump_page when mapping->host is not set
  (bsc#1131934).
- commit 49f8973
* Tue Apr  9 2019 hare@suse.de
- block: kABI fixes for bio_rewind_iter() removal (bsc#1131673).
- block: remove bio_rewind_iter() (bsc#1131673).
- commit ed035ef
* Tue Apr  9 2019 neilb@suse.com
- NFSv4.1: Reinitialise sequence results before retransmitting
  a request (git-fixes).
- Refresh
  patches.kabi/NFSv4.1-Fix-up-replays-of-interrupted-requests.patch.
- commit c0890e9
* Tue Apr  9 2019 neilb@suse.com
- NFS: Fix a typo in nfs_init_timeout_values() (git-fixes).
- NFSv4/flexfiles: Fix invalid deref in FF_LAYOUT_DEVID_NODE()
  (git-fixes).
- NFS/pnfs: Bulk destroy of layouts needs to be safe w.r.t. umount
  (git-fixes).
- NFS: Fix a soft lockup in the delegation recovery code
  (git-fixes).
- fs/nfs: Fix nfs_parse_devname to not modify it's argument
  (git-fixes).
- NFS: Don't recoalesce on error in nfs_pageio_complete_mirror()
  (git-fixes).
- NFS: Fix an I/O request leakage in nfs_do_recoalesce
  (git-fixes).
- NFS: Fix I/O request leakages (git-fixes).
- sunrpc: fix 4 more call sites that were using stack memory
  with a scatterlist (git-fixes).
- nfsd4: catch some false session retries (git-fixes).
- nfsd4: fix cached replies to solo SEQUENCE compounds
  (git-fixes).
- commit f540a8d
* Tue Apr  9 2019 neilb@suse.com
- NFSv4.1 don't free interrupted slot on open (git-fixes).
- NFS: fix mount/umount race in nlmclnt (git-fixes).
- NFS: Don't use page_file_mapping after removing the page
  (git-fixes).
- commit 85579ed
* Tue Apr  9 2019 neilb@suse.com
- md: Fix failed allocation of md_register_thread (git-fixes).
- It's wrong to add len to sector_nr in raid10 reshape twice
  (git-fixes).
- md/raid1: don't clear bitmap bits on interrupted recovery
  (git-fixes).
- md/raid5: fix 'out of memory' during raid cache recovery
  (git-fixes).
- commit d04c4f2
* Mon Apr  8 2019 msuchanek@suse.de
- powerpc/mm/hash: Handle mmap_min_addr correctly in
  get_unmapped_area topdown search (bsc#1131900).
- powerpc/hugetlb: Handle mmap_min_addr correctly in
  get_unmapped_area callback (bsc#1131900).
- commit 01e3e7d
* Mon Apr  8 2019 msuchanek@suse.de
- powerpc/mm: Check secondary hash page table (bsc#1065729).
- commit 705707e
* Mon Apr  8 2019 msuchanek@suse.de
- powerpc/kvm: Save and restore host AMR/IAMR/UAMOR (bsc#1061840).
- powerpc/powernv/ioda: Fix locked_vm counting for memory used
  by IOMMU tables (bsc#1061840).
- powerpc/powernv: Don't reprogram SLW image on every KVM guest
  entry/exit (bsc#1061840).
- powerpc: Fix 32-bit KVM-PR lockup and host crash with MacOS
  guest (bsc#1061840).
- powerpc/powernv: Remove never used pnv_power9_force_smt4
  (bsc#1061840).
- powerpc/powernv/ioda: Allocate indirect TCE levels of cached
  userspace addresses on demand (bsc#1061840).
- KVM: PPC: Book3S HV: Fix race between kvm_unmap_hva_range and
  MMU mode switch (bsc#1061840).
- powerpc/powernv/ioda2: Remove redundant free of TCE pages
  (bsc#1061840).
- commit 793f82e
* Mon Apr  8 2019 msuchanek@suse.de
- powerpc/perf: Remove l2 bus events from HW cache event array
  (bsc#1053043).
- powerpc/perf: Fix unit_sel/cache_sel checks (bsc#1053043).
- commit 9d44872
* Mon Apr  8 2019 msuchanek@suse.de
- blacklist
  0bbea75c476b powerpc/traps: fix recoverability of machine check handling on book3s/32
  179ab1cbf883 powerpc/64: Add CONFIG_PPC_BARRIER_NOSPEC
- commit cd08784
* Mon Apr  8 2019 tiwai@suse.de
- wlcore: Fix memory leak in case wl12xx_fetch_firmware failure
  (bsc#1051510).
- commit 6809a3d
* Mon Apr  8 2019 tiwai@suse.de
- wil6210: check null pointer in _wil_cfg80211_merge_extra_ies
  (bsc#1051510).
- commit 6b4747c
* Mon Apr  8 2019 tiwai@suse.de
- usb: chipidea: Grab the (legacy) USB PHY by phandle first
  (bsc#1051510).
- usb: f_fs: Avoid crash due to out-of-scope stack ptr access
  (bsc#1051510).
- commit 0b2fd5e
* Mon Apr  8 2019 tiwai@suse.de
- sysctl: handle overflow for file-max (bsc#1051510).
- commit a956e89
* Mon Apr  8 2019 tiwai@suse.de
- SoC: imx-sgtl5000: add missing put_device() (bsc#1051510).
- soc: qcom: gsbi: Fix error handling in gsbi_probe()
  (bsc#1051510).
- soc/tegra: fuse: Fix illegal free of IO base address
  (bsc#1051510).
- commit dc51183
* Mon Apr  8 2019 tiwai@suse.de
- staging: rtl8712: uninitialized memory in read_bbreg_hdl()
  (bsc#1051510).
- commit 155de9a
* Mon Apr  8 2019 tiwai@suse.de
- phy: sun4i-usb: Support set_mode to USB_HOST for non-OTG PHYs
  (bsc#1051510).
- commit cb64f79
* Mon Apr  8 2019 tiwai@suse.de
- mt7601u: bump supported EEPROM version (bsc#1051510).
- commit 208ba38
* Mon Apr  8 2019 tiwai@suse.de
- media: sh_veu: Correct return type for mem2mem buffer helpers
  (bsc#1051510).
- media: s5p-jpeg: Correct return type for mem2mem buffer helpers
  (bsc#1051510).
- media: s5p-g2d: Correct return type for mem2mem buffer helpers
  (bsc#1051510).
- media: mx2_emmaprp: Correct return type for mem2mem buffer
  helpers (bsc#1051510).
- media: mtk-jpeg: Correct return type for mem2mem buffer helpers
  (bsc#1051510).
- media: mt9m111: set initial frame size other than 0x0
  (bsc#1051510).
- commit 90a0ddb
* Mon Apr  8 2019 ohering@suse.de
- scsi: storvsc: Fix calculation of sub-channel count
  (fate#323887).
- hv_netvsc: Fix unwanted wakeup after tx_disable (fate#323887).
- commit 306cf38
* Mon Apr  8 2019 ohering@suse.de
- Add mainline tag to hv_storvsc_ringbuffer_size patch
- commit 9dfac18
* Mon Apr  8 2019 tiwai@suse.de
- iio: adc: fix warning in Qualcomm PM8xxx HK/XOADC driver
  (bsc#1051510).
- commit 6caf79b
* Mon Apr  8 2019 tiwai@suse.de
- hwrng: virtio - Avoid repeated init of completion (bsc#1051510).
- commit bf42009
* Mon Apr  8 2019 tiwai@suse.de
- HID: intel-ish-hid: avoid binding wrong ishtp_cl_device
  (bsc#1051510).
- HID: intel-ish: ipc: handle PIMR before ish_wakeup also clear
  PISR busy_clear bit (bsc#1051510).
- commit ae1bdb3
* Mon Apr  8 2019 msuchanek@suse.de
- blacklist.conf: blacklist ppc/32bit and ppc/embedded commits
  b45ba4a51cde powerpc/lib: fix book3s/32 boot failure due to code patching
  9580b71b5a78 powerpc/32: Clear on-stack exception marker upon exception return
  039daac55269 powerpc/fsl: Fixed warning: orphan section `__btb_flush_fixup'
  76a5eaa38b15 powerpc/fsl: Add infrastructure to fixup branch predictor flush
  1cbf8990d79f powerpc/fsl: Add macro to flush the branch predictor
  f633a8ad636e powerpc/fsl: Add nospectre_v2 command line argument
  10c5e83afd4a powerpc/fsl: Flush the branch predictor at each kernel entry (64bit)
  7fef436295bf powerpc/fsl: Flush the branch predictor at each kernel entry (32 bit)
  3bc8ea8603ae powerpc/fsl: Enable runtime patching if nospectre_v2 boot arg is used
  dfa88658fb05 powerpc/fsl: Update Spectre v2 reporting
  36da5ff0bea2 powerpc/83xx: Also save/restore SPRG4-7 during suspend
  6d183ca8baec powerpc/wii: properly disable use of BATs when requested.
- commit b0dd199
* Mon Apr  8 2019 tiwai@suse.de
- gpio: of: Fix of_gpiochip_add() error path (bsc#1051510).
- gpio: adnp: Fix testing wrong value in adnp_gpio_direction_input
  (bsc#1051510).
- gpio: gpio-omap: fix level interrupt idling (bsc#1051510).
- commit 4bb2e39
* Mon Apr  8 2019 msuchanek@suse.de
- powerpc/mm: Add missing tracepoint for tlbie (bsc#1055117,
  git-fixes).
- powerpc64/ftrace: Include ftrace.h needed for enable/disable
  calls (bsc#1088804, git-fixes).
- commit c88ea21
* Mon Apr  8 2019 tiwai@suse.de
- fm10k: Fix a potential NULL pointer dereference (bsc#1051510).
- commit bbe540e
* Mon Apr  8 2019 tiwai@suse.de
- fbdev: fbmem: fix memory access if logo is bigger than the
  screen (bsc#1051510).
- commit d825899
* Mon Apr  8 2019 tiwai@suse.de
- e1000e: Fix -Wformat-truncation warnings (bsc#1051510).
- e1000e: fix cyclic resets at link up with active tx
  (bsc#1051510).
- commit 4f78665
* Mon Apr  8 2019 tiwai@suse.de
- drm/i915/gvt: do not deliver a workload if its creation fails
  (bsc#1051510).
- drm: Auto-set allow_fb_modifiers when given modifiers at plane
  init (bsc#1051510).
- drm/nouveau: Stop using drm_crtc_force_disable (bsc#1051510).
- drm/dp/mst: Configure no_stop_bit correctly for remote i2c xfers
  (bsc#1051510).
- commit 1e63ac0
* Mon Apr  8 2019 tiwai@suse.de
- dmaengine: tegra: avoid overflow of byte tracking (bsc#1051510).
- dmaengine: imx-dma: fix warning comparison of distinct pointer
  types (bsc#1051510).
- dmaengine: qcom_hidma: assign channel cookie correctly
  (bsc#1051510).
- commit 503f9a0
* Mon Apr  8 2019 tiwai@suse.de
- cpupowerutils: bench - Fix cpu online check (bsc#1051510).
- commit a829aa9
* Mon Apr  8 2019 tiwai@suse.de
- clk: rockchip: fix frac settings of GPLL clock for rk3328
  (bsc#1051510).
- clk: fractional-divider: check parent rate only if flag is set
  (bsc#1051510).
- commit 142df98
* Mon Apr  8 2019 tiwai@suse.de
- cdrom: Fix race condition in cdrom_sysctl_register
  (bsc#1051510).
- commit a569b56
* Mon Apr  8 2019 tiwai@suse.de
- batman-adv: Reduce tt_global hash refcnt only for removed entry
  (bsc#1051510).
- batman-adv: Reduce tt_local hash refcnt only for removed entry
  (bsc#1051510).
- batman-adv: Reduce claim hash refcnt only for removed entry
  (bsc#1051510).
- commit 6d5f647
* Mon Apr  8 2019 tiwai@suse.de
- ASoC: fsl-asoc-card: fix object reference leaks in
  fsl_asoc_card_probe (bsc#1051510).
- commit 0c80b58
* Mon Apr  8 2019 tiwai@suse.de
- ALSA: PCM: check if ops are defined before suspending PCM
  (bsc#1051510).
- commit 3af8a26
* Mon Apr  8 2019 oneukum@suse.com
- RAS/CEC: Check the correct variable in the debugfs error
  handling (bsc#1085535).
- commit b4b7dc8
* Mon Apr  8 2019 oneukum@suse.com
- blacklist.conf: cleanup that breaks kABI (removing exported macros)
- commit 0f9dd9c
* Mon Apr  8 2019 oneukum@suse.com
- lightnvm: if LUNs are already allocated fix return
  (bsc#1085535).
- commit 7a5f19f
* Mon Apr  8 2019 jack@suse.cz
- ext4: cleanup bh release code in ext4_ind_remove_space()
  (bsc#1131851).
  Conflicts:
    series.conf
- ext4: cleanup bh release code in ext4_ind_remove_space()
  (bsc#1131851).
- commit 85c4156
* Mon Apr  8 2019 tbogendoerfer@suse.de
- net: sched: introduce and use qdisc tree flush/purge helpers
  (bsc#1109837).
- net: sched: introduce and use qstats read helpers (bsc#1109837).
- xdp: fix cpumap redirect SKB creation bug (bsc#1109837).
- net/mlx5e: Update xon formula (bsc#1103990 FATE#326006).
- net/mlx5e: Update xoff formula (bsc#1103990 FATE#326006).
- net: mlx5: Add a missing check on idr_find, free buf
  (bsc#1103990 FATE#326006).
- net: core: netif_receive_skb_list: unlist skb before passing
  to pt->func (bsc#1109837).
- nfp: disable netpoll on representors (bsc#1109837).
- sched: Avoid dereferencing skb pointer after child enqueue
  (bsc#1109837).
- nfp: run don't require Qdiscs on representor netdevs
  (bsc#1109837).
- nfp: run representor TX locklessly (bsc#1109837).
- net: sched: prio: delay destroying child qdiscs on change
  (bsc#1109837).
- net: sched: red: delay destroying child qdisc on replace
  (bsc#1109837).
- commit b79be6d
* Mon Apr  8 2019 fdmanana@suse.com
- Btrfs: fix assertion failure on fsync with NO_HOLES enabled
  (bsc#1131848).
- commit 344ee60
* Mon Apr  8 2019 fdmanana@suse.com
- btrfs: remove WARN_ON in log_dir_items (bsc#1131847).
- commit 3905aef
* Mon Apr  8 2019 fdmanana@suse.com
- Btrfs: fix incorrect file size after shrinking truncate and
  fsync (bsc#1130195).
- commit 16559ac
* Mon Apr  8 2019 tzimmermann@suse.de
- drm/i915/gvt: do not let pin count of shadow mm go negative (bsc#1113722)
- commit adbe28f
* Mon Apr  8 2019 tzimmermann@suse.de
- drm/i915/gvt: Add in context mmio 0x20D8 to gen9 mmio list (bsc#1113722)
- commit b9f4942
* Mon Apr  8 2019 tzimmermann@suse.de
- drm/rockchip: vop: reset scale mode when win is disabled (bsc#1113722)
- commit 766b520
* Mon Apr  8 2019 oneukum@suse.com
- USB: serial: cp210x: fix GPIO in autosuspend (bsc#1120902).
- commit c2fe95d
* Mon Apr  8 2019 jthumshirn@suse.de
- blacklist.conf: 47b16820c490 ("xsysace: Fix error handling in ace_setup")
  Xilinx SystemACE is unsupported.
- commit 5aa9dd7
* Mon Apr  8 2019 jthumshirn@suse.de
- blacklist.conf: 02db99548d36 ("nvmet: fix building bvec from sg list") is
  only needed with file-backed namespace, so only backport it to SLE15-SP1.
- commit 14a4b83
* Mon Apr  8 2019 jthumshirn@suse.de
- nvmet: fix building bvec from sg list (bsc#1131837).
- commit 70dafbd
* Mon Apr  8 2019 oneukum@suse.com
- blacklist.conf: unsupported Atom version
- commit 19dc7a1
* Mon Apr  8 2019 osalvador@suse.de
- s390/pkey: move pckmo subfunction available checks away from
  module init (bsc#1128544).
- commit bf44580
* Mon Apr  8 2019 jack@suse.cz
- patches.fixes/mm-huge_memory.c-fix-modifying-of-page-protection-by-insert_pfn_pmd.patch:
  Update tags
- commit 6abd3db
* Fri Apr  5 2019 msuchanek@suse.de
- ibmvnic: Fix completion structure initialization (bsc#1131659).
- commit 64ed59b
* Thu Apr  4 2019 msuchanek@suse.de
- Linux v5.0-rc7: bcm2835 MMC issues (bsc#1070872).
- commit add15c8
* Thu Apr  4 2019 jeffm@suse.com
- scsi: libsas: allocate sense buffer for bsg queue (bsc#1131467).
  This patch obsoletes the following patches and they have been removed:
- patches.fixes/bsg-Do-not-copy-sense-if-no-response-buffer-is-alloc.patch.
- patches.suse/mpt3sas-check-sense-buffer-before-copying-sense-data.patch.
- commit a55f096
* Thu Apr  4 2019 msuchanek@suse.de
- powerpc/vdso64: Fix CLOCK_MONOTONIC inconsistencies across Y2038
  (bsc#1131587).
- commit 5da8af1
* Thu Apr  4 2019 msuchanek@suse.de
- powerpc/vdso32: fix CLOCK_MONOTONIC on PPC64 (bsc#1131587).
- commit ceb6b90
* Thu Apr  4 2019 jthumshirn@suse.de
- Refresh
  patches.drivers/nvmet-tcp-add-NVMe-over-TCP-target-driver.patch.
  The NVMe over Fabrics TCP Transport was introduced in the upstream kernel
  after commit aa563d7bca6e ("iov_iter: Separate type from direction and use
  accessor functions") changed the way a iov iterator is initialized.
  This causes the BUG_ON() in iov_iter_bvec() checking if the ITER_BVEC flag is
  set to trigger, as the newer upstream variant doesn't need this anymore.
  Set the flag in nvmet_tcp_map_pdu_iovec()'s call to iov_iter_kvec() and
  we're safe again.
- commit 91b3150
* Thu Apr  4 2019 jeyu@suse.de
- blacklist.conf: blacklist some unneeded git-fixes for kbuild
- commit abe6c5a
* Thu Apr  4 2019 jthumshirn@suse.de
- Refresh
  patches.drivers/nvme-tcp-add-NVMe-over-TCP-host-driver.patch.
  The NVMe over Fabrics TCP Transport was introduced in the upstream kernel
  after commit aa563d7bca6e ("iov_iter: Separate type from direction and use
  accessor functions") changed the way a iov iterator is initialized.
  This causes the BUG_ON() in iov_iter_bvec(), checking if the ITER_BVEC flag is
  set, to trigger, as the newer upstream variant doesn't need this anymore.
  Set the flag in nvme_tcp_init_iter()'s call to iov_iter_bvec() and we're safe
  again.
- commit cd6148e
* Thu Apr  4 2019 ptesarik@suse.cz
- net/smc: fix smc_poll in SMC_INIT state (bsc#1129855
  LTC#176251).
- commit 4c282db
* Thu Apr  4 2019 ptesarik@suse.cz
- net/smc: fix byte_order for rx_curs_confirmed (bsc#1129855
  LTC#176251).
- Refresh patches.fixes/net-smc-reset-cursor-update-required-flag.
- commit 75db115
* Thu Apr  4 2019 ptesarik@suse.cz
- kABI: protect struct smc_link (bsc#1129861 LTC#176250).
- commit 6fb7140
* Thu Apr  4 2019 tiwai@suse.de
- Revive the wrongly reverted i915 patch (bsc#1113956)
  The revert was needed only for SLE15.
  Removed from the blacklist entry, too.
- commit 50e78d2
* Thu Apr  4 2019 neilb@suse.com
- sunrpc/cache: handle missing listeners better (bsc#1126221).
- commit 222e680
* Wed Apr  3 2019 tiwai@suse.de
- ALSA: hda/realtek - Add quirk for Tuxedo XC 1509 (bsc#1131442).
- commit 8e330f3
* Wed Apr  3 2019 msuchanek@suse.de
- Fix struct page kABI after adding atomic for ppc (bsc#1131326,
  bsc#1108937).
- commit be14dd3
* Wed Apr  3 2019 dkirjanov@suse.com
- net_sched: acquire RTNL in tc_action_net_exit() (git-fixes).
- commit 8f2ce8d
* Wed Apr  3 2019 msuchanek@suse.de
- powerpc/64s: Fix page table fragment refcount race vs
  speculative references (bsc#1131326, bsc#1108937).
- commit 5305157
* Wed Apr  3 2019 dkirjanov@suse.com
- netlink: fix nla_put_{u8,u16,u32} for KASAN (git-fixes).
- commit 923fbed
* Wed Apr  3 2019 dkirjanov@suse.com
- ip6_tunnel: fix ip6 tunnel lookup in collect_md mode
  (git-fixes).
- commit 5540e41
* Wed Apr  3 2019 dkirjanov@suse.com
- net/hsr: Check skb_put_padto() return value (git-fixes).
- commit eaaa0aa
* Wed Apr  3 2019 mbenes@suse.cz
- blacklist.conf: 0c671812f152 ("objtool: Move objtool_file struct off the stack")
  Optimization only.
- commit 95167b9
* Wed Apr  3 2019 tiwai@suse.de
- drm/i915/icl: Fix VEBOX mismatch BUG_ON() (bsc#1111666).
- drm/i915/selftests: Fix an IS_ERR() vs NULL check (bsc#1111666).
- drm/rockchip: vop: reset scale mode when win is disabled
  (bsc#1111666).
- drm/vkms: fix use-after-free when drm_gem_handle_create()
  fails (bsc#1111666).
- commit 134e53b
* Wed Apr  3 2019 tiwai@suse.de
- drm/i915/gvt: Fix MI_FLUSH_DW parsing with correct index check
  (bsc#1051510).
- drm/meson: Uninstall IRQ handler (bsc#1051510).
- drm/meson: Fix invalid pointer in meson_drv_unbind()
  (bsc#1051510).
- commit ca8e7de
* Wed Apr  3 2019 tiwai@suse.de
- ALSA: hda/realtek - Add support headset mode for DELL WYSE AIO
  (bsc#1051510).
- ALSA: hda/realtek - Add support headset mode for New DELL WYSE
  NB (bsc#1051510).
- Refresh
  patches.drivers/ALSA-hda-realtek-Enable-ASUS-X441MB-and-X705FD-heads.patch.
- Refresh
  patches.drivers/ALSA-hda-realtek-Enable-headset-MIC-of-Acer-AIO-with.patch.
- commit a592cc5
* Wed Apr  3 2019 tiwai@suse.de
- leds: pca9532: fix a potential NULL pointer dereference
  (bsc#1051510).
- serial: sh-sci: Fix setting SCSCR_TIE while transferring data
  (bsc#1051510).
- tty: atmel_serial: fix a potential NULL pointer dereference
  (bsc#1051510).
- serial: max310x: Fix to avoid potential NULL pointer dereference
  (bsc#1051510).
- USB: serial: option: add Olicard 600 (bsc#1051510).
- USB: serial: cp210x: add new device id (bsc#1051510).
- USB: serial: ftdi_sio: add additional NovaTech products
  (bsc#1051510).
- USB: serial: option: add support for Quectel EM12 (bsc#1051510).
- usb: mtu3: fix EXTCON dependency (bsc#1051510).
- xhci: Don't let USB3 ports stuck in polling state prevent
  suspend (bsc#1051510).
- xhci: Fix port resume done detection for SS ports with LPM
  enabled (bsc#1051510).
- usb: host: xhci-rcar: Add XHCI_TRUST_TX_LENGTH quirk
  (bsc#1051510).
- mISDN: hfcpci: Test both vendor & device ID for Digium HFC4S
  (bsc#1051510).
- Bluetooth: Check L2CAP option sizes returned from
  l2cap_get_conf_opt (bsc#1051510).
- video: fbdev: Set pixclock = 0 in goldfishfb (bsc#1051510).
- commit 178f505
* Wed Apr  3 2019 jack@suse.cz
- Move merged patch to sorted section.
- commit f8a5a36
* Wed Apr  3 2019 jack@suse.cz
- mm/huge_memory.c: fix modifying of page protection by
  insert_pfn_pmd() (bsc#1126740).
- commit f2d3c27
* Tue Apr  2 2019 palcantara@suse.de
- CIFS: Fix read after write for files with read caching
  (bsc#1051510).
- commit 3e38596
* Tue Apr  2 2019 palcantara@suse.de
- CIFS: Do not reset lease state to NONE on lease break
  (bsc#1051510).
- commit fa36ef9
* Tue Apr  2 2019 palcantara@suse.de
- CIFS: Do not count -ENODATA as failure for query directory
  (bsc#1051510).
- commit 6e009d6
* Tue Apr  2 2019 palcantara@suse.de
- CIFS: Fix credit calculation for encrypted reads with errors
  (bsc#1051510).
- commit a3abad5
* Tue Apr  2 2019 fdmanana@suse.com
- btrfs: save drop_progress if we drop refs at all (bsc#1131336).
- commit 4b84d75
* Tue Apr  2 2019 palcantara@suse.de
- CIFS: Fix credits calculations for reads with errors
  (bsc#1051510).
- commit dea8577
* Tue Apr  2 2019 fdmanana@suse.com
- btrfs: check for refs on snapshot delete resume (bsc#1131335).
- commit aaca681
* Tue Apr  2 2019 palcantara@suse.de
- CIFS: Do not reconnect TCP session in add_credits()
  (bsc#1051510).
- commit 270290e
* Tue Apr  2 2019 palcantara@suse.de
- CIFS: Fix possible hang during async MTU reads and writes
  (bsc#1051510).
- commit 3617549
* Tue Apr  2 2019 palcantara@suse.de
- cifs: Fix potential OOB access of lock element array
  (bsc#1051510).
- commit 10b82f5
* Tue Apr  2 2019 palcantara@suse.de
- CIFS: Do not hide EINTR after sending network packets
  (bsc#1051510).
- commit 2e205b5
* Tue Apr  2 2019 palcantara@suse.de
- CIFS: Fix adjustment of credits for MTU requests (bsc#1051510).
- commit 877d080
* Tue Apr  2 2019 palcantara@suse.de
- cifs: don't dereference smb_file_target before null check
  (bsc#1051510).
- commit 4ceb2b6
* Tue Apr  2 2019 jeyu@suse.de
- kbuild: modversions: Fix relative CRC byte order interpretation
  (bsc#1131290).
- commit fbd5ed2
* Mon Apr  1 2019 jack@suse.cz
- ext4: fix EXT4_IOC_SWAP_BOOT (bsc#1131180).
- commit 6300d9f
* Mon Apr  1 2019 jack@suse.cz
- ext4: update quota information while swapping boot loader inode
  (bsc#1131179).
- commit 698c374
* Mon Apr  1 2019 jack@suse.cz
- ext4: cleanup pagecache before swap i_data (bsc#1131178).
- commit 6cc247a
* Mon Apr  1 2019 jack@suse.cz
- ext4: fix check of inode in swap_inode_boot_loader
  (bsc#1131177).
- commit e7db433
* Mon Apr  1 2019 jack@suse.cz
- patches.fixes/mm-Fix-modifying-of-page-protection-by-insert_pfn.patch:
  Update tags.
- commit b903146
* Mon Apr  1 2019 jack@suse.cz
- ext4: add missing brelse() in add_new_gdb_meta_bg()
  (bsc#1131176).
- commit dfe0576
* Mon Apr  1 2019 jack@suse.cz
- udf: Fix crash on IO error during truncate (bsc#1131175).
- commit c18f321
* Mon Apr  1 2019 jack@suse.cz
- ext2: Fix underflow in ext2_max_size() (bsc#1131174).
- commit 84e6e73
* Mon Apr  1 2019 jack@suse.cz
- ext4: brelse all indirect buffer in ext4_ind_remove_space()
  (bsc#1131173).
- commit 9721810
* Mon Apr  1 2019 jack@suse.cz
- ext4: fix data corruption caused by unaligned direct AIO
  (bsc#1131172).
- commit feb5c5f
* Mon Apr  1 2019 jack@suse.cz
- ext4: fix NULL pointer dereference while journal is aborted
  (bsc#1131171).
- commit 92c9de9
* Mon Apr  1 2019 jack@suse.cz
- ext4: add mask of ext4 flags to swap (bsc#1131170).
- commit 99206bf
* Mon Apr  1 2019 jack@suse.cz
- ocfs2: fix inode bh swapping mixup in ocfs2_reflink_inodes_lock
  (bsc#1131169).
- commit 4a73aec
* Mon Apr  1 2019 jack@suse.cz
- jbd2: fix compile warning when using JBUFFER_TRACE
  (bsc#1131168).
- commit c3e6bb8
* Mon Apr  1 2019 jack@suse.cz
- jbd2: clear dirty flag when revoking a buffer from an older
  transaction (bsc#1131167).
- commit a421763
* Mon Apr  1 2019 tiwai@suse.de
- Revert drm/i915 patches that caused regressions (bsc#1131062)
  Deleted:
  patches.drm/0001-drm-i915-Use-the-correct-crtc-when-sanitizing-plane-.patch
  patches.drm/0001-drm-i915-fbdev-Actually-configure-untiled-displays.patch
  blacklist.conf: added two entries above
- commit 0e4b019
* Mon Apr  1 2019 ohering@suse.de
- x86/kvm/hyper-v: avoid spurious pending stimer on vCPU init
  (fate#323887).
- commit b03caa5
* Mon Apr  1 2019 msuchanek@suse.de
- powerpc/security: Fix spectre_v2 reporting (bsc#1131107).
- powerpc/fsl: Fix spectre_v2 mitigations reporting (bsc#1131107).
- powerpc/powernv: Query firmware for count cache flush settings
  (bsc#1131107).
- powerpc/pseries: Query hypervisor for count cache flush settings
  (bsc#1131107).
- powerpc/64s: Add support for software count cache flush
  (bsc#1131107).
- powerpc/64s: Add new security feature flags for count cache
  flush (bsc#1131107).
- powerpc/asm: Add a patch_site macro & helpers for patching
  instructions (bsc#1131107).
- powerpc/64: Call setup_barrier_nospec() from setup_arch()
  (bsc#1131107).
- powerpc/64: Make stf barrier PPC_BOOK3S_64 specific
  (bsc#1131107).
- powerpc/64: Disable the speculation barrier from the command
  line (bsc#1131107).
- commit e6638b6
* Mon Apr  1 2019 oneukum@suse.com
- usb: common: Consider only available nodes for dr_mode
  (bsc#1129770).
- commit 1ee54b2
* Mon Apr  1 2019 oneukum@suse.com
- usb: cdc-acm: fix race during wakeup blocking TX traffic
  (bsc#1129770).
- commit 6b4c74d
* Mon Apr  1 2019 oneukum@suse.com
- USB: gadget: f_hid: fix deadlock in f_hidg_write()
  (bsc#1129770).
- commit 231f4ae
* Mon Apr  1 2019 oneukum@suse.com
- USB: serial: option: set driver_info for SIM5218 and compatibles
  (bsc#1129770).
- commit 83ea3de
* Mon Apr  1 2019 oneukum@suse.com
- USB: serial: mos7720: fix mos_parport refcount imbalance on
  error path (bsc#1129770).
- commit 875c985
* Mon Apr  1 2019 tbogendoerfer@suse.de
- net: phy: don't clear BMCR in genphy_soft_reset (bsc#1119113
  FATE#326472).
- bpf: verifier: propagate liveness on all frames (bsc#1109837).
- net: hns3: fix for not calculating tx bd num correctly
  (bsc#1126390).
- commit f0d6e74
* Mon Apr  1 2019 tbogendoerfer@suse.de
- Refresh patches.suse/xsk-fix-umem-memory-leak-on-cleanup.patch.
  Added upstream commit id and moved to sorted section.
- commit ec76e48
* Mon Apr  1 2019 msuchanek@suse.de
- Refresh patches.arch/pseries-energy-Use-OF-accessor-function-to-read-ibm-.patch
- Refresh patches.drivers/ibmvscsi-Fix-empty-event-pool-access-during-host-rem.patch.
- Refresh patches.drivers/ibmvscsi-Protect-ibmvscsi_head-from-concurrent-modif.patch.
- commit fdf19d9
* Mon Apr  1 2019 jroedel@suse.de
- iommu/amd: Reserve exclusion range in iova-domain (bsc#1130425).
- iommu: Don't print warning when IOMMU driver only supports
  unmanaged domains (bsc#1130130).
- commit 0d6792b
* Mon Apr  1 2019 msuchanek@suse.de
- x86/cpu: Add Atom Tremont (Jacobsville) (FATE#327454).
- commit 3c49c7d
* Mon Apr  1 2019 msuchanek@suse.de
- powerpc/pseries/mce: Fix misleading print for TLB mutlihit
  (bsc#1094244, git-fixes).
- commit f2a2099
* Mon Apr  1 2019 msuchanek@suse.de
- powercap: intel_rapl: add support for Jacobsville (FATE#327454).
- commit e9c57f5
* Mon Apr  1 2019 msuchanek@suse.de
- thermal/intel_powerclamp: fix truncated kthread name
  (FATE#326597).
- commit 8eb43dd
* Mon Apr  1 2019 tzimmermann@suse.de
- drm/i915/gvt: Don't submit request for error workload dispatch (bsc1113956)
- commit 20cbe4e
* Mon Apr  1 2019 neilb@suse.com
- nfsd: fix memory corruption caused by readdir (bsc#1127445).
- commit 45887fc
* Mon Apr  1 2019 neilb@suse.com
- nfsd: fix memory corruption caused by readdir (bsc#1127445).
- commit d7221f2
* Sun Mar 31 2019 bp@suse.de
- x86/mce: Improve error message when kernel cannot recover, p2
  (bsc#1114279).
- blacklist.conf:
- x86/CPU/AMD: Set the CPB bit unconditionally on F17h
  (bsc#1114279).
- x86/uaccess: Don't leak the AC flag into __put_user() value
  evaluation (bsc#1114279).
- commit 8d74308
* Sat Mar 30 2019 tiwai@suse.de
- ALSA: hda/realtek - Fix speakers on Acer Predator Helios 500
  Ryzen laptops (bsc#1051510).
- ALSA: hda/ca0132 - Simplify alt firmware loading code
  (bsc#1051510).
- ALSA: hda/realtek: Enable headset MIC of ASUS X430UN and X512DK
  with ALC256 (bsc#1051510).
- commit a3d7223
* Sat Mar 30 2019 tiwai@suse.de
- Delete a USB patch that has been reverted in upstream
- Delete
  patches.drivers/USB-core-only-clean-up-what-we-allocated.patch.
- blacklist.conf: updated
- commit ce8dfae
* Sat Mar 30 2019 tiwai@suse.de
- ALSA: pcm: Don't suspend stream in unrecoverable PCM state
  (bsc#1051510).
- ALSA: pcm: Fix possible OOB access in PCM oss plugins
  (bsc#1051510).
- ALSA: hda/realtek: Enable headset mic of ASUS P5440FF with
  ALC256 (bsc#1051510).
- ALSA: hda/realtek: Enable ASUS X441MB and X705FD headset MIC
  with ALC256 (bsc#1051510).
- ALSA: hda/realtek - Add support for Acer Aspire E5-523G/ES1-432
  headset mic (bsc#1051510).
- ALSA: hda/realtek: Enable headset MIC of Acer Aspire Z24-890
  with ALC286 (bsc#1051510).
- ALSA: seq: oss: Fix Spectre v1 vulnerability (bsc#1051510).
- ALSA: rawmidi: Fix potential Spectre v1 vulnerability
  (bsc#1051510).
- commit 69f1f87
* Fri Mar 29 2019 ohering@suse.de
- hv: reduce storvsc_ringbuffer_size from 1M to 128K to simplify
  booting with 1k vcpus (fate#323887).
- commit 3adae84
* Fri Mar 29 2019 tiwai@suse.de
- PCI: designware-ep: dw_pcie_ep_set_msi() should only set MMC
  bits (bsc#1051510).
- Refresh
  patches.drivers/PCI-designware-ep-Fix-get_msi-to-check-MSI_EN-bit.
- commit 4500d8d
* Fri Mar 29 2019 tiwai@suse.de
- rhashtable: Still do rehash when we get EEXIST (bsc#1051510).
- commit c19465e
* Fri Mar 29 2019 tiwai@suse.de
- soc: fsl: qbman: avoid race in clearing QMan interrupt
  (bsc#1051510).
- serial: imx: Update cached mctrl value when changing RTS
  (bsc#1051510).
- commit d010558
* Fri Mar 29 2019 tiwai@suse.de
- tpm: Fix some name collisions with drivers/char/tpm.h
  (bsc#1051510).
- tpm/tpm_crb: Avoid unaligned reads in crb_recv() (bsc#1051510).
- tpm_tis_spi: Pass the SPI IRQ down to the driver (bsc#1051510).
- commit 6cd0a4a
* Fri Mar 29 2019 tiwai@suse.de
- uio: Reduce return paths from uio_write() (bsc#1051510).
- USB: core: only clean up what we allocated (bsc#1051510).
- commit ab0f288
* Fri Mar 29 2019 tbogendoerfer@suse.de
- net: ena: update driver version from 2.0.2 to 2.0.3 (bsc#1129276
  bsc#1125342).
- commit 369fffc
* Fri Mar 29 2019 tiwai@suse.de
- ALSA: hda/realtek: Enable headset MIC of Acer AIO with ALC286
  (bsc#1051510).
- ALSA: hda - Enforces runtime_resume after S3 and S4 for each
  codec (bsc#1051510).
- ALSA: hda - Record the current power state before suspend/resume
  calls (bsc#1051510).
- commit de6e070
* Thu Mar 28 2019 ptesarik@suse.cz
- kmsg: Update message catalog to latest IBM level (2019/03/08)
  (LTC#176080, bsc#1128909).
- commit 9e96256
* Thu Mar 28 2019 oneukum@suse.com
- blacklist.conf: kABI
- commit ae0ea58
* Thu Mar 28 2019 oneukum@suse.com
- blacklist.conf: cleanup
- commit ef4abe8
* Thu Mar 28 2019 oneukum@suse.com
- media: vb2: don't call __vb2_queue_cancel if vb2_start_streaming
  failed (bsc#1119086).
- commit fbc0f52
* Thu Mar 28 2019 tbogendoerfer@suse.de
- ethtool: Ensure new ring parameters are within bounds during
  SRINGPARAM (bsc#1130836).
- commit c330d7f
* Thu Mar 28 2019 oneukum@suse.com
- blacklist.conf: unsupported architecture
- commit 1b8dc44
* Thu Mar 28 2019 oneukum@suse.com
- blacklist.conf: our kernel configs build
- commit 47fd8e3
* Thu Mar 28 2019 oneukum@suse.com
- blacklist.conf: just a cleanup
- commit e8b7243
* Thu Mar 28 2019 oneukum@suse.com
- media: rc: mce_kbd decoder: fix stuck keys (bsc#1100132).
- commit 9e1c047
* Thu Mar 28 2019 oneukum@suse.com
- blacklist.conf: drops support for old hardware
- commit ebbb144
* Thu Mar 28 2019 oneukum@suse.com
- blacklist.conf: breaks kABI
- commit a09f690
* Thu Mar 28 2019 oneukum@suse.com
- blacklist.conf: breaks kABI
- commit 3726cc3
* Thu Mar 28 2019 oneukum@suse.com
- Input: uinput - fix undefined behavior in
  uinput_validate_absinfo() (bsc#1120902).
- commit c89d255
* Thu Mar 28 2019 jack@suse.cz
- arch/powerpc/dax: Add MAP_SYNC mmap flag (bsc#1130607).
- commit f083233
* Thu Mar 28 2019 glin@suse.com
- bpf: do not restore dst_reg when cur_state is freed (bsc#1068032
  CVE-2017-5753 bsc#1124055 CVE-2019-7308).
- commit 9276bbc
* Thu Mar 28 2019 jslaby@suse.cz
- memremap: fix softlockup reports at teardown (bnc#1130154).
- commit 6db61c3
* Wed Mar 27 2019 lduncan@suse.com
- scsi: libiscsi: fix possible NULL pointer dereference in case
  of TMF (bsc#1127378).
- commit 54a0fde
* Wed Mar 27 2019 tiwai@suse.de
- qmi_wwan: apply SET_DTR quirk to Sierra WP7607 (bsc#1051510).
- qmi_wwan: Fix qmap header retrieval in qmimux_rx_fixup
  (bsc#1051510).
- commit 42461a9
* Wed Mar 27 2019 tiwai@suse.de
- power: supply: charger-manager: Fix incorrect return value
  (bsc#1051510).
- commit c557f72
* Wed Mar 27 2019 tiwai@suse.de
- nfit: Fix nfit_intel_shutdown_status() command submission
  (bsc#1111666).
- commit a7cedc4
* Wed Mar 27 2019 tiwai@suse.de
- mwifiex: don't advertise IBSS features without FW support
  (bsc#1111666).
- commit 57840b2
* Wed Mar 27 2019 tiwai@suse.de
- libertas_tf: don't set URB_ZERO_PACKET on IN USB transfer
  (bsc#1051510).
- commit 8f82e45
* Wed Mar 27 2019 tiwai@suse.de
- iscsi_ibft: Fix missing break in switch statement (bsc#1051510).
- irqchip/mmp: Only touch the PJ4 IRQ & FIQ bits on enable/disable
  (bsc#1051510).
- kbuild: fix false positive warning/error about missing libelf
  (bsc#1051510).
- kasan: fix shadow_size calculation error in kasan_module_alloc
  (bsc#1051510).
- commit e0d199f
* Wed Mar 27 2019 tiwai@suse.de
- irqchip/gic-v3-its: Fix comparison logic in lpi_range_cmp
  (bsc#1111666).
- commit 32f7642
* Wed Mar 27 2019 tiwai@suse.de
- irqchip/gic-v3-its: Avoid parsing _indirect_ twice for Device
  table (bsc#1051510).
- commit 3d1d012
* Wed Mar 27 2019 tiwai@suse.de
- Input: cap11xx - switch to using set_brightness_blocking()
  (bsc#1051510).
- commit 2da52af
* Wed Mar 27 2019 tiwai@suse.de
- media: v4l2-ctrls.c/uvc: zero v4l2_event (bsc#1051510).
- Bluetooth: hci_ldisc: Postpone HCI_UART_PROTO_READY bit set
  in hci_uart_set_proto() (bsc#1051510).
- Bluetooth: hci_ldisc: Initialize hci_dev before open()
  (bsc#1051510).
- Bluetooth: Fix decrementing reference count twice in releasing
  socket (bsc#1051510).
- pwm-backlight: Enable/disable the PWM before/after LCD enable
  toggle (bsc#1051510).
- rtc: Fix overflow when converting time64_t to rtc_time
  (bsc#1051510).
- commit f283d41
* Wed Mar 27 2019 tiwai@suse.de
- blacklist.conf: remove duplicated or already backported entries
- commit 0b2053b
* Wed Mar 27 2019 tiwai@suse.de
- ASoC: samsung: Prevent clk_get_rate() calls in atomic context
  (bsc#1111666).
- commit f9383d8
* Tue Mar 26 2019 fdmanana@suse.com
- Btrfs: fix deadlock between clone/dedupe and rename
  (bsc#1130518).
- commit cf4e851
* Tue Mar 26 2019 oneukum@suse.com
- Refresh
  patches.drivers/0001-iwlwifi-nvm-get-num-of-hw-addresses-from-firmware.patch.
- commit 6a5dbcd
* Tue Mar 26 2019 oneukum@suse.com
- PCI: pciehp: Fix re-enabling the slot marked for safe removal.
- Update
  patches.fixes/0001-PCI-pciehp-Assign-ctrl-slot_ctrl-before-writing-it-t.patch
  (bsc#1120301).
- commit 1991d30
* Mon Mar 25 2019 ggherdovich@suse.cz
- ACPI: acpi_pad: Do not launch acpi_pad threads on idle cpus
  (bsc#1113399).
- commit e7efd4e
* Mon Mar 25 2019 lhenriques@suse.com
- libceph: wait for latest osdmap in ceph_monc_blacklist_add() (bsc#1130427).
- commit 175d167
* Mon Mar 25 2019 tiwai@suse.de
- rtc: pm8xxx: fix unintended sign extension (bsc#1051510).
- rtc: 88pm80x: fix unintended sign extension (bsc#1051510).
- rtc: 88pm860x: fix unintended sign extension (bsc#1051510).
- rtc: ds1672: fix unintended sign extension (bsc#1051510).
- rtc: cmos: ignore bogus century byte (bsc#1051510).
- commit cef4199
* Mon Mar 25 2019 tiwai@suse.de
- serial: 8250_of: assume reg-shift of 2 for mrvl,mmp-uart
  (bsc#1051510).
- serial: fsl_lpuart: fix maximum acceptable baud rate with
  over-sampling (bsc#1051510).
- commit d6bf923
* Mon Mar 25 2019 tiwai@suse.de
- rtc: ds1307: correct register offset for rx8130 (bsc#1111666).
- commit 764bc35
* Mon Mar 25 2019 tiwai@suse.de
- rtc: ds1307: rx8130: Fix alarm handling (bsc#1111666).
- commit 1794aa5
* Mon Mar 25 2019 tiwai@suse.de
- PCI/ASPM: Use LTR if already enabled by platform (bsc#1111666).
- mac80211: call drv_ibss_join() on restart (bsc#1111666).
- commit b37ef62
* Mon Mar 25 2019 tiwai@suse.de
- ASoC: topology: free created components in tplg load error
  (bsc#1111666).
- commit 467a9fa
* Mon Mar 25 2019 lhenriques@suse.com
- libceph: wait for latest osdmap in ceph_monc_blacklist_add()
  (bsc#1130412).
- commit 2bd4ca7
* Mon Mar 25 2019 tiwai@suse.de
- thermal: bcm2835: Fix crash in bcm2835_thermal_debugfs
  (bsc#1051510).
- auxdisplay: hd44780: Fix memory leak on ->remove()
  (bsc#1051510).
- mmc: pxamci: fix enum type confusion (bsc#1051510).
- drm/i915: Relax mmap VMA check (bsc#1051510).
- cpufreq: pxa2xx: remove incorrect __init annotation
  (bsc#1051510).
- PM / wakeup: Rework wakeup source timer cancellation
  (bsc#1051510).
- clk: ingenic: Fix doc of ingenic_cgu_div_info (bsc#1051510).
- clk: ingenic: Fix round_rate misbehaving with non-integer
  dividers (bsc#1051510).
- clk: clk-twl6040: Fix imprecise external abort for pdmclk
  (bsc#1051510).
- i2c: tegra: fix maximum transfer size (bsc#1051510).
- cpcap-charger: generate events for userspace (bsc#1051510).
- usb: phy: twl6030-usb: fix possible use-after-free on remove
  (bsc#1051510).
- device property: Fix the length used in PROPERTY_ENTRY_STRING()
  (bsc#1051510).
- cpufreq: tegra124: add missing of_node_put() (bsc#1051510).
- clocksource/drivers/exynos_mct: Clear timer interrupt when
  shutdown (bsc#1051510).
- clocksource/drivers/exynos_mct: Move one-shot check from tick
  clear to ISR (bsc#1051510).
- spi: pxa2xx: Setup maximum supported DMA transfer length
  (bsc#1051510).
- spi: ti-qspi: Fix mmap read when more than one CS in use
  (bsc#1051510).
- spi/topcliff_pch: Fix potential NULL dereference on allocation
  error (bsc#1051510).
- regulator: s2mpa01: Fix step values for some LDOs (bsc#1051510).
- regulator: max77620: Initialize values for DT properties
  (bsc#1051510).
- mac80211_hwsim: propagate genlmsg_reply return code
  (bsc#1051510).
- clk: sunxi-ng: v3s: Fix TCON reset de-assert bit (bsc#1051510).
- Input: st-keyscan - fix potential zalloc NULL dereference
  (bsc#1051510).
- Input: matrix_keypad - use flush_delayed_work() (bsc#1051510).
- auxdisplay: ht16k33: fix potential user-after-free on module
  unload (bsc#1051510).
- drm/imx: imx-ldb: add missing of_node_puts (bsc#1051510).
- drm/imx: ignore plane updates on disabled crtcs (bsc#1051510).
- mac80211: Fix Tx aggregation session tear down with ITXQs
  (bsc#1051510).
- usb: phy: fix link errors (bsc#1051510).
- usb: gadget: Potential NULL dereference on allocation error
  (bsc#1051510).
- usb: dwc3: gadget: Fix the uninitialized link_state when udc
  starts (bsc#1051510).
- usb: dwc3: gadget: synchronize_irq dwc irq in suspend
  (bsc#1051510).
- clk: vc5: Abort clock configuration without upstream clock
  (bsc#1051510).
- commit 6cb451f
* Mon Mar 25 2019 jack@suse.cz
- Move ext4 fix to sorted section.
- commit bc353a8
* Mon Mar 25 2019 jack@suse.cz
- ext4: Avoid panic during forced reboot (bsc#1126356).
- commit 395e2df
* Mon Mar 25 2019 palcantara@suse.de
- SMB3: Fix SMB3.1.1 guest mounts to Samba (bsc#1051510).
- commit 42fc847
* Mon Mar 25 2019 palcantara@suse.de
- cifs: allow guest mounts to work for smb3.11 (bsc#1051510).
- commit b9f1747
* Mon Mar 25 2019 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Add back kernel-binary-base subpackage
  (jsc#SLE-3853).
- commit 54b6646
* Mon Mar 25 2019 tbogendoerfer@suse.de
- net/mlx5: Fix DCT creation bad flow (bsc#1103990 FATE#326006).
- commit 1dddc23
* Mon Mar 25 2019 dkirjanov@suse.com
- net/ncsi: Stop monitor if channel times out or is inactive
  (git-fixes).
- commit 51f02cc
* Mon Mar 25 2019 dkirjanov@suse.com
- net/ncsi: Fix AEN HNCDSC packet length (git-fixes).
- commit 131fc0a
* Mon Mar 25 2019 dkirjanov@suse.com
- rtnetlink: check DO_SETLINK_NOTIFY correctly in do_setlink
  (git-fixes).
- commit 67433ca
* Mon Mar 25 2019 dkirjanov@suse.com
- rtnetlink: bring NETDEV_CHANGEUPPER event process back in
  rtnetlink_event (git-fixes).
- commit 40c26cb
* Mon Mar 25 2019 dkirjanov@suse.com
- rtnetlink: bring NETDEV_POST_TYPE_CHANGE event process back
  in rtnetlink_event (git-fixes).
- commit 84885e6
* Mon Mar 25 2019 dkirjanov@suse.com
- rtnetlink: bring NETDEV_CHANGE_TX_QUEUE_LEN event process back
  in rtnetlink_event (git-fixes).
- commit 285df6b
* Mon Mar 25 2019 dkirjanov@suse.com
- Revert "ipv4: keep skb->dst around in presence of IP options"
  (git-fixes).
- commit 533ed1e
* Mon Mar 25 2019 dkirjanov@suse.com
- ip6: fix PMTU discovery when using /127 subnets (git-fixes).
- commit 8b09618
* Mon Mar 25 2019 dkirjanov@suse.com
- netfilter: check for seqadj ext existence before adding it in
  nf_nat_setup_info (git-fixes).
- commit 1475b19
* Mon Mar 25 2019 tzimmermann@suse.de
- drm/amd/powerplay: correct power reading on fiji (bsc#1113956)
- commit 15ec7e3
* Mon Mar 25 2019 tzimmermann@suse.de
- drm/amd/display: don't call dm_pp_ function from an fpu block (bsc#1113956)
- commit af51036
* Mon Mar 25 2019 jroedel@suse.de
- iommu/vt-d: Check capability before disabling protected memory
  (bsc#1130338).
- iommu/amd: fix sg->dma_address for sg->offset bigger than
  PAGE_SIZE (bsc#1130337).
- svm: Fix improper check when deactivate AVIC (bsc#1130335).
- iommu/amd: Fix NULL dereference bug in match_hid_uid
  (bsc#1130336).
- commit 59d980d
* Mon Mar 25 2019 jroedel@suse.de
- iommu/iova: Fix tracking of recently failed iova address (bsc#1130331).
- commit d70d21c
* Mon Mar 25 2019 ohering@suse.de
- x86/hyperv: Prevent potential NULL pointer dereference
  (fate#323887).
- commit 0353913
* Sat Mar 23 2019 dkirjanov@suse.com
- ip6mr: Do not call __IP6_INC_STATS() from preemptible context (git-fixes).
- commit a0e7de3
* Sat Mar 23 2019 tiwai@suse.de
- ALSA: hda/realtek: Enable headset MIC of Acer AIO with ALC286
  (bsc#1111666).
- ALSA: hda - Enforces runtime_resume after S3 and S4 for each
  codec (bsc#1111666).
- ALSA: hda - Don't trigger jackpoll_work in azx_resume
  (bsc#1111666).
- commit 37f0df4
* Fri Mar 22 2019 tiwai@suse.de
- ALSA: opl3: fix mismatch between snd_opl3_drum_switch definition
  and declaration (bsc#1051510).
- ALSA: hda - add Lenovo IdeaCentre B550 to the
  power_save_blacklist (bsc#1051510).
- ALSA: firewire-motu: use 'version' field of unit directory to
  identify model (bsc#1051510).
- ALSA: sb8: add a check for request_region (bsc#1051510).
- ALSA: echoaudio: add a check for ioremap_nocache (bsc#1051510).
- ALSA: firewire-motu: add support for Motu Traveler
  (bsc#1051510).
- ALSA: firewire-motu: add a flag for AES/EBU on XLR interface
  (bsc#1051510).
- ALSA: firewire: add const qualifier to identifiers for read-only
  symbols (bsc#1051510).
- ALSA: firewire-motu: add support for MOTU Audio Express
  (bsc#1051510).
- ALSA: firewire-motu: add specification flag for position of
  flag for MIDI messages (bsc#1051510).
- commit 44777c3
* Fri Mar 22 2019 msuchanek@suse.de
- Do not provide kernel-default-srchash from kernel-default-base.
- commit d6c71ce
* Fri Mar 22 2019 dkirjanov@suse.com
- net-sysfs: Fix mem leak in netdev_register_kobject (git-fixes).
- commit ab6d34b
* Fri Mar 22 2019 dkirjanov@suse.com
- ipv4/route: fail early when inet dev is missing (git-fixes).
- commit 2ab8395
* Fri Mar 22 2019 ptesarik@suse.cz
- Disable imported kABI for now for openSUSE-15.1 branch.
- Delete kabi/arm64/symtypes-default.
- Delete kabi/arm64/symvers-default.
- Delete kabi/ppc64le/symtypes-default.
- Delete kabi/ppc64le/symvers-default.
- Delete kabi/s390x/symtypes-default.
- Delete kabi/s390x/symvers-default.
- Delete kabi/x86_64/symtypes-default.
- Delete kabi/x86_64/symvers-default.
- commit 804d926
* Fri Mar 22 2019 ptesarik@suse.cz
- Update config files: Disable unusable drivers on s390x.
- commit e2c58f9
* Fri Mar 22 2019 hare@suse.de
- nvme: schedule requeue whenever a LIVE state is entered
  (bsc#1123105).
- commit 8d25e58
* Fri Mar 22 2019 ptesarik@suse.cz
- net/smc: check port_idx of ib event (bsc#1129861 LTC#176250).
- net/smc: check connections in smc_lgr_free_work (bsc#1129861
  LTC#176250).
- net/smc: reduce amount of status updates to peer (bsc#1129861
  LTC#176250).
- net/smc: no delay for free tx buffer wait (bsc#1129861
  LTC#176250).
- net/smc: move wake up of close waiter (bsc#1129861 LTC#176250).
- net/smc: reset cursor update required flag (bsc#1129861
  LTC#176250).
- net/smc: move code to clear the conn->lgr field (bsc#1129861
  LTC#176250).
- net/smc: use client and server LGR pending locks for SMC-R
  (bsc#1129861 LTC#176250).
- net/smc: unlock LGR pending lock earlier for SMC-D (bsc#1129861
  LTC#176250).
- net/smc: use smc_curs_copy() for SMC-D (bsc#1129861 LTC#176250).
- net/smc: postpone release of clcsock (bsc#1129861 LTC#176250).
- net/smc: correct state change for peer closing (bsc#1129861
  LTC#176250).
- net/smc: delete rkey first before switching to unused
  (bsc#1129861 LTC#176250).
- net/smc: fix sender_free computation (bsc#1129861 LTC#176250).
- net/smc: preallocated memory for rdma work requests (bsc#1129861
  LTC#176250).
- net/smc: fix use of variable in cleared area (bsc#1129861
  LTC#176250).
- net/smc: use device link provided in qp_context (bsc#1129861
  LTC#176250).
- net/smc: call smc_cdc_msg_send() under send_lock (bsc#1129861
  LTC#176250).
- net/smc: do not wait under send_lock (bsc#1129861 LTC#176250).
- net/smc: recvmsg and splice_read should return 0 after shutdown
  (bsc#1129861 LTC#176250).
- net/smc: don't wait for send buffer space when data was already
  sent (bsc#1129861 LTC#176250).
- net/smc: prevent races between smc_lgr_terminate() and
  smc_conn_free() (bsc#1129861 LTC#176250).
- net/smc: allow 16 byte pnetids in netlink policy (bsc#1129861
  LTC#176250).
- net/smc: fix another sizeof to int comparison (bsc#1129861
  LTC#176250).
- commit 046c37d
* Fri Mar 22 2019 ptesarik@suse.cz
- s390/ism: ignore some errors during deregistration (bsc#1129861
  LTC#176250).
- commit 9b3136b
* Fri Mar 22 2019 tiwai@suse.de
- Move the upstreamed drm vmwgfx patch into sorted section
  Also move to patches.drm subdirectory
- commit 31818d7
* Fri Mar 22 2019 tiwai@suse.de
- drm/i915/bios: assume eDP is present on port A when there is
  no VBT (bsc#1051510).
- drm/nouveau/debugfs: Fix check of pm_runtime_get_sync failure
  (bsc#1051510).
- commit 8e7b9bc
* Fri Mar 22 2019 ptesarik@suse.cz
- drm/vmwgfx: Return 0 when gmrid::get_node runs out of ID's
  (git-fixes).
- commit db2d606
* Fri Mar 22 2019 ptesarik@suse.cz
- drm/udl: use drm_gem_object_put_unlocked (git-fixes).
- commit f610232
* Thu Mar 21 2019 oneukum@suse.com
- USB: serial: option: add Telit ME910 ECM composition
  (bsc#1129770).
- commit 1dcab61
* Thu Mar 21 2019 oneukum@suse.com
- USB: serial: ftdi_sio: add ID for Hjelmslund Electronics USB485
  (bsc#1129770).
- USB: serial: cp210x: add ID for Ingenico 3070 (bsc#1129770).
- commit 98bf3ee
* Thu Mar 21 2019 oneukum@suse.com
- iwlwifi: mvm: fix firmware statistics usage (bsc#1129770).
- commit 23e27f9
* Thu Mar 21 2019 ptesarik@suse.cz
- perf/x86: Fixup typo in stub functions (git-fixes).
- commit 7e83ccd
* Thu Mar 21 2019 tiwai@suse.de
- Enable CONFIG_RDMA_RXE=m also for ppc64le (bsc#1107665,FATE#327552)
- commit 01b35ce
* Thu Mar 21 2019 ptesarik@suse.cz
- blacklist.conf: c634dc6bdede: perf/x86/intel: Make dev_attr_allow_tsx_force_abort static
- commit 3bc1e36
* Thu Mar 21 2019 ptesarik@suse.cz
- Update kabi files.
- commit a183a05
* Thu Mar 21 2019 dkirjanov@suse.com
- gro_cells: make sure device is up in gro_cells_receive()
  (git-fixes).
- commit 07d85fc
* Thu Mar 21 2019 tiwai@suse.de
- Fix a wrongly applied patch for mlxsw
  Refresh
  patches.fixes/0001-mlxsw-__mlxsw_sp_port_headroom_set-Fix-a-use-of-loca.patch.
- commit 464fcba
* Thu Mar 21 2019 dkirjanov@suse.com
- l2tp: fix infoleak in l2tp_ip6_recvmsg() (git-fixes).
- commit 868559e
* Thu Mar 21 2019 dkirjanov@suse.com
- tcp: handle inet_csk_reqsk_queue_add() failures (git-fixes).
- commit 4e8b58b
* Thu Mar 21 2019 jack@suse.cz
- blacklist.conf: Blacklist c9e716eb9b34 and 231fe82b5609
- commit 2748115
* Thu Mar 21 2019 dkirjanov@suse.com
- net: stmmac: fix broken dma_interrupt handling for multi-queues
  (git-fixes).
- commit fb85ef5
* Thu Mar 21 2019 dkirjanov@suse.com
- net: stmmac: Use mutex instead of spinlock (git-fixes).
- commit 09b11af
* Thu Mar 21 2019 msuchanek@suse.de
- scsi: ibmvscsi: Fix empty event pool access during host removal
  (bsc#1119019).
- scsi: ibmvscsi: Protect ibmvscsi_head from concurrent
  modificaiton (bsc#1119019).
- commit cc2e069
* Wed Mar 20 2019 msuchanek@suse.de
- ibmvscsi: Protect ibmvscsi_head from concurrent modificaiton
  (bsc#1119019).
- commit ab6b8c2
* Wed Mar 20 2019 jack@suse.cz
- patches.fixes/ext4-Fix-crash-during-online-resizing.patch: Update tags
- commit ab2b2e4
* Wed Mar 20 2019 jack@suse.cz
- blacklist.conf: Blacklist fanotify cleanup and intrusive loop device
  rework
- commit 888b615
* Wed Mar 20 2019 ptesarik@suse.cz
- Update kabi files.
- commit f575896
* Wed Mar 20 2019 dkirjanov@suse.com
- net/mlx5: fix uaccess beyond "count" in debugfs read/write handlers (git-fixes).
- commit 2a80c1f
* Wed Mar 20 2019 msuchanek@suse.de
- ibmvnic: Report actual backing device speed and duplex values
  (bsc#1129923).
- commit 4347029
* Wed Mar 20 2019 palcantara@suse.de
- smb3: remove noisy warning message on mount (bsc#1129664).
- commit a1f6570
* Wed Mar 20 2019 oneukum@suse.com
- Revert "PCI/PME: Implement runtime PM callbacks" (bsc#1129770).
- Refresh
  patches.drivers/PCI-PME-Fix-hotplug-sysfs-remove-deadlock-in-pcie_pm.patch.
- commit 877b9a2
* Wed Mar 20 2019 msuchanek@suse.de
- rpm/kernel-subpackage-build: handle arm kernel zImage.
- commit 81a63c3
* Wed Mar 20 2019 dkirjanov@suse.com
- net: thunderx: fix NULL pointer dereference in nic_remove (git-fixes).
- commit f02276a
* Wed Mar 20 2019 dkirjanov@suse.com
- mlxsw: __mlxsw_sp_port_headroom_set(): Fix a use of local variable (git-fixes).
- commit 69b065b
* Wed Mar 20 2019 hare@suse.de
- block_dev: fix crash on chained bios with O_DIRECT
  (bsc#1128094).
- Delete
  patches.fixes/bio-Introduce-BIO_ALLOCED-flag-and-check-it-in-bio_f.patch.
- commit 512ce8f
* Wed Mar 20 2019 dkirjanov@suse.com
- net: stmmac: handle endianness in dwmac4_get_timestamp (git-fixes).
- commit 5cdea6c
* Wed Mar 20 2019 jack@suse.cz
- Delete
  patches.fixes/block-loop-Use-global-lock-for-ioctl-operation.patch: It
  makes existing deadlocks much more probable (bsc#1129739).
- Delete patches.kabi/loop-lo_ctl_mutex-kabi-fixup.patch.
- commit 604f34a
* Wed Mar 20 2019 oneukum@suse.com
- PCI: pciehp: Assign ctrl->slot_ctrl before writing it to
  hardware (bsc#1120301).
- commit 8ce726b
* Wed Mar 20 2019 hare@suse.de
- scsi: mptsas: Fixup device hotplug for VMWare ESXi
  (bsc#1129046).
- commit a34b660
* Wed Mar 20 2019 dkirjanov@suse.com
- net: stmmac: Fix a race in EEE enable callback (git-fixes).
- commit ef5602d
* Wed Mar 20 2019 hare@suse.de
- ch: fixup refcounting imbalance for SCSI devices (bsc#1124235).
- ch: add missing mutex_lock()/mutex_unlock() in ch_release()
  (bsc#1124235).
- commit e1a0bf9
* Wed Mar 20 2019 fdmanana@suse.com
- Btrfs: fix fsync after succession of renames and unlink/rmdir
  (bsc#1126488).
- commit 773794e
* Wed Mar 20 2019 fdmanana@suse.com
- Btrfs: fix fsync after succession of renames of different files
  (bsc#1126481).
- commit e1d9100
* Wed Mar 20 2019 fdmanana@suse.com
- btrfs: simplify IS_ERR/PTR_ERR checks (bsc#1126481).
- commit db613f3
* Wed Mar 20 2019 hare@suse.de
- Refresh
  patches.fixes/nvme-multipath-zero-out-ANA-log-buffer.patch.
- commit 7b09980
* Wed Mar 20 2019 hare@suse.de
- nvme-pci: fix out of bounds access in nvme_cqe_pending
  (bsc#1127595).
- commit 1e8e6f4
* Wed Mar 20 2019 hare@suse.de
- nvme-pci: fix out of bounds access in nvme_cqe_pending
  (bsc#1127595).
- commit 278fbe1
* Wed Mar 20 2019 hare@suse.de
- Delete
  patches.fixes/block_dev-fix-crash-on-chained-bios-with-O_DIRECT.patch.
- commit 54fa6df
* Wed Mar 20 2019 tiwai@suse.de
- rpm/kernel-source.changes.old: Really drop old changelogs (bsc#1098995)
- commit c98a840
* Wed Mar 20 2019 hare@suse.de
- bio: Introduce BIO_ALLOCED flag and check it in bio_free
  (bsc#1128094).
- commit bc841e1
* Wed Mar 20 2019 hare@suse.de
- block_dev: fix crash on chained bios with O_DIRECT
  (bsc#1128094).
- commit 3bf2ca7
* Wed Mar 20 2019 ohering@suse.de
- Drivers: hv: vmbus: Change server monitor_pages index to 0
  (fate#323887).
- commit 198cdde
* Wed Mar 20 2019 ailiopoulos@suse.com
- xfs: fix contiguous dquot chunk iteration livelock
  (bsc#1070995).
- Refresh
  patches.fixes/0059-xfs-introduce-the-xfs_iext_cursor-abstraction.patch.
- commit 227ca72
* Wed Mar 20 2019 ailiopoulos@suse.com
- xfs: rewrite xfs_dq_get_next_id using xfs_iext_lookup_extent
  (bsc#1070995).
- Refresh
  patches.fixes/0059-xfs-introduce-the-xfs_iext_cursor-abstraction.patch.
- commit 76eca08
* Wed Mar 20 2019 ailiopoulos@suse.com
- xfs: Switch to iomap for SEEK_HOLE / SEEK_DATA (bsc#1070995).
- Refresh
  patches.suse/mm-pagevec-remove-cold-parameter-for-pagevecs.patch.
- commit 9de815a
* Wed Mar 20 2019 ailiopoulos@suse.com
- vfs: in iomap seek_{hole,data}, return -ENXIO for negative
  offsets (bsc#1070995).
- commit b78c862
* Wed Mar 20 2019 ailiopoulos@suse.com
- vfs: Add iomap_seek_hole and iomap_seek_data helpers
  (bsc#1070995).
- commit 125ebab
* Wed Mar 20 2019 ailiopoulos@suse.com
- vfs: Add page_cache_seek_hole_data helper (bsc#1070995).
- commit 05d2885
* Wed Mar 20 2019 palcantara@suse.de
- Don't log confusing message on reconnect by default
  (bsc#1129664).
- commit 385bd76
* Tue Mar 19 2019 ohering@suse.de
- Drivers: hv: vmbus: Expose counters for interrupts and full
  conditions (fate#323887).
- commit cea75a3
* Tue Mar 19 2019 tiwai@suse.de
- PCI: pciehp: Assign ctrl->slot_ctrl before writing it to
  hardware (bsc#1111666).
- commit 5c19c05
* Tue Mar 19 2019 tiwai@suse.de
- mac80211: allocate tailroom for forwarded mesh packets
  (bsc#1111666).
- commit a343eff
* Tue Mar 19 2019 ohering@suse.de
- x86/hyperv: Fix kernel panic when kexec on HyperV (fate#323887).
- PCI: hv: Add __aligned(8) to struct retarget_msi_interrupt
  (fate#323887).
- commit ea58c31
* Tue Mar 19 2019 ohering@suse.de
- add mainline tags to four iommu/hyper-v related patches
- commit 21c1228
* Tue Mar 19 2019 ptesarik@suse.cz
- Import SLE15-SP1 post-RC1 reference kabi.
- commit 973d7a4
* Tue Mar 19 2019 mgorman@suse.de
- sched: Do not re-read h_load_next during hierarchical load
  calculation (bnc#1120909).
- commit 50744d4
* Tue Mar 19 2019 tiwai@suse.de
- drm/v3d: Drop unused v3d_flush_caches() (bsc#1111666).
- commit 6b9b30b
* Tue Mar 19 2019 tbogendoerfer@suse.de
- RDMA/vmw_pvrdma: Support upto 64-bit PFNs (bsc#1127285).
- VMCI: Support upto 64-bit PPNs (bsc#1127286).
- commit 7ae051b
* Tue Mar 19 2019 tbogendoerfer@suse.de
- IB/hfi1: Close race condition on user context disable and close
  (bsc#1060463 FATE#323043).
- IB/core: Fix potential memory leak while creating MAD agents
  (bsc#1046306 FATE#322942).
- IB/core: Unregister notifier before freeing MAD security
  (bsc#1046306 FATE#322942).
- IB/core: Destroy QP if XRC QP fails (bsc#1046306 FATE#322942).
- bnxt_en: Wait longer for the firmware message response to
  complete (bsc#1086282 FATE#324873).
- bnxt_en: Fix typo in firmware message timeout logic (bsc#1086282
  FATE#324873).
- net: ena: fix race between link up and device initalization
  (bsc#1083548).
- net: Don't default Cavium PTP driver to 'y' (bsc#1110096).
- net/mlx5e: RX, Fix wrong early return in receive queue poll
  (bsc#1046305 FATE#322943).
- bpf/verifier: fix verifier instability (bsc#1056787).
- IB/mlx5: Unmap DMA addr from HCA before IOMMU (bsc#1046305
  FATE#322943).
- commit 125f009
* Tue Mar 19 2019 dkirjanov@suse.com
- net/mlx5e: IPoIB, Fix RX checksum statistics update (git-fixes).
- commit 71cdac7
* Tue Mar 19 2019 dkirjanov@suse.com
- nfp: bpf: fix ALU32 high bits clearance bug (git-fixes).
- commit 367fb07
* Tue Mar 19 2019 tbogendoerfer@suse.de
- net/tls: Inform user space about send buffer availability
  (bsc#1109837).
- net/mlx5: Avoid panic when setting vport mac, getting vport
  config (bsc#1103990 FATE#326006).
- net/mlx5: Fix multiple updates of steering rules in parallel
  (bsc#1103990 FATE#326006).
- net: hns3: fix to stop multiple HNS reset due to the AER changes
  (bsc#1104353 FATE#326415).
- xsk: fix to reject invalid options in Tx descriptor
  (bsc#1109837).
- xsk: fix to reject invalid flags in xsk_bind (bsc#1109837).
- net: hns3: add dma_rmb() for rx description (bsc#1104353
  FATE#326415).
- nfp: fix simple vNIC mailbox length (bsc#1109837).
- net: sched: flower: insert new filter to idr after setting
  its mask (bsc#1109837).
- net: hns3: Fix a logical vs bitwise typo (bsc#1126390).
- RDMA/hns: Use GFP_ATOMIC in hns_roce_v2_modify_qp (bsc#1104427
  FATE#326416).
- IB/rdmavt: Fix concurrency panics in QP post_send and modify
  to error (bsc#1114685 FATE#325854).
- RDMA/iwcm: Fix string truncation error (bsc#1103992
  FATE#326009).
- RDMA/mlx5: Fix memory leak in case we fail to add an IB device
  (bsc#1103991 FATE#326007).
- RDMA/device: Check that the rename is nop under the lock
  (bsc#1103992 FATE#326009).
- IB/mlx5: Do not use hw_access_flags for be and CPU data
  (bsc#1103991 FATE#326007).
- IB/ipoib: Make ipoib_intercept_dev_id_attr() static (bsc#1103992
  FATE#326009).
- RDMA/iw_cxgb4: Drop __GFP_NOFAIL (bsc#1104276 FATE#325935).
- IB/mlx5: Declare local functions 'static' (bsc#1103992
  FATE#326009).
- IB/core: Declare local functions 'static' (bsc#1103992
  FATE#326009).
- commit 8f013fa
* Tue Mar 19 2019 fdmanana@suse.com
- Btrfs: fix corruption reading shared and compressed extents
  after hole punching (bsc#1126476).
- commit 1d61d84
* Tue Mar 19 2019 dkirjanov@suse.com
- net: aquantia: fixed instack structure overflow (git-fixes).
- commit c892ebe
* Tue Mar 19 2019 dkirjanov@suse.com
- net: dsa: mv88e6xxx: handle unknown duplex modes gracefully in mv88e6xxx_port_set_duplex (git-fixes).
- commit ba7b5b5
* Tue Mar 19 2019 dkirjanov@suse.com
- vxlan: Fix GRO cells race condition between receive and link delete (git-fixes).
- commit c54aad9
* Tue Mar 19 2019 dkirjanov@suse.com
- vxlan: test dev->flags & IFF_UP before calling gro_cells_receive() (git-fixes).
- commit 551356a
* Tue Mar 19 2019 tiwai@suse.de
- 9p/net: fix memory leak in p9_client_create (bsc#1051510).
- 9p: use inode->i_lock to protect i_size_write() under 32-bit
  (bsc#1051510).
- commit d372807
* Mon Mar 18 2019 tiwai@suse.de
- drm/i915: Fix atomic state leak when resetting HDMI link
  (bsc#1111666).
- drm/etnaviv: fix some off by one bugs (bsc#1111666).
- drm: Merge __drm_atomic_helper_disable_all() into
  drm_atomic_helper_disable_all() (bsc#1111666).
- commit 3ce1947
* Mon Mar 18 2019 rgoldwyn@suse.com
- splice: don't merge into linked buffers (git-fixes).
- blacklist.conf: upstream 35f12f0f5c3b fix already present
- fs/devpts: always delete dcache dentry-s in dput() (git-fixes).
- fs/dcache: Fix incorrect nr_dentry_unused accounting in
  shrink_dcache_sb() (git-fixes).
- proc/sysctl: don't return ENOMEM on lookup when a table is
  unregistering (git-fixes).
- commit 5249441
* Mon Mar 18 2019 mbenes@suse.cz
- tracing: Use strncpy instead of memcpy for string keys in hist
  triggers (bsc#1129625).
- commit e69f9ce
* Mon Mar 18 2019 mbenes@suse.cz
- tracing: Do not free iter->trace in fail path of
  tracing_open_pipe() (bsc#1129581).
- commit a28b9f0
* Mon Mar 18 2019 dkirjanov@suse.com
- net/mlx4_core: Fix reset flow when in command polling mode
  (git-fixes).
- commit 4d63fec
* Mon Mar 18 2019 nsaenzjulienne@suse.de
- clk: imx: Make parent_names const pointer in composite-8m
  (git-fixes).
- commit 462aa50
* Mon Mar 18 2019 dkirjanov@suse.com
- net/mlx4_core: Fix locking in SRIOV mode when switching between
  events and polling (git-fixes).
- commit 95405a1
* Mon Mar 18 2019 dkirjanov@suse.com
- net/mlx4_core: Fix qp mtt size calculation (git-fixes).
- commit 7ce612a
* Mon Mar 18 2019 dkirjanov@suse.com
- pptp: dst_release sk_dst_cache in pptp_sock_destruct
  (git-fixes).
- commit 1643380
* Mon Mar 18 2019 hare@suse.de
- nvme: flush namespace scanning work just before removing
  namespaces (bsc#1108101).
- commit c470403
* Mon Mar 18 2019 ohering@suse.de
- add mainline tags for two hyperv iommu patches
- commit aaca951
* Mon Mar 18 2019 jthumshirn@suse.de
- libnvdimm/pmem: Honor force_raw for legacy pmem regions
  (bsc#1129551).
- commit aa5d398
* Mon Mar 18 2019 jthumshirn@suse.de
- nfit: acpi_nfit_ctl(): Check out_obj->type in the right place
  (bsc#1129547).
- commit 6d08305
* Mon Mar 18 2019 jthumshirn@suse.de
- libnvdimm/label: Clear 'updating' flag after label-set update
  (bsc#1129543).
- commit 9178f22
* Mon Mar 18 2019 jthumshirn@suse.de
- blacklist.conf: Blacklist '5bc373ff2540 nvmet: fix indentation'
- commit e0af3a9
* Mon Mar 18 2019 tiwai@suse.de
- Move upstreamed patches into sorted section
  Along with the update of patch tags
- commit 78a41b7
* Mon Mar 18 2019 ptesarik@suse.cz
- Refresh
  patches.fixes/nvme-fc-reject-reconnect-if-io-queue-count-is-reduce.patch.
- commit b78feaf
* Mon Mar 18 2019 msuchanek@suse.de
- Trim build dependencies of sample subpackage spec file (FATE#326579,
  jsc#SLE-4117, jsc#SLE-3853, bsc#1128910).
- commit 2eae420
* Mon Mar 18 2019 tzimmermann@suse.de
- drm/etnaviv: potential NULL dereference (bsc#1113722)
- commit 15c0a6e
* Mon Mar 18 2019 tzimmermann@suse.de
- drm/etnaviv: NULL vs IS_ERR() buf in etnaviv_core_dump() (bsc#1113722)
- commit 34ac361
* Mon Mar 18 2019 tzimmermann@suse.de
- fbdev: chipsfb: remove set but not used variable 'size' (bsc#1113722)
- commit 2f00fb2
* Mon Mar 18 2019 ohering@suse.de
- scsi: storvsc: Fix a race in sub-channel creation that can
  cause panic (fate#323887).
- commit 3c327bf
* Mon Mar 18 2019 kbuild@suse.de
- Delete patches.kabi/* workarounds
- commit 34b3835
* Mon Mar 18 2019 jslaby@suse.cz
- cifs: Fix NULL pointer dereference of devname (bnc#1129519).
- commit c18b394
* Mon Mar 18 2019 wqu@suse.com
- btrfs: reloc: Fix NULL pointer dereference due to expanded
  reloc_root lifespan (bsc#1129497).
- commit 8078fe0
* Sat Mar 16 2019 dkirjanov@suse.com
- net/mlx5: Use multi threaded workqueue for page fault handling
  (git-fixes).
- commit 3211369
* Sat Mar 16 2019 dkirjanov@suse.com
- net/mlx5: Return success for PAGE_FAULT_RESUME in internal
  error state (git-fixes).
- commit 4f2b6f9
* Sat Mar 16 2019 dkirjanov@suse.com
- net/mlx5: Release resource on error flow (git-fixes).
- commit 82036aa
* Sat Mar 16 2019 tiwai@suse.de
- ALSA: hda/realtek - Add support headset mode for New DELL WYSE
  NB (bsc#1051510).
- ALSA: hda/realtek - Add support headset mode for DELL WYSE AIO
  (bsc#1051510).
- ALSA: hda/realtek: merge alc_fixup_headset_jack to
  alc295_fixup_chromebook (bsc#1051510).
- ALSA: hda: hdmi - add Icelake support (bsc#1111666).
- ALSA: hda - add more quirks for HP Z2 G4 and HP Z240
  (bsc#1111666).
- ALSA: hda/realtek - Fixed Headset Mic JD not stable
  (bsc#1111666).
- ALSA: hda/realtek: Enable headset MIC of Acer TravelMate
  X514-51T with ALC255 (bsc#1111666).
- ALSA: usx2y: Fix potential NULL pointer dereference
  (bsc#1111666).
- commit 70c5aa3
* Fri Mar 15 2019 msuchanek@suse.de
- Revert "Revert "Drop multiversion(kernel) from the KMP template (fate#323189)""
  This feature was requested for SLE15 but aws reverted in packaging and
  master.
- Revert "Revert "Drop multiversion(kernel) from the KMP template (fate#323189)""
  This feature was requested for SLE15 so it should be preserved in SP1
  even if it makes no sense until a reverse feature is approved.
- commit bb2780b
* Fri Mar 15 2019 msuchanek@suse.de
- Revert "KMPs: obsolete older KMPs of the same flavour (bsc#1127155, bsc#1109137)."
  This reverts commit 821419f311f3edd58124e551664a2362b62671d6.
- commit e9ac6b7
* Fri Mar 15 2019 msuchanek@suse.de
- Revert "KMPs: provide and conflict a kernel version specific KMP name"
  This reverts commit 5568093d5dbacaeb60b6e0f7f4bbe384b586b82a.
- commit 244e5c5
* Fri Mar 15 2019 ailiopoulos@suse.com
- xfs: remove filestream item xfs_inode reference (bsc#1127961).
- commit 77ac5bf
* Fri Mar 15 2019 bp@suse.de
- x86/intel_rdt: Show missing resctrl mount options (fate#325749).
- commit 93358ed
* Fri Mar 15 2019 tiwai@suse.de
- misc: hpilo: Do not claim unsupported hardware (bsc#1129330).
- misc: hpilo: Exclude unsupported device via blacklist
  (bsc#1129330).
- commit 839f28f
* Fri Mar 15 2019 jroedel@suse.de
- blacklist.conf: Add 826c1362e79a x86/kvm/nVMX: don't skip emulated instruction twice when vmptr address is not backed
- commit 0dd4c85
* Fri Mar 15 2019 nsaenzjulienne@suse.de
- dt-bindings: clock: imx8mq: Fix numbering overlaps and gaps
  (git-fixes).
- clk: imx: imx8mq: Fix the rate propagation for arm pll
  (git-fixes).
- clk: imx8mq: Fix the CLKO2 source select list (git-fixes).
- commit 978ad6a
* Fri Mar 15 2019 tiwai@suse.de
- applicom: Fix potential Spectre v1 vulnerabilities
  (bsc#1051510).
- commit 1a09022
* Fri Mar 15 2019 tiwai@suse.de
- apparmor: Fix aa_label_build() error handling for failed merges
  (bsc#1051510).
- commit 0bdab75
* Fri Mar 15 2019 tiwai@suse.de
- clk: uniphier: Fix update register for CPU-gear (bsc#1051510).
- clk: sunxi-ng: sun8i-a23: Enable PLL-MIPI LDOs when ungating it
  (bsc#1051510).
- clk: dove: fix refcount leak in dove_clk_init() (bsc#1051510).
- clk: mv98dx3236: fix refcount leak in mv98dx3236_clk_init()
  (bsc#1051510).
- clk: armada-xp: fix refcount leak in axp_clk_init()
  (bsc#1051510).
- clk: kirkwood: fix refcount leak in kirkwood_clk_init()
  (bsc#1051510).
- clk: armada-370: fix refcount leak in a370_clk_init()
  (bsc#1051510).
- clk: vf610: fix refcount leak in vf610_clocks_init()
  (bsc#1051510).
- clk: imx7d: fix refcount leak in imx7d_clocks_init()
  (bsc#1051510).
- clk: imx6sx: fix refcount leak in imx6sx_clocks_init()
  (bsc#1051510).
- clk: imx6q: fix refcount leak in imx6q_clocks_init()
  (bsc#1051510).
- clk: samsung: exynos4: fix refcount leak in exynos4_get_xom()
  (bsc#1051510).
- clk: socfpga: fix refcount leak (bsc#1051510).
- clk: qoriq: fix refcount leak in clockgen_init() (bsc#1051510).
- clk: highbank: fix refcount leak in hb_clk_init() (bsc#1051510).
- clk: sunxi: A31: Fix wrong AHB gate number (bsc#1051510).
- commit b702993
* Fri Mar 15 2019 tiwai@suse.de
- clocksource/drivers/exynos_mct: Fix error path in timer
  resources initialization (bsc#1051510).
- clocksource/drivers/sun5i: Fail gracefully when clock rate is
  unavailable (bsc#1051510).
- commit 08bd77d
* Fri Mar 15 2019 tiwai@suse.de
- dmaengine: mv_xor: Use correct device for DMA API (bsc#1051510).
- dmaengine: sa11x0: drop useless LIST_HEAD (bsc#1051510).
- dmaengine: pl330: drop useless LIST_HEAD (bsc#1051510).
- dmaengine: st_fdma: drop useless LIST_HEAD (bsc#1051510).
- dmaengine: dw: drop useless LIST_HEAD (bsc#1051510).
- dmaengine: at_hdmac: drop useless LIST_HEAD (bsc#1051510).
- commit 79d5aed
* Fri Mar 15 2019 tiwai@suse.de
- driver core: Do not resume suppliers under
  device_links_write_lock() (bsc#1051510).
- commit 78f7e3b
* Fri Mar 15 2019 tiwai@suse.de
- enic: fix build warning without CONFIG_CPUMASK_OFFSTACK
  (bsc#1051510).
- commit fa4faec
* Fri Mar 15 2019 tiwai@suse.de
- geneve: correctly handle ipv6.disable module parameter
  (bsc#1051510).
- commit 91b6670
* Fri Mar 15 2019 tiwai@suse.de
- blacklist.conf: Add a superfluous entry of stable 4.14.y fix
- commit a9ad895
* Fri Mar 15 2019 jroedel@suse.de
- blacklist.conf: Add 24c41220659e x86/mm: Remove unused variable 'old_pte'
- commit 7fdcaa7
* Fri Mar 15 2019 tiwai@suse.de
- sky2: Disable MSI on Dell Inspiron 1545 and Gateway P-79
  (bsc#1051510).
- staging: rtl8723bs: Fix build error with Clang when inlining
  is disabled (bsc#1051510).
- commit ad62660
* Fri Mar 15 2019 tiwai@suse.de
- ACPI / device_sysfs: Avoid OF modalias creation for removed
  device (bsc#1051510).
- nfit/ars: Attempt short-ARS even in the no_init_ars case
  (bsc#1051510).
- nfit/ars: Attempt a short-ARS whenever the ARS state is idle
  at boot (bsc#1051510).
- acpi/nfit: Fix bus command validation (bsc#1051510).
- commit 3bd51ff
* Fri Mar 15 2019 jroedel@suse.de
- blacklist.conf: Add 0192e6535ebe x86/kprobes: Prohibit probing on optprobe template code
- commit cb9bc08
* Fri Mar 15 2019 hare@suse.de
- Refresh
  patches.fixes/nvme-fc-reject-reconnect-if-io-queue-count-is-reduce.patch.
- commit 509db55
* Fri Mar 15 2019 jroedel@suse.de
- Moved patches.fixes/x86-add-tsx-force-abort-cpuid-msr.patch
  to patches.arch/ and added upstream tags (bsc#1129363)
  patches.arch/x86-add-tsx-force-abort-cpuid-msr
- commit 2eb12ff
* Fri Mar 15 2019 jroedel@suse.de
- x86/pkeys: Properly copy pkey state at fork() (bsc#1129366).
- commit 2303e79
* Fri Mar 15 2019 tiwai@suse.de
- Revert patches.drm/0001-drm-i915-fbdev-Actually-configure-untiled-displays.patch (bsc#1129027)
  It causes a regression, leading to a black screen.  Although it might be fixed
  in X driver side, revert the affecting patch primarily to address the issue.
- commit ed050a4
* Fri Mar 15 2019 wqu@suse.com
- btrfs: quota: Set rescan progress to (u64)-1 if we hit last
  leaf (bsc#1129327).
- commit de93501
* Fri Mar 15 2019 wqu@suse.com
- btrfs: qgroup: Cleanup old subtree swap code (bsc#1063638).
- commit 2cb2dcd
* Fri Mar 15 2019 wqu@suse.com
- btrfs: qgroup: Use delayed subtree rescan for balance
  (bsc#1063638).
- Refresh
  patches.suse/btrfs-suspend-qgroups-during-relocation-recovery.patch.
- commit e6256d6
* Fri Mar 15 2019 wqu@suse.com
- btrfs: qgroup: Introduce per-root swapped blocks  infrastructure
  (bsc#1063638).
- Refresh
  patches.suse/btrfs-btrfs-use-the-new-VFS-super_block_dev.patch.
- Refresh
  patches.suse/btrfs-suspend-qgroups-during-relocation-recovery.patch.
- commit 1212568
* Fri Mar 15 2019 wqu@suse.com
- btrfs: qgroup: Refactor btrfs_qgroup_trace_subtree_swap
  (bsc#1063638).
- commit 0b42e54
* Fri Mar 15 2019 wqu@suse.com
- btrfs: relocation: Delay reloc tree deletion after
  merge_reloc_roots (bsc#1063638).
- Refresh
  patches.suse/btrfs-suspend-qgroups-during-relocation-recovery.patch.
- commit 9fc8971
* Fri Mar 15 2019 wqu@suse.com
- btrfs: qgroup: Only trace data extents in leaves if we're
  relocating data block group (bsc#1063638).
- commit fafa3dd
* Fri Mar 15 2019 wqu@suse.com
- btrfs: qgroup: Don't trace subtree if we're dropping  reloc tree
  (bsc#1063638).
- commit 0b77be1
* Fri Mar 15 2019 wqu@suse.com
- btrfs: qgroup: Use generation-aware subtree swap to mark  dirty
  extents (bsc#1063638).
- commit 2b6dfe4
* Fri Mar 15 2019 wqu@suse.com
- btrfs: qgroup: Introduce function to find all new tree  blocks
  of reloc tree (bsc#1063638).
- commit 8a2e471
* Fri Mar 15 2019 wqu@suse.com
- btrfs: qgroup: Introduce function to trace two swaped  extents
  (bsc#1063638).
- commit 9332c5f
* Fri Mar 15 2019 wqu@suse.com
- btrfs: qgroup: Introduce trace event to analyse the  number
  of dirty extents accounted (bsc#1063638 dependency).
- commit 97025cc
* Fri Mar 15 2019 wqu@suse.com
- btrfs: qgroup: Finish rescan when hit the last leaf of  extent
  tree (bsc#1129327).
- commit 4f78aaa
* Fri Mar 15 2019 wqu@suse.com
- btrfs: qgroup: Search commit root for rescan to avoid  missing
  extent (bsc#1129326).
- Refresh
  patches.suse/btrfs-qgroups-fix-rescan-worker-running-races.patch.
- commit a587ad7
* Fri Mar 15 2019 msuchanek@suse.de
- Revert "Build subpackages in QA repo."
  This reverts commit 0b983d4ace0ee9899759dd90e3dc87fb74a15395.
- commit d2c7a0b
* Fri Mar 15 2019 msuchanek@suse.de
- Remove the previous subpackage infrastructure.
  This partially reverts commit 9b3ca32c11854156b2f950ff5e26131377d8445e
  ("Add kernel-subpackage-build.spec (FATE#326579).")
- commit a5ee24e
* Fri Mar 15 2019 msuchanek@suse.de
- Add sample kernel-default-base spec file (FATE#326579, jsc#SLE-4117,
  jsc#SLE-3853, bsc#1128910).
- commit 35c4a52
* Thu Mar 14 2019 tonyj@suse.de
- perf/x86/intel: Fix memory corruption (bsc#1121805).
- commit 0589774
* Thu Mar 14 2019 msuchanek@suse.de
- Install extra rpm scripts for kernel subpackaging (FATE#326579,
  jsc#SLE-4117, jsc#SLE-3853, bsc#1128910).
- commit ad7c227
* Thu Mar 14 2019 tiwai@suse.de
- blacklist.conf: Add an entry for non-existing dtsi
- commit fb9f4cf
* Thu Mar 14 2019 tiwai@suse.de
- pinctrl: sh-pfc: sh73a0: Fix fsic_spdif pin groups
  (bsc#1051510).
- pinctrl: sh-pfc: r8a7792: Fix vin1_data18_b pin group
  (bsc#1051510).
- pinctrl: sh-pfc: r8a7791: Fix scifb2_data_c pin group
  (bsc#1051510).
- pinctrl: sh-pfc: emev2: Add missing pinmux functions
  (bsc#1051510).
- pinctrl: sh-pfc: r8a7778: Fix HSPI pin numbers and names
  (bsc#1051510).
- platform/x86: Fix unmet dependency warning for SAMSUNG_Q10
  (bsc#1051510).
- commit 0688e3b
* Thu Mar 14 2019 tiwai@suse.de
- regulator: act8865: Fix act8600_sudcdc_voltage_ranges setting
  (bsc#1051510).
- regulator: wm831x-dcdc: Fix list of wm831x_dcdc_ilim from mA
  to uA (bsc#1051510).
- regulator: pv88090: Fix array out-of-bounds access
  (bsc#1051510).
- regulator: pv88080: Fix array out-of-bounds access
  (bsc#1051510).
- regulator: pv88060: Fix array out-of-bounds access
  (bsc#1051510).
- regulator: s2mps11: Fix steps for buck7, buck8 and LDO35
  (bsc#1051510).
- commit 23f9c9d
* Thu Mar 14 2019 tiwai@suse.de
- thermal: mediatek: fix register index error (bsc#1051510).
- commit f6dc5d0
* Thu Mar 14 2019 jroedel@suse.de
- KVM: x86: Fix single-step debugging (bsc#1129295).
- KVM: x86: Use jmp to invoke kvm_spurious_fault() from .fixup
  (bsc#1129296).
- kvm: nVMX: NMI-window and interrupt-window exiting should wake
  L2 from HLT (bsc#1129292).
- kvm: vmx: Set IA32_TSC_AUX for legacy mode guests (bsc#1129294).
- KVM: nVMX: Free the VMREAD/VMWRITE bitmaps if alloc_kvm_area()
  fails (bsc#1129291).
- kvm: nVMX: Set VM instruction error for VMPTRLD of unbacked page
  (bsc#1129293).
- commit e498c1c
* Thu Mar 14 2019 tiwai@suse.de
- tipc: fix RDM/DGRAM connect() regression (bsc#1051510).
- tipc: fix uninit-value in tipc_nl_compat_doit (bsc#1051510).
- tipc: fix uninit-value in tipc_nl_compat_name_table_dump
  (bsc#1051510).
- tipc: fix uninit-value in tipc_nl_compat_link_set (bsc#1051510).
- tipc: fix uninit-value in tipc_nl_compat_bearer_enable
  (bsc#1051510).
- tipc: fix uninit-value in tipc_nl_compat_link_reset_stats
  (bsc#1051510).
- tipc: eliminate KMSAN uninit-value in strcmp complaint
  (bsc#1051510).
- tipc: fix bug in function tipc_nl_node_dump_monitor
  (bsc#1051510).
- tipc: fix infinite loop when dumping link monitor summary
  (bsc#1051510).
- tipc: error path leak fixes in tipc_enable_bearer()
  (bsc#1051510).
- tipc: fix a race condition of releasing subscriber object
  (bsc#1051510).
- commit 090cbab
* Thu Mar 14 2019 jroedel@suse.de
- kvm: mmu: Fix race in emulated page table writes (bsc#1129284).
- svm: Add mutex_lock to protect apic_access_page_done on AMD
  systems (bsc#1129285).
- commit fdca877
* Thu Mar 14 2019 ohering@suse.de
- Adjust a commit id in a nvme patch to make our scripts happy
- commit 68e211e
* Thu Mar 14 2019 jroedel@suse.de
- PCI: qcom: Don't deassert reset GPIO during probe (bsc#1129281).
- commit a89893e
* Thu Mar 14 2019 jroedel@suse.de
- blacklist.conf: Add 02917e9f8676 mm, hmm: mark hmm_devmem_{add, add_resource} EXPORT_SYMBOL_GPL
- commit 4dfc4eb
* Thu Mar 14 2019 jroedel@suse.de
- PCI/DPC: Fix print AER status in DPC event handling
  (bsc#1128792).
- commit 0534657
* Thu Mar 14 2019 tiwai@suse.de
- blacklist.conf: Add a not-applicable entry for drm/msm
- commit 2e50ec9
* Thu Mar 14 2019 tiwai@suse.de
- blacklist.conf: Add already cherry-picked DRM patches
- commit 52af82b
* Thu Mar 14 2019 tiwai@suse.de
- drm/amdgpu: Transfer fences to dmabuf importer (bsc#1111666).
- commit 3321720
* Thu Mar 14 2019 tiwai@suse.de
- blacklist.conf: Add already cherry-picked i915 patch
- commit 804dba5
* Thu Mar 14 2019 tiwai@suse.de
- ALSA: hda/realtek - Apply ALC294 hp init also for S4 resume
  (bsc#1111666).
- ALSA: hda - Record the current power state before suspend/resume
  calls (bsc#1111666).
- commit f349918
* Thu Mar 14 2019 tiwai@suse.de
- ASoC: fsl_esai: fix register setting issue in RIGHT_J mode
  (bsc#1051510).
- commit 7d885f5
* Thu Mar 14 2019 oneukum@suse.com
- iwlwifi: pcie: fix TX while flushing (bsc#1120902).
- commit 9ece06a
* Thu Mar 14 2019 oneukum@suse.com
- rt2800: enable TX_PIN_CFG_RFRX_EN only for MT7620 (bsc#1120902).
- commit 33aec8d
* Thu Mar 14 2019 dkirjanov@suse.com
- net: phy: Micrel KSZ8061: link failure after cable connect
  (git-fixes).
- commit 88019b0
* Thu Mar 14 2019 jroedel@suse.de
- iommu/io-pgtable-arm-v7s: Only kmemleak_ignore L2 tables (bsc#1129205).
- commit 8629bf3
* Thu Mar 14 2019 jroedel@suse.de
- iommu: Document iommu_ops.is_attach_deferred() (bsc#1129182).
- iommu/vt-d: Fix NULL pointer reference in intel_svm_bind_mm()
  (bsc#1129184).
- iommu/vt-d: Check identity map for hot-added devices
  (bsc#1129183).
- iommu/dmar: Fix buffer overflow during PCI bus notification
  (bsc#1129181).
- commit 76ef4a9
* Thu Mar 14 2019 tiwai@suse.de
- Update patch tag for media security fix (CVE-2019-2024, bsc#1129179).
- commit fc8a3a2
* Thu Mar 14 2019 tiwai@suse.de
- drm/nouveau: fix missing break in switch statement
  (bsc#1111666).
- drm/amdgpu_vm: fix boolean expressions (bsc#1111666).
- drm/amd/display: Fix boolean expression in get_surf_rq_param
  (bsc#1111666).
- drm/xen-front: Fix mmap attributes for display buffers
  (bsc#1111666).
- drm/fb-helper: generic: Fix drm_fbdev_client_restore()
  (bsc#1111666).
- drm/fb-helper: fix leaks in error path of
  drm_fb_helper_fbdev_setup (bsc#1111666).
- drm/fb-helper: generic: Fix setup error path (bsc#1111666).
- drm/v3d: Drop the wait for L2T flush to complete (bsc#1111666).
- drm/v3d: Don't bother flushing L1TD at job start (bsc#1111666).
- drm/amdgpu: use spin_lock_irqsave to protect
  vm_manager.pasid_idr (bsc#1111666).
- drm/radeon: check if device is root before getting pci speed
  caps (bsc#1111666).
- drm/amdgpu: Add missing power attribute to APU check
  (bsc#1111666).
- drm/amd/powerplay: OD setting fix on Vega10 (bsc#1111666).
- commit 69e1e47
* Thu Mar 14 2019 tiwai@suse.de
- brcmfmac: create debugfs files for bus-specific layer
  (bsc#1111666).
- commit 4c115bb
* Thu Mar 14 2019 tiwai@suse.de
- Move upstreamed libnvdimm patch into sorted section
- commit 4437f27
* Thu Mar 14 2019 tiwai@suse.de
- intel_th: gth: Fix an off-by-one in output unassigning
  (bsc#1051510).
- mmc: spi: Fix card detection during probe (bsc#1051510).
- commit 9b464a7
* Thu Mar 14 2019 jslaby@suse.cz
- tcp: fix null ptr deref in getsockopt(..., TCP_ULP,
  ...) (bnc#1129168).
- commit 83e1556
* Thu Mar 14 2019 tiwai@suse.de
- media: uvcvideo: Avoid NULL pointer dereference at the end of
  streaming (bsc#1051510).
- media: uvcvideo: Fix 'type' check leading to overflow
  (bsc#1051510).
- media: s5k4ecgx: delete a bogus error message (bsc#1051510).
- media: v4l2: i2c: ov7670: Fix PLL bypass register values
  (bsc#1051510).
- media: dt-bindings: media: i2c: Fix i2c address for OV5645
  camera sensor (bsc#1051510).
- media: s5p-jpeg: Correct step and max values for
  V4L2_CID_JPEG_RESTART_INTERVAL (bsc#1051510).
- media: s5p-jpeg: Check for fmt_ver_flag when doing fmt
  enumeration (bsc#1051510).
- media: s5p-mfc: fix incorrect bus assignment in virtual child
  device (bsc#1051510).
- intel_th: Don't reference unassigned outputs (bsc#1051510).
- commit 388e4b3
* Thu Mar 14 2019 tiwai@suse.de
- Input: wacom_serial4 - add support for Wacom ArtPad II tablet
  (bsc#1051510).
- Input: elan_i2c - add id for touchpad found in Lenovo s21e-20
  (bsc#1051510).
- iio: adc: exynos-adc: Fix NULL pointer exception on unbind
  (bsc#1051510).
- staging: iio: adt7316: fix the dac write calculation
  (bsc#1051510).
- staging: iio: adt7316: fix the dac read calculation
  (bsc#1051510).
- staging: iio: adt7316: allow adt751x to use internal vref for
  all dacs (bsc#1051510).
- staging: iio: adt7316: fix register and bit definitions
  (bsc#1051510).
- i2c: omap: Use noirq system sleep pm ops to idle device for
  suspend (bsc#1051510).
- commit 0eb8a90
* Thu Mar 14 2019 tiwai@suse.de
- staging: comedi: ni_660x: fix missing break in switch statement
  (bsc#1051510).
- ASoC: qcom: Fix of-node refcount unbalance in
  apq8016_sbc_parse_of() (bsc#1051510).
- ASoC: msm8916-wcd-analog: add missing license information
  (bsc#1051510).
- ASoC: imx-sgtl5000: put of nodes if finding codec fails
  (bsc#1051510).
- ASoC: imx-audmux: change snprintf to scnprintf for possible
  overflow (bsc#1051510).
- ASoC: dapm: change snprintf to scnprintf for possible overflow
  (bsc#1051510).
- ASoC: Intel: Haswell/Broadwell: fix setting for .dynamic field
  (bsc#1051510).
- commit 6cb3dd6
* Thu Mar 14 2019 tiwai@suse.de
- drm: disable uncached DMA optimization for ARM and arm64
  (bsc#1051510).
- drm: Reorder set_property_atomic to avoid returning with an
  active ww_ctx (bsc#1051510).
- drm: Block fb changes for async plane updates (bsc#1051510).
- drm/sun4i: tcon: Prepare and enable TCON channel 0 clock at init
  (bsc#1051510).
- drm/msm: Unblock writer if reader closes file (bsc#1051510).
- commit 41c06b3
* Thu Mar 14 2019 tiwai@suse.de
- crypto: brcm - Fix some set-but-not-used warning (bsc#1051510).
- commit a9bf978
* Thu Mar 14 2019 tiwai@suse.de
- doc: rcu: Suspicious RCU usage is a warning (bsc#1051510).
- commit 3d3bebc
* Thu Mar 14 2019 jslaby@suse.cz
- xsk: fix umem memory leak on cleanup (bnc#1129030).
- commit 45aa211
* Thu Mar 14 2019 jack@suse.cz
- mm: Fix warning in insert_pfn() (bsc#1126740).
- commit 128af59
* Thu Mar 14 2019 jack@suse.cz
- fs/dax: deposit pagetable even when installing zero page
  (bsc#1126740).
- commit 9d52431
* Thu Mar 14 2019 jslaby@suse.cz
- sctp: add a ceiling to optlen in some sockopts (bnc#1129163).
- commit ee5e978
* Thu Mar 14 2019 jack@suse.cz
- mm: Fix modifying of page protection by insert_pfn()
  (bsc#1126740).
- commit f17bd5d
* Wed Mar 13 2019 lduncan@suse.com
- scsi: csiostor: remove flush_scheduled_work() (bsc#1127363).
- commit 742d709
* Wed Mar 13 2019 bp@suse.de
- x86/speculation/mds: Add mitigation mode VMWERV (bsc#1111331).
- commit 76b064b
* Wed Mar 13 2019 tiwai@suse.de
- staging: rtlwifi: Use proper enum for return in
  halmac_parse_psd_data_88xx (bsc#1111666).
- commit 28297ef
* Wed Mar 13 2019 tiwai@suse.de
- platform/mellanox: mlxreg-hotplug: Fix KASAN warning
  (bsc#1111666).
- platform/x86: wmi: fix potential null pointer dereference
  (bsc#1111666).
- platform/x86: intel_pmc_core: Fix file permissions for ltr_show
  (bsc#1111666).
- platform/x86: intel_pmc_core: Fix PCH IP name (bsc#1111666).
- platform/x86: intel_pmc_core: Fix PCH IP sts reading
  (bsc#1111666).
- platform/x86: intel_pmc_core: Handle CFL regmap properly
  (bsc#1111666).
- staging: r8822be: check kzalloc return or bail (bsc#1111666).
- tee: optee: add missing of_node_put after of_device_is_available
  (bsc#1111666).
- commit 82c4b15
* Wed Mar 13 2019 tiwai@suse.de
- iwlwifi: mvm: fix RFH config command with >=10 CPUs
  (bsc#1111666).
- commit ff6f1f9
* Wed Mar 13 2019 tiwai@suse.de
- ipmi: kcs_bmc: handle devm_kasprintf() failure case
  (bsc#1111666).
- ipmi_si: fix use-after-free of resource->name (bsc#1111666).
- commit 76124fd
* Wed Mar 13 2019 tiwai@suse.de
- Delete patches.drivers/ipmi-kcs_bmc-coding-style-fixes-and-use-new-poll-typ.patch
  The patch isn't really applicable to SLE15-based kernel.  Drop it.
- commit 562e39c
* Wed Mar 13 2019 bp@suse.de
- x86/speculation/mds: Add sysfs reporting for MDS (bsc#1111331).
- commit 4b622dd
* Wed Mar 13 2019 tiwai@suse.de
- crypto: arm64/crct10dif - revert to C code for short inputs
  (bsc#1111666).
- crypto: arm64/aes-ccm - fix bugs in non-NEON fallback routine
  (bsc#1111666).
- crypto: caam - move shared symbols in a common location
  (bsc#1111666).
- commit ef08dc9
* Wed Mar 13 2019 tiwai@suse.de
- ath10k: Fix length of wmi tlv command for protected mgmt frames
  (bsc#1111666).
- ath10k: fix shadow register implementation for WCN3990
  (bsc#1111666).
- ath10k: fix dma unmap direction for management frames
  (bsc#1111666).
- commit 69d228e
* Wed Mar 13 2019 tiwai@suse.de
- ALSA: hda: Extend i915 component bind timeout (bsc#1111666).
- ALSA: hda/realtek - Add model description for Chrome headset
  button quirk (bsc#1111666).
- ALSA: hda/realtek - Fix a typo in model documentation
  (bsc#1111666).
- commit 8ae2486
* Wed Mar 13 2019 bp@suse.de
- x86/speculation/mds: Add mitigation control for MDS
  (bsc#1111331).
- commit b096e7d
* Wed Mar 13 2019 bp@suse.de
- x86/speculation/mds: Conditionally clear CPU buffers on idle
  entry (bsc#1111331).
- Refresh
  patches.suse/0003-x86-idle-Control-Indirect-Branch-Speculation-in-idle.patch.
- commit d0a2555
* Wed Mar 13 2019 bp@suse.de
- x86/kvm/vmx: Add MDS protection when L1D Flush is not active
  (bsc#1111331).
- commit eb3fac1
* Wed Mar 13 2019 tiwai@suse.de
- PCI: endpoint: functions: Use memcpy_fromio()/memcpy_toio()
  (bsc#1051510).
- PCI/PME: Fix hotplug/sysfs remove deadlock in pcie_pme_remove()
  (bsc#1051510).
- serial: uartps: Fix stuck ISR if RX disabled with non-empty FIFO
  (bsc#1051510).
- serial: 8250_pci: Have ACCES cards that use the four
  port Pericom PI7C9X7954 chip use the pci_pericom_setup()
  (bsc#1051510).
- serial: 8250_pci: Fix number of ports for ACCES serial cards
  (bsc#1051510).
- tty: ipwireless: Fix potential NULL pointer dereference
  (bsc#1051510).
- staging: wilc1000: fix to set correct value for 'vif_num'
  (bsc#1051510).
- parport_pc: fix find_superio io compare code, should use equal
  test (bsc#1051510).
- team: Free BPF filter when unregistering netdev (bsc#1051510).
- commit 5d4a544
* Wed Mar 13 2019 tiwai@suse.de
- mmc: omap: fix the maximum timeout setting (bsc#1051510).
- mmc: sdhci-brcmstb: handle mmc_of_parse() errors during probe
  (bsc#1051510).
- mmc: sdhci-esdhc-imx: fix HS400 timing issue (bsc#1051510).
- commit fab7e26
* Wed Mar 13 2019 tiwai@suse.de
- mac80211: Add attribute aligned(2) to struct 'action'
  (bsc#1051510).
- mac80211: don't initiate TDLS connection if station is not
  associated to AP (bsc#1051510).
- mac80211: fix miscounting of ttl-dropped frames (bsc#1051510).
- commit 1409e1d
* Wed Mar 13 2019 tiwai@suse.de
- lib/div64.c: off by one in shift (bsc#1051510).
- commit cb47f8d
* Wed Mar 13 2019 tiwai@suse.de
- iwlwifi: pcie: fix emergency path (bsc#1051510).
- iwlwifi: mvm: fix RSS config command (bsc#1051510).
- iwlwifi: mvm: fix A-MPDU reference assignment (bsc#1051510).
- iwlwifi: mvm: avoid possible access out of array (bsc#1051510).
- leds: lp55xx: fix null deref on firmware load failure
  (bsc#1051510).
- commit a9a6f4b
* Wed Mar 13 2019 tiwai@suse.de
- cw1200: drop useless LIST_HEAD (bsc#1051510).
- cw1200: fix missing unlock on error in cw1200_hw_scan()
  (bsc#1051510).
- commit a8e63bf
* Wed Mar 13 2019 tiwai@suse.de
- crypto: crypto4xx - add missing of_node_put after
  of_device_is_available (bsc#1051510).
- crypto: cavium/zip - fix collision with generic cra_driver_name
  (bsc#1051510).
- crypto: ahash - fix another early termination in hash walk
  (bsc#1051510).
- crypto: caam - fixed handling of sg list (bsc#1051510).
- commit 454f584
* Wed Mar 13 2019 tiwai@suse.de
- crypto: arm/crct10dif - revert to C code for short inputs
  (bsc#1051510).
- crypto: arm64/aes-ccm - fix logical bug in AAD MAC handling
  (bsc#1051510).
- crypto: testmgr - skip crc32c context test for ahash algorithms
  (bsc#1051510).
- crypto: crypto4xx - Fix wrong
  ppc4xx_trng_probe()/ppc4xx_trng_remove() arguments
  (bsc#1051510).
- crypto: tgr192 - fix unaligned memory access (bsc#1051510).
- crypto: hash - set CRYPTO_TFM_NEED_KEY if ->setkey() fails
  (bsc#1051510).
- commit 6b741b1
* Wed Mar 13 2019 tiwai@suse.de
- cfg80211: extend range deviation for DMG (bsc#1051510).
- commit 13599e1
* Wed Mar 13 2019 msuchanek@suse.de
- pseries/energy: Use OF accessor function to read ibm,drc-indexes
  (bsc#1129080).
- commit 7394cd0
* Wed Mar 13 2019 tiwai@suse.de
- cdc-wdm: pass return value of recover_from_urb_loss
  (bsc#1051510).
- commit b516984
* Wed Mar 13 2019 tiwai@suse.de
- Move upstreamed ALSA and BT patches into sorted section
- commit 781d43e
* Wed Mar 13 2019 tiwai@suse.de
- kABI workaround for bt_accept_enqueue() change (bsc#1051510).
- commit 43ab1ea
* Wed Mar 13 2019 tiwai@suse.de
- Bluetooth: Fix locking in bt_accept_enqueue() for BH context
  (bsc#1051510).
- commit 51c4ae3
* Wed Mar 13 2019 tiwai@suse.de
- atm: he: fix sign-extension overflow on large shift
  (bsc#1051510).
- commit 5f6e8f4
* Wed Mar 13 2019 tiwai@suse.de
- ALSA: firewire-motu: fix construction of PCM frame for capture
  direction (bsc#1051510).
- ALSA: bebob: use more identical mod_alias for Saffire Pro 10
  I/O against Liquid Saffire 56 (bsc#1051510).
- ALSA: hda/realtek: Enable audio jacks of ASUS UX362FA with
  ALC294 (bsc#1051510).
- ACPI / video: Extend chassis-type detection with a "Lunch Box"
  check (bsc#1051510).
- ACPI / video: Refactor and fix dmi_is_desktop() (bsc#1051510).
- ath9k: Avoid OF no-EEPROM quirks without qca,no-eeprom
  (bsc#1051510).
- ALSA: compress: prevent potential divide by zero bugs
  (bsc#1051510).
- commit d37d7e2
* Wed Mar 13 2019 fabian.baumanis@suse.com
- USB: Consolidate LPM checks to avoid enabling LPM twice
  (bsc#1120902).
- commit fcbbc9b
* Wed Mar 13 2019 fabian.baumanis@suse.com
- USB: Add new USB LPM helpers (bsc#1120902).
- commit e26fa0f
* Wed Mar 13 2019 bp@suse.de
- x86/speculation/mds: Clear CPU buffers on exit to user
  (bsc#1111331).
- commit dcfc7dd
* Wed Mar 13 2019 jgross@suse.com
- Refresh
  patches.fixes/0001-xen-remove-pre-xen3-fallback-handlers.patch:
  use original upstream commit and add kabi patch.
- commit 936395d
* Wed Mar 13 2019 mkubecek@suse.cz
- geneve, vxlan: Don't set exceptions if skb->len < mtu
  (bsc#1123456).
- commit 38a43d6
* Wed Mar 13 2019 mkubecek@suse.cz
- geneve, vxlan: Don't check skb_dst() twice (bsc#1123456).
- commit 41534ed
* Wed Mar 13 2019 mkubecek@suse.cz
- ip6_tunnel: use the right value for ipv4 min mtu check in
  ip6_tnl_xmit (bsc#1123456).
- commit 126bfd9
* Wed Mar 13 2019 bp@suse.de
- x86/speculation/mds: Add mds_clear_cpu_buffers() (bsc#1111331).
- commit bfbbd88
* Wed Mar 13 2019 mkubecek@suse.cz
- geneve: cleanup hard coded value for Ethernet header length
  (bsc#1123456).
- commit 9a70ea2
* Wed Mar 13 2019 mkubecek@suse.cz
- net: don't call update_pmtu unconditionally (bsc#1123456).
- Refresh
  patches.fixes/vti6-fix-PMTU-caching-and-reporting-on-xmit.patch
  patches.fixes/vti6-remove-skb-ignore_df-check-from-vti6_xmit.patch
- commit 593c444
* Wed Mar 13 2019 mkubecek@suse.cz
- ip6_tunnel: get the min mtu properly in ip6_tnl_xmit
  (bsc#1123456).
- commit f90f47d
* Wed Mar 13 2019 mkubecek@suse.cz
- vxlan: update skb dst pmtu on tx path (bsc#1123456).
- commit a42a5a4
* Wed Mar 13 2019 fabian.baumanis@suse.com
- PCI: pciehp: Disable Data Link Layer State Changed event on
  suspend (bsc#1120902).
- commit 61283fb
* Wed Mar 13 2019 bp@suse.de
- x86/kvm: Expose X86_FEATURE_MD_CLEAR to guests (bsc#1111331).
- commit 4e5f098
* Wed Mar 13 2019 bp@suse.de
- x86/speculation/mds: Add BUG_MSBDS_ONLY (bsc#1111331).
- commit ef4a9ef
* Wed Mar 13 2019 jgross@suse.com
- xen/manage: don't complain about an empty value in control/sysrq
  node (bsc#1065600).
- commit d8327b8
* Tue Mar 12 2019 msuchanek@suse.de
- copy_mount_string: Limit string length to PATH_MAX (bsc#1082943).
- Delete patches.fixes/get_fs_type-Validate-fs-type-string-argument.patch.
  Refresh to upstream patch.
- commit 8717894
* Tue Mar 12 2019 jgross@suse.com
- xen: fix dom0 boot on huge systems (bsc#1127836).
- commit d4d49f5
* Tue Mar 12 2019 bp@suse.de
- x86/speculation/mds: Add basic bug infrastructure for MDS
  (bsc#1111331).
- commit 1063f02
* Tue Mar 12 2019 jgross@suse.com
- xen: remove pre-xen3 fallback handlers (bsc#1065600).
- commit c8c4f0a
* Tue Mar 12 2019 jgross@suse.com
- xen, cpu_hotplug: Prevent an out of bounds access (bsc#1065600).
- commit 60b6d9d
* Tue Mar 12 2019 bp@suse.de
- x86/speculation: Consolidate CPU whitelists (bsc#1111331).
- commit 833787c
* Tue Mar 12 2019 mwilck@suse.com
- Refresh
  patches.suse/scsi-do-not-print-reservation-conflict-for-TEST-UNIT.patch
  (bsc#1119843)
- commit 2c06a05
* Tue Mar 12 2019 bp@suse.de
- x86/msr-index: Cleanup bit defines (bsc#1111331).
- commit 93e3cf8
* Tue Mar 12 2019 hare@suse.de
- nvme-fc: reject reconnect if io queue count is reduced to zero
  (bsc#1128351).
- commit a512dae
* Tue Mar 12 2019 hare@suse.de
- scripts/git_sort/git_sort.py: Update nvme git repository to 5.1
- commit cff4e76
* Tue Mar 12 2019 nsaenzjulienne@suse.de
- Input: raspberrypi-ts - select CONFIG_INPUT_POLLDEV (git-fixes).
- commit dfac1c8
* Tue Mar 12 2019 jthumshirn@suse.de
- scsi: hisi_sas: Fix to only call scsi_get_prot_op() for non-NULL
  scsi_cmnd (bsc#1128900).
- commit a96a0e1
* Tue Mar 12 2019 jthumshirn@suse.de
- block: don't use bio->bi_vcnt to figure out segment number
  (bsc#1128895).
- commit bfd835c
* Tue Mar 12 2019 bp@suse.de
- locking/atomics, asm-generic: Move some macros from
  <linux/bitops.h> to a new <linux/bits.h> file (bsc#1111331).
- commit 5e2aa7d
* Tue Mar 12 2019 mwilck@suse.com
- block: check_events: don't bother with events if unsupported (bsc#1110946, bsc#1119843).
- commit 0e16418
* Tue Mar 12 2019 mwilck@suse.com
- Revert "block: unexport DISK_EVENT_MEDIA_CHANGE for legacy/fringe drivers" (bsc#1110946, bsc#1119843).
- commit 63d99c8
* Tue Mar 12 2019 mwilck@suse.com
- block: disk_events: introduce event flags (bsc#1110946, bsc#1119843).
- commit 0b56ce7
* Tue Mar 12 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Don't try to use the hardware frame counter with i965gm TV output'
- commit 91bbd55
* Tue Mar 12 2019 glin@suse.com
- bpf: fix replace_map_fd_with_map_ptr's ldimm64 second imm field
  (bsc#1083647).
- commit 50ceb6a
* Tue Mar 12 2019 tonyj@suse.de
- perf/x86/intel: Implement support for TSX Force Abort
  (bsc#1121805).
- x86: Add TSX Force Abort CPUID/MSR (bsc#1121805).
- perf/x86/intel: Generalize dynamic constraint creation
  (bsc#1121805).
- perf/x86/intel: Make cpuc allocations consistent (bsc#1121805).
- perf/x86/intel: Delay memory deallocation until
  x86_pmu_dead_cpu() (bsc#1121805).
- perf/x86/intel: Don't enable freeze-on-smi for PerfMon V1
  (bsc#1121805).
- perf/x86: Add sysfs entry to freeze counters on SMI
  (bsc#1121805).
- commit 9317981
* Mon Mar 11 2019 bp@suse.de
- x86/speculation: Simplify the CPU bug detection logic
  (bsc#1111331).
- Refresh patches.arch/x86-bugs-add-amd-s-variant-of-ssb_no.patch.
- Refresh
  patches.arch/x86-speculation-support-enhanced-ibrs-on-future-cpus.patch.
- commit 2ed8144
* Mon Mar 11 2019 tzimmermann@suse.de
- drm/radeon/evergreen_cs: fix missing break in switch statement (bsc#1113722)
- commit 1cee3e3
* Mon Mar 11 2019 tzimmermann@suse.de
- drm/nouveau: Don't WARN_ON VCPI allocation failures (bsc#1113722)
- commit 82dc918
* Mon Mar 11 2019 tzimmermann@suse.de
- drm/nouveau/pmu: don't print reply values if exec is false (bsc#1113722)
- commit 8e01362
* Mon Mar 11 2019 tzimmermann@suse.de
- drm/nouveau/bios/ramcfg: fix missing parentheses when calculating RON (bsc#1113722)
- commit d1c8971
* Mon Mar 11 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Prevent a race during I915_GEM_MMAP ioctl with WC set'
- commit f1ee607
* Mon Mar 11 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Block fbdev HPD processing during suspend'
- commit 473e675
* Mon Mar 11 2019 jslaby@suse.cz
- hpet: Fix missing '=' character in the __setup() code of
  hpet_mmap_enable (git-fixes).
- commit 8cc8dbe
* Mon Mar 11 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/of: Fix kerneldoc'
- commit c41090b
* Mon Mar 11 2019 tzimmermann@suse.de
- drm/shmob: Fix return value check in shmob_drm_probe (bsc#1113722)
- commit c59e8a3
* Mon Mar 11 2019 tzimmermann@suse.de
- drm: Fix error handling in drm_legacy_addctx (bsc#1113722)
- commit 7646b89
* Mon Mar 11 2019 mbenes@suse.cz
- Refresh patches.suse/livepatch-add-atomic-replace.patch.
- Refresh
  patches.suse/livepatch-atomic-replace-and-cumulative-patches-documentation.patch.
- Refresh
  patches.suse/livepatch-change-unsigned-long-old_addr-void-old_func-in-struct-klp_func.patch.
- Refresh
  patches.suse/livepatch-consolidate-klp_free-functions.patch.
- Refresh
  patches.suse/livepatch-core-return-eopnotsupp-instead-of-enosys.patch.
- Refresh
  patches.suse/livepatch-don-t-block-the-removal-of-patches-loaded-after-a-forced-transition.patch.
- Refresh
  patches.suse/livepatch-introduce-klp_for_each_patch-macro.patch.
- Refresh
  patches.suse/livepatch-module-coming-and-going-callbacks-can-proceed-with-all-listed-patches.patch.
- Refresh
  patches.suse/livepatch-proper-error-handling-in-the-shadow-variables-selftest.patch.
- Refresh
  patches.suse/livepatch-remove-nop-structures-when-unused.patch.
- Refresh
  patches.suse/livepatch-remove-ordering-stacking-of-the-livepatches.patch.
- Refresh
  patches.suse/livepatch-remove-signal-sysfs-attribute.patch.
- Refresh
  patches.suse/livepatch-return-enomem-on-ptr_id-allocation-failure.patch.
- Refresh
  patches.suse/livepatch-send-a-fake-signal-periodically.patch.
- Refresh
  patches.suse/livepatch-shuffle-klp_enable_patch-klp_disable_patch-code.patch.
- Refresh
  patches.suse/livepatch-simplify-api-by-removing-registration-step.patch.
- Refresh
  patches.suse/livepatch-use-lists-to-manage-patches-objects-and-functions.patch.
- Refresh
  patches.suse/selftests-livepatch-add-dynamic_debug-config-dependency.patch.
- Refresh patches.suse/selftests-livepatch-introduce-tests.patch.
  Move upstream livepatch patches to the sorted section.
- commit 8ba9e19
* Mon Mar 11 2019 mbenes@suse.cz
- Refresh
  patches.arch/powerpc-pseries-Perform-full-re-add-of-CPU-for-topol.patch.
- Refresh
  patches.arch/powerpc-pseries-export-timebase-register-sample-in-l.patch.
- Refresh
  patches.fixes/0001-media-usb-pwc-Don-t-use-coherent-DMA-buffers-for-ISO.patch.
- Refresh
  patches.fixes/exec-Fix-mem-leak-in-kernel_read_file.patch.
- Refresh
  patches.fixes/scsi-core-reset-host-byte-in-DID_NEXUS_FAILURE-case.patch.
- Refresh
  patches.suse/powerpc-64s-clear-on-stack-exception-marker-upon-exception-return.patch.
- Refresh
  patches.suse/powerpc-livepatch-relax-reliable-stack-tracer-checks-for-first-frame.patch.
- Refresh
  patches.suse/powerpc-livepatch-small-cleanups-in-save_stack_trace_tsk_reliable.patch.
  Move upstreamed patches to the sorted section.
- commit 90d0c8c
* Mon Mar 11 2019 jroedel@suse.de
- kABI: Preserve kABI for dma_max_mapping_size() (bsc#1120008).
- virtio-blk: Consider virtio_max_dma_size() for maximum segment
  size (bsc#1120008).
- virtio: Introduce virtio_max_dma_size() (bsc#1120008).
- dma: Introduce dma_max_mapping_size() (bsc#1120008).
- swiotlb: Add is_swiotlb_active() function (bsc#1120008).
- swiotlb: Introduce swiotlb_max_mapping_size() (bsc#1120008).
- commit 5f5f865
* Mon Mar 11 2019 tzimmermann@suse.de
- backlight: pwm_bl: Use gpiod_get_value_cansleep() to get initial (bsc#1113722)
- commit df86ff8
* Fri Mar  8 2019 lduncan@suse.com
- scsi: libiscsi: Fix race between iscsi_xmit_task and
  iscsi_complete_task (bsc#1122192).
- commit a839a94
* Fri Mar  8 2019 dkirjanov@suse.com
- s390/qeth: conclude all event processing before offlining a card
  (LTC#175901, bsc#1127567).
- commit 670183e
* Fri Mar  8 2019 mkubecek@suse.cz
- inet: frags: better deal with smp races (CVE-2018-5391
  bsc#1103097).
- commit 5ea0718
* Fri Mar  8 2019 mkubecek@suse.cz
- ipfrag: really prevent allocation on netns exit (CVE-2018-5391
  bsc#1103097).
- commit ebc2ab3
* Fri Mar  8 2019 jthumshirn@suse.de
- btrfs: ensure that a DUP or RAID1 block group has exactly two
  stripes (bsc#1128451).
- commit 2cd1e7f
* Thu Mar  7 2019 ptesarik@suse.cz
- supported.conf: add arm_big_little as dependency for scpi_cpufreq
- commit 7d2f175
* Thu Mar  7 2019 mkubecek@suse.cz
- net: remove unused struct inet_frag_queue.fragments field
  (CVE-2018-5391 bsc#1103097).
- 6lowpan: use rbtree for IP frag queue (CVE-2018-5391
  bsc#1103097).
- net: IP6 defrag: use rbtrees in nf_conntrack_reasm.c
  (CVE-2018-5391 bsc#1103097).
- net: IP6 defrag: use rbtrees for IPv6 defrag (CVE-2018-5391
  bsc#1103097).
- net: IP defrag: encapsulate rbtree defrag code into callable
  functions (CVE-2018-5391 bsc#1103097).
- ipv6: frags: Fix bogus skb->sk in reassembled packets
  (CVE-2018-5391 bsc#1103097).
- net: ipv4: do not handle duplicate fragments as overlapping
  (CVE-2018-5391 bsc#1103097).
- netfilter: ipv6: fix oops when defragmenting locally generated
  fragments (CVE-2018-5391 bsc#1103097).
- net/ipfrag: let ipfrag_high_thresh in ns be higher than in
  init_net (CVE-2018-5391 bsc#1103097).
- ipv6: discard IP frag queue on more errors (CVE-2018-5391
  bsc#1103097).
- ipv4: remove redundant null pointer check before kfree_skb
  (CVE-2018-5391 bsc#1103097).
- ip: fail fast on IP defrag errors (CVE-2018-5391 bsc#1103097).
- ip: frags: fix crash in ip_do_fragment() (CVE-2018-5391
  bsc#1103097).
- ip: process in-order fragments efficiently (CVE-2018-5391
  bsc#1103097).
- ip: add helpers to process in-order fragments faster
  (CVE-2018-5391 bsc#1103097).
- net: ieee802154: 6lowpan: remove redundant pointers 'fq' and
  'net' (CVE-2018-5391 bsc#1103097).
- ipv4: frags: precedence bug in ip_expire() (CVE-2018-5391
  bsc#1103097).
- ip: use rb trees for IP frag queue (CVE-2018-5391 bsc#1103097).
  Refresh
  patches.drivers/net-Add-and-use-skb_mark_not_on_list.patch
  patches.suse/ipv4-ipv6-netfilter-Adjust-the-frag-mem-limit-when-t.patch
- ipv6: remove dependency of nf_defrag_ipv6 on ipv6 module
  (CVE-2018-5391 bsc#1103097).
- netfilter: ipv6: nf_defrag: drop skb dst before queueing
  (CVE-2018-5391 bsc#1103097).
- netfilter: ipv6: nf_defrag: reduce struct net memory waste
  (CVE-2018-5391 bsc#1103097).
- ipv6: frags: fix a lockdep false positive (CVE-2018-5391
  bsc#1103097).
- ipv6: Count interface receive statistics on the ingress netdev
  (CVE-2018-5391 bsc#1103097).
- net: ieee802154: 6lowpan: fix frag reassembly (CVE-2018-5391
  bsc#1103097).
- inet: frags: fix ip6frag_low_thresh boundary (CVE-2018-5391
  bsc#1103097).
- ipv6: frags: fix /proc/sys/net/ipv6/ip6frag_low_thresh
  (CVE-2018-5391 bsc#1103097).
- inet: frags: get rid of nf_ct_frag6_skb_cb/NFCT_FRAG6_CB
  (CVE-2018-5391 bsc#1103097).
- ipv6: frags: get rid of ip6frag_skb_cb/FRAG6_CB (CVE-2018-5391
  bsc#1103097).
- inet: frags: get rid of ipfrag_skb_cb/FRAG_CB (CVE-2018-5391
  bsc#1103097).
  Refresh
  patches.drivers/net-Convert-GRO-SKB-handling-to-list_head.patch
  patches.fixes/ip-discard-IPv4-datagrams-with-overlapping-segments.patch
  patches.fixes/ipv4-frags-handle-possible-skb-truesize-change.patch
- inet: frags: reorganize struct netns_frags (CVE-2018-5391
  bsc#1103097).
- rhashtable: reorganize struct rhashtable layout (CVE-2018-5391
  bsc#1103097).
- ipv6: frags: rewrite ip6_expire_frag_queue() (CVE-2018-5391
  bsc#1103097).
- inet: frags: do not clone skb in ip_expire() (CVE-2018-5391
  bsc#1103097).
- inet: frags: break the 2GB limit for frags storage
  (CVE-2018-5391 bsc#1103097).
- inet: frags: remove inet_frag_maybe_warn_overflow()
  (CVE-2018-5391 bsc#1103097).
- inet: frags: get rif of inet_frag_evicting() (CVE-2018-5391
  bsc#1103097).
- inet: frags: remove some helpers (CVE-2018-5391 bsc#1103097).
- inet: frags: use rhashtables for reassembly units (CVE-2018-5391
  bsc#1103097).
  Refresh
  patches.fixes/inet-frag-enforce-memory-limits-earlier.patch
  patches.fixes/ipv6-defrag-drop-non-last-frags-smaller-than-min-mtu.patch
- inet: frags: refactor ipfrag_init() (CVE-2018-5391 bsc#1103097).
- inet: frags: refactor lowpan_net_frag_init() (CVE-2018-5391
  bsc#1103097).
- inet: frags: refactor ipv6_frag_init() (CVE-2018-5391
  bsc#1103097).
- inet: frags: add a pointer to struct netns_frags (CVE-2018-5391
  bsc#1103097).
  Refresh
  patches.suse/ipv4-ipv6-netfilter-Adjust-the-frag-mem-limit-when-t.patch
- inet: frags: change inet_frags_init_net() return value
  (CVE-2018-5391 bsc#1103097).
- ipv6: frag: remove unused field (CVE-2018-5391 bsc#1103097).
- ipv6: export ip6 fragments sysctl to unprivileged users
  (CVE-2018-5391 bsc#1103097).
- netfilter: ipv6: nf_defrag: Kill frag queue on RFC2460 failure
  (CVE-2018-5391 bsc#1103097).
- netfilter: ipv6: nf_defrag: Pass on packets to stack per RFC2460
  (CVE-2018-5391 bsc#1103097).
- net: sk_buff rbnode reorg (CVE-2018-5391 bsc#1103097).
  Refresh
  patches.drivers/act_mirred-clear-skb-tstamp-on-redirect.patch
  patches.drivers/net-Convert-GRO-SKB-handling-to-list_head.patch
  patches.drivers/netem-convert-to-qdisc_watchdog_schedule_ns.patch
  patches.fixes/net-add-rb_to_skb-and-other-rb-tree-helpers.patch
  patches.fixes/tcp-add-tcp_ooo_try_coalesce-helper.patch
  patches.fixes/tcp-call-tcp_drop-from-tcp_data_queue_ofo.patch
- net: convert inet_frag_queue.refcnt from atomic_t to refcount_t
  (CVE-2018-5391 bsc#1103097).
- net: make struct inet_frags::qsize unsigned (CVE-2018-5391
  bsc#1103097).
- commit ebc5efc
* Thu Mar  7 2019 bp@suse.de
- x86/kaslr: Fix incorrect i8254 outb() parameters (bsc#1114279).
- Refresh
  patches.suse/0003-x86-KASLR-public-the-function-for-getting-random-lon.patch.
- commit fc169b3
* Thu Mar  7 2019 hare@suse.de
- scsi: qla2xxx: Update driver version to 10.00.00.12-k (bsc#1094555).
- scsi: qla2xxx: Fix for FC-NVMe discovery for NPIV port (bsc#1094555).
- scsi: qla2xxx: Fix NPIV handling for FC-NVMe (bsc#1094555).
- scsi: qla2xxx: Enable FC-NVME on NPIV ports (bsc#1094555).
- scsi: qla2xxx: Initialize port speed to avoid setting lower speed (bsc#1094555).
- scsi: qla2xxx: Fix a typo in MODULE_PARM_DESC (bsc#1094555).
- scsi: qla2xxx: Modify fall-through annotations (bsc#1094555).
- scsi: qla2xxx: Simplify conditional check (bsc#1094555).
- scsi: qla2xxx: Remove unnecessary self assignment (bsc#1094555).
- commit ba2f97d
* Thu Mar  7 2019 mbrugger@suse.com
- supported.conf: add supported modules (bsc#1123548)
- commit f3a9728
* Thu Mar  7 2019 alnovak@suse.cz
- scsi: sym53c8xx: fix NULL pointer dereference panic in
  sym_int_sir() (bsc#1125315).
- commit c6f8f16
* Thu Mar  7 2019 tbogendoerfer@suse.de
- tools build: Add test-reallocarray.c to test-all.c to fix the
  build (bsc#1109837).
- cxgb4: Update 1.22.9.0 as the latest firmware supported
  (bsc#1127354).
- commit 9da8656
* Thu Mar  7 2019 jslaby@suse.cz
- net: netem: fix skb length BUG_ON in __skb_to_sgvec (git-fixes).
- commit ad202d7
* Thu Mar  7 2019 alnovak@suse.cz
- scsi: sym53c8xx: fix NULL pointer dereference panic in
  sym_int_sir() (bsc#1125315).
- commit 39c1bd9
* Thu Mar  7 2019 dkirjanov@suse.com
- s390/qeth: cancel close_dev work before removing a card
  (LTC#175898, bsc#1127561).
- commit e74805a
* Thu Mar  7 2019 jslaby@suse.cz
- netfilter: nf_tables: check the result of dereferencing
  base_chain->stats (git-fixes).
- commit a4e03cb
* Thu Mar  7 2019 ptesarik@suse.cz
- s390/setup: set control program code via diag 318 (FATE#326363,
  LTC#169183, bsc#1126993).
- commit 40fb35c
* Thu Mar  7 2019 lduncan@suse.com
- scsi: virtio_scsi: fix pi_bytes{out,in} on 4 KiB block size
  devices (bsc#1114585).
- block: move bio_integrity_{intervals,bytes} into blkdev.h
  (bsc#1114585).
- commit a620aaf
* Thu Mar  7 2019 lduncan@suse.com
- Remove blacklist of virtio patch so we can install it
  (bsc#1114585)
- commit c3293e9
* Wed Mar  6 2019 lyan@suse.com
- s390: vfio_ap: link the vfio_ap devices to the vfio_ap bus
  subsystem (bsc#1128180).
- Refresh
  patches.drivers/brcmfmac-Use-firmware_request_nowarn-for-the-clm_blo.patch.
- Refresh
  patches.fixes/0001-xprtrdma-Make-sure-Send-CQ-is-allocated-on-an-existi.patch.
- Refresh
  patches.fixes/exec-Fix-mem-leak-in-kernel_read_file.patch.
- Refresh
  patches.fixes/scsi-core-reset-host-byte-in-DID_NEXUS_FAILURE-case.patch.
- commit dafa97e
* Wed Mar  6 2019 brogers@suse.com
- KVM: Expose new cpu features to guest (FATE#326222).
- commit 13e2218
* Wed Mar  6 2019 msuchanek@suse.de
- Revert "Drop multiversion(kernel) from the KMP template (fate#323189)"
  (bsc#1109137).
  This reverts commit 71504d805c1340f68715ad41958e5ef35da2c351.
- commit adade9f
* Wed Mar  6 2019 tbogendoerfer@suse.de
- iw_cxgb4: cq/qp mask depends on bar2 pages in a host page
  (bsc#1127354).
- cxgb4: Export sge_host_page_size to ulds (bsc#1127354).
- cxgb4/cxgb4vf: Fix mac_hlist initialization and free
  (bsc#1127355).
- commit 9a8f41e
* Wed Mar  6 2019 tbogendoerfer@suse.de
- net/mlx5: Update the list of the PCI supported devices
  (bsc#1127611).
- commit 78ef57e
* Wed Mar  6 2019 tbogendoerfer@suse.de
- blacklist.conf: added two commits alreday applied in their v5.0-rc7 version
- commit 76bf59e
* Wed Mar  6 2019 mhocko@suse.com
- mm: enforce min addr even if capable() in expand_downwards()
  (bsc#1128166, CVE-2019-9213).
- commit 998cff7
* Wed Mar  6 2019 tbogendoerfer@suse.de
- net: sched: put back q.qlen into a single location
  (bsc#1109837).
- tls: Fix write space handling (bsc#1109837).
- tls: Fix tls_device handling of partial records (bsc#1109837).
- net: mvpp2: fix the computation of the RXQs (bsc#1119113
  FATE#326472).
- net: mvpp2: fix validate for PPv2.1 (bsc#1119113 FATE#326472).
- net: hns3: fix improper error handling for hns3_client_start
  (bsc#1126390).
- net: hns3: fix setting of the hns reset_type for rdma hw errors
  (bsc#1126390).
- net: hns3: fix get VF RSS issue (bsc#1126390).
- net: hns3: enable VF VLAN filter for each VF when initializing
  (bsc#1126390).
- net: hns3: add support to config depth for tx|rx ring separately
  (bsc#1126390).
- net: hns3: remove hnae3_get_bit in data path (bsc#1126390).
- net: hns3: replace hnae3_set_bit and hnae3_set_field in data
  path (bsc#1126390).
- net: hns3: add unlikely for error handling in data path
  (bsc#1126390).
- net: hns3: remove some ops in struct hns3_nic_ops (bsc#1126390).
- net: hns3: limit some variable scope in critical data path
  (bsc#1126390).
- net: hns3: avoid mult + div op in critical data path
  (bsc#1126390).
- net: hns3: add xps setting support for hns3 driver
  (bsc#1126390).
- net: hns3: clear command queue's registers when unloading VF
  driver (bsc#1126390).
- net: hns3: uninitialize command queue while unloading PF driver
  (bsc#1126390).
- net: hns3: Record VF vlan tables (bsc#1126390).
- net: hns3: Record VF unicast and multicast tables (bsc#1126390).
- net: hns3: fix 6th bit of ppp mpf abnormal errors (bsc#1126390).
- net: hns3: enable 8~11th bit of mac common msi-x error
  (bsc#1126390).
- net: hns3: some bugfix of ppu(rcb) ras errors (bsc#1126390).
- net: hns3: modify print message of ssu common ecc errors
  (bsc#1126390).
- net: hns3: fix port info query issue for copper port
  (bsc#1126390).
- net: hns3: convert mac advertize and supported from u32 to
  link mode (bsc#1126390).
- net: hns3: Check variable is valid before assigning it to
  another (bsc#1126390).
- net: hns3: add pointer checking at the beginning of the exported
  functions (bsc#1126390).
- cxgb4: Mask out interrupts that are not enabled (bsc#1127177).
- net/mlx5: Delete unused FPGA QPN variable (bsc#1103990
  FATE#326006).
- mdio_bus: Fix PTR_ERR() usage after initialization to constant
  (bsc#1119113 FATE#326472).
- net: hns3: make function hclge_set_all_vf_rst() static
  (bsc#1126390).
- cxgb4: Add capability to get/set SGE Doorbell Queue Timer Tick
  (bsc#1127354).
- cxgb4/cxgb4vf: Add support for SGE doorbell queue timer
  (bsc#1127354).
- devlink: Fix list access without lock while reading region
  (bsc#1109837).
- devlink: Return right error code in case of errors for region
  read (bsc#1109837).
- cxgb4/cxgb4vf: Program hash region for {t4/t4vf}_change_mac()
  (bsc#1127355).
- net: hns3: MAC table entry count function increases operation
  0 value protection measures (bsc#1126390).
- net: hns3: modify the upper limit judgment condition
  (bsc#1126390).
- net: hns3: don't allow user to change vlan filter state
  (bsc#1126390).
- net: hns3: optimize the maximum TC macro (bsc#1126390).
- net: hns3: fix the problem that the supported port is empty
  (bsc#1126390).
- net: hns3: fix a wrong checking in the hclge_tx_buffer_calc()
  (bsc#1126390).
- net: hns3: move some set_bit statement into
  hclge_prepare_mac_addr (bsc#1126390).
- net: hns3: add hclge_cmd_check_retval() to parse comman's
  return value (bsc#1126390).
- net: hns3: code optimization for hclge_rx_buffer_calc
  (bsc#1126390).
- net: hns3: Modify parameter type from int to bool in set_gro_en
  (bsc#1126390).
- net: hns3: fix an issue for hns3_update_new_int_gl
  (bsc#1126390).
- net: hns3: fix a code style issue for hns3_update_new_int_gl()
  (bsc#1126390).
- net: hns3: Check for allocation failure (bsc#1126390).
- net: hns3: keep flow director state unchanged when reset
  (bsc#1126390).
- net: hns3: stop sending keep alive msg to PF when VF is
  resetting (bsc#1126390).
- net: hns3: fix an issue for hclgevf_ae_get_hdev (bsc#1126390).
- net: hns3: fix improper error handling in the
  hclge_init_ae_dev() (bsc#1126390).
- net: hns3: fix for rss result nonuniform (bsc#1126390).
- net: hns3: fix netif_napi_del() not do problem when unloading
  (bsc#1126390).
- net: hns3: Fix NULL deref when unloading driver (bsc#1126390).
- net: hns3: only support tc 0 for VF (bsc#1126390).
- net: hns3: change hnae3_register_ae_dev() to int (bsc#1126390).
- net: hns3: use the correct interface to stop|open port
  (bsc#1126390).
- net: hns3: fix VF dump register issue (bsc#1126390).
- net: hns3: reuse the definition of l3 and l4 header info union
  (bsc#1126390).
- cxgb4vf: Update port information in cxgb4vf_open()
  (bsc#1127355).
- net: hns3: don't allow vf to enable promisc mode (bsc#1126390).
- net: hns3: add initialization for nic state (bsc#1126390).
- net: hns3: add 8 BD limit for tx flow (bsc#1126390).
- net: hns3: call hns3_nic_set_real_num_queue with netdev down
  (bsc#1126390).
- net: hns3: remove dcb_ops->map_update in hclge_dcb
  (bsc#1126390).
- net: hns3: do reinitialization while mqprio configuration
  changed (bsc#1126390).
- net: hns3: After setting the loopback, add the status of
  getting MAC (bsc#1126390).
- net: hns3: fix broadcast promisc issue for revision 0x20
  (bsc#1126390).
- net: hns3: fix return value handle issue for
  hclge_set_loopback() (bsc#1126390).
- net: hns3: add error handling in hclge_ieee_setets
  (bsc#1126390).
- net: hns3: clear pci private data when unload hns3 driver
  (bsc#1126390).
- net: hns3: don't update packet statistics for packets dropped
  by hardware (bsc#1126390).
- net/mlx5e: Reuse fold sw stats in representors (bsc#1103990
  FATE#326006).
- net/mlx5e: Present the representors SW stats when state is
  not opened (bsc#1103990 FATE#326006).
- net/mlx5e: Separate between ethtool and netdev software stats
  folding (bsc#1103990 FATE#326006).
- net: hns3: fix PFC not setting problem for DCB module
  (bsc#1126390).
- net: hns3: add statistics for PFC frames and MAC control frames
  (bsc#1126390).
- net: hns3: add ETS TC weight setting in SSU module
  (bsc#1126390).
- net: hns3: do not return GE PFC setting err when initializing
  (bsc#1126390).
- net: hns3: Change fw error code NOT_EXEC to NOT_SUPPORTED
  (bsc#1126390).
- net: hns3: clear param in ring when free ring (bsc#1126390).
- net: hns3: fix bug of ethtool_ops.get_channels for VF
  (bsc#1126390).
- net: hns3: fix for shaper not setting when TC num changes
  (bsc#1126390).
- net: hns3: fix rss configuration lost problem when setting
  channel (bsc#1126390).
- net: hns3: refactor the statistics updating for netdev
  (bsc#1126390).
- net: hns3: add rx multicast packets statistic (bsc#1126390).
- net: hns3: add calling roce callback function when link status
  change (bsc#1126390).
- net: hns3: add HNAE3_RESTORE_CLIENT interface in enet module
  (bsc#1126390).
- net: hns3: do reinitialization while ETS configuration changed
  (bsc#1126390).
- net: hns3: fix wrong combined count returned by ethtool -l
  (bsc#1126390).
- net: hns3: adjust the use of alloc_tqps and num_tqps
  (bsc#1126390).
- net: hns3: fix user configuration loss for ethtool -L
  (bsc#1126390).
- net: hns3: remove redundant codes in hclge_knic_setup
  (bsc#1126390).
- net: hns3: modify parameter checks in the hns3_set_channels
  (bsc#1126390).
- net: hns3: add interface hclge_tm_bp_setup (bsc#1126390).
- net: hns3: reuse reinitialization interface in the
  hns3_set_channels (bsc#1126390).
- net: hns3: remove unnecessary hns3_adjust_tqps_num
  (bsc#1126390).
- net: hns3: remove unused member in struct hns3_enet_ring
  (bsc#1126390).
- net: hns3: modify enet reinitialization interface (bsc#1126390).
- cxgb4: number of VFs supported is not always 16 (bsc#1127354).
- cxgb4: use new fw interface to get the VIN and smt index
  (bsc#1127354).
- cxgb4: Remove SGE_HOST_PAGE_SIZE dependency on page size
  (bsc#1127354).
- cxgb4vf: fix memleak in mac_hlist initialization (bsc#1127355).
- cxgb4: Add new T6 PCI device ids 0x608a (bsc#1127354).
- commit e5147ba
* Wed Mar  6 2019 mbenes@suse.cz
- powerpc/livepatch: small cleanups in
  save_stack_trace_tsk_reliable() (bsc#1071995 fate#323487).
- commit 38b76ee
* Wed Mar  6 2019 mbenes@suse.cz
- powerpc/livepatch: relax reliable stack tracer checks for
  first-frame (bsc#1071995 fate#323487).
- commit 618ef9f
* Wed Mar  6 2019 mbenes@suse.cz
- powerpc/64s: Clear on-stack exception marker upon exception
  return (bsc#1071995 fate#323487).
- commit ba10b93
* Wed Mar  6 2019 mbenes@suse.cz
- livepatch: Remove signal sysfs attribute (bsc#1071995
  fate#323487).
- commit c5e5181
* Wed Mar  6 2019 mbenes@suse.cz
- livepatch: Send a fake signal periodically (bsc#1071995
  fate#323487).
- commit 7088101
* Wed Mar  6 2019 mbenes@suse.cz
- livepatch: Module coming and going callbacks can proceed with
  all listed patches (bsc#1071995 fate#323487).
- commit 79db698
* Wed Mar  6 2019 mbenes@suse.cz
- livepatch: Proper error handling in the shadow variables
  selftest (bsc#1071995 fate#323487).
- commit 0eaa537
* Wed Mar  6 2019 mbenes@suse.cz
- livepatch: return -ENOMEM on ptr_id() allocation failure
  (bsc#1071995 fate#323487).
- commit 0f271e8
* Wed Mar  6 2019 mbenes@suse.cz
- livepatch: Introduce klp_for_each_patch macro (bsc#1071995
  fate#323487).
- commit da18829
* Wed Mar  6 2019 mbenes@suse.cz
- livepatch: core: Return EOPNOTSUPP instead of ENOSYS
  (bsc#1071995 fate#323487).
- commit 9ec6c45
* Wed Mar  6 2019 mbenes@suse.cz
- selftests/livepatch: add DYNAMIC_DEBUG config dependency
  (bsc#1071995 fate#323487).
- commit 2d37e66
* Tue Mar  5 2019 jeffm@suse.com
- iomap: FUA is wrong for DIO O_DSYNC writes into unwritten
  extents (jsc#SLE-4631 bsc#1128041).
- iomap: Use FUA for pure data O_DSYNC DIO writes (jsc#SLE-4631
  bsc#1128040).
- iomap: iomap_dio_rw() handles all sync writes (jsc#SLE-4631
  bsc#1128039).
- commit 9bece50
* Tue Mar  5 2019 jeffm@suse.com
- xfs: move generic_write_sync calls inwards (jsc#SLE-4631 bsc#1128038).
- commit d16f826
* Tue Mar  5 2019 jeffm@suse.com
- iomap_dio_actor(): fix iov_iter bugs (jsc#SLE-4631 bsc#1128016).
- commit e7d739e
* Tue Mar  5 2019 bp@suse.de
- blacklist.conf: 53bb565fc543 x86/PCI: Fix Broadcom CNB20LE unintended sign extension (redux)
- commit 38334db
* Tue Mar  5 2019 bp@suse.de
- blacklist.conf: 65bba0423ecf kbuild: fix UML build error with CONFIG_GCC_PLUGINS
- commit a2369f4
* Tue Mar  5 2019 bp@suse.de
- blacklist.conf: 29434801e7e9 x86/vdso: Remove a stale/misleading comment from the linker script
- commit 622c158
* Tue Mar  5 2019 bp@suse.de
- x86/vdso: Remove obsolete "fake section table" reservation
  (bsc#1114279).
- commit 23f423f
* Tue Mar  5 2019 aaptel@suse.com
- Update config files.
  Remove conditional support for SMB2 and SMB3:
- They were already enabled and are now always enabled.
- There are no more #ifdef checking these macros.
- They dont show up in fs/cifs/Kconfig
- They have been removed upstream
- It makes backporting easier, otherwise backported patches need to
  modified to add #ifdef
  Keep them as =y in vanilla config (which still requires it)
- commit 5cf8695
* Tue Mar  5 2019 nsaenzjulienne@suse.de
- mmc: cqhci: Fix a tiny potential memory leak on error condition
  (git-fixes).
- mmc: cqhci: fix space allocated for transfer descriptor
  (git-fixes).
- mmc: core: Fix NULL ptr crash from mmc_should_fail_request
  (git-fixes).
- commit 1c78d01
* Tue Mar  5 2019 mbenes@suse.cz
- Enable livepatch test drivers in lib/
  Livepatch kselftests need those.
- Update config files.
- supported.conf
- commit b5e1a19
* Tue Mar  5 2019 mbenes@suse.cz
- selftests/livepatch: introduce tests (bsc#1071995 fate#323487).
- commit 248f360
* Tue Mar  5 2019 mbenes@suse.cz
- Update config files.
- commit 83afceb
* Tue Mar  5 2019 mbenes@suse.cz
- livepatch: Define a macro for new API identification
  (bsc#1071995 fate#323487).
- commit c2e2280
* Tue Mar  5 2019 bp@suse.de
- x86/mtrr: Don't copy uninitialized gentry fields back to
  userspace (bsc#1114279).
- commit 135fda8
* Tue Mar  5 2019 bp@suse.de
- blacklist.conf: dbe733642e01 x86/Kconfig: Select SCHED_SMT if SMP enabled
- commit 117d5dd
* Tue Mar  5 2019 dkirjanov@suse.com
- s390/qeth: fix use-after-free in error path (bsc#1127534).
- commit 6ea74cd
* Tue Mar  5 2019 dkirjanov@suse.com
- s390/qeth: fix use-after-free in error path (bsc#1127534).
- commit de847d6
* Tue Mar  5 2019 bp@suse.de
- blacklist.conf: b247be3fe89b locking/qspinlock/x86: Increase _Q_PENDING_LOOPS upper bound
  Not needed urgently in SLE15.
- commit f26ee44
* Tue Mar  5 2019 bp@suse.de
- x86/a.out: Clear the dump structure initially (bsc#1114279).
- commit 6c90b4f
* Tue Mar  5 2019 mbenes@suse.cz
- livepatch: Change unsigned long old_addr -> void *old_func in
  struct klp_func (bsc#1071995 fate#323487).
- livepatch: Consolidate klp_free functions (bsc#1071995
  fate#323487).
- livepatch: Don't block the removal of patches loaded after a
  forced transition (bsc#1071995 fate#323487).
- livepatch: Remove ordering (stacking) of the livepatches
  (bsc#1071995 fate#323487).
- livepatch: Shuffle klp_enable_patch()/klp_disable_patch() code
  (bsc#1071995 fate#323487).
- livepatch: Simplify API by removing registration step
  (bsc#1071995 fate#323487).
- Refresh patches.suse/livepatch-add-atomic-replace.patch.
- Refresh
  patches.suse/livepatch-atomic-replace-and-cumulative-patches-documentation.patch.
- Refresh
  patches.suse/livepatch-mark-the-kernel-unsupported-when-disabling.patch.
- Refresh
  patches.suse/livepatch-remove-nop-structures-when-unused.patch.
- Refresh
  patches.suse/livepatch-send-a-fake-signal-periodically.patch.
- Refresh
  patches.suse/livepatch-use-lists-to-manage-patches-objects-and-functions.patch.
- Delete
  patches.suse/livepatch-add-an-extra-flag-to-distinguish-registered-patches.patch.
- Delete
  patches.suse/livepatch-allow-to-replace-even-disabled-patches.patch.
- Delete
  patches.suse/livepatch-free-only-structures-with-initialized-kobject.patch.
- Delete
  patches.suse/livepatch-remove-replaced-patches-from-the-stack.patch.
  Atomic replace. Update to a final version.
- commit 2a26746
* Tue Mar  5 2019 glin@suse.com
- bpf: drop refcount if bpf_map_new_fd() fails in map_create()
  (bsc#1083647).
- bpf: decrease usercnt if bpf_map_new_fd() fails in
  bpf_map_get_fd_by_id() (bsc#1083647).
- commit 97bcd77
* Mon Mar  4 2019 msuchanek@suse.de
- powerpc/pseries: export timebase register sample in lparcfg
  (bsc#1127750).
- commit 6023475
* Mon Mar  4 2019 tbogendoerfer@suse.de
- Update config files.
  Enabled Soft RoCE for ppc64le (FATE#327553)
- commit dfd69ad
* Mon Mar  4 2019 jlee@suse.com
- x86/efi: Allocate e820 buffer before calling
  efi_exit_boot_service (bsc#1127307).
- commit 35133e1
* Mon Mar  4 2019 tbogendoerfer@suse.de
- net: hns: Fixes the missing put_device in positive leg for
  roce reset (bsc#1126709).
- net: hns: Fix object reference leaks in hns_dsaf_roce_reset()
  (bsc#1126709).
- net: hns: Restart autoneg need return failed when autoneg off
  (bsc#1126709).
- net: hns: Fix for missing of_node_put() after of_parse_phandle()
  (bsc#1126709).
- net: hns: Fix use after free identified by SLUB debug
  (bsc#1126709).
- net: hns: Fix WARNING when hns modules installed (bsc#1126709).
- net: hns: Fix ping failed when use net bridge and send multicast
  (bsc#1126709).
- net: hns: Add mac pcs config when enable|disable mac
  (bsc#1126709).
- net: hns: Fix ntuple-filters status error (bsc#1126709).
- net: hns: Avoid net reset caused by pause frames storm
  (bsc#1126709).
- net: hns: Free irq when exit from abnormal branch (bsc#1126709).
- net: hns: Clean rx fbd when ae stopped (bsc#1126709).
- net: hns: Fixed bug that netdev was opened twice (bsc#1126709).
- net: hns: Some registers use wrong address according to the
  datasheet (bsc#1126709).
- net: hns: All ports can not work when insmod hns ko after rmmod
  (bsc#1126709).
- net: hns: Incorrect offset address used for some registers
  (bsc#1126709).
- commit 781eaa3
* Mon Mar  4 2019 msuchanek@suse.de
- libnvdimm: Fix altmap reservation size calculation
  (bsc#1127682).
- commit c006172
* Mon Mar  4 2019 osalvador@suse.de
- mm,memory_hotplug: fix scan_movable_pages() for gigantic
  hugepages (bsc#1127731).
- commit 8454bd2
* Mon Mar  4 2019 ohering@suse.de
- pci-hyperv: increase HV_VP_SET_BANK_COUNT_MAX to handle 1792
  vcpus (fate#327171, bsc#1122822).
- hv: v4.12 API for hyperv-iommu (fate#327171, bsc#1122822).
- HYPERV/IOMMU: Add Hyper-V stub IOMMU driver (fate#327171,
  bsc#1122822).
- x86/Hyper-V: Set x2apic destination mode to physical when
  x2apic is available (fate#327171, bsc#1122822).
- x86/apic: Provide apic_ack_irq() (fate#327171, bsc#1122822).
- commit 56ec609
* Mon Mar  4 2019 tbogendoerfer@suse.de
- bpf: drop refcount if bpf_map_new_fd() fails in map_create()
  (bsc#1056787).
- bpf: decrease usercnt if bpf_map_new_fd() fails in
  bpf_map_get_fd_by_id() (bsc#1056787).
- net: phy: phylink: fix uninitialized variable in
  phylink_get_mac_state (bsc#1119113 FATE#326472).
- ipv4: Pass original device to ip_rcv_finish_core (bsc#1109837).
- bnxt_en: Drop oversize TX packets to prevent errors (bsc#1104745
  FATE#325918).
- net: sched: act_tunnel_key: fix NULL pointer dereference during
  init (bsc#1109837).
- net/sched: act_skbedit: fix refcount leak when replace fails
  (bsc#1109837).
- net/sched: act_ipt: fix refcount leak when replace fails
  (bsc#1109837).
- nvmet-rdma: fix null dereference under heavy load (bsc#1127360).
- commit 002a10b
* Mon Mar  4 2019 glin@suse.com
- bpf: fix sanitation rewrite in case of non-pointers
  (bsc#1083647).
- commit 7770a6f
* Mon Mar  4 2019 jroedel@suse.de
- iommu/dma: Use NUMA aware memory allocations in __iommu_dma_alloc_pages() (bsc#1127594).
- commit d8ed82f
* Mon Mar  4 2019 ohering@suse.de
- x86/hyper-v: Fix definition of HV_MAX_FLUSH_REP_COUNT
  (fate#323887).
- hv_netvsc: Fix IP header checksum for coalesced packets
  (fate#323887).
- commit edfc558
* Mon Mar  4 2019 tzimmermann@suse.de
- drm/vmwgfx: Don't double-free the mode stored in par->set_mode (bsc#1103429)
- commit 99c4074
* Sat Mar  2 2019 fdmanana@suse.com
- btrfs: fix use-after-free of cmp workspace pages (bsc#1127603).
- commit 7753ef9
* Sat Mar  2 2019 fdmanana@suse.com
- btrfs: fix invalid-free in btrfs_extent_same (bsc#1127498).
- Btrfs: fix clone vs chattr NODATASUM race (bsc#1127497).
- btrfs: use kvzalloc for EXTENT_SAME temporary data
  (bsc#1127496).
- Btrfs: reuse cmp workspace in EXTENT_SAME ioctl (bsc#1127495).
- Btrfs: dedupe_file_range ioctl: remove 16MiB restriction
  (bsc#1127494).
- commit 8bb669e
* Sat Mar  2 2019 fdmanana@suse.com
- Btrfs: split btrfs_extent_same (bsc#1127493).
- Refresh
  patches.suse/btrfs-fix-data-corruption-when-deduplicating-between.patch.
- commit 67ac488
* Fri Mar  1 2019 tonyj@suse.de
- tools lib traceevent: Fix buffer overflow in arg_eval
  (bsc#1122179).
- commit f4311dd
* Fri Mar  1 2019 lduncan@suse.com
- scsi: mpt3sas: switch to generic DMA API (bsc#1117108).
- scsi: mpt3sas: Remove unnecessary parentheses and simplify
  null checks (bsc#1117108).
- scsi: mpt3sas: Use dma_pool_zalloc (bsc#1117108).
- scsi: mpt3sas: Remove unused macro MPT3SAS_FMT (bsc#1117108).
- scsi: mpt3sas: Convert logging uses with MPT3SAS_FMT without
  logging levels (bsc#1117108).
- scsi: mpt3sas: Remove KERN_WARNING from panic uses
  (bsc#1117108).
- scsi: mpt3sas: Convert logging uses with MPT3SAS_FMT and
  reply_q_name to %%s: (bsc#1117108).
- scsi: mpt3sas: Convert mlsleading uses of pr_<level> with
  MPT3SAS_FMT (bsc#1117108).
- commit e3f05da
* Fri Mar  1 2019 lduncan@suse.com
- scsi: mpt3sas: Convert uses of pr_<level> with MPT3SAS_FMT to
  ioc_<level> (bsc#1117108).
- Refresh
  patches.suse/mpt3sas-check-sense-buffer-before-copying-sense-data.patch.
- commit 9574b94
* Fri Mar  1 2019 palcantara@suse.de
- cifs: Always resolve hostname before reconnecting (bsc#1051510).
- commit c95017f
* Fri Mar  1 2019 tiwai@suse.de
- ACPI: NUMA: Use correct type for printing addresses on i386-PAE
  (bsc#1051510).
- clocksource/drivers/integrator-ap: Add missing of_node_put()
  (bsc#1051510).
- cpufreq: conservative: Take limits changes into account properly
  (bsc#1051510).
- cpufreq: governor: Avoid accessing invalid governor_data
  (bsc#1051510).
- commit b5192ba
* Fri Mar  1 2019 tiwai@suse.de
- x86/boot/e820: Introduce the bootloader provided
  e820_table_firmware[] table (bsc#1127154).
- x86/boot/e820: Rename the e820_table_firmware to
  e820_table_kexec (bsc#1127154).
- x86/boot/e820: Avoid overwriting e820_table_firmware
  (bsc#1127154).
- commit 2e41e89
* Fri Mar  1 2019 jslaby@suse.cz
- rxrpc: bad unlock balance in rxrpc_recvmsg
  (networking-stable-19_02_10).
- net: dsa: slave: Don't propagate flag changes on down slave
  interfaces (networking-stable-19_02_10).
- net: dp83640: expire old TX-skb (networking-stable-19_02_10).
- net: systemport: Fix WoL with password after deep sleep
  (networking-stable-19_02_10).
- commit c07383b
* Fri Mar  1 2019 lduncan@suse.com
- scsi: mpt3sas: Add ioc_<level> logging macros (bsc#1117108).
- scsi: mpt3sas: Improve kernel-doc headers (bsc#1117108).
- scsi: mpt3sas: Split _base_reset_handler(),
  mpt3sas_scsih_reset_handler() and mpt3sas_ctl_reset_handler()
  (bsc#1117108).
- scsi: mpt3sas: Fix a race condition in
  mpt3sas_base_hard_reset_handler() (bsc#1117108).
- scsi: mpt3sas: Introduce struct mpt3sas_nvme_cmd (bsc#1117108).
- scsi: mpt3sas: Annotate switch/case fall-through (bsc#1117108).
- scsi: mpt3sas: Remove set-but-not-used variables (bsc#1117108).
- scsi: mpt3sas: Fix indentation (bsc#1117108).
- scsi: mpt3sas: Swap I/O memory read value back to cpu endianness
  (bsc#1117108).
- commit 4ec4b4f
* Thu Feb 28 2019 hare@suse.de
- bsg: Do not copy sense if no response buffer is allocated
  (bsc#1106811,bsc#1126555).
- Delete
  patches.fixes/bsg-allocate-sense-buffer-if-requested.patch.
- commit 9c493cb
* Thu Feb 28 2019 hare@suse.de
- nvme-multipath: drop optimization for static ANA group IDs
  (bsc#1113939).
- commit 1bbf15f
* Thu Feb 28 2019 ptesarik@suse.cz
- Update config files: Change to CONFIG_PREEMPT_VOLUNTARY (bsc#1125004).
- commit 47ba65a
* Thu Feb 28 2019 jslaby@suse.cz
- l2tp: copy 4 more bytes to linear part if necessary
  (networking-stable-19_02_01).
- ipvlan, l3mdev: fix broken l3s mode wrt local routes
  (networking-stable-19_02_01).
- l2tp: fix reading optional fields of L2TPv3
  (networking-stable-19_02_01).
- virtio_net: Don't call free_old_xmit_skbs for xdp_frames
  (networking-stable-19_02_01).
- ucc_geth: Reset BQL queue when stopping device
  (networking-stable-19_02_01).
- net: set default network namespace in init_dummy_netdev()
  (networking-stable-19_02_01).
- net/mlx5e: Allow MAC invalidation while spoofchk is ON
  (networking-stable-19_02_01).
- net/rose: fix NULL ax25_cb kernel panic
  (networking-stable-19_02_01).
- net/mlx4_core: Add masking for a few queries on HCA caps
  (networking-stable-19_02_01).
- sctp: improve the events for sctp stream adding
  (networking-stable-19_02_01).
- sctp: improve the events for sctp stream reset
  (networking-stable-19_02_01).
- ipv6: Consider sk_bound_dev_if when binding a socket to an
  address (networking-stable-19_02_01).
- commit 7665cf7
* Thu Feb 28 2019 yousaf.kaukab@suse.com
- cpufreq / cppc: Work around for Hisilicon CPPC cpufreq
  (bsc#1126594).
- ACPI / CPPC: Add a helper to get desired performance
  (bsc#1126594).
- commit 9e33e02
* Thu Feb 28 2019 tbogendoerfer@suse.de
- net: phy: marvell10g: Fix Multi-G advertisement to only
  advertise 10G (bsc#1119113 FATE#326472).
- bnxt_en: Wait longer for the firmware message response to
  complete (bsc#1086282 FATE#324873).
- bnxt_en: Fix typo in firmware message timeout logic (bsc#1086282
  FATE#324873).
- ixgbe: don't do any AF_XDP zero-copy transmit if netif is not OK
  (bsc#1113994 FATE#326315 FATE#326317).
- i40e: fix XDP_REDIRECT/XDP xmit ring cleanup race (bsc#1111981
  FATE#326312 FATE#326313).
- ixgbe: fix potential RX buffer starvation for AF_XDP
  (bsc#1113994 FATE#326315 FATE#326317).
- i40e: fix potential RX buffer starvation for AF_XDP (bsc#1111981
  FATE#326312 FATE#326313).
- commit 52a7bcd
* Thu Feb 28 2019 mkubecek@suse.cz
- config: enable NETDEVSIM (as a module)
  Simulated network device, useful for testing and network simulation.
  Already enabled in master and stable branches.
- commit 7adf365
* Thu Feb 28 2019 mkubecek@suse.cz
- config: enable TCP_MD5SIG
  This was requested by an openSUSE user (bsc#1090162) and SLE customer
  (fate#325782) but the request came too late for 15.0 (kabi was frozen
  already).
  Change CRYPTO_MD5 from "m" to "y" on armv7hl to satisfy dependencies.
- commit 46cae3b
* Thu Feb 28 2019 ohering@suse.de
- Update two pci-hyperv patches from v3 to v4
- commit f3afabc
* Wed Feb 27 2019 ohering@suse.de
- Update HYPERV stub IOMMU driver to v6 (bsc#1127014)
- commit 6d3222d
* Wed Feb 27 2019 tiwai@suse.de
- blacklist.conf: Remove the duplicated and already-backported entries
- commit de43900
* Wed Feb 27 2019 tiwai@suse.de
- vhost: correctly check the return value of translate_desc()
  in log_used() (bsc#1051510).
- net: bcmgenet: remove HFB_CTRL access (bsc#1051510).
- commit 932bcf7
* Wed Feb 27 2019 jslaby@suse.cz
- kABI: protect vhost_log_write (kabi).
- commit 8090acf
* Wed Feb 27 2019 tiwai@suse.de
- net: bcmgenet: abort suspend on error (bsc#1051510).
- net: bcmgenet: code movement (bsc#1051510).
- commit ca48ef4
* Wed Feb 27 2019 yousaf.kaukab@suse.com
- kabi: cpufreq: keep min_sampling_rate in struct dbs_data
  (bsc#1127042).
- cpufreq: governor: Ensure sufficiently large sampling intervals
  (bsc#1127042).
- cpufreq: Cap the default transition delay value to 10 ms
  (bsc#1127042).
- cpufreq: Use transition_delay_us for legacy governors as well
  (bsc#1127042).
- cpufreq: governor: Drop min_sampling_rate (bsc#1127042).
- commit 28dc41c
* Wed Feb 27 2019 tiwai@suse.de
- mfd: mc13xxx: Fix a missing check of a register-read failure
  (bsc#1051510).
- mfd: tps65218: Use devm_regmap_add_irq_chip and clean up error
  path in probe() (bsc#1051510).
- mfd: wm5110: Add missing ASRC rate register (bsc#1051510).
- mfd: qcom_rpm: write fw_version to CTRL_REG (bsc#1051510).
- mfd: mt6397: Do not call irq_domain_remove if PMIC unsupported
  (bsc#1051510).
- mfd: db8500-prcmu: Fix some section annotations (bsc#1051510).
- mfd: twl-core: Fix section annotations on {,un}protect_pm_master
  (bsc#1051510).
- mfd: ti_am335x_tscadc: Use PLATFORM_DEVID_AUTO while registering
  mfd cells (bsc#1051510).
- pinctrl: max77620: Use define directive for
  max77620_pinconf_param values (bsc#1051510).
- phy: tegra: remove redundant self assignment of 'map'
  (bsc#1051510).
- commit 20f57da
* Wed Feb 27 2019 tiwai@suse.de
- mac80211: Free mpath object when rhashtable insertion fails
  (bsc#1051510).
- commit 1b53757
* Wed Feb 27 2019 tiwai@suse.de
- leds: lp5523: fix a missing check of return value of lp55xx_read
  (bsc#1051510).
- commit 9a76479
* Wed Feb 27 2019 tiwai@suse.de
- isdn: avm: Fix string plus integer warning from Clang
  (bsc#1051510).
- isdn: i4l: isdn_tty: Fix some concurrency double-free bugs
  (bsc#1051510).
- commit 5628a6c
* Wed Feb 27 2019 tiwai@suse.de
- hwmon: (tmp421) Correct the misspelling of the tmp442 compatible
  attribute in OF device ID table (bsc#1051510).
- commit 6420cdc
* Wed Feb 27 2019 tiwai@suse.de
- drm/meson: add missing of_node_put (bsc#1051510).
- commit d9d0985
* Wed Feb 27 2019 tiwai@suse.de
- drm/amd/display: Fix MST reboot/poweroff sequence (bsc#1111666).
- drm/sun4i: backend: add missing of_node_puts (bsc#1111666).
- drm/amd/display: fix PME notification not working in RV desktop
  (bsc#1111666).
- drm/amdkfd: Don't assign dGPUs to APU topology devices
  (bsc#1111666).
- commit a864b04
* Wed Feb 27 2019 tiwai@suse.de
- ALSA: hda/realtek - Headset microphone and internal speaker
  support for System76 oryp5 (bsc#1111666).
- commit b35e24d
* Wed Feb 27 2019 lyan@suse.com
- kvm: x86: Add AMD's EX_CFG to the list of ignored MSRs
  (bsc#1127082).
- commit e389988
* Tue Feb 26 2019 ailiopoulos@suse.com
- iomap: warn on zero-length mappings (bsc#1127062).
- commit 8971b0d
* Tue Feb 26 2019 dbueso@suse.de
- sched/wake_q: Reduce reference counting for special users
  (bsc#1050549).
- locking/rwsem: Fix (possible) missed wakeup (bsc#1050549).
- futex: Fix (possible) missed wakeup (bsc#1050549).
- sched/wake_q: Fix wakeup ordering for wake_q (bsc#1050549).
- sched/wake_q: Document wake_q_add() (bsc#1050549).
- commit 5e0bd2e
* Tue Feb 26 2019 tiwai@suse.de
- blacklist.conf: ignore Smack; we don't enable it
- commit 243e8f2
* Tue Feb 26 2019 tiwai@suse.de
- ntb_transport: Fix bug with max_mw_size parameter (bsc#1051510).
- commit 7687c1e
* Tue Feb 26 2019 tiwai@suse.de
- fuse: decrement NR_WRITEBACK_TEMP on the right page
  (bsc#1051510).
- fuse: call pipe_buf_release() under pipe lock (bsc#1051510).
- fuse: handle zero sized retrieve correctly (bsc#1051510).
- fuse: continue to send FUSE_RELEASEDIR when FUSE_OPEN returns
  ENOSYS (bsc#1051510).
- configfs: fix registered group removal (bsc#1051510).
- commit 1204575
* Tue Feb 26 2019 tiwai@suse.de
- mdio_bus: Fix use-after-free on device_register fails
  (bsc#1051510).
- sky2: Increase D3 delay again (bsc#1051510).
- mailbox: bcm-flexrm-mailbox: Fix FlexRM ring flush timeout issue
  (bsc#1051510).
- vsock: cope with memory allocation failure at socket creation
  time (bsc#1051510).
- mISDN: fix a race in dev_expire_timer() (bsc#1051510).
- enic: fix checksum validation for IPv6 (bsc#1051510).
- ax25: fix possible use-after-free (bsc#1051510).
- iser: set sector for ambiguous mr status errors (bsc#1051510).
- llc: do not use sk_eat_skb() (bsc#1051510).
- veth: set peer GSO values (bsc#1051510).
- vhost/vsock: fix uninitialized vhost_vsock->guest_cid
  (bsc#1051510).
- macvlan: Only deliver one copy of the frame to the macvlan
  interface (bsc#1051510).
- rocker: fix rocker_tlv_put_* functions for KASAN (bsc#1051510).
- sch_multiq: fix double free on init failure (bsc#1051510).
- commit 8d4ab3f
* Tue Feb 26 2019 oneukum@suse.com
- usb: musb: dsps: fix runtime pm for peripheral mode
  (bsc#1120902).
- commit 30a0f7d
* Tue Feb 26 2019 oneukum@suse.com
- blacklist.conf: just a cleanup removing defines
- commit f9a324f
* Tue Feb 26 2019 ailiopoulos@suse.com
- iomap: fix integer truncation issues in the zeroing and dirtying
  helpers (bsc#1125947).
- commit 839e087
* Tue Feb 26 2019 mgorman@suse.de
- mmap: relax file size limit for regular files (git fixes
  (mm/mmap)).
- commit b834536
* Tue Feb 26 2019 ohering@suse.de
- blacklist.conf: hide e04e7a7bbd4b
  It claims to fix 8195b139 instead of 7bf7bb37
- commit e5cfb61
* Tue Feb 26 2019 jack@suse.cz
- blacklist.conf: Blacklist ad211f3e94b3
- commit 0ebbe38
* Tue Feb 26 2019 jroedel@suse.de
- x86/platform/UV: Use efi_runtime_lock to serialise BIOS calls (bsc#1125614).
- commit 4240ccc
* Tue Feb 26 2019 ohering@suse.de
- blacklist.conf: a2aeea1cc14f is a merge commit
  It should not have been reported in the first place.
- commit dfc4190
* Tue Feb 26 2019 msuchanek@suse.de
- Refresh patches.suse/powerpc-mm-hash-Increase-vmalloc-space-with-hash-translation-mode.patch
- commit 164654f
* Mon Feb 25 2019 tiwai@suse.de
- dmaengine: rcar-dmac: Fix too early/late system suspend/resume
  callbacks (bsc#1111666).
- commit 8e9b858
* Mon Feb 25 2019 tiwai@suse.de
- dmaengine: rcar-dmac: Make DMAC reinit during system resume
  explicit (bsc#1111666).
- commit e4c4091
* Mon Feb 25 2019 tiwai@suse.de
- gpu: drm: radeon: Set DPM_FLAG_NEVER_SKIP when enabling
  PM-runtime (bsc#1111666).
- commit db36cfe
* Mon Feb 25 2019 tiwai@suse.de
- drm/amdgpu: Set DPM_FLAG_NEVER_SKIP when enabling PM-runtime
  (bsc#1111666).
- commit a013e0a
* Mon Feb 25 2019 tiwai@suse.de
- blacklist.conf: Add a cherry-picked i915 entry
- commit 739b97f
* Mon Feb 25 2019 tiwai@suse.de
- ipmi: fix use-after-free of user->release_barrier.rda
  (CVE-2019-9003,bsc#1126704).
- commit 89225e3
* Mon Feb 25 2019 tiwai@suse.de
- Re-add the i915 hotplug fix patch with a proper regression fix (bsc#1126287)
- commit c48a62a
* Mon Feb 25 2019 lyan@suse.com
- arm/arm64: KVM: Rename function
  kvm_arch_dev_ioctl_check_extension() (bsc#1126393).
- arm64: fault: avoid send SIGBUS two times (bsc#1126393).
- commit 5a09ef2
* Mon Feb 25 2019 oneukum@suse.com
- PM / Domains: provide pm_genpd_poweroff_noirq() stub
  (bsc#1085535).
- commit 53aa67e
* Mon Feb 25 2019 jthumshirn@suse.de
- blacklist.conf: Blacklist 5cbab6303b47 ("nvmet-rdma: fix null dereference
  under heavy load") it's not applicable to SLE15
- commit 9f6d20d
* Mon Feb 25 2019 jthumshirn@suse.de
- blacklist.conf: ad1f824948e4 ("nvmet-rdma: Add unlikely for response
  allocated check") this shouldn't be a stable patch.
- commit 17ea6e8
* Mon Feb 25 2019 jthumshirn@suse.de
- nvme-loop: fix kernel oops in case of unhandled command
  (bsc#1126807).
- Refresh
  patches.drivers/nvme-loop-add-support-for-multiple-ports.patch.
- commit 0b338a9
* Mon Feb 25 2019 fdmanana@suse.com
- Btrfs: fix deadlock when allocating tree block during leaf/node
  split (bsc#1126806).
- commit 67cd18a
* Mon Feb 25 2019 fdmanana@suse.com
- Btrfs: fix deadlock when using free space tree due to block
  group creation (bsc#1126804).
- commit 1a60bde
* Mon Feb 25 2019 fdmanana@suse.com
- Btrfs: send, fix race with transaction commits that create
  snapshots (bsc#1126802).
- commit 46fbd46
* Mon Feb 25 2019 fdmanana@suse.com
- Btrfs: remove unnecessary level check in balance_level
  (bsc#1126802).
- commit 0139cfb
* Mon Feb 25 2019 fdmanana@suse.com
- Btrfs: do not unnecessarily pass write_lock_level when
  processing leaf (bsc#1126802).
- commit 9293032
* Mon Feb 25 2019 fdmanana@suse.com
- Btrfs: remove unused check of skip_locking (bsc#1126802).
- commit cfe15be
* Mon Feb 25 2019 fdmanana@suse.com
- Btrfs: remove always true check in unlock_up (bsc#1126802).
- commit 070f0a1
* Mon Feb 25 2019 fdmanana@suse.com
- Btrfs: grab write lock directly if write_lock_level is the
  max level (bsc#1126802).
- commit 98586f6
* Mon Feb 25 2019 fdmanana@suse.com
- Btrfs: move get root out of btrfs_search_slot to a helper
  (bsc#1126802).
- commit 50d98f2
* Mon Feb 25 2019 fdmanana@suse.com
- Btrfs: use more straightforward extent_buffer_uptodate check
  (bsc#1126802).
- commit 0f77b1f
* Mon Feb 25 2019 fdmanana@suse.com
- Btrfs: remove superfluous free_extent_buffer in
  read_block_for_search (bsc#1126802).
- commit b119805
* Mon Feb 25 2019 fdmanana@suse.com
- btrfs: fix reading stale metadata blocks after degraded raid1
  mounts (bsc#1126803).
- commit 5f7150d
* Mon Feb 25 2019 fdmanana@suse.com
- btrfs: Improve btrfs_search_slot description (bsc#1126802).
- commit f94b397
* Mon Feb 25 2019 mbenes@suse.cz
- kallsyms: Handle too long symbols in kallsyms.c (bsc#1126805).
- commit 0b0d3a6
* Mon Feb 25 2019 lhenriques@suse.com
- ceph: avoid repeatedly adding inode to mdsc->snap_flush_list
  (bsc#1126790).
- libceph: handle an empty authorize reply (bsc#1126789).
- commit 0d8a28b
* Mon Feb 25 2019 ohering@suse.de
- Drivers: hv: vmbus: preserve hv_ringbuffer_get_debuginfo kABI
  (bsc#1126389, bsc#1126579).
- commit c8c3824
* Mon Feb 25 2019 lhenriques@suse.com
- ceph: avoid repeatedly adding inode to mdsc->snap_flush_list
  (bsc#1126775).
- libceph: handle an empty authorize reply (bsc#1126774).
- commit 7defa1f
* Mon Feb 25 2019 nsaenzjulienne@suse.de
- PM / mfd: intel-lpss: Push system sleep callbacks to late/early
  stages (bsc#1125914).
- commit aef2a1a
* Mon Feb 25 2019 ohering@suse.de
- Drivers: hv: vmbus: Check for ring when getting debug info
  (bsc#1126389, bsc#1126579).
- Drivers: hv: vmbus: Return -EINVAL for the sys files for
  unopened channels (bsc#1126389, bsc#1126579).
- commit 90d107d
* Mon Feb 25 2019 mhocko@suse.com
- mm: only display online cpus of the numa node (bnc#1126396).
- commit 6017167
* Mon Feb 25 2019 glin@suse.com
- bpf, lpm: fix lookup bug in map_delete_elem (bsc#1083647).
- commit 6349ff2
* Mon Feb 25 2019 tzimmermann@suse.de
- drm/i915/fbdev: Actually configure untiled displays (bsc#1113722)
- commit 54b783a
* Sun Feb 24 2019 rgoldwyn@suse.com
- exec: Fix mem leak in kernel_read_file (bsc#1126209,CVE-2019-8980).
- commit 10aa86a
* Sun Feb 24 2019 rgoldwyn@suse.com
- scripts/git_sort/git_sort.py: add vfs "fixes" branch
- commit de81e9c
* Fri Feb 22 2019 tiwai@suse.de
- Revert "drm/i915: Fix hpd handling for pins with two encoders" (bsc#1126287)
  The backported patch causes a regression on Dell dock.
- commit f4b453d
* Fri Feb 22 2019 jdelvare@suse.de
- Revert "sd: disable logical block provisioning if 'lbpme' is not set"
  This reverts commit e365f138cb9c9c48b710864a9f37a91b4b93381d.
  Patch not accepted upstream.
- commit 99b4d65
* Fri Feb 22 2019 tiwai@suse.de
- Revert the previous merge of drm fixes
  The branch was merged mistakenly and breaks the build.  Revert it.
- commit d2630bf
* Fri Feb 22 2019 nsaenzjulienne@suse.de
- Revert "xhci: Reset Renesas uPD72020x USB controller for 32-bit
  DMA issue" (bsc#1120854).
- blacklist.conf: Remove commit from list as it was actually needed
- commit f1aa9e5
* Fri Feb 22 2019 tiwai@suse.de
- drm/nouveau: Don't spew kernel WARNING for each timeout
  (bsc#1126480).
- commit ea9c0cd
* Fri Feb 22 2019 mbenes@suse.cz
- tracing/uprobes: Fix output for multiple string arguments
  (bsc#1126495).
- commit c0729fb
* Fri Feb 22 2019 mgorman@suse.de
- mm: use swp_offset as key in shmem_replace_page() (git fixes
  (mm/shmem)).
- commit 44fe062
* Fri Feb 22 2019 mgorman@suse.de
- mm: do not drop unused pages when userfaultd is running (git
  fixes (mm/userfaultfd)).
- commit d1c0def
* Fri Feb 22 2019 mgorman@suse.de
- mm/ksm.c: ignore STABLE_FLAG of rmap_item->address in
  rmap_walk_ksm() (git fixes (mm/ksm)).
- commit 7367793
* Fri Feb 22 2019 mgorman@suse.de
- mmap: introduce sane default mmap limits (git fixes (mm/mmap)).
- commit 229f07a
* Fri Feb 22 2019 mgorman@suse.de
- mm/hmm: hmm_pfns_bad() was accessing wrong struct (git fixes
  (mm/hmm)).
- commit 7993690
* Fri Feb 22 2019 mgorman@suse.de
- blacklist.conf: Underlying problem reverted in bnc#1107078
- commit 2a64250
* Fri Feb 22 2019 jslaby@suse.cz
- net: Fix usage of pskb_trim_rcsum (networking-stable-19_01_26).
- net: phy: mdio_bus: add missing device_del() in
  mdiobus_register() error handling (networking-stable-19_01_26).
- net: bridge: Fix ethernet header pointer before check skb
  forwardable (networking-stable-19_01_26).
- vhost: log dirty page correctly (networking-stable-19_01_26).
- net_sched: refetch skb protocol for each filter
  (networking-stable-19_01_26).
- net: phy: marvell: Errata for mv88e6390 internal PHYs
  (networking-stable-19_01_26).
- net/sched: act_tunnel_key: fix memory leak in case of action
  replace (networking-stable-19_01_26).
- net: ipv4: Fix memory leak in network namespace dismantle
  (networking-stable-19_01_26).
- commit 071e596
* Fri Feb 22 2019 mgorman@suse.de
- blacklist.conf: Alpha is not supported
- commit 62df577
* Fri Feb 22 2019 mgorman@suse.de
- blacklist.conf: Alternative SLE-specific fix merged due to KABI hazards
- commit e3c740e
* Fri Feb 22 2019 mgorman@suse.de
- blacklist.conf: z3fold does not have per-cpu buddies support backported
- commit 39b8b7b
* Fri Feb 22 2019 mgorman@suse.de
- blacklist.conf: z3fold does not have compaction support backported
- commit c8cb5a7
* Fri Feb 22 2019 tiwai@suse.de
- Refresh patches.kabi/hid-debug-kfifo-kabi-workaround.patch.
  We don't need to move the struct fields but only wrap the header includes
  for this kABI workaround.
- commit cf5c4fd
* Fri Feb 22 2019 tiwai@suse.de
- kABI workaround for hid_debug_list kfifo changes (CVE-2019-3819,
  bsc#1123161).
- commit 88e274d
* Fri Feb 22 2019 mgorman@suse.de
- mm, page_alloc: fix a division by zero error when boosting
  watermarks v2 (git fixes (mm/page_alloc)).
- commit 77c466e
* Fri Feb 22 2019 tiwai@suse.de
- HID: debug: fix the ring buffer implementation (CVE-2019-3819,
  bsc#1123161).
- commit eaf5ad5
* Fri Feb 22 2019 tiwai@suse.de
- zswap: re-check zswap_is_full() after do zswap_shrink()
  (bsc#1051510).
- commit 2bf887e
* Fri Feb 22 2019 tiwai@suse.de
- ixgbe: check return value of napi_complete_done() (bsc#1051510).
- commit ac9d827
* Fri Feb 22 2019 jroedel@suse.de
- iommu/arm-smmu-v3: Avoid memory corruption from Hisilicon MSI payloads (bsc#1126385).
- commit 42a9f9f
* Fri Feb 22 2019 tiwai@suse.de
- ixgbe: recognize 1000BaseLX SFP modules as 1Gbps (bsc#1051510).
- commit 4e2f25f
* Fri Feb 22 2019 tiwai@suse.de
- ixgbe: Be more careful when modifying MAC filters (bsc#1051510).
- commit b3e308a
* Fri Feb 22 2019 tiwai@suse.de
- igb: Fix an issue that PME is not enabled during runtime suspend
  (bsc#1051510).
- commit 07fde74
* Fri Feb 22 2019 tiwai@suse.de
- blacklist.conf: Add entries for exec shebang fix that was reverted later
- commit 2fa3749
* Fri Feb 22 2019 tiwai@suse.de
- dlm: Don't swamp the CPU with callbacks queued during recovery
  (bsc#1051510).
- commit d9bdbb4
* Fri Feb 22 2019 tiwai@suse.de
- debugfs: fix debugfs_rename parameter checking (bsc#1051510).
- commit ed6ebcd
* Fri Feb 22 2019 tiwai@suse.de
- dccp: fool proof ccid_hc_[rt]x_parse_options() (bsc#1051510).
- commit 514a7da
* Fri Feb 22 2019 tiwai@suse.de
- cpuidle: big.LITTLE: fix refcount leak (bsc#1051510).
- commit 1230850
* Fri Feb 22 2019 tiwai@suse.de
- net: bgmac: Correctly annotate register space (bsc#1111666).
- commit 7084c5e
* Fri Feb 22 2019 tiwai@suse.de
- ASoC: atom: fix a missing check of snd_pcm_lib_malloc_pages
  (bsc#1051510).
- commit bff73e0
* Fri Feb 22 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Use the correct crtc when sanitizing plane mapping'
- commit 1c57643
* Fri Feb 22 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vgem: Fix vgem_init to get drm device available.'
- commit 54b3fa7
* Fri Feb 22 2019 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/exynos/decon5433: implement frame counter"'
- commit 35ad752
* Fri Feb 22 2019 mbenes@suse.cz
- blacklist.conf: ea6eb5e7d15e ("tracing: uprobes: Fix typo in pr_fmt string")
  Just a cosmetic fixup.
- commit cb0a95a
* Fri Feb 22 2019 mkubecek@suse.cz
- net: crypto set sk to NULL when af_alg_release (CVE-2019-8912
  bsc#1125907).
- commit 9863801
* Fri Feb 22 2019 jslaby@suse.cz
- net: dsa: mv88x6xxx: mv88e6390 errata
  (networking-stable-19_01_22).
- mlxsw: spectrum: Disable lag port TX before removing it
  (networking-stable-19_01_22).
- ipv6: Take rcu_read_lock in __inet6_bind for mapped addresses
  (networking-stable-19_01_22).
- ipv6: Consider sk_bound_dev_if when binding a socket to a v4
  mapped address (networking-stable-19_01_22).
- qmi_wwan: add MTU default to qmap network interface
  (networking-stable-19_01_22).
- r8169: Add support for new Realtek Ethernet
  (networking-stable-19_01_22).
- r8169: use PCI_VDEVICE macro (networking-stable-19_01_22).
- PCI: add USR vendor id and use it in r8169 and w6692 driver
  (networking-stable-19_01_22).
- commit 91b1483
* Fri Feb 22 2019 tzimmermann@suse.de
- drm/i915/gvt: free VFIO region space in vgpu detach (bsc#1113722)
- commit 432dc8e
* Fri Feb 22 2019 tzimmermann@suse.de
- drm/i915: Flush GPU relocs harder for gen3 (bsc#1113722)
- commit 3f0e87c
* Fri Feb 22 2019 tzimmermann@suse.de
- drm/i915: Use the correct crtc when sanitizing plane mapping (bsc#1113722)
- commit a3cb597
* Fri Feb 22 2019 jslaby@suse.cz
- tcp: change txhash on SYN-data timeout
  (networking-stable-19_01_20).
- ipv6: fix kernel-infoleak in ipv6_local_error()
  (networking-stable-19_01_20).
- net: bridge: fix a bug on using a neighbour cache entry without
  checking its state (networking-stable-19_01_20).
- commit 1347dc9
* Thu Feb 21 2019 tiwai@suse.de
- mtd: cfi: cmdset_0002: Do not allow read/write to suspend
  erase block (bsc#1111666).
- mtd: cfi: cmdset_0001: Workaround Micron Erase suspend bug
  (bsc#1111666).
- mtd: cfi: cmdset_0001: Do not allow read/write to suspend
  erase block (bsc#1111666).
- mtd: nand: fsl_ifc: Read ECCSTAT0 and ECCSTAT1 registers for
  IFC 2.0 (bsc#1111666).
- commit 1733619
* Thu Feb 21 2019 tiwai@suse.de
- gdrom: fix a memory leak bug (bsc#1051510).
- commit 00f6c39
* Thu Feb 21 2019 bp@suse.de
- Refresh
  patches.drivers/crypto-ccp-add-timeout-support-in-the-sev-command.patch.
  Fix a mismerge, see bsc#1126142
- commit 834dd00
* Thu Feb 21 2019 tiwai@suse.de
- platform/x86: asus-wireless: Fix uninitialized symbol usage
  (bsc#1126285).
- platform/x86: asus-wireless: Toggle airplane mode LED
  (bsc#1126285).
- platform/x86: asus-wireless: Fix format specifier (bsc#1126285).
- platform/x86: asus-nb-wmi: Support ALS on the Zenbook UX430UQ
  (bsc#1126285).
- commit 17701ac
* Thu Feb 21 2019 tiwai@suse.de
- blacklist.conf: Add already cherry-picked entry
- commit bc63eef
* Thu Feb 21 2019 tiwai@suse.de
- platform/x86: asus-wmi: export function for evaluating WMI
  methods (bsc#1126285).
- platform/x86: asus-wmi: Only notify kbd LED hw_change by fn-key
  pressed (bsc#1126285).
- platform/x86: asus-wmi: Simplify the keyboard brightness
  updating process (bsc#1126285).
- platform/x86: asus-wmi: Add keyboard backlight toggle support
  (bsc#1126285).
- platform/x86: asus-wmi: Call led hw_changed API on kbd
  brightness change (bsc#1126285).
- commit 437ba2c
* Thu Feb 21 2019 tiwai@suse.de
- platform/x86: Simplify getting .drvdata (bsc#1126285).
- platform/x86: asus-wmi: Add lightbar led support (bsc#1126285).
- commit 2558d51
* Thu Feb 21 2019 tiwai@suse.de
- platform/x86: asus-wmi: Evaluate wmi method with instance
  number 0x0 (bsc#1126285).
- Refresh
  patches.suse/0053-asus-wmi-Restrict-debugfs-interface-when-the-kernel-.patch.
- commit 10b3ff9
* Thu Feb 21 2019 tiwai@suse.de
- platform/x86: asus-wmi: constify attribute_group structures
  (bsc#1126285).
- commit c32c3b6
* Thu Feb 21 2019 tiwai@suse.de
- niu: fix missing checks of niu_pci_eeprom_read (bsc#1051510).
- commit 541bae9
* Thu Feb 21 2019 tiwai@suse.de
- skge: potential memory corruption in skge_get_regs()
  (bsc#1051510).
- commit 342f29f
* Thu Feb 21 2019 tiwai@suse.de
- tty: serial: samsung: Properly set flags in autoCTS mode
  (bsc#1051510).
- ucma: fix a use-after-free in ucma_resolve_ip() (bsc#1051510).
- commit 546029c
* Thu Feb 21 2019 tiwai@suse.de
- net: bcmgenet: return correct value 'ret' from
  bcmgenet_power_down (bsc#1051510).
- net: bcmgenet: fix OF child-node lookup (bsc#1051510).
- commit 7f18e9c
* Thu Feb 21 2019 tiwai@suse.de
- ata: ahci: mvebu: remove stale comment (bsc#1051510).
- commit 81701e5
* Thu Feb 21 2019 tiwai@suse.de
- altera-stapl: check for a null key before strcasecmp'ing it
  (bsc#1051510).
- net: aquantia: driver should correctly declare vlan_features
  bits (bsc#1051510).
- net: aquantia: Fix hardware DMA stream overload on large MRRS
  (bsc#1051510).
- aquantia: Setup max_mtu in ndev to enable jumbo frames
  (bsc#1051510).
- commit 295fd9e
* Thu Feb 21 2019 tiwai@suse.de
- mtd: spi-nor: Fix Cadence QSPI page fault kernel panic
  (bsc#1051510).
- mtd: docg3: don't set conflicting BCH_CONST_PARAMS option
  (bsc#1051510).
- mtd: spi-nor: fsl-quadspi: fix read error for flash size larger
  than 16MB (bsc#1051510).
- mtd/maps: fix solutionengine.c printk format warnings
  (bsc#1051510).
- mtdchar: fix overflows in adjustment of `count` (bsc#1051510).
- mtd: cfi_cmdset_0002: Avoid walking all chips when unlocking
  (bsc#1051510).
- mtd: cfi_cmdset_0002: Fix unlocking requests crossing a chip
  boudary (bsc#1051510).
- mtd: cfi_cmdset_0002: fix SEGV unlocking multiple chips
  (bsc#1051510).
- mtd: cfi_cmdset_0002: Use right chip in do_ppb_xxlock()
  (bsc#1051510).
- commit 1a98f26
* Thu Feb 21 2019 tiwai@suse.de
- mtd: cfi_cmdset_0002: Change write buffer to check correct value
  (bsc#1051510).
- mtd: spi-nor: cadence-quadspi: Fix page fault kernel panic
  (bsc#1051510).
- mtd: nand: atmel: Fix get_sectorsize() function (bsc#1051510).
- mtd: nand: fsl_ifc: Fix nand waitfunc return value
  (bsc#1051510).
- mtdchar: fix usage of mtd_ooblayout_ecc() (bsc#1051510).
- mtd: nand: vf610: set correct ooblayout (bsc#1051510).
- mtd: nand: sunxi: Fix ECC strength choice (bsc#1051510).
- mtd: nand: Fix nand_do_read_oob() return value (bsc#1051510).
- commit 07f7d0f
* Thu Feb 21 2019 tiwai@suse.de
- mtd: mtd_oobtest: Handle bitflips during reads (bsc#1051510).
- mtd: nand: brcmnand: Disable prefetch by default (bsc#1051510).
- mtd: nand: qcom: Add a NULL check for devm_kasprintf()
  (bsc#1051510).
- mtd: nand: ifc: update bufnum mask for ver >= 2.0.0
  (bsc#1051510).
- mtd: nand: denali_pci: add missing
  MODULE_DESCRIPTION/AUTHOR/LICENSE (bsc#1051510).
- mtd: nand: fix interpretation of NAND_CMD_NONE in
  nand_command[_lp]() (bsc#1051510).
- mtd: nand: pxa3xx: Fix READOOB implementation (bsc#1051510).
- mtd: nand: brcmnand: Zero bitflip is not an error (bsc#1051510).
- mtd: nand: gpmi: Fix failure when a erased page has a bitflip
  at BBM (bsc#1051510).
- mtd: nand: Fix writing mtdoops to nand flash (bsc#1051510).
- mtd: nand: mtk: fix infinite ECC decode IRQ issue (bsc#1051510).
- mtd: nand: omap2: Fix subpage write (bsc#1051510).
- commit 5bfd438
* Thu Feb 21 2019 tiwai@suse.de
- mtd: spi-nor: stm32-quadspi: Fix uninitialized error return code
  (bsc#1051510).
- mtd: nand: atmel: fix buffer overflow in atmel_pmecc_user
  (bsc#1051510).
- mtd: nand: atmel: fix of_irq_get() error check (bsc#1051510).
- mtd: nandsim: remove debugfs entries in error path
  (bsc#1051510).
- mtd: nand: sunxi: fix potential divide-by-zero error
  (bsc#1051510).
- commit b6ab04b
* Thu Feb 21 2019 tiwai@suse.de
- ARM: 8808/1: kexec:offline panic_smp_self_stop CPU
  (bsc#1051510).
- ARM: pxa: avoid section mismatch warning (bsc#1051510).
- ARM: OMAP2+: hwmod: Fix some section annotations (bsc#1051510).
- commit 40e113a
* Thu Feb 21 2019 tiwai@suse.de
- blacklist.conf: Add superfluous stable 4.14 entry for loop
- commit d72e848
* Thu Feb 21 2019 oneukum@suse.com
- PM / genpd: Stop/start devices without
  pm_runtime_force_suspend/resume() (bsc#1087092).
- commit f9adabe
* Thu Feb 21 2019 tiwai@suse.de
- drm/amdgpu: set WRITE_BURST_LENGTH to 64B to workaround SDMA1
  hang (bsc#1051510).
- drm/amdgpu/sriov:Correct pfvf exchange logic (bsc#1051510).
- drm/bridge: tc358767: add bus flags (bsc#1051510).
- commit 106aeb1
* Thu Feb 21 2019 oneukum@suse.com
- PM / Domains: Call driver's noirq callbacks (bsc#1085535).
- commit b4ef406
* Thu Feb 21 2019 nsaenzjulienne@suse.de
- Revert "xhci: Reset Renesas uPD72020x USB controller for 32-bit DMA issue" (bsc#1120854).
- blacklist.conf: Remove patch as it turned out to be needed
- commit 139f00f
* Thu Feb 21 2019 tiwai@suse.de
- pinctrl: meson: meson8b: fix the sdxc_a data 1..3 pins
  (bsc#1051510).
- pinctrl: msm: fix gpio-hog related boot issues (bsc#1051510).
- commit b0097cc
* Thu Feb 21 2019 tiwai@suse.de
- keys: Timestamp new keys (bsc#1051510).
- KEYS: allow reaching the keys quotas exactly (bsc#1051510).
- commit b64eb75
* Thu Feb 21 2019 tiwai@suse.de
- Input: elan_i2c - add ACPI ID for touchpad in Lenovo V330-15ISK
  (bsc#1051510).
- Revert "Input: elan_i2c - add ACPI ID for touchpad in ASUS
  Aspire F5-573G" (bsc#1051510).
- Input: elantech - enable 3rd button support on Fujitsu CELSIUS
  H780 (bsc#1051510).
- Input: bma150 - register input device after setting private data
  (bsc#1051510).
- commit 7b85020
* Thu Feb 21 2019 tiwai@suse.de
- drm/nouveau/falcon: avoid touching registers if engine is off
  (bsc#1051510).
- drm/bridge: tc358767: fix output H/V syncs (bsc#1051510).
- drm/bridge: tc358767: reject modes which require too much BW
  (bsc#1051510).
- drm/bridge: tc358767: fix initial DP0/1_SRCCTRL value
  (bsc#1051510).
- drm/bridge: tc358767: fix single lane configuration
  (bsc#1051510).
- drm/bridge: tc358767: add defines for DP1_SRCCTRL & PHY_2LANE
  (bsc#1051510).
- commit 5e71d60
* Thu Feb 21 2019 tiwai@suse.de
- assoc_array: Fix shortcut creation (bsc#1051510).
- commit de84871
* Thu Feb 21 2019 tiwai@suse.de
- ALSA: hda/realtek: Disable PC beep in passthrough on alc285
  (bsc#1051510).
- ALSA: hda/realtek - Headset microphone and internal speaker
  support for System76 oryp5 (bsc#1051510).
- ALSA: hda/realtek - Headset microphone support for System76
  darp5 (bsc#1051510).
- commit b333acf
* Thu Feb 21 2019 tiwai@suse.de
- Enable missing modules for Intel ISH (bsc#1126191)
- commit cc766b4
* Wed Feb 20 2019 tiwai@suse.de
- ALSA: hda/realtek - Reduce click noise on Dell Precision 5820
  headphone (bsc#1126131).
- commit 5cc7bcc
* Wed Feb 20 2019 tiwai@suse.de
- ALSA: hda/realtek - Reduce click noise on Dell Precision 5820
  headphone (bsc#1126131).
- commit a612b51
* Wed Feb 20 2019 oneukum@suse.com
- scripts/kallsyms: filter arm64's __efistub_ symbols
  (bsc#1090888).
- commit dee5f42
* Wed Feb 20 2019 tiwai@suse.de
- mv88e6060: disable hardware level MAC learning (bsc#1051510).
- commit cf30fae
* Wed Feb 20 2019 tiwai@suse.de
- netrom: switch to sock timer API (bsc#1051510).
- commit aadd38f
* Wed Feb 20 2019 tiwai@suse.de
- OF: properties: add missing of_node_put (bsc#1051510).
- commit 6a25bb9
* Wed Feb 20 2019 tiwai@suse.de
- blacklist.conf: Add a duplicated commit for of unittest
- commit bd2d3e6
* Wed Feb 20 2019 tiwai@suse.de
- of, numa: Validate some distance map rules (bsc#1051510).
- of: unittest: Disable interrupt node tests for old world MAC
  systems (bsc#1051510).
- commit 3b4a4c9
* Wed Feb 20 2019 tiwai@suse.de
- openvswitch: Avoid OOB read when parsing flow nlattrs
  (bsc#1051510).
- Revert "openvswitch: Fix template leak in error
  cases." (bsc#1051510).
- openvswitch: Remove padding from packet before L3+ conntrack
  processing (bsc#1051510).
- openvswitch: fix the incorrect flow action alloc size
  (bsc#1051510).
- commit 8967b23
* Wed Feb 20 2019 tiwai@suse.de
- phy: sun4i-usb: add support for missing USB PHY index
  (bsc#1051510).
- phy: renesas: rcar-gen3-usb2: fix vbus_ctrl for role sysfs
  (bsc#1051510).
- phy: allwinner: sun4i-usb: poll vbus changes on A23/A33 when
  driving VBUS (bsc#1051510).
- phy: rockchip-emmc: retry calpad busy trimming (bsc#1051510).
- phy: qcom-qmp: Fix phy pipe clock gating (bsc#1051510).
- phy: work around 'phys' references to usb-nop-xceiv devices
  (bsc#1051510).
- phy: qcom-qmp: Fix failure path in phy_init functions
  (bsc#1051510).
- commit 81c9fa1
* Wed Feb 20 2019 tbogendoerfer@suse.de
- xsk: do not remove umem from netdevice on fall-back to copy-mode
  (bsc#1109837).
- xsk: share the mmap_sem for page pinning (bsc#1109837).
- bpf: fix lockdep false positive in stackmap (bsc#1109837).
- xsk: add missing smp_rmb() in xsk_mmap (bsc#1109837).
- RDMA/hns: Update the kernel header file of hns (bsc#1104427
  FATE#326416).
- RDMA/hns: Fix an error code in hns_roce_create_srq()
  (bsc#1104427 FATE#326416).
- RDMA/hns: Bugfix for RoCE loopback test (bsc#1104427
  FATE#326416).
- RDMA/hns: Update posting & querying mailbox (bsc#1104427
  FATE#326416).
- RDMA/hns: Fix the bug while use multi-hop of pbl (bsc#1104427
  FATE#326416).
- RDMA/hns: Encapsulate and simplify qp state transition
  (bsc#1104427 FATE#326416).
- RDMA/hns: Init qp context when modify qp from reset to init
  (bsc#1104427 FATE#326416).
- RDMA/hns: Add SRQ asynchronous event support (bsc#1104427
  FATE#326416).
- RDMA/hns: Add SRQ support for hip08 kernel mode (bsc#1104427
  FATE#326416).
- RDMA/hns: Init SRQ table for hip08 (bsc#1104427 FATE#326416).
- RDMA/hns: Eanble SRQ capacity for hip08 (bsc#1104427
  FATE#326416).
- commit 9c45c7a
* Wed Feb 20 2019 tiwai@suse.de
- drm: Use array_size() when creating lease (bsc#1111666).
- drm/i915/pmu: Fix enable count array size and bounds checking
  (bsc#1111666).
- drm/vkms: Fix license inconsistent (bsc#1111666).
- commit b1048bf
* Wed Feb 20 2019 tiwai@suse.de
- mac80211: Restore vif beacon interval if start ap fails
  (bsc#1051510).
- mac80211: ensure that mgmt tx skbs have tailroom for encryption
  (bsc#1051510).
- commit f2a7fe0
* Wed Feb 20 2019 glin@suse.com
- Update
  patches.fixes/bpf-fix-check_map_access-smin_value-test-when-pointe.patch
  (bsc#1068032 CVE-2017-5753 bsc#1124055 CVE-2019-7308).
- Update
  patches.fixes/bpf-move-prev_-insn_idx-into-verifier-env.patch
  (bsc#1068032 CVE-2017-5753 bsc#1124055 CVE-2019-7308).
- Update
  patches.fixes/bpf-prevent-out-of-bounds-speculation-on-pointer-ari.patch
  (bsc#1068032 CVE-2017-5753 bsc#1124055 CVE-2019-7308).
- Update
  patches.fixes/bpf-restrict-map-value-pointer-arithmetic-for-unpriv.patch
  (bsc#1068032 CVE-2017-5753 bsc#1124055 CVE-2019-7308).
- Update
  patches.fixes/bpf-restrict-stack-pointer-arithmetic-for-unprivileg.patch
  (bsc#1068032 CVE-2017-5753 bsc#1124055 CVE-2019-7308).
- Update
  patches.fixes/bpf-restrict-unknown-scalars-of-mixed-signed-bounds-.patch
  (bsc#1068032 CVE-2017-5753 bsc#1124055 CVE-2019-7308).
- commit 6a98652
* Wed Feb 20 2019 glin@suse.com
- bpf: enable access to ax register also from verifier rewrite
  (bsc#1124055 CVE-2019-7308).
- bpf: move tmp variable into ax register in interpreter
  (bsc#1124055 CVE-2019-7308).
- commit a966ae4
* Wed Feb 20 2019 glin@suse.com
- Update
  patches.fixes/bpf-fix-check_map_access-smin_value-test-when-pointe.patch
  (bsc#1068032 CVE-2017-5753 bsc#1124055 CVE-2019-7308).
- Update
  patches.fixes/bpf-move-prev_-insn_idx-into-verifier-env.patch
  (bsc#1068032 CVE-2017-5753 bsc#1124055 CVE-2019-7308).
- Update
  patches.fixes/bpf-prevent-out-of-bounds-speculation-on-pointer-ari.patch
  (bsc#1068032 CVE-2017-5753 bsc#1124055 CVE-2019-7308).
- Update
  patches.fixes/bpf-restrict-map-value-pointer-arithmetic-for-unpriv.patch
  (bsc#1068032 CVE-2017-5753 bsc#1124055 CVE-2019-7308).
- Update
  patches.fixes/bpf-restrict-stack-pointer-arithmetic-for-unprivileg.patch
  (bsc#1068032 CVE-2017-5753 bsc#1124055 CVE-2019-7308).
- Update
  patches.fixes/bpf-restrict-unknown-scalars-of-mixed-signed-bounds-.patch
  (bsc#1068032 CVE-2017-5753 bsc#1124055 CVE-2019-7308).
- commit e503a7e
* Wed Feb 20 2019 glin@suse.com
- bpf: enable access to ax register also from verifier rewrite
  (bsc#1124055 CVE-2019-7308).
- bpf: move tmp variable into ax register in interpreter
  (bsc#1124055 CVE-2019-7308).
- commit 489cb8c
* Tue Feb 19 2019 jthumshirn@suse.de
- Update patches.fixes/acpi-nfit-Block-function-zero-DSMs.patch
  (bsc#1051510, bsc#1121789).
- Update
  patches.fixes/acpi-nfit-Fix-command-supported-detection.patch
  (bsc#1051510, bsc#1121789).
  Add more detailed bugzilla reference.
- commit 880f651
* Tue Feb 19 2019 hare@suse.de
- nvme: kABI fix for scan_lock (bsc#1123882).
- nvme: lock NS list changes while handling command effects
  (bsc#1123882).
- commit f4e8b61
* Tue Feb 19 2019 mbenes@suse.cz
- rpm/klp-symbols: Remove the second column in Symbols.list
  Symbols.list file contains also a symbol type next to its name.
  klp-convert cannot handle it well and it is superfluous anyway.
- commit 6bfd2cc
* Tue Feb 19 2019 mhocko@suse.com
- mm, page_alloc: drop should_suppress_show_mem (bnc#1125892,
  bnc#1106061).
- commit 0939a4f
* Tue Feb 19 2019 tbogendoerfer@suse.de
- net/mlx5e: XDP, fix redirect resources availability check
  (bsc#1103990 FATE#326006).
- net_sched: fix a race condition in tcindex_destroy()
  (bsc#1109837).
- net/mlx4_en: Force CHECKSUM_NONE for short ethernet frames
  (bsc#1109837).
- net: hns3: call hns3_nic_net_open() while doing HNAE3_UP_CLIENT
  (bsc#1104353 FATE#326415).
- RDMA/hns: prefer dma_zalloc_coherent to dma_alloc_coherent/memse
  (bsc#1104427 FATE#326416).
- net: hns3: remove redundant variable initialization (bsc#1104353
  FATE#326415).
- net: hns3: reset tqp while doing DOWN operation (bsc#1104353
  FATE#326415).
- net: hns3: add max vector number check for pf (bsc#1104353
  FATE#326415).
- net: hns3: fix a bug caused by udelay (bsc#1104353 FATE#326415).
- net: hns3: change default tc state to close (bsc#1104353
  FATE#326415).
- net: hns3: refine the handle for hns3_nic_net_open/stop()
  (bsc#1104353 FATE#326415).
- net: hns3: fix a SSU buffer checking bug (bsc#1104353
  FATE#326415).
- net: hns3: aligning buffer size in SSU to 256 bytes (bsc#1104353
  FATE#326415).
- net: hns3: getting tx and dv buffer size through firmware
  (bsc#1104353 FATE#326415).
- net: hns3: synchronize speed and duplex from phy when phy link
  up (bsc#1104353 FATE#326415).
- net: hns3: remove 1000M/half support of phy (bsc#1104353
  FATE#326415).
- net: hns3: update coalesce param per second (bsc#1104353
  FATE#326415).
- net: hns3: fix incomplete uninitialization of IRQ in the
  hns3_nic_uninit_vector_data() (bsc#1104353 FATE#326415).
- net: hns3: remove unnecessary configuration recapture while
  resetting (bsc#1104353 FATE#326415).
- net: hns3: update some variables while
  hclge_reset()/hclgevf_reset() done (bsc#1104353 FATE#326415).
- net: hns3: fix error handling int the hns3_get_vector_ring_chain
  (bsc#1104353 FATE#326415).
- net: hns3: Add "tm map" status information query function
  (bsc#1104353 FATE#326415).
- net: hns3: Add "queue map" information query function
  (bsc#1104353 FATE#326415).
- net: hns3: Add "dcb register" status information query function
  (bsc#1104353 FATE#326415).
- net: hns3: Add "status register" information query function
  (bsc#1104353 FATE#326415).
- net: hns3: Add "manager table" information query function
  (bsc#1104353 FATE#326415).
- net: hns3: Add "bd info" query function (bsc#1104353
  FATE#326415).
- net: hns3: fix spelling mistake "offser" -> "offset"
  (bsc#1104353 FATE#326415).
- net: hns3: add handling of RDMA RAS errors (bsc#1104353
  FATE#326415).
- net: hns3: handle hw errors of SSU (bsc#1104353 FATE#326415).
- net: hns3: handle hw errors of PPU(RCB) (bsc#1104353
  FATE#326415).
- net: hns3: handle hw errors of PPP PF (bsc#1104353 FATE#326415).
- net: hns3: add handling of hw errors of MAC (bsc#1104353
  FATE#326415).
- net: hns3: add handling of hw errors reported through MSIX
  (bsc#1104353 FATE#326415).
- net: hns3: deleted logging 1 bit errors (bsc#1104353
  FATE#326415).
- net: hns3: add handling of hw ras errors using new set of
  commands (bsc#1104353 FATE#326415).
- net: hns3: add optimization in the hclge_hw_error_set_state
  (bsc#1104353 FATE#326415).
- net: hns3: rename process_hw_error function (bsc#1104353
  FATE#326415).
- net: hns3: deletes unnecessary settings of the descriptor data
  (bsc#1104353 FATE#326415).
- net: hns3: re-enable error interrupts on hw reset (bsc#1104353
  FATE#326415).
- net: hns3: rename enable error interrupt functions (bsc#1104353
  FATE#326415).
- net: hns3: remove existing process error functions and reorder
  hw_blk table (bsc#1104353 FATE#326415).
- commit 2811451
* Tue Feb 19 2019 tzimmermann@suse.de
- Reserve 64MiB of CMA for RPi3's VC4 (bsc#1123536)
- commit e193fe0
* Mon Feb 18 2019 mwilck@suse.com
- scsi: core: reset host byte in DID_NEXUS_FAILURE case
  (bsc#1122764).
- commit d0b7126
* Mon Feb 18 2019 lhenriques@suse.com
- libceph: avoid KEEPALIVE_PENDING races in ceph_con_keepalive()
  (bsc#1125806).
- ceph: clear inode pointer when snap realm gets dropped by its
  inode (bsc#1125805).
- rbd: don't return 0 on unmap if RBD_DEV_FLAG_REMOVING is set
  (bsc#1125803).
- commit d04fb3d
* Mon Feb 18 2019 lhenriques@suse.com
- libceph: avoid KEEPALIVE_PENDING races in ceph_con_keepalive()
  (bsc#1125800).
- ceph: clear inode pointer when snap realm gets dropped by its
  inode (bsc#1125799).
- rbd: don't return 0 on unmap if RBD_DEV_FLAG_REMOVING is set
  (bsc#1125797).
- commit b76b5e2
* Mon Feb 18 2019 tiwai@suse.de
- crypto: virtio - remove dependency on CRYPTO_AUTHENC
  (bsc#1111666).
- commit 7d2f5cb
* Mon Feb 18 2019 msuchanek@suse.de
- powerpc/pseries: Perform full re-add of CPU for topology update
  post-migration (bsc#1125728, FATE#325308).
- commit 62299b4
* Mon Feb 18 2019 msuchanek@suse.de
- Remove patches rejected upstream (FATE#325308).
- Delete patches.arch/hotplug-cpu-Add-operation-queuing-function.patch.
- Delete patches.arch/hotplug-cpu-Conditionally-acquire-release-DRC-index.patch.
- Delete patches.arch/hotplug-cpu-Provide-CPU-readd-operation.patch.
- Delete patches.arch/hotplug-pmt-Update-topology-after-PMT.patch.
- Delete patches.arch/mobility-numa-Ensure-numa-update-does-not-overlap.patch.
- commit 3516587
* Mon Feb 18 2019 tzimmermann@suse.de
- drm/i915/cnl: Fix CNL macros for Voltage Swing programming (bsc#1113956)
- commit 6aaf2b7
* Mon Feb 18 2019 jthumshirn@suse.de
- lightnvm: fail fast on passthrough commands (bsc#1125780).
- commit 8af708e
* Mon Feb 18 2019 tzimmermann@suse.de
- drm/modes: Prevent division by zero htotal (bsc#1113956)
- commit dc0f373
* Mon Feb 18 2019 jthumshirn@suse.de
- Refresh
  patches.drivers/nvme_fc-fix-ctrl-create-failures-racing-with-workq-i.patch.
  Fixup Git-commit field.
- commit f97fe78
* Mon Feb 18 2019 hare@suse.de
- scsi: lpfc: Update lpfc version to 12.0.0.10 (bsc#1121317).
- scsi: lpfc: Add log messages to aid in debugging fc4type
  discovery issues (bsc#1121317).
- scsi: lpfc: Fix discovery failure when PLOGI is defered
  (bsc#1121317).
- scsi: lpfc: update fault value on successful trunk events
  (bsc#1121317).
- scsi: lpfc: Correct MDS loopback diagnostics support
  (bsc#1121317).
- scsi: lpfc: Fix link state reporting for trunking when adapter
  is offline (bsc#1121317).
- scsi: lpfc: do not set queue->page_count to 0 if
  pc_sli4_params.wqpcnt is invalid (bsc#1121317).
- scsi: lpfc: remove an unnecessary NULL check (bsc#1121317).
- commit a159aec
* Mon Feb 18 2019 jgross@suse.com
- x86/xen: dont add memory above max allowed allocation
  (bsc#1117645).
- x86: respect memory size limiting via mem= parameter
  (bsc#1117645).
- commit 6a9d615
* Mon Feb 18 2019 ptesarik@suse.cz
- Update config files: Enable CIFS_SMB311 in vanilla.
- commit ef771ea
* Mon Feb 18 2019 mgorman@suse.de
- mm, oom: fix use-after-free in oom_kill_process (git fixes
  (mm/oom)).
- commit 352decd
* Mon Feb 18 2019 nsaenzjulienne@suse.de
- mmc: block: handle complete_work on separate workqueue
  (git-fixes).
- commit cf249f9
* Mon Feb 18 2019 mgorman@suse.de
- rcu: Make need_resched() respond to urgent RCU-QS needs (git
  fixes (kernel/rcu)).
- commit 9f61d67
* Mon Feb 18 2019 tiwai@suse.de
- ARM: tango: Improve ARCH_MULTIPLATFORM compatibility
  (bsc#1051510).
- ARM: iop32x/n2100: fix PCI IRQ mapping (bsc#1051510).
- commit 1324ce6
* Mon Feb 18 2019 tiwai@suse.de
- team: avoid complex list operations in team_nl_cmd_options_set()
  (bsc#1051510).
- commit db17c10
* Mon Feb 18 2019 tiwai@suse.de
- floppy: check_events callback should not return a negative
  number (bsc#1051510).
- commit 08d5ae8
* Mon Feb 18 2019 tiwai@suse.de
- batman-adv: fix uninit-value in batadv_interface_tx()
  (bsc#1051510).
- commit 98f136b
* Mon Feb 18 2019 tiwai@suse.de
- i2c: bcm2835: Clear current buffer pointers and counts after
  a transfer (bsc#1051510).
- i2c: cadence: Fix the hold bit setting (bsc#1051510).
- commit a28b18c
* Mon Feb 18 2019 mgorman@suse.de
- blacklist.conf: Fixes build of a userspace test tool
- commit 4cf3fc4
* Mon Feb 18 2019 mgorman@suse.de
- blacklist.conf: Cosmetic fix only
- commit 7cbedec
* Mon Feb 18 2019 mgorman@suse.de
- blacklist.conf: Fixes comments only
- commit 687339e
* Mon Feb 18 2019 mgorman@suse.de
- rcu: Fix up pending cbs check in rcu_prepare_for_idle (git fixes
  (kernel/rcu)).
- commit c71433c
* Mon Feb 18 2019 mgorman@suse.de
- blacklist.conf: Fixes an unused debugging option
- commit 6fe9af6
* Mon Feb 18 2019 mgorman@suse.de
- blacklist.conf: Fixes an unused debugging option
- commit 0a05a83
* Mon Feb 18 2019 tzimmermann@suse.de
- drm/i915/opregion: rvda is relative from opregion base in opregion (bsc#1113722)
- commit 6326f1f
* Mon Feb 18 2019 tzimmermann@suse.de
- drm/i915/opregion: fix version check (bsc#1113722)
- commit 948a27b
* Mon Feb 18 2019 tzimmermann@suse.de
- drm/i915: Prevent a race during I915_GEM_MMAP ioctl with WC set (bsc#1113722)
- commit d9414a1
* Mon Feb 18 2019 tzimmermann@suse.de
- drm/i915: Block fbdev HPD processing during suspend (bsc#1113722)
- commit 9bc1950
* Mon Feb 18 2019 tzimmermann@suse.de
- gpu: ipu-v3: Fix CSI offsets for imx53 (bsc#1113722)
- commit 700eb34
* Mon Feb 18 2019 tzimmermann@suse.de
- gpu: ipu-v3: Fix i.MX51 CSI control registers offset (bsc#1113722)
- commit aa477ef
* Mon Feb 18 2019 hare@suse.de
- blk-mq: fix a hung issue when fsync (bsc#1125252).
- commit 2d80d27
* Mon Feb 18 2019 glin@suse.com
- bpf: Fix syscall's stackmap lookup potential deadlock
  (bsc#1083647).
- bpf: fix lockdep false positive in percpu_freelist
  (bsc#1083647).
- commit 465856f
* Sun Feb 17 2019 jgross@suse.com
- blacklist.conf: add 20e55bc17dd01f13cec0eb17e76e9511b23963ef
- commit f8d9b21
* Fri Feb 15 2019 glin@suse.com
- bpf: Fix syscall's stackmap lookup potential deadlock
  (bsc#1083647).
- bpf: fix lockdep false positive in percpu_freelist
  (bsc#1083647).
- commit d98e12d
* Fri Feb 15 2019 tiwai@suse.de
- mac80211: ensure that mgmt tx skbs have tailroom for encryption
  (bsc#1111666).
- commit 14578f0
* Fri Feb 15 2019 tiwai@suse.de
- drm/modes: Prevent division by zero htotal (bsc#1051510).
- commit 8a07ee2
* Thu Feb 14 2019 jdelvare@suse.de
- sd: disable logical block provisioning if 'lbpme' is not set
  (bsc#1086095 bsc#1078355).
- commit e365f13
* Thu Feb 14 2019 mkubecek@suse.cz
- blacklist.conf: add 9b3fa47d4a76
  Commit 9b3fa47d4a76 ("kobject: fix suppressing modalias in uevents
  delivered over netlink") is marked as fix for commit 4a336a23d619
  ("kobject: copy env blob in one go") but it fixes code added by commit
  6878e7de6af7 ("driver core: suppress sending MODALIAS in UNBIND uevents")
  which wasn't backported to SLE15.
- commit 226cfdd
* Thu Feb 14 2019 mkubecek@suse.cz
- netns: restrict uevents (bsc#1122982).
- commit 93bf53c
* Thu Feb 14 2019 mkubecek@suse.cz
- uevent: add alloc_uevent_skb() helper (bsc#1122982).
- commit d7be40a
* Thu Feb 14 2019 mkubecek@suse.cz
- kabi: handle addition of uevent_sock into struct net
  (bsc#1122982).
- commit fba27e2
* Thu Feb 14 2019 mkubecek@suse.cz
- net: add uevent socket member (bsc#1122982).
- commit 0d1872e
* Thu Feb 14 2019 mkubecek@suse.cz
- kabi: restore ip_tunnel_delete_net() (bsc#1122982).
- commit 3f50317
* Thu Feb 14 2019 yousaf.kaukab@suse.com
- mtd: spi-nor: add an API to restore the status of SPI flash chip
  (fate#326572).
- commit 44cd897
* Thu Feb 14 2019 yousaf.kaukab@suse.com
- spi: spi-mem: spi-nxp-fspi: add module license info
  (fate#326572).
- spi: nxp-fspi: add octal mode flag bit for octal support
  (fate#326572).
- spi: spi-mem: Add driver for NXP FlexSPI controller
  (fate#326572).
- PCI: mobiveil: ls_pcie_g4: add Workaround for A-011451
  (fate#326572).
- PCI: mobiveil: ls_pcie_g4: add Workaround for A-011577
  (fate#326572).
- PCI: mobiveil: add PCIe Gen4 RC driver for NXP Layerscape SoCs
  (fate#326572).
- dt-bindings: pci: Add NXP Layerscape SoCs PCIe Gen4 controller
  (fate#326572).
- PCI: mobiveil: make mobiveil_host_init can be used to re-init
  host (fate#326572).
- PCI: mobiveil: add Byte and Half-Word width register accessors
  (fate#326572).
- PCI: mobiveil: disabled IB and OB windows set by bootloader
  (fate#326572).
- PCI: mobiveil: continue to initialize the host upon no PCIe link
  (fate#326572).
- PCI: mobiveil: fix the checking of valid device (fate#326572).
- PCI: mobiveil: refactor Mobiveil PCIe Host Bridge IP driver
  (fate#326572).
- dt-bindings: pci: mobiveil: change gpio_slave and apb_csr to
  optional (fate#326572).
- PCI: mobiveil: initialize Primary/Secondary/Subordinate bus
  number (fate#326572).
- PCI: mobiveil: move irq chained handler setup out of DT parse
  (fate#326572).
- PCI: mobiveil: move out the link up waiting from
  mobiveil_host_init (fate#326572).
- PCI: mobiveil: only fix up the Class Code field (fate#326572).
- PCI: mobiveil: fix the INTx process error (fate#326572).
- PCI: mobiveil: correct inbound/outbound window setup routines
  (fate#326572).
- PCI: mobiveil: use the 1st inbound window for MEM inbound
  transactions (fate#326572).
- PCI: mobiveil: use WIN_NUM_0 explicitly for CFG outbound window
  (fate#326572).
- PCI: mobiveil: replace the resource list iteration function
  (fate#326572).
- PCI: mobiveil: correct PCI base address in MEM/IO outbound
  windows (fate#326572).
- PCI: mobiveil: remove flag MSI_FLAG_MULTI_PCI_MSI (fate#326572).
- PCI: mobiveil: correct the returned error number (fate#326572).
- PCI: mobiveil: format the code without function change
  (fate#326572).
- PCI: mobiveil: uniform the register accessors (fate#326572).
- ahci: qoriq: add lx2160 platforms support (fate#326572).
- mtd: m25p80: add support of octal mode I/O transfer
  (fate#326572).
- mtd: spi-nor: add octal read flag for flash mt35xu512aba
  (fate#326572).
- mtd: spi-nor: add opcodes for octal Read/Write commands
  (fate#326572).
- spi: spi-mem: Add devm_spi_mem_dirmap_{create,destroy}()
  (fate#326572).
- spi: spi-mem: Fix a memory leak in spi_mem_dirmap_destroy()
  (fate#326572).
- spi: spi-mem: Fix spi_mem_dirmap_destroy() kerneldoc
  (fate#326572).
- spi: spi-mem: Add a new API to support direct mapping
  (fate#326572).
- spi: spi-mem: Split spi_mem_exec_op() code (fate#326572).
- spi: spi-mem: Add SPI_MEM_NO_DATA to the spi_mem_data_dir enum
  (fate#326572).
- spi: spi-mem: Add missing word in the SPI_MEM_DATA_OUT
  description (fate#326572).
- spi: spi-mem: add support for octal mode I/O data transfer
  (fate#326572).
- spi: add support for octal mode I/O data transfer (fate#326572).
- mtd: spi-nor: add entry for mt35xu512aba flash (fate#326572).
- spi: spi-mem: Fix inverted logic in op sanity check
  (fate#326572).
- spi: spi-mem: Add extra sanity checks on the op param
  (fate#326572).
- spi: spi-mem: Adjust op len based on message/transfer size
  limitations (fate#326572).
- mtd: devices: m25p80: Make sure WRITE_EN is issued before each
  write (fate#326572).
- spi: spi-mem: Move the DMA-able constraint doc to the kerneldoc
  header (fate#326572).
- spi: spi-mem: Add missing description for data.nbytes field
  (fate#326572).
- mtd: devices: m25p80: Make sure the buffer passed in op is
  DMA-able (fate#326572).
- spi: spi-mem: Constify spi_mem->name (fate#326572).
- mtd: m25p80: Call spi_mem_get_name() to let controller set a
  custom name (fate#326572).
- spi: spi-mem: Extend the SPI mem interface to set a custom
  memory name (fate#326572).
- spi: spi-mem: Fix a typo in the documentation of struct spi_mem
  (fate#326572).
- mtd: m25p80: Use SPI_MEM_OP_NO_DUMMY instead of
  SPI_MEM_OP_DUMMY(0, x) (fate#326572).
- mtd: devices: m25p80: Use spi_mem_set_drvdata() instead of
  spi_set_drvdata() (fate#326572).
- mtd: spi-nor: Use the spi_mem_xx() API (fate#326572).
- spi: Make support for regular transfers optional when ->mem_ops
  != NULL (fate#326572).
- spi: Extend the core to ease integration of SPI memory
  controllers (fate#326572).
- spi: Check presence the of ->transfer[_xxx]() before registering
  a controller (fate#326572).
- spi: Add an helper to flush the message queue (fate#326572).
- spi: Expose spi_{map,unmap}_buf() for internal use
  (fate#326572).
- mtd: m25p80: restore the status of SPI flash when exiting
  (fate#326572).
- mtd: spi-nor: add a quad_enable callback in struct flash_info
  (fate#326572).
- mtd: spi-nor: add spi_nor_init() function (fate#326572).
- mtd: spi-nor: Kill check with no effect (fate#326572).
- mtd: spi-nor: fix DMA unsafe buffer issue in spi_nor_read_sfdp()
  (fate#326572).
- mtd: spi-nor: Check consistency of the memory size extracted
  from the SFDP (fate#326572).
- mtd: spi-nor: parse Serial Flash Discoverable Parameters (SFDP)
  tables (fate#326572).
- mtd: spi-nor: Potential oops on error path in quad_enable()
  (fate#326572).
- mtd: spi-nor: introduce Octo SPI protocols (fate#326572).
- mtd: spi-nor: introduce Double Transfer Rate (DTR) SPI protocols
  (fate#326572).
- mtd: m25p80: add support of SPI 1-2-2 and 1-4-4 protocols
  (fate#326572).
- mtd: spi-nor: introduce SPI 1-2-2 and SPI 1-4-4 protocols
  (fate#326572).
- spi: spidev: use memdup_user (fate#326572).
- spi: spidev: remove unused completion (fate#326572).
- spi: Generalize SPI "master" to "controller" (fate#326572).
- spi: core: Add support for registering SPI slave controllers
  (fate#326572).
- spi: core: Replace S_IRUGO permissions by 0444 (fate#326572).
- commit e6805b1
* Thu Feb 14 2019 mkubecek@suse.cz
- ipv4: speedup ipv6 tunnels dismantle (bsc#1122982).
- commit 37e2cde
* Thu Feb 14 2019 mkubecek@suse.cz
- ipv6: speedup ipv6 tunnels dismantle (bsc#1122982).
  Refresh patches.suse/ip6_vti-fix-a-null-pointer-deference-when-destroy-vt.patch
- commit e5f835f
* Thu Feb 14 2019 mkubecek@suse.cz
- tcp: batch tcp_net_metrics_exit (bsc#1122982).
- commit 07f6645
* Thu Feb 14 2019 mkubecek@suse.cz
- kabi: handle addition of ip6addrlbl_table into struct netns_ipv6
  (bsc#1122982).
- commit 7e7aa51
* Thu Feb 14 2019 mkubecek@suse.cz
- ipv6: addrlabel: per netns list (bsc#1122982).
- commit a20a6ca
* Thu Feb 14 2019 mkubecek@suse.cz
- kobject: factorize skb setup in kobject_uevent_net_broadcast()
  (bsc#1122982).
- commit 981380d
* Thu Feb 14 2019 mkubecek@suse.cz
- kobject: copy env blob in one go (bsc#1122982).
- commit 4131d33
* Thu Feb 14 2019 mkubecek@suse.cz
- kobject: add kobject_uevent_net_broadcast() (bsc#1122982).
- commit 79f04e3
* Thu Feb 14 2019 tiwai@suse.de
- ptp: Fix pass zero to ERR_PTR() in ptp_clock_register
  (bsc#1051510).
- ptp: check gettime64 return code in PTP_SYS_OFFSET ioctl
  (bsc#1051510).
- commit da8955a
* Thu Feb 14 2019 tiwai@suse.de
- pinctrl: meson: meson8b: fix the GPIO function for the GPIOAO
  pins (bsc#1051510).
- pinctrl: meson: meson8: fix the GPIO function for the GPIOAO
  pins (bsc#1051510).
- pinctrl: sunxi: a64: Rename function ts0 to ts (bsc#1051510).
- pinctrl: sunxi: a64: Rename function csi0 to csi (bsc#1051510).
- pinctrl: sx150x: handle failure case of devm_kstrdup
  (bsc#1051510).
- pinctrl: sunxi: a83t: Fix IRQ offset typo for PH11
  (bsc#1051510).
- pinctrl: meson: fix pull enable register calculation
  (bsc#1051510).
- commit 425b535
* Thu Feb 14 2019 tiwai@suse.de
- hwmon: (lm80) Fix missing unlock on error in set_fan_div()
  (bsc#1051510).
- kgdboc: Fix warning with module build (bsc#1051510).
- commit 9dd5b77
* Thu Feb 14 2019 tiwai@suse.de
- kprobes: Return error if we fail to reuse kprobe instead of
  BUG_ON() (bsc#1051510).
- commit a34e8dd
* Thu Feb 14 2019 tiwai@suse.de
- kgdboc: fix KASAN global-out-of-bounds bug in
  param_set_kgdboc_var() (bsc#1051510).
- kgdboc: Fix restrict error (bsc#1051510).
- commit 81f4204
* Thu Feb 14 2019 tiwai@suse.de
- kconfig: fix memory leak when EOF is encountered in quotation
  (bsc#1051510).
- kconfig: fix file name and line number of
  warn_ignored_character() (bsc#1051510).
- kconfig: fix the rule of mainmenu_stmt symbol (bsc#1051510).
- kconfig: fix line numbers for if-entries in menu tree
  (bsc#1051510).
- commit 48b9214
* Thu Feb 14 2019 tiwai@suse.de
- irqchip/gic-v3-its: Plug allocation race for devices sharing
  a DevID (bsc#1111666).
- commit 3d9943d
* Thu Feb 14 2019 tiwai@suse.de
- iio/hid-sensors: Fix IIO_CHAN_INFO_RAW returning wrong values
  for signed numbers (bsc#1111666).
- commit c0099f0
* Thu Feb 14 2019 tiwai@suse.de
- hwmon: (lm80) fix a missing check of bus read in lm80 probe
  (bsc#1051510).
- hwmon: (lm80) fix a missing check of the status of SMBus read
  (bsc#1051510).
- commit 673c6f7
* Thu Feb 14 2019 tiwai@suse.de
- hvc_opal: don't set tb_ticks_per_usec in udbg_init_opal_common()
  (bsc#1051510).
- commit 692e504
* Thu Feb 14 2019 tiwai@suse.de
- gianfar: Fix Rx byte accounting for ndev stats (bsc#1051510).
- gianfar: prevent integer wrapping in the rx handler
  (bsc#1051510).
- gianfar: fix a flooded alignment reports because of padding
  issue (bsc#1051510).
- commit 8dceab1
* Thu Feb 14 2019 tiwai@suse.de
- genwqe: Fix size check (bsc#1051510).
- commit 1222038
* Thu Feb 14 2019 tiwai@suse.de
- esp6: fix memleak on error path in esp6_input (bsc#1051510).
- esp: Fix skb tailroom calculation (bsc#1051510).
- esp: Fix locking on page fragment allocation (bsc#1051510).
- esp: Fix memleaks on error paths (bsc#1051510).
- ipsec: check return value of skb_to_sgvec always (bsc#1051510).
- commit 5e4fe86
* Thu Feb 14 2019 tiwai@suse.de
- earlycon: Remove hardcoded port->uartclk initialization in
  of_setup_earlycon (bsc#1051510).
- earlycon: Initialize port->uartclk based on clock-frequency
  property (bsc#1051510).
- commit 3501ab2
* Thu Feb 14 2019 tiwai@suse.de
- dmaengine: dw-dmac: implement dma protection control setting
  (bsc#1111666).
- commit e42e196
* Thu Feb 14 2019 tiwai@suse.de
- dmaengine: stm32-dma: fix incomplete configuration in cyclic
  mode (bsc#1051510).
- commit 320fcc4
* Thu Feb 14 2019 tiwai@suse.de
- cw1200: Fix concurrency use-after-free bugs in cw1200_hw_scan()
  (bsc#1051510).
- commit c2f6cd4
* Thu Feb 14 2019 tbogendoerfer@suse.de
- RDMA/bnxt_re: fix or'ing of data into an uninitialized struct
  member (bsc#1125239).
- RDMA/bnxt_en: Enable RDMA driver support for 57500 chip
  (bsc#1125239).
- RDMA/bnxt_re: Update kernel user abi to pass chip context
  (bsc#1125239).
- RDMA/bnxt_re: Add extended psn structure for 57500 adapters
  (bsc#1125239).
- RDMA/bnxt_re: Enable GSI QP support for 57500 series
  (bsc#1125239).
- RDMA/bnxt_re: Skip backing store allocation for 57500 series
  (bsc#1125239).
- RDMA/bnxt_re: Add 64bit doorbells for 57500 series
  (bsc#1125239).
- RDMA/bnxt_re: Add chip context to identify 57500 series
  (bsc#1125239).
- RDMA/bnxt_re: fix a size calculation (bsc#1125239).
- infiniband: bnxt_re: qplib: Check the return value of
  send_message (bsc#1125239).
- RDMA/bnxt_re: Increase depth of control path command queue
  (bsc#1125239).
- RDMA/bnxt_re: Query HWRM Interface version from FW
  (bsc#1125239).
- commit a59c6c7
* Thu Feb 14 2019 ohering@suse.de
- PCI: hv: Refactor hv_irq_unmask() to use cpumask_to_vpset()
  (bsc#1122822).
- PCI: hv: Replace hv_vp_set with hv_vpset (bsc#1122822).
- commit c6c1851
* Thu Feb 14 2019 ptesarik@suse.cz
- s390: Update kernel message documentation (LTC#174596,
  bsc#1121718).
- commit c499b54
* Thu Feb 14 2019 wqu@suse.com
- btrfs: qgroup: Make qgroup async transaction commit more
  aggressive (bsc#1113042).
- commit 6571468
* Wed Feb 13 2019 tiwai@suse.de
- ALSA: hda - Add quirk for HP EliteBook 840 G5 (bsc#1051510).
- ALSA: hda: Proper endian notations for BDL pointers
  (bsc#1051510).
- ALSA: hda: Fix implicit PCM format type conversion
  (bsc#1051510).
- commit 6e5a392
* Wed Feb 13 2019 tiwai@suse.de
- ALSA: hda - Add quirk for HP EliteBook 840 G5 (bsc#1051510).
- commit 02839ac
* Wed Feb 13 2019 ailiopoulos@suse.com
- xfs: add option to mount with barrier=0 or barrier=1
  (bsc#1088133).
- commit 041eec2
* Wed Feb 13 2019 tiwai@suse.de
- drm/i915: Flush GPU relocs harder for gen3 (bsc#1111666).
- commit 665d886
* Wed Feb 13 2019 tiwai@suse.de
- sata_rcar: fix deferred probing (bsc#1051510).
- sc16is7xx: Fix for multi-channel stall (bsc#1051510).
- commit 8335cf8
* Wed Feb 13 2019 tiwai@suse.de
- selinux: always allow mounting submounts (bsc#1051510).
- commit 2719b51
* Wed Feb 13 2019 tiwai@suse.de
- switchtec: Fix SWITCHTEC_IOCTL_EVENT_IDX_ALL flags overwrite
  (bsc#1051510).
- switchtec: Remove immediate status check after submitting MRPC
  command (bsc#1051510).
- commit bf525d0
* Wed Feb 13 2019 tiwai@suse.de
- timekeeping: Use proper seqcount initializer (bsc#1051510).
- commit f7ac05e
* Wed Feb 13 2019 tiwai@suse.de
- tpm: fix kdoc for tpm2_flush_context_cmd() (bsc#1051510).
- commit cc49795
* Wed Feb 13 2019 tiwai@suse.de
- tpm: tpm_try_transmit() refactor error flow (bsc#1051510).
- commit cd1784e
* Wed Feb 13 2019 tiwai@suse.de
- tpm: tpm_i2c_nuvoton: use correct command duration for TPM 2.x
  (bsc#1051510).
- commit cdee356
* Wed Feb 13 2019 tiwai@suse.de
- tpm: suppress transmit cmd error logs when TPM 1.2 is
  disabled/deactivated (bsc#1051510).
- Refresh patches.suse/tpm-Downgrade-error-level.
- commit 8e7a0f3
* Wed Feb 13 2019 tiwai@suse.de
- tpm/tpm_i2c_infineon: switch to i2c_lock_bus(...,
  I2C_LOCK_SEGMENT) (bsc#1051510).
- tpm: Return the actual size when receiving an unsupported
  command (bsc#1051510).
- commit dbd494e
* Wed Feb 13 2019 tiwai@suse.de
- tpm: return a TPM_RC_COMMAND_CODE response if command is not
  implemented (bsc#1051510).
- Refresh patches.drivers/tpm-add-retry-logic.patch.
- Refresh
  patches.drivers/tpm-cmd_ready-command-can-be-issued-only-after-grant.patch.
- Refresh
  patches.drivers/tpm-fix-intermittent-failure-with-self-tests.patch.
- Refresh
  patches.drivers/tpm-separate-cmd_ready-go_idle-from-runtime_pm.patch.
- commit 60c8417
* Wed Feb 13 2019 tiwai@suse.de
- usb: phy: am335x: fix race condition in _probe (bsc#1051510).
- usb: gadget: udc: net2272: Fix bitwise and boolean operations
  (bsc#1051510).
- usb: dwc3: gadget: Handle 0 xfer length for OUT EP
  (bsc#1051510).
- usb: gadget: musb: fix short isoc packets with inventra dma
  (bsc#1051510).
- USB: serial: pl2303: add new PID to support PL2303TB
  (bsc#1051510).
- USB: serial: simple: add Motorola Tetra TPG2200 device id
  (bsc#1051510).
- usb: musb: dsps: fix otg state machine (bsc#1051510).
- usb: dwc3: gadget: Disable CSP for stream OUT ep (bsc#1051510).
- usb: mtu3: fix the issue about SetFeature(U1/U2_Enable)
  (bsc#1051510).
- usb: dwc3: Correct the logic for checking TRB full in
  __dwc3_prepare_one_trb() (bsc#1051510).
- usb: hub: delay hub autosuspend if USB3 port is still link
  training (bsc#1051510).
- commit fc7d38b
* Wed Feb 13 2019 tiwai@suse.de
- usbnet: smsc95xx: fix rx packet alignment (bsc#1051510).
- commit c9b4f88
* Wed Feb 13 2019 tiwai@suse.de
- vxge: ensure data0 is initialized in when fetching firmware
  version information (bsc#1051510).
- commit 693db95
* Wed Feb 13 2019 tiwai@suse.de
- w90p910_ether: remove incorrect __init annotation (bsc#1051510).
- commit 709dd80
* Wed Feb 13 2019 tiwai@suse.de
- watchdog: docs: kernel-api: don't reference removed functions
  (bsc#1051510).
- commit 02aef73
* Wed Feb 13 2019 tiwai@suse.de
- Yama: Check for pid death before checking ancestry
  (bsc#1051510).
- yam: fix a missing-check bug (bsc#1051510).
- commit 8358606
* Wed Feb 13 2019 tiwai@suse.de
- wil6210: fix memory leak in wil_find_tx_bcast_2 (bsc#1111666).
- wil6210: fix reset flow for Talyn-mb (bsc#1111666).
- commit 53a4f65
* Wed Feb 13 2019 tiwai@suse.de
- drm/amd/display: validate extended dongle caps (bsc#1111666).
- drm/amd/display: Add retry to read ddc_clock pin (bsc#1111666).
- drm/amd/display: fix YCbCr420 blank color (bsc#1111666).
- drm/msm: dpu: Only check flush register against pending flushes
  (bsc#1111666).
- drm/msm/dsi: fix dsi clock names in DSI 10nm PLL driver
  (bsc#1111666).
- drm/amdgpu/powerplay: fix clock stretcher limits on polaris (v2)
  (bsc#1111666).
- drm/amd/display: calculate stream->phy_pix_clk before clock
  mapping (bsc#1111666).
- drm/amd/display: fix gamma not being applied correctly
  (bsc#1111666).
- drm/sun4i: Initialize registers in tcon-top driver
  (bsc#1111666).
- drm/vgem: Fix vgem_init to get drm device available
  (bsc#1111666).
- commit 74b8382
* Wed Feb 13 2019 tiwai@suse.de
- ath10k: assign 'n_cipher_suites' for WCN3990 (bsc#1111666).
- commit 1138342
* Wed Feb 13 2019 tiwai@suse.de
- ALSA: pcm: Revert capture stream behavior change in blocking
  mode (bsc#1111666).
- ALSA: hda/realtek - Headset microphone support for System76
  darp5 (bsc#1111666).
- ASoC: tlv320aic32x4: Kernel OOPS while entering DAPM standby
  mode (bsc#1111666).
- commit c5ab176
* Wed Feb 13 2019 yousaf.kaukab@suse.com
- config: arm64: lx2160a: enable pcie and spi
  Enable Mobiveil PCIe host controller and NXP FlexSPI driver
  Also enable MTD_M25P80 for MT35XU512ABA on RDB board
- commit 81d6802
* Wed Feb 13 2019 yousaf.kaukab@suse.com
- PCI: Enable PCI_DOMAINS along with generic PCI host controller
  (fate#326572).
- PCI: Add support for unbinding the generic PCI host controller
  (fate#326572).
- PCI: Rework of_pci_get_host_bridge_resources() to
  devm_of_pci_get_host_bridge_resources() (fate#326572).
- PCI: Use dev_printk() in of_pci_get_host_bridge_resources()
  (fate#326572).
- PCI: Pass struct device to of_pci_get_host_bridge_resources()
  (fate#326572).
- PCI: Rename of_pci_get_host_bridge_resources() device node
  parameter (fate#326572).
- PCI: Make pci_get_new_domain_nr() static (fate#326572).
- PCI: Add generic function to probe PCI host controllers
  (fate#326572).
- PCI: generic: fix missing call of pci_free_resource_list()
  (fate#326572).
- PCI: OF: Add generic function to parse and allocate PCI
  resources (fate#326572).
- commit 867d780
* Wed Feb 13 2019 tiwai@suse.de
- blacklist.conf: Remove duplicated and already applied entries
- commit ae725ea
* Wed Feb 13 2019 palcantara@suse.de
- SMB3: Fix 3.11 encryption to Windows and handle encrypted smb3
  tcon (bsc#1051510).
- Refresh patches.fixes/0001-CIFS-make-IPC-a-regular-tcon.patch.
- commit 3928810
* Wed Feb 13 2019 tiwai@suse.de
- blacklist.conf: Remove duplicated and already applied entries
- commit 9717602
* Wed Feb 13 2019 palcantara@suse.de
- SMB3: Enable encryption for SMB3.1.1 (bsc#1051510).
- commit adc9cc4
* Wed Feb 13 2019 msuchanek@suse.de
- powerpc/mm/hash: Increase vmalloc space with hash translation
  mode (FATE#326955, bsc#1125291).
- commit 7a7c42b
* Wed Feb 13 2019 jack@suse.cz
- loop: Reintroduce lo_ctl_mutex removed by commit 310ca162d
  (bsc#1124974).
- commit c020130
* Wed Feb 13 2019 tiwai@suse.de
- dmaengine: imx-dma: fix wrong callback invoke (bsc#1051510).
- serial: fix race between flush_to_ldisc and tty_open
  (bsc#1051510).
- drm/i915/gvt: release shadow batch buffer and wa_ctx before
  destroy one workload (bsc#1051510).
- video: clps711x-fb: release disp device node in probe()
  (bsc#1051510).
- i2c-axxia: check for error conditions first (bsc#1051510).
- i2c: sh_mobile: add support for r8a77990 (R-Car E3)
  (bsc#1051510).
- HID: lenovo: Add checks to fix of_led_classdev_register
  (bsc#1051510).
- Thermal: do not clear passive state during system sleep
  (bsc#1051510).
- thermal: generic-adc: Fix adc to temp interpolation
  (bsc#1051510).
- thermal: hwmon: inline helpers when CONFIG_THERMAL_HWMON is
  not set (bsc#1051510).
- isdn: hisax: hfc_pci: Fix a possible concurrency use-after-free
  bug in HFCPCI_l1hw() (bsc#1051510).
- pinctrl: sh-pfc: sh7734: Fix shifted values in IPSR10
  (bsc#1051510).
- pinctrl: sh-pfc: sh7734: Remove bogus IPSR10 value
  (bsc#1051510).
- pinctrl: sh-pfc: sh7269: Add missing PCIOR0 field (bsc#1051510).
- pinctrl: sh-pfc: sh7264: Fix PFCR3 and PFCR0 register
  configuration (bsc#1051510).
- pinctrl: sh-pfc: sh7734: Add missing IPSR11 field (bsc#1051510).
- pinctrl: sh-pfc: r8a7794: Remove bogus IPSR9 field
  (bsc#1051510).
- pinctrl: sh-pfc: sh73a0: Add missing TO pin to tpu4_to3 group
  (bsc#1051510).
- pinctrl: sh-pfc: r8a7791: Remove bogus marks from vin1_b_data18
  group (bsc#1051510).
- pinctrl: sh-pfc: r8a7791: Remove bogus ctrl marks from
  qspi_data4_b group (bsc#1051510).
- pinctrl: sh-pfc: r8a7740: Add missing LCD0 marks to
  lcd0_data24_1 group (bsc#1051510).
- pinctrl: sh-pfc: r8a7740: Add missing REF125CK pin to
  gether_gmii group (bsc#1051510).
- soc/tegra: Don't leak device tree node reference (bsc#1051510).
- soc: bcm: brcmstb: Don't leak device tree node reference
  (bsc#1051510).
- seq_buf: Make seq_buf_puts() null-terminate the buffer
  (bsc#1051510).
- iio: accel: kxcjk1013: Add KIOX010A ACPI Hardware-ID
  (bsc#1051510).
- staging: iio: ad7780: update voltage on read (bsc#1051510).
- staging:iio:ad2s90: Make probe handle spi_setup failure
  (bsc#1051510).
- staging: iio: adc: ad7280a: handle error from __ad7280_read32()
  (bsc#1051510).
- serial: fsl_lpuart: clear parity enable bit when disable parity
  (bsc#1051510).
- mmc: sdhci-xenon: Fix timeout checks (bsc#1051510).
- mmc: sdhci-of-esdhc: Fix timeout checks (bsc#1051510).
- memstick: Prevent memstick host from getting runtime suspended
  during card detection (bsc#1051510).
- mmc: bcm2835: Recover from MMC_SEND_EXT_CSD (bsc#1051510).
- crypto: ux500 - Use proper enum in hash_set_dma_transfer
  (bsc#1051510).
- crypto: ux500 - Use proper enum in cryp_set_dma_transfer
  (bsc#1051510).
- pcrypt: use format specifier in kobject_add (bsc#1051510).
- crypto: aes_ti - disable interrupts while accessing S-box
  (bsc#1051510).
- mac80211: fix radiotap vendor presence bitmap handling
  (bsc#1051510).
- firmware/efi: Add NULL pointer checks in efivars API functions
  (bsc#1051510).
- media: DaVinci-VPBE: fix error handling in vpbe_initialize()
  (bsc#1051510).
- media: adv*/tc358743/ths8200: fill in min
  width/height/pixelclock (bsc#1051510).
- media: mtk-vcodec: Release device nodes in
  mtk_vcodec_init_enc_pm() (bsc#1051510).
- drm: Clear state->acquire_ctx before leaving
  drm_atomic_helper_commit_duplicated_state() (bsc#1051510).
- gpu: ipu-v3: image-convert: Prevent race between run and
  unprepare (bsc#1051510).
- drm/rockchip: fix for mailbox read size (bsc#1051510).
- drm/bufs: Fix Spectre v1 vulnerability (bsc#1051510).
- staging: speakup: Replace strncpy with memcpy (bsc#1051510).
- pktcdvd: Fix possible Spectre-v1 for pkt_devs (bsc#1051510).
- thermal/drivers/hisi: Fix configuration register setting
  (bsc#1051510).
- thermal/drivers/hisi: Encapsulate register writes into helpers
  (bsc#1051510).
- mmc: Kconfig: Enable CONFIG_MMC_SDHCI_IO_ACCESSORS
  (bsc#1051510).
- commit 1c7e39d
* Wed Feb 13 2019 tiwai@suse.de
- kABI workaroudn for ath9k ath_node.ackto type change
  (bsc#1051510).
- commit d8369e0
* Wed Feb 13 2019 tiwai@suse.de
- ASoC: rsnd: fixup rsnd_ssi_master_clk_start() user count check
  (bsc#1051510).
- ALSA: usb-audio: Fix implicit fb endpoint setup by quirk
  (bsc#1051510).
- Bluetooth: Fix unnecessary error message for HCI request
  completion (bsc#1051510).
- ath9k: dynack: make ewma estimation faster (bsc#1051510).
- ath9k: dynack: check da->enabled first in sampling routines
  (bsc#1051510).
- ath9k: dynack: use authentication messages for 'late' ack
  (bsc#1051510).
- clk: imx6sl: ensure MMDC CH0 handshake is bypassed
  (bsc#1051510).
- clk: sunxi-ng: a33: Set CLK_SET_RATE_PARENT for all audio
  module clocks (bsc#1051510).
- ACPI/APEI: Clear GHES block_status before panic() (bsc#1051510).
- ASoC: fsl: Fix SND_SOC_EUKREA_TLV320 build error on i.MX8M
  (bsc#1051510).
- commit 068148f
* Wed Feb 13 2019 hare@suse.de
- Revert "scsi: qla2xxx: Fix NVMe Target discovery" (bsc#1125252).
- Delete
  patches.fixes/qla2xxx-Fixup-dual-protocol-FCP-connections.patch.
- commit d4e105c
* Wed Feb 13 2019 hare@suse.de
- blacklist.conf: add two patches which are fixed with SLE-specific patches
- commit 5a1d4e0
* Wed Feb 13 2019 nmoreychaisemartin@suse.com
- xprtrdma: Make sure Send CQ is allocated on an existing compvec (bsc#1122656)
- commit 3c1400e
* Wed Feb 13 2019 hare@suse.de
- SCSI: fix queue cleanup race before queue initialization is done
  (bsc#1125252).
- scsi: lpfc: fix remoteport access (bsc#1125252).
- block: don't warn when doing fsync on read-only devices
  (bsc#1125252).
- s390/mm: fix addressing exception after suspend/resume
  (bsc#1125252).
- commit b2f7320
* Wed Feb 13 2019 hare@suse.de
- Partially revert "block: fail op_is_write() requests to
  (bsc#1125252).
- Refresh
  patches.fixes/block-don-t-warn-for-flush-on-read-only-device.patch.
- commit 2be11de
* Wed Feb 13 2019 nmoreychaisemartin@suse.com
- scripts/git_sort/git_sort.py: Add linux-nfs as repository URL
- commit 7a5f27d
* Wed Feb 13 2019 tzimmermann@suse.de
- drm/i915: always return something on DDI clock selection (bsc#1120902)
- commit d1afff5
* Wed Feb 13 2019 tzimmermann@suse.de
- drm/amd/powerplay: Fix missing break in switch (bsc#1120902)
- commit e2653ad
* Wed Feb 13 2019 hare@suse.de
- blacklist.conf: Add lightnvm patch
- commit b81cafd
* Wed Feb 13 2019 hare@suse.de
- dm: fix dm_wq_work() to only use __split_and_process_bio()
  if appropriate (bsc#1125245).
- dm: avoid indirect call in __dm_make_request (bsc#1125245).
- commit fabcaee
* Wed Feb 13 2019 hare@suse.de
- Revert "scsi: libfc: Add WARN_ON() when deleting rports"
  (bsc#1125245).
- scsi: ufs: Fix geometry descriptor size (bsc#1125245).
- block: Cleanup license notice (bsc#1125245).
- nvmet-tcp: fix uninitialized variable access (bsc#1125245).
- lib: don't depend on linux headers being installed
  (bsc#1125245).
- block: mq-deadline: Fix write completion handling (bsc#1125245).
- dasd: remove dead code (bsc#1125245).
- Revert "blk-throttle: fix race between (bsc#1125245).
- scsi: libata: Add missing newline at end of file (bsc#1125245).
- lightnvm: remove minor version check for 2.0 (bsc#1125245).
- commit 84a7a25
* Wed Feb 13 2019 hare@suse.de
- scsi: qla2xxx: Add new FC-NVMe enable BIT to enable FC-NVMe
  feature (bsc#1124541).
- commit 2b19025
* Wed Feb 13 2019 hare@suse.de
- scsi: qla2xxx: Update driver version to 10.00.00.13-k
  (bsc#1124541).
- scsi: qla2xxx: Use complete switch scan for RSCN events
  (bsc#1124541).
- scsi: qla2xxx: Fix fw options handle eh_bus_reset()
  (bsc#1124541).
- scsi: qla2xxx: Restore FAWWPN of Physical Port only for loop
  down (bsc#1124541).
- scsi: qla2xxx: Prevent memory leak for CT req/rsp allocation
  (bsc#1124541).
- scsi: qla2xxx: Fix SRB allocation flag to avoid sleeping in
  IRQ context (bsc#1124541).
- scsi: qla2xxx: allow session delete to finish before create
  (bsc#1124541).
- scsi: qla2xxx: fix fcport null pointer access (bsc#1124541).
- scsi: qla2xxx: flush IO on chip reset or sess delete
  (bsc#1124541).
- scsi: qla2xxx: Fix session cleanup hang (bsc#1124541).
- scsi: qla2xxx: Change default ZIO threshold (bsc#1124541).
- scsi: qla2xxx: Add pci function reset support (bsc#1124541).
- scsi: qla2xxx: Fix N2N target discovery with Local loop
  (bsc#1124541).
- commit bba141d
* Wed Feb 13 2019 tonyj@suse.de
- powerpc/perf: Add mem access events to sysfs (FATE#326866,
  bsc#1124370).
- commit 77e6c3a
* Tue Feb 12 2019 tiwai@suse.de
- Refresh
  patches.drm/0024-drm-i915-Do-not-advertize-support-for-NV12-on-ICL-ye.patch.
  Correct wrongly applied patch; refresh from the upstream change as-is.
  This fixes the compile warning.
- commit 82870ba
* Tue Feb 12 2019 tiwai@suse.de
- drm/i915: Clean up skl_plane_has_planar() (fate#326289).
- commit 946f34b
* Tue Feb 12 2019 palcantara@suse.de
- Refresh
  patches.fixes/SMB3-Add-support-for-multidialect-negotiate-SMB2.1-a.patch.
- commit 00c54bd
* Tue Feb 12 2019 palcantara@suse.de
- Tree connect for SMB3.1.1 must be signed for non-encrypted
  shares (bsc#1051510).
- commit 646759f
* Tue Feb 12 2019 tiwai@suse.de
- PM / runtime: Fixup reference counting of device link suppliers
  at probe (bsc#1111666).
- commit 7ea1cdf
* Tue Feb 12 2019 tiwai@suse.de
- pinctrl: cherryview: fix Strago DMI workaround (bsc#1111666).
- commit a8619cc
* Tue Feb 12 2019 tiwai@suse.de
- lib: don't depend on linux headers being installed
  (bsc#1111666).
- commit ee584a7
* Tue Feb 12 2019 tiwai@suse.de
- irqchip/gic-v3-its: Gracefully fail on LPI exhaustion
  (bsc#1111666).
- commit 27c6f22
* Tue Feb 12 2019 tiwai@suse.de
- EVM: Add support for portable signature format (bsc#1111666).
- commit 933a912
* Tue Feb 12 2019 tiwai@suse.de
- blacklist.conf: Add already backported entry from stable 4.14.y tree
- commit 5016e7f
* Tue Feb 12 2019 tiwai@suse.de
- drm/i915: always return something on DDI clock selection
  (bsc#1111666).
- drm/amd/powerplay: Fix missing break in switch (bsc#1111666).
- commit 343466d
* Tue Feb 12 2019 palcantara@suse.de
- SMB311: Improve checking of negotiate security contexts
  (bsc#1051510).
- Refresh
  patches.fixes/smb3-simplify-code-by-removing-CONFIG_CIFS_SMB311.patch.
- commit 88a899d
* Tue Feb 12 2019 tiwai@suse.de
- batman-adv: release station info tidstats (bsc#1111666).
- commit 24198fb
* Tue Feb 12 2019 ptesarik@suse.cz
- s390/setup : enable display support for KVM guest (FATE#327159,
  LTC#174716, bsc#1121996).
- Update config files.
- supported.conf: Add new modules.
- commit cd1f829
* Tue Feb 12 2019 ptesarik@suse.cz
- s390/char : Rename EBCDIC keymap variables (FATE#327159,
  LTC#174716, bsc#1121996).
- commit de358db
* Tue Feb 12 2019 ptesarik@suse.cz
- Kconfig : Remove HAS_IOMEM dependency for Graphics support
  (FATE#327159, LTC#174716, bsc#1121996).
- commit 5939831
* Tue Feb 12 2019 tiwai@suse.de
- Refresh series.conf for upstreamed patches
- commit ff5fcca
* Tue Feb 12 2019 tiwai@suse.de
- Refresh series.conf for upstreamed patches
- commit 7080712
* Tue Feb 12 2019 palcantara@suse.de
- cifs: invalidate cache when we truncate a file (bsc#1051510).
- commit ac6d95b
* Tue Feb 12 2019 palcantara@suse.de
- cifs: connect to servername instead of IP for IPC$ share
  (bsc#1051510).
- commit 9ef1878
* Tue Feb 12 2019 palcantara@suse.de
- cifs: OFD locks do not conflict with eachothers (bsc#1051510).
- commit 60dc3ca
* Tue Feb 12 2019 ptesarik@suse.cz
- s390/smp: Fix calling smp_call_ipl_cpu() from ipl CPU
  (git-fixes).
- commit c4aa3bc
* Tue Feb 12 2019 ptesarik@suse.cz
- s390/smp: fix CPU hotplug deadlock with CPU rescan (git-fixes).
- commit 676a5c7
* Tue Feb 12 2019 ptesarik@suse.cz
- s390/mm: always force a load of the primary ASCE on context
  switch (git-fixes).
- commit 7dd5b69
* Tue Feb 12 2019 tiwai@suse.de
- sysfs: Disable lockdep for driver bind/unbind files
  (bsc#1051510).
- commit e3d560e
* Tue Feb 12 2019 tiwai@suse.de
- uprobes: Fix handle_swbp() vs. unregister() + register()
  race once more (bsc#1051510).
- commit e646146
* Tue Feb 12 2019 tiwai@suse.de
- irqchip/gic-v3-its: Fix ITT_entry_size accessor (bsc#1051510).
- commit 9762d21
* Tue Feb 12 2019 tiwai@suse.de
- irqchip/gic-v3-its: Align PCI Multi-MSI allocation on their size
  (bsc#1051510).
- irqchip/gic-v3-its: Don't bind LPI to unavailable NUMA node
  (bsc#1051510).
- commit aee5454
* Tue Feb 12 2019 tiwai@suse.de
- iio: chemical: atlas-ph-sensor: correct IIO_TEMP values to
  millicelsius (bsc#1051510).
- commit d30d8e7
* Tue Feb 12 2019 tiwai@suse.de
- ieee802154: ca8210: fix possible u8 overflow in ca8210_rx_done
  (bsc#1051510).
- commit d0cf762
* Tue Feb 12 2019 ptesarik@suse.cz
- s390/early: improve machine detection (git-fixes).
- commit a88d3d3
* Tue Feb 12 2019 tiwai@suse.de
- drm/atomic-helper: Complete fake_commit->flip_done potentially
  earlier (bsc#1051510).
- drm/i915: Redefine some Whiskey Lake SKUs (bsc#1051510).
- Revert "drm/rockchip: Allow driver to be shutdown on
  reboot/kexec" (bsc#1051510).
- drm/ast: Fix connector leak during driver unload (bsc#1051510).
- drm/msm: Fix error return checking (bsc#1051510).
- drm/msm: Grab a vblank reference when waiting for commit_done
  (bsc#1051510).
- drm/amdgpu: Add delay after enable RLC ucode (bsc#1051510).
- drm/ast: fixed reading monitor EDID not stable issue
  (bsc#1051510).
- commit e8eb419
* Tue Feb 12 2019 ptesarik@suse.cz
- virtio/s390: fix race in ccw_io_helper() (git-fixes).
- commit e56a72c
* Tue Feb 12 2019 ptesarik@suse.cz
- virtio/s390: avoid race on vcdev->config (git-fixes).
- commit 8787487
* Tue Feb 12 2019 tiwai@suse.de
- dmaengine: dmatest: Abort test in case of mapping error
  (bsc#1051510).
- dmaengine: bcm2835: Fix abort of transactions (bsc#1051510).
- dmaengine: bcm2835: Fix interrupt race on RT (bsc#1051510).
- dmaengine: at_xdmac: Fix wrongfull report of a channel as in
  use (bsc#1051510).
- batman-adv: Force mac header to start of data on xmit
  (bsc#1051510).
- batman-adv: Avoid WARN on net_device without parent in netns
  (bsc#1051510).
- commit 21abf3f
* Tue Feb 12 2019 ptesarik@suse.cz
- s390/cpum_cf: Reject request for sampling in event
  initialization (git-fixes).
- commit 43dc798
* Tue Feb 12 2019 ptesarik@suse.cz
- s390/qeth: invoke softirqs after napi_schedule() (git-fixes).
- s390/sthyi: Fix machine name validity indication (git-fixes).
- commit a8250d7
* Tue Feb 12 2019 ptesarik@suse.cz
- s390/cio: Fix how vfio-ccw checks pinned pages (git-fixes).
- commit 020f0c8
* Tue Feb 12 2019 ptesarik@suse.cz
- vfio: ccw: fix cleanup if cp_prefetch fails (git-fixes).
- commit f3cd170
* Tue Feb 12 2019 ptesarik@suse.cz
- vfio: ccw: process ssch with interrupts disabled (git-fixes).
- commit 504edfe
* Tue Feb 12 2019 ptesarik@suse.cz
- Update
  patches.arch/s390-sles15-zcrypt-fix-specification-exception.patch
  (LTC#174936, bsc#1123060, bsc#1123061).
- commit 1a2036b
* Tue Feb 12 2019 jthumshirn@suse.de
- blacklist.conf: blacklist 2623c7a5f27995
- commit f805abd
* Tue Feb 12 2019 jthumshirn@suse.de
- Delete
  patches.fixes/libata-ensure-host-is-free-d-on-error-exit-paths.patch.
  Not needed anymore as
  'patches.fixes/libata-add-refcounting-to-ata_host.patch' is gone (bsc#1125109).
- commit a0cb8f9
* Tue Feb 12 2019 tbogendoerfer@suse.de
- Delete
  patches.suse/qed-bump-drivers-to-version-8.10.10.55.patch.
- commit b9eef8b
* Tue Feb 12 2019 jthumshirn@suse.de
- Refresh
  patches.fixes/libata-ensure-host-is-free-d-on-error-exit-paths.patch.
- Delete patches.fixes/libata-add-refcounting-to-ata_host.patch.
- Delete patches.kabi/kabi-protect-struct-ata_host.patch.
  The fix in 'patches.fixes/libata-add-refcounting-to-ata_host.patch.'
  introduced a kref in the middle of 'struct ata_host' which the KABI patch
  'patches.kabi/kabi-protect-struct-ata_host.patch' then moved to the end of
  the structure in order to preserve the KABI for out of tree modules. But
  this move to the end of the structure shadowed the dynamically allocated
  'ports' array at the end of 'struct ata_host' and lead to kernel crashes
  (bsc#1125109).
- commit 2d3b23e
* Tue Feb 12 2019 jack@suse.cz
- ext4: force inode writes when nfsd calls commit_metadata()
  (bsc#1125125).
- commit 31a2a0d
* Tue Feb 12 2019 mgorman@suse.de
- mm,vmscan: Make unregister_shrinker() no-op if
  register_shrinker() failed (git fixes (mm/vmscan)).
- commit 811e3e5
* Tue Feb 12 2019 mgorman@suse.de
- blacklist.conf: Microblaze not supported
- commit 4927691
* Tue Feb 12 2019 mgorman@suse.de
- blacklist.conf: KASAN not supported
- commit 2dc5c41
* Tue Feb 12 2019 mgorman@suse.de
- blacklist.conf: KASAN not supported
- commit b14c3e4
* Tue Feb 12 2019 mgorman@suse.de
- blacklist.conf: Preparation patch for other fixes
- commit ad1598c
* Tue Feb 12 2019 mgorman@suse.de
- mm: madvise(MADV_DODUMP): allow hugetlbfs pages (git fixes
  (mm/madvise)).
- commit ced6763
* Tue Feb 12 2019 mgorman@suse.de
- mm: hwpoison: use do_send_sig_info() instead of force_sig()
  (git fixes (mm/hwpoison)).
- commit df0f1cd
* Tue Feb 12 2019 mgorman@suse.de
- mm: migrate: don't rely on __PageMovable() of newpage after
  unlocking it (git fixes (mm/migrate)).
- commit c2ba9d9
* Tue Feb 12 2019 neilb@suse.com
- blacklist.conf: add commit with too many dependencies
- commit 228c48e
* Mon Feb 11 2019 lduncan@suse.com
- scsi: qedi: Add ep_state for login completion on un-reachable
  targets (bsc#1113712).
- commit 4d4bb59
* Mon Feb 11 2019 bp@suse.de
- x86/bugs: Add AMD's variant of SSB_NO (bsc#1114279).
- x86/bugs: Update when to check for the LS_CFG SSBD mitigation
  (bsc#1114279).
- x86/MCE: Initialize mce.bank in the case of a fatal error in
  mce_no_way_out() (bsc#1114279).
- x86/microcode/amd: Don't falsely trick the late loading
  mechanism (bsc#1114279).
- x86/speculation: Remove redundant arch_smt_update() invocation
  (bsc#1114279).
- Refresh
  patches.arch/x86-bugs-add-amd-s-spec_ctrl-msr-usage.patch.
- commit eff8f26
* Mon Feb 11 2019 tiwai@suse.de
- rpm/kernel-binary.spec.in: Enable supported_module_check (bsc#1123548)
  For catching the further missing module entries in future.
- commit 96e3fc3
* Mon Feb 11 2019 tbogendoerfer@suse.de
- net/mlx5e: FPGA, fix Innova IPsec TX offload data path
  performance (bsc#1103990 FATE#326006).
- net: cls_flower: Remove filter from mask before freeing it
  (bsc#1109837).
- virtio_net: Account for tx bytes and packets on sending
  xdp_frames (bsc#1109837).
- Revert "net: phy: marvell: avoid pause mode on SGMII-to-Copper
  for 88e151x" (bsc#1119113 FATE#326472).
- bpf: fix potential deadlock in bpf_prog_register (bsc#1109837).
- bpf: sock recvbuff must be limited by rmem_max in
  bpf_setsockopt() (bsc#1109837).
- bpftool: fix percpu maps updating (bsc#1109837).
- bpftool: Fix prog dump by tag (bsc#1109837).
- bnxt_en: Disable interrupts when allocating CP rings or NQs
  (bsc#1104745 FATE#325918).
- tun: move the call to tun_set_real_num_queues (bsc#1109837).
- virtio_net: Differentiate sk_buff and xdp_frame on freeing
  (bsc#1109837).
- virtio_net: Use xdp_return_frame to free xdp_frames on
  destroying vqs (bsc#1109837).
- virtio_net: Don't process redirected XDP frames when XDP is
  disabled (bsc#1109837).
- virtio_net: Fix out of bounds access of sq (bsc#1109837).
- virtio_net: Fix not restoring real_num_rx_queues (bsc#1109837).
- virtio_net: Don't call free_old_xmit_skbs for xdp_frames
  (bsc#1109837).
- virtio_net: Don't enable NAPI when interface is down
  (bsc#1109837).
- svcrdma: Remove max_sge check at connect time (bsc#1103992
  FATE#326009).
- virtio_net: bulk free tx skbs (bsc#1109837).
- svcrdma: Reduce max_send_sges (bsc#1103992 FATE#326009).
- commit 5a471c8
* Mon Feb 11 2019 tiwai@suse.de
- supported.conf: Add missing arm64 module entries (bsc#1123548)
- commit 856e6c6
* Mon Feb 11 2019 jack@suse.cz
- blacklist.conf: Copy some blacklists from SLE15 that apply also to SLE15-SP1
- commit 0ddeac2
* Mon Feb 11 2019 jack@suse.cz
- blacklist.conf: Blacklist 4ea899ead278
- commit 6976585
* Mon Feb 11 2019 jthumshirn@suse.de
- acpi/nfit: Fix user-initiated ARS to be "ARS-long" rather than
  "ARS-short" (bsc#1124969).
- commit 3578008
* Mon Feb 11 2019 jthumshirn@suse.de
- scsi: qla2xxx: Timeouts occur on surprise removal of QLogic
  adapter (bsc#1124985).
- commit bb23d9d
* Mon Feb 11 2019 jack@suse.cz
- gfs2: Revert "Fix loop in gfs2_rbm_find" (bsc#1120601).
- commit 3792514
* Mon Feb 11 2019 jack@suse.cz
- blockdev: Fix livelocks on loop device (bsc#1124984).
- commit 857b548
* Mon Feb 11 2019 jack@suse.cz
- nbd: Use set_blocksize() to set device blocksize (bsc#1124984).
- blacklist.conf: Blacklist 967d1dc144b5 and 0a42e99b58a2
- commit 7439299
* Mon Feb 11 2019 jack@suse.cz
- ext4: track writeback errors using the generic tracking
  infrastructure (bsc#1124982).
- commit 036c27d
* Mon Feb 11 2019 jack@suse.cz
- ext4: avoid kernel warning when writing the superblock to a
  dead device (bsc#1124981).
- commit f92b2d6
* Mon Feb 11 2019 jack@suse.cz
- ext4: fix a potential fiemap/page fault deadlock w/ inline_data
  (bsc#1124980).
- commit 424532a
* Mon Feb 11 2019 jack@suse.cz
- ext4: make sure enough credits are reserved for dioread_nolock
  writes (bsc#1124979).
- commit 99a4d9d
* Mon Feb 11 2019 jack@suse.cz
- ext4: check for shutdown and r/o file system in
  ext4_write_inode() (bsc#1124978).
- commit dc5a120
* Mon Feb 11 2019 jack@suse.cz
- ext4: include terminating u32 in size of xattr entries when
  expanding inodes (bsc#1124976).
- commit c3a7a13
* Mon Feb 11 2019 jack@suse.cz
- loop: drop caches if offset or block_size are changed
  (bsc#1124975).
- commit df3c676
* Mon Feb 11 2019 jack@suse.cz
- block/loop: Use global lock for ioctl() operation (bsc#1124974).
- commit 8f611d6
* Mon Feb 11 2019 jack@suse.cz
- blacklist.conf: Blacklist b1ab5fa309e6
- commit b03a941
* Mon Feb 11 2019 jthumshirn@suse.de
- acpi, nfit: Fix Address Range Scrub completion tracking
  (bsc#1124969).
- Refresh
  patches.fixes/acpi-nfit-fix-ars-overflow-continuation.patch.
- Refresh patches.kabi/kabi-protect-struct-acpi_nfit_desc.patch.
- commit a36799d
* Mon Feb 11 2019 tbogendoerfer@suse.de
- qed*: Advance drivers version to 8.37.0.20 (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- Refresh
  patches.suse/qed-bump-drivers-to-version-8.10.10.55.patch.
- commit 8cfc33a
* Mon Feb 11 2019 tbogendoerfer@suse.de
- qed: Change verbosity for coalescing message (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- qede: Fix system crash on configuring channels (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- qed: Consider TX tcs while deriving the max num_queues for PF
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- qed: Assign UFP TC value to vlan priority in UFP mode
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- qed: Fix EQ full firmware assert (bsc#1104393 FATE#325891
  bsc#1104389 FATE#325890).
- qed: Fix stack out of bounds bug (bsc#1104393 FATE#325891
  bsc#1104389 FATE#325890).
- qed: Fix system crash in ll2 xmit (bsc#1104393 FATE#325891
  bsc#1104389 FATE#325890).
- qed: Fix VF probe failure while FLR (bsc#1104393 FATE#325891
  bsc#1104389 FATE#325890).
- qed: Fix LACP pdu drops for VFs (bsc#1104393 FATE#325891
  bsc#1104389 FATE#325890).
- qed: Fix bug in tx promiscuous mode settings (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- qed: Fix qed_ll2_post_rx_buffer_notify_fw() by adding a
  write memory barrier (bsc#1104393 FATE#325891 bsc#1104389
  FATE#325890).
- qed: Fix qed_chain_set_prod() for PBL chains with non power of
  2 page count (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- qed: fix spelling mistake "Dispalying" -> "Displaying"
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- qede: Register l2 queues with doorbell overflow recovery
  mechanism (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- qed: Expose the doorbell overflow recovery mechanism to
  the protocol drivers (bsc#1104393 FATE#325891 bsc#1104389
  FATE#325890).
- qed: Register light L2 queues with doorbell overflow recovery
  mechanism (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- qed: Register slowpath queue doorbell with doorbell overflow
  recovery mechanism (bsc#1104393 FATE#325891 bsc#1104389
  FATE#325890).
- qed: Use the doorbell overflow recovery mechanism in case
  of doorbell overflow (bsc#1104393 FATE#325891 bsc#1104389
  FATE#325890).
- qed: Add doorbell overflow recovery mechanism (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- qede - Add a statistic for a case where driver drops tx packet
  due to memory allocation failure (bsc#1104393 FATE#325891
  bsc#1104389 FATE#325890).
- qed: Add support for MBI upgrade over MFW (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- qede: Update link status only when interface is ready
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- qede: Simplify the usage of qede-flags (bsc#1104393 FATE#325891
  bsc#1104389 FATE#325890).
- qed: Display port_id in the UFP debug messages (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- commit adb3386
* Mon Feb 11 2019 nsaenzjulienne@suse.de
- dt-bindings: imx8mq: Number clocks consecutively (git-fixes).
- usb: typec: tcpm: Correct the PPS out_volt calculation
  (git-fixes).
- commit 92e0d0d
* Mon Feb 11 2019 glin@suse.com
- Refresh
  patches.kabi/bpf-move-prev_-insn_idx-into-verifier-env.patch.
  Correct the patch to avoid breaking nfp.
- commit 328bd94
* Mon Feb 11 2019 glin@suse.com
- Refresh
  patches.kabi/bpf-fix-partial-copy-of-map_ptr-when-dst-is-scalar.patch.
  Add more details to the description of the patch.
- commit 6b541d7
* Mon Feb 11 2019 tzimmermann@suse.de
- drm/vmwgfx: Fix setting of dma masks (bsc#1120902)
- commit 0d96fca
* Mon Feb 11 2019 tzimmermann@suse.de
- drm/vmwgfx: Return error code from vmw_execbuf_copy_fence_user (bsc#1120902)
- commit d2f7791
* Mon Feb 11 2019 acho@suse.com
- Update
  patches.fixes/Bluetooth-Verify-that-l2cap_get_conf_opt-provides-la.patch
  (bsc#1120758 CVE-2019-3459 CVE-2019-3460).
- commit 31956dc
* Sun Feb 10 2019 mgorman@suse.de
- mm: Adjust watermark boost factor tunable (bnc#1122972).
- commit 05fff96
* Fri Feb  8 2019 tiwai@suse.de
- wil6210: fix RX buffers release and unmap (bsc#1111666).
- commit 8197e4a
* Fri Feb  8 2019 tiwai@suse.de
- pstore: Convert buf_lock to semaphore (bsc#1051510).
- commit c989baf
* Fri Feb  8 2019 tiwai@suse.de
- platform/x86: asus-nb-wmi: Drop mapping of 0x33 and 0x34 scan
  codes (bsc#1051510).
- platform/x86: asus-nb-wmi: Map 0x35 to KEY_SCREENLOCK
  (bsc#1051510).
- commit 3a743df
* Fri Feb  8 2019 ohering@suse.de
- hv: v4.12 API for hyperv-iommu (bsc#1122822).
- commit e8d5800
* Fri Feb  8 2019 ohering@suse.de
- HYPERV/IOMMU: Add Hyper-V stub IOMMU driver (bsc#1122822).
- commit 10b77a5
* Fri Feb  8 2019 ohering@suse.de
- x86/Hyper-V: Set x2apic destination mode to physical when
  x2apic is available (bsc#1122822).
- commit 931f9c8
* Fri Feb  8 2019 ohering@suse.de
- x86/apic: Provide apic_ack_irq() (bsc#1122822).
- commit 91f6fca
* Fri Feb  8 2019 ptesarik@suse.cz
- s390/zcrypt: fix specification exception on z196 during ap probe
  (LTC#174936, bsc#1123061).
- scripts/git_sort/git_sort.py: Add s390/linux.git fixes.
- commit d41c9f0
* Fri Feb  8 2019 nsaenzjulienne@suse.de
- Update configs: update vanilla as RTSX changed config strings
- commit e66d541
* Fri Feb  8 2019 tiwai@suse.de
- mmc: bcm2835: Fix DMA channel leak on probe error (bsc#1051510).
- mmc: dw_mmc-bluefield: : Fix the license information
  (bsc#1051510).
- mmc: sdhci-iproc: handle mmc_of_parse() errors during probe
  (bsc#1051510).
- mmc: atmel-mci: do not assume idle after atmci_request_end
  (bsc#1051510).
- commit 379914e
* Fri Feb  8 2019 nsaenzjulienne@suse.de
- misc: rtsx: Fix symbol clashes (bsc#1120854).
- mfd: Fix RTS5227 (and others) powermanagement (bsc#1120854).
- Refresh patches.drivers/misc-rtsx-move-realtek-card-reader-driver-to-misc.patch
- commit 22a00d4
* Fri Feb  8 2019 tiwai@suse.de
- gpio: pcf857x: Fix interrupts on multiple instances
  (bsc#1051510).
- mfd: tps6586x: Handle interrupts on suspend (bsc#1051510).
- mfd: ab8500-core: Return zero in get_register_interruptible()
  (bsc#1051510).
- dmaengine: xilinx_dma: Remove __aligned attribute on
  zynqmp_dma_desc_ll (bsc#1051510).
- misc: vexpress: Off by one in vexpress_syscfg_exec()
  (bsc#1051510).
- driver core: Move async_synchronize_full call (bsc#1051510).
- clk: imx6q: reset exclusive gates on init (bsc#1051510).
- clk: rockchip: fix typo in rk3188 spdif_frac parent
  (bsc#1051510).
- clk: sunxi-ng: h3/h5: Fix CSI_MCLK parent (bsc#1051510).
- clk: sunxi-ng: enable so-said LDOs for A64 SoC's pll-mipi clock
  (bsc#1051510).
- dmaengine: dw: Fix FIFO size for Intel Merrifield (bsc#1051510).
- misc: mic/scif: fix copy-paste error in
  scif_create_remote_lookup (bsc#1051510).
- misc: atmel-ssc: Fix section annotation on
  atmel_ssc_get_driver_data (bsc#1051510).
- drivers/misc/sgi-gru: fix Spectre v1 vulnerability
  (bsc#1051510).
- misc: hmc6352: fix potential Spectre v1 (bsc#1051510).
- drivers: core: Remove glue dirs from sysfs earlier
  (bsc#1051510).
- misc: mic: SCIF Fix scif_get_new_port() error handling
  (bsc#1051510).
- misc: ti-st: Fix memory leak in the error path of probe()
  (bsc#1051510).
- misc: sram: enable clock before registering regions
  (bsc#1051510).
- misc: sram: fix resource leaks in probe error path
  (bsc#1051510).
- commit 7c91b33
* Fri Feb  8 2019 nsaenzjulienne@suse.de
- misc: rtsx: Add support for RTS5260 (bsc#1124671).
- misc: rtsx: Move Realtek Card Reader Driver to misc
  (bsc#1124671).
- Update Configs: RTSX moved from MFD to MISC
- Update supported.conf: RTSX moved from MFD to MISC
- mfd: rts5249: Add support for RTS5250S power saving
  (bsc#1124671).
- mmc: rtsx: fix tuning fail on gen3 PCI-Express (bsc#1120854).
- mfd: rtsx: Make arrays depth and cd_mask static const
  (bsc#1124671).
- mfd: rtsx: Do retry when DMA transfer error (bsc#1124671).
- commit 4ccf30d
* Fri Feb  8 2019 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Build livepatch support in SUSE release
  projects (bsc#1124167).
- commit 7519080
* Fri Feb  8 2019 jroedel@suse.de
- KVM: nVMX: unconditionally cancel preemption timer in
  free_nested (CVE-2019-7221) (CVE-2019-7221 bsc#1124732).
- KVM: x86: work around leak of uninitialized stack contents
  (CVE-2019-7222) (CVE-2019-7222 bsc#1124735).
- kvm: fix kvm_ioctl_create_device() reference counting
  (CVE-2019-6974) (CVE-2019-6974 bsc#1124728).
- commit 2b60717
* Thu Feb  7 2019 lyan@suse.com
- KVM: PPC: Book3S PR: Set hflag to indicate that POWER9 supports
  1T segments (bsc#1124589).
- commit 369f0f8
* Thu Feb  7 2019 palcantara@suse.de
- cifs: Fix separator when building path from dentry
  (bsc#1051510).
- commit e3522a0
* Thu Feb  7 2019 hare@suse.de
- scsi: lpfc: Update lpfc version to 12.2.0.0 (bsc#1123236).
- scsi: lpfc: Update 12.2.0.0 file copyrights to 2019
  (bsc#1123236).
- scsi: lpfc: Fix nvmet issues when link bounce under IO load
  (bsc#1123236).
- scsi: lpfc: Correct upcalling nvmet_fc transport during io
  done downcall (bsc#1123236).
- scsi: lpfc: Fix default driver parameter collision for allowing
  NPIV support (bsc#1123236).
- scsi: lpfc: Rework locking on SCSI io completion (bsc#1123236).
- scsi: lpfc: Enable SCSI and NVME fc4s by default (bsc#1123236).
- scsi: lpfc: Resize cpu maps structures based on possible cpus
  (bsc#1123236).
- scsi: lpfc: Utilize new IRQ API when allocating MSI-X vectors
  (bsc#1123236).
- scsi: lpfc: Rework EQ/CQ processing to address interrupt
  coalescing (bsc#1123236).
- scsi: lpfc: cleanup: convert eq_delay to usdelay (bsc#1123236).
- scsi: lpfc: Support non-uniform allocation of MSIX vectors to
  hardware queues (bsc#1123236).
- scsi: lpfc: Fix setting affinity hints to correlate with
  hardware queues (bsc#1123236).
- scsi: lpfc: Allow override of hardware queue selection policies
  (bsc#1123236).
- scsi: lpfc: Adapt partitioned XRI lists to efficient sharing
  (bsc#1123236).
- scsi: lpfc: Synchronize hardware queues with SCSI MQ interface
  (bsc#1123236).
- scsi: lpfc: Convert ring number to hardware queue for nvme
  wqe posting (bsc#1123236).
- scsi: lpfc: Move SCSI and NVME Stats to hardware queue
  structures (bsc#1123236).
- scsi: lpfc: Adapt cpucheck debugfs logic to Hardware Queues
  (bsc#1123236).
- scsi: lpfc: cleanup: Remove unused FCP_XRI_ABORT_EVENT slowpath
  event (bsc#1123236).
- scsi: lpfc: Partition XRI buffer list across Hardware Queues
  (bsc#1123236).
- scsi: lpfc: Replace io_channels for nvme and fcp with general
  hdw_queues per cpu (bsc#1123236).
- scsi: lpfc: Remove extra vector and SLI4 queue for Expresslane
  (bsc#1123236).
- scsi: lpfc: Implement common IO buffers between NVME and SCSI
  (bsc#1123236).
- scsi: lpfc: cleanup: Remove excess check on NVME io submit
  code path (bsc#1123236).
- scsi: lpfc: cleanup: remove nrport from nvme command structure
  (bsc#1123236).
- scsi: lpfc: Update lpfc version to 12.0.0.10 (bsc#1123236).
- scsi: lpfc: Adding ability to reset chip via pci bus reset
  (bsc#1123236).
- scsi: lpfc: Add log messages to aid in debugging fc4type
  discovery issues (bsc#1123236).
- scsi: lpfc: Fix discovery failure when PLOGI is defered
  (bsc#1123236).
- scsi: lpfc: update fault value on successful trunk events
  (bsc#1123236).
- scsi: lpfc: Correct MDS loopback diagnostics support
  (bsc#1123236).
- scsi: lpfc: Fix link state reporting for trunking when adapter
  is offline (bsc#1123236).
- scsi: lpfc: do not set queue->page_count to 0 if
  pc_sli4_params.wqpcnt is invalid (bsc#1123236).
- scsi: lpfc: fix remoteport access (bsc#1123236).
- scsi: lpfc: remove an unnecessary NULL check (bsc#1123236).
- commit f1f66d1
* Thu Feb  7 2019 jthumshirn@suse.de
- Refresh patches.kabi/kabi-protect-struct-ata_host.patch.
- commit b3a0a59
* Thu Feb  7 2019 tbogendoerfer@suse.de
- net: hns3: fix napi_disable not return problem (bsc#1104353
  FATE#326415).
- net: hns3: uninitialize pci in the hclgevf_uninit (bsc#1104353
  FATE#326415).
- hns3: prevent building without CONFIG_INET (bsc#1104353
  FATE#326415).
- commit 6778966
* Thu Feb  7 2019 tiwai@suse.de
- ARM: cns3xxx: Use actual size reads for PCIe (bsc#1051510).
- ARM: cns3xxx: Fix writing to wrong PCI config registers after
  alignment (bsc#1051510).
- arm/arm64: KVM: vgic: Force VM halt when changing the active
  state of GICv3 PPIs/SGIs (bsc#1051510).
- ARM: imx: update the cpu power up timing setting on i.mx6sx
  (bsc#1051510).
- ARM: mmp/mmp2: fix cpu_is_mmp2() on mmp2-dt (bsc#1051510).
- ARM: 8815/1: V7M: align v7m_dma_inv_range() with v7 counterpart
  (bsc#1051510).
- ARM: 8814/1: mm: improve/fix ARM v7_dma_inv_range() unaligned
  address handling (bsc#1051510).
- ARM: OMAP1: ams-delta: Fix possible use of uninitialized field
  (bsc#1051510).
- ARM: OMAP2+: prm44xx: Fix section annotation on
  omap44xx_prm_enable_io_wakeup (bsc#1051510).
- ARM: 8802/1: Call syscall_trace_exit even when system call
  skipped (bsc#1051510).
- commit 7b1aa7a
* Thu Feb  7 2019 tbogendoerfer@suse.de
- net: hns3: add error handler for hclge_reset() (bsc#1104353
  FATE#326415).
- Refresh
  patches.drivers/net-hns3-don-t-restore-rules-when-flow-director-is-d.patch.
- commit 80a9d98
* Thu Feb  7 2019 tbogendoerfer@suse.de
- net: hns3: Adds support to dump(using ethool-d) PCIe regs in
  HNS3 PF driver (bsc#1104353 FATE#326415).
- net: hns3: Support "ethtool -d" for HNS3 VF driver (bsc#1104353
  FATE#326415).
- net: hns3: Config NIC port speed same as that of optical module
  (bsc#1104353 FATE#326415).
- net: hns3: Add "qos buffer" config info query function
  (bsc#1104353 FATE#326415).
- net: hns3: Add "qos prio map" info query function (bsc#1104353
  FATE#326415).
- net: hns3: Add "qos pause" config info query function
  (bsc#1104353 FATE#326415).
- net: hns3: Add "tm config" info query function (bsc#1104353
  FATE#326415).
- net: hns3: Add "tc config" info query function (bsc#1104353
  FATE#326415).
- net: hns3: Add "FD flow table" info query function (bsc#1104353
  FATE#326415).
- net: hns3: Add "queue info" query function (bsc#1104353
  FATE#326415).
- net: hns3: Add debugfs framework registration (bsc#1104353
  FATE#326415).
- net: hns3: add common validation in hclge_dcb (bsc#1104353
  FATE#326415).
- net: hns3: up/down netdev in hclge module when setting mtu
  (bsc#1104353 FATE#326415).
- net: hns3: Add mtu setting support for vf (bsc#1104353
  FATE#326415).
- net: hns3: Add vport alive state checking support (bsc#1104353
  FATE#326415).
- net: hns3: Refactor mac mtu setting related functions
  (bsc#1104353 FATE#326415).
- net: hns3: Support two vlan header when setting mtu (bsc#1104353
  FATE#326415).
- net: hns3: fix spelling mistake "failded" -> "failed"
  (bsc#1104353 FATE#326415).
- net: hns3: Adds GRO params to SKB for the stack (bsc#1104353
  FATE#326415).
- net: hns3: Add skb chain when num of RX buf exceeds
  MAX_SKB_FRAGS (bsc#1104353 FATE#326415).
- net: hns3: Add support for ethtool -K to enable/disable HW GRO
  (bsc#1104353 FATE#326415).
- net: hns3: Add handling of GRO Pkts not fully RX'ed in NAPI poll
  (bsc#1104353 FATE#326415).
- net: hns3: Enable HW GRO for Rev B(=0x21) HNS3 hardware
  (bsc#1104353 FATE#326415).
- net: hns3: add PCIe FLR support for VF (bsc#1104353
  FATE#326415).
- net: hns3: do VF's pci re-initialization while PF doing FLR
  (bsc#1104353 FATE#326415).
- net: hns3: add PCIe FLR support for PF (bsc#1104353
  FATE#326415).
- net: hns3: implement the IMP reset processing for PF
  (bsc#1104353 FATE#326415).
- net: hns3: stop napi polling when HNS3_NIC_STATE_DOWN is set
  (bsc#1104353 FATE#326415).
- net: hns3: add error handler for hclgevf_reset() (bsc#1104353
  FATE#326415).
- net: hns3: stop handling command queue while resetting VF
  (bsc#1104353 FATE#326415).
- net: hns3: add reset handling for VF when doing Core/Global/IMP
  reset (bsc#1104353 FATE#326415).
- net: hns3: add reset handling for VF when doing PF reset
  (bsc#1104353 FATE#326415).
- net: hns3: adjust VF's reset process (bsc#1104353 FATE#326415).
- net: hns3: add reset_hdev to reinit the hdev in VF's reset
  process (bsc#1104353 FATE#326415).
- net: hns3: fix spelling mistake, "assertting" -> "asserting"
  (bsc#1104353 FATE#326415).
- net: hns3: Remove set but not used variable 'reset_level'
  (bsc#1104353 FATE#326415).
- net: hns3: fix for cmd queue memory not freed problem during
  reset (bsc#1104353 FATE#326415).
- net: hns3: call roce's reset notify callback when resetting
  (bsc#1104353 FATE#326415).
- net: hns3: adjust the process of PF reset (bsc#1104353
  FATE#326415).
- net: hns3: move some reset information from hnae3_handle into
  hclge_dev/hclgevf_dev (bsc#1104353 FATE#326415).
- net: hns3: ignore new coming low-level reset while doing
  high-level reset (bsc#1104353 FATE#326415).
- net: hns3: use HNS3_NIC_STATE_RESETTING to indicate resetting
  (bsc#1104353 FATE#326415).
- net: hns3: enable/disable ring in the enet while doing UP/DOWN
  (bsc#1104353 FATE#326415).
- net: hns3: adjust the location of clearing the table when
  doing reset (bsc#1104353 FATE#326415).
- net: hns3: provide some interface & information for the client
  (bsc#1104353 FATE#326415).
- net: hns3: add set_default_reset_request in the hnae3_ae_ops
  (bsc#1104353 FATE#326415).
- net: hns3: use HNS3_NIC_STATE_INITED to indicate the
  initialization state of enet (bsc#1104353 FATE#326415).
- net: hns: make function hns_gmac_wait_fifo_clean() static
  (bsc#1104353 FATE#326415).
- net: hns: remove ndo_poll_controller (bsc#1104353 FATE#326415).
- net: hns: use eth_get_headlen interface instead of
  hns_nic_get_headlen (bsc#1104353 FATE#326415).
- net: hns: fix skb->truesize underestimation (bsc#1104353
  FATE#326415).
- net: hns: modify variable type in hns_nic_reuse_page
  (bsc#1104353 FATE#326415).
- net: hns: fix length and page_offset overflow when
  CONFIG_ARM64_64K_PAGES (bsc#1104353 FATE#326415).
- net: hns: Mark expected switch fall-through (bsc#1104353
  FATE#326415).
- net: hns: remove redundant variables 'max_frm' and 'tmp_mac_key'
  (bsc#1104353 FATE#326415).
- net: hisilicon: hns: Replace mdelay() with msleep() (bsc#1104353
  FATE#326415).
- net: hns: make hns_dsaf_roce_reset non static (bsc#1104353
  FATE#326415).
- net: hns: Make many functions static (bsc#1104353 FATE#326415).
- net: hns: Fix the process of adding broadcast addresses to tcam
  (bsc#1104353 FATE#326415).
- net: hns: Avoid action name truncation (bsc#1104353
  FATE#326415).
- ethernet: hisilicon: hns: hns_dsaf_mac: Use generic
  eth_broadcast_addr (bsc#1104353 FATE#326415).
- net: hns: Fix for variable may be used uninitialized warnings
  (bsc#1104353 FATE#326415).
- commit 60eed4c
* Thu Feb  7 2019 tiwai@suse.de
- ALSA: usb-audio: Add support for new T+A USB DAC (bsc#1051510).
- ALSA: hda/realtek - Use a common helper for hp pin reference
  (bsc#1051510).
- ALSA: hda/realtek - Fix lose hp_pins for disable auto mute
  (bsc#1051510).
- commit 76b3b48
* Thu Feb  7 2019 tiwai@suse.de
- Move the upstreamed HD-audio fix into sorted section
- commit accb944
* Thu Feb  7 2019 tiwai@suse.de
- ALSA: hda/ca0132 - Fix build error without CONFIG_PCI
  (bsc#1051510).
- ALSA: compress: Fix stop handling on compressed capture streams
  (bsc#1051510).
- commit cb91271
* Thu Feb  7 2019 jslaby@suse.cz
- Refresh
  patches.kabi/0003-md-fix-md_write_start-deadlock-w-o-metadata-devices.kabi.
- Refresh
  patches.kabi/bpf-fix-partial-copy-of-map_ptr-when-dst-is-scalar.patch.
- Update
  patches.kabi/bpf-move-prev_-insn_idx-into-verifier-env.patch
  (bsc#1068032 CVE-2017-5753).
- Update
  patches.kabi/bpf-prevent-memory-disambiguation-attack.patch
  (bsc#1087082).
- Update
  patches.kabi/bpf-prevent-out-of-bounds-speculation-on-pointer-ari.patch
  (bsc#1068032 CVE-2017-5753).
- Update
  patches.kabi/bpf-properly-enforce-index-mask-to-prevent-out-of-bo.patch
  (bsc#1098425).
- Refresh patches.kabi/fix-kvm-kabi.patch.
- Refresh patches.kabi/kabi-mvpp2-10gkr-support.patch.
- Refresh patches.kabi/kabi-protect-struct-ata_host.patch.
- Refresh patches.kabi/kabi-protect-struct-kvm_sync_regs.patch.
- Refresh
  patches.kabi/kabi-x86-speculation-fix-cpu_tlbstate-issue.patch.
- Refresh
  patches.kabi/mm-numa-Remove-rate-limiting-of-automatic-numa-balancing-migration-kabi.patch.
- Refresh
  patches.kabi/s390-mm-fix-race-on-mm-context-flush_mm.patch.
- Refresh
  patches.kabi/sched-numa-Pass-destination-CPU-as-a-parameter-to-migrate_task_rq-kabi.patch.
- Refresh
  patches.kabi/sched-numa-Stop-multiple-tasks-from-moving-to-the-CPU-at-the-same-time-kabi.patch.
- Refresh
  patches.kabi/x86-cpuinfo_x86-ignore-initialized-member.patch.
  Walked through them to see if they are correct. Fixed some tags, added
  some comments. There are 3 suspicious patches:
  patches.kabi/bpf-fix-partial-copy-of-map_ptr-when-dst-is-scalar.patch
  patches.kabi/bpf-move-prev_-insn_idx-into-verifier-env.patch
  patches.kabi/kabi-protect-struct-ata_host.patch
  An e-mail will be sent to a ML.
- commit e8d529d
* Thu Feb  7 2019 msuchanek@suse.de
- selftests/powerpc: Use snprintf to construct DSCR sysfs
  interface paths (bsc#1124579).
- commit 0a2e5ac
* Wed Feb  6 2019 nsaenzjulienne@suse.de
- xhci: Add quirk to zero 64bit registers on Renesas PCIe controllers (bsc#1120854).
- Refresh patches.fixes/0001-USB-xhci-fix-broken_suspend-placement-in-struct-xchi.patch.
- Refresh patches.kabi/0001-kABI-fix-xhci-kABI-stability.patch.
- commit c70c2f5
* Wed Feb  6 2019 hare@suse.de
- nvme: llock NS list changes while handling command effects
  (bsc#1123882).
- commit 536a3a2
* Wed Feb  6 2019 hare@suse.de
- scripts/git_sort/git_sort.py: Add nvme-5.0 as repository URL
- commit 4adc1e9
* Wed Feb  6 2019 ohering@suse.de
- hv_netvsc: fix typos in code comments (fate#323887).
- hv_netvsc: Fix hash key value reset after other ops
  (fate#323887).
- hv_netvsc: Refactor assignments of struct netvsc_device_info
  (fate#323887).
- hv_netvsc: Fix ethtool change hash key error (fate#323887).
- vmbus: fix subchannel removal (fate#323887).
- hv_balloon: avoid touching uninitialized struct page during
  tail onlining (fate#323887).
- Drivers: hv: vmbus: Check for ring when getting debug info
  (fate#323887).
- Tools: hv: kvp: Fix a warning of buffer overflow with gcc 8.0.1
  (fate#323887).
- Drivers: hv: kvp: Use %%u to print U32 (fate#323887).
- net/hyperv: use skb_vlan_tag_*() helpers (fate#323887).
- net/vlan: introduce skb_vlan_tag_get_cfi() helper (fate#323887).
- net/vlan: include the shift in skb_vlan_tag_get_prio()
  (fate#323887).
- x86/hyper-v: Add HvFlushGuestAddressList hypercall support
  (fate#323887).
- x86/hyper-v: Stop caring about EOI for direct stimers
  (fate#323887).
- x86/kvm/hyper-v: avoid open-coding stimer_mark_pending()
  in kvm_hv_notify_acked_sint() (fate#323887).
- x86/kvm/hyper-v: direct mode for synthetic timers (fate#323887).
- x86/kvm/hyper-v: use stimer config definition from hyperv-tlfs.h
  (fate#323887).
- x86/hyper-v: move synic/stimer control structures definitions
  to hyperv-tlfs.h (fate#323887).
- x86/hyper-v: Drop HV_X64_CONFIGURE_PROFILER definition
  (fate#323887).
- x86/hyper-v: Do some housekeeping in hyperv-tlfs.h
  (fate#323887).
- x86: kvm: hyperv: don't retry message delivery for periodic
  timers (fate#323887).
- x86: kvm: hyperv: simplify SynIC message delivery (fate#323887).
- commit e17e0e7
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/msm: fix address space warning (bsc#1113956)
- commit 8657ae4
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/msm/gpu: fix building without debugfs (bsc#1113956)
- commit 4355fbf
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/i915/gvt: release shadow batch buffer and wa_ctx before destroy (bsc#1113956)
- commit 9243b39
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/amdgpu: Add APTX quirk for Lenovo laptop (bsc#1113956)
- commit e68faca
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/sun4i: hdmi: Fix usage of TMDS clock (bsc#1113956)
- commit 28aaee9
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/meson: Fix atomic mode switching regression (bsc#1113956)
- commit d5d64cd
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/i915/gvt: free VFIO region space in vgpu detach (bsc#1113956)
- commit 06665c2
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/amdgpu: Don't fail resume process if resuming atomic state fails (bsc#1113956)
- commit 74ac3d6
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/amdgpu: Don't ignore rc from drm_dp_mst_topology_mgr_resume() (bsc#1113956)
- commit 8a60322
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/amdgpu: Add new VegaM pci id (bsc#1113956)
- commit b14f773
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/amd/display: Fix MST dp_blank REG_WAIT timeout (bsc#1113956)
- commit bf813af
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/nouveau/drm/nouveau: Check rc from (bsc#1113956)
- commit 8d2359a
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/amdgpu: Reorder uvd ring init before uvd resume (bsc#1113956)
- commit b038990
* Wed Feb  6 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Use the correct crtc when sanitizing plane mapping'
- commit b1471ec
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/atomic-helper: Complete fake_commit->flip_done potentially (bsc#1113956)
- commit eed0626
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/i915: Redefine some Whiskey Lake SKUs (bsc#1113956)
- commit 5695654
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/amdkfd: fix interrupt spin lock (bsc#1113956)
- commit 9867592
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/amd/display: Guard against null stream_state in set_crc_source (bsc#1113956)
- commit 24214ec
* Wed Feb  6 2019 tzimmermann@suse.de
- DRM: UDL: get rid of useless vblank initialization (bsc#1113956)
- commit ebe6c55
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/amdgpu: Fix DEBUG_LOCKS_WARN_ON(depth <= 0) in amdgpu_ctx.lock (bsc#1113956)
- commit a13942e
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/amdgpu/powerplay: Apply avfs cks-off voltages on VI (bsc#1113956)
- commit f1be82d
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/amdkfd: add new vega10 pci ids (bsc#1113956)
- commit 423d959
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/amdgpu: add some additional vega10 pci ids (bsc#1113956)
- commit 5f1c685
* Wed Feb  6 2019 jthumshirn@suse.de
- scsi: hisi_sas: Set protection parameters prior to adding SCSI
  host (FATE#326253).
- Refresh
  patches.drivers/scsi-hisi_sas-create-root-and-device-debugfs-directories.patch.
- commit 0cda026
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/amdgpu: update smu firmware images for VI variants (v2) (bsc#1113956)
- commit 8bb0513
* Wed Feb  6 2019 tzimmermann@suse.de
- Revert "drm/rockchip: Allow driver to be shutdown on reboot/kexec" (bsc#1113956)
- commit ea00f90
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/i915/gvt: Fix tiled memory decoding bug on BDW (bsc#1113956)
- commit d355326
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/ast: Fix connector leak during driver unload (bsc#1113956)
- commit 8624d08
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/lease: Send a distinct uevent (bsc#1113956)
- commit 9369867
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/amdgpu/vcn: Update vcn.cur_state during suspend (bsc#1113956)
- commit 8c411a4
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/amd/powerplay: issue pre-display settings for display change (bsc#1113956)
- commit 1851849
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/amdgpu/gmc8: always load MC firmware in the driver (bsc#1113956)
- commit 3cb0a7e
* Wed Feb  6 2019 tzimmermann@suse.de
- drm/amdgpu: wait for IB test on first device open (bsc#1113956)
- commit 6d9a0cb
* Wed Feb  6 2019 tiwai@suse.de
- drivers/sbus/char: add of_node_put() (bsc#1051510).
- sbus: char: add of_node_put() (bsc#1051510).
- commit ace85bb
* Wed Feb  6 2019 tiwai@suse.de
- jffs2: Fix use of uninitialized delayed_work, lockdep breakage
  (bsc#1051510).
- iscsi target: fix session creation failure handling
  (bsc#1051510).
- commit a9a3d74
* Wed Feb  6 2019 tiwai@suse.de
- ide: pmac: add of_node_put() (bsc#1051510).
- commit 311323c
* Wed Feb  6 2019 tiwai@suse.de
- hfsplus: do not free node before using (bsc#1051510).
- hfs: do not free node before using (bsc#1051510).
- hfs: prevent btree data loss on root split (bsc#1051510).
- hfsplus: prevent btree data loss on root split (bsc#1051510).
- commit 3942f5f
* Wed Feb  6 2019 tiwai@suse.de
- fork: don't copy inconsistent signal handler state to child
  (bsc#1051510).
- commit 70695af
* Wed Feb  6 2019 tiwai@suse.de
- fat: validate ->i_start before using (bsc#1051510).
- commit 62fdadf
* Wed Feb  6 2019 tiwai@suse.de
- exportfs: do not read dentry after free (bsc#1051510).
- commit 2f5aef2
* Wed Feb  6 2019 tiwai@suse.de
- blacklist.conf: add an gcc-8 warning entry that breaks kABI, too
- commit 5da88ca
* Wed Feb  6 2019 tiwai@suse.de
- e1000e: allow non-monotonic SYSTIM readings (bsc#1051510).
- dmaengine: at_hdmac: fix module unloading (bsc#1051510).
- dmaengine: at_hdmac: fix memory leak in at_dma_xlate()
  (bsc#1051510).
- dmaengine: dma-jz4780: Return error if not probed from DT
  (bsc#1051510).
- commit 6c30b58
* Wed Feb  6 2019 tiwai@suse.de
- dlm: memory leaks on error path in dlm_user_request()
  (bsc#1051510).
- dlm: lost put_lkb on error path in receive_convert() and
  receive_unlock() (bsc#1051510).
- dlm: possible memory leak on error path in create_lkb()
  (bsc#1051510).
- dlm: fixed memory leaks after failed ls_remove_names allocation
  (bsc#1051510).
- cpufreq: imx6q: add return value check for voltage scale
  (bsc#1051510).
- blk-mq: fix kernel oops in blk_mq_tag_idle() (bsc#1051510).
- commit 05f0e41
* Wed Feb  6 2019 tiwai@suse.de
- acpi/nfit: Fix command-supported detection (bsc#1051510).
- acpi/nfit: Block function zero DSMs (bsc#1051510).
- 9p/net: put a lower bound on msize (bsc#1051510).
- 9p locks: fix glock.client_id leak in do_lock (bsc#1051510).
- 9p: clear dangling pointers in p9stat_free (bsc#1051510).
- 6lowpan: iphc: reset mac_header after decompress to fix panic
  (bsc#1051510).
- af_iucv: Move sockaddr length checks to before accessing
  sa_family in bind and connect handlers (bsc#1051510).
- commit 52ff03c
* Wed Feb  6 2019 bp@suse.de
- x86/CPU/hygon: Fix phys_proc_id calculation logic for multi-die
  processors (fate#327735).
- commit aa3eec2
* Wed Feb  6 2019 bp@suse.de
- x86/microcode: Fix microcode hotplug state (bsc#1114279).
- commit 2832c39
* Tue Feb  5 2019 tbogendoerfer@suse.de
- IB/uverbs: Fix OOPs in uverbs_user_mmap_disassociate
  (bsc#1103992 FATE#326009).
- RDMA/umem: Add missing initialization of owning_mm (bsc#1103992
  FATE#326009).
- IB/hfi1: Add limit test for RC/UC send via loopback (bsc#1114685
  FATE#325854).
- IB/mlx4: Fix using wrong function to destroy sqp AHs under SRIOV
  (bsc#1103988 FATE#326003).
- RDMA/mlx5: Fix check for supported user flags when creating a QP
  (bsc#1103991 FATE#326007).
- commit 31397b4
* Tue Feb  5 2019 ddiss@suse.de
- scripts/git_sort/git_sort.py: Add mkp/scsi 5.0/scsi-fixes
- commit 07f58d4
* Tue Feb  5 2019 ddiss@suse.de
- scsi: target: make the pi_prot_format ConfigFS path readable
  (bsc#1123933).
- commit 790a21a
* Tue Feb  5 2019 msuchanek@suse.de
- powerpc/papr_scm: Use the correct bind address (FATE#326628,
  bsc#1113295, git-fixes).
- commit 274b879
* Tue Feb  5 2019 jthumshirn@suse.de
- nfit: Mark some functions as __maybe_unused (bsc#1124328).
- commit 3e3d6ec
* Tue Feb  5 2019 jslaby@suse.cz
- signal: Always deliver the kernel's SIGKILL and SIGSTOP to a
  pid namespace init (git-fixes).
- fork: unconditionally clear stack on fork (git-fixes).
- commit b70c690
* Tue Feb  5 2019 ddiss@suse.de
- scsi: target: make the pi_prot_format ConfigFS path readable
  (bsc#1123933).
- commit 81ce83a
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/ttm: fix LRU handling in ttm_buffer_object_transfer (bsc#1113956)
- commit ae18fbc
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/amd/display: Fix 6x4K displays light-up on Vega20 (v2) (bsc#1113956)
- commit 26f9ce3
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/amd/display: Fix unintialized max_bpc state values (bsc#1113956)
- commit 7a60cb7
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/msm: Fix error return checking (bsc#1113956)
- commit 07f4244
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/msm: dpu: Fix "WARNING: invalid free of devm_ allocated data" (bsc#1113956)
- commit 82fb915
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/msm: Move fence put to where failure occurs (bsc#1113956)
- commit 37cda5f
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/msm: dpu: Don't set legacy plane->crtc pointer (bsc#1113956)
- commit 78f3bb0
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/msm/hdmi: Enable HPD after HDMI IRQ is set up (bsc#1113956)
- commit 65f0ca0
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/msm: Grab a vblank reference when waiting for commit_done (bsc#1113956)
- commit c255828
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/msm/dsi: configure VCO rate for 10nm PLL driver (bsc#1113956)
- commit 23dc733
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/msm: Fix task dump in gpu recovery (bsc#1113956)
- commit b3d521b
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/meson: Fixes for drm_crtc_vblank_on/off support (bsc#1113956)
- commit b7319b4
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/amdgpu: Add delay after enable RLC ucode (bsc#1113956)
- commit 9363e96
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/amd/dm: Don't forget to attach MST encoders (bsc#1113956)
- commit 643532f
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/ast: fixed reading monitor EDID not stable issue (bsc#1113956)
- commit 49e77d4
* Tue Feb  5 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Add amdgpu "max bpc" connector property (v2)'
- commit 03c308a
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/i915: Disable LP3 watermarks on all SNB machines (bsc#1113956)
- commit 7b563e2
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/amdgpu: Fix oops when pp_funcs->switch_power_profile is unset (bsc#1113956)
- commit 96964ee
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/i915: Fix NULL deref when re-enabling HPD IRQs on systems with (bsc#1113956)
- commit f3677e5
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/i915: Fix possible race in intel_dp_add_mst_connector() (bsc#1113956)
- commit 3a39e3d
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/i915/ringbuffer: Delay after EMIT_INVALIDATE for gen4/gen5 (bsc#1113956)
- commit d3ad81f
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/amdgpu: fix bug with IH ring setup (bsc#1113956)
- commit 6fdd52f
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/amd/amdgpu/dm: Fix dm_dp_create_fake_mst_encoder() (bsc#1113956)
- commit 130f466
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/amd/display: Drop reusing drm connector for MST (bsc#1113956)
- commit a45835b
* Tue Feb  5 2019 tzimmermann@suse.de
- drm/amd/display: Stop leaking planes (bsc#1113956)
- commit 65de0f6
* Tue Feb  5 2019 jslaby@suse.cz
- kernel/exit.c: release ptraced tasks before zap_pid_ns_processes
  (git-fixes).
- commit e589946
* Tue Feb  5 2019 jslaby@suse.cz
- sched/wait: Fix rcuwait_wake_up() ordering (git-fixes).
- fork: record start_time late (git-fixes).
- commit a4d5606
* Tue Feb  5 2019 bp@suse.de
- x86/microcode, cpuhotplug: Add a microcode loader CPU hotplug
  callback (bsc#1114279).
- commit 40d8928
* Tue Feb  5 2019 bp@suse.de
- RAS/CEC: Convert the timer callback to a workqueue
  (bsc#1114279).
- commit fd5fdc3
* Tue Feb  5 2019 jthumshirn@suse.de
- scsi: hisi_sas: Add debugfs IOST file and add file operations
  (FATE#326253).
- scsi: hisi_sas: Add debugfs DQ file and add file operations
  (FATE#326253).
- scsi: hisi_sas: Add debugfs CQ file and add file operations
  (FATE#326253).
- scsi: hisi_sas: Add debugfs for port registers (FATE#326253).
- scsi: hisi_sas: Debugfs global register create file and add
  file operations (FATE#326253).
- scsi: hisi_sas: Take debugfs snapshot for all regs
  (FATE#326253).
- scsi: hisi_sas: Alloc debugfs snapshot buffer memory for all
  registers (FATE#326253).
- scsi: hisi_sas: Create root and device debugfs directories
  (FATE#326253).
- scsi: hisi_sas: Add support for DIF feature for v2 hw
  (FATE#326253).
- scsi: hisi_sas: Make sg_tablesize consistent value
  (FATE#326253).
- scsi: hisi_sas: Relocate some code to reduce complexity
  (FATE#326253).
- scsi: hisi_sas: Fix warnings detected by sparse (FATE#326253).
- commit 343041c
* Tue Feb  5 2019 jroedel@suse.de
- KVM: x86: fix L1TF's MMIO GFN calculation (bsc#1124204).
- commit b944bfa
* Tue Feb  5 2019 bp@suse.de
- RAS/CEC: Fix binary search function (bsc#1114279).
- commit 1a4f4fc
* Tue Feb  5 2019 bp@suse.de
- x86/CPU/AMD: Don't force the CPB cap when running under a
  hypervisor (bsc#1114279).
- commit 4f1c425
* Tue Feb  5 2019 bp@suse.de
- kvm: x86: Include CPUID leaf 0x8000001e in kvm's supported CPUID
  (bsc#1114279).
- commit 1e9cec2
* Tue Feb  5 2019 bp@suse.de
- kvm: x86: Include multiple indices with CPUID leaf 0x8000001d
  (bsc#1114279).
- commit b6e5bfb
* Tue Feb  5 2019 palcantara@suse.de
- cifs: move large array from stack to heap (FATE#325270).
- commit 92744c7
* Tue Feb  5 2019 palcantara@suse.de
- cifs: Fix a tiny potential memory leak (FATE#325270).
- commit 60d549f
* Tue Feb  5 2019 palcantara@suse.de
- cifs: Fix a debug message (FATE#325270).
- commit 5e1c814
* Tue Feb  5 2019 palcantara@suse.de
- cifs: fix confusing warning message on reconnect (FATE#325270).
- commit c159d57
* Tue Feb  5 2019 palcantara@suse.de
- cifs: Minor Kconfig clarification (FATE#325270).
- commit df7039c
* Tue Feb  5 2019 palcantara@suse.de
- cifs: Always resolve hostname before reconnecting (FATE#325270).
- commit 747da9a
* Tue Feb  5 2019 palcantara@suse.de
- cifs: Add support for failover in cifs_reconnect_tcon()
  (FATE#325270).
- commit 3c6c882
* Tue Feb  5 2019 palcantara@suse.de
- cifs: Add support for failover in smb2_reconnect()
  (FATE#325270).
- commit ef0554e
* Mon Feb  4 2019 palcantara@suse.de
- cifs: Only free DFS target list if we actually got one
  (FATE#325270).
- commit 51565b5
* Mon Feb  4 2019 palcantara@suse.de
- cifs: start DFS cache refresher in cifs_mount() (FATE#325270).
- commit 7a1c9e7
* Mon Feb  4 2019 palcantara@suse.de
- cifs: Use GFP_ATOMIC when a lock is held in cifs_mount()
  (FATE#325270).
- commit 959d9b5
* Mon Feb  4 2019 palcantara@suse.de
- cifs: Add support for failover in cifs_reconnect()
  (FATE#325270).
- commit dfaf7f3
* Mon Feb  4 2019 palcantara@suse.de
- cifs: Add support for failover in cifs_mount() (FATE#325270).
- commit cef421a
* Mon Feb  4 2019 palcantara@suse.de
- cifs: remove set but not used variable 'sep' (FATE#325270).
- commit 7bbc2da
* Mon Feb  4 2019 palcantara@suse.de
- cifs: Make use of DFS cache to get new DFS referrals
  (FATE#325270).
- commit 302a8b6
* Mon Feb  4 2019 palcantara@suse.de
- cifs: Use kzfree() to free password (FATE#325270).
- commit 05d33eb
* Mon Feb  4 2019 palcantara@suse.de
- cifs: Fix to use kmem_cache_free() instead of kfree()
  (FATE#325270).
- commit bdedd47
* Mon Feb  4 2019 palcantara@suse.de
- cifs: Add DFS cache routines (FATE#325270).
- commit 21923db
* Mon Feb  4 2019 palcantara@suse.de
- cifs: Save TTL value when parsing DFS referrals (FATE#325270).
- commit 714005e
* Mon Feb  4 2019 palcantara@suse.de
- cifs: auto disable 'serverino' in dfs mounts (FATE#325270).
- commit b462d03
* Mon Feb  4 2019 palcantara@suse.de
- cifs: Make devname param optional in
  cifs_compose_mount_options() (FATE#325270).
- commit ebf20e3
* Mon Feb  4 2019 palcantara@suse.de
- cifs: Skip any trailing backslashes from UNC (FATE#325270).
- commit 3a270c1
* Mon Feb  4 2019 palcantara@suse.de
- cifs: Refactor out cifs_mount() (FATE#325270).
- commit 6b0043e
* Mon Feb  4 2019 yousaf.kaukab@suse.com
- mmc: sdhci: correct the maximum timeout when enable CMDQ (bsc#1123999).
- mmc: sdhci: add delay after the last tuning command
  (bsc#1123999).
- commit d4c460c
* Mon Feb  4 2019 yousaf.kaukab@suse.com
- mmc: sdhci: fix SDHCI_QUIRK_NO_HISPD_BIT handling (bsc#1123999).
- commit b8d929d
* Mon Feb  4 2019 tzimmermann@suse.de
- drm/i915: Compare user's 64b GTT offset even on 32b (bsc#1113956)
- commit 0565d22
* Mon Feb  4 2019 tzimmermann@suse.de
- drm/i915: Mark up GTT sizes as u64 (bsc#1113956)
- commit d648169
* Mon Feb  4 2019 tzimmermann@suse.de
- Revert "drm/exynos/decon5433: implement frame counter" (bsc#1113956)
- commit f933226
* Mon Feb  4 2019 tzimmermann@suse.de
- drm/nouveau: Fix nv50_mstc->best_encoder() (bsc#1113956)
- commit e3bdc4b
* Mon Feb  4 2019 tzimmermann@suse.de
- drm/i915: Use the correct crtc when sanitizing plane mapping (bsc#1113956)
- commit a5d977f
* Mon Feb  4 2019 tzimmermann@suse.de
- drm/amdgpu: Fix typo in amdgpu_vmid_mgr_init (bsc#1113956)
- commit 821b39e
* Mon Feb  4 2019 tzimmermann@suse.de
- drm/amd/display: fix bug of accessing invalid memory (bsc#1113956)
- commit 608ab88
* Mon Feb  4 2019 tzimmermann@suse.de
- drm: panel-orientation-quirks: Add quirk for Acer One 10 (S1003) (bsc#1113956)
- commit d7dc119
* Mon Feb  4 2019 tzimmermann@suse.de
- drm/amdgpu: Suppress keypresses from ACPI_VIDEO events (bsc#1113956)
- commit ee9a8ed
* Mon Feb  4 2019 tzimmermann@suse.de
- drm/amd/powerplay: Enable/Disable NBPSTATE on On/OFF of UVD (bsc#1113956)
- commit 96091f1
* Mon Feb  4 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/fb_helper: Allow leaking fbdev smem_start'
- commit 87a9ca7
* Mon Feb  4 2019 tzimmermann@suse.de
- drm/msm: dpu: Allow planes to extend past active display (bsc#1113956)
- commit 63009dd
* Mon Feb  4 2019 tzimmermann@suse.de
- drm/amd/display: Raise dispclk value for dce120 by 15%% (bsc#1113956)
- commit edc2758
* Mon Feb  4 2019 tzimmermann@suse.de
- drm/amd/display: fix gamma not being applied (bsc#1113956)
- commit 1b2082b
* Mon Feb  4 2019 tzimmermann@suse.de
- drm/i915: Replace some PAGE_SIZE with I915_GTT_PAGE_SIZE (bsc#1113956)
- commit b3bc653
* Mon Feb  4 2019 tiwai@suse.de
- supported.conf: Add missing ppc64le entries (bsc#1123548)
- commit 90c6c95
* Mon Feb  4 2019 tzimmermann@suse.de
- drm/amdgpu: Fix SDMA TO after GPU reset v3 (bsc#1113956)
- commit 07fdb93
* Mon Feb  4 2019 tzimmermann@suse.de
- drm: rcar-du: Update Gen3 output limitations (bsc#1113956)
- commit 93e79b3
* Mon Feb  4 2019 tzimmermann@suse.de
- drm/i915: Downgrade Gen9 Plane WM latency error (bsc#1113956)
- commit 9d45965
* Mon Feb  4 2019 tiwai@suse.de
- Update config and supported.conf (bsc#1123548)
- Disable superfluous CONFIG_TEST_ASYNC_DRIVER_PROBE that was set only on s390x
- Add missing entries for x86_64
- commit 5f17ecd
* Mon Feb  4 2019 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/i915/edp: Allow alternate fixed mode for eDP if available."'
- commit f0f0b06
* Mon Feb  4 2019 nsaenzjulienne@suse.de
- clk: imx: Fix fractional clock set rate computation (git-fixes).
- commit 1164cba
* Mon Feb  4 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Mark the userptr invalidate workqueue as WQ_MEM_RECLAIM'
- commit 47ebfbe
* Mon Feb  4 2019 jack@suse.cz
- Update metadata in
  patches.fixes/mm-migrate-Make-buffer_migrate_page_norefs-actually-.patch.
- commit 2ab8e72
* Mon Feb  4 2019 jslaby@suse.cz
- ipmi:pci: Blacklist a Realtek "IPMI" device (git-fixes).
- commit 88a6bc3
* Mon Feb  4 2019 neilb@suse.com
- blacklist.conf: add more commits
- commit 9f66d64
* Mon Feb  4 2019 neilb@suse.com
- NFS: Fix up return value on fatal errors in
  nfs_page_async_flush() (git-fixes).
- sunrpc: handle ENOMEM in rpcb_getport_async (git-fixes).
- commit 2458747
* Sat Feb  2 2019 tonyj@suse.de
- Uprobes: Fix kernel oops with delayed_uprobe_remove()
  (References: FATE#326782, bsc#1115391).
- trace_uprobe/sdt: Prevent multiple reference counter for same
  uprobe (References: FATE#326782, bsc#1115391).
- uprobes/sdt: Prevent multiple reference counter for same uprobe
  (References: FATE#326782, bsc#1115391).
- uprobes: Support SDT markers having reference count (semaphore)
  (References: FATE#326782, bsc#1115391).
- Uprobe: Additional argument arch_uprobe to uprobe_write_opcode()
  (References: FATE#326782, bsc#1115391).
- Uprobes: Simplify uprobe_register() body (References:
  FATE#326782, bsc#1115391).
- perf/core: Fix crash when using HW tracing kernel filters
  (References: FATE#326782, bsc#1115391).
- tracing/kprobe: Release kprobe print_fmt properly (References:
  FATE#326782, bsc#1115391).
- perf/core: Fix bad use of igrab() (References: FATE#326782,
  bsc#1115391).
- tracing: Remove igrab() iput() call from uprobes.c (References:
  FATE#326782, bsc#1115391).
- trace_kprobe: Remove warning message "Could not insert probe
  at..." (References: FATE#326782, bsc#1115391).
- perf/core: Need CAP_SYS_ADMIN to create k/uprobe with
  perf_event_open() (References: FATE#326782, bsc#1115391).
- perf/core: Fix perf_uprobe_init() (References: FATE#326782,
  bsc#1115391).
- perf/core: Fix perf_kprobe_init() (References: FATE#326782,
  bsc#1115391).
- trace_uprobe: Simplify probes_seq_show() (References:
  FATE#326782, bsc#1115391).
- trace_uprobe: Use %%lx to display offset (References:
  FATE#326782, bsc#1115391).
- perf/x86/pt, coresight: Clean up address filter structure
  (References: FATE#326782, bsc#1115391).
- perf/core: Implement the 'perf_uprobe' PMU (References:
  FATE#326782, bsc#1115391).
- perf/core: Implement the 'perf_kprobe' PMU (References:
  FATE#326782, bsc#1115391).
- perf/headers: Sync new perf_event.h with the tools/include/uapi
  version (References: FATE#326782, bsc#1115391).
- perf/core: Prepare perf_event.h for new types: 'perf_kprobe'
  and 'perf_uprobe' (References: FATE#326782, bsc#1115391).
- trace_uprobe: Display correct offset in uprobe_events
  (References: FATE#326782, bsc#1115391).
- perf/core: Fix another perf,trace,cpuhp lock inversion
  (References: FATE#326782, bsc#1115391).
- commit 012460b
* Fri Feb  1 2019 palcantara@suse.de
- SMB3: Add support for multidialect negotiate (SMB2.1 and later)
  (bsc#1051510).
- Refresh
  patches.fixes/SMB-fix-leak-of-validate-negotiate-info-response-buf.patch.
- commit 9f50475
* Fri Feb  1 2019 palcantara@suse.de
- Refresh patches.fixes/0001-CIFS-make-IPC-a-regular-tcon.patch.
- Refresh
  patches.fixes/0001-Fix-encryption-labels-and-lengths-for-SMB3.1.1.patch.
- Refresh
  patches.fixes/0001-cifs-Select-all-required-crypto-modules.patch.
- commit 162c6d3
* Fri Feb  1 2019 palcantara@suse.de
- Delete patches.suse/cifs-Add-DFS-cache-routines.patch.
- Delete
  patches.suse/cifs-Add-support-for-failover-in-cifs_mount-.patch.
- Delete
  patches.suse/cifs-Add-support-for-failover-in-cifs_reconnect-.patch.
- Delete
  patches.suse/cifs-Add-support-for-failover-in-cifs_reconnect_tcon-.patch.
- Delete
  patches.suse/cifs-Add-support-for-failover-in-smb2_reconnect-.patch.
- Delete
  patches.suse/cifs-Fix-separator-when-building-path-from-dentry.patch.
- Delete
  patches.suse/cifs-Make-devname-param-optional-in-cifs_compose_mount_options-.patch.
- Delete
  patches.suse/cifs-Make-use-of-DFS-cache-to-get-new-DFS-referrals.patch.
- Delete patches.suse/cifs-Refactor-out-cifs_mount-.patch.
- Delete
  patches.suse/cifs-Respect-EAGAIN-when-querying-paths.patch.
- Delete
  patches.suse/cifs-Save-TTL-value-when-parsing-DFS-referrals.patch.
- Delete
  patches.suse/cifs-Skip-any-trailing-backslashes-from-UNC.patch.
- Delete
  patches.suse/cifs-auto-disable-serverino-in-dfs-mounts.patch.
- Delete
  patches.suse/cifs-start-DFS-cache-refresher-in-cifs_mount-.patch.
- commit b7961e6
* Fri Feb  1 2019 tiwai@suse.de
- media: v4l: ioctl: Validate num_planes for debug messages
  (bsc#1051510).
- media: firewire: Fix app_info parameter type in
  avc_ca{,_app}_info (bsc#1051510).
- media: vb2: be sure to unlock mutex on errors (bsc#1051510).
- media: vivid: free bitmap_cap when updating std/timings/etc
  (bsc#1051510).
- media: v4l2-tpg: array index could become negative
  (bsc#1051510).
- media: vivid: set min width/height to a value > 0 (bsc#1051510).
- media: vivid: fix error handling of kthread_run (bsc#1051510).
- media: vb2: vb2_mmap: move lock up (bsc#1051510).
- commit b4f8e97
* Fri Feb  1 2019 tiwai@suse.de
- pstore/ram: Avoid allocation and leak of platform data
  (bsc#1051510).
- pstore/ram: Avoid NULL deref in ftrace merging failure path
  (bsc#1051510).
- pstore/ram: Do not treat empty buffers as valid (bsc#1051510).
- pstore/ram: Correctly calculate usable PRZ bytes (bsc#1051510).
- commit 15e90ac
* Fri Feb  1 2019 tiwai@suse.de
- selinux: Add __GFP_NOWARN to allocation at str_read()
  (bsc#1051510).
- commit 1df5685
* Fri Feb  1 2019 tiwai@suse.de
- selinux: fix GPF on invalid policy (bsc#1051510).
- commit e75d966
* Fri Feb  1 2019 tiwai@suse.de
- serial: uartps: Fix interrupt mask issue to handle the RX
  interrupts properly (bsc#1051510).
- serial: imx: fix error handling in console_setup (bsc#1051510).
- serial: set suppress_bind_attrs flag only if builtin
  (bsc#1051510).
- serial/sunsu: fix refcount leak (bsc#1051510).
- Revert "serial: 8250: Fix clearing FIFOs in RS485 mode again"
  (bsc#1051510).
- commit fe5d174
* Fri Feb  1 2019 tiwai@suse.de
- thermal: int340x_thermal: Fix a NULL vs IS_ERR() check
  (bsc#1051510).
- commit e14f856
* Fri Feb  1 2019 tiwai@suse.de
- tty: Handle problem if line discipline does not have receive_buf
  (bsc#1051510).
- tty/n_hdlc: fix __might_sleep warning (bsc#1051510).
- tty/serial: do not free trasnmit buffer page under port lock
  (bsc#1051510).
- commit e89abf7
* Fri Feb  1 2019 tiwai@suse.de
- uart: Fix crash in uart_write and uart_put_char (bsc#1051510).
- commit ce01626
* Fri Feb  1 2019 tiwai@suse.de
- vt: invoke notifier on screen size change (bsc#1051510).
- commit c2e299a
* Fri Feb  1 2019 tiwai@suse.de
- platform/x86: asus-wmi: Tell the EC the OS will handle the
  display off hotkey (bsc#1051510).
- commit 348f00f
* Fri Feb  1 2019 tiwai@suse.de
- LSM: Check for NULL cred-security on free (bsc#1051510).
- commit 6401087
* Fri Feb  1 2019 tiwai@suse.de
- gpio: vf610: Mask all GPIO interrupts (bsc#1051510).
- gpio: altera-a10sr: Set proper output level for direction_output
  (bsc#1051510).
- gpio: pl061: Move irq_chip definition inside struct pl061
  (bsc#1051510).
- commit 2bf709f
* Fri Feb  1 2019 tiwai@suse.de
- Cramfs: fix abad comparison when wrap-arounds occur
  (bsc#1051510).
- commit a72fdad
* Fri Feb  1 2019 tiwai@suse.de
- checkstack.pl: fix for aarch64 (bsc#1051510).
- commit 0300f4e
* Fri Feb  1 2019 tiwai@suse.de
- char/mwave: fix potential Spectre v1 vulnerability
  (bsc#1051510).
- commit 2a37e23
* Fri Feb  1 2019 tiwai@suse.de
- can: bcm: check timer values before ktime conversion
  (bsc#1051510).
- can: dev: __can_get_echo_skb(): fix bogous check for
  non-existing skb by removing it (bsc#1051510).
- commit 10af29b
* Fri Feb  1 2019 tiwai@suse.de
- kABI workaround for snd_hda_bus.bus_probing addition
  (bsc#1122944).
- ALSA: hda - Serialize codec registrations (bsc#1122944).
- commit 80a1f31
* Fri Feb  1 2019 tiwai@suse.de
- ALSA: hda - Add mute LED support for HP ProBook 470 G5
  (bsc#1051510).
- commit a0e8ecb
* Fri Feb  1 2019 nsaenzjulienne@suse.de
- clk: imx: pllv2: avoid using uninitialized values (FATE#324492).
- commit ff3d4d6
* Fri Feb  1 2019 tiwai@suse.de
- mac80211: free skb fraglist before freeing the skb
  (bsc#1111666).
- mac80211: fix a kernel panic when TXing after TXQ teardown
  (bsc#1111666).
- commit 8fcdbac
* Fri Feb  1 2019 tiwai@suse.de
- arm: KVM: Fix VTTBR_BADDR_MASK BUG_ON off-by-one (bsc#1051510).
- commit a3b1bde
* Fri Feb  1 2019 tiwai@suse.de
- Input: xpad - add support for SteelSeries Stratus Duo
  (bsc#1111666).
- commit efa6587
* Fri Feb  1 2019 tiwai@suse.de
- staging: rtl8188eu: Add device code for D-Link DWA-121 rev B1
  (bsc#1051510).
- commit 09bd81f
* Fri Feb  1 2019 tiwai@suse.de
- ALSA: hda - Serialize codec registrations (bsc#1122944).
- commit 492e81b
* Fri Feb  1 2019 tiwai@suse.de
- ALSA: pcm: Fix tight loop of OSS capture stream (bsc#1051510).
- ASoC: atom: fix a missing check of snd_pcm_lib_malloc_pages
  (bsc#1111666).
- commit 3ede89f
* Fri Feb  1 2019 tiwai@suse.de
- can: rx-offload: rename can_rx_offload_irq_queue_err_skb()
  to can_rx_offload_queue_tail() (bsc#1111666).
- commit 3d69504
* Fri Feb  1 2019 nsaenzjulienne@suse.de
- Input: raspberrypi-ts - fix link error (git-fixes).
- commit f79a072
* Fri Feb  1 2019 tiwai@suse.de
- drm/nouveau/tmr: detect stalled gpu timer and break out of waits
  (bsc#1123538).
- commit 312f392
* Fri Feb  1 2019 tiwai@suse.de
- ALSA: hda/realtek - Fixed hp_pin no value (bsc#1051510).
- ALSA: usb-audio: Add Opus #3 to quirks for native DSD support
  (bsc#1051510).
- commit cab9efd
* Thu Jan 31 2019 lyan@suse.com
- KVM: arm/arm64: VGIC/ITS save/restore: protect kvm_read_guest()
  calls (bsc#1117155).
- KVM: arm/arm64: VGIC/ITS: protect kvm_read_guest() calls with
  SRCU lock (bsc#1117155).
- KVM: arm/arm64: VGIC/ITS: Promote irq_lock() in update_affinity
  (bsc#1117155).
- KVM: arm/arm64: Properly protect VGIC locks from IRQs
  (bsc#1117155).
- commit dc96a61
* Thu Jan 31 2019 tbogendoerfer@suse.de
- amd-xgbe: Fix mdio access for non-zero ports and clause 45 PHYs
  (bsc#1122927).
- commit b966f6a
* Thu Jan 31 2019 tbogendoerfer@suse.de
- bnx2x: Fix NULL pointer dereference in bnx2x_del_all_vlans()
  on some hw (bsc#1086323 FATE#324899).
- bnx2x: Send update-svid ramrod with retry/poll flags enabled
  (bsc#1086323 FATE#324899).
- bnx2x: Remove configured vlans as part of unload sequence
  (bsc#1086323 FATE#324899).
- bnx2x: Clear fip MAC when fcoe offload support is disabled
  (bsc#1086323 FATE#324899).
- drivers/net/ethernet/qlogic/qed/qed_rdma.h: fix typo
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- bnx2x: Assign unique DMAE channel number for FW DMAE
  transactions (bsc#1086323 FATE#324899).
- be2net: don't flip hw_features when VXLANs are added/deleted
  (bsc#1050252 FATE#322920).
- commit 4798b45
* Thu Jan 31 2019 tbogendoerfer@suse.de
- net: hns3: rename the interface for init_client_instance and
  uninit_client_instance (bsc#1104353 FATE#326415).
- Refresh
  patches.drivers/net-hns3-Clear-client-pointer-when-initialize-client.patch.
- commit 530dc8a
* Thu Jan 31 2019 tbogendoerfer@suse.de
- qed: Fix an error code qed_ll2_start_xmit() (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Fix command number mismatch between driver and the mfw
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- i40e: fix mac filter delete when setting mac address
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- qed: Fix QM getters to always return a valid pq (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Fix bitmap_weight() check (bsc#1086314 FATE#324886
  bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Fix reading wrong value in loop condition (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Fix rdma_info structure allocation (bsc#1086314 FATE#324886
  bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Fix PTT leak in qed_drain() (bsc#1086314 FATE#324886
  bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Fix potential memory corruption (bsc#1086314 FATE#324886
  bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Fix blocking/unlimited SPQ entries leak (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Fix memory/entry leak in qed_init_sp_request() (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- i40e: restore NETIF_F_GSO_IPXIP to netdev features (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- net: hns3: add error handler for hns3_nic_init_vector_data()
  (bsc#1104353 FATE#326415).
- RDMA/core: Fix unwinding flow in case of error to register
  device (bsc#1046306 FATE#322942).
- net: hns3: fix for multiple unmapping DMA problem (bsc#1104353
  FATE#326415).
- net: hns3: rename hns_nic_dma_unmap (bsc#1104353 FATE#326415).
- net: hns3: add handling for big TX fragment (bsc#1104353
  FATE#326415).
- net: hns3: move DMA map into hns3_fill_desc (bsc#1104353
  FATE#326415).
- net: hns3: remove hns3_fill_desc_tso (bsc#1104353 FATE#326415).
- net: hns3: Fix tqp array traversal condition for vf (bsc#1104353
  FATE#326415).
- net: hns3: Fix client initialize state issue when roce client
  initialize failed (bsc#1104353 FATE#326415).
- net: hns3: Fix for loopback selftest failed problem (bsc#1104353
  FATE#326415).
- i40e: report correct statistics when XDP is enabled (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- qed: Avoid implicit enum conversion in qed_iwarp_parse_rx_pkt
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- qed: Avoid constant logical operation warning in
  qed_vf_pf_acquire (bsc#1086314 FATE#324886 bsc#1086313
  FATE#324885 bsc#1086301 FATE#3248881).
- qed: Avoid implicit enum conversion in qed_roce_mode_to_flavor
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- qed: Fix mask parameter in qed_vf_prep_tunn_req_tlv (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Avoid implicit enum conversion in qed_set_tunn_cls_info
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- net: hns3: Fix tc setup when netdev is first up (bsc#1104353
  FATE#326415).
- commit 6fffd51
* Thu Jan 31 2019 nsaenzjulienne@suse.de
- clk: imx: fix potential NULL dereference in
  imx8qxp_lpcg_clk_probe() (FATE#326248).
- commit 3e92e68
* Thu Jan 31 2019 nsaenzjulienne@suse.de
- pinctrl: imx: add driver for i.MX8MQ (FATE#324492).
- Update config: enable pinctrl driver for arm64
- commit 3d8d393
* Thu Jan 31 2019 msuchanek@suse.de
- rpm/kernel-subpackage-build.spec.in: Do not fail build with no
  certificates.
- commit ad8bc29
* Thu Jan 31 2019 nsaenzjulienne@suse.de
- arm64: add basic Kconfig symbols for i.MX8 (FATE#324492).
- Update config
- Update supported.conf
- clk: imx8qxp: make the name of clock ID generic (FATE#326248).
- pinctrl: freescale: Break dependency on SOC_IMX8MQ for i.MX8MQ
  (FATE#324492).
- pinctrl: imx8qxp: break the dependency on SOC_IMX8QXP
  (FATE#326248).
- pinctrl: imx: fix NO_PAD_CTL setting for MMIO pads
  (FATE#326248).
- pinctrl: imx: add imx8qxp driver (FATE#326248).
- Update config: enable pinctrl driver for imx8qxp on arm64
- pinctrl: fsl: add scu based pinctrl support (FATE#326248).
- Update config: enable scu pinctrl support on arm64
- firmware: imx: add SCU power domain driver (FATE#326248).
- dt-bindings: serial: lpuart: add imx8qxp compatible string
  (FATE#326248).
- gpio: vf610: add optional clock support (FATE#326248).
- dt-bindings: gpio: vf610: add optional clocks property
  (FATE#326248).
- dt-bindings: mmc: fsl-imx-esdhc: add imx8qxp compatible string
  (FATE#326248).
- clk: imx: Make the i.MX8MQ CCM clock driver CLK_IMX8MQ dependant
  (FATE#324492).
- Add fix blacklist as fix not necessary
- clk: imx: Add SCCG PLL type (FATE#324492).
- clk: imx: Add fractional PLL output clock (FATE#324492).
- clk: imx: Add clock driver for i.MX8MQ CCM (FATE#324492).
- Update config: enable clock driver for arm64
- clk: imx: Add imx composite clock (FATE#324492).
- dt-bindings: Add binding for i.MX8MQ CCM (FATE#324492).
- clk: imx: add imx8qxp lpcg driver (FATE#326248).
- clk: imx: add lpcg clock support (FATE#326248).
- clk: imx: add imx8qxp clk driver (FATE#326248).
- Update config: enable imx8x clk on arm64
- clk: imx: add scu clock common part (FATE#326248).
- Update config: enable scu clk for arm64
- clk: imx: add configuration option for mmio clks (FATE#326248).
- dt-bindings: clock: add imx8qxp lpcg clock binding
  (FATE#326248).
- dt-bindings: clock: imx8qxp: add SCU clock IDs (FATE#326248).
- firmware: imx: add pm svc headfile (FATE#326248).
- dt-bindings: fsl: scu: update power domain binding
  (FATE#326248).
- firmware: imx: remove resource id enums (FATE#326248).
- dt-bindings: imx: add scu resource id headfile (FATE#326248).
- dt-bindings: i2c: i2c-imx-lpi2c: add imx8qxp compatible string
  (FATE#326248).
- firmware: imx: add misc svc support (FATE#326248).
- firmware: imx: add SCU firmware driver support (FATE#326248).
- Update config: enable SCU firmware driver on arm64
- dt-bindings: arm: fsl: add scu binding doc (FATE#326248).
- spi: lpspi: add imx8qxp compatible string (FATE#326248).
- mailbox: Add support for i.MX messaging unit (FATE#326248).
- dt-bindings: mailbox: imx-mu: add generic MU channel support
  (FATE#326248).
- dt-bindings: arm: fsl: add mu binding doc (FATE#326248).
- pinctrl: imx: Add DT binding for i.MX8MQ IOMUXC (FATE#324492).
- pinctrl: pinctrl-imx: improve the code comments of PIN_FUNC_ID
  (FATE#326248).
- PM / Domain: Add struct device to genpd (FATE#326248).
- clk: imx: add new gate/gate2 wrapper funtion (FATE#324492).
- clk: divider: export clk_div_mask() helper (FATE#324492).
- pinctrl: imx: use struct imx_pinctrl_soc_info as a const
  (FATE#326248).
- net: fec: add necessary defines to work on ARM64 (FATE#326248).
- Update config: enable FEC for arm64
- pinctrl: pinctrl-imx7ulp: add gpio_set_direction support
  (FATE#326248).
- pinctrl: imx: make imx_pmx_ops.gpio_set_direction platform
  specific callbacks (FATE#326248).
- pinctrl: imx: remove gpio_request_enable and gpio_disable_free
  (FATE#326248).
- pinctrl: imx: add imx7ulp driver (FATE#326248).
- pinctrl: imx: switch to use the generic pinmux property
  (FATE#326248).
- pinctrl: freescale: imx7d: make of_device_ids const
  (FATE#326248).
- pinctrl: imx: add soc specific mux_mode mask and shift property
  (FATE#326248).
- pinctrl: imx: add generic pin config core support (FATE#326248).
- pinctrl: imx: Check for memory allocation failure (FATE#326248).
- PM / Domains: Allow overriding the ->xlate() callback
  (FATE#326248).
- commit 15b5385
* Thu Jan 31 2019 jroedel@suse.de
- iommu/amd: Fix IOMMU page flush when detach device from a domain
  (bsc#1106105).
- iommu/vt-d: Fix memory leak in intel_iommu_put_resv_regions()
  (bsc#1106105).
- iommu/amd: Unmap all mapped pages in error path of map_sg
  (bsc#1106105).
- iommu/amd: Call free_iova_fast with pfn in map_sg (bsc#1106105).
- commit 7ea2e24
* Thu Jan 31 2019 ptesarik@suse.cz
- Refresh
  patches.fixes/0001-usb-dwc3-gadget-Clear-req-needs_extra_trb-flag-on-cl.patch.
- commit e7aa023
* Wed Jan 30 2019 palcantara@suse.de
- CIFS: make 'nodfs' mount opt a superblock flag (bsc#1051510).
- commit afaed0b
* Wed Jan 30 2019 msuchanek@suse.de
- rpm/kernel-subpackage-build.spec.in: fix initrd permissions (bsc#1123697)
  dracut has been using permissions 0600 for the initrd for a long
  time. On SLE15 or higher, that leads to a permission mismatch
  reported by "rpm -V". Set the permissions correctly for our
  ghost file.
- commit db16569
* Wed Jan 30 2019 ptesarik@suse.cz
- Delete patches.drm/7713-drm-omap-remove-now-unused-functions.
- commit 59a7403
* Wed Jan 30 2019 ptesarik@suse.cz
- drm/sun4i: hdmi: Fix unitialized variable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 655befb
* Wed Jan 30 2019 ptesarik@suse.cz
- regmap: add iopoll-like polling macro for regmap_field
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 8c5cb11
* Wed Jan 30 2019 tbogendoerfer@suse.de
- bpf: fix bpffs bitfield pretty print (bsc#1109837).
- commit a90be75
* Wed Jan 30 2019 mwilck@suse.com
- rpm/kernel-binary.spec.in: fix initrd permissions (bsc#1123697)
  dracut has been using permissions 0600 for the initrd for a long
  time. On SLE15 or higher, that leads to a permission mismatch
  reported by "rpm -V". Set the permissions correctly for our
  ghost file.
- commit 9e5e2a5
* Wed Jan 30 2019 ptesarik@suse.cz
- regmap: Skip clk_put for attached clocks when freeing context
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- regmap: mmio: Add function to attach a clock (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit eeb6381
* Wed Jan 30 2019 tbogendoerfer@suse.de
- blacklist.conf:
- commit f94ab18
* Wed Jan 30 2019 tbogendoerfer@suse.de
- net: tls: Fix deadlock in free_resources tx (bsc#1109837).
- net: tls: Save iv in tls_rec for async crypto requests
  (bsc#1109837).
- commit f241eb6
* Wed Jan 30 2019 tbogendoerfer@suse.de
- vhost: fix OOB in get_rx_bufs() (bsc#1109837 CVE-2018-16880).
- Revert "net/mlx5e: E-Switch, Initialize eswitch only if eswitch
  manager" (bsc#1103990 FATE#326006).
- commit add2bbb
* Wed Jan 30 2019 tbogendoerfer@suse.de
- selftests/bpf: fix incorrect users of create_and_get_cgroup
  (bsc#1109837).
- bpf: btf: fix struct/union/fwd types with kind_flag
  (bsc#1109837).
- bpf: btf: refactor btf_int_bits_seq_show() (bsc#1109837).
- bpf: Create a new btf_name_by_offset() for non type name use
  case (bsc#1109837).
- commit 561eea1
* Wed Jan 30 2019 tbogendoerfer@suse.de
- bpf: fix pointer offsets in context for 32 bit (bsc#1109837).
- commit da78053
* Wed Jan 30 2019 tbogendoerfer@suse.de
- Revert "net_sched: hold netns refcnt for each action"
  (bsc#1109837).
- Refresh
  patches.drivers/idr-Delete-idr_remove_ext-function.patch.
- Refresh
  patches.drivers/net-sched-Add-hardware-specific-counters-to-TC-actio.patch.
- Refresh
  patches.drivers/net-sched-actions-Convert-to-use-idr_alloc_u32.patch.
- Refresh
  patches.drivers/net-sched-atomically-check-allocate-action.patch.
- Refresh
  patches.drivers/net-sched-don-t-disable-bh-when-accessing-action-idr.patch.
- Refresh
  patches.drivers/net_sched-convert-idrinfo-lock-from-spinlock-to-a-mu.patch.
- Refresh
  patches.drivers/net_sched-remove-list_head-from-tc_action.patch.
- Refresh
  patches.drivers/net_sched-switch-to-exit_batch-for-action-pernet-ops.patch.
- commit 23e2609
* Wed Jan 30 2019 tbogendoerfer@suse.de
- bpf: libbpf: retry loading program on EAGAIN (bsc#1109837).
- xprtrdma: Double free in rpcrdma_sendctxs_create() (bsc#1103992
  FATE#326009).
- commit 91df4df
* Wed Jan 30 2019 hare@suse.de
- mpt3sas: check sense buffer before copying sense data (bsc#1106811).
- bsg: allocate sense buffer if requested (bsc#1106811).
- commit b3f8d07
* Wed Jan 30 2019 ptesarik@suse.cz
- Delete patches.drm/4512-drm-sun4i-protect-the-tcon-pixel-clocks.
- Delete
  patches.drm/4521-drm-sun4i-release-exclusive-clock-lock-when-disabling-tcon.
- Delete
  patches.drm/4566-drm-sun4i-fix-exclusivity-of-the-tcon-clocks.
- Refresh
  patches.drm/6146-drm-sun4i-add-allwinner-a31-mipi-dsi-controller-support.
- commit 8a1c02e
* Wed Jan 30 2019 ptesarik@suse.cz
- dt-bindings: display: sunxi-drm: Add TCON TOP description
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 321cd91
* Tue Jan 29 2019 tiwai@suse.de
- kABI workaround for deleted snd_hda_register_beep_device()
  (bsc#1122944).
- commit 5af1bdb
* Tue Jan 29 2019 tiwai@suse.de
- ALSA: hda - Use standard device registration for beep
  (bsc#1122944).
- commit 07f7acd
* Tue Jan 29 2019 ptesarik@suse.cz
- of_graph: add of_graph_get_remote_endpoint() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Refresh
  patches.drivers/0001-of-Move-OF-property-and-graph-API-from-base.c-to-pro.patch.
- commit d9afb5c
* Tue Jan 29 2019 ptesarik@suse.cz
- Delete patches.drm/1240-sun4i_hdmi-add-cec-support.
- Delete
  patches.drm/1383-drm-sun4i-cec-enable-back-cec-pin-framework.
- Refresh
  patches.drm/1806-drm-sun4i-hdmi-create-a-regmap-for-later-use.
- Refresh
  patches.drm/1808-drm-sun4i-hdmi-add-support-for-controller-hardware-variants.
- Refresh
  patches.drm/8305-drm-drop-mode_-from-update_edit_property.
- Refresh
  patches.drm/8306-drm-drop-mode_-from-drm_mode_connector_attach_encoder.
- commit bedb0c3
* Tue Jan 29 2019 tiwai@suse.de
- supported.conf: Mark up missing module entries and dependencies (bsc#1123548)
- commit b93bcaf
* Tue Jan 29 2019 palcantara@suse.de
- Don't log expected error on DFS referral request (bsc#1051510).
- commit acc9b00
* Tue Jan 29 2019 palcantara@suse.de
- CIFS: don't log STATUS_NOT_FOUND errors for DFS (bsc#1051510).
- commit 0494943
* Tue Jan 29 2019 tiwai@suse.de
- drm/i915: Add missing access_ok() checks (CVE-2018-20669,
  bsc#1122971).
- commit 47941af
* Tue Jan 29 2019 mhocko@suse.com
- mm: __init_single_page do not zero core struct pages
  (bnc#1123124).
- commit 6f7b3fd
* Tue Jan 29 2019 oneukum@suse.com
- usb: dwc3: gadget: Clear req->needs_extra_trb flag on cleanup
  (bsc#1120902).
- commit 2792d36
* Tue Jan 29 2019 oneukum@suse.com
- USB: Add USB_QUIRK_DELAY_CTRL_MSG quirk for Corsair K70 RGB
  (bsc#1120902).
- Refresh
  patches.drivers/usb-quirks-add-delay-quirks-for-Corsair-Strafe.patch.
- commit 40b3ef4
* Tue Jan 29 2019 oneukum@suse.com
- Add delay-init quirk for Corsair K70 RGB keyboards
  (bsc#1087092).
- Refresh
  patches.fixes/0001-usb-quirks-add-control-message-delay-for-1b1c-1b20.patch.
- commit 7378825
* Tue Jan 29 2019 tbogendoerfer@suse.de
- SUNRPC: Move xprt_update_rtt callsite (bsc#1123114).
- NFSD: Clean up legacy NFS SYMLINK argument XDR decoders
  (bsc#1123114).
- sunrpc: Allocate up to RPCSVC_MAXPAGES per svc_rqst
  (bsc#1123114).
- commit eba6ffa
* Tue Jan 29 2019 oneukum@suse.com
- USB: storage: add quirk for SMI SM3350 (bsc#1120902).
- commit b3e7816
* Tue Jan 29 2019 oneukum@suse.com
- USB: storage: don't insert sane sense for SPC3+ when bad sense
  specified (bsc#1120902).
- commit ab84067
* Tue Jan 29 2019 oneukum@suse.com
- usb: cdc-acm: send ZLP for Telit 3G Intel based modems
  (bsc#1120902).
- commit 0e9fb7d
* Tue Jan 29 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/dp_mst: Fix enabling pipe clock for all streams'
- commit 7e3e6a3
* Tue Jan 29 2019 oneukum@suse.com
- USB: serial: option: add Fibocom NL678 series (bsc#1120902).
- USB: serial: pl2303: add ids for Hewlett-Packard HP POS pole
  displays (bsc#1120902).
- commit 1e65057
* Tue Jan 29 2019 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/i915/icl: WaEnableFloatBlendOptimization"'
- commit 81c366b
* Tue Jan 29 2019 oneukum@suse.com
- blacklist.conf: for unused driver
- commit ee462c1
* Tue Jan 29 2019 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/amd/display: disable CRTCs with NULL FB on their primary plane (V2)"'
- commit d121655
* Tue Jan 29 2019 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/amd/display: fix dereferencing possible ERR_PTR()"'
- commit 754926e
* Tue Jan 29 2019 tzimmermann@suse.de
- drm/i915: Unwind failure on pinning the gen7 ppgtt (bsc#1113956)
- commit 8998696
* Tue Jan 29 2019 tzimmermann@suse.de
- drm/i915/gvt: Fix workload request allocation before request add (bsc#1113956)
- commit c1b4969
* Tue Jan 29 2019 tzimmermann@suse.de
- drm/i915: Account for scale factor when calculating initial phase (bsc#1113956)
- commit b6cd438
* Tue Jan 29 2019 tzimmermann@suse.de
- drm/i915/gtt: Revert "Disable read-only support under GVT" (bsc#1113956)
- commit 158fda1
* Tue Jan 29 2019 tzimmermann@suse.de
- Revert "drm/sun4i: Remove R40 display pipeline compatibles" (bsc#1113956)
- commit 46f5a50
* Tue Jan 29 2019 tzimmermann@suse.de
- drm/amdgpu: Revert "kmap PDs/PTs in amdgpu_vm_update_directories" (bsc#1113956)
- commit f4789d0
* Tue Jan 29 2019 ptesarik@suse.cz
- gpu: ipu-v3: prg: add modifier support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Refresh patches.drm/4331-drm-imx-add-fb-modifier-support.
- commit d2ad87a
* Tue Jan 29 2019 ptesarik@suse.cz
- gpu: ipu-v3: pre: add tiled prefetch support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- gpu: ipu-v3: pre: implement workaround for ERR009624
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 4016e82
* Tue Jan 29 2019 neilb@suse.com
- SUNRPC: Fix a potential race in xprt_connect() (git-fixes).
- SUNRPC: Fix leak of krb5p encode pages (git-fixes).
- NFSv4: Don't exit the state manager without clearing
  NFS4CLNT_MANAGER_RUNNING (git-fixes).
- nfsd: COPY and CLONE operations require the saved filehandle
  to be set (git-fixes).
- sunrpc: correct the computation for page_ptr when truncating
  (git-fixes).
- lockd: fix access beyond unterminated strings in prints
  (git-fixes).
- nfsd: Fix an Oops in free_session() (git-fixes).
- xprtrdma: Reset credit grant properly after a disconnect
  (git-fixes).
- sunrpc: safely reallow resvport min/max inversion (git-fixes).
- nfs: Fix a missed page unlock after pg_doio() (git-fixes).
- NFSv4.1: Fix the r/wsize checking (git-fixes).
- commit 704ef82
* Mon Jan 28 2019 ptesarik@suse.cz
- Refresh
  patches.suse/0005-ceph-check-snap-first-in-ceph_set_acl.patch.
- Refresh
  patches.suse/0007-ceph-restore-ctime-as-well-in-the-case-of-restoring-old-mode.patch.
- commit 7059531
* Mon Jan 28 2019 tiwai@suse.de
- iwlwifi: mvm: always init rs_fw with 20MHz bandwidth rates
  (bsc#1111666).
- iwlwifi: mvm: Send LQ command as async when necessary
  (bsc#1111666).
- commit 1944940
* Mon Jan 28 2019 tiwai@suse.de
- ASoC: rt5514-spi: Fix potential NULL pointer dereference
  (bsc#1051510).
- ASoC: dma-sh7760: cleanup a debug printk (bsc#1051510).
- ipmi:ssif: Fix handling of multi-part return messages
  (bsc#1051510).
- ALSA: bebob: fix model-id of unit for Apogee Ensemble
  (bsc#1051510).
- ALSA: oxfw: add support for APOGEE duet FireWire (bsc#1051510).
- commit 4c891b3
* Mon Jan 28 2019 tiwai@suse.de
- Put the xhci fix patch to the right place in the sorted section
- commit f194c12
* Mon Jan 28 2019 tiwai@suse.de
- ath10k: fix peer stats null pointer dereference (bsc#1111666).
- commit aaf7813
* Mon Jan 28 2019 msuchanek@suse.de
- ibmvnic: Add ethtool private flag for driver-defined queue
  limits (bsc#1121726).
- ibmvnic: Introduce driver limits for ring sizes (bsc#1121726).
- ibmvnic: Increase maximum queue size limit (bsc#1121726).
- commit 17984c3
* Mon Jan 28 2019 oneukum@suse.com
- crypto: user - support incremental algorithm dumps
  (bsc#1120902).
- commit d81b50c
* Mon Jan 28 2019 msuchanek@suse.de
- ibmveth: Do not process frames after calling napi_reschedule
  (bcs#1123357).
- commit 31d5f72
* Mon Jan 28 2019 tiwai@suse.de
- staging: rtl8188eu: Fix module loading from tasklet for WEP
  encryption (bsc#1111666).
- staging: rtl8188eu: Fix module loading from tasklet for CCMP
  encryption (bsc#1111666).
- commit 3e3ae62
* Mon Jan 28 2019 tiwai@suse.de
- rtlwifi: Fix leak of skb when processing C2H_BT_INFO
  (bsc#1111666).
- commit 3e3eb2c
* Mon Jan 28 2019 tiwai@suse.de
- staging: vchiq_arm: Fix camera device registration
  (bsc#1111666).
- commit 72e3e61
* Mon Jan 28 2019 tiwai@suse.de
- Revert "mwifiex: restructure rx_reorder_tbl_lock usage"
  (bsc#1111666).
- nl80211: fix memory leak if validate_pae_over_nl80211() fails
  (bsc#1111666).
- mmc: s3mci: mark debug_regs[] as static (bsc#1111666).
- commit 59219d6
* Mon Jan 28 2019 tiwai@suse.de
- iwlwifi: mvm: fix setting HE ppe FW config (bsc#1111666).
- iwlwifi: pcie: set cmd_len in the correct place (bsc#1111666).
- iwlwifi: fw: do not set sgi bits for HE connection
  (bsc#1111666).
- commit 5a5bb2e
* Mon Jan 28 2019 tiwai@suse.de
- brcmfmac: Fix access point mode (bsc#1111666).
- brcmfmac: fix roamoff=1 modparam (bsc#1111666).
- brcmfmac: Fix out of bounds memory access during fw load
  (bsc#1111666).
- commit 0af6aec
* Mon Jan 28 2019 tiwai@suse.de
- ASoC: intel: skl: Fix display power regression (bsc#1111666).
- commit f52292a
* Mon Jan 28 2019 tiwai@suse.de
- ASoC: dai playback and capture active may be greater than 1
  (bsc#1111666).
- commit 7707105
* Mon Jan 28 2019 tiwai@suse.de
- staging: bcm2835-audio: double free in init error path
  (bsc#1111666).
- commit 9cb8c9c
* Mon Jan 28 2019 tiwai@suse.de
- ALSA: hda/realtek - Fix typo for ALC225 model (bsc#1111666).
- ALSA: intel_hdmi: Use strlcpy() instead of strncpy()
  (bsc#1111666).
- commit 8bfec9a
* Mon Jan 28 2019 tiwai@suse.de
- ALSA: x86: Fix potential crash at error path (bsc#1111666).
- commit be03f54
* Mon Jan 28 2019 ptesarik@suse.cz
- Refresh
  patches.drm/7106-drm-i2c-tda998x-move-mutex-waitqueue-timer-work-init-early.
- Refresh patches.drm/7111-drm-i2c-tda998x-add-cec-support.
- Refresh
  patches.drm/8710-drm-i2c-tda998x-convert-to-bridge-driver.
- commit 2167549
* Mon Jan 28 2019 oneukum@suse.com
- blacklist.conf: kABI
- commit c5e5a55
* Mon Jan 28 2019 palcantara@suse.de
- cifs: Do not modify mid entry after submitting I/O in
  cifs_call_async (bsc#1051510).
- commit 5391fec
* Mon Jan 28 2019 tiwai@suse.de
- doc/README.SUSE: Correct description for building a kernel (bsc#1123348)
  The obsoleted make cloneconfig is corrected.  Also the order of make
  scripts and make prepare are corrected as well.
- commit 17a2073
* Mon Jan 28 2019 jack@suse.cz
- ext4: Fix crash during online resizing (bsc#1122779).
- commit bb96702
* Mon Jan 28 2019 jgross@suse.com
- ptp_kvm: probe for kvm guest availability (bsc#1098382).
- x86/pvclock: add setter for pvclock_pvti_cpu0_va (bsc#1098382).
- x86/xen/time: set pvclock flags on xen_time_init()
  (bsc#1098382).
- x86/xen/time: setup vcpu 0 time info page (bsc#1098382).
- x86/xen/time: Output xen sched_clock time from 0 (bsc#1098382).
- xen: Fix x86 sched_clock() interface for xen (bsc#1098382).
- x86/kvmclock: set pvti_cpu0_va after enabling kvmclock
  (bsc#1098382).
- Refresh
  patches.fixes/xen-zero-MSR_IA32_SPEC_CTRL-before-suspend.patch.
- commit 33c8d3d
* Mon Jan 28 2019 ptesarik@suse.cz
- Disable
  patches.drm/0002-drm-dw-hdmi-i2s-add-get_dai_id-callback-for-alsa-soc.
- Disable
  patches.drm/0003-drm-adv7511_audio-add-get_dai_id-callback-to-map-port-number-to-dai-id.
- Refresh
  patches.drm/1469-drm-bridge-adv7511-constify-hdmi-codec-platform-data.
- commit c372b34
* Mon Jan 28 2019 mgorman@suse.de
- slab: alien caches must not be initialized if the allocation
  of the alien cache failed (git fixes (mm/slab)).
- commit 9d720a9
* Mon Jan 28 2019 mgorman@suse.de
- blacklist.conf: MemAvailable accounting, needs bug to justify the change
- commit 41d09bb
* Mon Jan 28 2019 mgorman@suse.de
- blacklist.conf: SLUB-specific and unsupported
- commit dc3339e
* Mon Jan 28 2019 mgorman@suse.de
- writeback: don't decrement wb->refcnt if !wb->bdi (git fixes
  (writeback)).
- commit e6c3442
* Mon Jan 28 2019 wqu@suse.com
- blacklist.conf: Blacklist 1b3922a8bc74 (btrfs: Use real device structure to verify dev extent)
  Upstream commit 1b3922a8bc74 (btrfs: Use real device structure to verify dev extent)
  has wrong Fixes: tag.
  The correct Fixes: tag is
  05a37c48604c ("btrfs: volumes: Make sure no dev extent is beyond device boundary")
  And that commit hasn't been backported yet.
- commit 6c46ddf
* Mon Jan 28 2019 tiwai@suse.de
- rpm/release-projects: Add SUSE:Maintenance:* for MU kernels (bsc#1123317)
- commit c784b79
* Mon Jan 28 2019 jthumshirn@suse.de
- libnvdimm/security: Require nvdimm_security_setup_events()
  to succeed (bsc#1123305).
- nfit_test: fix security state pull for nvdimm security nfit_test
  (bsc#1123306).
- commit c1b22a5
* Fri Jan 25 2019 bp@suse.de
- Delete patches.drivers/edac-skx-fix-randconfig-builds.patch.
  This patch isn't needed because we don't do randconfig builds on SLES
  and have both:
  CONFIG_ACPI=y
  CONFIG_ACPI_ADXL=y
- commit 8131722
* Fri Jan 25 2019 lhenriques@suse.com
- blacklist.conf: added commit 6b5a49b46cf1
- commit 12c67f0
* Fri Jan 25 2019 lhenriques@suse.com
- blacklist.conf: added commit 74827ee29565 ("ceph: quota: cleanup license mess")
- commit 66a8b0e
* Fri Jan 25 2019 msuchanek@suse.de
- rpm/mkspec: drop -subpackage from expanded subpackage template name.
- commit 7f76697
* Fri Jan 25 2019 jdelvare@suse.de
- watchdog: w83627hf_wdt: Add quirk for Inves system
  (bsc#1106434).
- commit 7e1c7bd
* Fri Jan 25 2019 hare@suse.de
- qla2xxx: Fixup dual-protocol FCP connections (bsc#1108870).
- commit 1ecab3e
* Fri Jan 25 2019 hare@suse.de
- nvme-multipath: round-robin I/O policy (bsc#1110705).
- Refresh patches.kabi/nvme-kABI-fixes-for-nvme_ctrl.patch.
- commit 0ec85da
* Fri Jan 25 2019 tbogendoerfer@suse.de
- NFSD: Clean up legacy NFS WRITE argument XDR decoders
  (bsc#1123114).
- commit ef48b9d
* Fri Jan 25 2019 tzimmermann@suse.de
- blacklist.conf: Append 'firmware/dmc/icl: Add missing MODULE_FIRMWARE() for Icelake.'
- commit 62ca631
* Fri Jan 25 2019 jthumshirn@suse.de
- Refresh
  patches.suse/0001-mm-defer-ZONE_DEVICE-page-initialization-to-the-poin.patch.
  Remove unused variables 'i' and 'pfn' from devm_memremap_pages().
- commit e7051ca
* Fri Jan 25 2019 hare@suse.de
- nvme-multipath: round-robin I/O policy (bsc#1110705).
- commit 732ec99
* Fri Jan 25 2019 jslaby@suse.cz
- blacklist.conf: add one more
- commit a0279a1
* Fri Jan 25 2019 jslaby@suse.cz
- packet: Do not leak dev refcounts on error exit (git-fixes).
- commit 5cbfc79
* Fri Jan 25 2019 jslaby@suse.cz
- net/hamradio/6pack: use mod_timer() to rearm timers
  (networking-stable-19_01_04).
- ip: validate header length on virtual device xmit
  (networking-stable-19_01_04).
- ptr_ring: wrap back ->producer in __ptr_ring_swap_queue()
  (networking-stable-19_01_04).
- ibmveth: fix DMA unmap error in ibmveth_xmit_start error path
  (networking-stable-19_01_04).
- netrom: fix locking in nr_find_socket()
  (networking-stable-19_01_04).
- net/wan: fix a double free in x25_asy_open_tty()
  (networking-stable-19_01_04).
- ax25: fix a use-after-free in ax25_fillin_cb()
  (networking-stable-19_01_04).
- ieee802154: lowpan_header_create check must check daddr
  (networking-stable-19_01_04).
- packet: validate address length if non-zero
  (networking-stable-19_01_04).
- phonet: af_phonet: Fix Spectre v1 vulnerability
  (networking-stable-19_01_04).
- net: core: Fix Spectre v1 vulnerability
  (networking-stable-19_01_04).
- qmi_wwan: Add support for Fibocom NL678 series
  (networking-stable-19_01_04).
- ipv6: tunnels: fix two use-after-free
  (networking-stable-19_01_04).
- packet: validate address length (networking-stable-19_01_04).
- tcp: fix a race in inet_diag_dump_icsk()
  (networking-stable-19_01_04).
- gro_cell: add napi_disable in gro_cells_destroy
  (networking-stable-19_01_04).
- net/mlx5e: Remove the false indication of software timestamping
  support (networking-stable-19_01_04).
- net/mlx5: Typo fix in del_sw_hw_rule
  (networking-stable-19_01_04).
- ipv6: explicitly initialize udp6_addr in udp_sock_create6()
  (networking-stable-19_01_04).
- net/smc: fix TCP fallback socket release
  (networking-stable-19_01_04).
- net: phy: Fix the issue that netif always links up after
  resuming (networking-stable-19_01_04).
- net: macb: restart tx after tx used bit read
  (networking-stable-19_01_04).
- VSOCK: Send reset control packet when socket is partially bound
  (networking-stable-19_01_04).
- qmi_wwan: Added support for Telit LN940 series
  (networking-stable-19_01_04).
- qmi_wwan: Added support for Fibocom NL668 series
  (networking-stable-19_01_04).
- ip6mr: Fix potential Spectre v1 vulnerability
  (networking-stable-19_01_04).
- tipc: compare remote and local protocols in tipc_udp_enable()
  (networking-stable-19_01_04).
- tipc: fix a double kfree_skb() (networking-stable-19_01_04).
- tipc: use lock_sock() in tipc_sk_reinit()
  (networking-stable-19_01_04).
- vhost: make sure used idx is seen before log in
  vhost_add_used_n() (networking-stable-19_01_04).
- ipv4: Fix potential Spectre v1 vulnerability
  (networking-stable-19_01_04).
- sctp: initialize sin6_flowinfo for ipv6 addrs in
  sctp_inet6addr_event (networking-stable-19_01_04).
- commit 7c76a1a
* Fri Jan 25 2019 tbogendoerfer@suse.de
- net: mvpp2: fix condition for setting up link interrupt
  (bsc#1117016).
- commit f02eaea
* Fri Jan 25 2019 ptesarik@suse.cz
- rpm/kernel-source.spec.in: Add subpackage-names.conf as source.
- commit 4a379f7
* Fri Jan 25 2019 msuchanek@suse.de
- rpm/config.sh: Build against SLE15 in OBS. It does not have SP1 yet.
- commit a98d0fb
* Fri Jan 25 2019 msuchanek@suse.de
- Add subpackage-names.conf as source.
- commit eccd5a2
* Fri Jan 25 2019 ggherdovich@suse.cz
- Revert 	5309534f105fd08d82e3954058115ec4c532a296 (bsc#1122653)
- PM: cpuidle: Fix cpuidle_poll_state_init() prototype
  (bsc#1110006).
- Refresh
  patches.drivers/0016-cpuidle-Add-new-macro-to-enter-a-retention-idle-stat.patch.
- Delete
  patches.suse/cpuidle-Eliminate-the-CPUIDLE_DRIVER_STATE_START-sym.patch.
- commit dbdbe1a
* Fri Jan 25 2019 ggherdovich@suse.cz
- Delete patches.suse/cpuidle-menu-Compute-first_idx-when-latency_req-is-k.patch (bsc#1122653).
- commit c034cff
* Fri Jan 25 2019 ggherdovich@suse.cz
- Delete patches.suse/cpuidle-menu-Avoid-computations-for-very-close-timer.patch (bsc#1122653).
- commit 922b7fb
* Fri Jan 25 2019 ggherdovich@suse.cz
- Delete patches.suse/cpuidle-menu-Move-the-latency_req-0-special-case-che.patch (bsc#1122653).
- commit fbade00
* Thu Jan 24 2019 lduncan@suse.com
- scsi: fcoe: Convert timers to use timer_setup() (bsc#1122952).
- commit b670a13
* Thu Jan 24 2019 palcantara@suse.de
- cifs: fix set info (bsc#1051510).
- commit 222806e
* Thu Jan 24 2019 msuchanek@suse.de
- rpm/kernel-subpackage-build.spec.in: Allow newline in module list.
- commit 51d548b
* Thu Jan 24 2019 tiwai@suse.de
- crypto: authencesn - Avoid twice completion call in decrypt path
  (bsc#1051510).
- crypto: caam - fix zero-length buffer DMA mapping (bsc#1051510).
- crypto: bcm - convert to use crypto_authenc_extractkeys()
  (bsc#1051510).
- crypto: authenc - fix parsing key with misaligned rta_len
  (bsc#1051510).
- can: gw: ensure DLC boundaries after CAN frame modification
  (bsc#1051510).
- gpio: pl061: handle failed allocations (bsc#1051510).
- i2c: dev: prevent adapter retries and timeout being set as
  minus value (bsc#1051510).
- ACPI: power: Skip duplicate power resource references in _PRx
  (bsc#1051510).
- isdn: fix kernel-infoleak in capi_unlocked_ioctl (bsc#1051510).
- cdc-acm: fix abnormal DATA RX issue for Mediatek Preloader
  (bsc#1051510).
- lan78xx: Resolve issue with changing MAC address (bsc#1051510).
- commit ad17c09
* Thu Jan 24 2019 yousaf.kaukab@suse.com
- soc/fsl/guts: Add definition for LX2160A (fate#326572).
- clk: qoriq: Add clockgen support for lx2160a (fate#326572).
- clk: qoriq: increase array size of cmux_to_group (fate#326572).
- mmc: block: propagate correct returned value in mmc_rpmb_ioctl
  (fate#326572).
- mmc: core: Prevent bus reference leak in mmc_blk_init()
  (fate#326572).
- commit ef2b4be
* Thu Jan 24 2019 oneukum@suse.com
- kABI: fix xhci kABI stability (bsc#1119086).
- commit 0c7057e
* Thu Jan 24 2019 oneukum@suse.com
- USB: xhci: fix 'broken_suspend' placement in struct xchi_hcd
  (bsc#1119086).
- commit b411b00
* Thu Jan 24 2019 tbogendoerfer@suse.de
- SUNRPC: Clean up initialisation of the struct rpc_rqst
  (bsc#1123036).
- Refresh
  patches.fixes/0007-SUNRPC-Mask-XIDs-to-prevent-replay-cache-collision.patch.
- commit 8478805
* Thu Jan 24 2019 tbogendoerfer@suse.de
- sunrpc: Prevent duplicate XID allocation (bsc#1123036).
- Refresh
  patches.fixes/0007-SUNRPC-Mask-XIDs-to-prevent-replay-cache-collision.patch.
- commit 4795729
* Thu Jan 24 2019 tbogendoerfer@suse.de
- SUNRPC: Initialize rpc_rqst outside of xprt->reserve_lock
  (bsc#1123036).
- Refresh
  patches.fixes/0007-SUNRPC-Mask-XIDs-to-prevent-replay-cache-collision.patch.
- commit 35b181b
* Thu Jan 24 2019 tbogendoerfer@suse.de
- SUNRPC: Make num_reqs a non-atomic integer (bsc#1123036).
- SUNRPC: Make slot allocation more reliable (bsc#1123036).
- commit 347ba0d
* Thu Jan 24 2019 yousaf.kaukab@suse.com
- mmc: block: Move duplicate check (fate#326572).
- commit fbac02b
* Thu Jan 24 2019 msuchanek@suse.de
- rpm/kernel-binary.spec.in: stop building kernel-*-base (FATE#326579).
- commit e43e4df
* Thu Jan 24 2019 yousaf.kaukab@suse.com
- mmc: block: Reparametrize mmc_blk_ioctl__cmd() (fate#326572).
- commit 6bc1806
* Thu Jan 24 2019 ptesarik@suse.cz
- Add product identifying information to VMCOREINFO (bsc#1123015).
- commit b361141
* Thu Jan 24 2019 jslaby@suse.cz
- tcp: lack of available data can also cause TSO defer
  (git-fixes).
- commit faf00d7
* Thu Jan 24 2019 yousaf.kaukab@suse.com
- mmc: block: Fix bug when removing RPMB chardev (fate#326572).
- mmc: block: Delete mmc_access_rpmb() (fate#326572).
  Refresh:
  patches.drivers/mmc-block-add-blk-mq-support.patch
  patches.drivers/mmc-block-add-cqe-support.patch
  patches.drivers/mmc-block-remove-code-no-longer-needed-after-the-switch-to-blk-mq.patch
- mmc: block: Convert RPMB to a character device (fate#326572).
  Refresh:
  patches.drivers/mmc-block-check-return-value-of-blk_get_request.patch
  patches.drivers/mmc-block-ensure-that-debugfs-files-are-removed.patch
- commit 5195f58
* Thu Jan 24 2019 tbogendoerfer@suse.de
- bpf: fix SO_MAX_PACING_RATE to support TCP internal pacing
  (bsc#1109837).
- bpf: bpf_setsockopt: reset sock dst on SO_MARK changes
  (bsc#1109837).
- bpf: zero out build_id for BPF_STACK_BUILD_ID_IP (bsc#1109837).
- bpf: don't assume build-id length is always 20 bytes
  (bsc#1109837).
- xsk: Check if a queue exists during umem setup (bsc#1109837).
- net/mlx5e: Fix wrong error code return on FEC query failure
  (bsc#1103990 FATE#326006).
- net/mlx5e: Force CHECKSUM_UNNECESSARY for short ethernet frames
  (bsc#1109837).
- mlxsw: spectrum_fid: Update dummy FID index (bsc#1112374).
- mlxsw: pci: Increase PCI SW reset timeout (bsc#1112374).
- mlxsw: pci: Ring CQ's doorbell before RDQ's (bsc#1112374).
- net: Fix typo in NET_FAILOVER help text (bsc#1109837).
- net/sched: cls_flower: allocate mask dynamically in fl_change()
  (bsc#1109837).
- net: phy: meson-gxl: Use the genphy_soft_reset callback
  (bsc#1119113 FATE#326472).
- net: phy: micrel: set soft_reset callback to genphy_soft_reset
  for KSZ9031 (bsc#1119113 FATE#326472).
- Revert "igb: reduce CPU0 latency when updating statistics"
  (bsc#1117495).
- RDMA/mthca: Clear QP objects during their allocation
  (bsc#1103992 FATE#326009).
- RDMA/vmw_pvrdma: Return the correct opcode when creating WR
  (bsc#1103992 FATE#326009).
- RDMA/nldev: Don't expose unsafe global rkey to regular user
  (bsc#1103992 FATE#326009).
- bnxt_en: Fix context memory allocation (bsc#1104745
  FATE#325918).
- bnxt_en: Fix ring checking logic on 57500 chips (bsc#1104745
  FATE#325918).
- bpf: fix panic in stack_map_get_build_id() on i386 and arm32
  (bsc#1109837).
- bpf: correctly set initial window on active Fast Open sender
  (bsc#1109837).
- tun: publish tfile after it's fully initialized (bsc#1109837).
- mlxsw: spectrum_switchdev: Set PVID correctly during VLAN
  deletion (bsc#1112374).
- mlxsw: spectrum: Add VXLAN dependency for spectrum
  (bsc#1112374).
- mlxsw: spectrum_acl: Add cleanup after C-TCAM update error
  condition (bsc#1112374).
- bpf: Fix [::] -> [::1] rewrite in sys_sendmsg (bsc#1109837).
- RDMA/iwcm: Don't copy past the end of dev_name() string
  (bsc#1103992 FATE#326009).
- bnxt_en: Adjust default RX coalescing ticks to 10 us
  (bsc#1104745 FATE#325918).
- bnxt_en: Support for 64-bit flow handle (bsc#1104745
  FATE#325918).
- bnxt_en: Increase context memory allocations on 57500 chips
  for RDMA (bsc#1104745 FATE#325918).
- bnxt_en: Add Level 2 context memory paging support (bsc#1104745
  FATE#325918).
- bnxt_en: Enhance bnxt_alloc_ring()/bnxt_free_ring() (bsc#1104745
  FATE#325918).
- bnxt_en: Add support for 2nd firmware message channel
  (bsc#1104745 FATE#325918).
- bnxt_en: Introduce bnxt_get_hwrm_resp_addr &
  bnxt_get_hwrm_seq_id routines (bsc#1104745 FATE#325918).
- bnxt_en: Avoid arithmetic on void * pointer (bsc#1104745
  FATE#325918).
- bnxt_en: Use macros for firmware message doorbell offsets
  (bsc#1104745 FATE#325918).
- bnxt_en: Set hwrm_intr_seq_id value to its inverted value
  (bsc#1104745 FATE#325918).
- bnxt_en: Update firmware interface spec. to 1.10.0.33
  (bsc#1104745 FATE#325918).
- bnxt_en: query force speeds before disabling autoneg mode
  (bsc#1104745 FATE#325918).
- bnxt_en: Do not free port statistics buffer when device is down
  (bsc#1104745 FATE#325918).
- bnxt_en: Save ring statistics before reset (bsc#1104745
  FATE#325918).
- bnxt_en: Return linux standard errors in bnxt_ethtool.c
  (bsc#1104745 FATE#325918).
- bnxt_en: Don't set ETS on unused TCs (bsc#1104745 FATE#325918).
- bnxt_en: Add ethtool -S priority counters (bsc#1104745
  FATE#325918).
- bnxt_en: Add SR-IOV support for 57500 chips (bsc#1104745
  FATE#325918).
- bnxt_en: Disable MSIX before re-reserving NQs/CMPL rings
  (bsc#1104745 FATE#325918).
- bnxt_en: Reserve 1 stat_ctx for RDMA driver (bsc#1104745
  FATE#325918).
- bnxt_en: Do not modify max_stat_ctxs after RDMA driver
  requests/frees stat_ctxs (bsc#1104745 FATE#325918).
- bnxt_en: get rid of num_stat_ctxs variable (bsc#1104745
  FATE#325918).
- bnxt_en: Add bnxt_get_avail_cp_rings_for_en() helper function
  (bsc#1104745 FATE#325918).
- bnxt_en: Store the maximum NQs available on the PF (bsc#1104745
  FATE#325918).
- bnxt: remove printing of hwrm message (bsc#1104745 FATE#325918).
- phy: cp110-comphy: 2.5G SGMII mode (bsc#1117016).
- commit d82fac5
* Thu Jan 24 2019 msuchanek@suse.de
- rpm/kernel-*.spec.in: replace update srchash dependencies (FATE#325312).
  Due to some limitations version cannot be matched so move the hash into
  the provide name.
- commit 219bcec
* Thu Jan 24 2019 acho@suse.com
- Bluetooth: Verify that l2cap_get_conf_opt provides large enough
  buffer (bsc#1120758 CVE-2019-3459 CVE-2019-3560).
- commit cec7ea4
* Wed Jan 23 2019 palcantara@suse.de
- cifs: fix return value for cifs_listxattr (bsc#1051510).
- commit 5f1eb8b
* Wed Jan 23 2019 palcantara@suse.de
- cifs: smb2ops: Fix listxattr() when there are no EAs
  (bsc#1051510).
- commit 884b9f9
* Wed Jan 23 2019 yousaf.kaukab@suse.com
- mmc: sdhci-of-esdhc: Fix timeout checks (fate#326572).
- mmc: sdhci-of-esdhc: fix spelling mistake "upsupported" ->
  "unsupported" (fate#326572).
- mmc: sdhci-of-esdhc: workaround for unreliable pulse width
  detection (fate#326572).
- mmc: sdhci-of-esdhc: temporary fixup for eMMC HS400 issue
  (fate#326572).
- mmc: sdhci-of-esdhc: add erratum A011334 support (fate#326572).
- mmc: sdhci-of-esdhc: add hs400 mode support (fate#326572).
- mmc: core: Add ->hs400_prepare_ddr() callback (fate#326572).
- mmc: core: improve reasonableness of bus width setting for
  HS400es (fate#326572).
- mmc: core: more fine-grained hooks for HS400 tuning
  (fate#326572).
- mmc: sdhci: Disable 1.8v modes (HS200/HS400/UHS) if controller
  can't support 1.8v (fate#326572).
- commit 04b20a5
* Wed Jan 23 2019 msuchanek@suse.de
- powerpc/xmon: Fix invocation inside lock region (bsc#1122885).
- commit 8b07fd0
* Wed Jan 23 2019 msuchanek@suse.de
- powerpc/tm: Limit TM code inside PPC_TRANSACTIONAL_MEM
  (bsc#1118338).
- commit f332dea
* Wed Jan 23 2019 jslaby@suse.cz
- net: stmmac: Fix PCI module removal leak (git-fixes).
- bonding: update nest level on unlink (git-fixes).
- ip: on queued skb use skb_header_pointer instead of
  pskb_may_pull (git-fixes).
- commit 8026bcd
* Wed Jan 23 2019 tzimmermann@suse.de
- drm/i915/icl: Add DSS_CTL Registers (fate#326289)
- commit 4d16bbc
* Wed Jan 23 2019 tzimmermann@suse.de
- firmware/dmc/icl: load v1.07 on icelake. (fate#326289)
- commit f2a8fab
* Wed Jan 23 2019 colyli@suse.de
- blacklist.conf: add 5618cf031fecda63847cafd1091e7b8bd626cdb1
- commit c43dcfe
* Wed Jan 23 2019 colyli@suse.de
- compat_hdio_ioctl: Fix a declaration (Git-fixes).
- commit 20c27ec
* Tue Jan 22 2019 jslaby@suse.cz
- neighbour: Avoid writing before skb->head in neigh_hh_output()
  (networking-stable-18_12_12).
- ipv6: Check available headroom in ip6_xmit() even without
  options (networking-stable-18_12_12).
- ipv6: sr: properly initialize flowi6 prior passing to
  ip6_route_output (networking-stable-18_12_12).
- ipv4: ipv6: netfilter: Adjust the frag mem limit when truesize
  changes (networking-stable-18_12_12).
- tcp: fix NULL ref in tail loss probe
  (networking-stable-18_12_12).
- tcp: Do not underestimate rwnd_limited
  (networking-stable-18_12_12).
- rtnetlink: ndo_dflt_fdb_dump() only work for ARPHRD_ETHER
  devices (networking-stable-18_12_12).
- net/mlx4_en: Change min MTU size to ETH_MIN_MTU
  (networking-stable-18_12_12).
- sctp: kfree_rcu asoc (networking-stable-18_12_12).
- kABI: protect struct sctp_association (kabi).
- net: 8139cp: fix a BUG triggered by changing mtu with network
  traffic (networking-stable-18_12_12).
- net: phy: don't allow __set_phy_supported to add unsupported
  modes (networking-stable-18_12_12).
- tun: forbid iface creation with rtnl ops
  (networking-stable-18_12_12).
- virtio-net: keep vnet header zeroed after processing XDP
  (networking-stable-18_12_12).
- commit b6d547e
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/ddi: Use power well CTL IDX instead of ID (fate#326289)
- commit ab88d2e
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/vlv: Use power well CTL IDX instead of ID (fate#326289)
- commit f818de6
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915: Make power well ID names more uniform (fate#326289)
- commit 831047a
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915: Remove redundant power well IDs (fate#326289)
- commit d1d1fbf
* Tue Jan 22 2019 oneukum@suse.com
- xhci: workaround CSS timeout on AMD SNPS 3.0 xHC (bsc#1119086).
- commit b161fb8
* Tue Jan 22 2019 oneukum@suse.com
- usb: dwc3: trace: add missing break statement to make compiler
  happy (bsc#1120902).
- commit aadb0d4
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Fix PLL mapping sanitization for DP ports (fate#326289)
- commit 6c3a972
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/ddi: Add more sanity check to the encoder HW readout (fate#326289)
- commit b6ce85d
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Fix port B combo PHY context loss after DC transitions (fate#326289)
- commit 1388867
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Skip init for an already enabled combo PHY (fate#326289)
- commit 138c83e
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/cnl+: Verify combo PHY HW state during PHY uninit (fate#326289)
- commit df54299
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/cnl+: Move the combo PHY init/uninit code to a new file (fate#326289)
- commit 34ce7c5
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Fix combo PHY uninit (fate#326289)
- commit 9b15b95
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Configure MG DP mode for HDMI ports too (fate#326289)
- commit 2e877f5
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Configure MG PHY gating for HDMI ports too (fate#326289)
- commit 3dd67c3
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Fix DSS_CTL register names (fate#326289)
- commit 4466f33
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl+: Sanitize port to PLL mapping (fate#326289)
- commit f7db897
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915: Configure AUX_CH_CTL when enabling the AUX power domain (fate#326289)
- commit 0be9780
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915: Enable AUX power for HDMI DDI/TypeC main link too (fate#326289)
- commit 3db1b6c
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915: Enable AUX power earlier (fate#326289)
- commit bd49d4e
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915: Use a helper to get the aux power domain (fate#326289)
- commit cbcf189
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915: Init aux_ch for HDMI ports too (fate#326289)
- commit 0a943fa
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915: Move aux_ch to intel_digital_port (fate#326289)
- commit 3d31281
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915: Move intel_aux_ch() to intel_bios.c (fate#326289)
- commit b203591
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: WaAllowUMDToModifySamplerMode (fate#326289)
- commit 28e282e
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: WaAllowUMDToModifyHalfSliceChicken7 (fate#326289)
- commit cdb5767
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Implement Display WA_1405510057 (fate#326289)
- commit aed9ba1
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Add WaEnable32PlaneMode (fate#326289)
- commit eb7c662
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Fix DC9 Suspend for ICL. (fate#326289)
- commit 5b2e289
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/ICL: Add pre_pll_enable hook for ICL and set DFLEXDPMLE in (fate#326289)
- commit 5b346f0
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Fix crash when getting DPLL of a MST encoder in TC (fate#326289)
- commit cd4414b
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915: Initialize panel_vdd_work only for eDP ports (fate#326289)
- commit e13eaf9
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Set TC type to unknown when a sudden disconnection (fate#326289)
- commit 5d54019
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Set TC type to unknown in the disconnection flow (fate#326289)
- commit 80eb53f
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Enable DC9 as lowest possible state during screen-off (fate#326289)
- commit 6a6fe4a
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Store available engine masks in INTEL_INFO (fate#326289)
- commit bc39854
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Introduce new macros to get combophy registers (fate#326289)
- commit 812aaf1
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Combine all port/combophy macros at one place (fate#326289)
- commit f889982
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Refactor icl pll functions (fate#326289)
- commit 9da465d
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Use helper functions to classify the ports (fate#326289)
- commit dbdd0eb
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Refactor get_ddi_pll using helper func (fate#326289)
- commit 76014cd
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: use combophy/TC helper functions during display (fate#326289)
- commit 5c84dde
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: apply Display WA #1178 to fix type C dongles (fate#326289)
- commit e56f3ae
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Disable master intr before reading (fate#326289)
- commit ac9660f
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: No need to ack intr through master control (fate#326289)
- commit 39fcda7
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/gen8: Disable master intr before reading (fate#326289)
- commit 9bfd9d2
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: enable SAGV for ICL platform (fate#326289)
- commit 65c38eb
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl:Add Wa_1606682166 (fate#326289)
- commit efba1b4
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Add Wa_1406609255 (fate#326289)
- commit 000b970
* Tue Jan 22 2019 tzimmermann@suse.de
- firmware/dmc/icl: Add missing MODULE_FIRMWARE() for Icelake. (fate#326289)
- commit 3c60046
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915: Reduce context HW ID lifetime (fate#326289)
- commit ddd41a5
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Fix context RPCS programming (fate#326289)
- commit 625a03e
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915: Fix ICL+ HDMI clock readout (fate#326289)
- commit a6c2d15
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915: Do not advertize support for NV12 on ICL yet. (fate#326289)
- commit 27af4a2
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: implement the tc/legacy HPD {dis,}connect flows (fate#326289)
- commit ae2fad2
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Get DDI clock for ICL for MG PLL and TBT PLL (fate#326289)
- commit f22e5c1
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Implement HSDIV_RATIO of MG_CLKTOP2_HSCLKCTL_PORT reg (fate#326289)
- commit 6997786
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: account for context save/restore removed bits (fate#326289)
- commit 55cb30e
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Add missing power gate enums (fate#326289)
- commit 4021182
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915: Use existing power well IDs where possible (fate#326289)
- commit 5ffe22d
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Fix power well anonymous union initializers (fate#326289)
- commit b2f45d3
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: avoid unclaimed PLANE_NV12_BUF_CFG register (fate#326289)
- commit c786645
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Set TBT IO in Aux transaction (fate#326289)
- commit 7fe26cc
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Add TBT checks for PLL calculations (fate#326289)
- commit df926f7
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: don't set CNL_DDI_CLOCK_REG_ACCESS_ON anymore (fate#326289)
- commit c21a82e
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: toggle PHY clock gating around link training (fate#326289)
- commit f4549a5
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: program MG_DP_MODE (fate#326289)
- commit f63f3ac
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Update FIA supported lane count for hpd. (fate#326289)
- commit 9583143
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: store the port type for TC ports (fate#326289)
- commit db98926
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: implement icl_digital_port_connected() (fate#326289)
- commit 9ab390d
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Implement voltage swing programming sequence for MG PHY (fate#326289)
- commit 8477c6e
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: Add remaining registers and bitfields for MG PHY DDI (fate#326289)
- commit 3c7c072
* Tue Jan 22 2019 tzimmermann@suse.de
- drm/i915/icl: compute the TBT PLL registers (fate#326289)
- commit f2dc507
* Tue Jan 22 2019 colyli@suse.de
- dm: call blk_queue_split() to impose device limits on bios
  (git-fixes).
- commit 7c2b122
* Tue Jan 22 2019 colyli@suse.de
- blacklist.conf:
- remove 2 entries since now we have them,
  744889b7cbb56a64f957e65ade7cb65fe3f35714
  1adfc5e4136f5967d591c399aff95b3b035f16b7
- add 1 entry
  2bcbd406715dca256912b9c5ae449c7968f15705
- commit b755e64
* Tue Jan 22 2019 colyli@suse.de
- block/swim3: Fix -EBUSY error when re-opening device after
  unmount (git-fixes).
- dm: do not allow readahead to limit IO size (git-fixes).
- dm thin: send event about thin-pool state change _after_
  making it (git-fixes).
- dm zoned: Fix target BIO completion handling (git-fixes).
- dm cache metadata: verify cache has blocks in
  blocks_are_clean_separate_dirty() (git-fixes).
- block: fix 32 bit overflow in __blkdev_issue_discard()
  (git-fixes).
- block: make sure writesame bio is aligned with logical block
  size (git-fixes).
- block: cleanup __blkdev_issue_discard() (git-fixes).
- block: make sure discard bio is aligned with logical block size
  (git-fixes).
- block: don't deal with discard limit in blkdev_issue_discard()
  (git-fixes).
- block: fix infinite loop if the device loses discard capability
  (git-fixes).
- block: break discard submissions into the user defined size
  (git-fixes).
- lib/rbtree-test: lower default params (git-fixes).
- commit 4bd8818
* Tue Jan 22 2019 wqu@suse.com
- btrfs: qgroup: Fix root item corruption when multiple same
  source snapshots are created with quota enabled (bsc#1122324).
- commit 7c01025
* Tue Jan 22 2019 glin@suse.com
- bpf: fix sanitation of alu op with pointer / scalar type from
  different paths (bsc#1068032 CVE-2017-5753).
- commit 194bcb8
* Mon Jan 21 2019 tiwai@suse.de
- Delete patches.suse/drm-i915-CFL-NVMe-breakage-workaround.patch (bsc#1122554)
  The PCI SSID matches with other machine(s?) on the market, and leads to
  the boot problem.  Let's remove the hackish patch for now.
- commit ca68b03
* Mon Jan 21 2019 oneukum@suse.com
- media: usb: pwc: Don't use coherent DMA buffers for ISO transfer
  (bsc#1054610).
- commit 1624e00
* Mon Jan 21 2019 jthumshirn@suse.de
- acpi/nfit: Fix race accessing memdev in nfit_get_smbios_id()
  (bsc#1122662).
- commit bbd5c28
* Mon Jan 21 2019 palcantara@suse.de
- cifs: Use ULL suffix for 64-bit constant (bsc#1051510).
- commit fcc0498
* Mon Jan 21 2019 jthumshirn@suse.de
- libnvdimm/security: Fix nvdimm_security_state() state request
  selection (bsc#1122654).
- commit a8d7528
* Mon Jan 21 2019 jthumshirn@suse.de
- libnvdimm/dimm: Fix security capability detection for non-Intel
  NVDIMMs (bsc#1122648).
- commit 2581a33
* Mon Jan 21 2019 tzimmermann@suse.de
- omap2fb: Fix stack memory disclosure (bsc#1120902)
- commit eef0a2f
* Mon Jan 21 2019 tzimmermann@suse.de
- drm/i915/gvt: Fix mmap range check (bsc#1120902)
- commit fc802aa
* Mon Jan 21 2019 tzimmermann@suse.de
- drm/fb-helper: Partially bring back workaround for bugs of SDL 1.2 (bsc#1113722)
- commit 16258cd
* Mon Jan 21 2019 glin@suse.com
- bpf: fix inner map masking to prevent oob under speculation
  (bsc#1068032 CVE-2017-5753).
- commit a828d71
* Mon Jan 21 2019 glin@suse.com
- bpf: prevent out of bounds speculation on pointer arithmetic
  (bsc#1068032 CVE-2017-5753).
- kabi: ignore struct bpf_insn_aux_data change (References:
  bsc#1068032 CVE-2017-5753).
- kabi: ignore struct bpf_verifier_env change (References:
  bsc#1068032 CVE-2017-5753).
- Refresh
  patches.kabi/bpf-prevent-memory-disambiguation-attack.patch.
- Refresh
  patches.kabi/bpf-properly-enforce-index-mask-to-prevent-out-of-bo.patch.
- bpf: fix check_map_access smin_value test when pointer contains
  offset (bsc#1068032 CVE-2017-5753).
- bpf: restrict unknown scalars of mixed signed bounds for
  unprivileged (bsc#1068032 CVE-2017-5753).
- bpf: restrict stack pointer arithmetic for unprivileged
  (bsc#1068032 CVE-2017-5753).
- bpf: restrict map value pointer arithmetic for unprivileged
  (bsc#1068032 CVE-2017-5753).
- bpf: move {prev_,}insn_idx into verifier env (bsc#1068032 CVE-2017-5753).
- commit 2aa186c
* Sat Jan 19 2019 mwilck@suse.com
- Revert "ide: unexport DISK_EVENT_MEDIA_CHANGE for ide-gd and ide-cd" (bsc#1110946).
- commit 9c1ee88
* Fri Jan 18 2019 palcantara@suse.de
- CIFS: Fix error mapping for SMB2_LOCK command which caused
  OFD lock problem (bsc#1051510).
- commit 132d161
* Fri Jan 18 2019 tiwai@suse.de
- Input: elan_i2c - add ACPI ID for touchpad in ASUS Aspire
  F5-573G (bsc#1051510).
- Input: synaptics - enable SMBus for HP EliteBook 840 G4
  (bsc#1051510).
- Input: synaptics - enable RMI on ThinkPad T560 (bsc#1051510).
- Input: omap-keypad - fix idle configuration to not block SoC
  idle states (bsc#1051510).
- Input: restore EV_ABS ABS_RESERVED (bsc#1051510).
- commit 7577e46
* Fri Jan 18 2019 tiwai@suse.de
- Update patch tag for upstreamed drm patch and move to sorted section
  Refresh patches.drm/drm-nouveau-Don-t-disable-polling-in-fallback-mode.patch
- commit 1799aff
* Fri Jan 18 2019 tzimmermann@suse.de
- De-blacklist remaining Git-fixes for DRM update (bsc#1113956)
- commit c5e2fde
* Fri Jan 18 2019 bp@suse.de
- x86/mm: Drop usage of __flush_tlb_all() in
  kernel_physical_mapping_init() (bsc#1114279).
- x86, modpost: Replace last remnants of RETPOLINE with
  CONFIG_RETPOLINE (bsc#1114279).
- x86/resctrl: Fix rdt_find_domain() return value and checks
  (bsc#1114279).
- x86/speculation: Add RETPOLINE_AMD support to the inline asm
  CALL_NOSPEC variant (bsc#1114279).
- kvm: sev: Fail KVM_SEV_INIT if already initialized
  (bsc#1114279).
- blacklist.conf:
- Refresh
  patches.arch/x86-retpoline-make-config_retpoline-depend-on-compiler-support.patch.
- commit 2fcd2a0
* Fri Jan 18 2019 tzimmermann@suse.de
- drm/amdgpu: Add amdgpu "max bpc" connector property (v2) (bsc#1113956)
- commit e5e69d5
* Fri Jan 18 2019 tzimmermann@suse.de
- drm/i915/icl: create function to identify combophy port (bsc#1113956)
- commit 0570bd2
* Fri Jan 18 2019 tzimmermann@suse.de
- drm/amd/display: Support amdgpu "max bpc" connector property (v2) (bsc#1113956)
- commit 0535f76
* Fri Jan 18 2019 tzimmermann@suse.de
- drm/i915/icl: Fix power well 2 wrt. DC-off toggling order (bsc#1113956)
- commit d9d6b3a
* Fri Jan 18 2019 tzimmermann@suse.de
- drm/i915/icl: Fix DDI/TC port clk_off bits (bsc#1113956)
- commit 1b233d0
* Fri Jan 18 2019 msuchanek@suse.de
- powerpc/powernv: Clear LPCR[PECE1] via stop-api only for deep
  state offline (bsc#1119766, bsc#1055121).
- powerpc/powernv: Clear PECE1 in LPCR via stop-api only on
  Hotplug (bsc#1119766, bsc#1055121).
- Refresh patches.arch/powerpc-powernv-Provide-a-way-to-force-a-core-into-S.patch.
- commit 4ace38c
* Fri Jan 18 2019 msuchanek@suse.de
- Update ppc64le config files.
  Framework used with embedded systams
  - CONFIG_EXTCON=m
  USB PHYs used with non-standard embedded controllers only
  - CONFIG_BCM_KONA_USB2_PHY=m
  - CONFIG_PHY_QCOM_USB_HS=m
  No chip-specific PWM drivers
  - CONFIG_PWM_LP3943=m
  Arm9 chipset
  - CONFIG_DRM_RCAR_LVDS=m
  Encoders used with SoC graphics - discrete cards don't expose them
  - CONFIG_DRM_CDNS_DSI=m
  - CONFIG_DRM_MIPI_DSI=y
  - CONFIG_DRM_DUMB_VGA_DAC=m
  - CONFIG_DRM_SII9234=m
  - CONFIG_DRM_THINE_THC63LVD1024=m
  - CONFIG_DRM_I2C_ADV7511=m
  - CONFIG_DRM_I2C_ADV7533=y
  - CONFIG_DRM_I2C_ADV7511_CEC=y
  No LCD panels - it is not possible to disable the infrastructure because
  of radeon driver but individual drivers can be disabled
  - CONFIG_LCD_PLATFORM=m
  +# CONFIG_DRM_PANEL_LVDS is not set
  +# CONFIG_DRM_PANEL_SIMPLE is not set
  +# CONFIG_DRM_PANEL_SAMSUNG_S6E8AA0 is not set
  +# CONFIG_DRM_PANEL_SEIKO_43WVF1G is not set
  +# CONFIG_DRM_NOUVEAU_BACKLIGHT is not set
  - CONFIG_BACKLIGHT_CLASS_DEVICE=y
  +CONFIG_BACKLIGHT_CLASS_DEVICE=m
  - CONFIG_BACKLIGHT_GENERIC=m
  +# CONFIG_BACKLIGHT_GENERIC is not set
  +# CONFIG_BACKLIGHT_PWM is not set
  +# CONFIG_BACKLIGHT_PM8941_WLED is not set
  +# CONFIG_BACKLIGHT_ADP8860 is not set
  +# CONFIG_BACKLIGHT_ADP8870 is not set
  +# CONFIG_BACKLIGHT_LM3630A is not set
  +# CONFIG_BACKLIGHT_LP855X is not set
  +# CONFIG_BACKLIGHT_ARCXCNN is not set
- commit 7a46ca9
* Fri Jan 18 2019 ptesarik@suse.cz
- scripts/git_sort/git_sort.py: add kvalo/wireless-drivers-next/master
- Refresh
  patches.drivers/brcmfmac-Use-firmware_request_nowarn-for-the-clm_blo.patch.
- commit 98ba0d4
* Thu Jan 17 2019 ptesarik@suse.cz
- smc: move unhash as early as possible in smc_release()
  (git-fixes).
- commit ac9857f
* Thu Jan 17 2019 jslaby@suse.cz
- rapidio/rionet: do not free skb before reading its length
  (networking-stable-18_12_03).
- usbnet: ipheth: fix potential recvmsg bug and recvmsg bug 2
  (networking-stable-18_12_03).
- net: thunderx: set tso_hdrs pointer to NULL in
  nicvf_free_snd_queue (networking-stable-18_12_03).
- virtio-net: fail XDP set if guest csum is negotiated
  (networking-stable-18_12_03).
- net: thunderx: set xdp_prog to NULL if bpf_prog_add fails
  (networking-stable-18_12_03).
- net: skb_scrub_packet(): Scrub offload_fwd_mark
  (networking-stable-18_12_03).
- commit 7ce5a63
* Thu Jan 17 2019 ohering@suse.de
- Set CONFIG_SUSE_PATCHLEVEL=1 because this is the SP1 branch
- commit 8440489
* Thu Jan 17 2019 ptesarik@suse.cz
- Refresh
  patches.drivers/dma-fence-Allow-wait_any_timeout-for-all-fences.patch.
- Refresh
  patches.drivers/dma-fence-Make-enable_signaling-optional.patch.
- Refresh
  patches.drivers/dma-fence-Make-wait-callback-optional.patch.
- Refresh
  patches.drivers/dma-fence-remove-fill_driver_data-callback.patch.
- Delete
  patches.drivers/Revert-190c462d5be19ba622a82f5fd0625087c870a1e6.bf30.patch.
- Delete
  patches.drivers/dma-fence-Allow-wait_any_timeout-for-all-fences-2.patch.
- Delete
  patches.drivers/dma-fence-Make-enable_signaling-optional-2.patch.
- Delete
  patches.drivers/dma-fence-Make-wait-callback-optional-2.patch.
- Delete
  patches.drivers/dma-fence-remove-fill_driver_data-callback-2.patch.
- commit 26d000e
* Wed Jan 16 2019 msuchanek@suse.de
- powerpc/tm: Avoid machine crash on rt_sigreturn (bsc#1118338).
- commit 1bde3cc
* Wed Jan 16 2019 jack@suse.cz
- fanotify: fix handling of events on child sub-directory
  (bsc#1122019).
- commit 3895cc7
* Wed Jan 16 2019 oneukum@suse.com
- iwlwifi: fix wrong WGDS_WIFI_DATA_SIZE (bsc#1119086).
- commit 00c2467
* Wed Jan 16 2019 tiwai@suse.de
- tty: Don't hold ldisc lock in tty_reopen() if ldisc present
  (bsc#1051510).
- drivers/tty: add missing of_node_put() (bsc#1051510).
- commit 571e131
* Wed Jan 16 2019 lhenriques@suse.com
- ceph: don't encode inode pathes into reconnect message
  (bsc#1122215).
- ceph: update wanted caps after resuming stale session
  (bsc#1122215).
- ceph: skip updating 'wanted' caps if caps are already issued
  (bsc#1122215).
- ceph: don't request excl caps when mount is readonly
  (bsc#1122215).
- libceph: switch more to bool in ceph_tcp_sendmsg()
  (bsc#1122215).
- libceph: use MSG_SENDPAGE_NOTLAST with ceph_tcp_sendpage()
  (bsc#1122215).
- libceph: use sock_no_sendpage() as a fallback in
  ceph_tcp_sendpage() (bsc#1122215).
- libceph: drop last_piece logic from write_partial_message_data()
  (bsc#1122215).
- ceph: remove redundant assignment (bsc#1122215).
- ceph: cleanup splice_dentry() (bsc#1122215).
- commit b8b605e
* Wed Jan 16 2019 oneukum@suse.com
- blacklist.conf: actual code is unchanged
- commit 483a7c7
* Wed Jan 16 2019 msuchanek@suse.de
- Bump SP number in config.
- commit 0e4b477
* Wed Jan 16 2019 oneukum@suse.com
- blacklist.conf: the tag on the patch is wrong. We don't need it
- commit f07e32a
* Wed Jan 16 2019 tiwai@suse.de
- Revert "Add cherry-picked commit IDs to avoid duplication"
  The commits that look as if duplicated changes aren't actually the dups
  but revert-and-re-apply patterns.  They have to be applied indeed.
- commit 7e954e3
* Wed Jan 16 2019 tiwai@suse.de
- dma-fence: Make ->wait callback optional (bsc#794563).
- dma-fence: Allow wait_any_timeout for all fences (bsc#794563).
- dma-fence: Make ->enable_signaling optional (bsc#794563).
- dma-fence: remove fill_driver_data callback (bsc#794563).
- commit 2f3a6d0
* Wed Jan 16 2019 msuchanek@suse.de
- Build VMD as module (FATE#326872).
- commit e7a6178
* Wed Jan 16 2019 oneukum@suse.com
- libertas_tf: prevent underflow in process_cmdrequest()
  (bsc#1119086).
- commit fbaf156
* Wed Jan 16 2019 tiwai@suse.de
- Add cherry-picked commit IDs to avoid duplication
- commit 66c9b57
* Wed Jan 16 2019 tiwai@suse.de
- dma-fence: Polish kernel-doc for dma-fence.c (bsc#794563).
- dma-buf: Remove unneeded stubs around sync_debug interfaces
  (bsc#794563).
- commit ea70f33
* Wed Jan 16 2019 jack@suse.cz
- mm: migrate: Make buffer_migrate_page_norefs() actually succeed
  (bsc#1084216)
- commit c5fc644
* Wed Jan 16 2019 tiwai@suse.de
- Revert
  190c462d5be19ba622a82f5fd0625087c870a1e6..bf3012ada1b2222e770de5c35c1bb16f73b3a01d"
  (bsc#794563).
- commit bd66704
* Wed Jan 16 2019 tiwai@suse.de
- dma-fence: Make ->wait callback optional (bsc#794563).
- dma-fence: Allow wait_any_timeout for all fences (bsc#794563).
- dma-fence: Make ->enable_signaling optional (bsc#794563).
- dma-fence: remove fill_driver_data callback (bsc#794563).
- dma-fence: Some kerneldoc polish for dma-fence.h (bsc#794563).
- dma-fence: add comment for WARN_ON in dma_fence_release()
  (bsc#794563).
- dma-buf/sw_sync: Fix kerneldoc warnings (bsc#794563).
- dma-buf/sw_sync: fix document of sw_sync_create_fence_data
  (bsc#794563).
- dma-buf: make returning the exclusive fence optional
  (bsc#794563).
- commit 7347662
* Wed Jan 16 2019 tzimmermann@suse.de
- drm/nouveau/kms/nv50-: also flush fb writes when rewinding push (bsc#1113956)
- commit 261bec9
* Wed Jan 16 2019 tzimmermann@suse.de
- drm/i915: Introduce per-engine workarounds (bsc#1113956)
- commit a2ab349
* Wed Jan 16 2019 tzimmermann@suse.de
- drm/i915: Record GT workarounds in a list (bsc#1113956)
- commit d6577b8
* Wed Jan 16 2019 tzimmermann@suse.de
- drm/i915/vgpu: Disallow loading on old vGPU hosts (bsc#1113956)
- commit e1ae48d
* Wed Jan 16 2019 tiwai@suse.de
- dma-buf: fix reservation_object_wait_timeout_rcu once more v2
  (bsc#794563).
- dma-buf: Fix ifnullfree.cocci warnings (bsc#794563).
- dma-buf/fence: Fix lock inversion within dma-fence-array
  (bsc#794563).
- dma-buf: try to replace a signaled fence in
  reservation_object_add_shared_inplace (bsc#794563).
- dma-buf: keep only not signaled fence in
  reservation_object_add_shared_replace v3 (bsc#794563).
- dma-buf: Use rcu_assign_pointer() to set rcu protected pointers
  (bsc#794563).
- dma-buf/fence: Sparse wants __rcu on the object itself
  (bsc#794563).
- dma-buf: Cleanup comments on dma_buf_map_attachment()
  (bsc#794563).
- commit 4d0e20a
* Wed Jan 16 2019 tiwai@suse.de
- tracing, dma-buf: Remove unused trace event
  dma_fence_annotate_wait_on (bsc#794563).
- dma-fence: remove duplicate word in comment (bsc#794563).
- dma-fence: fix dma_fence_get_rcu_safe v2 (bsc#794563).
- dma-buf: make reservation_object_copy_fences rcu save
  (bsc#794563).
- dma-buf/sw_sync: force signal all unsignaled fences on dying
  timeline (bsc#794563).
- sync_file: Return consistent status in SYNC_IOC_FILE_INFO
  (bsc#794563).
- dma-buf: fix reservation_object_wait_timeout_rcu to wait
  correctly v2 (bsc#794563).
- commit 42d3823
* Wed Jan 16 2019 tiwai@suse.de
- dma-buf: dma_fence_put is NULL safe (bsc#794563).
- dma-buf/sw_sync: clean up list before signaling the fence
  (bsc#794563).
- dma-buf/sw_sync: move timeline_fence_ops around (bsc#794563).
- dma-fence: Don't BUG_ON when not absolutely needed (bsc#794563).
- dma-buf/sw-sync: Use an rbtree to sort fences in the timeline
  (bsc#794563).
- dma-buf/sw-sync: Fix locking around sync_timeline lists
  (bsc#794563).
- dma-buf/sw-sync: sync_pt is private and of fixed size
  (bsc#794563).
- dma-buf/sw-sync: Reduce irqsave/irqrestore from known context
  (bsc#794563).
- dma-buf/sw-sync: Prevent user overflow on timeline advance
  (bsc#794563).
- dma-buf/sw-sync: Fix the is-signaled test to handle u32
  wraparound (bsc#794563).
- dma-buf/dma-fence: Extract __dma_fence_is_later() (bsc#794563).
- dma-buf/fence: Avoid use of uninitialised timestamp
  (bsc#794563).
- dma-buf/sync-file: Defer creation of sync_file->name
  (bsc#794563).
- dma-buf: Use seq_putc() in two functions (bsc#794563).
- dma-buf: Adjust a null pointer check in dma_buf_attach()
  (bsc#794563).
- dma-buf: Improve a size determination in dma_buf_attach()
  (bsc#794563).
- dma-buf: Combine two function calls into one in
  dma_buf_debug_show() (bsc#794563).
- dma-buf: avoid scheduling on fence status query v2 (bsc#794563).
- commit 52eb0a6
* Wed Jan 16 2019 tiwai@suse.de
- sync_file: get rid of internal reference count (bsc#794563).
- Refresh
  patches.drivers/dma-buf-sync_file-Allow-multiple-sync_files-to-wrap-.
- commit a7871ea
* Wed Jan 16 2019 tzimmermann@suse.de
- blacklist.conf: Permanently blacklist duplicates from DRM update (bsc#1113956)
- commit 50f5494
* Wed Jan 16 2019 oneukum@suse.com
- iwlwifi: fix non_shared_ant for 22000 devices (bsc#1119086).
- commit 9544c6e
* Wed Jan 16 2019 oneukum@suse.com
- iwlwifi: mvm: don't send GEO_TX_POWER_LIMIT to old firmwares
  (bsc#1119086).
- commit 29e9cde
* Wed Jan 16 2019 tzimmermann@suse.de
- drm/fb-helper: Ignore the value of fb_var_screeninfo.pixclock (bsc#1113722)
- commit 3114d34
* Tue Jan 15 2019 mbrugger@suse.com
- brcmfmac: Use firmware_request_nowarn for the clm_blob
  (fate#326215).
- commit aa1139d
* Tue Jan 15 2019 ptesarik@suse.cz
- s390/qeth: utilize virtual MAC for Layer2 OSD devices
  (FATE#326373, LTC#169211, bsc#1116189).
- commit 32d9868
* Tue Jan 15 2019 pmladek@suse.com
- tools/lib/lockdep: Rename "trywlock" into "trywrlock"
  (bsc#1121973).
- commit 9d51899
* Tue Jan 15 2019 oneukum@suse.com
- i2c: Allow overriding dev_name through board_info (FATE#326325).
- commit 18ef34c
* Tue Jan 15 2019 msuchanek@suse.de
- rpm/config.sh: Update to build against SP1.
- commit 48a7b9b
* Tue Jan 15 2019 jack@suse.cz
- vfs: Avoid softlockups in drop_pagecache_sb() (bsc#1118505).
- commit bb624be
* Tue Jan 15 2019 tiwai@suse.de
- PCI: Disable broken RTIT_BAR of Intel TH (bsc#1120318).
- commit 18e649b
* Tue Jan 15 2019 tiwai@suse.de
- Move upstreamed patches into sorted section
- commit b23a298
* Mon Jan 14 2019 tiwai@suse.de
- watchdog/hpwdt: Update driver version (bsc#1121523,FATE#325978).
- watchdog/hpwdt: Do not claim unsupported hardware
  (bsc#1121523,FATE#325978).
- watchdog/hpwdt: Exclude via blacklist (bsc#1121523,FATE#325978).
- commit 2ae4e01
* Mon Jan 14 2019 oneukum@suse.com
- i2c: acpi: Introduce i2c_acpi_get_i2c_resource() helper
  (FATE#326325).
- commit bb9fa5b
* Mon Jan 14 2019 msuchanek@suse.de
- powerpc/fadump: Do not allow hot-remove memory from fadump
  reserved area (bsc#1120937, FATE#321840, FATE#325306).
- powerpc/fadump: Throw proper error message on fadump
  registration failure (bsc#1120937, FATE#321840, FATE#325306).
- powerpc/fadump: Reservationless firmware assisted dump
  (bsc#1120937, FATE#321840, FATE#325306).
- commit dbab739
* Mon Jan 14 2019 yousaf.kaukab@suse.com
- config: arm64: enable ACPI PPTT
- commit 984aeb4
* Mon Jan 14 2019 yousaf.kaukab@suse.com
- ACPI/PPTT: Handle architecturally unknown cache types (fate#323923).
- drivers: base: cacheinfo: Do not populate sysfs for unknown cache types (fate#323923).
- ACPI / PPTT: use ACPI ID whenever ACPI_PPTT_ACPI_PROCESSOR_ID_VALID is set (fate#323923).
- arm64: topology: Avoid checking numa mask for scheduler MC selection (fate#323923).
- ACPI / PPTT: fix build when CONFIG_ACPI_PPTT is not enabled (fate#323923).
- arm64: topology: divorce MC scheduling domain from core_siblings (fate#323923).
- ACPI: Add PPTT to injectable table list (fate#323923).
- arm64: topology: enable ACPI/PPTT based CPU topology (fate#323923).
- arm64: topology: rename cluster_id (fate#323923).
- arm64: Add support for ACPI based firmware tables (fate#323923).
- drivers: base cacheinfo: Add support for ACPI based firmware tables (fate#323923).
- ACPI: Enable PPTT support on ARM64 (fate#323923).
- ACPI/PPTT: Add Processor Properties Topology Table parsing (fate#323923).
- cacheinfo: rename of_node to fw_token (fate#323923).
- drivers: base: cacheinfo: setup DT cache properties early (fate#323923).
- drivers: base: cacheinfo: move cache_setup_of_node() (fate#323923).
- ACPICA: ACPI 6.2: Additional PPTT flags (fate#323923).
- ACPICA: Tables: Add PPTT table definitions (fate#323923).
  Refresh:
  patches.drivers/ACPICA-ACPI-6.0A-Changes-to-the-NFIT-ACPI-table.patch
- arm,arm64,drivers: add a prefix to drivers arch_topology
  interfaces (fate#323923).
- arm,arm64,drivers: move externs in a new header file
  (fate#323923).
- arm,arm64,drivers: reduce scope of cap_parsing_failed
  (fate#323923).
- arm, arm64: factorize common cpu capacity default code
  (fate#323923).
- commit 33fc4da
* Mon Jan 14 2019 ptesarik@suse.cz
- Refresh
  patches.drivers/0001-usb-typec-Group-all-TCPCI-TCPM-code-together.patch:
  remove fusb302 part, as this driver was still in staging in 4.12.
- commit 9c75bd8
* Mon Jan 14 2019 jthumshirn@suse.de
- blacklist.conf: backlist 8363dae23463 ("compat_hdio_ioctl: Fix a declaration").
- commit 3a1ce1e
* Mon Jan 14 2019 vbabka@suse.cz
- mm/khugepaged: collapse_shmem() do not crash on Compound
  (VM Functionality, bsc#1121599).
- mm/khugepaged: collapse_shmem() without freezing new_page
  (VM Functionality, bsc#1121599).
- mm/khugepaged: minor reorderings in collapse_shmem() (VM
  Functionality, bsc#1121599).
- mm/khugepaged: collapse_shmem() remember to clear holes (VM
  Functionality, bsc#1121599).
- mm/khugepaged: fix crashes due to misaccounted holes (VM
  Functionality, bsc#1121599).
- mm/khugepaged: collapse_shmem() stop if punched or truncated
  (VM Functionality, bsc#1121599).
- mm/huge_memory: fix lockdep complaint on 32-bit i_size_read()
  (VM Functionality, bsc#1121599).
- mm/huge_memory: splitting set mapping+index before unfreeze
  (VM Functionality, bsc#1121599).
- mm/huge_memory: rename freeze_page() to unmap_page() (VM
  Functionality, bsc#1121599).
- commit 2b8ff43
* Mon Jan 14 2019 vbabka@suse.cz
- shmem: introduce shmem_inode_acct_block (VM Functionality,
  bsc#1121599).
- Refresh patches.fixes/userfaultfd-shmem-add-i_size-checks.patch.
- commit a6911c5
* Mon Jan 14 2019 vbabka@suse.cz
- shmem: shmem_charge: verify max_block is not exceeded before
  inode update (VM Functionality, bsc#1121599).
- commit e10bb19
* Mon Jan 14 2019 gqjiang@suse.com
- md: fix raid10 hang issue caused by barrier (git-fixes).
- commit c42e195
* Mon Jan 14 2019 tiwai@suse.de
- Limit max FW API version for QCA9377 (bsc#1121714, bsc#1121715).
- commit c32270b
* Sun Jan 13 2019 msuchanek@suse.de
- powerpc/tm: Unset MSR[TS] if not recheckpointing (bsc#1118338).
- powerpc/tm: Print scratch value (bsc#1118338).
- powerpc/tm: Save MSR to PACA before RFID (bsc#1118338).
- powerpc/tm: Set MSR[TS] just prior to recheckpoint (bsc#1118338,
  bsc#1120955).
- commit c7abb9d
* Sun Jan 13 2019 msuchanek@suse.de
- powerpc/tm: Reformat comments (bsc#1118338).
- powerpc/tm: Print 64-bits MSR (bsc#1118338).
- powerpc/tm: Remove msr_tm_active() (bsc#1118338).
- powerpc/tm: Fix HTM documentation (bsc#1118338).
- powerpc/tm: Fix HFSCR bit for no suspend case (bsc#1118338).
- powerpc/tm: Remove struct thread_info param from
  tm_reclaim_thread() (bsc#1118338).
- powerpc/tm: Update function prototype comment (bsc#1118338).
- powerpc/tm: Fix endianness flip on trap (bsc#1118338).
- powerpc: Remove facility loadups on transactional {fp, vec,
  vsx} unavailable (bsc#1118338).
- powerpc: Always save/restore checkpointed regs during
  treclaim/trecheckpoint (bsc#1118338).
- powerpc/tm: Don't check for WARN in TM Bad Thing handling
  (bsc#1118338).
- powerpc/tm: P9 disable transactionally suspended sigcontexts
  (bsc#1118338).
- powerpc: Remove redundant FP/Altivec giveup code (bsc#1118338).
- powerpc/tm: Fix comment (bsc#1118338).
- commit 593bb06
* Fri Jan 11 2019 jeyu@suse.de
- Refresh
  patches.suse/0003-modsign-log-module-name-in-the-event-of-an-error.patch.
- Refresh
  patches.suse/0004-MODSIGN-checking-the-blacklisted-hash-before-loading.patch.
  Fix bisectability issue due to missing header that didn't get added
  until a later patch.
- commit 2dc2721
* Fri Jan 11 2019 tiwai@suse.de
- ALSA: sb: Fix a typo (bsc#1121278).
- commit cca956e
* Fri Jan 11 2019 tiwai@suse.de
- ALSA: Fix forgotten dependency fix for tristate OSS sequencer
  kconfig (bsc#1121278).
- commit 5120f13
* Fri Jan 11 2019 ptesarik@suse.cz
- Refresh
  patches.drm/0038-drm-i915-psr-Remove-wait_for_idle-for-PSR2.patch.
- commit 7bb6074
* Fri Jan 11 2019 tiwai@suse.de
- ALSA: usb-audio: Always check descriptor sizes in parser code
  (bsc#1051510).
- ALSA: usb-audio: Check mixer unit descriptors more strictly
  (bsc#1051510).
- commit c88a322
* Fri Jan 11 2019 tiwai@suse.de
- Revert "Revert alsa fixes from Takashi Iwai"
  Revive the patches, more patches will come.
- commit 115975c
* Fri Jan 11 2019 tiwai@suse.de
- ALSA: hda/realtek - Disable headset Mic VREF for headset mode
  of ALC225 (bsc#1051510).
- ALSA: hda/realtek - Add unplug function into unplug state of
  Headset Mode for ALC225 (bsc#1051510).
- ALSA: cs46xx: Potential NULL dereference in probe (bsc#1051510).
- ALSA: hda/realtek - Support Dell headset mode for New AIO
  platform (bsc#1051510).
- ALSA: usb-audio: Fix an out-of-bound read in
  create_composite_quirks (bsc#1051510).
- ALSA: usb-audio: Avoid access before bLength check in
  build_audio_procunit() (bsc#1051510).
- commit 8b66166
* Fri Jan 11 2019 ptesarik@suse.cz
- Revert alsa fixes from Takashi Iwai
  This reverts changes pulled with merge commit
  c0878c5953e346ba26b077f7ab234552864b7d59.
- commit 097dbea
* Fri Jan 11 2019 tiwai@suse.de
- [media] solo6x10: Convert to the new PCM ops (bsc#1121278).
- commit 0db9250
* Fri Jan 11 2019 tiwai@suse.de
- Update config files: refresh vanilla configs
- commit 81033b4
* Fri Jan 11 2019 tiwai@suse.de
- Refresh
  patches.drivers/ALSA-usb-audio-Define-registers-for-CM6206.patch.
  The inclusion of linux/bits.h is bogus, breaking the build, sorry.
- commit 52c80b9
* Fri Jan 11 2019 tiwai@suse.de
- ASoC: blackfin: Convert to the new PCM ops (bsc#1121278).
- ALSA: sh: Convert to the new PCM ops (bsc#1121278).
- ALSA: sb: Convert to the new PCM ops (bsc#1121278).
- ALSA: gus: Convert to the new PCM ops (bsc#1121278).
- ALSA: sb: remove needless evaluation in implementation for
  copy callback (bsc#1121278).
- ALSA: gus: remove unused local flag (bsc#1121278).
- commit 382c4e2
* Fri Jan 11 2019 tiwai@suse.de
- ALSA: usb-audio: fix CM6206 register definitions (bsc#1051510).
- ALSA: hdsp: Convert to the new PCM ops (bsc#1121278).
- ALSA: rme9652: Convert to the new PCM ops (bsc#1121278).
- ALSA: rme96: Convert to the new PCM ops (bsc#1121278).
- ALSA: rme32: Convert to the new PCM copy ops (bsc#1121278).
- ALSA: korg1212: Convert to the new PCM ops (bsc#1121278).
- ALSA: nm256: Convert to new PCM copy ops (bsc#1121278).
- ALSA: es1938: Convert to the new PCM copy ops (bsc#1121278).
- ALSA: dummy: Convert to new PCM copy ops (bsc#1121278).
- commit 2c98765
* Fri Jan 11 2019 tiwai@suse.de
- Sort upstreamed patches
- commit 5bd4292
* Fri Jan 11 2019 ailiopoulos@suse.com
- xfs: fix quotacheck dquot id overflow infinite loop
  (bsc#1121621).
- commit 1d9d06d
* Fri Jan 11 2019 mbrugger@suse.com
- brcmfmac: fix false-positive -Wmaybe-unintialized warning
  (fate#326215).
- brcmfmac: Call brcmf_dmi_probe before brcmf_of_probe
  (fate#326215).
- commit 0cfb5bf
* Fri Jan 11 2019 mgorman@suse.de
- mm: speed up mremap by 20x on large regions (VM Performance
  bsc#1121605).
- commit 6dd1d51
* Fri Jan 11 2019 tzimmermann@suse.de
- blacklist.conf: Permanently blacklist duplicates from DRM update (bsc#1113956)
- commit 24231ac
* Fri Jan 11 2019 nsaenzjulienne@suse.de
- usb: typec: tcpm: Extend the matching rules on PPS APDO
  selection (FATE#326325).
- USB: xhci: fix 'broken_suspend' placement in struct xchi_hcd
  (git-fixes).
- commit f37544a
* Fri Jan 11 2019 nsaenzjulienne@suse.de
- xhci: Add quirk to zero 64bit registers on Renesas PCIe controllers
  (bsc#1120854)
- Refresh:
  patches.drivers/xhci-add-quirk-to-workaround-the-errata-seen-on-cavium-thunder-x2-soc.patch
- Refresh:
  patches.fixes/0001-xhci-workaround-CSS-timeout-on-AMD-SNPS-3.0-xHC.patch
- commit 6e5a557
* Fri Jan 11 2019 mgorman@suse.de
- mm, fault_around: do not take a reference to a locked page
  (VM Performance filemap (bsc#1121581)).
- commit 9cb10ef
* Fri Jan 11 2019 mhocko@suse.com
- mm: only report isolation failures when offlining memory
  (generic hotplug debugability).
- commit 62a5c72
* Fri Jan 11 2019 ptesarik@suse.cz
- Update config files: Re-enable s390x 31-bit compatibility (FATE#325652).
  This reverts commit 3949c4ac5b073ff5c356156dad8c4c723592d9fc.
- commit b5abdb5
* Fri Jan 11 2019 ggherdovich@suse.cz
- cpuidle: menu: Move the latency_req == 0 special case check
  (bsc#1121513).
- commit e323452
* Fri Jan 11 2019 ggherdovich@suse.cz
- cpuidle: menu: Avoid computations for very close timers
  (bsc#1121513).
- commit a5d3077
* Fri Jan 11 2019 ggherdovich@suse.cz
- cpuidle: menu: Compute first_idx when latency_req is known
  (bsc#1121513).
- commit 3277231
* Fri Jan 11 2019 ggherdovich@suse.cz
- cpuidle: Eliminate the CPUIDLE_DRIVER_STATE_START symbol
  (bsc#1121513).
- Refresh
  patches.drivers/0016-cpuidle-Add-new-macro-to-enter-a-retention-idle-stat.patch.
- Delete
  patches.arch/pm-cpuidle-fix-cpuidle_poll_state_init-prototype.
- commit 5309534
* Fri Jan 11 2019 oneukum@suse.com
- ACPI / scan: Create platform device for INT3515 ACPI nodes
  (FATE#326325).
- commit 86990a0
* Fri Jan 11 2019 oneukum@suse.com
- ACPI / scan: Create platform device for fwnodes with multiple
  i2c devices (FATE#326325).
- commit 86702f5
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Follow standard EXPORT_SYMBOL() declarations
  (bsc#1121278).
- Refresh
  patches.drivers/ALSA-pcm-Remove-incorrect-snd_BUG_ON-usages.
- commit 083a7f4
* Thu Jan 10 2019 oneukum@suse.com
- platform/x86: i2c-multi-instantiate: Allow to have same slaves
  (FATE#326325).
- commit 065c391
* Thu Jan 10 2019 oneukum@suse.com
- platform/x86: i2c-multi-instantiate: Introduce IOAPIC IRQ
  support (FATE#326325).
- commit 1a35305
* Thu Jan 10 2019 oneukum@suse.com
- platform/x86: i2c-multi-instantiate: Distinguish IRQ resource
  type (FATE#326325).
- commit c24e171
* Thu Jan 10 2019 oneukum@suse.com
- platform/x86: i2c-multi-instantiate: Count I2cSerialBus()
  resources (FATE#326325).
- commit a68cd07
* Thu Jan 10 2019 nsaenzjulienne@suse.de
- Update config files.
- supported.conf: Add drivers needed to support RPi's 7" touchscreen
  panel
- commit 101b846
* Thu Jan 10 2019 tiwai@suse.de
- Update config files: align with the new ALSA sequencer configs
- commit cf3013f
* Thu Jan 10 2019 ptesarik@suse.cz
- scsi: zfcp: fix posting too many status read buffers leading
  to adapter shutdown (bsc#1121483, LTC#174588).
- commit b8f1228
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: control: Consolidate helpers for adding and replacing
  ctl elements (bsc#1121278).
- commit 63899f8
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: seq: oss: Use the standard fall-through annotation
  (bsc#1121278).
- ALSA: rawmidi: A lightweight function to discard pending bytes
  (bsc#1121278).
- commit ff01282
* Thu Jan 10 2019 ptesarik@suse.cz
- dasd: fix deadlock in dasd_times_out (bsc#1121477, LTC#174111).
- s390/dasd: simplify locking in dasd_times_out
  (bsc#1104967,FATE#325924).
- commit 7519d69
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Update hardware pointer before start capture
  (bsc#1121278).
- ALSA: seq: Do error checks at creating system ports
  (bsc#1121278).
- ALSA: seq: add error check in snd_seq_system_client_init()
  (bsc#1121278).
- ALSA: pcm: signedness bug in snd_pcm_plug_alloc() (bsc#1121278).
- ALSA: pcm: Return 0 when size < start_threshold in capture
  (bsc#1121278).
- ALSA: rawmidi: Initialize allocated buffers (bsc#1121278).
- ALSA: seq: virmidi: Fix discarding the unsubscribed output
  (bsc#1121278).
- ALSA: seq_oss: Mark expected switch fall-through (bsc#1121278).
- ALSA: seq: Mark expected switch fall-through (bsc#1121278).
- ALSA: compress: Remove empty init and exit (bsc#1121278).
- commit e92afec
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: seq: Drop unused 64bit division macros (bsc#1121278).
- ALSA: seq: Use no intrruptible mutex_lock (bsc#1121278).
- ALSA: seq: Fix leftovers at probe error path (bsc#1121278).
- ALSA: seq: Remove dead codes (bsc#1121278).
- ALSA: seq: Minor cleanup of MIDI event parser helpers
  (bsc#1121278).
- ALSA: pcm: Mark expected switch fall-through (bsc#1121278).
- ALSA: seq: virmidi: Use READ_ONCE/WRITE_ONCE() macros
  (bsc#1121278).
- ALSA: seq: virmidi: Offload the output event processing
  (bsc#1121278).
- ALSA: pcm: Fix sparse warning wrt PCM format type (bsc#1121278).
- ALSA: seq: Fix poll() error return (bsc#1121278).
- commit b00f949
* Thu Jan 10 2019 oneukum@suse.com
- platform/x86: i2c-multi-instantiate: Get rid of obsolete
  conditional (FATE#326325).
- commit 26c3d2e
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Use standard lower_32_bits() and upper_32_bits()
  (bsc#1121278).
- ALSA: pcm: Add __force to cast in snd_pcm_lib_read/write()
  (bsc#1121278).
- ALSA: timer: catch invalid timer object creation (bsc#1121278).
- ALSA: rawmidi: Use kvmalloc() for buffers (bsc#1121278).
- ALSA: rawmidi: Minor code refactoring (bsc#1121278).
- ALSA: rawmidi: Simplify error paths (bsc#1121278).
- commit c63e815
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: rawmidi: Tidy up coding styles (bsc#1121278).
- commit befbeba
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Allow drivers to set R/W wait time (bsc#1121278).
- ALSA: pcm: Use snd_pcm_stop_xrun() for xrun injection
  (bsc#1121278).
- commit af25e8f
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: trace XRUN event at injection, too (bsc#1121278).
- ALSA: seq: fix spelling mistake "Unamed" -> "Unnamed"
  (bsc#1121278).
- ALSA: timer: Assure timer resolution access always locked
  (bsc#1121278).
- ALSA: seq: Avoid open-code for getting timer resolution
  (bsc#1121278).
- commit b16e1a2
* Thu Jan 10 2019 oneukum@suse.com
- platform/x86: i2c-multi-instantiate: Defer probe when no
  adapter found (FATE#326325).
- commit 72631fb
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: timer: Simplify timer hw resolution calls (bsc#1121278).
- commit 2d7f7be
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: vmaster: use position offset macro of TLV data
  (bsc#1121278).
- commit e6c38ed
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Hide local_irq_disable/enable() and
  local_irqsave/restore() (bsc#1121278).
- Refresh
  patches.drivers/ALSA-pcm-Fix-starvation-on-down_write_nonblock.patch.
- commit 7a59f46
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: control: Fix missing __user annotation (bsc#1121278).
- commit a8fbc47
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Return negative delays from SNDRV_PCM_IOCTL_DELAY
  (bsc#1121278).
- Refresh
  patches.drivers/ALSA-pcm-Unify-delay-calculation-in-snd_pcm_status-a.patch.
- commit f653191
* Thu Jan 10 2019 oneukum@suse.com
- platform/x86: i2c-multi-instantiate: Accept errors of
  i2c_acpi_new_device() (FATE#326325).
- Refresh
  patches.drivers/platform-x86-add-support-for-Huawei-WMI-hotkeys.patch.
- commit 714d780
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Unify delay calculation in snd_pcm_status() and
  snd_pcm_delay() (bsc#1121278).
- commit cdc9096
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Unify playback and capture poll callbacks
  (bsc#1121278).
- commit f232daf
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Clean up with snd_pcm_avail() and snd_pcm_hw_avail()
  helpers (bsc#1121278).
- ALSA: pcm: Remove WARN_ON() at snd_pcm_hw_params() error
  (bsc#1121278).
- ALSA: pcm: Use krealloc() for resizing the rules array
  (bsc#1121278).
- commit bfde339
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Remove VLA usage (bsc#1121278).
- ALSA: vmaster: Zero-clear ctl before calling slave get
  (bsc#1121278).
- ALSA: control: Fix a bunch of whitespace errors (bsc#1121278).
- ALSA: Use scnprintf() instead of snprintf() for show
  (bsc#1121278).
- ALSA: pcm: Fix UAF in snd_pcm_oss_get_formats() (bsc#1121278).
- ALSA: control: Fix memory corruption risk in snd_ctl_elem_read
  (bsc#1121278).
- commit 63520a7
* Thu Jan 10 2019 oneukum@suse.com
- platform/x86: Add ACPI i2c-multi-instantiate pseudo driver
  (FATE#326325).
- Update config files.
  - Added supported.conf
- commit 1b9c3db
* Thu Jan 10 2019 tiwai@suse.de
- snd_hwdep_dsp_load(): don't bother with access_ok()
  (bsc#1121278).
- ALSA: pcm: Fix trailing semicolon (bsc#1121278).
- ALSA: seq: Process queue tempo/ppq change in a shot
  (bsc#1121278).
- commit a1c3cdb
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Use ERESTARTSYS instead of EINTR in OSS emulation
  (bsc#1121278).
- Refresh
  patches.drivers/ALSA-pcm-Avoid-potential-races-between-OSS-ioctls-an.
- commit ce14a01
* Thu Jan 10 2019 mbrugger@suse.com
- brcmfmac: Fix ccode from EFI nvram when necessary (fate#326215).
- brcmfmac: Add support for getting nvram contents from EFI
  variables (fate#326215).
- brcmfmac: Cleanup brcmf_fw_request_done() (fate#326215).
- brcmfmac: Set board_type from DMI on x86 based machines
  (fate#326215).
- brcmfmac: Set board_type used for nvram file selection to
  machine-compatible (fate#326215).
- brcmfmac: Add support for first trying to get a board specific
  nvram file (fate#326215).
- brcmfmac: Remove recursion from firmware load error handling
  (fate#326215).
- brcmfmac: Remove firmware-loading code duplication
  (fate#326215).
- commit 98800c0
* Thu Jan 10 2019 oneukum@suse.com
- usb: typec: ucsi: add support for Cypress CCGx (FATE#326325).
- Update config files. Without this add lot of ports won't switch to
  Display Port
- commit 5fbb74e
* Thu Jan 10 2019 ptesarik@suse.cz
- s390/qeth: fix length check in SNMP processing (bsc#1117953,
  LTC#173657).
- s390/qeth: sanitize strings in debug messages (bsc#1117953,
  LTC#172960).
- s390/kdump: Make elfcorehdr size calculation ABI compliant
  (bsc#1117953, LTC#171112).
- s390/kdump: Fix elfcorehdr size calculation (bsc#1117953,
  LTC#171112).
- s390/qeth: remove outdated portname debug msg (bsc#1117953,
  LTC#172960).
- commit f50b84f
* Thu Jan 10 2019 oneukum@suse.com
- usb: typec: tcpm: charge current handling for sink during hard
  reset (FATE#326325).
- commit 2cdef80
* Thu Jan 10 2019 ohering@suse.de
- Drivers: hv: vmbus: Remove the useless API
  vmbus_get_outgoing_channel() (fate#323887).
- hv_utils: update name in struct hv_driver util_drv
  (fate#323887).
- Drivers: hv: vmbus: Get rid of unnecessary state in hv_context
  (fate#323887).
- x86/hyper-v: Mark TLFS structures packed (fate#323887).
- KVM: x86: hyperv: optimize sparse VP set processing
  (fate#323887).
- commit d07649f
* Thu Jan 10 2019 nsaenzjulienne@suse.de
- Input: add official Raspberry Pi's touchscreen driver
  (FATE#326921).
- Update config files.
- supported.conf: add raspberrypi-ts driver
- commit 1d3c066
* Thu Jan 10 2019 nsaenzjulienne@suse.de
- soc: bcm2835: sync firmware properties with downstream (FATE#326921)
- Refresh patches.drivers/ARM-bcm2835-Add-GET_THROTTLED-firmware-property.patch
- commit f7dfb08
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Set config update bits only when really changed
  (bsc#1121278).
- ALSA: pcm: add SNDRV_PCM_FORMAT_{S,U}20 (bsc#1121278).
- ALSA: fix kernel-doc build warning (bsc#1121278).
- ALSA: pcm: Forcibly stop at disconnect callback (bsc#1121278).
- ALSA: pcm: Don't call register and disconnect callbacks for
  internal PCM (bsc#1121278).
- commit 772bc0c
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: add snd_card_disconnect_sync() (bsc#1121278).
- ALSA: pcm: remove redundant variable runtime (bsc#1121278).
- ALSA: seq: Add sanity check for user-space pointer delivery
  (bsc#1121278).
- ALSA: timer: Convert timers to use timer_setup() (bsc#1121278).
- ALSA: hrtimer: make hrtimer_hw const and __initconst
  (bsc#1121278).
- ALSA: hwdep: prevent a harmless shift wrapping bug
  (bsc#1121278).
- ALSA: pcm: Fix structure definition for X32 ABI (bsc#1121278).
- ALSA: core: Use %%pS printk format for direct addresses
  (bsc#1121278).
- ALSA: pcm: Unify ioctl functions for playback and capture
  streams (bsc#1121278).
- ALSA: Get rid of card power_lock (bsc#1121278).
- commit 983a1df
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Correct broken procfs set up (bsc#1121278).
- ALSA: control: TLV data is unavailable at initial state of
  user-defined element set (bsc#1121278).
- ALSA: control: queue TLV event for a set of user-defined element
  (bsc#1121278).
- ALSA: control: delegate TLV eventing to each driver
  (bsc#1121278).
- ALSA: timer: Use common error handling code in alsa_timer_init()
  (bsc#1121278).
- ALSA: timer: Adjust a condition check in snd_timer_resolution()
  (bsc#1121278).
- ALSA: pcm: Adjust nine function calls together with a variable
  assignment (bsc#1121278).
- ALSA: pcm: Use common error handling code in _snd_pcm_new()
  (bsc#1121278).
- ALSA: pcm: Fix power lock unbalance via OSS emulation
  (bsc#1121278).
- ALSA: seq: Fix CONFIG_SND_SEQ_MIDI dependency (bsc#1121278).
- commit fa65af2
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: control: use counting semaphore as write lock for
  ELEM_WRITE operation (bsc#1121278).
- ALSA: control: code refactoring for ELEM_READ/ELEM_WRITE
  operations (bsc#1121278).
- ALSA: control: queue events within locking of controls_rwsem
  for ELEM_WRITE operation (bsc#1121278).
- commit 6d8daf6
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: control: code refactoring for TLV request handler to
  user element set (bsc#1121278).
- commit 10eeb68
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: control: code refactoring TLV ioctl handler (bsc#1121278).
- commit 6facd1f
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: control: obsolete user_ctl_lock (bsc#1121278).
- commit 9ee9728
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: control: use counting semaphore as write lock for TLV
  write/command operations (bsc#1121278).
- commit 7b3377c
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: control: queue events within locking of controls_rwsem
  for TLV operation (bsc#1121278).
- ALSA: pcm: Simplify check for dma_mmap_coherent() availability
  (bsc#1121278).
- ALSA: pcm: Protect call to dma_mmap_coherent() by check for
  HAS_DMA (bsc#1121278).
- ALSA: pcm: constify attribute_group structures (bsc#1121278).
- ALSA: pcm: Disable only control mmap for explicit appl_ptr sync
  (bsc#1121278).
- ALSA: pcm: Add an ioctl to specify the supported protocol
  version (bsc#1121278).
- ALSA: pcm: Add the explicit appl_ptr sync support (bsc#1121278).
- commit f363cf3
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: core: Follow standard EXPORT_SYMBOL() declarations
  (bsc#1121278).
- commit ec8b1d0
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: timer: Follow standard EXPORT_SYMBOL() declarations
  (bsc#1121278).
- Refresh
  patches.drivers/ALSA-timer-Limit-max-instances-per-timer.
- commit 3406754
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: seq: Follow standard EXPORT_SYMBOL() declarations
  (bsc#1121278).
- Refresh
  patches.drivers/ALSA-seq-Enable-use-locking-in-all-configurations.
- commit 8d7bb64
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: remove SNDRV_PCM_IOCTL1_GSTATE internal command
  (bsc#1121278).
- ALSA: pcm: remove SNDRV_PCM_IOCTL1_INFO internal command
  (bsc#1121278).
- commit 97e28f4
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Use common PCM_RUNTIME_CHECK() for sanity checks
  (bsc#1121278).
- ALSA: pcm: Preprocess PAUSED or SUSPENDED stream before PREPARE
  (bsc#1121278).
- ALSA: pcm: Allow dropping stream directly after resume
  (bsc#1121278).
- commit 1b8ef26
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: seq: Allow the modular sequencer registration
  (bsc#1121278).
- Refresh
  patches.drivers/ALSA-seq-Cancel-pending-autoload-work-at-unbinding-d.
- commit 5e80ea1
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Apply power lock globally to common ioctls
  (bsc#1121278).
- ALSA: pcm: Clean up SNDRV_PCM_IOCTL_PAUSE code (bsc#1121278).
- ALSA: sb: Use IS_REACHABLE() (bsc#1121278).
- ALSA: opl4: Use IS_REACHABLE() (bsc#1121278).
- commit 22987d7
* Thu Jan 10 2019 oneukum@suse.com
- usb: typec: Fix copy/paste on typec_set_vconn_role() kerneldoc
  (FATE#326325).
- commit 437e38b
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: seq: Reorganize kconfig and build (bsc#1121278).
- ALSA: seq: Allow the tristate build of OSS emulation
  (bsc#1121278).
- commit 8f4e54e
* Thu Jan 10 2019 oneukum@suse.com
- usb: typec: tcpm: Report back negotiated PPS voltage and current
  (FATE#326325).
- commit 6f0b0bd
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: Make CONFIG_SND_OSSEMUL user-selectable (bsc#1121278).
- ALSA: pcm: use %%s instead of %%c for format of PCM buffer
  tracepoints (bsc#1121278).
- ALSA: pcm: add 'applptr' event of tracepoint (bsc#1121278).
- commit 261d1d6
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: unify codes to operate application-side position
  on PCM buffer (bsc#1121278).
- Refresh
  patches.drivers/ALSA-pcm-Skip-ack-callback-without-actual-appl_ptr-u.
- Refresh
  patches.drivers/ALSA-pcm-Workaround-for-weird-PulseAudio-behavior-on.
- commit 6da21a2
* Thu Jan 10 2019 ohering@suse.de
- KVM: x86: hyperv: implement PV IPI send hypercalls
  (fate#323887).
- commit 22a3fb1
* Thu Jan 10 2019 oneukum@suse.com
- usb: typec: remove set but not used variables 'snk_ma, min_mv'
  (FATE#326325).
- commit 5c28a51
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: probe events when parameters are changed actually
  (bsc#1121278).
- ALSA: pcm: return error immediately for parameters handling
  (bsc#1121278).
- ALSA: pcm: use friendly name for id of PCM substream in trace
  print (bsc#1121278).
- ALSA: pcm: add tracepoints for final selection process of
  hardware parameters (bsc#1121278).
- ALSA: pcm: localize snd_pcm_hw_params_choose() (bsc#1121278).
- ALSA: pcm: move fixup of info flag after selecting single
  parameters (bsc#1121278).
- ALSA: pcm: calculate non-mask/non-interval parameters always
  when possible (bsc#1121278).
- ALSA: pcm: use helper functions to refer parameters as constants
  (bsc#1121278).
- commit 7fa8f46
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: add comment about application of rule to PCM
  parameters (bsc#1121278).
- ALSA: pcm: use helper functions to check whether parameters
  are determined (bsc#1121278).
- ALSA: pcm: adaption of code formatting (bsc#1121278).
- ALSA: pcm: remove function local variable with alternative
  evaluation (bsc#1121278).
- ALSA: pcm: use goto statement instead of while statement to
  reduce indentation (bsc#1121278).
- ALSA: pcm: add a helper function to apply parameter rules
  (bsc#1121278).
- ALSA: pcm: add a helper function to constrain interval-type
  parameters (bsc#1121278).
- ALSA: pcm: add a helper function to constrain mask-type
  parameters (bsc#1121278).
- ALSA: pcm: obsolete RULES_DEBUG local macro (bsc#1121278).
- ALSA: pcm: enable parameter tracepoints only when
  CONFIG_SND_DEBUG is enabled (bsc#1121278).
- commit 1eda226
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: tracepoints for refining PCM parameters
  (bsc#1121278).
- ALSA: timer: Wrap with spinlock for queue access (bsc#1121278).
- ALSA: timer: Improve user queue reallocation (bsc#1121278).
- ALSA: pcm: Build OSS writev/readv helpers conditionally
  (bsc#1121278).
- commit 8758464
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Kill set_fs() in PCM OSS layer (bsc#1121278).
- Refresh
  patches.drivers/ALSA-pcm-Fix-mutex-unbalance-in-OSS-emulation-ioctls.
- Refresh
  patches.drivers/ALSA-pcm-Return-EBUSY-for-OSS-ioctls-changing-busy-s.
- commit c8b806c
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Direct in-kernel read/write support (bsc#1121278).
- ALSA: pcm: Simplify snd_pcm_playback_silence() (bsc#1121278).
- commit fca3854
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Unify read/write loop (bsc#1121278).
- Refresh
  patches.drivers/ALSA-pcm-Fix-possible-inconsistent-appl_ptr-update-v.
- commit 11bf408
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: More unification of PCM transfer codes (bsc#1121278).
- Refresh
  patches.drivers/ALSA-pcm-Fix-possible-inconsistent-appl_ptr-update-v.
- commit dffbbb0
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Call directly the common read/write helpers
  (bsc#1121278).
- commit 53580c5
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: Shuffle codes (bsc#1121278).
- ALSA: pcm: Check PCM state by a common helper function
  (bsc#1121278).
- ALSA: pcm: Drop the old copy and silence ops (bsc#1121278).
- ALSA: pcm: Introduce copy_user, copy_kernel and fill_silence
  ops (bsc#1121278).
- ALSA: pcm: include pcm_local.h and remove some extraneous tabs
  (bsc#1121278).
- commit 4b25ccd
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: add local header file for snd-pcm module
  (bsc#1121278).
- Refresh
  patches.drivers/ALSA-pcm-Fix-starvation-on-down_write_nonblock.patch.
- commit f344984
* Thu Jan 10 2019 ohering@suse.de
- x86/hyperv: Enable PV qspinlock for Hyper-V (fate#323887).
- commit 2499650
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: control: remove entry limitation for list operation
  (bsc#1121278).
- ALSA: info: Use kvzalloc() for a temporary write buffer
  (bsc#1121278).
- ALSA: pcm: Remove set_fs() in PCM core code (bsc#1121278).
- ALSA: control: Simplify snd_ctl_elem_list() implementation
  (bsc#1121278).
- commit a9c5099
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm/oss: mark snd_pcm_plug_slave_format arg as const
  (bsc#1121278).
- ALSA: pcm: use "do {} while (0)" for empty macro (bsc#1121278).
- ALSA: pcm: constify function local and read-only table
  (bsc#1121278).
- commit 4d23e0f
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm/oss: refer to parameters instead of copying to reduce
  usage of kernel stack (bsc#1121278).
- Refresh
  patches.drivers/ALSA-pcm-Avoid-potential-races-between-OSS-ioctls-an.
- commit 92fc3f5
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: use helper function to refer parameter as read-only
  (bsc#1121278).
- commit d89399c
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: pcm: add const qualifier for read-only table for sampling
  rate (bsc#1121278).
- ALSA: pcm: fix the comments that refers to kernel-doc
  (bsc#1121278).
- ALSA: Use IS_ENABLED() in common headers (bsc#1121278).
- ALSA: pcm: Build pcm notifier code conditionally (bsc#1121278).
- commit 722d6f1
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: usb-audio: Define registers for CM6206 (bsc#1121278).
- ALSA: caiaq: Add fall-through annotation (bsc#1121278).
- ALSA: usb-audio: Add custom mixer status quirks for RME CC
  devices (bsc#1121278).
- ALSA: usb-audio: Mark expected switch fall-through
  (bsc#1121278).
- ALSA: usb-audio: Fix invalid use of sizeof in
  parse_uac_endpoint_attributes() (bsc#1121278).
- ALSA: usb: Mark expected switch fall-through (bsc#1121278).
- ALSA: usb-audio: remove redundant pointer 'urb' (bsc#1121278).
- ALSA: usb-audio: Operate UAC3 Power Domains in PCM callbacks
  (bsc#1121278).
- ALSA: usb-audio: Add UAC3 Power Domains to suspend/resume
  (bsc#1121278).
- ALSA: usb-audio: AudioStreaming Power Domain parsing
  (bsc#1121278).
- ALSA: usb-audio: Initial Power Domain support (bsc#1121278).
- ALSA: usb-audio: quirks: Replace mdelay() with msleep() and
  usleep_range() (bsc#1121278).
- commit adaf2ee
* Thu Jan 10 2019 oneukum@suse.com
- usb: typec: Group all TCPCI/TCPM code together (FATE#326325).
- Refresh
  patches.drivers/0001-usb-typec-tcpm-Fix-APDO-PPS-order-checking-to-be-bas.patch.
- commit 61183bf
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: usb-audio: Declare the common variable in header file
  (bsc#1121278).
- ALSA: usb-audio: Generic DSD detection for Thesycon-based
  implementations (bsc#1121278).
- ALSA: usb-audio: Allow changing from a bad sample rate
  (bsc#1121278).
- ALSA: usb-audio: Tidy up logic for Processing Unit min/max
  values (bsc#1121278).
- ALSA: usb-audio: Unify virtual type units type to UAC3 values
  (bsc#1121278).
- ALSA: usb-audio: Add support for Processing Units in UAC3
  (bsc#1121278).
- ALSA: usb-audio: Processing Unit controls parsing in UAC2
  (bsc#1121278).
- ALSA: usb-audio: Add support for Selector Units in UAC3
  (bsc#1121278).
- ALSA: usb-midi: use irqsave() in USB's complete callback
  (bsc#1121278).
- commit 7d26577
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: usb: caiaq: audio: use irqsave() in USB's complete
  callback (bsc#1121278).
- ALSA: line6: stop using get_seconds() (bsc#1121278).
- ALSA: usb-audio: Always create the interrupt pipe for the mixer
  (bsc#1121278).
- ALSA: usb-audio: Add insertion control for UAC3 BADD
  (bsc#1121278).
- ALSA: usb-audio: Change in connectors control creation interface
  (bsc#1121278).
- ALSA: usb-audio: Add bi-directional terminal types
  (bsc#1121278).
- ALSA: usb-audio: remove redundant check on err (bsc#1121278).
- ALSA: usb-audio: Allow non-vmalloc buffer for PCM buffers
  (bsc#1121278).
- ALSA: usb-audio: Avoid lowlevel device object (bsc#1121278).
- commit b83db24
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: usb-audio: Follow standard coding style (bsc#1121278).
- ALSA: usb-audio: Move autoresume call at the end of open
  (bsc#1121278).
- ALSA: usb-audio: Simplify PCM open/close callbacks
  (bsc#1121278).
- ALSA: usb-audio: Drop superfluous ifndef (bsc#1121278).
- ALSA: usb: stream: fix potential memory leak during uac3
  interface parsing (bsc#1121278).
- ALSA: usb-audio: UAC3: Parse Input Terminal number of channels
  (bsc#1121278).
- ALSA: usb-audio: UAC3 Add support for connector insertion
  (bsc#1121278).
- ALSA: usb-audio: UAC3. Add support for mixer unit (bsc#1121278).
- ALSA: usb: add UAC3 BADD profiles support (bsc#1121278).
- include: usb: audio-v3: add BADD-specific values (bsc#1121278).
- commit 1be3d2a
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: usb: mixer: make string parsing independent of mixer_build
  state (bsc#1121278).
- ALSA: usb: Only get AudioControl header for UAC1 class
  (bsc#1121278).
- ALSA: usb: stream: refactor uac3 audio interface parsing
  (bsc#1121278).
- ALSA: usb: stream: refactor uac1/2 audio interface parsing
  (bsc#1121278).
- ALSA: usb: stream: move audioformat alloc/init into separate
  function (bsc#1121278).
- ALSA: usb-audio: Clean up mixer element list traverse
  (bsc#1121278).
- ALSA: usb-audio: add implicit fb quirk for Axe-Fx III
  (bsc#1121278).
- ALSA: usb-audio: Use Class Specific EP for UAC3 devices
  (bsc#1121278).
- ALSA: usb-audio: ADC3: Fix channel mapping conversion for ADC3
  (bsc#1121278).
- commit ea9125e
* Thu Jan 10 2019 nsaenzjulienne@suse.de
- Refresh
  patches.drivers/input-add-official-raspberry-pi-s-touchscreen-driver.patch
- Delete patches.drivers/dt-bindings-input-add-raspberry-pi-touchscreen.patch.
- commit a67a3ff
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: usb-audio: Fix missing endian conversion (bsc#1121278).
- ALSA: usb-audio: Fix forgotten conversion of control query
  functions (bsc#1121278).
- ALSA: usb-audio: Add sanity checks in UAC3 clock parsers
  (bsc#1121278).
- ALSA: usb-audio: More strict sanity checks for clock parsers
  (bsc#1121278).
- ALSA: usb-audio: Refactor clock finder helpers (bsc#1121278).
- ALSA: usb-audio: silence a static checker warning (bsc#1121278).
- ALSA: usb-audio: fix memory leak on cval (bsc#1121278).
- ALSA: usb-audio: update clock valid control (bsc#1121278).
- ALSA: usb-audio: UAC2 jack detection (bsc#1121278).
- ALSA: usb-audio: fix uac control query argument (bsc#1121278).
- commit 46b4e51
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: usb: initial USB Audio Device Class 3.0 support
  (bsc#1121278).
- commit febe603
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: usb-audio: move audioformat quirks to quirks.c
  (bsc#1121278).
- Refresh
  patches.drivers/ALSA-usb-audio-Add-native-DSD-support-for-Mytek-DACs.
- commit cef2d87
* Thu Jan 10 2019 tiwai@suse.de
- Rename the confusing patch file name
  Rename a confusing patch file name that actually reverts another.
  The git-format-patch made that name just because the patch subject is
  also confusing...
- commit b8afddc
* Thu Jan 10 2019 tiwai@suse.de
- usx2y: don't bother with memdup_user() for 16-byte structure
  (bsc#1121278).
- usx2y: don't bother with access_ok() in ->dsp_load()
  (bsc#1121278).
- ALSA: usb-audio: Proper fallback at get_term_name()
  (bsc#1121278).
- Revert "ALSA: usb-audio: Fix potential zero-division at parsing
  FU" (bsc#1121278).
- ALSA: usb-audio: Fix potential zero-division at parsing FU
  (bsc#1121278).
- commit 916852e
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: usb-audio: Convert timers to use timer_setup()
  (bsc#1121278).
- ALSA: 6fire: remove unused variable card (bsc#1121278).
- ALSA: line6: make snd_pcm_ops const (bsc#1121278).
- ALSA: 6fire: Use common error handling code in
  usb6fire_chip_probe() (bsc#1121278).
- ALSA: usx2y: Use common error handling code in submit_urbs()
  (bsc#1121278).
- ALSA: us122l: Use common error handling code in
  us122l_create_card() (bsc#1121278).
- include: usb: audio: specify exact endiannes of descriptors
  (bsc#1121278).
- commit 0e940c4
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/v3d: Fix prime imports of buffers from other drivers. (bsc#1113956)
- commit 40c6068
* Thu Jan 10 2019 oneukum@suse.com
- xhci: workaround CSS timeout on AMD SNPS 3.0 xHC (bsc#1119086).
- commit dac7fa3
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/msm: fix handling of cmdstream offset (bsc#1113956)
- commit 7e19f3f
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/msm/gpu: Fix a couple memory leaks in debugfs (bsc#1113956)
- commit 21b0553
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/fb-helper: Blacklist writeback when adding connectors to fbdev (bsc#1113956)
- commit cc2641d
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/amdgpu: Add missing firmware entry for HAINAN (bsc#1113956)
- commit 1ec6d21
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: us122l: constify usb_device_id (bsc#1121278).
- ALSA: ua101: constify usb_device_id (bsc#1121278).
- ALSA: usb-audio: constify usb_device_id (bsc#1121278).
- ALSA: snd-usb-caiaq: constify usb_device_id (bsc#1121278).
- ALSA: bcd2000: constify usb_device_id (bsc#1121278).
- ALSA: 6fire: constify usb_device_id (bsc#1121278).
- ALSA: declare snd_kcontrol_new structures as const
  (bsc#1121278).
- ALSA: us122l: clean up US144 handling (bsc#1121278).
- commit 5311aa4
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/vc4: Set ->legacy_cursor_update to false when doing non-async (bsc#1113956)
- commit 527f75a
* Thu Jan 10 2019 tbogendoerfer@suse.de
- bnx2x: Fix NULL pointer dereference in bnx2x_del_all_vlans()
  on some hw (bsc#1104402 FATE#325899).
- bnx2x: Add storm FW version to ethtool driver query output
  (bsc#1104402 FATE#325899).
- bnx2x: Add MBI version to ethtool driver query output
  (bsc#1104402 FATE#325899).
- bnx2x: Send update-svid ramrod with retry/poll flags enabled
  (bsc#1104402 FATE#325899).
- bnx2x: Enable PTP only on the PF that initializes the port
  (bsc#1104402 FATE#325899).
- bnx2x: Remove configured vlans as part of unload sequence
  (bsc#1104402 FATE#325899).
- bnx2x: Clear fip MAC when fcoe offload support is disabled
  (bsc#1104402 FATE#325899).
- bnx2x: Assign unique DMAE channel number for FW DMAE
  transactions (bsc#1104402 FATE#325899).
- bnx2x: Provide VF link status in ndo_get_vf_config (bsc#1104402
  FATE#325899).
- bnx2x: Ignore bandwidth attention in single function mode
  (bsc#1104402 FATE#325899).
- bnx2x: Add VF spoof-checking configuration (bsc#1104402
  FATE#325899).
- bnx2x: Mark expected switch fall-throughs (bsc#1104402
  FATE#325899).
- commit 2273876
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/i915/icl: Drop spurious register read from icl_dbuf_slices_update (bsc#1113956)
- commit 61fa2ce
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/i915: fix broadwell EU computation (bsc#1113956)
- commit eaa43e8
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/i915: Fix hpd handling for pins with two encoders (bsc#1113956)
- commit bfb4810
* Thu Jan 10 2019 tzimmermann@suse.de
- uapi: fix linux/kfd_ioctl.h userspace compilation errors (bsc#1113956)
- commit 70041b3
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/etnaviv: fix bogus fence complete check in timeout handler (bsc#1113956)
- commit fa9d6b2
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/i915/icl: Fix the macros for DFLEXDPMLE register bits (bsc#1113956)
- commit 294d3ec
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/i915: Fix error handling for the NV12 fb dimensions check (bsc#1113956)
- commit 925fc26
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/i915: Fix VIDEO_DIP_CTL bit shifts (bsc#1113956)
- commit 744a72a
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/panel: simple: Innolux TV123WAM is actually P120ZDG-BF1 (bsc#1113956)
- commit 307e5d9
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/sun4i: hdmi: Fix double flag assignation (bsc#1113956)
- commit 044eec0
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/i915/dp: Restrict link retrain workaround to external monitors (bsc#1113956)
- commit d748c96
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/i915/dp: Fix link retraining comment in intel_dp_long_pulse() (bsc#1113956)
- commit c9d61df
* Thu Jan 10 2019 tzimmermann@suse.de
- amd-gpu: Don't undefine READ and WRITE (bsc#1113956)
- commit 1eeb2c9
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/i915/icl: Fix signal_levels (bsc#1113956)
- commit 189478c
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/v3d: Skip debugfs dumping GCA on platforms without GCA. (bsc#1113956)
- commit cd14e27
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/v3d: Fix a use-after-free race accessing the scheduler's fences. (bsc#1113956)
- commit f9c92b4
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/i915/selftests: Disable shrinker across mmap-exhaustion (bsc#1113956)
- commit aa2a158
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/nouveau/secboot/acr: fix memory leak (bsc#1113956)
- commit a5d6388
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/msm: fix unsigned comparison with less than zero (bsc#1113956)
- commit b65c3e1
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/msm/gpu: fix parameters in function msm_gpu_crashstate_capture (bsc#1113956)
- commit 770f8eb
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/msm/disp/dpu: Use proper define for drm_encoder_init() (bsc#1113956)
- commit b2dfd7f
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/i915/dp: Do not grab crtc modeset lock in intel_dp_detect() (bsc#1113956)
- commit 96cfd5c
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/i915/psr: Remove wait_for_idle() for PSR2 (bsc#1113956)
- commit 342cdfa
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/amdgpu: fix integer overflow test in amdgpu_bo_list_create() (bsc#1113956)
- commit a935398
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/panel: Fix sphinx warning (bsc#1113956)
- commit 13db7a8
* Thu Jan 10 2019 tzimmermann@suse.de
- dma-buf: Remove requirement for ops->map() from dma_buf_export (bsc#1113956)
- commit 7ad23ef
* Thu Jan 10 2019 tzimmermann@suse.de
- drm/i915/guc: Move the pin bias value from GuC to GGTT (bsc#1113956)
- commit ee9b413
* Thu Jan 10 2019 tzimmermann@suse.de
- dt-bindings: display: panel: Fix compatible string for Toshiba (bsc#1113956)
- commit ab32c58
* Thu Jan 10 2019 tzimmermann@suse.de
- dt-bindings: remove file that was added accidentally (bsc#1113956)
- commit 58aecf5
* Thu Jan 10 2019 tzimmermann@suse.de
- gpu: ipu-v3: Allow channel burst locking on i.MX6 only (bsc#1113956)
- commit ac6debd
* Thu Jan 10 2019 tzimmermann@suse.de
- fbdev: omapfb: remove unused variable (bsc#1113956)
- commit 77d6a04
* Thu Jan 10 2019 hare@suse.de
- Update config files.
- commit dfb0b6e
* Thu Jan 10 2019 tiwai@suse.de
- platform/x86: apple-gmux: fix gmux_get_client_id()'s return type
  (bsc#1121278).
- commit 239cf66
* Thu Jan 10 2019 tiwai@suse.de
- Refresh patches.drivers/ALSA-hda-move-hda_codec.h-to-include-sound.patch
  Fix the overlooked change while renaming the file that broke the build badly.
- commit b48255a
* Thu Jan 10 2019 hare@suse.de
- nvme-tcp: fix spelling mistake "attepmpt" -> "attempt"
  (FATE#326123).
- nvme-tcp: fix endianess annotations (FATE#326123).
- nvmet-tcp: fix endianess annotations (FATE#326123).
- nvme: add __exit annotation (FATE#326123).
- nvme-tcp: add NVMe over TCP host driver (FATE#326123).
- nvmet: allow configfs tcp trtype configuration (FATE#326123).
- nvmet-tcp: add NVMe over TCP target driver (FATE#326123).
- nvme-tcp: Add protocol header (FATE#326123).
- nvme-fabrics: allow user passing data digest (FATE#326123).
- nvme-fabrics: allow user passing header digest (FATE#326123).
- nvmet: Add install_queue callout (FATE#326123).
- datagram: introduce skb_copy_and_hash_datagram_iter helper
  (FATE#326123).
- iov_iter: introduce hash_and_copy_to_iter helper (FATE#326123).
- datagram: consolidate datagram copy to iter helpers
  (FATE#326123).
- iov_iter: pass void csum pointer to csum_and_copy_to_iter
  (FATE#326123).
- datagram: open-code copy_page_to_iter (FATE#326123).
- ath6kl: add ath6kl_ prefix to crypto_type (FATE#326123).
- commit 3eb67be
* Thu Jan 10 2019 ptesarik@suse.cz
- Update config files: Disable BPF stream parser in kernel-zfcpdump.
- commit 4f2b409
* Thu Jan 10 2019 tbogendoerfer@suse.de
- IB/mlx5: Use the correct commands for UMEM and UCTX allocation
  (bsc#1103991 FATE#326007).
- IB/mlx5: Use uid as part of alloc/dealloc transport domain
  (bsc#1103991 FATE#326007).
- IB/mlx5: Introduce uid as part of alloc/dealloc transport domain
  (bsc#1103991 FATE#326007).
- net/mlx5: Add shared Q counter bits (bsc#1103991 FATE#326007).
- RDMA/core: Delete RoCE GID in hw when corresponding IP is
  deleted (bsc#1103992 FATE#326009).
- RDMA/uverbs: Fix typo in string concatenation macro (bsc#1103992
  FATE#326009).
- IB/mlx5: Enable TX on a DEVX flow table (bsc#1103991
  FATE#326007).
- IB/mlx5: Update the supported DEVX commands (bsc#1103991
  FATE#326007).
- IB/mlx5: Enforce DEVX privilege by firmware (bsc#1103991
  FATE#326007).
- RDMA/core: Sync unregistration with netlink commands
  (bsc#1103992 FATE#326009).
- scsi: cxgb4i: fix thermal configuration dependencies
  (bsc#1104279 FATE#325938 bsc#1104277 FATE#325936).
- mlxsw: spectrum: drop useless LIST_HEAD (bsc#1109837).
- net/mlx5e: drop useless LIST_HEAD (bsc#1109837).
- bpf: tls_sw, init TLS ULP removes BPF proto hooks (bsc#1109837).
- bpf: sk_msg, sock{map|hash} redirect through ULP (bsc#1109837).
- bpf: sk_msg, zap ingress queue on psock down (bsc#1109837).
- bpf: sk_msg, fix socket data_ready events (bsc#1109837).
- bpf/cpumap: make sure frame_size for build_skb is aligned if
  headroom isn't (bsc#1109837).
- igb: Fix an issue that PME is not enabled during runtime suspend
  (bsc#1117495).
- ice: Do not enable NAPI on q_vectors that have no rings
  (bsc#1118661 FATE#325277).
- i40e: define proper net_device::neigh_priv_len (bsc#1111981
  FATE#326312 FATE#326313).
- igb: Change RXPBSIZE size when setting Qav mode (bsc#1117495).
- igb: reduce CPU0 latency when updating statistics (bsc#1117495).
- net: hns3: fix the descriptor index when get rss type
  (bsc#1104353 FATE#326415).
- net: hns3: don't restore rules when flow director is disabled
  (bsc#1104353 FATE#326415).
- net: hns3: fix vf id check issue when add flow director rule
  (bsc#1104353 FATE#326415).
- net/mlx5: Update mlx5_ifc with DEVX UCTX capabilities bits
  (bsc#1103991 FATE#326007).
- RDMA/mlx5: Use stages for callback to setup and release DEVX
  (bsc#1103991 FATE#326007).
- net/mlx5: Fix offsets of ifc reserved fields (bsc#1103991
  FATE#326007).
- igc: Remove obsolete IGC_ERR define (bsc#1118657 FATE#325278).
- ethernet/intel: consolidate NAPI and NAPI exit (bsc#1118657
  FATE#325278).
- ice: Fix possible NULL pointer de-reference (bsc#1118661
  FATE#325277).
- ice: Use Tx|Rx in comments (bsc#1118661 FATE#325277).
- ice: Cosmetic formatting changes (bsc#1118661 FATE#325277).
- ice: Cleanup short function signatures (bsc#1118661
  FATE#325277).
- ice: Cleanup ice_tx_timeout() (bsc#1118661 FATE#325277).
- ice: Fix return value from NAPI poll (bsc#1118661 FATE#325277).
- ice: Constify global structures that can/should be (bsc#1118661
  FATE#325277).
- ice: Do not set LAN_EN for MAC-VLAN filters (bsc#1118661
  FATE#325277).
- ice: Pass the return value of ice_init_def_sw_recp()
  (bsc#1118661 FATE#325277).
- ice: Cleanup duplicate control queue code (bsc#1118661
  FATE#325277).
- ice: Do autoneg based on VSI state (bsc#1118661 FATE#325277).
- tun: use netdev_alloc_frag() in tun_napi_alloc_frags()
  (bsc#1109837).
- i40e: prevent overlapping tx_timeout recover (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: suppress bogus error message (bsc#1111981 FATE#326312
  FATE#326313).
- i40e: Use correct shift for VLAN priority (bsc#1111981
  FATE#326312 FATE#326313).
- virtchnl: Fix off by one error (bsc#1111981 FATE#326312
  FATE#326313).
- virtchnl: white space and reorder (bsc#1111981 FATE#326312
  FATE#326313).
- i40e: always set ks->base.speed in i40e_get_settings_link_up
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e: don't restart nway if autoneg not supported (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: Allow disabling FW LLDP on X722 devices (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: update driver version (bsc#1111981 FATE#326312
  FATE#326313).
- i40e: Protect access to VF control methods (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: Replace strncpy with strlcpy to ensure null termination
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e: Add capability flag for stopping FW LLDP (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: Use a local variable for readability (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: Replace spin_is_locked() with lockdep (bsc#1111981
  FATE#326312 FATE#326313).
- ice: Remove ICE_MAX_TXQ_PER_TXQG check when configuring Tx queue
  (bsc#1118661 FATE#325277).
- ice: Destroy scheduler tree in reset path (bsc#1118661
  FATE#325277).
- ice: Fix to make VLAN priority tagged traffic to appear on
  all TCs (bsc#1118661 FATE#325277).
- ice: Call pci_disable_sriov before stopping queues for VF
  (bsc#1118661 FATE#325277).
- ice: Increase Rx queue disable timeout (bsc#1118661
  FATE#325277).
- ice: Fix NVM mask defines (bsc#1118661 FATE#325277).
- ice: Avoid nested RTNL locking in ice_dis_vsi (bsc#1118661
  FATE#325277).
- ice: Calculate guaranteed VSIs per function and use it
  (bsc#1118661 FATE#325277).
- ice: Remove node before releasing VSI (bsc#1118661 FATE#325277).
- ice: Check for q_vector when stopping rings (bsc#1118661
  FATE#325277).
- ice: Fix debug print in ice_tx_timeout (bsc#1118661
  FATE#325277).
- igc: Clean up code (bsc#1118657 FATE#325278).
- igc: Tidy up some white space (bsc#1118657 FATE#325278).
- igc: fix error return handling from call to
  netif_set_real_num_tx_queues (bsc#1118657 FATE#325278).
- igc: Remove set but not used variable 'pci_using_dac'
  (bsc#1118657 FATE#325278).
- igc: Remove set but not used variables 'ctrl_ext, link_mode'
  (bsc#1118657 FATE#325278).
- intel-ethernet: software timestamp skbs as late as possible
  (bsc#1113994 FATE#326315 FATE#326317).
- ixgbevf: add support for software timestamps (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: allow IPsec Tx offload in VEPA mode (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: don't clear_bit on xdp_ring->state if xdp_ring is null
  (bsc#1113994 FATE#326315 FATE#326317).
- igbvf: Replace spin_is_locked() with lockdep (bsc#1117495).
- vxlan: Unmark offloaded bit on replaced FDB entries
  (bsc#1112374).
- commit ca8bc86
* Thu Jan 10 2019 hare@suse.de
- scsi: qla2xxx: deadlock by configfs_depend_item (FATE#325888).
- scsi: qla2xxx: Update driver version to 10.00.00.12-k
  (FATE#325888).
- scsi: qla2xxx: Fix for FC-NVMe discovery for NPIV port
  (FATE#325888).
- scsi: qla2xxx: Fix NPIV handling for FC-NVMe (FATE#325888).
- scsi: qla2xxx: Enable FC-NVME on NPIV ports (FATE#325888).
- scsi: qla2xxx: NULL check before some freeing functions is
  not needed (FATE#325888).
- scsi: qla2xxx: Split the __qla2x00_abort_all_cmds() function
  (FATE#325888).
- scsi: qla2xxx: Introduce a switch/case statement in
  qlt_xmit_tm_rsp() (FATE#325888).
- commit 57e5784
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: hda/hdmi: Always set display_power_control for Intel HSW+
  codecs (bsc#1121278).
- ALSA: hda/intel: Properly free the display power at error path
  (bsc#1121278).
- ALSA: hda/intel: Drop superfluous AZX_DCAPS_I915_POWERWELL
  checks (bsc#1121278).
- ALSA: hda: Refactor display power management (bsc#1121278).
- ALSA: hda - Move in_pm accessors to HDA core (bsc#1121278).
- ALSA: hda - Enforce CONFIG_SND_DYNAMIC_MINORS for HDMI/DP codec
  (bsc#1121278).
- commit 42201fa
* Thu Jan 10 2019 tiwai@suse.de
- supported.conf: Add ledtrig-audio and huawei-wmi entries
- commit 4dcfd48
* Thu Jan 10 2019 hare@suse.de
- scsi: qla2xxx: use lower_32_bits and upper_32_bits instead of
  reinventing them (FATE#325888).
- Revert "scsi: qla2xxx: Fix NVMe Target discovery" (FATE#325888).
- scsi: qla2xxx: Timeouts occur on surprise removal of QLogic
  adapter (FATE#325888).
- scsi: qla2xxx: Initialize port speed to avoid setting lower
  speed (FATE#325888).
- scsi: qla2xxx: Fix a typo in MODULE_PARM_DESC (FATE#325888).
- scsi: qla2xxx: Remove two arguments from qlafx00_error_entry()
  (FATE#325888).
- scsi: qla2xxx: Make sure that qlafx00_ioctl_iosb_entry()
  initializes 'res' (FATE#325888).
- scsi: qla2xxx: Remove a set-but-not-used variable (FATE#325888).
- scsi: qla2xxx: Make qla2x00_sysfs_write_nvram() easier to
  analyze (FATE#325888).
- scsi: qla2xxx: Declare local functions 'static' (FATE#325888).
- scsi: qla2xxx: Improve several kernel-doc headers (FATE#325888).
- scsi: qla2xxx: Modify fall-through annotations (FATE#325888).
- scsi: qla2xxx: fully convert to the generic DMA API
  (FATE#325888).
- scsi: qla2xxx: Simplify conditional check (FATE#325888).
- scsi: qla2xxx: Remove unnecessary self assignment (FATE#325888).
- commit f655248
* Thu Jan 10 2019 mgorman@suse.de
- mm, page_alloc: do not wake kswapd with zone lock held
  (Fragmentation avoidance and control bnc#1120919).
- commit c464d6e
* Thu Jan 10 2019 hare@suse.de
- scsi: mpt3sas: mpt3sas_scsih: Mark expected switch
  (FATE#325922).
- scsi: mpt3sas: fix memory ordering on 64bit writes
  (FATE#325922).
- scsi: mpt3sas: Update driver version to 27.101.00.00
  (FATE#325922).
- scsi: mpt3sas: Replace readl with ioc->base_readl (FATE#325922).
- scsi: mpt3sas: Add separate function for aero doorbell reads
  (FATE#325922).
- scsi: mpt3sas: Introduce flag for aero based controllers
  (FATE#325922).
- scsi: mpt3sas: fix spelling mistake "manufaucturing" ->
  (FATE#325922).
- scsi: mpt3sas: Display message on Configurable secure HBA
  (FATE#325922).
- scsi: mpt3sas: Bump driver version to 27.100.00.00
  (FATE#325922).
- scsi: mpt3sas: Fix driver modifying persistent data in
  (FATE#325922).
- scsi: mpt3sas: Don't modify EEDPTagMode field setting on
  (FATE#325922).
- scsi: mpt3sas: Fix Sync cache command failure during driver
  (FATE#325922).
- scsi: mpt3sas: Call sas_remove_host before removing the
  (FATE#325922).
- scsi: mpt3sas: Refactor mpt3sas_wait_for_ioc function
  (FATE#325922).
- scsi: mpt3sas: Separate out mpt3sas_wait_for_ioc (FATE#325922).
- scsi: mpt3sas: Added new #define variable (FATE#325922).
- scsi: mpt3sas: Add support for Aero controllers (FATE#325922).
- scsi: mpt3sas: Update MPI headers to support Aero controllers
  (FATE#325922).
- scsi: mpt3sas: switch to generic DMA API (FATE#325922).
- scsi: mpt3sas: Remove unnecessary parentheses and simplify
  (FATE#325922).
- scsi: mpt3sas: Use dma_pool_zalloc (FATE#325922).
- scsi: mpt3sas: Remove unused macro MPT3SAS_FMT (FATE#325922).
- scsi: mpt3sas: Convert logging uses with MPT3SAS_FMT without
  (FATE#325922).
- scsi: mpt3sas: Remove KERN_WARNING from panic uses
  (FATE#325922).
- scsi: mpt3sas: Convert logging uses with MPT3SAS_FMT and
  (FATE#325922).
- scsi: mpt3sas: Convert mlsleading uses of pr_<level> with
  (FATE#325922).
- scsi: mpt3sas: Convert uses of pr_<level> with MPT3SAS_FMT to
  (FATE#325922).
- scsi: mpt3sas: Add ioc_<level> logging macros (FATE#325922).
- scsi: mpt3sas: Improve kernel-doc headers (FATE#325922).
- scsi: mpt3sas: Split _base_reset_handler(), (FATE#325922).
- scsi: mpt3sas: Fix a race condition in (FATE#325922).
- scsi: mpt3sas: Introduce struct mpt3sas_nvme_cmd (FATE#325922).
- scsi: mpt3sas: Annotate switch/case fall-through (FATE#325922).
- scsi: mpt3sas: Remove set-but-not-used variables (FATE#325922).
- scsi: mpt3sas: Fix indentation (FATE#325922).
- scsi: mpt3sas: Swap I/O memory read value back to cpu
  (FATE#325922).
- commit cef2bd0
* Thu Jan 10 2019 tiwai@suse.de
- vga_switcheroo: Fix missing gpu_bound call at audio client
  registration (bsc#1121278).
- commit 350fdf7
* Thu Jan 10 2019 mgorman@suse.de
- mm: don't warn about large allocations for slab (git fixes
  (slab)).
- commit b7eb365
* Thu Jan 10 2019 tiwai@suse.de
- ALSA: update dell-wmi mic-mute registration to new world order
  (bsc#1121278).
- commit edc9233
* Thu Jan 10 2019 hare@suse.de
- scsi: megaraid: fix out-of-bound array accesses (FATE#325920).
- scsi: megaraid_sas: driver version update (FATE#325920).
- scsi: megaraid_sas: Use 63-bit DMA addressing (FATE#325920).
- scsi: megaraid_sas: add retry logic in megasas_readl
  (FATE#325920).
- scsi: megaraid_sas: changes to function prototypes
  (FATE#325920).
- scsi: megaraid_sas: Introduce new Aero adapter type
  (FATE#325920).
- scsi: megaraid_sas: Fix Ventura series based checks
  (FATE#325920).
- scsi: megaraid_sas: NULL check before some freeing functions
  (FATE#325920).
- scsi: megaraid_sas_fusion: Mark expected switch fall-through
  (FATE#325920).
- scsi: megaraid: megaraid_sas_base: Mark expected switch
  (FATE#325920).
- scsi: megaraid_sas: Add support for MegaRAID Aero controllers
  (FATE#325920).
- commit 04c39c9
* Thu Jan 10 2019 mgorman@suse.de
- mm: hugetlb: yield when prepping struct pages (git fixes
  (memory initialisation)).
- commit 97e4389
* Thu Jan 10 2019 mgorman@suse.de
- blacklist.conf: Problem affects SLUB which is not enabled in kconfig
- commit 523e7a9
* Thu Jan 10 2019 mgorman@suse.de
- blacklist.conf: Problem affects debugging builds only and is harmless
- commit a295926
* Thu Jan 10 2019 mgorman@suse.de
- blacklist.conf: Affected code is already reverted
- commit 0e0559c
* Thu Jan 10 2019 mgorman@suse.de
- blacklist.conf: Build warning applies to unsupported config
- commit b41802e
* Thu Jan 10 2019 hare@suse.de
- scsi: megaraid_sas: Update driver version (FATE#325920).
- scsi: megaraid_sas: modify max supported lds related print
  (FATE#325920).
- scsi: megaraid_sas: remove unused macro (FATE#325920).
- scsi: megaraid_sas: increase timeout for IOC INIT to
  (FATE#325920).
- scsi: megaraid_sas: Remove double endian conversion
  (FATE#325920).
- scsi: megaraid_sas: Re-use max_mfi_cmds to calculate queue
  (FATE#325920).
- scsi: megaraid_sas: Rename scratch_pad registers (FATE#325920).
- scsi: megaraid_sas: Remove spin lock for dpc operation
  (FATE#325920).
- scsi: megaraid_sas: optimize raid context access in IO path
  (FATE#325920).
- scsi: megaraid_sas: Fail init if heartbeat timer fails
  (FATE#325920).
- scsi: megaraid_sas: For SRIOV, do not set STOP_ADP bit
  (FATE#325920).
- scsi: megaraid_sas: Fix combined reply queue mode detection
  (FATE#325920).
- scsi: megaraid_sas: Fix module parameter description
  (FATE#325920).
- scsi: megaraid_sas: Fix goto labels in error handling
  (FATE#325920).
- scsi: megaraid_sas: Update copyright information (FATE#325920).
- scsi: megaraid_sas: Add check for reset adapter bit
  (FATE#325920).
- scsi: megaraid_sas: Fix msleep granularity (FATE#325920).
- scsi: megaraid_sas: Add support for FW snap dump (FATE#325920).
- scsi: megaraid_sas: Add watchdog thread to detect Firmware
  (FATE#325920).
- commit 5d5b821
* Thu Jan 10 2019 tbogendoerfer@suse.de
- Update
  patches.drivers/vhost-vsock-fix-use-after-free-in-network-stack-call.patch
  (bsc#1109837 bsc#1106615 CVE-2018-14625).
  added CVE number to references
- commit d9dfa00
* Thu Jan 10 2019 hare@suse.de
- scsi: megaraid: Convert timers to use timer_setup()
  (FATE#325920).
- commit 4b93c1a
* Thu Jan 10 2019 jthumshirn@suse.de
- supported.conf: add xxhash and zstd (FATE#324383).
- commit 8eb5c6c
* Thu Jan 10 2019 hare@suse.de
- scsi: megaraid_sas: switch to generic DMA API (FATE#325920).
- scsi: megaraid_sas: fix a missing-check bug (FATE#325920).
- scsi: megaraid: fix spelling mistake "maibox" -> "mailbox"
  (FATE#325920).
- commit 90b5a2c
* Thu Jan 10 2019 jthumshirn@suse.de
- Update config files, enable ZSTD compression for SquashFS (FATE#324383).
- commit 3ba7a95
* Thu Jan 10 2019 hare@suse.de
- scsi: read host_busy via scsi_host_busy() (bsc#1118139).
- Refresh
  patches.drivers/scsi-libsas-Drop-SAS_DPRINTK-and-revise-logs-levels.patch.
- commit 91c49a4
* Thu Jan 10 2019 jthumshirn@suse.de
- squashfs: Add zstd support (FATE#324383).
- commit 93cceb3
* Thu Jan 10 2019 ptesarik@suse.cz
- Move KVM patches into the sorted section.
- commit c78aebd
* Thu Jan 10 2019 hare@suse.de
- scsi: megaraid_sas: driver version upgrade (FATE#325920).
- scsi: megaraid_sas: Support FW provided TM timeout values
  (FATE#325920).
- scsi: megaraid_sas: Return immediately from (FATE#325920).
- scsi: megaraid_sas: Update controller info during resume
  (FATE#325920).
- scsi: megaraid_sas: Do not do Kill adapter if GET_CTRL_INFO
  (FATE#325920).
- commit 30506bd
* Thu Jan 10 2019 ptesarik@suse.cz
- blacklist.conf: Remove b2f78cda260bc6a1a2d382b1d85a29e69b5b3724
  Fix backported as
  patches.drm/4801-drm-i915-pmu-fix-pmu-enable-vs-execlists-tasklet-race
- commit 8480cba
* Thu Jan 10 2019 ddiss@suse.de
- scsi: target/tcmu: Fix queue_cmd_ring() declaration
  (bsc#1118978).
- scsi: tcmu: do not set max_blocks if data_bitmap has been setup
  (bsc#1118978).
- scsi: tcmu: unmap if dev is configured (bsc#1118978).
- scsi: tcmu: check if dev is configured before block/reset
  (bsc#1118978).
- scsi: tcmu: use lio core se_device configuration helper
  (bsc#1118978).
- scsi: target: add helper to check if dev is configured
  (bsc#1118978).
- scsi: tcmu: initialize list head (bsc#1118978).
- scsi: target_core_user: fix double unlock (bsc#1118978).
- scsi: tcmu: Don't pass KERN_ERR to pr_err (bsc#1118978).
- scsi: tcmu: add module wide block/reset_netlink support
  (bsc#1118978).
- scsi: tcmu: misc nl code cleanup (bsc#1118978).
- scsi: tcmu: simplify nl interface (bsc#1118978).
- scsi: tcmu: track nl commands (bsc#1118978).
- scsi: tcmu: delete unused __wait (bsc#1118978).
- scsi: tcmu: remove useless code and clean up the code style
  (bsc#1118978).
- scsi: tcmu: refactor nl wr_cache attr with new helpers
  (bsc#1118978).
- scsi: tcmu: refactor nl dev_size attr with new helpers
  (bsc#1118978).
- scsi: tcmu: refactor nl dev_cfg attr with new nl helpers
  (bsc#1118978).
- scsi: tcmu: refactor rm_device cmd with new nl helpers
  (bsc#1118978).
- scsi: tcmu: refactor add_device cmd with new nl helpers
  (bsc#1118978).
- scsi: tcmu: add new netlink events helpers (bsc#1118978).
- scsi: target: target_core_user.[ch]: convert comments into DOC:
  (bsc#1118978).
- scsi: target: tcmu: fix error resetting qfull_time_out to
  default (bsc#1118978).
- tcmu: Fix trailing semicolon (bsc#1118978).
- tcmu: fix cmd user after free (bsc#1118978).
- tcmu: allow userspace to reset ring (bsc#1118978).
- target core: add device action configfs files (bsc#1118978).
- Refresh
  patches.drivers/target-pr-add-backend-API-for-reservation-handling.patch
- tcmu: fix error return code in tcmu_configure_device()
  (bsc#1118978).
- commit 1e565f8
* Thu Jan 10 2019 ddiss@suse.de
- target_core_user: add cmd id to broken ring message
  (bsc#1118978).
- target: add SAM_STAT_BUSY sense reason (bsc#1118978).
- tcmu: prevent corruption when invalid data page requested
  (bsc#1118978).
- tcmu: allow max block and global max blocks to be settable
  (bsc#1118978).
- tcmu: make ring buffer timer configurable (bsc#1118978).
- tcmu: don't block submitting context for block waits
  (bsc#1118978).
- tcmu: simplify dbi thresh handling (bsc#1118978).
- tcmu: prep queue_cmd_ring to be used by unmap wq (bsc#1118978).
- tcmu: clean up the scatter helper (bsc#1118978).
- tcmu: fix free block calculation (bsc#1118978).
- tcmu: simplify scatter_data_area error handling (bsc#1118978).
- tcmu: release blocks for partially setup cmds (bsc#1118978).
- tcmu: remove commands_lock (bsc#1118978).
- tcmu: move expired command completion to unmap thread
  (bsc#1118978).
- commit 2e082cf
* Thu Jan 10 2019 ddiss@suse.de
- tcmu: fix unmap thread race (bsc#1118978).
- tcmu: split unmap_thread_fn (bsc#1118978).
- tcmu: merge common block release code (bsc#1118978).
- tcmu: fix page addr in tcmu_flush_dcache_range (bsc#1118978).
- tcmu: Add a missing unlock on an error path (bsc#1118978).
- tcmu: Fix some memory corruption (bsc#1118978).
- tcmu: fix double se_cmd completion (bsc#1118978).
- target: return SAM_STAT_TASK_SET_FULL for TCM_OUT_OF_RESOURCES
  (bsc#1118978).
- Refresh
  patches.drivers/target-compare-and-write-backend-driver-sense-handli.patch
- target: Add netlink command reply supported option for each
  device (bsc#1118978).
- target/tcmu: Use macro to call container_of in
  tcmu_cmd_time_out_show (bsc#1118978).
- tcmu: fix crash when removing the tcmu device (bsc#1118978).
- commit c858ced
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda - Add jack pointer and unsolicited event bits to
  callback (bsc#1121278).
- ALSA: hda/tegra - Probe up to 8 codecs (bsc#1121278).
- ALSA: hda/tegra: compatible string as shortname (bsc#1121278).
- ALSA: hda/hdmi: Use single mutex unlock in error paths
  (bsc#1121278).
- ALSA: hda: constify attribute_group structures (bsc#1121278).
- commit f6d7fc5
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda/realtek - Enable headset button support for new codec
  (bsc#1121278).
- ALSA: hda - Add jack button support (bsc#1121278).
- ALSA: hda/hdmi - Add Tegra186 and Tegra194 support
  (bsc#1121278).
- commit 901ee25
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda - Force to link down at runtime suspend on ATI/AMD
  HDMI (bsc#1121278).
- Refresh
  patches.drivers/ALSA-hda-move-hda_codec.h-to-include-sound.patch.
- commit 635222f
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda: move hda_codec.h to include/sound (bsc#1121278).
- Refresh
  patches.drivers/ALSA-hda-Fix-implicit-definition-of-pci_iomap-on-SH.patch.
- commit b021822
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda/intel: Refactoring PM code (bsc#1121278).
- commit 528ec81
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda - Enable runtime PM only for discrete GPU
  (bsc#1121278).
- Refresh
  patches.drivers/ALSA-hda-Use-new-non-cached-allocation-for-non-snoop.patch.
- commit 93331e2
* Wed Jan  9 2019 tiwai@suse.de
- vga_switcheroo: set audio client id according to bound GPU id
  (bsc#1121278).
- ALSA: hda: use PCI_BASE_CLASS_DISPLAY to replace
  PCI_CLASS_DISPLAY_VGA (bsc#1121278).
- ALSA: hda - Silence PM ops build warning (bsc#1121278).
- commit 717deac
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda/realtek - Simplify alc269_fixup_hp_line1_mic1_led()
  (bsc#1121278).
- commit 65e1da5
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda/ca0132 - fix AE-5 pincfg (bsc#1121278).
- Refresh
  patches.drivers/ALSA-hda-ca0132-Optimize-for-non-PCI-configuration.patch.
- commit 9c8bfdf
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda/ca0132 - Add new ZxR quirk (bsc#1121278).
- ALSA: hda/hdmi - Don't fall back to generic when i915 binding
  fails (bsc#1121278).
- ALSA: hda - Fix runtime PM (bsc#1121278).
- ALSA: hda-beep: add SPDX identifiers (bsc#1121278).
- commit 38615c1
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda/ca0132 - Optimize for non-PCI configuration
  (bsc#1121278).
- commit 5992180
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda/ca0132 - Actually fix microphone issue (bsc#1121278).
- ALSA: hda/ca0132 - Fix input effect controls for desktop cards
  (bsc#1121278).
- ALSA: hda/ca0132 - Add error checking in ca0132_build_controls()
  (bsc#1121278).
- ALSA: hda/ca0132 - Clean up patch_ca0132() (bsc#1121278).
- ALSA: hda/ca0132 - Fix microphone inconsistency issues
  (bsc#1121278).
- ALSA: hda/ca0132 - Add ZxR exit commands (bsc#1121278).
- ALSA: hda/ca0132 - Add ZxR 600 ohm gain control (bsc#1121278).
- ALSA: hda/ca0132 - Remove input select enum for ZxR
  (bsc#1121278).
- ALSA: hda/ca0132 - Add ZxR input/output select commands
  (bsc#1121278).
- ALSA: hda/ca0132 - Add ZxR DSP post-download commands
  (bsc#1121278).
- commit 7dbbabe
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda/ca0132 - Add ZxR init commands (bsc#1121278).
- ALSA: hda/ca0132 - Add DBpro hda_codec_ops (bsc#1121278).
- ALSA: hda/ca0132 - Add ZxR pincfg (bsc#1121278).
- ALSA: hda/ca0132 - Add ZxR quirks + new quirk check function
  (bsc#1121278).
- ALSA: hda/ca0132 - Fix surround sound with output effects
  (bsc#1121278).
- ALSA: hda/ca0132 - Fix AE-5 control type (bsc#1121278).
- ALSA: hda/ca0132 - Add AE-5 exit function (bsc#1121278).
- ALSA: hda/ca0132 - Add AE-5 specific controls (bsc#1121278).
- ALSA: hda/ca0132 - Add input selection commands for AE-5
  (bsc#1121278).
- ALSA: hda/ca0132 - Add output set commands for AE-5
  (bsc#1121278).
- commit 3d9e004
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda/ca0132 - Clean up ca0132_alt_out_select (bsc#1121278).
- ALSA: hda/ca0132 - Add DSP setup functions for AE-5
  (bsc#1121278).
- ALSA: hda/ca0132 - Merge post-dsp functions + cleanup
  (bsc#1121278).
- ALSA: hda/ca0132 - Change firmware name and usage (bsc#1121278).
- ALSA: hda/ca0132 - Add AE-5 regular init setup (bsc#1121278).
- ALSA: hda/ca0132 - Add AE-5 pre-init and ca0113 functions
  (bsc#1121278).
- ALSA: hda/ca0132 - Change ca0132_mmio_init for AE-5
  (bsc#1121278).
- ALSA: hda/ca0132 - Set AE-5 bools and select mixer
  (bsc#1121278).
- ALSA: hda/ca0132 - Add pincfg for AE-5 (bsc#1121278).
- ALSA: hda/ca0132 - Add quirk for Sound BlasterX AE-5
  (bsc#1121278).
- ALSA: hda/ca0132 - Define new verbs and control params
  (bsc#1121278).
- commit 5bf5465
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda: Fix implicit definition of pci_iomap() on SH
  (bsc#1121278).
- commit b752c88
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda/ca0132 - Add exit commands for Recon3D (bsc#1121278).
- Refresh
  patches.drivers/ALSA-hda-ca0132-Call-pci_iounmap-instead-of-iounmap.patch.
- Refresh
  patches.drivers/ALSA-hda-ca0132-make-pci_iounmap-call-conditional.patch.
- commit 2f31b2b
* Wed Jan  9 2019 vbabka@suse.cz
- mm/huge_memory.c: reorder operations in __split_huge_page_tail()
  (VM Functionality bsc#1119962).
- commit 20600f0
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda/ca0132 - Change mixer controls for Recon3D
  (bsc#1121278).
- ALSA: hda/ca0132 - Add Recon3D input and output select commands
  (bsc#1121278).
- ALSA: hda/ca0132 - Add DSP setup defaults for Recon3D
  (bsc#1121278).
- ALSA: hda/ca0132 - Add Recon3D startup functions and setup
  (bsc#1121278).
- commit 0b2bc4b
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda/ca0132 - Add bool variable to enable/disable pci
  region2 mmio (bsc#1121278).
- commit e8cf97a
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda/ca0132 - Add Recon3D pincfg (bsc#1121278).
- ALSA: hda/ca0132 - Add quirk ID and enum for Recon3D
  (bsc#1121278).
- ALSA: hda/ca0132 - Add alt_functions unsolicited response
  (bsc#1121278).
- ALSA: hda/ca0132 - Clean up ca0132_init function (bsc#1121278).
- ALSA: hda/ca0132 - Create mmio gpio function to make code
  clearer (bsc#1121278).
- ALSA: hda/ca0132 - Use NULL instead of 0 (bsc#1121278).
- ALSA: hda/ca0132: Update a pci quirk device name (bsc#1121278).
- ALSA: hda/ca0132: Add Recon3Di quirk for Gigabyte G1.Sniper Z97
  (bsc#1121278).
- commit 642566a
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda/realtek - Add quirk entry for HP Pavilion 15
  (bsc#1121278).
- ALSA: hda - Add ASUS G751 quirk model entry (bsc#1121278).
- ALSA: hda/sigmatel - Disable automute for Elo VuPoint
  (bsc#1121278).
- ALSA: hda/realtek - Add mute LED quirk for HP Spectre x360
  (bsc#1121278).
- ALSA: hda: make snd_kcontrol_new const (bsc#1121278).
- ALSA: hda: Constify hw_constraints (bsc#1121278).
- commit 99ebd82
* Wed Jan  9 2019 tiwai@suse.de
- Update config files: CONFIG_HUAWEI_WMI=m for x86_64
- commit cf08c0e
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda: add support for Huawei WMI micmute LED (bsc#1121278).
- platform/x86: add support for Huawei WMI hotkeys (bsc#1121278).
- commit 0b55304
* Wed Jan  9 2019 tiwai@suse.de
- crypto: ccp - Make function sev_get_firmware() static
  (git-fixes).
- commit 8e6d960
* Wed Jan  9 2019 tiwai@suse.de
- Update config files: enable CONFIG_LEDS_TRIGGER_AUDIO for x86_64
- commit 7466ba1
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: hda - Support led audio trigger (bsc#1121278).
- commit 8c2977b
* Wed Jan  9 2019 tiwai@suse.de
- platform/x86: thinkpad_acpi: Add audio mute LED classdev support
  (bsc#1121278).
- platform/x86: dell-laptop: Add micmute LED trigger support
  (bsc#1121278).
- leds: trigger: Introduce audio mute LED trigger (bsc#1121278).
- ALSA: hda - Fix incorrect clearance of thinkpad_acpi hooks
  (bsc#1121278).
- ALSA: hda/realtek - Comprehensive model list for ALC882 & co
  (bsc#1121278).
- ALSA: hda/realtek - Comprehensive model list for ALC262
  (bsc#1121278).
- ALSA: hda/realtek - Comprehensive model list for ALC268
  (bsc#1121278).
- ALSA: hda/realtek - Comprehensive model list for ALC259 & co
  (bsc#1121278).
- ALSA: hda/realtek - Comprehensive model list for ALC662 & co
  (bsc#1121278).
- ALSA: hda/realtek - Apply PRE_PROBE fixup after ALC269 codec
  variant setups (bsc#1121278).
- ALSA: hda/via - Use standard verb containers (bsc#1121278).
- ALSA: hda/via - Simplify control management (bsc#1121278).
- ALSA: hda/via - Rewrite with error goto (bsc#1121278).
- ALSA: hda/cirrus - Simplify creation of new controls
  (bsc#1121278).
- ALSA: hda/conexant - Clean up beep code (bsc#1121278).
- ALSA: hda/realtek - Use common helper for creating beep controls
  (bsc#1121278).
- ALSA: hda/realtek - Use common helper for creating ALC268 beep
  controls (bsc#1121278).
- ALSA: hda/realtek - Use common GPIO mask for ALC660VD ASUS fixup
  (bsc#1121278).
- ALSA: hda/realtek - Convert some manual GPIO setups
  (bsc#1121278).
- ALSA: hda/realtek - Simplify mute LED GPIO handling
  (bsc#1121278).
- ALSA: hda/realtek - Simplify alc885_fixup_macpro_gpio()
  (bsc#1121278).
- ALSA: hda/realtek - Consolidate gpio_data and gpio_led
  (bsc#1121278).
- ALSA: hda - Sanity check of unexpected cap_sync_hook override
  (bsc#1121278).
- ALSA: hda/sigmatel - Use common helper for mic mute LED
  (bsc#1121278).
- ALSA: hda - Allow multiple ADCs for mic mute LED controls
  (bsc#1121278).
- ALSA: hda/conexant - Use the mic-mute LED helper (bsc#1121278).
- ALSA: hda/realtek - Use the mic-mute LED helper for HP and
  others (bsc#1121278).
- ALSA: hda - Use the common helper for thinkpad_acpi mic mute
  LED handling (bsc#1121278).
- ALSA: hda - Move mic mute LED helper to the generic parser
  (bsc#1121278).
- commit 4a60a64
* Wed Jan  9 2019 tiwai@suse.de
- ALSA: memalloc: Add fall-through annotation (bsc#1121278).
- ALSA: hda - Clean up jackpoll_ms option handling (bsc#1121278).
- ALSA: hda: Remove substream allocation/free ops (bsc#1121278).
- ALSA: hda: Use new non-cached allocation for non-snoop mode
  (bsc#1121278).
- ALSA: hda: Check the non-cached stream buffers more explicitly
  (bsc#1121278).
- ALSA: memalloc: Add non-cached buffer type (bsc#1121278).
- ALSA: memalloc: Simplify snd_malloc_dev_pages() calls
  (bsc#1121278).
- ALSA: memalloc: Don't align the size to power-of-two
  (bsc#1121278).
- ALSA: hda - Fix a sparse warning about snd_ctl_elem_iface_t
  (bsc#1121278).
- ALSA: hda - Kill snd_hda_codec_update_cache() (bsc#1121278).
- ALSA: hda: use position offset macro of TLV data (bsc#1121278).
- ALSA: control: complement TLV macro for db-minmax and db-linear
  types (bsc#1121278).
- ALSA: core api: define offsets for TLV items (bsc#1121278).
- ALSA: hda - Sanity check of access to SPDIF controls array
  (bsc#1121278).
- ALSA: hda - Use a macro for snd_array iteration loops
  (bsc#1121278).
- ALSA: hda: Make use of core codec functions to sync power state
  (bsc#1121278).
- ALSA: hda: Copying sync power state helper to core
  (bsc#1121278).
- commit eba0ca1
* Wed Jan  9 2019 oneukum@suse.com
- blacklist.conf: no fixes to support gcc 8 are needed
- commit 03c3bb4
* Wed Jan  9 2019 oneukum@suse.com
- blacklist.conf: patches for supporting gcc 8 not needed
- commit 67b3559
* Wed Jan  9 2019 oneukum@suse.com
- blacklist.conf: no fixes to support gcc 8 are needed
- commit f17f235
* Wed Jan  9 2019 lhenriques@suse.com
- ceph: don't update importing cap's mseq when handing cap export
  (bsc#1121273).
- commit 1af5ec3
* Wed Jan  9 2019 oneukum@suse.com
- Refresh
  patches.drivers/0001-PCI-pciehp-Unify-controller-and-slot-structs.patch.
  (bsc#1120301)
- commit b8d3ea2
* Wed Jan  9 2019 oneukum@suse.com
- PCI: pciehp: Drop unnecessary NULL pointer check (bsc#1120690).
- Refresh
  patches.drivers/0001-PCI-pciehp-Unify-controller-and-slot-structs.patch.
- commit b5bee71
* Wed Jan  9 2019 fdmanana@suse.com
- btrfs: run delayed items before dropping the snapshot
  (bsc#1121263, bsc#1111188).
- commit 9312091
* Wed Jan  9 2019 pmladek@suse.com
- kdb: use memmove instead of overlapping memcpy (bsc#1120954).
- commit 3338727
* Wed Jan  9 2019 jroedel@suse.de
- KVM: X86: Fix scan ioapic use-before-initialization
  (CVE-2018-19407 bsc#1116841).
- commit 16f4823
* Wed Jan  9 2019 hare@suse.de
- nvme-multipath: zero out ANA log buffer (bsc#1105168).
- commit 9b02bfb
* Wed Jan  9 2019 hare@suse.de
- nvme: validate controller state before rescheduling keep alive
  (bsc#1103257).
- commit 0fad491
* Wed Jan  9 2019 tiwai@suse.de
- Update upstremaed patch tags and move to sroted section
- commit 40d9a93
* Wed Jan  9 2019 jroedel@suse.de
- iommu/amd: Fix amd_iommu=force_isolation (bsc#1106105).
- iommu/vt-d: Handle domain agaw being less than iommu agaw
  (bsc#1106105).
- Revert "iommu/io-pgtable-arm: Check for v7s-incapable systems"
  (bsc#1106105).
- commit 15b88ce
* Wed Jan  9 2019 jthumshirn@suse.de
- acpi/nfit, libnvdimm/security: add Intel DSM 1.8 master
  passphrase support (FATE#325581).
- commit 3981b30
* Wed Jan  9 2019 jthumshirn@suse.de
- acpi/nfit, libnvdimm: Introduce nvdimm_security_ops
  (FATE#325581).
- commit e7f0d26
* Wed Jan  9 2019 jthumshirn@suse.de
- acpi/nfit: Add support for Intel DSM 1.8 commands (FATE#325581).
- commit 38e815a
* Wed Jan  9 2019 jthumshirn@suse.de
- Update config files, enable NV-DIMM Security on x86_64 (FATE#325581).
- commit de169f9
* Wed Jan  9 2019 jthumshirn@suse.de
- keys-encrypted: add nvdimm key format type to encrypted keys
  (FATE#325581).
- commit e0ef367
* Wed Jan  9 2019 tiwai@suse.de
- Housekeeping: move upstreamed patches into sorted section
  Also, a kABI fix patch moved to patches.kabi.
- commit a40818b
* Wed Jan  9 2019 tiwai@suse.de
- Update upstreamed patch tags and move to sorted section
- commit e9f612e
* Tue Jan  8 2019 ptesarik@suse.cz
- Update config files: Fix vanilla build.
- commit 6424961
* Tue Jan  8 2019 nsaenzjulienne@suse.de
- usb: dwc2: host: use hrtimer for NAK retries (git-fixes).
- commit 3d9a7b6
* Tue Jan  8 2019 tiwai@suse.de
- x86/PCI: Apply VMD's AERSID fixup generically (bsc#1120058).
- x86/PCI: Add additional VMD device root ports to VMD AER quirk
  (bsc#1120058).
- x86/PCI: Enable AMD 64-bit window on resume (bsc#1120058).
- x86/PCI: Move and shrink AMD 64-bit window to avoid conflict
  (bsc#1120058).
- x86/PCI: Add "pci=big_root_window" option for AMD 64-bit windows
  (bsc#1120058).
- x86/PCI: Only enable a 64bit BAR on single-socket AMD Family
  15h (bsc#1120058).
- x86/PCI: Fix infinite loop in search for 64bit BAR placement
  (bsc#1120058).
- x86/PCI: Enable a 64bit BAR on AMD Family 15h (Models 00-1f,
  30-3f, 60-7f) (bsc#1120058).
- x86/PCI: Use is_vmd() rather than relying on the domain number
  (bsc#1120058).
- commit c7775ac
* Tue Jan  8 2019 nsaenzjulienne@suse.de
- gpio: raspberrypi-exp: decrease refcount on firmware dt node
  (git-fixes).
- commit cebaedd
* Tue Jan  8 2019 tiwai@suse.de
- x86/PCI: Avoid AMD SB7xx EHCI USB wakeup defect (bsc#1120058).
- commit a7f3eeb
* Tue Jan  8 2019 ptesarik@suse.cz
- blacklist.conf: Temporarily blacklist DRM fixes
- commit 5971a28
* Tue Jan  8 2019 tiwai@suse.de
- PCI: Delay after FLR of Intel DC P3700 NVMe (bsc#1120058).
- PCI: Disable Samsung SM961/PM961 NVMe before FLR (bsc#1120058).
- PCI: Export pcie_has_flr() (bsc#1120058).
- commit d3fce7d
* Tue Jan  8 2019 tiwai@suse.de
- PCI: iproc: Activate PAXC bridge quirk for more devices
  (bsc#1120058).
- PCI: Convert device-specific ACS quirks from NULL termination
  to ARRAY_SIZE (bsc#1120058).
- PCI: Mark fall-through switch cases before enabling
  - Wimplicit-fallthrough (bsc#1120058).
- commit cc31f9e
* Tue Jan  8 2019 tiwai@suse.de
- PCI: Add ACS quirk for Ampere root ports (bsc#1120058).
- PCI: Mark Ceton InfiniTV4 INTx masking as broken (bsc#1120058).
- PCI: Add ACS quirk for APM X-Gene devices (bsc#1120058).
- x86/PCI: Move VMD quirk to x86 fixups (bsc#1120058).
- PCI: Mark Intel XXV710 NIC INTx masking as broken (bsc#1120058).
- commit 42a6a1d
* Tue Jan  8 2019 jthumshirn@suse.de
- libnvdimm/security: Quiet security operations (FATE#325581).
- libnvdimm/security: Add documentation for nvdimm security
  support (FATE#325581).
- tools/testing/nvdimm: add Intel DSM 1.8 support for nfit_test
  (FATE#325581).
- tools/testing/nvdimm: Add overwrite support for nfit_test
  (FATE#325581).
- tools/testing/nvdimm: Add test support for Intel nvdimm security
  DSMs (FATE#325581).
- acpi/nfit, libnvdimm/security: Add security DSM overwrite
  support (FATE#325581).
- acpi/nfit, libnvdimm: Add support for issue secure erase DSM
  to Intel nvdimm (FATE#325581).
- acpi/nfit, libnvdimm: Add enable/update passphrase support
  for Intel nvdimms (FATE#325581).
- acpi/nfit, libnvdimm: Add disable passphrase support to Intel
  nvdimm (FATE#325581).
- acpi/nfit, libnvdimm: Add unlock of nvdimm support for Intel
  DIMMs (FATE#325581).
- acpi/nfit, libnvdimm: Add freeze security support to Intel
  nvdimm (FATE#325581).
- keys: Export lookup_user_key to external users (FATE#325581).
- acpi/nfit, libnvdimm: Store dimm id as a member to struct nvdimm
  (FATE#325581).
- commit b4c1258
* Tue Jan  8 2019 tiwai@suse.de
- intel_th: msu: Fix an off-by-one in attribute store
  (FATE#325099).
- intel_th: Allow forcing host mode through drvdata (FATE#325099).
- intel_th: Pick up irq number from resources (FATE#325099).
- intel_th: Don't touch switch routing in host mode (FATE#325099).
- commit cfdf074
* Tue Jan  8 2019 tiwai@suse.de
- ALSA: hda/tegra: clear pending irq handlers (bsc#1051510).
- ALSA: hda/realtek: Enable the headset mic auto detection for
  ASUS laptops (bsc#1051510).
- ALSA: hda/realtek: Enable audio jacks of ASUS UX391UA with
  ALC294 (bsc#1051510).
- ALSA: emu10k1: Fix potential Spectre v1 vulnerabilities
  (bsc#1051510).
- ALSA: rme9652: Fix potential Spectre v1 vulnerability
  (bsc#1051510).
- ALSA: hda: add mute LED support for HP EliteBook 840 G4
  (bsc#1051510).
- ALSA: hda: fix front speakers on Huawei MBXP (bsc#1051510).
- ALSA: pcm: Fix potential Spectre v1 vulnerability (bsc#1051510).
- ALSA: emux: Fix potential Spectre v1 vulnerabilities
  (bsc#1051510).
- commit 0656a1b
* Tue Jan  8 2019 tiwai@suse.de
- char_dev: Fix off-by-one bugs in find_dynamic_major()
  (bsc#1121058).
- char_dev: extend dynamic allocation of majors into a higher
  range (bsc#1121058).
- commit 16e7b70
* Tue Jan  8 2019 tbogendoerfer@suse.de
- vhost/vsock: fix use-after-free in network stack callers
  (bsc#1106615 CVE-2018-14625).
- commit 1c7e3c2
* Tue Jan  8 2019 jthumshirn@suse.de
- btrfs: btrfs_decompress_bio() could accept compressed_bio
  instead (FATE#324383).
- commit d59681e
* Tue Jan  8 2019 jthumshirn@suse.de
- btrfs: reduce arguments for decompress_bio ops (FATE#324383).
- commit 5f558e2
* Tue Jan  8 2019 mgorman@suse.de
- Refresh
  patches.suse/mm-page_alloc.c-free-order-0-pages-through-PCP-in-page_frag_free.patch.
- commit a350ff7
* Tue Jan  8 2019 jthumshirn@suse.de
- Update config files, enable ZSTD compression (FATE#324383).
- commit f00b771
* Tue Jan  8 2019 jthumshirn@suse.de
- btrfs: Add zstd support (FATE#324383).
- Refresh
  patches.suse/0005-btrfs-Move-leaf-and-node-validation-checker-to-tree-.patch.
- commit fd48c0d
* Tue Jan  8 2019 jthumshirn@suse.de
- lib: Add zstd modules (FATE#324383).
- lib: Add xxhash module (FATE#324383).
- commit 02f15f8
* Tue Jan  8 2019 mgorman@suse.de
- sched/fair: Fix infinite loop in update_blocked_averages()
  by reverting a9e7f6544b9c (Git fixes (scheduler)).
- commit bc3a0c1
* Tue Jan  8 2019 tbogendoerfer@suse.de
- tcp, ulp: fix leftover icsk_ulp_ops preventing sock from
  reattach (bsc#1109837).
- Refresh
  patches.drivers/tcp-ulp-remove-ulp-bits-from-sockmap.patch.
- commit b74413b
* Tue Jan  8 2019 tbogendoerfer@suse.de
- PCI: Fix incorrect value returned from pcie_get_speed_cap()
  (bsc#1103990 FATE#326006).
- net/dim: Update DIM start sample after each DIM iteration
  (bsc#1103990 FATE#326006).
- platform/x86: mlx-platform: Properly use
  mlxplat_mlxcpld_msn201x_items (bsc#1109837).
- commit c98a81b
* Tue Jan  8 2019 ptesarik@suse.cz
- drm/i2c: tda9950: add CEC driver (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 055744a
* Tue Jan  8 2019 jgross@suse.com
- xen/netfront: tolerate frags with no data (bnc#1119804).
- commit a96373a
* Tue Jan  8 2019 ptesarik@suse.cz
- drm: move amd_gpu_scheduler into common location (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- supported.conf: Mark gpu-sched as supported.
- commit 36e55a8
* Tue Jan  8 2019 ptesarik@suse.cz
- drm/tinydrm: Add RePaper e-ink driver (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- supported.conf: Mark tinydrm displays as unsupported for now.
- commit 9d74a65
* Tue Jan  8 2019 tiwai@suse.de
- Fix the breakage of KMP build on x86_64 (bsc#1121017)
  The backport of the commit 4cd24de3a098 broke KMP builds because of the
  failure of make kernelrelease call in spec file.  Clear the blacklist and
  backport the fix from the upstream.
- commit 83c2f81
* Tue Jan  8 2019 ptesarik@suse.cz
- drm/pl111: Initial drm/kms driver for pl111 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- supported.conf: Mark pl111_drm as unsupported for now.
- commit 0960708
* Tue Jan  8 2019 rgoldwyn@suse.com
- splice: don't read more than available pipe space (bsc#1119212).
- commit 81f665a
* Mon Jan  7 2019 mgorman@suse.de
- blacklist.conf: Minor vmstat issue but potentially breaks vmstat parsers if removed
- commit da9734f
* Mon Jan  7 2019 mgorman@suse.de
- mm: shmem.c: Correctly annotate new inodes for lockdep
  (Git fixes: shmem).
- commit d6cabaf
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/amd: Closed hash table with low overhead (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- supported.conf: Add drivers/gpu/drm/amd/lib/chash
- commit f845405
* Mon Jan  7 2019 mgorman@suse.de
- sched/fair: Fix infinite loop in update_blocked_averages()
  by reverting a9e7f6544b9c (Git fixes (scheduler)).
- mm: reclaim small amounts of memory when an external
  fragmentation event occurs (Fragmentation avoidance and control
  bnc#1120919).
- mm: use alloc_flags to record if kswapd can wake (Fragmentation
  avoidance and control bnc#1120919).
- mm: move zone watermark accesses behind an accessor
  (Fragmentation avoidance and control bnc#1120919).
- mm, page_alloc: spread allocations across zones before
  introducing fragmentation (Fragmentation avoidance and control
  bnc#1120919).
- mm/page_alloc.c: remove useless parameter of finalise_ac()
  (Fragmentation avoidance and control bnc#1120919).
- mm, page_alloc: wakeup kcompactd even if kswapd cannot free
  more memory (Fragmentation avoidance and control bnc#1120919).
- mm/page_alloc: make sure __rmqueue() etc are always inline
  (Fragmentation avoidance and control bnc#1120919).
- mm/page_alloc.c: eliminate unsigned confusion in
  __rmqueue_fallback (Fragmentation avoidance and control
  bnc#1120919).
- mm, page_alloc: fallback to smallest page when not stealing
  whole pageblock (Fragmentation avoidance and control
  bnc#1120919).
- commit 926e18b
* Mon Jan  7 2019 fdmanana@suse.com
- Btrfs: fix fsync of files with multiple hard links in new
  directories (1120173).
- commit 7eeaea9
* Mon Jan  7 2019 ailiopoulos@suse.com
- xfs: xfs_buf: drop useless LIST_HEAD (git-fixes).
- commit 8704d41
* Mon Jan  7 2019 tiwai@suse.de
- Update patch reference for a usb hso fix (CVE-2018-19985, bsc#1120743).
- commit 91f72a0
* Mon Jan  7 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gen9+: Fix initial readout for Y tiled framebuffers'
- commit 8b49aea
* Mon Jan  7 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Handle incomplete Z_FINISH for compressed error states'
- commit 60f6775
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/nouveau: Don't disable polling in fallback mode
  (bsc#1103356).
- drm/mgag200: Implement basic PM support (bnc#872213).
- drm/mgag200: Add mode validation debugging code (bnc#876772).
- drm/mgag200: Add command line option to specify preferred depth
  (bnc#893040).
- drm/mgag200: Consolidate depth/bpp handling (bnc#882324).
- drm/mgag200: Don't use crtc_* parameters for validation
  (bnc#876772).
- drm/mgag200: Cleanup cursor BOs properly (bnc#876097).
- drm/mgag200: Add support for MATROX PCI device IDs 0x520 and
  0x521 (bnc#893040).
- drm/mgag200: Simplify function mgag200_ttm_placement()
  (bnc#806990).
- drm/mgag200: Initialize data needed to map fbdev memory
  (bnc#806990).
- drm/mgag200: Free container instead of member in
  mga_user_framebuffer_destroy() (bnc#806990).
- drm/mgag200: Fix memleak in error path in mgag200_bo_create()
  (bnc#806990).
- drm/mgag200: Add additional limits for certain G200 variants
  (bnc#893040).
- drm/mgag200: Add doublescan and interlace support (bnc#893040).
- drm/meson: add support for 1080p25 mode (bsc#1051510).
- drm/meson: Fix OOB memory accesses in meson_viu_set_osd_lut()
  (bsc#1051510).
- drm/meson: Enable fast_io in meson_dw_hdmi_regmap_config
  (bsc#1051510).
- drm/ast: Fix incorrect free on ioregs (bsc#1051510).
- drm/i915: Write GPU relocs harder with gen3 (bsc#1051510).
- drm/ast: fixed cursor may disappear sometimes (bsc#1051510).
- drm/ast: change resolution may cause screen blurred
  (boo#1112963).
- drm/ast: Remove existing framebuffers before loading driver
  (bsc#1111174 boo#1112963).
- drm/i915/execlists: Force write serialisation into context
  image vs execution (bsc#1051510).
- drm/dp_mst: Check if primary mstb is null (bsc#1051510).
- drm/i915: Fix ilk+ watermarks when disabling pipes
  (bsc#1051510).
- drm/i915: Don't oops during modeset shutdown after lpe audio
  deinit (bsc#1051510).
- drm/i915: Mark pin flags as u64 (bsc#1051510).
- drm/i915/glk: Remove 99%% limitation (bsc#1051510).
- drm/i915/hdmi: Add HDMI 2.0 audio clock recovery N values
  (bsc#1051510).
- drm/edid: Add 6 bpc quirk for BOE panel (bsc#1051510).
- drm/i915/gen9+: Fix initial readout for Y tiled framebuffers
  (bsc#1113722).
- drm/i915: Large page offsets for pread/pwrite (bsc#1051510).
- drm/i915/dp: Link train Fallback on eDP only if fallback link
  BW can fit panel's native mode (bsc#1051510).
- drm/i915: Skip vcpi allocation for MSTB ports that are gone
  (bsc#1051510).
- drm/i915: Don't unset intel_connector->mst_port (bsc#1051510).
- drm/i915: Restore vblank interrupts earlier (bsc#1051510).
- drm/amdgpu/powerplay: fix missing break in switch statements
  (bsc#1113722).
- drm/nouveau: Check backlight IDs are >= 0, not > 0
  (bsc#1051510).
- drm/omap: fix memory barrier bug in DMM driver (bsc#1051510).
- drm/hisilicon: hibmc: Don't overwrite fb helper surface depth
  (bsc#1113722).
- drm/hisilicon: hibmc: Do not carry error code in HiBMC
  framebuffer pointer (bsc#1113722).
- drm/amdgpu: add missing CHIP_HAINAN in
  amdgpu_ucode_get_load_type (bsc#1051510).
- drm/i915/cfl: Add a new CFL PCI ID (FATE#322643).
- drm/rockchip: Allow driver to be shutdown on reboot/kexec
  (bsc#1051510).
- drm/virtio: fix bounds check in virtio_gpu_cmd_get_capset()
  (bsc#1113722).
- drm/cirrus: Use drm_framebuffer_put to avoid kernel oops in
  clean-up (bsc#1101822).
- drm/sti: do not remove the drm_bridge that was never added
  (bsc#1113722).
- drm/msm: fix OF child-node lookup (bsc#1106110).
- drm/mediatek: fix OF sibling-node lookup (bsc#1106110).
- drm/sun4i: Fix an ulong overflow in the dotclock driver
  (bsc#1106110).
- drm: Get ref on CRTC commit object when waiting for flip_done
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/edid: VSDB yCBCr420 Deep Color mode bit definitions
  (bsc#1051510).
- drm: fix use of freed memory in drm_mode_setcrtc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: fb-helper: Reject all pixel format changing requests
  (bsc#1113722).
- drm/edid: Add 6 bpc quirk for BOE panel in HP Pavilion 15-n233sl
  (bsc#1113722).
- drm/nouveau/drm/nouveau: Grab runtime PM ref in
  nv50_mstc_detect() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- ALSA: hda: Fix the audio-component completion timeout
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix incorrect use of process->mm (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Signal hw_done() after waiting for flip_done()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/cma-helper: Fix crash in fbdev error path (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: fix use-after-free read in drm_mode_create_lease_ioctl()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda9950: set MAX_RETRIES for errors only (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda9950: fix timeout counter check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Handle incomplete Z_FINISH for compressed error states
  (bsc#1100132).
- drm/i915: Avoid compiler warning for maybe unused gu_misc_iir
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Do not redefine the has_csr parameter (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: Use selected dma_dev default iommu domain instead
  of a fake one (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fix Edid emulation for linux (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix Vega10 lightup on S3 resume (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix vce work queue was not cancelled when suspend
  (bsc#1106110).
- Revert "drm/panel: Add device_link from panel device to DRM
  device" (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/syncobj: Don't leak fences when WAIT_FOR_SUBMIT is set
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/malidp: Fix writeback in NV12 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: mali-dp: Call drm_crtc_vblank_reset on device init
  (bsc#1051510).
- drm/etnaviv: add DMA configuration for etnaviv platform device
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix ATS capablity was not reported correctly on
  some APUs (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdkfd: Change the control stack MTYPE from UC to NC on GFX9
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix SDMA HQD destroy error on gfx_v7 (bsc#1051510).
- drm/amdgpu: add new polaris pci id (bsc#1051510).
- drm/vmwgfx: Fix buffer object eviction (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Don't impose STDU limits on framebuffer size
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: limit mode size for all display unit to texture_max
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: limit screen size to stdu_max during check_modeset
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: don't check for old_crtc_state enable status
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: clear ggtt entries when destroy vgpu
  (bsc#1051510).
- drm/i915/gvt: request srcu_read_lock before checking if one
  gfn is valid (bsc#1051510).
- drm/i915/gvt: Add GEN9_CLKGATE_DIS_4 to default BXT mmio handler
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Init PHY related registers for BXT (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: sun4i: drop second PLL from A64 HDMI PHY (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: fix drm_drv_uses_atomic_modeset on non modesetting drivers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Use drm_drv_uses_atomic_modeset() for debugfs
  creation (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/fb-helper: Remove set but not used variable
  'connector_funcs' (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm: udl: Destroy framebuffer only if it was initialized
  (bsc#1051510).
- drm/sun4i: Remove R40 display pipeline compatibles (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Make sure of_device_id tables are NULL terminated
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Fix the "no scaling" case on multi-planar YUV formats
  (bsc#1051510).
- drm/nouveau/devinit: fix warning when PMU/PRE_OS is missing
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix error handling in amdgpu_cs_user_fence_chunk
  (bsc#1106110).
- drm/amdgpu: move PSP init prior to IH in gpu reset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix SDMA hang in prt mode v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix amdgpu_mn_unlock() in the CS error path
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/overlay: Allocate physical registers from stolen
  (bsc#1051510).
- drm/i915/gvt: Fix the incorrect length of child_device_config
  issue (bsc#1051510).
- drm/i915/gvt: Fix life cycle reference on KVM mm (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/bdw: Increase IPS disable timeout to 100ms (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/disp/gm200-: enforce identity-mapped SOR assignment
  for LVDS/eDP panels (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/disp: fix DP disable race (bsc#1051510).
- drm/nouveau/disp: move eDP panel power handling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/disp: remove unused struct member (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/TBDdevinit: don't fail when PMU/PRE_OS is missing
  from VBIOS (bsc#1051510).
- drm/nouveau/mmu: don't attempt to dereference vmm without
  valid instance pointer (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau: fix oops in client init failure path (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Fix nouveau_connector_ddc_detect() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/drm/nouveau: Don't forget to cancel hpd_work on
  suspend/unload (bsc#1051510).
- drm/nouveau/drm/nouveau: Prevent handling ACPI HPD events too
  early (bsc#1051510).
- drm/nouveau: Reset MST branching unit before enabling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Only write DP_MSTM_CTRL when needed (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Remove useless poll_enable() call in drm_load()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Remove useless poll_disable() call in
  switcheroo_set_state() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau: Remove useless poll_enable() call in
  switcheroo_set_state() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau: Fix deadlocks in nouveau_connector_detect()
  (bsc#1051510).
- drm/nouveau/drm/nouveau: Use pm_runtime_get_noresume() in
  connector_detect() (bsc#1051510).
- drm/nouveau/drm/nouveau: Fix deadlock with fb_helper with async
  RPM requests (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau: Remove duplicate poll_enable() in
  pmops_runtime_suspend() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/drm/nouveau: Fix bogus drm_kms_helper_poll_enable()
  placement (bsc#1051510).
- drm/i915/dp_mst: Fix enabling pipe clock for all streams
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dsc: Fix PPS register definition macros for 2nd
  VDSC engine (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Re-apply "Perform link quality check, unconditionally
  during long pulse" (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/gvt: Give new born vGPU higher scheduling chance
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Fix drm_format_mod value for vGPU plane
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: move intel_runtime_pm_get out of spin_lock in
  stop_schedule (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/gvt: Handle GEN9_WM_CHICKEN3 with F_CMD_ACCESS
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Make correct handling to vreg BXT_PHY_CTL_FAMILY
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: emulate gen9 dbuf ctl register access (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/audio: Hook up component bindings even if displays
  are disabled (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Increase LSPCON timeout (bsc#1051510).
- drm/i915: Stop holding a ref to the ppgtt from each vma
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Free write_buf that we allocated with kzalloc
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix glk/cnl display w/a #1175 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Need to set moved to true when evict bo (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Remove duplicated power source update (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix memory leak caused by missed
  dc_sink_release (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: fix holding mn_lock while allocating memory
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Power on uvd block when hw_fini (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Update power state at the end of smu hw_init
  (bsc#1051510).
- drm/amdgpu: Fix vce initialize failed on Kaveri/Mullins
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Enable/disable gfx PG feature in rlc safe mode
  (bsc#1051510).
- drm/amdgpu: Adjust the VM size based on system memory size v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix bug use wrong pp interface (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix page fault and kasan warning on pci device
  remove (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- amdgpu: fix multi-process hang issue (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix preamble handling (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix VM clearing for the root PD (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: fix connection from RDMA2 to DSI1 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: update some variable name from ovl to comp
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: use layer_nr function to get layer number to
  init plane (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/mediatek: add function to return RDMA layer number
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add function to return OVL layer number
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add function to get layer number for component
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add YUYV/UYVY color format support for RDMA
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add the comment about color format setting for OVL
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add RGB color format support for RDMA (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add memory mode and layer_config for RDMA
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add connection from RDMA2 to DSI0 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add connection from RDMA1 to DSI0 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add connection from RDMA0 to DSI1 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add connection from RDMA0 to DPI1 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: Replace drm_dev_unref with drm_dev_put
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: Convert drm_atomic_helper_suspend/resume()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Convert to new IDA API (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/edid: Add 6 bpc quirk for SDC panel in Lenovo B50-80
  (bsc#1051510).
- commit 6ea2614
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/amd/display: Don't build DCN1 when kcov is enabled
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit c9ede92
* Mon Jan  7 2019 ptesarik@suse.cz
- Revert "drm/amdgpu/display: Replace CONFIG_DRM_AMD_DC_DCN1_0
  with CONFIG_X86" (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- Update config files.
- commit 2ccc5a0
* Mon Jan  7 2019 jack@suse.cz
- blacklist.conf: Blacklist a95c90f1e2c2
- commit c23f30c
* Mon Jan  7 2019 tzimmermann@suse.de
- drm: rcar-du: Fix external clock error checks (bsc#1113722)
- commit 3da9c2e
* Mon Jan  7 2019 tzimmermann@suse.de
- drm: rcar-du: Fix vblank initialization (bsc#1113722)
- commit d3ae83f
* Mon Jan  7 2019 tzimmermann@suse.de
- drm/vc4: ->x_scaling[1] should never be set to VC4_SCALING_NONE (bsc#1113722)
- commit b56b9d7
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/amdgpu/display: disable eDP fast boot optimization on DCE8
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix amdgpu_amdkfd_remove_eviction_fence v3
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix incorrect use of drm_file->pid (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix incorrect use of fcheck (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/powerplay: enable dpm under pass-through (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: access register without KIQ (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: set correct base for THM/NBIF/MP1 IP (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix dentist did ranges (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: make dp_ss_off optional (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix dp_ss_control vbios flag parsing
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Do not retain link settings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: tv123wam: Add unprepare delay (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: hdmi: add CEC notifier to intel_hdmi (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- media: cec-notifier: Get notifier by device and connector name
  (FATE#326289).
- drm/msm/adreno: Load the firmware before bringing up the
  hardware (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/msm: Add a helper function to parse clock names (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: fix memory leak in intel_vgpu_ioctl() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Off by one in intel_vgpu_write_fence()
  (bsc#1051510).
- drm/i915/kvmgt: Fix potential Spectre v1 (bsc#1051510).
- drm/i915/gvt: return error on cmd access (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: initialize dmabuf mutex in vgpu_create
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: fix cleanup sequence in intel_gvt_clean_device
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: free workload in vgpu release (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/kvmgt: fix an error code in gvt_dma_map_page()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: set DP Main Stream Attribute for color range on DDI
  platforms (bsc#1051510).
- drm/i915/selftests: Hold rpm for unparking (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Restore user forcewake domains across suspend
  (bsc#1100132).
- drm/i915: Unmask user interrupts writes into HWSP on
  snb/ivb/vlv/hsw (bsc#1051510).
- drm/amdgpu: Use kvmalloc for allocating UVD/VCE/VCN BO backup
  memory (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Guard against null crtc in CRC IRQ (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Pass connector id when executing VBIOS CT
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Check if clock source in use before disabling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Allow clock sharing b/w HDMI and DVI
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix warning observed in mode change on Vega
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix single link DVI has no display (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vce: VCE entity initialization relies on ring
  initializtion (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu/uvd: UVD entity initialization relys on ring
  initialization (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu:add VCN booting with firmware loaded by PSP
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:add VCN support in PSP driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:add new firmware id for VCN (bsc#1051510).
- drm/amdgpu: update tmr mc address (bsc#1106110).
- drm/amdgpu:add tmr mc address into amdgpu_firmware_info
  (bsc#1051510).
- drm/msm/disp/dpu: fix early dereference of physical encoder
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/adreno: Remove VLA usage (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/disp/dpu: fix two spelling mistakes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda9950: Remove VLA usage (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sriov: give 8s for recover vram under RUNTIME
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scheduler: fix param documentation (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/scheduler: fix timeout worker setup for out of order job
  completions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: display connected to dp-1 does not light up
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: update clk for various HDMI color depths
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: program display clock on cache match
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add NULL check for enabling dp ss (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add vbios table check for enabling dp ss
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't share clk source between DP and HDMI
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use calculated disp_clk_khz value for dce110
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Implement custom degamma lut on dcn
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Destroy aux_engines only once (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Read back max backlight value at boot
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Implement backlight_ops.get_brightness
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: DP Compliance 400.1.1 failure (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use requested HDMI aspect ratio (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Only require EDID read for HDMI and DVI
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Report non-DP display as disconnected
  without EDID (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/imx: Convert drm_atomic_helper_suspend/resume() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/lpe: Mark LPE audio runtime pm as "no callbacks"
  (bsc#1051510).
- Revert "drm/i915/icl: WaEnableFloatBlendOptimization"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Interactive RPS mode (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix psr sink status report (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vkms: Fix connector leak at the module removal (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm_dp_cec.c: fix formatting typo: %%pdH -> %%phD (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: clean up non-x86 definitions on ttm_tt (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Add ttm_set_pages_wc and ttm_set_pages_uc helper
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: fix missed conversion of set_pages_array_uc
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pm: Fix potential Spectre v1 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add missing void parameter to
  dc_create_transfer_func (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/radeon: Replace ttm_bo_unref with ttm_bo_put (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Replace ttm_bo_reference with ttm_bo_get
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Replace ttm_bo_unref with ttm_bo_put (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Replace ttm_bo_reference with ttm_bo_get
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scheduler: stop setting rq to NULL (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/scheduler: only kill entity if last user is killed v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: create an empty bo_list if no handle is provided
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: allocate the bo_list array after the list
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add bo_list iterators (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: nuke amdgpu_bo_list_free (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: always recreate bo_list (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move bo_list defines to amdgpu_bo_list.h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add new amdgpu_vm_bo_trace_cs() function v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: return error if both BOs and bo_list handle is given
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix total size calculation (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sched: remove unneeded -Iinclude/drm compiler flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add proper error handling to amdgpu_bo_list_get
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix a reversed condition (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Convert voltage unit in mV*4 to mV on CZ/ST
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Delete unused temp variables (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp/Polaris12: Fix a chunk of registers missed to program
  (bsc#1051510).
- drm/amdgpu: clean up the superfluous space and align the
  comment text for amdgpu_ttm (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: correct evict flag for bo move (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Merge hugepage attr changes in ttm_dma_page_put. (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: clean up non-x86 definitions on ttm_page_alloc
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: clean up non-x86 definitions on ttm_page_alloc_dma
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add ttm_set_memory header (v2) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: implement harvesting support for UVD 7.2 (v3)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Add missing fields in atom_integrated_system_info_v1_11
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: DC 3.1.59 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Prevent PSR from being enabled if
  initialization fails (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Fix Vega10 black screen after mode change
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: flatten aux_engine and engine (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Retry link training again (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: patch the IBs for the second UVD instance v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add support for inplace IB patching for MM
  engines v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/etnaviv: fix crash in GPU suspend when init failed due
  to buffer placement (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/etnaviv: protect sched job submission with fence mutex
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: mmuv2: use memset32 to init scratch page
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda998x: correct PLL divider calculation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda998x: get rid of private fill_modes function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda998x: move mode_valid() to bridge (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda998x: register bridge outside of component helper
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda998x: cleanup from previous changes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda998x: allocate tda998x_priv inside tda998x_create()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda998x: convert to bridge driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda998x: move tda998x_set_config() into
  tda998x_create() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i2c: tda998x: split tda998x_encoder_dpms into enable/disable
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda998x: find the drm_device via the drm_connector
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arm/hdlcd: Reject atomic commits that disable only the plane
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: arm: hdlcd: Use drm_atomic_helper_shutdown() to disable
  planes on removal (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm: arm: hdlcd: Don't destroy plane manually in
  hdlcd_setup_crtc() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/arm/hdlcd: Use drm_fb_cma_fbdev_init/fini() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arm/hdlcd: Use drm_mode_config_helper_suspend/resume()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: remove obsolete fb unreferencing kfifo and workqueue
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: remove unnecessary armada_plane structure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: remove unnecessary armada_ovl_plane structure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: update primary framebuffer parameters on mode change
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: update planes after the dumb frame is complete
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: switch overlay plane to atomic modeset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: switch primary plane to atomic modeset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: switch legacy modeset to atomic modeset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: enable atomic modeset support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: implement atomic_enable()/atomic_disable() methods
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: unhook dpms state from armada_drm_crtc_update()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: push responsibility for clock management to backend
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: handle atomic modeset crtc events (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: clean up SPU_ADV_REG (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/armada: update debug in armada_drm_crtc_mode_set_nofb()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: move sync signal polarity to mode_set_nofb() method
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: push interlace calculation into
  armada_drm_plane_calc() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/armada: provide pitches from armada_drm_plane_calc_addrs()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: pass plane state into armada_drm_plane_calc_addrs()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: move armada_drm_mode_config_funcs to armada_drv.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: add plane colorspace properties (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: remove crtc YUV colourspace properties (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: move colorkey properties into overlay plane state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: move CBSH properties into overlay plane state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: move plane works to overlay (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/armada: move primary plane to separate file (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: use old_state for update tracking in atomic_update()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: remove temporary crtc state (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/armada: convert overlay plane to atomic state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: convert page_flip to use primary plane
  atomic_update() (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/armada: convert primary plane to atomic state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: reset all atomic state during driver initialisation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: merge armada_drm_gra_plane_regs() into only caller
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: use core of primary update_plane for mode set
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: move mode set vblank handling and disable/enable
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: add rectangle helpers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/armada: clean up armada_drm_crtc_page_flip() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: Replace drm_dev_unref with drm_dev_put (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/disp/dpu: Mark a handful of functions as static
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/disp/dpu: Remove unused functions from dpu_formats.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/disp/dpu: Remove dpu_kms_utils (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/disp/dpu: Remove unused code from drm_crtc.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/disp/dpu: Remove unused code from drm_encoder.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Replace PTR_RET with PTR_ERR_OR_ZERO (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: mark PM functions as __maybe_unused (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dpu: fix mismatch in function argument (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/gpu: avoid deprecated do_gettimeofday (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: dsi: Handle dual-channel for 6G as well (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: dpu: Use clock-names instead of assigned-clock-names
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: dpu: Use 'vsync' instead of 'vsync_clk' in cmdmode
  encoder (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/msm/gpu: Add the buffer objects from the submit to the
  crash dump (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/msm/adreno: Add a5xx specific registers for the GPU state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/adreno: Add ringbuffer data to the GPU state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/adreno: Convert the show/crash file format (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/gpu: Capture the GPU state on a GPU hang (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/gpu: Rearrange the code that collects the task during
  a hang (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/msm/gpu: Convert the GPU show function to use the GPU state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/gpu: Capture the state of the GPU (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add puts callback for the coredump printer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add a -puts() function for the seq_file printer
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add drm_puts() to complement drm_printf() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: drm_printer: Add printer for devcoredump (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- include: Move ascii85 functions from i915 to linux/ascii85.h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: rework vblank event handling in dpu_crtc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Add SDM845 DPU support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Add pm_suspend/resume callbacks to msm_kms (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Add .commit() callback to msm_kms functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: #define MAX_<OBJECT> in msm_drv.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Use labels for unwinding in the error path (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: #define MDP version numbers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Clean up dangling atomic_wq (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: higher values of pclk can exceed 32 bits when
  multiplied by a factor (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/msm: enable zpos normalization (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: subclass msm_mdss for mdp5 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Move wait_for_vblanks into mdp complete_commit() hooks
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: set encoder mode for DRM bridge explicitly
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: initialize postdiv_lock before use for 10nm pll
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: Use one connector for dual DSI mode (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: adjust dsi timing for dual dsi mode (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: add msm compressed format modifiers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add support for pps and compression mode command packet
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: negative x/y in cursor move (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: replace version checks with helper functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: add implementation for helper functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: add dsi host helper functions support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: fix missing CTL flush (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/gpu: Increase the pm runtime autosuspend for 5xx
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/adreno: Add power management functions for system sleep
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: call drm_atomic_helper_suspend() and
  drm_atomic_helper_resume() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- udl-kms: dont spam the syslog with debug messages (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- udl-kms: use spin_lock_irq instead of spin_lock_irqsave
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- udl-kms: avoid prefetch (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- udl-kms: avoid division (bsc#1051510).
- udl-kms: fix crash due to uninitialized memory (bsc#1051510).
- udl-kms: handle allocation failure (bsc#1051510).
- udl-kms: change down_interruptible to down (bsc#1051510).
- drm/amdkfd: Call kfd2kgd.set_compute_idle (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add kfd2kgd.set_compute_idle interface (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add CU-masking ioctl to KFD (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Add CU-masking ioctl definition to kfd_ioctl.h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Enable Raven for KFD (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Optimize out some duplicated code in
  kfd_signal_iommu_event() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdkfd: Workaround to accommodate Raven too many PPR issue
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Avoid flooding dmesg on Raven due to IOMMU issues
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Make SDMA engine number an ASIC-dependent variable
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Consolidate duplicate memory banks info in topology
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Clean up reference of radeon (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Replace mqd with mqd_mgr as the variable name for
  mqd_manager (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdkfd: Use module parameters noretry as the internal
  variable name (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdkfd: Introduce KFD module parameter halt_if_hws_hang
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add debugfs interface to trigger HWS hang
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Avoid destroy hqd when GPU is on reset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Avoid invalidate tlbs when gpu is on reset
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix kernel queue 64 bit doorbell offset calculation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Check NULL pointer for job before reset job's ring
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Don't use shadow BO for compute context (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Implement hang detection in KFD and call amdgpu
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Enable the gpu reset from KFD (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Implement GPU reset handlers in KFD (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Call KFD reset handlers during GPU reset
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add gpu reset interface and place holder
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Add kfd ioctl defines for hw_exception event
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Add gpu reset interfaces between amdgpu and amdkfd
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: fix zero reading of VMID and PASID for Hawaii
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Handle VM faults in KFD (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: save vm fault information for amdkfd (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: send SIGSEGV to process upon KFD_EVENT_TYPE_MEMORY
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix error codes in kfd_get_process (bsc#1051510).
- drm/amdkfd: Fix race between scheduler and context restore
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Stop using GFP_NOIO explicitly (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Reliably prevent reclaim-FS while holding DQM lock
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/admkfd use modern ktime accessors (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- gpu: drm: amdgpu: Replace mdelay with msleep in
  cik_pcie_gen3_enable() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu/gmc9: clarify GPUVM fault error message (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scheduler: remove sched field from the entity (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scheduler: modify API to avoid redundancy (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: reduce the number of placements for a BO
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: consistenly name amdgpu_bo_ functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: expose only the first UVD instance for now
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: clean up coding style a bit (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: DC 3.1.58 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: separate dc_debug into dc_debug_options and
  dc_debug data (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Decouple aux from i2c (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: DPP CM ICSC AYCRCB8888 format support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: allow diags to skip initial link training
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unnecessary warning (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move the amdgpu_fbdev_set_suspend() further up
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Don't warn on destroying a pinned BO (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: allow slow switch only if NBPState enabled v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: correct the argument for
  PPSMC_MSG_SetUclkFastSwitch (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/powerplay: slow UCLK switch when multiple displays
  not in sync (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Fix RLC safe mode test in
  gfx_v9_0_enter_rlc_safe_mode (bsc#1051510).
- drm/amdgpu: rework suspend and resume to deal with atomic
  changes (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: split ip suspend into 2 phases (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/acpi: skip backlight events for DC (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/apci: don't call sbios request function if it's
  not supported (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Fix warning in dma_fence_is_later on resume from S3
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use drm_fb helper for console_(un)lock (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Convert 10kHz clks from PPLib into kHz
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Set Max clock level to display by default
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Update clk with od setting when set power state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Read vbios vddc limit before use them (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: lock and unlock console only for
  amdgpu_fbdev_set_suspend (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Honor pplib stutter mask for all ASICs in DC
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Drop unused backlight functions in DM
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix spelling mistake "successed" -> "succeeded"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/mixer: Remove unused local variable priv (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: Ensure suspended runtime PM state during system
  suspend (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/exynos: Suspend/resume display pipeline as early/late
  as possible (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/exynos: Drop useless check from exynos_drm_{suspend,resume}
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: Use common exynos_drm_gem_get()/put() functions
  for GEM lookup (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/exynos: gem: Simplify access to exynos GEM objects
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: g2d: Convert to driver component API (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: mali-dp: Set encoder possible_clones (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: mali-dp: Report writeback connector as connected
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/imx: Remove unused field imx_drm_device.pipes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/imx: Replace drm_dev_unref with drm_dev_put (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/imx: Remove last traces of struct imx_drm_crtc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: clean up UVD instance handling v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove superflous UVD encode entity (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 0c881e8
* Mon Jan  7 2019 tzimmermann@suse.de
- drm/vc4: Set ->is_yuv to false when num_planes == 1 (bsc#1113722)
- commit 560bb22
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/amdgpu/display: Replace CONFIG_DRM_AMD_DC_DCN1_0 with
  CONFIG_X86 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- Update config files.
- commit 6502270
* Mon Jan  7 2019 tzimmermann@suse.de
- drm/rockchip: psr: do not dereference encoder before it is null (bsc#1113722)
- commit edf3d3a
* Mon Jan  7 2019 tzimmermann@suse.de
- drm/ioctl: Fix Spectre v1 vulnerabilities (bsc#1113722)
- commit 299de51
* Mon Jan  7 2019 tzimmermann@suse.de
- drm/nouveau/kms: Fix memory leak in nv50_mstm_del() (bsc#1113722)
- commit 869702a
* Mon Jan  7 2019 tzimmermann@suse.de
- drm/amdgpu: update SMC firmware image for polaris10 variants (bsc#1113722)
- commit d9a7aaf
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/amd/powerplay: fixed uninitialized value (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/powerplay: use irq source defines for smu7 sources
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pm: Remove VLA usage (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: simplify the bo reference on amdgpu_bo_update
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove internal/unused kernel module parameters
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: change ring priority after pushing the job (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: allow for more flexible priority handling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: Update golden settings for vg10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: minor cleanup in amdgpu_job.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove job->adev (v2) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add amdgpu_job_submit_direct helper (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove job->ring (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove ring parameter from amdgpu_job_submit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove fence context from the job (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: cleanup job header (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix some checkpatch.pl errors and warnings in
  dc_link_dp.c (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Null ptr check for set_sdr_white_level
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.56 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: add new dc debug structure to track debug data
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move address tracking out of HUBP (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add hook for MST root branch info (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add HDR visual confirm (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refactor SDR cursor boosting in HDR mode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add headers for hardcoded 1d luts (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scheduler: add NULL pointer check for run queue (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Allow to create BO lists in CS ioctl v3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/amd/powerplay: fix performance drop on Vega10"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pp: switch smu callback type for get_argument()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pp: split out common smumgr smu9 code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pp: remove dead vega12 code (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pp/smu7: cache smu firmware toc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pp/smu7: remove local mc_addr variable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pp/smu7: drop unused values in smu data structure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vi: fix mixed up state in smu clockgating setup
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: properly turn autocal off (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Initialize data structure for
  DalMpVisualConfirm (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.55 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: update dml to match DV dml (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add max scl ratio to soc bounding box
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix new stream count check in
  dc_add_stream_to_ctx (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: dp debugfs allow link rate lane count greater
  than dp rx reported caps (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Expose couple OPTC functions through header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add CRC support for DCN (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Return out_link_loss from interrupt handler
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add NULL check for local sink in
  edp_power_control (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: add pp to dc powerlevel enum translator
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add DalEnableHDMI20 key support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: introduce concept of send_reset_length for
  i2c engines (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Read AUX channel even if only status byte
  is returned (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Right shift AUX reply value sooner than later
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Expose bunch of functions from
  dcn10_hw_sequencer (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Add YCbCr420 only support for HDMI 4K@60
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.54 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Linux hook test pattern through debufs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: expose dcn10_aux_initialize in header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add dcn cursor hotsport rotation and mirror
  support (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: set default GPIO_ID_HPD (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add missing mask for dcn (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix compile error on older GCC versions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Linux set/read lane settings through debugfs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Patch for extend time to panel poweron
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add additional info for cursor position
  programming (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: drop unused register defines (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove dentist_vco_freq from resource_pool
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: hook dp test pattern through debugfs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dcc always on for bw calculations on raven
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: read DP sink and DP branch hardware and
  firmware revision from DPCD (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Convert remaining loggers off dc_logger
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Return aux replies directly to DRM (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Break out function to simply read aux reply
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Serialize is_dp_sink_present (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Expose configure_encoder for link_encoder
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Define couple extra DCN registers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add Azalia registers to HW sequencer
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Correct calculation of duration time
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.53 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: set-read link rate and lane count through
  debugfs (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix incorrect check for atom table size
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: generic indirect register access (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix bug where we are creating bogus i2c aux
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move common GPIO registers into a common define
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Linux Set/Read link rate and lane count
  through debugfs (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Implement cursor multiplier (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: support access ddc for mst branch (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add avoid_vbios_exec_table debug bit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Separate HUBP surface size and rotation/mirror
  programming (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- Revert "drm/amd/display: make dm_dp_aux_transfer return payload
  bytes instead of size" (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: Warn and update pin_size values when destroying
  a pinned BO (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Make pin_size values atomic (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Keep track of amount of pinned CPU visible VRAM
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scheduler: modify args of drm_sched_entity_init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scheduler: add a pointer to scheduler in the rq (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix TTM move entity init order (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Use newly added interrupt source defs for SOC15
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Add interrupt source definitions for SOC15 v3
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Use newly added interrupt source defs for VI v3
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Add interrupt source definitions for VI v3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: convert the sclk/mclk into Mhz for
  comparation (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/powerplay: no need to mask workable gfxoff feature
  for vega12 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/powerplay: add vega12 SMU gfxoff support v3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: reduce the idle period that RLC has to wait before
  request CGCG (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: no touch for the reserved bit of
  RLC_CGTT_MGCG_OVERRIDE (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: drop mmRLC_PG_CNTL clear v2 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: correct rlc save restore list initialization
  for v2_1 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: init CSIB regardless of rlc version and pg status
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: pin the csb buffer on hw init v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: fix semicolon.cocci warnings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: get VCN start to process in the dpm disabled case
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move cache window setup after power and clock resume
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Take VCN jpeg ring into account in idle work handler
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Replace ttm_bo_unref() with ttm_bo_put() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Replace ttm_bo_reference() with ttm_bo_get()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Introduce ttm_bo_get() and ttm_bo_put() for ref
  counting (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/ttm: use swap macro in ttm_bo_handle_move_mem (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Send khz clock values to DC for smu7/8 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Present amdgpu_task_info in VM_FAULTS (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add support for logging process info in amdgpu_vm
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Make function pointer structs const
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: make function tables const (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Convert 10KHz to KHz as variable name (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add CLK IP base offset (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix kmap error handling for bo creations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: allocate gart memory when it's required (v3)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: separate gpu address from bo pin (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20180719 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove intel_panel_detect() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Assume eDP is always connected (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Nuke the LVDS lid notifier (bsc#1051510).
- drm/i915/execlists: Move the assertion we have the rpm
  wakeref down (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Handle recursive shrinker for vma->last_active
  allocation (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/guc: Keep guc submission permanently engaged
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- i915/dp/dsc: Add Rate Control Range Parameter Registers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- i915/dp/dsc: Add Rate Control Buffer Threshold Registers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- i915/dp/dsc: Add DSC PPS register definitions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Add VIDEO_DIP registers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Kill sink_crc for good (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Always retire residual requests before suspend
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Flush chipset caches after GGTT writes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Free the backing store between iterations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Exercise reset to break stuck GTT eviction
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Force a preemption hang (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Always clear preempt status on cancelling
  all (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/execlists: Disable submission tasklet upon wedging
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove pci private pointer after destroying the
  device private (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/selftests: Downgrade igt_timeout message (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Disable rpm wakeref asserts in GuC irq handler
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Drop clear_gtiir() on GPU reset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Do not short-circuit tasklets during reset
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Include the start of each subtest in the
  GEM trace (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/guc: Protect against no desc-pool on premature shutdown
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Print the long_mask alongside the pin_mask
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Pass hpd_pin to long_pulse_detect() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: s/int i/enum hpd_pin pin/ (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Nuke dev_priv->irq_port (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Rewrite mst suspend/resume in terms of encoders
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Introduce intel_encoder_is_dig_port() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Introduce for_each_intel_dp() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/userptr: Enable read-only support on gen8+ (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Reject attempted pwrites into a read-only object
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Prevent writing into a read-only object via a
  GGTT mmap (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/gtt: Disable read-only support under GVT (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Read-only pages for insert_entries on bdw+
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Add read only pages to gen8_pte_encode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Protect against NULL client dereference in
  error path (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Update DRIVER_DATE to 20180712 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Remove few mod parameters option (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Remove useless function calls (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Split sink status into a separate debugfs node
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Use crtc_state->has_psr instead of CAN_PSR for
  pipe update (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/gmbus: Enable burst read (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gmbus: Increase the Bytes per Rd/Wr Op (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Fixup GuC FW negative test (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Tidy error handling in i915_gem_init_hw (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Skip cleaning up the doorbells on
  error-before-allocate (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Silence warning for no vlv powercontext (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/tv: fix strncpy truncation warning (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: declare gvt as i915's soft dependency (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Handle EDP_PSR_IMR and EDP_PSR_IIR for BXT
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Enable platform support for vGPU huge gtt pages
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Fix error handling in
  ppgtt_populate_spt_by_guest_entry (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Handle special sequence on PDE IPS bit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Add 2M huge gtt support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/kvmgt: Support setting dma map for huge pages
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Add 64K huge gtt support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Make PTE iterator 64K entry aware (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Split ppgtt_alloc_spt into two parts (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Add GTT clear_pse operation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Add software PTE flag to mark special 64K
  splited entry (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/gvt: Detect 64K gtt entry by IPS bit of PDE
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Handle MMIO GEN8_GAMW_ECO_DEV_RW_IA for 64K GTT
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Add PTE IPS bit operations (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Add new 64K entry type (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Switch to rb_root_cached (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Add a safety net to live_workarounds
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Introduce i915_address_space.mutex (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: use the ICL stolen memory (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- x86/gpu: reserve ICL's graphics stolen memory (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Unwind HW init after GVT setup failure (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Cleanup modesetting on load-error path (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Flush the residual parking on emergency shutdown
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Tidy i915_gem_suspend() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Only reset hangcheck at the start of an activity cycle
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Filter out both physical address swizzles
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Constrain mock_gtt tests to fit within RAM
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove function details from device error messages
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Substitute sun4i_backend_format_is_yuv() with
  format->is_yuv (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/rockchip: Substitute is_yuv_support() with format->is_yuv
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Substitute intel_format_is_yuv() with format->is_yuv
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fourcc: Add is_yuv field to drm_format_info to denote
  if the format is yuv (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/pl111: Use 64-bit arithmetic instead of 32-bit (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Replace drm_dev_unref with drm_dev_put (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Replace drm_dev_unref with drm_dev_put (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: sun8i: Avoid clearing blending order at each
  atomic commit (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: Replace drm_dev_unref with drm_dev_put (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/connector: Fix typo in drm_connector_list_iter_next()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/dp_helper: Add DP aux channel tracing (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: writeback: Fix doc that says connector should be
  disconnected (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/meson: Make DMT timings parameters and pixel clock generic
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: switch drm_plane to inline comments (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Switch drm_plane_state to inline kerneldoc style
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: drop _mode_ from remaining connector functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: drop _mode_ from drm_mode_connector_attach_encoder
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: drop _mode_ from update_edit_property() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/doc: polish for sturct drm_connector (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/doc: switch drm_connector_state to inline comments
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: move drv test macros out of drmP.h (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/arm/malidp: Add modifier definitions for describing
  Arm Framebuffer Compression (AFBC) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Fix kerneldoc for DRM_MODE_PROP_IMMUTABLE (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Skip __drm_mode_set_config_internal() on atomic drivers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Introduce __setplane_atomic() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Extract __setplane_check() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: add DisplayPort CEC-Tunneling-over-AUX support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 9dbfb01
* Mon Jan  7 2019 ptesarik@suse.cz
- drm: add support for DisplayPort CEC-Tunneling-over-AUX
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit e1efd9a
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/client: Fix double free in error path (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sti: Replace drm_dev_unref with drm_dev_put (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: Replace drm_dev_unref with drm_dev_put (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm: add backlight dependency for ili9341 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon-top: Fix return type warning (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Implement zpos for DE2 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vkms: Add framebuffer and plane helpers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: fix build failure with CONFIG_DRM_SUN8I_MIXER=m
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 6dfabb6
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/sun4i: mixer: Read id from DT (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: DW HDMI: Make symbol sun8i_dw_hdmi_pltfm_driver
  static (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vkms: Add vblank events simulated by hrtimers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vkms: Add connectors helpers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: gma500: Changed __attribute__((packed)) to __packed
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vkms: Add dumb operations (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: allocate push buffers in vidmem on pascal
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: tegra: Detach from ARM DMA/IOMMU mapping
  (bsc#1051510).
- drm/nouveau/secboot/acr: Remove VLA usage (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Replace drm_dev_unref with drm_dev_put (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Replace drm_gem_object_unreference_unlocked with
  put function (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau: Replace drm_framebuffer_{un/reference} with put,
  get functions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/nvif: remove const attribute from nvif_mclass
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/hwmon: potential uninitialized variables
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Fix runtime PM leak in drm_open() (bsc#1051510).
- drm/nouveau/debugfs: Wake up GPU before doing any reclocking
  (bsc#1051510).
- drm/nouveau/bios/vpstate: There are some fermi vbios with
  no boost or tdp entry (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: Allow vblank_disable_immediate
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: remove duplicate assignment (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: fix drm-get-put.cocci warnings
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/disp/nv50-gp10x: fix coverity warning (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/core: ERR_PTR vs NULL bug in nvkm_engine_info()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/secboot/tegra: Enable gp20b/gp10b firmware tag
  when relevant (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/fault/gv100: fix fault buffer initialisation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gv100: handle multiple SM-per-TPC for shader
  exceptions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Update DRIVER_DATE to 20180709 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Prevent background reaping of active objects
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Replace wait-on-timeout with explicit
  timeout (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Provide a timeout to i915_gem_wait_for_idle() on setup
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Provide a timeout to i915_gem_wait_for_idle()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Magic numbers for old Y-tiling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Replace nested subclassing with explicit subclasses
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Avoid warning if runtime pm is disabled
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Provide full mb() around clflush
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Track the last-active inside the i915_vma (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Track vma activity per fence.context, not per engine
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move i915_vma_move_to_active() to i915_vma.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Start returning an error from
  i915_vma_move_to_active() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Export i915_request_skip() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Refactor export_fence() after
  i915_vma_move_to_active() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/selftests: Fixup missing MI_MEM_VIRTUAL for
  live_hangcheck (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/selftests: Replace magic 1<<22 with
  MI_USE_GGTT/MI_MEM_VIRTUAL (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/selftests: Limit live_gtt allocation test to fit
  within RAM (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/gtt: Control cache domain of dma_map_page() directly
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Suppress warnings for dma_map_page (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Flush the WCB following a WC write (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Skip live_execlists if the GPU is
  terminally wedged (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/selftests: Skip live context execution test without
  logical contexts (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Record logical context support in driver caps
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/ddi: Simplify get_encoder_power_domains() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove support for legacy debugfs crc interface
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Skip over live context testing when wedged
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Skip huge pages live tests if wedged
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Skip live eviction tests when wedged
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Skip workaround tests when wedged
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Skip all request selftests when wedged
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Skip making an object busy if the GPU
  is wedged (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/selftests: Skip using the GPU if wedged (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Destroy partial tiling vma after use
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 93c9ccd
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/i915: Squelch very verbose error logging (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit f236a49
* Mon Jan  7 2019 nborisov@suse.com
- btrfs: Fix error handling in btrfs_cleanup_ordered_extents
  (git-fixes).
- btrfs: Always try all copies when reading extent buffers
  (git-fixes).
- btrfs: Fix memory barriers usage with device stats counters
  (git-fixes).
- commit f618435
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/i915/icl: Define AUX lane registers for Port A/B
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Power down unused DSI lanes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Define PORT_CL_DW_10 register (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Enable DSI IO power (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Define DSI mode ctl register (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Program DSI Escape clock Divider (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dsi: update some of the platform based checks
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dsi: use vlv and bxt prefixes for the global DSI
  functions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/dsi: rename the current DSI files based on first
  platform (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/selftests: Fail hangcheck testing if the GPU is wedged
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Detect unknown swizzling correctly
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove pointless if-else from sdvo code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Fixup recursive MI_BB_START for gen3
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Mark expected switch fall-throughs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Define register for DSI PLL (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Replace open-coded i915_address_space_init()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Use full release for local ppgtt allocation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove defunct i915->vm_list (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Pull global wc page stash under its own locking
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Unmask and enable master error interrupt on gen2/3
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix pre-ILK error interrupt ack (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Drop struct_mutex around lowlevel pggtt
  allocation (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/selftests: Release the struct_mutex to free the objects
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Wait for PSR exit before checking for vblank evasion
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Lockless version of psr_wait_for_idle (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove unnecessary check for unsupported modifiers
  for NV12 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/psr: Add psr1 live status (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: abstract and document register picking macros
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Print CTL params passed to Guc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Attach the fence to the object when
  making busy (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/selftests: Mark up write into scratch vma (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove delayed FBC activation (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Block enabling FBC until flips have been completed
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Direct submission of new requests (avoid
  tasklet/ksoftirqd) (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/execlists: Trust the CSB (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Stop storing the CSB read pointer in the
  mmio register (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/execlists: Reset CSB write pointer after reset
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Unify CSB access pointers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Process one CSB update at a time
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Pull CSB reset under the timeline.lock
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Pull submit after dequeue under timeline
  lock (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Drop posting reads to flush master interrupts
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/uc: Fetch GuC/HuC firmwares from guc/huc specific init
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Use intel_guc_init_misc to hide GuC internals
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Only signal from interrupt when requested (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move the irq_counter inside the spinlock (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Only trigger missed-seqno checking next to boundary
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Reduce spinlock hold time during notify_ring()
  interrupt (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Show vma allocator stack when in doubt (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Replace drm_dev_unref with drm_dev_put (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Replace drm_gem_object_unreference_unlocked with
  put function (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Replace __drm_gem_object_unreference with
  __drm_gem_object_put (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Replace drm_gem_object_{un/reference} with {put,get}
  functions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Replace drm_connector_{un/reference} with put, get
  functions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/icp: Add Interrupt Support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Wait for engines to idle before retiring (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Add power well support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Enable CRC check in the static frame on the
  sink side (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/psr: Avoid PSR exit max time timeout (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Handle PSR errors (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Begin to handle PSR/PSR2 errors set by sink
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Remove intel_crtc_state parameter from
  disable_source() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/psr: Warn for erroneous enabling of both PSR1 and PSR2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Fix race in intel_psr_work() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Kill useless function pointers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/ddi: Get AUX power domain for DP main link too
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Context objects can never be active when freed
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Check for ce->state before destroy
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Defer modeset cleanup to a secondary task (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Remove USES_GUC_SUBMISSION for ads programming
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Enable hw workaround to bypass alpha (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Do read-modify-write as needed during MG PLL
  programming (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/icl: Fix MG PLL setup when refclk is 38.4MHz
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: remove check for aux irq (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Redefine EINVAL for debugging (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Ignore applying the self-relocation BIAS if no
  relocations (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Disable bh around call to tasklet (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: Add support for mediatek SOC MT2712 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: Split line to not over 80 characters (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add third ddp path (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add DSI3 support for mutex (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add DSI2 support for mutex (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add DPI1 support for mutex (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add connection from RDMA2 to DSI3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add connection from RDMA2 to DSI2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add connection from RDMA2 to DSI1 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add connection from RDMA2 to DPI1 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add connection from RDMA2 to DPI0 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add connection from RDMA1 to DSI3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add connection from RDMA1 to DSI2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add connection from RDMA1 to DSI1 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add connection from RDMA1 to DPI1 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add connection from RDMA0 to DSI3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add connection from RDMA0 to DSI2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add connection from RDMA0 to DPI0 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: Update the definition of connection from RDMA1
  to DPI0 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/mediatek: add connection from OD1 to RDMA1 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add the DSI1 for component init condition
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add component DSI3 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add component DSI2 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add component DPI1 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add ddp component PWM2 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add ddp component PWM1 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add ddp component OD1 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: add ddp component AAL1 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: support maximum 64 mutex mod (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/client: Fix: drm_client_new: Don't require DRM to be
  registered (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/tinydrm: Fix doc build warnings (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: Add Sharp LQ035Q7DB03 panel support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon-top: Remove mux configuration at probe time
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon-top: Add helpers for mux switching (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: mixer: Order includes alphabetically (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: DW HDMI: Release nodes if error happens during
  CRTC search (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: tcon: Release node when traversing of graph
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon-top: Cleanup clock handling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add R40 display engine compatible (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: p079zca: Use of_device_get_match_data() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: type promotion bug in s6e8aa0_read_mtp_id()
  (bsc#1051510).
- drm/panel: p079zca: Support Innolux P097PFG panel (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: p079zca: Add variable unprepare_delay properties
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: p079zca: Refactor panel driver to support multiple
  panels (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/panel: ili9881c: Fix missing assignment to error return ret
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: Add support for DataImage SCF0700C48GGU18
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: Add support for Innolux G070Y2-L01
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: Add newhaven, nhd-4.3-480272ef-atxl LCD
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add support for extracting sync signal drive edge from
  videomode (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/panel: simple: Add support for BOE HV070WSA-100 panel to
  simple-panel (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vc4: Support the case where the DSI device is disabled
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/of: Make drm_of_find_panel_or_bridge() fail when the device
  is disabled (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/panel: Let of_drm_find_panel() return -ENODEV when the panel
  is disabled (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/panel: Make of_drm_find_panel() return an ERR_PTR() instead
  of NULL (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/panel: simple: Add DLC DLC0700YZG-1 panel (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: Add support for the EDT ETM0700G0EDH6 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: Add support for the EDT ETM0700G0BDH6 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: Add support for Rocktech RK070ER9427
  LCD panel (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/cma-helper: Remove drm_fb_cma_fbdev_init_with_funcs()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm: Use drm_fbdev_generic_setup() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fb-helper: Finish the generic fbdev emulation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/debugfs: Add internal client debugfs file (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/cma-helper: Use the generic fbdev emulation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Set .gem_prime_vmap and .gem_prime_mmap (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fb-helper: Add generic fbdev emulation .fb_probe function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Begin an API for in-kernel clients (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: vkms: select DRM_KMS_HELPER (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Add support for the transposer block (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Call drm_atomic_helper_fake_vblank() in the commit path
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Call fake_vblank() from the generic commit_tail()
  helpers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/crtc: Add a generic infrastructure to fake VBLANK events
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Use wait_for_flip_done() instead of wait_for_vblanks()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/connector: Make ->atomic_commit() optional (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/connector: Pass a drm_connector_state to ->atomic_commit()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Avoid connector to writeback_connector casts
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/writeback: Fix the "overview" section of the doc
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/crc: Only report a single overflow when a CRC fd is opened
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: ltdc: rework reset sequence (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/stm: ltdc: filter mode pixel clock vs pad constraint
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: print plane state normalized zpos value (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic-helper: Use bitwise or for filling a bitmask
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/v3d: Fix a grammar nit in the scheduler docs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/v3d: Remove unnecessary dma_fence_ops (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/v3d: Delay the scheduler timeout if we're still making
  progress (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/tilcdc: Use drm_connector_has_possible_encoder()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Use drm_connector_has_possible_encoder() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add drm_connector_has_possible_encoder() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Use drm_connector_for_each_possible_encoder()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Use drm_connector_for_each_possible_encoder()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Use drm_connector_for_each_possible_encoder()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add drm_connector_for_each_possible_encoder() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Nuke intel_mst_best_encoder() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/fb-helper: Eliminate the .best_encoder() usage (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vkms: Add extra information about vkms (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vkms: Add basic CRTC initialization (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vkms: Add mode_config initialization (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vkms: vkms_driver can be static (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- commit 852171c
* Mon Jan  7 2019 jack@suse.cz
- blacklist.conf: Blacklist 368686a95e55
- commit 73c95ec
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/vkms: Introduce basic VKMS driver (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 9a0a4db
* Mon Jan  7 2019 tbogendoerfer@suse.de
- tls: Do not call sk_memcopy_from_iter with zero length
  (bsc#1109837).
- Prevent overflow of sk_msg in sk_msg_clone() (bsc#1109837).
- net: mvpp2: fix the phylink mode validation (bsc#1119113
  FATE#326472).
- net/sched: cls_flower: Remove old entries from rhashtable
  (bsc#1109837).
- net/tls: allocate tls context using GFP_ATOMIC (bsc#1109837).
- net/mlx5e: Remove the false indication of software timestamping
  support (bsc#1103990 FATE#326006).
- net/mlx5: Typo fix in del_sw_hw_rule (bsc#1103990 FATE#326006).
- net/mlx5e: RX, Fix wrong early return in receive queue poll
  (bsc#1103990 FATE#326006).
- bnxt_en: Fix ethtool self-test loopback (bsc#1104745
  FATE#325918).
- qed: Fix an error code qed_ll2_start_xmit() (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- net: mvpp2: 10G modes aren't supported on all ports (bsc#1119113
  FATE#326472).
- mlxsw: spectrum_nve: Fix memory leak upon driver reload
  (bsc#1112374).
- mlxsw: spectrum: Add trap for decapsulated ARP packets
  (bsc#1112374).
- mlxsw: core: Increase timeout during firmware flash process
  (bsc#1112374).
- bpf: verifier: make sure callees don't prune with caller
  differences (bsc#1109837).
- bpf: fix bpf_jit_limit knob for PAGE_SIZE >= 64K (bsc#1109837).
- crypto/chelsio/chtls: macro correction in tx path (bsc#1104270
  FATE#325931).
- crypto/chelsio/chtls: listen fails with multiadapt (bsc#1104270
  FATE#325931).
- net/tls: sleeping function from invalid context (bsc#1109837).
- net/tls: Init routines in create_ctx (bsc#1109837).
- qed: Fix command number mismatch between driver and the mfw
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- net/mlx5e: Cancel DIM work on close SQ (bsc#1103990
  FATE#326006).
- net/mlx5e: Remove unused UDP GSO remaining counter (bsc#1103990
  FATE#326006).
- net/mlx5e: Avoid encap flows deletion attempt the 1st time a
  neigh is resolved (bsc#1103990 FATE#326006).
- net/mlx5e: Properly initialize flow attributes for slow path
  eswitch rule deletion (bsc#1103990 FATE#326006).
- net/mlx5e: Avoid overriding the user provided priority for
  offloaded tc rules (bsc#1103990 FATE#326006).
- net/mlx5e: Err if asked to mirror a goto chain tc eswitch rule
  (bsc#1103990 FATE#326006).
- net/mlx5e: RX, Verify MPWQE stride size is in range (bsc#1103990
  FATE#326006).
- net/mlx5e: Fix default amount of channels for VF representors
  (bsc#1103990 FATE#326006).
- net/mlx5: E-Switch, Fix fdb cap bits swap (bsc#1103990
  FATE#326006).
- Revert "net: vhost: lock the vqs one by one" (bsc#1109837).
- vhost_net: switch to use mutex_trylock() in
  vhost_net_busy_poll() (bsc#1109837).
- vhost: make sure used idx is seen before log in
  vhost_add_used_n() (bsc#1109837).
- ixgbe: Fix race when the VF driver does a reset (bsc#1113994
  FATE#326315 FATE#326317).
- i40e: DRY rx_ptype handling code (bsc#1111981 FATE#326312
  FATE#326313).
- i40e: fix VLAN.TCI == 0 RX HW offload (bsc#1111981 FATE#326312
  FATE#326313).
- i40e: fix mac filter delete when setting mac address
  (bsc#1111981 FATE#326312 FATE#326313).
- nfp: flower: ensure TCP flags can be placed in IPv6 frame
  (bsc#1109837).
- IB/core: Fix oops in netdev_next_upper_dev_rcu() (bsc#1103992
  FATE#326009).
- IB/mlx5: Block DEVX umem from the non applicable cases
  (bsc#1103991 FATE#326007).
- IB/mlx5: Fix implicit ODP interrupted page fault (bsc#1103991
  FATE#326007).
- IB/hfi1: Fix an out-of-bounds access in get_hw_stats
  (bsc#1114685 FATE#325854).
- commit 6dc369b
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/sun4i: Remove VLA usage (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/vmwgfx: Expose SM4_1 param to user space (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Add support for multisampling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Add new ioctl for GB surface create and reference
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Support for SVGA3dSurfaceAllFlags in vmwgfx
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Add support for SVGA3dCmdDefineGBSurface_v3
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Add SM4_1 flag (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/vmwgfx: Add support for SVGA3dCmdIntraSurfaceCopy command
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Add CAP2 support in vmwgfx (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Update the device headers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Remove an obsolete __le32 conversion (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Fix host message module function declarations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Reorganize the fence wait loop (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Improve on host message error messages (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Add gui_x/y to vmw_connector_state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Use a mutex to protect gui positioning in
  vmw_display_unit (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/vmwgfx: Remove primary memory validation against mode while
  creating fb (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vmwgfx: Perform memory validations only when need full
  modeset (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vmwgfx: Use modeset display memory validation for layout
  ioctl (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vmwgfx: Perform topology validation during atomic modeset
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Fix atomic mode set check (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Use blocking buffer object reserves when evicting
  resources (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vmwgfx: Optimize the buffer object swap_notify callback
  somewhat (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vmwgfx: Move buffer object related code to vmwgfx_bo.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Replace vmw_dma_buffer with vmw_buffer_object
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display/dc/dce: Fix multiple potential integer overflows
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use 2-factor allocator calls (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/amd/display: Fix indentation in dcn10 resource
  constructor" (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: off by one in find_irq_source_info()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Remove the same struct define in powerplay
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix copy error when set memory clocks
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refine the implementation of dm_pp_get_funcs_rv
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Export notify_smu_enable_pwe to display (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: drop drm_pcie_get_speed_cap_mask and
  drm_pcie_get_max_link_width (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/radeon: use pcie functions for link width (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use pcie functions for link width and speed
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: update amd_pcie.h to include gen4 speeds
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- PCI: Export pcie_get_speed_cap and pcie_get_width_cap
  (FATE#326289).
- drm/amdgpu: switch firmware path for SI parts (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: switch firmware path for CIK parts (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Remove duplicate code in vega12_hwmgr.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Refine the interface exported to display
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Notify powerplay the display controller id
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Notify powerplay the min_dcef clock
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Switch the tolerable latency for display
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Memory Latency is always 25us on Vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Convert clock unit to KHz as defined (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: update uvd_v6_0_ring_vm_funcs to use new nop packet
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix the wrong type of gem object creation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: add SPDX identifier and clarify license (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: add SPDX identifier and clarify license (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Replace drm_dev_unref with drm_dev_put (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vce: simplify vce instance setup (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma: simplify sdma instance setup (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pp: fix copy paste typo in
  smu7_get_pp_table_entry_callback_func_v1 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pp: fix copy paste typo in smu7_init_dpm_defaults
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pp: fix endian swapping in atomctrl_get_voltage_range
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pp: add missing byte swapping in
  process_pptables_v1_0.c (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: Add AMDGPU_GPU_PAGES_IN_CPU_PAGE define (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Use gmc_vram_full_visible in
  vram_mgr_bo_invisible_size (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: s/disp_detetion_ports/disp_detection_ports/
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: cosmetic fix (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: set vega12 pre display configurations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: apply clocks adjust rules on power state
  change (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/powerplay: correct vega12 max num of dpm level
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: drop unnecessary uclk hard min setting
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: correct smc display config for multi monitor
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: initialize uvd/vce powergate status v4
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: revise clock level setup (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: retrieve all clock ranges on startup
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: revise default dpm tables setup (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: drop the acg fix (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix a typo in wm_min_memg_clk_in_khz
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Ctrl stutter mode through module parameter
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add stutter mode ctrl in module parameter
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Move CG/PG setting out of delay worker thread
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Split set_pg_state into separate function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add gfx_off support in smu through
  pp_set_powergating_by_smu (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/pp: Add powergate_gfx backend function on Raven
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add gfx pg support in smu through
  set_powergating_by_smu (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/pp: Unify powergate_uvd/vce/mmhub to
  set_powergating_by_smu (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/pp: Rename enable_per_cu_power_gating to powergate_gfx
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Rename set_mmhub_powergating_by_smu
  to powergate_mmhub (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Fix dm-pp clks type convert error (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Drop unnecessary header file (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove duplicated codes (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: don't initialize result (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Rename entity cleanup finctions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scheduler: Rename cleanup functions v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Allow option to use worst-case watermark
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: get board layout for edid emulation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add valid regoffset and NULL pointer check
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.52 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Check scaling ration not viewports params
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove soc_bounding_box.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: move dcn watermark programming to set_bandwidth
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: separate out wm change request dcn workaround
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove dcn1 watermark sets b, c and d
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix dcn1 watermark range reporting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Moving powerplay functions to a separate class
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: move dml defaults to respective dcn resource
  files (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Convert 10kHz clks from PPLib into kHz
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add dmpp clks types for conversion (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Enable PPLib calls from DC on linux
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix potential infinite loop in fbc path
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.51 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: clean rq/dlg/ttu reg structs before
  calculations (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: dal 3.1.50 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Add front end for dp debugfs files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.49 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: fix use of uninitialized memory (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: support ACrYCb2101010 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add safe_to_lower support to dcn wm programming
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: change dentist DID enum values to uppercase
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add CHG_DONE mash/sh defines for dentist
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix pplib voltage request (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix dccg dcn1 ifdef (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Define dp_alt_mode (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Temporarily remove Chroma logs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove unnecessary pplib volage requests that
  are asserting (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: clean up set_bandwidth usage (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: rename dce_disp_clk to dccg (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: clean up dccg divider calc and dcn constructor
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: move dcn1 dispclk programming to dccg
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: get rid of cur_clks from dcn_bw_output
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add clock types to applying clk for voltage
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use local structs instead of struct pointers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use tg count for opp init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove invalid assert when no max_pixel_clk
  is found (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Introduce pp-smu raven functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.48 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Adding Get static clocks for dm_pp interface
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Apply clock for voltage request (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Adding dm-pp clocks getting by voltage
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: move clock programming from set_bandwidth
  to dccg (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: rename display clock block to dccg (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: redesign dce/dcn clock voltage update request
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: replace clocks_value struct with dc_clocks
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add parsing SQ_EDC_INFO to SQ IH v3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Polish SQ IH (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/amdgpu: Add a GPU_LOAD entry to sysfs (v3) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: band aid validating VM PTs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tilcdc: Defer probe if there are no connectors (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arm/malidp: Added the late system pm functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arm/malidp: Set the output_depth register in modeset
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arm/malidp: Enable/disable interrupts in runtime pm
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arm/malidp: Split malidp interrupt initialization functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arm/malidp: Modified the prototype of malidp irq
  de-initializers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: mali-dp: Add debugfs file for reporting internal errors
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mali-dp: Improve writeback handling for DP500 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: mali-dp: Add writeback connector (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/mali-dp: Add RGB writeback formats for DP500 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mali-dp: Add writeback support for DP500 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: mali-dp: Add RGB writeback formats for DP550/DP650
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: mali-dp: Add support for writeback on DP550/DP650
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/savage: off by one in savage_bci_cmdbuf() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vgem: off by one in vgem_gem_fault() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i810: off by one in i810_dma_vertex() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/virtio: Remove unecessary dma_fence_ops (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Remove unecessary dma_fence_ops (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/qxl: Remove unecessary dma_fence_ops (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: Remove unecessary dma_fence_ops (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Remove unecessary dma_fence_ops (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Remove unecessary dma_fence_ops (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: add missing ctx argument to plane transitional helpers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Fix hdmi connector content type property docs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Use drm_plane_mask() & co (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Use drm_crtc_mask() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Use drm_crtc_mask() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/imx: Use drm_plane_mask() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Use drm_plane_mask() & co (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Add drm_connector_mask() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Add drm_encoder_mask() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm: Use drm_crtc_mask() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm: Add drm_plane_mask() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/atomic-helper: Use old/new state in
  drm_atomic_helper_commit_planes_on_crtc() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Support Nomadik LCDC variant (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Make DSI call into the bridge after the DSI link
  is enabled (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/v3d: Define the fourcc modifier for the Broadcom UIF format
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: add SPDX idenitifier and clarify license
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/noveau: add SPDX identifier and clarify license (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: add SPDX identifier and clarify license (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: add SPDX idenitifier and clarify license (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: gem: Switch to gem_free_object_unlocked() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: gem: Fix mm_list locking (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: gem: Replace struct_mutex usage with omap_obj
  private lock (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/omap: gem: Don't take struct_mutex to get GEM object
  mmap offset (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/omap: gem: Merge __omap_gem_get_pages() and
  omap_gem_attach_pages() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/omap: gem: Rename GEM function with omap_gem_* prefix
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: fix email address (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/omap: Implement workaround for DRA7 errata ID:i932
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: DW HDMI: Expand algorithm for possible crtcs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: of: Export and rename drm_crtc_port_mask() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add support for A64 HDMI PHY (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add support for second clock parent to DW HDMI PHY
  clk driver (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: DW HDMI PHY: Add support for second PLL (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Don't change clock bits in DW HDMI PHY driver
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Enable DW HDMI PHY clock (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add support for R40 mixers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Don't check for panel or bridge on TV TCONs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Don't check for LVDS and RGB when TCON has only ch1
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Generalize engine search algorithm (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Don't skip TCONs if they don't have channel 0
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add support for traversing graph with TCON TOP
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Split out code for enumerating endpoints in
  output port (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: Fix releasing node when enumerating enpoints
  (bsc#1051510).
- drm/sun4i: Add TCON TOP driver (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- commit da2eb3f
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/tinydrm: new driver for ILI9341 display panels (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 52a76f1
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/rockchip: vop: fixup linebuffer mode calc error (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Use drm_crtc_mask() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/gma500: Fix compile warning (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/gma500: Fix potential NULL pointer dereference (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/gma500: Replace drm_gem_object_unreference_unlocked with
  put function (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- commit cb5cf6c
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/panel: Add Ilitek ILI9881c panel driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 4ed1072
* Mon Jan  7 2019 ptesarik@suse.cz
- drm: kirin: Remove useless "Scale not support" error message
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Make ioctls available for in-kernel clients (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/file: Don't set master on in-kernel clients (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: provide management functions for drm_file (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Consider drivers setting DRIVER_ATOMIC as atomic
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/v3d: Remove the bad signaled() implementation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/v3d: Take a lock across GPU scheduler job creation and
  queuing (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/bridge: Move the struct drm_bridge member kerneldoc inline
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Document mode_config.max_width/height as the max fb
  dimensions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Update DRIVER_DATE to 20180620 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Add 10-bit support for hdmi (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: fix copy-paste error with setting of
  tp2_wakeup_time_us (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/psr: Fix warning in intel_psr_activate() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Avoid ERR_PTR dereference (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Enable KVMGT for BXT (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Add mmio handler for for BXT (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Enable dma_buf support for BXT (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Enable virtual display support for BXT
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Enable force wake support for BXT (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Enable cmd_parser support for BXT (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Enable mmio context init and switch for BXT
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Enable irq initialization for BXT (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Enable gtt initialization for BXT (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Enable device info initialization for BXT
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Add MEDIA_POOL_STATE for BXT (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Add D_BXT device type define for BXT (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: use array to avoid potential buffer overflow
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: removed unnecessary boundary check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Avoid dereference a potential null pointer
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Use sched_lock to protect gvt scheduler logic
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Use vgpu_lock to protect per vgpu access
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Use offsetofend() rather than offsetof + sizeof
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Deliver guest cursor hotspot info (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/audio: constify ELD pointers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Enforce max hdisplay/hblank_start limits on
  HSW/BDW FDI (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Check timings against hardware maximums (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Nuke the cursor size defines (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Print prop name/id when rejecting it (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Adds psrwake options for all platforms
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- i915: remove timespec_to_jiffies_timeout (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Handle hotplug interrupts for DP over TBT
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Support for TC North Display interrupts
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: GSE interrupt moves from DE_MISC to GU_MISC
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/i915_reg.h: fix the checkpatch MACRO_ARG_PRECEDENCE
  issues (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/i915_reg.h: fix the checkpatch SPACE_BEFORE_TAB issues
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/i915_reg.h: fix the checkpatch SPACING issues
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/audio: Add 810 MHz clock entries to dp_aud_n_m table
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/aml: Introducing Amber Lake platform (FATE#322643).
- drm/i915/whl: Introducing Whiskey Lake platform (FATE#322643).
- drm/i915/execlists: Pull the w/a LRI emission into a helper
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Only show debug for state changes when banning
  (bsc#1051510).
- drm/i915/lspcon: switch to kernel unsigned int types
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/audio: switch to kernel unsigned int types (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/backlight: switch to kernel unsigned int types
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dvo: switch to kernel unsigned int types (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/uncore: switch to kernel unsigned int types
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/hdmi: switch to kernel unsigned int types (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/vbt: switch to kernel unsigned int types (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix fallout of fake reset along resume (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: update VBT's child_device_config flags2 field
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: implement DVFS for ICL (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: s/IS_G4X && !IS_GM45/IS_G45/ (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Reset the CSB head tracking on
  reset/sanitization (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Be irqsafe inside reset (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Keep the ctx workarounds tightly packed (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dp: Add support for HBR3 and TPS4 during link training
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Add allowed DP rates for Icelake (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: start adding the TBT pll (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: unconditionally init DDI for every port
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: add icelake_get_ddi_pll() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Reduce a pair of runtime asserts (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Cache the PTE encoding of the scratch page
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Free unused page tables on unbind the context
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Lazily allocate page directories for gen7
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Declare the driver wedged if hangcheck makes no
  progress (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/execlists: Push the tasklet kick after reset to
  reset_finish (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/selftests: Initialise request to silence a compiler
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/ddi: Removed unused var from hsw_write_infoframe()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/ddi: Set HDMI infoframes with pipe clocks enabled
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/ddi: Check transcoder instead of port when setting
  HDMI infoframe (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/ddi: Push pipe clock enabling to encoders (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/ddi: s/crtc->config/old_crtc_state in
  haswell_crtc_disable() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/psr: Kill delays when activating psr back (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Only keep gen6 page directories pinned while
  active (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Show CCID in engine dumps (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Make the hexdump row offset visually distinct
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Dump the ringbuffer of the active request for
  debugging (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/dsm: remove unnecessary dsm priv structure (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move GEM sanitize from resume_early to resume
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/opregion: move acpi notifier to dev_priv (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/perf: make oa format tables const (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Make closing request flush mandatory (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: DP_AUX_E is valid on ICL+ (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: fix gmbus gpio pin mapping (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Add DDI HDMI level selection for ICL (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Make gen6 page directories evictable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Add support for define guc_log_size in megabytes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Move defines with size of GuC logs
  to intel_guc_log.h (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/guc: Refactoring preparation of the GUC_CTL_CTXINFO
  parameter (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/guc: Refactoring preparation of the GUC_CTL_LOG_PARAMS
  parameter (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/guc: Refactoring preparation of the GUC_CTL_FEATURE
  parameter (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/guc: Refactoring preparation of the GUC_CTL_DEBUG
  parameter (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/guc: Don't store runtime GuC log level in modparam
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Onionify error handling for gen6_ppgtt_create
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Subclass gen6_hw_ppgtt (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/ringbuffer: Serialize load of PD_DIR (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Invalidate GGTT caches after writing the gen6 page
  directories (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Wrap around the tail offset before setting ring->tail
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/ringbuffer: Fix context restore upon reset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/ringbuffer: Brute force context restore (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/skl: Add warn about unsupported CDCLK rates
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/perf: fix gen11 engine class shift (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/perf: use the lrc_desc to get the ctx hw id in gen8-10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Refactor unsettting obj->mm.pages (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Squash GEM load failure message (again) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: fix PCH_NOP setting for non-PCH platforms (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: be more strict about HAS_PCH_NOP() usage (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: clean up virtual PCH special case handling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: document PCH_NOP (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: fix guest virtual PCH detection on non-PCH systems
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Reorder aliasing_ppgtt fini (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Remove vgpu check for gen6 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Remove redundant hsw_mm_switch() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Fix unwind length passed to gen6_ppgtt_clear_range
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix sprite destination colorkeying on SKL+
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Mark the GPU as wedged without error on fault
  injection (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Add WaKBLVECSSemaphoreWaitPoll (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Cancel reset preparations on failed resets
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Push allocation to hw ppgtt constructor
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Decouple vma vfuncs from vm (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Prepare for non-object vma (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Use GEM suspend when aborting initialisation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove now unused functions (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Use correct enum to set powergating state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: correct GART location info (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: update ib_start/size_alignment same as windows used
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu: display: use modern ktime accessors (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Do not skip FBC init in failsafe mode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add num_opp to resource_caps (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Allow DP register double buffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: create sink_id in dc_sink structure to
  idenitify all sinks (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Add new transfer type HWPWL (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Disable stats by default (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Convert quotes to Ascii quotes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Make it more clear when info frames affect
  DP or HDMI (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Drop duplicate
  dc_stream_set_static_screen_events definition (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add use_dynamic_meta flag to stream_state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move i2c and aux structs into dc_ddc_types.h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Stream encoder update (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Write TEST_EDID_CHECKSUM_WRITE for EDID tests
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Drop to fail-safe mode if edid is bad
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Get real power source to initizlize ac_power
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Implement update_smc_table for CI (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Use real power source in powerplay instand of
  hardcode (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/pp: Remove SAMU support in powerplay (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Consolidate visible vs. real vram check v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename rmn to amn in the MMU notifier code (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add BRACKET_LAYOUT_ENUMs to ObjectID.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove unused parameter for va update (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add plumbing for handling SQ EDC/ECC interrupts v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add interrupt SQ source struct to amdgpu_gfx
  struct v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Added ISR for CP ECC/EDC interrupt v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: change gfx8 ib test to use WB (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Correct the ndw of bo update mapping (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add AMDGPU_HW_IP_VCN_JPEG to queue mgr (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add AMDGPU_HW_IP_VCN_JPEG to info query (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- uapi/drm: add AMDGPU_HW_IP_VCN_JPEG for jpeg CS (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: enable vcn jpeg ib test (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vcn jpeg ib test (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vcn jpeg ring test (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vcn jpeg sw finish (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add patch to jpeg ring (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: define and add extra dword for jpeg ring
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: implement patch for fixing a known bug (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: initialize vcn jpeg ring (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vcn jpeg irq support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: set jpeg ring functions (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: implement jpeg ring functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add more jpeg register offset headers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add jpeg packet defines to soc15d.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vcn jpeg ring (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: define vcn jpeg ring (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move amdgpu_ctx_mgr_entity_fini to f_ops flush
  hook (V4) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/scheduler: Avoid using wait_event_killable for dying
  process (V4) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Fix-ups for amdgpu_object.c documentation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pp: switch the default dpm implementation for CI
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/display: enable CONFIG_DRM_AMD_DC_DCN1_0 by default
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 8e35e11
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/amdgpu/display: drop DRM_AMD_DC_FBC kconfig option
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 3d2cc81
* Mon Jan  7 2019 tzimmermann@suse.de
- drm/i915/execlists: Apply a full mb before execution for Braswell (bsc#1113722)
- commit 4b50b29
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/amdgpu: add kernel doc for memory domains (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add kernel doc for amdgpu_object.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.47 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: add dentist frequency to resource pool
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: DP YCbCr 4:2:0 support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Prefix TIMING_STANDARD entries with DC_
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.46 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Added documentation for some DC interface
  functions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: HLG support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refactor audio programming (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Dynamic HDR metadata mem buffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Optimize DP_SINK_STATUS_ESI range read on HPD
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Default log masks should include all
  connectivity events (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Fix indentation in dcn10 resource constructor
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add DPCD read for Sink ieee OUI (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add function to get optc active size
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: AUX will exit when HPD LOW detected
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Prefix event prints with ==Event== (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.45 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: upgrade scaler math (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clean up submit_channel_request (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: pass pipe_ctx straight to blank_pixel_data
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scheduler: add documentation (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix type of variable (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix uvd firmware version information for vega20 (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vg20:support new UVD FW version naming convention
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Make sure clock_voltage_limit_table on dc is valid
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add S3 support for OD feature (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: allocate shared fence slot in VA IOCTL (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Remove unused dmabuf->kmap routines, fix
  the build (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- Merge drm-upstream/drm-next into drm-misc-next (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: writeback: Add client capability for exposing writeback
  connectors (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: writeback: Add out-fences for writeback connectors
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add writeback connector type (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Always obey implicit sync (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/gem-fb-helper: Always do implicit sync (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: vop: fix irq disabled after vop driver probed
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: vop: split out core clock enablement into
  separate functions (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm: Add checks for atomic__state with atomic drivers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: cnd-dp: adjust spdif register setting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: lvds: add missing of_node_put (bsc#1051510).
- drm/atomic: Set current atomic state in drm_private_state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Print bad user modes (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/atomic: Improve debug messages (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- commit 1e5e4b5
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/bridge: sil_sii8620: do not have a dependency of RC_CORE
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit aec782a
* Mon Jan  7 2019 tzimmermann@suse.de
- drm/amdgpu/gmc8: update MC firmware for polaris (bsc#1113722)
- commit 8a55dfd
* Mon Jan  7 2019 tiwai@suse.de
- Correct patch-mainline tags
- commit db08aa7
* Mon Jan  7 2019 ptesarik@suse.cz
- drm: Stop updating plane->crtc/fb/old_fb on atomic drivers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Stop updating plane->fb/crtc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/virtio: Stop updating plane->crtc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Stop updating plane->fb/crtc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: Stop updating plane->crtc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Stop updating plane->fb/crtc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/dc: Stop updating plane->fb (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Stop messing about with plane->fb/old_fb/crtc
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Stop using plane->fb in atomic_enable() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Stop updating plane->fb (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Stop using plane->fb in vmw_kms_update_implicit_fb()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Stop using plane->fb in vmw_kms_helper_dirty()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Stop using plane->fb in
  vmw_kms_atomic_check_modeset() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/edid: Quirk Vive Pro VR headset non-desktop (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- dma-buf: make map_atomic and map function pointers optional
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Add support for SAND modifier (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Add missing formats to vc4_format_mod_supported()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Trust format_mod_supported() when it OKs a plane modifier
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Promote .format_mod_supported() to the lead role
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- display: panel: Add AUO g070vvn01 display support (800x480)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fb-helper: Fix typo on kerneldoc (bsc#1051510).
- drm/sun4i: mark PM functions as __maybe_unused (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atmel-hlcdc: Stop using plane->fb (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omapdrm: Nuke omap_framebuffer_get_next_connector()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add local 'plane' variable for tmp->primary (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atmel-hlcdc: Stop consulting plane->crtc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sti: Stop consulting plane->crtc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Stop consulting plane->fb/crtc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/arc: Stop consulting plane->fb (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/edid: Fix up edid_cea_modes formatting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/xen-front: fix pointer casts (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Pin the ring high (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Limit searching for PIN_HIGH (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/mm: Add a search-by-address variant to only inspect a
  single hole (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/mm: Reject over-sized allocation requests early (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda998x: Remove VLA usage (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/gma500: Remove VLA (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/gma500: Fix Medfield for drm_framebuffer move (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: Move buffer pitch/offset to drm_framebuffer
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: Move GEM BO to drm_framebuffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/v3d: Checking for NULL vs IS_ERR() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: lvds: avoid duplicating drm_bridge_attach
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: rockchip_drm_fb -> drm_framebuffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Place GEM BOs in drm_framebuffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mtk: mtk_drm_fb -> drm_framebuffer (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/mtk: Move GEM BO to drm_framebuffer (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/mtk: Remove impossible internal error (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Move GEM BOs to drm_framebuffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/gma500: Move GEM BO to drm_framebuffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: Move GEM BO to drm_framebuffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/virtio: Place GEM BOs in drm_framebuffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/cirrus: cirrus_framebuffer -> drm_framebuffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/cirrus: Place GEM BOs in drm_framebuffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: Fix data type in KEO TX31D200VM0BAA timings
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: AUO P320HVN03 uses SPWG data ordering
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: Add Innolux TV123WAM panel driver support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: cdns: Mark runtime PM operations as maybe unused
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: otm8009a: Use new backlight API (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: otm8009a: No message if probe success (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: otm8009a: Fix glitches by moving backlight enable
  to otm8009a_enable() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/panel: otm8009a: Fix backlight updates (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: Add device_link from panel device to DRM device
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: Remove drm_panel_detach() calls from all panel
  drivers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- i915: content-type property for HDMI connector (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: content-type property for HDMI connector (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: spelling and coding style minor fixes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: plane: Expand the lower bits by repeating the
  higher bits (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: clarify adjusted_mode documentation for bridges
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/xen-front: fix spelling mistake: "conector" -> "connector"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20180606 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Fix typo in fill_px() macro (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Mark i915.inject_load_failure as being hit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Rename i915_hw_ppgtt base member (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/error: Fixup inactive/active counting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Don't leak stage descriptor pool on init failure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/pmu: Do not assume fixed hrtimer period (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/trace: Context field needs to be 64-bit wide
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/trace: Remove engine out of the context sandwich
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/trace: Describe engines as class:instance pairs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Swap magics and use SZ_1M (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Correctly handle error path in i915_gem_init_hw
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/vma: Move the bind_count vs pin_count assertion to
  a helper (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/gtt: Teach restore-gtt to walk the ggtt vma list
  not the object list (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/ringbuffer: Make context pin/unpin symmetric
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add new vGPU cap info bit VGT_CAPS_HUGE_GTT
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/perf: fix ctx_id read with GuC & ICL (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: drop one bit on the hw_id when using guc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Remove obsolete switch_mm hooks for gen8+
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move i915_gem_fini to i915_gem.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Calculate link clock using the new registers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Get DDI clock for ICL based on PLLs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Add Icelake PCH detection (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Map VBT DDC Pin to BSpec DDC Pin (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Add register definition for DFLEXDPMLE
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: introduce tc_port (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Extend AUX F interrupts to ICL (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Apply the full CPU domain markup before freezing
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Flush all writes before suspend (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Configure SKL+ scaler initial phase correctly
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix tabs vs. spaces in sprite code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: s/plane/i9xx_plane/ (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Disable trickle feed for SNB/IVB cursors (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Clean up cursor defines (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Have plane->get_hw_state() return the current pipe
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Don't restore the non-existent PDE for GGTT
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Avoid calling non-existent allocate_va_range
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Check intel_contexts to avoid one extra pointer chase
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Assert we idle in the kernel context (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Only sanitize GEM from late suspend (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: After reset on sanitization, reset the engine backends
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: "Race-to-idle" after switching to the kernel context
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Switch to kernel context before idling at runtime
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Don't read SOFT_SCRATCH(15) on MMIO error
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Call intel_opregion_notify_encoder in
  intel_sanitize_encoder, v2 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20180530 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Set idle frame count based on sink synchronization
  latency (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/icl: Wa_1406463099 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/icl: WaEnableFloatBlendOptimization (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Wa_2006665173 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/icl: WaEnableStateCacheRedirectToCS (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: WaDisableImprovedTdlClkGating (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/uc: Trivial s/dev_priv/i915 in intel_uc.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Simplify ilk-ivb underrun suppression (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Consult VBT "LVDS config" bits to determine whether
  internal LVDS is present (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Try to suppress more spurious PCH underruns on ILK-IVB
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Initialize panel_pipe to INVALID_PIPE (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Prepare GEM for suspend earlier (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Wait for ELSP submission on restart
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Flush the ring stop bit after clearing RING_HEAD
  in reset (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Forward declare struct intel_context (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Include i915_scheduler.h from i915_gem_context.h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Look for an active kernel context before switching
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Fix ALPM cap check for PSR2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Fall back to max. synchronization latency if DPCD
  read fails (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/psr: Avoid unnecessary DPCD read of DP_PSR_CAPS
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Check for SET_POWER_CAPABLE bit at PSR init time
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Avoid DPCD reads when panel does not support PSR
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Nuke PSR support for VLV and CHV (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: vbt change for psr (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Implement WaProgramMgsrForL3BankSpecificMmioReads
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Enable
  WaProgramMgsrForCorrectSliceSpecificMmioReads (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/cnl: Implement
  WaProgramMgsrForCorrectSliceSpecificMmioReads (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Disable pipe CSC and gamma in cursor plane
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Pin the mock kernel context (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: WARN if power sequencer is not connected to the
  LVDS port on pre-ilk (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Implement the missing bits of assert_panel_unlocked()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Allow eDP on port C in theory (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Clean up DP pipe select bits (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Nuke intel_trans_dp_port_sel() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Parametrize TRANS_DP_PORT_SEL (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move intel_ddi_get_crtc_new_encoder() out from
  ddi code (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Eliminate the unused dev_priv->vbt.lvds_vbt
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Replace vbt edp.support with int_lvds_support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Allow pagedirectory allocations to fail
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move GEM BO inside drm_framebuffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Use intel_fb_obj() everywhere (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Fix crash after request->hw_context change
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Wait longer for the old active request
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Allow init_breadcrumbs to be used from irq context
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Handle copying default context state for
  atomic reset (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Make intel_engine_dump irqsafe (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Speed up idle detection by kicking the tasklets
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Rename the remaining gen4 references to g4x in
  the DP code (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Rename SNB/IVB CPU eDP signal level funcs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Check for IVB instead of gen7 when we think about
  IVB CPU eDP (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Use the same vswing->max_preemph mapping on HSW/BDW
  as on SKL+ (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Use intel_ddi_dp_voltage_max() for HSW/BDW too
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Pull the context->pin_count dec into the common
  intel_context_unpin (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Store a pointer to intel_context in i915_request
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move fiddling with engine->last_retired_context
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move request->ctx aside (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: enable the pipe/transcoder/planes later on HSW+
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Read the correct Gen11 interrupt registers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove unused enable_cmd_parser modparam (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: HWACK checking superseded checking
  port.count (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Clean up DVO pipe select bits (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Clean up TV pipe select bits (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Clean up SDVO pipe select bits (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Clean up LVDS pipe select bits (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Clean up ADPA pipe select bits (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Stop parking the signaler around reset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Flush pending preemption events during reset
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Split out CSB processing (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Split execlists/guc reset preparations (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move engine reset prepare/finish to backends
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Refactor out complete_preempt_context()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Only sync tasklets once for recursive reset
  preparation (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Remove tasklet flush before disable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dp: fix spelling mistakes: "seqeuncer" and "seqeuencer"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Shrink search list for active timelines (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- ALSA: hda/i915: Allow delayed i915 audio component binding
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 296a872
* Mon Jan  7 2019 ptesarik@suse.cz
- ALSA: hda: Make audio component support more generic
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 5a3fa7a
* Mon Jan  7 2019 tzimmermann@suse.de
- drm/amdgpu: update mc firmware image for polaris12 variants (bsc#1113722)
- commit 343b80f
* Mon Jan  7 2019 tzimmermann@suse.de
- drm: set is_master to 0 upon drm_new_set_master() failure (bsc#1113722)
- commit 5d50e19
* Mon Jan  7 2019 ptesarik@suse.cz
- ALSA: hda/i915: Associate audio component with devres
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Split audio component to a generic type (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Reset ->{x, y}_scaling[1] when dealing with uniplanar
  formats (bsc#1051510).
- drm/atomic: Initialize variables in
  drm_atomic_helper_async_check() to make gcc happy (bsc#1051510).
- drm/atomic: Check old_plane_state->crtc in
  drm_atomic_helper_async_check() (bsc#1051510).
- drm: re-enable error handling (bsc#1051510).
- drm/bridge: adv7511: Reset registers on hotplug (bsc#1051510).
- drm/imx: imx-ldb: check if channel is enabled before printing
  warning (bsc#1051510).
- drm/imx: imx-ldb: disable LDB on driver bind (bsc#1051510).
- drm/i915/glk: Add Quirk for GLK NUC HDMI port issues
  (bsc#1051510).
- drm_mode_create_lease_ioctl(): fix open-coded filp_clone_open()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/fb/gp100-: disable address remapper (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Set DRIVER_ATOMIC cap earlier to fix debugfs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Remove bogus crtc check in pmops_runtime_idle
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/drm/nouveau: Fix runtime PM leak in
  nv50_disp_atomic_commit() (bsc#1090888).
- drm/nouveau: Avoid looping through fake MST connectors
  (bsc#1051510).
- drm/nouveau: Use drm_connector_list_iter_* for iterating
  connectors (bsc#1051510).
- drm/nouveau/gem: off by one bugs in
  nouveau_gem_pushbuf_reloc_apply() (bsc#1051510).
- drm/nouveau/kms/nv50-: ensure window updates are submitted
  when flushing mst disables (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/amdgpu: creating two I2S instances for stoney/cz (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add another ATPX quirk for TOPAZ (bsc#1051510).
- drm/amd/display: Fix DP HBR2 Eye Diagram Pattern on Carrizo
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Make sure IB tests flushed after IP resume
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: update vreg on inhibit context lri command
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: fix irq handling (bsc#1051510).
- drm/armada: fix colorkey mode property (bsc#1051510).
- drm/sun4i: link in front-end code if needed (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Fix comparison operator for buffer size
  (bsc#1100132).
- drm/amdgpu/pp/smu7: use a local variable for toc indexing
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amd/dc/dce100: On dce100, set clocks to 0 on suspend
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Verify root PD is mapped into kernel address
  space (v4) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix invalid function table override
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Reserve VM root shared fence slot for command
  submission (v3) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- Revert "drm/amd/display: Don't return ddc result and read_bytes
  in same return value" (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Fix hotplug irq ack on i965/g4x (bsc#1051510).
- drm/etnaviv: bring back progress check in job timeout handler
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: Fix driver unregistering (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: Check for platform_device_register_simple() failure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: Replace drm_dev_unref with drm_dev_put (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: Replace drm_gem_object_unreference_unlocked with
  put function (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/exynos: Replace drm_framebuffer_{un/reference} with put,get
  functions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/exynos: ipp: use correct enum type (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: decon5433: Fix WINCONx reset value (bsc#1051510).
- drm/exynos: decon5433: Fix per-plane global alpha for XRGB modes
  (bsc#1051510).
- drm/exynos: fimc: Use real buffer width for configuring the
  hardware (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/exynos: gsc: Fix support for NV16/61, YUV420/YVU420 and
  YUV422 modes (bsc#1051510).
- drm/exynos: gsc: Fix DRM_MODE_REFLECT_{X,Y} interpretation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: gsc: Increase Exynos5433 buffer width alignment
  to 16 pixels (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/exynos: gsc: Use real buffer width for configuring the
  hardware (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/exynos: scaler: Fix support for YUV420, YUV422 and
  YUV444 modes (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/exynos: scaler: Reset hardware before starting the operation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: rotator: Fix DRM_MODE_REFLECT_{X,Y} interpretation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: ipp: Rework checking for the correct buffer formats
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add a check for display depth validity
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: adding ycbcr420 pixel encoding for hdmi
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix user fence write race condition (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pm: fix display count in non-DC path (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix swapped emit_ib_size in vce3 (bsc#1051510).
- drm/amdgpu: Dynamically probe for ATIF handle (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add amdgpu_atpx_get_dhandle() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Make struct amdgpu_atif private to amdgpu_acpi.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: smc_dpm_info structure change (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: correct vega12 bootup values settings
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: correct vega12 thermal support as true
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: changed DDI mode emulation type (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: fix a bug of partially write ggtt enties
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Try GGTT mmapping whole object as partial
  (bsc#1051510).
- drm/bridge/sii8620: Fix link mode selection (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/sii8620: Fix display of packed pixel modes
  (bsc#1051510).
- drm/bridge/sii8620: Send AVI infoframe in all MHL versions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Use kvzalloc for allocating blob property memory
  (bsc#1101352).
- drm/udl: fix display corruption of the last line (bsc#1101337).
- drm/meson: Fix an un-handled error path in
  'meson_drv_bind_master()' (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: release spinlock before committing updates
  to stream (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu:Support new VCN FW version naming convention
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix UBSAN: Undefined behaviour for amdgpu_fence.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: GPU vs CPU page size fixes in
  amdgpu_vm_bo_split_mapping (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: Count disabled CRTCs in commit tail earlier
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mali-dp: Rectify the width and height passed to
  rotmem_required() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/arm/malidp: Preserve LAYER_FORMAT contents when setting
  format (bsc#1051510).
- drm: mali-dp: Enable Global SE interrupts mask for DP500
  (bsc#1051510).
- drm/arm/malidp: Ensure that the crtcs are shutdown before
  removing any encoder/connector (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/sii8620: fix display of packed pixel modes in MHL2
  (bsc#1051510).
- Revert "drm/sun4i: Handle DRM_BUS_FLAG_PIXDATA_*EDGE"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atmel-hlcdc: check stride values in the first plane
  (bsc#1051510).
- drm/bridge/sii8620: fix HDMI cable connection to dongle
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/sii8620: remove HSIC initialization (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/sii8620: start MHL transmission after HDMI signal
  detection (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/bridge/sii8620: fix potential buffer overflow (bsc#1051510).
- drm/bridge/sii8620: fix display modes validation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/sii8620: fix loops in EDID fetch logic (bsc#1051510).
- drm/bridge/sii8620: simplify hardware reset procedure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Enable provoking vertex fix on Gen9 systems
  (bsc#1051510).
- drm/i915: Fix context ban and hang accounting for client
  (bsc#1051510).
- drm/i915: Turn off g4x DP port in .post_disable() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Disallow interlaced modes on g4x DP outputs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix PIPESTAT irq ack on i965/g4x (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Allow DBLSCAN user modes with eDP/LVDS/DSI
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Avoid putting the error pointer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Apply batch location restrictions before pinning
  (bsc#1051510).
- drm/amdgpu: Make amdgpu_vram_mgr_bo_invisible_size always
  accurate (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Refactor amdgpu_vram_mgr_bo_invisible_size helper
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Update pin_size values before unpinning BO
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:All UVD instances share one idle_work handle
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Don't default to DC support for Kaveri and older
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Use kvmalloc_array for allocating VRAM manager
  nodes array (bsc#1051510).
- drm/amd/pp: Fix uninitialized variable (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/qxl: Call qxl_bo_unref outside atomic context (bsc#1051510).
- drm: Fix possible race conditions while unplugging DRM device
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: cursors always use core channel vram
  ctxdma (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: shmobile: remove unused MERAM support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Set higher SCLK&MCLK frequency than dpm7
  in OD (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/powerplay: remove uncessary extra gfxoff control call
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix parsing indirect register list v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include: Update df 3.6 mask and shift definition
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Fix OD feature enable failed on Vega10 workstation
  cards (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fix stale buffer object (bo) use (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: initialize result to before or'ing in data
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix wrong clock adjust sequence (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Grab/put runtime PM references in
  atomic_commit_tail() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/powerplay: fix missed hwmgr check warning before call
  gfx_off_control handler (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: fix CG enabling hang with gfxoff enabled
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix clear_all and replace handling in the VM (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add checking for sos version (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix the missed vcn fw version report (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/amdgpu: Add an ATPX quirk for hybrid laptop"
  (bsc#1051510).
- drm/amdgpu/df: fix potential array out-of-bounds read
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix NULL pointer when load kfd driver with PP block
  is disabled (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/gfx9: Update gc goldensetting for vega20 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Allow underclocking when od table is empty in vbios
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/display: check if ppfuncs exists before using it
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Connect display_clock_voltage_request to a function
  pointer (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: typo fix for vega20 cg flags (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: bug fixs for getsmuclockinfo (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: correct SMU11 SYSPLL0 clock id values (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: gds bo must not be per-vm-bo (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: To get gds, gws and oa from adev->gds (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Read DP_SINK_COUNT_ESI range on HPD for DP 1.4
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Read DPCD link caps up to and including
  DP_ADAPTER_CAP (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Do not program interrupt status on disabled
  crtc (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix dscl_manual_ratio_init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Destroy connector state on reset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Set TMZ and DCC for secondary surface
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: DP component depth 16 bpc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: check if audio clk enable is applicable
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add register offset != 0 check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Release fake sink (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: replace msleep with udelay in fbc path
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Do not limit color depth to 8bpc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove unnecessary scheduler entity for VCN
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add helper function to get buffer domain
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Use GTT for dumb buffer if sg display enabled (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add cases for getting phys and disp clks for SMU10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix wrong latency assignment for VEGA clock
  levels (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/scheduler: fix a corner case in dependency optimization
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: vcn_v1_0_is_idle() can be static (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Implement
  dm_pp_get_clock_levels_by_type_with_latency (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/kvmgt: Check the pfn got from vfio_pin_pages
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Dereference msi eventfd_ctx when it isn't used
  anymore (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/gvt: Fix the validation on size field of dp aux header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: fix memory leak of a cmd_entry struct on error
  exit path (bsc#1051510).
- drm/i915/icl: Don't update enabled dbuf slices struct until
  updated in hw (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/icl: fix icl_unmap/map_plls_to_ports (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove bogus NV12 PLANE_COLOR_CTL setup (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove stale asserts from
  i915_gem_find_active_request() (bsc#1051510).
- Revert "drm/i915/edp: Allow alternate fixed mode for eDP if
  available." (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Nul-terminate legacy debug string (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/v3d: add CONFIG_MMU dependency (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- commit 86f8da4
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/msm: Fix NULL deref on bind/probe deferral (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Switch to atomic_helper_commit() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Remove msm_commit/worker, use atomic helper commit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Issue queued events when disabling crtc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Move implicit sync handling to prepare_fb (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Refactor complete_commit() to look more the helpers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Don't subclass drm_atomic_state anymore (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: Use the new private_obj state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: Add global state as a private atomic object
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: use correct aspace pointer in msm_gem_put_iova()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: remove unbalanced mutex unlock (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: disable dtc graph-endpoint warnings on DT overlays
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix 32-bit build warning (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Use dev_info() to report amdkfd is not supported
  for this ASIC (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: conditionally compile amdgpu's amdkfd files
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: fimc: signedness bug in fimc_setup_clocks()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: scaler: fix static checker warning (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: Fix default value for zpos plane property
  (bsc#1051510).
- drm/exynos: Fix error value in exynos_drm_crtc_get_by_type()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/dsi: mask frame-done interrupt (bsc#1051510).
- drm/exynos: decon: Add support for hardware windows no 4 and 5
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove use of division operator for long longs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Update GFX info structure to match what vega20 used
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pp: remove duplicate assignment (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sched: add rcu_barrier after entity fini (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move VM BOs on LRU again (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: consistenly use VM moved flag (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: kmap PDs/PTs in amdgpu_vm_update_directories
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: further optimize amdgpu_vm_handle_moved (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: cleanup amdgpu_vm_validate_pt_bos v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rework VM state machine lock handling v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add runtime VCN PG support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Enable VCN static PG by default on RV (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add VCN static PG support on RV (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Enable VCN CG by default on RV (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add static CG control for VCN on RV (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add SOC15_WAIT_ON_RREG macro define (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add CG/PG flags for VCN (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add smu support for VCN powergating on RV
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: skip CG for VCN when late_init/fini (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: fix a couple locking issues (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Fix static checker warning (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc9: disable partial wr rmw if ECC is not enabled
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add a df 1.7 implementation of
  enable_ecc_force_par_wr_rmw (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: add new DF callback for ECC setup (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add new DF 1.7 register defs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Remove calls to suspend/resume atomic helpers from
  amdgpu_device_gpu_recover. (v2) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix insert nop for UVD4.2 ring (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix insert nop for UVD5 ring (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix insert nop for UVD6 ring (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix insert nop for UVD7 ring (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix insert nop for VCN decode ring (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Fix build warning in vegam (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clear connector's edid pointer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix memory leaks (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: DCN1 link encoder (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clear underflow status for debug purposes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix bug with index check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add fullscreen transitions to log (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: constify a few dc_surface_update fields
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Only limit VSR downscaling when actually
  downscaling (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: don't create new dc_sink if nothing changed
  at detection (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: use macro for logs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix up dm logging functionality (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: update dml to allow sync with DV (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Log DTN only after the atomic commit in Diag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: disable mpo if brightness adjusted (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add dc cap to restrict VSR downscaling src size
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix a 32 bit shift meant to be 64 warning
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix 31_32_fixpt shift functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Update HW sequencer initialization (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: underflow/blankscreen recovery (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: truncate scaling ratios and inits to 19 bit
  precision (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: add fixed point fractional bit truncation
  function (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Make DisplayStats work with just DC
  DisplayStats minor (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: inline more of fixed point code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: get rid of 32.32 unsigned fixed point
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Cleanup unused SetPlaneConfig (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Take vcn encode rings into account in idle work
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Take uvd encode rings into account in idle work (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: count fences from all uvd instances in idle handler
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scheduler: fix function name prefix in comments (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu:  Code comments for the amdgpu_ttm.c driver. (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: missing curly braces in smu7_enable_sclk_mclk_dpm()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/display: fix vega12/20 handling in dal_asic_id.h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit f16ccf8
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/amdgpu/display: remove VEGA20 config option (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 6671292
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/amdgpu/display: remove VEGAM config option (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit b3e0aed
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/scheduler: Remove obsolete spinlock (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove unused member (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Workaround flickering issue on RV (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Skip drm_sched_entity related ops for KIQ ring
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: flag Vega20 as experimental (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add vega20 pci ids (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Switch to use df_v3_6_funcs for vega20 (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/df: implement df v3_6 callback functions (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add df 3.6 headers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vg20:Enable UVD/VCE for Vega20 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vg20:Enable 2nd instance queue maping for uvd 7.2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vg20:Enable the 2nd instance IRQ for uvd 7.2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vg20:Add IH client ID for the 2nd UVD (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vg20:Enable the 2nd instance for uvd (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vg20:increase 3 rings for AMDGPU_MAX_RINGS
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vg20:Restruct uvd.inst to support multiple instances
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vg20:Restruct uvd to support multiple uvds
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Disable ip modules that are not ready yet
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: update vega20 cg flags (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Set vega20 load_type to AMDGPU_FW_LOAD_DIRECT
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Use vbios table for gpu info on vega20 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/atomfirmware: add parser for gfx_info table
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/atomfirmware: add new gfx_info data table v2.4 (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add harvest IP support for Vega20 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add BIOS smu_info v3_3 support for Vega20
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove COMBO_DISPLAY_PLL0 from Vega20
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit f2087ed
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/amd/display: Add Vega20 config. support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit b17ba13
* Mon Jan  7 2019 tzimmermann@suse.de
- fbdev: fbcon: Fix unregister crash when more than one framebuffer (bsc#1113722)
- commit af14719
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/amd: Add dce-12.1 gpio aux registers (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add vega20 to dc support check (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display/dm: Add vega20 support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add nbio support for vega20 (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/soc15: Add ip blocks for vega20 (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/soc15: dynamic initialize ip offset for vega20
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/soc15: Set common clockgating for vega20 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/soc15:Add vega20 soc15_common_early_init support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: Add clockgatting support for vega20
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: Add support for vega20 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: Add gfx config for vega20. (v4) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: Add vega20 golden settings (v3) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: Add support for vega20 firmware (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: Add clockgating support for vega20
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: Add vega20 golden settings (v3) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: Specify vega20 firmware (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/mmhub: Add clockgating support for vega20
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc9: Add vega20 support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/virtual_dce: Add vega20 support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Specify vega20 vce firmware (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Specify vega20 uvd firmware (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add vega20 ucode loading method (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/psp: Add initial psp support for vega20 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/powerplay: Add initial vega20 support v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add smu firmware support for vega20 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: set asic family for vega20 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add gpu_info firmware for vega20. (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add vega20 to asic_type enum (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include/vg20: adjust VCE_BASE to reuse vce 4.0
  header files (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd: Add vega20_ip_offset.h headerfile for vega20. (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix hardcoded base offset of vram pages (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Drop the unused header files in soc15.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add a framework for perfroming pre display
  configuration change settings (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: new framework to honour DAL clock limits
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: Update golden setting for gfx9_0 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Add kerneldoc for UAPI (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: vic: Track interface version (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: gr3d: Track interface version (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: gr2d: Track interface version (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Track client version (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Support rotation property (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: gem: Fill in missing export info (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Use proper arguments for DRM_TEGRA_CLOSE_CHANNEL
  IOCTL (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- gpu: host1x: Rename relocarray -> relocs for consistency
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- gpu: host1x: Store pointer to client in jobs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- gpu: host1x: Remove wait check support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Use drm_gem_fb_destroy (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Move fbdev unmap special case (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: tegra_fb -> drm_framebuffer (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Move GEM BOs to drm_framebuffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Remove duplicate framebuffer num_planes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Acquire a reference to the IOVA cache (bsc#1090888).
- drm/tegra: Fix order of teardown in IOMMU case (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Rename supports_blending to has_legacy_blending
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: plane: Implement zpos plane property for older Tegras
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Enable plane scaling filters (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Refactor IOMMU attach/detach (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: gr3d: Properly clean up resources (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: gr2d: Properly clean up resources (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Free syncpoint on errors (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: gr3d: Add IOMMU support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: gr2d: Add IOMMU support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Balance IOMMU group refcounting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: hub: Use state directly (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: replace license text with SPDX tags (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: mmuv2: support 40 bit phys address (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: mmuv2: allocate 2nd level page tables on demand
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: switch MMU page tables to writecombine memory
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: remove register logging (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: remove cycling through MMU address space
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: correct timeout calculation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda998x: add CEC support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- commit 705ddfa
* Mon Jan  7 2019 tzimmermann@suse.de
- fbdev: fbmem: behave better with small rotated displays and many CPUs (bsc#1113722)
- commit c3cb61a
* Mon Jan  7 2019 jgross@suse.com
- blacklist.conf:
  added 123664101aa
- commit 2f36f29
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/i2c: tda998x: always disable and clear interrupts at probe
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda998x: move CEC device initialisation later
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda998x: fix error cleanup paths (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda998x: move mutex/waitqueue/timer/work init early
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: insert some WFIs during gr init
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/clk: Use list_for_each_entry_from_reverse
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: fix temp/pwm visibility, skip hwmon when no
  sensors exist (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau: fix nouveau_dsm_get_client_id()'s return type
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: fix mode_valid's return type (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/ce/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/fifo/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/disp/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/dma/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/therm/gv100: initial support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/pmu/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/fault/gv100: initial support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bar/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/ltc/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/fb/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/imem/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/tmr/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bus/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mc/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/fuse/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/i2c/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gpio/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/ibus/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/top/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/devinit/gv100: initial support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bios/pll: limits table 5.0 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bios/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/pci/gv100: initial support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/core: recognise gv100 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/core: increase maximum number of copy engines to 9
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: initial overlay support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/gk104-: add support for2R10G10B10 formats
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/gk104-: support additional cursor sizes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: separate blocklinear vs linear pitch
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: handle degamma LUT from window channels
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: plane updates don't always require
  image_set() (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/kms/nv50-: store window visibility in state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: simplify swap interval handling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: decouple window state changes, and
  update method submisssion (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: simplify tracking of channel interlocks
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: determine MST support from DP Info Table
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: extend window image data for
  stereo/planar formats (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: move drm format->hw conversion into
  common code (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/kms/nv50-: unify set/clr masks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: allow specification of valid heads
  for a window (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/kms/nv50-: split base implementation by hardware
  class (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/kms/nv50-: split core implementation by hardware
  class (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/kms/nv50-: split each resource type into their own
  source files (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/kms/nv50: abstract OR interfaces so the code can
  be split (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/kms/nv50: handle SetControlOutputResource from head
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: abstract head interfaces so the code
  can be split (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/kms/nv50: modify core allocation so the code can
  be split (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/kms/nv50-: modify base allocation so the code
  can be split (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/kms/nv50-: modify cursor allocation so the code
  can be split (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/kms/nv50-: modify overlay allocation so the code
  can be split (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/kms/nv50-: move fb ctxdma tracking into windows
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: fix i2c-over-aux on anx9805 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50-: move code underneath dispnv50/
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms: move display class instantiation to library
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/drm/nv50-: remove allocation of sw class
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: no need to create ctxdma for push buffers on
  fermi and up (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau: remove fence wait code from deferred client
  work handler (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/gem: tie deferred unmapping of buffers to VMA fence
  completion (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/gem: attach fences to VMAs to track GPU usage
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gem: lookup VMAs for buffers referenced by
  pushbuf ioctl (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/gr/gp102-: setup stencil zbc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gp100-: use correct registers for zbc
  colour/depth setup (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/gr/gp100-: fix attrib cb setup (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gp100-: fix pagepool setup (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-gm10x: update register lists (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: swap bundle and pagepool (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: calculate and use sm mapping table
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: port zcull tile mapping calculations
  from NVGPU (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/gr/gf100-: port tile mapping calculations from NVGPU
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise trap_mp (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: add missing reset sequence before golden
  context init (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/gr/gf100-: delete duplicated grctx init code
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: update r408840 where required
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: update 419a3c where required (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise r418e94 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise r419e00 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: update 419eb0 where required (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: note missing 418800 modifications
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-gf119: update 419cb8 where required
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: support firmware-provided bundle/method
  everywhere (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/gr/gf100-: virtualise tpc_mask + apply fixes
  from traces (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/gr/gf100-: virtualise r419f78 + apply fixes
  from traces (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/gr/gf100-: virtualise gpc_tpc_nr (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise r406500 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise dist_skip_table + improve
  algorithm (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/gr/gf100-gf119: modify max_ways_evict where required
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise alpha_beta_tables + improve
  algorithms (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/gr/gf100-: virtualise rop_mapping (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise r4060a8 + apply fixes
  from traces (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/gr/gf100-: virtualise tpc_per_gpc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise sm_id/tpc_nr (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise patch_ltc, noting missing init
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: support firmware-provided sw_ctx
  everywhere (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/gr/gf100-: delete duplicated init code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_400054 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: apply be exception fixes from traces
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_shader_exceptions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_504430 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_tex_hww_esr (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_ppc_exceptions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_419c9c + apply fixes
  from traces (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_419eb4 + apply fixes
  from traces (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_419cc0 + apply fixes
  from traces (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_sked_hww_esr (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_40601c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_ds_hww_esr_2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_fecs_exceptions +
  apply fixes from traces (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100: write 0x400124 during init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_swdx_pes_mask
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: implement another chunk of bios-provided
  init (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_rop_active_fbps
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_num_active_ltcs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_zcull (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_vsc_stream_master
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_bios (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: support clkgate_pack everywhere
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: virtualise r405a14 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: support firmware-provided sw_nonctx
  everywhere (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/gr/gf100-: virtualise init_gpc_mmu + apply fixes
  from traces (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/fifo/gp100-: force individual channels into a
  channel group (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/fifo/gm107-: write instance address in channel
  runlist entry (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/fifo/gk208-: write pbdma timeout regs during
  initialisation (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/fifo/gk110-: support writing channel group runlist
  entries (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/fifo/gk104-: poll for runlist update completion
  (bsc#1051510).
- drm/nouveau/fifo/gk104-: add interfaces to support different
  runlist layouts (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/fifo/gk104-: simplify definition of channel classes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/fifo/gk104-: require explicit runlist selection
  for channel allocation (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/fifo/gk104-: support querying engines available on
  each runlist (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/fifo/gk104-: allow fault recovery code to be
  called by other subdevs (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/fifo/gk104-: accept engine contexts for CE3 and up
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/fifo: support channel count query (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/device: support querying available engines of a
  specific type (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/device: implement a generic method to query
  device-specific properties (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/disp/nv50-: pass nvkm_memory objects for channel
  push buffers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/disp/nv50-: add channel interfaces to control error
  interrupts (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/disp/nv50-: add channel interfaces to determine
  the user area (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/disp/nv50-: merge handling of pio and dma channels
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/disp/nv50-: simplify definiton of core channels
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/disp/nv50-: simplify definition of cursor channels
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/disp/nv50-: simplify definition of base channels
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/disp/nv50-: simplify definition of overlay
  immediate channels (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/disp/nv50-: simplify definition of overlay channels
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/disp/nv50-: replace user object with engine pointer
  in channels (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/disp/nv50-: initialise from the engine, rather
  than the user object (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/disp/nv50-: fetch mask of available piors during
  oneinit (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/disp/nv50-: fetch mask of available sors during
  oneinit (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/disp/nv50-: fetch mask of available dacs during
  oneinit (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/disp/nv50-: fetch mask of available heads during
  oneinit (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/disp/nv50-: delay subunit construction until oneinit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/fb/gm200-: fix overwriting of big page setting
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/fb/gf100-: bump size of mmu debug buffers to match
  big page size (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/fault/gp100: implement replayable fault buffer
  initialisation (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/fault: add infrastructure to support fault buffers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mc/gp100-: route fault buffer interrupts to FAULT
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/core: define FAULT subdev (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/secboot: remove VLA usage (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: nouveau: use larger buffer in nvif_vmm_map
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Fix build failure (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Fix rcar_du_of_init() stub (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: include pagemap.h for release_pages() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scheduler: remove unused parameter (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Add SPDX idenitifier and clarify license (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: print the BO flags in the gem debugfs entry
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop printing the BO offset in the gem debugfs (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add support to change mtype for 2nd part of gart
  BOs on GFX9 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/powerplay: Add notify PWE function to SMU10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove need of modeset flag for overlay
  planes (V2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: fix null pointer for bo unmap trace function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc9: remove unused register defs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add HDP flush dummy for UVD 6/7 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: set ttm bo priority before initialization
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: remove priority hard code when initializing ttm bo
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Implement force_clock_level for RV (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add PME smu message for raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: clean up assignment of amdgpu_crtc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix spelling mistake: "contruct" ->
  "construct" (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: invalidate parent bo when shadow bo was invalidated
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: abstract bo_base init function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Add some documentation to the debugfs entries
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: vcn10 Add callback for emit_reg_write_reg_wait
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix display corruption on CI with dpm enabled
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Skip fan attributes if fan not present (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: disable FBC on underlay pipe (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/uvd7: add emit_reg_write_reg_wait ring callback
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Couple formatting fixes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use int for calculating vline start
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.44 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: to synchronize the hubp and dpp programming in
  cursor control (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: reprogram infoframe during apply_ctx_to_hw
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add assert that chroma pitch is non zero
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: compact the rq/dlg/ttu log (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: update dtn logging and goldens (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add some DTN logs for input and output tf
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add cursor TTU CRQ related (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add user_regamma to color module (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.43 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: DP link validation bug for YUV422 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refactor otg_blank sequence (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Make program_output_csc HWSS interface function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix issue related to infopacket was not
  transmitted (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Unify dm resume sequence into a single call
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sriov: Need to set in_gpu_reset flag to back after
  gpu reset (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: For sriov reset, move IB test into exclusive mode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scheduler: don't update last scheduled fence in TDR
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/powerplay: Add powertune table for VEGAM (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add specific changes for VEGAM in
  smu7_hwmgr.c (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/powerplay: add smumgr support for VEGAM (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: update process pptables (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: update ppatomctrl.c (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: add a new struct in atombios.h (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add smu75 header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use HBR2 if eDP monitor it doesn't advertise
  link rate (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Add VEGAM support to the legacy DCE 11 module
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Implement VEGAM device IDs in DM (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 2c86b02
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/amd/display: Implement VEGAM device IDs in DC (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 4cec4c6
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/amdgpu: add VEGAM pci ids (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add VEGAM support to vi (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add VEGAM to VCE harvest config (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add VEGAM VCE firmware support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add VEGAM UVD encode support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add VEGAM UVD firmware support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: initialize VEGAM GFX (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add VEGAM GFX golden settings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add VEGAM GFX firmware support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add VEGAM SDMA golden settings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add VEGAM SDMA firmware support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: initialize VEGAM GMC (v2) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add VEGAM GMC golden settings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: skip VEGAM MC firmware load (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add VEGAM dc support check (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/virtual_dce: add VEGAM support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add VEGAM SMU firmware support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: specify VEGAM ucode SMU load method (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: set VEGAM to ASIC family and ip blocks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: bypass GPU info firmware load for VEGAM (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add VEGAM ASIC type (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Change the default to PCI on PowerPC (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add OVERDRIVE support on Vega10 (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/admgpu: fix mode_valid's return type (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: fix mode_valid's return type (bsc#1051510).
- drm/radeon: fix radeon_atpx_get_client_id()'s return type
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix amdgpu_atpx_get_client_id()'s return type
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: change pp_dpm clk/mclk/pcie input format
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: bo could be null when access in vm bo update
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Enable scatter gather display support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/powerplay: actually return the power with the
  new query (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/pp: Print out voltage/clock range in sysfs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Change voltage/clk range for OD feature on VI
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Refine the OD state checking code in smu7
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Use dynamic gfx_clk rather than hardcoded values
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Change pstate_clk frequency unit to 10KHz on Rv
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pm: document pp_od_clk_voltage (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pm: document pp_power_profile_mode (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pm: document pp_dpm_sclk pp_dpm_mclk pp_dpm_pcie (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pm: document pp_table (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pm: document power_dpm_state (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pm: document power_dpm_force_performance_level
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Remove VRAM from shared bo domains (bsc#1051510).
- drm/amdgpu: Rename amdgpu_display_framebuffer_domains()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: use the flag to decide whether send gfxoff
  smc message (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: set CGPG if gfxoff is enabled for raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix to disable powergating in hw_fini (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: it should disable gfxoff when system is going
  to suspend (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/powerplay: add control gfxoff enabling in late init
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: clear gfxoff feature mask if the asic is not raven
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use pp_feature member to store the mask (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: enable/disable gfxoff through smu
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add gfx off control function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: set gfxoff disabled by default (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add gfxoff feature mask (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move PP_FEATURE_MASK to amd_shared header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: send CGPG smc message if PG is enabled
  for raven (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: add setting powergating method for gfx9 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: revise init_rlc_save_restore_list behavior to
  support latest register_list_format/register_restore table
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: cleanup init power gating function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: enter rlc safe mode before set cgpg (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add save restore list cntl gpm and srm firmware
  support (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: add new rlc firmware header format v2.1 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: update psp gfx if header (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add registry key to disable ACG (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: print DMA-buf status in debugfs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: simplify bo_va list when vm bo update (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: init gfx9 aperture settings (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Fix NULL point check error in
  smu_set_watermarks_for_clocks_ranges (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix list not initialized (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: optionally do a writeback but don't invalidate TC
  for IB fences (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: handle domain mask checking v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: set preferred_domain independent of fallback
  handling (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: limit reg_write_reg_wait workaround to SRIOV v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scheduler: move last_sched fence updating prior to job
  popping (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/scheduler: always put last_sched fence in entity_fini
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: print the vbios version in the debugfs firmware info
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Remove dead interface (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Reserved vram for smu to save debug info
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use amdgpu_bo_param for amdgpu_bo_create v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add amdgpu_bo_param (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use dig enable to determine fast boot
  optimization (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: add missing colorspace for set black color
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add calculated clock logging to DTN
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add rq/dlg/ttu to dtn log (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Check SCRATCH reg to determine S3 resume
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move DCC support functions into dchubbub
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Do not create memory allocation if stats
  not enabled (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Check lid state to determine fast boot
  optimization (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: change dml init to use default structs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix segfault on insufficient TG during
  validation (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Move dp_pixel_encoding_type to stream_encoder
  include (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: dal 3.1.42 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: defer test IBs on the rings at boot (V3)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Adding a function to store cc6 data in SMU10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Adding set_watermarks_for_clocks_ranges for SMU10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: re-validate per VM BOs if required v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: revert "Don't change preferred domian when fallback
  GTT v6" (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: revert "add new bo flag that indicates BOs don't
  need fallback (v2)" (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/pp: Move common code to smu_helper.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Clear smu response register before send smu message
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Remove struct pp_gpu_power (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Refine get_gpu_power for VI (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/amd/powerply: fix power reading on Fiji"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/gpu-sched: fix force APP kill hang(v4) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Free VGA stolen memory as soon as possible
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc: steal the appropriate amount of vram for fw
  hand-over (v3) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu/gmc9: use amdgpu_ring_emit_reg_write_reg_wait in
  gpu tlb flush (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu/vcn1: add emit_reg_write_reg_wait ring callback
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vce4: add emit_reg_write_reg_wait ring callback
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/uvd7: add emit_reg_write_reg_wait ring callback
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: add emit_reg_write_reg_wait ring callback (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: add emit_reg_write_reg_wait ring callback (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add emit_reg_write_reg_wait ring callback
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/powerplay: rename smu7_upload_mc_firmware
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/powerplay: fix smu7_get_memory_type for fiji
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: cache DB_DEBUG2 and make it available to
  userspace (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/ttm: keep a reference to transfer pipelined BOs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Remove useless smu7 running state check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Remove dead function in smu7_smumgr.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: initialzie the dpm intial enabled state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Get more than 8 level gfxclk states
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amd/powerplay: implement the vega12_force_clock_level interface
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add APU support in vi_set_vce_clocks (bsc#1051510).
- drm/amdgpu: Add APU support in vi_set_uvd_clocks (bsc#1051510).
- drm/amd/pp: Remove unnecessary forward declaration (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Move same macro definitions to hwmgr.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove dummy is_blanked() to optimise boot time
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't spam debug messages (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit c92f3f1
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/amd/display: Remove PRE_VEGA flag (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 2d1455b
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/amd/display: Fix 64-bit division in hwss_edp_power_control
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix and cleanup cpu visible VRAM handling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use ctx bytes_moved (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: fix the wrong readout engine clock in deep sleep
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: use soc15 common macros instead of vega10 specific
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Refine pp_atomfwctrl_get_vbios_bootup_values
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix memleak on input transfer function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix dim display on DCE11 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Have DC manage its own allocation of gamma
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix structure initialization of
  hdmi_info_packet (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: move color_transfer_func to color mod
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refactor color module (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: csc_transform to dc_csc_transform (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Do not use os types (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unused fields (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Get rid of unused input_tf (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Updated HDR Static Metadata to directly
  take info packet raw (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.41 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: csc updates require FULL update (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Make DCN stream encoder shareable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Update scaler v_active data if interlaced
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Change disable backlight ramp change threshold
  from 0 to maximum value (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Fill calcs date from stream src/dst if
  available (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix link bw calculation for 422 and 420
  encoding (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: remove unused enum (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refactor stream encoder for HW review
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Set all update flags when we have full update
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add delay between panel pwr off to on
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Implement dm_get_timestamp (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add vmax/min_sel prints to dcn10_log_hw_state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add Dynamic debug prints (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix potential access beyond end of array in CM
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Non-HDMI DP active dongle should not
  support YUV pixel format (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Set ignore_msa_timing_param (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Program v_total_min/max after v_total_cntl
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't register backlight on connector_destroy
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't access legacy properties (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Added support for MV packet (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sched: Extend the documentation (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add new bo flag that indicates BOs don't need
  fallback (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Don't change preferred domian when fallback GTT v6
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scheduler: move the tracepoints file from the include
  directory (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/scheduler: fix param documentation (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix spelling mistake: "Usupported" ->
  "Unsupported" (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: use new asic need_full_reset callback (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/soc15: implement asic need_full_reset callback
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vi: implement asic need_full_reset callback
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/cik: implement asic need_full_reset callback
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/si: implement asic need_full_reset callback
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add asic need_full_reset callback (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add documentation on hwmon interfaces exposed (v3)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Move GEM BO to drm_framebuffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: radeon_framebuffer -> drm_framebuffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Move GEM BO to drm_framebuffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Disentangle dc.h include from amdgpu.h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: switch to use df callback functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/df: implement df v1_7 callback functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add df callback functions structure (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add df v1_7 header files (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: use a helper for SDMA_OP_POLL_REGMEM
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove duplicate cg/pg wrapper functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Delete some cgs functions (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Not call cgs interface to get display info
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Set pm_display_cfg in non-dc mode (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Use atombios api directly in powerplay (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/dc: Use atombios api directly in DC (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Get pci resource directly through adev (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Use gfx rlc funcs directly in powerplay (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Fix spelling mistake: "suppported" -> "supported"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Use dpm_enabled as dpm state flag (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Use release_firmware directly in powerplay
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Save vf state in pp context (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Lock pm_funcs when set pp table (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add hwmgr_sw_init/fini functioins (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Remove useless fw load error handler on Polaris
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move commit_planes_to_stream to amdgpu_dm
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Only program MSA_TIMING_PARAM if it changed
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add double buffer machanism to OCSC
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add vline IRQ programming for DCN (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Rename encoder_info_packet to dc_info_packet
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Couple bug fixes in stats module (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add double buffer machanism to ICSC
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add num_active_wb to DML (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Correct print types in DC_LOGS (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add dc_lut_mode enum (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: hide inconsistent mpcc programming from dtn log
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Only update mpc blend config if not full update
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Separate mem input constuctors for dce 112
  and 120 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: add assert in enable FBC (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: align dtn logs and add mpc idle bit print
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.40 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Implementing new bandwidth registers for DCE120
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: drop dc_validate_guaranteed (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Change wb_h/vratio to double (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Adding stutter entry wm to dce bw struct
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't call amdgpu_dm_display_resume as it
  doesn't exist (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Add debug prints for bandwidth calculations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add mpc to dtn log (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Rename feature-specific register address
  init macro (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix Polaris 12 bw bounding box (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Update ASIC header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Retry when read dpcd caps failed (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.39 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: correct the condition in setting cursor not
  visible beyond left edge (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: Add CM_TEST_DEBUG regs for DCN (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20180514 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Mark up nested spinlocks (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Relax CSB force-mmio for VT-d (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gen9: Add WaClearHIZ_WM_CHICKEN3 for bxt and glk
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: scrub 64K (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/oa: Check that OA is disabled before unpinning
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/i915/cnl: Use mmio access to context status buffer"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: WaForwardProgressSoftReset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Wa_1406838659 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/icl: Wa_1604302699 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/icl: Wa_1406680159 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/icl: Wa_1405779004 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/icl: WaDisCtxReload (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: WaCL2SFHalfMaxAlloc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: WaDisableCleanEvicts (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: WaModifyGamTlbPartitioning (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: WaL3BankAddressHashing (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: WaGAPZPriorityScheme (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Enable Sampler DFR (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Introduce initial Icelake Workarounds (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Trust the uncached store to flush wcb (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add NV12 as supported format for sprite plane
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add NV12 as supported format for primary plane
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add NV12 support to intel_framebuffer_init
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add skl_check_nv12_surface for NV12 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Enable Display WA 0528 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Enable display workaround 827 for all planes, v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Check if VBT says PSR can be enabled (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Make submission tasklet hardirq safe (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Make submission tasklet hardirq safe
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Only switch to kernel context when locked
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Create mock_engine() under struct_mutex
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Annotate timeline lock nesting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove unused i915_flip tracepoints (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Disable tasklet scheduling across initial scheduling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Flush submission tasklet after bumping priority
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Return to kernel context after each test
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: don't leak the pin_map on error (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Flush GPU activity before completing
  live_contexts (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/selftests: Refactor common flush_test() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Cache the priolist when rescheduling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Drop unused parameter to lookup_priolist()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Don't request a bug report for unsafe module
  parameters (bsc#1051510).
- drm/i915/icl: compute the MG PLL registers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: compute the combo PHY (DPLL) DP registers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: compute the combo PHY (DPLL) HDMI registers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: add basic support for the ICL clocks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add documentation to gen9_set_dc_state() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Skip the execlists tests on !execlists
  machines (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Include priority and completed status in request
  in/out tracepoints (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Remove assertion of active_rings must be non-empty
  if active_requests (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/gtt: Tidy up duplicate branches in gen8_gmch_probe()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- i915: Convert to use match_string() helper (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Drop preemption arbitrations points along
  the ring (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Keep one request in our ring_list (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Lazily unbind vma on close (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: fix spelling mistake: "parmaters" ->
  "parameters" (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/icl: Add configuring MOCS in new Icelake engines
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove redundant check for negative timeout while
  doing an atomic pipe update (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Mark the hangcheck as idle when unparking the engines
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Reset the hangcheck timestamp before repeating a seqno
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Silence debugging DRM_ERROR for failing to suspend
  vlv powerwells (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/execlists: Emit i915_trace_request_out for preemption
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Split i915_gem_timeline into individual timelines
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move timeline from GTT to ring (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/firmware: Correct URL for firmware (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Assert we have the doorbell before setting it up
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Disable some extra clang warnings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Show ring->start for the ELSP context/request queue
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Fix error checking for wait_var_timeout
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: add support for specifying DMC firmware override by
  module param (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Print error state times relative to capture
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Don't trigger preemption if complete
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Fix the DP Max Voltage for ICL (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Implement voltage swing programming sequence for
  Combo PHY DDI (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Only track live rings for retiring (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Retire requests along rings (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Wrap engine->context_pin() and engine->context_unpin()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Stop tracking timeline->inflight_seqnos (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/lrc: Scrub the GPU state of the guilty hanging request
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: add definitions for the ICL PLL registers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: update ddb entry start/end mask during hw ddb
  readout (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/icl: Enable 2nd DBuf slice only when needed
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: track dbuf slice-2 status (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Don't set pipe CSC/Gamma in PLANE_COLOR_CTL
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr/cnl: Set y-coordinate as valid in SDP (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/debugfs: Print sink PSR status (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr/skl+: Print information about what caused a
  PSR exit (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/psr: Prevent PSR exit when a non-pipe related register
  is written (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/selftests: Wait for idle between idle resets as well
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dp: fix compliance test adjustments (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dp: abstract link config selection (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dp: group link config limits in a struct (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dp: move eDP VBT bpp clamping code to
  intel_dp_compute_bpp() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/dp: abstract dp link config computation from the rest
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dp: move link_bw and rate_select debugging where used
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dp: remove stale comment about bw constants
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: prefer INTEL_GEN() over INTEL_INFO()->gen (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Compile out engine debug for release (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Use seqlock in engine stats (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Correctly clear lost ctx-switch interrupts
  across reset for Gen11 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Remove obsolete min/max freq setters from debugfs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Use memset64() to align the ring with MI_NOOP
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Print debug message on atomic check failure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/breadcrumbs: Keep the fake irq armed across reset
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Fix uninitialized variable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Skip printing global offsets for per-engine scratch
  pages (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Don't dump umpteen thousand requests (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Build request info on stack before printk (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add compiler barrier to wait_for (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/kbl: Add KBL GT2 sku (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Do NOT skip the first 4k of stolen memory for
  pre-allocated buffers v2 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/psr: Timestamps for PSR entry and exit interrupts
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Control PSR interrupts via debugfs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Enable edp psr error interrupts on bdw+ (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Enable edp psr error interrupts on hsw (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove skl dc6 enable/disable functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Protect PIPE_CONF_CHECK macros with do {} while(0)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dsi: improve dphy param limits logging (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Pack params to engine->schedule() into a struct
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Rename priotree to sched (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move the priotree struct to its own headers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Handle a potential failure of
  intel_ring_begin (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Check whitelist registers across resets (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Remove GUC_CTL_DEVICE_INFO parameter (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: let force_to_nonpriv cmd handler only valid
  for LRI cmd (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/gvt: do not return error on handling force_to_nonpriv
  registers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/gvt: let NOPID be the default value of force_to_nonpriv
  registers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/gvt: Remove disable_warn_untrack and print untracked
  mmio with debug level (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/gvt/scheduler: Remove unnecessary NULL checks in
  sr_oa_regs (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/gvt: scan non-privileged batch buffer for debug purpose
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Update time slice more frequently (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Use real time to do timer check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Fix render node numbering regression from control node
  removal (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: Add and handle new aspect ratios in DRM layer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add aspect ratio parsing in DRM layer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Expose modes with aspect ratio, only if requested
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Handle aspect ratio info in legacy modeset path
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add DRM client cap for aspect-ratio (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/edid: Don't send bogus aspect ratios in AVI infoframes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/edid: Fix cea mode aspect ratio handling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/edid: Use drm_mode_match_no_clocks_no_stereo() for
  consistentcy (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/modes: Introduce drm_mode_match() (FATE#325208).
- drm: panel-orientation-quirks: Convert to use match_string()
  helper (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/dp: Correctly mask DP_TRAINING_AUX_RD_INTERVAL values
  for DP 1.4 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/dp: Add DP_DPCD_REV_XX to drm_dp_helper (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/xen-front: Fix loop timeout (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/xen-front: fix xen_drm_front_shbuf_alloc() error handling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/xen-front: checking for NULL instead of IS_ERR (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/selftests: Add drm helper selftest (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- commit 2ce5330
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/selftests: Rename the Kconfig option to
  CONFIG_DRM_DEBUG_SELFTEST (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- Update config files.
- commit 7070256
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/i915: Do not adjust scale when out of bounds, v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rect: Handle rounding errors in drm_rect_clip_scaled, v3
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rect: Round above 1 << 16 upwards to correct scale
  calculation functions (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- gpu: drm: bridge: adv7511: Replace mdelay with usleep_range in
  adv7511_probe (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/bridge: adv7511: fix spelling of driver name in Kconfig
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/v3d: Introduce a new DRM driver for Broadcom V3D V3.x+
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit dc534fe
* Mon Jan  7 2019 ptesarik@suse.cz
- drm/i915: Replace execbuf vma ht with an idr (FATE#322643
  bsc#1055900).
- Refresh
  patches.drivers/IB-uverbs-Build-the-specs-into-a-radix-tree-at-runti.patch.
- commit 85424b1
* Mon Jan  7 2019 ptesarik@suse.cz
- x86/gpu: CNL uses the same GMS values as SKL (FATE#322643
  bsc#1055900).
- commit 5f6241d
* Mon Jan  7 2019 nborisov@suse.com
- Btrfs: fix error handling in btrfs_truncate() (bsc#1111469).
- commit ffc620c
* Mon Jan  7 2019 tiwai@suse.de
- Update & sort upstremed patches
- commit 48660df
* Mon Jan  7 2019 tiwai@suse.de
- Correct patch-mainline tag from v4.21 to v5.0
- commit d218f41
* Mon Jan  7 2019 wqu@suse.com
- btrfs: tree-checker: Don't check max block group size
  as  current max chunk size limit is unreliable (fixes
  for bsc#1102882, bsc#1102896, bsc#1102879, bsc#1102877,
  bsc#1102875).
- commit 6ea44d8
* Mon Jan  7 2019 wqu@suse.com
- btrfs: qgroup: Dirty all qgroups before rescan (bsc#1120036).
- commit e71dd19
* Mon Jan  7 2019 neilb@suse.com
- fscache: Fix race in fscache_op_complete() due to split
  atomic_sub & read (git-fixes).
- commit 3518a8e
* Sun Jan  6 2019 ptesarik@suse.cz
- drm/vc4: Add a pad field to align drm_vc4_submit_cl to 64 bits
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Fix module probe bug (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: remove all control node code (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Don't setup control node debugfs files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Handling the case when setting old crtc for plane
  (bsc#1051510).
- drm/vmwgfx: Drop DRM_CONTROL_ALLOW (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Drop DRM_CONTROL_ALLOW (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Drop DRM_CONTROL_ALLOW from ioctls (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/rect: Fix drm_rect_rotation_inv() docs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Enable device-specific assigned memory (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Support the Versatile Express (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- gpu: drm: sti: fix spelling mistake: "initialze" -> "initialize"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Disable blending for win0 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Enable syncobj support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Export fence through syncobj (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Syncobj import support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/panel: Enable DSI transactions on the RPi panel (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Skip ULPS latching when we're in that ULPS state
  already (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vc4: make function vc4_allocate_bin_bo static (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Make the prime vmap/vunmap hooks optional (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm/mi0283qt: Always set rotation value (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Don't pass the index to drm_property_add_enum()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/dp: Rename the edp_sdp_header as dp_sdp_header (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: ltdc: fix warnings in ltdc_plane_create() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: ltdc: add mode_valid() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/stm: ltdc: fix deferred endpoint management (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- qxl: drop dummy functions (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- qxl: hook monitors_config updates into crtc, not encoder
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- qxl: move qxl_send_monitors_config() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- qxl: remove qxl_io_log() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdkfd: Remove vla (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdkfd: Add sanity checks in IRQ handlers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Remove queue node when destroy queue failed
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Locking PM mutex while allocating IB buffer
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Remove initialization of cp_hqd_ib_control on CIK
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix signal handling performance again (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix CP soft hang on APUs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Separate trap handler assembly code and its
  hex values (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdkfd: Remove redundant include of amd-iommu.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: use %%px to print user space address instead of %%p
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Use volatile MTYPE in default/alternate apertures
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Reduce priority of context-saving waves before
  spin-wait (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdkfd: Dump HQD of HIQ (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdkfd: Integer overflows in ioctl (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add Vega10 topology and device info (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Try to enable atomics for all GPUs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add GFXv9 CWSR trap handler (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Support flat memory apertures for GFXv9 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Remove limit on number of GPUs (follow-up)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add 64-bit doorbell and wptr support to kernel queue
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix kernel queue rollback_packet (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix goto usage (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdkfd: Add SOC15 interrupt processing support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add GFXv9 device queue manager (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add GFXv9 MQD manager (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add GFXv9 PM4 packet writer functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Move packet writer functions into ASIC-specific file
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Implement doorbell allocation for SOC15 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Clean up KFD_MMAP_ offset handling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Make doorbell size ASIC-dependent (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add doorbell routing info to
  kgd2kfd_shared_resources (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: Add GFXv9 kfd2kgd interface functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add GFXv9 TLB invalidation packet definition
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Update GFXv9 SDMA MQD structure (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Remove unused interface from kfd2kgd interface
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add userptr support for KFD (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add quiesce_mm and resume_mm to kgd2kfd_calls
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: GFP_NOIO while holding locks taken in MMU notifier
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Avoid reclaim while holding locks taken in MMU
  notifier (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Enable amdgpu_ttm_tt_get_user_pages in worker
  threads (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Add MMU notifier type for KFD userptr (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/dsi: remove mode_set callback (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: Add driver for Exynos Scaler module (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: fimc: Convert driver to IPP v2 core API (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: gsc: Convert driver to IPP v2 core API (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: rotator: Convert driver to IPP v2 core API
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: ipp: Add IPP v2 framework (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- commit eb294ac
* Sun Jan  6 2019 ptesarik@suse.cz
- drm/exynos: Allow DRM_EXYNOS on s5pv210 (bsc#1051510).
- drm/exynos: fimd: Add support for S5PV210 FIMD variant
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: Using the function drm_display_mode_to_videomode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: Use ERR_CAST instead of ERR_PTR(PTR_ERR())
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Track dma-buf fences (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Add R8A77965 support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Allow DU groups to work with hardware indexing
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Split CRTC handling to support hardware indexing
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Use the correct naming for ODPM fields in DEFR6
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Use NULL for table initialisation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: of: Include header to define prototypes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Zero-out sg_tables when duplicating plane state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tilcdc: Fix setting clock divider for omap-l138 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20180413 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/cnl: Use mmio access to context status buffer
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/bios: reduce the scope of some local variables
  in parse_ddi_port() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Split out functions for different kinds of workarounds
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move a bunch of workaround-related code to its
  own file (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/execlists: Set queue priority from secondary port
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Replace %%phn with %%ph (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Don't fiddle with rps/rc6 across GPU reset
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add debugfs file to clear FIFO underruns (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Chase psr.enabled only under the psr.lock
  (bsc#1051510).
- drm/i915/gen9_lp: Increase DDI PHY0 power well enabling timeout
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove last references to drm_atomic_get_existing*
  macros (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Remove get_existing_crtc_state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Change use get_new_plane_state instead of existing
  plane state (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/execlists: Log fence context & seqno throughout
  GEM_TRACE (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Enclose for_each_engine_masked macro arguments in
  parentheses (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Upscale scaler max scale for NV12 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update format_is_yuv() to include NV12 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Set scaler mode for NV12 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Enable YUV to RGB for Gen10 in Plane Ctrl Reg
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Display WA 827 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/skl: split skl_compute_ddb function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/skl+: nv12 workaround disable WM level 1-7 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/skl+: make sure higher latency level has higher
  wm value (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/skl+: pass skl_wm_level struct to wm compute func
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/skl+: NV12 related changes for WM (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/skl+: support verification of DDB HW state for NV12
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/skl+: add NV12 in skl_format_to_fourcc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/skl+: refactor WM calculation for NV12 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/skl+: rename skl_wm_values struct to skl_ddb_values
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dp: Send DPCD ON for MST before phy_up (bsc#1051510).
- drm/i915: Pass the set of guilty engines to i915_reset()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Treat i915_reset_engine() as guilty until proven
  innocent (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Split out parking from the idle worker for reuse
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Rename wait_for_hang() to
  wait_until_running() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/icl: Enable RC6 and RPS in Gen11 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Deal with GT INT DW correctly (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Handle RPS interrupts correctly for Gen11
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Use hw engine class, instance to find irq handler
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Add reset control register changes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Describe the bottom of stack in processing a
  batchbuffer (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/selftests: Avoid repeatedly harming the same innocent
  context (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Fix memory leak in intel_hdcp auth (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Only call finish_reset after a prepare_reset
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Add basic sanitychecks for execlists
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Check hdcp key loadability (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Read Vprime thrice incase of mismatch (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Read HDCP R0 thrice in case of mismatch (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Store preemption capability in engine->flags
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Track begin/end of execlists submission
  sequences (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/psr: Set DPCD PSR2 enable bit when needed (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Cache sink synchronization latency (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Use PSR2 macro for PSR2 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Do not override PSR2 sink support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr/cnl: Enable Y-coordinate support in source
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Tie PSR2 support to Y coordinate requirement
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Nuke aux frame sync (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Add DP last received PSR SDP VSC register and bits
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add DP PSR2 sink enable bit (bsc#1051510).
- drm/i915: Only warn for might_sleep() before a slow
  wait_for_register (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Avoid sleeping inside per-engine reset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/perf: add more debug message on perf open & configs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: rename PPGTT/GGTT fields OA registers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/perf: remove empty line (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/perf: simplify OA unit enabling on gen7 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/perf: check the value of PROP_SAMPLE_OA uapi parameter
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/perf: enable perf support on ICL (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Include the HW breadcrumb whenever we trace the
  global_seqno (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/guc: enable guc interrupts unconditionally in uc_resume
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 510e7b5
* Sun Jan  6 2019 ptesarik@suse.cz
- drm/i915/guc: Trace messages from CT while in debug (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 208c7e3
* Sun Jan  6 2019 ptesarik@suse.cz
- drm/i915/guc: Handle default action received over CT
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Prepare to process incoming requests from CT
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Implement response handling in send_ct()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Use better name for helper wait function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Prepare to handle messages from CT RECV buffer
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Make event handler a virtual function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Implement response handling in send_mmio()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Prepare send() function to accept bigger response
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Add support for data reporting in GuC responses
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Add documentation for MMIO based communication
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Reset ring registers on rebinding contexts
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gen11: add support for reading the timestamp frequency
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Use correct reST syntax for WOPCM and GuC kernel-doc
  diagrams (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: reorder dpll_info members (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: use flags from dpll_info embedded in intel_shared_dpll
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: use id from intel_shared_dpll.info (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: use name from intel_shared_dpll.info (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: use funcs from intel_shared_dpll.info (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: add dpll_info inside intel_shared_dpll (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: move dpll_info to header (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Reword warning for missing cases (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Avoid kicking the submission too early for
  rescheduling (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Include submission tasklet state in engine dump
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: protect macro parameters in SWING_SEL_{UPP,LO}WER
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Added 5k source scaling support for Gen11 platform
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: HPD pin for port F (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Add Voltage swing table for MG PHY DDI Buffer
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Add register defs for voltage swing sequences
  for MG PHY DDI (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/icl: Add Combo PHY DDI Buffer translation tables
  for Icelake (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/icl: Add register definitions for Combo PHY vswing
  sequences (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Actually flush interrupts on reset not just wedging
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/uc: Fetch uC firmware in init_early (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Reorder early initialization (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Fix null pointer dereference when GuC FW is not
  available (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Don't spew errors when resetting HDMI scrambling/bit
  clock ratio fails (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Skip logging impossible slices (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Avoid setting ring freq on invalid rps freqs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Flush pending interrupt following a GPU reset
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Use full serialisation around engine->irq_posted
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Stress resets-vs-request-priority
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Include the trace as a debug aide
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove local timeline var from submit/unsubmit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix tracing of submit seqno (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Remove open-coded PSR AUX transactions for SKL+
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Move PSR aux setup to it's own function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Unify parameters of public CT functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Handle GuC log flush event in dedicated function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Move enable/disable msg functions to GuC header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Drop union guc_log_control (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Unify naming of private GuC action functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/huc: Check HuC status in dedicated function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Added ICL 11 slice, subslice and EU fuse detection
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add control flags to i915_handle_error() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Don't try to enable GuC logging when we're not
  using GuC (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/icl: Update subslice define for ICL 11 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Enable the extra video decode and enhancement
  boxes for Icelake 11 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/icl: Check for fused-off VDBOX and VEBOX instances
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Select STACKDEPOT for DRM_I915_DEBUG (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Trim error mask to known engines (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Prefer memset64() when filling the iomap (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Demote GuC error messages (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Default to non-verbose GuC logging (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Allow user to control default GuC logging
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Don't print out relay statistics when relay
  is disabled (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/guc: Always print log stats in i915_guc_info when
  using GuC (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/guc: Get rid of GuC log runtime (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Move check for fast memcpy_wc to relay creation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Split relay control and GuC log level (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Flush directly in log unregister (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Merge log relay file and channel creation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Log runtime should consist of both mapping
  and relay (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/guc: Keep GuC interrupts enabled when using GuC
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Kill the remaining CHV HBR2 leftovers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- i915: Re-use DEFINE_SHOW_ATTRIBUTE() macro (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Don't initialize plane_to_crtc_mapping on SKL+
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/stolen: Deduce base of reserved portion as top-size
  on vlv (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/stolen: Checkpatch cleansing (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/stolen: Switch from DEBUG_KMS to DEBUG_DRIVER
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Stop engines when declaring the machine wedged
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Trace GEM steps between submit and wedging
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Fix build break on config without DEBUG_FS
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Update syntax of GuC log functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Split GPU commands definitions into separate header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: move gen8 irq shifts to intel_lrc.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: use engine->irq_keep_mask when resetting irqs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: add a selftest for the mmio_bases table (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: store all mmio bases in intel_engines (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/cnl: Kill _MMIO_PORT6 macro (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/cnl; Add macro to get PORT_TX register (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Check rq->timeline before deference (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Check the locking status of GuC WOPCM registers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add HuC firmware size related restriction for Gen9
  and CNL A0 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Add support to return CNL specific reserved WOPCM size
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Implement dynamic GuC WOPCM offset and size
  calculation (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/guc: Rename guc_ggtt_offset to intel_guc_ggtt_offset
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Comment to clarify SRD_DEBUG is called PSR_MASK
  SKL+ (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Show GEM_TRACE when detecting a failed GPU idle
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move CUR SURFLIVE definition to a better place
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Remove PSR active flag from debugfs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Use more PSR HW tracking (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/frontbuffer: HW tracking for cursor moves to fix
  PSR lags (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/frontbuffer: Pull frontbuffer_flush out of
  gem_obj_pin_to_display (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Use sseu size for determining eu_regs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Warn against variable length arrays (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove variable length arrays from sseu debugfs
  printers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/uc: Sanitize uC together with GEM (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/uc: Sanitize uC options early (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove the impedance mismatch around
  intel_engine_enable_signaling (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Display WA 0884 applied broadly for more HW
  tracking (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Move i915_gpu_error into its own header (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Make header i915_pmu.h more robust (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Change parameters order in i915_gem_batch_pool_init
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Include i915_reg.h in intel_ringbuffer.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Move GuC notification handling to separate
  function (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/guc: Create common entry points for log
  register/unregister (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/guc: Tidy guc_log_control (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove unused DP_LINK_CHECK_TIMEOUT (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Include ring->emit in debugging (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update ring position from request on retiring
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Finish the wait-for-wedge by retiring all the
  inflight requests (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Push irq_shift from gen8_cs_irq_handler() to caller
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Index the ring frequency table by HW frequency range
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Handle pipe CRC around enabling/disabling pipe
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/synopsys: dsi: use adjusted_mode in mode_set
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/virtio: fix mode_valid's return type (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda998x: fix mode_valid's return type (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/qxl: fix mode_valid's return type (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/gma500: fix psb_intel_lvds_mode_valid()'s return type
  (bsc#1051510).
- drm/gma500: fix mode_valid's return type (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: tc358767: fix mode_valid's return type (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bochs: fix mode_valid's return type (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/udl: fix mode_valid's return type (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/mgag200: fix mode_valid's return type (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/hisilicon: fix mode_valid's return type (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: adv7511: fix mode_valid's return type (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ast: fix mode_valid's return type (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: adv7511: Add support for i2c_new_secondary_device
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Don't EXPORT drm_add/reset_display_info (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/xen-front: use simple display pipe prepare_fb helper
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: better doc for implicit vs explicit fencing
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mxsfb: Use simple_display_pipe prepare_fb helper
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Use simple_display_pipe prepare_fb helper
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tve200: Use simple_display_pipe prepare_fb helper
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Move simple_display_pipe prepare_fb helper into gem
  fb helpers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vmwgfx: Remove no-op prepare/cleanup_fb callbacks
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: panel-orientation-quirks: Add quirk for Lenovo Ideapad
  Mixx 320 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: panel-orientation-quirks: Add quirk for Lenovo Ideapad
  Mixx 310 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/rockchip: psr: Remove flush by CRTC (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Disallow PSR for the whole atomic commit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: psr: Sanitize semantics of allow/inhibit API
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: psr: Avoid redundant calls to .set() callback
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: analogix_dp: Do not call Analogix code before bind
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: Split the platform-specific poweron
  in two parts (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/rockchip: pre dither down when output bpc is 8bit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: Properly disable aux chan retries
  on rockchip (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/bridge: analogix_dp: Properly log AUX CH errors (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: Reorder plat_data->power_off to
  happen sooner (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/bridge: analogix_dp: Move fast link training detect to
  set_bridge (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/bridge: analogix_dp: Fix incorrect operations with register
  ANALOGIX_DP_FUNC_EN_1 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: Fix timeout of video streamclk config
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: Don't use ANALOGIX_DP_PLL_CTL to
  control pll (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/rockchip: Restore psr->state when enable/disable psr failed
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: Reset aux channel if an error occurred
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: Fix AUX_PD bit for Rockchip
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: Check dpcd write/read status
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: Fix incorrect usage of enhanced mode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: Extend hpd check time to 100ms
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: Ensure edp is disabled when shutting
  down the panel (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/bridge: analogix_dp: Set PD_INC_BG first when powering
  up edp phy (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/bridge: analogix_dp: Wait for HPD signal before configuring
  link (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/bridge: analogix_dp: Retry bridge enable when it failed
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: Don't use fast link training when
  panel just powered up (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: Check AUX_EN status when doing AUX
  transfer (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/bridge: analogix_dp: Move enable video into config_video()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Add CTM registers to debugfs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Add CTM support (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/vc4: Add support for plane alpha (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- gpu: drm: vc4: simplify getting .drvdata (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit b1b7d6e
* Sun Jan  6 2019 ptesarik@suse.cz
- drm/bridge: Add Cadence DSI driver (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 97d0c26
* Sun Jan  6 2019 ptesarik@suse.cz
- drm: dw-hdmi-i2s: Remove owner assignment from platform_driver
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 6d3d214
* Sun Jan  6 2019 ptesarik@suse.cz
- drm: bridge: Add thc63lvd1024 LVDS decoder driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 3cbc8d6
* Sun Jan  6 2019 ptesarik@suse.cz
- drm/bridge/synopsys: dsi: Adopt SPDX identifiers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: ltdc: fix warning in ltdc_crtc_update_clut()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: ltdc: add user update info in plane print state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: move enable/disable_vblank to crtc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/xen-front: Remove CMA support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- commit 8be8327
* Sun Jan  6 2019 ptesarik@suse.cz
- drm/atomic: Add sanity checks to
  drm_atomic_helper_async_commit() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: update cursors asynchronously through atomic
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Move CRTC state to header (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Expose gamma as atomic property (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Add some missing HVS register definitions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: fix VOP vblank race (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add support for plane alpha (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/rcar-du: Convert to the new generic alpha property
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atmel-hclcdc: Convert to the new generic alpha property
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/blend: Add a generic alpha property (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Tie the DSI controller in the TCON (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add Allwinner A31 MIPI-DSI controller support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 738e3eb
* Sun Jan  6 2019 ptesarik@suse.cz
- drm/sun4i: tcon: Add TRI finish interrupt for vblank
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sti: Depend on OF rather than selecting it (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 2958feb
* Sun Jan  6 2019 ptesarik@suse.cz
- drm/xen-front: Add support for Xen PV display frontend
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit f762037
* Fri Jan  4 2019 ptesarik@suse.cz
- drm: Reshuffle getfb error returns (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Make force_load_detect effective even w/ DMI
  quirks/hotplug (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Restore planes after load detection (bsc#1051510).
- drm/zte: Stop consulting plane->crtc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Stop consulting plane->fb (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sti: Stop consulting plane->fb (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Stop consulting plane->fb (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Use plane->state->fb over plane->fb (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Make the fb refcount handover less magic (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Adjust whitespace for legibility (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Add local 'plane' variable for primary/cursor planes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic-helper: WARN if legacy plane fb pointers are bogus
  when committing duplicated state (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Clear crtc->primary->crtc when disabling the crtc via
  setcrtc() (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/atomic-helper: Drop plane->fb references only for
  drm_atomic_helper_shutdown() (bsc#1051510).
- drm: Use srcu to protect drm_device.unplugged (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: add parameter explanation for some gem dmabuf_ops
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm: Make fb_dirty into a lower level hook (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/simple-kms-helper: Plumb plane state to the enable hook
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/udl: Get rid of dev->struct_mutex usage (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: fixup comment for gem_free_object_unlocked
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: Use normalized zpos for plane placement (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Let core take care of normalizing the zpos
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sti: Let core take care of normalizing the zpos (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Let core take care of normalizing the zpos
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: Let core take care of normalizing the zpos
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add drm_mode_config->normalize_zpos boolean (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: make drm_core_check_feature() bool that it is (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: remove old documentation comment cruft from drmP.h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: prefer inline over __inline__ (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/dp/mst: Fix off-by-one typo when dump payload table
  (bsc#1051510).
- drm/tinydrm: Use gem_free_object_unlocked (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scdc-helper: Convert errors into debug messages (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/gem: Document that handle_create must be the last step
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- gpu: drm: nouveau: Use list_{next/prev}_entry instead of
  list_entry (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- gpu: drm/lease:: Use list_{next/prev}_entry instead of
  list_entry (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: Remove drm_property_{un/reference}_blob aliases
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- PM / Domains: Drop genpd as in-param for
  pm_genpd_remove_device() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Update color props when modeset is required
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Make atomic-check validate underscan changes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/synopsys: dw-hdmi: fix dw_hdmi_setup_rx_sense
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix BUG_ON during CRTC atomic check update
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: fix NULL deref crash with SDI displays (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/psr: Fix missed entry in PSR setup time table (bsc#1051510).
- drm/i915/query: nospec expects no more than an unsigned long
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/query: Protect tainted function pointer lookup
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/lvds: Move acpi lid notification registration to
  registration phase (bsc#1051510).
- drm/i915: Disable LVDS on Radiant P845 (bsc#1051510).
- drm/vmwgfx: Schedule an fb dirty update after resume
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Fix host logging / guestinfo reading error paths
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Fix 32-bit VMW_PORT_HB_[IN|OUT] macros
  (bsc#1051510).
- drm: rcar-du: lvds: Fix crash in .atomic_check when disabling
  connector (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/execlists: Use rmb() to order CSB reads (bsc#1051510).
- drm/i915/userptr: reject zero user_size (bsc#1051510).
- drm/vmwgfx: Set dmabuf_size when vmw_dmabuf_init is successful
  (bsc#1051510).
- drm/dumb-buffers: Integer overflow in drm_mode_create_ioctl()
  (bsc#1051510).
- drm/vc4: Fix leak of the file_priv that stored the perfmon
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Match sysfs name in link removal to link creation
  (bsc#1051510).
- drm: set FMODE_UNSIGNED_OFFSET for drm files (bsc#1051510).
- drm/amd/pp: Fix performance drop on Fiji (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Fix deadlock in nv50_mstm_register_connector()
  (bsc#1051510).
- drm/nouveau/ttm: don't dereference nvbo::cli, it can outlive
  client (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/pp: Refine the output of pp_power_profile_mode on VI
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Switch to interruptable wait to recover from
  ring hang (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/ttm: Use GFP_TRANSHUGE_LIGHT for allocating huge pages
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use kvzalloc for potentially large allocations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't return ddc result and read_bytes in same
  return value (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Add get_firmware_info_v3_2 for VG12
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Add BIOS smu_info v3_3 required struct def (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add VG12 ASIC IDs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Fix scaling of uni-planar formats (bsc#1051510).
- drm/bridge/sii8620: add Kconfig dependency on extcon
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: handle alloc failures in omap_connector (bsc#1051510).
- drm/omap: add missing linefeeds to prints (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: handle error if scale coefs are not found (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: check return value from soc_device_match (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: fix possible NULL ref issue in tiler_reserve_2d
  (bsc#1051510).
- drm/omap: fix uninitialized ret variable (bsc#1051510).
- drm/omap: silence unititialized variable warning (bsc#1051510).
- drm/vc4: Fix oops dereferencing DPI's connector since
  panel_bridge (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/atomic: Clean private obj old_state/new_state in
  drm_atomic_state_default_clear() (bsc#1051510).
- drm/atomic: Clean old_state/new_state in
  drm_atomic_state_default_clear() (bsc#1051510).
- drm/i915: Fix drm:intel_enable_lvds ERROR message in kernel log
  (bsc#1051510).
- drm/i915: Correctly populate user mode h/vdisplay with pipe
  src size during readout (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Adjust eDP's logical vco in a reliable place
  (bsc#1095265).
- drm/exynos: hdmi: avoid duplicating drm_bridge_attach
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: mixer: avoid Oops in vp_video_buffer() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/mixer: fix synchronization check in interlaced mode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Fix a buffer object leak (bsc#1051510).
- drm/vmwgfx: Clean up fbdev modeset locking (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: vga-dac: Fix edid memory leak (bsc#1051510).
- drm/vc4: Make sure vc4_bo_{inc,dec}_usecnt() calls are balanced
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/glk: Add MODULE_FIRMWARE for Geminilake (bsc#1095265).
- drm/i915/fbdev: Enable late fbdev initial configuration
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Use ktime on wait_for (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Enable display WA#1183 from its correct spot
  (bsc#1051510).
- drm/i915/audio: set minimum CD clock to twice the BCLK
  (bsc#1095265).
- drm/edid: Reset more of the display info (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/virtio: fix vq wait_event condition (bsc#1051510).
- qxl: keep separate release_bo pointer (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- qxl: fix qxl_release_{map,unmap} (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/sun4i: add lvds mode_valid function" (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: don't deref error pointer in the msm_fbdev_create
  error path (bsc#1100209).
- drm/msm/dsi: use correct enum in dsi_get_cmd_fmt (bsc#1051510).
- drm/msm: Fix possible null dereference on failure of get_pages()
  (bsc#1051510).
- drm/msm: Add modifier to mdp_get_format arguments (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Mark the crtc->state->event consumed (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: implement auto PHY timing calculator for 10nm PHY
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: check video mode engine status before waiting
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: check return value for video done waits
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Check dc_sink every time in MST hotplug
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Update MST edid property every time
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't read EDID in atomic_check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Disallow enabling CRTC without primary plane
  with FB (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fix deadlock when flushing irq (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: set COMPUTE_PGM_RSRC1 for SGPR/VGPR clearing shaders
  (bsc#1051510).
- drm/amdkfd: fix build, select MMU_NOTIFIER (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: fix clock counter retrieval for node without GPU
  (bsc#1051510).
- drm/amdkfd: Fix the error return code in
  kfd_ioctl_unmap_memory_from_gpu() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: kfd_dev_is_large_bar() can be static (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: header file interface to SMU update
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Fix bug voltage can't be OD separately on VI
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't program bypass on linear regamma LUT
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: exynos_drm_fb -> drm_framebuffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: Move dma_addr out of exynos_drm_fb (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: Move GEM BOs to drm_framebuffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/audio: Fix audio detection issue on GLK (bsc#1051510).
- drm/i915: Call i915_perf_fini() on init_hw error unwind
  (bsc#1051510).
- drm/i915/bios: filter out invalid DDC pins from VBT child
  devices (bsc#1051510).
- drm/i915/pmu: Inspect runtime PM state more carefully while
  estimating RC6 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Do no use kfree() to free a kmem_cache_alloc()
  return value (bsc#1051510).
- drm/i915/execlists: Clear user-active flag on preemption
  completion (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/gvt: Add drm_format_mod update (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Disable primary/sprite/cursor plane at virtual
  display initialization (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/gvt: Delete redundant error message in fb_decode.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Cancel dma map when resetting ggtt entries
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Missed to cancel dma map for ggtt entries
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Make MI_USER_INTERRUPT nop in cmd parser
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Mark expected switch fall-through in
  handle_g2v_notification (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/gvt: throw error on unhandled vfio ioctls
  (bsc#1051510).
- drm/i915: Fix LSPCON TMDS output buffer enabling from low-power
  state (bsc#1051510).
- drm: Fix HDCP downstream dev count read (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Fix memory leak during BO teardown (bsc#1051510).
- Revert "drm/amd/display: disable CRTCs with NULL FB on their
  primary plane (V2)" (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- Revert "drm/amd/display: fix dereferencing possible ERR_PTR()"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix regamma not affecting full-intensity
  color values (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fix FBC text console corruption (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Only register backlight device if embedded
  panel connected (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix brightness level after resume from suspend
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: HDMI has no sound after Panel power off/on
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add MP1 and THM hw ip base reg offset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix null pointer panic with direct fw loading on
  gpu reset (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/radeon: add PX quirk for Asus K73TK (bsc#1051510).
- drm/omap: fix crash if there's no video PLL (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix memory leaks at amdgpu_init() error path
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix PCIe lane width calculation (bsc#1051510).
- drm/radeon: Fix PCIe lane width calculation (bsc#1051510).
- drm/amdgpu/si: implement get/set pcie_lanes asic callback
  (bsc#1051510).
- drm/amdgpu: Add support for SRBM selection v3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/amdgpu: Don't change preferred domian when fallback
  GTT v5" (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/powerply: fix power reading on Fiji (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Enable ACG SS feature (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma: fix mask in emit_pipeline_sync (bsc#1051510).
- drm/amdgpu: Fix KIQ hang on bare metal for device unbind/bind
  back v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/pp: Clean header file in vega12_smumgr.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Remove Dead functions on Vega12 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: silence a static checker warning (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop compute ring timeout setting for non-sriov
  only (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: fix typo of domain fallback (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Deprecate pci_get_bus_and_slot() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- treewide: Fix typos in printk (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- treewide: Align function definition open/close braces
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/sii8620: use micro-USB cable detection logic to
  detect MHL (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- extcon: add possibility to get extcon device by OF node
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- sched/wait, drivers/drm: Convert wait_on_atomic_t() usage to the
  new wait_var_event() API (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm: Fix uabi regression by allowing garbage mode->type from
  userspace (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdkfd: Use ordered workqueue to restore processes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix acquiring VM on large-BAR systems (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add module option for testing large-BAR
  functionality (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdkfd: Kmap event page for dGPUs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add ioctls for GPUVM memory management (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add TC flush on VMID deallocation for Hawaii
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Allocate CWSR trap handler memory for dGPUs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add per-process IDR for buffer handles (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Aperture setup for dGPUs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Remove limit on number of GPUs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Populate DRM render device minor (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Create KFD VMs on demand (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add kfd2kgd interface to acquire an existing VM
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add helper to turn an existing VM into a compute VM
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix initial validation of PD BO for KFD VMs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Move KFD-specific fields into struct amdgpu_vm
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: fix uninitialized variable use (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: add missing include of mm.h (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix hibernation with ACPI S0 target state
  (bsc#1051510).
- drm/i915/execlists: Use a locked clear_bit() for synchronisation
  with interrupt (bsc#1051510).
- Backmerge tag 'v4.16-rc7' into drm-next (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: clean header file hwmgr.h (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: use mlck_table.count for array loop index limit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add an ATPX quirk for hybrid laptop (bsc#1051510).
- drm/amdgpu: fix spelling mistake: "asssert" -> "assert"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add new asic support in pp_psm.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Clean up powerplay code on Vega12 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add smu irq handlers for legacy asics (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Fix set wrong temperature range on smu7 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Don't change preferred domian when fallback GTT v5
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix NULL ptr on driver unload due to init failure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix "mitigate workaround for i915" (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add smu irq handlers in sw_init instand of hw_init
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Refine register_thermal_interrupt function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Remove wrapper layer of cgs irq handling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Return per DPM level clock (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Remove the SOC floor voltage setting
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: no job timeout setting on compute queues
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vega12 pci ids (v2) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add the hw manager for vega12 (v4)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add the smu manager for vega12 (v4)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add new pp_psm infrastructure for vega12 (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: update ppatomfwctl (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add vega12_pptable.h (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add vega12_ppsmc.h (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add new smu9_driver_if.h for vega12 (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: update atomfirmware.h (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add vega12_inc.h (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/soc15: initialize reg base for vega12 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/soc15: Add external_rev_id for vega12 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/soc15: update vega12 cg_flags (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/soc15: add support for vega12 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: add golden setting for vega12 (v3) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: add clockgating support for vega12 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: add support for vega12 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: add gfx config for vega12 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: Add placeholder for vega12 golden settings
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: add support for vega12 firmware (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: Update vega12 sdma golden setting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: add sdma4_0_1 support for vega12 (v3)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: add clockgating support for vega12
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: Add placeholder for vega12 golden settings
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: specify vega12 firmware (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/mmhub: add clockgating support for vega12
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc9: add vega12 support (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vega12 to dc support check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add bios firmware info version for VG12
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display/dm: add vega12 support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/virtual_dce: add vega12 support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: specify vega12 vce firmware (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: specify vega12 uvd firmware (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vega12 ucode loading method (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: initilize vega12 psp firmwares (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/psp: initial vega12 support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: vega12 to smu firmware (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: set asic family and ip blocks for vega12
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add gpu_info firmware for vega12 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vega12 to asic_type enum (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include: Add ip header files for vega12 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Fix unable to handle kernel paging request when
  set pp table (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/pp: Fix gfx ring test failed on Fiji without hw avfs
  support (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Fix kernel NULL pointer dereference in dpm functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix kernel NULL pointer dereference when amdgpu fini
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu - Disable all irqs before disabling all CRTCs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Disable irq on device before destroying it
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: fix offset into page with amdgpu_iomem
  debugfs file (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu/nbio6: Correct PCIE_INDEX/DATA pair used for
  smn register accessing (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/powerplay: Fix NULL pointer deref on driver unbind
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add documentation for amdgpu_device.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add VCN to firmware query interface (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Remove unneeded void * casts for Vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Delete get_xclk function in powerplay (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Clean up header file for Vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Move functions to smu backend table for vega10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Mark bunches of functins in vega10_smumgr.c static
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Remove dead functions in vega10_smumgr.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Delete dead code when early init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: force to set all context control bits from guest
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Update PDPs after a vGPU mm object is pinned
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Invalidate vGPU PPGTT mm objects during a
  vGPU reset (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/kvmgt: Handle kzalloc failure (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: fix spelling mistake: "destoried" -> "destroyed"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Remove reduntant printing of untracked mmio
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/pmu: Work around compiler warnings on some kernel
  configs (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Only call tasklet_kill() on the first prepare_reset
  (bsc#1051510).
- drm/i915: Wrap engine->schedule in RCU locks for set-wedge
  protection (bsc#1051510).
- drm/i915/icl: do not save DDI A/E sharing bit for ICL
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Bump version patchlevel and date (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: use monotonic event timestamps (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Unpin the screen object backup buffer when not used
  (bsc#1051510).
- drm/vmwgfx: Stricter count of legacy surface device resources
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Use kasprintf (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/vmwgfx: Get rid of the device-private suspended member
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Improve on hibernation (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Avoid pinning fbdev framebuffers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Fix multiple command buffer context use (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Use the cpu blit utility for framebuffer to screen
  target blits (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vmwgfx: Add a cpu blit utility that can be used for
  page-backed bos (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/ttm: Export the ttm_kmap_atomic_prot API (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Clean up kmap_atomic_prot selection code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Cursor update fixes (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Send the correct nonblock option for atomic_commit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Move the stdu vblank event to atomic function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Move screen object page flip to atomic function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Remove drm_crtc_arm_vblank_event from atomic flush
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Move surface copy cmd to atomic function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Avoid iterating over display unit if crtc is
  available (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/etnaviv: bump HW job limit to 4 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: etnaviv_sched: Staticize functions when possible
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add PTA handling to MMUv2 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add function to load the initial PTA state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: handle security states (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add security handling mode enum (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add hardware database (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add more minor features fields (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: update hardware headers from rnndb (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add support for slave interface clock (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: split out and optimize MMU fault dumping
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: remove the need for a gpu-subsystem DT node
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: use correct format specifier for size_t
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: replace hangcheck with scheduler timeout
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: lock BOs after all other submit work is done
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: move dependency handling to scheduler (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: hook up DRM GPU scheduler (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: track fences by IDR instead of seqno (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add missing major features field to debugfs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: don't fail to build on arches without PHYS_OFFSET
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: make local symbols static (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: fix compile error when DPI is disabled (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: fix compile error when debugfs is disabled
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: displays: panel-dsi-cm: Fix field access
  before set (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/omap: cleanup color space conversion (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: Allow HDMI audio setup even if we do not have video
  configured (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/omap: fix maximum sizes (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/omap: add writeback funcs to dispc_ops (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: fix scaling limits for WB (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: fix WB height with interlace (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: fix WBDELAYCOUNT with interlace (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: fix WBDELAYCOUNT for HDMI (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: set WB channel-in in wb_setup() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: Add pclk setting case when channel is DSS_WB
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: dispc: disp_wb_setup to check return code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove leftover enums (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: add HPD support to connector-dvi (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: Init fbdev emulation only when we have displays
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: cleanup fbdev init/free (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: fix omap_fbdev_free() when omap_fbdev_create()
  wasn't called (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/omap: fbdev: avoid double initializer entry (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: fbdev: use 'screen_buffer' field (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: acx565akm:  use __be32 when reading status
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: reorganize locking in mgr_fld_write (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: venc: Allocate the venc private data structure
  dynamically (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: sdi: Allocate the sdi private data structure
  dynamically (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: hdmi5: Allocate the omap_hdmi data structure
  dynamically (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: hdmi4: Allocate the omap_hdmi data structure
  dynamically (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dispc: Allocate the dispc private data structure
  dynamically (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dispc: Pass DISPC pointer to remaining dispc
  API functions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dispc: Pass DISPC pointer to dispc_ops operations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dss: Store dispc ops in dss_device structure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dss: Store DSS device pointer in the omapdrm
  private data (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dss: Pass omap_drm_private pointer to dss_mgr_ops
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dss: Pass omap_dss_device pointer to dss_mgr_*()
  functions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dsi: Don't pass channel to dispc init/uninit
  functions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dsi: Store the struct device pointer in struct
  dsi_data (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dsi: Use dev pointer directly in dsi_bind()
  function (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dsi: Combine two commonly used inline functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dsi: Pass the dsi_data pointer to internal
  functions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dss: Don't unnecessarily cast to dev to pdev
  and back (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dss: Store the debugfs root directory in struct
  dss_device (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dss: Store the registered plls array in struct
  dss_device (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dss: Support passing private data to debugfs
  show handlers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dss: Allocate the DSS private data structure
  dynamically (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dss: Pass DSS pointer to remaining dss functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dss: Pass DSS pointer to dss clock functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dss: Pass DSS pointer to dss_get_*_clk_source()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dss: Pass DSS pointer to dss_ops operations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dss: Pass DSS pointer to dss_sdi_*() functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dss: Pass PLL pointer to dss_ctrl_pll_enable()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dss: Pass DSS private structure to runtime PM
  functions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dss: Expose DSS data in a dss_device structure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Split init and cleanup from probe and remove
  functions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dsi: Make wait_for_bit_change() return a status
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dss: Remove unused functions prototypes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dss: Remove dss_get_hdmi_venc_clk_source()
  function (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dss: Move initialization code from component
  bind to probe (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dss: Don't export functions internal to
  omapdss-base (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: dss: Make omapdss_default_get_timings static
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: displays: Get encoder source at connect time
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: displays: Get panel source at connect time
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: displays: Get connector source at connect time
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: displays: Remove OF node check in panel drivers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: displays: Remove OF node check in encoder drivers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: displays: Remove OF node check in connector
  drivers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: connector-analog-tv: Remove tvc_of_match forward
  declaration (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: Use unsigned int type (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Use kernel integer types (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: fix building without debugfs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: don't pre-reserve LM's if no dual-dsi (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: add missing LM flush bits (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: print a bit more of the atomic state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: rework CTL START signal handling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Trigger fence completion from GPU (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: fix direct caller of msm_gem_free_object()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: strip out msm_fence_cb (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: rename mdp->disp (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/msm/dsi: Fix potential NULL pointer dereference in
  msm_dsi_modeset_init (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/msm/adreno/a5xx_debugfs: fix potential NULL pointer
  dereference (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/msm/dsi: Get byte_intf_clk only for versions that need it
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/adreno: Use generic function to load firmware to a
  buffer object (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/msm/adreno: Define a list of firmware files to load
  per target (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/msm/adreno: Rename gpmufw to powerfw (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Pass the correct aperture end to drm_mm_init
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/gpu: Set number of clocks to 0 if the list allocation
  fails (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/msm: Replace gem_object deprecated functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/hdmi: fix semicolon.cocci warnings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: Add byte_intf_clk (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: Add SDM845 in dsi_cfg (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: Use msm_clk_get in dsi_get_config (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: Populate the 10nm PHY funcs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: Populate PLL 10nm clock ops (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 284bbe3
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/msm/dsi: Add skeleton 10nm PHY/PLL code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit a14ea3d
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/msm/dsi: Update generated headers for 10nm PLL/PHY
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 20b6975
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/msm: add sudo flag to submit ioctl (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit cc0dc5a
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/msm: add a5xx specific debugfs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: check msm_dsi and dsi pointers before use
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: correct DSI id bounds check during registration
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: check for failure on retrieving pll in dsi manager
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: prime: Implement ->{begin,end}_cpu_access()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: gem: Map pages via the DMA API (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: hub: Use private object for global state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: fb: Properly support linear modifier (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: plane: Support format modifiers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Dedicate overlay plane to cursor on older Tegra's
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: plane: Make tegra_plane_get_overlap_index() static
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: fb: Implement ->fb_mmap() callback (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: gem: Make __tegra_gem_mmap() available more widely
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: gem: Reshuffle declarations (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: mali-dp: Add YUV->RGB conversion support for video layers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: mali-dp: Turn off CRTC vblank when removing module
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: arm: malidp: Use drm_atomic_helper_shutdown() to disable
  planes on removal (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm: arm: malidp: Don't destroy planes manually in error
  handlers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/mali-dp: Fix malidp_atomic_commit_hw_done() for event
  sending (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/arm/malidp: Disable pixel alpha blending for colors that do
  not have alpha (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: mali-dp: Fix bug on scaling with rotation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mali-dp: Don't enable scaling engine for planes that
  only rotate (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: mali-dp: Uninitialized variable in
  malidp_se_check_scaling() (bsc#1087092).
- drm/mali-dp: Align pitch size to be multiple of bus burst
  read size (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/mali-dp: Rotated planes need a larger pitch size
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dm: Default PRE_VEGA ASIC support to 'y' (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Remove the cgs wrapper for notify smu version on APU
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Improve documentation of bo_ptr in
  amdgpu_bo_create_kernel (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/pp: Rename file name cz_* to smu8_* (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Replace function/struct name cz_* with smu8_*
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Remove unneeded void * casts in
  cz_hwmgr.c/cz_smumgr.c (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/pp: Mv cz uvd/vce pg/dpm functions to cz_hwmgr.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Remove dead header file pp_asicblocks.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Delete dead code on cz_clockpowergating.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Call amdgpu_ucode_fini_bo in amd_powerplay.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Remove wrapper layer of smu ip functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Don't compared ip_block_type with ip_block_index
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Plus NULL function pointer check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Move helper functions to smu_help.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Replace rv_* with smu10_* (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Fix function parameter not correct (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add rv_copy_table_from/to_smc to smu backend
  function table (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/pp: Add new smu backend function smc_table_manager
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Mark internal functions as static in rv_smumgr.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add rv_read_arg_from_smc to smu backend function
  table (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/pp: Remove meanless return value check in RV
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Delete is_smc_ram_running function on RV
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Clean up header file include (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Fix memory leak in error path in smumgr (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Simplified the avfs btc state on smu7 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Fix KASAN user after free on driver unload
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: Remove unused header file from sdma_v4_0.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: use num_instances for clock/powergating config
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove trailing whitespace from soc15ip.h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/powerplay/vega10: fix memory leak in error path
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: remove redundant pointer internal_buf (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move getting pcie info to common code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/soc15: always load the psp module (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use adev->firmware to determine whether to load
  the PSP module (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: move firmware loading type setup to common code
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/psp: add a few more fw load type checks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Check msg->size before starting aux transfer
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: clean up dcn pplib notification call
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fixed dim around 1sec when resume from S3 (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use actual TG instance instead of pipe instance
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Check for HW blocks in HWSS, rather than
  DC core for cursor (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: Move IH clientid defs to separate file (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: update dce_calcs to latest version (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Set disp clk in a safe way to avoid over high
  dpp clk. (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: add support for regkey "LCDFreeSyncDefault"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Correct the plane enumeration order (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix handling of linear transfer function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.38 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Add variable refresh rate parameters to DC
  structures (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Implement stats logging (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Enable backlight support for pre-DCE11 ASICs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: use HW hdr mult for brightness boost
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use MACROS instead of dm_logger (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move DTRACE and dml_print defines (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Modified set bandwidth sequence (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix check condition for edp power control
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Allow passing of syspll id to
  get_smu_clock_info (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Remove 300Mhz minimum disp clk limit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Convert CTM to 2's complement (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Varibright add null check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Varibright fix bug and review comments
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Vari-bright looks disabled near end of MM14
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use correct error codes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix memleaks when atomic check fails
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Remove some unused elements from amdgpu_connector
  struct (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: explicit give BO type to amdgpu_bo_create
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: initial validate the prime BOs into the CPU domain
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop the backing store when DMA-buf imports are
  evicted (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/ttm: move initializing ttm->sg into ttm_tt_init_fields
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add bo as parameter to the ttm_tt_create callback
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add ttm_bo_pipeline_gutting (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: refactoring mailbox to fix TDR handshake bugs(v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: implement mmio byte access helper for MB
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: query vram type from atombios (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Add missing "DDR4" label (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Correct the amdgpu_ucode_fini_bo place for Tonga
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Correct the place of amdgpu_pm_sysfs_fini
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: stop allocating a page array for prime shared BOs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add ttm_sg_tt_init (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/ttm: move ttm_tt defines into ttm_tt.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20180308 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Return error at the failure of finding page_track
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Release gvt->lock at the failure of finding
  page track (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/kvmgt: Add kvmgt debugfs entry nr_cache_entries
  under vgpu (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/gvt: Fix guest vGPU hang caused by very high dma
  setup overhead (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/gvt: Fix check error on hws_pga_write() fail message
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Fix one indent error (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Fix check error on fence mmio handler (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Fix check error of vgpu create failure message
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Fix vGPU sched timeslice calculation warning
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: remove gvt max port definition (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Fix one gvt_vgpu_error() use in dmabuf.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: init mmio by lri command in vgpu inhibit context
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: add interface to check if context is inhibit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: add define GEN9_MOCS_SIZE (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Define PTE addr mask with GENMASK_ULL (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Manage shadow pages with radix tree (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Provide generic page_track infrastructure for
  write-protected page (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/gvt: Don't extend page_track to mpt layer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Rename mpt api {set, unset}_wp_page to {enable,
  disable}_page_track (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/gvt: Rename shadow_page to short name spt (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Rework shadow page management code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Refine pte shadowing process (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Use standard pte bit definition (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Factor out intel_vgpu_{get, put}_ppgtt_mm
  interface (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/gvt: Rename ggtt related functions to be more specific
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Add verbose gtt shadow logs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Refine ggtt_set_shadow_entry (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Refine ggtt and ppgtt root entry ops (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Refine the intel_vgpu_mm reference management
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Rework shadow graphic memory management code
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: add schedule out notification of preempted but
  completed request (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: expose rcs topology through query uAPI (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: add query uAPI (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: add rcs topology to error state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/debugfs: add rcs topology entry (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/debugfs: reuse max slice/subslices already stored
  in sseu (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: store all subslice masks (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: work around gcc-4.4.4 union initializer issue
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/cnl: Add Wa_2201832410 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Gen11 forcewake support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Add Indirect Context Offset for Gen11 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Enhanced execution list support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: new context descriptor support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Correctly initialize the Gen11 engines
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Assert that the request is indeed complete when
  signaled from irq (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Handle changing enable_fbc parameter at runtime better
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Track whether the DP link is trained or not
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Nuke intel_dp->channel_eq_status (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move SST DP link retraining into the ->post_hotplug()
  hook (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Reinitialize sink scrambling/TMDS clock ratio on HPD
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Convert intel_hpd_irq_event() into an encoder
  hotplug hook (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/cnp: Document WaSouthDisplayDisablePWMCGEGating
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/cnl: document WaVFUnitClockGatingDisable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Update PSR2 resolution check for Cannonlake
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Flush waiters on seqno wraparound (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Stop kicking the signaling thread on seqno wraparound
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/breadcrumbs: Assert all missed breadcrumbs were
  signaled (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/breadcrumbs: Reduce signaler rbtree to a sorted list
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/error: capture uc_state after gen_state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/error: standardize function style in error capture
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/error: remove unused gen8_engine_sync_index
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Ringbuffer interrupt handling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Unwind vma pinning for intel_pin_and_fence_fb_obj
  error path (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/icl: remove port A/E lane sharing limitation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20180305 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/huc: Mark firmware as failed on auth failure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/uc: Introduce intel_uc_suspend|resume (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Split spinlock from its irq disabling
  side-effect (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/execlists: Move irq state manipulation inside irq
  disabled region (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Deduplicate the code to fill the aux message header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Keep the AKSV details in intel_dp_hdcp_write_an_aksv()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: s/intel_dp_aux_ch/intel_dp_aux_xfer/ (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gen9, gen10: Disable FBC on planes with a misaligned
  Y-offset (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Wedged engine mask makes more sense in hex
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/uc: Make GuC/HuC fw fetch and loading functions/file
  structure symmetric (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Check for I915_MODE_FLAG_INHERITED before
  drm_atomic_helper_check_modeset (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Replace open-coded wait-for loop (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Interrupt handling (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Prepare for more rings (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dp: Add HBR3 rate (8.1 Gbps) to dp_rates array
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dp: move link rate arrays where they're used
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Consult aux_ch instead of port in
  - >get_aux_clock_divider() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Don't deref request->ctx inside unlocked
  print_request() (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Don't mangle the CTM on pre-HSW (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Rename pipe CSC to use ilk_ prefix (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove the pointless 1:1 matrix copy (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Repeat the GEM_BUG_ON message in the ftrace log
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/cnl: Add WaRsDisableCoarsePowerGating (FATE#322643
  bsc#1055900).
- drm/i915/psr: Don't avoid PSR when PSR2 conditions are not met
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr2: Fix max resolution supported (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: Check for power state control capability
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dp: Move comment about hw timeout to the right place
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dp: Remove redundant sleep after AUX transaction
  length check (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/psr: Check for the specific AUX_FRAME_SYNC cap bit
  (bsc#1051510).
- drm/i915/psr: Extract PSR DPCD initialization and move it to
  intel_psr.c (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/frontbuffer: Mark frontbuffer flush and invalidate
  with might_sleep() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/psr: New power domain for AUX IO (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Fill preempt context once at init time
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dp: Fix the order of platforms for setting DP
  source rates (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/preemption: Allow preemption between submission ports
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update missing parts after the rename to i915_request
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Collect aux ch vfunc setup into intel_dp_aux_init()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Nuke aux regs from intel_dp (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add enum aux_ch and clean up the aux init to use it
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Use the correct power domain for aux ch (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add a FIXME about FBC vs. fence. 90/270 degree
  rotation (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Extract intel_plane_{pin,unpin}_fb() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Require fence only for FBC capable planes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Clean up fbc vs. plane checks (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Only pin the fence for primary planes (and gen2/3)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fail if we can't get a fence for gen2/3 tiled scanout
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix Limited Range Color Handling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move page sizes out of the 8-bit sandwich (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/hsw: add missing disabled EUs registers reads
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Show interrupt registers in debugfs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Add the ICL PCI IDs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Move the GEM_BUG_ON context matches
  CSB later (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/execlists: Add a GEM_TRACE to show when the context
  is completed (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/execlists: Remove the ring advancement under preemption
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Rename drm_i915_gem_request to i915_request
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/doc: Fix documentation for _vblank_restore() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- uapi: Fix type used in ioctl parameter structures (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Implement KFD process eviction/restore (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add GPUVM virtual address space to PDD (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Remove unaligned memory access (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Centralize IOMMUv2 code and make it conditional
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add submit IB function for KFD (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add GPUVM memory management functions for KFD
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add amdgpu_sync_clone (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Update kgd2kfd_shared_resources for dGPU support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add KFD eviction fence (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Remove unused kfd2kgd interface (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix wrong mask in get_atc_vmid_pasid_mapping_pasid
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix header file dependencies (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Replace kgd_mem with amdgpu_bo for kernel pinned
  gtt mem (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: remove useless BUG_ONs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Enable KFD initialization on dGPUs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add dGPU device IDs and device info (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add dGPU support to kernel_queue_init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add dGPU support to the MQD manager (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add dGPU support to the device queue manager
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Make sched_policy a per-device setting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Conditionally enable PCIe atomics (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Use ARRAY_SIZE macro in kfd_build_sysfs_node_entry
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: fix missing CONFIG_ACPI (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: replace iova debugfs file with iomem (v3)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Clean sdma wptr register when only enable wptr
  polling (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/amdgpu: re-add missing GC 9.1 and SDMA0 4.1 sh_mask
  header files (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: give warning before sleep in kiq_r/wreg (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: further mitigate workaround for i915 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop gtt->adev (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: add amdgpu_evict_gtt debugfs entry (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add #ifdef checks for CONFIG_ACPI (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: fix "Delete the wrapper layer of
  smu_allocate/free_memory" (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/pp: Drop wrapper functions for upper/lower_32_bits
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Delete cgs wrapper functions for gpu memory manager
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Delete the wrapper layer of smu_allocate/free_memory
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Remove cgs wrapper function for temperature update
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/amd/pp: Add a pp feature mask bit for AutoWattman
  feature" (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/pp: Add auto power profilng switch based on workloads
  (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/pp: Revert gfx/compute profile switch sysfs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Fix sclk in highest two levels when compute on smu7
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Implement get/set_power_profile_mode on smu7
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Implement update_dpm_settings on CI (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Implement update_dpm_settings on Tonga (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Implement update_dpm_settings on Fiji (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Implement update_dpm_settings on Polaris
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add a helper to set field in u32 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add common interface in smu for update dpm setting
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add PCC feature support on Vega (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Export new smu message for PCC feature on Vega10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Remove cgs_query_system_info (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Remove the wrap functions for acpi in powerplay
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Use amdgpu acpi helper functions in powerplay
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Refine powerplay instance (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Simplify the create of powerplay instance
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/dc: Use forward declaration instand of include
  header file (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/pp: Fix incorrect return value in
  smu7_check_clk_voltage_valid (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use separate status for buffer funcs availability v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: ignore changes of buffer function status because
  of GPU resets (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: change amdgpu_ttm_set_active_vram_size (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move some functions into amdgpu_ttm.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clean up formatting in irq_service_dce110.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.37 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Remove duplicate dm_pp_power_level enum
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix dcn1 dppclk when min dispclk patch applies
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: define DC_LOGGER for logger (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use MACROS instead of dm_logger (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Handle HDR use cases (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix DAL surface change test (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.36 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: add diags clock programming (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add per pipe dppclk (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Update DCN OPTC registers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: allocate fbc buffer in AMDGPU_GEM_DOMAIN_GTT
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add regamma lut write mask to SOC base
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Update Link Training Fallback logic
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add psr_version to stream (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clear dmps off for eDP when resume (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix missing az disable in reset backend
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.35 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Check DCN PState ASSERT failure (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: update cur_clock correctly within set bandwidth
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use 4096 lut entries (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add passive dongle support for HPD Rearch
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: move MST branch initialize to before link
  training (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/radeon/mkregtable: Delete unused list functions and macros
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: try again kiq access if not in IRQ(v4) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: cleanups for vram lost handling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: stop all rings before doing gpu recover (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix module parameter descriptions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Map all visible VRAM at startup (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: make dm_dp_aux_transfer return payload
  bytes instead of size (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: disable GFX ring and disable PQ wptr in hw_fini
  (bsc#1051510).
- drm/amdgpu: cleanup SA inti and fini(v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: adjust timeout for ib_ring_tests(v2) (bsc#1051510).
- drm/amdgpu: don't use MM idle_work for SRIOV(v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Print more smu failed info on Vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: increase gart size to 512MB (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: change gfx9 ib test to use WB (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: cond_exec only for schedule with a job (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/powerplay/smu7: use proper dep table for mclk
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: cleanup ttm_tt_create (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: move ttm_tt_create into ttm_tt.c v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: check if free mem space is under the lower limit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: drop persistent_swap_storage from ttm_bo_init and co
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: drop ttm->dummy_read_page (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: drop ttm->glob (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/ttm: drop bo->glob (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/bochs: remove the default ttm_tt_populate callbacks
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/cirrus: remove ttm_pool_* wrappers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/qxl: remove ttm_pool_* wrappers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/ast: remove ttm_pool_* wrappers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/hisilicon: remove ttm_pool_* wrappers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mgag200: remove ttm_pool_* wrappers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/virtio: remove ttm_pool_* wrappers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add default implementations for ttm_tt_(un)populate
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Move common dpm check functions to hardwaremanager.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Cleaning up vega10_enable_dpm_tasks function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Refine code in powerplay for Cz/Vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Remove dead error checking code on Vega10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add debug info when smu failed on Vega10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Remove duplicated vega10_is_smc_ram_running calls
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Remove inclusion of non-existing include directories
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: remove inclusion of non-existing scheduler directory
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Remove duplicate setting of ->need_swiotlb
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add a pp feature mask bit for AutoWattman feature
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Change default value of module parameter
  amdgpu_pp_feature_mask (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/powerplay: fix thermal interrupts on vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add query vram width in CGS query system info
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use the TTM dummy page instead of allocating one
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Fix bug that dpm level was not really locked
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Fix error handling when smu return failed on Vega10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: set TTM_OPT_FLAG_FORCE_ALLOC in ttm_bo_force_list_clean
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add bit flag TTM_OPT_FLAG_FORCE_ALLOC (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: use bit flag to replace allow_reserved_eviction
  in ttm_operation_ctx (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- radeon: hide pointless #warning when compile testing
  (bsc#1051510).
- drm/ttm: set page mapping during allocation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: lvds: Add R8A77970 support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Add R8A77970 support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- commit c6e5e31
* Fri Jan  4 2019 ptesarik@suse.cz
- drm: rcar-du: Convert LVDS encoder code to bridge driver
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 7a9601b
* Fri Jan  4 2019 ptesarik@suse.cz
- drm: rcar-du: Fix legacy DT to create LVDS encoder nodes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20180221 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/fbc: Use PLANE_HAS_FENCE to determine if the plane
  is fenced (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/fbdev: Use the PLANE_HAS_FENCE flags from the time
  of pinning (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Move the policy for placement of the GGTT vma into
  the caller (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Also check view->type for a normal GGTT view
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Drop WaDoubleCursorLP3Latency:ivb (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Set the primary plane pipe select bits on gen4
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Don't set cursor pipe select bits on g4x+ (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Assert that we don't overflow frontbuffer tracking
  bits (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Track number of pending freed objects (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/: Initialise trans_min for skl_compute_transition_wm()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Prune gen8_gt_irq_handler (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Track GT interrupt handling using the master iir
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove WARN_ONCE for failing to pm_runtime_if_in_use
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: intel_dpio_phy: fix kernel-doc comments at nested struct
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Release connector iterator on a digital port conflict
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Remove too early assert (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Assert that we always complete a submission to
  guc/execlists (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: move read_domains and write_domain into i915 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Estimate and update missed vblanks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vblank: Restoring vblank counts after device PM events
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vblank: Do not update vblank count if interrupts are already
  disabled (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/atomic: Handle 64-bit return from drm_crtc_vblank_count()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Handle 64-bit return from drm_crtc_vblank_count()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Handle 64-bit return from drm_crtc_vblank_count()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Handle 64-bit return from drm_crtc_vblank_count()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Handle 64-bit return from drm_crtc_vblank_count()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/vblank: Make the vblank counter u64 -> u32 typecast
  explicit (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vblank: Data type fixes for 64-bit vblank sequences
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: fix inconsistent IS_ERR and PTR_ERR
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Store platform_mask inside the static device info
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Always define GEN as part of GENx_FEATURES
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Store gen_mask inside the static device info
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gtt: Convert WARN_ON to GEM debugging (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Clean up ancient doc comments for i915_ioc32.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/cnl: Remove alpha_support protection (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Sync PCI ID with Spec (FATE#322643 bsc#1055900).
- drm/i915: Fixup kerneldoc for intel_pm.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fixup kerneldoc (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/atomic: Fixup kerneldoc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fixup kerneldoc for intel_uc_fw_upload() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add missing kerneldoc parameters for huc_ucode_xfer
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/lvds: Fixup commentary (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dvo: Fixup commentary (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dvo: Remove incorrect kerneldoc markups (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/crt: Remove obsolete kerneldoc-esque comment
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/panel: Split range scaling calculation for readiblity
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/panel: Add missing parameters to kerneldoc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/sdvo: Tidy up commentary (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/tv: Cleanup up obsolete comments (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20180214 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Handle RC6 counter wrap (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix i915_gem_context.h header (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: introduce INTEL_PCH_ID() and use it (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: have virtual PCH detection return a PCH id
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: abstract virtual PCH id detection (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: abstract PCH type detection from PCH id (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Report setup errors for igt_partial_tiling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: program mbus during pipe enable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: initialize MBus during display init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Enable both DBuf slices during init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: implement the display init/uninit sequences
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: add the main CDCLK functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: add ICL support to cnl_set_procmon_ref_values
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix incorrect comment (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Replace open-coded memset_p() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Don't query PCODE RC6VIDS on platforms not
  supporting it (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Hold rpm wakeref for printing the engine's register
  state (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Move the final intel_gpu_reset() to after declaring
  wedged (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Replace some negative Gen checks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Use INTEL_GEN everywhere (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Give all ioctl functions an _ioctl suffix (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Reject undefined colorkey flags (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/snb+: Remove incorrect forcewake check in
  debugfs/i915_drpc_info (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Remove redundant check on execlists interrupt
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/crt: Silence compiler warning for uninitialised status
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Avoid leaking lpe audio platdev.data (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Disable unused-but-set compiler warning (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix kerneldoc warnings for i915_gem_internal
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix kerneldoc warnings in i915_gem_execbuffer
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix kerneldoc parameter markup (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add missing kerneldoc for 'ent' in
  i915_driver_init_early (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Remove lost comment from i915_gem_context (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix kerneldoc warnings for i915_gem_request
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix kerneldoc warnings for i915_gem_userptr
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix kerneldoc warnings for intel_ringbuffer
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix kerneldoc warnings for i915_gpu_error (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Wait for gen3 reset status to be asserted (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Be paranoid and post the writes to stop the rings
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Mark the device as wedged from the beginning of
  set-wedged (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Remove superfluous worker wakeups when RPS is already
  boosted (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: do not stop engines on sanitize if i915.reset=0
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Only allocate preempt context when required
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move the scheduler feature bits into the purview of
  the engines (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/guc: Allow preempt-client to be NULL (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Tidy up some error messages around reset failure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Trim the retired request queue after submitting
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Skip request serialisation if the timeline is already
  complete (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Ignore minimum lines for level 0 in
  skl_compute_plane_wm, v2 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/breadcrumbs: Ignore unsubmitted signalers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tilcdc: tilcdc_panel: Rename device from "panel" to
  "tilcdc-panel" (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/tilcdc: Add support for drm panels (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tilcdc: panel: Use common error handling code in
  of_get_panel_info() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/tilcdc: Delete an error message for a failed memory
  allocation in seven functions (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: use drm_gem_private_object_init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use drm_gem_private_object_init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: mitigate workaround for i915 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: implement amdgpu_gem_map_(attach/detach)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/powerplay/smu7: drop refresh rate checks for mclk
  switching (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu/cgs: add refresh rate checking to non-DC display code
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: use PP_CAP macro for
  disable_mclk_switching_for_frame_lock (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: remove unused headers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu_gem: fix error handling path in
  amdgpu_gem_va_update_vm (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: update the PASID mapping only on demand (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: separate PASID mapping from VM flush v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix increment when sampling OTF in DCE
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: De PQ implementation (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unused dm_pp_ interfaces (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add logging for aux DPCD access (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Set vsc pack revision when DPCD revision
  is >= 1.2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: provide an interface to query firmware version
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add missing Vega defines to dal_asic_id
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Treat bad EDID as no EDID (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove duplicate entries from BIOS function
  table (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Make FBC work without fbdev emulation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove delay on disconnect patch (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Skip 2 frames when first reading CRC
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Expose DCE110 CRC functions for DCE8
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Rework DCE transform bit depth reduction
  programming (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: When enabling CRC, disable dither & enable
  truncation (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Expose dither setting functionality to Linux
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refactor max color lut entries into a macro
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Hookup color management functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Implement color management (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add color module's gamma helpers to Linux build
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use hardware max low point when sampling OTF
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Make couple functions in DCE80 TG static
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Re-use DCE100 display_power_gating for DCE80
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unused DCE80 compressor (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Keep eDP stream enabled during boot
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.34 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: disable seamless vp adjustment for mirrored
  surface (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: add monitor patch for delay after DP receive
  power up (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Change blackout time to 0 on CZ/ST (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add force_trigger even to static screen control
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.33 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: boot up/S4 fix mainlink off before BL
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Rearchitecture HDMI HPD (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix potential uninitialized use of 'idle' in
  amdgpu_ids.c (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: cleanup VCN IB generation (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix and cleanup UVD IB generation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unused CFLAGS entry in DML Makefile
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: remove extra TT unpopulated check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove extra TT unpopulated check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add ttm_tt_populate wrapper (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc/calcs: Support clang option for stack alignment
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc/dml: Support clang option for stack alignment
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc/calcs: Consolidate redundant CFLAGS (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc/dml: Consolidate redundant CFLAGS (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add place holder for soc15 asic init on emulation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Double the timeout count on emulation mode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Avoid get vram info from atom bios on emulation mode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix none-powerplay issue when load driver on
  emulation mode (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Basic emulation support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Restore power profile mode in auto dpm level
  on Vega10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Get/set dgpu power cap via hwmon API (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Expose set/get_power_limit for DGPU (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: Fix enum mismatch in calls to program_color_matrix()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove extra pairs of parentheses in
  dce_calcs.c (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Enable ip block bit mask print out info by default
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Remove extra pair of parentheses (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Fix enum mismatch (bsc#1051510).
- drm/amdgpu: add mmhub powergating set by smu (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add mmhub powergating by smu in powerplay
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: implement set_mmhub_powergating_by_smu
  for Raven (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: add an interface of
  amdgpu_dpm_set_mmhub_powergating_by_smu (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: delete some dead code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Zero out power data in
  AMDGPU_PP_SENSOR_GPU_POWER readout (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add primary tmz_c and meta tmz tmz_c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: enable #PME code path for RV (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.32 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Optimize regamma calculations (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: resume from S3 bypass power down HW block
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add eDP 1.2+ polling for T7 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.31 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Fixed if statement parameters to add a delay
  on disconnect (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Add return value for detect dp (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove couple of unused OPTC registers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: turn off cursor when disconnect plane
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Expose is_rgb_cspace function in hw_sequencer
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: WBSCL filter init calculation fixes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove unused function prototypes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Null check for gamma correction (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Check hubp in pipe_ctx not in res_pool
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: sync the VM PD/PT before clearing it (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.30 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Bypass gamma set if not standard type
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: wait for T9 after backlight off mainlink blank
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix multiple definitions of handle_crc_irq
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fixed non-native modes not lighting up
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove return when no EDID read (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: BL setting save/restore (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Adding missing TMZ sh/mask entries for
  DCN1 SURFACE_CONTROL (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: clear the shadow fence as well (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: release the VM shadow in the error path as well
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove unused display_vblank_wait interface
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/dce: fix mask in dce_v*_0_is_in_vblank (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix incompatible structure layouts (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: cache the fence to wait for a VMID (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: restructure amdgpu_vmid_grab (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move reusing VMIDs into separate function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: cleanup and simplify amdgpu_vmid_grab_reserved
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: stop checking GPU reset counter during VMID grab
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: make VMID owner none atomic v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: split finding idle VMID into separate function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: make VMID assignment more fair v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix always_valid bos multiple LRU insertions
  (bsc#1051510).
- Revert "drm/amdgpu/gfx8: Fix compute ring failure after
  resetting" (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: move waiting for VM flush into
  gmc_v9_0_emit_flush_gpu_tlb (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: implement vcn_v1_0_(dec|enc)_ring_emit_reg_wait v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: implement vce_v4_0_emit_reg_wait v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: implement uvd_v7_0_(enc_|)ring_emit_reg_wait v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: implement sdma_v4_0_ring_emit_reg_wait (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: implement gfx_v9_0_ring_emit_reg_wait (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add new emit_reg_wait callback (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix DW estimation on VI (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Fix sysfs pp_dpm_pcie bug on CI/VI (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Enable pp_set_power_profile_mode under manual mode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Refine pp_dpm_force_clock_level functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Delete debug info when set power_profile_mode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: limit the VM address space with older VCE FW
  versions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: set DRIVER_ATOMIC flag early (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove DC special casing for KB/ML (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Simplify ttm_dma_page_put() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Fix coding style in ttm_dma_pool_alloc_new_pages()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Fix coding style in ttm_tt_swapout() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Simplify ttm_eu_reserve_buffers() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Remove unncessary retval from ttm_bo_vm_fault()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Fix coding style in ttm_bo_move_memcpy() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Simplify ttm_dma_find_pool() (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Fix coding style in ttm_pool_store() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Change ttm_tt page allocations to return errors
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Add a default BO destructor to simplify code (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Fix coding style in ttm_bo.c (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fill only the lower range with ATS entries v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: revert "Add support for filling a buffer with 64
  bit value" (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: revert "Add a parameter to amdgpu_bo_create()"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop root shadow sync (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: revert "drm/amdgpu: use
  AMDGPU_GEM_CREATE_VRAM_CLEARED for VM PD/PTs" v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix vcn_v1_0_dec_ring_emit_wreg (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pm: rework the hwmon visibility settings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pp: remove the get_temperature API (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pm: use read_sensor API to get temperature
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pm: report gpu average power via hwmon API
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pm: report gpu voltages via hwmon API (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pm: handle fan properly when card is powered down
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move static CSA address to top of address space v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Delete unnecessary function argument (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add struct profile_mode_setting for smu7
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Delete dead code in powerplay (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Change activity_target for performance optimization
  on Polaris (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Remove timer handler (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unsued mutex and spinlock (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix warning about misaligned code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add temporary delay on disconnect patch
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unnecessary register programming
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add temporary delay on disconnect patch
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix unused variable compilation error
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: eDP sequence BL off first then DP blank
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add debug flag for p010_mpo_support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Force full update on pixel_format_change
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.29 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: dpms off mute az audio endpoint only
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: revert to hacking bounding box for pipe split
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: disable az_clock_gating for endpoint register
  access only (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Define dpp1_set_cursor_position in header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix backlight not off at resume from S4
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add timing generator count to resource pool
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Synchronize update plane addr for freesync
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Call update_stream_signal directly from
  amdgpu_dm (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Early return on crc get (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move output_tf to stream_state/update
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unused param in DML (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Update the register GRPH_SWAP_CNTL if surface
  pixel format changed (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: dc: Remove unused display_mode_vba.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/soc15: don't abuse IP soft reset for adapter reset
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/psp: use a function pointer structure (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: consistently use AMDGPU_CSA_VADDR (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: apply top reserved VA space to pre Vega10 as well
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: reduce reserved VA size (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_crtc_idx_to_irq_type (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_get_crtc_scanoutpos (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_crtc_scaling_mode_fixup (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_update_display_priority (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_modeset_create_props (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_user_framebuffer_create (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_framebuffer_init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_ddc_probe (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_print_display_setup (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_crtc_set_config (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_crtc_page_flip_target (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename static functions in amdgpu_display.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove now superflous *_hdp operation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fallback to generic HDP operation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add optional ring to *_hdp callbacks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add update_avfs call when set_power_state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Update smu7 dpm table with OD clock/voltage
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Implement edit_dpm_table on smu7 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Disable OD feature on APU/Iceland (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Disable OD feature if VBIOS limits (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add edit/commit/show OD clock/voltage support
  in sysfs (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/pp: Add hwmgr interface for edit dpm table (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop the drm irq pre/post/un install callbacks
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/powerplay/vega10: fix compute profile name
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: retire soc15ip.h (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/dc: include new ip and ip_offset headers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: include new ip and ip offset headers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: include new ip and ip offset headers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: split soc15ip header into ip and ip_offset header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Use new TTM flag to avoid OOM triggering
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add PASID mapping for GMC v9 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add PASID mapping for GMC v8 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add PASID mapping for GMC v7 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: implement gmc_v9_0_emit_flush_gpu_tlb (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: implement gmc_v8_0_emit_flush_gpu_tlb (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: implement gmc_v7_0_emit_flush_gpu_tlb (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: implement gmc_v6_0_emit_flush_gpu_tlb (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add new amdgpu_gmc_emit_flush_gpu_tlb callback
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: wire up emit_wreg for VCN v1 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: wire up emit_wreg for VCE v4 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: wire up emit_wreg for UVD v7 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: wire up emit_wreg for UVD v6 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: wire up emit_wreg for SDMA v4 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: wire up emit_wreg for SDMA v3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: wire up emit_wreg for SDMA v2.4 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: wire up emit_wreg for CIK SDMA (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: wire up emit_wreg for SI DMA (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: wire up emit_wreg for gfx v9 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: wire up emit_wreg for gfx v8 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: wire up emit_wreg for gfx v7 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: wire up emit_wreg for gfx v6 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add the missed global memory count update (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Allow page allocations w/o triggering OOM. (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Bump driver version for sensor pstate clk
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Expose more GPU sensor queries (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: all vram is visible for APU (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add OD driver clock/voltage display on smu7
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add and initialize OD_dpm_table for CI/VI
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add a new pp feature mask bit for OD feature
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Move DPMTABLE_* definitions to common header file
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Refine code abbreviate variable name (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add stable Pstate clk display support in debugfs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Store stable Pstate clocks (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add custom power profile mode support on Vega10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add custom power policy support in sysfs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Fix SMIO implementation on CI (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Implement voltage regulator config on CI
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add querying current gfx voltage for Vega10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add querying current gfx voltage for CI/VI
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Export registers for read vddc on VI/Vega10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add memory clock info display on Cz/St (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: forward pasid to backend flush implementations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: trace the PASID instead of the VM pointer
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: trace allocated PASIDs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: always allocate a PASIDs for each VM v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add amdgpu_pasid_free_delayed v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move PD/PT address calculation into backend function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move struct gart_funcs into amdgpu_gmc.h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move struct amdgpu_mc into amdgpu_gmc.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove agp_base (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: print the PASID with VM faults on GMC v8
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: print the PASID with VM faults on GMC v7
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename pas_id to pasid (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Move to gtt before cpu accesses dma buf (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Enable VM support only on APUs newer than CZ
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: only allow scatter/gather display with DC
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: allow framebuffer in GART memory as well
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Update MMHUB power gating register settings
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display:[RV] SDR Brightness Boost (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Update dcn10_init_hw for FPGA (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Implement CRTC CRC for DCE110 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Implement interface for CRC on CRTC
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: clean up DCHUBBUB register definition in hwseq
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refactor remove mpcc processing (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move opp reg access from hwss to opp module
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: disablePSR in UpdatePlanes in PassiveLevel
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix null-derefs on non-dcn builds (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move dpp reg access from hwss to dpp module
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Check opplist in pipe ctx not in res pool
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Drop dm_connector_update_modes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix check for setting input TF (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Define remove_stream_from_ctx resource func
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Log which clocks are unsupported (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use real BE and FE index to program regs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move hubp reg access from hwss to hubp module
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Debug-print reason for mode validation failure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Debug print when validate_stream fails
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Disable eDP with a proper sequence (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.28 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: disable eDP backlight for extend monitor
  only reboot use case (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Pass full 3x4 remap matrix for color transform
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Prevent master programming in multisync
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use pipe_control_lock instead of tg lock
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: cleanup after FBC init rework (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: make FBC mem alloc dynamic (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Eliminate several Maximus-specific code paths
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix Maximus pixel clock programming
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: PME sw wa to support waking AZ D3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix semicolon.cocci warnings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Refine code shorten variable name (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Add a helper to convert VID to voltage value
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop extra tlb invalidation in gpuvm (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: adjust HDP write queue flushing for tlb invalidation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add HDP asic callbacks for SOC15 (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add HDP asic callbacks for VI (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add HDP asic callbacks for CIK (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add HDP asic callbacks for SI (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add new asic callbacks for HDP flush/invalidation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: bump version for gfx9 high priority compute
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add high priority compute support for gfx9
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: use ffs/fls instead of implementing our own
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: export the thermal ranges of Carrizo (V2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: export the thermal ranges of VI asics (V2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: export vega10 specific thermal ranges (V2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: export thermal range through temp sysfs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: new hw manager interface for retrieving
  device specific thermal range (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: new cgs interface setting dpm thermal range
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: correct PP_TemperatureRange member type
  since negative values are part of the valid range (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: removed hwmgr_handle_task unused parameter
  and given a better name for other parameter (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: remove unused parameter of
  phm_start_thermal_controller (v2) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: use raw buffer printk specifier (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: drop unneeded newline (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: lvds: Refactor LVDS startup (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: lvds: Fix LVDS startup on R-Car Gen3
  (bsc#1051510).
- drm: rcar-du: lvds: Fix LVDS startup on R-Car Gen2
  (bsc#1051510).
- drm: rcar-du: lvds: Fix LVDS clock frequency range (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: lvds: Fix LVDCR1 for R-Car gen3 (bsc#1085539).
- drm: rcar-du: Enable VSP compositor by default on Gen3
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 2b901b3
* Fri Jan  4 2019 ptesarik@suse.cz
- drm: rcar-du: Calculate DPLLCR to be more small jitter
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Use 1000 to avoid misunderstanding in
  rcar_du_dpll_divider() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm: rcar-du: Remove zpos field from rcar_du_vsp_plane_state
  structure (bsc#1085539).
- drm/qxl: Replace drm_gem_object_reference/unreference() with
  _get/put() (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/meson: Fix potential NULL dereference in
  meson_drv_bind_master() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/sun4i: backend: Support YUV planes (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Check that we only have a single YUV plane
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add driver support for A80 display pipeline
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add support for A80 TCONs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Reduce object size of DRM_DEV_<LEVEL> uses (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: dma_bufs: Fixed checkpatch issues (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: remove drm_mode_object_{un/reference} aliases (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add PSR version 3 macro (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vc4_validate: Remove VLA usage (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Make drm_mode_vrefresh() a bit more accurate (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Nuke the useless 'ret' variable from
  drm_mode_convert_umode() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Use drm_color_lut_size() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove the blob->data casts (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Introduce drm_color_lut_size() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Verify gamma/degamma LUT size (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Remove now pointelss blob->data casts (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "drm: Use a flexible array member for blob property data"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: cdn-dp: remove the DP phy switch (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Reduce object size of DRM_ERROR and DRM_DEBUG uses
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: dw-hdmi: Remove unused
  hdmi_enable_overflow_interrupts() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: replace drm_*_unreference with drm_*_put
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Don't use spin_lock_irqsave in interrupt context
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Do not use memcpy for MMIO addresses (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Clear all interrupts before requesting the IRQ
  (bsc#1051510).
- drm/bridge: analogix_dp: Only wait for panel ACK on PSR entry
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: rm68200: Add backlight dependency (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: add mutex vop lock (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: add fast link train for eDP
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: Don't change psr while bridge is
  disabled (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/rockchip: Remove analogix psr worker (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: detect Sink PSR state after configuring
  the PSR (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: Handle DRM_BUS_FLAG_PIXDATA_*EDGE (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: add lvds mode_valid function (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: move rgb mode_valid from connector to encoder
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Runtime suspend despite HDA being unbound
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- vga_switcheroo: Use device link for HDA controller (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- vga_switcheroo: Deduplicate power state tracking (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/meson: Add support for DMT modes on HDMI (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/meson: Fix some error handling paths in
  'meson_drv_bind_master()' (bsc#1051510).
- drm/meson: Use drm_dev_put() instead of drm_dev_unref()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/meson: Fix an un-handled error path in
  'meson_drv_bind_master()' (bsc#1051510).
- drm/panel: Add support for AUO G104SN02 V2 panel (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: ili9322: Make local symbols static (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: lvds: Fix driver description heading (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: Add support for KEO TX31D200VM0BAA
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: otm8009a: Add support for the optional power-supply
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: Use display_timing for lq123p1jx31
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit f55dcd9
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/panel: Add support for Raydium RM68200 panel driver
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 1114dde
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/panel: simple: Fix the bus format for the Ontat panel
  (bsc#1051510).
- drm/vc4: Enable background color fill when necessary
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Move plane state to header (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Check if plane requires background fill (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Set premultiplied for alpha formats (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Don't use atomic constructs for psr (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: analogix_dp: set psr activate/deactivate when
  enable/disable bridge (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/rockchip: dw_hdmi: Move HDMI vpll clock enable to bind()
  (bsc#1087092).
- drm/rockchip: inno_hdmi: reorder clk_disable_unprepare call
  in unbind (bsc#1087092).
- drm/rockchip: inno_hdmi: Fix error handling path (bsc#1087092).
- drm/rockchip: dw-mipi-dsi: Fix connector and encoder cleanup
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Replace the iturbt_709 prop with the standard
  COLOR_ENCODING prop (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/pl111: Use max memory bandwidth for resolution (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: sii902x: Retry status read after DDI I2C
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Handle the RealView variant separately (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Make the default BPP a per-variant variable
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: simple_kms_helper: Fix .mode_valid() documentation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- bridge: Elaborate a bit on dumb VGA bridges in Kconfig
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Add new reverse iterator over all plane state (V2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Reject bad property flag combinations (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Make property flags u32 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/uapi: Deprecate DRM_MODE_PROP_PENDING (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: WARN when trying to add enum value > 63 to a bitmask
  property (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: WARN when trying add enum values to non-enum/bitmask
  properties (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: Reject replacing property enum values (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: Don't create useless connectors
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: Postpone enabling runtime power
  management (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/bridge: analogix_dp: Don't power bridge in analogix_dp_bind
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/prime: make the pages array optional for
  drm_prime_sg_to_page_addr_arrays (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/prime: fix potential race in drm_gem_map_detach (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Check property/enum name length (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Don't create properties without names (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: bridge: dw-hdmi: Fix overflow workaround for Amlogic
  Meson GX SoCs (bsc#1051510).
- drm: of: simplify component probe code (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: NULL pointer dereference (CWE 476) problem (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Don't pass clip to drm_atomic_helper_check_plane_state()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: Use drm_mode_get_hv_timing() to populate plane
  clip rectangle (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/armada: Construct a temporary crtc state for plane checks
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Replace long HDMI udelay with usleep_range (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Advertise supported modifiers for planes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/synopsys: dsi: readl_poll_timeout return value
  clean up (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/atomic: Call ww_acquire_done after drm_modeset_lock_all
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add support for the YCbCr COLOR_RANGE property
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Change the COLOR_ENCODING prop default value to BT.709
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add support for the YCbCr COLOR_ENCODING property
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix plane YCbCr->RGB conversion for GLK (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Correctly handle limited range YCbCr data on VLV/CHV
  (bsc#1051510).
- drm/atomic: Include color encoding/range in plane state dump
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add optional COLOR_ENCODING and COLOR_RANGE properties
  to drm_plane (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- commit 1a737db
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/sun4i: Allow building on arm64 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit b88fed1
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/sun4i: Add support for H3 HDMI PHY variant (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Move and expand DW HDMI PHY register macros
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add support for variants to DW HDMI PHY (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Fix polarity configuration for DW HDMI PHY
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add support for H3 mixer 0 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add support for H3 display engine (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: analogix_dp: reorder psr_unregister call in unbind
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: analogix_dp: Add a sanity check for
  rockchip_drm_psr_register() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/bridge: analogix_dp: Fix connector and encoder cleanup
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix: Do not use device's drvdata (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: vop: Init vskiplines in scl_vop_cal_scale()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Add device links for master and components
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- tinydrm: add backlight dependency (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/uapi: The ctm matrix uses sign-magnitude representation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/virtio: Add spaces around operators (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/virtio: Remove multiple blank lines (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/virtio: Replace 'unsigned' for 'unsigned int' (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/virtio: Remove return from void function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/virtio: Add */ in block comments to separate line
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/virtio: Add blank line after variable declarations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/virtio: Add tabs at the start of a line (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Include the header with the prototype for
  drm_get_panel_orientation_quirk() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove the pipe/plane ID checks from
  skl_check_ccs_aux_surface() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm: Check that the plane supports the request format+modifier
  combo (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/pl111: Remove reverse dependency on DRM_DUMB_VGA_DAC
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: check pitch and size calculations even if !CONFIG_MMU
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: Fix ARM Versatile panel clocks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Do not use deprecated
  drm_driver.{enable|disable)_vblank (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tve200: Do not use deprecated
  drm_driver.{enable|disable)_vblank (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/mxsfb: Do not use deprecated
  drm_driver.{enable|disable)_vblank (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/simple_kms_helper: Add {enable|disable}_vblank callback
  support (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: fix drm_get_max_iomem type mismatch (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/simple_kms_helper: Fix NULL pointer dereference with no
  active CRTC (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: backend: Remove ARGB spoofing (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Make zpos configurable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Remove the plane description structure (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Assign the pipes automatically (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omapdrm: Use of_find_backlight helper (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: Use of_find_backlight helper (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omapdrm: Use backlight_enable/disable helpers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: Use backlight_enable/disable helpers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm: Call devres version of of_find_backlight
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm: Replace tinydrm_of_find_backlight with
  of_find_backlight (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/tinydrm: Convert tinydrm_enable/disable_backlight to
  backlight_enable/disable (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- video: backlight: Add devres versions of of_find_backlight
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- video: backlight: Add of_find_backlight helper in backlight.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- video: backlight: Add helpers to enable and disable backlight
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: add documentation for tv connector state margins
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/doc: Use new substruct support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/doc: Polish for drm_mode_parse_command_line_for_connector
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/docs: Document "scaling mode" property better (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/docs: Align layout of optional plane blending properties
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: simple_kms_helper: Add mode_valid() callback support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: NULL pointer dereference (CWE 476) problem (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Fix kerneldoc warnings for drm_lease (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bochs: make structure bochs_bo_driver static (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Respect page offset for PRIME mmap calls
  (bsc#1051510).
- drm/rockchip: support prime import sg table (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Get rid of unnecessary struct fields (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: inno_hdmi: Remove unnecessary
  platform_get_resource() error check (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: dsi: Remove unnecessary platform_get_resource()
  error check (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: fix misalignment in HDCP register def (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Reauthenticate HDCP on failure (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Detect panel's hdcp capability (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Optimize HDCP key load (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Retry HDCP bksv read (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Connector info in HDCP debug msgs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Stop encryption for repeater with no sink (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Handle failure from 2nd stage HDCP auth (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Downgrade hdcp logs from INFO to DEBUG_KMS
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Restore HDCP DRM_INFO when with no downstream
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Check for downstream topology errors (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Start repeater auth on READY/CP_IRQ (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: II stage HDCP auth for repeater only (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Extending HDCP for HSW, BDW and BXT+ (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dp: Fix compilation of intel_dp_hdcp_check_link
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Only disable HDCP when it's active (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Don't allow HDCP on PORT E/F (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Implement HDCP for DisplayPort (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Implement HDCP for HDMI (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add function to output Aksv over GMBUS (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Make use of indexed write GMBUS feature (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add HDCP framework + base implementation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add some HDCP related #defines (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Add Content Protection property (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add more control to wait_for routines (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Fix link-status kerneldoc line lengths (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20180207 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/pmu: Fix PMU enable vs execlists tasklet race
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/cnl: WaPipeControlBefore3DStateSamplePattern
  (FATE#322643 bsc#1055900).
- drm/i915: Deprecate I915_SET_COLORKEY_NONE (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Skip post-reset request emission if the engine is
  not idle (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/execlists: Move the reset bits to a more natural home
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Use a sacrificial context for hang testing
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Flush old resets between engines
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/breadcrumbs: Drop request reference for the signaler
  thread (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Remove unbannable context spam from reset
  (bsc#1051510).
- drm/i915/execlists: Remove the startup spam (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Show the GPU state when declaring wedged (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Always update the no_fbc_reason when disabling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add some newlines to intel_engine_dump() headers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Report if an unbannable context is involved in a
  GPU hang (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Remove spurious DRM_ERROR for cancelled interrupts
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Flush GTIIR on clearing CS interrupts
  during reset (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: reduce indent in pch detection (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Enable inject_load_failure only in DEBUG config
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dp: limit DP link rate based on VBT on CNL+
  (FATE#322643 bsc#1055900).
- drm/i915/dp: clean up source rate limiting for cnl (FATE#322643
  bsc#1055900).
- drm/i915/dp: abstract rate array length limiting (FATE#322643
  bsc#1055900).
- drm/i915/bxt, glk: Avoid long atomic poll during CDCLK change
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Don't try to create log runtime if there is no log
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Don't forget to free GuC error log (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: add missing gtt shrinker test (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: allow the reg_read ioctl to read the RCS
  TIMESTAMP register (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/icl: Set graphics mode register for gen11 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Handle expanded PLANE_CTL_FORMAT field
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gen11: fix the SAGV block time for gen11 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Introduce MBus related registers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: NV12 y-plane ddb is not in same plane (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Fail flip if ddb allocated are less than min
  display buffer needed (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/icl: Do not fix dbuf block size to 512 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Don't allocate fixed bypass path blocks for ICL
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Flush ggtt writes through the old fenced vma before
  changing fences (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/guc: Fix return from guc_log_relay_file_create
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/cnl: Fix DP max rate for Cannonlake with port F
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Enable DDI-F on Cannonlake (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add HPD support for Port F (FATE#322643
  bsc#1055900).
- drm/i915: For HPD connected port use hpd_pin instead of port
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add right GMBUS pin number for HDMI on Port F
  (FATE#322643 bsc#1055900).
- drm/i915: Fix DPLCLKA_CFGCR0 bits for Port F (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix _CNL_PORT_TX_DW2_LN0_F definition (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Extend Wa 1178 to Aux F (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add AUX-F support (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add Cannonlake PCI IDs for another SKU
  (FATE#322643 bsc#1055900).
- drm/i915: Add WA for planes ending close to left screen edge
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add display WA #1175 for planes ending close to right
  screen edge (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Assert that we do not try to unsubmit a completed
  request (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Simplify guard logic for setup_scratch_page()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/lrc: Remove superfluous WARN_ON (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/lrc: Clear context restore/save inhibit flags for
  new contexts (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/guc: Fix comments style in intel_guc_log.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Update name and prototype of i915_guc_log_control
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Fix lockdep due to log relay channel handling
  under struct_mutex (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/guc: Enable interrupts before resuming GuC during
  runtime resume (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/guc: Grab RPM wakelock while disabling GuC interrupts
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add a comment exlaining CCS hsub/vsub (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Implement display w/a #1143 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Use enum plane_id for frontbuffer tracking
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Shrink the GEM kmem_caches upon idling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Track the number of times we have woken the GPU up
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Inhibit context save/restore for the
  fake preempt context (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Move LRC register offsets to a header file
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/lrc: Update reg_state macros to pass checkpatch
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/pmu: Fix sysfs exported counter config (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/cnl: Fix aux selection for WA 1178 (FATE#322643
  bsc#1055900).
- drm/i915/execlists: Skip forcewake for ELSP submission
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Increase render/media power gating hysteresis
  for gen9+ (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Per-engine scratch VMA is mandatory (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Downgrade incorrect engine constructor usage warnings
  to development (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/psr: Don't name status or debug registers like control
  registers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Shrink the request kmem_cache on allocation error
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Keep GuC log disabled by default (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Gen11 render context size (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Return a default RCS context size (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Icelake interrupt register addresses and bits
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icp: Add the ID for ICL PCH - ICP (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icp: add ICP gmbus and gpio support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icp: Add backlight Support for ICP (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icp: Add Panel Power Sequencing Support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icp: Get/set proper Raw clock frequency on ICP
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icp: Introduce Ice Lake PCH (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/icl: Add initial Icelake definitions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/cnl: Add Port F definition (FATE#322643 bsc#1055900).
- drm/i915: Allow up to 32KB stride on SKL+ "sprites" (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add CCS capability for sprites (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Clean up the sprite modifier checks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add the missing Y/Yf modifiers for SKL+ sprites
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Nuke a pointless unreachable() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Ignore TMDS clock limit for DP++ when EDID override
  is set (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: remove redundant ELD connector type update
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: vbt defs typo fixes (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/cnl: apply Display WA #1178 to fix type C dongles
  (FATE#322643 bsc#1055900).
- drm/i915: Use the engine name directly in the error_state file
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Change values for i915_guc_log_control
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Redefine guc_log_level modparam values
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Avoid waitboosting on the active request (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add tracking for CDCLK bypass frequency (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: i915: remove timeval users (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Wait for the dma-fence timeout (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Do not WARN_ON with small framebuffers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Rewrite some comments around RCU-deferred object free
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Test i915_sw_fence/dma_fence interop
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Use our singlethreaded wq for freeing objects
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/fence: Separate timeout mechanism for awaiting on
  dma-fences (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Only defer freeing of fence callback when also using
  the timer (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/psr: Avoid initializing PSR if there is no sink support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/psr: CAN_PSR() macro to check for PSR source and
  sink support (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/psr: Kill psr.source_ok flag (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/pmu: Use kcalloc instead of kzalloc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/pmu: fix noderef.cocci warnings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/pmu: Initialise our dynamic sysfs attributes for use
  with lockdep (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/pmu: Only enumerate available counters in sysfs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Apply headless DMC workaround for CNL (FATE#322643
  bsc#1055900).
- drm/i915/dmc: DMC 1.07 for Cannonlake (FATE#322643 bsc#1055900).
- drm/i915: Pass DMA_ATTR_NO_WARN to dma_map_sg() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Assert we do not try to wait on an invalid seqno
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc : GEM_BUG_ON on invoking GuC reset function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc : Decoupling ADS and logs from submission
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Reduce
  list_for_each_safe+list_safe_reset_next (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Assert there are no simple cycles in the
  dependencies (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Assert all signalers we depended on did indeed signal
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Hold rpm wakeref for modifying the global seqno
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Tidy enabling execlists (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Record elsp offset during engine setup
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Clear context-switch interrupt earlier
  in the reset (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Delete defunct i915_gem_request_assign() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Allow random array allocation to fail
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Tweak igt_ggtt_page to speed it up
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- i915/drrs/debugfs: psr status info addition (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Runtime disable for eDP DRRS (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: fix HSYNC and VSYNC polarity (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/rcar-du: dw-hdmi: Fix compilation (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Implement A83T HDMI driver (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- commit 5234a81
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/sun4i: Add support for A83T second DE2 mixer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add support for A83T second TCON (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add has_channel_0 TCON quirk (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/synopsys: dw-hdmi: don't clobber drvdata (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/synopsys: dw-hdmi: Export some PHY related functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/synopsys: dw-hdmi: Enable workaround for v1.32a
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add DPCD definitions for DP 1.4 FEC feature (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: only enable swiotlb path when need v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: only enable swiotlb alloc when need v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: add func to get max iomem address v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Expose performance counters to userspace (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Print the pid when debug logging an ioctl error
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: ltdc: remove non-alpha color formats on layer 2 for
  older hw (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/stm: ltdc: add non-alpha color formats (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/synopsys: dsi: Add 1.31 version support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/synopsys: dsi: Add read feature (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Support multiple endpoints on the CLCD (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Support variants with broken VBLANK (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Support variants with broken clock divider
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Handle the Versatile RGB/BGR565 mode (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Properly detect the ARM PL110 variants (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit aee8937
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/panel: Add support for ARM Versatile panels (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 1b379ae
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/bridge: Rename argument from crtc to bridge (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/crc: Add support for polling on the data fd (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Use drm_mode_get_hv_timing() to populate plane clip
  rectangle (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/rcar-du: Use drm_mode_get_hv_timing() to populate plane
  clip rectangle (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/virtio: Don't return invalid caps on timeout (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/edid: use true and false for boolean values (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mgag200: fix a test in mga_vga_mode_valid() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arcpgu: remove drm_encoder_slave (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Remove WARN_ON for invalid plane configuration
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/synopsys: dsi: Fix dsi_host_transfer() return value
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/synopsys: dsi: Add a warning msg on dsi read requests
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: drv: Improve data transfers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/stm: dsi: Add 1.31 version support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Provide a device level .mode_valid() hook (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/modes: Provide global mode_valid hook (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/uapi: Deprecate nonsense kms mode types (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/modes: Kill DRM_MODE_TYPE_CLOCK_CRTC_C define (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/modes: Kill off the oddball DRM_MODE_TYPE_CRTC_C
  vs. DRM_MODE_TYPE_BUILTIN handling (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/modes: Fix description of DRM_MODE_TYPE_USERDEF (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/uapi: Deprecate DRM_MODE_FLAG_BCAST (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/uapi: Deprecate DRM_MODE_FLAG_PIXMUX (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/uapi: Validate the mode flags/type (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/modes: Move 3D stereo flag check into
  drm_mode_validate_basic() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm: Warn if plane/crtc/encoder/connector index exceeds our
  32bit bitmasks (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: backend: Check for the number of alpha planes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Add support for zpos (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Set a default zpos in our reset hook
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Move the coord function in the shared part
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: framebuffer: Add a custom atomic_check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Fix define typo (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Fix structure indentation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Use the alpha format field in drm_format_info
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Use the alpha format field in drm_format_info
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atmel-exynos: Use the alpha format field in drm_format_info
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atmel-hlcdc: Use the alpha format field in drm_format_info
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fourcc: Add a alpha field to drm_format_info (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: ltdc: use crtc_mode_fixup to update adjusted_mode clock
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/dp: Add definitions for TPS4 bits and macros to check
  the support (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/dp: Add HBR3 support in existing DRM DP helpers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/zte: Use drm_mode_get_hv_timing() to populate plane clip
  rectangle (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vmwgfx: Use drm_mode_get_hv_timing() to populate plane
  clip rectangle (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/tegra/dc: Use drm_mode_get_hv_timing() to populate plane
  clip rectangle (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/rockchip: Use drm_mode_get_hv_timing() to populate plane
  clip rectangle (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/kms/nv50: Use drm_mode_get_hv_timing() to populate
  plane clip rectangle (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/msm/mdp5: Use drm_mode_get_hv_timing() to populate plane
  clip rectangle (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/meson: Use drm_mode_get_hv_timing() to populate plane clip
  rectangle (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/mediatek: Use drm_mode_get_hv_timing() to populate plane
  clip rectangle (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/imx: Use drm_mode_get_hv_timing() to populate plane clip
  rectangle (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/simple_kms_helper: Use drm_mode_get_hv_timing() to populate
  plane clip rectangle (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/arm/mali-dp: Use drm_mode_get_hv_timing() to populate
  plane clip rectangle (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/arm/hdlcd: Use drm_mode_get_hv_timing() to populate plane
  clip rectangle (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Use drm_mode_get_hv_timing() to populate plane clip
  rectangle (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Reject odd pipe source width with double wide/dual
  link (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: Fix build warnings in sunxi_engine.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: panasonic-vvx10f034n00: More return value fixes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Make sure we don't have a commit pending
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Use runtime_pm variant of atomic_commit_tail
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Add a custom atomic_check for the frontend
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Wire in the frontend (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add a driver for the display frontend (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: engine: Create an atomic_begin callback (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: engine: Add a VBLANK quirk callback (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: engine: Add a custom crtc atomic_check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Add a custom plane state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Allow a NULL plane pointer to retrieve
  the format (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: backend: Document the engine operations (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Move line stride setup to buffer setup
  function (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: add kernel doc for exported gem dmabuf_ops (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: tda998x: Remove duplicate NULL check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c/sil164: Remove duplicate NULL check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix-anx78xx: Remove duplicate NULL check
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: panasonic-vvx10f034n00: Fix wuxga_nt_panel_disable()
  return value (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/dsi: Fix improper use of mipi_dsi_device_transfer()
  return value (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/bridge/synopsys: dsi: handle endianness correctly in
  dw_mipi_dsi_write() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/bridge/synopsys: dsi: use common mipi_dsi_create_packet()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/synopsys: dsi: make dw_mipi_dsi_bridge_mode_set()
  static (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/tinydrm/mipi-dbi: Change reset active time (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm: Embed the mode in tinydrm_connector (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm/mi0283qt: Let the display pipe handle power
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm/mipi-dbi: Add poweron-reset functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm/mipi-dbi: Add mipi_dbi_enable_flush() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm/mi0283qt: Remove ili9341.h (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm/mi0283qt: Use common include order (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Support handling bridge timings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: Add timing support to dumb VGA DAC (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: Provide a way to embed timing info in bridges
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ioctl: Remove trailing whitespace (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: export gem dmabuf_ops for drivers to reuse (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/synopsys: stop clobbering drvdata (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: ltdc: add clut mode support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix: Remove unreachable code from
  analogic_dp_core.c (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/tegra: dc: Using NULL instead of plain integer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Use correct format array for Tegra124
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Deallocate SDMA queues correctly (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix scratch memory with HWS enabled (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ast: Fixed 1280x800 Display Issue (bsc#1051510).
- drm: udl: Properly check framebuffer mmap offsets (bsc#1051510,
  CVE-2018-8781, bsc#1090643).
- drm: Reject getfb for multi-plane framebuffers (bsc#1051510).
- drm/sun4i: hdmi: Fix another error handling path in
  'sun4i_hdmi_bind()' (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/sun4i: hdmi: Fix an error handling path in
  'sun4i_hdmi_bind()' (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/sun4i: Fix an error handling path in 'sun4i_drv_bind()'
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Fix exclusivity of the TCON clocks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Specify which engines to reset following
  semaphore/event lockups (FATE#322643 bsc#1055900).
- drm/i915/dp: Write to SET_POWER dpcd to enable MST hub
  (bsc#1051510).
- drm/vmwgfx: Fix a destoy-while-held mutex problem (bsc#1051510).
- drm/vmwgfx: Fix black screen and device errors when running
  without fbdev (bsc#1051510).
- drm/imx: move arming of the vblank event to atomic_flush
  (bsc#1051510).
- drm/imx: ipuv3-plane: Include "imx-drm.h" header file
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/imx: ipuv3-plane: Make functions static when possible
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add one to EDID's audio channel count when
  passing to DC (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: We shouldn't set format_default on plane as
  atomic driver (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fix FMT truncation programming (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Allow truncation to 10 bits (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix dereferencing possible ERR_PTR()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refine disable VGA (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Use atomic function to disable crtcs with dc enabled
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Don't turn off DP sink when disconnected
  (bsc#1051510).
- drm/tegra: Shutdown on driver unbind (bsc#1051510).
- drm/tegra: dsi: Don't disable regulator on ->exit() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Detach IOMMU group from domain only once
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: plane: Correct legacy blending (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: plane: Fix RGB565 format on older Tegra (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Correct the privilege shadow batch buffer address
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: keep oa config in shadow ctx (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Add runtime_pm_get/put into gvt_switch_mmio
  (FATE#322643 bsc#1055900).
- drm/nouveau/bl: fix backlight regression (bsc#1095094).
- drm/nouveau/bl: Fix oops on driver unbind (bsc#1051510).
- drm/nouveau/mmu: ALIGN_DOWN correct variable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Kick the rps worker when changing the boost frequency
  (FATE#322643 bsc#1055900).
- drm/i915: Only prune fences after wait-for-all (FATE#322643
  bsc#1055900).
- drm/i915: Enable VBT based BL control for DP (FATE#322643
  bsc#1055900).
- drm/amdgpu/dce: Don't turn off DP sink when disconnected
  (bsc#1051510).
- drm/amdgpu: save/restore backlight level in legacy dce code
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: fix prime teardown order (bsc#1051510).
- drm/amdgpu: fix prime teardown order (bsc#1051510).
- drm/amd/display: validate plane format on primary plane
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:Always save uvd vcpu_bo in VM Mode (bsc#1051510).
- drm/amdgpu:Correct max uvd handles (bsc#1051510).
- drm/amd/display: early return if not in vga mode in disable_vga
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix takover from VGA mode (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Return success when enabling interrupt
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use crtc enable/disable_vblank hooks
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: update infoframe after dig fe is turned on
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix boot-up on vega10 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix cursor related Pstate hang (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Set irq state only on existing crtcs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Make create_stream_for_sink more consistent
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't block dual-link DVI modes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't allow dual-link DVI on all ASICs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Pass signal directly to enable_tmds_output
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unnecessary fail labels in
  create_stream_for_sink (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Move MAX_TMDS_CLOCK define to header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix FBC topology change (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix topology change issue in MST rehook
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: disable CRTCs with NULL FB on their primary
  plane (V2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu/dce6: Use DRM_DEBUG instead of DRM_INFO for HPD
  IRQ info (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Default HDMI6G support to true. Log VBIOS
  table error (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: update plane params before validation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: validate plane in dce110 for scaling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: defer modeset check in dm_update_planes_state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't blow up if TG is NULL in
  dce110_vblank_set (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: Notify sbios device ready before send request
  (bsc#1051510).
- drm/amdgpu: fix KV harvesting (bsc#1051510).
- drm/radeon: fix KV harvesting (bsc#1051510).
- drm/amd/display: Fix active dongle hotplug (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: used cached pcie gen info for SI (v2) (bsc#1051510).
- drm/amd/amdgpu: Mask rptr as well in ring debugfs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: crtc: Call drm_crtc_vblank_on / drm_crtc_vblank_off
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: rgb: Fix potential division by zero (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Reduce the scope of the LVDS error a bit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Release exclusive clock lock when disabling TCON
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Fix dclk_set_phase (bsc#1051510).
- drm/i915: Suspend submission tasklets around wedging
  (FATE#322643 bsc#1055900).
- drm/i915/perf: fix perf stream opening lock (FATE#322643
  bsc#1055900).
- drm/amdgpu: skip ECC for SRIOV in gmc late_init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Correct VRAM width for APUs with GMC9
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix&cleanups for wb_clear (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Correct sdma_v4 get_wptr(v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix power over limit on Fiji (bsc#1051510).
- drm/amdgpu:Fixed wrong emit frame size for enc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move WB_FREE to correct place (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: only flush hotplug work without DC (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: check for ipp before calling cursor operations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- virtio-gpu: fix ioctl and expose the fixed status to userspace
  (bsc#1100382).
- drm/sun4i: Protect the TCON pixel clocks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Enable the output on the pins (tcon0) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: prefer XBGR2101010 for addfb ioctl (bsc#1051510).
- drm/i915: Make global seqno known in i915_gem_request_execute
  tracepoint (FATE#322643 bsc#1055900).
- drm/i915: Clear the in-use marker on execbuf failure
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix PORT_TX_DW5/7 register address (FATE#322643
  bsc#1055900).
- drm/i915/audio: fix check for av_enc_map overflow (FATE#322643
  bsc#1055900).
- drm/i915: Fix rsvd2 mask when out-fence is returned (FATE#322643
  bsc#1055900).
- drm/radeon: insist on 32-bit DMA for Cedar on PPC64/PPC64LE
  (bsc#1051510).
- drm/amd/display: VGA black screen from s3 when attached to hook
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Unify the dm resume calls into one (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add a missing lock for drm_mm_takedown (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/radeon/pm: autoswitch power state when in balanced
  mode" (bsc#1051510).
- drm/amd/powerplay/smu7: allow mclk switching with no displays
  (bsc#1051510).
- drm/amd/powerplay/vega10: allow mclk switching with no displays
  (bsc#1051510).
- ALSA: x86: hdmi: Add single_port option for compatible behavior
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- treewide/trivial: Remove ';;$' typo noise (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/meson: fix vsync buffer update (bsc#1051510).
- drm: Handle unexpected holes in color-eviction (bsc#1051510).
- drm/edid: Add 6 bpc quirk for CPT panel in Asus UX303LA
  (bsc#1051510).
- drm/amdgpu: Fix deadlock on runtime suspend (bsc#1051510).
- drm/radeon: Fix deadlock on runtime suspend (bsc#1051510).
- drm/nouveau: Fix deadlock on runtime suspend (bsc#1051510).
- drm: Allow determining if current task is output poll worker
  (bsc#1051510).
- drm/atomic: Fix memleak on ERESTARTSYS during non-blocking
  commits (bsc#1051510).
- drm/edid: quirk Sony PlayStation VR headset as non-desktop
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/edid: quirk Windows Mixed Reality headsets as non-desktop
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/edid: quirk Oculus Rift headsets as non-desktop (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/cirrus: Load lut in crtc_commit (bsc#1051510).
- drm: exynos: Use proper macro definition for HDMI_I2S_PIN_SEL_1
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: remove exynos_drm_rotator.h (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: g2d: Delete an error message for a failed memory
  allocation in two functions (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/exynos: fix comparison to bitshift when dealing with a mask
  (bsc#1051510).
- drm/exynos: g2d: use monotonic timestamps (bsc#1051510).
- drm/nouveau: Make clock gate support conditional (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Fix DSI panels with v1 MIPI sequences without a
  DEASSERT sequence v3 (FATE#322643 bsc#1055900).
- drm/i915: Free memdup-ed DSI VBT data structures on
  driver_unload (FATE#322643 bsc#1055900).
- drm/i915: Add intel_bios_cleanup() function (FATE#322643
  bsc#1055900).
- drm/i915/vlv: Add cdclk workaround for DSI (FATE#322643
  bsc#1055900).
- drm/i915/gvt: fix one typo of render_mmio trace (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Support BAR0 8-byte reads/writes (FATE#322643
  bsc#1055900).
- drm/i915/gvt: add 0xe4f0 into gen9 render list (FATE#322643
  bsc#1055900).
- drm/i915/pmu: Fix building without CONFIG_PM (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/pmu: Fix sleep under atomic in RC6 readout (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Lock out execlist tasklet while peeking inside for
  busy-stats (FATE#322643 bsc#1055900).
- drm/i915: Don't wake the device up to check if the engine is
  asleep (FATE#322643 bsc#1055900).
- drm/i915: Avoid truncation before clamping userspace's priority
  value (FATE#322643 bsc#1055900).
- drm/i915/perf: Fix compiler warning for string truncation
  (FATE#322643 bsc#1055900).
- drm/amdgpu: add new device to use atpx quirk (bsc#1051510).
- drm/i915/bios: add DP max link rate to VBT child device struct
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: Properly handle VBT ddc pin out of bounds
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: Ignore VBT request for know invalid DDC pin
  (FATE#322643 bsc#1055900).
- drm/i915/cmdparser: Do not check past the cmd length
  (FATE#322643 bsc#1055900).
- drm/i915/cmdparser: Check reg_table_count before derefencing
  (FATE#322643 bsc#1055900).
- drm/i915/bxt, glk: Increase PCODE timeouts during CDCLK freq
  changing (FATE#322643 bsc#1055900).
- drm/i915/gvt: Use KVM r/w to access guest opregion (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Fix aperture read/write emulation when enable
  x-no-mmap=on (FATE#322643 bsc#1055900).
- drm/i915/gvt: only reset execlist state of one engine during
  VM engine reset (FATE#322643 bsc#1055900).
- drm/i915/gvt: refine intel_vgpu_submission_ops as per engine
  ops (FATE#322643 bsc#1055900).
- drm/amdgpu: re-enable CGCG on CZ and disable on ST (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: disable coarse grain clockgating for ST (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: adjust tested variable (bsc#1051510).
- drm/amdgpu: remove WARN_ON when VM isn't found v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix locking in vega10_ih_prescreen_iv (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix another potential cause of VM faults
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use queue 0 for kiq ring (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Fix 'buf' pointer update in ttm_bo_vm_access_kmap()
  (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/ttm: fix missing parameter change for ttm_bo_cleanup_refs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/clk: fix gcc-7 -Wint-in-bool-context warning
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu: Fix trailing semicolon (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Introduce NvPmEnableGating option (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Add support for SLCG for Kepler2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Add support for BLCG on Kepler2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Add support for BLCG on Kepler1 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Add support for basic clockgating on Kepler1
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50: fix handling of gamma since atomic
  conversion (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/kms/nv50: use INTERPOLATE_257_UNITY_RANGE LUT on
  newer chipsets (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/kms/nv50: use "low res" lut for indexed mode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50: prepare for double-buffered LUTs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bo: add helper functions for handling pinned+mapped
  buffers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/fbcon: add module parameter to select bits-per-pixel
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/secboot/gp108: implement on top of acr_r370
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/secboot/r370: implement support for booting LS
  SEC2 ucode (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/secboot/r370: move a bunch of r375 stuff to a new
  implementation (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau: nouveau: use correct string length (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/drm/nouveau/mmu: fix odd_ptr_err.cocci warnings
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/pmu/fuc: don't use movw directly anymore
  (bsc#1051510).
- drm/i915/ppgtt: Pin page directories before allocation
  (FATE#322643 bsc#1055900).
- drm/i915: Always run hangcheck while the GPU is busy
  (FATE#322643 bsc#1055900).
- drm/i915/edp: Do not do link training fallback or prune modes
  on EDP (FATE#322643 bsc#1055900).
- drm/i915: Check for fused or unused pipes (FATE#322643
  bsc#1055900).
- drm/i915: Protect WC stash allocation against direct reclaim
  (FATE#322643 bsc#1055900).
- drm/i915: Only attempt to scan the requested number of
  shrinker slabs (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Always call to intel_display_set_init_power() in
  resume_early (FATE#322643 bsc#1055900).
- drm/i915/gvt: cancel scheduler timer when no vGPU exists
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: cancel virtual vblank timer when no vGPU exists
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Keep obj->dma_buf link NULL during exporting
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/pmu: Reconstruct active state on starting busy-stats
  (FATE#322643 bsc#1055900).
- drm/i915: Stop getting the fault address from RING_FAULT_REG
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Add uc_fini_wq in gem_init unwind path
  (FATE#322643 bsc#1055900).
- drm/i915: Fix using BIT_ULL() vs. BIT() for power domain masks
  (FATE#322643 bsc#1055900).
- drm/i915: Try EDID bitbanging on HDMI after failed read
  (FATE#322643 bsc#1055900).
- drm/i915/glk: Disable Guc and HuC on GLK (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Do not use I915_NUM_ENGINES to iterate over the
  mocs regs array (FATE#322643 bsc#1055900).
- drm/i915/gvt: validate gfn before set shadow page entry
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: add PLANE_KEYMAX regs to mmio track list
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Fix gen8/9_render_mmio_list[0] don't take effect
  (FATE#322643 bsc#1055900).
- drm/nouveau: deprecate pci_get_bus_and_slot() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/gma500: Deprecate pci_get_bus_and_slot() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: lvds: Explicitly include pinctrl headers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ast: Load lut in crtc_commit (FATE#322643 bsc#1055900).
- drm: Check for lessee in DROP_MASTER ioctl (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 2e21221
* Fri Jan  4 2019 ptesarik@suse.cz
- drm: Fix PANEL_ORIENTATION_QUIRKS breaking the Kconfig DRM
  menuconfig (FATE#322643 bsc#1055900).
- Update config files.
- commit abefe59
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/panel: lvds: Handle the optional regulator case properly
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Fix error code in sun4i_tcon_bind() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: fix gpu scheduler link order (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Demote error print to debug print when ATOM
  impl missing (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Avoid leaking PM domain on driver unbind (v2)
  (bsc#1051510).
- drm/amd/amdgpu: Add Polaris version check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Reenable manual GPU reset from sysfs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: disable MMHUB power gating on raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Don't unreserve swapped BOs that were previously
  reserved (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/ttm: Don't add swapped BOs to swap-LRU list (bsc#1051510).
- drm/amdgpu: only check for ECC on Vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Fix smu_table_entry.handle type (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add VADDR_FLAG_UPDATED_COUNT to correctly update
  dma_page global count (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/radeon: fill in rb backend map on evergreen/ni (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: fix ngg enablement to clear gds reserved
  memory (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/ttm: only free pages rather than update global memory
  count together (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: fix CPU based VM updates (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix typo in amdgpu_vce_validate_bo (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix amdgpu_vm_pasid_fault_credit (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: check the return value of register_shrinker
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: fix sparse warning: Should it be
  static? (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdkfd: Fix potential NULL pointer dereferences (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: add ull suffix to 64bit defines (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: don't always call execute_queues_cpsch()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix return value 0 when execute_queues_cpsch fails
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Implement get_max_high_clocks for CI/VI (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix 64bit BAR detection (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: optimize moved handling only when vm_debug is
  inactive (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: simplify huge page handling (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: update VM PDs after the PTs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: minor optimize VM moved handling v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: loosen the criteria for huge pages a bit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: set pp_num_states as 0 on error situation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: specify DMA_ATTR_NO_WARN for huge page pools
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: remove ttm_bo_default_io_mem_pfn (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix memory leakage when reload (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: only init the apertures used by KGD (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add atpx quirk handling (v2) (bsc#1051510).
- drm/amdgpu: Add dpm quirk for Jet PRO (v2) (bsc#1051510).
- drm/radeon: Add dpm quirk for Jet PRO (v2) (bsc#1051510).
- drm/tegra: dc: Properly cleanup overlay planes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Fix possible_crtcs mask for planes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Restore YUV overlay support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Implement legacy blending (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Correct timeout in tegra_syncpt_wait (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: gem: Correct iommu_map_sg() error checking
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Link DC1 to DC0 on Tegra20 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Fix non-debugfs builds (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dpaux: Keep reset defaults for hybrid pad parameters
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Mark Tegra186 display hub PM functions __maybe_unused
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Use IOMMU groups (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/tegra: Implement zpos property (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Remove redundant spinlock (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Use direct offset to plane registers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Support more formats (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: fb: Force alpha formats (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dpaux: Add Tegra186 support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dpaux: Implement runtime PM (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: sor: Support HDMI 2.0 modes (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: sor: Add Tegra186 support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: sor: Parameterize register offsets (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Support ARGB and ABGR formats (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Add Tegra186 support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Add Tegra186 display hub support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Move common plane code to separate file (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Move state definition to header (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Remove duplicate plane funcs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Remove tegra_overlay_plane_destroy() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Remove duplicate plane funcs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Remove tegra_primary_plane_destroy() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Remove custom page-flip handler (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Use atomic commit helpers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Support background color (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: vic: Properly align arguments (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Do not wrap lines unnecessarily (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: sor: Register debugfs in ->late_register()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: sor: Root debugfs files at the connector (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: hdmi: Register debugfs in ->late_register()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dsi: Register debugfs in ->late_register()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Register debugfs in ->late_register()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Reshuffle some code (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: sor: Move register definitions into a table
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: hdmi: Move register definitions into a table
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dsi: Move register definitions into a table
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Move register definitions into a table
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Sanitize format modifiers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/fourcc: Fix fourcc_mod_code() definition (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Add devfreq support for the GPU (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/adreno: a5xx: Explicitly program the CP0 performance
  counter (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/msm/adreno: Read the speed bins for a5xx targets
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/adreno: Move clock parsing to adreno_gpu_init()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/adreno: Cleanup chipid parsing (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/gpu: Remove unused bus scaling code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/adreno: Remove a useless call to dev_pm_opp_get_freq()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/adreno: Call dev_pm_opp_put() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Fix NULL deref in adreno_load_gpu (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: gpu: Only sync fences on rings that exist (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: fix leak in failed get_pages (bsc#1051510).
- drm/msm: avoid false-positive -Wmaybe-uninitialized warning
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp4: Deduplicate bus_find_device() by name matching
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: add missing MODULE_FIRMWARE declarations (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: update adreno firmware path in MODULE_FIRMWARE
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: free kstrdup'd cmdline (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: fix msm_rd_dump_submit prototype (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: fix spelling mistake: "ringubffer" -> "ringbuffer"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use %%pap format string for phys_addr_t (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: lvds: Add support for the power-supply property
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add A83T support (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/sun4i: Add LVDS support (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/sun4i: Create minimal multipliers and dividers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Force the mixer rate at 150MHz (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 0da58c7
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/tinydrm: add driver for ST7735R panels (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 2df8da6
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/tinydrm: Update ILI9225 compatible string (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: fix tainted kernel caused by drm_panel_orientation_quirks.c
  (bsc#1083215).
- commit 13fc3c2
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/panel: Add Ilitek ILI9322 driver (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 8b8a6b9
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amdgpu: Correct the IB size of bo update mapping
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: enable swapout for reserved BOs during allocation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add new function to check if bo is allowable to evict
  or swapout (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/ttm: use an operation ctx for ttm_tt_bind (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: use an operation ctx for ttm_tt_populate in
  ttm_bo_driver (v2) (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/ttm: use an operation ctx for ttm_mem_global_alloc_page
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: use an operation ctx for ttm_mem_global_alloc
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: call ttm_bo_swapout directly when ttm shrink
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: remove the default io_mem_pfn set (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/virtio: remove the default io_mem_pfn set (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: remove the default io_mem_pfn set (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/qxl: remove the default io_mem_pfn set (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: remove the default io_mem_pfn set (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mgag200: remove the default io_mem_pfn set (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/cirrus: remove the default io_mem_pfn set (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bochs: remove the default io_mem_pfn set (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ast: remove the default io_mem_pfn set (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add ttm_bo_io_mem_pfn to check io_mem_pfn (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix VM faults with per VM BOs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: drop the spin in delayed delete if the trylock
  doesn't work (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/pp: Get and save CZ/ST smu version (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop client_id from VM (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename vm_id to vmid (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: separate VMID and PASID handling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/imx: advertise supported plane format modifiers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/imx: add FB modifier support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Merge branch 'drm-armada-devel-4.15' of
  git://git.armlinux.org.uk/~rmk/linux-arm into drm-next
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: expand overlay trace entry (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/armada: implement primary plane update (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: extract register generation from
  armada_drm_primary_set() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/armada: wait for previous work when moving overlay window
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: move overlay plane register update generation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: re-organise overlay register update generation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: disable planes at next blanking period (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: avoid work allocation (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/armada: allow armada_drm_plane_work_queue() to silently fail
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: use drm_plane_helper_check_state() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: only enable HSMOOTH if scaling horizontally
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: move writes of LCD_SPU_SRAM_PARA1 under lock
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: move regs into armada_plane_work (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: move event sending into armada_plane_work
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: move fb retirement into armada_plane_work
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: move overlay plane work out from under spinlock
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: clear plane enable bit when disabling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: clean up armada_drm_crtc_plane_disable()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: allow the primary plane to be disabled (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: wait and cancel any pending frame work at disable
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: add work cancel callback (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/armada: store plane in armada_plane_work (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: add a common frame work allocator (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: remove armada_drm_plane_work_cancel() return value
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: use memset32 to init pagetable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: move submit free out of critical section
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: re-enable perfmon support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: couple runtime PM management to submit object
  lifetime (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/etnaviv: move GPU active handling to bo pin/unpin
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: move cmdbuf into submit object (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: use submit exec_state for perfmon sampling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: move exec_state to submit object (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: move PMRs to submit object (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: refcount the submit object (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: move ww_acquire_ctx out of submit object
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: move object unpinning to submit cleanup
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: attach in fence to submit and move fence wait to
  fence_sync (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/etnaviv: rename submit fence to out_fence (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: move object fence attachment to gem_submit path
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: simplify submit_create (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add lockdep annotations to buffer manipulation
  functions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/etnaviv: hold GPU lock while inserting END command
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: move workqueue to be per GPU (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: remove switch_context member from etnaviv_gpu
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: don't flush workqueue in
  etnaviv_gpu_wait_obj_inactive (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: remove stale TODO in etnaviv_gpu_submit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: remove -EAGAIN handling from submit path
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: get rid of userptr worker (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: change return type of etnaviv_gem_obj_add to void
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: fold __etnaviv_gem_new into caller (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add lockdep annotation for userptr object
  population (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/etnaviv: split obj locks in different classes depending on
  the obj type (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/etnaviv: fix GPU vs sync point race (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: make THERMAL selectable (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- commit 3d2cf81
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/etnaviv: Improve unlocking of a mutex in
  etnaviv_iommu_map_gem() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/etnaviv: add sensitive state for occlusion query address
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: ipp: Remove Exynos DRM IPP subsystem (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 0e86f99
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/exynos/decon: Add include guard to the Exynos7 header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/decon: Move headers from global to local place
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: decon5433: Remove unnecessary
  platform_get_resource() error check (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add support for reporting VRAM usage (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Ignore ACPI CRAT for non-APU systems (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Module option to disable CRAT table (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add AQL Queue Memory flag on topology (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fixup incorrect info in the CZ CRAT table
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add perf counters to topology (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add topology support for dGPUs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add topology support for CPUs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix sibling_map size (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Simplify counting of memory banks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Turn verbose topology messages into pr_debug
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: sync IOLINK defines to thunk spec (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Support enumerating non-GPU devices (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Decouple CRAT parsing from device list update
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Reorganize CRAT fetching from ACPI (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Group up CRAT related functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix memory leaks in kfd topology (bsc#1051510).
- drm/amdkfd: Topology: Fix location_id (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Update number of compute unit from KGD (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Remove get_vmem_size from KGD-KFD interface
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Remove deprecated get_vmem_size (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Stop using get_vmem_size KGD-KFD interface
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Implement get_local_mem_info (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Add get_local_mem_info to KGD-KFD interface
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add amdgpu interface to query cu info (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: add new interface to query cu info (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Simplify locking during process creation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Factor PDD destruction out of kfd_process_wq_release
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Reduce nesting in kfd_create_process_device_data
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Return NULL if kfd_lookup_process_by_pasid fails
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Use ref count to prevent kfd_process destruction
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Make kfd_process reference counted (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Get reference to lead_thread task struct
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add debugfs support to KFD (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add kfd2kgd APIs for dumping HQDs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix definition of KFD_CIK_SDMA_QUEUE_OFFSET
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix oversubscription accounting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: map multiple processes to HW scheduler (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix printing pointer cast (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add crash protection in debugger register path
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix get_max_engine_clock_in_mhz (bsc#1051510).
- drm/amdkfd: Delete a useless parameter from create_queue
  function pointer (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdkfd: Add support for user-mode trap handlers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add CWSR support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add trap handler for CWSR (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Cleanup qpd.pqm initialization (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Use order_base_2 to get log2 of buffes sizes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Hardware DWORD size is 4 bytes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Implement amdkfd SDMA functions for VI (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Use ASIC-specific SDMA MQD type (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Implement amdgpu SDMA functions for VI (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add support for resuming SDMA queues w/o HWS
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Update kgd_kfd interface for resuming SDMA queues
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20171222 (FATE#322643
  bsc#1055900).
- drm/i915: Show HWSP in intel_engine_dump() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Assert that the request is on the execution queue
  before being removed (FATE#322643 bsc#1055900).
- drm/i915/execlists: Show preemption progress in GEM_TRACE
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: move write protect handler out of mmio emulation
  function (FATE#322643 bsc#1055900).
- drm/i915/gvt: cleanup usage for typed mmio reg vs. offset
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: always use i915_reg_t for MMIO handler definition
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: load host render mocs once in mocs switch
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: refine mocs save restore policy (FATE#322643
  bsc#1055900).
- drm/i915/gvt: optimize for vGPU mmio switch (FATE#322643
  bsc#1055900).
- drm/i915/gvt: refine trace_render_mmio (FATE#322643
  bsc#1055900).
- drm/i915: Disable GMBUS clock gating around GMBUS transfers
  on gen9+ (FATE#322643 bsc#1055900).
- drm/i915: Clean up the PNV bit banging vs. GMBUS clock gating
  w/a (FATE#322643 bsc#1055900).
- drm/i915: No need to power up PG2 for GMBUS on BXT (FATE#322643
  bsc#1055900).
- drm/i915: Do not enable movntdqa optimization in hypervisor
  guest (FATE#322643 bsc#1055900).
- drm/i915: Dump device info at once (FATE#322643 bsc#1055900).
- drm/i915: Add pretty printer for runtime part of
  intel_device_info (FATE#322643 bsc#1055900).
- drm/i915: Update intel_device_info_runtime_init() parameter
  (FATE#322643 bsc#1055900).
- drm/i915: Move intel_device_info definitions to its own header
  (FATE#322643 bsc#1055900).
- drm/i915: Move opregion definitions to dedicated
  intel_opregion.h (FATE#322643 bsc#1055900).
- drm/i915: Move display related definitions to dedicated header
  (FATE#322643 bsc#1055900).
- drm/i915: Move some utility functions to i915_util.h
  (FATE#322643 bsc#1055900).
- drm/i915: Show FBC worker status in debugfs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Disable all planes for load detection, v2 (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Adding more Coffee Lake PCI IDs (FATE#322643
  bsc#1055900).
- drm/i915: Tidy up GEM_TRACE around execlists (FATE#322643
  bsc#1055900).
- commit 4e5383a
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/i915: Avoid context dereference inside
  execlists_submission_tasklet (FATE#322643 bsc#1055900).
- Update config files.
- commit 48bc38d
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/i915: Remove pointer indirection for hangcheck_state local
  (FATE#322643 bsc#1055900).
- drm/i915: Show if we consider the engine is idle in the GPU
  error state (FATE#322643 bsc#1055900).
- drm/i915: Implement WaDisableEarlyEOT (FATE#322643 bsc#1055900).
- drm/i915: Implement WaDisableVFclkgate (FATE#322643
  bsc#1055900).
- drm/i915: Add pretty printer for modparams (FATE#322643
  bsc#1055900).
- drm/i915: Convert intel_device_info_dump into pretty printer
  (FATE#322643 bsc#1055900).
- drm/i915: Add pretty printer for device info flags (FATE#322643
  bsc#1055900).
- drm/i915: Fix indentation for intel_ddi_clk_select (FATE#322643
  bsc#1055900).
- drm/i915: Add a strong mb to resetting the has-CS-interrupt bit
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add support for horizontal plane flipping
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Fix up igt_reset_engine (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/trace: add hw_id to gem requests trace points
  (FATE#322643 bsc#1055900).
- drm/i915: reorder field in gem_request tracepoints (FATE#322643
  bsc#1055900).
- drm/i915: Show IPEIR and IPEHR in the engine dump (FATE#322643
  bsc#1055900).
- drm/i915: prefer i915_gem_object_has_pages() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Re-enable GGTT earlier after GPU reset (FATE#322643
  bsc#1055900).
- drm/i915: Unifying debugfs return codes for unsupported features
  (FATE#322643 bsc#1055900).
- drm/i915: Restore the kernel context after a GPU reset on an
  idle engine (FATE#322643 bsc#1055900).
- drm/i915: Skip an engine reset if it recovered before our
  preparations (FATE#322643 bsc#1055900).
- x86/gpu: add CFL to early quirks (FATE#322643 bsc#1055900).
- drm/i915: Allow internal page allocations to fail (FATE#322643
  bsc#1055900).
- drm/framebuffer: Print task that allocated the fb in debug info
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fb-helper: Add drm_fb_helper_defio_init() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fb-helper: Update DOC with new helpers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fb-helper: Add drm_fb_helper_fbdev_setup/teardown()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fb-helper: Set/clear dev->fb_helper in dummy init/fini
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: ltdc: Remove unnecessary platform_get_resource()
  error check (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/stm: dsi: Remove unnecessary platform_get_resource()
  error check (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/doc: Move legacy kms helpers to the very end (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: document how to handle driver private objects
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/syncobj: some kerneldoc polish (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/print: Unconfuse kerneldoc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/edid: kerneldoc for is_hdmi2_sink (bsc#1051510).
- drm/amdgpu: fix test for shadow page tables (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Expose dpp1_set_cursor_attributes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Update FMT and OPPBUF functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: check for null before calling is_blanked
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.27 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Fix unused variable warnings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Only blank DCN when we have set_blank
  implementation (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Put dcn_mi_registers with other structs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: hubp refactor (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: integrating optc pseudocode (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Call validate_fbc should_enable_fbc
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clean up DCN cursor code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix 180 full screen pipe split (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: reprogram surface config on scaling change
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove dwbc from pipe_ctx (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use the maximum link setting which EDP reported
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add hdr_supported flag (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix global sync param retrieval when not pipe
  splitting (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Update HUBP (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix rotated surface scaling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: clean up dcn soc params (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.26 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Fix check for whether dmcu fw is running
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Declare and share color space types for dcn's
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Do DC mode-change check after stream creation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Define BLNDGAM_CONFIG_STATUS (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't spam debug log on long reg waits
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Error print when ATOM BIOS implementation
  is missing (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Remove dead enable_plane function definition
  and call (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Print type if we get wrong ObjectID from bios
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Remove KFD_CIK_SDMA_QUEUE_OFFSET (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/radeon: reduce number of free VMIDs and pipes in KV"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/radeon/cik: Don't touch int of pipes 1-7"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/radeon: Report doorbell configuration to amdkfd"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/radeon: adding synchronization for GRBM GFX"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Implement force_dpm_level on Rv (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Get and save Rv smu version (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: update smu_version value for CI/VI (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Move smu_version to common code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use defines for mmBIF_IOV_FUNC_IDENTIFIER fields
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: only check mmBIF_IOV_FUNC_IDENTIFIER on tonga/fiji
  (bsc#1051510).
- drm/amd/pp: export more smu message on Rv (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: delete repeated call of force_dpm_level (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: implement phm_reset_power_profile_state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: delete dead code of arbiter overdriver clk
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/amd/amdgpu: set gtt size according to system memory
  size only" (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: implement 2+1 PD support for Raven v3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: cleanup some old defines (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: cleanup some more resv->lock uses (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: use try_lock in ttm_bo_delayed_delete again
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: restore uvd fence seq in uvd resume (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: always cancel uvd idle handler in uvd suspend
  (bsc#1051510).
- drm/amdgpu: rename amdgpu_get_pcie_info (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move amdgpu_need_backup to amdgpu_object.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_gpu_recover (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move dummy page functions to amdgpu_gart.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_need_post (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename ip block helper functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move fw_reserve functions to amdgpu_ttm.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_*_location functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move amdgpu_doorbell_get_kfd_info to amdgpu_amdkfd.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_pci_config_reset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_program_register_sequence (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_wb_* functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move debugfs functions to their own file
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_suspend to amdgpu_device_ip_suspend
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use consistent naming for static funcs
  in amdgpu_device.c (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: move atom functions from amdgpu_device.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove redundant null check of array 'data'
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: setup the shared and private apertures on gfx9
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Simplify amdgpu_lockup_timeout usage (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add gpu_recovery parameter (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: use an ttm operation ctx for ttm_bo_move_xxx
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: enable eviction for Per-VM-BO (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: set allow_reserved_eviction and resv when bo
  allocation and cs (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/ttm: add allow_reserved_eviction and resv into
  ttm_operation_ctx (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: add enumerate for PDB/PTB v3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.25 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Add TODO item to remove vector.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove grph_object_id.c and move function to
  bios_parser (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Remove redundant NULL check in DCE11 HWSS
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: use clamping rather than truncation for CM fp
  conversions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: remove format_control from
  set_cursor_attributes (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Move wait for hpd ready out from edp power
  control (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Move OPP mpc tree initialization to hw_init
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: use REG_UPDATE for MPC mux (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Correct fixed point calculation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: OPTC cleanup/implementation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move unity TF type to predefined types
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dpp clean up (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add assert to verify dcn_calc input validity
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add dppclk to dcn_bw_clocks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Print DC_VER at DC init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: really fix time out in init sequence
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add disclaimer to BW and DML code provided
  by HW (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Use macro for isnan check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.24 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Set mpcc_disconnect_pending during MPC reset
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refine update flags usage in update_dchubp_dpp
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Cache cursor position (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Program cursor regs after context swapped
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix recout_skip calculation when rotating
  180 or 270 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Add is_tiling_rotated flag to plane_state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: OPP DPG test pattern (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Build unity lut for shaper (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Reset MPCC muxes during init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: CNVC pseudocode review follow up (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Disable plane right after disconnected
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.23 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Clean up os_types.h a bit (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix access of wrong array element TF format
  conversion (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: dal 3.1.22 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Add dcc_change surface update flag (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Implement work around for optc underflow
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Change optimized_required logic (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add optimized_required flag (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use same wait mpcc idle function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: MPC updates (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fixed read wrong reg to get bot_sel
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix potential mem leak in DC construct
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove redundant checks in set_default_colors
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove plane_res.mi check in
  dce110_apply_ctx_for_surface (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove PSR functions in Linux (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Integrating MPC pseudocode (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.21 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: try to find matching audio inst for enc
  inst first (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix seq issue: turn on clock before
  programming afmt (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Remove unnecessary wait mpcc idle (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: reset dpm level when adjust power state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: init locked again to prevent incorrect unlock
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: implement dpm_get_sclk/mclk for RV (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix huge page setting for ATS case (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop amdgpu_atombios_scratch_regs_save/restore
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop scratch regs save and restore from GPU reset
  handling (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: drop scratch regs save and restore from S3/S4
  handling (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: remove some old gc 9.x registers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop soc15_init_golden_registers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop the bios scratch reg callbacks from nbio
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: convert nbio to use callbacks (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: make function names consistent in nbio files
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: correct vce fw data and stack size (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: no need with INT for fence polling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: no need to evict VRAM in device_fini (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: allow get_vm_pde to change flags as well
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: batch PDE updates again (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove keeping the addr of the VM PDs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove last_entry_used from the VM code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: avoid the modulo in amdgpu_vm_get_entry (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use polling mem to set SDMA3 wptr for VF
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: update one PDE at a time v2 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: stop joining PDEs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add amdgpu_evict_vram debugfs file (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: cleanup debugfs handling a bit (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/admgpu: Reduce the usage of soc15ip.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Change SOC15_REG_OFFSET to use dynamic register
  offset (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Avoid use SOC15_REG_OFFSET in static const array
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Use dynamic IP offset for register access on SOC15
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Dynamic initialize IP base offset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scheduler: add license to the Makefile (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sched: move fence slab handling to module init/exit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit eb16509
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amdgpu: Fix amdgpu_sync_add_later to preserve  explicit flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Simplify platform registration (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Remove filename from header and fix copyright tag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: DMM: Check for DMM readiness after successful
  transaction commit (bsc#1051510).
- drm/omap: DMM: Print information if we received an error
  interrupt (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/omap: DMM: In case of error/timeout in wait_status() print
  the reason (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/omap: DMM: Fix DMM_IRQSTAT_ERR_MASK definition (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Deconstruct the omap_drv.h header (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: venc: Return error code on OF parsing failure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dpi: Remove dpi_data port_initialized field
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dss: Make dss_dump_clocks() function static
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dss: Set the DMA coherent mask (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Remove unused omap_dss_find_device() function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Pass drm_device to omap_gem_resume() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dpi: Don't treat GPIO probe deferral as an error
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: panel-dsi-cm: switch to gpiod (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: panel-dsi-cm: add external backlight support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: panel-dsi-cm: add physical size support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: panel-dsi-cm: add regulator support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: panel-dsi-cm: fix driver (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: add support for physical size hints from display
  drivers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/omap: drop incorrect comment (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove unused function defines (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: Filter displays mode based on bandwidth limit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: dss: Add support for reporting memory bandwidth
  limitation (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- omapdrm: panel: td028ttec1: replace MODULE_ALIAS by
  MODULE_DEVICE_TABLE (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- omapdrm: panel: fix compatible vendor string for td028ttec1
  (bsc#1051510).
- drm/tilcdc: make tilcdc_mode_hvtotal() static (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tilcdc: Remove drm_framebuffer_get() and *_put() calls
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tilcdc: ensure nonatomic iowrite64 is not used
  (bsc#1051510).
- drm/i915: Update DRIVER_DATE to 20171214 (FATE#322643
  bsc#1055900).
- drm/i915/gvt/fb_decoder: Fix out-of-bounds read (FATE#322643
  bsc#1055900).
- drm/i915/gvt: refine function emulate_mmio_read/write
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Refine dmabuf_obj cleanup process (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt/kvmgt: fill info for ROM/VGA region (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Rename file render.{c, h} to mmio_context.{c, h}
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Remove MMIO barrier in MMIO switch (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Select appropriate mmio list at initialization
  time (FATE#322643 bsc#1055900).
- drm/i915/gvt: Refine the ring mmio list definition (FATE#322643
  bsc#1055900).
- drm/i915/gvt: fix off-by-one comparison of ring_id (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Add missing breaks in switch statement
  (FATE#322643 bsc#1055900).
- drm/i915: properly init lockdep class (FATE#322643 bsc#1055900).
- drm/i915: Show engine state when hangcheck detects a stall
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: make CS frequency read support missing more obvious
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Extract doorbell verification into a function
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Extract clients allocation to submission_init
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Extract doorbell creation from client allocation
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Call invalidate after changing the vfunc
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Extract guc_init from guc_init_hw (FATE#322643
  bsc#1055900).
- drm/i915/guc: Move GuC workqueue allocations outside of the
  mutex (FATE#322643 bsc#1055900).
- drm/i915/guc: Move shared data allocation away from submission
  path (FATE#322643 bsc#1055900).
- drm/i915: Unwind i915_gem_init() failure (FATE#322643
  bsc#1055900).
- drm/i915: Ratelimit request allocation under oom (FATE#322643
  bsc#1055900).
- drm/i915: Allow fence allocations to fail (FATE#322643
  bsc#1055900).
- drm/i915: Mark up potential allocation paths within
  i915_sw_fence as might_sleep (FATE#322643 bsc#1055900).
- drm/i915: Don't check #active_requests from
  i915_gem_wait_for_idle() (FATE#322643 bsc#1055900).
- drm/i915: Dump the engine state before declaring wedged
  from wait_for_engines() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Bump timeout for wait_for_engines() (FATE#322643
  bsc#1055900).
- drm/i915: Downgrade misleading "Memory usable" message
  (FATE#322643 bsc#1055900).
- drm/i915: Print an error message for a reset failure on gen2
  (FATE#322643 bsc#1055900).
- drm/i915: prefer resource_size_t for everything stolen
  (FATE#322643 bsc#1055900).
- drm/i915: give stolen_usable_size a more suitable home
  (FATE#322643 bsc#1055900).
- drm/i915: make mappable struct resource centric (FATE#322643
  bsc#1055900).
- drm/i915: make reserved struct resource centric (FATE#322643
  bsc#1055900).
- drm/i915: make dsm struct resource centric (FATE#322643
  bsc#1055900).
- drm/i915: nuke the duplicated stolen discovery (FATE#322643
  bsc#1055900).
- x86/early-quirks: export the stolen region as a resource
  (FATE#322643 bsc#1055900).
- drm/i915: Only report a wakeup if the waiter was truly asleep
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Free mock_i915->drm.mode_config (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Stop showing seqno info from
  debugfs/i915_interrupt_info (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Remove debugfs/i915_seqno_info (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add is-wedged flag to intel_engine_dump() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Include the global reset count for intel_engine_dump()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Include engine state on detecting a missed
  breadcrumb/seqno (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: Make engine state pretty-printer header configurable
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Use snprintf to avoid line-break when pretty-printing
  engines (FATE#322643 bsc#1055900).
- intel/atomic: Stop updating legacy fb parameters (FATE#322643
  bsc#1055900).
- drm/i915: Restore GT performance in headless mode with DMC
  loaded (FATE#322643 bsc#1055900).
- drm/i915/execlists: Cache ELSP register offset (FATE#322643
  bsc#1055900).
- drm/i915: Refactor common list iteration over GGTT vma
  (FATE#322643 bsc#1055900).
- drm/i915: Track GGTT writes on the vma (FATE#322643
  bsc#1055900).
- drm/i915: Remove vma from object on destroy, not close
  (FATE#322643 bsc#1055900).
- drm/i915/huc: Load HuC only if requested (FATE#322643
  bsc#1055900).
- drm/i915/guc: Combine enable_guc_loading|submission modparams
  (FATE#322643 bsc#1055900).
- drm/i915/uc: Don't use -EIO to report missing firmware
  (FATE#322643 bsc#1055900).
- drm/i915/uc: Don't fetch GuC firmware if no plan to use GuC
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Introduce USES_GUC_xxx helper macros (FATE#322643
  bsc#1055900).
- drm/i915/guc: Move firmware selection to init_early (FATE#322643
  bsc#1055900).
- drm/i915/huc: Move firmware selection to init_early (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Kick scheduler when new workload queued
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Convert macro queue_workload to a function
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Free dmabuf_obj list in intel_vgpu_dmabuf_cleanup
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Introduce KBL to dma-buf on Gvt-g (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Handle orphan dmabuf_objs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Dmabuf support for GVT-g (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Add framebuffer decoder support (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Add opregion support (FATE#322643 bsc#1055900).
- drm/i915/gvt: Alloc and Init guest opregion at vgpu creation
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Fix out-of-bounds buffer write into
  opregion->signature[] (FATE#322643 bsc#1055900).
- drm/i915/gvt: Cleanup unwanted public symbols (FATE#322643
  bsc#1055900).
- drm/i915: add platform tag to WA (FATE#322643 bsc#1055900).
- drm/i915: follow single notation for workaround number
  (FATE#322643 bsc#1055900).
- drm/i915: Taint (TAINT_WARN) the kernel if the GPU reset fails
  (FATE#322643 bsc#1055900).
- drm/i915/skl: DMC firmware for skylake v1.27 (FATE#322643
  bsc#1055900).
- drm/i915/cnl: only divide up base frequency with crystal source
  (FATE#322643 bsc#1055900).
- drm/atomic-helper: Make zpos property kerneldoc less misleading
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm: Use drm_fb_cma_fbdev_init_with_funcs/fini()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arm/mali: Use drm_fb_cma_fbdev_init/fini() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/zte: Use drm_fb_cma_fbdev_init/fini() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Use drm_fb_cma_fbdev_init/fini() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tve200: Use drm_fb_cma_fbdev_init/fini() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tilcdc: Use drm_fb_cma_fbdev_init/fini() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Use drm_fb_cma_fbdev_init/fini() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: Use drm_fb_cma_fbdev_init/fini() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sti: Use drm_fb_cma_fbdev_init/fini() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Use drm_fb_cma_fbdev_init/fini() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/imx: Use drm_fb_cma_fbdev_init/fini() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atmel-hlcdc: Use drm_fb_cma_fbdev_init/fini() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/cma-helper: Add drm_fb_cma_fbdev_init/fini() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/gem-fb-helper: drm_gem_fbdev_fb_create() make funcs optional
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Use drm_fb_helper_lastclose() and _poll_changed()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Use drm_fb_helper_lastclose() and _poll_changed()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: Use drm_fb_helper_lastclose() and _poll_changed()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Use drm_fb_helper_output_poll_changed()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Use drm_fb_helper_lastclose() and _poll_changed()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/gma500: Use drm_fb_helper_lastclose() and _poll_changed()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: Use drm_fb_helper_lastclose() and _poll_changed()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: Use drm_fb_helper_lastclose() and _poll_changed()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/meson: Add missing VPU init (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/meson: dw_hdmi: Add support for an optional external 5V
  regulator (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: More debug info for fb leaks in mode_config_cleanup
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/qxl: reapply cursor after resetting primary (bsc#1051510).
- drm/qxl: unref cursor bo when finished with it (bsc#1051510).
- drm/i915: Update DRIVER_DATE to 20171201 (FATE#322643
  bsc#1055900).
- drm/i915: Remove unsafe i915.enable_rc6 (FATE#322643
  bsc#1055900).
- drm/i915: Sleep and retry a GPU reset if at first we don't
  succeed (FATE#322643 bsc#1055900).
- drm/i915: Interlaced DP output doesn't work on VLV/CHV
  (FATE#322643 bsc#1055900).
- drm/i915: Pass crtc state to intel_pipe_{enable,disable}()
  (FATE#322643 bsc#1055900).
- drm/i915: Wait for pipe to start on i830 as well (FATE#322643
  bsc#1055900).
- drm/i915: Fix has_audio readout for DDI A (FATE#322643
  bsc#1055900).
- drm/i915: Don't add the "force audio" property to DP connectors
  that don't support audio (FATE#322643 bsc#1055900).
- drm/i915: Disable DP audio for g4x (FATE#322643 bsc#1055900).
- drm/i915/selftests: Wake the device before executing requests
  on the GPU (FATE#322643 bsc#1055900).
- drm/i915: Set fake_vma.size as well as fake_vma.node.size for
  capture (FATE#322643 bsc#1055900).
- drm/i915: Tidy up signed/unsigned comparison (FATE#322643
  bsc#1055900).
- drm/i915: Enable IPS with only sprite plane visible too, v4
  (FATE#322643 bsc#1055900).
- drm/i915: Make ips_enabled a property depending on whether
  IPS is enabled, v3 (FATE#322643 bsc#1055900).
- drm/i915: Avoid PPS HW/SW state mismatch due to rounding
  (FATE#322643 bsc#1055900).
- drm/i915/glk: Apply WaProgramL3SqcReg1DefaultForPerf for GLK
  too (FATE#322643 bsc#1055900).
- drm/i915/guc: Change default GuC FW for KBL to v9.39
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Change default GuC FW for BXT to v9.29
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Change default GuC FW for SKL to v9.33
  (FATE#322643 bsc#1055900).
- drm/i915: Consolidate checks for engine stats availability
  (FATE#322643 bsc#1055900).
- drm/i915: Move engine->needs_cmd_parser to engine->flags
  (FATE#322643 bsc#1055900).
- drm/i915/pmu: Return -EINVAL when selecting the inactive CPU
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Enable hotplug polling after registering the outputs
  (FATE#322643 bsc#1055900).
- drm/i915: Rename i915_gem_timelines_mark_idle (FATE#322643
  bsc#1055900).
- drm/i915: Update shrinker drm_i915_private naming convention
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Rename shrinker init/cleanup to match driver
  initialisation phase (FATE#322643 bsc#1055900).
- drm/i915: Record default HW state in the GPU error state
  (FATE#322643 bsc#1055900).
- drm/i915: Flush everything on switching to the kernel_context
  (FATE#322643 bsc#1055900).
- drm/i915: hide unused intel_panel_set_backlight function
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Use consistent name for scratch register count
  (FATE#322643 bsc#1055900).
- drm/i915/pmu: Aggregate all RC6 states into one counter
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Use exponential backoff for wait_for() (FATE#322643
  bsc#1055900).
- drm/i915/guc: Tidy ELSP port assignment (FATE#322643
  bsc#1055900).
- drm/i915/guc: Advance over port[0] if set and not preempting
  (FATE#322643 bsc#1055900).
- drm/i915/pmu: Stop averaging with the previous sample
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Select DEBUG_FS for our test suite (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Rename i915_guc_reg.h to intel_guc_reg.h
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Update header guard name of intel_guc_submission.h
  (FATE#322643 bsc#1055900).
- drm/i915/pmu: Only allow running on a single CPU (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/pmu: Remove conditional HOTPLUG_CPU registration
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Hold rpm wakeref for request + ggtt usage
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/pmu: Hide the (unsigned long)ptr cast (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move mi_set_context() into the legacy ringbuffer
  submission (FATE#322643 bsc#1055900).
- drm/i915: Unwind incomplete legacy context switches (FATE#322643
  bsc#1055900).
- drm/i915/selftests: test descending addresses (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: rein in igt_write_huge (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: remove stale comment from sanitize_encoder
  (FATE#322643 bsc#1055900).
- drm/i915: sync dp link status checks against atomic commmits
  (FATE#322643 bsc#1055900).
- drm/i915/pmu: Clear the previous sample value when parking
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/pmu: Drop I915_ENGINE_SAMPLE_MAX from uapi headers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/dmc: DMC 1.04 for Kabylake (FATE#322643 bsc#1055900).
- drm/i915: Save/restore irq state for vlv_residency_raw()
  (FATE#322643 bsc#1055900).
- drm/i915: Remove success dmesg noise for intel_rotate_pages()
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Use NOWARN for large allocations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/pmu: Add RC6 residency metrics (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Convert intel_rc6_residency_us to ns (FATE#322643
  bsc#1055900).
- drm/i915/pmu: Add interrupt count metric (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/pmu: Wire up engine busy stats to PMU (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Engine busy time tracking (FATE#322643 bsc#1055900).
- drm/i915: Wrap context schedule notification (FATE#322643
  bsc#1055900).
- drm/i915/pmu: Suspend sampling when GPU is idle (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/pmu: Expose a PMU interface for perf queries
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Extract intel_get_cagf (FATE#322643 bsc#1055900).
- drm/i915/selftests: Avoid drm_gem_handle_create under
  struct_mutex (FATE#322643 bsc#1055900).
- drm/i915: Add rudimentary plane state verification (FATE#322643
  bsc#1055900).
- drm/i915: Use plane->get_hw_state() for initial plane fb readout
  (FATE#322643 bsc#1055900).
- drm/i915: Nuke crtc->plane (FATE#322643 bsc#1055900).
- drm/i915: Switch fbc over to for_each_new_intel_plane_in_state()
  (FATE#322643 bsc#1055900).
- drm/i915: Nuke ironlake_get_initial_plane_config() (FATE#322643
  bsc#1055900).
- drm/i915: Cleanup enum pipe/enum plane_id/enum i9xx_plane_id
  in initial fb readout (FATE#322643 bsc#1055900).
- drm/i915: Use enum i9xx_plane_id for the .get_fifo_size()
  hooks (FATE#322643 bsc#1055900).
- drm/i915: s/enum plane/enum i9xx_plane_id/ (FATE#322643
  bsc#1055900).
- drm/i915: Don't use GEN6_RC_VIDEO_FREQ on gen10+ (FATE#322643
  bsc#1055900).
- drm/i915/selftests: Declare we allocated the guc clients
  (FATE#322643 bsc#1055900).
- drm/i915: Remove i915.semaphores modparam (FATE#322643
  bsc#1055900).
- drm/i915: Move debugfs/i915_semaphore_status to i915_engine_info
  (FATE#322643 bsc#1055900).
- drm/i915: Disable semaphores on Sandybridge (FATE#322643
  bsc#1055900).
- drm/i915: Remove obsolete ringbuffer emission for gen8+
  (FATE#322643 bsc#1055900).
- drm/i915: Remove i915.enable_execlists module parameter
  (FATE#322643 bsc#1055900).
- drm/i915/execlists: Delay writing to ELSP until HW has processed
  the previous write (FATE#322643 bsc#1055900).
- drm/i915/selftest: Make guc clients static (FATE#322643
  bsc#1055900).
- drm/i915/perf: reuse timestamp frequency from device info
  (FATE#322643 bsc#1055900).
- drm/i915: Automatic i915_switch_context for legacy (FATE#322643
  bsc#1055900).
- drm/i915: Pull the unconditional GPU cache invalidation into
  request construction (FATE#322643 bsc#1055900).
- drm/i915/perf: replace .reg accesses with i915_mmio_reg_offset
  (FATE#322643 bsc#1055900).
- drm/i915/execlists: Assert that we don't get mixed IDLE_ACTIVE |
  COMPLETE events (FATE#322643 bsc#1055900).
- drm/i915/execlists: Reduce completed event mask to COMPLETE |
  PREEMPTED (FATE#322643 bsc#1055900).
- drm/i915/execlists: Listen to COMPLETE context event not
  ACTIVE_IDLE (FATE#322643 bsc#1055900).
- drm/sun4i: Fix uninitialized variables in vi layer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fb-helper: Fix potential NULL pointer dereference
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- gpu: drm: stm: Adopt SPDX identifiers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- gpu: drm: sti: Adopt SPDX identifiers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/fsl-dcu: Use drm_mode_config_helper_suspend/resume()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Wire in DE2 YUV support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Expand DE2 scaler lib with YUV support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add DE2 definitions for YUV formats (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add DE2 CSC library (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add CCSC property to DE2 configuration (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add support for HW scaling to DE2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add scaler configuration to DE2 mixers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add support for DE2 VI planes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Reorganize UI layer code in DE2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add support for all HW supported DE2 RGB formats
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add multi plane support to DE2 driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Move interlace related code in DE2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Move channel size related code in DE2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Move line width setting in DE2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Use values calculated by atomic check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add constraints checking to DE2 driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Start using layer id in DE2 driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Rework enabling plane in DE2 driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Rename some macros in DE2 driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Set blending mode for all channels (DE2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Explain color macro in DE2 driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Remove setting default values in DE2 driver
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Fix debug message in DE2 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Remove setting alpha mode in DE2 driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Rename DE2 RGB format macros (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Fix format mask in DE2 driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Document that drm_panel_orientation_quirks.c is shared
  with fbdev (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Add "panel orientation" property to the panel
  connector, v6 (FATE#322643 bsc#1055900).
- drm/fb-helper: Apply panel orientation connector prop to the
  primary plane, v6 (FATE#322643 bsc#1055900).
- commit 47b291f
* Fri Jan  4 2019 ptesarik@suse.cz
- drm: Add support for a panel-orientation connector property,
  v6 (FATE#322643 bsc#1055900).
- Update config files.
- commit 646f87b
* Fri Jan  4 2019 ptesarik@suse.cz
- drm: Add panel orientation quirks, v6 (FATE#322643 bsc#1055900).
- commit 3de9513
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/prime: skip CPU sync in map/unmap dma_buf (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 445ea07
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/tinydrm: add driver for ILI9225 panels (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit a89bc41
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/tinydrm: export mipi_dbi_buf_copy and
  mipi_dbi_spi_cmd_max_speed (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/tinydrm: Use drm_mode_config_helper_suspend/resume()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arm/mali: Use drm_mode_config_helper_suspend/resume()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/modeset-helper: Add simple modeset suspend/resume helpers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/probe-helper: Fix drm_kms_helper_poll_enable() docs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: use sun4i_tcon_of_table to check if a device node
  is a TCON (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/radeon: Use drm_fb_helper_lastclose() and _poll_changed()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Use drm_fb_helper_lastclose() and _poll_changed()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use drm_fb_helper_poll_changed() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix amdgpu_sync_resv v2 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: set gtt size according to system memory
  size only (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Get rid of dep_sync as a seperate object
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: allow specifying vm_block_size for multi level
  PDs v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: move validation of the VM size into the VM code
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: allow non pot VM size values (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: choose number of VM levels based on VM size
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: unify VM size handling of Vega10 with older
  generation (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: fix amdgpu_vm_num_entries (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix VM PD addr shift (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: correct vce4.0 fw config for SRIOV (V2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't call dm_log_to_buffer directly in
  dc_conn_log (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Add dm_logger_append_va API (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Use a static string instead of an array of char *
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove usage of legacy_cursor_update
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup raven1 vcn header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup raven1 thm header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup raven1 nbio header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup raven1 mp header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup raven1 mmhub header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup raven1 gc header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup raven1 dcn header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup raven1 sdma header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup vega10 header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup vega10 osssys header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup vega10 smuio header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup vega10 nbif header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup vega10 nbio header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup vega10 mmhub header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup vega10 gc header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup vega10 vce header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup vega10 uvd header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup vega10 dce header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include: cleanup vega10 umc header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup vega10 thm header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup vega10 athub header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup vega10 mp header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup vega10 hdp header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include:cleanup vega10 sdma0/1 header files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:partially revert
  1cfd8e237f0318e330190ac21d63c58ae6a1f66c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.20 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Set OPP default values in init_hw (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.19 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: DMCU and ABM maintenance and refactor
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Only program watermark for full update
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.18 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Set full update flag in dcn_validate_bandwidth
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Do not program front-end twice (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Trigger full update on plane change
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Rename output_bpc to opp_input_bpc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix refclk conversion from khz int to mhz float
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix mpo validation failure (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: move csc matrix to hw_shared (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.17 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: update output csc matrix values (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Only update output transfer function for
  full type (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: performance profiling instrumentation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unnecessary dc_link vtable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix opp header register define (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Update dchub and dpp as per update flags
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move update_plane_addr to apply_ctx_for_surface
  for dce (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: call set_mpc_output_csc from hwsequencer
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix description of module parameter dc_log
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Downgrade DRM_ERROR to DRM_DEBUG in
  amdgpu_queue_mgr_map (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: expose the VA above the hole to userspace
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use dev_dbg instead of dev_err in the VA IOCTL
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix VA hole handling on Vega10 v3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use the new TTM bytes moved counter v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: forward operation context to ttm_bo_mem_space
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add number of bytes moved to the operation context
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add context to driver move callback as well
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: use the operation context inside TTM (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: use an operation context for ttm_bo_mem_space v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: use an operation ctx for ttm_bo_init_reserved
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add operation ctx to ttm_bo_validate v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Followup fixes to mc_reg_address (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Fix buffer overflows with mc_reg_address
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Fix missing null check in atombios_i2c.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Fix missing newlines at end of file
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Minor fixes in processpptables.c (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix VCE buffer placement restrictions v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: align GTT start to 4GB v2 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove VRAM size reduction v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: amd: Fix line continuation formats (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display/dc/dce110/dce110_mem_input_v: use swap macro in
  program_size_and_rotation (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display/dc/core/dc_resource: use swap macro in
  rect_swap_helper (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu/gmc9: make some ECC messages debug only (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: always make gart.table_addr 64bit (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove unnecessary cast and use kcalloc
  instead of kzalloc (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/ttm: remove cur_placement (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: cleanup ttm_bo_driver.h (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: cleanup coding style in ttm_bo_api.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: completely rework ttm_bo_delayed_delete (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: fix ttm_mem_evict_first once more (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: require a root bus window above 4GB for BAR resize
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix static checker warning (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:cancel timer of virtual DCE(v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:fix virtual dce bug (bsc#1051510).
- drm/amdgpu:show error message if fail on event4 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:cleanup firmware.fw_buf alloc/free (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:free CSA in unified place (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:cleanup unused stack var (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:fix NULL pointer access during drv remove
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:cleanup GMC & gart garbage function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:cleanup stolen vga memory finish (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu: Don't use DRM_ERROR when failing to allocate a BO
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: not allow gtt size exceed 75%%*system memory size
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add ability to determine and report if board
  supports ECC (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: New header for fields needed to determine state
  of ECC (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/ttm: optimize ttm_mem_evict_first v5 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx6: use cached values for raster config in
  clear state (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu/gfx7: use cached values for raster config in
  clear state (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu/gfx8: use cached values for raster config in
  clear state (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fix use before initialize warning (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix Linux after optimize frontend programming
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove stream_func vtable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: make unlocking in ttm_bo_cleanup_refs optional v3
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unnecessary dc_stream vtable
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move dc_link interface to separate header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move dc_stream interface to separate header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Optimize front end programming (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix unused variable warning (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add check update surfaces for stream wrapper
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Rename pitch_alignment to
  linear_pitch_alignment (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Added Opp and Diags Interface for P to I
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix plane update prior to stream enablement
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add update flags in to determine surface
  update type (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Remove legacy unused workaround (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Early return on stream programming failure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Change frontend/backend programming sequence
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove dangling planes on dc commit state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Optimize programming front end (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix unbalanced locking in surface apply
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Apply work around for stutter (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove dcn10 wait on tg unlock (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Loosen plane_info and scaling_info checks
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Report pitch_alignment for DCN (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: combine output signal and signal (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: A few more color indentation changes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unused register read in program_pwl
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Bunch more color indentation cleanups
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove extra arr_points element (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.16 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: always call set output tf (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fixed not set scaler bug (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.15 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Remove unused OPP functions from interface
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix dcn10_hubbub_wm_read_state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add transfer function to dc_surface_update
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: send display_count msg so SMU can enter S0i2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Modified front end initiail in init_hw
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add warning on long reg_wait (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove unnecessary waits in dcn10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix uninitialized variable warning (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix regamma programming (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix some more color indentations (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Bunch of indentation cleanups in color stuff
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refactor disable front end pipes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.14 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: renaming dpp function to follow naming
  convention (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: dal 3.1.13 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Add OPP DPG blank function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.12 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: cache pwl params and scl_data to avoid extra
  programming (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Don't use dc_link in link_encoder (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Both timing_sync and multisync need
  stream_count > 1 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Add tg_init interface (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Enalbe blank data double buffer after mpc
  disconnected (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: get remote dpcd caps for timing validation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Only update dchub if hubbub is available
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Call ipp_program_bias_and_scale only if
  available (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: dal 3.1.11 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: hubbub function flipping true and false
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Do post_update_surfaces on new state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: function renaming for hubbub (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: create new function prototype update_dchub
  for dcn (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu/virt: remove redundant variable pf2vf_ver
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: fix UVD mc offsets (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Multi display synchronization logic
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Implement BO size validation V2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: cleanup vm_size handling (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove nonsense const u32 cast on ARRAY_SIZE result
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use dep_sync for CS dependency/syncobj (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx8: Fix compute ring failure after resetting
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: remove ttm_bo_unreserve_ticket (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: user reservation object wrappers v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: consistently use reservation_object_unlock (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: move unlocking out of ttm_bo_cleanup_memtype_use
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/scheduler: add WARN_ON for s_fence->parent (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/scheduler: fix page protection of cb (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: revise retry init to fully cleanup driver
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dm: Remove fb_location form fill_plane_attributes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:fix gpu recover missing skipping(v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:read VRAMLOST from gim (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: bypass FB resizing for SRIOV VF (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: release exclusive mode after hw_init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: initialise kfd inside amdgpu_device_init
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: don't use ttm_bo_move_ttm in amdgpu_ttm_bind v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_ttm_bind to amdgpu_ttm_alloc_gart
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: switch to use new SOC15 reg read/write macros
  for soc15 ih (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: resize VRAM BAR for CPU access v6 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: refine SR-IOV firmware VRAM reservation to
  protect data (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: retry init if exclusive mode request is failed
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: return error when sriov access requests get timeout
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove fb_location parameter from get_fb_info
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu: Remove AMDGPU_{HPD,CRTC_IRQ,PAGEFLIP_IRQ}_LAST
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use real number of CRTCs and HPDs in
  set_irq_funcs (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- amdgpu/dce: Use actual number of CRTCs and HPDs in set_irq_funcs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move conn_state to header (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.10 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: correct DP is always in full range or bt609
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix bug from last commit for hubbub
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move hdr_metadata from plane to stream
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Apply VQ adjustments in MPO case (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: create new structure for hubbub (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.09 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Added disconnect dchub (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.08 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Not reset front end when program back end
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Power down front end in init_hw (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Reject PPLib clock values if they are invalid
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: create new files for hubbub functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Complete TODO item: use new DRM iterator
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix styling of freesync code in commit_tail
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move GART recovery into GTT manager v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: nuke amdgpu_ttm_is_bound() v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:fix random missing of FLR NOTIFY (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sriov:fix memory leak in psp_load_fw (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:cleanup ucode_init_bo (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:cleanup in_sriov_reset and lock_reset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:implement new GPU recover(v3) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amd/scheduler:imple job skip feature(v3) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix indentation in amdgpu_display.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Only add stream to freesync when modeset
  required (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Cleanup code that enables freesync (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Atomic freesync ASSERT fix (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add mod_freesync_user_enable to
  dm_connector_state (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: DMCU FW loading from PSP (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Set cursor position as per address (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Explicit casting for grph object ids
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: cleaning up hubp for dcn (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clean some unneeded defines from
  ddc_service_types.h (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Cleanup some fail labels in dcn10_resource
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Adding DCN1 registers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Check cursor address before program
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move lock to front end program (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add APU cap in dc_caps (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: delete duplicated code (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: delete an outdated comment in amd_powerplay.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: implement notify_smu_memory_info on Powerplay
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add new pp function point notify_smu_memory_info
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add header kgd_pp_interface.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move struct amd_powerplay to amdgpu.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: move functions to amd_pm_funcs table
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move DC and PP shared data structures to
  dm_pp_interface.h (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: remove extra parameter from amdgpu_ttm_bind() v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: don't wait interruptible while binding GART space
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix pin domain compatibility check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: always bind pinned BOs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use the actual placement for pin accounting
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: retry init if it fails due to exclusive mode
  timeout (v3) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu/virt: implement wait_reset callbacks for vi/ai
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: describe the PCIE link speed in right GT/s
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/virt: add wait_reset virt ops (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/virt: add function to check MMIO (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: avoid soft lockup when waiting for RLC serdes (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: change redundant init logs to debug level
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:implement ctx query2 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:don't change ctx->reset_couner upon query
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Remove job->s_entity to avoid keeping reference to
  stale pointer (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Fix deadlock during GPU reset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add SPSC queue to scheduler (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:cleanup job reset routine(v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:skip job for guilty ctx in parser_init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:pass ctx->guilty address to entity init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/scheduler:introduce guilty pointer member (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:add hang_limit for sched(v2) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:cleanup force_completion (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Avoid accessing job->entity after the job is
  scheduled (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: rcar-du: Clip planes to screen boundaries (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Share plane atomic check code between Gen2
  and Gen3 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: rcar-du: Remove unused CRTC suspend/resume functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Implement system suspend/resume support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Don't set connector DPMS property (FATE#322643
  bsc#1055900).
- drm: rcar-du: Add R8A7745 support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Add R8A7743 support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Merge tag 'drm-intel-next-2017-11-17-1' of
  git://anongit.freedesktop.org/drm/drm-intel into drm-next
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20171117 (FATE#322643
  bsc#1055900).
- drm/i915: Add a policy note for removing workarounds
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Report ENOMEM clearly for an allocation
  failure (FATE#322643 bsc#1055900).
- drm/i915: Calculate g4x intermediate watermarks correctly
  (FATE#322643 bsc#1055900).
- drm/i915: Calculate vlv/chv intermediate watermarks correctly,
  v3 (FATE#322643 bsc#1055900).
- drm/i915: Pass crtc_state to ips toggle functions, v2
  (FATE#322643 bsc#1055900).
- drm/i915: Pass idle crtc_state to intel_dp_sink_crc (FATE#322643
  bsc#1055900).
- drm/i915: Enable FIFO underrun reporting after initial fastset,
  v4 (FATE#322643 bsc#1055900).
- drm/i915: Add might_sleep() check to wait_for() (FATE#322643
  bsc#1055900).
- drm/i915/selftests: Add a GuC doorbells selftest (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Let each vgpu has separate opregion memory
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Make gvt_vgpu_err use pr_err (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Don't dump partial state in cmd parser
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Reduce rcs mocs switch latency (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Add new debugfs tool mmio_diff (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Add mmio iterator
  intel_gvt_for_each_tracked_mmio() (FATE#322643 bsc#1055900).
- drm/i915/gvt: opregion virtualization for win guest (FATE#322643
  bsc#1055900).
- drm/i915/gvt: update CSB and CSB write pointer in virtual HWSP
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Introduce ops->set_present() (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Introduce page table type of current level in
  GTT type enumerations (FATE#322643 bsc#1055900).
- drm/i915/gvt: Fix a bug of unexpectedly clear scratch page table
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Let the caller choose if a shadow page should
  be put into hash table (FATE#322643 bsc#1055900).
- drm/i915/gvt: Use I915_GTT_PAGE_SIZE (FATE#322643 bsc#1055900).
- drm/i915/gvt: Factor intel_vgpu_page_track (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Refine shadow batch buffer (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Refine find_bb_size() (FATE#322643 bsc#1055900).
- drm/i915/gvt: Use BIT() to make klockwork happy (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Add basic debugfs infrastructure (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Refactor vGPU type code in kvmgt part (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Move vGPU type related code into gvt file
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Move clean_workloads() into scheduler.c
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Introduce intel_vgpu_reset_submission (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Introduce vGPU submission ops (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Remove one extra declaration in scheduler.h
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Move common vGPU workload creation into
  scheduler.c (FATE#322643 bsc#1055900).
- drm/i915/gvt: Move common workload preparation into
  prepare_workload() (FATE#322643 bsc#1055900).
- drm/i915/gvt: Factor out prepare_workload() (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Factor out vGPU workload creation/destroy
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Use dyndbg for gvt debug info (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Add VM healthy check for submit_context
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Add VM healthy check for workload_thread
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Change the return type during command scan
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Do not allocate initial ring scan buffer
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Move ring scan buffers into intel_vgpu_submission
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Rename reserved ring buffer (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Fix a memory leak in cmd_parser.c (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Move tlb_handle_pending into intel_vgpu_submission
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Introduce intel_vgpu_submission (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Move workload cache init/clean into
  intel_vgpu_{setup, clean}_submission() (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Rename intel_vgpu_{init, clean}_gvt_context()
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Make elsp_dwords in the right order (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Add support for opregion virtualization
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Extend HDMI 2.0 support to CNL (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Simplify dco_fraction calculation (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Don't blindly replace qdiv (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix wrpll math for higher freqs (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix, simplify and unify wrpll variable sizes
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Remove useless conversion (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Remove spurious central_freq (FATE#322643
  bsc#1055900).
- drm/i915/selftests: exercise_ggtt may have nothing to do
  (FATE#322643 bsc#1055900).
- drm/i915: Don't sanitize frame start delay if the pipe is off
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Rename i915_guc_submission.c|h to
  intel_guc_submission.c|h (FATE#322643 bsc#1055900).
- drm/i915/guc: Rename i915_guc_client struct to intel_guc_client
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Update name and prototype of GuC submission
  interface functions (FATE#322643 bsc#1055900).
- drm/i915/guc: Update names of submission related static
  functions (FATE#322643 bsc#1055900).
- drm/i915: Update execlists tasklet naming (FATE#322643
  bsc#1055900).
- drm/i915: Prevent overflow of execbuf.buffer_count and
  num_cliprects (FATE#322643 bsc#1055900).
- drm/i915: Print the condition causing GEM_BUG_ON (FATE#322643
  bsc#1055900).
- drm/i915: Remove pre-production pooled-EU w/a for Broxton
  (FATE#322643 bsc#1055900).
- drm/i915: Make request's wait-for-space explicit (FATE#322643
  bsc#1055900).
- drm/i915/selftests: Increase size for mock ringbuffer
  (FATE#322643 bsc#1055900).
- drm/i915: Initialise entry in intel_ppat_get() for older
  compilers (FATE#322643 bsc#1055900).
- drm/i915/selftests: Markup __iomem for igt_gem_coherency
  (FATE#322643 bsc#1055900).
- drm/i915: Use ELK stolen memory reserved detection for ILK
  (FATE#322643 bsc#1055900).
- drm/i915: Make the report about a bogus stolen reserved area
  an error (FATE#322643 bsc#1055900).
- drm/i915: Check if the stolen memory "reserved" area is enabled
  or not (FATE#322643 bsc#1055900).
- drm/i915: Fix kerneldocs for intel_audio.c (FATE#322643
  bsc#1055900).
- drm/i915: Call uncore_suspend before platform suspend handlers
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Always initialise err (FATE#322643
  bsc#1055900).
- drm/i915: Resume GuC before using GEM (FATE#322643 bsc#1055900).
- drm/i915: Display WA #1185 WaDisableDARBFClkGating:cnl, glk
  (FATE#322643 bsc#1055900).
- drm/i915: Unconditionally apply the Broxton register workaround
  set (FATE#322643 bsc#1055900).
- drm/i915: Remove pre-production Broxton register workarounds
  (FATE#322643 bsc#1055900).
- drm/i915: Unify SLICE_UNIT_LEVEL_CLKGATE w/a for cnl
  (FATE#322643 bsc#1055900).
- drm/i915: fix 64bit divide (FATE#322643 bsc#1055900).
- drm/i915: Generalize transcoder looping (FATE#322643
  bsc#1055900).
- drm/i915/glk: Refactor handling of PLANE_COLOR_CTL for GLK+
  (FATE#322643 bsc#1055900).
- drm/i915: Introduce GEM proxy (FATE#322643 bsc#1055900).
- drm/i915: Object w/o backing storage is banned by -ENXIO
  (FATE#322643 bsc#1055900).
- drm/i915: Fix function name in comment (FATE#322643
  bsc#1055900).
- drm/i915: There is only one fault register from GEN8 onwards
  (FATE#322643 bsc#1055900).
- drm/i915: Clear per-engine fault register as early as possible
  (FATE#322643 bsc#1055900).
- drm/i915: expose command stream timestamp frequency to userspace
  (FATE#322643 bsc#1055900).
- drm/i915/perf: enable perf support on CNL (FATE#322643
  bsc#1055900).
- drm/i915: fix register naming (FATE#322643 bsc#1055900).
- drm/i915/perf: refactor perf setup (FATE#322643 bsc#1055900).
- drm/i915/perf: add support for Coffeelake GT3 (FATE#322643
  bsc#1055900).
- drm/i915/perf: complete whitelisting for OA programming on HSW
  (FATE#322643 bsc#1055900).
- drm/i915: Handle locking better in i915_sink_crc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Handle adjust better in intel_pipe_config_compare
  (FATE#322643 bsc#1055900).
- drm/i915: Check boolean options in intel_pipe_config_compare
  with its own macro (FATE#322643 bsc#1055900).
- drm/i915: Remove bogus ips_enabled check (FATE#322643
  bsc#1055900).
- drm/i915: Remove Gen9 WAs with no effect (FATE#322643
  bsc#1055900).
- drm/i915: Remove redundant intel_autoenable_gt_powersave()
  (FATE#322643 bsc#1055900).
- drm/i915: Update watermark state correctly in
  sanitize_watermarks (FATE#322643 bsc#1055900).
- drm/i915/selftests: Yet another forgotten mock_i915->mm
  initialiser (FATE#322643 bsc#1055900).
- drm/i915: Kerneldoc typo s/rps/rps_client/ (FATE#322643
  bsc#1055900).
- drm/i915: Stop caching the "golden" renderstate (FATE#322643
  bsc#1055900).
- drm/i915: Record the default hw state after reset upon load
  (FATE#322643 bsc#1055900).
- drm/i915: Mark the context state as dirty/written (FATE#322643
  bsc#1055900).
- drm/i915: Inline intel_modeset_gem_init() (FATE#322643
  bsc#1055900).
- drm/i915: Move intel_init_clock_gating() to i915_gem_init()
  (FATE#322643 bsc#1055900).
- drm/i915: Move GT powersaving init to i915_gem_init()
  (FATE#322643 bsc#1055900).
- drm/i915: Force the switch to the i915->kernel_context
  (FATE#322643 bsc#1055900).
- drm/i915: Define an engine class enum for the uABI (FATE#322643
  bsc#1055900).
- drm/i915/selftests: Initialise mock_i915->mm.obj_lock
  (FATE#322643 bsc#1055900).
- drm/i915: Restore the wait for idle engine after flushing
  interrupts (FATE#322643 bsc#1055900).
- drm/i915: Acquire PUNIT->PMIC bus for
  intel_uncore_forcewake_reset() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move irqs enabled assertion deeper for mock
  breadcrumbs (FATE#322643 bsc#1055900).
- drm/i915/selftests: Reduce the volume of the timeout message
  (FATE#322643 bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20171109 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20171109 (FATE#322643
  bsc#1055900).
- drm/i915: Mark up i915_vma_unbind() as a potential sleeper
  (FATE#322643 bsc#1055900).
- drm/i915: Mark vm_free_page() as a potential sleeper agent
  (FATE#322643 bsc#1055900).
- commit 98974ca
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/i915: Use trace_printk to provide a death rattle for GEM
  (FATE#322643 bsc#1055900).
- Update config files.
- commit 2404531
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/i915: Clean up DP code local variables and calling
  conventions (FATE#322643 bsc#1055900).
- drm/i915: Clean up PPS code calling conventions (FATE#322643
  bsc#1055900).
- drm/i915: Nuke intel_digital_port->port (FATE#322643
  bsc#1055900).
- drm/i915: Replace dig_port->port with encoder port for BXT
  DPLL selection (FATE#322643 bsc#1055900).
- drm/i915: Eliminate crtc->config usage from CRT code
  (FATE#322643 bsc#1055900).
- drm/i915: Pass crtc state to DPIO PHY functions (FATE#322643
  bsc#1055900).
- drm/i915: Eliminate some encoder->crtc usage from TV code
  (FATE#322643 bsc#1055900).
- drm/i915: Eliminate some encoder->crtc usage from SDVO code
  (FATE#322643 bsc#1055900).
- drm/i915: Eliminate some encoder->crtc usage from DSI code
  (FATE#322643 bsc#1055900).
- drm/i915: Eliminate some encoder->crtc usage from DP code
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Simplify programming of GUC_SHIM_CONTROL
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Drop legacy workarounds from guc_prepare_xfer
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Wait for ucode DMA transfer completion
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Split GuC firmware xfer function into clear steps
  (FATE#322643 bsc#1055900).
- drm/i915: Implement ReadHitWriteOnlyDisable (FATE#322643
  bsc#1055900).
- drm/i915: Include intel_engine_is_idle() status in engine
  pretty-printer (FATE#322643 bsc#1055900).
- drm/i915: Read ilk FDI PLL frequency once during initialisation
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Take rpm wakeref around partial tiling tests
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Take rpm wakeref around GGTT lowlevel tests
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Skip mixed page exhaustion if only small
  pages available (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Prevent unbounded wm results in g4x_compute_wm()
  (FATE#322643 bsc#1055900).
- drm/i915: Simplify onion for bxt_ddi_phy_init() (FATE#322643
  bsc#1055900).
- drm/i915: Silence compiler for csr_load_work_fn() (FATE#322643
  bsc#1055900).
- drm/i915: Silence smatch for cmdparser (FATE#322643
  bsc#1055900).
- drm/i915: Handle error-state modparams in dedicated functions
  (FATE#322643 bsc#1055900).
- drm/i915: Make GuC log part of the uC error state (FATE#322643
  bsc#1055900).
- drm/i915: Add Guc/HuC firmware details to error state
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Assert ctch->vma is allocated (FATE#322643
  bsc#1055900).
- drm/i915/guc: Assert guc->stage_desc_pool is allocated
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Hide dangerous tests (FATE#322643
  bsc#1055900).
- commit 5453554
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/i915: Assert vma->flags are updated correctly during binding
  (FATE#322643 bsc#1055900).
- drm/i915: Set up mocs tables before restarting the engines
  (FATE#322643 bsc#1055900).
- drm/i915: Warn in debug builds of incorrect usages of
  ptr_pack_bits (FATE#322643 bsc#1055900).
- drm/i915: ensure oa config uuid is null terminated (FATE#322643
  bsc#1055900).
- drm/i915: Flush the irq and tasklets before asserting engine
  is idle (FATE#322643 bsc#1055900).
- drm/i915: Use fallback forcewake if primary ack missing
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Add support for reset engine using GuC commands
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Rename the function that resets the GuC
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Clear terminated attribute bit on GuC preemption
  context (FATE#322643 bsc#1055900).
- drm/i915/cnl: Symmetric scalers for each pipe (FATE#322643
  bsc#1055900).
- drm/i915: Give more details for the active-when-parking warning
  for the engines (FATE#322643 bsc#1055900).
- drm/i915: Move parking-while-active warning to
  intel_engines_park() (FATE#322643 bsc#1055900).
- drm/i915: Check that the breadcrumb wasn't disarmed
  automatically before parking (FATE#322643 bsc#1055900).
- drm/i915/cnl: Remove unnecessary check in cnl_setup_private_ppat
  (FATE#322643 bsc#1055900).
- drm/i915: Remove most encoder->type uses from the audio code
  (FATE#322643 bsc#1055900).
- drm/i915: Pass around crtc and connector states for audio
  (FATE#322643 bsc#1055900).
- drm/i915: Replace "cc-option -Wno-foo" with "cc-disable-warning
  foo" (FATE#322643 bsc#1055900).
- drm/i915: Use intel_ddi_get_config() for MST (FATE#322643
  bsc#1055900).
- drm/i915: Pass a crtc state to ddi post_disable from MST code
  (FATE#322643 bsc#1055900).
- drm/i915: Eliminate pll->state usage from bxt_calc_pll_link()
  (FATE#322643 bsc#1055900).
- drm/i915: Nuke intel_ddi_get_encoder_port() (FATE#322643
  bsc#1055900).
- drm/i915: Stop frobbing with DDI encoder->type (FATE#322643
  bsc#1055900).
- drm/i915: Populate output_types from .get_config() (FATE#322643
  bsc#1055900).
- drm/i915: Parse max HDMI TMDS clock from VBT (FATE#322643
  bsc#1055900).
- drm/i915/vbt: Fix HDMI level shifter and max data rate bitfield
  sizes (FATE#322643 bsc#1055900).
- drm/i915: Clean up the mess around hdmi_12bpc_possible()
  (FATE#322643 bsc#1055900).
- drm/i915: Improve DP downstream HPD handling (FATE#322643
  bsc#1055900).
- drm/i915: Fix BXT lane latency optimal setting with MST
  (FATE#322643 bsc#1055900).
- drm/i915: Stop using encoder->type in
  intel_ddi_enable_transcoder_func() (FATE#322643 bsc#1055900).
- drm/i915: Start using output_types for DPLL selection
  (FATE#322643 bsc#1055900).
- drm/i915: Pass crtc state to intel_prepare_dp_ddi_buffers()
  (FATE#322643 bsc#1055900).
- drm/i915: Don't use encoder->type in
  intel_ddi_set_pipe_settings() (FATE#322643 bsc#1055900).
- drm/i915: Empty the ring before disabling (FATE#322643
  bsc#1055900).
- drm/i915/edp: clean up code and comments around eDP DPCD read
  (FATE#322643 bsc#1055900).
- drm/i915: Add -Wall -Wextra to our build, set warnings to full
  (FATE#322643 bsc#1055900).
- drm/i915: Include RING_MODE when dumping the engine state
  (FATE#322643 bsc#1055900).
- drm/i915/huc: Use helper function while waiting for DMA
  completion (FATE#322643 bsc#1055900).
- drm/i915/guc: Preemption! With GuC (FATE#322643 bsc#1055900).
- drm/i915: Rename helpers used for unwinding, use macro for
  can_preempt (FATE#322643 bsc#1055900).
- drm/i915/guc: Keep request->priority for its lifetime
  (FATE#322643 bsc#1055900).
- drm/i915: Add information needed to track engine preempt state
  (FATE#322643 bsc#1055900).
- drm/i915: Extract "emit write" part of emit breadcrumb functions
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Split guc_wq_item_append (FATE#322643
  bsc#1055900).
- drm/i915/guc: Add a second client, to be used for preemption
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Add preemption action to GuC firmware interface
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Allocate separate shared data object for GuC
  communication (FATE#322643 bsc#1055900).
- drm/i915/guc: Extract GuC stage desc pool creation into a helper
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Do not use 0 for GuC doorbell cookie (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix SSEU Device Status (FATE#322643 bsc#1055900).
- drm/i915/guc: Initialize GuC before restarting engines
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Always enable the breadcrumbs irq (FATE#322643
  bsc#1055900).
- drm/i915: Add a hook for making the engines idle (parking)
  and unparking (FATE#322643 bsc#1055900).
- drm/i915/cnl: Allow 2 pixel per clock on Cannonlake (FATE#322643
  bsc#1055900).
- Revert "drm/i915/selftests: Convert timers to use timer_setup()"
  (FATE#322643 bsc#1055900).
- drm/i915: Use same test for eviction and submitting kernel
  context (FATE#322643 bsc#1055900).
- drm/i915/selftests: Don't try to queue a request with zero delay
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Call cond_resched() before repeating
  i915_gem_evict_something() (FATE#322643 bsc#1055900).
- drm/i915: Perform a central cdclk state sanity check
  (FATE#322643 bsc#1055900).
- drm/i915: Sanity check cdclk in vlv_set_cdclk() (FATE#322643
  bsc#1055900).
- drm/i915: Adjust system agent voltage on CNL if required by
  DDI ports (FATE#322643 bsc#1055900).
- drm/i915: Use cdclk_state->voltage on CNL (FATE#322643
  bsc#1055900).
- drm/i915: Use cdclk_state->voltage on BXT/GLK (FATE#322643
  bsc#1055900).
- drm/i915: Use cdclk_state->voltage on SKL/KBL/CFL (FATE#322643
  bsc#1055900).
- drm/i915: Use cdclk_state->voltage on BDW (FATE#322643
  bsc#1055900).
- drm/i915: Use cdclk_state->voltage on VLV/CHV (FATE#322643
  bsc#1055900).
- drm/i915: Start tracking voltage level in the cdclk state
  (FATE#322643 bsc#1055900).
- drm/i915: Clean up some cdclk switch statements (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Update the DMC version on CNL (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Get RC6 working (FATE#322643 bsc#1055900).
- drm/i915/cnl: Force DDI_A_4_LANES when needed (FATE#322643
  bsc#1055900).
- drm/i915: Synchronize irq before parking each engine
  (FATE#322643 bsc#1055900).
- drm/i915: Bump wait-times for the final CS interrupt before
  parking (FATE#322643 bsc#1055900).
- Merge tag 'drm-misc-next-2017-11-30' of
  git://anongit.freedesktop.org/drm/drm-misc into drm-next
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: tc358767: add copyright lines (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vblank: Fix vblank timestamp debugs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/via: use monotonic time for VIA_WAIT_IRQ (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/printer: Add drm_vprintf() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/edid: Allow HDMI infoframe without VIC or S3D (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Merge airlied/drm-next into drm-misc-next (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sti: Handle return value of platform_get_irq_byname
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Add support for NV21 and NV61 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Use .pixel_order instead of custom .flip_cbcr
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Add support for DRM_FORMAT_RGB888 and DRM_FORMAT_BGR888
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Move drm_plane_helper_check_state() into
  drm_atomic_helper.c (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm: Check crtc_state->enable rather than crtc->enabled
  in drm_plane_helper_check_state() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Try to fix plane clipping (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Use drm_plane_helper_check_state() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Remove bogus crtc coords vs fb size check
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- gpu: gma500: remove unneeded DRIVER_LICENSE #define (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: don't link DP aux i2c adapter to the hardware device node
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: Add Mitsubishi AA070MC01 panel support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: Add Tianma TM070RVHG71 panel support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/sii8620: add DVI mode support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/sii8620: filter unsupported modes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: vop: add rk3126 vop support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: gem_cma_helper.c: Allow importing of contiguous
  scatterlists with nents > 1 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/atomic-helper: always track connector commits, too
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Fix kerneldocs for drm_plane modifiers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/gem-cma-helper: Fix kerneldocs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Fix modifiers_property kernel doc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/debugfs: Fix framebuffer debugfs file init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/cma-helper: Remove drm_fb_cma_debugfs_show() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm: Use drm_gem_cma_print_info() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tilcdc: Use drm_gem_cma_print_info() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arm/hdlcd: Use drm_gem_cma_print_info() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arc: Use drm_gem_cma_print_info() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/cma-helper: Add drm_gem_cma_print_info() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/cma-helper: Turn to_drm_gem_cma_obj() into a macro
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Use drm_framebuffer_print_info() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/framebuffer: Add framebuffer debugfs file (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/print: Add drm_printf_indent() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/framebuffer: drm_framebuffer_read_refcount() constify
  argument (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vma-manager: drm_vma_node_start() constify argument
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- virtgpu: remove redundant task_comm copying (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: qxl: remove pr_info message, stops log spamming
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/cirrus: add create_handle support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/virtio: add create_handle support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/syncobj: Use proper methods for accessing rcu protected
  pointers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/syncobj: Mark up the fence as an RCU protected pointer
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Reject HDMI modes with too high of clocks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Update docs for legacy kms state (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: sti: remove vtg_remove (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm: sti: remove useless fields from vtg structure (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Try to preserve the crtc enabled state in
  drm_atomic_remove_fb, v2 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/edid: make drm_edid_to_eld() static (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/drivers: drop redundant drm_edid_to_eld() calls (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/edid: build ELD in drm_add_edid_modes() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/edid: abstract connector ELD clearing (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/edid: set ELD connector type in drm_edid_to_eld()
  (bsc#1051510).
- drm/edid: use macros for ELD offsets and values (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/selftests/mm: Insert cond_resched() between insert modes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: ltdc: add a 2nd endpoint (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/stm: checkpatch strict minor updates (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: dsi: Rename driver name (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: via: use ktime_get() instead of do_gettimeofday
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Print the fb dimensions when the src coord check fails
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/drm_mm.h: Fix the name of the referenced function in comment
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Spelling fixes (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/drm_vma_manager.c: Remove useless goto statement
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fb-helper: Add .last_close and .output_poll_changed helpers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add drm_device->fb_helper pointer (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/fb-helper: Handle function NULL argument (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: rpi-touchscreen: propagate errors in
  rpi_touchscreen_i2c_read() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm: Enable pr_debug() for drm_printer (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- gma500: mmu: unmap the correct address (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: virtio: replace reference/unreference with get/put
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/gem: Remove trailing whitespace (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/dp: Bit definition for D3 power state that keeps AUX
  fully powered (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/tinydrm: Replace list_for_each with list_for_each_entry
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Fix build warning in analogix_dp-rockchip.c
  (bsc#1085536).
- drm/print: Update old comment style (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Move debug macros out of drmP.h (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: analogix_dp: Remove unnecessary init code
  (bsc#1085536).
- clk: divider: fix incorrect usage of container_of (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- vfio: Simplify capability helper (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- r128: don't open-code memdup_user() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Move irq setup/teardown to pci ctor/dtor
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Fix NULL pointer dereference in vc4_save_hang_state()
  (bsc#1051510).
- drm/vc4: Flush the caches before the bin jobs, as well
  (bsc#1051510).
- drm/i915: Fix deadlock in i830_disable_pipe() (FATE#322643
  bsc#1055900).
- drm/i915: Redo plane sanitation during readout (FATE#322643
  bsc#1055900).
- drm/i915: Add .get_hw_state() method for planes (FATE#322643
  bsc#1055900).
- drm/nouveau/mmu/mcp77: fix regressions in stolen memory handling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bar/gk20a: Avoid bar teardown during init
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/drm/nouveau: Pass the proper arguments to
  nvif_object_map_handle() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/sun4i: hdmi: Add missing rate halving check in
  sun4i_tmds_determine_rate (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/sun4i: hdmi: Fix incorrect assignment in
  sun4i_tmds_determine_rate (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/sun4i: hdmi: Check for unset best_parent in
  sun4i_tmds_determine_rate (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/vmwgfx: fix memory corruption with legacy/sou connectors
  (bsc#1051510).
- drm/vmwgfx: Fix a boot time warning (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Don't adjust priority on an already signaled fence
  (FATE#322643 bsc#1055900).
- drm/i915: Whitelist SLICE_COMMON_ECO_CHICKEN1 on Geminilake
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Fix stack-out-of-bounds bug in cmd parser
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Clear the shadow page table entry after post-sync
  (FATE#322643 bsc#1055900).
- drm/vmwgfx: Potential off by one in vmw_view_add()
  (bsc#1051510).
- drm/vmwgfx: Don't cache framebuffer maps (bsc#1051510).
- drm/tegra: sor: Fix hang on Tegra124 eDP (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/disp/gf119: add missing drive vfunc ptr
  (bsc#1095094).
- drm/vc4: Move IRQ enable to PM path (bsc#1051510).
- drm/i915: Apply Display WA #1183 on skl, kbl, and cfl
  (FATE#322643 bsc#1055900).
- drm/i915: Put all non-blocking modesets onto an ordered wq
  (FATE#322643 bsc#1055900).
- drm/i915: Disable DC states around GMBUS on GLK (FATE#322643
  bsc#1055900).
- drm/i915/psr: Fix register name mess up (FATE#322643
  bsc#1055900).
- drm/ttm: check the return value of kzalloc (bsc#1051510).
- drm/amd/display: call set csc_default if enable adjustment
  is false (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/armada: fix YUV planar format framebuffer offsets
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: improve efficiency of armada_drm_plane_calc_addrs()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: fix UV swap code (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/armada: fix SRAM powerdown (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/armada: fix leak of crtc structure (bsc#1051510).
- omapdrm/dss/hdmi4_cec: fix interrupt handling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- i915: Reject CCS modifiers for pipe C on Geminilake (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Fix pipe A enable as default for vgpu (FATE#322643
  bsc#1055900).
- drm/nouveau: fix race when adding delayed work items
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- ALSA: hda: Drop useless WARN_ON() (bsc#1051510).
- drm/syncobj: Stop reusing the same struct file for all
  syncobj -> fd (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: move lease init after validation in drm_lease_create
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/plane: Make framebuffer refcounting the responsibility of
  setplane_internal callers (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/sun4i: hdmi: Move the mode_valid callback to the encoder
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Fix error path handling (bsc#1051510).
- drm/sun4i: validate modes for HDMI (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Protect DDI port to DPLL map from theoretical race
  (FATE#322643 bsc#1055900).
- drm/i915/lpe: Remove double-encapsulation of info string
  (FATE#322643 bsc#1055900).
- drm/nouveau: fix obvious memory leak (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: use alternate memory type for system-memory
  buffers with kind != 0 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau: avoid GPU page sizes > PAGE_SIZE for buffer
  objects in host memory (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/mmu/gp10b: use correct implementation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/pci: do a msi rearm on init (bsc#1051510).
- drm/nouveau/imem/nv50: fix refcount_t warning (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bios/dp: support DP Info Table 2.0 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/fbcon: fix NULL pointer access in
  nouveau_fbcon_destroy (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/fence: Use rcu to defer freeing of irq_work
  (FATE#322643 bsc#1055900).
- drm/i915: Stop listening to request resubmission from the
  signaler kthread (FATE#322643 bsc#1055900).
- drm/i915: Drop fb reference on load_detect_pipe failure path
  (FATE#322643 bsc#1055900).
- drm/i915: Flush pending GTT writes before unbinding (FATE#322643
  bsc#1055900).
- drm/amd/display: Fix rehook MST display not light back on
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix missing pixel clock adjustment for dongle
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: set chroma taps to 1 when not scaling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix MAP_QUEUES paramter (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: max_cpages is in unit of native page (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: fix incorrect calculate on shrink_pages (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- lib/rbtree,drm/mm: add rbtree_replace_node_cached() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/drm_lease: Prevent deadlock in case drm_lease_create() fails
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rework delayed connector cleanup in connector_iter
  (bsc#1051510).
- drm: Update edid-derived drm_display_info fields at edid
  property set (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vc4: Release fence after signalling (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix dp: Fix runtime PM state in get_modes()
  callback (bsc#1051510).
- drm/vc4: Fix false positive WARN() backtrace on refcount_inc()
  usage (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/gvt: Don't mark vgpu context as inactive when preempted
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Limit read hw reg to active vgpu (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Export intel_gvt_render_mmio_to_ring_id()
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Emulate PCI expansion ROM base address register
  (FATE#322643 bsc#1055900).
- Revert "drm/i915: Display WA #1133 WaFbcSkipSegments:cnl, glk"
  (FATE#322643 bsc#1055900).
- drm/i915: Call i915_gem_init_userptr() before taking
  struct_mutex (FATE#322643 bsc#1055900).
- drm/i915/cnl: Mask previous DDI - PLL mapping (FATE#322643
  bsc#1055900).
- drm/i915: Fix vblank timestamp/frame counter jumps on gen2
  (FATE#322643 bsc#1055900).
- drm/i915: Skip switch-to-kernel-context on suspend when wedged
  (FATE#322643 bsc#1055900).
- drm/exynos: remove unnecessary function declaration (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: remove unnecessary descrptions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: gem: Drop NONCONTIG flag for buffers allocated
  without IOMMU (bsc#1051510).
- drm/exynos: Fix dma-buf import (bsc#1051510).
- drm: safely free connectors from connector_iter (bsc#1051510).
- drm/ttm: swap consecutive allocated pooled pages v4 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: swap consecutive allocated cached pages v3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: roundup the shrink request to prevent skip huge pool
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add page order support in ttm_pages_put (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add set_pages_wb for handling page order more than zero
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add page order in page pool (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: use NUM_PAGES_TO_ALLOC always (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: remove init of CIK VMIDs 8-16 for amdkfd
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: fix populate_and_map() functions once more (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: USB-C / thunderbolt dock specific workaround
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Switch to drm_atomic_helper_wait_for_flip_done
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix gamma setting (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Do not put drm_atomic_state on resume
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix couple more inconsistent NULL checks in
  dc_resource (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fix potential NULL and mem leak in create_links
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix hubp check in set_cursor_position
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix use before NULL check in validate_timing
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Bunch of smatch error and warning fixes in DC
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix amdgpu_dm bugs found by smatch (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: try to find matching audio inst for enc
  inst first (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix seq issue: turn on clock before
  programming afmt (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: fix memory leaks on error exit return
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: check plane state before validating fbc
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Do DC mode-change check when adding CRTCs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Revert noisy assert messages (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix split viewport rounding error (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Check aux channel before MST resume
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix split recout offset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't reject 3D timings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Handle as MST first and then DP dongle if sink
  support both (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix split recout calculation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix S3 topology change (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add timing validation against dongle cap
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Should disable when new stream is null
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add null check for 24BPP (xfm and dpp)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop experimental flag for raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: don't try to move pinned BOs (bsc#1051510).
- drm/amdgpu: Use unsigned ring indices in amdgpu_queue_mgr_map
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Set adev->vcn.irq.num_types for VCN (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/amdgpu: fix rmmod KCQ disable failed error"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: used cached gca values for cik_read_register
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx7: cache raster_config values (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move UVD/VCE and VCN structure out from union
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: mali-dp: Disable planes when their CRTC gets disabled
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: mali-dp: Separate static internal data into a read-only
  structure (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/arm: Replace instances of drm_dev_unref with drm_dev_put
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: mali-dp: switch to drm_*_get(), drm_*_put() helpers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- uapi: fix linux/kfd_ioctl.h userspace compilation errors
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: fix amdkfd use-after-free GP fault (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix SDMA oversubsription handling (bsc#1051510).
- drm/amdkfd: Fix SDMA ring buffer size calculation (bsc#1051510).
- drm/amdgpu: Fix SDMA load/unload sequence on HWS disabled mode
  (bsc#1051510).
- drm/arm: Replace instances of drm_dev_unref with drm_dev_put
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Fix checkpatch issue: "WARNING: braces {} are not
  necessary for single statement blocks." (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: hdlcd: Update PM code to save/restore console (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/imx: always call wait_for_flip_done in commit_tail
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Disable THP until we have a GPU read BW W/A
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Correct ADDR_4K/2M/1G_MASK definition (FATE#322643
  bsc#1055900).
- drm/i915/gvt: enabled pipe A default on creating vgpu
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Move request alloc to dispatch_workload path only
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: remove skl_misc_ctl_write handler (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Fix unsafe locking caused by spin_unlock_bh
  (FATE#322643 bsc#1055900).
- drm/i915: fix intel_backlight_device_register declaration
  (FATE#322643 bsc#1055900).
- drm/i915/fbdev: Serialise early hotplug events with async
  fbdev config (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Prevent zero length "index" write (FATE#322643
  bsc#1055900).
- drm/i915: Don't try indexed reads to alternate slave addresses
  (FATE#322643 bsc#1055900).
- omapdrm: hdmi4_cec: signedness bug in hdmi4_cec_init()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Fix DPI on platforms using the DSI VDDS
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- omapdrm: hdmi4: Correct the SoC revision matching (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: displays: panel-dpi: add backlight dependency
  (bsc#1051510).
- drm/omap: Fix error handling path in 'omap_dmm_probe()'
  (bsc#1051510).
- drm/bridge: tc358767: fix 1-lane behavior (bsc#1051510).
- drm/bridge: tc358767: fix AUXDATAn registers access
  (bsc#1051510).
- drm/bridge: tc358767: fix timing calculations (bsc#1051510).
- drm/bridge: tc358767: fix DP0_MISC register set (bsc#1051510).
- drm/bridge: tc358767: filter out too high modes (bsc#1051510).
- drm/bridge: tc358767: do no fail on hi-res displays
  (bsc#1051510).
- drm/bridge: Fix lvds-encoder since the panel_bridge rework
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: synopsys/dw-hdmi: Enable cec clock (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: adv7511/33: Fix adv7511_cec_init() failure handling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fb_helper: Disable all crtc's when initial setup fails
  (FATE#322643 bsc#1055900).
- drm/atomic: make drm_atomic_helper_wait_for_vblanks more
  agressive (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/rockchip: dw-mipi-dsi: fix possible un-balanced runtime
  PM enable (bsc#1051510).
- drm/edid: Don't send non-zero YQ in AVI infoframe for HDMI
  1.x sinks (bsc#1051510).
- drm/vc4: Account for interrupts in flight (bsc#1051510).
- drm/i915: Fix init_clock_gating for resume (FATE#322643
  bsc#1055900).
- drm/i915: Mark the userptr invalidate workqueue as
  WQ_MEM_RECLAIM (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Clear breadcrumb node when cancelling signaling
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: ensure -ve return value is handled correctly
  (FATE#322643 bsc#1055900).
- drm/i915: Re-register PMIC bus access notifier on runtime resume
  (FATE#322643 bsc#1055900).
- drm/i915: Fix false-positive assert_rpm_wakelock_held in
  i915_pmic_bus_access_notifier v2 (FATE#322643 bsc#1055900).
- drm/vblank: Pass crtc_id to page_flip_ioctl (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: don't attempt to use hugepages if dma32 requested (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Convert timers to use timer_setup() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Convert timers to use timer_setup()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/edid: quirk HTC vive headset as non-desktop (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fb: add support for not enabling fbcon on non-desktop
  displays (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: add connector info/property for non-desktop displays
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tilcdc: Remove obsolete "ti,tilcdc,slave" dts binding
  support (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- commit 40aae91
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amdgpu: fix rmmod KCQ disable failed error (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix kernel hang when starting VNC server
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: don't skip attributes when powerplay is enabled
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: fix typecast error in powerplay (bsc#1051510).
- Revert "drm/radeon: dont switch vt on suspend" (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: fix over-bound accessing in
  amdgpu_cs_wait_any_fence (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/powerplay: fix unfreeze level smc message for smu7
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:fix memleak (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu:fix memleak in takedown (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/imx: parallel-display: use correct connector enum
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/imx: switch to drm_*_get(), drm_*_put() helpers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: sor: Reimplement pad clock (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/fsl-dcu: enable IRQ before drm_atomic_helper_resume()
  (bsc#1051510).
- drm/fsl-dcu: avoid disabling pixel clock twice on suspend
  (bsc#1051510).
- drm/fsl-dcu: Don't set connector DPMS property (FATE#322643
  bsc#1055900).
- drm/amd/pp: fix dpm randomly failed on Vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: set f_mapping on exported DMA-bufs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Properly allocate VM invalidate eng v2
  (bsc#1051510).
- drm/amd/amdgpu: if visible VRAM allocation fail, fall back
  to invisible try again (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/amdgpu: Fix wave mask in amdgpu_debugfs_wave_read() (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: make AMDGPU_VA_RESERVED_SIZE 64bit (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: implement wave VGPR reading (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add common golden settings for GFX9 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix copy-n-paste error on vddci_buf index
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix null pointer issue in amdgpu_cs_wait_any_fence
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Remove check which is not valid for certain VBIOS
  (bsc#1051510).
- drm/amd/display: fix MST link training fail division by 0
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix formatting for null pointer dereference fix
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove dangling planes on dc commit state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add flip_immediate to commit update for stream
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Miss register MST encoder cbs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix warnings on S3 resume (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: use num_timing_generator instead of pipe_count
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: use configurable FBC option in dm (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix AZ clock not enabled before program AZ
  endpoint (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- amdgpu/dm: Don't use DRM_ERROR in amdgpu_dm_atomic_check
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amd/display: Fix potential null dereference in dce_calcs.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dm: Remove unused forward declaration (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Remove unused dc_stream from amdgpu_crtc
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: Fix double unlock in amdgpu_dm_commit_planes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: Fix missing null checks in amdgpu_dm.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: Fix potential null dereferences in amdgpu_dm.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: fix more indentation warnings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: handle allocation failures in
  dc_commit_planes_to_stream (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- amdgpu/dc: fix indentation warning from smatch (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: fix non-ansi function decls (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove some unneeded code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: checking for NULL instead of IS_ERR()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: small cleanup in destruct() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/display: fix integer arithmetic problem (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/display: remove unused REG_OFFSET macro (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/display: provide ASSERT macros unconditionally
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Read resource_straps from registers for DCE12
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Add DCE12 resource strap registers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Explicitly call ->reset for each object
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use single fail label in init_drm_dev
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use plane pointer to avoid line breaks
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix null pointer dereference (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: Avoid dereferencing NULL pointer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't print error when bo_pin is interrupted
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use constants from atom.h for HDMI caps read
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: check if modeset is required before adding
  plane (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix high part address in
  dm_plane_helper_prepare_fb() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display : add high part address calculation for underlay
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix no display on Fiji (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/amd/display: Match actual state during S3
  resume." (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display:: Fix NULL pointer in Raven hotplug (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix memoryleak during S3 resume (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add hardware_planes_only to list of affected
  planes (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fix brace style (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove needless cast in
  amdgpu_dm_connector_init() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Fix brace style in
  amdgpu_dm_connector_ddc_get_modes() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Tidy up dm_drm_plane_reset() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix indentation in create_eml_sink()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Replace block with strncpy() in
  fill_audio_info() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Fix brace style in
  amdgpu_dm_initialize_drm_device() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Simplify handle_hpd_rx_irq() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix brace style in dm_handle_hpd_rx_irq()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix brace style in
  amdgpu_dm_update_connector_after_detect() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix indentation in dm_resume() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix indentation in dm_suspend() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Simplify dm_late_init() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: inline dml_round_to_multiple (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: drop dml_util_is_420 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add bunch of missing license headers in DML
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: inline a bunch of the dml wrappers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Small comment on dc_commit_planes_to_stream
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Minor update to DML (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: change dml numdpp var to uint (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: default force_single_disp_pipe_split = 1 on RV
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove redundant condition in dml vba
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.07 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Reduce stack size of commit_planes_to_stream
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix one more place for dc_stream_state leak
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move OS types to os_types.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: LGD panel willl flash line under window
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: DAL 3.1.06 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: rename dscl functions (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: WA for 3 display play video hot plug
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add DIGD case when getting retimer settings
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add chip mask to HDMI retimer/redriver check
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Correct timings in build scaling params
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: check SR_WATERMARK regs prior to write
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: drop display_pipe_clocks.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix up some whitespace in handle_cursor_update
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix warning about uninitialized variable
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't set cursor address is 0 logging as errors
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix ifnullfree.cocci warnings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/dc: fix semicolon.cocci warnings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix warning about overflow (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix non-DCN build (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: ASSERT on dc_create_state failing (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Report stream as different on scaling change
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Set addressable region as active + border
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add performance trace macro to dc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove a false-positive error message
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Do not set bandwidth on page flips (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: rename transform to dpp for dcn (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add null check for cursor functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix null dereference in reset hw ctx
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix a logic defect in cursor move (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: bug in cm programming (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: change when to set tap_hardcode_coeff
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Expose some MPC functions for reuse
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix underscan not using proper scaling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Pull transfer func defines into DC (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: renaming filename for hubp (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.05 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Fix up plane_states add/remove logic
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add missing newlines in pstate wait debug
  messages (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Add DPP capabilities (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: rename struct mem_input to hubp for dcn
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: group DCN watermark registers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.04 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Ignore wrong tautological warning (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Handle case when stream not found in set_dpms
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add dpms state to DC follow up (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fixed switching mode half screen gamma
  incorrect (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: add dpms state to DC (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add max_video_width cap to dc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: block video planes >4k on dcn10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: increase pstate wait timeout (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: reject 3D mode based on static debug flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix re-enabling stutter for raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add debug flag for VSR support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: wa to program split pipedegamma regs after
  mode set (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fixed extend to second screen mode hang
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add stereo_support debug flag (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: clean up dcn10 dpp after HW review (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove drm_modeset_lock in MST code
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Do not access fbdev helper members (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix irq enable/disable on resume (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Making hubp1_program_surface_config public
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: arbitration find the matching dig-az first
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: renaming mem input to hubp (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: audio dynamic resource acquired related
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Program front end first when set mode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 567be67
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amd/display: make FBC configurable option (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 6dcc1b5
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amd/display: Fix hotplug after s3 resume (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: wrong VM setting cause invalid DF request
  from DCN (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Enable double buffer as per vertical interrupt
  enabled (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: change dml vba cursor count define to
  correct one (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: extract global sync params from vba
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add mode support check to dml vba code
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Restructuring and cleaning up DML (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "amdgpu/dc: inline a bunch of float
  operations." (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- Revert "amdgpu/dc: drop display_pipe_clocks.c." (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "amdgpu/dc: drop dml display_mode_support.c (v2)"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Expose some mem_input functions for reuse
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: soc_bound_box -update DML based on HW
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add override for reporting wm ranges
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: disconnect on HPD low even if edid is the same
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: align DCLK to voltage level (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move power control from link encoder to
  hwsequencer (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: moving cursor functions from ipp to mem_input
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix ref_count messed up issue (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal 3.1.03 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: fix bug in force_single_disp_pipe_split
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: option to maximize lb usage (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add option to disable DCC for DCC 128b request
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: enable optional pipe split for single display
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: temp disable DCC on high res (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix MST daisy chain SST not light up
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Only reset top pipe back end (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Early return when turn off a plane (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Program stream's csc matrix instead of using
  default (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: update link type to mst before topology
  discovery (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Use active + border for bw validation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fixed incorrect return value for validaton
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: screen flickers when connected to ext monitor
  in clone (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: version 3.1.02 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fixed validation return wrong result
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add hubp/dpp pg debug key (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: make sure BL off to mainlink off has
  enough time (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix ASSERT() caused by missing registers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: edp backlight regression fix (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: moving backlight registers to hwsequencer
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: update blending mode and set output denorm
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add back removed hack for mpcc add (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: set cp25201 to use TPS4 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: removing remaining register definitions
  work around (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: power_down_Hw need signal type to turnoff
  backlight (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: make tile changing run at ISR (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refactor dc_update_planes_and_stream
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix NULL pointer on MST chained mode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Exclude MST from fake sink (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fixing register includes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Match actual state during S3 resume
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: update mpc add/remove functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix multi-display on CZ (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refactor dcn10_dpp_cm_helper to dcn10_cm_common
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't report fake sink as connected
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: To prevent detecting new sink from spurious HPD
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add FBC on/off to front-end programming
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix usb-c dongle regression (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Force always scale chroma, set always_scaled
  to false (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Driver message to SMU to indicate display off
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: To prevent detecting new sink from spurious HPD
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: drop unused dm_delay_in_microseconds
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display/dc: drop dm_delay_in_microseconds (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: make amdgpu_dm_irq_handler static (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove unused functions in amdgpu_dm_irq.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: whitespace cleanup in amdgpu_dm_irq.c/h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: make log_dpcd static (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: whitespace cleanup in amdgpu_dm_mst_types.c/h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: drop unused functions in amdgpu_dm_services.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: drop unused functions in amdgpu_dm.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: make a bunch of stuff in amdgpu_dm.c static
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: whitespace cleanup in amdgpu_dm.c/h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix typo in function name (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove useless pcrtc pointer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix typo (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Unify amdgpu_dm state variable namings
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Unify DRM state variable namings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use new DRM API where possible (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use DRM new-style object iterators (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: use kref for dc_state (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: convert dc_sink to kref (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: convert dc_stream_state to kref (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: use kref for dc_plane_state (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: convert dc_gamma to kref reference counting
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: convert dc_transfer to use a kref (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: kill a bunch of dead code (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: set a bunch of functions to static (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: kill some deadcode in dc core (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: fix indentation on a couple of returns (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dm: don't use after free (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: kfree already checks for NULL (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: fix a bunch of misc whitespace (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: drop hw_sequencer_types.h (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: drop dce110_types.h (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: use kernel ilog2 for log_2 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: don't memset after kzalloc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: inline dal grph object id functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: rename bios get_image symbol to something more
  searchable (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- amdgpu/dc: set some of the link dp code to static (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: inline all the signal_types code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: inline fixed31_32 div_int (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: use the builtin constant p trick on the 31/32
  fixed point (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- amdgpu/dc: allow inlining constant int to fixed a lot better
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: inline some of the bw_fixed code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: move some one line dp functions to inlines
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: hide some unused aux/i2c payload apis (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: inline a bunch of the fixed 31_32 helpers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: inline some of the fixed 32_32 fns (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: fix construct return values on irq service
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu: fixup construct to void paths on some more dc objects
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: remove pointless return from build_pipe_hw_param
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: another round of dce/dcn construct cleanups
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: cleanup construct returns in gpio (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: remove pointless returns in the i2caux constructor
  paths. (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- amdgpu/dc: make some audio functions return void (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: make program_regamma_pwl return void (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: make get_audio_clock_info return void (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: make dce80 timing generator construct return void
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: make dce transform constructor void (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: make opp construct void (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: make link encoder construct void (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: make stream encoder constructor return void
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: make timing generator constructor return void
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: constify a bunch of dc structs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dm: constify rgb formats (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dm: constify plane type (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dm: constify yuv_formats (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: static constify update_surface_trace_level
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: drop dc_ver char (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Remove DWB (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- amdgpu/dc: remove wait_reg/wait_reg_func interfaces (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: don't check for 0 on register read/writes always
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: drop dml display_mode_support.c (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: separate out some common code from bios parsers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: inline a bunch of float operations (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: drop display_pipe_clocks.c (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: move filter taps to being static const data (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/dc: add static to construct function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: DC I2C review (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use kernel alloc/free (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd: DC pull request review (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop experimental flag for vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix pflip irq registor for raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: don't clean-up bottom pipe plane_state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unused dc_validate_guaranteed function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Reduce DC chattiness (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Pass log_mask from DM (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add dc_log module parameter (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clean Kconfig formatting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Update include to bring in line with
  internal tree (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Change comments to bring in line with
  internal tree (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Format changes to bring in line with
  internal tree (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Disable FBC for linear tiling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Update DPP registers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Create fake sink if needed when commit stream
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Break out amdgpu_dm_connector (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add 2X Cursor Magnification Code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: No need to keep track of unreffed clk sources
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: move dwb registers to header file (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove output_format from ipp_setup
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove switching of clk sources at end
  of commit (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Power down clock source at commit (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't reset clock source at unref (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: seperate dpp_cm_helper functions into new file
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix context alloc failed logging (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix default dithering (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Enable dcn10_power_on_fe log by default
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix crc_source_select use hardcoded color depth
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: set CP2520 Test pattern to use
  DP_TEST_PATTERN_HBR2_COMPLIANCE_EYE (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: USB-C to HDMI dongle not light (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dce110: fix plane validation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Request to have DCN RV pipe Harvesting
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use TPS4 instead of CP2520_3 for phy pattern 7
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove sanity check (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Added negative check for vertical line start
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Get OTG info if OTG master enabled (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Remove unused flip_flags from amdgpu_crtc
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: clean up cm register programming functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: delete dead code (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't spam log with failed validation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Restore missing DCE8 xfm regs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Set add_stream_ctx for CZ, Hawaii and others
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Disable OTG double buffer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Program reg for vertical interrupt (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: program fbc for scatter/gather (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add backlight control in blankstream
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: not override the FMT setting set by VBIOS
  for eDP (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: clean up functions in dcn10_dpp_cm (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: only polling VSync Phase within VSync peroroid
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix time out on boot (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move dis_clk into dc_state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add aux arbitration logic (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add a clock source to a sharing pipe
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Rename dc resource_validate_ctx methods
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Rename dc validate_context and current_context
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: clean up header file includes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove mpc from bios left over, keep double
  buffer disabled (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: DF C-state entry blocked when DPMS (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: move cm registers from ipp to dpp_cm
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Update DSCL (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix MST downstream display not light up
  regression (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Use DRM provided page flip flag (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: work around for 8k sleep crash (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: do not reset lane count in EQ fallback
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clean up flattening core_dc to dc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't leak dc_stream_state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refactor atomic check (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Per plane validation context build (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Block 6Ghz timing if SBIOS set HDMI_6G_en to 0
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Safe stream encoder id in stream_status
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix return value from rx irq handler on
  up request (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Stop including atomfimrwareid.h directly
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove old, misleading comment (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unneeded code (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: retry LT on failing LT in automated request
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Change log level for DCN powergatting
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: retire dm_pp_apply_clock_for_voltage_request
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: write dpcd 0x600 to 2 for DP/eDP when powerdown
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: version 3.1.01 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Enable double buffer when unblank crtc
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dc: Remove unneeded includes in DCN
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: memory leak dwb (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: cleanup naming of DCN DPP functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fixed mpc add, enable always scaler for
  video surface (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix hubp mpcc and opp tracking (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unnecessary assignemnt (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Disable stutter for Raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix two MST not light up regressions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: separate cm functions out from dcn10_dpp
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: re-enable audio after LT test (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Cache edp config in dc link (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: separate scl functions out from dcn10_dpp
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix FBC disable for stereo (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Log OTG registers with dcn10 hw state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix not enter/exit PSR with latest driver/SBIOS
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: increase polling interval for fbc status update
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Enable Vega by default (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move copy_construct from state_alloc to
  atomic_check (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Refactor dc_state creation into a function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Per stream validate_context build v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: refactor pplib/smu communication (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Implement HDMI retimer settings for RV AM4
  support (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: move vm registers to hwsequencer (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove fake address reporting when blank
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix FBC compilation (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Leave DCN config guard around fpu header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: eDP power sequence T9 fail (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: blank otg before power gate front end
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use MAX_PIPES for DTO reg arrays (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Flattening core_dc to dc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use function pointer for update_plane_addr
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix eDP bootup/S4 backlight on (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: change dcn_ip and dcn_soc into pointers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add comment explaining context free
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: change bw_dceip and bw_vbios into pointers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add display write back(DWB) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use atomic types for ref_count (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix gamma distortion on Vega (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: disable DC on KB/ML for now (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add a TODO list (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/cik: add IP modules for DC for APUs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/disply/dc: add resource support for DCE8 APUs (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display/dc: add DCE_VERSION for DCE8 APUs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display/dc: add DIGG for KV (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add DCE8 APUs to dc_supported check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display/dm: add KV, KB, ML (v2) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display/dc: make dce120_link_encoder_create static
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display/dc: Make dce110_validate_bandwidth static (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix warnings about uninitialized use
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Pass correct number for gamma entries
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix regression in dce110_apply_ctx_for_surfaces
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix HDMI 12bits last two bits are zero issue
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: log watermarks (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Workaround for underflow (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix hw state logging regression (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Couple newline fixes (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use public plane destroy helper (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: use some sensible time out (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix accessing freed memory (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clear water mark change request bit before
  programing (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: add programming for 0 plane case (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move verify link cap after read edid
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: implement DXGI Gamma Ramps (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add more pstate sanity checks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: log underflow (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: log HW state when we about to encounter DF
  DPM hang (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix eDP power down sequence (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clean up cursor code (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Implement tmz surface (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix dlg ttu calculation input (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: update predefined latency for Rv1_F0
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix comment placement for when new_stream
  is null (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: do not report min_memory_clock_khz to pplib
  for dce8 & 10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix PHYCLK in formula (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix plane_atomic_check when no dc_state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add surface to dm_plane_state if fb reserve
  fails (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix PHYCLK in formula (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move encoder_info_frame to stream_res
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move pix_clk_params into stream_res
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move audio to stream_res (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove remaining DCN1 guard (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move stream_enc to stream_res (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move TG to stream_res (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move OPP to stream_res (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move mi, ipp, xfm to plane_res (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move scl_data to plane_res (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Stub new resource objects (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove struct from stack in dp_set_test_pattern
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Rename more dc_surface stuff to plane_state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Rename dc_stream to dc_stream_state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Rename dc_surface to dc_plane_state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove DCN1 guard as DCN1 is already open
  sourced (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: move regamma from opp to dpp for dce
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Avoid full modeset when not required
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move and Rename "is_stream_changed()"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix >340 Mhz with deep color pipe split
  no display (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix bw_calc for hdmi and 420 outputs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Keep blank until set visibility to true after
  mode switch (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix dcn fe reset memory access error
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add stateless surface validation to
  validate_resources (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Implement plane atomic_check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Initial prototype of FBC implementation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add preferred mode from Video Format Preference
  Data Block (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Add per surface validation hook (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix DCN compile errors (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: move ocsc programming from opp to dpp for dce
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix ckeckpatch problems in amdgpu_dm
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Merge amdgpu_dm_types and amdgpu_dm
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Rename firmware_info to dc_firmware_info
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: update clocks we report to PPlib (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add detect caps for edp (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix mpcc idle wait (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: mpc block redesign (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: collapse dce11 reset_hw_ctx_wrap into 1
  function (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: safeguard compressor api (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: reduce 40s time out to 1s in disable crtc
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Roll stream into dc_stream (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Roll core_stream into dc_stream (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: log HUBP using DTN logging (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add interfaces for new CM blocks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Disable timestamp and entry heading
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Minor fix for dc_sink refactor (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clean up some DCN1 guards (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: move ocsc programming from opp to dpp
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix eDP panel light-up (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use stream validation hook (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move stream validations into seperate function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: break up plane disable and disconnect in
  set mode (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: separate plane disable sequence (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: single PSR display not allow CSTATE sw w/a
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Roll core_gamma into dc_gamma (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Roll gamma struct into core_gamma (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Roll core_sink into dc_sink (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Roll sink struct into core_sink (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Roll core_link into dc_link (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Roll core_surface into dc_surface (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move DCHUBBUB block from MemInput to HW
  sequencer (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: move RGAM programming from opp to dpp
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix YCbCr420 deep color mode not supported
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add missing func for dce11o to avoid crash
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: move ocsc programming from opp to dpp
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add idle wait for passive surface update
  and modeset (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fix generic_reg_wait 1000ms case (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: move VGA to HWSS from TG (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix decide_link_settings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Roll surface struct into core_surface
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: support for updated register headers on DCN
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Change DTN_INFO macro (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Implement logic for hdmi info packet bits
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: revert dcn10 soc defaults to 17 19 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix locking in apply_ctx_for_surface
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: mpcc disconnect and pipe pg in multi-display
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: update dcn register headers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: mpo debug sanity checks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: plumbing to allow easy print of HW state
  for DTN (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: register programming consolidation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix index and union overwrite in compressor
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Return hpd_irq_dpcd from hpd_rx handler
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Set i2c speed to 100khz for DCE11.2 and later
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix dcn10_resource read_dce_straps (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Add missing SURFACE_TMZ register shift/mask
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include: Add DCHUBBUB_TEST_DEBUG register defines
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include: Add DC_PINSTRAPS.AUDIO defines (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Do not release state objects on atomic
  check fail (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: powergate fe of reused pipes to reset ttu
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add regkey for DRR control for internal panel
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: revert order change of HUBP and MPC disable
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix aviInfoFrame bar Info and add set_avMute
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: properly turn off unused mpc before front end
  programming (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix DVI connected to HDMI connector max
  tmds clock (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: link training fallback actions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix S3 gamma corruption (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move view port registers and programming to
  memory input (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: hwseq init sequence update (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add line number to reg_wait timeout print
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Release cached atomic state in S3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Preserve refcount for S3 case (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Rename trasnform to dpp for dcn's (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix mpo exit hang (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: ensure OTG is locked before proceeding
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix 4k@30 with 10bit deep color and avi
  for BT2020 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: avoid disabling opp clk before hubp is blanked
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dc_validate_ctx refocunt fixes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: change order of HUBP and MPC disable according
  to HW guide (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fix eDP power isn't off when lid close
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Release dm_state->context when state is cleared
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Skip DC validation for flips and cursor
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Introduce refcount for dc_validate_context
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: change non_dpm0 state's default SR latency
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Flattening to dc_transfer_func (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Attach surface to dm_plane_state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clean dm_plane_state hooks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Leave all validate_ctx life cycle management
  to DC (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fix context copy memory leak (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal1.1 hwseq prog update (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal1.1 xfm prog update (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal1.1 ipp prog update (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dal1.1 opp prog update (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: minor dcn10_hwseq clean up/refactor
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: get dal1.1 to run (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix MPO visual confirm (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: refactor dcn10 hw_sequencer to new reg
  access style (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Refactor dc_commit_streams (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: call pplib to update clocks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Change how we disable pipe split (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: block modes that require read bw greater
  than 30%% (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: move number of memory channel calc out of
  pplib call (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: update DPM bounding box (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Undo dc_update_surfaces_and_stream change
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove acrtc->stream (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Update atomic state hooks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use validate_context from atomic_check
  in commit (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Add validate_context to atomic_state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Commit validation set from state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add correct retain/release (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Hook dm private state into atomic_check
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Create dm_atomic_state (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: set drr during program timing (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove SMU_INTERRUPT_CONTROL (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Enable ipp compilation (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Rename DCN opp specific function prefixes
  to oppn10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Rename DCN mem input specific function
  prefixes to min (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Rename DCN TG specific function prefixes to tg
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Set static screen register for stoney/carrizo
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix for hdmi frame pack stereo (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Enabling VSR on 4K display causes black screen
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Re-enable Vsync Interrupts for Gradual
  Refresh Ramp (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Add DC interface for custom CSC matrix
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Change max OPP (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: enable diags compilation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add extra mode and clock info to DTN logs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Connect DC resource to FBC compressor
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add hyst frames for fixed refresh (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move dm_plane_state to DAL header (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix dcn pipe reset sequence (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove unneeded FBC hw programming code
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add clock info struct (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Create dm_crtc_state stubs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Make mode_config_funcs const (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move drm_get_vblank from legacy code
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: RV stereo support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix misuse of plane state destroy helper
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move kms_atomic support flag to dm_early_init
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move dm_plane_state definition to DAL header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clean up unused function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: w/a no color space info for HDMI when build AVI
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't program scaler if we have no surface
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Disable pipe split (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Global lock typos fix (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Workaround IGT multiplane restriction
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix bw_calc_auto translation error (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refine globallock (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dcn bw_calc_auto update rev 247 to 250
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: make variable latency into a regkey option
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: use different sr latencies for dpm0 dcn bw calc
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove check update type function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add global lock function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: MST atomic_get_property missing (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Create dm_plane_state (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add pipe split disable regkey (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: do full fe reprogram on full update
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix dc_post_update_surfaces_to_stream
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix issues with incorrectly detecting
  UPDATE_TYPE_FULL (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: fix dc_check_update_surfaces_for_stream memcmp
  sequence (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Save hpd_src for dc_link (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: RV stereo support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't call DCN clk code for Vega (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Handle commit plane with no FB (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Get rid of seperate flip function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: DAL3 RV get DPREFCLK SpreadspectrumInfo from
  smu_info (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: RV stereo support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove get_position() of underlay (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: enable pipe split (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: w/a for ycbcr output pre-multiplied alpha
  corruption (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: redesign mpc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: disable dcc when reset front end (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: RV stereo support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add bw logging for dcn (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix enable_optc_clock reg_wait timeouts
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use surface update inuse for pending check
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Temporary disable BTR FreeSync support for now
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: propagate surface alpha setting from OS to DC
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Call program_gamut explicitly instead of entire
  set_plane (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Add function to log connectivity (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix single link black screen (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix DRR Enable on Desktop (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refactor to call set PSR wait loop in dce_dmcu
  instead of dce_clocks (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: fix mpc alpha programming (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: disable forced stutter disable after
  programming watermark (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: remove disable_clk_gate debug flag for DCN
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add assertion for invalid surface dimensions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: clean up mpc programing during fe reset
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't update surface if dimensions are 0
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unsupported RGB formats (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Enable DCN clock gating (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove redundant member from amdgpu_plane
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add function to get PSR state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Universal cursor plane hook-up (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix mpo + split pipe aquisition failure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix surface attachment handling of pipe split
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: allow taking split pipes during resource
  mapping (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: stop adjusting scl taps when scl ratio is
  one on dcn (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Don't commit surfaces if no stream (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: update NV12/NV21 as the YUV format (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: default spd packet to invalid (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: re-order the luma chroma addres updation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: create_links bug with empty DDI slot
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't guard x86 in Makefile (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Get rid of get_dm_commit_action (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix NULL pointer in dm_commit_surfaces
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Disable PSR entry abort to prevent intermittent
  freezes (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Add FORCE_HDR timing flag (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Allow update stream without surface
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add disable_psr debug flag (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clean unused interface (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix handling of scaling and underscan
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 65545a2
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amd/display: Limit DCN to x86 arch (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 6e05bd9
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amd/display: program scaler not called (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add always_scale debug flag to dc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Enable DRIVER_ATOMIC flag for DAL (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/soc15: enable DC ip module for Raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: call amdgpu_dm_fini when hw_fini (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: No need to assert on stream_status (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unused addr var in TG (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix flip register write sequence (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove GRPH_SURFACE_UPDATE_IMMEDIATE_EN field
  programming (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix YUV surface address programming sequence
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove redundant condition (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Query for update plane type (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Tidy up
  mem_input_program_surface_flip_and_addr() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Tidy up dce120_clock_source_create()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clean up indentation in dce120_tg_set_blank()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Make dce120_tg_is_blanked() more legible
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix indentation in dce120_tg_program_timing()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Tidy up
  dce120_timing_generator_enable_advanced_request() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix ASSR enablement on DP to EDP converter
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add missed wait_for_prev_commits (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Implement input gamma LUT (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refactor use_lut() from dce110 to dce
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: revert dc_get_validate_context re-entrancy fix
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: make dc_get_validate_context re-entrant
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix 5th display lightup on Vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: read VM settings from MMHUB (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Unify loop for surface update and page flip
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add missing GRPH_UPDATE_LOCK field macro for
  dce_mem_input (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fix dcn10 cursor set position hang (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clean unused interface (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use dc_update_surfaces_for_stream for flip
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dce 8 - 12 mem_input refactor to new style
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Disable ABM when eDP is disabled (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix slow FPS (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix mpo blanking out on one of planes being
  set not visible (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Program CSC Mode For BT2020 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove duplicate entry from log_mask
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add explanation for surface_update_type
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix scaling info based surface update
  type check (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: add yuv pixel formats to pixel_format_to_bpp()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix scaling calculation for proper surface
  input format (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: DCE12 num_timing_generators should be 6
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move output transfer function to stream updates
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix freesync not working on raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: enable watermark range reporting to pplib
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: single channel bandwidth verses dual channel
  bandwidth (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Use MED update type if clip position changes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add 64KB_S_T and 64KB_D_T swizzle mode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: switch to using calc_clk and cur_clk for dcn
  bw setting (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: refactor bw related variable structure in
  val_ctx (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: prevent assert on error of 1 in
  calc_freesync_range (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Fix race (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: ifdef some code only needed for DCN
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Implement support for backlight optimization
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Continue with stream enable if DP link
  training fails (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: do not set_mpc_tree if tree is already setup
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: use signal type to decide whether to set
  backlight (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Allow MPO on Raven (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Only apply ctx for specific surface
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: bw debug options now apply to dml as well
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Keep DVI_SINGLE_LINK signal if low clk
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: i2c/aux Remove link index (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't call PSR func if DMCU is off (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/display: fix semicolon.cocci warnings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: enable dcn1.0 dc support on raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit af84a05
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amdgpu/display: Enable DCN in DC (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit a22be53
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amdgpu/display: Add irq support for DCN (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/display: Add i2c/aux support for DCN (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/display: Add gpio support for DCN (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/display: Add dml support for DCN (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/display: Add core dc support for DCN (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/display: Add calcs code for DCN (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix resume hang because of DP short pulse
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Assign stream to map before we need it
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Get dprefclk ss percentage from vbios
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: move drr_params definition to TG (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Disable cursor on video surface (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add support for FreeSync on eDP to module
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add function to set dither option (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Check for Zero Range in FreeSync Calc
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix crash caused by incorrect index being
  used for array (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Define dithering options (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: decouple resource_pool from resource_context
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: FreeSync Auto Sweep Support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: no need for return value from
  ipp_program_degamma_pwl (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: dce80, 100, 110 and 112 to dce ipp refactor
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: dce120 to dce ipp refactor (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: clarify delay param for REG_WAIT (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: move tg_color to dc_hw_types (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: PSR Refactor (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Make dc_link param const in set_drive_settings
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: improve cursor programming reliability
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: USB-c DP-HDMI dongle shows garbage on Sony TV
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Make sure v_total_min and max not less than
  v_total (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: always retrieve PSR cap (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix memory leak (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: set correct v_total_min and v_total_max for dce
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove unnecessary allocation for
  regamma_params inside opp (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Fix memory leak in post_update_surfaces
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Block YCbCr formats for eDP. Revert previous
  change (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: make dc_commit_surfaces_to_stream() re-entrant
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: update the YUV plane offsets (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: initialize YUV plane capabilities (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Return context from validate_context
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move resource_validate_ctx_destruct to dc.h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Copy ctx to current_context instead of assign
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: pull commit_surfaces out of atomic_commit
  into helper function (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: update dce8 & 10 bw programming (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Get rid of temp_flip_context (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unused scratch_val_ctx (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: FreeSync LFC MIN/MAX update on current frame
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add support for programming stereo sync
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Parse scanline registers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: use full surface update when stream is NULL
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix missing irq refactor causing potential
  i2c race (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fix for tile MST (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: set NULL value during removal for remoteSink
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: change mpo surface update check condition
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add same check as reset pipes for programing
  backend regs (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Adding dm controlled signal type in dc_stream
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Memory was freed twice during disable
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix hotspot programming during set cursor
  position (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: adding FCLK and DPPCLK clock types (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Prevent premature pageflip when comitting in
  vblank. (v3) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fix race between vblank irq and pageflip
  irq. (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: get_atomic_property missing for
  drm_connector_funcs (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Fallback on legacy properties in
  atomic_get_properties (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Allow planes on all crtcs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix nullptr on vega initialization (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix s3 hang on resume (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Log clock source in error condition
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Ignore visible flag when check surface
  update type (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fill in vrefresh and min_vblank_time for
  dce8/dce10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: PSR Aux Channel and Static Screen Support Fix
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refactor edid read (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix i2c write flag (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove get_connector_for_sink (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove get_connector_for_link (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix dce_calc surface pitch setting for non
  underlay pipes (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Temporary disable PSR for HBR2 & HBR3
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: refactor member referencing to improve
  readability (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: remove surface validation against stream rect
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: update plane functionalities (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix cleanup in amdgpu_dm_initialize_drm_device
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: decouple per-crtc-plane model (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: obtain usHBR3En bit from BP 1 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: stereo support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: use CP2520-3 for PHY compliance automation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix MPO exit and cursor issue (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: increase timeout for dmif dealloc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: voltage request related change (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: use CRTC_VERTICAL_INTERRUPT0 as a trigger
  for VBLANK (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: use CRTC_VERTICAL_INTERRUPT0 as VBLANK trigger
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Rename bandwidth_calcs.h to dce_calcs.h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Power on front end during set mode (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add audio/video ContainerId implementation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: using calculated values for VReady/Startup
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove redundant check (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: DP is hotplugged, HDMI with 4:2:0 corruption
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix applying surface to underlay pipe
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Set cursor pitch to cursor width (in pixels)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Unhardcode cursor size reported back to UMD
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Unhardcode acrtc->max_cursor_{height,width}
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix gfx9 parameters reading for DC (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix the NULL pointer. (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: support PHY compliance automation for CP2520
  pattern 1/2/3 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: support CP2520 pattern 2 for HBR2 compliance
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use stream_enc to get head pipe (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove dc_pre_update_surfaces_to_stream
  from dc use (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: use extended receiver cap for dpcd ver
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: changing the dc_update_surfaces_and_stream
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix bw calc internal initialization error
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fixed bandwidth calculation error when
  converting fractions (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: adding new dc_update_surfaces_and_stream
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/soc15: enable dc on vega10 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- commit 015674f
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amd/display: Remove DCE12 guards (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit c08f25a
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amd/display: Less log spam (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: need to handle DCE_Info table ver4.2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit c890598
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amd/display: Enable DCE12 support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 16daf51
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amd/display: Add DCE12 core support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add DCE12 irq support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add DCE12 i2c/aux support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add DCE12 gpio support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add DCE12 bios parser support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: get display info from DC when DC enabled
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix incorrect vp adjustment (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Less log spam (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix viewport adjustment on rotated surface
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix hsplit viewport calculation for
  rotated/mirrored usecases (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: add init calculation to scaler params
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refactor on dc_sink structure (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Switch to DRM helpers in s3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Do not copy bottom pipe when map resource
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: After program backend, also program front
  end regs (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: TPS4 logic typo fix (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: move refclk from dc to resource_pool
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Memory leak fix during disable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: refclock from bios firmwareInfoTable
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Simplify some DMCU waits (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Adding FastUpdate functionality (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: sometime VtotalMin less than VTotal (rounding
  issue) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: remove independent lock as we have no use
  case today (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: clean up and simply locking logic (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove page_fleep_needed function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refactor headless to use atomic commit. (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/amdgpu: Pulling old prepare and submit for
  flip back" (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Refactor atomic commit implementation. (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: extended the programming sequence to VFlip
  as well (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: We don't support interlace and doublescan
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: freesync pipe split :VTotal_Min_Mask for
  Hflip/lock (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Remove unused define from amdgpu_dm_types
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use amdgpu mode funcs statically (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix dce100_validate_bandwidth return value
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Some more warning fixes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: move visual confirm recout adjustment to scaler
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: bandwidth update fix (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove apply_clk_constraints, used
  validate_bandwidth universally (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix warnings in DC (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix warnings in amdgpu_dm (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Surface Validation Fixes + Audio Mask
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add scaler coefficients for 64 phase 5-8 taps
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix gamma colour corruption for 10 bit surfaces
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: DMCU PSR Refactor (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: 420 clock divided by 2 twice (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: HDMI deep color mode audio issue (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: rename bandwidth_calcs.c to dce_calcs.c (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add a few members to support DAL atomic refactor
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Expose mode_config functions for DM (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix incorrect programming for YCbCr422 and
  YCbCr420 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix 12bpc truncate to 10bpc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: audio bug fix part 1: Add missing audio ACR
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix error where wrong payload size is given
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add query_ddc_data function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add bypass case for PQ transfer function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix dc_commit_surfaces_to_stream for dcc
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove LINUX_VERSION_CODE check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't attempt to program missing register
  fields on DCE8 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fix 64-bit division, yet again (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/dc: hw_sequencer: fix semicolon.cocci warnings
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/dc: fix semicolon.cocci warnings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix missing fcn pointer on DCE8 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix logic that causes segfault on DP display
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: color distortion after DPMS+ background
  color fix (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: report cursor size base on the ASIC
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix program pix clk logic to unblock deep
  color set (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Set ignore_msa_timing flag for freesync modes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Enable regamma 25 segments and use double
  buffer (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: handle unsupported sink types (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Audio is not switching to DP when HDMI/DP hot
  plug/unplug (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix psr status wait (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: use disp clock value in context rather than
  bw_results (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fix MST physical ports always disconnected
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix crash with modesetting driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fixed color temperature corruption (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Adding 10 bpcc video P010 format (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: HDMI YCbCr422 12bpc pixel format issue
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix YCbCr pixel format shows green issue
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clear test pattern when enabling stream
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: mclk level can't be 0 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix 64-bit division (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove CV-specific timing standard (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: surface validation on dce100 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add dcfclk reporting to pplib (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Debug option to force enable ABM (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Support ABM without PPlib (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Make new pixel clock more obvious (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move backlight from encoder to ABM (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: DMCU Compile and Load (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Change power gating off sequence to fix hang
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: DP compliance automation test fixes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Expose hw sequencer gamma function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix compile warnings (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Rename atomic_commit parameter (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Make sure to update address without flip
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix timing trace debug print (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix Warnings (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: enable color gamma programming (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fixed 4K black issue by refactor update surface
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Check we got a stream in update_info_frame
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: clean up redundant logic (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: refactor dc_update_surfaces_for_stream
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: improve debug-ability (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: prevent setting cursor position with no surface
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Change update surface condition, fix surface
  transition corruption (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Proper de-allocation of OPP (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: check surface size is at least as large
  as stream (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Remove power gating debug flags (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Don't reserve pipe for underlay on ASIC without
  underlay (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: add missing dcc update on flip call
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Clean index in irq init loop (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Register on VLBLANK ISR (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add interrupt entries for VBLANK isr
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add missing MI masks (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix missing conditions in hw sequencer
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: rename BGRA8888 to ABGR8888 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove meta_pitch (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: refactor clk_resync to avoid assertion
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: HDR Enablement For Applications (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Set default degamma to sRGB instead of bypass
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: enable clock gating and dchubp power gating
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove calculate_adjustments in conversion.h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove dead code (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove SIGNAL_TYPE_WIRELESS (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove hw_info_frame (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove hw_crtc_timing (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove un-used defines and dead code
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: assert if mask is 0 in set_reg_field_value_ex
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: mode change without breaking unaffected streams
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use pflip prepare and submit parts (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: No audio output heard from DP panel
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fixing some fallout from dc_target removal
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Disable Modules at Runtime (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Output Transfer Function Regamma Refactor
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Null check clock source (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove dc_target object (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Pass visible flag into surface programming
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add Polaris12 to bw_calc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Use DTO as clock on DP if not (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: start using linux hdmi header (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: drop min/max wrappers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Support 64-bit Polaris11 5k VSR (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: When signal type of sink is none, use link
  type for stream (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: set blank functionality (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: blank mechanism for supporting MPO (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix cursor disappearing after resume
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/virt: disable dc (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Don't fail validation for SIGNAL_TYPE_VIRTUAL
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove HDMI deep color debug flag (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix Infoframe byte 28-31 doesn't get written
  out to register (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Check hdr support before setting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix wrong index bug in set_avi_info_frame
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix warnings in DC (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix misleading indentation bug in link_encoder
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unused function in gamma_calcs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix startup sequence v3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix DP PHY test pre-emphasis not set properly
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix gamma for dpms usecase (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: limit HBR3 support to Polaris and up
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: simplify link_encoder (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix link retraining hw sequence for auto test
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix link retraining hw sequence (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove unused color and power modules
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: enable option to disable HDR related updates
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix color module crash when hotplug monitors
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: set HBR3 and TPS4 capable flags (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Set gamma to NULL at release (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add missing function to fix crash for DP Test
  pattern 4 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Don't use target before null check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: debug option to disable color module
  fucntionality (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: debug opt disable hdmi deep color (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: DAL3: HDR10 Infoframe encoding (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Allow multiple instance of DTO regs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Pass adev to fill_plane_attr (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add refcount debug assert (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fixed crash caused by unnecessary clock
  source in split pipe (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/display: Fixed split update bug (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix licensing header (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fixed crash (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: reset transfer_func to NULL on release
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: don't crash if stream is NULL when trying to
  share clocks (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Implement gamma correction using input LUT
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Reset gamma to NULL after release (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: track cursor width in ipp (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add dcc param to surface (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: minor clock source refactor (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add pitch to cursor attributes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: 4k split black out due to incorrect cursor
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix Regamma end point (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Framework for degamma and regramma through
  color module (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: assign correct enum for edp revision
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: port to using drm dpcd defines (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Move dpcd structs into dp_types header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: drop setmode complete notifier (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: drop get platform info (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: drop register logger and pid/tgid getters
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove some unused wrappers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove dc hub - this seems unused (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix programming of gamma end points
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix distribution of segments for PQ
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: OPP refactor and consolidation for DCE
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Implement PQ curve based on output transfer
  function (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Refactor to move gamma correction to module
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: define reg helpers to update registers with 8
  and 9 fields (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Refactor output transfer function to stream
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix hotplug regression after code refactor
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add debug option to disable dmcu (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Refactor to move color helper into module
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Resolved HDMI assert in dal (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/dal: Add POLARIS12 support (v2) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/dp-helper: add missing defines needed by AMD display core
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add in/out transfer functions to DC
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Moved swizzle parameter translation to dc
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: re gamma programming (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix HDMI scaling corruption issue (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Retrieve windowed fullscreen state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Change locking of registers when flipping
  frames (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fix Gamma Adjustment (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Added timing sync trace (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix up construction of scratch_val_ctx
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix refcount over dc_sink (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: avoid apply_clk_constraints for address update
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix indexing bug (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix warning. Set MAX_SURFACES to 3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix warning in freesync module (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix bunch of warnings in DC (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove DM_NOT_IMPL messages (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: moving remaining functionality from gpu to
  dce_clocks (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Temporarily blocking interlacing mode until
  it's supported (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: create scratch_val_ctx as temp w/a (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: use rgb full range as default quantization
  for non HDMI (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: fix display clock integrated info read
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: add newline to generic_reg_wait timeout message
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: consolidate dce8-11.2 display clock code
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove clocks_state enum (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove get_min_clocks_state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove store clock state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: restyle display clock calls part 2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: restyle display clock calls part 1 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: remove dead display clock code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Add missing GRPH register definition
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: refactor DCE11 DVVM (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: fix REG_SET_5 macro (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Remove obsolete LATEST_ATOM_BIOS_SUPPORT
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Removing extra newline (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Update rgb limited range csc matrix calculation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Block 3D Timings (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix memory corruption issue (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/display: Fix bugs causing Hawaii and Bonaire not
  light up (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/display: Fix hdmi not lighting up on Hawaii (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/dc/dm: remove redundant display structs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 88d62ae
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amd/dc: Add dc display driver (v2) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit dffbb09
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amdgpu: Pulling old prepare and submit for flip back
  (bsc#1051510).
- via_dmablit(): use get_user_pages_fast() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- r128: switch compat ioctls to drm_ioctl_kernel() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- of/platform: Generalize /reserved-memory handling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Pass mode to wait_on_atomic_t() action funcs and provide
  default actions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: exynos: Add driver for HDMI audio interface (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/hdmi: add 85.5MHz pixel clock for v14 HDMI PHY
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/mixer: enable support for 1024x768 and 1280x1024
  modes (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/exynos/hdmi: quirk for support mode timings conversion
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/mixer: pass actual mode on MIXER to encoder
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: add mode_fixup callback to exynos_drm_crtc_ops
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/hdmi: remove redundant mode field (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/mixer: remove mixer_resources sub-structure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/mixer: fix mode validation code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/mixer: move resolution configuration to single
  function (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/exynos/mixer: move mode commit to enable callback
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/mixer: abstract out output mode setup code
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: analogix_dp: Use mutex rather than spinlock
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Reorder context-close to avoid calling
  i915_vma_close() under RCU (FATE#322643 bsc#1055900).
- drm/i915: Move init_clock_gating() back to where it was
  (FATE#322643 bsc#1055900).
- drm/i915: Prune the reservation shared fence array (FATE#322643
  bsc#1055900).
- drm/i915: Idle the GPU before shinking everything (FATE#322643
  bsc#1055900).
- drm/i915: Lock llist_del_first() vs llist_del_all() (FATE#322643
  bsc#1055900).
- drm/i915: Calculate ironlake intermediate watermarks correctly,
  v2 (FATE#322643 bsc#1055900).
- drm/i915: Disable lazy PPGTT page table optimization for vGPU
  (FATE#322643 bsc#1055900).
- drm/i915/execlists: Remove the priority "optimisation"
  (FATE#322643 bsc#1055900).
- drm/i915: Filter out spurious execlists context-switch
  interrupts (FATE#322643 bsc#1055900).
- qxl: alloc & use shadow for dumb buffers (bsc#1072190).
- drm/qxl: replace QXL_INFO with DRM_DEBUG_DRIVER (bsc#1072190).
- drm/mode_object: fix documentation for object lookups
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vblank: Tune drm_crtc_accurate_vblank_count() WARN down
  to a debug (bsc#1051510).
- drm/rockchip: add CONFIG_OF dependency for lvds (fate#323912).
- drm/amdgpu: use irq-safe lock for kiq->ring_lock (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: bypass lru touch for KIQ ring submission
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Potential uninitialized variable in
  amdgpu_vm_update_directories() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: potential uninitialized variable in
  amdgpu_vce_ring_parse_cs() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/powerplay: initialize a variable before using it
  (bsc#1051510).
- drm/amd/powerplay: suppress KASAN out of bounds warning in
  vega10_populate_all_memory_levels (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: fix evicted VRAM bo adjudgement condition
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Fix wrong printk format in vc4_bo_stats_debugfs()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Require __GFP_NOFAIL for the legacy drm_modeset_lock_all
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Downgrade pr_err to pr_debug for memory allocation
  failures (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/ttm: Always and only destroy bo->ttm_resv in
  ttm_bo_release_list (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/amdgpu: Enabling ACP clock in hw_init (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/virt: don't dereference undefined 'module' struct
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20171023 (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Map VBT DDC Pin to BSpec DDC Pin (FATE#322643
  bsc#1055900).
- drm/i915: Let's use more enum intel_dpll_id pll_id (FATE#322643
  bsc#1055900).
- drm/i915: Use existing DSI backlight ports info (FATE#322643
  bsc#1055900).
- drm/i915: Parse DSI backlight/cabc ports (FATE#322643
  bsc#1055900).
- drm/i915: Skip waking the device to service pwrite (FATE#322643
  bsc#1055900).
- drm/i915/crt: split compute_config hook by platforms
  (FATE#322643 bsc#1055900).
- drm/i915: remove g4x lowfreq_avail and has_pipe_cxsr
  (FATE#322643 bsc#1055900).
- drm/i915: Drop the redundant hdmi prefix/suffix from a lot of
  variables (FATE#322643 bsc#1055900).
- drm/i915: Unify error handling for missing DDI buf trans tables
  (FATE#322643 bsc#1055900).
- drm/i915: Centralize the SKL DDI A/E vs. B/C/D buf trans
  handling (FATE#322643 bsc#1055900).
- drm/i915: Kill off the BXT buf_trans default_index (FATE#322643
  bsc#1055900).
- drm/i915: Pass encoder type to cnl_ddi_vswing_sequence()
  explicitly (FATE#322643 bsc#1055900).
- drm/i915: Integrate BXT into intel_ddi_dp_voltage_max()
  (FATE#322643 bsc#1055900).
- drm/i915: Pass the level to intel_prepare_hdmi_ddi_buffers()
  (FATE#322643 bsc#1055900).
- drm/i915: Pass the encoder type explicitly to skl_set_iboost()
  (FATE#322643 bsc#1055900).
- drm/i915: Extract intel_ddi_get_buf_trans_hdmi() (FATE#322643
  bsc#1055900).
- drm/i915: Relocate intel_ddi_get_buf_trans_*() functions
  (FATE#322643 bsc#1055900).
- drm/i915: Flush the idle-worker for debugfs/i915_drop_caches
  (FATE#322643 bsc#1055900).
- drm/i915: adjust get_crtc_fence_y_offset() to use base.y
  instead of crtc.y (FATE#322643 bsc#1055900).
- drm/i915: Unify skylake plane disable (FATE#322643 bsc#1055900).
- drm/i915: Unify skylake plane update (FATE#322643 bsc#1055900).
- drm/i915: dspaddr_offset doesn't need to be more than local
  variable (FATE#322643 bsc#1055900).
- drm/i915: move adjusted_x/y from crtc to cache (FATE#322643
  bsc#1055900).
- drm/i915: Convert timers to use timer_setup() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Replace *_reference/unreference() or *_ref/unref with
  _get/put() (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Fixup userptr mmu notifier registration error handling
  (FATE#322643 bsc#1055900).
- drm/i915: No need for RING_MAX_NONPRIV_SLOTS space (FATE#322643
  bsc#1055900).
- drm/i915/uc: Add pretty printer for uc firmware (FATE#322643
  bsc#1055900).
- drm/i915: Handle drm-layer errors in intel_dp_add_mst_connector
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Silence the compiler for impossible errors
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove mostly duplicated video DIP handling from
  PSR code (FATE#322643 bsc#1055900).
- drm/i915: Add in-flight request details to intel_engine_dump()
  (FATE#322643 bsc#1055900).
- drm/i915: Skip HW reinitialisation on resume if still wedged
  (FATE#322643 bsc#1055900).
- drm/i915: Trim struct_mutex hold duration for
  i915_gem_free_objects (FATE#322643 bsc#1055900).
- drm/i915: Only free the oldest stale object before a fresh
  allocation (FATE#322643 bsc#1055900).
- drm/i915: Set our shrinker->batch to 4096 (~16MiB) (FATE#322643
  bsc#1055900).
- drm/i915: Wire up shrinkctl->nr_scanned (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Move dev_priv->mm.[un]bound_list to its own lock
  (FATE#322643 bsc#1055900).
- drm/i915: Remove walk over obj->vma_list for the shrinker
  (FATE#322643 bsc#1055900).
- drm/i915: Drop debugfs/i915_gem_pin_display (FATE#322643
  bsc#1055900).
- drm/i915: Rename obj->pin_display to obj->pin_global
  (FATE#322643 bsc#1055900).
- drm/i915: Refactor testing obj->mm.pages (FATE#322643
  bsc#1055900).
- drm/i915/cnl: WaRsUseTimeoutMode (FATE#322643 bsc#1055900).
- drm/i915/huc: Move fw select function (FATE#322643 bsc#1055900).
- drm/i915/guc: Update Guc messages on load failure (FATE#322643
  bsc#1055900).
- drm/i915/uc: Unify firmware loading (FATE#322643 bsc#1055900).
- drm/i915: Update DMC firmware load error messages (FATE#322643
  bsc#1055900).
- drm/i915/uc: Add message with firmware url (FATE#322643
  bsc#1055900).
- drm/i915/uc: Improve debug messages in firmware fetch
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Pick better place for Guc final status message
  (FATE#322643 bsc#1055900).
- drm/i915/uc: Check all firmwares against WOPCM size (FATE#322643
  bsc#1055900).
- drm/i915/guc: Reorder functions in intel_guc_fw.c (FATE#322643
  bsc#1055900).
- drm/i915/guc: Rename intel_guc_loader.c to intel_guc_fw.c
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Move doc near related definitions (FATE#322643
  bsc#1055900).
- drm/i915/guc: Small fixups post code move (FATE#322643
  bsc#1055900).
- drm/i915/guc: Move GuC boot param initialization out of xfer
  (FATE#322643 bsc#1055900).
- drm/i915: Move intel_guc_wopcm_size to intel_guc.c (FATE#322643
  bsc#1055900).
- drm/i915: enable to read CSB and CSB write pointer from HWSP
  in GVT-g VM (FATE#322643 bsc#1055900).
- drm/i915: Always stop the rings before a missing GPU reset
  (FATE#322643 bsc#1055900).
- drm/i915: Keep the rings stopped until they have been
  re-initialized (FATE#322643 bsc#1055900).
- drm/i915: Stop asserting on set-wedged vs nop_submit_request
  ordering (FATE#322643 bsc#1055900).
- drm/i915: Split intel_enable_ddi() into DP and HDMI variants
  (FATE#322643 bsc#1055900).
- drm/i915: Plumb crtc_state etc. directly to
  intel_ddi_pre_enable_{dp,hdmi}() (FATE#322643 bsc#1055900).
- drm/i915: Split intel_disable_ddi() into DP vs. HDMI variants
  (FATE#322643 bsc#1055900).
- drm/i915: Remove useless eDP check from
  intel_ddi_pre_enable_dp() (FATE#322643 bsc#1055900).
- drm/i915: Split intel_ddi_post_disable() into DP vs. HDMI
  variants (FATE#322643 bsc#1055900).
- drm/i915: Inline the required bits of intel_ddi_post_disable()
  into intel_ddi_fdi_post_disable() (FATE#322643 bsc#1055900).
- drm/i915: Extract intel_disable_ddi_buf() (FATE#322643
  bsc#1055900).
- drm/i915: Extract intel_ddi_clk_disable() (FATE#322643
  bsc#1055900).
- drm/i915: Dump 'output_types' in crtc state dump (FATE#322643
  bsc#1055900).
- drm/i915: Replace *_reference/unreference() or *_ref/unref
  with _get/put() (FATE#322643 bsc#1055900).
- drm/i915: Get rid of hardcoded pipes (FATE#322643 bsc#1055900).
- drm/i915: Add retries for LSPCON detection (FATE#322643
  bsc#1055900).
- drm/i915: Don't give up waiting on INVALID_MODE (FATE#322643
  bsc#1055900).
- drm: Add retries for lspcon mode detection (bsc#1051510).
- drm/i915/bdw: Fix DP_AUX_CH_CTL_TIME_OUT setting (FATE#322643
  bsc#1055900).
- drm/i915: Fix DP_AUX_CH_CTL_TIME_OUT naming (FATE#322643
  bsc#1055900).
- drm/i915/selftests: Exercise adding requests to a full GGTT
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: Wrap a timer into a i915_sw_fence
  (FATE#322643 bsc#1055900).
- drm/i915: Start tracking PSR state in crtc state (FATE#322643
  bsc#1055900).
- drm/nouveau/bios/timing: mark expected switch fall-throughs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/devinit/nv04: mark expected switch fall-throughs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bios: make const arrays hwsq_signature and edid_sig
  static (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/core/memory: fix missing mutex unlock (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu: swap out round for ALIGN (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Minor cleanups (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdkfd: Update queue_count before mapping queues
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Cleanup DQM ASIC-specific ops (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Register/Deregister process on qpd resolution
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix debug unregister procedure on process
  termination (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdkfd: Avoid calling amd_iommu_unbind_pasid() when
  suspending (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdkfd: Disable CP/SDMA ring/doorbell in MQD (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Clean up the data structure in kfd_process
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: deprecate and remove KFD interface (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: use a high priority workqueue for IH work
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: wait only for IH work on IH exit (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: increase IH num entries to 8192 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: use standard kernel kfifo for IH (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: increase limit of signal events to 4096 per process
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Make event limit dependent on user mode mapping size
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Use IH context ID for signal lookup (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Simplify event ID and signal slot management
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Simplify events page allocator (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Use wait_queue_t to implement event waiting
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: remove redundant kfd_event_waiter.input_index
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix event destruction with pending waiters
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Clean up kfd_wait_on_events (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix scheduler race in kfd_wait_on_events sleep loop
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Short cut for kfd_wait_on_events without waiting
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Don't dereference kfd_process.mm (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add SDMA trap src id to the KFD isr wanted list
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: wrong control mode cause the fan spins
  faster unnecessarily (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/powerplay: fix memory leak of hardcoded pptable
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:add fw-vram-usage for atomfirmware (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: fix atombios on big endian (bsc#1051510).
- drm/ttm:fix memory leak due to individualize (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix error handling in amdgpu_bo_do_create
  (bsc#1051510).
- drm/ttm: once more fix ttm_buffer_object_transfer (bsc#1051510).
- drm/amd/powerplay: change ASIC temperature reading on Vega10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: don't prevent module load if firmware
  missing (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/mmu: remove old vmm frontend (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: improve selection of GPU page size (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: switch over to new memory and vmm interfaces
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: remove unused nouveau_fence_work() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: queue delayed unmapping of VMAs on client workqueue
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: implement per-client delayed workqueue with
  fence support (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau: determine memory class for each client (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: pass handle of vmm object to channel allocation
  ioctls (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau: switch to vmm limit (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: allocate vmm object for every client (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: replace use of cpu_coherent with memory types
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: use nvif_mmu_type to determine BAR1 caching
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: fetch memory type indices that we care about
  for ttm (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau: consolidate handling of dma mask (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: check kind validity against mmu object (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: allocate mmu object for every client (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: remove trivial cases of nvxx_device() usage
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu: define user interfaces to mmu vmm opertaions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu: define user interfaces to mmu memory allocation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu: define user interfaces to mmu (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/gf100-: type-based vram allocation and bar
  mapping (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/mmu/nv50,g84: type-based vram allocation and
  bar mapping (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/mmu/nv04-nv4x: type-based vram allocation and
  bar mapping (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/mmu: add base for type-based memory allocation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu: build up information on available memory types
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: remove explicit unmaps (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: replace hardcoded instance/vmm setup
  in grctx generation (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-: use new interfaces for vmm operations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/fifo/gf100-: use new interfaces for vmm operations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/secboot/gm200: use new interfaces for vmm operations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/imem/nv50-: use new interfaces for vmm operations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/fb/ram: use new interfaces for vmm operations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/fifo: initialise vmm with new interfaces
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/secboot/gm200: initialise vmm with new interfaces
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bar/gf100: initialise vmm with new interfaces
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bar/nv50: initialise vmm with new interfaces
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu: implement new vmm frontend (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu: remove support for old backends (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/gp100,gp10b: implement new vmm backend
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/gm200,gm20b: implement new vmm backend
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/gk104,gk20a: implement new vmm backend
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/gf100: implement new vmm backend (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/nv50,g84: implement new vmm backend (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/nv44: implement new vmm backend (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/nv41: implement new vmm backend (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/nv04: implement new vmm backend (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 06a3a78
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/nouveau/mmu: implement new vmm backend (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 939f39e
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/nouveau/fb/gm200: enable
  NV_PFB_MMU_CTRL_USE_FULL_COMP_TAG_LINE where appropriate
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/ltc/gm200: limit NV_MMU_PTE_COMPTAGLINE bits
  to 16 where required (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/fifo/nv04-nv40: fix missing nvkm_kmap() calls
  around ramfc access (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/mmu: handle instance block setup (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu: remove old vm creation hooks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/gp100,gp10b: implement vmm on top of new base
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/gm200,gm20b: implement vmm on top of new base
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/gk104,gk20a: implement vmm on top of new base
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/gf100: implement vmm on top of new base
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/nv50,g84: implement vmm on top of new base
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/nv44: implement vmm on top of new base
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/nv41: implement vmm on top of new base
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/nv04: implement vmm on top of new base
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu: implement base for new vm management
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu: implement page table sub-allocation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu: implement page table cache (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu: automatically handle "un-bootstrapping" of vmm
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/gp10b: fork from gf100 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/gp100: fork from gf100 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/gm20b: fork from gf100 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/gm200: fork from gf100 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/gk20a: fork from gf100 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/gk104: fork from gf100 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/g84: fork from nv50 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/fb/ram: remove old allocators (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: allocate vram with nvkm_ram_get() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: directly handle comptag allocation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: wrap nvkm_mem objects in nvkm_memory interfaces
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/ltc/gf100-: allocate tagram with nvkm_ram_get()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/imem/nv50: allocate memory with nvkm_ram_get()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/fb/ram/gt215: allocate training buffer with
  nvkm_ram_get() (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/fb/ram: add interface to allocate vram as an
  nvkm_memory object (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/core/memory: add some useful accessor macros
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/core/memory: add reference counting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/core/memory: add mechanism to retrieve allocation
  granularity (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/core/memory: change map interface to support
  upcoming mmu changes (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/core/memory: comptag allocation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/ltc: init comptag mm in fb subdev (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/fb/gf100: clear comptags at allocation time rather
  than mmu map (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/fb: move comptag init out of ram submodule
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/fb: move comptags mm into nvkm_fb (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/core/mm: introduce functions to access info
  about a given allocation (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/core/mm: have users explicitly define heap
  identifiers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau: separate constant-va tracking from nvkm vma
  structure (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau: separate buffer object backing memory from nvkm
  structures (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau: hang drm client of a master (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: consolidate identical functions in nouveau_ttm.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: remove unnecessary use of
  ttm_mem_type_manager::priv (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau: swap loop order in move_notify() hook (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: simplify const-va map condition (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: split various bo flags out into their own members
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: remove unused sysmem fence code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: store nouveau_drm in nouveau_cli, as opposed to
  drm_device (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/gr/gf100-gk208: copy big page size setting from fb
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/gr/gf100-gk208: make use of init_gpc_mmu() hook to
  share setup (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/fb: finalise big page size selection in constructor
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/mmu/nv04-nv4x: move global vmm to nvkm_mmu
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/imem: use fast-path for resume restore (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/imem: use fast-path for suspend backup (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/imem: separate pre-BAR2-bootstrap objects from
  the rest (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/imem: switch to kvmalloc/kvfree for suspend/resume
  backup (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/imem: separate suspend/resume backup handling
  into their own functions (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/imem: remove now-unused wrapper for backend objects
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/imem/nv50: support eviction of BAR2 mappings
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/imem/nv50: prevent fast-path for mapped objects
  when BAR isn't ready (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/imem/nv50: map bar2 write-combined (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/imem/nv50: embed nvkm_instobj directly into
  nv04_instobj (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/imem/nv50: move slow-path locking into rd/wr
  functions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/imem/nv50: split object map out from api functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/imem/nv40: map bar2 write-combined (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/imem/nv40: embed nvkm_instobj directly into
  nv04_instobj (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/imem/nv04: directly embed nvkm_instobj into
  nv04_instobj (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/imem: allow nvkm_instobj to be directly embedded in
  backend object (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/core/memory: split info pointers from accessor
  pointers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/imem: add some useful debug output (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bar/gm107-: wait for instance block binding to
  complete (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/bar: initialise bar2 during oneinit (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bar: prevent BAR2 mapping of objects during
  destructor (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/bar: modify interface to bar2 vmm mapping
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bar: modify interface to bar1 vmm mapping
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bar: expose interface to bar2 teardown (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bar: expose interface to bar2 initialisation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bar: implement bar1 teardown (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bar: move bar1 initialisation into its own function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bar: swap oneinit/init ordering, and rename bar3
  to bar2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/bar: remove NV_PMC_ENABLE_PFIFO twiddling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bar/nv50,g84: drop mmu invalidate (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/fifo: perform reset from preinit (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/disp: add missing newline in ior debug messages
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/secboot: add missing newline in debug message
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/core/device: remove object include to prevent
  unnecessary rebuilds (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/nouveau/core/subdev: compile out messages for unwanted
  debug levels (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/core/gpuobj: remove embedded struct nvkm_object
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/core/object: plumb the unmap ioctl through
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/core/object: allow arguments to be passed to map
  function (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/core/object: separate oclass data out into its
  own header (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau: fix handling of GART OOM on pre-NV50 chipsets
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms/nv50: prevent oops in failure paths (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms: add 8.1Gbps DP link rate (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/bios/init: use ARRAY_SIZE (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- remove some useless semicolons (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Document nouveau support for Tegra in DRIVER_DESC
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/therm/gp100: initial implementation of new gp1xx
  temperature sensor (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/hisilicon: Ensure LDI regs are properly configured
  (bsc#1051510).
- drm/msm: use %%z format modifier for printing size_t (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: Don't use async plane update path if plane
  visibility changes (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/msm/mdp5: mdp5_crtc: Restore cursor state only if LM
  cursors are enabled (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/msm/mdp5: Update mdp5_pipe_assign to spit out both planes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: Prepare mdp5_pipe_assign for some rework
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: remove mdp5_cursor_plane_funcs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: update cursors asynchronously through atomic
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/atomic: switch to drm_atomic_helper_check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: restore cursor state when enabling crtc
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: don't use autosuspend (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: ignore planes that are not visible (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: dump submits which triggered gpu hang (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: preserve IOVAs in submit's bo table (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/rd: allow adding addition msg to top of dump
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: split rd debugfs file (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: add special _get_vaddr_active() for cmdstream dumps
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: show task cmdline in gpu recovery messages (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: dump a rd GPUADDR header for all buffers in the command
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Removed unused struct_mutex_task (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Implement preemption for A5XX targets (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Make the value of RB_CNTL (almost) generic (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Shadow current pointer in the ring until command
  is complete (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/msm: Add a parameter query for the number of ringbuffers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Support multiple ringbuffers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Move memptrs to msm_gpu (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Add per-instance submit queues (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: disable vblanks when crtc is off (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp4: disable vblanks when crtc is off (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/hdmi: convert to msm_clk_get() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/edp: convert to msm_clk_get() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: convert to msm_clk_get() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: always print mdp5 version (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/adreno: deal with linux-firmware fw paths (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/adreno: split out helper to load fw (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/adreno: load gpu at probe/bind time (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/hdmi: Remove mmagic_iface_clk from the 8x96 PHY clocks
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Remove workaround for suspend/resume in uvd7
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: don't flush the TLB before initializing GART
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: minor cleanup for amdgpu_ttm_bind (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/psp: prevent page fault by checking write_frame
  address(v4) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/powerplay: retrieve the real-time coreClock values
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix performance drop on Vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add one smc message for Vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix amd_powerplay_reset() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu: add padding to the fence to handle ioctl (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:fix wb_clear (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu:fix vf_error_put (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu/sriov:now must reinit psp (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: merge bios post checking functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add four ioctls for managing drm mode object leases
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Check mode object lease status in all master ioctl paths
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add drm_object lease infrastructure (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add new LEASE debug level (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: short-circuit perfmon ioctls (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/etnaviv: submit supports performance monitor
  requests" (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vc4: Fix sleeps during the IRQ handler for DSI transactions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Add the DRM_IOCTL_VC4_GEM_MADVISE ioctl (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: add Toshiba LT089AC19000 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: add delays for Innolux AT043TN24 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: add bus flags for Innolux AT043TN24
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: fix vertical timings for Innolux AT043TN24
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic-helper: check that drivers call drm_crtc_vblank_off
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: adv7511: Fix a use after free (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add support for A20 display pipeline components
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add support for A10 display pipeline components
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: hdmi: Support HDMI controller on A10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Add support for A10 TCON (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Support output muxing (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Move out the tcon0 common setup (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Don't rely on encoders to set the TCON mode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Don't rely on encoders to enable the TCON
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Make tcon_get_clk_delay mode argument const
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Make tcon_set_mux mode argument const
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Realign Makefile padding and reorder it (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Implement endpoint parsing using kfifo (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Offset layer buffer address by DRAM starting
  address (bsc#1051510).
- drm/atomic: Check for busy planes/connectors before setting
  the commit (FATE#322643 bsc#1055900).
- drm/atomic: Make atomic helper track newly assigned planes
  correctly, v2 (bsc#1051510).
- drm/udl: Reading all edid blocks in DRM/UDL driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/udl: Fixed problem with UDL adpater reconnection
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: Replace drm_framebuffer_reference/unreference()
  with _get/put() (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/armada: Replace drm_gem_object_reference/unreference() with
  _get/put() (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/gem-cma-helper: Change the level of the allocation failure
  message (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/tegra: hdmi: Add cec-notifier support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Perform a complete reset sequence (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Make sure to set the module clock rate
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Simplify atomic plane helper functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Move some declarations to dc.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: vic: Use of_device_get_match_data() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: sor: Use of_device_get_match_data() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: hdmi: Use of_device_get_match_data() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Use of_device_get_match_data() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Use u64_to_user_ptr helper (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Add Tegra186 support for VIC (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- gpu: host1x: syncpt: Request syncpoints per client (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add CRTC_GET_SEQUENCE and CRTC_QUEUE_SEQUENCE ioctls
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Reorganize drm_pending_event to support future event types
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Widen vblank count to 64-bits (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Improve multiple SDMA queues support per process
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Limit queue number per process and device to 127
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Clean up process queue management (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Compress unnecessary function parameters
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Improve process termination handling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Avoid submitting an unnecessary packet to HWS
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix MQD updates (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdkfd: Pass filter params to unmap_queues_cpsch
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: move locking outside of unmap_queues_cpsch
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Avoid name confusion involved in queue unmapping
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Drop _nocpsch suffix from shared functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Reuse CHIP_* from amdgpu v2 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Use VMID bitmap from KGD v2 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Adjust dequeue latencies and timeouts (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Rectify the jiffies calculation error with
  milliseconds v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdkfd: Fix suspend/resume issue on Carrizo v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Reorganize kfd resume code (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20171012 (FATE#322643
  bsc#1055900).
- drm/i915: Simplify intel_sanitize_enable_ppgtt (FATE#322643
  bsc#1055900).
- drm/i915/userptr: Drop struct_mutex before cleanup (FATE#322643
  bsc#1055900).
- drm/i915/dp: limit sink rates based on rate (FATE#322643
  bsc#1055900).
- drm/i915/dp: centralize max source rate conditions more
  (FATE#322643 bsc#1055900).
- drm/i915: Allow PCH platforms fall back to BIOS LVDS mode
  (FATE#322643 bsc#1055900).
- drm/i915: Reuse normal state readout for LVDS/DVO fixed mode
  (FATE#322643 bsc#1055900).
- drm/i915: Use rcu instead of stop_machine in set_wedged
  (FATE#322643 bsc#1055900).
- drm/i915: Introduce separate status variable for RC6 and LLC
  ring frequency setup (FATE#322643 bsc#1055900).
- drm/i915: Create generic functions to control RC6, RPS
  (FATE#322643 bsc#1055900).
- drm/i915: Create generic function to setup LLC ring frequency
  table (FATE#322643 bsc#1055900).
- drm/i915: Rename intel_enable_rc6 to intel_rc6_enabled
  (FATE#322643 bsc#1055900).
- drm/i915: Name structure in dev_priv that contains RPS/RC6
  state as "gt_pm" (FATE#322643 bsc#1055900).
- drm/i915: Move rps.hw_lock to dev_priv and s/hw_lock/pcu_lock
  (FATE#322643 bsc#1055900).
- drm/i915: Name i915_runtime_pm structure in dev_priv as
  "runtime_pm" (FATE#322643 bsc#1055900).
- drm/i915: Separate RPS and RC6 handling for CHV (FATE#322643
  bsc#1055900).
- drm/i915: Separate RPS and RC6 handling for VLV (FATE#322643
  bsc#1055900).
- drm/i915: Separate RPS and RC6 handling for BDW (FATE#322643
  bsc#1055900).
- drm/i915: Remove superfluous IS_BDW checks and non-BDW changes
  from gen8_enable_rps (FATE#322643 bsc#1055900).
- drm/i915: Separate RPS and RC6 handling for gen6+ (FATE#322643
  bsc#1055900).
- drm/i915/selftests: ditch the kernel context (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Silently fallback to 4k scratch (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Cleanup South Error Interrupts (FATE#322643
  bsc#1055900).
- drm/i915: Favor for_each_pipe() macro (FATE#322643 bsc#1055900).
- drm/i915: Fold IRQ pipe masks (FATE#322643 bsc#1055900).
- drm/i915: Remove I915_MAX_PIPES dependency for DDB allocation
  (FATE#322643 bsc#1055900).
- drm/i915: Don't relay on I915_MAX_PIPES (FATE#322643
  bsc#1055900).
- drm/i915: Nuke the bogus kernel doc for i9xx_disable_pll()
  (FATE#322643 bsc#1055900).
- drm/i915: Pass crtc state to i9xx_enable_pll() (FATE#322643
  bsc#1055900).
- drm/i915: Parametrize CBR_DPLLBMD_PIPE defines (FATE#322643
  bsc#1055900).
- drm/i915: Use enum pipe for PCH transcoders (FATE#322643
  bsc#1055900).
- drm/i915: Increase atomic update vblank evasion time with
  lockdep (FATE#322643 bsc#1055900).
- drm/i915: Use execlists_num_ports instead of size of array
  (FATE#322643 bsc#1055900).
- drm/i915: Preallocate our mmu notifier workequeu to unbreak
  cpu hotplug deadlock (FATE#322643 bsc#1055900).
- drm/i915/bios: don't pass bdb to parsers that don't parse VBT
  directly (FATE#322643 bsc#1055900).
- drm/i915/bios: parse SDVO device mapping from pre-parsed child
  devices (FATE#322643 bsc#1055900).
- drm/i915/bios: merge parse_device_mapping() into
  parse_general_definitions() (FATE#322643 bsc#1055900).
- drm/i915/bios: cleanup comments and useless return (FATE#322643
  bsc#1055900).
- drm/i915/bios: remove an unnecessary temp variable (FATE#322643
  bsc#1055900).
- drm/i915/bios: don't initialize fields based on vbt version
  (FATE#322643 bsc#1055900).
- drm/i915/bios: refactor parse general definitions (FATE#322643
  bsc#1055900).
- drm/i915: avoid division by zero on cnl_calc_wrpll_link
  (FATE#322643 bsc#1055900).
- drm/i915: add the BXT and CNL DPLL registers to
  pipe_config_compare (FATE#322643 bsc#1055900).
- drm/i915: s/sg_mask/sg_page_sizes/ (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Early rejection of mappable GGTT pin attempts for
  large bo (FATE#322643 bsc#1055900).
- drm/i915: Avoid evicting user fault mappable vma for
  pread/pwrite (FATE#322643 bsc#1055900).
- drm/i915: Try a minimal attempt to insert the whole object
  for relocations (FATE#322643 bsc#1055900).
- drm/i915: Check PIN_NONFAULT overlaps in evict_for_node
  (FATE#322643 bsc#1055900).
- drm/i915: Track user GTT faulting per-vma (FATE#322643
  bsc#1055900).
- drm/i915: Consolidate get_fence with pin_fence (FATE#322643
  bsc#1055900).
- drm/i915: Pin fence for iomap (FATE#322643 bsc#1055900).
- drm/i915: Provide an assert for when we expect forcewake to
  be held (FATE#322643 bsc#1055900).
- drm/i915/selftests: Hold the rpm wakeref for the reset tests
  (FATE#322643 bsc#1055900).
- drm/i915: Hold forcewake for the duration of reset+restart
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Pretty print engine state when requests
  fail to start (FATE#322643 bsc#1055900).
- drm/i915: Make i915_engine_info pretty printer to standalone
  (FATE#322643 bsc#1055900).
- drm/i915: Assert we do not try to expand VMA for hugepage
  inside GGTT (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Use intel_get_pipe_timings() and
  intel_mode_from_pipe_config() in intel_crtc_mode_get()
  (FATE#322643 bsc#1055900).
- drm/i915: enable platform support for 2M pages (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: enable platform support for 64K pages (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: disable platform support for vGPU huge gtt pages
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: mix huge pages (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/selftests: huge page tests (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/debugfs: include some gtt page size metrics
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: accurate page size tracking for the ppgtt (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: support 64K pages for the 48b PPGTT (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: add support for 64K scratch page (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: support 2M pages for the 48b PPGTT (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: disable GTT cache for 2M pages (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: enable IPS bit for 64K pages (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: align 64K objects to 2M (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: align the vma start to the largest gtt page size
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: introduce vm set_pages/clear_pages (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: introduce page_size members (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: push set_pages down to the callers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: introduce page_sizes field to dev_info (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gemfs: enable THP (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: introduce simple gemfs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915/execlists: Add a comment for the extra MI_ARB_ENABLE
  (FATE#322643 bsc#1055900).
- drm/i915: Try harder to finish the idle-worker (FATE#322643
  bsc#1055900).
- drm/i915: Fix pointer-to-int conversion (FATE#322643
  bsc#1055900).
- drm/i915/huc: Fix includes in intel_huc.c (FATE#322643
  bsc#1055900).
- drm/i915: Unify uC variable types to avoid flooding
  checkpatch.pl (FATE#322643 bsc#1055900).
- drm/i915: Don't use BIT() in UAPI section (FATE#322643
  bsc#1055900).
- drm/i915/crt: clean up encoder hook assignment (FATE#322643
  bsc#1055900).
- drm/i915: push DDI FDI link training on enable to CRT encoder
  (FATE#322643 bsc#1055900).
- drm/i915: push DDI and DSI underrun reporting on enable to
  encoder (FATE#322643 bsc#1055900).
- drm/i915: push DDI CRT underrun reporting on disable to encoder
  (FATE#322643 bsc#1055900).
- drm/i915: push DDI CRT underrun reporting on enable to encoder
  (FATE#322643 bsc#1055900).
- drm/i915/uc: Unify initialization of the uC firmware helper
  (FATE#322643 bsc#1055900).
- drm/i915/uc: Fix includes order (FATE#322643 bsc#1055900).
- drm/i915/guc: Move GuC core definitions into dedicated files
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Move GuC submission declarations into dedicated
  header (FATE#322643 bsc#1055900).
- drm/i915/guc: Move GuC log declarations into dedicated header
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Do not add an extra page for precaution in the
  Gen10 LRC size (FATE#322643 bsc#1055900).
- drm/i915: avoid potential uninitialized variable use
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: fix check for intel IOMMU (FATE#322643
  bsc#1055900).
- drm/i915/selftests: Remember to create the fake preempt context
  (FATE#322643 bsc#1055900).
- drm/i915/mst: Use MST sideband message transactions for dpms
  control (FATE#322643 bsc#1055900).
- drm/i915/scheduler: Support user-defined priorities (FATE#322643
  bsc#1055900).
- drm/i915/execlists: Preemption! (FATE#322643 bsc#1055900).
- drm/i915: Expand I915_PARAM_HAS_SCHEDULER into a capability
  bitmask (FATE#322643 bsc#1055900).
- drm/i915/execlists: Keep request->priority for its lifetime
  (FATE#322643 bsc#1055900).
- drm/i915/execlists: Move bdw GPGPU w/a to emit_bb (FATE#322643
  bsc#1055900).
- drm/i915: Introduce a preempt context (FATE#322643 bsc#1055900).
- drm/i915/execlists: Distinguish the incomplete context notifies
  (FATE#322643 bsc#1055900).
- drm/i915/preempt: Default to disabled mid-command preemption
  levels (FATE#322643 bsc#1055900).
- drm/i915/preempt: Fix WaEnablePreemptionGranularityControlByUMD
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Move Guc early init into own function (FATE#322643
  bsc#1055900).
- drm/i915/huc: Move HuC declarations into dedicated header
  (FATE#322643 bsc#1055900).
- drm/i915/uc: Move uC fw helper code into dedicated files
  (FATE#322643 bsc#1055900).
- drm/i915/uc: Create intel_uc_init_mmio (FATE#322643
  bsc#1055900).
- drm/i915/uc: Drop unnecessary forward declaration (FATE#322643
  bsc#1055900).
- drm/i915: Make intel_uncore.h header self-contained (FATE#322643
  bsc#1055900).
- drm/i915: Remove defunct trace points (FATE#322643 bsc#1055900).
- drm/i915: Fix some tracepoints to capture full 64b (FATE#322643
  bsc#1055900).
- drm/i915: Remove WA_(SET|CLR)_BIT (FATE#322643 bsc#1055900).
- drm/i915: Move MMCD_MISC_CTRL from context w/a to standard
  (FATE#322643 bsc#1055900).
- drm/i915: Transform whitelisting WAs into a simple reg write
  (FATE#322643 bsc#1055900).
- drm/i915: Remove use_mmio_flip modparm, v2 (FATE#322643
  bsc#1055900).
- drm/i915: Skip vblank waits for cursor updates when watermarks
  dont need updating (FATE#322643 bsc#1055900).
- drm/i915: Unset legacy_cursor_update early in
  intel_atomic_commit, v3 (FATE#322643 bsc#1055900).
- drm/i915: Organize GLK_COLORS (FATE#322643 bsc#1055900).
- drm/i915: Organize GEN features inheritance (FATE#322643
  bsc#1055900).
- drm/i915/skl: Fix has_ipc on skl and document WaDisableIPC
  (FATE#322643 bsc#1055900).
- drm/i915/glk, cnl: Implement WaDisableScalarClockGating
  (FATE#322643 bsc#1055900).
- drm/i915: Add has_psr-flag to gen9lp (FATE#322643 bsc#1055900).
- drm/i915/gen8+: Init/reset display interrupts only if i915
  IRQs are enabled (FATE#322643 bsc#1055900).
- drm/i915/gen9+: Set same power state before hibernation image
  save/restore (FATE#322643 bsc#1055900).
- drm/i915/execlists: Cache the last priolist lookup (FATE#322643
  bsc#1055900).
- drm/i915: Give the invalid priority a magic name (FATE#322643
  bsc#1055900).
- drm/i915/execlists: Move request unwinding to a separate
  function (FATE#322643 bsc#1055900).
- drm/i915: Move i915_gem_restore_fences to i915_gem_resume
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Replace wmb() with i915_gem_chipset_flush()
  (FATE#322643 bsc#1055900).
- drm/amd/powerplay: Place the constant on the right side of
  the test (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/powerplay: Remove useless variable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Don't cast kzalloc() return value
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: allow GTT overcommit during bind (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: linear validate first then bind to GART (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: Fix overflow when setup decf/pix/disp dpm table
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: thermal control not enabled on vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: busywait KIQ register accessing (v4) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: report more amdgpu_fence_info (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:don't check soft_reset for sriov (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:fix duplicated setting job's vram_lost (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:reduce wb to 512 slot (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix regresstion on SR-IOV gpu reset failed
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Tidy up cz_dpm_powerup_vce() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Tidy up cz_dpm_powerdown_vce() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Tidy up cz_dpm_update_vce_dpm() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Tidy up cz_dpm_update_uvd_dpm() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Tidy up cz_dpm_powerup_uvd() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Tidy up cz_dpm_powerdown_uvd() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Tidy up cz_start_dpm() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use ARRAY_SIZE (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: reserve root PD while releasing it (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: fix the fix for huge compound pages (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: bump version for vram lost counter query (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: minor CS optimization (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/sched: fix job tear down order v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add amdgpu_find_mm_node() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Refactor amdgpu_move_blit (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix extra call to amdgpu_ctx_put (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Fix unused variables with huge page support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add VRAM lost query (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: set -ECANCELED when dropping jobs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move the VRAM lost counter per context (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: keep copy of VRAM lost counter in job (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: partial revert VRAM lost handling v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add transparent huge page support for wc or uc
  allocations v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/ttm: move more logic into ttm_page_pool_get_pages
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add transparent huge page support for cached
  allocations v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/ttm: don't use compound pages for now (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: correct reference clock value on vega10
  (bsc#1051510).
- drm/amdgpu: SR-IOV data exchange between PF&VF (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Move old fence waiting before reservation lock is
  aquired v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Refactor amdgpu_cs_ib_vm_chunk and amdgpu_cs_ib_fill
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: make function uvd_v6_0_enc_get_destroy_msg static
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: remove polaris10_smc/smumgr split (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: remove tonga_smc/smumgr split (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: remove iceland_smc/smumgr split (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: remove fiji_smc/smumgr split (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: rename ci_smc.c to ci_smumgr.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: refine code delete duplicated error handling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: move common function to smu7_smumgr.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: implement function notify_cac_buffer_info on VI
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: implement function notify_cac_buffer_info on Vega
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: add new function point in hwmgr (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/pp: export new smu messages for vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: get the temperature on CZ (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: bump version for new AMDGPU_SCHED ioctl (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename context priority levels (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add interface for editing a foreign process's
  priority v3 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: add plumbing for ctx priority changes v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: introduce AMDGPU_CTX_PRIORITY_UNSET (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/sched: allow clients to edit an entity's rq v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: make amdgpu_to_sched_priority detect invalid
  parameters (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: implement ring set_priority for gfx_v8 compute v9
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add framework for HW specific priority settings v9
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add parameter to allocate high priority contexts v11
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: introduce AMDGPU_GEM_CREATE_EXPLICIT_SYNC v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add helper to convert a ttm bo to amdgpu_bo
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add VM support for huge pages v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: DMA map/unmap consecutive pages as a whole v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: allocate/free multiple pages in a single call
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Reserve shared memory on VRAM for SR-IOV
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Set the correct value for PDEs/PTEs of ATC memory
  on Raven (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/plane: drop num_overlay_planes (v3) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tilcdc: Remove redundant OF_DETACHED flag setting
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tilcdc: Precalculate total frametime in
  tilcdc_crtc_set_mode() (bsc#1051510).
- drm/tilcdc: Use tilcdc_crtc_shutdown() in tilcdc_crtc_destroy()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tilcdc: Remove WARN_ON(!drm_modeset_is_locked(&crtc->mutex))
  checks (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/tilcdc: Turn raster off in crtc reset, if it was on
  in the HW (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/tilcdc: tilcdc_tfp410: make of_device_ids const (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tilcdc: tilcdc_panel: make of_device_ids const (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/via: use ARRAY_SIZE (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/gma500: use ARRAY_SIZE (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/sun4i: hdmi: Move PAD_CTRL1 setting to mode_set function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: hdmi: Document PAD_CTRL1 output invert bits
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Add comment explaining why registers
  are cleared (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: backend: Use drm_fb_cma_get_gem_addr() to get
  display memory (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: backend: Create regmap after access is possible
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: don't add components that are already in the queue
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Fix pitch setup for T-format scanout (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Move the DSI clock divider workaround closer to the
  clock call (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: Replace kzalloc with kcalloc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm: Remove explicit .best_encoder assignment
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm: Replace dev_error with DRM_DEV_ERROR (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/drm_of: Move drm_of_panel_bridge_remove_function into header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic-helper: Fix reference to drm_crtc_send_vblank_event()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic-helper: Fix typo (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm: Add missing __user annotation to drm_syncobj_array_find()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: add PINCTRL dependency for LVDS (fate#323912).
- drm/kirin: Checking for IS_ERR() instead of NULL (bsc#1051510).
- driver:gpu: return -ENOMEM on allocation failure (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vblank: Fix flip event vblank count (bsc#1051510).
- drm/etnaviv: remove unnecessary clock stabilization delay
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: reduce reset delay (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: remove unused function etnaviv_gem_new (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: remove stale comment (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: submit supports performance monitor requests
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: enable debug registers on demand (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: need to disable clock gating when doing profiling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add MC perf domain (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add TX perf domain (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add RA perf domain (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add SE perf domain (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add PA perf domain (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add SH perf domain (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add PE perf domain (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add HI perf domain (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: use 'sync points' for performance monitor requests
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: clear alloced event (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add 'sync point' support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add performance monitor request processing
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: copy pmrs from userspace (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add performance monitor request validation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: extend etnaviv_gpu_cmdbuf_new(..) with nr_pmrs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add internal representation of perfmon_request
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add uapi for perfmon feature (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: add infrastructure to query perf counter
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: make it possible to allocate multiple events
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: use bitmap to keep track of events (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: rework clock initialization (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: remove IOMMU dependency (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: mmu: mark local functions static (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: mmu: stop using iommu map/unmap functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: iommuv1: remove map_lock (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: iommuv1: fold pgtable_write into callers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: iommuv1: fold pagetable alloc and free into caller
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: remove iova_to_phys iommu ops (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: remove iommu fault handler (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- omapdrm: omapdss_hdmi_ops: add lost_hotplug op (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit fcf5478
* Fri Jan  4 2019 ptesarik@suse.cz
- omapdrm: hdmi4: hook up the HDMI CEC support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- omapdrm: hdmi4_cec: add OMAP4 HDMI CEC support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- omapdrm: hdmi4: refcount hdmi_power_on/off_core (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- omapdrm: hdmi4: move hdmi4_core_powerdown_disable to
  hdmi_power_on_core() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- omapdrm: hdmi4: prepare irq handling for HDMI CEC support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- omapdrm: hdmi4: make low-level functions available (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- omapdrm: hdmi.h: extend hdmi_core_data with CEC fields
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- omapdrm: encoder-tpd12s015: keep ls_oe_gpio high (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/dp: WARN about invalid/unknown link rates and bw codes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: remove less than 0 comparison for unsigned value
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 084a2ec
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/bridge/sii8620: add remote control support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit eeb53e7
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/sun4i: hdmi: Add support for A31's HDMI controller
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: hdmi: Add A31 specific DDC register definitions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: hdmi: Add support for controller hardware variants
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: hdmi: Allow using second PLL as TMDS clk parent
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: hdmi: create a regmap for later use (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Add support for demuxing TCON output on A31
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Add variant callback for TCON output muxing
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/synopsys: dsi :remove is_panel_bridge (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: remove bridge from driver internal structure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: ltdc: remove bridge from driver internal structure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/drm_of: add drm_of_panel_bridge_remove function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: make drm_panel_bridge_remove more robust
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 3064b31
* Fri Jan  4 2019 ptesarik@suse.cz
- drm: adv7511/33: add HDMI CEC support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 7ec6c17
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/gem-fb-helper: Improve documentation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 8d13b0e
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/panel: Add support for the Raspberry Pi 7" Touchscreen
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit a844272
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/bridge: add Silicon Image SiI9234 driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit c534d94
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/atomic: Make atomic iterators less surprising (bsc#1051510).
- drm/atomic: Remove unneeded null check for private objects
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: vblank: remove drm_timestamp_monotonic parameter
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: vblank: use ktime_t instead of timeval (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20170929 (FATE#322643
  bsc#1055900).
- drm/i915: Use memset64() to prefill the GTT page (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Also discard second CRC on gen8+ platforms
  (FATE#322643 bsc#1055900).
- drm/i915/psr: Set frames before SU entry for psr2 (FATE#322643
  bsc#1055900).
- drm/dp: Add defines for latency in sink (FATE#322643
  bsc#1055900).
- drm/i915: Allow optimized platform checks (FATE#322643
  bsc#1055900).
- drm/i915: Avoid using dev_priv->info.gen directly (FATE#322643
  bsc#1055900).
- i915: Use %%pS printk format for direct addresses (FATE#322643
  bsc#1055900).
- drm/i915/execlists: Notify context-out for lost requests
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add support slice/subslice/eu configs (FATE#322643
  bsc#1055900).
- drm/i915: Compact device info access by a small re-ordering
  (FATE#322643 bsc#1055900).
- drm/i915: Add IS_PLATFORM macro (FATE#322643 bsc#1055900).
- drm/i915/selftests: Try to recover from a wedged GPU during
  reset tests (FATE#322643 bsc#1055900).
- drm/i915/huc: Reorganize HuC authentication (FATE#322643
  bsc#1055900).
- drm/i915: Fix default values of some modparams (FATE#322643
  bsc#1055900).
- drm/i915: Extend I915_PARAMS_FOR_EACH with default member value
  (FATE#322643 bsc#1055900).
- drm/i915: Make I915_PARAMS_FOR_EACH macro more flexible
  (FATE#322643 bsc#1055900).
- drm/i915: Enable scanline read based on frame timestamps
  (FATE#322643 bsc#1055900).
- drm/i915/execlists: Microoptimise
  execlists_cancel_port_request() (FATE#322643 bsc#1055900).
- drm/i915: Don't rmw PIPESTAT enable bits (FATE#322643
  bsc#1055900).
- drm/i915: Speed up DMC firmware loading (FATE#322643
  bsc#1055900).
- drm/i915/dp: Remove useless debug about TPS3 support
  (FATE#322643 bsc#1055900).
- drm/i915/dp: Fix buffer size for sink_irq_esi read (FATE#322643
  bsc#1055900).
- drm/i915/mst: Print active mst links after update (FATE#322643
  bsc#1055900).
- drm/i915/mst: Debug log connector name in destroy_connector()
  (FATE#322643 bsc#1055900).
- drm/i915/lrc: Skip no-op per-bb buffer on gen9 (FATE#322643
  bsc#1055900).
- drm/i915/lrc: Only enable per-context and per-bb buffers if set
  (FATE#322643 bsc#1055900).
- drm/i915: Make execlist port count variable (FATE#322643
  bsc#1055900).
- drm/i915: Add execlist_port_complete (FATE#322643 bsc#1055900).
- drm/i915: Wrap port cancellation into a function (FATE#322643
  bsc#1055900).
- drm/i915: Move execlist initialization into intel_engine_cs.c
  (FATE#322643 bsc#1055900).
- drm/i915: Make own struct for execlist items (FATE#322643
  bsc#1055900).
- drm/i915: Make i915_spin_request() static (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add Gen10 LRC size (FATE#322643 bsc#1055900).
- drm/i915: Rename global i915 to i915_modparams (FATE#322643
  bsc#1055900).
- drm/i915: Confirm request->global_seqno after spin completion
  (FATE#322643 bsc#1055900).
- drm/i915: Check waiter->seqno carefully in case of preemption
  (FATE#322643 bsc#1055900).
- drm/i915: Only wake the waiter from the interrupt if passed
  (FATE#322643 bsc#1055900).
- drm/i915: Document the split in internal and public execbuf
  flags (FATE#322643 bsc#1055900).
- drm/i915/kbl: Change a KBL pci id to GT2 from GT1.5 (FATE#322643
  bsc#1055900).
- drm/i915: Reorganize .disable hooks for pre-DDI DP (FATE#322643
  bsc#1055900).
- drm/i915: Drop useless HAS_PSR() check (FATE#322643
  bsc#1055900).
- drm/i915: Stop engines before reset (FATE#322643 bsc#1055900).
- drm/i915/cfl: Remove alpha support protection (FATE#322643
  bsc#1055900).
- drm/i915/cnp: Display Wa #1179: WaHardHangonHotPlug (FATE#322643
  bsc#1055900).
- drm/i915: Shrink cnl_ddi_buf_trans (FATE#322643 bsc#1055900).
- drm/i915: Shrink bxt_ddi_buf_trans (FATE#322643 bsc#1055900).
- drm/i915: Replace some spaces with tabs (FATE#322643
  bsc#1055900).
- drm/i915/fence: Avoid del_timer_sync() from inside a timer
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Only touch archdata.iommu when it exists
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: Don't touch other PCH clock gating bits
  (FATE#322643 bsc#1055900).
- drm/i915: Do not enable DRRS when PSR is enabled (FATE#322643
  bsc#1055900).
- drm/i915/perf: add support for Coffeelake GT2 (FATE#322643
  bsc#1055900).
- drm/i915/perf: disable clk ratio reports on gen9 (FATE#322643
  bsc#1055900).
- drm/i915/selftests: Disable iommu for the mock device
  (FATE#322643 bsc#1055900).
- drm/i915: Return the correct score in i915_ppat_get()
  (FATE#322643 bsc#1055900).
- uapi/drm/i915: document field usage of drm_i915_perf_oa_config
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/guc: Cleanup adding GuC work items (FATE#322643
  bsc#1055900).
- drm/i915/guc: Simplify GuC doorbell logic (FATE#322643
  bsc#1055900).
- drm/i915/guc: Submit GuC workitems containing coalesced requests
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Remove obsolete comments and remove unused
  variable (FATE#322643 bsc#1055900).
- drm/i915/execlists: Unwind incomplete requests on resets
  (FATE#322643 bsc#1055900).
- drm/i915/execlists: Split insert_request() (FATE#322643
  bsc#1055900).
- drm/i915/execlists: Move insert_request() (FATE#322643
  bsc#1055900).
- drm/i915/execlists: Kick start request processing after a reset
  (FATE#322643 bsc#1055900).
- drm/i915: Cancel all ready but queued requests when wedging
  (FATE#322643 bsc#1055900).
- drm/i915: Reinstate GMBUS and AUX interrupts on gen4/g4x
  (FATE#322643 bsc#1055900).
- drm/i915: Remove duplicated irq_preinstall/uninstall hooks
  (FATE#322643 bsc#1055900).
- drm/i915: Clean up the HWSTAM mess (FATE#322643 bsc#1055900).
- drm/i915: Mask everything in ring HWSTAM on gen6+ in ringbuffer
  mode (FATE#322643 bsc#1055900).
- drm/i915: Extend private i915_param_named macro with description
  (FATE#322643 bsc#1055900).
- drm/i915: Introduce custom variant of module_param_named macro
  (FATE#322643 bsc#1055900).
- drm/i915: Rename lvds_use_ssc modparam to panel_use_ssc
  (FATE#322643 bsc#1055900).
- drm/i915: Mark the userptr invalidate workqueue as
  WQ_MEM_RECLAIM (FATE#322643 bsc#1055900).
- drm/i915/cnl: Change the macro name to
  DPLL_CFGCR0_DCO_FRACTION_SHIFT (FATE#322643 bsc#1055900).
- drm/i915: Gen3 HWSTAM is actually 32 bits (FATE#322643
  bsc#1055900).
- drm/i915: Rewrite GMCH irq handlers to avoid loops (FATE#322643
  bsc#1055900).
- drm/i915: Extract PIPESTAT irq handling into separate functions
  (FATE#322643 bsc#1055900).
- drm/i915: Remove NULL dev_priv checks from irq_uninstall
  (FATE#322643 bsc#1055900).
- drm/i915: Unify the appearance of gen3/4 irq_postistall hooks
  (FATE#322643 bsc#1055900).
- drm/i915: Eliminate PORT_HOTPLUG_EN setup from gen3/4
  irq_postinstall (FATE#322643 bsc#1055900).
- drm/i915: Setup EMR first on all gen2-4 (FATE#322643
  bsc#1055900).
- drm/i915: Introduce GEN2_IRQ_RESET/INIT (FATE#322643
  bsc#1055900).
- drm/i915: Use GEN3_IRQ_RESET/INIT on gen3/4 (FATE#322643
  bsc#1055900).
- drm/i915: s/GEN5/GEN3/ (FATE#322643 bsc#1055900).
- drm/i915: Clear pipestat consistently (FATE#322643 bsc#1055900).
- drm/i915: Don't enable/unmask flip interrupts (FATE#322643
  bsc#1055900).
- drm/i915: Remove the "INDEX" suffix from PPAT marcos
  (FATE#322643 bsc#1055900).
- drm/i915: Introduce private PAT management (FATE#322643
  bsc#1055900).
- drm/i915: Switch over to the LLC/eLLC hotspot avoidance hash
  mode for CCS (FATE#322643 bsc#1055900).
- drm/i915: Simplify i915_reg_read_ioctl (FATE#322643
  bsc#1055900).
- drm/i915: Introduce INTEL_GEN_MASK (FATE#322643 bsc#1055900).
- drm/i915: Refresh VLV/CHV PSR comments on HW PSR_state machine
  (FATE#322643 bsc#1055900).
- drm/i915/execlists: Read the context-status HEAD from the HWSP
  (FATE#322643 bsc#1055900).
- drm/i915/execlists: Read the context-status buffer from the HWSP
  (FATE#322643 bsc#1055900).
- drm/i915: Allow HW status page to be bound high (FATE#322643
  bsc#1055900).
- drm/i915/lrc: allocate separate page for HWSP (FATE#322643
  bsc#1055900).
- drm/i915/guc: Don't make assumptions while getting the lrca
  offset (FATE#322643 bsc#1055900).
- drm/i915/lrc: Clarify the format of the context image
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Use mul_u32_u32() for 32b x 32b -> 64b
  result (FATE#322643 bsc#1055900).
- drm/i915: Use mul_u32_u32() for 32b x 32b -> 64b result
  (FATE#322643 bsc#1055900).
- drm/i915: Squelch smatch warning for statement with no effect
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Small improvements to guc_wq_item_append
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Remove WQ_WORKLOAD_SHIFT define (FATE#322643
  bsc#1055900).
- drm/i915/guc: Name the default GuC scheduling policy
  (FATE#322643 bsc#1055900).
- drm/i915: Move the context descriptor to an inline helper
  (FATE#322643 bsc#1055900).
- drm/i915/dsi: Replace MIPI command error message with debug
  message (FATE#322643 bsc#1055900).
- drm/i915: Cleanup error paths through eb_lookup_vma()
  (FATE#322643 bsc#1055900).
- drm/i915/spt+: Don't reset invalid AUX channel interrupt bits
  in SDEIMR (FATE#322643 bsc#1055900).
- drm/i915: Name the IPS_PCODE_CONTROL bit (FATE#322643
  bsc#1055900).
- drm/i915: Nuke some bogus tabs from the pcode defines
  (FATE#322643 bsc#1055900).
- drm/i915: Factor out setup_private_pat() (FATE#322643
  bsc#1055900).
- drm/i915: Increase poll time for BDW FCLK_DONE (FATE#322643
  bsc#1055900).
- drm/i915/psr: Add enable_source vfunc (FATE#322643 bsc#1055900).
- drm/i915/psr: Add enable_sink vfunc (FATE#322643 bsc#1055900).
- drm/i915/psr: Add setup VSC vfunc (FATE#322643 bsc#1055900).
- drm/i915/psr: Re-org Activate after enable (FATE#322643
  bsc#1055900).
- drm/i915/psr: Move hsw_enable_source after enabling sink
  (FATE#322643 bsc#1055900).
- drm/i915/psr: Re-create a hsw_psr_enable_source (FATE#322643
  bsc#1055900).
- drm/i915/psr: Unify VSC setup functions (FATE#322643
  bsc#1055900).
- drm/i915/psr: Add activate vfunc (FATE#322643 bsc#1055900).
- drm/i915/psr: hsw_psr_activate (FATE#322643 bsc#1055900).
- drm/i915/psr: vfunc for disabling source (FATE#322643
  bsc#1055900).
- drm/i915/psr: Avoid any PSR stuff on platforms without support
  (FATE#322643 bsc#1055900).
- drm/i915: Only initialize partially filled pagetables
  (FATE#322643 bsc#1055900).
- drm/i915: Make PAT macros more robust (FATE#322643 bsc#1055900).
- drm/i915: Add a default case in gen7 hwsp switch-case
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Add support for PCIe extended configuration space
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Refine error handling for perform_bb_shadow
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Refine error handling in dispatch_workload
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Refine error handling for intel_vgpu_pin_mm
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Refine error handling for
  prepare_execlist_workload (FATE#322643 bsc#1055900).
- drm/i915/gvt: Add error handling for
  intel_gvt_scan_and_shadow_workload (FATE#322643 bsc#1055900).
- drm/i915/gvt: Separate cmd scan from request allocation
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Add emulation for BAR2 (aperture) with normal
  file RW approach (FATE#322643 bsc#1055900).
- drm/i915/kvmgt: Sanitize PCI bar emulation (FATE#322643
  bsc#1055900).
- drm/i915: Transform WaDisablePooledEuLoadBalancingFix into a
  simple register write (FATE#322643 bsc#1055900).
- drm/i915: Transform WaDisableDynamicCreditSharing into a simple
  register write (FATE#322643 bsc#1055900).
- drm/i915: Transform WaDisableGafsUnitClkGating into a simple
  reg write (FATE#322643 bsc#1055900).
- drm/i915: WaPushConstantDereferenceHoldDisable needs to modify
  a masked register (FATE#322643 bsc#1055900).
- drm/i915: Transform WaDisableI2mCycleOnWRPort into a simple
  reg write (FATE#322643 bsc#1055900).
- drm/i915: Transform WaInPlaceDecompressionHang into a simple
  reg write (FATE#322643 bsc#1055900).
- drm/i915: Apply the GTT write flush for all !llc machines
  (FATE#322643 bsc#1055900).
- i915: Fix obj size vs. alignment for drm_pci_alloc()
  (FATE#322643 bsc#1055900).
- drm/i915: Disable mmio debugging during user access (FATE#322643
  bsc#1055900).
- drm/i915/skl+: debugfs entry to control IPC (FATE#322643
  bsc#1055900).
- drm/i915/bxt+: Enable IPC support (FATE#322643 bsc#1055900).
- drm/i915/gen9+: Add has_ipc flag in device info structure
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Extend WM workaround with IPC for CNL (FATE#322643
  bsc#1055900).
- drm/i915/glk: IPC linetime watermark workaround for GLK
  (FATE#322643 bsc#1055900).
- drm/i915/gen10: Calculate and enable transition WM (FATE#322643
  bsc#1055900).
- drm/i915/skl+: Optimize WM calculation (FATE#322643
  bsc#1055900).
- drm/i915: Fixed point fixed16 wrapper cleanup (FATE#322643
  bsc#1055900).
- drm/i915: Use __sg_alloc_table_from_pages for userptr
  allocations (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Disable snooping (userptr, set-cache-level) on gen4
  (FATE#322643 bsc#1055900).
- drm: Pass struct drm_file * to __drm_mode_object_find [v2]
  (FATE#322643 bsc#1055900).
- drm/radeon/dp: make radeon_dp_get_dp_link_config static
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: move ci_send_msg_to_smc to where it's used
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/sched: fix deadlock caused by unsignaled fences of
  deleted jobs (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/sched: NULL out the s_fence field after run_job
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/sched: move adding finish callback to
  amd_sched_job_begin (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/sched: fix an outdated comment (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/sched: rename amd_sched_entity_pop_job (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: minor coding style fix (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: add transparent huge page support for DMA allocations
  v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/ttm: add support for different pool sizes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: remove unsued options from ttm_mem_global_alloc_page
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add uvd enc irq (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: add uvd enc ib test (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add uvd enc ring test (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add uvd enc vm functions (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add uvd enc into run queue (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add uvd enc rings (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add new uvd enc ring methods (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add uvd enc command in header (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add uvd enc registers in header (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix mclk can't switch on Tonga (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay:  Partially revert changes and fix
  smu7_notify_smc_display() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/powerplay: fix typo on avfs disable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: get raven sclk and mclk levels (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: get raven current sclk and mclk (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: get raven max/min gfx clocks (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: added new raven ppsmc messages (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fixed wrong return value on error (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fixed a potential circular lock (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: make functions alloc_pasid and free_pasid static
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add FENCE_TO_HANDLE ioctl that returns syncobj
  or sync_file (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/syncobj: add a new helper drm_syncobj_get_fd (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/syncobj: extract two helpers from drm_syncobj_create
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: delete flag PP_VALID (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: move set_clockgating_by_smu to pp func table
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: tidy up ret checks in amd_powerplay.c (v3)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: refine code in amd_powerplay.c (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/pp: rewrite fiji pwr virus upload code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/pp: rewrite polaris pwrvirus upload code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/nbio: use constant nbio_hdp_flush_reg structs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/soc15: make the pcie index/data registers constant
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/pp: constify soft_dummy_pp_table (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- amdgpu/pp: use array_size to size the pwrvirus tables
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgfx/gfx: don't use static objects for ce/de meta. (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add a new flag for SR-IOV to share memory between
  PF & VF (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/powerplay: export new interfaces in amd_pm_funcs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add comments in struct amd_pm_funcs define
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: change dmesg log level in powerplay
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: create powerplay by cgs interface (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add cgs interface to register pp handle (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: delete pp_enable in adev (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: delete dead code about fw load check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix memory leak in powerplay (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move amdgpu_ucode_init_bo to amdgpu_device.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move common pm sysfs code to amdgpu_device.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Handle GPUVM fault storms (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/chash: Fix typo (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/powerplay: fix spelling mistake: "dividable" ->
  "divisible" (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- amdgpu/pp: reduce size of vega10_fuses_default (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/pp: slim down the pwr virus tables (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/pp: move amdgpu_fuses_default into static const
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/pp: move PhwVega10_Magic to static const (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/pp: remove ci_smc/smumgr split (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vega10: static constify channel_number (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/pp: constify some powerplay tables (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/powerplay: constify large struct (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- commit d554c72
* Fri Jan  4 2019 ptesarik@suse.cz
- amdgpu: don't ask about CHASH just default it for now
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit b039183
* Fri Jan  4 2019 nborisov@suse.com
- Btrfs: reserve space for O_TMPFILE orphan item deletion (bsc#1111469).
- commit db60351
* Fri Jan  4 2019 nborisov@suse.com
- Btrfs: renumber BTRFS_INODE_ runtime flags and switch to enums (bsc#1111469).
- commit 98606ab
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amdgpu: map compute rings by least recently used pipe
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add option for force enable multipipe policy
  for compute (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: use multipipe compute policy on non PL11 asics
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix vf error handling (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: fix typo in drm_gem_get_pages() comment (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use designated initialiser for thermal_irq_src
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: clarify license in amdgpu_trace_points.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add gem_prime_mmap support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: delete dead code in smumgr (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: delete SMUM_FIELD_MASK (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: delete SMUM_WAIT_INDIRECT_FIELD (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: delete SMUM_READ_FIELD (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: delete SMUM_SET_FIELD (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: delete SMUM_READ_VFPF_INDIRECT_FIELD
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: delete SMUM_WRITE_VFPF_INDIRECT_FIELD
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: delete SMUM_WRITE_FIELD (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: delete SMU_WRITE_INDIRECT_FIELD (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: move macros to hwmgr.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: move PHM_WAIT_VFPF_INDIRECT_FIELD to hwmgr.h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: move SMUM_WAIT_VFPF_INDIRECT_FIELD_UNEQUAL
  to hwmgr.h (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/powerplay: move SMUM_WAIT_INDIRECT_FIELD_UNEQUAL
  to hwmgr.h (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/powerplay: add new helper functions in hwmgr.h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: use SMU_IND_INDEX/DATA_11 pair (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: refine powerplay code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: delete dead code in hwmgr.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: refine interface in struct pp_smumgr_func
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: simplify pinning into visible VRAM (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:fix firmware memoryleak(v2) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:fix uvd ring fini routine(v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sriov:alloc KIQ MQD in VRAM(v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:unmap KCQ in gfx hw_fini(v2) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:halt when vm fault (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add copy_pte_num_dw member in amdgpu_vm_pte_funcs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix a bug in amdgpu_fill_buffer() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Correct bytes limit for SDMA 3.0 copy and fill
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use 2MB fragment size for GFX6,7 and 8 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix driver reloading failure (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: refine phm_register_thermal_interrupt
  interface (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/amdgpu: add vega10/raven mmhub/athub golden settings
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: change alert temperature range (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: implement register thermal interrupt
  for Vega10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/powerplay: add register thermal interrupt in
  hwmgr_hw_init (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: add cgs query info of pci bus devfn (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Partial revert of iova debugfs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amgpu: update vega10 sdma golden setting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amgpu: update raven sdma golden setting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sriov:fix memory leak after gpu reset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:make ctx_add_fence interruptible(v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sriov:init csb for gfxv9 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sriov:increate mailbox polling timeout (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sriov:fix page fault issue of driver unload
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:use formal register to trigger hdp invalidate
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:hdp flush should be put it initialized (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:insert TMZ_BEGIN (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu/sriov:don't load psp fw during gpu reset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sriov:move in_reset to adev and rename (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:no kiq in IH (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu/sriov:fix missing error handling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add GPU reset functionality for Vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Remove TTM dma tracepoint since it's not required
  anymore (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/amdgpu: remove usage of ttm trace (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: add support for iova_to_phys to replace TTM
  trace (v5) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/amdgpu: Fold TTM debugfs entries into array (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix checkpatch.pl warning to amdgpu_drv.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove the clearance of vce 4.0 interrupt mask
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma3: set wptr shadow atomically (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma3: Enable sdma wptr polling for SRIOV
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: cleanup ttm_page_alloc_dma.c (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Track pending retry faults in IH and VM (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 543f40e
* Fri Jan  4 2019 nborisov@suse.com
- Btrfs: get rid of unused orphan infrastructure (bsc#1111469).
- commit 2ea39bd
* Fri Jan  4 2019 lma@suse.com
- KVM: vmx: update sec exec controls for UMIP iff emulating UMIP (bsc#1120716)
- commit 99784fb
* Fri Jan  4 2019 lma@suse.com
- KVM: nVMX: preserve SECONDARY_EXEC_DESC without UMIP (bsc#1120716)
- commit d3cfd67
* Fri Jan  4 2019 lma@suse.com
- KVM: vmx: add support for emulating UMIP (bsc#1120716)
- commit 006036c
* Fri Jan  4 2019 lma@suse.com
- KVM: x86: add support for emulating UMIP (bsc#1120716)
- commit 4d792a0
* Fri Jan  4 2019 lma@suse.com
- KVM: x86: emulate sldt and str (bsc#1120716)
- commit 30a78be
* Fri Jan  4 2019 nborisov@suse.com
- Btrfs: stop creating orphan items for truncate (bsc#1111469).
- commit b89578f
* Fri Jan  4 2019 lma@suse.com
- KVM: x86: add support for UMIP (bsc#1120716)
- commit 4e10adb
* Fri Jan  4 2019 jack@suse.cz
- patches.fixes/ubifs-Handle-re-linking-of-inodes-correctly-while-re.patch:
  Fixup compilation failure due to different ubifs_assert() prototype.
- commit bf2faff
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amdgpu: Add prescreening stage in IH processing (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Use PASID manager from KGD (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Separate doorbell allocation from PASID (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Add PASID manager for KFD (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add PASID management (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix error handling in amdgpu_vm_init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Simplify smu7_voting_clients() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add powerplay support for CI asics (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Add support for CI asics to hwmgr
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Add support functions for CI to ppatomctrl.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: refine dmesg info under powerplay
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix set target TDP error on tonga/iceland
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add CI asics support to smumgr (v3)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix pcie max lane define error (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix spelling typo in function name
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add support for request SI/CI firmware in CGS
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: unify the interface of amd_pm_funcs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: use struct amd_pm_funcs in powerplay
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename amdgpu_dpm_funcs to amd_pm_funcs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: delete dead code in powerplay (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: refine powerplay code for RV (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: refine powerplay code for CZ/ST (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: refine code for thermal control in powerplay
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Support VM environments in
  amdgpu_ttm_access_memory() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/radeon: properly initialize r600_audio_status() data
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/psp: declare raven psp firmware (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drivers:gpu:Use ARRAY_SIZE() for the size calculation of
  the array (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/amdgpu: Change vram debugfs to NO_KIQ for VM
  environments (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/ttm: fix memory leak while individualizing BOs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix and cleanup amdgpu_bo_create v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: remove min/max addr handling from cgs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix cgs alignment handling (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- radeon: Only destroy fbdev framebuffer if it was initialized
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu: Only destroy fbdev framebuffer if it was initialized
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: lock grbm_gfx index when changing instance
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Tidy up smu7_enable_didt() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Make use of PP_CAP in smu7_powertune.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Remove unneeded return from
  pp_smu7_thermal_fini() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/powerplay: Make use of PP_CAP in smu7_thermal.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Tidy up smu7_fan_ctrl_get_fan_speed_rpm()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Tidy up smu7_fan_ctrl_get_fan_speed_info()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix amdgpu_vm_handle_moved as well v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: remove unnecessary call to memset
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: properly set the hdp flush reg for Raven
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Tidy up vega10_thermal_initialize()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Tidy up
  vega10_thermal_set_temperature_range() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Tidy up vega10_fan_ctrl_set_fan_speed_rpm()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Fix indentation in
  vega10_fan_ctrl_reset_fan_speed_to_default() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Tidy up
  vega10_fan_ctrl_set_fan_speed_percent() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Tidy up vega10_fan_ctrl_set_default_mode()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Tidy up vega10_fan_ctrl_set_static_mode()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Tidy up vega10_fan_ctrl_get_fan_speed_rpm()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Port vega10_thermal.c over to PP_CAP
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Port vega10_powertune.c over to PP_CAP
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Port vega10_hwmgr.c over to PP_CAP
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Add PP_CAP() macro (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Port vega10_didt_set_mask() to new macros
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Introduction of bitmask macros for registers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Simplify vega10_acg_disable() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Simplify
  vega10_patch_voltage_dependency_tables_with_lookup_table()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix VM sync with always valid BOs v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: enable raven to load firmwares by psp at default
  (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: stop psp ring on suspend (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: added api for stopping psp ring (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fixed raven psp cmd prepare and submit (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move MMU notifier related defines to amdgpu_mn.h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move amdgpu_ttm_tt_* declarations into amdgpu_ttm.h
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: keep the MMU lock until the update ends v4
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rework amdgpu_cs_find_mapping (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move amdgpu_cs_sysvm_access_required into
  find_mapping (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/ttm: allow mapping BOs while they are still on the swap list
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: stop reserving the BO in the MMU callback v3
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use a rw_semaphore for MMU notifiers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move userptr BOs to CPU domain during CS v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: stop using BO status for user pages (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move taking mmap_sem into get_user_pages v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Account for shadow PTs in mapping update IB size
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: fix ttm_bo_cleanup_refs_or_queue once more (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay:  Fix psm_set_user_performance_state()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix userptr put_page handling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Fix configuration error around populate_and_map()
  functions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: fix wait_any_fence (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: set uvd/vce/nb/mclk level as UMD P-state
  required (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/powerplay: add UMD P-state in powerplay (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: delete eventmgr related files (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: delete eventmgr layer in poweprlay
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix sclk setting for profile mode for CZ/ST
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Use correct path to trace include (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Use correct path to trace include (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Fix trace include path (v2) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Cleanup gmc_v9_0_suspend() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Tidy up gmc_v9_0_hw_init() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Tidy up gmc_v9_0_gart_enable() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Simplify gmc_v9_0_vm_fault_interrupt_state()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Support full range of GFX ring names
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix moved list handling in the VM (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: declare the new firmware files needed by polaris
  asics (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: handle all fragment sizes v4 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Simplify gfx_v9_0_wait_for_idle() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Fix indentation in gfx_v9_0_mqd_init()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Tidy up gfx_v9_0_rlc_stop() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Tidy up
  gfx_v9_0_enable_gfx_dynamic_mg_power_gating() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Tidy up
  gfx_v9_0_enable_gfx_static_mg_power_gating() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Tidy up
  gfx_v9_0_enable_gfx_pipeline_powergating() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Tidy up gfx_v9_0_enable_gfx_cg_power_gating()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Tidy up gfx_v9_0_enable_cp_power_gating()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Tidy up
  gfx_v9_0_enable_sck_slow_down_on_power_down() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Tidy up
  gfx_v9_0_enable_sck_slow_down_on_power_up() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Tidy up gfx_v9_0_enable_save_restore_machine()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Tidy up gfx_v9_0_ngg_en() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Tidy up register list formatting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: bump version for support of local BOs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add IOCTL interface for per VM BOs v3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add support for per VM BOs v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: restrict userptr even more (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix new PD update code for Vega10 v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move hw generation check into amdgpu_doorbell_init
  v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: cleanup the VM code a bit more (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rework page directory filling v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay/hwmgr: Remove null check before kfree
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Remove null check before kfree (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: track evicted page tables v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix comment on amdgpu_bo_va (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add bo_va cleared flag again v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rework moved handling in the VM v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Add write() method to VRAM debugfs entry (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: notify smu once display changed on Rv
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add dummy pp table for raven. (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: refine pp code for raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: adjust mqd allocation size (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: update mqd to include dynamic CU mask
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx8: drop cz mqd (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx8: apply dynamic cu mask to APUs as well
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/powerplay/vega10: fix typo in register base index
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: cleanup GWS, GDS and OA allocation (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix and cleanup VM ready check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix amdgpu_vm_bo_map trace point (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Move VBIOS version to sysfs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add debugfs file for VBIOS and version (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Remove needless 'extern' on functions in header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: use new TTM populate/dma map helper functions
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Use new TTM populate/map helper function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Add helper functions to populate/map in one call (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/include: Add hdmi_redriver_set to atomfirmware
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Remove AMDGPU tracepoint and use new TTM
  tracepoint (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/ttm: Add DMA map/unmap tracepoint (v3) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: support polaris10/11/12 new cp firmwares
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: discard commands of killed processes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20170907 (FATE#322643
  bsc#1055900).
- drm/i915/cnl:
  WaThrottleEUPerfToAvoidTDBackPressure:cnl(pre-prod) (FATE#322643
  bsc#1055900).
- drm/i915: Lift has-pinned-pages assert to caller of
  ____i915_gem_object_get_pages (FATE#322643 bsc#1055900).
- drm/i915: Display WA #1133 WaFbcSkipSegments:cnl, glk
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Allow the reg_read ioctl to read the RCS TIMESTAMP
  register (FATE#322643 bsc#1055900).
- drm/i915: Move device_info.has_snoop into the static tables
  (FATE#322643 bsc#1055900).
- drm/i915: Disable MI_STORE_DATA_IMM for i915g/i915gm
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: Wa 1181: Fix Backlight issue (FATE#322643
  bsc#1055900).
- drm/i915: Constify load detect mode (FATE#322643 bsc#1055900).
- drm/i915/perf: Remove __user from u64 in drm_i915_perf_oa_config
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: io unmap functions want __iomem (FATE#322643
  bsc#1055900).
- drm/i915: Wake up the device for the fbdev setup (FATE#322643
  bsc#1055900).
- drm/i915: Add interface to reserve fence registers for vGPU
  (FATE#322643 bsc#1055900).
- drm/i915: Use correct path to trace include (FATE#322643
  bsc#1055900).
- drm/i915: Eliminate crtc->state usage from
  intel_atomic_commit_tail and .crtc_update() (FATE#322643
  bsc#1055900).
- drm/i915: Eliminate crtc->state usage from
  intel_update_pipe_config() (FATE#322643 bsc#1055900).
- drm/i915: Eliminate obj->state usage from pre/post plane update
  (FATE#322643 bsc#1055900).
- drm/i915: Pass proper old/new states to
  intel_plane_atomic_check_with_state() (FATE#322643 bsc#1055900).
- drm/i915: rework IS_*_GT* macros (FATE#322643 bsc#1055900).
- drm/i915: add GT number to intel_device_info (FATE#322643
  bsc#1055900).
- drm/i915: Eliminate obj->state usage in g4x/vlv/chv wm
  computation (FATE#322643 bsc#1055900).
- drm/i915: Pass the crtc state explicitly to
  intel_pipe_update_start/end() (FATE#322643 bsc#1055900).
- drm/i915: Pass the new crtc state to color management code
  (FATE#322643 bsc#1055900).
- drm/i915: Consolidate max_cdclk_freq check in
  intel_crtc_compute_min_cdclk() (FATE#322643 bsc#1055900).
- drm/i915: Track minimum acceptable cdclk instead of "minimum
  dotclock" (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix DP max voltage (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix DDI hdmi level selection (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Move ddi buf trans related functions up
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Move voltage check into ddi buf trans functions
  (FATE#322643 bsc#1055900).
- drm/i915: Enable voltage swing before enabling DDI_BUF_CTL
  (FATE#322643 bsc#1055900).
- drm/i915: Align vswing sequences with old ddi buffer registers
  (FATE#322643 bsc#1055900).
- drm/i915: decouple gen9 and gen10 dp signal levels (FATE#322643
  bsc#1055900).
- drm/i915: Introduce intel_ddi_dp_level (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Avoid ioremap_wc on Cannonlake as well
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: WaDisableI2mCycleOnWRPort (FATE#322643
  bsc#1055900).
- drm/i915/cnl: WA FtrEnableFastAnisoL1BankingFix (FATE#322643
  bsc#1055900).
- drm/i915: Stop using long platform names on clock gating
  functions (FATE#322643 bsc#1055900).
- drm/i915: Discard the request queue if we fail to sleep before
  suspend (FATE#322643 bsc#1055900).
- drm/i915: Clear wedged status upon resume (FATE#322643
  bsc#1055900).
- drm/i915: Always sanity check engine state upon idling
  (FATE#322643 bsc#1055900).
- drm/i915: Don't use GPU relocations prior to cmdparser stalls
  (FATE#322643 bsc#1055900).
- drm/i915: Remove excess indent in intel_finish_reset() caught
  by sparse (FATE#322643 bsc#1055900).
- drm/i915: Beef up of Beef up the IPS vs. CRC workaround
  (FATE#322643 bsc#1055900).
- drm/i915/bios: amend edp block based on intel_vbt_decode
  (FATE#322643 bsc#1055900).
- drm/i915/bios: amend child device flags based on
  intel_vbt_decode (FATE#322643 bsc#1055900).
- drm/i915/bios: amend bdb_general_features (FATE#322643
  bsc#1055900).
- drm/i915/bios: split up iboost to hdmi and dp bitfields
  (FATE#322643 bsc#1055900).
- drm/i915: Fix FBC cfb stride programming for non X-tiled FB
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: don't hardcode DPCLKA_CFGCR0_DDI_CLK_SEL_SHIFT
  (FATE#322643 bsc#1055900).
- drm/i915/bios: drop the rest of the p_ prefixes from pointers
  (FATE#322643 bsc#1055900).
- drm/i915/bios: throw away unused DVO_* macros (FATE#322643
  bsc#1055900).
- drm/i915/bios: group device type definitions together
  (FATE#322643 bsc#1055900).
- drm/i915/bios: document child device config dvo_port values
  a bit better (FATE#322643 bsc#1055900).
- drm/i915/bios: throw away struct old_child_dev_config
  (FATE#322643 bsc#1055900).
- drm/i915/bios: throw away high level child device union
  (FATE#322643 bsc#1055900).
- drm/i915/bios: add legacy contents to common child device config
  (FATE#322643 bsc#1055900).
- drm/i915/bios: remove the raw version of child device config
  (FATE#322643 bsc#1055900).
- drm/i915/bios: document BDB versions of child device config
  fields (FATE#322643 bsc#1055900).
- drm/i915/bios: amend child device config parameters (FATE#322643
  bsc#1055900).
- drm/i915: Beef up the IPS vs. CRC workaround (FATE#322643
  bsc#1055900).
- drm/i915: Make some RPS functions static (FATE#322643
  bsc#1055900).
- drm/i915: Assert that the handle->vma lut is empty on object
  close (FATE#322643 bsc#1055900).
- drm/i915: Assert the context is not closed on object-close
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/cnl: WaForceContextSaveRestoreNonCoherent (FATE#322643
  bsc#1055900).
- drm/i915/cnl: WaPushConstantDereferenceHoldDisable (FATE#322643
  bsc#1055900).
- drm/i915: Keep a small stash of preallocated WC pages
  (FATE#322643 bsc#1055900).
- drm/i915/cfl: Coffee Lake works on Kaby Lake PCH (FATE#322643
  bsc#1055900).
- drm/i915/cnl: extract cnl_set_procmon_ref_values (FATE#322643
  bsc#1055900).
- drm/i915/cnl: simplify cnl_procmon_values handling (FATE#322643
  bsc#1055900).
- drm/i915: Boost GPU clocks if we miss the pageflip's vblank
  (FATE#322643 bsc#1055900).
- drm/i915: Constify states passed to enable/disable/etc. encoder
  hooks (FATE#322643 bsc#1055900).
- drm/i915: Plumb crtc_state to PSR enable/disable (FATE#322643
  bsc#1055900).
- drm/i915: Init infoframe vfuncs for DP encoders as well
  (FATE#322643 bsc#1055900).
- drm/i915: Move infoframe vfuncs into intel_digital_port
  (FATE#322643 bsc#1055900).
- drm/i915: Disable infoframes when shutting down DDI HDMI
  (FATE#322643 bsc#1055900).
- drm/i915: Check has_infoframes when enabling infoframes
  (FATE#322643 bsc#1055900).
- drm/i915: Re-enable per-engine reset for Broxton (FATE#322643
  bsc#1055900).
- drm/i915/dp: make is_edp non-static and rename to
  intel_dp_is_edp (FATE#322643 bsc#1055900).
- drm/i915/dp: rename intel_dp_is_edp to intel_dp_is_port_edp
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Apply large line width optimization (FATE#322643
  bsc#1055900).
- drm/i915/cnl: WaDisableEnhancedSBEVertexCaching (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add
  WaDisableReplayBufferBankArbitrationOptimization (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Introduce initial Cannonlake Workarounds
  (FATE#322643 bsc#1055900).
- drm/virtio: Replace instances of reference/unreference with
  get/put (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/fb-cma-helper: Remove unused functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tve200: Use drm_gem_fb_create() and drm_gem_fb_prepare_fb()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Use drm_gem_fb_create() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/shmobile: Use drm_gem_fb_create() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/rcar-du: Use drm_gem_fb_create() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/mxsfb: Use drm_gem_fb_create() and drm_gem_fb_prepare_fb()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/meson: Use drm_gem_fb_create() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/hisilicon/kirin: Use drm_gem_fb_create() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fsl-dcu: Use drm_gem_fb_create() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm: Use drm_gem_framebuffer_helper (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: of: always initialize panel in
  drm_of_find_panel_or_bridge() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tve200: Check for IS_ERR instead of NULL in probe
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tve200: make two functions static (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/armada: Remove unused #include <drmP.h> (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Rely on the default best_encoder() behavior
  (fate#323912).
- drm/vc4: Set up the DSI host at pdev probe time, not component
  bind (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vc4: Avoid using vrefresh==0 mode in DSI htotal math
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/core: clean up references to drm_dev_unref() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tilcdc: replace reference/unreference() with get/put
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: introduce drm_dev_{get/put} functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Cocci spatch "vma_pages" (fate#323912).
- drm: Remove obsolete "This is gross" comment (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Try to document legacy DPMS uapi a bit better (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Fix uninitialized use of ret (fate#323912).
- drm/agpsupport: Remove extra blank line (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/agpsupport: Move EXPORT_SYMBOL so that it immediately
  follows its function (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/agpsupport: Remove assignment in if condition (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/agpsupport: Replace "foo * bar" with "foo *bar" (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: add backwards compatibility support for
  drm_kms_helper.edid_firmware (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: handle override and firmware EDID at drm_do_get_edid()
  level (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/dp: DPCD register defines for link status within ESI field
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Replace dev_* with DRM_DEV_* (fate#323912).
- drm/tinydrm: Drop driver registered message (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/gem-fb-helper: Use debug message on gem lookup failure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/imx: Use drm_gem_fb_create() and drm_gem_fb_prepare_fb()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: adv7511: Constify HDMI CODEC platform data
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: adv7511: Enable connector polling when no interrupt
  is specified (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/bridge: adv7511: Remove private copy of the EDID
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: adv7511: Properly update EDID when no EDID was found
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/crtc: Convert setcrtc ioctl locking to interruptible
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Convert pageflip ioctl locking to interruptible
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/legacy: Convert setplane ioctl locking to interruptible
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/legacy: Convert cursor ioctl locking to interruptible
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Convert atomic ioctl locking to interruptible
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Prepare drm_modeset_lock infrastructure for
  interruptible waiting, v2 (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/tve200: Clean up panel bridging (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/dp/mst: Sideband message transaction to power up/down nodes
  (FATE#322643 bsc#1055900).
- drm: Make __drm_object_property_get_value() static (FATE#322643
  bsc#1055900).
- drm: Drop drm_get_link_status_name() (bsc#1051510).
- drm: Make syncobj import/export functions static (FATE#322643
  bsc#1055900).
- drm/pl111: Add handling of Versatile platforms (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Add optional variant display en/disable callbacks
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Insert delay before powering up PL11x (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Enable PL110 variant (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Replace custom connector with panel bridge
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Add all registers to debugfs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Cleanup local header file (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tilcdc: Use drm_gem_fb_create() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: call drm_vblank_init with correct number of crtcs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Support backend input mux (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Simplify sun4i_tcon_find_engine_traverse for
  one input (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: tcon: get TCON ID and matching engine with remote
  endpoint ID (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: tcon: Check for multiple paths between TCONs and
  backends (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: add components in breadth first traversal order
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Unconditionally reset the TCON (bsc#1051510).
- drm/vc4: clean up error handling on devm_kzalloc failure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Remove deprecated accessor macros (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Make async plane update checks work as intended,
  v2 (bsc#1051510).
- drm/atomic: Fix freeing connector/plane state too early by
  tracking commits, v3 (FATE#322643 bsc#1055900).
- drm/atomic: Remove waits in
  drm_atomic_helper_commit_cleanup_done, v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Move drm_crtc_commit to drm_crtc_state, v4
  (FATE#322643 bsc#1055900).
- drm/atomic: Return commit in drm_crtc_commit_get for better
  annotation (FATE#322643 bsc#1055900).
- drm/i915: Always wait for flip_done, v2 (FATE#322643
  bsc#1055900).
- drm/stm: fix warning about multiplication in condition
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 7d8be10
* Fri Jan  4 2019 nborisov@suse.com
- Btrfs: fix ENOSPC caused by orphan items reservations (bsc#1111469).
- commit 6041c7b
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/rockchip: Add support for Rockchip Soc LVDS (fate#323912).
- Update config files.
- commit b0b271f
* Fri Jan  4 2019 ptesarik@suse.cz
- drm: gma500: fix logic error (bsc#1051510).
- drm/vc4: Use correct path to trace include (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/armada: Use correct path to trace include (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Use correct path to trace include (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/synopsys: dsi: explicitly request exclusive reset
  control (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/bridge/synopsys: dsi: Register list clean up (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Fix example comment of format modifier blob (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tve200: Replace custom connector with panel bridge
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fb-helper: Avoid NULL ptr dereference in fb_set_suspend()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: Use drm_gem_fb_create() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/arc: Use drm_gem_fb_create() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/armada: Use .dumb_map_offset and .dumb_destroy defaults
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/gem: drm_gem_dumb_map_offset(): reject dma-buf (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scdc-helper: Use consistent spelling for TMDS (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scdc-helper: Use consistent error reporting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/scdc-helper: Remove gratuitous blank lines (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Fix typo in kerneldoc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vtables: Fix typo (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/gma500: Remove null check before kfree (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tve200: Pass NULL format_modifier to
  drm_simple_display_pipe_init (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/zte: Use drm_gem_fb_create() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sti: Use drm_gem_fb_create() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/atmel-hlcdc: Use drm_gem_fb_create() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arm/mali: Use drm_gem_fb_create() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/arm/hdlcd: Use drm_gem_fb_create() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/tve200: Add new driver for TVE200 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- commit fe1ff28
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/dp: Add defines for DP SDP types (FATE#322643 bsc#1055900).
- drm: i2c: tda998x: constify i2c_device_id (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: i2c: sil164: constify i2c_device_id (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: i2c: ch7006: constify i2c_device_id (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: change return type of drm_bridge_add function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: mic: clean up drm_bridge_add call (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sti: sti_vdo: clean up drm_bridge_add call (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: hdmi: clean up drm_bridge_add call (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 68f37f0
* Fri Jan  4 2019 nborisov@suse.com
- Btrfs: refactor btrfs_evict_inode() reserve refill dance (bsc#1111469).
- commit 09ea38c
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/panel: Add driver for Seiko 43WVF1G panel (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit ec12360
* Fri Jan  4 2019 nborisov@suse.com
- Btrfs: don't return ino to ino cache if inode item removal fails (bsc#1111469).
- commit 2823ef8
* Fri Jan  4 2019 nborisov@suse.com
- Btrfs: delete dead code in btrfs_orphan_commit_root() (bsc#1111469).
- commit 3280514
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/panel: simple: Remove unneeded gpiod NULL check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: Add missing panel_simple_unprepare() calls
  (bsc#1051510).
- drm/panel: simple: Fix width and height for Olimex
  LCD-OLinuXino-4.3TS (bsc#1051510).
- commit 979cd90
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/panel: Add support for OTM8009A panel driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 5629702
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/panel: simple: Skip error message on deferred probe
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit a1833e6
* Fri Jan  4 2019 nborisov@suse.com
- Btrfs: get rid of BTRFS_INODE_HAS_ORPHAN_ITEM (bsc#1111469).
- commit 0374fb2
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/panel: Add support for S6E63J0X03 panel (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit a9914c4
* Fri Jan  4 2019 nborisov@suse.com
- Btrfs: fix use-after-free on root->orphan_block_rsv   (bsc#1111469).
- commit d45eb09
* Fri Jan  4 2019 nborisov@suse.com
- Btrfs: don't BUG_ON() in btrfs_truncate_inode_items()
  (bsc#1111469).
- Btrfs: update stale comments referencing vmtruncate()
  (bsc#1111469).
- commit 0f0d10f
* Fri Jan  4 2019 nborisov@suse.com
- Btrfs: fix error handling in btrfs_truncate_inode_items() (bsc#1111469).
- commit ac4ef70
* Fri Jan  4 2019 nborisov@suse.com
- btrfs: move btrfs_truncate_block out of trans handle (bsc#1111469).
- commit 91a1ca2
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amdgpu Moving amdgpu asic types to a separate file
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Added asic_type as ACP DMA driver platform data
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: Convert timers to use timer_setup() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: gma500: Convert timers to use timer_setup() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Deconstruct struct sgt_dma initialiser (FATE#322643
  bsc#1055900).
- drm/i915: Reject unknown syncobj flags (FATE#322643
  bsc#1055900).
- drm/vmwgfx: Fix Ubuntu 17.10 Wayland black screen issue
  (bsc#1051510).
- drm/vmwgfx: constify vmw_fence_ops (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: allow harvesting check for Polaris VCE
  (bsc#1051510).
- drm/amdgpu: return -ENOENT from uvd 6.0 early init for
  harvesting (bsc#1051510).
- drm/i915: Check incoming alignment for unfenced buffers (on
  i915gm) (FATE#322643 bsc#1055900).
- drm/i915: Hold rcu_read_lock when iterating over the radixtree
  (vma idr) (FATE#322643 bsc#1055900).
- drm/i915: Hold rcu_read_lock when iterating over the radixtree
  (objects) (FATE#322643 bsc#1055900).
- drm/i915/edp: read edp display control registers unconditionally
  (FATE#322643 bsc#1055900).
- drm/i915: Do not rely on wm preservation for ILK watermarks
  (FATE#322643 bsc#1055900).
- drm/i915: Cancel the modeset retry work during modeset cleanup
  (FATE#322643 bsc#1055900).
- drm/nouveau/kms/nv50: use the correct state for base channel
  notifier setup (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915/gvt: Adding ACTHD mmio read handler (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Extract mmio_read_from_hw() common function
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Refine MMIO_RING_F() (FATE#322643 bsc#1055900).
- drm/i915/gvt: properly check per_ctx bb valid state (FATE#322643
  bsc#1055900).
- drm/i915/perf: fix perf enable/disable ioctls with 32bits
  userspace (FATE#322643 bsc#1055900).
- drm/amd/amdgpu: Remove workaround check for UVD6 on APUs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix uninitialized variable (bsc#1051510).
- drm/i915: Use a mask when applying WaProgramL3SqcReg1Default
  (FATE#322643 bsc#1055900).
- drm/i915: Report -EFAULT before pwrite fast path into shmemfs
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix PLL initialization for HDMI (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix PLL mapping (FATE#322643 bsc#1055900).
- drm/i915: Use bdw_ddi_translations_fdi for Broadwell
  (FATE#322643 bsc#1055900).
- drm/i915: Fix eviction when the GGTT is idle but full
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Fix GPU hang after reusing vGPU instance across
  different guest OS (FATE#322643 bsc#1055900).
- drm/nouveau/fbcon: fix oops without fbdev emulation
  (bsc#1094751).
- drm/nouveau/kms/nv50: fix oops during DP IRQ handling on
  non-MST boards (bsc#1051510).
- drm/nouveau/bsp/g92: disable by default (bsc#1051510).
- drm/nouveau/mmu: flush tlbs before deleting page tables
  (bsc#1051510).
- drm/exynos: Clear drvdata after component unbind (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: Fix potential NULL pointer dereference in
  suspend/resume paths (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/bios: parse DDI ports also for CHV for HDMI DDC pin
  and DP AUX channel (FATE#322643 bsc#1055900).
- drm/i915: Read timings from the correct transcoder in
  intel_crtc_mode_get() (FATE#322643 bsc#1055900).
- drm/i915: Order two completing nop_submit_request (FATE#322643
  bsc#1055900).
- drm/i915: Silence compiler warning for hsw_power_well_enable()
  (FATE#322643 bsc#1055900).
- drm/i915: Use crtc_state_is_legacy_gamma in intel_color_check
  (FATE#322643 bsc#1055900).
- drm/i915/edp: Increase the T12 delay quirk to 1300ms
  (FATE#322643 bsc#1055900).
- drm/i915/edp: Get the Panel Power Off timestamp after panel
  is off (FATE#322643 bsc#1055900).
- drm/msm: fix _NO_IMPLICIT fencing case (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: fix error path cleanup (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: Remove extra pm_runtime_put call in
  mdp5_crtc_cursor_set() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/msm/dsi: Use correct pm_runtime_put variant during host_init
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: fix return value check in _msm_gem_kernel_new()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: use proper memory barriers for updating tail/head
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: add missing max size for 8x74 v1 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix placement flags in amdgpu_ttm_bind (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Unref duplicated drm_atomic_state in
  drm_atomic_helper_resume() (bsc#1051510).
- clk: Export clk_bulk_prepare() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: hdmi: Disable clks in bind function error path
  and unbind function (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915/glk: Fix DMC/DC state idleness calculation (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Reprogram DMC firmware after S3/S4 resume
  (FATE#322643 bsc#1055900).
- drm/i915: Fix DDI PHY init if it was already on (FATE#322643
  bsc#1055900).
- drm/i915/bios: ignore HDMI on port A (FATE#322643 bsc#1055900).
- drm/i915: remove redundant variable hw_check (FATE#322643
  bsc#1055900).
- drm/i915: always update ELD connector type after get modes
  (FATE#322643 bsc#1055900).
- drm/tegra: trace: Fix path to include (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- qxl: fix pinning (bsc#1057241,bsc#1057123).
- drm/sun4i: cec: Enable back CEC-pin framework (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- qxl: fix primary surface handling (bsc#1057241,bsc#1057123).
- drm/radeon: disable hard reset in hibernate for APUs
  (bsc#1051510).
- Revert "drm/amdgpu: update tile table for oland/hainan"
  (boo#1027378, boo#1039806).
- etnaviv: fix gem object list corruption (bsc#1051510).
- etnaviv: fix submit error path (bsc#1051510).
- drm/amdkfd: Print event limit messages only once per process
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix kernel-queue wrapping bugs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix incorrect destroy_mqd parameter (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: check for null dev to avoid a null pointer
  dereference (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/exynos/hdmi: Fix unsafe list iteration (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: exynos: include linux/irq.h (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: Fix suspend/resume support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: Fix locking in the suspend/resume paths (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Remove unused 'in_vbl' from i915_get_crtc_scanoutpos()
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: set min brightness from VBT (FATE#322643
  bsc#1055900).
- Revert "drm/i915/bxt: Disable device ready before shutdown
  command" (bsc#1051510).
- drm/i915/bxt: set min brightness from VBT (FATE#322643
  bsc#1055900).
- drm/i915: Fix an error handling in 'intel_framebuffer_init()'
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Fix incorrect PCI BARs reporting (FATE#322643
  bsc#1055900).
- drm/amdkfd: pass queue's mqd when destroying mqd (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: remove memset before memcpy (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- uapi linux/kfd_ioctl.h: only use __u32 and __u64 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: revert "fix deadlock of reservation between cs
  and gpu reset v2" (bsc#1051510).
- drm/amdgpu: remove duplicate return statement (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: check memory allocation failure (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: fix BANK_SELECT on Vega10 (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: inline amdgpu_ttm_do_bind again (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix amdgpu_ttm_bind (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove the GART copy hack (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/ttm:fix wrong decoding of bo_count (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: fix missing inc bo_count (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: set sched_hw_submission higher for KIQ (v3)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move default gart size setting into gmc modules
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: refine default gart size (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: ACG frequency added in PPTable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix and cleanup shadow handling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add automatic per asic settings for gart_size
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx8: fix spelling typo in mqd allocation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: unhalt mec after loading (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/virtual_dce: Virtual display doesn't support
  disable vblank immediately (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: Fix huge page updates with CPU (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- mm: treewide: remove GFP_TEMPORARY allocation flag (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- gpu: drm: tc35876x: move header file out of I2C realm
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: rv: Use designated initializers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Remove one duplicated MMIO (FATE#322643
  bsc#1055900).
- drm/i915: Re-enable GTT following a device reset (FATE#322643
  bsc#1055900).
- drm/i915: Annotate user relocs with __user (FATE#322643
  bsc#1055900).
- drm/i915: Silence sparse by using gfp_t (FATE#322643
  bsc#1055900).
- drm/i915: Add __rcu to radix tree slot pointer (FATE#322643
  bsc#1055900).
- drm/i915: Fix the missing PPAT cache attributes on CNL
  (FATE#322643 bsc#1055900).
- drm/i915: Fix enum pipe vs. enum transcoder for the PCH
  transcoder (FATE#322643 bsc#1055900).
- drm/i915: Make i2c lock ops static (FATE#322643 bsc#1055900).
- drm/i915: Make i9xx_load_ycbcr_conversion_matrix() static
  (FATE#322643 bsc#1055900).
- drm/i915/edp: Increase T12 panel delay to 900 ms to fix DP
  AUX CH timeouts (FATE#322643 bsc#1055900).
- drm/i915: Ignore duplicate VMA stored within the per-object
  handle LUT (FATE#322643 bsc#1055900).
- drm/i915: Skip fence alignemnt check for the CCS plane
  (FATE#322643 bsc#1055900).
- drm/i915: Treat fb->offsets[] as a raw byte offset instead of
  a linear offset (FATE#322643 bsc#1055900).
- drm/i915: Always wake the device to flush the GTT (FATE#322643
  bsc#1055900).
- drm/i915: Recreate vmapping even when the object is pinned
  (FATE#322643 bsc#1055900).
- drm/i915: Quietly cancel FBC activation if CRTC is turned off
  before worker (FATE#322643 bsc#1055900).
- media: cec: add *_ts variants for transmit_done/received_msg
  (FATE#326289).
- ALSA: hda: constify pci_device_id (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: wire up shrinkctl->nr_scanned (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- x86, drm, fbdev: Do not specify encrypted memory for video
  mappings (fate#322123).
- drm/vmwgfx: Bump the version for fence FD support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Add export fence to file descriptor support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Add support for imported Fence File Descriptor
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Prepare to support fence fd (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Fix incorrect command header offset at restart
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Support the NOP_ERROR command (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Restart command buffers after errors (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Move irq bottom half processing to threads
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Don't use drm_irq_install (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: simplify set_pixfmt() in DECON and FIMD drivers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: consistent use of cpp (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: mixer: remove src offset from mixer_graph_buffer()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: mixer: simplify mixer_graph_buffer() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: mixer: simplify vp_video_buffer() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: mixer: enable NV12MT support for the video plane
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: mixer: fix chroma comment in vp_video_buffer()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/decon5433: use mode info stored in CRTC to detect
  i80 mode (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/exynos: add mode_valid callback to exynos_drm (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/decon5433: refactor irq requesting code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/mic: use mode info stored in CRTC to detect i80 mode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/dsi: propagate info about command mode from panel
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/dsi: refactor panel detection logic (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: use helper to set possible crtcs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/decon5433: use readl_poll_timeout helpers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rename u32 in __u32 in uapi (FATE#322643 bsc#1055900).
- drm/syncobj: Add a signal ioctl (v3) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/syncobj: Add a reset ioctl (v3) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/syncobj: Add a syncobj_array_find helper (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/syncobj: Allow wait for submit and signal behavior (v5)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/syncobj: Add a CREATE_SIGNALED flag (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/syncobj: Add a callback mechanism for replace_fence (v3)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/syncobj: add sync obj wait interface. (v8) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- i915: Use drm_syncobj_fence_get (FATE#322643 bsc#1055900).
- drm/syncobj: Add a race-free drm_syncobj_fence_get helper (v2)
  (FATE#322643 bsc#1055900).
- drm/syncobj: Rename fence_get to find_fence (FATE#322643
  bsc#1055900).
- drm: kirin: Add mode_valid logic to avoid mode clocks we can't
  generate (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: use of_graph_get_remote_endpoint() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: work-around for omap3 display enable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: fix i886 work-around (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: fix analog tv-out modecheck (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Merge tag 'drm-msm-next-2017-08-22' of
  git://people.freedesktop.org/~robclark/linux into drm-next
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: mark runtime_pm functions as __maybe_unused
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: remove unused variable (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: make helper function static (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: make msm_framebuffer_init() static (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: add helper to allocate stolen fb (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: don't track fbdev's gem object separately (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: add modeset module param (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: add tracking for clk enable-count (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: remove unused define (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Add a helper function for in-kernel buffer allocations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Attach the GPU MMU when it is created (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Add A5XX hardware fault detection (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Remove uneeded platform dev members (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: Set up runtime PM for MDSS (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: Write to SMP registers even if allocations
  don't change (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/msm/mdp5: Don't use mode_set helper funcs for encoders
  and CRTCs (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/msm/dsi: Implement RPM suspend/resume callbacks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: Set up runtime PM for DSI (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/hdmi: Set up runtime PM for HDMI (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: Use runtime PM get/put API instead of toggling
  clocks (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/nouveau/kms/nv50: perform null check on msto[i] rathern
  than msto (bsc#1051510).
- drm/nouveau: silence suspend/resume debugging messages
  (bsc#1095094).
- drm/nouveau/kms/nv04-nv4x: fix exposed format list
  (bsc#1095094).
- drm/nouveau/kms/nv10-nv40: add NV21 support to overlay
  (bsc#1095094).
- drm/nouveau/kms/nv04-nv40: improve overlay error detection,
  fix pitch setting (bsc#1095094).
- drm/nouveau/kms/nv04-nv40: prevent undisplayable framebuffers
  from creation (bsc#1095094).
- drm/nouveau/mpeg: print more debug info when rejecting dma
  objects (bsc#1095094).
- drm/nouveau/fb/gf100-: zero mmu debug buffers (bsc#1095094).
- drm/nouveau/bar/gf100: add config option to limit BAR2 to 16MiB
  (bsc#1095094).
- initial support (display-only) for GP108 (bsc#1095094).
- drm/nouveau/falcon: use a more reasonable msgqueue timeout value
  (bsc#1095094).
- drm/nouveau/disp: Silence DCB warnings (bsc#1095094).
- drm/nouveau/bios: Demote missing fp table message to NV_DEBUG
  (bsc#1095094).
- drm/nouveau/pmu/gt215-: abstract detection of whether reset
  is needed (bsc#1095094).
- drm/nouveau/pmu/gt215: fix reset (bsc#1095094).
- drm/nouveau/mc/gf100: add pmu to reset mask (bsc#1095094).
- drm/nouveau/disp/gf119-: avoid creating non-existent heads
  (bsc#1095094).
- drm/nouveau/therm/gm200: Added (bsc#1095094).
- drm/nouveau/therm: fix spelling mistake on array thresolds
  (bsc#1095094).
- drm/imx: lock scanout transfers for consecutive bursts
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/imx: ipuv3-plane: use fb local variable instead of state->fb
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20170818 (FATE#322643
  bsc#1055900).
- drm/i915: Mark the GT as busy before idling the previous request
  (FATE#322643 bsc#1055900).
- drm/i915: Trivial grammar fix s/opt of/opt out of/ in comment
  (FATE#322643 bsc#1055900).
- drm/i915: Simplify eb_lookup_vmas() (FATE#322643 bsc#1055900).
- drm/i915: Convert execbuf to use struct-of-array packing for critical fields (FATE#322643 bsc#1055900).
- drm/i915: Check context status before looking up our obj/vma (FATE#322643 bsc#1055900).
- drm/i915: Don't use MI_STORE_DWORD_IMM on Sandybridge/vcs (FATE#322643 bsc#1055900).
- drm/i915: Stop touching forcewake following a gen6+ engine reset (FATE#322643 bsc#1055900).
- drm/i915: Split pin mapping into per platform functions (FATE#322643 bsc#1055900).
- drm/i915/opregion: let user specify override VBT via firmware load (FATE#322643 bsc#1055900).
- drm/i915/cnl: Reuse skl_wm_get_hw_state on Cannonlake (FATE#322643 bsc#1055900).
- drm/i915/gen10: implement gen 10 watermarks calculations (FATE#322643 bsc#1055900).
- drm/i915/cnl: Setup PAT Index (FATE#322643 bsc#1055900).
- drm/i915/edp: Allow alternate fixed mode for eDP if available (FATE#322643 bsc#1055900).
- drm/i915: Add support for drm syncobjs (FATE#322643 bsc#1055900).
- drm/i915: Handle full s64 precision for wait-ioctl (FATE#322643 bsc#1055900).
- drm/i915: Split obj->cache_coherent to track r/w (FATE#322643 bsc#1055900).
- drm/i915/hsw+: Add support for multiple power well regs (FATE#322643 bsc#1055900).
- drm/i915: Work around GCC anonymous union initialization bug (FATE#322643 bsc#1055900).
- drm/i915/gvt: Fix guest i915 full ppgtt blocking issue (FATE#322643 bsc#1055900).
- drm/i915: Enable guest i915 full ppgtt functionality (FATE#322643 bsc#1055900).
- drm/i915: Disconnect 32 and 48 bit ppGTT support (FATE#322643 bsc#1055900).
- drm/i915/gvt: Add shadow context descriptor updating (FATE#322643 bsc#1055900).
- drm/i915/gvt: expose vGPU context hw id (FATE#322643 bsc#1055900).
- drm/i915/gvt: Refine the intel_vgpu_reset_gtt reset function (FATE#322643 bsc#1055900).
- drm/i915/gvt: Add carefully checking in GTT walker paths (FATE#322643 bsc#1055900).
- drm/i915/gvt: Remove duplicated MMIO entries (FATE#322643 bsc#1055900).
- drm/i915/gvt: take runtime pm when do early scan and shadow (FATE#322643 bsc#1055900).
- drm/i915/gvt: Replace duplicated code with exist function (FATE#322643 bsc#1055900).
- drm/i915/gvt: To check whether workload scan and shadow has mutex hold (FATE#322643 bsc#1055900).
- drm/i915/gvt: Audit and shadow workload during ELSP writing (FATE#322643 bsc#1055900).
- drm/i915/gvt: Factor out scan and shadow from workload dispatch (FATE#322643 bsc#1055900).
- drm/i915/gvt: Optimize ring siwtch 2x faster again by light weight mmio access wrapper (FATE#322643 bsc#1055900).
- drm/i915/gvt: Optimize ring siwtch 2x faster by removing unnecessary POSTING_READ (FATE#322643 bsc#1055900).
- drm/i915/gvt: Use gvt_err to print the resource not enough error (FATE#322643 bsc#1055900).
- drm/i915/dp: Validate the compliance test link parameters (FATE#322643 bsc#1055900).
- drm/i915/dp: Generalize intel_dp_link_params function to accept arguments to be validated (FATE#322643 bsc#1055900).
- drm/i915: More surgically unbreak the modeset vs reset deadlock (FATE#322643 bsc#1055900).
- drm/i915: Push i915_sw_fence_wait into the nonblocking atomic commit (FATE#322643 bsc#1055900).
- drm/i915/gen9: Send all components in VF state (FATE#322643 bsc#1055900).
- drm/i915/guc: Rename GuC irq trigger function (FATE#322643 bsc#1055900).
- drm/i915: Add SW_SYNC to our recommend testing Kconfig (FATE#322643 bsc#1055900).
- drm/i915: Introduce intel_hpd_pin function (FATE#322643 bsc#1055900).
- drm/i915: Simplify hpd pin to port (FATE#322643 bsc#1055900).
- drm/i915/cnl: Dump the right pll registers when dumping pipe config (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add allowed DP rates for Cannonlake (FATE#322643 bsc#1055900).
- drm/i915: make structure intel_sprite_plane_funcs static (FATE#322643 bsc#1055900).
- drm/i915/fbc: only update no_fbc_reason when active (FATE#322643 bsc#1055900).
- drm/i915/gen10: fix WM latency printing (FATE#322643 bsc#1055900).
- drm/i915/gen10: fix the gen 10 SAGV block time (FATE#322643 bsc#1055900).
- drm/i915/cnl: Enable SAGV for Cannonlake (FATE#322643 bsc#1055900).
- drm/i915/gen10+: use the SKL code for reading WM latencies (FATE#322643 bsc#1055900).
- drm/i915: Avoid null dereference if mst_port is unset (FATE#322643 bsc#1055900).
- drm/i915/perf: Drop redundant check for perf.initialised on reset (FATE#322643 bsc#1055900).
- drm/i915/perf: Drop lockdep assert for i915_oa_init_reg_state() (FATE#322643 bsc#1055900).
- drm/i915/perf: Initialise dynamic sysfs group before creation (FATE#322643 bsc#1055900).
- drm/i915: add register macro definition style guide (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: enum i915_power_well_id is not proper kernel-doc (FATE#322643 bsc#1055900).
- drm/i915: Add format modifiers for Intel (FATE#322643 bsc#1055900).
- drm/i915: Add render decompression support (FATE#322643 bsc#1055900).
- drm/i915: Implement .get_format_info() hook for CCS (FATE#322643 bsc#1055900).
- drm/i915: Supply the engine-id for our mock_engine() (FATE#322643 bsc#1055900).
- drm/i915/psr: Preserve SRD_CTL bit 29 on PSR init (FATE#322643 bsc#1055900).
- drm/i915/cnl: Removing missing DDI_E bits from CNL (FATE#322643 bsc#1055900).
- drm/i915/selftests: Retarget igt_render_engine_reset_fallback() (FATE#322643 bsc#1055900).
- drm/i915/perf: Initialise the dynamic sysfs attr (FATE#322643 bsc#1055900).
- drm/i915: enable WaDisableDopClkGating for skl (FATE#322643 bsc#1055900).
- drm/i915: Fix PCH names for KBP and CNP (FATE#322643 bsc#1055900).
- drm/i915/perf: Implement I915_PERF_ADD/REMOVE_CONFIG interface (FATE#322643 bsc#1055900).
- drm/i915: reorder NOA register definition to follow addresses (FATE#322643 bsc#1055900).
- drm/i915/perf: disable NOA logic when not used (FATE#322643 bsc#1055900).
- drm/i915/perf: leave GDT_CHICKEN_BITS programming in configs (FATE#322643 bsc#1055900).
- drm/i915/perf: prune OA configs (FATE#322643 bsc#1055900).
- drm/i915: add const to bin_attribute (FATE#322643 bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20170731 (FATE#322643 bsc#1055900).
- drm/i915: Remove unused i915_err_print_instdone (FATE#322643 bsc#1055900).
- drm/i915: Include mbox details for pcode read/write failures (FATE#322643 bsc#1055900).
- drm/i915/sdvo: Shut up state checker with hdmi cards on gen3 (FATE#322643 bsc#1055900).
- drm/i915: Rework sdvo proxy i2c locking (FATE#322643 bsc#1055900).
- drm/i915: Call the unlocked version of i915_gem_object_get_pages() (FATE#322643 bsc#1055900).
- drm/i915: Move i915_gem_object_phys_attach() (FATE#322643 bsc#1055900).
- drm/i915: Pin the pages before acquiring struct_mutex for display (FATE#322643 bsc#1055900).
- drm/i915: Make i915_gem_object_phys_attach() use obj->mm.lock more appropriately (FATE#322643 bsc#1055900).
- drm/i915: Trim struct_mutex usage for kms (FATE#322643 bsc#1055900).
- drm/i915: Handle msr read failure gracefully (FATE#322643 bsc#1055900).
- drm/i915/fbc: add comments to the FBC auxiliary structs (FATE#322643 bsc#1055900).
- drm/i915: cleanup the CHICKEN_MISC_2 (re)definitions (FATE#322643 bsc#1055900).
- drm/i915/selftests: Fix kbuild error (FATE#322643 bsc#1055900).
- drm/i915: Squelch reset messages during selftests (FATE#322643 bsc#1055900).
- drm/i915/selftest: Refactor reset locking (FATE#322643 bsc#1055900).
- drm/i915: Don't touch fence->error when resetting an innocent request (FATE#322643 bsc#1055900).
- drm/i915: Enforce that CS packets are qword aligned (FATE#322643 bsc#1055900).
- drm/i915/glk: set HDMI 2.0 identifier (FATE#322643 bsc#1055900).
- drm/i915: set colorspace for YCBCR420 outputs (FATE#322643 bsc#1055900).
- drm/i915: prepare csc unit for YCBCR420 output (FATE#322643 bsc#1055900).
- drm/i915: prepare pipe for YCBCR420 output (FATE#322643 bsc#1055900).
- drm/i915: prepare scaler for YCBCR420 modeset (FATE#322643 bsc#1055900).
- drm/i915: add config function for YCBCR420 outputs (FATE#322643 bsc#1055900).
- drm/i915: Gather all the power well->domain mappings to one place (FATE#322643 bsc#1055900).
- drm/i915: Move hsw_power_well_enable() next to the rest of HSW helpers (FATE#322643 bsc#1055900).
- drm/i915/gen9+: Unify the HSW/BDW and GEN9+ power well helpers (FATE#322643 bsc#1055900).
- drm/i915/hsw+: Add has_fuses power well attribute (FATE#322643 bsc#1055900).
- drm/i915/hsw, bdw: Wait for the power well disabled state (FATE#322643 bsc#1055900).
- drm/i915/hsw, bdw: Add irq_pipe_mask, has_vga power well attributes (FATE#322643 bsc#1055900).
- drm/i915/hsw+: Unify the hsw/bdw and gen9+ power well req/state macros (FATE#322643 bsc#1055900).
- drm/i915/hsw, bdw: Split power well set to enable/disable helpers (FATE#322643 bsc#1055900).
- drm/i915/hsw, bdw: Remove redundant state check during power well toggling (FATE#322643 bsc#1055900).
- drm/i915/gen9+: Remove redundant state check during power well toggling (FATE#322643 bsc#1055900).
- drm/i915/gen9+: Remove redundant power well state assert during enabling (FATE#322643 bsc#1055900).
- drm/i915/bxt, glk: Give a proper name to the power well struct phy field (FATE#322643 bsc#1055900).
- drm/i915: Check for duplicated power well IDs (FATE#322643 bsc#1055900).
- drm/i915/hsw, bdw: Add an ID for the global display power well (FATE#322643 bsc#1055900).
- drm/i915/gen2: Add an ID for the display pipes power well (FATE#322643 bsc#1055900).
- drm/i915: Assign everywhere the always-on power well ID (FATE#322643 bsc#1055900).
- drm/i915: Unify power well ID enums (FATE#322643 bsc#1055900).
- drm/i915/chv: Add unique power well ID for the pipe A power well (FATE#322643 bsc#1055900).
- drm/i915: Simplify scaler init during CRTC HW readout (FATE#322643 bsc#1055900).
- drm/i915/selftests: Exercise independence of per-engine resets (FATE#322643 bsc#1055900).
- drm/i915: Disable per-engine reset for Broxton (FATE#322643 bsc#1055900).
- drm/i915: Emit a user level message when resetting the GPU (or engine) (FATE#322643 bsc#1055900).
- drm/i915: Make i915_gem_context_mark_guilty() safe for unlocked updates (FATE#322643 bsc#1055900).
- drm/i915: Clear engine irq posted following a reset (FATE#322643 bsc#1055900).
- drm/i915: Assert that machine is wedged for nop_submit_request (FATE#322643 bsc#1055900).
- drm/i915: Wake up waiters after setting the WEDGED bit (FATE#322643 bsc#1055900).
- drm/i915: Move idle checks before intel_engine_init_global_seqno() (FATE#322643 bsc#1055900).
- drm/i915: Clear execlist port[] before updating seqno on wedging (FATE#322643 bsc#1055900).
- drm/i915: Check the execlist queue for pending requests before declaring idle (FATE#322643 bsc#1055900).
- drm/i915: Check execlist/ring status during hangcheck (FATE#322643 bsc#1055900).
- drm/i915: Flush the execlist ports if idle (FATE#322643 bsc#1055900).
- drm/i915: Serialize per-engine resets against new requests (FATE#322643 bsc#1055900).
- drm/i915: Reset context image on engines after triggering the reset (FATE#322643 bsc#1055900).
- drm/i915: Report execlists irq bit in debugfs (FATE#322643 bsc#1055900).
- Revert "drm/i915: Add heuristic to determine better way to adjust brightness" (FATE#322643 bsc#1055900).
- Revert "drm/i915: Add option to support dynamic backlight via DPCD" (FATE#322643 bsc#1055900).
- drm/i915: Drop unpin stall in atomic_prepare_commit (FATE#322643 bsc#1055900).
- drm/i915: Remove intel_flip_work infrastructure (FATE#322643 bsc#1055900).
- drm/i915: adjust has_pending_fb_unpin to atomic (FATE#322643 bsc#1055900).
- drm/i915: Rip out legacy page_flip completion/irq handling (FATE#322643 bsc#1055900).
- drm/i915: s/INTEL_INFO(dev_priv)->gen/INTEL_GEN(dev_priv) in i915_irq (FATE#322643 bsc#1055900).
- drm/i915: Nuke legacy flip queueing code (FATE#322643 bsc#1055900).
- drm/i915: Pass enum pipe to intel_set_pch_fifo_underrun_reporting() (FATE#322643 bsc#1055900).
- drm/i915/selftests: Mark contexts as lost during freeing of mock device (FATE#322643 bsc#1055900).
- drm/i915: unregister interfaces first in unload (FATE#322643 bsc#1055900).
- drm/i915: Fix fbdev unload sequence (FATE#322643 bsc#1055900).
- drm/atomic-helper: Fix leak in disable_all (FATE#322643 bsc#1055900).
- drm/i915/selftests: Attach a stub pm_domain (FATE#322643 bsc#1055900).
- drm/i915: Drain the device workqueue on unload (FATE#322643 bsc#1055900).
- drm/i915: More stolen quirking (FATE#322643 bsc#1055900).
- drm/i915: Fix bad comparison in skl_compute_plane_wm, v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Explicit the connector name for DP link training result (FATE#322643 bsc#1055900).
- drm/i915: Consistently use enum pipe for PCH transcoders (FATE#322643 bsc#1055900).
- drm/i915: Fix error checking/locking in perf/lookup_context() (FATE#322643 bsc#1055900).
- drm/tegra: Prevent BOs from being freed during job submission (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: gem: Implement mmap() for PRIME buffers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Support render node (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: sor: Trace register accesses (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dpaux: Trace register accesses (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dsi: Trace register accesses (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: hdmi: Trace register accesses (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Trace register accesses (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: sor: Use unsigned int for register offsets (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: hdmi: Use unsigned int for register offsets (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dsi: Use unsigned int for register offsets (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dpaux: Use unsigned int for register offsets (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Use unsigned int for register offsets (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Fix NULL deref in debugfs/iova (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: switch to drm_*_get(), drm_*_put() helpers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Set MODULE_FIRMWARE for the VIC (bsc#1051510).
- drm/tegra: Add CONFIG_OF dependency (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: switch GEM allocations to __GFP_REPEAT (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: don't fail GPU bind when CONFIG_THERMAL isn't enabled (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: switch to drm_*{get,put} helpers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: select CMA and DMA_CMA if available (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: populate GEM objects on cpu_prep (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: reduce allocation failure message severity (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: don't trigger OOM killer when page allocation fails (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Implement image tiling mode support v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add kgd kfd interface get_tile_config() v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Adding new IOCTL for scratch memory v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add kgd/kfd interface to support scratch memory v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Program SH_STATIC_MEM_CONFIG globally, not per-VMID (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Update MEC HQD loading code for KFD (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Disable GFX PG on CZ (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Update PM4 packet headers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Clamp EOP queue size correctly on Gfx8 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Add more error printing to help bringup v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Handle remaining BUG_ONs more gracefully v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Allocate gtt_sa_bitmap in long units (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix doorbell initialization and finalization (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Remove BUG_ONs for NULL pointer arguments (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Remove usage of alloc(sizeof(struct.. (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix goto usage v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Change x==NULL/false references to !x (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Consolidate and clean up log commands (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Clean up KFD style errors and warnings v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Remove hard-coded assumptions about compute pipes (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix allocated_queues bitmap initialization (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Remove bogus divide-by-sizeof(uint32_t) (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Return dword offsets of address watch registers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Fix typo in dbgdev_wave_reset_wavefronts (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- sun4i_hdmi: add CEC support (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: remove unused function (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Remove useless atomic_check (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add if statement instead of depends on (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: hdmi: Implement I2C adapter for A10s DDC bus (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: constify drm_plane_helper_funcs (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: use reservation_object_trylock in ttm_bo_individualize_resv v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix vega10 graphic hang issue in S3 test (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: bump version for support of UVD MJPEG decode (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add MJPEG check for UVD physical mode msg buffer (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: expose fragment size as module parameter (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: store fragment_size in vm_manager (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename VM invalidated to moved (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: separate bo_va structure (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop the extra VM huge page flag v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove superflous amdgpu_bo_kmap in the VM (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: cleanup static CSA handling (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: SHADOW and VRAM_CONTIGUOUS flags shouldn't be used by userspace (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move vram usage tracking into the vram manager v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move gtt usage tracking into the gtt manager v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move debug print into the MM managers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix incorrect use of the lru_lock (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: fix incorrect use of the lru_lock (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: make ttm_mem_type_manager_func debug more useful (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Add tracepoint for DMA page mapping (v4) (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix Vega10 HW config for 2MB pages (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: only bind VM shadows after validation v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: only move VM BOs in the LRU during validation v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: individualize BO reservation obj when they are freed (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: remove nonsense wait in ttm_bo_cleanup_refs_and_unlock (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: Potential NULL deref in omap_crtc_duplicate_state() (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove no-op cleanup code (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: rename omapdrm device back (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Remove the omapdss driver (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Register omapdrm platform device in omapdss driver (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: hdmi: Don't allocate PHY features dynamically (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: hdmi: Configure the PHY from the HDMI core version (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: hdmi: Configure the PLL from the HDMI core version (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: hdmi: Pass HDMI core version as integer to HDMI audio (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: hdmi: Replace OMAP SoC model check with HDMI xmit version (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: hdmi: Rename functions and structures to use hdmi_ prefix (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: add OMAP5 DSIPHY lane-enable support (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: use regmap_update_bit() when muxing DSI pads (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Remove dss_features.h (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Move supported outputs feature to dss driver (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Move DSS_FCK feature to dss driver (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Move PCD, LINEWIDTH and DOWNSCALE features to dispc driver (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Move FEAT_PARAM_DSI* features to dsi driver (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Move FEAT_* features to dispc driver (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Move FEAT_LCD_CLK_SRC feature to dss_features structure (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Move FEAT_DPI_USES_VDDS_DSI feature to dpi code (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Move FEAT_HDMI_* features to hdmi4 driver (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Move FEAT_DSI_* features to dsi driver (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Move FEAT_VENC_REQUIRES_TV_DAC_CLK to venc driver (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Move reg_fields to dispc_features structure (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Move DISPC_CLK_SWITCH reg feature to struct dss_features (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Move num_ovls and num_mgrs to dispc_features structure (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Move overlay caps features to dispc_features structure (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Move color modes feature to dispc_features structure (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Move size unit features to dispc_features structure (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Move shutdown() handler from core to dss (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Move all debugfs code from core to dss (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dss: Initialize DSS internal features at probe time (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dss: Use supported outputs instead of display types (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dss: Select features based on compatible string (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dpi: Replace OMAP SoC model checks with DSS model (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dispc: Select features based on compatible string (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Don't forward set_min_bus_tput() to no-op platform code (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dsi: Handle pin muxing internally (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dsi: Store DSI model and PLL hardware data in OF data (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dss: Split operations out of dss_features structure (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: hdmi: Store PHY features in PHY data structure (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: venc: Don't export omap_dss_pal_vm and omap_dss_ntsc_vm (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dpi: Remove unneeded regulator check (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: panel-dpi: Remove unneeded check for OF node (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: connector-analog-tv: Remove unneeded check for OF node (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: acx565akm: Remove unneeded check for OF node (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: panel-dsi-cm: constify attribute_group structures (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: panel-sony-acx565akm: constify attribute_group structures (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: constify attribute_group structures (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: dma-buf: Constify dma_buf_ops structures (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: omap_display_timings: constify videomode structures (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: displays: encoder-tpd12s015: Support for hot plug detection (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: displays: connector-hdmi: Support for hot plug detection (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: Support for HDMI hot plug detection (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: fix memory leak when FB init fails (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx7: fix function name (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Disabling Power Gating for Stoney platform (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Added a quirk for Stoney platform (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: jt_size was wrongly counted twice (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix missing endian-safe guard (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: ignore digest_size when loading sdma fw for raven (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Uninitialized variable in amdgpu_ttm_backend_bind() (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix coding style in hwmgr.c (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: refine dmesg info under powerplay (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: don't finish the ring if not initialized (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Fix preferred typo (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix preferred typo (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Fix stolen typo (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix stolen typo (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix coccinelle warnings in vega10_hwmgr.c (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: set gfx_v9_0_ip_funcs as static (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 8126099
* Fri Jan  4 2019 nborisov@suse.com
- Btrfs: delete dead code in btrfs_orphan_add() (bsc#1111469).
- commit c2b7c23
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/radeon: switch to drm_*{get,put} helpers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166). - Refresh patches.suse/0029-locking-atomics-COCCINELLE-treewide-Convert-trivial-.patch.
- commit 2b3c2b6
* Fri Jan  4 2019 nborisov@suse.com
- Btrfs: do not check inode's runtime flags under root->orphan_lock (bsc#1111469).
- commit 5a9867d
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amdgpu: switch to drm_*{get,put} helpers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add CZ profile support (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix PSI not enabled by kmd (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix set highest mclk level failed on Vega10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix force dpm level failed on CZ (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use 256 bit buffers for all wb allocations (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Make amdgpu_atif_handler static (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Make radeon_atif_handler static (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix amdgpu_pm_acpi_event_handler warning (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix dce_v6_0_disable_dce warning (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: move wptr polling setup (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: drop allocation of poll_mem_offs (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: drop hdp flush from wptr shadow update (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: set wptr shadow atomically (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix KFD initialization for multi-GPU systems (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add vclk/dclkSoftMin support for raven (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: drop unused register header (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop old ip definitions for gfxhub and mmhub (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: make wb 256bit function names consistent (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Support IOMMU on Raven (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add a parameter to amdgpu_bo_create() (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use amdgpu_bo_free_kernel more often (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use amdgpu_bo_create_kernel more often (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add amdgpu_bo_create_reserved (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: improve amdgpu_bo_create_kernel (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: shadow and mn list are mutually exclusive (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move some defines around (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: consistent use u64_to_user_ptr (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: cleanup kptr handling (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: update didt configs (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: updated vega10 fan control (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: update vega10 golden setting (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: delete PCC error message in smu7_hwmgr.c (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: Enable sdma poll mem addr on vega10 for SRIOV (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/uvd7: optimize uvd initialization sequence for SRIOV (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vce4: optimize vce 4.0 init table sequence for SRIOV (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: According hardware design revert vce and uvd doorbell assignment (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Skip uvd and vce ring test for SRIOV (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vce4: Remove vce interrupt enable related code for sriov (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Enable uvd and vce gpu re-init for SRIOV gpu reset (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Clear vce&uvd ring wptr for SRIOV (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add support for filling a buffer with 64 bit value (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: disable vcn power control for now (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/dce_virtual: remove error message for vega10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Fix merge commit (bsc#1095094).
- drm: arcpgu: Allow some clock deviation in crtc->mode_valid() callback (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: arcpgu: Fix module unload (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: arcpgu: Fix mmap() callback (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- arcpgu: Simplify driver name (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arcpgu: Opt in debugfs (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Use new iterator macros (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Fix race condition when disabling planes at CRTC stop (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Wait for flip completion instead of vblank in commit tail (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Use the VBK interrupt for vblank events (bsc#1051510).
- drm: rcar-du: Add HDMI outputs to R8A7796 device description (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Remove an unneeded NULL check (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Setup planes before enabling CRTC to avoid flicker (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Configure DPAD0 routing through last group on Gen3 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Restrict DPLL duty cycle workaround to H3 ES1.x (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Support multiple sources from the same VSP (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Fix comments to comply with the kernel coding style (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Use of_graph_get_remote_endpoint() (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- v4l: vsp1: Add pipe index argument to the VSP-DU API (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: reduce the time of reading VBIOS (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/virtual_dce: Remove the rmmod error message (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc9: disable legacy vga features in gmc init (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc8: disable legacy vga features in gmc init (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc7: disable legacy vga features in gmc init (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc6: disable legacy vga features in gmc init (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Set depth on low mem to 16 bpp instead of 8 bpp (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix the incorrect scratch reg number on gfx v6 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix the incorrect scratch reg number on gfx v7 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix the incorrect scratch reg number on gfx v8 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix the incorrect scratch reg number on gfx v9 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add support for 3DP 4K@120Hz on vega10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: enable huge page handling in the VM v5 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: increase fragmentation size for Vega10 v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: ttm_bind only when user needs gpu_addr in bo pin (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: correct clock info for SRIOV (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc8: SRIOV need to program fb location (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: disable firmware loading for psp v10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:fix gfx fence allocate size (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Implement ttm_bo_driver.access_memory callback v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: Implement vm_operations_struct.access v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: read reg in each iterator of psp_wait_for loop (bsc#1051510).
- drm/amdgpu: add ring_destroy for psp v10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add ring_create function for psp v10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add init microcode function for psp v10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove unncessary code in psp v10 ring init func (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add profile mode for vega10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix amdgpu_bo_gpu_accessible() (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: map VM BOs for CPU based updates only once (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: make sure BOs are always kunmapped (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: flush the HDP only once for CPU based VM updates (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: trace setting VM page tables with the CPU as well (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove VM shadow WARN_ONs (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix amdgpu_vm_bo_wait (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix VM flush for CPU based updates (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx: keep all compute queues on the same pipe (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: fix si_enable_smc_cac() failed issue (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Off by one sanity checks (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: implement si_read_bios_from_rom (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/soc15: drop dead function (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: call atomfirmware get_clock_info for atomfirmware systems (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add get_clock_info for atomfirmware (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Send no-retry XNACK for all fault types (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Correctly establish the suspend/resume hook for amdkfd (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Make SDMA phase quantum configurable (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Enable SDMA context switching for CIK (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Enable SDMA_CNTL.ATC_L1_ENABLE for SDMA on CZ (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Try evicting from CPU visible to invisible VRAM first (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Don't force BOs into visible VRAM for page faults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Set/clear CPU_ACCESS flag on page fault and move to VRAM (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Throttle visible VRAM moves separately (bsc#1051510).
- drm/amdgpu: Add vis_vramlimit module parameter (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: change gartsize default to 256MB (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add new gttsize module parameter v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: limit the GTT manager address space (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: consistent name all GART related parts (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove gtt_base_align handling (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move GART struct and function into amdgpu_gart.h v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: check scratch registers to see if we need post (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/soc15: init nbio registers for vega10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add nbio 6.1 register init function (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: added didt support for vega10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: added grbm_idx_mutex lock/unlock to cgs v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: added support for new se_cac_idx APIs to cgs (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: added soc15 support for new se_cac_idx APIs (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: added new se_cac_idx r/w APIs v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: added index gc cac read/write apis for vega10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use TTM values instead of MC values for the info queries (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove maximum BO size limitation v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: stop mapping BOs to GTT (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use the GTT windows for BO moves v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add amdgpu_gart_map function v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: reserve the first 2x512 pages of GART (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: make arrays pctl0_data and pctl1_data static (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc9: get vram width from atom for Raven (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/atomfirmware: implement vram_width for APUs (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/atom: fix atom_fw check (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Free resources of bo_list when idr_alloc fails (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add avfs check for old asics on Vi (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: move VI common AVFS code to smu7_smumgr.c (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: refine avfs enable code on fiji (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix avfs state update error on polaris (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fixed wrong data type declaration for ppfeaturemask (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: set firmware loading type as direct by default for raven (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: make psp cmd buffer as a reserve memory (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix missed asd bo free when hw_fini (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove superfluous check (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: NO KIQ usage on nbio hdp flush routine (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add WREG32_SOC15_NO_KIQ macro define (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:fix world switch hang (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: enable ACG feature on vega10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add acg support in pptable for vega10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: export ACG related smu message for vega10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add avfs profiling_info_v4_2 support on Vega10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add ACG SMU firmware for other vega10 variants (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop SMU_DRIVER_IF_VERSION check for some vega10 variants (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add workaround for S3 issues on some vega10 boards (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/atombios: add function for whether we need asic_init (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: unify some atombios/atomfirmware scratch reg functions (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/atombios: use bios_scratch_reg_offset for atombios (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: amd: amdgpu: constify ttm_place structures (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: radeon: constify drm_prop_enum_list structures (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: radeon: radeon_ttm: constify ttm_place structures (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: trace VM flags as 64bits (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove stale TODO comment (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/sched: print sched job id in amd_sched_job trace (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: update pctl1 ram index/data for mmhub on raven (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add check when no firmware need to load (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: bind BOs with GTT space allocated directly v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: bind BOs to TTM only once (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vm_needs_flush parameter to amdgpu_copy_buffer (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: allow flushing VMID0 before IB execution as well (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix amdgpu_ring_write_multiple (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move ring helpers to amdgpu_ring.h (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: add header comment for clarification to vce_v2_0_enable_mgcg() (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Update default vram_page_split description (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Changed CU reservation golden settings (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 228109d
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amdgpu: fix amdgpu_debugfs_gem_bo_info (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166). - Refresh patches.suse/0029-locking-atomics-COCCINELLE-treewide-Convert-trivial-.patch.
- commit 9eedd50
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amdgpu: cleanup initializing gtt_size (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Support passing amdgpu critical error to host via GPU Mailbox (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Allow vblank_disable_immediate (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Allow vblank_disable_immediate (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove *_mc_access from display funcs (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop set_vga_render_state from display funcs (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc6: drop fb location programming (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc7: drop fb location programming (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc8: drop fb location programming (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc6: use the vram location programmed by the vbios (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc7: use the vram location programmed by the vbios (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc8: use the vram location programmed by the vbios (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: disable vga render in dce hw_init (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: simplify VM shadow handling v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: enable 4 level page table on raven (v3) (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use kernel is_power_of_2 rather than local version (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ast: Actually load DP501 firmware when required (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ast: Add an crtc_disable callback to the crtc helper funcs (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ast: Fix memleak in error path in ast_bo_create() (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ast: Free container instead of member in ast_user_framebuffer_destroy() (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ast: Simplify function ast_bo_unpin() (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: udl: constify usb_device_id (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/gma500: fix potential NULL pointer dereference dereference (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm: make function st7586_pipe_enable static (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Use drm_gem_fb_create() (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Use drm_gem_fb_create() and drm_gem_fb_prepare_fb() (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fb-cma-helper: Use drm_gem_framebuffer_helper (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add GEM backed framebuffer library (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/gem-cma-helper: Remove drm_gem_cma_dumb_map_offset() (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/virtio: Use the drm_driver.dumb_destroy default (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bochs: Use the drm_driver.dumb_destroy default (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mgag200: Use the drm_driver.dumb_destroy default (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Use the drm_driver.dumb_destroy default (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ast: Use the drm_driver.dumb_destroy default (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/qxl: Use the drm_driver.dumb_destroy default (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/udl: Use the drm_driver.dumb_destroy default (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/cirrus: Use the drm_driver.dumb_destroy default (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/gma500: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mxsfb: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/meson: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/kirin: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Continue the switch to drm_*_put() helpers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Fix leak of HDMI EDID (bsc#1051510).
- commit 3a31782
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/tinydrm: add support for LEGO MINDSTORMS EV3 LCD (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166). - Update config files.
- commit 4d9675a
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/mgag200: switch to drm_*_get(), drm_*_put() helpers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vgem: switch to drm_*_get(), drm_*_put() helpers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/udl: switch to drm_*_get(), drm_*_put() helpers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/cirrus: switch to drm_*_get(), drm_*_put() helpers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ast: switch to drm_*_get(), drm_*_put() helpers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/hisilicon: switch to drm_*_get(), drm_*_put() helpers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: switch to drm_*_get(), drm_*_put() helpers (fate#323912).
- drm/mediatek: switch to drm_*_get(), drm_*_put() helpers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Clean up drm_dev_unplug (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Only lastclose on unload for legacy drivers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Document device unplug infrastructure (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Extract drm_device.h (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: make drm_mode_config_func const (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/virtio: make drm_fb_helper_funcs const (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: make drm_connector_funcs structures const (fate#323912).
- drm/sun4i: make drm_connector_funcs structures const (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: make drm_connector_funcs structures const (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm: Generalize tinydrm_xrgb8888_to_gray8() (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Shift wrap bug in create_in_format_blob() (FATE#322643 bsc#1055900).
- drm: bridge: dw-hdmi: constify snd_pcm_ops structures (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: make drm_bridge_funcs const (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Add exec flags to allow forcing a specific X/Y tile walk order (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Demote user-accessible DRM_ERROR paths to DRM_DEBUG (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: switch to drm_*{get,put} helpers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Fix errant drm_bridge_remove() in DSI (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Don't disable DSI clocks on component unload (bsc#1051510).
- drm/vc4: Fix double destroy of the BO cache on teardown (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Nuke drm_atomic_legacy_backoff (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Nuke drm_atomic_helper_connector_dpms (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Nuke drm_atomic_helper_connector_set_property (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Nuke drm_atomic_helper_plane_set_property (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Nuke drm_atomic_helper_crtc_set_property (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Handle properties in the core for atomic drivers (FATE#322643 bsc#1055900).
- drm: Don't update property values for atomic drivers (FATE#322643 bsc#1055900).
- drm/omap: Rework the rotation-on-crtc hack (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Use the drm_driver.dumb_destroy default (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Use the drm_driver.dumb_destroy default (FATE#322643 bsc#1055900).
- drm/sti: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: bridge: synopsys/dw-hdmi: Provide default configuration function for HDMI 2.0 PHY (fate#323912).
- drm/fb-helper: pass physical dimensions to fbdev (FATE#322643 bsc#1055900).
- uapi drm/armada_drm.h: use __u32 and __u64 instead of uint32_t and uint64_t (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: dw-hdmi: remove CEC engine register definitions (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 0a1337f
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/bridge: dw-hdmi: add cec driver (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166). - Update config files.
- commit 8fc3ce7
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/bridge: dw-hdmi: add missing cec_notifier_put (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: remove unused and redundant callbacks (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: dw-hdmi-i2s: add missing company name on Copyright (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: dw-hdmi: add better clock disable control (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: dw-hdmi: add cec notifier support (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm: remove call to mipi_dbi_init() from mipi_dbi_spi_init() (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fsl-dcu: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: stm: remove dead code and pointless local lut storage (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: radeon: remove dead code and pointless local lut storage (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: nouveau: remove dead code and pointless local lut storage (bsc#1095094).
- drm: mgag200: remove dead code and pointless local lut storage (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: i915: remove dead code and pointless local lut storage (FATE#322643 bsc#1055900).
- drm: gma500: remove dead code and pointless local lut storage (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: cirrus: remove dead code and pointless local lut storage (bsc#1051510).
- drm: ast: remove dead code and pointless local lut storage (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: armada: remove dead empty functions (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: amd: remove dead code and pointless local lut storage (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: fix race with kms hotplug and fbdev (fate#323912).
- drm/rockchip: vop: no need wait vblank on crtc enable (fate#323912).
- drm/fb-helper: add new drm_setup_crtcs_fb() function (FATE#322643 bsc#1055900).
- drm/atmel-hlcdc: switch to drm_*{get,put} helpers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atmel-hlcdc : constify drm_plane_helper_funcs and drm_plane_funcs (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fb: Fix pointer dereference before null check (FATE#322643 bsc#1055900).
- drm: Create a format/modifier blob (FATE#322643 bsc#1055900).
- drm: Plumb modifiers through plane init (FATE#322643 bsc#1055900).
- drm/msm: Convert to use new iterator macros, v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Convert nouveau to use new iterator macros, v2 (bsc#1095094).
- drm/omapdrm: Fix omap_atomic_wait_for_completion (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Use new iterator macros in drm_atomic_helper_wait_for_flip_done, again (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add a few missing descriptions in drm_driver docs (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Fix warning when building docs for scdc_helper (FATE#322643 bsc#1055900).
- drm/modes: Fix drm_mode_is_420_only() comment (FATE#322643 bsc#1055900).
- drm: Fix kerneldoc for atomic_async_update (FATE#322643 bsc#1055900).
- drm/atomic: Update comment to match the code (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: vop: rk3328: fix overlay abnormal (fate#323912).
- drm/rockchip: vop: add a series of vop support (fate#323912).
- drm/rockchip: vop: group vop registers (fate#323912).
- drm/rockchip: vop: move line_flag_num to interrupt registers (fate#323912).
- drm/rockchip: vop: move write_relaxed flags to vop register (fate#323912).
- drm/rockchip: vop: initialize registers directly (fate#323912).
- tinydrm: repaper: add CONFIG_THERMAL dependency (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/hisilicon: hibmc: Use the drm_driver.dumb_destroy default (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Use the drm_driver.dumb_destroy default (bsc#1095094).
- drm/omapdrm: Use the drm_driver.dumb_destroy default (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Use the drm_driver.dumb_destroy default (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Use .dumb_map_offset and .dumb_destroy defaults (fate#323912).
- drm/mediatek: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tinydrm: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/zte: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tilcdc: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/shmobile: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rcar-du: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/imx: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atmel-hlcdc: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arm: mali-dp: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arm: hdlcd: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arc: Use .dumb_map_offset and .dumb_destroy defaults (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/dumb-buffers: Add defaults for .dumb_map_offset and .dumb_destroy (FATE#322643 bsc#1055900).
- drm/gem: Add drm_gem_dumb_map_offset() (FATE#322643 bsc#1055900).
- drm/vc4: Convert more lock requirement comments to lockdep assertions (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Add an ioctl for labeling GEM BOs for summary stats (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Start using u64_to_user_ptr (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: Add a devm_ allocator for panel bridge (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 9f8112d
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/vc4: add HDMI CEC support (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166). - Update config files.
- commit db3c5f7
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/vc4: prepare for CEC support (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: dsi: Constify phy ops structure (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: ltdc: Cleanup rename returned value (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: ltdc: add devm_reset_control & platform_get_ressource (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: ltdc: Constify funcs structures (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: ltdc: Lindent and minor cleanups (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: ltdc: Cleanup signal polarity defines (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: drv: Rename platform driver name (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/stm: Add STM32 DSI controller driver (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit ba3f775
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/hisilicon: fix build error without fbdev emulation (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: implement drm_atomic_helper_commit_tail for runtime_pm users (FATE#322643 bsc#1055900).
- drm: Improve kerneldoc for drm_modeset_lock (FATE#322643 bsc#1055900).
- drm/hisilicon: Remove custom FB helper deferred setup (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: Remove custom FB helper deferred setup (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fb-helper: Support deferred setup (FATE#322643 bsc#1055900).
- drm: Convert to using %%pOF instead of full_name (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20170717 (FATE#322643 bsc#1055900).
- drm/i915: Protect against deferred fbdev setup (FATE#322643 bsc#1055900).
- drm/i915/fbdev: Always forward hotplug events (FATE#322643 bsc#1055900).
- drm/i915/skl+: unify cpp value in WM calculation (FATE#322643 bsc#1055900).
- drm/i915/skl+: WM calculation don't require height (FATE#322643 bsc#1055900).
- drm/i915: Addition wrapper for fixed16.16 operation (FATE#322643 bsc#1055900).
- drm/i915: cleanup fixed-point wrappers naming (FATE#322643 bsc#1055900).
- drm/i915: Always perform internal fixed16 division in 64 bits (FATE#322643 bsc#1055900).
- drm/i915: take-out common clamping code of fixed16 wrappers (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add missing type case (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add max allowed Cannonlake DC (FATE#322643 bsc#1055900).
- drm/i915/cnl: Get DDI clock based on PLLs (FATE#322643 bsc#1055900).
- drm/i915/cnl: Inherit RPS stuff from previous platforms (FATE#322643 bsc#1055900).
- drm/i915/cnl: Gen10 render context size (FATE#322643 bsc#1055900).
- drm/i915/cnl: Don't trust VBT's alternate pin for port D for now (FATE#322643 bsc#1055900).
- drm/i915: Fix the kernel panic when using aliasing ppgtt (FATE#322643 bsc#1055900).
- drm/i915/cnl: Cannonlake color init (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add force wake for gen10+ (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix comment about AUX IO power well enable/disable (FATE#322643 bsc#1055900).
- drm/i915/gen9+: Don't remove secondary power well requests (FATE#322643 bsc#1055900).
- drm/i915/bxt, glk: Fix assert on conditions for DC9 enabling (FATE#322643 bsc#1055900).
- drm/i915/skl: Don't disable misc IO power well during display uninit (FATE#322643 bsc#1055900).
- drm/i915/gen9+: Add 10 us delay after power well 1/AUX IO pw disabling (FATE#322643 bsc#1055900).
- drm/i915: Only free the oldest stale context before allocating (FATE#322643 bsc#1055900).
- drm/i915: Drop request retirement before reaping stale contexts (FATE#322643 bsc#1055900).
- drm/i915: Move stale context reaping to common i915_gem_context_create (FATE#322643 bsc#1055900).
- drm/i915: Check new context against kernel_context after reporting an error (FATE#322643 bsc#1055900).
- drm/i915: Setting pch_id for HSW/BDW in virtual environment (FATE#322643 bsc#1055900).
- drm: i915: sysfs: constify attribute_group structures (FATE#322643 bsc#1055900).
- drm/i915/edp: Add a T12 panel delay quirk to fix DP AUX CH timeouts (FATE#322643 bsc#1055900).
- drm/i915/skl+: Scaling not supported in IF-ID Interlace mode (FATE#322643 bsc#1055900).
- drm/i915/skl+: Check for supported plane configuration in Interlace mode (FATE#322643 bsc#1055900).
- drm/i915: Fix use-after-free of context during free_contexts (FATE#322643 bsc#1055900).
- drm/i915: Prevent kernel panic when reading/writing compliance debugfs files, v2 (FATE#322643 bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20170703 (FATE#322643 bsc#1055900).
- drm/i915: Avoid keeping waitboost active for signaling threads (FATE#322643 bsc#1055900).
- drm/i915: Drop flushing of the object free list/worker from i915_gem_suspend (FATE#322643 bsc#1055900).
- drm/i915: Cancel pending execlists irq handler upon idling (FATE#322643 bsc#1055900).
- drm/i915/selftests: Fix mutex imbalance for igt_render_engine_reset_fallback (FATE#322643 bsc#1055900).
- drm/i915/dp: Remove -1/+1 from t11_t12 for Gen9_LP/CNP case (FATE#322643 bsc#1055900).
- drm/i915/dp: Fix the t11_t12 panel power cycle delay from VBT read (FATE#322643 bsc#1055900).
- drm/i915: Break modeset deadlocks on reset (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Add option to support dynamic backlight via DPCD (FATE#322643 bsc#1055900).
- drm/i915: Add heuristic to determine better way to adjust brightness (FATE#322643 bsc#1055900).
- drm/i915: Set PWM divider to match desired frequency in vbt (FATE#322643 bsc#1055900).
- drm/i915: Always use 9 bits of the LPC bridge device ID for PCH detection (FATE#322643 bsc#1055900).
- drm/i915: Clean up some expressions (FATE#322643 bsc#1055900).
- drm/i915: Document that PPT==CPT and WPT==LPT (FATE#322643 bsc#1055900).
- drm/i915: s/Couar/Cougar/ (FATE#322643 bsc#1055900).
- drm/i915: Use HAS_PCH_CPT() everywhere (FATE#322643 bsc#1055900).
- drm/i915: pass the vma to insert_entries (FATE#322643 bsc#1055900).
- drm/i915: Cancel pending execlist tasklet upon wedging (FATE#322643 bsc#1055900).
- drm/i915: Assert the vma's active tracking is clear before free (FATE#322643 bsc#1055900).
- drm/i915: select CRC32 (FATE#322643 bsc#1055900).
- drm/i915: Enable Engine reset and recovery support (FATE#322643 bsc#1055900).
- drm/i915/selftests: reset engine self tests (FATE#322643 bsc#1055900).
- drm/i915: Export per-engine reset count info to debugfs (FATE#322643 bsc#1055900).
- drm/i915: Add engine reset count to error state (FATE#322643 bsc#1055900).
- drm/i915: Add support for per engine reset recovery (FATE#322643 bsc#1055900).
- drm/i915: Modify error handler for per engine hang recovery (FATE#322643 bsc#1055900).
- drm/i915: Update i915.reset to handle engine resets (FATE#322643 bsc#1055900).
- drm/i915: Look for active requests earlier in the reset path (FATE#322643 bsc#1055900).
- drm/i915: Wait for concurrent global resets to complete (FATE#322643 bsc#1055900).
- drm/i915: Enable rcu-only context lookups (FATE#322643 bsc#1055900).
- drm/i915: Allow contexts to be unreferenced locklessly (FATE#322643 bsc#1055900).
- drm/i915: Group all the global context information together (FATE#322643 bsc#1055900).
- drm/i915: Do not re-calculate num_rings locally (FATE#322643 bsc#1055900).
- drm/i915: Simplify intel_engines_init (FATE#322643 bsc#1055900).
- drm/i915: Make intel_digital_port_connected() work for any port (FATE#322643 bsc#1055900).
- drm/syncobj: Fix kerneldoc (FATE#322643 bsc#1055900).
- drm/atomic: Allow drm_atomic_helper_swap_state to fail (FATE#322643 bsc#1055900).
- drm/atomic: Add __must_check to drm_atomic_helper_swap_state (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Handle drm_atomic_helper_swap_state failure (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tilcdc: Handle drm_atomic_helper_swap_state failure (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Handle drm_atomic_helper_swap_state failure (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Handle drm_atomic_helper_swap_state failure (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: Handle drm_atomic_helper_swap_state failure (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Handle drm_atomic_helper_swap_state failure (FATE#322643 bsc#1055900).
- drm/atmel-hlcdc: Handle drm_atomic_helper_swap_state failure (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Handle drm_atomic_helper_swap_state failure (bsc#1095094).
- drm/atomic: Change drm_atomic_helper_swap_state to return an error (FATE#322643 bsc#1055900).
- drm/<drivers>: Drop fbdev info flags (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/qxl: Drop fbdev hwaccel flags (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Update docs around gem_free_object (FATE#322643 bsc#1055900).
- drm: Don't complain too much about struct_mutex (FATE#322643 bsc#1055900).
- drm/zte: Use gem_free_object_unlocked (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Use gem_free_object_unlocked (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mxsfb: Use gem_free_object_unlocked (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/synopsys: Add MIPI DSI host controller bridge (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 17583c3
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/stm: ltdc: Add panel-bridge support (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 0360371
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/stm: ltdc: Fix leak of px clk enable in some error paths (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vgem: add compat_ioctl support (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/crc: Only open CRC on atomic drivers when the CRTC is active (bsc#1051510).
- drm/crc: Handle opening and closing crc better (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Fix misleading name of the continuous flag (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Fix DSI T_INIT timing (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: add helper functions for YCBCR420 handling (FATE#322643 bsc#1055900).
- drm/edid: parse ycbcr 420 deep color information (FATE#322643 bsc#1055900).
- drm/edid: parse YCBCR420 videomodes from EDID (FATE#322643 bsc#1055900).
- drm: add helper to validate YCBCR420 modes (FATE#322643 bsc#1055900).
- drm/edid: cleanup patch for CEA extended-tag macro (FATE#322643 bsc#1055900).
- drm/edid: parse sink information before CEA blocks (FATE#322643 bsc#1055900).
- drm/edid: complete CEA modedb(VIC 1-107) (FATE#322643 bsc#1055900).
- drm: handle HDMI 2.0 VICs in AVI info-frames (bsc#1051510).
- commit 5ca93bc
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/tinydrm: Add tinydrm_xrgb8888_to_gray8() helper (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fb-helper: separate the fb_setcmap helper into atomic and legacy paths (FATE#322643 bsc#1055900).
- drm/atomic-helper: update lut props directly in ..._legacy_gamma_set (FATE#322643 bsc#1055900).
- drm: rename, adjust and export drm_atomic_replace_property_blob (FATE#322643 bsc#1055900).
- drm/dp/mst: Use memchr_inv() instead of memcmp() against a zeroed array (FATE#322643 bsc#1055900).
- drm/atomic: Make private objs proper objects (FATE#322643 bsc#1055900).
- drm/atomic: Remove pointless private object NULL state check (FATE#322643 bsc#1055900).
- drm/dp/mst: Handle errors from drm_atomic_get_private_obj_state() correctly (bsc#1055493).
- drm/mediatek: Convert to new iterator macros (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/imx: Use atomic iterator macros (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mali: Use new atomic iterator macros (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Use for_each_oldnew_plane_in_state in vop_crtc_atomic_flush (fate#323912).
- drm/atmel-hlcdec: Use for_each_new_connector_in_state (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Use correct iterator macro (FATE#322643 bsc#1055900).
- drm/vmwgfx: Make check_modeset() use the new atomic iterator macros (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Use new iterator macros in drm_atomic_helper_wait_for_flip_done (FATE#322643 bsc#1055900).
- drm/atomic: Use the new helpers in drm_atomic_helper_disable_all() (FATE#322643 bsc#1055900).
- drm/atomic: Use the correct iterator macro in atomic_remove_fb (FATE#322643 bsc#1055900).
- drm/simple-kms-helper: Fix the check for the mismatch between plane and CRTC enabled (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: inhibit drm drivers register to uninitialized drm core (FATE#322643 bsc#1055900).
- drm/bridge: ti-tfp410: clean up drm_bridge_add call (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: tc358767: clean up drm_bridge_add call (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: synopsys: dw-hdmi: clean up drm_bridge_add call (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: sii902x: clean up drm_bridge_add call (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: ps8622: clean up drm_bridge_add call (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: panel: clean up drm_bridge_add call (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: nxp-ptn3460: clean up drm_bridge_add call (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: vga-dac: clean up drm_bridge_add call (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: analogix-anx78xx: clean up drm_bridge_add call (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: adv7511: clean up drm_bridge_add call (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fb-helper: remove drm_fb_helper_save_lut_atomic (FATE#322643 bsc#1055900).
- drm/fb-helper: keep the .gamma_store updated in drm_fb_helper_setcmap (FATE#322643 bsc#1055900).
- drm/fb-helper: factor out pseudo-palette (FATE#322643 bsc#1055900).
- drm/fb-helper: Split dpms handling into legacy and atomic paths (FATE#322643 bsc#1055900).
- drm/fb-helper: Stop using mode_config.mutex for internals (FATE#322643 bsc#1055900).
- drm/fb-helper: Push locking into restore_fbdev_mode_atomic|legacy (FATE#322643 bsc#1055900).
- drm/fb-helper: Push locking into pan_display_atomic|legacy (FATE#322643 bsc#1055900).
- drm/fb-helper: Drop locking from the vsync wait ioctl code (FATE#322643 bsc#1055900).
- drm/fb-helper: Push locking in fb_is_bound (FATE#322643 bsc#1055900).
- drm/fb-helper: Add top-level lock (FATE#322643 bsc#1055900).
- drm/i915: Drop FBDEV #ifdev in mst code (FATE#322643 bsc#1055900).
- drm/fb-helper: Push down modeset lock into FB helpers (FATE#322643 bsc#1055900).
- drm: Remove pending_read_domains and pending_write_domain (FATE#322643 bsc#1055900).
- drm/atomic-helper: Realign function parameters (bsc#1051510).
- drm/fb-helper: Remove drm_mode_config_fb (FATE#322643 bsc#1055900).
- drm/bochs: switch fb_ops over to use drm_fb_helper_cfb helpers (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: qxl: constify ttm_place structures (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: ttm: virtio-gpu: dma-buf: Constify ttm_place structures (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/udl: dma-buf: Constify dma_buf_ops structures (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: armada: Constify drm_prop_enum_list structures (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: armada: constify drm_prop_enum_list structures (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: initial support for asynchronous plane update (FATE#322643 bsc#1055900).
- drm/atomic: Drop helper include from drm_atomic.c (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Convert atomic drivers from CRTC .disable() to .atomic_disable() (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add old state pointer to CRTC .enable() helper function (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/gma500: remove an unneeded NULL check (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: vmwgfx: Replace CRTC .commit() helper operation with .enable() (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: vmwgfx: Remove unneeded CRTC .prepare() helper operation (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: qxl: Replace CRTC .commit() helper operation with .enable() (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: qxl: Remove unused CRTC .dpms() helper operation (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: arcpgu: Remove CRTC .prepare() helper operation (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: arcpgu: Remove CRTC .commit() helper operation (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vblank: Unexport drm_vblank_cleanup (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/hdlcd: remove drm_vblank_cleanup, rise of the zoombies edition (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/core: Fail atomic IOCTL with no CRTC state but with signaling (FATE#322643 bsc#1055900).
- drm/atomic-helper: Simplify commit tracking locking (FATE#322643 bsc#1055900).
- drm/vmwgfx: Drop drm_vblank_cleanup (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/udl: Drop drm_vblank_cleanup (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Drop drm_vblank_cleanup (fate#323912).
- drm/nouveau: Drop drm_vblank_cleanup (bsc#1095094).
- drm/mtk: Drop drm_vblank_cleanup (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Drop drm_vblank_cleanup (FATE#322643 bsc#1055900).
- drm/kirin: Drop drm_vblank_cleanup (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/hibmc: Drop drm_vblank_cleanup (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vgem: Pin our pages for dmabuf exports (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: arcpgu: arc_pgu_crtc_mode_valid() can be static (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mxsfb: Drop drm_vblank_cleanup (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd|radeon: Drop drm_vblank_cleanup (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/qxl: move extern variable declaration header file (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/qxl: declare a bunch of functions as static (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/qxl: fix __user annotations (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: dw_hdmi: introduce the pclk for grf (fate#323912).
- drm/rockchip: dw_hdmi: introduce the VPLL clock setting (fate#323912).
- drm/rockchip: dw_hdmi: add RK3399 HDMI support (fate#323912).
- drm: atmel-hlcdc: add support for 8-bit color lookup table mode (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: atmel-hlcdc: add missing .set_property helper to the crtc (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Remove dead vc4_event_pending() (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Use the atomic state's commit workqueue (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Wait for fences interruptibly in blocking mode (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Hook up plane prepare_fb to lookup dma-buf reservations (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Allow vblank_disable_immediate on non-fw-kms. (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add drm_atomic_helper_wait_for_flip_done() (FATE#322643 bsc#1055900).
- drm: arcpgu: Use crtc->mode_valid() callback (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/zte: Drop drm_vblank_cleanup (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/shmob: Drop drm_vblank_cleanup (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Send a VBLANK event when disabling a CRTC (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Check for drm_device->dev in drm_set_busid (FATE#322643 bsc#1055900).
- drm: sti: sti_hqvdp: undo preparation of a clock source (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: Remove unnecessary NULL check (fate#323912).
- drm/atmel-hlcdc: Remove unnecessary NULL check (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: armada: make of_device_ids const (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Convert CMA fbdev console suspend helpers to use bool (FATE#322643 bsc#1055900).
- drm: sti: sti_hqvdp: make of_device_ids const (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: sti: sti_dvo: make of_device_ids const (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: More links for gamma support helpers (FATE#322643 bsc#1055900).
- drm: vc4: Use crtc->mode_valid() and encoder->mode_valid() callbacks (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/doc: Improve ioctl/fops docs a bit more (FATE#322643 bsc#1055900).
- drm/pci: Deprecate drm_pci_init/exit completely (FATE#322643 bsc#1055900).
- drm: Remove drm_driver->set_busid hook (FATE#322643 bsc#1055900).
- drm/udl: Remove dummy busid callback (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vblank: Consistent drm_crtc_ prefix (FATE#322643 bsc#1055900).
- drm/vblank: _ioctl posfix for ioctl handler (FATE#322643 bsc#1055900).
- drm/doc: vblank cleanup (FATE#322643 bsc#1055900).
- drm/tegra: Drop drm_vblank_cleanup (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sti: Drop drm_vblank_cleanup (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: update to new mmu_notifier semantic (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge/sii8620: Fix memory corruption (bsc#1051510).
- drm/i915: Clear lost context-switch interrupts across reset
  (FATE#322643 bsc#1055900).
- drm/i915/bxt: use NULL for GPIO connection ID (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix LSPCON support (FATE#322643 bsc#1055900).
- drm/i915: Initialize 'data' in intel_dsi_dcs_backlight.c
  (FATE#322643 bsc#1055900).
- drm/rockchip: Fix suspend crash when drm is not bound
  (fate#323912).
- drm/imx: ipuv3-plane: fix YUV framebuffer scanout on the
  base plane (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Avoid the gpu reset vs. modeset deadlock (FATE#322643
  bsc#1055900).
- drm/i915: Suppress switch_mm emission between the same
  aliasing_ppgtt (FATE#322643 bsc#1055900).
- drm/i915: Return correct EDP voltage swing table for 0.85V
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add slice and subslice information to debugfs
  (FATE#322643 bsc#1055900).
- drm/i915: remove unused function declaration (FATE#322643
  bsc#1055900).
- drm/nouveau/disp/nv04: avoid creation of output paths
  (bsc#1095094).
- drm: make DRM_STM default n (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/i915: fix backlight invert for non-zero minimum brightness
  (FATE#322643 bsc#1055900).
- drm/i915/shrinker: Wrap need_resched() inside preempt-disable
  (FATE#322643 bsc#1055900).
- drm/i915/perf: fix flex eu registers programming (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Change the max length of mmio_reg_rw from 4 to 8
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Initialize MMIO Block with HW state (FATE#322643
  bsc#1055900).
- drm/i915/gvt: clean workload queue if error happened
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: change resetting to resetting_eng (FATE#322643
  bsc#1055900).
- drm/rockchip: vop: report error when check resource error
  (fate#323912).
- drm/rockchip: vop: round_up pitches to word align (fate#323912).
- drm/rockchip: vop: fix NV12 video display error (fate#323912).
- drm/rockchip: vop: fix iommu page fault when resume
  (fate#323912).
- drm/exynos: forbid creating framebuffers from too small GEM
  buffers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/msm: gpu: don't abuse dma_alloc for non-DMA allocations
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: gpu: call qcom_mdt interfaces only for ARCH_QCOM
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/adreno: Prevent unclocked access when retrieving
  timestamps (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/msm: Remove __user from __u64 data types (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: args->fence should be args->flags (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Turn off hardware clock gating before reading A5XX
  registers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/msm: Allow hardware clock gating to be toggled (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Remove some potentially blocked register ranges
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: Drop clock names with "_clk" suffix (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: Fix typo in encoder_enable path (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: NULL pointer dereference in
  drivers/gpu/drm/msm/msm_gem_vma.c (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: fix WARN_ON in add_vma() with no iommu (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/dsi: Calculate link clock rates with updated dsi->lanes
  (bsc#1051510).
- drm/msm/mdp5: fix unclocked register access in _cursor_set()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: unlock on error in msm_gem_get_iova() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: fix an integer overflow test (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: Fix compilation warnings (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- media: cec-notifier: small improvements (FATE#326289).
- drm/amdgpu: Use list_del_init in amdgpu_mn_unregister
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: exynos: mark pm functions as __maybe_unused (bsc#1051510).
- drm/exynos: select CEC_CORE if CEC_NOTIFIER (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/hdmi: fix disable sequence (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: mic: add a bridge at probe (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/dsi: Remove error handling for bridge_node DT parsing
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: dsi: do not try to find bridge (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: exynos: hdmi: make of_device_ids const (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: exynos: constify mixer_match_types and *_mxr_drv_data
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- exynos_drm: Clean up duplicated assignment in exynos_drm_driver
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915/gvt: Extend KBL platform support in GVT-g (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Fix the vblank timer close issue after shutdown
  VMs in reverse (FATE#322643 bsc#1055900).
- drm/i915: Fix bad comparison in skl_compute_plane_wm
  (FATE#322643 bsc#1055900).
- drm/i915: Force CPU synchronisation even if userspace requests
  ASYNC (FATE#322643 bsc#1055900).
- drm/i915: Only skip updating execobject.offset after error
  (FATE#322643 bsc#1055900).
- drm/i915: Only mark the execobject as pinned on success
  (FATE#322643 bsc#1055900).
- drm/i915: Remove assertion from raw __i915_vma_unpin()
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix loadgen select programming on ddi vswing
  sequence (FATE#322643 bsc#1055900).
- drm/i915/selftests: Fix an error handling path in
  'mock_gem_device()' (FATE#322643 bsc#1055900).
- drm/i915: Unbreak gpu reset vs. modeset locking (FATE#322643
  bsc#1055900).
- drm/i915: Fix cursor updates on some platforms (FATE#322643
  bsc#1055900).
- drm/i915: Fix user ptr check size in eb_relocate_vma()
  (FATE#322643 bsc#1055900).
- drm/rockchip: fix Kconfig dependencies (bsc#1051510).
- commit ca8bd08
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/dp: Don't trust drm_dp_downstream_id() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/dp: Fix read pointer for drm_dp_downsteam_debug()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix AVFS voltage offset for Vega10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: simplify and fix GRBM index selection
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix blocking in RCU critical section(v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: constify pci_device_id (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: dma-buf: Constify ttm_place structures (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: fix comment mistake for
  vmw_cmd_dx_set_index_buffer() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Use dma_pool_zalloc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: Fix handling of errors returned by
  'vmw_cotable_alloc()' (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/vmwgfx: Fix NULL pointer comparison (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/kms: remove call to drm_crtc_vblank_off() during
  unload/suspend (FATE#322643,bsc#1055900).
- drm/nouveau/kms/nv50: update vblank state in response to
  modeset actions (FATE#322643,bsc#1055900).
- drm/nouveau/disp: add tv encoders to output resource mapping
  (bsc#1095094).
- drm/imx: fix typo in ipu_plane_formats[] (bsc#1051510).
- drm/vc4: Fix VBLANK handling in crtc->enable() path (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Remove unused field kgd2kfd_shared_resources.num_mec
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Remove initialization of shared_resources.num_mec
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: Remove unused references to shared_resources.num_mec
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix KFD oversubscription by tracking queues
  correctly (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm_dp_aux_dev: switch to read_iter/write_iter (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- clk: Provide bulk prepare_enable disable_unprepare variants
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: use __GFP_REPEAT (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/rockchip: fix NULL check on devm_kzalloc() return value
  (fate#323912).
- drm: vblank: Fix vblank timestamp update (FATE#322643
  bsc#1055900).
- DRM: Fix an incorrectly formatted table (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- bridge: Fix panel-bridge error return on !panel (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/rockchip: gem: add the lacks lock and trivial changes
  (fate#323912).
- drm/i915/gvt: Use fence error from GVT request for workload
  status (FATE#322643 bsc#1055900).
- drm/i915/gvt: remove scheduler_mutex in per-engine
  workload_thread (FATE#322643 bsc#1055900).
- drm/i915/gvt: Revert "drm/i915/gvt: Fix possible recursive
  locking issue" (FATE#322643 bsc#1055900).
- drm/i915/gvt: Audit the command buffer address (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Fix a memory leak in intel_gvt_init_gtt()
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix the CURSOR_COEFF_MASK used in DDI Vswing
  Programming (FATE#322643 bsc#1055900).
- drm/i915/cfl: Fix Workarounds (FATE#322643 bsc#1055900).
- drm/i915: Avoid undefined behaviour of "u32 >> 32" (FATE#322643
  bsc#1055900).
- drm/i915: Fix an error checking test (FATE#322643 bsc#1055900).
- drm/i915/gvt: Make function dpy_reg_mmio_readx safe (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Don't read ADPA_CRT_HOTPLUG_MONITOR from host
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Set initial PORT_CLK_SEL vreg for BDW (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Fix possible recursive locking issue (FATE#322643
  bsc#1055900).
- drm/mediatek: separate color module to fixup error memory
  reallocation (bsc#1051510).
- drm/mediatek: check for memory allocation failure (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: re-phrase DRM_INFO error message (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: use platform_register_drivers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mediatek: Support UYVY and YUYV format for overlay
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add missing field copy in compat_drm_version (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Merge tag 'drm-for-v4.13' of
  git://people.freedesktop.org/~airlied/linux (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Remove unused drm_file parameter to
  drm_syncobj_replace_fence() (FATE#322643 bsc#1055900).
- drm/amd/powerplay: fix bug fail to remove sysfs when rmmod
  amdgpu (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- amdgpu: Set cik/si_support to 1 by default if radeon isn't built
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: fix driver reload with KIQ (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx8: fix driver reload with KIQ (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: move get memory type function from early init
  to sw init (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: fix vblank_time when displays are off (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: power value format change for Vega10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: support the amdgpu.disable_cu option
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: change PPSMC_MSG_GetCurrPkgPwr for Vega10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Make amdgpu_cs_parser_init static (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 047721d
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amdgpu/cs: fix a typo in a comment (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Refresh
  patches.suse/mm-remove-cold-parameter-for-release_pages.patch.
- commit 7ee67cd
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amdgpu: Fix the exported always on CU bitmap (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: gfx_v9_0_enable_gfx_static_mg_power_gating()
  can be static (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu/psp: upper_32_bits/lower_32_bits for address setup
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay/cz: print message if smc message fails
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix typo in amdgpu_debugfs_test_ib_init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: enable mmhub pg on raven (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add new flag AMD_PG_SUPPORT_MMHUB (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add interface to enable/disable mmhub pg on raven
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add mmhub pg init sequence on raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add support for ATOM GFXCLK table v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix vulkan test performance drop and hang on VI
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Clear execbuf's vma backpointer upon release
  (FATE#322643 bsc#1055900).
- drm/i915: Pass the right flags to i915_vma_move_to_active()
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix RMW on ddi vswing sequence (FATE#322643
  bsc#1055900).
- drm/amdkfd: Spelling s/apreture/aperture/ (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdkfd: NULL dereference involving create_process()
  (bsc#1051510).
- drm/etnaviv: restore ETNA_PREP_NOSYNC behaviour (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: implement cooling support for new GPU cores
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/etnaviv: update MLCG disables with info from newer Vivante
  driver (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/etnaviv: update common.xml.h (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/arm: hdlcd: remove unused variables (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/arm: hdlcd: Use CMA helper for plane buffer address
  calculation (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/arm: hdlcd: Set the CRTC's port before binding the encoder
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Mimic drm_atomic_helper_commit() behavior (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Add get/set tiling ioctls (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Add T-format scanout support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20170619 (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Introduce Coffee Lake workarounds (FATE#322643
  bsc#1055900).
- drm/i915: Store 9 bits of PCI Device ID for platforms with a
  LP PCH (FATE#322643 bsc#1055900).
- drm/i915: Stash a pointer to the obj's resv in the vma
  (FATE#322643 bsc#1055900).
- drm/i915: Async GPU relocation processing (FATE#322643
  bsc#1055900).
- drm/i915: Allow execbuffer to use the first object as the batch
  (FATE#322643 bsc#1055900).
- drm/i915: Wait upon userptr get-user-pages within execbuffer
  (FATE#322643 bsc#1055900).
- drm/i915: First try the previous execbuffer location
  (FATE#322643 bsc#1055900).
- drm/i915: Store a persistent reference for an object in the
  execbuffer cache (FATE#322643 bsc#1055900).
- drm/i915: Eliminate lots of iterations over the execobjects
  array (FATE#322643 bsc#1055900).
- drm/i915: Disable EXEC_OBJECT_ASYNC when doing relocations
  (FATE#322643 bsc#1055900).
- drm/i915: Pass vma to relocate entry (FATE#322643 bsc#1055900).
- drm/i915: Store a direct lookup from object handle to vma
  (FATE#322643 bsc#1055900).
- drm/i915: Fix retrieval of hangcheck stats (FATE#322643
  bsc#1055900).
- drm/i915: Store i915_gem_object_is_coherent() as a bit next
  to cache-dirty (FATE#322643 bsc#1055900).
- drm/i915: Mark CPU cache as dirty on every transition for CPU
  writes (FATE#322643 bsc#1055900).
- drm/i915: Make i915_vma_destroy() static (FATE#322643
  bsc#1055900).
- drm/i915: Actually attach the tv_format property to the SDVO
  connector (FATE#322643 bsc#1055900).
- drm/i915/gvt: Refine virtual reset function (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Fix GDRST vreg state after reset (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Tuning the size of MMIO hash lookup table to 2048
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Add helper for tuning MMIO hash table (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Make the MMIO attribute wrappers be inline
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Make mmio_attribute as type u8 to save 1.5MB
  memory (FATE#322643 bsc#1055900).
- drm/i915/gvt: Cleanup struct intel_gvt_mmio_info (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Optimize MMIO register handling for some large
  MMIO blocks (FATE#322643 bsc#1055900).
- drm/i915/gvt: add gtt_invalidate API to flush the GTT TLB
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Add runtime_pm get/put to proctect MMIO accessing
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: remove redundant -Wall (FATE#322643 bsc#1055900).
- drm/i915/gvt: Legacy HSW related MMIO handler clean up
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Trigger scheduling after context complete
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Support event based scheduling (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Delete gvt_dbg_cmd() in cmd_parser_exec()
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Change flood gvt dmesg into trace (FATE#322643
  bsc#1055900).
- drm/i915/gvt: clean up the unused last_ctx_submit_time of
  struct intel_vgpu (FATE#322643 bsc#1055900).
- drm/i915/gvt: add RING_INSTDONE and SC_INSTDONE mmio handler
  in GVT-g (FATE#322643 bsc#1055900).
- drm/i915/gvt: implement per-vm mmio switching optimization
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: refactor function intel_vgpu_submit_execlist
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: rewrite the trace gvt:gvt_command using trace
  style approach (FATE#322643 bsc#1055900).
- Revert "drm/i915/skl: New ddb allocation algorithm" (FATE#322643
  bsc#1055900).
- drm/i915/glk: Add cold boot sequence for GLK DSI (FATE#322643
  bsc#1055900).
- drm/i915/glk: Split GLK DSI device ready functionality
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: make function cnl_ddi_dp_set_dpll_hw_state static
  (FATE#322643 bsc#1055900).
- drm/i915: Remove pipe A quirk remnants (FATE#322643
  bsc#1055900).
- drm/i915: Drop pipe A quirk for Thinkapd T60 (FATE#322643
  bsc#1055900).
- drm/i915: Drop pipe A quirk for Toshiba Protege R205-S209
  (FATE#322643 bsc#1055900).
- drm/i915: Add i830 "pipes power well" (FATE#322643 bsc#1055900).
- drm/i915: Use a loop for the "three times for luck" DPLL
  procedure (FATE#322643 bsc#1055900).
- drm/i915: Split vma exec_link/evict_link (FATE#322643
  bsc#1055900).
- drm/i915: Use vma->exec_entry as our double-entry placeholder
  (FATE#322643 bsc#1055900).
- drm/i915: Amalgamate execbuffer parameter structures
  (FATE#322643 bsc#1055900).
- drm/i915/perf: add GLK support (FATE#322643 bsc#1055900).
- drm/i915/perf: add KBL support (FATE#322643 bsc#1055900).
- drm/i915: add KBL GT2/GT3 check macros (FATE#322643
  bsc#1055900).
- drm/i915/perf: remove perf.hook_lock (FATE#322643 bsc#1055900).
- drm/i915/perf: per-gen timebase for checking sample freq
  (FATE#322643 bsc#1055900).
- drm/i915/perf: Add more OA configs for BDW, CHV, SKL + BXT
  (FATE#322643 bsc#1055900).
- drm/i915/perf: Add OA unit support for Gen 8+ (FATE#322643
  bsc#1055900).
- drm/i915/perf: Add 'render basic' Gen8+ OA unit configs
  (FATE#322643 bsc#1055900).
- drm/i915/perf: rework mux configurations queries (FATE#322643
  bsc#1055900).
- drm/i915: expose _SUBSLICE_MASK GETPARM (FATE#322643
  bsc#1055900).
- drm/i915: expose _SLICE_MASK GETPARM (FATE#322643 bsc#1055900).
- drm/i915: Reinstate reservation_object zapping for batch_pool
  objects (FATE#322643 bsc#1055900).
- drm/i915: Spin for struct_mutex inside shrinker (FATE#322643
  bsc#1055900).
- drm/i915: Only restrict noreclaim in the early shrink passes
  (FATE#322643 bsc#1055900).
- drm/i915/cfl: Basic DDI plumbing for Coffee Lake (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Enable wrpll computation for CNL (FATE#322643
  bsc#1055900).
- drm/i915/cnl: LSPCON support is gen9+ (FATE#322643 bsc#1055900).
- drm/i915/cnl: Enable fifo underrun for Cannonlake (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix Cannonlake scaler mode programing (FATE#322643
  bsc#1055900).
- drm/i915: Use HAS_CSR instead of gen number on DMC load
  (FATE#322643 bsc#1055900).
- drm/i915/DMC/CNL: Load DMC on CNL (FATE#322643 bsc#1055900).
- drm/i915/cnl: Enable loadgen_select bit for vswing sequence
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Implement voltage swing sequence (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add DDI Buffer translation tables for Cannonlake
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add registers related to voltage swing sequences
  (FATE#322643 bsc#1055900).
- drm/i915: Add MMIO helper for 6 ports with different offsets
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Initialize PLLs (FATE#322643 bsc#1055900).
- drm/i915: Configure DPLL's for Cannonlake (FATE#322643
  bsc#1055900).
- drm/i915/cnl: DDI - PLL mapping (FATE#322643 bsc#1055900).
- drm/i915/cnl: Allow dynamic cdclk changes on CNL (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Implement CNL display init/unit sequence
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Implement .set_cdclk() for CNL (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Implement .get_display_clock_speed() for CNL
  (FATE#322643 bsc#1055900).
- drm/i915: Pass atomic state to backlight enable/disable/set
  callbacks (FATE#322643 bsc#1055900).
- drm/i915: Pass connector state to intel_panel_set_backlight_acpi
  (FATE#322643 bsc#1055900).
- drm/i915: Pass crtc_state and connector state to backlight
  enable/disable functions (FATE#322643 bsc#1055900).
- drm/i915/cfl: Coffee Lake reuses Kabylake DMC (FATE#322643
  bsc#1055900).
- drm/i915/huc: Load HuC on Coffee Lake (FATE#322643 bsc#1055900).
- drm/i915/guc: Load GuC on Coffee Lake (FATE#322643 bsc#1055900).
- drm/i915/cfl: Add Coffee Lake PCI IDs for U Sku (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Add Coffee Lake PCI IDs for H Sku (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Add Coffee Lake PCI IDs for S Skus (FATE#322643
  bsc#1055900).
- drm/i915/glk: Remove the alpha_support flag (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Introduce Display workarounds for Coffee Lake
  (FATE#322643 bsc#1055900).
- drm/i915/cfl: Coffee Lake uses CNP PCH (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Introduce Coffee Lake platform definition
  (FATE#322643 bsc#1055900).
- drm/i915: Remove the spin-request during execbuf await_request
  (FATE#322643 bsc#1055900).
- drm/i915: Skip adding the request to the signal tree is complete
  (FATE#322643 bsc#1055900).
- drm/i915: Report back whether the irq was armed when adding
  the waiter (FATE#322643 bsc#1055900).
- drm/i915: Check signaled state after enabling signaling
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Clear enable_guc_loading in case of init failure
  (FATE#322643 bsc#1055900).
- drm/i915: Move the unclaimed mmio detection into the powerwell
  for KMS (FATE#322643 bsc#1055900).
- drm/i915: Unify GT* and GT3 definitions (FATE#322643
  bsc#1055900).
- drm/i915: Remove unnecessary PORT3 definition (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Also need power well sanitize (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add power wells for CNL (FATE#322643 bsc#1055900).
- drm/i915/gen10: Set value of Indirect Context Offset for gen10
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Cannonlake has same MOCS table than Skylake
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Configure EU slice power gating (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Cannonlake has 4 planes (3 sprites) per pipe
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: add IS_CNL_REVID macro (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add Cannonlake PCI IDs for Y-skus (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add Cannonlake PCI IDs for U-skus (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Cannonlake uses CNP PCH (FATE#322643 bsc#1055900).
- drm/i915/cnl: Introduce Cannonlake platform defition
  (FATE#322643 bsc#1055900).
- drm/i915: s/fbc_fc/fbc_false_color/ (FATE#322643 bsc#1055900).
- drm/i915: Implement fbc_status "Compressing" info for all
  platforms (FATE#322643 bsc#1055900).
- drm/i915: Remove dead code from runtime resume handler
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: Panel Power sequence changes for CNP PCH
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: add CNP gmbus support (FATE#322643 bsc#1055900).
- drm/i915/cnp: Backlight support for CNP (FATE#322643
  bsc#1055900).
- drm/i915/cnp: Get/set proper Raw clock frequency on CNP
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: Add PCI ID for Cannonpoint LP PCH (FATE#322643
  bsc#1055900).
- drm/i915/cnp: Introduce Cannonpoint PCH (FATE#322643
  bsc#1055900).
- drm/i915: Allow kswapd to pause the device whilst reaping
  (FATE#322643 bsc#1055900).
- drm/i915: return the correct usable aperture size under gvt
  environment (FATE#322643 bsc#1055900).
- drm/i915: Check the ring is empty when declaring the engines
  are idle (FATE#322643 bsc#1055900).
- drm/i915/guc: Assert that we switch between known
  ggtt->invalidate functions (FATE#322643 bsc#1055900).
- drm/i915/dvo: fix debug logging on unknown DID (FATE#322643
  bsc#1055900).
- drm/i915/ddi: Avoid long delays during system suspend / eDP
  disabling (FATE#322643 bsc#1055900).
- drm/i915/glk: Fix dotclock calculation in
  skl_check_pipe_max_pixel_rate (FATE#322643 bsc#1055900).
- drm/i915/skl+: consider max supported plane pixel rate while
  scaling (FATE#322643 bsc#1055900).
- drm/i915/skl: New ddb allocation algorithm (FATE#322643
  bsc#1055900).
- drm/i915/guc: Fix doorbell id selection (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Return -EIO if host GuC submission is enabled
  when loading GVT-g (FATE#322643 bsc#1055900).
- drm/i915/gvt: Return -EIO if host enable_execlists not enabled
  when loading GVT-g (FATE#322643 bsc#1055900).
- drm/i915/gvt: Add gvt options sanitize function (FATE#322643
  bsc#1055900).
- drm/i915: Remove toplevel struct_mutex locking from
  debugfs/i915_drop_caches (FATE#322643 bsc#1055900).
- drm/i915: Add kerneldoc to describe i915_gem_object.vma_list
  (FATE#322643 bsc#1055900).
- drm/i915: Convert intel_sdvo connector properties to atomic
  (FATE#322643 bsc#1055900).
- drm/i915: Handle force_audio correctly in intel_sdvo
  (FATE#322643 bsc#1055900).
- drm/i915: Convert intel_hdmi connector properties to atomic
  (FATE#322643 bsc#1055900).
- drm/i915: Convert intel_dp properties to atomic, v2 (FATE#322643
  bsc#1055900).
- drm/i915: Make intel_dp->has_audio reflect hw state only
  (FATE#322643 bsc#1055900).
- drm/i915: Convert LVDS connector properties to atomic
  (FATE#322643 bsc#1055900).
- drm/i915: Convert DSI connector properties to atomic
  (FATE#322643 bsc#1055900).
- drm/i915: Add plumbing for digital connector state, v3
  (FATE#322643 bsc#1055900).
- drm/i915: Use per-connector scaling mode property (FATE#322643
  bsc#1055900).
- drm/i915: Use atomic scaling_mode instead of panel.fitting_mode
  (FATE#322643 bsc#1055900).
- drm/i915: Remove decoupled MMIO code (FATE#322643 bsc#1055900).
- drm/msm: Fix potential buffer overflow issue (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Separate locking of buffer resources from struct_mutex
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/hdmi: Fix HDMI pink strip issue seen on 8x96
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/hdmi: 8996 PLL: Populate unprepare (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/hdmi: Use bitwise operators when building register
  values (bsc#1051510).
- drm/msm: update generated headers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: remove address-space id (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: support for an arbitrary number of address spaces
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: refactor how we handle vram carveout buffers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: pass address-space to _get_iova() and friends
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp4+5: move aspace/id to base class (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm/mdp5: kill pipe_lock (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: fix locking inconsistency for gpu->hw_init()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Remove memptrs->wptr (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Add a struct to pass configuration to msm_gpu_init()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Add hint to DRM_IOCTL_MSM_GEM_INFO to return an
  object IOVA (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/msm: Remove idle function hook (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: Remove DRM_MSM_NUM_IOCTLS (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/msm: gpu: Enable zap shader for A5XX (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 50bdaf0
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amdgpu: Optimize mutex usage (v4) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Optimization of AMDGPU_BO_LIST_OP_CREATE (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu: use drm sync objects for shared semaphores (v6)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- amdgpu/cs: split out fence dependency checking (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: don't check the default value for vm size
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arm: mali-dp: Use CMA helper for plane buffer address
  calculation (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/mali-dp: Check PM status when sharing interrupt lines
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/arm: malidp: Use crtc->mode_valid() callback (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau/disp/nv50-: avoid creating ORs that aren't present
  on HW (bsc#1095094).
- drm/nouveau: use proper prototype in nouveau_pmops_runtime()
  definition (bsc#1051510).
- drm/nouveau: Skip vga_fini on non-PCI device (bsc#1095094).
- drm/nouveau/tegra: Don't leave GPU in reset (bsc#1095094).
- drm/nouveau/tegra: Skip manual unpowergating when not necessary
  (bsc#1095094).
- drm/nouveau/hwmon: Change permissions to numeric (bsc#1095094).
- drm/nouveau/hwmon: expose the auto_point and pwm_min/max attrs
  (bsc#1095094).
- drm/nouveau/hwmon: Remove old code, add .write/.read operations
  (bsc#1095094).
- drm/nouveau/hwmon: Add nouveau_hwmon_ops structure with
  .is_visible/.read_string (bsc#1095094).
- drm/nouveau/hwmon: Add config for all sensors and their settings
  (bsc#1095094).
- drm/nouveau/disp/gm200-: allow non-identity mapping of SOR <->
  macro links (bsc#1095094).
- drm/nouveau/disp/nv50-: implement a common supervisor 3.0
  (bsc#1095094).
- drm/nouveau/disp/nv50-: implement a common supervisor 2.2
  (bsc#1095094).
- drm/nouveau/disp/nv50-: implement a common supervisor 2.1
  (bsc#1095094).
- drm/nouveau/disp/nv50-: implement a common supervisor 2.0
  (bsc#1095094).
- drm/nouveau/disp/nv50-: implement a common supervisor 1.0
  (bsc#1095094).
- drm/nouveau/disp/nv50-gt21x: remove workaround for dp->tmds
  hotplug issues (bsc#1095094).
- drm/nouveau/disp/dp: use new devinit script interpreter
  entry-point (bsc#1095094).
- drm/nouveau/disp/dp: determine link bandwidth requirements
  from head state (bsc#1095094).
- drm/nouveau/disp: introduce acquire/release display path methods
  (bsc#1095094).
- drm/nouveau/disp: remove hw-specific customisation of output
  paths (bsc#1095094).
- drm/nouveau/disp/gf119-: port OR DP VCPI control to nvkm_ior
  (bsc#1095094).
- drm/nouveau/disp/gt215-: port HDA ELD controls to nvkm_ior
  (bsc#1095094).
- drm/nouveau/disp/g94-: port OR DP drive setting control to
  nvkm_ior (bsc#1095094).
- drm/nouveau/disp/g94-: port OR DP training pattern control to
  nvkm_ior (bsc#1095094).
- drm/nouveau/disp/g94-: port OR DP link power control to nvkm_ior
  (bsc#1095094).
- drm/nouveau/disp/g94-: port OR DP link setup to nvkm_ior
  (bsc#1095094).
- drm/nouveau/disp/g94-: port OR DP lane mapping to nvkm_ior
  (bsc#1095094).
- drm/nouveau/disp/g84-: port OR HDMI control to nvkm_ior
  (bsc#1095094).
- drm/nouveau/disp/nv50-: port OR manual sink detection to
  nvkm_ior (bsc#1095094).
- drm/nouveau/disp/nv50-: port OR power state control to nvkm_ior
  (bsc#1095094).
- drm/nouveau/disp/nv50-: fetch head/OR state at beginning of
  supervisor (bsc#1095094).
- drm/nouveau/disp/nv50-: execute supervisor on its own workqueue
  (bsc#1095094).
- drm/nouveau/disp/dp: train link only when actively displaying
  an image (bsc#1095094).
- drm/nouveau/disp/dp: only check for re-train when the link is
  active (bsc#1095094).
- drm/nouveau/disp/dp: determine a failsafe link training rate
  (bsc#1095094).
- drm/nouveau/disp/dp: use cached link configuration when checking
  link status (bsc#1095094).
- drm/nouveau/disp/dp: no need for lt_state except during manual
  link training (bsc#1095094).
- drm/nouveau/disp/dp: store current link configuration in
  nvkm_ior (bsc#1095094).
- drm/nouveau/disp/dp: remove DP_PWR method (bsc#1095094).
- drm/nouveau/disp: identity-map display paths to output resources
  (bsc#1095094).
- drm/nouveau/disp: fork off some new hw-specific implementations
  (bsc#1095094).
- drm/nouveau/disp: introduce input/output resource abstraction
  (bsc#1095094).
- drm/nouveau/disp: common implementation of scanoutpos method
  in nvkm_head (bsc#1095094).
- drm/nouveau/disp: move vblank_{get,put} methods into nvkm_head
  (bsc#1095094).
- drm/nouveau/disp: introduce object to track per-head
  functions/state (bsc#1095094).
- drm/nouveau/disp: delay output path / connector construction
  until oneinit() (bsc#1095094).
- drm/nouveau/disp: s/nvkm_connector/nvkm_conn/ (bsc#1095094).
- drm/nouveau/disp: rename nvkm_output_dp to nvkm_dp
  (bsc#1095094).
- drm/nouveau/disp: rename nvkm_output to nvkm_outp (bsc#1095094).
- drm/nouveau/disp: shuffle functions around (bsc#1095094).
- drm/nouveau/kms/nv04: use new devinit script interpreter
  entry-point (bsc#1095094).
- drm/nouveau/fb/ram/nv40-: use new devinit script interpreter
  entry-point (bsc#1095094).
- drm/nouveau/devinit: use new devinit script interpreter
  entry-point (bsc#1095094).
- drm/nouveau/bios/init: add a new devinit script interpreter
  entry-point (bsc#1095094).
- drm/nouveau/bios/init: add or/link args separate from output
  path (bsc#1095094).
- drm/nouveau/bios/init: bump script offset to 32-bits
  (bsc#1095094).
- drm/nouveau/bios/init: rename 'crtc' to 'head' (bsc#1095094).
- drm/nouveau/bios/init: remove internal use of nvbios_init.bios
  (bsc#1095094).
- drm/nouveau/bios/init: rename nvbios_init() to nvbios_devinit()
  (bsc#1095094).
- drm/nouveau/tmr: remove nvkm_timer_alarm_cancel() (bsc#1095094).
- drm/nouveau/bios/iccsense: rails for power sensors have a mask
  of 0xf8 for version 0x10 (bsc#1095094).
- drm/nouveau/bios/volt: Parse min and max for Version 0x40
  (bsc#1095094).
- drm/nouveau: Enable stereoscopic 3D output over HDMI
  (bsc#1095094).
- drm/nouveau: Handle frame-packing mode geometry and timing
  effects (bsc#1095094).
- drm/nouveau/disp/gk104-: Use supplied HDMI InfoFrames
  (bsc#1095094).
- drm/nouveau/disp/gf119: Use supplied HDMI InfoFrames
  (bsc#1095094).
- drm/nouveau/disp/gt215: Use supplied HDMI InfoFrames
  (bsc#1095094).
- drm/nouveau/disp/g84-gt200: Use supplied HDMI InfoFrames
  (bsc#1095094).
- drm/nouveau/disp: Add mechanism to convert HDMI InfoFrames to
  hardware format (bsc#1095094).
- drm/nouveau: Pass mode-dependent AVI and Vendor HDMI InfoFrames
  to NVKM (bsc#1095094).
- drm/nouveau/disp/g84-: Extend NVKM HDMI power control method
  to set InfoFrames (bsc#1095094).
- drm/nouveau: Clean up nv50_head_atomic_check_mode() and fix
  blankus calculation (bsc#1095094).
- commit 224c00f
* Fri Jan  4 2019 ptesarik@suse.cz
- gpu: host1x: Refactor channel allocation code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Refresh
  patches.drivers/gpu-host1x-Free-the-IOMMU-domain-when-there-is-no-de.patch.
- commit d2cb137
* Fri Jan  4 2019 ptesarik@suse.cz
- gpu: host1x: Forbid unrelated SETCLASS opcode in the firewall
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Disable plane if it is invisible (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Apply clipping to the plane (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: dc: Avoid reset asserts on Tegra20 (bsc#1051510).
- drm/tegra: Check syncpoint ID in the 'submit' IOCTL (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tegra: Correct copying of waitchecks and disable them
  in the 'submit' IOCTL (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/tegra: Check for malformed offsets and sizes in the 'submit'
  IOCTL (bsc#1106170).
- drm/fsl-dcu: use new drm_atomic_helper_shutdown (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fsl-dcu: implement irq_preinstall/uninstall callbacks
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/fsl: Drop drm_vblank_cleanup (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Map memory through the VSP device (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Register a completion callback with VSP1
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: rcar-du: Arm the page flip event after queuing the
  page flip (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: Add compatible for the A10s pipeline (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add HDMI support (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/sun4i: Ignore the generic connectors for components
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: multiply the vtotal when not in interlace
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Change vertical total size computation
  inconsistency (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: tcon: Fix tcon channel 1 backporch calculation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Switch mux on only for composite (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Move the muxing out of the mode set function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Add channel debug (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: add support for V3s TCON (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Add compatible string for V3s display engine
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: add support for Allwinner DE2 mixers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: add a Kconfig option for sun4i-backend (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit b9a1732
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/sun4i: abstract a engine type (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: return only planes for layers created (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Clarify sun4i_backend_layer_enable debug
  message (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: Set TCON clock inside sun4i_tconX_mode_set
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Copy ID from associated backend (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: tcon: Find matching display backend by device node
  matching (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: backend: Save pointer to device tree node
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Fetch backend ID from device tree
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: backend: Drop trailing 0 from backend in error
  message (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sun4i: Use lists to track registered display backends
  and TCONs (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- Merge branch 'drm-next-4.13' of
  git://people.freedesktop.org/~agd5f/linux into drm-next
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix compiler warnings (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: vm_update_ptes remove code duplication (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Port VCN over to new SOC15 macros (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Port PSP v10.0 over to new SOC15 macros
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Port PSP v3.1 over to new SOC15 macros
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Port NBIO v7.0 driver over to new SOC15 macros
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Port NBIO v6.1 driver over to new SOC15 macros
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Port UVD 7.0 over to new SOC15 macros
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Port MMHUB over to new SOC15 macros (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Cleanup gfxhub read-modify-write patterns
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Port GFXHUB over to new SOC15 macros
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Add offset variant to SOC15 macros (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add avfs control for Vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add virtual display support for raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: fix compute ring doorbell index (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Rename KIQ ring to avoid spaces (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: gfx9 tidy ups (v2) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add contiguous flag in ucode bo create (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix missed gpu info firmware when cache firmware
  during S3 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: export test ib debugfs interface (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add GPU power display for vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: update vega10_ppsmc.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: avoid to reset wave_front_size to 0 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add new member in gpu_info fw (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx: fix MEC interrupt enablement for pipes != 0
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix copy error in powerplay (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move comment to the right place (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix a typo in comment (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove duplicate function prototypes (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Support page table update via CPU (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Support page directory update via CPU (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add amdgpu_sync_wait (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add vm context module param (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop deprecated drm_get_pci_dev and drm_put_dev
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/radeon: Use radeon by default for CIK GPUs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Make si_support and cik_support parameters always
  available (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Update Kconfig help for SI and CIK support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 66cbd40
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amdgpu: Add module param to control SI support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Add module param to control SI support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Add module param to control CIK support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx: consolidate mqd buffer setup code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx: move mec parameter setup into sw_init
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx: move more common KIQ code to amdgpu_gfx.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move mec queue helpers to amdgpu_gfx.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: remove spurious line in kiq setup (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx8: whitespace change (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: Raven has two MECs (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move gfx_v*_0_compute_queue_acquire to common code
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix mec queue policy on single MEC asics
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx: create a common bitmask function (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: new queue policy, take first 2 queues of
  each pipe (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu/gfx9: allocate queues horizontally across pipes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix memory leak in rv_hwmgr backend
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add sclk and mclk overdrive for vega10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix populate dpm level failed when s3
  on vega10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: update to use RREG32_SOC15/WREG32_SOC15 for gmc9
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: update to use RREG32_SOC15/WREG32_SOC15 for mmhub
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: update to use RREG32_SOC15/WREG32_SOC15 for gfxhub
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix the gart table cleared issue for S3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add ip block number prints (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add ip name print for selecting ips with
  ip_block_mask (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: remove mmhub ip (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: remove gfxhub ip (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: export mmhub get clockgating into gmc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: export mmhub set clockgating into gmc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: export mmhub sw_init into gmc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: export gfxhub sw_init into gmc (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix to miss program invalidation at resume
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: abstract setup vmid config for gfxhub/mmhub
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: abstract disable identity aperture for gfxhub/mmhub
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: abstract system domain enablement for gfxhub/mmhub
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: abstract cache initialization for gfxhub/mmhub
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: abstract TLB initialization for gfxhub/mmhub
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: abstract system aperture initialization for
  gfxhub/mmhub (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: abstract gart aperture initialization for
  gfxhub/mmhub (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: abstract gart table initialization for gfxhub/mmhub
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add saved_bo to save vce 4.0 context when suspend
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use existing function amdgpu_bo_create_kernel
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vcpu_bo cpu address for vce (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Move compute vm bug logic to amdgpu_vm.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: enable CKS by default on vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Align with VBIOS to support AVFS parameters
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Add floor DCEF for DS on boot (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: use LRU mapping policy for SDMA engines (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: guarantee bijective mapping of ring ids for LRU v3
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: implement lru amdgpu_queue_mgr policy for compute v4
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: untie user ring ids from kernel ring ids v6
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: workaround tonga HW bug in HQD programming sequence
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: condense mqd programming sequence (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: new queue policy, take first 2 queues of each
  pipe v2 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: avoid KIQ clashing with compute or KFD queues v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove hardcoded queue_mask in PACKET3_SET_RESOURCES
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: allocate queues horizontally across pipes
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove duplicate magic constants from
  amdgpu_amdkfd_gfx*.c (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdkfd: allow split HQD on per-queue granularity v5
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: teach amdgpu how to enable interrupts for any
  pipe v3 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: allow split of queues with kfd at queue
  granularity v4 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: take ownership of per-pipe configuration v3
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: take ownership of pipe initialization (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: rename rdev to adev (bsc#1051510).
- drm/amdgpu: fix kgd_hqd_load failing to update shadow_wptr
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: unify MQD programming sequence for kfd and amdgpu v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove duplicate definition of cik_mqd (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: detect timeout error when deactivating hqd
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: refactor MQD/HQD initialization v3 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: clarify MEC_HPD_SIZE is specific to a gfx generation
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: code clean up in vega10_hwmgr.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/amd/powerplay: disable engine spread spectrum
  feature on Vega10." (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amd/powerplay: enable deep sleep by default for vega10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: enable ulv feature by default for vega10
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: stop joining VM PTE updates (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: cache the complete pde (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Remove two ! operations in an if condition
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Optimize a function called by every IB sheduling
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Return EINVAL if no PT BO (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add some extra VM error handling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: cleanup adjust_mc_addr handling v4 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: enable lbpw on raven (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: init lbpw on raven (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: update sdma 4.1 raven specific golden settings
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: update GC 9.1 raven specific golden settings
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: update GC 9.1 golden settings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove unnecessary debug message (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix set tools address for Vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix soft pptable size for Vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: optimize amdgpu driver load & resume time
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: set powerplay support cap on raven
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: bypass pptable process on raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add get_temperature interface for raven
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: update magic number for rv hw backend
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: using MinFClock/MaxFclock to report Min/Max
  memory clock limits (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/radeon: Cleanup pageflipping IRQ handling for evergreen, si
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Cleanup HDMI audio interrupt handling for evergreen
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: Cleanup display interrupt handling for evergreen, si
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: Switch baremetal to use KIQ for compute
  ring management. (v4) (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: fix resume of KIQ and KCQs (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: move SET_RESOURCES into the same command stream
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: wait once for all KCQs to be created
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: split gfx_v9_0_kiq_init_queue into two (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: properly byteswap gpu_info firmware (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: PP/DAL interface changes for dynamic
  clock switch (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/powerplay: add function set_clock_limit for Rv
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add new clock type in struct gfx_arbit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add new clock type for Rv (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: print msg id when smu failed (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add new smu message for Rv (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: delete duplicated code in vega10_hwmgr.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add an INFO query for monitoring VRAM CPU page
  faults (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/radeon: Add module param to control CIK support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Clean up gmc6 wait_for_idle (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Tidy up static int dce_v6_0_get_num_crtc()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Drop commented out stub function (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Tidy up of gfx_v6_0_setup_rb() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: gfx6 tidy up raster config (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: Clean up GFX6 tilemode programming (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix merge of vcn_v1_0.c v2 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move adjust adjust_mc_addr into the GFX9 vm_flush
  functions (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: change default of amdgpu_vram_page_split to 512
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix ocl test performance drop (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma3: correct wptr initialization for sdma
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: cleanup VM manager init/fini (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add dep_sync for amdgpu job (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: update golden settings (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: skip all jobs of guilty vm (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: return -ENODEV to user space when vram is lost v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: check if vram is lost v2 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Fix Vega10 power profile switching
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add raven gpu_info support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: correct emit frame size for vcn dec/enc ring
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: correct vmhub for vcn dec/enc ring (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix array_size.cocci warnings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vcn: remove duplicate mask (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add RAVEN pci id (v2) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amd: Add DCN ivsrcids (v2) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/powerplay/raven: add smu block and enable powerplay
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/raven: power up/down VCN via the SMU (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay/rv: power up/down sdma via the SMU
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add raven support in hwmgr. (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add raven support in smumgr. (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add ppt_v3 define (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add raven related define in pptable.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/powerplay: add header file for smu10. (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: enable sw clock gating for vcn (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vcn: add sw clock gating (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: update vcn decode create msg (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vcn firmware header offset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: get cs support for AMDGPU_HW_IP_VCN_ENC (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add AMDGPU_HW_IP_VCN_ENC to info query (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vcn enc ib test (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: enable vcn encode ring tests (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vcn enc irq support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vcn enc ring type and functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vcn enc rings (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: change vcn dec rb command specific for decode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vcn ip block to soc15 (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: implement new vcn cache window programming
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Disable uvd and vce free handles for raven
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: get cs support of AMDGPU_HW_IP_VCN_DEC (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add AMDGPU_HW_IP_VCN_DEC to info query (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- uapi/drm: add AMDGPU_HW_IP_VCN_ENC for encode CS (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- uapi/drm: add AMDGPU_HW_IP_VCN_DEC for decode CS (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/vcn: implement ib tests with new message buffer
  interface (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: implement insert end ring function for vcn decode
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: implement vcn start RB command (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add a ring func for vcn start command (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: expose vcn RB command (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move vcn ring test to amdgpu_vcn.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: re-group the functions in amdgpu_vcn.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: move amdgpu_vcn structure to vcn header (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vcn ip block and type (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vcn irq functions (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vcn decode ring type and functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vcn decode ring support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vcn ip block functions (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add encode tests for vcn (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add initial vcn support and decode tests
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/soc15: add psp ip block (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: register the psp v10 function pointers at psp
  sw_init (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: add psp v10 ip block (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add psp v10 function callback for raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add nbio MGCG for raven (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: apply nbio7 for Raven (v3) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add nbio7 support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: enable sdma power gating for raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/sdma4: add dynamic power gating for raven
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: init sdma power gating for raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: enable sdma v4 MGCG and LS for raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: reuse sdma v4 MGCG and LS function for raven
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add Raven sdma golden setting and chip id case
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: enable MC MGCG and LS for raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add raven clock gating and light sleep for mmhub
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc9: change fb offset sequence so that used wider
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gmc9: set mc vm fb offset for raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add raven case for gmc9 golden setting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: allow updating gfx mgpg state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: allow updating gfx cgpg state (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: allow updating sck slowdown and cp pg state
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: add enable/disable funcs for cp power gating
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: enable/disable sck slowdown thru rlc-smu
  handshake (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: init gfx power gating on raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: rlc save&restore list programming (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: add rlc bo init/fini (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: correct gfx9 csb size (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: enable cp interrupt for CGCG/CGLS/MGCG
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: extend rlc fw setup (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add gfx clock gating for raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: add raven gfx config (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: add chip name for raven when initializing
  microcode (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: add gc9.1 golden setting (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add module firmware for raven (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add Raven chip id case for ucode (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: enable soc15 clock gating flags for raven
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/soc15: add clock gating functions for raven
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: fill in raven case in soc15 early init
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/soc15: add Raven golden setting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add Raven ip blocks (v2) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add RAVEN family id definition (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add register headers for VCN 1.0 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add register headers for THM 10.0 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add register headers for SDMA 4.1 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add register headers for NBIO 7.0 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add register headers for MP 10.0 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add register headers for MMHUB 9.1 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add register headers for GC 9.1 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add register headers for DCN 1.0 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:use job's list instead of check fence (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/SRIOV:implement guilty job TDR for(V2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:don't init entity for KIQ (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:only call flr_work under infinite timeout
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:use job* to replace voluntary (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:don't invoke srio-gpu-reset in gpu-reset (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: id reset count only is updated when used end v2
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: make pipeline sync be in same place v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add sched sync for amdgpu job v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: remove unsed amdgpu_gem_handle_lockup (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: print when gpu reset successed (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix ring0 failed on pro card (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: extend lock range for race condition when gpu reset
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Fix comments in source code (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix errors in comments (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: move define to header file (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/amdgpu: get rid of else branch (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:cleanup flag not used (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:use FRAME_CNTL for new GFX ucode (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:new PM4 entry for VI/AI (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:change SR-IOV DMAframe scheme (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:unify gfx8/9 ce/de meta_data (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:cleanup indent/format for gfx_v9_0.c (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: clean doorbell after sending init table to mmsch
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/virt: change AI ack-irq message to debug level
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/psp: Do not load asd for SRIOV (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Bypass GMC/UVD/VCE hw_fini in SR-IOV (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:re-write sriov_reinit_early/late (v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:need som change on vega10 mailbox (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:fix cannot receive rcv/ack irq bug (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:kiq reg access need timeout(v2) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: wait for completion in KIQ init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: use new KIQ packet defines (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add KIQ packet defines to soc15d.h (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: clear the compute ring on reset (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: create mqd backups (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: Move kiq ring lock out of virt structure
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: bump module verion for reserved vmid (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: implement grab reserved vmid V4 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add limitation for dedicated vm number v4
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: reserve/unreserve vmid by vm ioctl v4 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add reserved vmid field in vm struct v2 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add vm ioctl (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu: Enable chained IB MCBP support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu:fix get wrong gfx always on cu masks (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix s3 ring test failed on Vi caused by KIQ enabled
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/virt: change the place of virt_init_setting
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/virt: bypass cg and pg setting for SRIOV (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop support for per ASIC read registers
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: drop support for untouched registers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: delete redundant kiq irq funcs type check in gfx8
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: fix typo in dmesg in gfx_v8_0_kiq_kcq_disable
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add HDMI audio support for si dce6 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add DP audio support for si dce6 (v3) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx8: move CP_PQ_STATUS after doorbell range
  setting (v2) (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: set cpg doorbell for fiji and polaris (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx8: unify the HQD deactivation code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx8: enable cp/rlc ints after we disable clockgating
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx7: enable cp/rlc ints after we disable clockgating
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx8: move MEC doorbell range setting (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx8: fix resume of KIQ and KCQs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx8: properly disable the KCQs in hw_fini
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx8: use new KIQ packet defines (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx8: move SET_RESOURCES into the same command stream
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx8: wait once for all KCQs to be created
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: split gfx_v8_0_kiq_init_queue into two (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx8: wait for completion in KIQ init (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Revert "drm/amd/amdgpu: Disable GFX_PG on Carrizo until compute
  issues solved" (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amdgpu: Switch baremetal to use KIQ for compute ring
  management. (v3) (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/amdgpu/gfx8: set doorbell range for polaris as well
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx8: add additional MQD initialization (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: fix pcie dpm table for vega10 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: update vega10 smu interface version to E
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: delete dead code in vega10_thermal.c
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: Add Vega10 Powertune Table v3 support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: convert from number of lanes to lane bits
  on vega10 (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/amd/powerplay: fix bug in processing CKS_Enable bit
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add avfs fuse overdriver func (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd/powerplay: add power profile support for Vega10 (v2)
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu/gfx9: drop duplicate gfx info init (v3) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: parse the gpu_info firmware (v4) (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amdgpu: add gpu_info firmware (v3) (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Reduce scope of 'state' variable (FATE#322643 bsc#1055900).
- drm: Remove duplicate forward declaration (FATE#322643
  bsc#1055900).
- drm/panel: s6e3ha2: Add support for s6e3hf2 panel on TM2e board
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: add backlight dependency for sitronix-st7789v
  (bsc#1051510).
- drm/panel: S6E3HA2 needs backlight code (bsc#1051510).
- commit a8aa861
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/panel: simple: add support for AUO P320HVN03 (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: add support for NLT NL192108AC18-02D
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/panel: simple: add support for NEC NL12880B20-05
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit c9440ab
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/panel: add Innolux P079ZCA panel driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Update config files.
- commit 5049c71
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/vc4: Fix resource leak in 'vc4_get_hang_state_ioctl()'
  in error handling path (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/vc4/vc4_bo.c: always set bo->resv (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: Add const to name field declaration in struct
  drm_prop_enum_list (FATE#322643 bsc#1055900).
- drm/pl111: Fix offset calculation for the primary plane
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atmel-hlcdc: Fix panel registration (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: Build the panel wrapper in drm_kms_helper
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atmel-hlcdc: Replace the panel usage with drm_panel_bridge
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atmel-hlcdc: Drop custom encoder cleanup func (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Switch DPI to using the panel-bridge helper
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Switch DSI to the panel-bridge layer, and support
  bridges (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- commit b2d531d
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/bridge: Refactor out the panel wrapper from the lvds-encoder
  bridge (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- Update config files.
- commit e16a3bf
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/bridge/synopsys: dw-hdmi: Use bridge->mode_valid() callback
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: zte: use devm_of_platform_populate() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/syncobj: add sync_file interaction. (v1.2) (FATE#322643
  bsc#1055900).
- drm: introduce sync objects (v4) (FATE#322643 bsc#1055900).
- drm/exynos/decon5433: remove useless check (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/decon5433: kill BIT_SUSPENDED flag (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/decon5433: kill BIT_WIN_UPDATED flag (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/decon5433: kill BIT_CLKS_ENABLED flag (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/decon5433: kill BIT_IRQS_ENABLED flag (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/decon5433: move TE handling to DECON (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/decon5433: always do sw-trigger when vblanks enabled
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: mixer: document YCbCr magic numbers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: mixer: simplify mixer_cfg_rgb_fmt() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/dsi: fix bridge_node DT parsing (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/hdmi: fix pipeline disable order (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/decon5433: simplify shadow protect code (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/decon5433: kill BIT_IRQS_ENABLED (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/decon5433: kill DECON_UPDATE workaround (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: kill mode_set_nofb callback (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: kill pipe field from drivers contexts (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: set plane possible_crtcs in exynos_plane_init
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: kill exynos_drm_private::pipe (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: kill exynos_drm_crtc::pipe (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/exynos/decon5433: implement frame counter (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: simplify completion event handling (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- Merge tag 'exynos-drm-fixes-for-v4.12' of
  git://git.kernel.org/pub/scm/linux/kernel/git/daeinki/drm-exynos
  into exynos-drm-next (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/vc4: Mark the device as active when enabling runtime PM
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: remove writeq/readq function definitions (FATE#322643
  bsc#1055900).
- drm/atmel-hlcdc: Use crtc->mode_valid() callback (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: Drop drm_vblank_cleanup (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/hdlcd|mali: Drop drm_vblank_cleanup (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/doc: Polish irq helper documentation (FATE#322643
  bsc#1055900).
- drm: Extract drm_vblank.[hc] (FATE#322643 bsc#1055900).
- drm/vc4: Fix comment in vc4_drv.h (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: fix warnings without CONFIG_ARM_AMBA (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: Consitfy mode parameter to
  drm_atomic_set_mode_for_crtc() (FATE#322643 bsc#1055900).
- drm/arcgpu: Drop drm_vblank_cleanup (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/atmel: Drop drm_vblank_cleanup (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/imx: Drop drm_vblank_cleanup (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/meson: Drop drm_vblank_cleanup (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/stm: Drop drm_vblank_cleanup (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sun4i: Drop drm_vblank_cleanup (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: better document how to send out the crtc disable event
  (FATE#322643 bsc#1055900).
- drm: Use vsnprintf extension %%ph (FATE#322643 bsc#1055900).
- drm/doc: move printf helpers out of drmP.h (FATE#322643
  bsc#1055900).
- drm/pl111: select DRM_PANEL (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- commit dd4613c
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/bridge: analogix-anx78xx: Use bridge->mode_valid() callback
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Use mode_valid() in atomic modeset (FATE#322643
  bsc#1055900).
- drm: Use new mode_valid() helpers in connector probe helper
  (FATE#322643 bsc#1055900).
- drm: Introduce drm_bridge_mode_valid() (FATE#322643
  bsc#1055900).
- drm: Add drm_{crtc/encoder/connector}_mode_valid() (FATE#322643
  bsc#1055900).
- drm: Remove drm_device->virtdev (FATE#322643 bsc#1055900).
- drm: remove unsafe drm_for_each_connector() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: use drm_for_each_connector_iter() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: use drm_for_each_connector_iter() (bsc#1095094).
- drm/mediatek: use drm_for_each_connector_iter() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: use drm_for_each_connector_iter() (FATE#322643
  bsc#1055900).
- drm/rockchip: use drm_for_each_connector_iter() (fate#323912).
- drm/exynos: use drm_for_each_connector_iter() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: fix tiled buffer stride calculations (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: fix YUV422 90/270 rotation with mirroring (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: fix YUV422 rotation with TILER (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: pass rotation to dispc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: DRM_MODE_REFLECT_* instead of mirror boolean
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: use DRM_MODE_ROTATE_* instead of OMAP_DSS_ROT_*
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove omap_drm_win (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: add drm_rotation_to_tiler helper() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: rename color_mode to fourcc (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: cleanup formats array (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove omap_framebuffer_get_formats() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: use DRM_FORMAT_* instead of OMAP_DSS_COLOR_*
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: use u32 instead of enum omap_color_mode (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: change supported_modes to an array (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove unneeded prototypes (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: add format_is_yuv() helper (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: cleanup offset calculation (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove dma & vrfb rotation (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: ratelimit OCP error (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove CLUT (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/omap: fix setting & clearing DOUBLESTRIDE (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: Remove unused omap_dss_find_output() function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove omap_overlay & omap_overlay_manager
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove unused fields (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove legacy get_resolution (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove unused get_dimensions() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove rfbi (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- commit b75415f
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/omap: dpi: remove legacy data_lines (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove recommended_bpp (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: venc: remove set_type & invert_vid_out_polarity
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: sdi: remove legacy set_datapairs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: connector-dvi/hdmi: remove extra include (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: connector-analog-tv: remove non-DT support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: acx565akm: remove non-DT support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: panel-dpi: remove non-DT support (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: define compat_ioctl (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: 64bit compile fixes (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove read_irqenable() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove ovl_set_channel_out (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove unused ovl_enabled() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/omap: add new connector types (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: sdi: Remove platform driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: dpi: Remove platform driver (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Infer the OMAP version from the SoC family
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Remove unused default display name support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Remove unused dss_get_core_pdev() function
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Drop support for non-DT devices (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Remove duplicate error messages when mapping
  memory (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: Take GEM object reference when exporting dmabuf
  (bsc#1051510).
- drm: omapdrm: Map pages for DMA in DMA_TO_DEVICE direction
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: DMA-unmap pages for all buffer types when freeing
  buffers (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: Fix incorrect usage of the term 'cache coherency'
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Rename GEM DMA sync functions (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Rename the omap_gem_object addrs field to
  dma_addrs (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: omapdrm: Lower indentation level in
  omap_gem_dma_sync_buffer() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm: omapdrm: Rename omap_gem_(get|put)_paddr() to
  omap_gem_(un)pin() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm: omapdrm: Rename occurrences of paddr to dma_addr
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Remove remap argument to omap_gem_get_paddr()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Add zpos property (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Remove custom plane state (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Store the Z order in the plane state zpos field
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Remove legacy buffer synchronization support
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Use DRM core's atomic commit helper (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: omapdrm: Handle events when enabling/disabling CRTCs
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Update DRIVER_DATE to 20170529 (FATE#322643
  bsc#1055900).
- drm/i915: Keep the forcewake timer alive for 1ms past the most
  recent use (FATE#322643 bsc#1055900).
- drm/i915/guc: capture GuC logs if FW fails to load (FATE#322643
  bsc#1055900).
- drm/i915/guc: Introduce buffer based cmd transport (FATE#322643
  bsc#1055900).
- drm/i915/guc: Disable send function on fini (FATE#322643
  bsc#1055900).
- drm: Add definition for eDP backlight frequency (FATE#322643
  bsc#1055900).
- drm/i915: Drop AUX backlight enable check for backlight control
  (FATE#322643 bsc#1055900).
- drm/i915: Consolidate #ifdef CONFIG_INTEL_IOMMU (FATE#322643
  bsc#1055900).
- drm/i915: Only GGTT vma may be pinned and prevent shrinking
  (FATE#322643 bsc#1055900).
- drm/i915: Convert i915_gem_object_ops->flags values to use BIT()
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Skip port assign on first iteration of GuC dequeue
  (FATE#322643 bsc#1055900).
- drm/i915: Remove misleading comment in request_alloc
  (FATE#322643 bsc#1055900).
- drm/i915/g33: Improve reset reliability (FATE#322643
  bsc#1055900).
- drm/i915/huc: Update GLK HuC version (FATE#322643 bsc#1055900).
- drm/i915: Check for allocation failure (FATE#322643
  bsc#1055900).
- drm/i915/guc: Remove action status and statistics from debugfs
  (FATE#322643 bsc#1055900).
- drm/i915/g4x: Improve gpu reset reliability (FATE#322643
  bsc#1055900).
- drm/i915/guc: Remove last submission result from debugfs
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Remove failed doorbell stat from debugfs
  (FATE#322643 bsc#1055900).
- drm/i915: Reorder media/render reset on g4x (FATE#322643
  bsc#1055900).
- drm/i915: Try harder to reset the GPU (FATE#322643 bsc#1055900).
- drm/i915/selftests: Pretend to be a gfx pci device (FATE#322643
  bsc#1055900).
- drm/i915: Check C for null pointer rather than B (FATE#322643
  bsc#1055900).
- drm/i915/skl+: use linetime latency if ddb size is not available
  (FATE#322643 bsc#1055900).
- drm/i915/skl+: Perform wm level calculations in separate
  function (FATE#322643 bsc#1055900).
- drm/i915/skl+: Watermark calculation cleanup (FATE#322643
  bsc#1055900).
- drm/i915/skl+: Fail the flip if ddb min requirement exceeds
  pipe allocation (FATE#322643 bsc#1055900).
- drm/i915/skl+: no need to memset again (FATE#322643
  bsc#1055900).
- drm/i915/skl: Fail the flip if no FB for WM calculation
  (FATE#322643 bsc#1055900).
- drm/i915/skl+: calculate pixel_rate & relative_data_rate in
  fixed point (FATE#322643 bsc#1055900).
- drm/i915: Use fixed_16_16 wrapper for division operation
  (FATE#322643 bsc#1055900).
- drm/i915: Add more wrapper for fixed_point_16_16 operations
  (FATE#322643 bsc#1055900).
- drm/i915: fix naming of fixed_16_16 wrapper (FATE#322643
  bsc#1055900).
- drm/i915: Don't force serialisation on marking up execlists
  irq posted (FATE#322643 bsc#1055900).
- drm/i915: Stop inlining the execlists IRQ handler (FATE#322643
  bsc#1055900).
- drm/i915/execlists: Reduce lock contention between
  schedule/submit_request (FATE#322643 bsc#1055900).
- drm/i915: Create a kmem_cache to allocate struct i915_priolist
  from (FATE#322643 bsc#1055900).
- drm/i915: Split execlist priority queue into rbtree + linked
  list (FATE#322643 bsc#1055900).
- drm/i915: Use a define for the default priority [0] (FATE#322643
  bsc#1055900).
- drm/i915: Don't mark an execlists context-switch when idle
  (FATE#322643 bsc#1055900).
- drm/i915/execlists: Pack the count into the low bits of the
  port.request (FATE#322643 bsc#1055900).
- drm/i915: Redefine ptr_pack_bits() and friends (FATE#322643
  bsc#1055900).
- drm/i915: Make ptr_unpack_bits() more function-like (FATE#322643
  bsc#1055900).
- commit 8b63fce
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/i915: Import the kfence selftests for i915_sw_fence
  (FATE#322643 bsc#1055900).
- Update config files.
- commit 7fb656b
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/i915: Remove kref from i915_sw_fence (FATE#322643
  bsc#1055900).
- drm/i915/gen9: Reintroduce WaEnableYV12BugFixInHalfSliceChicken7
  (FATE#322643 bsc#1055900).
- gpu: drm: i915: compress logic into one line (FATE#322643
  bsc#1055900).
- gpu: drm: i915: remove dead code (FATE#322643 bsc#1055900).
- drm/i915/guc:fix spelling mistake: "adddress" -> "address"
  (FATE#322643 bsc#1055900).
- drm/i915/glk: Calculate high/low switch count for GLK
  (FATE#322643 bsc#1055900).
- drm/i915: Fixup 64bit divides in timelines selftest (FATE#322643
  bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20170515 (FATE#322643
  bsc#1055900).
- drm/i915/perf: rate limit spurious oa report notice (FATE#322643
  bsc#1055900).
- drm/i915/perf: better pipeline aged/aging tail updates
  (FATE#322643 bsc#1055900).
- drm/i915/perf: improve invalid OA format debug message
  (FATE#322643 bsc#1055900).
- drm/i915/perf: improve tail race workaround (FATE#322643
  bsc#1055900).
- drm/i915/perf: no head/tail ref in gen7_oa_read (FATE#322643
  bsc#1055900).
- drm/i915/perf: avoid read back of head register (FATE#322643
  bsc#1055900).
- drm/i915/perf: avoid poll, read, EAGAIN busy loops (FATE#322643
  bsc#1055900).
- drm/i915/perf: fix gen7_append_oa_reports comment (FATE#322643
  bsc#1055900).
- drm/i915: Restore brightness level in aux backlight driver
  (FATE#322643 bsc#1055900).
- drm/i915: Set backlight mode before enable backlight
  (FATE#322643 bsc#1055900).
- drm/i915: Correctly enable backlight brightness adjustment
  via DPCD (FATE#322643 bsc#1055900).
- drm/i915: Fix cap check for intel_dp_aux_backlight driver
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Make scratch register base and count flexible
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Move notification code into virtual function
  (FATE#322643 bsc#1055900).
- drm/i915: Remove vma unpin in intel_plane_destroy (FATE#322643
  bsc#1055900).
- drm/i915: Fix hw state verifier access to crtc->state
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Dump the GuC stage descriptor pool in debugfs
  (FATE#322643 bsc#1055900).
- drm/i915: Fix __intel_wait_for_register_fw to not sleep in
  atomic (FATE#322643 bsc#1055900).
- drm/i915: Simplify cursor register write sequence (FATE#322643
  bsc#1055900).
- drm/i915: Relax 845/865 CURBASE alignemnt requirement to 32
  bytes (FATE#322643 bsc#1055900).
- drm/i915: Handle fb offset and src coordinates for cursors
  (FATE#322643 bsc#1055900).
- drm/i915: Fix gen3 physical cursor alignment requirements
  (FATE#322643 bsc#1055900).
- drm/i915: Support variable cursor height on ivb+ (FATE#322643
  bsc#1055900).
- drm/i915: Use fb->pitches[0] in cursor code (FATE#322643
  bsc#1055900).
- drm/i915: Generalize cursor size checks a bit (FATE#322643
  bsc#1055900).
- drm/i915: Split cursor check_plane into i845 and i9xx variants
  (FATE#322643 bsc#1055900).
- drm/i915: Drop useless posting reads from cursor commit
  (FATE#322643 bsc#1055900).
- drm/i915: Move cursor position and base handling into the
  platform specific functions (FATE#322643 bsc#1055900).
- drm/i915: Refactor CURPOS calculation (FATE#322643 bsc#1055900).
- drm/i915: Clean up cursor junk from intel_crtc (FATE#322643
  bsc#1055900).
- drm/i915: Refactor CURBASE calculation (FATE#322643
  bsc#1055900).
- drm/i915: Pass intel_plane and intel_crtc to plane hooks
  (FATE#322643 bsc#1055900).
- drm/i915: Parametrize cursor/primary pipe select bits
  (FATE#322643 bsc#1055900).
- drm/i915: Add support for sprites on g4x (FATE#322643
  bsc#1055900).
- drm/i915: Add g4x watermark tracepoint (FATE#322643
  bsc#1055900).
- drm/i915: Enable HPLL watermarks on g4x (FATE#322643
  bsc#1055900).
- drm/i915: Two stage watermarks for g4x (FATE#322643
  bsc#1055900).
- drm/i915: Apply the g4x TLB miss w/a to SR watermarks as well
  (FATE#322643 bsc#1055900).
- drm/i915: Refactor wm calculations (FATE#322643 bsc#1055900).
- drm/i915: Refactor the g4x TLB miss w/a to a helper (FATE#322643
  bsc#1055900).
- drm/i915: Fix the g4x watermark TLB miss workaround (FATE#322643
  bsc#1055900).
- drm/i915: Fix cursor 'cpp' in watermark calculatins for old
  platforms (FATE#322643 bsc#1055900).
- drm/i915: Document CxSR (FATE#322643 bsc#1055900).
- drm/i915: Make vlv/chv watermark debug print less cryptic
  (FATE#322643 bsc#1055900).
- drm/i915: Rename bunch of vlv_ watermark structures to g4x_
  (FATE#322643 bsc#1055900).
- drm/i915: s/vlv_num_wm_levels/intel_wm_num_levels/ (FATE#322643
  bsc#1055900).
- drm/i915: Drop the debug message from vlv_get_fifo_size()
  (FATE#322643 bsc#1055900).
- drm/i915: s/vlv_plane_wm_compute/vlv_raw_plane_wm_compute/
  etc (FATE#322643 bsc#1055900).
- drm/i915/lvds: Remove magic from PLL programming (FATE#322643
  bsc#1055900).
- drm/i915: Sanitize stolen memory size calculation (FATE#322643
  bsc#1055900).
- drm/i915: Check error return when converting pipe to connector
  (FATE#322643 bsc#1055900).
- drm/i915: Check error return when setting DMA mask (FATE#322643
  bsc#1055900).
- drm/i915/sdvo: Check error return from intel_sdvo_get_value()
  (FATE#322643 bsc#1055900).
- drm/i915/dp: Check error return during DPCD capability queries
  (FATE#322643 bsc#1055900).
- drm/i915/vlv: Fix port B PLL opamp initialization (FATE#322643
  bsc#1055900).
- drm/i915: Show dmc debug registers on Kabylake (FATE#322643
  bsc#1055900).
- drm/i915: Move uncore definitions into a separate header
  (FATE#322643 bsc#1055900).
- drm/i915: use memdup_user_nul (FATE#322643 bsc#1055900).
- drm/i915: Micro-optimise hotpath through intel_ring_begin()
  (FATE#322643 bsc#1055900).
- drm/i915: Report the ring->space from intel_ring_update_space()
  (FATE#322643 bsc#1055900).
- drm/i915: Avoid the branch in computing intel_ring_space()
  (FATE#322643 bsc#1055900).
- drm/i915: Use engine->context_pin() to report the intel_ring
  (FATE#322643 bsc#1055900).
- drm/i915: Implement dma_buf_ops->kmap (FATE#322643 bsc#1055900).
- ALSA: x86: Register multiple PCM devices for the LPE audio card
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- ALSA: x86: Split snd_intelhad into card and PCM specific
  structures (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- ALSA: x86: Prepare LPE audio ctls for multiple PCMs (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Clean up the LPE audio platform data (FATE#322643
  bsc#1055900).
- drm/i915: Reorganize intel_lpe_audio_notify() arguments
  (FATE#322643 bsc#1055900).
- drm/i915: Remove hdmi_connected from LPE audio pdata
  (FATE#322643 bsc#1055900).
- drm/i915: Replace tmds_clock_speed and link_rate with just
  ls_clock (FATE#322643 bsc#1055900).
- drm/i915: Remove the unused pending_notify from LPE platform
  data (FATE#322643 bsc#1055900).
- drm/i915: Switch the global i915.semaphores check to a local
  predicate (FATE#322643 bsc#1055900).
- drm/i915: Do not record a successful syncpoint for a dma-await
  (FATE#322643 bsc#1055900).
- drm/i915: Rename intel_timeline.sync_seqno[] to .global_sync[]
  (FATE#322643 bsc#1055900).
- drm/i915: Squash repeated awaits on the same fence (FATE#322643
  bsc#1055900).
- drm/i915: Lift timeline ordering to await_dma_fence (FATE#322643
  bsc#1055900).
- drm/i915: Unwrap top level fence-array (FATE#322643
  bsc#1055900).
- drm/i915: Mark up clflushes as belonging to an unordered
  timeline (FATE#322643 bsc#1055900).
- drm/i915: Use wait_for_atomic_us when waiting for gt fifo
  (FATE#322643 bsc#1055900).
- drm/i915: Move the GTFIFODBG to the common mmio dbg framework
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Enable send function only after successful init
  (FATE#322643 bsc#1055900).
- drm/i915: Do not leak dev_priv->l3_parity.remap_info[]
  (FATE#322643 bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20170502 (FATE#322643
  bsc#1055900).
- drm/i915: Capture CCID on ILK (FATE#322643 bsc#1055900).
- drm/i915: Reset ILK during GEM sanitization (FATE#322643
  bsc#1055900).
- drm/i915: Eliminate HAS_HW_CONTEXTS (FATE#322643 bsc#1055900).
- drm/i915: Sanitize engine context sizes (FATE#322643
  bsc#1055900).
- drm/i915/guc: Fix sleep under spinlock during reset (FATE#322643
  bsc#1055900).
- drm/i915: Defer context state allocation for legacy ring
  submission (FATE#322643 bsc#1055900).
- drm/i915: Rename gen8_(un)request_engine_reset to
  gen8_reset_engine_start/cancel (FATE#322643 bsc#1055900).
- drm/i915: Fix stale comment about I915_RESET_IN_PROGRESS flag
  (FATE#322643 bsc#1055900).
- drm/i915/glk: Don't allow 12 bpc when htotal is too big
  (FATE#322643 bsc#1055900).
- drm/i915: Skip waking the signaler when enabling before request
  submission (FATE#322643 bsc#1055900).
- drm/i915: Poison the request before emitting commands
  (FATE#322643 bsc#1055900).
- drm/i915: Differentiate between sw write location into ring and
  last hw read (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/i915: Report request restarts for both execlists/guc
  (FATE#322643 bsc#1055900).
- drm/i915: Include interesting seqno in the missed breadcrumb
  debug (FATE#322643 bsc#1055900).
- drm/i915: Stop touching hangcheck.seqno from
  intel_engine_init_global_seqno() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Use discardable buffers for rings (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Avoid format string expansion from engine names
  (FATE#322643 bsc#1055900).
- drm/i915: Fix GCC 4.4 build issue with
  __intel_wait_for_register_fw (FATE#322643 bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20170418 (FATE#322643
  bsc#1055900).
- drm/i915: Copy user requested buffers into the error state
  (FATE#322643 bsc#1055900).
- drm/i915: set "ret" correctly on error paths (FATE#322643
  bsc#1055900).
- drm/i915: Implement Link Rate fallback on Link training failure
  (FATE#322643 bsc#1055900).
- drm/i915/guc: write wopcm related register once during uc init
  (FATE#322643 bsc#1055900).
- drm/i915/dp: Validate cached link rate and lane count before
  retraining (FATE#322643 bsc#1055900).
- drm/i915: Wake device for emitting request during selftest
  (FATE#322643 bsc#1055900).
- drm/i915: Pretend the engine is always idle when mocking
  (FATE#322643 bsc#1055900).
- drm/i915: Add stub mmio read/write routines to mock device
  (FATE#322643 bsc#1055900).
- drm/i915: Treat WC a separate cache domain (FATE#322643
  bsc#1055900).
- drm/i915: Combine write_domain flushes to a single function
  (FATE#322643 bsc#1055900).
- drm/i915: Do not use lock all in hsw_trans_edp_pipe_A_crc_wa
  (FATE#322643 bsc#1055900).
- Revert "drm/i915: Lock mode_config.mutex in
  intel_display_resume." (FATE#322643 bsc#1055900).
- drm/i915: Convert intel DVO connector to atomic (FATE#322643
  bsc#1055900).
- drm/i915: Convert intel_crt connector properties to atomic
  (FATE#322643 bsc#1055900).
- drm/i915: Convert intel_dp_mst connector properties to atomic
  (FATE#322643 bsc#1055900).
- drm/i915: Remove unused dp properties for dp-mst (FATE#322643
  bsc#1055900).
- drm/i915: Convert intel_tv connector properties to atomic, v5
  (FATE#322643 bsc#1055900).
- drm/i915: Remove unused members from intel_tv.c (FATE#322643
  bsc#1055900).
- drm/i915/execlists: Document runtime pm for
  intel_lrc_irq_handler() (FATE#322643 bsc#1055900).
- drm/i915: Lie and treat all engines as idle if wedged
  (FATE#322643 bsc#1055900).
- drm/i915: Use the engine class to get the context size
  (FATE#322643 bsc#1055900).
- drm/i915: Bail if we do not setup the RCS engine (FATE#322643
  bsc#1055900).
- drm/i915/dp: read sink count to a temporary variable first
  (FATE#322643 bsc#1055900).
- drm/i915/dp: use readb and writeb calls for single byte DPCD
  access (FATE#322643 bsc#1055900).
- drm/i915/dp: localize link rate index variable more (FATE#322643
  bsc#1055900).
- drm/i915/mst: use max link not sink lane count (FATE#322643
  bsc#1055900).
- drm/i915/dp: add functions for max common link rate and lane
  count (FATE#322643 bsc#1055900).
- drm/i915/dp: don't call the link parameters sink parameters
  (FATE#322643 bsc#1055900).
- drm/i915/dp: do not limit rate seek when not needed (FATE#322643
  bsc#1055900).
- drm/i915/dp: cache common rates with sink rates (FATE#322643
  bsc#1055900).
- drm/i915/dp: use the sink rates array for max sink rates
  (FATE#322643 bsc#1055900).
- drm/i915: Rename intel_engine_cs.exec_id to uabi_id (FATE#322643
  bsc#1055900).
- drm/i915: Split the engine info table in two levels, using
  class + instance (FATE#322643 bsc#1055900).
- drm/i915: Generate the engine name based on the instance number
  (FATE#322643 bsc#1055900).
- drm/i915: Use the same vfunc for BSD2 ring init (FATE#322643
  bsc#1055900).
- drm/i915: Classify the engines in class + instance (FATE#322643
  bsc#1055900).
- drm/i915: Use safer intel_uncore_wait_for_register in ring-init
  (FATE#322643 bsc#1055900).
- drm/i915: Use __intel_uncore_wait_for_register_fw for
  sandybride_pcode_read (FATE#322643 bsc#1055900).
- drm/i915: Acquire uncore.lock over
  intel_uncore_wait_for_register() (FATE#322643 bsc#1055900).
- drm/i915: Stop sleeping from inside gen6_bsd_submit_request()
  (FATE#322643 bsc#1055900).
- drm/i915: Stop second guessing the caller for
  intel_uncore_wait_for_register() (FATE#322643 bsc#1055900).
- drm/i915: Don't allow overuse of __intel_wait_for_register_fw()
  (FATE#322643 bsc#1055900).
- drm/i915: Drop const qualifiers from params in
  wait_for_register() (FATE#322643 bsc#1055900).
- drm/i915: Use drm_i915_private directly from debugfs
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Use wait_for_register_fw() while waiting for
  MMIO response (FATE#322643 bsc#1055900).
- drm/i915: Extend intel_wait_for_register_fw() with fast timeout
  (FATE#322643 bsc#1055900).
- drm/i915: Fix type of timeout_ms parameter in
  intel_wait_for_register_fw() (FATE#322643 bsc#1055900).
- drm/i915: Insert cond_resched() into i915_gem_free_objects
  (FATE#322643 bsc#1055900).
- drm/i915: Break up long runs of freeing objects (FATE#322643
  bsc#1055900).
- drm/i915: Simplify shrinker locking (FATE#322643 bsc#1055900).
- drm/i915: Drain any freed objects prior to hibernation
  (FATE#322643 bsc#1055900).
- drm/i915: The shrinker already acquires struct_mutex, so call
  it unlocked (FATE#322643 bsc#1055900).
- i915: initialize the free_list of the fencing atomic_helper
  (FATE#322643 bsc#1055900).
- drm/i915: Advance ring->head fully when idle (FATE#322643
  bsc#1055900).
- drm/i915: Assert the engine is idle before overwiting the HWS
  (FATE#322643 bsc#1055900).
- drm/i915/GLK/HuC: Load HuC on GLK (FATE#322643 bsc#1055900).
- drm/i915/GuC/GLK: Load GuC on GLK (FATE#322643 bsc#1055900).
- drm/i915/glk: limit pixel clock to 99%% of cdclk workaround
  (FATE#322643 bsc#1055900).
- drm/i915/dp: generate and cache sink rate array for all DP,
  not just eDP 1.4 (FATE#322643 bsc#1055900).
- drm/i915/dp: cache source rates at init (FATE#322643
  bsc#1055900).
- drm/i915/dp: rename rate_to_index() to intel_dp_rate_index()
  and reuse (FATE#322643 bsc#1055900).
- drm/i915/dp: return errors from rate_to_index() (FATE#322643
  bsc#1055900).
- drm/i915/dp: use known correct array size in rate_to_index
  (FATE#322643 bsc#1055900).
- drm/i915: Enable atomic on VLV/CHV (FATE#322643 bsc#1055900).
- drm/i915: Use intel_wm_plane_visible() on VLV/CHV as well
  (FATE#322643 bsc#1055900).
- drm/i915: Check for id==PLANE_CURSOR instead of
  type==DRM_PLANE_TYPE_CURSOR (FATE#322643 bsc#1055900).
- drm/i915/guc: Use GUC prefix for CORE_FAMILY definitions
  (FATE#322643 bsc#1055900).
- drm/i915: Typo fix - 'pipe bpc' to 'pipe bpp' (FATE#322643
  bsc#1055900).
- drm/i915/huc: Simplify intel_huc_init_hw() (FATE#322643
  bsc#1055900).
- drm/i915: Remove user-triggerable WARN from
  i915_gem_object_create (FATE#322643 bsc#1055900).
- drm/i915: Onion unwind for intel_init_ring_common() (FATE#322643
  bsc#1055900).
- drm/i915: intel_ring.engine is unused (FATE#322643 bsc#1055900).
- gpu: drm: gma500: remove two more dead variable (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/doc: Clarify mode_fixup vs. atomic_check a bit more
  (FATE#322643 bsc#1055900).
- drm/doc: Document adjusted/request modes a bit better
  (FATE#322643 bsc#1055900).
- drm: Add crtc/encoder/bridge->mode_valid() callbacks
  (FATE#322643 bsc#1055900).
- drm/stm: ltdc: fix duplicated arguments (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Fix return value check in pl111_amba_probe()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: include <linux/delay.h> instead of "linux/delay.h"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Add DRM_MODE_ROTATE_ and DRM_MODE_REFLECT_ to UAPI
  (FATE#322643 bsc#1055900).
- drm/vgem: Fix return value check in vgem_init() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/blend: Fix comment typ-o (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/stm: remove unneeded -Iinclude/drm compiler flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: fix include notation and remove -Iinclude/drm flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Add a debugfs node to dump our registers (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: make structure mode_config_funcs static (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: make structure pl111_display_funcs static
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/pl111: Register the clock divider and use it (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit f24ccfe
* Fri Jan  4 2019 ptesarik@suse.cz
- drm: drop drm_alloc* helpers (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Refresh
  patches.suse/mm-remove-cold-parameter-for-release_pages.patch.
- commit 04cb0d8
* Fri Jan  4 2019 ptesarik@suse.cz
- drm: replace drm_alloc* by kvmalloc alternatives (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sti:fix spelling mistake: "compoment" -> "component"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: trivial documentation fix to drm_for_each_connector_iter
  (FATE#322643 bsc#1055900).
- drm/via: remove unneeded -Iinclude/drm compiler flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vgem: remove unneeded -Iinclude/drm compiler flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/udl: remove unneeded -Iinclude/drm compiler flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tdfx: remove unneeded -Iinclude/drm compiler flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sis: remove unneeded -Iinclude/drm compiler flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/savage: remove unneeded -Iinclude/drm compiler flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/r128: remove unneeded -Iinclude/drm compiler flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/omap: remove unneeded -Iinclude/drm compiler flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mga: remove unneeded -Iinclude/drm compiler flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i2c: remove unneeded -Iinclude/drm compiler flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/i810: remove unneeded -Iinclude/drm compiler flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/gma500: remove unneeded -Iinclude/drm compiler flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vmwgfx: fix include notation and remove -Iinclude/drm flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/virtio: fix include notation and remove -Iinclude/drm flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/tilcdc: fix include notation and remove -Iinclude/drm flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/radeon: fix include notation and remove -Iinclude/drm flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/qxl: fix include notation and remove -Iinclude/drm flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: fix include notation and remove -Iinclude/drm flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/msm: fix include notation and remove -Iinclude/drm flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/mgag200: fix include notation and remove -Iinclude/drm flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/hisilicon: fix include notation and remove -Iinclude/drm
  flag (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vc4: Adjust modes in DSI to work around the integer PLL
  divider (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vc4: fix spelling mistake: "dimesions" -> "dimensions"
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 4b7e7cf
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/vc4: Enable selection in Kconfig on any 32-bit BCM platform
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 071c9c1
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/cirrus: fix include notation and remove -Iinclude/drm flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: fix include notation and remove -Iinclude/drm flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bochs: fix include notation and remove -Iinclude/drm flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ast: fix include notation and remove -Iinclude/drm flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/amd: fix include notation and remove -Iinclude/drm flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/ttm: fix include notation and remove -Iinclude/drm flag
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: make drm_panel.h self-contained (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: add missing declaration to drm_blend.h (FATE#322643
  bsc#1055900).
- drm/dp: Wait up all outstanding tx waiters (FATE#322643
  bsc#1055900).
- drm/dp: Read the tx msg state once after checking for an event
  (FATE#322643 bsc#1055900).
- drm/prime: Forward declare struct device (FATE#322643
  bsc#1055900).
- drm/vblank: Lock down vblank->hwmode more (FATE#322643
  bsc#1055900).
- drm/vblank: drop the mode argument from
  drm_calc_vbltimestamp_from_scanoutpos (FATE#322643 bsc#1055900).
- drm/vblank: Add FIXME comments about moving the vblank ts hooks
  (FATE#322643 bsc#1055900).
- drm/vblank: Switch to bool in_vblank_irq in get_vblank_timestamp
  (FATE#322643 bsc#1055900).
- drm/vblank: Switch drm_driver->get_vblank_timestamp to return
  a bool (FATE#322643 bsc#1055900).
- drm/vgem: Convert to a struct drm_device subclass (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- gpu: drm: gma500: remove dead code (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sti: Adjust two checks for null pointers in
  sti_hqvdp_probe() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- drm/sti: Fix typos in a comment line (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sti: Fix a typo in a comment line (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/sti: Replace 17 seq_puts() calls by seq_putc() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/sti: Reduce function calls for sequence output at five
  places (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/sti: use seq_puts to display a string (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Nerf the preclose callback for modern drivers (FATE#322643
  bsc#1055900).
- drm/tegra: switch to postclose (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/nouveau: Merge pre/postclose hooks (FATE#322643
  bsc#1055900).
- commit 97c9b1f
* Fri Jan  4 2019 ptesarik@suse.cz
- video: ARM CLCD: Move registers to a separate header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Add specific compatible strings for Cygnus (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Don't try to initialize FBDEV if we're only bound
  to V3D (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vc4: Turn the V3D clock on at runtime (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: Remove redundant NULL check during atomic plane commit
  (FATE#322643 bsc#1055900).
- drm/atomic: Add support for custom scaling mode properties,
  v2 (FATE#322643 bsc#1055900).
- drm/atomic: Handle picture_aspect_ratio in atomic core
  (FATE#322643 bsc#1055900).
- drm/vgem: Enable dmabuf import interfaces (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/prime: Introduce drm_gem_prime_import_dev (FATE#322643
  bsc#1055900).
- drm/vgem: Add a dummy platform device (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/i915: Track MST link bandwidth (FATE#322643 bsc#1055900).
- drm/dp: Add DP MST helpers to atomically find and release vcpi
  slots (bsc#1055493).
- drm/dp: Introduce MST topology state to track available link
  bandwidth (bsc#1055493).
- drm: Add driver-private objects to atomic state (bsc#1055493).
- drm/mm: Split up long running selftests with cond_resched()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: zte: add VGA driver support (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm: zte: move CSC register definitions into a common header
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: zte: do not enable clock auto-gating by default
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/atomic: fix doc to use new name for commit types
  (FATE#322643 bsc#1055900).
- drm/rockchip: analogix_dp: Remove unused check and variables
  (fate#323912).
- drm: Make drm_atomic_replace_property_blob_from_id() more
  generic (FATE#322643 bsc#1055900).
- drm: drm_color_mgmt.h needs struct drm_crtc declaration
  (FATE#322643 bsc#1055900).
- drm/rockchip: Set line flag config register in vop_crtc_enable
  (fate#323912).
- drm/cec: Add CEC over Aux register definitions (FATE#322643
  bsc#1055900).
- drm: Add DPCD definitions for DP 1.4 DSC feature (FATE#322643
  bsc#1055900).
- drm: dw-hdmi: gate audio clock from the I2S enablement callbacks
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm: dw-hdmi: add specific I2S and AHB functions for stream
  handling (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/vc4: Allow using more than 256MB of CMA memory (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Fix refcounting of runtime PM get if it errors out
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Add runtime PM support to the HDMI encoder driver
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/cma: Fix recent regression of mmap() in the MMU case
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/cma-helper: Return ENOENT for "no such gem obj" (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/doc: Interlink color manager docs better (FATE#322643
  bsc#1055900).
- commit a2ac60c
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/stm: Add STM32 LTDC driver (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- commit 0566939
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/fb-cma-helper: Add drm_fb_cma_get_gem_addr() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/cma: Update DEFINE_DRM_GEM_CMA_FOPS to add get_unmapped_area
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/vc4: Expose dma-buf fences for V3D rendering (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm/bridge: sii902x: Add missing \n to the end of some dev_err
  messages (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm/doc: Fix missing @ctx documentation (bsc#1051510).
- drm: fix spelling mistake: "committing" (FATE#322643
  bsc#1055900).
- commit d797ce5
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/radeon: make MacBook Pro d3_delay quirk more generic
  (bsc#1051510).
- Refresh
  patches.drivers/0001-PCI-Add-wrappers-for-dev_printk.patch.
- commit 21f8018
* Fri Jan  4 2019 ptesarik@suse.cz
- drm/amdgpu: remove unnecessary save/restore of pdev->d3_delay
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- clk: add managed version of clk_bulk_get (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- clk: add clk_bulk_get accessories (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- Fix trivial misannotations (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- mga: switch compat ioctls to drm_ioctl_kernel() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- radeon: take out dead compat ioctls (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm compat: ia64 is not biarch (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm_compat_ioctl(): tidy up a bit (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_mapbufs() to drm_ioctl_kernel() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_rmmap() to drm_ioctl_kernel() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_mode_addfb2() to drm_ioctl_kernel()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_wait_vblank() to drm_ioctl_kernel()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_update_draw() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- compat_drm: switch sg ioctls (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- compat_drm: switch AGP compat ioctls to drm_ioctl_kernel()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_dma() to drm_ioctl_kernel() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_resctx() to drm_ioctl_kernel() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_getsareactx() to drm_ioctl_kernel()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_setsareactx() to drm_ioctl_kernel()
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_freebufs() to drm_ioctl_kernel() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_markbufs() to drm_ioctl_kernel() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_addmap() to drm_ioctl_kernel() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_getstats() to drm_ioctl_kernel() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_getclient() to drm_ioctl_kernel() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_infobufs() to drm_ioctl_kernel() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_getmap() to drm_ioctl_kernel() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- compat_drm_setunique(): don't bother (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_getunique() to drm_ioctl_kernel() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_version() to drm_ioctl_kernel() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- switch compat_drm_addbufs() to drm_ioctl_kernel() (FATE#326289
  FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- drm_compat_ioctl(): prepare for conversions to
  drm_ioctl_kernel() (FATE#326289 FATE#326079 FATE#326049
  FATE#322398 FATE#326166).
- new helper: drm_ioctl_kernel() (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/armada: don't abuse DMA_ERROR_CODE (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- drm/exynos: don't use DMA_ERROR_CODE (FATE#326289 FATE#326079
  FATE#326049 FATE#322398 FATE#326166).
- cec: add CEC_CAP_NEEDS_HPD (FATE#326289).
- cec: add cec_phys_addr_invalidate() helper function
  (FATE#326289).
- cec: add cec_s_phys_addr_from_edid helper function
  (FATE#326289).
- drm: adv7511_audio: Add .get_dai_id callback to map port number
  to dai id (FATE#326289 FATE#326079 FATE#326049 FATE#322398
  FATE#326166).
- drm: dw-hdmi-i2s: add .get_dai_id callback for ALSA SoC
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- of-graph: export symbol of_phandle_iterator_init/next
  (FATE#326289 FATE#326079 FATE#326049 FATE#322398 FATE#326166).
- commit 21bffb4
* Thu Jan  3 2019 jeffm@suse.com
- blacklist.conf: add a pair of gfs2 commits; we don't support it read-write
- commit 0f2617c
* Thu Jan  3 2019 ailiopoulos@suse.com
- xfs: Align compat attrlist_by_handle with native implementation
  (git-fixes).
- commit 6359899
* Thu Jan  3 2019 ailiopoulos@suse.com
- xfs: Fix xqmstats offsets in /proc/fs/xfs/xqmstat (git-fixes).
- commit 836b5b8
* Thu Jan  3 2019 ailiopoulos@suse.com
- fs/xfs: Use %%pS printk format for direct addresses (git-fixes).
- commit 3897315
* Thu Jan  3 2019 ohering@suse.de
- x86/kvm/hyperv: don't clear VP assist pages on init
  (fate#323887).
- KVM: hyperv: define VP assist page helpers (fate#323887).
- KVM: x86: hyperv: fix 'tlb_lush' typo (fate#323887).
- KVM: x86: hyperv: optimize kvm_hv_flush_tlb() for vp_index ==
  vcpu_idx case (fate#323887).
- KVM: x86: hyperv: valid_bank_mask should be 'u64' (fate#323887).
- KVM: x86: hyperv: keep track of mismatched VP indexes
  (fate#323887).
- KVM: x86: hyperv: consistently use 'hv_vcpu' for 'struct
  kvm_vcpu_hv' variables (fate#323887).
- KVM: x86: hyperv: optimize 'all cpus' case in kvm_hv_flush_tlb()
  (fate#323887).
- X86/Hyper-V: Add hyperv_nested_flush_guest_mapping ftrace
  support (fate#323887).
- KVM: x86: ensure all MSRs can always be KVM_GET/SET_MSR'd
  (fate#323887).
- commit a7291c4
* Thu Jan  3 2019 yousaf.kaukab@suse.com
- perf: arm_spe: handle devm_kasprintf() failure (bsc#1120668).
- KVM: arm/arm64: Fix VMID alloc race by reverting to lock-less
  (bsc#1120667).
- PCI: layerscape: Fix wrong invocation of outbound window
  disable accessor (bsc#1120669).
- Revert "arm64: Increase the max granular size" (bsc#1120670).
- commit 9634970
* Thu Jan  3 2019 yousaf.kaukab@suse.com
- arm64: dma-mapping: Fix FORCE_CONTIGUOUS buffer clearing
  (bsc#1120633).
- arm64: Fix /proc/iomem for reserved but not memory regions
  (bsc#1120632).
- commit 36d66c2
* Thu Jan  3 2019 jack@suse.cz
- blkdev: avoid migration stalls for blkdev pages (bsc#1084216).
- commit 32da7b4
* Thu Jan  3 2019 jack@suse.cz
- mm: migrate: provide buffer_migrate_page_norefs() (bsc#1084216).
- commit f94c281
* Thu Jan  3 2019 jack@suse.cz
- mm: migrate: lock buffers before migrate_page_move_mapping()
  (bsc#1084216).
- commit a63c547
* Thu Jan  3 2019 jack@suse.cz
- mm: migration: factor out code to compute expected number of
  page references (bsc#1084216).
- commit 2baf0a5
* Thu Jan  3 2019 yousaf.kaukab@suse.com
- config: arm64: enable erratum 1024718
- commit 63f186f
* Thu Jan  3 2019 yousaf.kaukab@suse.com
- arm64/numa: Unify common error path in numa_init()
  (bsc#1120621).
- arm64/numa: Report correct memblock range for the dummy node
  (bsc#1120620).
- arm64: lse: remove -fcall-used-x0 flag (bsc#1120618).
- arm64: mm: always enable CONFIG_HOLES_IN_ZONE (bsc#1120617).
- arm64: remove no-op -p linker flag (bsc#1120616).
- arm64: cpu_errata: include required headers (bsc#1120615).
- arm64: lse: Add early clobbers to some input/output asm operands
  (bsc#1120614).
- arm64: Add work around for Arm Cortex-A55 Erratum 1024718
  (bsc#1120612).
- arm64: atomics: Remove '&' from '+&' asm constraint in lse
  atomics (bsc#1120613).
- cpufreq: CPPC: fix build in absence of v3 support (bsc#1117115).
- commit 78882ed
* Thu Jan  3 2019 jack@suse.cz
- blacklist.conf: Blacklist 368686a95e55
- commit 1cfcaa5
* Thu Jan  3 2019 jack@suse.cz
- x86/mm: Fix decoy address handling vs 32-bit builds
  (bsc#1120606).
- commit 195b599
* Thu Jan  3 2019 jack@suse.cz
- ext4: fix EXT4_IOC_GROUP_ADD ioctl (bsc#1120604).
- commit e61d54c
* Thu Jan  3 2019 jack@suse.cz
- ext4: missing unlock/put_page() in
  ext4_try_to_write_inline_data() (bsc#1120603).
- commit 0cfc4f4
* Thu Jan  3 2019 jack@suse.cz
- ext4: fix possible use after free in ext4_quota_enable
  (bsc#1120602).
- commit 3e1f5da
* Thu Jan  3 2019 jack@suse.cz
- blacklist.conf: Blacklist fb265c9cb49e
- commit d6b792f
* Thu Jan  3 2019 jack@suse.cz
- gfs2: Fix loop in gfs2_rbm_find (bsc#1120601).
- commit bd84a55
* Thu Jan  3 2019 jack@suse.cz
- gfs2: Get rid of potential double-freeing in gfs2_create_inode
  (bsc#1120600).
- commit 43bc90e
* Thu Jan  3 2019 jack@suse.cz
- ubifs: Handle re-linking of inodes correctly while recovery
  (bsc#1120598).
- commit a545e2b
* Thu Jan  3 2019 jack@suse.cz
- aio: fix spectre gadget in lookup_ioctx (bsc#1120594).
- commit d60e318
* Thu Jan  3 2019 tiwai@suse.de
- Input: nomadik-ske-keypad - fix a loop timeout test
  (bsc#1051510).
- rtc: m41t80: Correct alarm month range with RTC reads
  (bsc#1051510).
- power: supply: olpc_battery: correct the temperature units
  (bsc#1051510).
- iwlwifi: add new cards for 9560, 9462, 9461 and killer series
  (bsc#1051510).
- iwlwifi: pcie: don't reset TXQ write pointer (bsc#1051510).
- platform-msi: Free descriptors in platform_msi_domain_free()
  (bsc#1051510).
- device property: fix fwnode_graph_get_next_endpoint()
  documentation (bsc#1051510).
- spi: bcm2835: Unbreak the build of esoteric configs
  (bsc#1051510).
- USB: serial: option: add Telit LN940 series (bsc#1051510).
- USB: serial: option: add Fibocom NL668 series (bsc#1051510).
- USB: serial: option: add Simcom SIM7500/SIM7600 (MBIM mode)
  (bsc#1051510).
- USB: serial: option: add GosunCn ZTE WeLink ME3630
  (bsc#1051510).
- USB: serial: option: add HP lt4132 (bsc#1051510).
- xhci: Don't prevent USB2 bus suspend in state check intended
  for USB3 only (bsc#1051510).
- mmc: core: Use a minimum 1600ms timeout when enabling CACHE ctrl
  (bsc#1051510).
- mmc: core: Allow BKOPS and CACHE ctrl even if no HPI support
  (bsc#1051510).
- mmc: core: Reset HPI enabled state during re-init and in case
  of errors (bsc#1051510).
- mmc: omap_hsmmc: fix DMA API warning (bsc#1051510).
- USB: hso: Fix OOB memory access in hso_probe/hso_get_config_data
  (bsc#1051510).
- USB: omap_udc: fix USB gadget functionality on Palm Tungsten E
  (bsc#1051510).
- USB: omap_udc: fix omap_udc_start() on 15xx machines
  (bsc#1051510).
- USB: omap_udc: fix crashes on probe error and module removal
  (bsc#1051510).
- USB: omap_udc: use devm_request_irq() (bsc#1051510).
- rtc: pcf2127: fix a kmemleak caused in pcf2127_i2c_gather_write
  (bsc#1051510).
- cdrom: don't attempt to fiddle with cdo->capability
  (bsc#1051510).
- rtc: snvs: Add timeouts to avoid kernel lockups (bsc#1051510).
- device property: Define type of PROPERTY_ENRTY_*() macros
  (bsc#1051510).
- commit 9d680ce
* Wed Jan  2 2019 ohering@suse.de
- KVM: x86: hyperv: simplistic
  HVCALL_FLUSH_VIRTUAL_ADDRESS_{LIST,SPACE}_EX implementation
  (fate#323887).
- commit b932c7c
* Wed Jan  2 2019 ohering@suse.de
- KVM: x86: hyperv: enforce vp_index < KVM_MAX_VCPUS
  (fate#323887).
- KVM: x86: hyperv: simplistic
  HVCALL_FLUSH_VIRTUAL_ADDRESS_{LIST,SPACE} implementation
  (fate#323887).
- KVM: introduce kvm_make_vcpus_request_mask() API (fate#323887).
- commit ecbe83c
* Wed Jan  2 2019 ohering@suse.de
- Drivers: hv: vmbus: Return -EINVAL for the sys files for
  unopened channels (fate#323887).
- x86, hyperv: remove PCI dependency (fate#323887).
- uio_hv_generic: set callbacks on open (fate#323887).
- commit 2fbfb99
* Wed Jan  2 2019 ddiss@suse.de
- target: se_dev_attrib.emulate_pr ABI stability (bsc#1091405).
- scsi: target: drop unused pi_prot_format attribute storage
  (bsc#1091405).
- scsi: target: add emulate_pr backstore attr to toggle PR support
  (bsc#1091405).
- target/iscsi: avoid NULL dereference in CHAP auth error path
  (bsc#1117165).
- commit 0239433
* Wed Jan  2 2019 yousaf.kaukab@suse.com
- cpufreq / CPPC: Add cpuinfo_cur_freq support for CPPC
  (bsc#1117115).
- ACPI / CPPC: Check for valid PCC subspace only if PCC is used
  (bsc#1117115).
- ACPI / CPPC: Update all pr_(debug/err) messages to log the
  susbspace id (bsc#1117115).
- commit 366d7ad
* Wed Jan  2 2019 tiwai@suse.de
- staging: wilc1000: fix missing read_write setting when reading
  data (bsc#1051510).
- mmc: bcm2835: reset host on timeout (bsc#1051510).
- wireless: airo: potential buffer overflow in sprintf()
  (bsc#1051510).
- rtl8xxxu: Fix missing break in switch (bsc#1051510).
- wlcore: Fix the return value in case of error in
  'wlcore_vendor_cmd_smart_config_start()' (bsc#1051510).
- spi: bcm2835: Fix race on DMA termination (bsc#1051510).
- spi: bcm2835: Fix book-keeping of DMA termination (bsc#1051510).
- spi: bcm2835: Avoid finishing transfer prematurely in IRQ mode
  (bsc#1051510).
- libata: whitelist all SAMSUNG MZ7KM* solid-state disks
  (bsc#1051510).
- media: omap3isp: Unregister media device as first (bsc#1051510).
- media: em28xx: make v4l2-compliance happier by starting sequence
  on zero (bsc#1051510).
- media: em28xx: Fix use-after-free when disconnecting
  (bsc#1051510).
- commit 0d2a4b5
* Wed Jan  2 2019 tiwai@suse.de
- intel_th: msu: Fix an off-by-one in attribute store
  (bsc#1051510).
- gpiolib: Fix return value of gpio_to_desc() stub if !GPIOLIB
  (bsc#1051510).
- crypto: bcm - fix normal/non key hash algorithm failure
  (bsc#1051510).
- can: flexcan: flexcan_irq(): fix indention (bsc#1051510).
- gpio: mvebu: only fail on missing clk if pwm is actually to
  be used (bsc#1051510).
- gpio: max7301: fix driver for use with CONFIG_VMAP_STACK
  (bsc#1051510).
- gpiolib-acpi: Only defer request_irq for GpioInt ACPI event
  handlers (bsc#1051510).
- i2c: scmi: Fix probe error on devices with an empty SMB0001
  ACPI device node (bsc#1051510).
- i2c: axxia: properly handle master timeout (bsc#1051510).
- Input: omap-keypad - fix keyboard debounce configuration
  (bsc#1051510).
- Input: synaptics - enable SMBus for HP 15-ay000 (bsc#1051510).
- commit 2171735
* Wed Jan  2 2019 tiwai@suse.de
- staging: bcm2835-camera: Abort probe if there is no camera
  (bsc#1051510).
- ath6kl: Only use match sets when firmware supports it
  (bsc#1051510).
- b43: Fix error in cordic routine (bsc#1051510).
- ath10k: don't assume this is a PCI dev in generic code
  (bsc#1051510).
- commit 5e336ca
* Wed Jan  2 2019 tiwai@suse.de
- ASoC: Intel: mrfld: fix uninitialized variable access
  (bsc#1051510).
- ASoC: intel: cht_bsw_max98090_ti: Add pmc_plt_clk_0 quirk for
  Chromebook Gnawty (bsc#1051510).
- ASoC: intel: cht_bsw_max98090_ti: Add pmc_plt_clk_0 quirk for
  Chromebook Clapper (bsc#1051510).
- ALSA: fireface: fix for state to fetch PCM frames (bsc#1051510).
- ALSA: firewire-lib: use the same print format for
  'without_header' tracepoints (bsc#1051510).
- ALSA: firewire-lib: fix wrong assignment for
  'out_packet_without_header' tracepoint (bsc#1051510).
- ALSA: firewire-lib: fix wrong handling payload_length as
  payload_quadlet (bsc#1051510).
- ALSA: hda/ca0132 - make pci_iounmap() call conditional
  (bsc#1051510).
- ALSA: x86: Fix runtime PM for hdmi-lpe-audio (bsc#1051510).
- ASoC: omap-dmic: Add pm_qos handling to avoid overruns with
  CPU_IDLE (bsc#1051510).
- ASoC: omap-mcpdm: Add pm_qos handling to avoid under/overruns
  with CPU_IDLE (bsc#1051510).
- ASoC: omap-mcbsp: Fix latency value calculation for pm_qos
  (bsc#1051510).
- ASoC: dapm: Recalculate audio map forcely when card instantiated
  (bsc#1051510).
- ASoC: omap-abe-twl6040: Fix missing audio card caused by
  deferred probing (bsc#1051510).
- ASoC: wm_adsp: Fix dma-unsafe read of scratch registers
  (bsc#1051510).
- ASoC: rsnd: fixup clock start checker (bsc#1051510).
- commit d45ceab
* Wed Jan  2 2019 yousaf.kaukab@suse.com
- drivers: move patches to sorted section
- Refresh
  patches.drivers/0001-clk-qoriq-add-more-chips-support.patch.
- Refresh
  patches.drivers/0001-ipmi-ssif-Add-support-for-multi-part-transmit-messag.patch.
- Refresh
  patches.drivers/0002-spi-spi-fsl-dspi-use-IRQF_SHARED-mode-to-request-IRQ.patch.
- Refresh
  patches.drivers/0003-rtc-pcf2127-fix-a-kmemleak-caused-in-pcf2127_i2c_gat.patch.
- Refresh
  patches.drivers/0020-dpaa2-eth-defer-probe-on-object-allocate.patch.
- Refresh
  patches.drivers/0021-dpaa2-ptp-defer-probe-when-portal-allocation-failed.patch.
- Refresh
  patches.drivers/0026-arm64-mm-Support-Common-Not-Private-translations.patch.
- Refresh
  patches.drivers/0028-arm64-KVM-Enable-Common-Not-Private-translations.patch.
- Refresh
  patches.drivers/0048-soc-fsl-qbman-read-ithresh-from-HW.patch.
- Refresh
  patches.drivers/0049-soc-qman-add-return-value-to-interrupt-coalesce-chan.patch.
- Refresh
  patches.drivers/0050-dpaa_eth-add-ethtool-coalesce-control.patch.
- Refresh
  patches.drivers/0104-clk-mvebu-armada-37xx-periph-save-the-IP-base-addres.patch.
- Refresh
  patches.drivers/0105-clk-mvebu-armada-37xx-periph-add-suspend-resume-supp.patch.
- Refresh
  patches.drivers/0110-cpufreq-mvebu-Remove-OPPs-using-dev_pm_opp_remove.patch.
- Refresh
  patches.drivers/0116-clk-mvebu-ap806-Remove-superfluous-of_clk_add_provid.patch.
- Refresh
  patches.drivers/0117-irqchip-irq-mvebu-icu-Fix-wrong-private-data-retriev.patch.
- commit 867a710
* Wed Jan  2 2019 yousaf.kaukab@suse.com
- cpufreq / CPPC: Mark acpi_ids as used (bsc#1120490).
- cpufreq / CPPC: Add cpuinfo_cur_freq support for CPPC
  (bsc#1120490).
- ACPI / CPPC: Fix invalid PCC channel status errors
  (bsc#1120490).
- ACPI / CPPC: Document CPPC sysfs interface (bsc#1120490).
- cpufreq / CPPC: Support for CPPC v3 (bsc#1120490).
- ACPI / CPPC: Check for valid PCC subspace only if PCC is used
  (bsc#1120490).
- ACPI / CPPC: Add support for CPPC v3 (bsc#1120490).
- ACPI / CPPC: Update all pr_(debug/err) messages to log the
  susbspace id (bsc#1120490).
- commit 90f5e09
* Wed Jan  2 2019 msuchanek@suse.de
- powerpc/powernv: Fix save/restore of SPRG3 on entry/exit from
  stop (idle) (bsc#1055121).
- commit fe3e770
* Wed Jan  2 2019 neilb@suse.com
- kabi fix for sunrpc-use-after-free-in-svc_process_common.patch
  (bsc#1119946 CVE-2018-16884).
- sunrpc: use-after-free in svc_process_common() (bsc#1119946
  CVE-2018-16884).
- sunrpc: use SVC_NET() in svcauth_gss_* functions (bsc#1119946
  CVE-2018-16884).
- commit 5834865
* Wed Jan  2 2019 ddiss@suse.de
- scsi: target: drop unused pi_prot_format attribute storage
  (bsc#1091405).
- scsi: target: add emulate_pr backstore attr to toggle PR support
  (bsc#1091405).
- target/iscsi: avoid NULL dereference in CHAP auth error path
  (bsc#1117165).
- commit 36b18df
* Fri Dec 28 2018 msuchanek@suse.de
- ibmvnic: Fix non-atomic memory allocation in IRQ context
  (FATE#326521).
- ibmvnic: Convert reset work item mutex to spin lock
  (FATE#326521).
- commit ef920be
* Fri Dec 28 2018 msuchanek@suse.de
- scripts/git-pre-commit: make executable.
- commit b879431
* Wed Dec 26 2018 glin@suse.com
- bpf: fix check of allowed specifiers in bpf_trace_printk
  (bsc#1083647).
- commit 3c5ea31
* Mon Dec 24 2018 bp@suse.de
- x86/fsgsbase/64: Fix the base write helper functions
  (bsc#1112178).
- blacklist.conf:
- commit a2923fc
* Sun Dec 23 2018 msuchanek@suse.de
- powerpc/pkeys: Fix handling of pkey state across fork()
  (FATE#322447, bsc#1078248, git-fixes).
- powerpc/64s/radix: Fix process table entry cache invalidation
  (bsc#1055186, fate#323286, git-fixes).
- Refresh patches.arch/05-arch-mm-allow-arch_dup_mmap-to-fail.patch.
- commit e8de755
* Sun Dec 23 2018 bp@suse.de
- x86/bugs: Fix the AMD SSBD usage of the SPEC_CTRL MSR
  (bsc#1106913).
- x86/bugs: Switch the selection of mitigation from CPU vendor
  to CPU features (bsc#1106913).
- blacklist.conf:
- Refresh
  patches.arch/x86-speculation-prepare-for-per-task-indirect-branch-speculation-control.patch.
- commit 274ffb2
* Sun Dec 23 2018 bp@suse.de
- x86/kabi: Fix cpu_tlbstate issue (bsc#1106913).
- commit 22a85b9
* Sun Dec 23 2018 bp@suse.de
- x86/speculation: Provide IBPB always command line options
  (bsc#1106913).
- commit 454668f
* Sun Dec 23 2018 bp@suse.de
- x86/speculation: Add seccomp Spectre v2 user space protection
  mode (bsc#1106913).
- commit 4569ae5
* Sun Dec 23 2018 bp@suse.de
- x86/speculation: Enable prctl mode for spectre_v2_user
  (bsc#1106913).
- commit 85a36e0
* Sun Dec 23 2018 bp@suse.de
- x86/speculation: Add prctl() control for indirect branch
  speculation (bsc#1106913).
- commit bfed86f
* Sun Dec 23 2018 bp@suse.de
- x86/speculation: Prepare arch_smt_update() for PRCTL mode
  (bsc#1106913).
- commit 8b2b603
* Sun Dec 23 2018 bp@suse.de
- x86/speculation: Prevent stale SPEC_CTRL msr content
  (bsc#1106913).
- commit f0e109e
* Sun Dec 23 2018 bp@suse.de
- x86/speculation: Split out TIF update (bsc#1106913).
- commit 7fbe02c
* Sun Dec 23 2018 bp@suse.de
- ptrace: Remove unused ptrace_may_access_sched() and MODE_IBRS
  (bsc#1106913).
- commit c169bf3
* Sun Dec 23 2018 bp@suse.de
- x86/speculation: Prepare for conditional IBPB in switch_mm()
  (bsc#1106913).
- commit 87f418f
* Sun Dec 23 2018 bp@suse.de
- x86/speculation: Avoid __switch_to_xtra() calls (bsc#1106913).
- commit 8c217e5
* Sun Dec 23 2018 bp@suse.de
- x86/process: Consolidate and simplify switch_to_xtra() code
  (bsc#1106913).
- commit 6aeb224
* Sun Dec 23 2018 bp@suse.de
- x86/speculation: Prepare for per task indirect branch
  speculation control (bsc#1106913).
- commit 4fbb7ac
* Sun Dec 23 2018 bp@suse.de
- x86/speculation: Add command line control for indirect branch
  speculation (bsc#1106913).
- Refresh
  patches.suse/0001-x86-speculation-Add-basic-IBRS-support-infrastructur.patch.
- commit 3d8c402
* Sat Dec 22 2018 bp@suse.de
- x86/speculation: Unify conditional spectre v2 print functions
  (bsc#1106913).
- commit a45c3e8
* Sat Dec 22 2018 bp@suse.de
- x86/speculataion: Mark command line parser data __initdata
  (bsc#1106913).
- commit ff50ca5
* Sat Dec 22 2018 bp@suse.de
- x86/speculation: Mark string arrays const correctly
  (bsc#1106913).
- Refresh
  patches.suse/0001-x86-speculation-Add-basic-IBRS-support-infrastructur.patch.
- commit 37a1ec5
* Sat Dec 22 2018 bp@suse.de
- x86/speculation: Reorder the spec_v2 code (bsc#1106913).
- Refresh
  patches.suse/0001-x86-speculation-Add-basic-IBRS-support-infrastructur.patch.
- commit dd2aa4a
* Sat Dec 22 2018 bp@suse.de
- x86/l1tf: Show actual SMT state (bsc#1106913).
- commit f2c3675
* Sat Dec 22 2018 bp@suse.de
- x86/speculation: Rework SMT state change (bsc#1106913).
- commit fb0cab3
* Sat Dec 22 2018 bp@suse.de
- sched/smt: Expose sched_smt_present static key (bsc#1106913).
- commit 09b97a1
* Sat Dec 22 2018 bp@suse.de
- sched/smt: Make sched_smt_present track topology (bsc#1106913).
- commit 1abdd34
* Sat Dec 22 2018 bp@suse.de
- x86/speculation: Reorganize speculation control MSRs update
  (bsc#1106913).
- commit 7366d5a
* Sat Dec 22 2018 bp@suse.de
- x86/speculation: Rename SSBD update functions (bsc#1106913).
- commit f4cf7f8
* Sat Dec 22 2018 bp@suse.de
- x86/speculation: Disable STIBP when enhanced IBRS is in use
  (bsc#1106913).
- commit dd2f7d6
* Sat Dec 22 2018 bp@suse.de
- x86/speculation: Move STIPB/IBPB string conditionals out of
  cpu_show_common() (bsc#1106913).
- commit a5e5561
* Sat Dec 22 2018 bp@suse.de
- x86/speculation: Remove unnecessary ret variable in
  cpu_show_common() (bsc#1106913).
- commit cd83897
* Sat Dec 22 2018 bp@suse.de
- x86/speculation: Clean up spectre_v2_parse_cmdline()
  (bsc#1106913).
- commit 26ab139
* Sat Dec 22 2018 bp@suse.de
- x86/speculation: Update the TIF_SSBD comment (bsc#1106913).
- commit a59356b
* Sat Dec 22 2018 bp@suse.de
- x86/retpoline: Remove minimal retpoline support (bsc#1106913).
- Refresh patches.suse/0001-x86-speculation-Add-basic-IBRS-support-infrastructur.patch.
- commit 37af788
* Sat Dec 22 2018 bp@suse.de
- x86/retpoline: Make CONFIG_RETPOLINE depend on compiler support
  (bsc#1106913).
- commit 7fb52c2
* Sat Dec 22 2018 bp@suse.de
- x86/speculation: Propagate information about RSB filling
  mitigation to sysfs (bsc#1106913).
- commit cfc6ecb
* Sat Dec 22 2018 bp@suse.de
- x86/speculation: Enable cross-hyperthread spectre v2 STIBP
  mitigation (bsc#1106913).
- commit 560a01f
* Sat Dec 22 2018 bp@suse.de
- x86/speculation: Apply IBPB more strictly to avoid cross-process
  data leak (bsc#1106913).
- commit b48428f
* Sat Dec 22 2018 bp@suse.de
- x86/bugs: Add AMD's SPEC_CTRL MSR usage (bsc#1106913).
- commit 6019324
* Sat Dec 22 2018 bp@suse.de
- sched/core: Fix cpu.max vs. cpuhotplug deadlock (bsc#1106913).
- commit 973faf3
* Sat Dec 22 2018 bp@suse.de
- locking/static_keys: Improve uninitialized key warning
  (bsc#1106913).
- commit 854a799
* Sat Dec 22 2018 bp@suse.de
- jump_label: Split out code under the hotplug lock (bsc#1106913).
- commit e23515a
* Fri Dec 21 2018 pmladek@suse.com
- blacklist.conf: ftrace: memory leak in pretty advanced scenario
- commit df7c836
* Fri Dec 21 2018 pmladek@suse.com
- blacklist.conf: ftrace: should not normally happen; not worth it
- commit 86c0065
* Fri Dec 21 2018 pmladek@suse.com
- blacklist.conf: graph_trace; possible miscalculation with non-default
  options; non-trivial; ignore until people complains
- commit 83c65bd
* Fri Dec 21 2018 pmladek@suse.com
- blacklist.conf: bpf: only prevents WARN() when using wrong format
  in bpf_trace_printk()
- commit 0853f31
* Fri Dec 21 2018 pmladek@suse.com
- ring-buffer: Allow for rescheduling when removing pages
  (bsc#1120238).
- commit 0335a28
* Fri Dec 21 2018 pmladek@suse.com
- blacklist.conf: tracing: old and not serious bug
- commit bb1c4b3
* Fri Dec 21 2018 pmladek@suse.com
- blacklist.conf: tracing/kprobes: old bug; hard to trigger;
  rather just annoying
- commit b8c59fd
* Fri Dec 21 2018 pmladek@suse.com
- blacklist.conf: tracing: just a small annoyance when switching buffer snapshot
- commit d965f35
* Fri Dec 21 2018 pmladek@suse.com
- tracing: Fix possible double free in event_enable_trigger_func()
  (bsc#1120235).
- commit d21d238
* Fri Dec 21 2018 pmladek@suse.com
- tracing: Fix double free of event_trigger_data (bsc#1120234).
- commit cebb208
* Fri Dec 21 2018 hare@suse.de
- nvme: remove unused function nvme_ctrl_ready
  (bsc#1104967,FATE#325924).
- nvme: implement Enhanced Command Retry
  (bsc#1104967,FATE#325924).
- nvmet: use unlikely for req status check
  (bsc#1104967,FATE#325924).
- nvmet-rdma: Add unlikely for response allocated check
  (bsc#1104967,FATE#325924).
- nvme: Remove unused forward declaration
  (bsc#1104967,FATE#325924).
- nvme: disable fabrics SQ flow control when asked by the user
  (bsc#1104967,FATE#325924).
- nvmet: expose support for fabrics SQ flow control disable in
  treq (bsc#1104967,FATE#325924).
- nvmet: don't override treq upon modification
  (bsc#1104967,FATE#325924).
- nvmet: support fabrics sq flow control
  (bsc#1104967,FATE#325924).
- nvmet-fc: remove the IN_ISR deferred scheduling options
  (bsc#1104967,FATE#325924).
- nvmet: mark nvmet_genctr static (bsc#1104967,FATE#325924).
- nvmet: enable Discovery Controller AENs
  (bsc#1104967,FATE#325924).
- nvmet: allow host connect even if no allowed subsystems are
  exported (bsc#1104967,FATE#325924).
- nvmet: add support to Discovery controllers for commands
  (bsc#1104967,FATE#325924).
- nvmet: add defines for discovery change async events
  (bsc#1104967,FATE#325924).
- nvmet: make kato and AEN processing for use by other controllers
  (bsc#1104967,FATE#325924).
- nvmet: allow Keep Alive for Discovery controller
  (bsc#1104967,FATE#325924).
- nvmet: change aen mask functions to use bit numbers
  (bsc#1104967,FATE#325924).
- nvmet: provide aen bit functions for multiple controller types
  (bsc#1104967,FATE#325924).
- nvmet: use IOCB_NOWAIT for file-ns buffered I/O
  (bsc#1104967,FATE#325924).
- nvmet: support for traffic based keep-alive
  (bsc#1104967,FATE#325924).
- nvme: support traffic based keep-alive
  (bsc#1104967,FATE#325924).
- nvme: cache controller attributes (bsc#1104967,FATE#325924).
- nvme: introduce ctrl attributes enumeration
  (bsc#1104967,FATE#325924).
- nvme: add a numa_node field to struct nvme_ctrl
  (bsc#1104967,FATE#325924).
- nvme: consolidate memset calls in the nvme_setup_cmd path
  (bsc#1104967,FATE#325924).
- commit 5095382
* Fri Dec 21 2018 pmladek@suse.com
- tracing: Fix missing return symbol in function_graph output
  (bsc#1120232).
- commit 9988fec
* Fri Dec 21 2018 hare@suse.de
- scripts/git_sort/git_sort.py: add axboe/linux-block to list of repositories
- commit 940c165
* Fri Dec 21 2018 pmladek@suse.com
- tracing: Fix crash when freeing instances with event triggers
  (bsc#1120230).
- commit 4e6ced7
* Fri Dec 21 2018 pmladek@suse.com
- sched, tracing: Fix trace_sched_pi_setprio() for deboosting
  (bsc#1120228).
- commit c29a2ac
* Fri Dec 21 2018 pmladek@suse.com
- tracing: Fix regex_match_front() to not over compare the test
  string (bsc#1120223).
- commit 2b5bf5f
* Fri Dec 21 2018 pmladek@suse.com
- tracing: Fix bad use of igrab in trace_uprobe.c (bsc#1120046).
- commit 270ef83
* Fri Dec 21 2018 pmladek@suse.com
- blacklist.conf: tracing: incomplete filtering events; new feature
- commit 7baa029
* Fri Dec 21 2018 trenn@suse.com
- cpufreq: intel_pstate: Fix compilation for !CONFIG_ACPI
  (fate#326883).
- cpufreq: intel_pstate: Add base_frequency attribute
  (fate#326883).
- ACPI / CPPC: Add support for guaranteed performance
  (fate#326883).
- commit de2a92b
* Fri Dec 21 2018 pmladek@suse.com
- blacklist.conf: tracing: dependency fix found by randconfig;
  prevents a huge build
- commit 2b30e14
* Fri Dec 21 2018 pmladek@suse.com
- tracing: Fix possible double free on failure of allocating
  trace buffer (bsc#1120214).
- commit 579bdb1
* Fri Dec 21 2018 hare@suse.de
- xen: don't include <xen/xen.h> from <asm/io.h> and
  <asm/dma-mapping.h> (bsc#1104967,FATE#325924).
- block: remove ARCH_BIOVEC_PHYS_MERGEABLE
  (bsc#1104967,FATE#325924).
- commit 61390e0
* Fri Dec 21 2018 hare@suse.de
- xen: provide a prototype for xen_biovec_phys_mergeable in xen.h
  (bsc#1104967,FATE#325924).
- xen: remove the xen_biovec_phys_mergeable export
  (bsc#1104967,FATE#325924).
- commit 54f8a0e
* Fri Dec 21 2018 hare@suse.de
- arm: remove the unused BIOVEC_MERGEABLE define
  (bsc#1104967,FATE#325924).
- commit 65fe8e1
* Fri Dec 21 2018 tiwai@suse.de
- Fix a typo in the previous USB fix
  It caused a build error on Leap kernel with OTG config enabled.
  Refresh:
  patches.kabi/0001-USB-check-usb_get_extra_descriptor-for-proper-size-F.patch
- commit 0947a02
* Fri Dec 21 2018 hare@suse.de
- block: don't include bug.h from bio.h (bsc#1104967,FATE#325924).
- block: don't include io.h from bio.h (bsc#1104967,FATE#325924).
- block: remove bvec_to_phys (bsc#1104967,FATE#325924).
- block: merge BIOVEC_SEG_BOUNDARY into biovec_phys_mergeable
  (bsc#1104967,FATE#325924).
- block: add a missing BIOVEC_SEG_BOUNDARY check in
  bio_add_pc_page (bsc#1104967,FATE#325924).
- block: simplify BIOVEC_PHYS_MERGEABLE (bsc#1104967,FATE#325924).
- commit 8045de2
* Fri Dec 21 2018 hare@suse.de
- block: move req_gap_back_merge to blk.h
  (bsc#1104967,FATE#325924).
- Refresh
  patches.fixes/block-respect-virtual-boundary-mask-in-bvecs.patch.
- commit df49b15
* Fri Dec 21 2018 hare@suse.de
- block: move req_gap_{back,front}_merge to blk-merge.c
  (bsc#1104967,FATE#325924).
- Refresh
  patches.fixes/block-respect-virtual-boundary-mask-in-bvecs.patch.
- commit 42843d5
* Fri Dec 21 2018 hare@suse.de
- block: move integrity_req_gap_{back,front}_merge to blk.h
  (bsc#1104967,FATE#325924).
- commit 95712ff
* Fri Dec 21 2018 hare@suse.de
- block: fixup bioset_integrity_create() call
  (bsc#1104967,FATE#325924).
- commit 9942950
* Fri Dec 21 2018 hare@suse.de
- fs: convert block_dev.c to bioset_init()
  (bsc#1104967,FATE#325924).
- target: convert to bioset_init()/mempool_init()
  (bsc#1104967,FATE#325924).
- pktcdvd: convert to bioset_init()/mempool_init()
  (bsc#1104967,FATE#325924).
- drbd: convert to bioset_init()/mempool_init()
  (bsc#1104967,FATE#325924).
- block: convert bounce, q->bio_split to
  bioset_init()/mempool_init() (bsc#1104967,FATE#325924).
- commit 8321b9e
* Fri Dec 21 2018 ptesarik@suse.cz
- Delete all existing DRM patches to prevent conflicts during update.
- Refresh
  patches.drivers/0001-PCI-Add-wrappers-for-dev_printk.patch.
- Refresh
  patches.drivers/IB-uverbs-Build-the-specs-into-a-radix-tree-at-runti.patch
- Update config files
- commit bd43e03
* Thu Dec 20 2018 pmladek@suse.com
- tracing: Fix crash when it fails to alloc ring buffer
  (bsc#1120097).
- commit 96c92ef
* Thu Dec 20 2018 pmladek@suse.com
- ring-buffer: Do no reuse reader page if still in use
  (bsc#1120096).
- commit 1b0ce63
* Thu Dec 20 2018 pmladek@suse.com
- blacklist.conf: ring_buffer: just an optimization
- commit 695da30
* Thu Dec 20 2018 pmladek@suse.com
- ring-buffer: Mask out the info bits when returning buffer page
  length (bsc#1120094).
- commit f77f6e1
* Thu Dec 20 2018 pmladek@suse.com
- blacklist.conf: tracing: just a memory optimization
- commit be2a661
* Thu Dec 20 2018 pmladek@suse.com
- tracing: Remove RCU work arounds from stack tracer
  (bsc#1120092).
- commit 5189425
* Thu Dec 20 2018 pmladek@suse.com
- extable: Enable RCU if it is not watching in
  kernel_text_address() (bsc#1120092).
- commit bdbc690
* Thu Dec 20 2018 msuchanek@suse.de
- ibmvscsi: Fix empty event pool access during host removal
  (bsc#1119019).
- commit f101e38
* Thu Dec 20 2018 pmladek@suse.com
- extable: Consolidate *kernel_text_address() functions
  (bsc#1120092).
- commit ed3b605
* Thu Dec 20 2018 pmladek@suse.com
- rcu: Allow for page faults in NMI handlers (bsc#1120092).
- Refresh
  patches.suse/rcu-Use-lockdep-to-assert-IRQs-are-disabled-enabled.patch.
- commit 27a7cf8
* Thu Dec 20 2018 pmladek@suse.com
- tracing: Fix trace_pipe behavior for instance traces
  (bsc#1120088).
- commit e723e1c
* Thu Dec 20 2018 hare@suse.de
- scsi: t10-pi: Return correct ref tag when queue has no integrity
  profile (bsc#1104967,FATE#325924).
- commit 1b4273c
* Thu Dec 20 2018 hare@suse.de
- t10-pi: provide empty t10_pi_complete() for
  !CONFIG_BLK_DEV_INTEGRITY (bsc#1104967,FATE#325924).
- commit e95579b
* Thu Dec 20 2018 bp@suse.de
- microcode: Remove wrongly backported patches
  See fate#325577.
- Delete
  patches.arch/x86-microcode-allow-late-microcode-loading-with-smt-disabled.
- Delete
  patches.arch/x86-microcode-do-not-exit-early-from-_reload_late.
- Delete
  patches.arch/x86-microcode-fix-cpu-synchronization-routine.
- Delete
  patches.arch/x86-microcode-make-the-late-update-update_lock-a-raw-lock-for-rt.
- Delete
  patches.arch/x86-microcode-synchronize-late-microcode-loading.
- commit 5407c0d
* Thu Dec 20 2018 hare@suse.de
- nvmet-rdma: fix response use after free
  (bsc#1104967,FATE#325924).
- nvme: validate controller state before rescheduling keep alive
  (bsc#1104967,FATE#325924).
- nvme-rdma: fix double freeing of async event data
  (bsc#1104967,FATE#325924).
- nvme: flush namespace scanning work just before removing
  namespaces (bsc#1104967,FATE#325924).
- nvme-pci: fix surprise removal (bsc#1104967,FATE#325924).
- nvme-fc: initialize nvme_req(rq)->ctrl after calling
  __nvme_fc_init_request() (bsc#1104967,FATE#325924).
- commit ee4872f
* Thu Dec 20 2018 hare@suse.de
- nvme-fc: fix request private initialization
  (bsc#1104967,FATE#325924).
- nvme-fabrics: move controller options matching to fabrics
  (bsc#1104967,FATE#325924).
- nvme-rdma: always have a valid trsvcid
  (bsc#1104967,FATE#325924).
- nvme-pci: fix hot removal during error handling
  (bsc#1104967,FATE#325924).
- nvmet-fcloop: suppress a compiler warning
  (bsc#1104967,FATE#325924).
- nvme-core: make implicit seed truncation explicit
  (bsc#1104967,FATE#325924).
- nvmet-fc: fix kernel-doc headers (bsc#1104967,FATE#325924).
- nvme-fc: rework the request initialization code
  (bsc#1104967,FATE#325924).
- nvme-fc: introduce struct nvme_fcp_op_w_sgl
  (bsc#1104967,FATE#325924).
- nvme-fc: fix kernel-doc headers (bsc#1104967,FATE#325924).
- commit 354c394
* Thu Dec 20 2018 hare@suse.de
- nvme: make sure ns head inherits underlying device limits
  (bsc#1104967,FATE#325924).
- s390/mm: Fix ERROR: "__node_distance"
  undefined! (bsc#1104967,FATE#325924).
- nvmet: use strlcpy() instead of strcpy()
  (bsc#1104967,FATE#325924).
- nvme-pci: fix nvme_suspend_queue() kernel-doc header
  (bsc#1104967,FATE#325924).
- nvme-core: rework a NQN copying operation
  (bsc#1104967,FATE#325924).
- nvme-core: declare local symbols static
  (bsc#1104967,FATE#325924).
- nvmet-rdma: check for timeout in nvme_rdma_wait_for_cm()
  (bsc#1104967,FATE#325924).
- nvmet: use strcmp() instead of strncmp() for subsystem lookup
  (bsc#1104967,FATE#325924).
- nvmet: remove unreachable code (bsc#1104967,FATE#325924).
- nvme: update node paths after adding new path
  (bsc#1104967,FATE#325924).
- nvme: remove ns sibling before clearing path
  (bsc#1104967,FATE#325924).
- commit 4310a18
* Thu Dec 20 2018 hare@suse.de
- nvme: take node locality into account when selecting a path
  (FATE325925,bsc#11005542).
- nvmet: don't split large I/Os unconditionally
  (bsc#1104967,FATE#325924).
- nvme-core: add async event trace helper
  (bsc#1104967,FATE#325924).
- nvmet_fc: support target port removal with nvmet layer
  (bsc#1104967,FATE#325924).
- nvme-fc: fix for a minor typos (bsc#1104967,FATE#325924).
- nvmet: remove redundant module prefix (bsc#1104967,FATE#325924).
- nvme: fix typo in nvme_identify_ns_descs
  (bsc#1104967,FATE#325924).
- nvme: properly propagate errors in nvme_mpath_init
  (bsc#1104967,FATE#325924).
- commit 05fc0f4
* Thu Dec 20 2018 hare@suse.de
- nvme: count all ANA groups for ANA Log page
  (bsc#1104967,FATE#325924).
- nvmet-rdma: fix possible bogus dereference under heavy load
  (bsc#1104967,FATE#325924).
- nvmet: free workqueue object if module init fails
  (bsc#1104967,FATE#325924).
- nvme-fcloop: Fix dropped LS's to removed target port
  (bsc#1104967,FATE#325924).
- commit 6ad60eb
* Thu Dec 20 2018 jack@suse.cz
- powerpc/mm: Fallback to RAM if the altmap is unusable
  (bsc#1120059).
- commit b1aeb91
* Thu Dec 20 2018 hare@suse.de
- nvme-fabrics: fix ctrl_loss_tmo < 0 to reconnect forever
  (bsc#1104967,FATE#325924).
- commit 57a9f9d
* Thu Dec 20 2018 hare@suse.de
- nvmet: add ns write protect support (bsc#1113673).
- nvme: set gendisk read only based on nsattr (bsc#1113673).
- nvme.h: add support for ns write protect definitions
  (bsc#1113673).
- commit 762dc64
* Thu Dec 20 2018 jack@suse.cz
- dax: Don't access a freed inode (bsc#1120055).
- commit ecd8623
* Thu Dec 20 2018 jack@suse.cz
- dax: Check page->mapping isn't NULL (bsc#1120054).
- commit 337d19b
* Thu Dec 20 2018 jack@suse.cz
- kernfs: Replace strncpy with memcpy (bsc#1120053).
- commit 2df0d28
* Thu Dec 20 2018 hare@suse.de
- nvme: use blk API to remap ref tags for IOs with metadata
  (bsc#1104967,FATE#325924).
- block: move dif_prepare/dif_complete functions to block layer
  (bsc#1104967,FATE#325924).
- block: move ref_tag calculation func to the block layer
  (bsc#1104967,FATE#325924).
- commit d1e2b45
* Thu Dec 20 2018 jack@suse.cz
- blacklist.conf: Blacklist f1782c9bc547
- commit 7586b3b
* Thu Dec 20 2018 hare@suse.de
- nvmet: don't use uuid_le type (bsc#1104967,FATE#325924).
- Refresh patches.drivers/nvmet-add-minimal-ANA-support.patch.
- commit b65279b
* Thu Dec 20 2018 hare@suse.de
- nvme-rdma: centralize admin/io queue teardown sequence
  (bsc#1104967,FATE#325924).
- nvme-rdma: centralize controller setup sequence
  (bsc#1104967,FATE#325924).
- nvme-rdma: unquiesce queues when deleting the controller
  (bsc#1104967,FATE#325924).
- nvme-rdma: mark expected switch fall-through
  (bsc#1104967,FATE#325924).
- nvme: add disk name to trace events (bsc#1104967,FATE#325924).
- nvme: add controller name to trace events
  (bsc#1104967,FATE#325924).
- commit 104d788
* Thu Dec 20 2018 hare@suse.de
- nvme: cache struct nvme_ctrl reference to struct nvme_request
  (bsc#1104967,FATE#325924).
- commit db56708
* Thu Dec 20 2018 hare@suse.de
- nvmet-rdma: add an error flow for post_recv failures
  (bsc#1104967,FATE#325924).
- Refresh
  patches.drivers/nvmet-rdma-Simplify-ib_post_-send-recv-srq_recv-call.patch.
- commit 6f8316f
* Thu Dec 20 2018 hare@suse.de
- nvmet-rdma: add unlikely check in the fast path
  (bsc#1104967,FATE#325924).
- Refresh
  patches.drivers/nvmet-rdma-Simplify-ib_post_-send-recv-srq_recv-call.patch.
- commit 991e6f6
* Thu Dec 20 2018 hare@suse.de
- nvmet-rdma: support max(16KB, PAGE_SIZE) inline data
  (bsc#1104967,FATE#325924).
- Refresh patches.drivers/nvmet-add-minimal-ANA-support.patch.
- commit 64c1dc8
* Thu Dec 20 2018 hare@suse.de
- nvme-rdma: support up to 4 segments of inline data
  (bsc#1104967,FATE#325924).
- commit 6f2bc7b
* Thu Dec 20 2018 hare@suse.de
- nvmet: add buffered I/O support for file backed ns
  (bsc#1104967,FATE#325924).
- Refresh patches.drivers/nvmet-add-minimal-ANA-support.patch.
- Refresh
  patches.drivers/nvmet-support-configuring-ANA-groups.patch.
- commit 76b6455
* Thu Dec 20 2018 hare@suse.de
- uapi: linux/blkzoned.h: fix BLKGETZONESZ and BLKGETNRZONES
  definitions (bsc#1104967,FATE#325924).
- commit 29f4d7c
* Thu Dec 20 2018 hare@suse.de
- block/bio: Do not zero user pages (bsc#1104967,FATE#325924).
- dm: call blk_queue_split() to impose device limits on bios
  (bsc#1104967,FATE#325924).
- target/loop: depend on SCSI (bsc#1104967,FATE#325924).
- block: fix CDROM dependency on BLK_DEV
  (bsc#1104967,FATE#325924).
- commit 1deaf33
* Thu Dec 20 2018 colyli@suse.de
- bcache: export backing_dev_uuid via sysfs (fate#325346).
- bcache: export backing_dev_name via sysfs (fate#325346).
- commit 879c970
* Wed Dec 19 2018 tiwai@suse.de
- Update config files: fix forgotten vanilla config updates
- commit 3388076
* Wed Dec 19 2018 tiwai@suse.de
- PCI: Add PCI_DEVICE_DATA() macro to fully describe device ID
  entry (FATE#326294).
- commit 5bd8320
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: remove redundant functions rt2x00mac_sta_{add/remove}
  (FATE#326294).
- commit 3712ae3
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: check against flushing empty queue (FATE#326294).
- commit eacc170
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: call sta_add/remove directly in rt2800 (FATE#326294).
- commit d4128fe
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: fix spelling mistake in various macros, UKNOWN ->
  UNKNOWN (FATE#326294).
- commit c26f832
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: rt2800: add antenna diversity for RT5370G (FATE#326294).
- commit 1ae9273
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: Fix a typo in printk (FATE#326294).
- commit 80c3e4d
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: pause almost full queue early (FATE#326294).
- Refresh
  patches.drivers/rt2x00-do-not-pause-queue-unconditionally-on-error-p.
- commit 3dd25a1
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: Delete an error message for a failed memory allocation
  in rt2x00queue_allocate() (FATE#326294).
- commit e826b77
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: use monotonic timestamps for frame dump (FATE#326294).
- commit aa48736
* Wed Dec 19 2018 tiwai@suse.de
- rt73usb: constify usb_device_id (FATE#326294).
- commit 36c17f8
* Wed Dec 19 2018 tiwai@suse.de
- rt2800usb: constify usb_device_id (FATE#326294).
- commit 46bcaf7
* Wed Dec 19 2018 tiwai@suse.de
- rt2500usb: constify usb_device_id (FATE#326294).
- commit 1e3880e
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: Fix MMIC Countermeasures (FATE#326294).
- commit 0793650
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: make const array glrt_table static (FATE#326294).
- commit 1d1642a
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: Add device ID for Epson WN7512BEP (FATE#326294).
- commit dac3761
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: convert rt2x00_desc_read return type (FATE#326294).
- commit 90e1f14
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: convert rt2800_eeprom_read return type (FATE#326294).
- commit cd7db41
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: convert rt2x00_eeprom_read return type (FATE#326294).
- commit 5ebdac5
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: convert rt2*_bbp_read return type (FATE#326294).
- commit 77d2868
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: convert rt2800_register_read return type (FATE#326294).
- commit a80667d
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: convert rt2x00usb_register_read return type
  (FATE#326294).
- commit 544e307
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: convert rt2x00mmio_register_read return type
  (FATE#326294).
- commit 82213d7
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: convert rt2x00_rf_read return type (FATE#326294).
- commit 8bde600
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: convert rt2800_rfcsr_read return type (FATE#326294).
- commit 4452dc0
* Wed Dec 19 2018 tiwai@suse.de
- rt2x00: change function pointers for register accessors
  (FATE#326294).
- commit b740faf
* Wed Dec 19 2018 tiwai@suse.de
- Remove stale IWL8000_UCODE_API_DEFAULT_FALLBACK in iwlwifi patches
  It was folded into several iwlwifi patches, and should be removed now.
  Refresh:
  patches.drivers/0119-iwlwifi-move-configuration-into-sub-directory.patch
  patches.drivers/0129-iwlwifi-bump-MAX-API-for-8000-9000-A000-to-33.patch
  patches.drivers/iwlwifi-remove-dead-code-for-internal-devices-only.patch
- commit e9c50cf
* Wed Dec 19 2018 tiwai@suse.de
- atmel: Replace mdelay() with msleep() in probe_atmel_card()
  (FATE#326294).
- commit 3d91c8e
* Wed Dec 19 2018 tiwai@suse.de
- atmel: hide unused procfs helpers (FATE#326294).
- commit e60289e
* Wed Dec 19 2018 tiwai@suse.de
- atmel: using strlcpy() to avoid possible buffer overflows
  (FATE#326294).
- commit 5c487ea
* Wed Dec 19 2018 tiwai@suse.de
- atmel: use memdup_user to simplify the code (FATE#326294).
- commit 6147b1f
* Wed Dec 19 2018 tiwai@suse.de
- atmel: Add missing call to pci_disable_device() (FATE#326294).
- commit 9b1bbbc
* Wed Dec 19 2018 tiwai@suse.de
- at76c50x: constify usb_device_id (FATE#326294).
- commit 9399d76
* Wed Dec 19 2018 tiwai@suse.de
- Refresh patches.drivers/wireless-drivers-use-BIT_ULL-for-NL80211_STA_INFO_-a.patch
  Update the skipped ath10k change, too
- commit 73079f4
* Wed Dec 19 2018 tiwai@suse.de
- nl80211: Don't verify owner_nlportid on NAN commands
  (FATE#326294).
- Refresh
  patches.drivers/nl80211-Add-SOCKET_OWNER-support-to-JOIN_IBSS.patch.
- commit 6c1b899
* Wed Dec 19 2018 hare@suse.de
- block, bfq: fix asymmetric scenarios detection
  (bsc#1104967,FATE#325924).
- commit b8affe5
* Wed Dec 19 2018 tiwai@suse.de
- mac80211: properly free requested-but-not-started TX agg
  sessions (FATE#326294).
- commit d6d6e43
* Wed Dec 19 2018 palcantara@suse.de
- smb3: on kerberos mount if server doesn't specify auth type
  use krb5 (bsc#1051510).
- commit ae995a3
* Wed Dec 19 2018 palcantara@suse.de
- smb3: do not attempt cifs operation in smb3 query info error
  path (bsc#1051510).
- commit 9b27350
* Wed Dec 19 2018 palcantara@suse.de
- smb3: allow stats which track session and share reconnects to
  be reset (bsc#1051510).
- commit 0ad62f2
* Wed Dec 19 2018 palcantara@suse.de
- CIFS: fix wrapping bugs in num_entries() (bsc#1051510).
- commit 44a7d0d
* Wed Dec 19 2018 palcantara@suse.de
- cifs: prevent integer overflow in nxt_dir_entry() (bsc#1051510).
- commit a1ac203
* Wed Dec 19 2018 palcantara@suse.de
- smb3: check for and properly advertise directory lease support
  (bsc#1051510).
- commit 4cdb1b2
* Wed Dec 19 2018 hare@suse.de
- nvmet: add commands supported and effects log page
  (bsc#1104967,FATE#325924).
- Refresh patches.drivers/nvmet-add-minimal-ANA-support.patch.
- commit cccf51d
* Wed Dec 19 2018 palcantara@suse.de
- fs/cifs: require sha512 (bsc#1051510).
- commit b74d416
* Wed Dec 19 2018 hare@suse.de
- Update config files.
- commit f06702f
* Wed Dec 19 2018 hare@suse.de
- blacklist.conf: remove entries for backported patches
- commit 3b92d98
* Wed Dec 19 2018 palcantara@suse.de
- smb3: simplify code by removing CONFIG_CIFS_SMB311
  (bsc#1051510).
- Refresh
  patches.fixes/cifs-add-missing-support-for-ACLs-in-SMB-3.11.patch.
- commit 0270424
* Wed Dec 19 2018 mhocko@suse.com
- memory_hotplug: add missing newlines to debugging output
  (bnc#1114830).
- commit d1b1508
* Wed Dec 19 2018 mhocko@suse.com
- mm: sections are not offlined during memory hotremove
  (bnc#1119968).
- commit 3bf1a33
* Wed Dec 19 2018 hare@suse.de
- blk-mq: punt failed direct issue to dispatch list
  (bsc#1104967,FATE#325924).
- block, bfq: fix decrement of num_active_groups
  (bsc#1104967,FATE#325924).
- block: fix single range discard merge (bsc#1104967,FATE#325924).
- SCSI: fix queue cleanup race before queue initialization is
  (bsc#1104967,FATE#325924).
- block: fix 32 bit overflow in __blkdev_issue_discard()
  (bsc#1104967,FATE#325924).
- commit 105bee2
* Wed Dec 19 2018 jthumshirn@suse.de
- supported.conf: add of_pmem for open firmware based PMEM discovery.
- commit fc2ace6
* Wed Dec 19 2018 hare@suse.de
- block: make sure writesame bio is aligned with logical block
  size (bsc#1104967,FATE#325924).
- block: cleanup __blkdev_issue_discard()
  (bsc#1104967,FATE#325924).
- block: make sure discard bio is aligned with logical block size
  (bsc#1104967,FATE#325924).
- block: Clear kernel memory before copying to user
  (bsc#1104967,FATE#325924).
- block: fix the DISCARD request merge (bsc#1104967,FATE#325924).
- block: Expose queue nr_zones in sysfs (bsc#1118139).
- block: Improve zone reset execution (bsc#1118139).
- block: Introduce BLKGETNRZONES ioctl (bsc#1118139).
- block: Introduce BLKGETZONESZ ioctl (bsc#1118139).
- block: Limit allocation of zone descriptors for report zones
  (bsc#1118139).
- block: Introduce blkdev_nr_zones() helper (bsc#1118139).
- scsi: sd_zbc: Fix sd_zbc_check_zones() error checks
  (bsc#1118139).
- scsi: sd_zbc: Reduce boot device scan and revalidate time
  (bsc#1118139).
- scsi: sd_zbc: Rearrange code (bsc#1118139).
- scsi: fnic: replace gross legacy tag hack with blk-mq hack
  (bsc#1104967,FATE#325924).
- scsi: sd_zbc: Remove an assignment from
  sd_zbc_setup_report_cmnd() (bsc#1118139).
- scsi: sd_zbc: Fix variable type and bogus comment (bsc#1118139).
- scsi: sd_zbc: Fix sd_zbc_check_zone_size() error path
  (bsc#1118139).
- commit 84cc8c0
* Wed Dec 19 2018 jthumshirn@suse.de
- device-dax: use module_nd_driver (FATE#326060).
- Refresh
  patches.fixes/device-dax-Add-missing-address_space_operations.patch.
- commit 74c6741
* Wed Dec 19 2018 oneukum@suse.com
- Revert "USB: check usb_get_extra_descriptor for proper size"
  (bsc#1119714 CVE-2018-20169).
- commit 2b5ce60
* Wed Dec 19 2018 hare@suse.de
- scsi: sd_zbc: Avoid that resetting a zone fails sporadically
  (bsc#1118139).
- blacklist.conf:
- commit f2149f5
* Wed Dec 19 2018 tbogendoerfer@suse.de
- kabi protect hnae_ae_ops (bsc#1104353 FATE#326415).
- commit 673e002
* Wed Dec 19 2018 jthumshirn@suse.de
- dax: pr_err() strings should end with newlines (FATE#326060).
- Refresh patches.fixes/dax-quiet-bdev_dax_supported.patch.
- Refresh
  patches.fixes/fs-allow-per-device-dax-status-checking-for-filesystems.patch.
- commit 56ad3dc
* Wed Dec 19 2018 jthumshirn@suse.de
- dax/super: Do not request a pointer kaddr when not required
  (FATE#326060).
- commit 75e2441
* Wed Dec 19 2018 hare@suse.de
- block: remove bogus check for queue_lock assignment
  (bsc#1104967,FATE#325924).
- blk-mq: fallback to previous nr_hw_queues when updating fails
  (bsc#1104967,FATE#325924).
- commit 4a0f797
* Wed Dec 19 2018 hare@suse.de
- blk-mq: realloc hctx when hw queue is mapped to another node
  (bsc#1104967,FATE#325924).
- blk-mq: change gfp flags to GFP_NOIO in blk_mq_realloc_hw_ctxs
  (bsc#1104967,FATE#325924).
- blk-mq: adjust debugfs and sysfs register when updating
  nr_hw_queues (bsc#1104967,FATE#325924).
- commit 1ec76da
* Wed Dec 19 2018 jthumshirn@suse.de
- dev/dax: fix uninitialized variable build warning (FATE#326060).
- Refresh
  patches.fixes/fs-allow-per-device-dax-status-checking-for-filesystems.patch.
- commit c3a1b97
* Wed Dec 19 2018 hare@suse.de
- block, bfq: improve asymmetric scenarios detection
  (bsc#1104967,FATE#325924).
- cfq: clear queue pointers from cfqg after unpinning them in
  (bsc#1104967,FATE#325924).
- block: describe difference between flags IO_STAT and STATS
  (bsc#1104967,FATE#325924).
- blk-mq: complete req in softirq context in case of single
  (bsc#1104967,FATE#325924).
- blk-mq-debugfs: Also show requests that have not yet been
  (bsc#1104967,FATE#325924).
- block: don't deal with discard limit in
  (bsc#1104967,FATE#325924).
- commit 3b015ff
* Wed Dec 19 2018 tbogendoerfer@suse.de
- net/mlx4_core: Correctly set PFC param if global pause is
  turned off (bsc#1046299 FATE#322947).
- RDMA/hns: Bugfix pbl configuration for rereg mr (bsc#1104427
  FATE#326416).
- RDMA/bnxt_re: Avoid accessing the device structure after it
  is freed (bsc#1050244 FATE#322915).
- RDMA/bnxt_re: Fix system hang when registration with L2 driver
  fails (bsc#1086283 FATE#324874).
- net: ena: update driver version from 2.0.1 to 2.0.2 (bsc#1111696
  bsc#1117561).
- net: ena: fix crash during ena_remove() (bsc#1111696
  bsc#1117561).
- net: hns3: Fix for out-of-bounds access when setting pfc back
  pressure (bsc#1104353 FATE#326415).
- net: hns3: bugfix for rtnl_lock's range in the hclgevf_reset()
  (bsc#1104353 FATE#326415).
- net: hns3: bugfix for handling mailbox while the command queue
  reinitialized (bsc#1104353 FATE#326415).
- net: hns3: bugfix for hclge_mdio_write and hclge_mdio_read
  (bsc#1104353 FATE#326415).
- net: hns3: bugfix for is_valid_csq_clean_head() (bsc#1104353
  FATE#326415).
- net: hns3: remove unnecessary queue reset in the
  hns3_uninit_all_ring() (bsc#1104353 FATE#326415).
- net: hns3: bugfix for the initialization of command queue's
  spin lock (bsc#1104353 FATE#326415).
- net: hns3: bugfix for reporting unknown vector0 interrupt
  repeatly problem (bsc#1104353 FATE#326415).
- net: hns3: bugfix for buffer not free problem during resetting
  (bsc#1104353 FATE#326415).
- RDMA/bnxt_re: Avoid NULL check after accessing the pointer
  (bsc#1086283 FATE#324874).
- RDMA/bnxt_re: Add missing spin lock initialization (bsc#1050244
  FATE#322915).
- IB/hfi1: Add mtu check for operational data VLs (bsc#1060463
  FATE#323043).
- qed: Add support for virtual link (bsc#1111795).
- net: hns3: Fix for rx vlan id handle to support Rev 0x21
  hardware (bsc#1104353 FATE#326415).
- qede: Add driver support for 20G link speed (bsc#1110558).
- qed: Add driver support for 20G link speed (bsc#1110558).
- net: hns3: Fix loss of coal configuration while doing reset
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for netdev not up problem when setting mtu
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for packet buffer setting bug (bsc#1104353
  FATE#326415).
- net: hns3: Add nic state check before calling
  netif_tx_wake_queue (bsc#1104353 FATE#326415).
- net: hns3: Fix ets validate issue (bsc#1104353 FATE#326415).
- net: hns3: Fix parameter type for q_id in
  hclge_tm_q_to_qs_map_cfg() (bsc#1104353 FATE#326415).
- net: hns3: Clear client pointer when initialize client failed
  or unintialize finished (bsc#1104353 FATE#326415).
- net: hns3: Fix cmdq registers initialization issue for vf
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for setting speed for phy failed problem
  (bsc#1104353 FATE#326415).
- net: hns3: Check hdev state when getting link status
  (bsc#1104353 FATE#326415).
- net: hns3: Set STATE_DOWN bit of hdev state when stopping net
  (bsc#1104353 FATE#326415).
- net: hns3: Add support for hns3_nic_netdev_ops.ndo_do_ioctl
  (bsc#1104353 FATE#326415).
- net: hns3: Preserve vlan 0 in hardware table (bsc#1104353
  FATE#326415).
- net: hns3: Fix ping exited problem when doing lp selftest
  (bsc#1104353 FATE#326415).
- net: hns3: Fix error of checking used vlan id (bsc#1104353
  FATE#326415).
- net: hns3: Fix for vf vlan delete failed problem (bsc#1104353
  FATE#326415).
- bnxt_en: get the reduced max_irqs by the ones used by RDMA
  (bsc#1050242 FATE#322914).
- bnxt_en: Fix enables field in HWRM_QUEUE_COS2BW_CFG request
  (bsc#1086282 FATE#324873).
- bnxt_en: Fix VNIC reservations on the PF (bsc#1086282
  FATE#324873).
- bnxt_en: don't try to offload VLAN 'modify' action (bsc#1050242
  FATE#32291).
- commit cff74c8
* Wed Dec 19 2018 hare@suse.de
- virtio-blk: modernize sysfs attribute creation
  (bsc#1104967,FATE#325924).
- zram: register default groups with device_add_disk()
  (bsc#1104967,FATE#325924).
- aoe: register default groups with device_add_disk()
  (bsc#1104967,FATE#325924).
- nvme: register ns_id attributes as default sysfs groups
  (bsc#1104967,FATE#325924).
- block: genhd: add 'groups' argument to device_add_disk
  (bsc#1104967,FATE#325924).
- commit 22c4127
* Wed Dec 19 2018 hare@suse.de
- scsi: Check sense buffer size at build time (bsc#1118139).
- libata-scsi: Move sense buffers onto stack (bsc#1118139).
- commit d07679f
* Wed Dec 19 2018 hare@suse.de
- cdrom: Use struct scsi_sense_hdr internally (bsc#1118139).
- Refresh patches.suse/cdrom-wait-for-tray-to-close.patch.
- commit c6904cc
* Wed Dec 19 2018 hare@suse.de
- ide-cd: Remove redundant sense buffer (bsc#1118139).
- block: Switch struct packet_command to use struct (bsc#1118139).
- commit 41a1138
* Wed Dec 19 2018 hare@suse.de
- target: don't depend on SCSI (bsc#1118139).
- scsi: build scsi_common.o for all scsi passthrough request
  (bsc#1118139).
- scsi: cxlflash: Drop unused sense buffers (bsc#1118139).
- ide-cd: Drop unused sense buffers (bsc#1118139).
- commit 97065e4
* Wed Dec 19 2018 hare@suse.de
- pktcdvd: remove assignment in if condition (bsc#1118139).
- cdrom: hide CONFIG_CDROM menu selection
  (bsc#1104967,FATE#325924).
- block: Rework drivers/cdrom/Makefile (bsc#1104967,FATE#325924).
- commit 2b861f6
* Wed Dec 19 2018 jthumshirn@suse.de
- device-dax: avoid hang on error before devm_memremap_pages()
  (FATE#326060).
- dev-dax: check_vma: ratelimit dev_info-s (FATE#326060).
- dax: Use dax_write_cache* helpers (FATE#326060).
- dax: ->direct_access does not sleep anymore (FATE#326060).
- device-dax: Fix trailing semicolon (FATE#326060).
- dax: stop requiring a live device for dax_flush() (FATE#326060).
- device-dax: fix 'passing zero to ERR_PTR()' warning
  (FATE#326060).
- commit 40aa096
* Wed Dec 19 2018 jthumshirn@suse.de
- Update config files: add PMEM updates (FATE#326060).
- commit 9385ec2
* Wed Dec 19 2018 jthumshirn@suse.de
- acpi, nfit: Fix Address Range Scrub completion tracking
  (FATE#326060).
- Refresh
  patches.fixes/acpi-nfit-fix-ars-overflow-continuation.patch.
- commit c37fe59
* Wed Dec 19 2018 hare@suse.de
- block: export blk_stat_enable_accounting()
  (bsc#1104967,FATE#325924).
- block: move call of scheduler's ->completed_request() hook
  (bsc#1104967,FATE#325924).
- commit 2e378c7
* Wed Dec 19 2018 jthumshirn@suse.de
- libnvdimm: Introduce locked DIMM capacity support (FATE#326060).
- Refresh
  patches.fixes/nvdimm-split-label-init-out-from-the-logic-for-getting-config-data.patch.
- commit 2b075e3
* Wed Dec 19 2018 hare@suse.de
- block: blk_init_allocated_queue() set q->fq as NULL in the
  fail case (bsc#1104967,FATE#325924).
- commit deacae7
* Wed Dec 19 2018 jthumshirn@suse.de
- dax: Introduce a ->copy_to_iter dax operation (FATE#326060).
- Delete
  patches.fixes/dax-Introduce-a-copy_to_iter-dax-operation.patch.
- commit 64d7464
* Wed Dec 19 2018 jthumshirn@suse.de
- acpi, nfit: Remove ecc_unit_size (FATE#326060).
- commit 77222d4
* Tue Dec 18 2018 palcantara@suse.de
- SMB3.1.1 dialect is no longer experimental (bsc#1051510).
- commit 8a62722
* Tue Dec 18 2018 palcantara@suse.de
- CIFS: fix sha512 check in cifs_crypto_secmech_release
  (bsc#1051510).
- commit 6382c22
* Tue Dec 18 2018 palcantara@suse.de
- SMB3: Fix length checking of SMB3.11 negotiate request
  (bsc#1051510).
- commit e534dc6
* Tue Dec 18 2018 palcantara@suse.de
- SMB311: Fix reconnect (bsc#1051510).
- commit a09d27c
* Tue Dec 18 2018 palcantara@suse.de
- CIFS: implement v3.11 preauth integrity (bsc#1051510).
- Refresh
  patches.fixes/smb3-on-reconnect-set-PreviousSessionId-field.patch.
- commit 318d723
* Tue Dec 18 2018 palcantara@suse.de
- CIFS: add sha512 secmech (bsc#1051510).
- commit 3915039
* Tue Dec 18 2018 palcantara@suse.de
- CIFS: refactor crypto shash/sdesc allocation&free (bsc#1051510).
- commit 2345ad8
* Tue Dec 18 2018 palcantara@suse.de
- [SMB3] Improve security, move default dialect to SMB3 from
  old CIFS (bsc#1051510).
- commit 4869261
* Tue Dec 18 2018 palcantara@suse.de
- SMB3: Backup intent flag missing for directory opens with
  backupuid mounts (bsc#1051510).
- commit de1b99e
* Tue Dec 18 2018 palcantara@suse.de
- smb3: enumerating snapshots was leaving part of the data off
  end (bsc#1051510).
- commit bd0afb8
* Tue Dec 18 2018 palcantara@suse.de
- smb3: Do not send SMB3 SET_INFO if nothing changed
  (bsc#1051510).
- commit 30153ca
* Tue Dec 18 2018 palcantara@suse.de
- smb3: don't request leases in symlink creation and query
  (bsc#1051510).
- commit 4aa36d8
* Tue Dec 18 2018 palcantara@suse.de
- cifs: add missing debug entries for kconfig options
  (bsc#1051510).
- commit 70fe287
* Tue Dec 18 2018 nsaenzjulienne@suse.de
- kbuild: make missing $DEPMOD a Warning instead of an Error
  (git-fixes).
- mtd: Fix comparison in map_word_andequal() (git-fixes).
- Fix tracing sample code warning (git-fixes).
- commit 33a3dc7
* Tue Dec 18 2018 palcantara@suse.de
- cifs: Fix memory leak in smb2_set_ea() (bsc#1051510).
- commit 8052578
* Tue Dec 18 2018 palcantara@suse.de
- cifs: For SMB2 security informaion query, check for minimum
  sized security descriptor instead of sizeof FileAllInformation
  class (bsc#1051510).
- commit 8aef974
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: fix return value of ipmi_set_my_LUN (FATE#326156).
- commit 2d28005
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Fix NULL pointer dereference in ssif_probe (FATE#326156).
- commit 1c22b29
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Fix I2C client removal in the SSIF driver (FATE#326156).
- commit 469fa5e
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Rework SMI registration failure (FATE#326156).
- commit ea5d9d9
* Tue Dec 18 2018 palcantara@suse.de
- cifs: add missing support for ACLs in SMB 3.11 (bsc#1051510).
- commit 45ebc8e
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: kcs_bmc: don't change device name (FATE#326156).
- commit 2e33e56
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: kcs_bmc: fix IRQ exception if the channel is not open
  (FATE#326156).
- commit bd7d06e
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Cleanup oops on initialization failure (FATE#326156).
- commit 0a91282
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Properly release srcu locks on error conditions
  (FATE#326156).
- commit 0cdea76
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: NPCM7xx KCS BMC: enable interrupt to the host
  (FATE#326156).
- commit b411cb7
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_ssif: Fix uninitialized variable issue (FATE#326156).
- Refresh
  patches.drivers/0001-ipmi-ssif-Add-support-for-multi-part-transmit-messag.patch.
- commit ca20059
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: add an NPCM7xx KCS BMC driver (FATE#326156).
- commit fc2b948
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: Clean up shutdown a bit (FATE#326156).
- commit 088ae1d
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: Rename intf_num to si_num (FATE#326156).
- commit 1118e30
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Remove smi->intf checks (FATE#326156).
- commit 490edd1
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_ssif: Get rid of unused intf_num (FATE#326156).
- commit bc029ce
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: ipmi_unregister_smi() cannot fail, have it return void
  (FATE#326156).
- commit 309880e
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_devintf: Add an error return on invalid ioctls
  (FATE#326156).
- commit 7d5cbf9
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_ssif: Remove usecount handling (FATE#326156).
- commit 494e4c3
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Remove condition on interface shutdown (FATE#326156).
- commit c2d6bfa
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_ssif: Convert over to a shutdown handler (FATE#326156).
- Refresh
  patches.drivers/0001-ipmi-ssif-Add-support-for-multi-part-transmit-messag.patch.
- commit 8f8ef65
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Clean up comments in include files (FATE#326156).
- commit 2a67a62
* Tue Dec 18 2018 palcantara@suse.de
- cifs: hide unused functions (bsc#1051510).
- commit 6cffa97
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: Convert over to a shutdown handler (FATE#326156).
- commit aa94edb
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Add shutdown functions for users and interfaces
  (FATE#326156).
- commit d026c5c
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Rework locking and shutdown for hot remove (FATE#326156).
- commit 369abf8
* Tue Dec 18 2018 tbogendoerfer@suse.de
- Refresh
  patches.drivers/net-use-skb_list_del_init-to-remove-from-RX-sublists.patch.
- commit 33222fd
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Change ipmi_smi_t to struct ipmi_smi * (FATE#326156).
- Refresh patches.drivers/0005-ipmi-Fix-some-counter-issues.patch.
- commit ad4db36
* Tue Dec 18 2018 palcantara@suse.de
- cifs: Add support for writing attributes on SMB2+ (bsc#1051510).
- commit c95e364
* Tue Dec 18 2018 tbogendoerfer@suse.de
- net: ipv4: fix listify ip_rcv_finish in case of forwarding
  (bsc#1109837).
- net: ipv4: fix list processing on L3 slave devices
  (bsc#1109837).
- commit 9421975
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Rename ipmi_user_t to struct ipmi_user * (FATE#326156).
- Refresh patches.drivers/0005-ipmi-Fix-some-counter-issues.patch.
- commit 37e37dc
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_devintf: Small lock rework (FATE#326156).
- commit 713df0a
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Clean up some style issues in the message handler
  (FATE#326156).
- Refresh patches.drivers/0005-ipmi-Fix-some-counter-issues.patch.
- commit d86373a
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Break up i_ipmi_request (FATE#326156).
- commit a50c06f
* Tue Dec 18 2018 tiwai@suse.de
- ipmi:devintf: Clean up some coding style issues (FATE#326156).
- commit 1b565c0
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Clean up some debug code (FATE#326156).
- commit 14a0fcb
* Tue Dec 18 2018 tiwai@suse.de
- ipmi:watchdog: Use the IPMI panic handler instead of the system
  one (FATE#326156).
- commit eb4a1ce
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Add a panic handler for IPMI users (FATE#326156).
- commit 9e52247
* Tue Dec 18 2018 tiwai@suse.de
- ipmi:watchdog: Replace printk() with pr_xxx() (FATE#326156).
- commit c51a679
* Tue Dec 18 2018 tiwai@suse.de
- ipmi:watchdog: Rework locking and handling (FATE#326156).
- commit aa249b6
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Add a maintenance mode for IPMB messages (FATE#326156).
- commit f649ca6
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Add a way to tune some timeouts (FATE#326156).
- commit 0d8f88c
* Tue Dec 18 2018 tiwai@suse.de
- ipmi/parisc: Add IPMI chassis poweroff for certain HP PA-RISC
  and IA-64 servers (FATE#326156).
- commit 3c08b29
* Tue Dec 18 2018 tiwai@suse.de
- ipmi:pci: Blacklist a Realtek "IPMI" device (FATE#326156).
- commit eeacf0f
* Tue Dec 18 2018 palcantara@suse.de
- cifs: Add support for reading attributes on SMB2+ (bsc#1051510).
- commit fdbc3fa
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Remove ACPI SPMI probing from the system interface driver
  (FATE#326156).
- commit e7700f0
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: missing error code in try_smi_init() (FATE#326156).
- commit d347e86
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: use ARRAY_SIZE for poweroff_functions array sizing
  calculation (FATE#326156).
- commit fe7c8d7
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Consolidate cleanup code (FATE#326156).
- commit dcf047d
* Tue Dec 18 2018 jthumshirn@suse.de
- libnvdimm: Add device-tree based driver (FATE#326060).
- commit b351100
* Tue Dec 18 2018 hare@suse.de
- blk-mq: fix corruption with direct issue
  (bsc#1104967,FATE#325924).
- commit 21f180a
* Tue Dec 18 2018 hare@suse.de
- blk-mq: Allow blocking queue tag iter callbacks
  (bsc#1104967,FATE#325924).
- Refresh
  patches.fixes/blk-mq-Document-the-functions-that-iterate-over-requ.patch.
- commit 673322b
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Remove some unnecessary initializations (FATE#326156).
- commit 0943f20
* Tue Dec 18 2018 tiwai@suse.de
- device property: Define type of PROPERTY_ENRTY_*() macros
  (FATE#326156).
- commit c9cd3ca
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Add or fix SPDX-License-Identifier in all files
  (FATE#326156).
- Refresh
  patches.drivers/ipmi-Move-BT-capabilities-detection-to-the-detect-ca.patch.
- commit 7dfe0cc
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Re-use existing macros for built-in properties
  (FATE#326156).
- commit 3a5f38e
* Tue Dec 18 2018 tiwai@suse.de
- ipmi:pci: Make the PCI defines consistent with normal Linux ones
  (FATE#326156).
- commit 7a8debe
* Tue Dec 18 2018 jthumshirn@suse.de
- libnvdimm: move poison list functions to a new 'badrange' file
  (FATE#326060).
- commit 083cfad
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: kcs_bmc: coding-style fixes and use new poll type
  (FATE#326156).
- commit a861524
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: kcs_bmc: mark expected switch fall-through in
  kcs_bmc_handle_data (FATE#326156).
- commit 2cc4493
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: add an Aspeed KCS IPMI BMC driver (FATE#326156).
- commit cfa43df
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: add a KCS IPMI BMC driver (FATE#326156).
- commit fe1666f
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_ssif: Remove duplicate NULL check (FATE#326156).
- commit 4b13625
* Tue Dec 18 2018 tiwai@suse.de
- ipmi/ipmi_powernv: remove outdated todo in powernv IPMI driver
  (FATE#326156).
- commit eeb7fed
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Clear smi_info->thread to prevent use-after-free during
  module unload (FATE#326156).
- commit 3213f9a
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: use correct string length (FATE#326156).
- commit 6f091ba
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: Fix error handling of platform device (FATE#326156).
- commit c6ddf74
* Tue Dec 18 2018 tiwai@suse.de
- ipmi watchdog: fix typo in parameter description (FATE#326156).
- commit 2a48e7c
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si_platform: Fix typo in parameter description
  (FATE#326156).
- commit 480159d
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: fix crash on parisc (FATE#326156).
- commit eb92a43
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: Fix oops with PCI devices (FATE#326156).
- commit 5282e29
* Tue Dec 18 2018 tbogendoerfer@suse.de
- blacklist.conf: removed temporay blacklist; added not applicable commits
- commit 5624ba0
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: get rid of pointless access_ok() (FATE#326156).
- commit 9cea855
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: Delete an error message for a failed memory allocation
  in try_smi_init() (FATE#326156).
- commit 451c79e
* Tue Dec 18 2018 tbogendoerfer@suse.de
- udp: avoid refcount_t saturation in __udp_gso_segment()
  (bsc#1109837).
- udp: Do not copy destructor if one is not present (bsc#1109837).
- udp: Add support for software checksum and GSO_PARTIAL with
  GSO offload (bsc#1109837).
- udp: Partially unroll handling of first segment and last segment
  (bsc#1109837).
- udp: Do not pass checksum as a parameter to GSO segmentation
  (bsc#1109837).
- udp: Do not pass MSS as parameter to GSO segmentation
  (bsc#1109837).
- udp: Complement partial checksum for GSO packet (bsc#1109837).
- udp: better wmem accounting on gso (bsc#1109837).
- commit 90bd67f
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: fix memory leak on new_smi (FATE#326156).
- commit adb3b04
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: remove redundant initialization of bmc (FATE#326156).
- commit 6d2ede2
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: pr_err() strings should end with newlines (FATE#326156).
- Refresh
  patches.drivers/ipmi-use-dynamic-memory-for-DMI-driver-override.patch.
- commit c45ca0c
* Tue Dec 18 2018 jthumshirn@suse.de
- acpi/nfit: Fix COMPLETION_INITIALIZER_ONSTACK() abuse
  (FATE#326060).
- Refresh
  patches.drivers/nfit-address-range-scrub-rework-and-simplify-ARS-sta.patch.
- commit a9fe757
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Clean up some print operations (FATE#326156).
- commit 3d2c55f
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Make the DMI probe into a generic platform probe
  (FATE#326156).
- Refresh
  patches.drivers/ipmi-use-dynamic-memory-for-DMI-driver-override.patch.
- commit bd4a8d7
* Tue Dec 18 2018 jthumshirn@suse.de
- x86, libnvdimm, pmem: remove global pmem api (FATE#326060).
- Refresh
  patches.drivers/libnvdimm-nd_blk-remove-mmio_flush_range.patch.
- commit 7765e8d
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: remove ipmi_smi_alloc() function (FATE#326156).
- commit 3a2baa9
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: Move port and mem I/O handling to their own files
  (FATE#326156).
- commit fe5fe7c
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: Get rid of unused spacing and port fields
  (FATE#326156).
- commit 125bd86
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: Move PARISC handling to another file (FATE#326156).
- commit 2bba3cc
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: Move PCI setup to another file (FATE#326156).
- commit 5282c56
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: Move platform device handling to another file
  (FATE#326156).
- commit 13f7d3a
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: Move hardcode handling to a separate file
  (FATE#326156).
- commit 705ec1f
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: Move the hotmod handling to another file (FATE#326156).
- commit b672eb8
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: Change ipmi_si_add_smi() to take just I/O info
  (FATE#326156).
- commit 75cd36e
* Tue Dec 18 2018 jthumshirn@suse.de
- libnvdimm, btt: convert some info messages to warn/err
  (FATE#326060).
- Refresh
  patches.drivers/libnvdimm-btt-fix-an-incompatibility-in-the-log-layout.patch.
- commit a16f2e4
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: Move io setup into io structure (FATE#326156).
- commit 6f7dd03
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: Move irq setup handling into the io struct
  (FATE#326156).
- Refresh
  patches.drivers/ipmi-Stop-timers-before-cleaning-up-the-module.patch.
- commit 721de28
* Tue Dec 18 2018 jroedel@suse.de
- iommu: Add config option to set passthrough as default
  (fate#326981).
- iommu: Fix passthrough option documentation (fate#326981).
- Update config files.
- Refresh
  patches.drivers/iommu-Add-iommu.strict-command-line-option.patch.
- commit 27a6415
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: Move some platform data into the io structure
  (FATE#326156).
- Refresh
  patches.drivers/ipmi-Stop-timers-before-cleaning-up-the-module.patch.
- commit 5a82f80
* Tue Dec 18 2018 tiwai@suse.de
- ipmi_si: Rename function to add smi, make it global
  (FATE#326156).
- commit 94db346
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Convert IPMI GUID over to Linux guid_t (FATE#326156).
- commit 1db30a2
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Rescan channel list on BMC changes (FATE#326156).
- Refresh patches.drivers/0005-ipmi-Fix-some-counter-issues.patch.
- commit db04990
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Move lun and address out of channel struct (FATE#326156).
- commit bf26fa9
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Retry BMC registration on a failure (FATE#326156).
- commit adb9c76
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Rework device id and guid handling to catch changing BMCs
  (FATE#326156).
- commit c7dce72
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Use a temporary BMC for an interface (FATE#326156).
- commit eb75ee2
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Dynamically fetch GUID periodically (FATE#326156).
- commit 7cf69dd
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Always fetch the guid through ipmi_get_device_id()
  (FATE#326156).
- commit 91a38d1
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Remove the device id from ipmi_register_smi()
  (FATE#326156).
- commit 6f1998d
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: allow dynamic BMC version information (FATE#326156).
- commit 056b8a6
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Don't use BMC product/dev ids in the BMC name
  (FATE#326156).
- commit 26088d4
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Make ipmi_demangle_device_id more generic (FATE#326156).
- commit 2cdab55
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Add a reference from BMC devices to their interfaces
  (FATE#326156).
- commit d1ce193
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Get the device id through a function (FATE#326156).
- commit 4276fba
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Fix printing the BMC guid (FATE#326156).
- commit 92ad309
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Rework BMC registration (FATE#326156).
- commit ac0a76d
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Fix issues with BMC refcounts (FATE#326156).
- commit e24f1d5
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Check that the device type is BMC when scanning device
  (FATE#326156).
- commit e05abfc
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Move bmc find routing to below bmc device type
  (FATE#326156).
- commit 65a4c63
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Fix getting the GUID data (FATE#326156).
- commit 111fed6
* Tue Dec 18 2018 tiwai@suse.de
- IPMI: make ipmi_poweroff_handler const (FATE#326156).
- commit 4b8eaa3
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: Make IPMI panic strings always available (FATE#326156).
- commit f469eb4
* Tue Dec 18 2018 palcantara@suse.de
- smb3: fix various xid leaks (bsc#1051510).
- commit 8430b84
* Tue Dec 18 2018 tiwai@suse.de
- char: ipmi: make function ipmi_get_info_from_resources static
  (FATE#326156).
- commit 0dedef2
* Tue Dec 18 2018 tiwai@suse.de
- parisc/ipmi_si_intf: Fix section mismatches on parisc platform
  (FATE#326156).
- commit a352c2b
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: get rid of field-by-field __get_user() (FATE#326156).
- commit 5da5299
* Tue Dec 18 2018 tiwai@suse.de
- ipmi: get COMPAT_IPMICTL_RECEIVE_MSG in sync with the native
  one (FATE#326156).
- commit 7c35f1e
* Tue Dec 18 2018 palcantara@suse.de
- cifs: Use smb 2 - 3 and cifsacl mount options setacl function
  (bsc#1051510).
- commit ba6626e
* Tue Dec 18 2018 tbogendoerfer@suse.de
- net: ipv4: fix drop handling in ip_list_rcv() and
  ip_list_rcv_finish() (bsc#1109837).
- net: ipv4: listify ip_rcv_finish (bsc#1109837).
- commit 4d870a9
* Tue Dec 18 2018 oneukum@suse.com
- USB: check usb_get_extra_descriptor for proper size (For SUSE)
  (bsc#1119714 CVE-2018-20169).
- commit e3f18fc
* Tue Dec 18 2018 palcantara@suse.de
- cifs: hide unused functions (bsc#1051510).
- commit af0bf42
* Tue Dec 18 2018 tbogendoerfer@suse.de
- PCI: Handle error return from pci_reset_bridge_secondary_bus()
  (bsc#1103992 FATE#326009).
- Refresh
  patches.drivers/0001-PCI-pciehp-Unify-controller-and-slot-structs.patch.
- commit 88c5a19
* Tue Dec 18 2018 tbogendoerfer@suse.de
- selinux: add support for RTM_NEWCHAIN, RTM_DELCHAIN, and
  RTM_GETCHAIN (bsc#1109837).
- net: drop skb on failure in ip_check_defrag() (bsc#1109837).
- xprtrdma: Squelch a sparse warning (bsc#1103992 FATE#326009).
- failover: Fix error return code in net_failover_create
  (bsc#1109837).
- failover: Add missing check to validate 'slave_dev' in
  net_failover_slave_unregister (bsc#1109837).
- commit 6b41a49
* Tue Dec 18 2018 mhocko@suse.com
- memory_hotplug: fix kernel_panic on offline page processing
  (bnc#1114830).
- mm/memory_hotplug: fix leftover use of struct page during
  hotplug (bnc#1114830).
- commit 2bbdce2
* Tue Dec 18 2018 palcantara@suse.de
- cifs: Use smb 2 - 3 and cifsacl mount options getacl functions
  (bsc#1051510).
- commit 7278445
* Tue Dec 18 2018 hare@suse.de
- Update config files.
- commit 268af9a
* Tue Dec 18 2018 palcantara@suse.de
- cifs: prototype declaration and definition for smb 2 - 3 and
  cifsacl mount options (bsc#1051510).
- commit 3a1e5c7
* Tue Dec 18 2018 tbogendoerfer@suse.de
- bpf: include errno.h from bpf-cgroup.h (bsc#1109837).
- Refresh patches.drivers/bpf-introduce-cgroup-storage-maps.patch.
- Refresh
  patches.drivers/bpf-pass-a-pointer-to-a-cgroup-storage-using-pcpu-va.patch.
- commit 846fc92
* Tue Dec 18 2018 tbogendoerfer@suse.de
- IB/hfi1: Fix a latency issue for small messages (bsc#1114685
  FATE#325854).
- bpf: tcp_bpf_recvmsg should return EAGAIN when nonblocking
  and no data (bsc#1109837).
- vxlan: fill ttl inherit info (bsc#1112374).
- commit 54567e7
* Tue Dec 18 2018 palcantara@suse.de
- cifs: prototype declaration and definition to set acl for smb
  2 - 3 and cifsacl mount options (bsc#1051510).
- commit 1761b60
* Tue Dec 18 2018 nsaenzjulienne@suse.de
- USB: check usb_get_extra_descriptor for proper size (bsc#1119714
  CVE-2018-20169).
- commit 300dd87
* Tue Dec 18 2018 nsaenzjulienne@suse.de
- tools/power/cpupower: fix compilation with STATIC=true
  (git-fixes).
- watchdog/core: Add missing prototypes for weak functions
  (git-fixes).
- dt-bindings: pwm: renesas: tpu: Fix "compatible" prop
  description (git-fixes).
- cpupower: remove stringop-truncation waring (git-fixes).
- gpio: davinci: Remove unused member of davinci_gpio_controller
  (git-fixes).
- perf tools: Fix tracing_path_mount proper path (git-fixes).
- kbuild: allow to use GCC toolchain not in Clang search path
  (git-fixes).
- tools: hv: fcopy: set 'error' in case an unknown operation
  was requested (git-fixes).
- Tools: hv: Fix a bug in the key delete code (git-fixes).
- disable stringop truncation warnings for now (git-fixes).
- bpf: use per htab salt for bucket hash (git-fixes).
- kobject: Replace strncpy with memcpy (git-fixes).
- kbuild: verify that $DEPMOD is installed (git-fixes).
- dt-bindings: clock: add rk3399 DDR3 standard speed bins
  (git-fixes).
- kprobes: Make list and blacklist root user read only
  (git-fixes).
- Mark HI and TASKLET softirq synchronous (git-fixes).
- compiler-gcc.h: Add __attribute__((gnu_inline)) to all inline
  declarations (git-fixes).
- net: dsa: qca8k: Add QCA8334 binding documentation (git-fixes).
- tools/power turbostat: fix possible sprintf buffer overflow
  (git-fixes).
- dt-bindings: panel: lvds: Fix path to display timing bindings
  (git-fixes).
- dt-bindings: clock: mediatek: add binding for fixed-factor
  clock axisel_d4 (git-fixes).
- dt-bindings: arm: Document SoC compatible value for
  Armadillo-800 EVA (git-fixes).
- tools: hv: include string.h in hv_fcopy_daemon (git-fixes).
- net: dsa: mv88e6xxx: Fix binding documentation for MDIO busses
  (git-fixes).
- nospec: Kill array_index_nospec_mask_check() (git-fixes).
- gcc-plugins: Use dynamic initializers (git-fixes).
- gcc-plugins: Add include required by GCC release 8 (git-fixes).
- Kbuild: suppress packed-not-aligned warning for default setting
  only (git-fixes).
- mtd: cfi: convert inline functions to macros (git-fixes).
- x86/pti: Document fix wrong index (git-fixes).
- kbuild: rpm-pkg: keep spec file until make mrproper (git-fixes).
- kbuild: fix linker feature test macros when cross compiling
  with Clang (git-fixes).
- dt-bindings: add compatible string for Allwinner V3s SoC
  (git-fixes).
- .gitignore: sort normal pattern rules alphabetically
  (git-fixes).
- initramfs: fix initramfs rebuilds w/ compression after disabling
  (git-fixes).
- tracing/samples: Fix creation and deletion of simple_thread_fn
  creation (git-fixes).
- dt-bindings: mfd: axp20x: Add AXP806 to supported list of chips
  (git-fixes).
- dt-bindings: iio: update STM32 timers clock names (git-fixes).
- dt-bindings: phy: sun4i-usb-phy: Add property descriptions
  for H3 (git-fixes).
- dt-bindings: net: Remove duplicate NSP Ethernet MAC binding
  document (git-fixes).
- dt-bindings: pwm: Update STM32 timers clock names (git-fixes).
- dt-bindings: rcar-dmac: Document missing error interrupt
  (git-fixes).
- commit 014d990
* Tue Dec 18 2018 nsaenzjulienne@suse.de
- nospec: Allow index argument to have const-qualified type (git-fixes)
- Refresh patches.suse/14-prctl-add-speculation-control-prctls.patch
- commit b5c6e5f
* Tue Dec 18 2018 tbogendoerfer@suse.de
- Update config files.
- commit 0e4aea0
* Tue Dec 18 2018 tiwai@suse.de
- r8152: disable RX aggregation on new Dell TB16 dock
  (bsc#1119749).
- drivers/net/usb/r8152: remove the unneeded variable "ret"
  in rtl8152_system_suspend (bsc#1119749).
- net: usb: r8152: use irqsave() in USB's complete callback
  (bsc#1119749).
- r8152: set rx mode early when linking on (bsc#1119749).
- r8152: fix wrong checksum status for received IPv4 packets
  (bsc#1119749).
- r8152: disable RX aggregation on Dell TB16 dock (bsc#1119749).
- drivers/net/usb: add device id for TP-LINK UE300 USB 3.0
  Ethernet (bsc#1119749).
- r8152: add Linksys USB3GIGV1 id (bsc#1119749).
- net: usb: r8152: constify usb_device_id (bsc#1119749).
- r8152: correct the definition (bsc#1119749).
- r8152: move calling delay_autosuspend function (bsc#1119749).
- r8152: split rtl8152_resume function (bsc#1119749).
- r8152: add byte_enable for ocp_read_word function (bsc#1119749).
- r8152: support RTL8153B (bsc#1119749).
- r8152: support new chip 8050 (bsc#1119749).
- r8152: replace napi_complete with napi_complete_done
  (bsc#1119749).
- r8152: avoid rx queue more than 1000 packets (bsc#1119749).
- r8152: check if disabling ALDPS is finished (bsc#1119749).
- r8152: move the initialization to reset_resume function
  (bsc#1119749).
- r8152: move the default coalesce setting for RTL8153
  (bsc#1119749).
- r8152: adjust U2P3 for RTL8153 (bsc#1119749).
- r8152: adjust rtl8153_runtime_enable function (bsc#1119749).
- r8152: move the setting of rx aggregation (bsc#1119749).
- r8152: adjust the settings about MAC clock speed down for
  RTL8153 (bsc#1119749).
- r8152: adjust lpm settings for RTL8153 (bsc#1119749).
- r8152: add r8153_phy_status function (bsc#1119749).
- commit 36d48f3
* Tue Dec 18 2018 tbogendoerfer@suse.de
- tools, perf: add and use optimized ring_buffer_{read_head,
  write_tail} helpers (bsc#1109837).
- commit d2564ce
* Tue Dec 18 2018 oneukum@suse.com
- usb: usbip: Fix BUG: KASAN: slab-out-of-bounds in
  vhci_hub_control() (bsc#1106110).
- commit d07d73f
* Tue Dec 18 2018 tbogendoerfer@suse.de
- i40e(vf): remove i40e_ethtool_stats.h header file (bsc#1111981
  FATE#326312 FATE#326313).
- Refresh
  patches.drivers/intel-ethernet-rename-i40evf-to-iavf.patch.
- commit baea3fa
* Tue Dec 18 2018 tbogendoerfer@suse.de
- i40evf: cancel workqueue sync for adminq when a VF is removed
  (bsc#1111981 FATE#326312 FATE#326313).
- Refresh
  patches.drivers/intel-ethernet-rename-i40evf-to-iavf.patch.
- commit 0ac336f
* Tue Dec 18 2018 tbogendoerfer@suse.de
- i40evf: Don't enable vlan stripping when rx offload is turned on
  (bsc#1111981 FATE#326312 FATE#326313).
- Refresh
  patches.drivers/intel-ethernet-rename-i40evf-to-iavf.patch.
- commit d60436e
* Tue Dec 18 2018 tbogendoerfer@suse.de
- i40evf: set IFF_UNICAST_FLT flag for the VF (bsc#1111981
  FATE#326312 FATE#326313).
- Refresh
  patches.drivers/intel-ethernet-rename-i40evf-to-iavf.patch.
- commit 58b98e6
* Tue Dec 18 2018 tbogendoerfer@suse.de
- i40evf: Validate the number of queues a PF sends (bsc#1111981
  FATE#326312 FATE#326313).
- Refresh
  patches.drivers/intel-ethernet-rename-i40evf-to-iavf.patch.
- commit 523a2b9
* Tue Dec 18 2018 tbogendoerfer@suse.de
- i40evf: Change a VF mac without reloading the VF driver
  (bsc#1111981 FATE#326312 FATE#326313).
- Refresh
  patches.drivers/intel-ethernet-rename-i40evf-to-iavf.patch.
- commit 3ff2fba
* Tue Dec 18 2018 jgross@suse.com
- blacklist.conf: add 123664101aa2156d05251704fc63f9bcbf77741a
- commit ba13bcc
* Tue Dec 18 2018 tbogendoerfer@suse.de
- i40evf: update ethtool stats code and use helper functions
  (bsc#1111981 FATE#326312 FATE#326313).
- Refresh
  patches.drivers/intel-ethernet-rename-i40evf-to-iavf.patch.
- commit d21e631
* Tue Dec 18 2018 oneukum@suse.com
- usbip: vhci_hcd: check rhport before using in vhci_hub_control()
  (bsc#1090888).
- blacklist.conf: removed entry. Unneeded by itself without SS support
  in USBIP but needed by later fix
- commit a0baab2
* Tue Dec 18 2018 tbogendoerfer@suse.de
- bpf: fix attach type BPF_LIRC_MODE2 dependency wrt
  CONFIG_CGROUP_BPF (bsc#1109837).
- Refresh patches.drivers/bpf-introduce-cgroup-storage-maps.patch.
- Refresh
  patches.drivers/bpf-pass-a-pointer-to-a-cgroup-storage-using-pcpu-va.patch.
- commit 949e2dc
* Tue Dec 18 2018 yousaf.kaukab@suse.com
- kabi: arm64: enable patch to reserve space in cpu_hwcaps and cpu_hwcap_keys
- commit 8e31c66
* Tue Dec 18 2018 jthumshirn@suse.de
- acpi/nfit: Fix user-initiated ARS to be "ARS-long" rather than
  "ARS-short" (FATE#326060).
- tools/testing/nvdimm: Align test resources to 128M
  (FATE#326060).
- Revert "acpi, nfit: Further restrict userspace ARS start
  requests" (FATE#326060).
- tools/testing/nvdimm: Fix the array size for dimm devices
  (FATE#326060).
- acpi, nfit: Further restrict userspace ARS start requests
  (FATE#326060).
- tools/testing/nvdimm: Populate dirty shutdown data
  (FATE#326060).
- acpi, nfit: Collect shutdown status (FATE#326060).
- acpi, nfit: Introduce nfit_mem flags (FATE#326060).
- libnvdimm, namespace: Drop the repeat assignment for variable
  dev->parent (FATE#326060).
- libnvdimm, pfn: during init, clear errors in the metadata area
  (FATE#326060).
- libnvdimm: Set device node in nd_device_register (FATE#326060).
- libnvdimm: remove duplicate include (FATE#326060).
- tools/testing/nvdimm: improve emulation of smart injection
  (FATE#326060).
- tools/testing/nvdimm: kaddr and pfn can be NULL to
  - >direct_access() (FATE#326060).
- libnvdimm, pmem: kaddr and pfn can be NULL to ->direct_access()
  (FATE#326060).
- acpi/nfit: queue issuing of ars when an uc error notification
  comes in (FATE#326060).
- libnvdimm: Export max available extent (FATE#326060).
- tools/testing/nvdimm: Fix support for emulating controller
  temperature (FATE#326060).
- tools/testing/nvdimm: Make DSM failure code injection an
  override (FATE#326060).
- acpi, nfit: Prefer _DSM over _LSR for namespace label reads
  (FATE#326060).
- tools/testing/nvdimm: advertise a write cache for nfit_test
  (FATE#326060).
- x86, nfit_test: Add unit test for memcpy_mcsafe() (FATE#326060).
- libnvdimm, pmem: Complete REQ_FLUSH => REQ_PREFLUSH
  (FATE#326060).
- libnvdimm, e820: Register all pmem resources (FATE#326060).
- libnvdimm: Debug probe times (FATE#326060).
- Revert "libnvdimm, of_pmem: workaround OF_NUMA=n build error"
  (FATE#326060).
- libnvdimm, of_pmem: use dev_to_node() instead of
  of_node_to_nid() (FATE#326060).
- tools/testing/nvdimm: enable labels for nfit_test.1 dimms
  (FATE#326060).
- tools/testing/nvdimm: fix missing newline in nfit_test_dimm
  'handle' attribute (FATE#326060).
- tools/testing/nvdimm: support nfit_test_dimm attributes under
  nfit_test.1 (FATE#326060).
- tools/testing/nvdimm: allow custom error code injection
  (FATE#326060).
- dax: introduce CONFIG_DAX_DRIVER (FATE#326060).
- libnvdimm, of_pmem: workaround OF_NUMA=n build error
  (FATE#326060).
- libnvdimm, region: quiet region probe (FATE#326060).
- libnvdimm, testing: update the default smart ctrl_temperature
  (FATE#326060).
- libnvdimm, testing: Add emulation for smart injection commands
  (FATE#326060).
- libnvdimm, pmem: use module_nd_driver (FATE#326060).
- libnvdimm: provide module_nd_driver wrapper (FATE#326060).
- nfit_test: prevent parsing error of nfit_test.0 (FATE#326060).
- nfit_test: fix buffer overrun, add sanity check (FATE#326060).
- nfit_test: improve structure offset handling (FATE#326060).
- libnvdimm: remove redundant assignment to pointer 'dev'
  (FATE#326060).
- libnvdimm, namespace: remove redundant initialization of
  'nd_mapping' (FATE#326060).
- tools/testing/nvdimm: force nfit_test to depend on instrumented
  modules (FATE#326060).
- libnvdimm/nfit_test: adding support for unit testing enable
  LSS status (FATE#326060).
- libnvdimm/nfit_test: add firmware download emulation
  (FATE#326060).
- tools/testing/nvdimm: smart alarm/threshold control
  (FATE#326060).
- nfit, libnvdimm: deprecate the generic SMART ioctl
  (FATE#326060).
- tools/testing/nvdimm: unit test clear-error commands
  (FATE#326060).
- tools/testing/nvdimm: stricter bounds checking for error
  injection commands (FATE#326060).
- nfit_test: when clearing poison, also remove badrange entries
  (FATE#326060).
- libnvdimm, badrange: remove a WARN for list_empty (FATE#326060).
- nfit_test: add error injection DSMs (FATE#326060).
- libnvdimm, namespace: make a couple of functions static
  (FATE#326060).
- libnvdimm: introduce 'flags' attribute for DIMM 'lock' and
  'alias' status (FATE#326060).
- tools/testing/nvdimm: disable labels for nfit_test.1
  (FATE#326060).
- nfit: cleanup long de-reference chains in
  acpi_nfit_init_interleave_set (FATE#326060).
- nfit, libnvdimm, region: export 'position' in mapping info
  (FATE#326060).
- libnvdimm, pmem: fix persistence warning (FATE#326060).
- commit d2409b7
* Tue Dec 18 2018 colyli@suse.de
- dm cache metadata: ignore hints array being too small during
  resize (Git-fixes).
- commit 2c012bc
* Tue Dec 18 2018 colyli@suse.de
- blacklist.conf: add 50b977481fce90aa5fbda55e330b9d722733e358
- commit a8538c3
* Mon Dec 17 2018 palcantara@suse.de
- smb3: directory sync should not return an error (bsc#1051510).
- commit 204db09
* Mon Dec 17 2018 palcantara@suse.de
- smb3: Fix root directory when server returns inode number of
  zero (bsc#1051510).
- commit 71c1d30
* Mon Dec 17 2018 palcantara@suse.de
- fix smb3-encryption breakage when CONFIG_DEBUG_SG=y
  (bsc#1051510).
- commit 2fd88bd
* Mon Dec 17 2018 bp@suse.de
- Refresh patches.arch/x86-vdso-fix-vdso-build-if-a-retpoline-is-emitted.patch.
  Fix mismerge.
- commit ab99dcd
* Mon Dec 17 2018 mbrugger@suse.com
- Refresh
  patches.drivers/thermal-bcm2835-enable-hwmon-explicitly.patch.
- commit 923a050
* Mon Dec 17 2018 lhenriques@suse.com
- ceph: fix iov_iter issues in ceph_direct_read_write()
  (FATE#324714).
  blacklist: dropped patch from blacklist.
- commit 240f75c
* Mon Dec 17 2018 lhenriques@suse.com
- libceph: handle zero-length data items (FATE#324714).
- commit 59040e7
* Mon Dec 17 2018 lhenriques@suse.com
- libceph: add osd_req_op_extent_osd_data_bvecs() (FATE#324714).
- Refresh
  patches.drivers/libceph-add-scatterlist-messenger-data-type.patch.
- commit 9698cf0
* Mon Dec 17 2018 mkubecek@suse.cz
- One more 32-bit ARM build fix
  Patch
  patches.drivers/bpf-get-rid-of-pure_initcall-dependency-to-enable-ji.patch
  is a backport of mainline commit fa9dd599b4da ("bpf: get rid of
  pure_initcall dependency to enable jits") but it lacks the hunk removing
  variable bpf_jit_enable from arch/arm/net/bpf_jit_32.c so that on 32-bit
  ARM architectures, the build failed with a linker error (multiple
  definition).
  Add missing hunk.
- commit 3911ef0
* Mon Dec 17 2018 lhenriques@suse.com
- rbd: move from raw pages to bvec data descriptors (FATE#324714).
- Refresh
  patches.drivers/rbd-add-support-for-scatterlist-obj_request_type.patch.
- Refresh
  patches.drivers/rbd-add-support-for-writesame-requests.patch.
- Refresh
  patches.drivers/rbd-export-some-functions-used-by-lio-rbd-backend.patch.
- Refresh
  patches.drivers/rbd-move-structs-used-by-lio-rbd-to-new-header.patch.
- commit ed7cb4d
* Mon Dec 17 2018 tbogendoerfer@suse.de
- net/sched: cls_flower: Reject duplicated rules also under
  skip_sw (bsc#1109837).
- bnxt_en: Fix _bnxt_get_max_rings() for 57500 chips (bsc#1104745
  FATE#325918).
- bnxt_en: Fix NQ/CP rings accounting on the new 57500 chips
  (bsc#1104745 FATE#325918).
- bnxt_en: Keep track of reserved IRQs (bsc#1104745 FATE#325918).
- bnxt_en: Fix CNP CoS queue regression (bsc#1104745 FATE#325918).
- net/mlx4_core: Correctly set PFC param if global pause is
  turned off (bsc#1103989 FATE#326004).
- mlxsw: spectrum_switchdev: Fix VLAN device deletion via ioctl
  (bsc#1112374).
- mlxsw: spectrum_router: Relax GRE decap matching check
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Avoid leaking FID's reference count
  (bsc#1112374).
- mlxsw: spectrum_nve: Remove easily triggerable warnings
  (bsc#1112374).
- bpf: add per-insn complexity limit (bsc#1109837).
- bpf: check pending signals while verifying programs
  (bsc#1109837).
- bpf: Fix verifier log string check for bad alignment
  (bsc#1109837).
- tools/bpf: add addition type tests to test_btf (bsc#1109837).
- tools/bpf: fix two test_btf unit test cases (bsc#1109837).
- bpf: btf: check name validity for various types (bsc#1109837).
- bpf: btf: implement btf_name_valid_identifier() (bsc#1109837).
- net: use skb_list_del_init() to remove from RX sublists
  (bsc#1109837).
- net/mlx4_en: Fix build break when CONFIG_INET is off
  (bsc#1103989 FATE#326004).
- net/mlx4_en: Change min MTU size to ETH_MIN_MTU (bsc#1103989
  FATE#326004).
- net/core: tidy up an error message (bsc#1109837).
- macvlan: return correct error value (bsc#1109837).
- vhost: fix IOTLB locking (bsc#1109837).
- tun: remove skb access after netif_receive_skb (bsc#1109837).
- tun: forbid iface creation with rtnl ops (bsc#1109837).
- virtio-net: keep vnet header zeroed after processing XDP
  (bsc#1109837).
- liquidio: read sc->iq_no before release sc (bsc#1119406
  FATE#326562).
- mlx5: fix get_ip_proto() (bsc#1103990 FATE#326006).
- net/sched: act_police: fix memory leak in case of invalid
  control action (bsc#1109837).
- nfp: flower: prevent offload if rhashtable insert fails
  (bsc#1109837).
- nfp: flower: release metadata on offload failure (bsc#1109837).
- liquidio: fix spelling mistake "deferal" -> "deferral"
  (bsc#1119406 FATE#326562).
- net: Prevent invalid access to skb->prev in __qdisc_drop_all
  (bsc#1109837).
- net: fix XPS static_key accounting (bsc#1109837).
- net: restore call to netdev_queue_numa_node_write when resetting
  XPS (bsc#1109837).
- vhost/vsock: fix use-after-free in network stack callers
  (bsc#1109837).
- vhost/vsock: fix reset orphans race with close timeout
  (bsc#1109837).
- RDMA/mlx5: Initialize return variable in case pagefault was
  skipped (bsc#1103991 FATE#326007).
- IB/mlx5: Fix page fault handling for MW (bsc#1103991
  FATE#326007).
- IB/umem: Set correct address to the invalidation function
  (bsc#1103992 FATE#326009).
- IB/mlx5: Skip non-ODP MR when handling a page fault (bsc#1103991
  FATE#326007).
- RDMA/hns: Bugfix pbl configuration for rereg mr (bsc#1104427
  FATE#326416).
- iser: set sector for ambiguous mr status errors (bsc#1103992
  FATE#326009).
- RDMA/rdmavt: Fix rvt_create_ah function signature (bsc#1103992
  FATE#326009).
- IB/mlx5: Avoid load failure due to unknown link width
  (bsc#1103991 FATE#326007).
- IB/mlx5: Fix XRC QP support after introducing extended atomic
  (bsc#1103991 FATE#326007).
- RDMA/bnxt_re: Avoid accessing the device structure after it
  is freed (bsc#1104742 FATE#325917).
- RDMA/bnxt_re: Fix system hang when registration with L2 driver
  fails (bsc#1104742 FATE#325917).
- RDMA/core: Add GIDs while changing MAC addr only for registered
  ndev (bsc#1103992 FATE#326009).
- RDMA/mlx5: Fix fence type for IB_WR_LOCAL_INV WR (bsc#1103991
  FATE#326007).
- net/mlx5: Fix XRC SRQ umem valid bits (bsc#1103990 FATE#326006).
- i40e: fix kerneldoc for xsk methods (bsc#1111981 FATE#326312
  FATE#326313).
- ixgbe: recognize 1000BaseLX SFP modules as 1Gbps (bsc#1113994
  FATE#326315 FATE#326317).
- i40e: Fix deletion of MAC filters (bsc#1111981 FATE#326312
  FATE#326313).
- qed: fix spelling mistake "attnetion" -> "attention"
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- net: thunderx: fix NULL pointer dereference in nic_remove
  (bsc#1109837).
- tools: bpftool: fix potential NULL pointer dereference in
  do_load (bsc#1109837).
- bpf: allocate local storage buffers using GFP_ATOMIC
  (bsc#1109837).
- bpf: fix off-by-one error in adjust_subprog_starts
  (bsc#1109837).
- tools: bpftool: pass an argument to silence open_obj_pinned()
  (bsc#1109837).
- tools: bpftool: fix plain output and doc for --bpffs option
  (bsc#1109837).
- tools: bpftool: prevent infinite loop in get_fdinfo()
  (bsc#1109837).
- net: thunderx: set tso_hdrs pointer to NULL in
  nicvf_free_snd_queue (bsc#1109837).
- virtio-net: fail XDP set if guest csum is negotiated
  (bsc#1109837).
- virtio-net: disable guest csum during XDP set (bsc#1109837).
- net/sched: act_police: add missing spinlock initialization
  (bsc#1109837).
- net: thunderx: set xdp_prog to NULL if bpf_prog_add fails
  (bsc#1109837).
- net: skb_scrub_packet(): Scrub offload_fwd_mark (bsc#1109837).
- net/sched: act_police: fix race condition on state variables
  (bsc#1109837).
- net/mlx5e: Fix failing ethtool query on FEC query error
  (bsc#1103990 FATE#326006).
- net/mlx5e: Removed unnecessary warnings in FEC caps query
  (bsc#1103990 FATE#326006).
- net/mlx5e: Fix wrong field name in FEC related functions
  (bsc#1103990 FATE#326006).
- net/mlx5e: Fix a bug in turning off FEC policy in unsupported
  speeds (bsc#1103990 FATE#326006).
- net/mlx5e: RX, verify received packet size in Linear Striding RQ
  (bsc#1103990 FATE#326006).
- net/mlx5e: Apply the correct check for supporting TC esw rules
  split (bsc#1103990 FATE#326006).
- net/mlx5e: Adjust to max number of channles when re-attaching
  (bsc#1103990 FATE#326006).
- net/mlx5e: Always use the match level enum when parsing TC
  rule match (bsc#1103990 FATE#326006).
- net/mlx5e: Claim TC hw offloads support only under a proper
  build config (bsc#1103990 FATE#326006).
- net/mlx5e: Don't match on vlan non-existence if ethertype is
  wildcarded (bsc#1103990 FATE#326006).
- net/mlx5e: IPoIB, Reset QP after channels are closed
  (bsc#1103990 FATE#326006).
- net/mlx5: IPSec, Fix the SA context hash key (bsc#1103990
  FATE#326006).
- qed: Fix QM getters to always return a valid pq (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- qed: Fix bitmap_weight() check (bsc#1104393 FATE#325891
  bsc#1104389 FATE#325890).
- net/sched: act_pedit: fix memory leak when IDR allocation fails
  (bsc#1109837).
- drivers/net/ethernet/qlogic/qed/qed_rdma.h: fix typo
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- net/mlx4: Fix UBSAN warning of signed integer overflow
  (bsc#1103989 FATE#326004).
- net/mlx4_core: Fix uninitialized variable compilation warning
  (bsc#1103989 FATE#326004).
- net/mlx4_core: Zero out lkey field in SW2HW_MPT fw command
  (bsc#1103989 FATE#326004).
- cxgb4: fix thermal zone build error (bsc#1104279 FATE#325938
  bsc#1104277 FATE#325936).
- bnxt_en: Fix filling time in bnxt_fill_coredump_record()
  (bsc#1104745 FATE#325918).
- bnxt_en: Add software "missed_irqs" counter (bsc#1104745
  FATE#325918).
- bnxt_en: Workaround occasional TX timeout on 57500 A0
  (bsc#1104745 FATE#325918).
- bnxt_en: Disable RDMA support on the 57500 chips (bsc#1104745
  FATE#325918).
- bnxt_en: Fix rx_l4_csum_errors counter on 57500 devices
  (bsc#1104745 FATE#325918).
- bnxt_en: Fix RSS context allocation (bsc#1104745 FATE#325918).
- qed: Fix reading wrong value in loop condition (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- qed: Fix rdma_info structure allocation (bsc#1104393 FATE#325891
  bsc#1104389 FATE#325890).
- qed: Fix overriding offload_tc by protocols without APP TLV
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- qed: Fix PTT leak in qed_drain() (bsc#1104393 FATE#325891
  bsc#1104389 FATE#325890).
- act_mirred: clear skb->tstamp on redirect (bsc#1109837).
- net: sched: cls_flower: validate nested enc_opts_policy to
  avoid warning (bsc#1109837).
- qed: Fix potential memory corruption (bsc#1104393 FATE#325891
  bsc#1104389 FATE#325890).
- qed: Fix SPQ entries not returned to pool in error flows
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- qed: Fix blocking/unlimited SPQ entries leak (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- qed: Fix memory/entry leak in qed_init_sp_request() (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- net: hns3: bugfix for not checking return value (bsc#1104353
  FATE#326415).
- i40e: enable NETIF_F_NTUPLE and NETIF_F_HW_TC at driver load
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e: restore NETIF_F_GSO_IPXIP to netdev features (bsc#1111981
  FATE#326312 FATE#326313).
- net: core: netpoll: Enable netconsole IPv6 link local address
  (bsc#1109837).
- bpf: fix bpf_prog_get_info_by_fd to return 0 func_lens for
  unpriv (bsc#1109837).
- bpf: show main program address and length in bpf_prog_info
  (bsc#1109837).
- bpf: show real jited address in bpf_prog_info->jited_ksyms
  (bsc#1109837).
- bpf: show real jited prog address in /proc/kallsyms
  (bsc#1109837).
- qed: fix link config error handling (bsc#1104393 FATE#325891
  bsc#1104389 FATE#325890).
- net: hns3: Fix for out-of-bounds access when setting pfc back
  pressure (bsc#1104353 FATE#326415).
- net/mlx4_en: use __netdev_tx_sent_queue() (bsc#1103989
  FATE#326004).
- net: do not abort bulk send on BQL status (bsc#1109837).
- net: bql: add __netdev_tx_sent_queue() (bsc#1109837).
- net: document skb parameter in function 'skb_gso_size_check'
  (bsc#1109837).
- ixgbe: fix MAC anti-spoofing filter after VFLR (bsc#1113994
  FATE#326315 FATE#326317).
- i40e: Update status codes (bsc#1111981 FATE#326312 FATE#326313).
- ixgbe/ixgbevf: fix XFRM_ALGO dependency (bsc#1113994 FATE#326315
  FATE#326317).
- bpf: don't set id on after map lookup with ptr_to_map_val return
  (bsc#1109837).
- libbpf: Fix compile error in libbpf_attach_type_by_name
  (bsc#1109837).
- mlxsw: spectrum: Set minimum shaper on MC TCs (bsc#1112374).
- mlxsw: reg: QEEC: Add minimum shaper fields (bsc#1112374).
- net: hns3: bugfix for rtnl_lock's range in the hclgevf_reset()
  (bsc#1104353 FATE#326415).
- net: hns3: bugfix for handling mailbox while the command queue
  reinitialized (bsc#1104353 FATE#326415).
- net: hns3: fix incorrect return value/type of some functions
  (bsc#1104353 FATE#326415).
- net: hns3: bugfix for hclge_mdio_write and hclge_mdio_read
  (bsc#1104353 FATE#326415).
- net: hns3: bugfix for is_valid_csq_clean_head() (bsc#1104353
  FATE#326415).
- net: hns3: remove unnecessary queue reset in the
  hns3_uninit_all_ring() (bsc#1104353 FATE#326415).
- net: hns3: bugfix for the initialization of command queue's
  spin lock (bsc#1104353 FATE#326415).
- net: hns3: bugfix for reporting unknown vector0 interrupt
  repeatly problem (bsc#1104353 FATE#326415).
- net: hns3: bugfix for buffer not free problem during resetting
  (bsc#1104353 FATE#326415).
- net: hns3: add error handler for hns3_nic_init_vector_data()
  (bsc#1104353 FATE#326415).
- net/mlx5e: fix csum adjustments caused by RXFCS (bsc#1103990
  FATE#326006).
- net: hns3: fix spelling mistake "intrerrupt" -> "interrupt"
  (bsc#1104353 FATE#326415).
- net/mlx4_en: add a missing <net/ip.h> include (bsc#1103989
  FATE#326004).
- mlxsw: core: Fix devlink unregister flow (bsc#1112374).
- mlxsw: spectrum_switchdev: Don't ignore deletions of learned
  MACs (bsc#1112374).
- net: Properly unlink GRO packets on overflow (bsc#1109837).
- bpf: fix wrong helper enablement in cgroup local storage
  (bsc#1109837).
- bpf: add bpf_jit_limit knob to restrict unpriv allocations
  (bsc#1109837).
- bpf: make direct packet write unclone more robust (bsc#1109837).
- bpf: fix test suite to enable all unpriv program types
  (bsc#1109837).
- bpf, btf: fix a missing check bug in btf_parse (bsc#1109837).
- selftests/bpf: add config fragments BPF_STREAM_PARSER and
  XDP_SOCKETS (bsc#1109837).
- bpf: devmap: fix wrong interface selection in notifier_call
  (bsc#1109837).
- drivers: net: remove <net/busy_poll.h> inclusion when not needed
  (bsc#1109837).
- net: sched: Remove TCA_OPTIONS from policy (bsc#1109837).
- net: hns3: Fix for warning uninitialized symbol hw_err_lst3
  (bsc#1104353 FATE#326415).
- IB/mlx5: Add support for extended atomic operations (bsc#1103991
  FATE#326007).
- RDMA/core: Fix comment for hw stats init for port == 0
  (bsc#1103992 FATE#326009).
- RDMA/core: Refactor ib_register_device() function (bsc#1103992
  FATE#326009).
- RDMA/core: Fix unwinding flow in case of error to register
  device (bsc#1103992 FATE#326009).
- ib_srp: Remove WARN_ON in srp_terminate_io() (bsc#1103992
  FATE#326009).
- IB/mlx5: Allow scatter to CQE without global signaled WRs
  (bsc#1103991 FATE#326007).
- IB/mlx5: Verify that driver supports user flags (bsc#1103991
  FATE#326007).
- IB/mlx5: Support scatter to CQE for DC transport type
  (bsc#1103991 FATE#326007).
- RDMA/drivers: Use core provided API for registering device
  attributes (bsc#1103992 FATE#326009).
- RDMA/core: Allow existing drivers to set one sysfs group per
  device (bsc#1103992 FATE#326009).
- IB/rxe: Remove unnecessary enum values (bsc#1103992
  FATE#326009).
- RDMA/umad: Use kernel API to allocate umad indexes (bsc#1103992
  FATE#326009).
- RDMA/uverbs: Use kernel API to allocate uverbs indexes
  (bsc#1103992 FATE#326009).
- RDMA/core: Increase total number of RDMA ports across all
  devices (bsc#1103992 FATE#326009).
- IB/mlx4: Add port and TID to MAD debug print (bsc#1103988
  FATE#326003).
- IB/mlx4: Enable debug print of SMPs (bsc#1103988 FATE#326003).
- RDMA/core: Rename ports_parent to ports_kobj (bsc#1103992
  FATE#326009).
- RDMA/core: Do not expose unsupported counters (bsc#1103992
  FATE#326009).
- IB/mlx4: Refer to the device kobject instead of ports_parent
  (bsc#1103988 FATE#326003).
- RDMA/nldev: Allow IB device rename through RDMA netlink
  (bsc#1103992 FATE#326009).
- RDMA/core: Implement IB device rename function (bsc#1103992
  FATE#326009).
- RDMA/core: Annotate timeout as unsigned long (bsc#1103992
  FATE#326009).
- RDMA/core: Align multiple functions to kernel coding style
  (bsc#1103992 FATE#326009).
- RDMA/cma: Remove unused timeout_ms parameter from
  cma_resolve_iw_route() (bsc#1103992 FATE#326009).
- IB/mlx5: Fix MR cache initialization (bsc#1103991 FATE#326007).
- RDMA/cm: Respect returned status of cm_init_av_by_path
  (bsc#1103992 FATE#326009).
- IB/ipoib: Clear IPCB before icmp_send (bsc#1103992 FATE#326009).
- RDMA/restrack: Protect from reentry to resource return path
  (bsc#1103992 FATE#326009).
- RDMA/mlx5: Add support for flow tag to raw create flow
  (bsc#1103991 FATE#326007).
- RDMA/mlx5: Remove extraneous error check (bsc#1103991
  FATE#326007).
- IB/mlx5: Verify DEVX object type (bsc#1103991 FATE#326007).
- RDMA/hns: Add FRMR support for hip08 (bsc#1104427 FATE#326416).
- RDMA/bnxt_re: Avoid resource leak in case the NQ registration
  fails (bsc#1104742 FATE#325917).
- RDMA/bnxt_re: Wait for delayed work to finish before device
  removal (bsc#1104742 FATE#325917).
- RDMA/bnxt_re: Limit max_pkey to 16 bit value (bsc#1104742
  FATE#325917).
- RDMA/bnxt_re: Fix qp async event reporting (bsc#1104742
  FATE#325917).
- RDMA/bnxt_re: Report out of sequence hw counters (bsc#1104742
  FATE#325917).
- RDMA/bnxt_re: Expose rx discards and drop counters (bsc#1104742
  FATE#325917).
- RDMA/bnxt_re: Prevent driver crash due to NULL pointer in
  error message print (bsc#1104742 FATE#325917).
- RDMA/bnxt_re: Drop L2 async events silently (bsc#1104742
  FATE#325917).
- RDMA/bnxt_re: Avoid accessing nq->bar_reg_iomem in failure case
  (bsc#1104742 FATE#325917).
- RDMA/bnxt_re: Avoid NULL check after accessing the pointer
  (bsc#1104742 FATE#325917).
- RDMA/bnxt_re: Remove the unnecessary version macro definition
  (bsc#1104742 FATE#325917).
- RDMA/bnxt_re: Fix recursive lock warning in debug kernel
  (bsc#1104742 FATE#325917).
- RDMA/bnxt_re: Add missing spin lock initialization (bsc#1104742
  FATE#325917).
- RDMA/restrack: Release task struct which was hold by CM_ID
  object (bsc#1103992 FATE#326009).
- RDMA/restrack: Consolidate task name updates in one place
  (bsc#1103992 FATE#326009).
- RDMA/restrack: Un-inline set task implementation (bsc#1103992
  FATE#326009).
- RDMA/core: Check error status of rdma_find_ndev_for_src_ip_rcu
  (bsc#1103992 FATE#326009).
- IB/{hfi1, qib, rdmavt}: Move ruc_loopback to rdmavt (bsc#1114685
  FATE#325854).
- IB/{hfi1, qib, rdmavt}: Move send completion logic to rdmavt
  (bsc#1114685 FATE#325854).
- IB/{hfi1, qib, rdmavt}: Move copy SGE logic into rdmavt
  (bsc#1114685 FATE#325854).
- IB/mlx4: Avoid implicit enumerated type conversion (bsc#1103988
  FATE#326003).
- RDMA/hns: Bugfix for atomic operation (bsc#1104427 FATE#326416).
- RDMA/hns: Add vlan enable bit for hip08 (bsc#1104427
  FATE#326416).
- RDMA/hns: Support local invalidate for hip08 in kernel space
  (bsc#1104427 FATE#326416).
- RDMA/hns: Update some fields of qp context (bsc#1104427
  FATE#326416).
- RDMA/hns: Limit extend sq sge num (bsc#1104427 FATE#326416).
- RDMA/hns: Update some attributes of the RoCE device (bsc#1104427
  FATE#326416).
- RDMA/hns: Configure ecn field of ip header (bsc#1104427
  FATE#326416).
- RDMA/hns: Limit the size of extend sge of sq (bsc#1104427
  FATE#326416).
- RDMA/hns: Bugfix for CM test (bsc#1104427 FATE#326416).
- RDMA/hns: Submit bad wr when post send wr exception (bsc#1104427
  FATE#326416).
- RDMA/hns: Bugfix for reserved qp number (bsc#1104427
  FATE#326416).
- RDMA/netlink: Simplify netlink listener existence check
  (bsc#1103992 FATE#326009).
- RDMA: Remove unused parameter from ib_modify_qp_is_ok()
  (bsc#1103992 FATE#326009).
- RDMA/rxe: Remove unused addr_same() (bsc#1103992 FATE#326009).
- IB/rxe: avoid srq memory leak (bsc#1103992 FATE#326009).
- IB/mthca: Fix error return code in __mthca_init_one()
  (bsc#1103992 FATE#326009).
- RDMA/uverbs: Fix RCU annotation for radix slot deference
  (bsc#1103992 FATE#326009).
- RDMA: Fix building with CONFIG_MMU=n (bsc#1103992 FATE#326009).
- RDMA/cma: Introduce and use cma_ib_acquire_dev() (bsc#1103992
  FATE#326009).
- RDMA/cma: Introduce and use cma_acquire_dev_by_src_ip()
  (bsc#1103992 FATE#326009).
- RDMA/cma: Allow accepting requests for multi port rdma device
  (bsc#1103992 FATE#326009).
- IB/hfi1: Use VL15 for SM packets (bsc#1114685 FATE#325854).
- IB/hfi1: Add mtu check for operational data VLs (bsc#1114685
  FATE#325854).
- IB/hfi1: Ensure ucast_dlid access doesnt exceed bounds
  (bsc#1114685 FATE#325854).
- IB/hfi1: Add static trace for iowait (bsc#1114685 FATE#325854).
- IB/hfi1: Prepare resource waits for dual leg (bsc#1114685
  FATE#325854).
- IB/rdmavt: Rename check_send_wqe as setup_wqe (bsc#1114685
  FATE#325854).
- RDMA/hns: remove set but not used variable 'dseg' (bsc#1104427
  FATE#326416).
- RDMA/qedr: Remove enumerated type qed_roce_ll2_tx_dest
  (bsc#1104376 FATE#325886).
- IB/hfi1: Error path MAD response size is incorrect (bsc#1114685
  FATE#325854).
- IB/rxe: replace kvfree with vfree (bsc#1103992 FATE#326009).
- IB/iser: Fix possible NULL deref at iser_inv_desc() (bsc#1103992
  FATE#326009).
- IB/mlx5: Enable DEVX on IB (bsc#1103991 FATE#326007).
- IB/mlx5: Enable DEVX white list commands (bsc#1103991
  FATE#326007).
- IB/mlx5: Manage device uid for DEVX white list commands
  (bsc#1103991 FATE#326007).
- IB/mlx5: Expose RAW QP device handles to user space (bsc#1103991
  FATE#326007).
- RDMA/core: Acquire and release mmap_sem on page range
  (bsc#1103992 FATE#326009).
- RDMA/hns: fix spelling mistake "reseved" -> "reserved"
  (bsc#1104427 FATE#326416).
- IB/sa: simplify return code logic for ib_nl_send_msg()
  (bsc#1103992 FATE#326009).
- IB/hfi1: Move UnsupportedVL bits definitions to the correct
  header (bsc#1114685 FATE#325854).
- IB/mthca: remove redundant inner check of mdev->mthca_flags
  (bsc#1103992 FATE#326009).
- RDMA/hns: Add MW support for hip08 (bsc#1104427 FATE#326416).
- RDMA/hns: Add enable judgement for UD vlan (bsc#1104427
  FATE#326416).
- RDMA/hns: Add CM of vlan device support (bsc#1104427
  FATE#326416).
- RDMA/hns: Add atomic support (bsc#1104427 FATE#326416).
- RDMA/hns: Refactor the codes for setting transport opode
  (bsc#1104427 FATE#326416).
- RDMA/ulp: Use dev_name instead of ibdev->name (bsc#1103992
  FATE#326009).
- RDMA/drivers: Use dev_name instead of ibdev->name (bsc#1103992
  FATE#326009).
- RDMA/core: Use dev_name instead of ibdev->name (bsc#1103992
  FATE#326009).
- RDMA/drivers: Use dev_err/dbg/etc instead of pr_* + ibdev->name
  (bsc#1103992 FATE#326009).
- RDMA/core: Use dev_err/dbg/etc instead of pr_* + ibdev->name
  (bsc#1103992 FATE#326009).
- RDMA: Fully setup the device name in ib_register_device
  (bsc#1103992 FATE#326009).
- RDMA: Fix dependencies for rdma_user_mmap_io (bsc#1103992
  FATE#326009).
- RDMA/umem: Fix potential addition overflow (bsc#1103992
  FATE#326009).
- RDMA/umem: Minor optimizations (bsc#1103992 FATE#326009).
- iw_cxgb4: Use proper enumerated type in c4iw_bar2_addrs
  (bsc#1104276 FATE#325935).
- RDMA/mlx5: Remove superfluous version print (bsc#1103991
  FATE#326007).
- IB/usnic: fix spelling mistake "unvalid" -> "invalid"
  (bsc#1103992 FATE#326009).
- IB/mlx5: Set valid umem bit on DEVX (bsc#1103991 FATE#326007).
- IB/mlx5: Set uid as part of TD commands (bsc#1103991
  FATE#326007).
- IB/mlx5: Set uid as part of XRCD commands (bsc#1103991
  FATE#326007).
- IB/mlx5: Set uid as part of CQ creation (bsc#1103991
  FATE#326007).
- IB/mlx5: Set uid upon PD allocation (bsc#1103991 FATE#326007).
- IB/mlx5: Set uid as part of RQT commands (bsc#1103991
  FATE#326007).
- IB/mlx5: Set uid as part of TIS commands (bsc#1103991
  FATE#326007).
- IB/mlx5: Set uid as part of TIR commands (bsc#1103991
  FATE#326007).
- IB/mlx5: Set uid as part of MCG commands (bsc#1103991
  FATE#326007).
- IB/mlx5: Set uid as part of DCT commands (bsc#1103991
  FATE#326007).
- IB/mlx5: Set uid as part of SRQ commands (bsc#1103991
  FATE#326007).
- IB/mlx5: Set uid as part of SQ commands (bsc#1103991
  FATE#326007).
- IB/mlx5: Set uid as part of RQ commands (bsc#1103991
  FATE#326007).
- IB/mlx5: Set uid as part of QP creation (bsc#1103991
  FATE#326007).
- IB/mlx5: Use uid as part of PD commands (bsc#1103991
  FATE#326007).
- RDMA/mlx5: Enable vport loopback when user context or QP mandate
  (bsc#1103991 FATE#326007).
- RDMA/mlx5: Allow creating RAW ethernet QP with loopback support
  (bsc#1103991 FATE#326007).
- RDMA/mlx5: Refactor transport domain bookkeeping logic
  (bsc#1103991 FATE#326007).
- RDMA/cxgb4: remove redundant null pointer check before kfree_skb
  (bsc#1104276 FATE#325935).
- IB/mlx4: Remove unnecessary parentheses (bsc#1103988
  FATE#326003).
- IB/nes: Remove unnecessary parentheses (bsc#1103992
  FATE#326009).
- RDMA/uverbs: Get rid of ucontext->tgid (bsc#1103992
  FATE#326009).
- RDMA/umem: Avoid synchronize_srcu in the ODP MR destruction path
  (bsc#1103992 FATE#326009).
- RDMA/umem: Handle a half-complete start/end sequence
  (bsc#1103992 FATE#326009).
- RDMA/umem: Get rid of per_mm->notifier_count (bsc#1103992
  FATE#326009).
- RDMA/umem: Use umem->owning_mm inside ODP (bsc#1103992
  FATE#326009).
- RDMA/umem: Move all the ODP related stuff out of ucontext and
  into per_mm (bsc#1103992 FATE#326009).
- RDMA/umem: Get rid of struct ib_umem.odp_data (bsc#1103992
  FATE#326009).
- RDMA/umem: Make ib_umem_odp into a sub structure of ib_umem
  (bsc#1103992 FATE#326009).
- RDMA/umem: Use ib_umem_odp in all function signatures connected
  to ODP (bsc#1103992 FATE#326009).
- RDMA/usnic: Do not use ucontext->tgid (bsc#1103992 FATE#326009).
- RDMA/umem: Do not use current->tgid to track the mm_struct
  (bsc#1103992 FATE#326009).
- RDMA/ucontext: Get rid of the old disassociate flow (bsc#1103992
  FATE#326009).
- RDMA/hns: Use rdma_user_mmap_io (bsc#1104427 FATE#326416).
- RDMA/mlx5: Use rdma_user_mmap_io (bsc#1103991 FATE#326007).
- RDMA/mlx4: Use rdma_user_mmap_io (bsc#1103988 FATE#326003).
- RDMA/ucontext: Add a core API for mmaping driver IO memory
  (bsc#1103992 FATE#326009).
- RDMA/hns: Move all prints out of irq handle (bsc#1104427
  FATE#326416).
- RDMA/uverbs: Fix error unwind in ib_uverbs_add_one (bsc#1103992
  FATE#326009).
- RDMA/core: Properly return the error code of
  rdma_set_src_addr_rcu (bsc#1103992 FATE#326009).
- RDMA/i40iw: Fix incorrect iterator type (bsc#1114687
  FATE#326314).
- RDMA/uverbs: Remove is_closed from ib_uverbs_file (bsc#1103992
  FATE#326009).
- IB/rxe: Revise the ib_wr_opcode enum (bsc#1103992 FATE#326009).
- RDMA: Remove duplicated include from ib_addr.h (bsc#1103992
  FATE#326009).
- IB/ipoib: Log sysfs 'dev_id' accesses from userspace
  (bsc#1103992 FATE#326009).
- IB/ipoib: Use dev_port to expose network interface port numbers
  (bsc#1103992 FATE#326009).
- RDMA/core: Consider net ns of gid attribute for RoCE
  (bsc#1103992 FATE#326009).
- RDMA/core: Introduce rdma_read_gid_attr_ndev_rcu() to check
  GID attribute (bsc#1103992 FATE#326009).
- RDMA/core: Simplify roce_resolve_route_from_path() (bsc#1103992
  FATE#326009).
- RDMA/core: Protect against changing dst->dev during destination
  resolve (bsc#1103992 FATE#326009).
- RDMA/core: Refer to network type instead of device type
  (bsc#1103992 FATE#326009).
- RDMA/core: Use common code flow for IPv4/6 for addr resolve
  (bsc#1103992 FATE#326009).
- RDMA/core: Rename rdma_copy_addr to rdma_copy_src_l2_addr
  (bsc#1103992 FATE#326009).
- RDMA/core: Introduce and use rdma_set_src_addr() between IPv4
  and IPv6 (bsc#1103992 FATE#326009).
- RDMA/core: Let protocol specific function typecast sockaddr
  structure (bsc#1103992 FATE#326009).
- RDMA/core: Avoid unnecessary sa_family overwrite (bsc#1103992
  FATE#326009).
- RDMA/core Introduce and use rdma_find_ndev_for_src_ip_rcu
  (bsc#1103992 FATE#326009).
- IB/mlx5: Allow transition of DCI QP to reset (bsc#1103991
  FATE#326007).
- IB/hfi1: set_intr_bits uses incorrect source for register
  modification (bsc#1114685 FATE#325854).
- IB/hfi1: Missing return value in error path for user sdma
  (bsc#1114685 FATE#325854).
- IB/hfi1: Right size user_sdma sequence numbers and related
  variables (bsc#1114685 FATE#325854).
- IB/hfi1: Remove race conditions in user_sdma send path
  (bsc#1114685 FATE#325854).
- IB/hfi1: Eliminate races in the SDMA send error path
  (bsc#1114685 FATE#325854).
- RDMA/hns: Fix an error code in hns_roce_v2_init_eq_table()
  (bsc#1104427 FATE#326416).
- IB/{hfi1, qib, rdmavt}: Schedule multi RC/UC packets instead
  of posting (bsc#1114685 FATE#325854).
- infiniband: remove redundant condition check before
  debugfs_remove (bsc#1103992 FATE#326009).
- RDMA/mlx5: Allow creating a matcher for a NIC TX flow table
  (bsc#1103991 FATE#326007).
- RDMA/mlx5: Add NIC TX namespace when getting a flow table
  (bsc#1103991 FATE#326007).
- RDMA/mlx5: Add flow actions support to raw create flow
  (bsc#1103991 FATE#326007).
- RDMA/mlx5: Refactor raw flow creation (bsc#1103991 FATE#326007).
- RDMA/mlx5: Don't overwrite action if already set (bsc#1103991
  FATE#326007).
- RDMA/mlx5: Refactor flow action parsing to be more generic
  (bsc#1103991 FATE#326007).
- RDMA/uverbs: Move flow resources initialization (bsc#1103992
  FATE#326009).
- IB/uverbs: Add IDRs array attribute type to ioctl() interface
  (bsc#1103992 FATE#326009).
- RDMA/mlx5: Enable attaching packet reformat action to steering
  flows (bsc#1103991 FATE#326007).
- RDMA/mlx5: Enable reformat on NIC RX if supported (bsc#1103991
  FATE#326007).
- RDMA/mlx5: Enable attaching DECAP action to steering flows
  (bsc#1103991 FATE#326007).
- RDMA/mlx5: Enable decap and packet reformat on flow tables
  (bsc#1103991 FATE#326007).
- RDMA/mlx5: Enable attaching modify header to steering flows
  (bsc#1103991 FATE#326007).
- RDMA/mlx5: Add NIC TX steering support (bsc#1103991
  FATE#326007).
- RDMA/core: Document QP @event_handler function (bsc#1103992
  FATE#326009).
- RDMA/core: Document CM @event_handler function (bsc#1103992
  FATE#326009).
- RDMA/core: Assign device ifindex before publishing the device
  (bsc#1103992 FATE#326009).
- RDMA/core: Follow correct unregister order between sysfs and
  cgroup (bsc#1103992 FATE#326009).
- RDMA/umem: Restore lockdep check while downgrading lock
  (bsc#1103992 FATE#326009).
- RDMA/core: Define client_data_lock as rwlock instead of spinlock
  (bsc#1103992 FATE#326009).
- RDMA/core: Use simpler spin lock irq API from blocking context
  (bsc#1103992 FATE#326009).
- RDMA/core: Remove context entries from list while unregistering
  device (bsc#1103992 FATE#326009).
- RDMA/core: Use simplified list_for_each (bsc#1103992
  FATE#326009).
- RDMA/core: No need to protect kfree with spin lock and semaphore
  (bsc#1103992 FATE#326009).
- RDMA/{cma, core}: Avoid callback on rdma_addr_cancel()
  (bsc#1103992 FATE#326009).
- RDMA/core: Rate limit MAD error messages (bsc#1103992
  FATE#326009).
- IB/ipoib: Ensure that MTU isn't less than minimum permitted
  (bsc#1103992 FATE#326009).
- IB/mlx5: Don't hold spin lock while checking device state
  (bsc#1103991 FATE#326007).
- RDMA/core: Fail early if unsupported QP is provided (bsc#1103992
  FATE#326009).
- RDMA/uverbs: Use device.groups to initialize device attributes
  (bsc#1103992 FATE#326009).
- RDMA/uverbs: Use cdev_device_add() instead of cdev_add()
  (bsc#1103992 FATE#326009).
- RDMA/core: Depend on device_add() to add device attributes
  (bsc#1103992 FATE#326009).
- RDMA/core: Replace open-coded variant of get_device (bsc#1103992
  FATE#326009).
- RDMA/uverbs: Declare closing variable as boolean (bsc#1103992
  FATE#326009).
- RDMA/nes: Delete impossible debug prints (bsc#1103992
  FATE#326009).
- RDMA/qedr: remove set but not used variable 'ctx' (bsc#1104376
  FATE#325886).
- IB/srp: Remove unnecessary unlikely() (bsc#1103992 FATE#326009).
- IB/core: Add an unbound WQ type to the new CQ API (bsc#1103992
  FATE#326009).
- RDMA/bnxt_re: QPLIB: Add and use #define dev_fmt(fmt) "QPLIB:
  " fmt (bsc#1104742 FATE#325917).
- RDMA/mlx5: Extend packet reformat verbs (bsc#1103991
  FATE#326007).
- RDMA/mlx5: Add new flow action verb - packet reformat
  (bsc#1103991 FATE#326007).
- RDMA/uverbs: Add generic function to fill in flow action object
  (bsc#1103992 FATE#326009).
- RDMA/mlx5: Add a new flow action verb - modify header
  (bsc#1103991 FATE#326007).
- RDMA/uverbs: Add UVERBS_ATTR_CONST_IN to the specs language
  (bsc#1103992 FATE#326009).
- IB/mlx5: Change TX affinity assignment in RoCE LAG mode
  (bsc#1103991 FATE#326007).
- IB/hfi1: Move URGENT IRQ enable to hfi1_rcvctrl() (bsc#1114685
  FATE#325854).
- IB/hfi1: Rework the IRQ API to be more flexible (bsc#1114685
  FATE#325854).
- IB/hfi1: PCIe bus width retry (bsc#1114685 FATE#325854).
- IB/hfi1: Make the MSIx resource allocation a bit more flexible
  (bsc#1114685 FATE#325854).
- IB/hfi1: Prepare for new HFI1 MSIx API (bsc#1114685
  FATE#325854).
- IB/hfi1: Get the hfi1_devdata structure as early as possible
  (bsc#1114685 FATE#325854).
- IB/hfi1: tune_pcie_caps is arbitrarily placed, poorly
  (bsc#1114685 FATE#325854).
- IB/hfi1: Remove duplicated defines (bsc#1114685 FATE#325854).
- IB/hfi1: Rework file list in Makefile (bsc#1114685 FATE#325854).
- IB/rxe: fixes for rdma read retry (bsc#1103992 FATE#326009).
- IB/rxe: avoid back-to-back retries (bsc#1103992 FATE#326009).
- IB/rxe: fix for duplicate request processing and ack psns
  (bsc#1103992 FATE#326009).
- IB/rxe: Refactor lookup memory function (bsc#1103992
  FATE#326009).
- IB/rxe: Avoid NULL check when search is successful (bsc#1103992
  FATE#326009).
- IB/rxe: Change pool state enums to capital letters (bsc#1103992
  FATE#326009).
- IB/rxe: Replace spinlock with rwlock (bsc#1103992 FATE#326009).
- IB/rxe: Simplify rxe_find_route() to avoid GID query for netdev
  (bsc#1103992 FATE#326009).
- IB/rxe: vary the source udp port for receive scaling
  (bsc#1103992 FATE#326009).
- cgroup, netclassid: add a preemption point to write_classid
  (bsc#1109837).
- crypto: chelsio - Update ntx queue received from cxgb4
  (bsc#1104270 FATE#325931).
- crypto: chtls - remove set but not used variable 'csk'
  (bsc#1104270 FATE#325931).
- crypto: chtls - remove redundant null pointer check before
  kfree_skb (bsc#1104270 FATE#325931).
- crypto: chelsio - Remove VLA usage of skcipher (bsc#1104270
  FATE#325931).
- crypto: skcipher - Introduce crypto_sync_skcipher (bsc#1104270
  FATE#325931).
- IB/core: Ensure we map P2P memory correctly in
  rdma_rw_ctx_[init|destroy]() (bsc#1103992 FATE#326009).
- PCI/P2PDMA: Introduce configfs/sysfs enable attribute helpers
  (bsc#1103992 FATE#326009).
- PCI/P2PDMA: Add PCI p2pmem DMA mappings to adjust the bus offset
  (bsc#1103992 FATE#326009).
- PCI/P2PDMA: Support peer-to-peer memory (bsc#1103992
  FATE#326009).
- PCI: Remove pci_unmap_addr() wrappers for DMA API (bsc#1104279
  FATE#325938 bsc#1104277 FATE#325936).
- qed: Fix static checker warning (bsc#1104393 FATE#325891
  bsc#1104389 FATE#325890).
- net/mlx5: Allocate enough space for the FDB sub-namespaces
  (bsc#1103990 FATE#326006).
- net/sched: act_police: disallow 'goto chain' on fallback
  control action (bsc#1109837).
- net/sched: act_gact: disallow 'goto chain' on fallback control
  action (bsc#1109837).
- net: hns3: Add enable and process hw errors of TM scheduler
  (bsc#1104353 FATE#326415).
- net: hns3: Add enable and process hw errors from PPP
  (bsc#1104353 FATE#326415).
- net: hns3: Add enable and process hw errors from IGU, EGU and
  NCSI (bsc#1104353 FATE#326415).
- net: hns3: Add enable and process common ecc errors (bsc#1104353
  FATE#326415).
- net: hns3: Add support to enable and disable hw errors
  (bsc#1104353 FATE#326415).
- net: hns3: Add PCIe AER error recovery (bsc#1104353
  FATE#326415).
- net: hns3: Add PCIe AER callback error_detected (bsc#1104353
  FATE#326415).
- tools: bpftool: fix completion for "bpftool map update"
  (bsc#1109837).
- tools: bpftool: print nb of cmds to stdout (not stderr) for
  batch mode (bsc#1109837).
- tools: bpftool: document restriction on '.' in names to pin
  in bpffs (bsc#1109837).
- selftests/bpf: fix return value comparison for tests in
  test_libbpf.sh (bsc#1109837).
- bpf, libbpf: simplify and cleanup perf ring buffer walk
  (bsc#1109837).
- bpf, verifier: fix register type dump in xadd and st
  (bsc#1109837).
- ulp: remove uid and user_visible members (bsc#1109837).
- bpf: skmsg, fix psock create on existing kcm/tls port
  (bsc#1109837).
- bpf, libbpf: use correct barriers in perf ring buffer walk
  (bsc#1109837).
- tools: bpftool: use 4 context mode for the NFP disasm
  (bsc#1109837).
- selftests/bpf: fix file resource leak in load_kallsyms
  (bsc#1109837).
- bpf: fix doc of bpf_skb_adjust_room() in uapi (bsc#1109837).
- bpf: sockmap, add msg_peek tests to test_sockmap (bsc#1109837).
- bpf: sockmap, support for msg_peek in sk_msg with redirect
  ingress (bsc#1109837).
- nfp: bpf: double check vNIC capabilities after object sharing
  (bsc#1109837).
- nfp: bpf: protect against mis-initializing atomic counters
  (bsc#1109837).
- bpf, tls: add tls header to tools infrastructure (bsc#1109837).
- qed: fix spelling mistake "transcevier" -> "transceiver"
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- net/mlx5e: Added 'raw_errors_laneX' fields to ethtool statistics
  (bsc#1103990 FATE#326006).
- net/mlx5: Added "per_lane_error_counters" cap bit to PCAM
  (bsc#1103990 FATE#326006).
- net/mlx5e: Ethtool driver callback for query/set FEC policy
  (bsc#1103990 FATE#326006).
- net/mlx5e: Add port FEC get/set functions (bsc#1103990
  FATE#326006).
- net/mlx5: Add FEC fields to Port Phy Link Mode (PPLM) reg
  (bsc#1103990 FATE#326006).
- net/mlx5: Remove counter from idr after removing it from list
  (bsc#1103990 FATE#326006).
- net/mlx5: Take fs_counters dellist before addlist (bsc#1103990
  FATE#326006).
- net/mlx5: Refactor fragmented buffer struct fields and init flow
  (bsc#1103990 FATE#326006).
- cxgb4: fix the error path of cxgb4_uld_register() (bsc#1104279
  FATE#325938 bsc#1104277 FATE#325936).
- bnxt_en: Copy and paste bug in extended tx_stats (bsc#1104745
  FATE#325918).
- net/mlx5e: Support offloading tc priorities and chains for
  eswitch flows (bsc#1103990 FATE#326006).
- net/mlx5e: Use a slow path rule instead if vxlan neighbour
  isn't available (bsc#1103990 FATE#326006).
- net/mlx5: E-Switch, Enable setting goto slow path chain action
  (bsc#1103990 FATE#326006).
- net/mlx5e: Avoid duplicated code for tc offloads add/del fdb
  rule (bsc#1103990 FATE#326006).
- net/mlx5e: For TC offloads, always add new flow instead of
  appending the actions (bsc#1103990 FATE#326006).
- net/mlx5: Add a no-append flow insertion mode (bsc#1103990
  FATE#326006).
- net/mlx5: E-Switch, Add chains and priorities (bsc#1103990
  FATE#326006).
- net/mlx5: E-Switch, Have explicit API to delete fwd rules
  (bsc#1103990 FATE#326006).
- net/mlx5: Split FDB fast path prio to multiple namespaces
  (bsc#1103990 FATE#326006).
- net/mlx5: Add cap bits for multi fdb encap (bsc#1103990
  FATE#326006).
- net/mlx5e: Split TC add rule path for nic vs e-switch
  (bsc#1103990 FATE#326006).
- net/mlx5e: Change return type of tc add flow functions
  (bsc#1103990 FATE#326006).
- net/mlx5: Use flow counter IDs and not the wrapping cache object
  (bsc#1103990 FATE#326006).
- net/mlx5: E-Switch, Get counters for offloaded flows from
  callers (bsc#1103990 FATE#326006).
- net/mlx5: Expose DC scatter to CQE capability bit (bsc#1103990
  FATE#326006).
- net/mlx5: Update mlx5_ifc with DEVX UID bits (bsc#1103990
  FATE#326006).
- net/mlx5: Set uid as part of DCT commands (bsc#1103990
  FATE#326006).
- net/mlx5: Set uid as part of SRQ commands (bsc#1103990
  FATE#326006).
- net/mlx5: Set uid as part of SQ commands (bsc#1103990
  FATE#326006).
- net/mlx5: Set uid as part of RQ commands (bsc#1103990
  FATE#326006).
- net/mlx5: Set uid as part of QP commands (bsc#1103990
  FATE#326006).
- net/mlx5: Set uid as part of CQ commands (bsc#1103990
  FATE#326006).
- net/mlx5: Rename incorrect naming in IFC file (bsc#1103990
  FATE#326006).
- net/mlx5: Export packet reformat alloc/dealloc functions
  (bsc#1103990 FATE#326006).
- net/mlx5: Pass a namespace for packet reformat ID allocation
  (bsc#1103990 FATE#326006).
- net/mlx5: Expose new packet reformat capabilities (bsc#1103990
  FATE#326006).
- {net, RDMA}/mlx5: Rename encap to reformat packet (bsc#1103990
  FATE#326006).
- net/mlx5: Move header encap type to IFC header file (bsc#1103990
  FATE#326006).
- net/mlx5: Break encap/decap into two separated flow table
  creation flags (bsc#1103990 FATE#326006).
- net/mlx5: Add support for more namespaces when allocating
  modify header (bsc#1103990 FATE#326006).
- net/mlx5: Export modify header alloc/dealloc functions
  (bsc#1103990 FATE#326006).
- net/mlx5: Add proper NIC TX steering flow tables support
  (bsc#1103990 FATE#326006).
- net/mlx5: Cleanup flow namespace getter switch logic
  (bsc#1103990 FATE#326006).
- net/mlx5: Add memic command opcode to command checker
  (bsc#1103990 FATE#326006).
- net/mlx5: Fix atomic_mode enum values (bsc#1103990 FATE#326006).
- mlxsw: spectrum_switchdev: Add support for VxLAN encapsulation
  (bsc#1112374).
- mlxsw: spectrum: Enable VxLAN enslavement to bridges
  (bsc#1112374).
- bridge: switchdev: Allow clearing FDB entry offload indication
  (bsc#1112374).
- vxlan: Support marking RDSTs as offloaded (bsc#1112374).
- vxlan: Add vxlan_fdb_find_uc() for FDB querying (bsc#1112374).
- vxlan: Add switchdev notifications (bsc#1112374).
- net: Add netif_is_vxlan() (bsc#1109837).
- mlxsw: spectrum_router: Configure matching local routes for
  NVE decap (bsc#1112374).
- mlxsw: spectrum_fid: Clear NVE configuration when destroying
  802.1D FIDs (bsc#1112374).
- mlxsw: spectrum_nve: Implement VxLAN operations (bsc#1112374).
- mlxsw: spectrum_nve: Implement common NVE core (bsc#1112374).
- inet: Refactor INET_ECN_decapsulate() (bsc#1112374).
- vxlan: Export address checking functions (bsc#1112374).
- mlxsw: spectrum_router: Allow querying VR ID based on table ID
  (bsc#1112374).
- mlxsw: spectrum_router: Enable local routes promotion to
  perform NVE decap (bsc#1112374).
- mlxsw: spectrum_fid: Add APIs to lookup FID without creating it
  (bsc#1112374).
- mlxsw: spectrum_fid: Allow setting and clearing NVE properties
  on FID (bsc#1112374).
- net: hns3: fix for multiple unmapping DMA problem (bsc#1104353
  FATE#326415).
- net: hns3: rename hns_nic_dma_unmap (bsc#1104353 FATE#326415).
- net: hns3: add handling for big TX fragment (bsc#1104353
  FATE#326415).
- net: hns3: move DMA map into hns3_fill_desc (bsc#1104353
  FATE#326415).
- net: hns3: remove hns3_fill_desc_tso (bsc#1104353 FATE#326415).
- qed: Prevent link getting down in case of autoneg-off
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- qede: Check available link modes before link set from ethtool
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- qed: Add supported link and advertise link to display in ethtool
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- qed: Added supported transceiver modes, speed capability
  and board config to HSI (bsc#1104393 FATE#325891 bsc#1104389
  FATE#325890).
- qed: Align local and global PTT to propagate through the APIs
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- tools: bpftool: add map create command (bsc#1109837).
- bpf: bpftool, add flag to allow non-compat map definitions
  (bsc#1109837).
- bpf: bpftool, add support for attaching programs to maps
  (bsc#1109837).
- bpf: add tls support for testing in test_sockmap (bsc#1109837).
- tls: add bpf support to sk_msg handling (bsc#1109837).
- tls: replace poll implementation with read hook (bsc#1109837).
- tls: convert to generic sk_msg interface (bsc#1109837).
- bpf, sockmap: convert to generic sk_msg interface (bsc#1109837).
- tcp, ulp: remove ulp bits from sockmap (bsc#1109837).
- bpftool: Allow add linker flags via EXTRA_LDFLAGS variable
  (bsc#1109837).
- bpftool: Allow to add compiler flags via EXTRA_CFLAGS variable
  (bsc#1109837).
- tools/bpf: use proper type and uapi perf_event.h header for
  libbpf (bsc#1109837).
- selftests/bpf: add XDP selftests for modifying and popping
  VLAN headers (bsc#1109837).
- bpf: make TC vlan bpf_helpers avail to selftests (bsc#1109837).
- net: fix generic XDP to handle if eth header was mangled
  (bsc#1109837).
- bpf: return EOPNOTSUPP when map lookup isn't supported
  (bsc#1109837).
- bpf: error handling when map_lookup_elem isn't supported
  (bsc#1109837).
- bpf: btf: Fix a missing check bug (bsc#1109837).
- bnxt_en: Add PCI ID for BCM57508 device (bsc#1104745
  FATE#325918).
- bnxt_en: Add new NAPI poll function for 57500 chips (bsc#1104745
  FATE#325918).
- bnxt_en: Refactor bnxt_poll_work() (bsc#1104745 FATE#325918).
- bnxt_en: Add coalescing setup for 57500 chips (bsc#1104745
  FATE#325918).
- bnxt_en: Use bnxt_cp_ring_info struct pointer as parameter
  for RX path (bsc#1104745 FATE#325918).
- bnxt_en: Add RSS support for 57500 chips (bsc#1104745
  FATE#325918).
- bnxt_en: Increase RSS context array count and skip ring groups
  on 57500 chips (bsc#1104745 FATE#325918).
- bnxt_en: Allocate/Free CP rings for 57500 series chips
  (bsc#1104745 FATE#325918).
- bnxt_en: Modify bnxt_ring_alloc_send_msg() to support 57500
  chips (bsc#1104745 FATE#325918).
- bnxt_en: Add helper functions to get firmware CP ring ID
  (bsc#1104745 FATE#325918).
- bnxt_en: Allocate completion ring structures for 57500 series
  chips (bsc#1104745 FATE#325918).
- bnxt_en: Modify the ring reservation functions for 57500 series
  chips (bsc#1104745 FATE#325918).
- bnxt_en: Adjust MSIX and ring groups for 57500 series chips
  (bsc#1104745 FATE#325918).
- bnxt_en: Re-structure doorbells (bsc#1104745 FATE#325918).
- bnxt_en: Add 57500 new chip ID and basic structures (bsc#1104745
  FATE#325918).
- bnxt_en: Configure context memory on new devices (bsc#1104745
  FATE#325918).
- bnxt_en: Check context memory requirements from firmware
  (bsc#1104745 FATE#325918).
- bnxt_en: Add new flags to setup new page table PTE bits on
  newer devices (bsc#1104745 FATE#325918).
- bnxt_en: Refactor bnxt_ring_struct (bsc#1104745 FATE#325918).
- bnxt_en: Update interrupt coalescing logic (bsc#1104745
  FATE#325918).
- bnxt_en: Add maximum extended request length fw message support
  (bsc#1104745 FATE#325918).
- bnxt_en: Add additional extended port statistics (bsc#1104745
  FATE#325918).
- bnxt_en: Update firmware interface spec. to 1.10.0.3
  (bsc#1104745 FATE#325918).
- nfp: devlink port split support for 1x100G CXP NIC
  (bsc#1109837).
- net/mlx5e: Do not ignore netdevice TX/RX queues number
  (bsc#1103990 FATE#326006).
- net/mlx5e: Use non-delayed work for update stats (bsc#1103990
  FATE#326006).
- net/mlx5e: Initialize all netdev common structures in one place
  (bsc#1103990 FATE#326006).
- net/mlx5e: Always initialize update stats delayed work
  (bsc#1103990 FATE#326006).
- net/mlx5e: Gather common netdev init/cleanup functionality in
  one place (bsc#1103990 FATE#326006).
- RDMA/netdev: Fix netlink support in IPoIB (bsc#1103992
  FATE#326009).
- RDMA/netdev: Hoist alloc_netdev_mqs out of the driver
  (bsc#1103992 FATE#326009).
- net: hns3: Resume promisc mode and vlan filter status after
  loopback test (bsc#1104353 FATE#326415).
- net: hns3: Resume promisc mode and vlan filter status after
  reset (bsc#1104353 FATE#326415).
- net: hns3: Enable promisc mode when mac vlan table is full
  (bsc#1104353 FATE#326415).
- nfp: replace long license headers with SPDX (bsc#1109837).
- cxgb4: fix thermal configuration dependencies (bsc#1104279
  FATE#325938 bsc#1104277 FATE#325936).
- mlxsw: spectrum: Add NVE packet traps (bsc#1112374).
- mlxsw: resources: Add NVE resources (bsc#1112374).
- mlxsw: reg: Add Monitoring Parsing State Register (bsc#1112374).
- mlxsw: reg: Add definition of unicast tunnel record for SFD
  register (bsc#1112374).
- mlxsw: reg: Add Tunneling NVE QoS Default Register
  (bsc#1112374).
- mlxsw: reg: Add Tunneling NVE QoS Configuration Register
  (bsc#1112374).
- mlxsw: reg: Add Tunneling NVE Decapsulation ECN Mapping Register
  (bsc#1112374).
- mlxsw: reg: Add Tunneling NVE Encapsulation ECN Mapping Register
  (bsc#1112374).
- mlxsw: reg: Add Tunneling NVE Underlay Multicast Table Register
  (bsc#1112374).
- mlxsw: reg: Add Tunnel Port Configuration Register
  (bsc#1112374).
- mlxsw: reg: Add Tunneling NVE General Configuration Register
  (bsc#1112374).
- mlxsw: spectrum: Seed LAG hash function (bsc#1112374).
- mlxsw: reg: Extend FDB flush types for NVE (bsc#1112374).
- mlxsw: spectrum: Add a new type of KVD linear record
  (bsc#1112374).
- mlxsw: spectrum: Move L3 protocol and address definitions to
  global header file (bsc#1112374).
- mlxsw: spectrum_switchdev: Do not assume notifier information
  type (bsc#1112374).
- mlxsw: spectrum_switchdev: Check notification relevance based
  on upper device (bsc#1112374).
- mlxsw: spectrum_switchdev: Prepare for VxLAN FDB notifications
  (bsc#1112374).
- mlxsw: spectrum: Remove misuses of private header file
  (bsc#1112374).
- net: hns3: Add HW RSS hash information to RX skb (bsc#1104353
  FATE#326415).
- net: hns3: Add RSS tuples support for VF (bsc#1104353
  FATE#326415).
- net: hns3: Add RSS general configuration support for VF
  (bsc#1104353 FATE#326415).
- net: hns3: Add new RSS hash algorithm support for PF
  (bsc#1104353 FATE#326415).
- net: sched: avoid writing on noop_qdisc (bsc#1109837).
- net: tun: remove useless codes of tun_automq_select_queue
  (bsc#1109837).
- virtio_net: ethtool tx napi configuration (bsc#1109837).
- nfp: flower: use host context count provided by firmware
  (bsc#1109837).
- nfp: flower: use stats array instead of storing stats per flow
  (bsc#1109837).
- nfp: flower: use rhashtable for flow caching (bsc#1109837).
- mlxsw: pci: Fix a typo (bsc#1112374).
- qed: Add support for virtual link (bsc#1104393 FATE#325891
  bsc#1104389 FATE#325890).
- cxgb4: Add thermal zone support (bsc#1104279 FATE#325938
  bsc#1104277 FATE#325936).
- net/mlx4_en: Use minimal rx and tx ring sizes on kdump kernel
  (bsc#1103989 FATE#326004).
- bpf: allow offload of programs with BPF-to-BPF function calls
  (bsc#1109837).
- nfp: bpf: support pointers to other stack frames for BPF-to-BPF
  calls (bsc#1109837).
- nfp: bpf: optimise save/restore for R6~R9 based on register
  usage (bsc#1109837).
- nfp: bpf: fix return address from register-saving subroutine
  to callee (bsc#1109837).
- nfp: bpf: update fixup function for BPF-to-BPF calls support
  (bsc#1109837).
- nfp: bpf: account for additional stack usage when checking
  stack limit (bsc#1109837).
- nfp: bpf: add main logics for BPF-to-BPF calls support in nfp
  driver (bsc#1109837).
- nfp: bpf: account for BPF-to-BPF calls when preparing nfp JIT
  (bsc#1109837).
- nfp: bpf: ignore helper-related checks for BPF calls in nfp
  verifier (bsc#1109837).
- nfp: bpf: copy eBPF subprograms information from kernel verifier
  (bsc#1109837).
- nfp: bpf: rename nfp_prog->stack_depth as
  nfp_prog->stack_frame_depth (bsc#1109837).
- bpf: add verifier callback to get stack usage info for offloaded
  progs (bsc#1109837).
- libbpf: relicense libbpf as LGPL-2.1 OR BSD-2-Clause
  (bsc#1109837).
- xsk: proper AF_XDP socket teardown ordering (bsc#1109837).
- xsk: simplify xdp_clear_umem_at_qid implementation
  (bsc#1109837).
- ethtool: don't allow disabling queues with umem installed
  (bsc#1109837).
- ethtool: rename local variable max -> curr (bsc#1109837).
- xsk: fix bug when trying to use both copy and zero-copy on
  one queue id (bsc#1109837).
- net: add umem reference in netdev{_rx}_queue (bsc#1109837).
- bpf, tracex3_user: erase "ARRAY_SIZE" redefined (bsc#1109837).
- libbpf: Use __u32 instead of u32 in bpf_program__load
  (bsc#1109837).
- libbpf: Make include guards consistent (bsc#1109837).
- libbpf: Consistent prefixes for interfaces in str_error.h
  (bsc#1109837).
- libbpf: Consistent prefixes for interfaces in nlattr.h
  (bsc#1109837).
- libbpf: Consistent prefixes for interfaces in libbpf.h
  (bsc#1109837).
- libbpf: Move __dump_nlmsg_t from API to implementation
  (bsc#1109837).
- libbpf: Support loading individual progs (bsc#1109837).
- bpf: Generalize ptr_or_null regs check (bsc#1109837).
- bpf: Reuse canonical string formatter for ctx errs
  (bsc#1109837).
- bpf: Simplify ptr_min_max_vals adjustment (bsc#1109837).
- bpf: Add iterator for spilled registers (bsc#1109837).
- nfp: bpf: allow control message sizing for map ops
  (bsc#1109837).
- nfp: allow apps to request larger MTU on control vNIC
  (bsc#1109837).
- nfp: bpf: parse global BPF ABI version capability (bsc#1109837).
- bpf: permit CGROUP_DEVICE programs accessing helper
  bpf_get_current_cgroup_id() (bsc#1109837).
- selftests/bpf: Test libbpf_{prog,attach}_type_by_name
  (bsc#1109837).
- selftests/bpf: Use libbpf_attach_type_by_name in
  test_socket_cookie (bsc#1109837).
- libbpf: Support sk_skb/stream_{parser, verdict} section names
  (bsc#1109837).
- libbpf: Support cgroup_skb/{e,in}gress section names
  (bsc#1109837).
- libbpf: Introduce libbpf_attach_type_by_name (bsc#1109837).
- net: sched: cls_u32: simplify the hell out u32_delete()
  emptiness check (bsc#1109837).
- net: sched: cls_u32: keep track of knodes count in tc_u_common
  (bsc#1109837).
- net: sched: cls_u32: get rid of tp_c (bsc#1109837).
- net: sched: cls_u32: the tp_c argument of u32_set_parms()
  is always tp->data (bsc#1109837).
- net: sched: cls_u32: pass tc_u_common to u32_set_parms()
  instead of tc_u_hnode (bsc#1109837).
- net: sched: cls_u32: clean tc_u_common hashtable (bsc#1109837).
- net: sched: cls_u32: get rid of tc_u_common ->rcu (bsc#1109837).
- net: sched: cls_u32: get rid of tc_u_knode ->tp (bsc#1109837).
- net: sched: cls_u32: get rid of unused argument of
  u32_destroy_key() (bsc#1109837).
- net: sched: cls_u32: make sure that divisor is a power of 2
  (bsc#1109837).
- net: sched: cls_u32: disallow linking to root hnode
  (bsc#1109837).
- net: sched: cls_u32: mark root hnode explicitly (bsc#1109837).
- net: vhost: remove bad code line (bsc#1109837).
- net: sched: pie: fix coding style issues (bsc#1109837).
- bnxt_en: Remove unnecessary unsigned integer comparison and
  initialize variable (bsc#1104745 FATE#325918).
- net: hns3: Fix for rx vlan id handle to support Rev 0x21
  hardware (bsc#1104353 FATE#326415).
- net: hns3: Add egress/ingress vlan filter for revision 0x21
  (bsc#1104353 FATE#326415).
- net: hns3: Drop depricated mta table support (bsc#1104353
  FATE#326415).
- net: hns3: Optimize for unicast mac vlan table (bsc#1104353
  FATE#326415).
- net: hns3: Clear mac vlan table entries when unload driver or
  function reset (bsc#1104353 FATE#326415).
- net: hns3: Remove the default mask configuration for mac vlan
  table (bsc#1104353 FATE#326415).
- cxgb4: use FW_PORT_ACTION_L1_CFG32 for 32 bit capability
  (bsc#1104279 FATE#325938 bsc#1104277 FATE#325936).
- net_sched: convert idrinfo->lock from spinlock to a mutex
  (bsc#1109837).
- net: sched: remove unused helpers (bsc#1109837).
- bnxt_en: Add a driver specific gre_ver_check devlink parameter
  (bsc#1104745 FATE#325918).
- bnxt_en: Use msix_vec_per_pf_max and msix_vec_per_pf_min
  devlink params (bsc#1104745 FATE#325918).
- bnxt_en: return proper error when FW returns
  HWRM_ERR_CODE_RESOURCE_ACCESS_DENIED (bsc#1104745 FATE#325918).
- bnxt_en: Use ignore_ari devlink parameter (bsc#1104745
  FATE#325918).
- devlink: Add generic parameter msix_vec_per_pf_min
  (bsc#1109837).
- devlink: Add generic parameter msix_vec_per_pf_max
  (bsc#1109837).
- devlink: Add generic parameter ignore_ari (bsc#1109837).
- qed: Avoid implicit enum conversion in qed_ooo_submit_tx_buffers
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- net/mlx5: Add Fast teardown support (bsc#1103990 FATE#326006).
- net/mlx5e: Add new counter for aRFS rule insertion failures
  (bsc#1103990 FATE#326006).
- net/mlx5e: Add extack messages for TC offload failures
  (bsc#1103990 FATE#326006).
- net/mlx5e: E-Switch, Add extack messages to devlink callbacks
  (bsc#1103990 FATE#326006).
- devlink: Add extack for eswitch operations (bsc#1109837).
- liquidio: fix a couple of spelling mistakes (bsc#1119406
  FATE#326562).
- ixgbe: add AF_XDP zero-copy Tx support (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbe: move common Tx functions to ixgbe_txrx_common.h
  (bsc#1113994 FATE#326315 FATE#326317).
- ixgbe: add AF_XDP zero-copy Rx support (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbe: move common Rx functions to ixgbe_txrx_common.h
  (bsc#1113994 FATE#326315 FATE#326317).
- ixgbe: added Rx/Tx ring disable/enable functions (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: Fix crash with VFs and flow director on interface flap
  (bsc#1113994 FATE#326315 FATE#326317).
- i40e: Remove unnecessary print statement (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: Use proper enum in i40e_ndo_set_vf_link_state (bsc#1111981
  FATE#326312 FATE#326313).
- ixgbevf: off by one in ixgbevf_ipsec_tx() (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: remove redundant function ixgbe_fw_recovery_mode()
  (bsc#1113994 FATE#326315 FATE#326317).
- ixgbe: Fix ixgbe TX hangs with XDP_TX beyond queue limit
  (bsc#1113994 FATE#326315 FATE#326317).
- ixgbevf: fix msglen for ipsec mbx messages (bsc#1113994
  FATE#326315 FATE#326317).
- cxgb4: remove the unneeded locks (bsc#1104279 FATE#325938
  bsc#1104277 FATE#325936).
- tls: Add support for inplace records encryption (bsc#1109837).
- cxgb4: Use proper enum in IEEE_FAUX_SYNC (bsc#1104279
  FATE#325938 bsc#1104277 FATE#325936).
- cxgb4: Use proper enum in cxgb4_dcb_handle_fw_update
  (bsc#1104279 FATE#325938 bsc#1104277 FATE#325936).
- qede: Add driver support for 20G link speed (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- qed: Add driver support for 20G link speed (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- net_sched: fix a crash in tc_new_tfilter() (bsc#1109837).
- net: hns3: Add support for enable/disable flow director
  (bsc#1104353 FATE#326415).
- net: hns3: Remove all flow director rules when unload hns3
  driver (bsc#1104353 FATE#326415).
- net: hns3: Add reset handle for flow director (bsc#1104353
  FATE#326415).
- net: hns3: Add support for rule query of flow director
  (bsc#1104353 FATE#326415).
- net: hns3: Add support for rule add/delete for flow director
  (bsc#1104353 FATE#326415).
- net: hns3: Add input key and action config support for flow
  director (bsc#1104353 FATE#326415).
- net: hns3: Add flow director initialization (bsc#1104353
  FATE#326415).
- nfp: warn on experimental TLV types (bsc#1109837).
- net/mlx5: Cache the system image guid (bsc#1103990 FATE#326006).
- net/mlx5e: Allow reporting of checksum unnecessary (bsc#1103990
  FATE#326006).
- net/mlx5e: Enable reporting checksum unnecessary also for L3
  packets (bsc#1103990 FATE#326006).
- net/mlx5e: Add ethtool control of ring params to VF representors
  (bsc#1103990 FATE#326006).
- net/mlx5e: Enable multi-queue and RSS for VF representors
  (bsc#1103990 FATE#326006).
- net/mlx5e: Expose ethtool rss key size / indirection table
  functions (bsc#1103990 FATE#326006).
- net/mlx5e: Expose function for building RSS params (bsc#1103990
  FATE#326006).
- net/mlx5e: Provide explicit directive if to create inner
  indirect tirs (bsc#1103990 FATE#326006).
- net/mlx5: E-Switch, Provide flow dest when creating vport rx
  rule (bsc#1103990 FATE#326006).
- net/mlx5e: Extract creation of rep's default flow rule
  (bsc#1103990 FATE#326006).
- net/mlx5e: Enable stateless offloads for VF representor netdevs
  (bsc#1103990 FATE#326006).
- net/mlx5e: Change VF representors' RQ type (bsc#1103990
  FATE#326006).
- net/mlx5e: Ethtool steering, Support masks for l3/l4 filters
  (bsc#1103990 FATE#326006).
- tls: Remove redundant vars from tls record structure
  (bsc#1109837).
- hns3: Another build fix (bsc#1104353 FATE#326415).
- hns3: Fix the build (bsc#1104353 FATE#326415).
- qed: fix spelling mistake "b_cb_registred" -> "b_cb_registered"
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- net: sched: make function qdisc_free_cb() static (bsc#1109837).
- net: hns3: Fix loss of coal configuration while doing reset
  (bsc#1104353 FATE#326415).
- net: hns3: Modify hns3_get_max_available_channels (bsc#1104353
  FATE#326415).
- net: hns3: Change return type of hclge_tm_schd_info_update()
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for netdev not up problem when setting mtu
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for packet buffer setting bug (bsc#1104353
  FATE#326415).
- net: hns3: Add serdes parallel inner loopback support
  (bsc#1104353 FATE#326415).
- net: hns3: Rename mac loopback to app loopback (bsc#1104353
  FATE#326415).
- net: hns3: Rename loop mode (bsc#1104353 FATE#326415).
- net: hns3: Set extra mac address of pause param for HW
  (bsc#1104353 FATE#326415).
- net: hns3: Add support for sctp checksum offload (bsc#1104353
  FATE#326415).
- net/tls: Make function get_rec() static (bsc#1109837).
- net/core: make function ___gnet_stats_copy_basic() static
  (bsc#1109837).
- qed: Remove set but not used variable 'p_archipelago'
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- net: vhost: add rx busy polling in tx path (bsc#1109837).
- net: vhost: factor out busy polling logic to
  vhost_net_busy_poll() (bsc#1109837).
- net: vhost: replace magic number of lock annotation
  (bsc#1109837).
- net: vhost: lock the vqs one by one (bsc#1109837).
- net: liquidio: list usage cleanup (bsc#1119406 FATE#326562).
- net: qed: list usage cleanup (bsc#1104393 FATE#325891
  bsc#1104389 FATE#325890).
- bpf: remove redundant null pointer check before consume_skb
  (bsc#1109837).
- samples/bpf: fix compilation failure (bsc#1109837).
- samples/bpf: fix a compilation failure (bsc#1109837).
- samples/bpf: remove duplicated includes (bsc#1109837).
- net/core/filter: fix unused-variable warning (bsc#1109837).
- tools/bpf: fix a netlink recv issue (bsc#1109837).
- tools/bpf: add more netlink functionalities in lib/bpf
  (bsc#1109837).
- tools/bpf: move bpf/lib netlink related functions into a new
  file (bsc#1109837).
- selftests/bpf/test_progs: do not check errno == 0 (bsc#1109837).
- xdp: split code for map vs non-map redirect (bsc#1109837).
- xdp: explicit inline __xdp_map_lookup_elem (bsc#1109837).
- xdp: unlikely instrumentation for xdp map redirect
  (bsc#1109837).
- bpf/verifier: fix verifier instability (bsc#1109837).
- libbpf: Remove the duplicate checking of function storage
  (bsc#1109837).
- i40e: disallow changing the number of descriptors when AF_XDP
  is on (bsc#1111981 FATE#326312 FATE#326313).
- i40e: clean zero-copy XDP Rx ring on shutdown/reset (bsc#1111981
  FATE#326312 FATE#326313).
- net: xsk: add a simple buffer reuse queue (bsc#1109837).
- i40e: clean zero-copy XDP Tx ring on shutdown/reset (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: Remove unused msglen parameter from virtchnl functions
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e: fix double 'NIC Link is Down' messages (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: add a helper function to validate a VF based on the vf id
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e: use declared variables for pf and hw (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: Unset promiscuous settings on VF reset (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: Fix VF's link state notification (bsc#1111981 FATE#326312
  FATE#326313).
- net: sched: use reference counting for tcf blocks on rules
  update (bsc#1109837).
- net: sched: implement tcf_block_refcnt_{get|put}()
  (bsc#1109837).
- net: sched: protect block idr with spinlock (bsc#1109837).
- net: sched: implement functions to put and flush all chains
  (bsc#1109837).
- net: sched: change tcf block reference counter type to
  refcount_t (bsc#1109837).
- net: sched: use Qdisc rcu API instead of relying on rtnl lock
  (bsc#1109837).
- net: sched: add helper function to take reference to Qdisc
  (bsc#1109837).
- net: sched: extend Qdisc with rcu (bsc#1109837).
- net: sched: rename qdisc_destroy() to qdisc_put() (bsc#1109837).
- net: core: netlink: add helper refcount dec and lock function
  (bsc#1109837).
- tls: Fixed a memory leak during socket close (bsc#1109837).
- tls: Fix socket mem accounting error under async encryption
  (bsc#1109837).
- tls: Fixed uninitialised vars warning (bsc#1109837).
- net/tls: Fixed race condition in async encryption (bsc#1109837).
- net/sched: Add hardware specific counters to TC actions
  (bsc#1109837).
- net/core: Add new basic hardware counter (bsc#1109837).
- mlxsw: Make MLXSW_SP1_FWREV_MINOR a hard requirement
  (bsc#1112374).
- net: hns3: Remove redundant hclge_get_port_type() (bsc#1104353
  FATE#326415).
- net: hns3: Fix speed/duplex information loss problem when
  executing ethtool ethx cmd of VF (bsc#1104353 FATE#326415).
- net: hns3: Add get_media_type ops support for VF (bsc#1104353
  FATE#326415).
- net: hns3: Remove print messages for error packet (bsc#1104353
  FATE#326415).
- net: hns3: Add unlikely for dma_mapping_error check (bsc#1104353
  FATE#326415).
- net: hns3: Add nic state check before calling
  netif_tx_wake_queue (bsc#1104353 FATE#326415).
- net: hns3: Add handle for default case (bsc#1104353
  FATE#326415).
- net: hns3: Unify the prefix of vf functions (bsc#1104353
  FATE#326415).
- net: hns3: Fix tqp array traversal condition for vf (bsc#1104353
  FATE#326415).
- net: hns3: Adjust prefix of tx/rx statistic names (bsc#1104353
  FATE#326415).
- net: hns3: Unify the type convert for desc.data (bsc#1104353
  FATE#326415).
- net: hns3: Fix ets validate issue (bsc#1104353 FATE#326415).
- net/tls: Add support for async encryption of records for
  performance (bsc#1109837).
- vhost_net: add a missing error return (bsc#1109837).
- net: tap: remove redundant null pointer check before kfree_skb
  (bsc#1109837).
- net_sched: change tcf_del_walker() to take idrinfo->lock
  (bsc#1109837).
- mlxsw: spectrum_buffers: Tweak SBMM configuration (bsc#1112374).
- mlxsw: spectrum_buffers: Configure MC pool (bsc#1112374).
- mlxsw: spectrum_buffers: Allow configuration of static pools
  (bsc#1112374).
- mlxsw: spectrum_buffers: Pass SBPM min_size in cells
  (bsc#1112374).
- mlxsw: spectrum_buffers: Allow an infinite maximum for per-TC
  pool limit (bsc#1112374).
- mlxsw: spectrum_buffers: Allow pools of infinite size
  (bsc#1112374).
- mlxsw: spectrum_buffers: Keep shared buffer size in mlxsw_sp_sb
  (bsc#1112374).
- mlxsw: spectrum_buffers: Split TC_COUNT into ingress and egress
  (bsc#1112374).
- mlxsw: spectrum_buffers: Use devlink pool indices throughout
  (bsc#1112374).
- mlxsw: spectrum: Init shaper for TCs 8..15 (bsc#1112374).
- nfp: provide a better warning when ring allocation fails
  (bsc#1109837).
- net: hns3: Fix parameter type for q_id in
  hclge_tm_q_to_qs_map_cfg() (bsc#1104353 FATE#326415).
- net: hns3: Fix client initialize state issue when roce client
  initialize failed (bsc#1104353 FATE#326415).
- net: hns3: Clear client pointer when initialize client failed
  or unintialize finished (bsc#1104353 FATE#326415).
- net: hns3: Fix cmdq registers initialization issue for vf
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for setting speed for phy failed problem
  (bsc#1104353 FATE#326415).
- net: hns3: Check hdev state when getting link status
  (bsc#1104353 FATE#326415).
- net: hns3: Set STATE_DOWN bit of hdev state when stopping net
  (bsc#1104353 FATE#326415).
- net: hns3: Add support for hns3_nic_netdev_ops.ndo_do_ioctl
  (bsc#1104353 FATE#326415).
- net: hns3: Remove packet statistics of public (bsc#1104353
  FATE#326415).
- net: hns3: Remove tx budget to clean more TX descriptors in
  a napi (bsc#1104353 FATE#326415).
- net: hns3: Add unlikely for buf_num check (bsc#1104353
  FATE#326415).
- net: hns3: Add default irq affinity (bsc#1104353 FATE#326415).
- net: linkwatch: add check for netdevice being present to
  linkwatch_do_dev (bsc#1109837).
- net: qede: Use FIELD_SIZEOF directly instead of reimplementing
  its function (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- net: core: Use FIELD_SIZEOF directly instead of reimplementing
  its function (bsc#1109837).
- net: sched: Use FIELD_SIZEOF directly instead of reimplementing
  its function (bsc#1109837).
- net: cavium: fix return type of ndo_start_xmit function
  (bsc#1119406 FATE#326562).
- veth: rename pcpu_vstats as pcpu_lstats (bsc#1109837).
- qed: remove duplicated include from qed_cxt.c (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- liquidio: remove duplicated include from lio_vf_rep.c
  (bsc#1119406 FATE#326562).
- cxgb4: remove duplicated include from cxgb4_main.c (bsc#1104279
  FATE#325938 bsc#1104277 FATE#325936).
- liquidio: Add the features to show FEC settings and set FEC
  settings (bsc#1119406 FATE#326562).
- tls: async support causes out-of-bounds access in crypto APIs
  (bsc#1109837).
- net/sched: act_police: don't use spinlock in the data path
  (bsc#1109837).
- net/sched: act_police: use per-cpu counters (bsc#1109837).
- cxgb4: update supported DCB version (bsc#1104279 FATE#325938
  bsc#1104277 FATE#325936).
- cxgb4: add per rx-queue counter for packet errors (bsc#1104279
  FATE#325938 bsc#1104277 FATE#325936).
- cxgb4: Fix endianness issue in t4_fwcache() (bsc#1104279
  FATE#325938 bsc#1104277 FATE#325936).
- net: move definition of pcpu_lstats to header file
  (bsc#1109837).
- vhost_net: batch submitting XDP buffers to underlayer sockets
  (bsc#1109837).
- tap: accept an array of XDP buffs through sendmsg()
  (bsc#1109837).
- tuntap: accept an array of XDP buffs through sendmsg()
  (bsc#1109837).
- tun: switch to new type of msg_control (bsc#1109837).
- tuntap: move XDP flushing out of tun_do_xdp() (bsc#1109837).
- tuntap: split out XDP logic (bsc#1109837).
- tuntap: tweak on the path of skb XDP case in tun_build_skb()
  (bsc#1109837).
- tuntap: simplify error handling in tun_build_skb()
  (bsc#1109837).
- tuntap: enable bh early during processing XDP (bsc#1109837).
- tuntap: switch to use XDP_PACKET_HEADROOM (bsc#1109837).
- net: sock: introduce SOCK_XDP (bsc#1109837).
- nfp: report FW vNIC stats in interface stats (bsc#1109837).
- net/tls: Fixed return value when tls_complete_pending_work()
  fails (bsc#1109837).
- liquidio: Removed droq lock (bsc#1119406 FATE#326562).
- liquidio: Per queue oom work queue (bsc#1119406 FATE#326562).
- liquidio: Disabling tasklet when NAPI is active (bsc#1119406
  FATE#326562).
- htb: use anonymous union for simplicity (bsc#1109837).
- net_sched: remove redundant qdisc lock classes (bsc#1109837).
- net: sched: cls_flower: dump offload count value (bsc#1109837).
- net: Add and use skb_list_del_init() (bsc#1109837).
- net: Add and use skb_mark_not_on_list() (bsc#1109837).
- infiniband: nes: Use skb_peek_next() and skb_queue_walk()
  (bsc#1109837).
- sch_netem: Move private queue handler to generic location
  (bsc#1109837).
- sch_htb: Remove local SKB queue handling code (bsc#1109837).
- cxgb4: remove redundant assignment to vlan_cmd.dropnovlan_fm
  (bsc#1104279 FATE#325938 bsc#1104277 FATE#325936).
- net: sched: act_nat: remove dependency on rtnl lock
  (bsc#1109837).
- net: sched: act_skbedit: remove dependency on rtnl lock
  (bsc#1109837).
- cxgb4: impose mandatory VLAN usage when non-zero TAG ID
  (bsc#1104279 FATE#325938 bsc#1104277 FATE#325936).
- liquidio: lio_fetch_vf_stats() can be static (bsc#1119406
  FATE#326562).
- nfp: replace spin_lock_bh with spin_lock in tasklet callback
  (bsc#1109837).
- bnxt_en: remove set but not used variable 'addr_type'
  (bsc#1104745 FATE#325918).
- liquidio CN23XX: Remove set but not used variable 'ring_flag'
  (bsc#1119406 FATE#326562).
- liquidio: Add spoof checking on a VF MAC address (bsc#1119406
  FATE#326562).
- net/mlx5e: don't set CHECKSUM_COMPLETE on SCTP packets
  (bsc#1103990 FATE#326006).
- net/mlx5e: Set ECN for received packets using CQE indication
  (bsc#1103990 FATE#326006).
- net/mlx5e: Replace PTP clock lock from RW lock to seq lock
  (bsc#1103990 FATE#326006).
- net/mlx5e: Move Q counters allocation and drop RQ to init_rx
  (bsc#1103990 FATE#326006).
- net/mlx5e: Move mlx5e_priv_flags into en_ethtool.c (bsc#1103990
  FATE#326006).
- net/mlx5: Add flow counters idr (bsc#1103990 FATE#326006).
- net/mlx5: Store flow counters in a list (bsc#1103990
  FATE#326006).
- net/mlx5: Add new list to store deleted flow counters
  (bsc#1103990 FATE#326006).
- net/mlx5: Change flow counters addlist type to single linked
  list (bsc#1103990 FATE#326006).
- qed*: Utilize FW 8.37.7.0 (bsc#1104393 FATE#325891 bsc#1104389
  FATE#325890).
- nfp: separate VXLAN and GRE feature handling (bsc#1109837).
- nfp: validate rtsym accesses fall within the symbol
  (bsc#1109837).
- nfp: prefix rtsym error messages with symbol name (bsc#1109837).
- nfp: fix readq on absolute RTsyms (bsc#1109837).
- net/mlx5e: Make function mlx5i_grp_sw_update_stats() static
  (bsc#1103990 FATE#326006).
- cxgb4: collect hardware queue descriptors (bsc#1104279
  FATE#325938 bsc#1104277 FATE#325936).
- cxgb4: when max_tx_rate is 0 disable tx rate limiting
  (bsc#1104279 FATE#325938 bsc#1104277 FATE#325936).
- net: hns3: Refine hns3_get_link_ksettings() (bsc#1104353
  FATE#326415).
- net: hns3: Remove redundant codes of query advertised flow
  control abilitiy (bsc#1104353 FATE#326415).
- net: hns3: Change the dst mac addr of loopback packet
  (bsc#1104353 FATE#326415).
- net: hns3: Only update mac configuation when necessary
  (bsc#1104353 FATE#326415).
- net: hns3: Preserve vlan 0 in hardware table (bsc#1104353
  FATE#326415).
- net: hns3: Fix ping exited problem when doing lp selftest
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for loopback selftest failed problem (bsc#1104353
  FATE#326415).
- net: hns3: Implement shutdown ops in hns3 pci driver
  (bsc#1104353 FATE#326415).
- net: hns3: Fix error of checking used vlan id (bsc#1104353
  FATE#326415).
- net: hns3: Fix for multicast failure (bsc#1104353 FATE#326415).
- net: hns3: Fix for vf vlan delete failed problem (bsc#1104353
  FATE#326415).
- liquidio: Added delayed work for periodically updating the
  link statistics (bsc#1119406 FATE#326562).
- net/mlx5e: IPoIB, Use priv stats in completion rx flow
  (bsc#1103990 FATE#326006).
- net/mlx5e: IPoIB, Add ndo stats support for IPoIB child devices
  (bsc#1103990 FATE#326006).
- net/mlx5e: IPoIB, Add ndo stats support for IPoIB netdevices
  (bsc#1103990 FATE#326006).
- net/mlx5e: IPoIB, Initialize max_opened_tc in mlx5i_init flow
  (bsc#1103990 FATE#326006).
- liquidio: remove set but not used variable 'irh' (bsc#1119406
  FATE#326562).
- qed: Lower the severity of a dcbx log message (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- net/tls: Add support for async decryption of tls records
  (bsc#1109837).
- bnxt_en: remove set but not used variable 'rx_stats'
  (bsc#1104745 FATE#325918).
- net_sched: add missing tcf_lock for act_connmark (bsc#1109837).
- veth: add software timestamping (bsc#1109837).
- Revert "net: sched: act: add extack for lookup callback"
  (bsc#1109837).
- xsk: i40e: get rid of useless struct xdp_umem_props (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: fix possible compiler warning in xsk TX path (bsc#1111981
  FATE#326312 FATE#326313).
- bpf: add selftest for bpf's (set|get)_sockopt for SAVE_SYN
  (bsc#1109837).
- samples/bpf: xdpsock, minor fixes (bsc#1109837).
- bpf: add TCP_SAVE_SYN/TCP_SAVED_SYN sample program
  (bsc#1109837).
- bpf: add TCP_SAVE_SYN/TCP_SAVED_SYN options for
  bpf_(set|get)sockopt (bsc#1109837).
- xdp: remove redundant variable 'headroom' (bsc#1109837).
- xsk: include XDP meta data in AF_XDP frames (bsc#1109837).
- bpf/verifier: display non-spill stack slot types in
  print_verifier_state (bsc#1109837).
- bpf/verifier: per-register parent pointers (bsc#1109837).
- samples/bpf: add -c/--copy -z/--zero-copy flags to xdpsock
  (bsc#1109837).
- i40e: add AF_XDP zero-copy Tx support (bsc#1111981 FATE#326312
  FATE#326313).
- i40e: move common Tx functions to i40e_txrx_common.h
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e: add AF_XDP zero-copy Rx support (bsc#1111981 FATE#326312
  FATE#326313).
- i40e: move common Rx functions to i40e_txrx_common.h
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e: refactor Rx path for re-use (bsc#1111981 FATE#326312
  FATE#326313).
- i40e: added queue pair disable/enable functions (bsc#1111981
  FATE#326312 FATE#326313).
- net: add napi_if_scheduled_mark_missed (bsc#1109837).
- xsk: expose xdp_umem_get_{data,dma} to drivers (bsc#1109837).
- xdp: export xdp_rxq_info_unreg_mem_model (bsc#1109837).
- xdp: implement convert_to_xdp_frame for MEM_TYPE_ZERO_COPY
  (bsc#1109837).
- bpf: use --cgroup in test_suite if supplied (bsc#1109837).
- bpf: sockmap test remove shutdown() calls (bsc#1109837).
- i40e: Prevent deleting MAC address from VF when set by PF
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e: hold the rtnl lock on clearing interrupt scheme
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e: Check and correct speed values for link on open
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e: report correct statistics when XDP is enabled (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: static analysis report from community (bsc#1111981
  FATE#326312 FATE#326313).
- virtchnl: use u8 type for a field in the virtchnl_filter struct
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e: use correct length for strncpy (bsc#1111981 FATE#326312
  FATE#326313).
- i40e: move ethtool stats boiler plate code to
  i40e_ethtool_stats.h (bsc#1111981 FATE#326312 FATE#326313).
- i40e: convert queue stats to i40e_stats array (bsc#1111981
  FATE#326312 FATE#326313).
- liquidio: remove obsolete functions and data structures
  (bsc#1119406 FATE#326562).
- liquidio: change octnic_ctrl_pkt to do synchronous soft commands
  (bsc#1119406 FATE#326562).
- liquidio: make soft command calls synchronous (bsc#1119406
  FATE#326562).
- liquidio: improve soft command handling (bsc#1119406
  FATE#326562).
- net/tls: Calculate nsg for zerocopy path without skb_cow_data
  (bsc#1109837).
- liquidio: fix race condition in instruction completion
  processing (bsc#1119406 FATE#326562).
- liquidio: remove unnecessary delay when processing IQ responses
  (bsc#1119406 FATE#326562).
- nfp: make RTsym users handle absolute symbols correctly
  (bsc#1109837).
- nfp: support access to absolute RTsyms (bsc#1109837).
- nfp: convert all RTsym users to use new read/write helpers
  (bsc#1109837).
- nfp: convert existing RTsym helpers to full target decoding
  (bsc#1109837).
- nfp: pass cpp_id to nfp_cpp_map_area() (bsc#1109837).
- nfp: add RTsym access helpers (bsc#1109837).
- nfp: add basic errors messages to target logic (bsc#1109837).
- nfp: save the MU locality field offset (bsc#1109837).
- nfp: refactor the per-chip PCIe config (bsc#1109837).
- nfp: add support for NFP5000 (bsc#1109837).
- nfp: abm: look up MAC addresses via management FW (bsc#1109837).
- nfp: add support for indirect HWinfo lookup (bsc#1109837).
- nfp: interpret extended FW load result codes (bsc#1109837).
- nfp: attempt FW load from flash (bsc#1109837).
- nfp: encapsulate NSP command arguments into structs
  (bsc#1109837).
- ixgbe: fix the return value for unsupported VF offload
  (bsc#1113994 FATE#326315 FATE#326317).
- ixgbe: disallow IPsec Tx offload when in SR-IOV mode
  (bsc#1113994 FATE#326315 FATE#326317).
- ixgbevf: enable VF IPsec offload operations (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbevf: add VF IPsec offload code (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbevf: add defines for IPsec offload request (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: add VF IPsec offload request message handling
  (bsc#1113994 FATE#326315 FATE#326317).
- ixgbe: add VF IPsec offload enable flag (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbe: add VF IPsec management (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbe: prep IPsec constants for later use (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: reload IPsec IP table after sa tables (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: don't clear IPsec sa counters on HW clearing (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbevf: VF2VF TCP RSS (bsc#1113994 FATE#326315 FATE#326317).
- ixgbe: firmware recovery mode (bsc#1113994 FATE#326315
  FATE#326317).
- veth: Orphan skb before GRO (bsc#1109837).
- veth: Free queues on link delete (bsc#1109837).
- PCI: Limit config space size for Netronome NFP5000
  (bsc#1109837).
- veth: Support per queue XDP ring (bsc#1109837).
- veth: Add XDP TX and REDIRECT (bsc#1109837).
- veth: Add ndo_xdp_xmit (bsc#1109837).
- veth: Handle xdp_frames in xdp napi ring (bsc#1109837).
- veth: Avoid drops by oversized packets when XDP is enabled
  (bsc#1109837).
- veth: Add driver XDP (bsc#1109837).
- liquidio: remove set but not used variable 'is25G' (bsc#1119406
  FATE#326562).
- liquidio: copperhead LED identification (bsc#1119406
  FATE#326562).
- liquidio: mark expected switch fall-through (bsc#1119406
  FATE#326562).
- liquidio: avoided acquiring post_lock for data only queues
  (bsc#1119406 FATE#326562).
- liquidio: remove redundant function cn23xx_dump_iq_regs
  (bsc#1119406 FATE#326562).
- liquidio: remove redundant function cn23xx_dump_vf_iq_regs
  (bsc#1119406 FATE#326562).
- liquidio: Using NULL instead of plain integer (bsc#1119406
  FATE#326562).
- liquidio: correct error msg text when removing VLAN ID
  (bsc#1119406 FATE#326562).
- liquidio: Use %%pad printk format for dma_addr_t values
  (bsc#1119406 FATE#326562).
- liquidio: use ktime_get_real_ts64() instead of
  getnstimeofday64() (bsc#1119406 FATE#326562).
- liquidio: fix kernel panic when NIC firmware is older than 1.7.2
  (bsc#1119406 FATE#326562).
- liquidio: make timeout HZ independent and readable (bsc#1119406
  FATE#326562).
- liquidio: bump up driver version to 1.7.2 to match newer NIC
  firmware (bsc#1119406 FATE#326562).
- liquidio: monitor all of Octeon's cores in watchdog thread
  (bsc#1119406 FATE#326562).
- liquidio: support use of ethtool to set link speed of CN23XX-225
  cards (bsc#1119406 FATE#326562).
- switchdev: Add fdb.added_by_user to switchdev notifications
  (bsc#1112374).
- liquidio VF: indicate that disabling rx vlan offload is not
  allowed (bsc#1119406 FATE#326562).
- liquidio: fix spelling mistake: "mac_tx_multi_collison" ->
  "mac_tx_multi_collision" (bsc#1119406 FATE#326562).
- liquidio: enhanced ethtool --set-channels feature (bsc#1119406
  FATE#326562).
- liquidio: Moved common function setup_glists to lio_core.c
  (bsc#1119406 FATE#326562).
- liquidio: Moved common definition octnic_gather to
  octeon_network.h (bsc#1119406 FATE#326562).
- liquidio: Moved common function delete_glists to lio_core.c
  (bsc#1119406 FATE#326562).
- liquidio: Moved common function list_delete_head to
  octeon_network.h (bsc#1119406 FATE#326562).
- liquidio: Moved common function if_cfg_callback to lio_core.c
  (bsc#1119406 FATE#326562).
- liquidio: add support for ndo_get_stats64 instead of
  ndo_get_stats (bsc#1119406 FATE#326562).
- liquidio: move a couple of functions to lio_core.c (bsc#1119406
  FATE#326562).
- liquidio: Swap VF representor Tx and Rx statistics (bsc#1119406
  FATE#326562).
- liquidio: Added ndo_get_vf_stats support (bsc#1119406
  FATE#326562).
- vxlan: add ttl inherit support (bsc#1112374).
- liquidio: Enhanced ethtool stats (bsc#1119406 FATE#326562).
- lib/scatterlist: add sg_init_marker() helper (bsc#1109837).
- liquidio: prevent rx queues from getting stalled (bsc#1119406
  FATE#326562).
- liquidio: Prioritize control messages (bsc#1119406 FATE#326562).
- liquidio: Removed duplicate Tx queue status check (bsc#1119406
  FATE#326562).
- liquidio: Renamed txqs_start to start_txqs (bsc#1119406
  FATE#326562).
- liquidio: Renamed txqs_stop to stop_txqs (bsc#1119406
  FATE#326562).
- liquidio: Renamed txqs_wake to wake_txqs (bsc#1119406
  FATE#326562).
- liquidio: Function call skb_iq for deriving queue from skb
  (bsc#1119406 FATE#326562).
- liquidio: Removed one line function wake_q (bsc#1119406
  FATE#326562).
- liquidio: Removed one line function stop_q (bsc#1119406
  FATE#326562).
- liquidio: Removed netif_is_multiqueue check (bsc#1119406
  FATE#326562).
- liquidio: Removed start_txq function (bsc#1119406 FATE#326562).
- liquidio: Removed one line function stop_txq (bsc#1119406
  FATE#326562).
- liquidio: Moved common function skb_iq to to octeon_network.h
  (bsc#1119406 FATE#326562).
- liquidio: Moved common function txqs_start to octeon_network.h
  (bsc#1119406 FATE#326562).
- liquidio: Moved common function txqs_wake to octeon_network.h
  (bsc#1119406 FATE#326562).
- liquidio: Moved common function txqs_stop to octeon_network.h
  (bsc#1119406 FATE#326562).
- liquidio: Added support for trusted VF (bsc#1119406
  FATE#326562).
- net: do_tcp_sendpages flag to avoid SKBTX_SHARED_FRAG
  (bsc#1109837).
- liquidio: Simplified napi poll (bsc#1119406 FATE#326562).
- liquidio: Add support for liquidio 10GBase-T NIC (bsc#1119406
  FATE#326562).
- liquidio: fix ndo_change_mtu to always return correct status
  to the caller (bsc#1119406 FATE#326562).
- liquidio: avoid doing useless work (bsc#1119406 FATE#326562).
- liquidio: Resolved mbox read issue while reading more than
  one 64bit data (bsc#1119406 FATE#326562).
- liquidio: Corrected Rx bytes counting (bsc#1119406 FATE#326562).
- net: remove prototype of qdisc_lookup_class() (bsc#1109837).
- liquidio: Use zeroing memory allocator than allocator/memset
  (bsc#1119406 FATE#326562).
- liquidio: fix incorrect indentation of assignment statement
  (bsc#1119406 FATE#326562).
- liquidio: Missing error code in liquidio_init_nic_module()
  (bsc#1119406 FATE#326562).
- liquidio: do not consider packets dropped by network stack as
  driver Rx dropped (bsc#1119406 FATE#326562).
- liquidio: Fix an issue with multiple switchdev enable disables
  (bsc#1119406 FATE#326562).
- liquidio: bump up driver version to 1.7.0 to match newer NIC
  firmware (bsc#1119406 FATE#326562).
- liquidio: synchronize VF representor names with NIC firmware
  (bsc#1119406 FATE#326562).
- liquidio: remove redundant setting of inst_processed to zero
  (bsc#1119406 FATE#326562).
- liquidio: Configure switchdev with devlink (bsc#1119406
  FATE#326562).
- liquidio: switchdev support for LiquidIO NIC (bsc#1119406
  FATE#326562).
- liquidio: get rid of false alarm "Unknown cmd 27" in dmesg
  (bsc#1119406 FATE#326562).
- liquidio: xmit_more support (bsc#1119406 FATE#326562).
- liquidio: deprecate 1-bit flag indicating watchdog kernel
  thread is running (bsc#1119406 FATE#326562).
- liquidio: pass date and time info to NIC firmware (bsc#1119406
  FATE#326562).
- liquidio: mark expected switch fall-through in
  octeon_destroy_resources (bsc#1119406 FATE#326562).
- liquidio: remove unnecessary NULL check before kfree in
  delete_glists (bsc#1119406 FATE#326562).
- liquidio: update module parameter fw_type to reflect firmware
  type loaded (bsc#1119406 FATE#326562).
- liquidio: verify firmware version when auto-loaded from flash
  (bsc#1119406 FATE#326562).
- liquidio: allow override of firmware present in flash
  (bsc#1119406 FATE#326562).
- bridge: add tracepoint in br_fdb_update (bsc#1112374).
- bridge: fdb add and delete tracepoints (bsc#1112374).
- bpf: sockmap requires STREAM_PARSER add Kconfig entry
  (bsc#1109837).
- commit abbc131
* Mon Dec 17 2018 lhenriques@suse.com
- libceph: introduce BVECS data type (FATE#324714).
- Refresh
  patches.drivers/libceph-add-scatterlist-messenger-data-type.patch.
- commit 322d278
* Mon Dec 17 2018 lhenriques@suse.com
- rbd: get rid of img_req->copyup_pages (FATE#324714).
- Refresh patches.drivers/rbd-add-lio-specific-data-area.patch.
- Refresh
  patches.drivers/rbd-add-support-for-scatterlist-obj_request_type.patch.
- Refresh
  patches.drivers/rbd-move-structs-used-by-lio-rbd-to-new-header.patch.
- commit e442f16
* Mon Dec 17 2018 lhenriques@suse.com
- rbd: don't (ab)use obj_req->pages for stat requests
  (FATE#324714).
- commit d1cb8cc
* Mon Dec 17 2018 yousaf.kaukab@suse.com
- PCI: endpoint: Add support for configurable page size
  (bsc#1119683).
- commit 357671a
* Mon Dec 17 2018 yousaf.kaukab@suse.com
- pci: dwc: drop ep patches to fix armv7hl build
  References: bsc#1119683
  Its OK to drop the patches since CONFIG_PCIE_DW_EP is not set
  in SLE
- commit 2ee834a
* Mon Dec 17 2018 lhenriques@suse.com
- rbd: remove bio cloning helpers (FATE#324714).
- Refresh
  patches.drivers/rbd-add-support-for-scatterlist-obj_request_type.patch.
- commit a407c94
* Mon Dec 17 2018 lhenriques@suse.com
- libceph, rbd: new bio handling code (aka don't clone bios)
  (FATE#324714).
- Refresh
  patches.drivers/libceph-add-scatterlist-messenger-data-type.patch.
- Refresh
  patches.drivers/rbd-add-support-for-scatterlist-obj_request_type.patch.
- Refresh
  patches.drivers/rbd-move-structs-used-by-lio-rbd-to-new-header.patch.
- commit 5cbf92e
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: Fix skipped vendor specific IEs (FATE#326294).
- commit 8309353
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: use atomic bitops to represent adapter status variables
  (FATE#326294).
- commit 1cc3d53
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: restructure rx_reorder_tbl_lock usage (FATE#326294).
- commit debf86f
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: replace rx_pkt_lock by rx_reorder_tbl_lock
  (FATE#326294).
- commit 3122dd0
* Mon Dec 17 2018 tiwai@suse.de
- libertas: use irqsave() in USB's complete callback
  (FATE#326294).
- commit 3a8ffe9
* Mon Dec 17 2018 tiwai@suse.de
- libertas_tf: use irqsave() in USB's complete callback
  (FATE#326294).
- commit 98f60fd
* Mon Dec 17 2018 lhenriques@suse.com
- rbd: start enums at 1 instead of 0 (FATE#324714).
- Refresh
  patches.drivers/rbd-add-support-for-COMPARE_AND_WRITE-CMPEXT.patch.
- Refresh
  patches.drivers/rbd-add-support-for-scatterlist-obj_request_type.patch.
- Refresh
  patches.drivers/rbd-add-support-for-writesame-requests.patch.
- Refresh
  patches.drivers/rbd-move-structs-used-by-lio-rbd-to-new-header.patch.
- commit 8f6c146
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: uap: do not chok ethernet header in bridge path
  (FATE#326294).
- commit 9fd9199
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: reserve passive scan time for radar channel
  (FATE#326294).
- commit 48ca15c
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: increase log level for internal scan fail result
  (FATE#326294).
- commit 9f7f4ae
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: mark expected switch fall-throughs (FATE#326294).
- commit e32e2ba
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: skip sending GT_REKEY_OFFLOAD_CFG if firmware has no
  support (FATE#326294).
- commit acef70c
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: increase TX threashold to avoid TX timeout during ED
  MAC test (FATE#326294).
- commit a272c1f
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: delete unneeded include (FATE#326294).
- commit 02bc938
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: keep user configured mac address during changing
  virtual interface (FATE#326294).
- commit c48739f
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: always configure firmware mac address during changing
  virtual interface (FATE#326294).
- commit 7ed3852
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: make firmware mac address consistent with host
  configuration (FATE#326294).
- commit f793b3d
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: fix mwifiex_hard_start_xmit()'s return type
  (FATE#326294).
- commit 86f77e4
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: uap: support cfg80211 ignore_broadcast_ssid=2
  (FATE#326294).
- commit 87ba33c
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: uap: filter duplicate ERP IE (FATE#326294).
- commit 406908c
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: remove warnings in mwifiex_cmd_append_11n_tlv()
  (FATE#326294).
- commit 5467c47
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: get_channel from firmware (FATE#326294).
- commit a3caafc
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: fix incorrect ht capability problem (FATE#326294).
- commit 9331082
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: correct antenna number with high bits reserved
  (FATE#326294).
- commit 2f01554
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: set different mac address for interfaces with same
  bss type (FATE#326294).
- commit 64fd50a
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: resolve reset vs. remove()/shutdown() deadlocks
  (FATE#326294).
- commit 170d3b8
* Mon Dec 17 2018 tiwai@suse.de
- Revert "mwifiex: cancel pcie/sdio work in remove/shutdown
  handler" (FATE#326294).
- commit e2cfdc1
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: cancel pcie/sdio work in remove/shutdown handler
  (FATE#326294).
- commit 4a7124a
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: debugfs: trigger device dump for usb interface
  (FATE#326294).
- commit e5bb92c
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: device dump support for usb interface (FATE#326294).
- commit 17ba21f
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: refactor device dump code to make it generic for usb
  interface (FATE#326294).
- commit baed9e1
* Mon Dec 17 2018 mbenes@suse.cz
- tools/headers: Sync objtool UAPI header (bsc#1058115).
- commit 03fc90d
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: do not support change AP interface to station mode
  (FATE#326294).
- commit 01a165f
* Mon Dec 17 2018 tiwai@suse.de
- mwl8k: Expand non-DFS 5G channels (FATE#326294).
- commit c79178b
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: do not transmit in 11N rates when connected in TKIP
  security (FATE#326294).
- commit 5f7c8dc
* Mon Dec 17 2018 tiwai@suse.de
- libertas: don't write wdev->ssid/_len (FATE#326294).
- commit ea136a6
* Mon Dec 17 2018 tiwai@suse.de
- libertas: Convert timers to use timer_setup() (FATE#326294).
- commit abf9b7e
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: Convert timers to use timer_setup() (FATE#326294).
- commit 35e28be
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: Use put_unaligned_le32 (FATE#326294).
- commit 1df55a3
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: double the size of chan_stats array in adapter
  (FATE#326294).
- commit 5548f24
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: minor cleanups w/ sta_list_spinlock in cfg80211.c
  (FATE#326294).
- commit 7f95440
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: kill useless list_empty checks (FATE#326294).
- commit 4bff2f9
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: Random MAC address during scanning (FATE#326294).
- commit 8955059
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: make const array tos_to_ac static, reduces object
  code size (FATE#326294).
- commit 105b47f
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: use get_random_mask_addr() helper (FATE#326294).
- commit 9e1d7d0
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: avoid storing random_mac in private (FATE#326294).
- commit 9330e81
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: make const arrays static to shink object code size
  (FATE#326294).
- commit 6340bee
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: remove unnecessary call to memset (FATE#326294).
- commit ec04bfc
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: check for mfg_mode in add_virtual_intf (FATE#326294).
- commit 0b001d8
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: notify cfg80211 about scan abort (FATE#326294).
- commit e278aa2
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: check for NL80211_SCAN_FLAG_RANDOM_ADDR during hidden
  SSID scan (FATE#326294).
- commit f1520e9
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: do not use random MAC for pre-association scanning
  (FATE#326294).
- commit 051250a
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: uap: enable 11d based on userspace configruation
  (FATE#326294).
- commit 8ddec43
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: constify usb_device_id (FATE#326294).
- commit 08c5f50
* Mon Dec 17 2018 tiwai@suse.de
- libertas_tf: constify usb_device_id (FATE#326294).
- commit 3f07b53
* Mon Dec 17 2018 tiwai@suse.de
- libertas: constify usb_device_id (FATE#326294).
- commit 2b62495
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: p2p: use separate device address (FATE#326294).
- commit d067b39
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: wrapper wps ie in pass through tlv (FATE#326294).
- commit 9191989
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: Do not change bss_num in change_virtual_intf
  (FATE#326294).
- commit c229c5a
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: pcie: compatible with wifi-only image while extract
  wifi-part fw (FATE#326294).
- commit 4753898
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: make addba request command clean (FATE#326294).
- commit a208374
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: correct IE parse during association (FATE#326294).
- commit b2151aa
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: fix spelling mistake: "Insuffient" -> "Insufficient"
  (FATE#326294).
- commit 4b594e9
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: usb: fix spelling mistake: "aggreataon"-> "aggregation"
  (FATE#326294).
- commit 2b901af
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: disable uapsd in tdls config (FATE#326294).
- commit a48ceda
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: usb: unlock on error in mwifiex_usb_tx_aggr_tmo()
  (FATE#326294).
- commit 0b60178
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: uninit wakeup info in the error handling (FATE#326294).
- commit 9a59a96
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: fix compile warning of unused variable (FATE#326294).
- commit ddaa33a
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: drop num CPU notice (FATE#326294).
- commit 6254c33
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: keep mwifiex_cancel_pending_ioctl() static
  (FATE#326294).
- commit 8a16359
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: pcie: remove unnecessary 'pdev' check (FATE#326294).
- commit 679749d
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: pcie: disable device DMA before unmapping/freeing
  buffers (FATE#326294).
- commit 935fabe
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: debugfs: allow card_reset() to cancel things
  (FATE#326294).
- commit 20b7636
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: pcie: unify MSI-X / non-MSI-X interrupt process
  (FATE#326294).
- commit 720cb9f
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: pcie: remove unnecessary masks (FATE#326294).
- commit 3a99f49
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: drop 'add_tail' param from
  mwifiex_insert_cmd_to_pending_q() (FATE#326294).
- commit d317b9b
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: don't open-code ARRAY_SIZE() (FATE#326294).
- commit 3e181ab
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: utilize netif_tx_{wake,stop}_all_queues()
  (FATE#326294).
- commit a0b1be6
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: make mwifiex_free_cmd_buffer() return void
  (FATE#326294).
- commit be8929d
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: fix misnomers in mwifiex_free_lock_list()
  (FATE#326294).
- commit 7416c74
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: ensure "disable auto DS" struct is initialized
  (FATE#326294).
- commit 565f1d8
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: fixup init_channel_scan_gap error case (FATE#326294).
- commit a2b93b1
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: don't short-circuit netdev notifiers on interface
  deletion (FATE#326294).
- commit f1f47c9
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: unregister wiphy before freeing resources
  (FATE#326294).
- commit 79d85fd
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: re-register wiphy across reset (FATE#326294).
- commit 195dbaf
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: pcie: don't allow cmd buffer reuse after reset
  (FATE#326294).
- commit fc1696a
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: reset interrupt status across device reset
  (FATE#326294).
- commit 3f8ca2e
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: reunite copy-and-pasted remove/reset code
  (FATE#326294).
- commit 2e4f0c2
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: fix spelling mistake: "secuirty" -> "security"
  (FATE#326294).
- commit 308fffb
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: Do not change bss_type in change_virtual_intf
  (FATE#326294).
- commit 98262cb
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: debugfs: remove redunant check of mwifiex_dfs_dir
  (FATE#326294).
- commit 0044e79
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: fixes the unexpected be printed log by default
  (FATE#326294).
- commit abb5d4b
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: Replace semaphore async_sem with mutex (FATE#326294).
- commit e44754e
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: make function mwifiex_ret_pkt_aggr_ctrl static
  (FATE#326294).
- commit 4e4b2aa
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: uap: process remain on channel expired event
  (FATE#326294).
- commit 19257c5
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: simplify the code around ra_list (FATE#326294).
- commit d0a7f7d
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: check next packet length for usb tx aggregation
  (FATE#326294).
- commit 551fa61
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: usb: add timer to flush aggregation packets
  (FATE#326294).
- Refresh
  patches.drivers/mwifiex-handle-race-during-mwifiex_usb_disconnect.patch.
- commit 0b3422c
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: usb: transmit aggregation packets (FATE#326294).
- Refresh
  patches.drivers/mwifiex-handle-race-during-mwifiex_usb_disconnect.patch.
- commit d0bd6f6
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: usb: kill urb before free its memory (FATE#326294).
- commit f1d7c0a
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: use variable interface header length (FATE#326294).
- commit 3f73157
* Mon Dec 17 2018 tiwai@suse.de
- libertas: Remove function entry/exit debugging (FATE#326294).
- Refresh
  patches.drivers/net-manual-clean-code-which-call-skb_put_-data-zero.patch.
- Refresh
  patches.drivers/wireless-drivers-use-BIT_ULL-for-NL80211_STA_INFO_-a.patch.
- commit 795ffb6
* Mon Dec 17 2018 yousaf.kaukab@suse.com
- supported.conf: enable aquantia phy
  References: fate#326531
- commit 98bb7f5
* Mon Dec 17 2018 msuchanek@suse.de
- powerpc/boot: Fix build failures with -j 1 (bsc#1065729).
- commit 2c1301d
* Mon Dec 17 2018 nsaenzjulienne@suse.de
- HID: Add quirk for Primax PIXART OEM mice (bsc#1119410).
- commit 5bf5901
* Mon Dec 17 2018 msuchanek@suse.de
- powerpc/boot: Expose Kconfig symbols to wrapper (bsc#1065729).
- commit fc1b477
* Mon Dec 17 2018 tiwai@suse.de
- libertas: Avoid reading past end of buffer (FATE#326294).
- commit fa07ea1
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: add missing USB-descriptor endianness conversion
  (FATE#326294).
- commit 42d3b2d
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: pcie: stop setting/clearing 'surprise_removed'
  (FATE#326294).
- Refresh
  patches.drivers/PCI-Split-reset_notify-method-into-reset_prepare-and.patch.
- commit 2ae18ff
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: pcie: remove useless pdev check (FATE#326294).
- commit aa6615c
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: 11h: drop unnecessary check for '!priv' (FATE#326294).
- commit efc7fc5
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: remove redundant 'adapter' check in
  mwifiex_adapter_cleanup (FATE#326294).
- commit 1b3067c
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: remove useless 'mwifiex_lock' (FATE#326294).
- commit 7472e19
* Mon Dec 17 2018 msuchanek@suse.de
- powerpc/traps: restore recoverability of machine_check
  interrupts (bsc#1094244).
- powerpc/64s: consolidate MCE counter increment (bsc#1094244).
- commit 7504c8e
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: don't leak stashed beacon buffer on reset
  (FATE#326294).
- commit bf53031
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: don't drop lock between list-retrieval / list-deletion
  (FATE#326294).
- commit f8280fc
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: Add locking to mwifiex_11n_delba (FATE#326294).
- commit 00ecefa
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: Don't release cmd_pending_q_lock while iterating
  (FATE#326294).
- commit c2dc78c
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: Don't release tx_ba_stream_tbl_lock while iterating
  (FATE#326294).
- commit 034602b
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: pcie: de-duplicate buffer allocation code
  (FATE#326294).
- commit 8fcebc3
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: pcie: add card_reset() support (FATE#326294).
- commit 9c9920d
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: initiate card-specific work atomically (FATE#326294).
- commit ed287fa
* Mon Dec 17 2018 tiwai@suse.de
- mwifiex: p2p client using same data path as station
  (FATE#326294).
- commit 8647f20
* Mon Dec 17 2018 msuchanek@suse.de
- powerpc/papr_scm: Use ibm,unit-guid as the iset cookie
  (FATE#326628, bsc#1113295, git-fixes)).
- powerpc/papr_scm: Fix DIMM device registration race
  (FATE#326628, bsc#1113295, git-fixes)).
- powerpc/papr_scm: Remove endian conversions (FATE#326628,
  bsc#1113295, git-fixes)).
- powerpc/papr_scm: Update DT properties (FATE#326628,
  bsc#1113295, git-fixes)).
- powerpc/papr_scm: Fix resource end address (FATE#326628,
  bsc#1113295, git-fixes)).
- powerpc/papr_scm: Use depend instead of select (FATE#326628,
  bsc#1113295, git-fixes)).
- powerpc/papr_scm: Use ibm,unit-guid as the iset cookie
  (FATE#326628, bsc#1113295, git-fixes)).
- powerpc/papr_scm: Fix DIMM device registration race
  (FATE#326628, bsc#1113295, git-fixes)).
- powerpc/papr_scm: Remove endian conversions (FATE#326628,
  bsc#1113295, git-fixes)).
- powerpc/papr_scm: Update DT properties (FATE#326628,
  bsc#1113295, git-fixes)).
- powerpc/papr_scm: Fix resource end address (FATE#326628,
  bsc#1113295, git-fixes)).
- powerpc/papr_scm: Use depend instead of select (FATE#326628,
  bsc#1113295, git-fixes)).
- commit faa8c70
* Mon Dec 17 2018 mkubecek@suse.cz
- ARM: ux500: Fix PMU IRQ regression (bsc#1119683).
  Follow-up fix for commit 2b05f6ae1ee5 ("ARM: ux500: remove PMU IRQ bouncer").
- ARM: ux500: remove PMU IRQ bouncer (bsc#1119683).
  This is a misssing prerequisity of mainline commit c0248c96631f
  ("arm_pmu: kill arm_pmu_platdata") which we have in SLE15-SP1. It does
  not affect SLE15-SP1 which is not built for 32-bit ARM but breaks
  openSUSE-15.1 armv7hl build.
- commit 0898f9b
* Mon Dec 17 2018 mkubecek@suse.cz
- Fix 32-bit ARM build
  Fix patches.drivers/bpf-fix-net.core.bpf_jit_enable-race.patch - its 32-bit
  ARM part didn't build due to absence of mainline commit 39c13c204bb1 ("arm:
  eBPF JIT compiler"). We do not build SLE15-SP1 on 32-bit ARM but this broke
  openSUSE-15.1 (even kbuild checks did not pass).
- commit 60db85b
* Mon Dec 17 2018 vbabka@suse.cz
- userfaultfd: check VM_MAYWRITE was set after verifying the
  uffd is registered (CVE-2018-18397, bsc#1117656).
- commit 68dc6a5
* Mon Dec 17 2018 colyli@suse.de
- fscache: Fix race in fscache_op_complete() due to split
  atomic_sub & read (Git-fixes).
- dm zoned: fix various dmz_get_mblock() issues (Git-fixes).
- dm zoned: fix metadata block ref counting (Git-fixes).
- dm ioctl: harden copy_params()'s copy_from_user() from malicious
  users (Git-fixes).
- cpufeature: avoid warning when compiling with clang (Git-fixes).
- keys: Fix the use of the C++ keyword "private" in
  uapi/linux/keyctl.h (Git-fixes).
- bcache: fix miss key refill->end in writeback (Git-fixes).
- bcache: trace missed reading by cache_missed (Git-fixes).
- dm linear: fix linear_end_io conditional definition (Git-fixes).
- dm linear: eliminate linear_end_io call if CONFIG_DM_ZONED
  disabled (Git-fixes).
- dm: fix report zone remapping to account for partition offset
  (Git-fixes).
- dm cache: destroy migration_cache if cache target registration
  failed (Git-fixes).
- dm cache: fix resize crash if user doesn't reload cache table
  (Git-fixes).
- nbd: don't allow invalid blocksize settings (Git-fixes).
- tracing/blktrace: Fix to allow setting same value (Git-fixes).
- dm writecache: fix a crash due to reading past end of
  dirty_bitmap (Git-fixes).
- dm crypt: don't decrease device limits (Git-fixes).
- dm cache metadata: set dirty on all cache blocks after a crash
  (Git-fixes).
- dm cache metadata: save in-core policy_hint_size to on-disk
  superblock (Git-fixes).
- dm thin: stop no_space_timeout worker when switching to
  write-mode (Git-fixes).
- dm writecache: report start_sector in status line (Git-fixes).
- dm integrity: change 'suspending' variable from bool to int
  (Git-fixes).
- dm cache: only allow a single io_mode cache feature to be
  requested (Git-fixes).
- block: really disable runtime-pm for blk-mq (Git-fixes).
- block: blk_init_allocated_queue() set q->fq as NULL in the
  fail case (Git-fixes).
- block: allow max_discard_segments to be stacked (Git-fixes).
- blk-mq: remove synchronize_rcu() from blk_mq_del_queue_tag_set()
  (Git-fixes).
- block: reset bi_iter.bi_done after splitting bio (Git-fixes).
- dm thin: handle running out of data space vs concurrent discard
  (Git-fixes).
- dm thin metadata: remove needless work from __commit_transaction
  (Git-fixes).
- sbitmap: fix race in wait batch accounting (Git-fixes).
- block/swim: Fix array bounds check (Git-fixes).
- fscache: Pass the correct cancelled indications to
  fscache_op_complete() (Git-fixes).
- rbd: whitelist RBD_FEATURE_OPERATIONS feature bit (Git-fixes).
- reset: remove remaining WARN_ON() in <linux/reset.h>
  (Git-fixes).
- commit a41ae63
* Mon Dec 17 2018 colyli@suse.de
- locking/barriers: Convert users of lockless_dereference()
  to READ_ONCE() (Git-fixes).
- Refresh for the above change,
  patches.arch/07-x86-ldt-rework-locking.patch.
  patches.fixes/ovl-fix-failure-to-fsync-lower-dir.patch.
  patches.suse/dm-mpath-accept-failed-paths.
- commit 1641962
* Mon Dec 17 2018 colyli@suse.de
- dm: allocate struct mapped_device with kvzalloc (Git-fixes).
- skd: Submit requests to firmware before triggering the doorbell
  (Git-fixes).
- skd: Avoid that module unloading triggers a use-after-free
  (Git-fixes).
- commit fdeb1d6
* Mon Dec 17 2018 colyli@suse.de
- blacklist.conf: add following commits from git-fixes suggestion,
    6a934bb81476e7e90baaf2ff766e6b6f04b5febb
    1dc3039bc87ae7d19a990c3ee71cfd8a9068f428
    e4b069e0945fa14c71cf8b5b89f8b1b2aa68dbc2
    744889b7cbb56a64f957e65ade7cb65fe3f35714
    1adfc5e4136f5967d591c399aff95b3b035f16b7
    5618cf031fecda63847cafd1091e7b8bd626cdb1
  We don't have them because other non-stable patches required.
- commit eb991b4
* Sun Dec 16 2018 tiwai@suse.de
- b43: fix DMA error related regression with proprietary firmware
  (FATE#326294).
- commit 7ce90d4
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: fix brcmf_wiphy_wowl_params() NULL pointer dereference
  (FATE#326294).
- commit e205ee3
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: specify some features per firmware version
  (FATE#326294).
- commit d7bd693
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: fix regression in parsing NVRAM for multiple devices
  (FATE#326294).
- commit 5e97127
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: update STA info struct to the v5 (FATE#326294).
- commit 00b9f0f
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: define more bits for the flags of struct
  brcmf_sta_info_le (FATE#326294).
- commit d104d72
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: handle msgbuf packets marked with monitor mode flag
  (FATE#326294).
- commit 65966de
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: detect firmware support for radiotap monitor frames
  (FATE#326294).
- commit 6f0febe
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: detect firmware support for monitor interface
  (FATE#326294).
- commit 7117f83
* Sun Dec 16 2018 tiwai@suse.de
- brcmsmac: make function wlc_phy_workarounds_nphy_rev1 static
  (FATE#326294).
- commit b36cef5
* Sun Dec 16 2018 tiwai@suse.de
- brcmsmac: Remove unnecessary parentheses (FATE#326294).
- commit b3524a1
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: move ALLFFMAC variable in flowring module
  (FATE#326294).
- commit 3086557
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: add debugfs entry for reading firmware capabilities
  (FATE#326294).
- commit 8820ccd
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: fix initialization of struct cfg80211_inform_bss
  variable (FATE#326294).
- commit 14cd66a
* Sun Dec 16 2018 tiwai@suse.de
- b43: fix transmit failure when VT is switched (FATE#326294).
- commit 22273b6
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: set WIPHY_FLAG_HAVE_AP_SME flag (FATE#326294).
- commit be53625
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: coarse support for PCIe shared structure rev7
  (FATE#326294).
- commit 98e09f5
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: add hostready indication (FATE#326294).
- commit 83575f4
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: constify firmware mapping tables (FATE#326294).
- commit acac85a
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: use nl80211_band directly to get ieee80211 channel
  (FATE#326294).
- commit 1fb26cb
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: reports boottime_ns while informing bss (FATE#326294).
- commit 519f5bc
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: check p2pdev mac address uniqueness (FATE#326294).
- commit a6789a6
* Sun Dec 16 2018 tiwai@suse.de
- net: wireless: b43legacy: Replace GFP_ATOMIC with GFP_KERNEL
  in dma_tx_fragment (FATE#326294).
- commit 1150599
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: fix firmware request processing if nvram load fails
  (FATE#326294).
- commit b7891bd
* Sun Dec 16 2018 tiwai@suse.de
- brcmsmac: phy_lcn: remove duplicate code (FATE#326294).
- commit 713ad74
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: add support for BCM4366E chipset (FATE#326294).
- commit e285aa9
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: drop Inter-Access Point Protocol packets by default
  (FATE#326294).
- commit c38fca6
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: add kerneldoc for struct brcmf_bus::msgbuf
  (FATE#326294).
- commit 183c3ad
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: get rid of brcmf_fw_get_full_name() (FATE#326294).
- commit f8e94f8
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: get rid of brcmf_fw_map_chip_to_name() (FATE#326294).
- commit d836322
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: add extension to .get_fwname() callbacks
  (FATE#326294).
- commit 3922441
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: introduce brcmf_fw_alloc_request() function
  (FATE#326294).
- commit c6ecd0c
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: pass struct in brcmf_fw_get_firmwares() (FATE#326294).
- commit fc9116f
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: derive firmware filenames from basename mapping
  (FATE#326294).
- commit ab8ad21
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: use wiphy debugfs dir entry (FATE#326294).
- commit 6d3e1c6
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: allocate struct brcmf_pub instance using wiphy_new()
  (FATE#326294).
- commit 818be2a
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: use brcmf_chip_name() for consistency (FATE#326294).
- commit 170a14f
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: use brcmf_chip_name() to store name in revinfo
  (FATE#326294).
- commit 3e3484c
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: do not convert linux error to firmware error string
  (FATE#326294).
- commit f97eded
* Sun Dec 16 2018 tiwai@suse.de
- brcmsmac: remove duplicated bit-wise or of IEEE80211_CHAN_NO_IR
  (FATE#326294).
- commit 0b1915f
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: reject too long PSK (FATE#326294).
- commit 0aff433
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: remove duplicate pointer variable from
  brcmf_sdio_firmware_callback() (FATE#326294).
- commit ccd294f
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: change log level for some low-level sdio functions
  (FATE#326294).
- commit 7a1e906
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: remove brcmf_bus_started() from bus api (FATE#326294).
- commit 6020a7b
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: move brcmf_attach() function in core.c (FATE#326294).
- commit 4c7b3ba
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: usb: call brcmf_usb_up() during brcmf_bus_preinit()
  (FATE#326294).
- commit ccab394
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: call brcmf_attach() just before calling
  brcmf_bus_started() (FATE#326294).
- commit 5049186
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: move allocation of control rx buffer to
  brcmf_sdio_bus_preinit() (FATE#326294).
- commit fd7c24d
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: move brcmf_bus_preinit() call just after changing
  bus state (FATE#326294).
- commit 47b50a4
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: add possibility to obtain firmware error
  (FATE#326294).
- commit 554af54
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: separate firmware errors from i/o errors
  (FATE#326294).
- commit 20e96d7
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: assure bcdc dcmd api does not return value > 0
  (FATE#326294).
- commit dcf0f70
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: fix CLM load error for legacy chips when user helper
  is enabled (FATE#326294).
- commit a29e132
* Sun Dec 16 2018 tiwai@suse.de
- b43: Replace mdelay with usleep_range in
  b43_radio_2057_init_post (FATE#326294).
- commit 93155b6
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Use zeroing memory allocator than allocator/memset
  (FATE#326294).
- commit ad38456
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: rename brcmf_sdiod_buff_{read,write}() functions
  (FATE#326294).
- commit d5c13d4
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: add comment block in brcmf_sdio_buscore_read()
  (FATE#326294).
- commit 6557ca8
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Remove array of functions (FATE#326294).
- commit 03049dc
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Support 43455 save-restore (SR) feature if FW include
  - sr (FATE#326294).
- commit 9a3139f
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Clean up interrupt macros (FATE#326294).
- commit 837d3dd
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Replace function index with function pointer
  (FATE#326294).
- commit 0352fcb
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: More efficient and slightly easier to read fixup
  for 4339 chips (FATE#326294).
- commit b48036c
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Remove func0 from function array (FATE#326294).
- commit 566d0e5
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Correctly handle accesses to SDIO func0 (FATE#326294).
- commit 33057e3
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: stabilise the value of ->sbwad in use for some xfer
  routines (FATE#326294).
- commit 248e2aa
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Rename buscore to core for consistency (FATE#326294).
- commit 8c20055
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Remove {r,w}_sdreg32 (FATE#326294).
- commit bcba414
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: enlarge buffer size of caps to 512 bytes
  (FATE#326294).
- commit 10f0581
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Remove repeated calls to brcmf_chip_get_core()
  (FATE#326294).
- commit 961e7b8
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Remove unused macro (FATE#326294).
- commit 05e0b92
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Cleanup offsetof() (FATE#326294).
- commit fd0d8af
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: remove unnecessary call to
  brcmf_sdiod_set_backplane_window() (FATE#326294).
- commit 17860ef
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Remove brcmf_sdiod_addrprep() (FATE#326294).
- commit 5d1e8cc
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Tidy register definitions a little (FATE#326294).
- commit e6b5612
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Rename / replace old IO functions with simpler ones
  (FATE#326294).
- commit ff0b49f
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Clarify if using braces (FATE#326294).
- commit 20358d4
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: whitespace fixes in brcmf_sdiod_send_buf()
  (FATE#326294).
- commit bf31a7a
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Split brcmf_sdiod_buffrw function up (FATE#326294).
- commit 51b19da
* Sun Dec 16 2018 tiwai@suse.de
- brcmsmac: use ARRAY_SIZE on rfseq_updategainu_events
  (FATE#326294).
- commit e9e65f3
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Rename bcmerror to err (FATE#326294).
- commit 20281e7
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Remove noisy debugging (FATE#326294).
- commit 7ab1341
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Fix asymmetric IO functions (FATE#326294).
- commit 0fab10d
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Remove brcmf_sdiod_request_data() (FATE#326294).
- commit 25961f1
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Remove bandaid for SleepCSR (FATE#326294).
- commit b687a6c
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Remove dead IO code (FATE#326294).
- commit 7660c93
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Clean up brcmf_sdiod_set_sbaddr_window()
  (FATE#326294).
- commit a5d73f2
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Split brcmf_sdiod_regrw_helper() up (FATE#326294).
- commit 5618a00
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Register sizes on hardware are not dependent on
  compiler types (FATE#326294).
- commit 35d1791
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Fix parameter order in brcmf_sdiod_f0_writeb()
  (FATE#326294).
- commit 8cb45df
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: add CLM download support (FATE#326294).
- commit d4f74f0
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: move configuration of probe request IEs (FATE#326294).
- commit 2049e03
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: get rid of struct brcmf_cfg80211_info::active_scan
  field (FATE#326294).
- commit 2a1dc41
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: get rid of brcmf_cfg80211_escan() function
  (FATE#326294).
- commit 3723745
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: use msecs_to_jiffies() instead of calculation using HZ
  (FATE#326294).
- commit 92617c7
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: cleanup brcmf_cfg80211_escan() function (FATE#326294).
- commit 022b082
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: disable packet filtering in promiscuous mode
  (FATE#326294).
- commit 36fb21c
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: handle FWHALT mailbox indication (FATE#326294).
- commit 42395db
* Sun Dec 16 2018 tiwai@suse.de
- brcmsmac: reindent split functions (FATE#326294).
- commit 24cce60
* Sun Dec 16 2018 tiwai@suse.de
- brcmsmac: split up wlc_phy_workarounds_nphy (FATE#326294).
- commit f1b4174
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Delete redundant length check (FATE#326294).
- commit 4fe61b8
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Avoid possible out-of-bounds read (FATE#326294).
- commit dde9a56
* Sun Dec 16 2018 tiwai@suse.de
- b43: make const arrays static, reduces object code size
  (FATE#326294).
- commit 72475df
* Sun Dec 16 2018 tiwai@suse.de
- brcmsmac: make const array ucode_ofdm_rates static, reduces
  object code size (FATE#326294).
- commit 37aabbd
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: use setup_timer() helper (FATE#326294).
- commit f28c05d
* Sun Dec 16 2018 tiwai@suse.de
- b43legacy: fix unitialized reads of ret by initializing the
  array to zero (FATE#326294).
- commit d1b2314
* Sun Dec 16 2018 tiwai@suse.de
- b43: fix unitialized reads of ret by initializing the array
  to zero (FATE#326294).
- commit 2c98e02
* Sun Dec 16 2018 tiwai@suse.de
- drivers: net: brcm80211: use setup_timer() helper (FATE#326294).
- commit 73d434e
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: feature check for multi-scheduled scan fails on
  bcm4345 devices (FATE#326294).
- commit 800bbac
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Log chip id and revision (FATE#326294).
- commit df3cb0b
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: feature check for multi-scheduled scan fails on
  bcm4343x devices (FATE#326294).
- commit efa3286
* Sun Dec 16 2018 tiwai@suse.de
- brcm80211: constify usb_device_id (FATE#326294).
- commit 6ee5716
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: add setting carrier state ON for successful roaming
  (FATE#326294).
- commit 9ad7662
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: fix wrong num_different_channels when mchan feature
  enabled (FATE#326294).
- commit d9fa837
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Add support for CYW4373 SDIO/USB chipset
  (FATE#326294).
- commit 2bf81da
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: set wpa_auth to WPA_AUTH_DISABLED in AP/OPEN security
  mode (FATE#326294).
- commit c57c24a
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: constify pci_device_id (FATE#326294).
- commit be30657
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Don't grow SKB by negative size (FATE#326294).
- commit e9d1ebf
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: fix regression in brcmf_sdio_txpkt_hdalign()
  (FATE#326294).
- Refresh
  patches.drivers/brcmfmac-Avoid-build-error-with-make-W-1.
- commit b5e98bc
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: switch to using cfg80211_connect_done() (FATE#326294).
- commit f178a80
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: support 4-way handshake offloading for 802.1X
  (FATE#326294).
- commit c0a0541
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: support 4-way handshake offloading for WPA/WPA2-PSK
  (FATE#326294).
- Refresh
  patches.drivers/brcmfmac-setup-passive-scan-if-requested-by-user-spa.
- commit 0c0b211
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: rework headroom check in .start_xmit() (FATE#326294).
- Refresh
  patches.drivers/brcmfmac-Avoid-build-error-with-make-W-1.
- commit cb3af2a
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: use atomic_t for statistic counter in struct brcmf_bus
  (FATE#326294).
- commit 1557a07
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: cleanup kerneldoc for struct brcmf_bus (FATE#326294).
- commit 87c87d6
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: initialize oob irq data before request_irq()
  (FATE#326294).
- commit 07a3003
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: Fix grammar issue in error message (FATE#326294).
- Refresh patches.drivers/brcmfmac-Fix-check-for-ISO3166-code.
- commit 91cb9de
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: add scheduled scan support for specified BSSIDs
  (FATE#326294).
- commit 00691fc
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: add mutex to protect pno requests (FATE#326294).
- commit a0ec5cf
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: add support multi-scheduled scan (FATE#326294).
- commit 35b2db0
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: remove setting IBSS mode when stopping AP
  (FATE#326294).
- commit a31c1bd
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: btcoex: replace init_timer with setup_timer
  (FATE#326294).
- commit 1d0838d
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: move scheduled scan wiphy param setting to pno module
  (FATE#326294).
- commit 68233c4
* Sun Dec 16 2018 tiwai@suse.de
- brcmfmac: add firmware feature detection for gscan feature
  (FATE#326294).
- commit 49435a8
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: set probe request oui during driver start (FATE#326294).
- commit 4d1d9e1
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: fix tx status flag setting for management frames
  (FATE#326294).
- commit b0d14f5
* Sun Dec 16 2018 tiwai@suse.de
- mac80211_hwsim: add hashtable with mac address keys for faster
  lookup (FATE#326294).
- Refresh
  patches.drivers/mac80211_hwsim-Timer-should-be-initialized-before-de.patch.
- commit a732915
* Sun Dec 16 2018 tiwai@suse.de
- mac80211_hwsim: use dyndbg for debug messages (FATE#326294).
- Refresh
  patches.drivers/mac80211_hwsim-Timer-should-be-initialized-before-de.patch.
- commit 6f3db71
* Sun Dec 16 2018 tiwai@suse.de
- Update config files: set CONFIG_ATH10K_CE=y (FATE#326906)
- commit 949144d
* Sun Dec 16 2018 bp@suse.de
- Refresh
  patches.arch/locking-atomics-asm-generic-move-some-macros-from-linux-bitops-h-to-a-new-linux-bits-h-file.patch.
- commit 2a887f3
* Sun Dec 16 2018 tiwai@suse.de
- supported.conf: Add more ath modules (FATE#326906)
- commit bdc85a8
* Sun Dec 16 2018 tiwai@suse.de
- ath9k: Remove unnecessary include of <linux/pci-aspm.h>
  (FATE#326906).
- commit cb972f2
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: fix eDMA RX chaining (FATE#326906).
- commit fa52769
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: prevent FW download if HW is configured for secured
  boot (FATE#326906).
- commit c2e940d
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: off channel transmit management frames in AP mode
  (FATE#326906).
- commit 97dd952
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: align to latest auto generated wmi.h (FATE#326906).
- commit 41ddd3e
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: set default 3-MSI (FATE#326906).
- commit 48719a6
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: support Talyn specific board file (FATE#326906).
- commit b0a5b76
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: increase firmware ready timeout (FATE#326906).
- commit 8029312
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: support max aggregation window size 64 (FATE#326906).
- commit 91d6ec2
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: allow scan on AP interface (FATE#326906).
- commit a6a40b4
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: add support for link statistics (FATE#326906).
- commit 34af68d
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: fix min() compilation errors (FATE#326906).
- commit e83169e
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: add 3-MSI support (FATE#326906).
- commit 114db7a
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: align to latest auto generated wmi.h (FATE#326906).
- commit 85cb2dc
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: support Talyn specific FW file (FATE#326906).
- commit 20ea809
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: fix RX checksum report to network stack (FATE#326906).
- commit 63c02c7
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: fix temperature debugfs (FATE#326906).
- commit 3eee4fa
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: add TX latency statistics (FATE#326906).
- commit fa7ede4
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: drop Rx packets with L2 error indication from HW
  (FATE#326906).
- commit 5c0725f
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: Rx multicast packets duplicate detection (FATE#326906).
- commit f32fb0a
* Sun Dec 16 2018 tiwai@suse.de
- ath9k: fix more-data flag for buffered multicast packets
  (FATE#326906).
- commit d67a9b1
* Sun Dec 16 2018 tiwai@suse.de
- ath9k: fix block-ack window tracking issues (FATE#326906).
- commit bf94634
* Sun Dec 16 2018 tiwai@suse.de
- ath9k: clear potentially stale EOSP status bit in intermediate
  queues (FATE#326906).
- commit 3bccf0a
* Sun Dec 16 2018 tiwai@suse.de
- ath9k: fix moredata bit in PS buffered frame release
  (FATE#326906).
- commit 65586ba
* Sun Dec 16 2018 tiwai@suse.de
- ath9k: don't run periodic and nf calibation at the same time
  (FATE#326906).
- commit 2059053
* Sun Dec 16 2018 tiwai@suse.de
- ath9k_hw: set spectral scan enable bit on trigger for AR9003+
  (FATE#326906).
- commit 8b98d32
* Sun Dec 16 2018 tiwai@suse.de
- ath6kl: replace GFP_ATOMIC with GFP_KERNEL in ath6kl_bmi_init()
  (FATE#326906).
- commit 33b36a2
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: fix parenthesis alignment (FATE#326906).
- commit 8facdb3
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: add debugfs file warm_hw_reset (FATE#326906).
- commit 8e5008d
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: htt_tx: move lock into id_get function (FATE#326906).
- commit 741d42f
* Sun Dec 16 2018 tiwai@suse.de
- ath6kl: remove redundant variables netlen, orig_buf, orig_len,
  dropped and stats (FATE#326906).
- commit 8b54e9e
* Sun Dec 16 2018 tiwai@suse.de
- ath5k: remove redundant pointer rf (FATE#326906).
- commit 3c44202
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: remove redundant pointers 'dev' and 'noa' (FATE#326906).
- commit 235df24
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: handle mgmt tx completion event (FATE#326906).
- commit f71d275
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: support for multicast rate control (FATE#326906).
- commit 2fe1bbf
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: fix open brace location in
  ath10k_wmi_tlv_op_gen_dbglog_cfg() (FATE#326906).
- commit 9c70427
* Sun Dec 16 2018 tiwai@suse.de
- wcn36xx: drop unnecessary initialization of variables
  (FATE#326906).
- commit c8c8326
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: remove crash dump collection from OTP section
  (FATE#326906).
- commit 5535d2e
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: add support for Talyn-MB boot flow (FATE#326906).
- commit b2ecdc9
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: add support for enhanced DMA debugfs (FATE#326906).
- commit ddf81c4
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: add support for enhanced DMA RX data flows
  (FATE#326906).
- commit b6630f2
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: add support for enhanced DMA TX data flows
  (FATE#326906).
- commit 838f5bb
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: initialize TX and RX enhanced DMA rings (FATE#326906).
- commit 31cb17f
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: add support for enhanced DMA structures (FATE#326906).
- commit be05c2f
* Sun Dec 16 2018 tiwai@suse.de
- wil6210: add support for Talyn-MB (Talyn ver 2.0) device
  (FATE#326906).
- commit 4ef70e0
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: sdio: set skb len for all rx packets (FATE#326906).
- commit 4569f00
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: sdio: allocate correct size for RECV_1MORE_BLOCK rx
  packets (FATE#326906).
- commit 4cc5bb2
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: sdio: use same endpoint id for all packets in a bundle
  (FATE#326906).
- commit 4bcb747
* Sun Dec 16 2018 tiwai@suse.de
- wcn36xx: Fix WEP encryption (FATE#326906).
- commit 8aa84fe
* Sun Dec 16 2018 tiwai@suse.de
- wcn36xx: Track associated stations (FATE#326906).
- commit 3a7e1f0
* Sun Dec 16 2018 tiwai@suse.de
- wcn36xx: Fix WEP104 encryption type (FATE#326906).
- commit da1c23e
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: use locked skb_dequeue for rx completions (FATE#326906).
- commit feb5f11
* Sun Dec 16 2018 tiwai@suse.de
- ath9k: use irqsave() in USB's complete callback (FATE#326906).
- commit e4b6b1c
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: replace hardcoded constant with define (FATE#326906).
- commit c213a9f
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: rename HTC_HOST_MAX_MSG_PER_BUNDLE define (FATE#326906).
- commit 6257272
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: fix bug in masking of TID value (FATE#326906).
- commit 981ef94
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: transmit queued frames after processing rx packets
  (FATE#326906).
- commit 53df6fa
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: fix tlv 5ghz channel missing issue (FATE#326906).
- commit d99b730
* Sun Dec 16 2018 tiwai@suse.de
- ath9k: debug: fix spelling mistake "WATHDOG" -> "WATCHDOG"
  (FATE#326906).
- commit fd7ac30
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: handle resource init failure case (FATE#326906).
- commit 6d21df6
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: skip data calibration for non-bmi target (FATE#326906).
- commit f235de0
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: do not mix spaces and tabs in Kconfig (FATE#326906).
- commit d8d4651
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: snoc: sort include files (FATE#326906).
- commit 769807a
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: snoc: drop unused WCN3990_CE_ATTR_FLAGS (FATE#326906).
- commit 1710ed0
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: snoc: stop including pci.h (FATE#326906).
- commit f7d4c89
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: snoc: use correct bus-specific pointer in RX retry
  (FATE#326906).
- commit 351cd36
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: snoc: use module_platform_driver() macro (FATE#326906).
- commit 2a1b72f
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: use crash_dump enum instead of magic numbers
  (FATE#326906).
- commit db3ce62
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: use dma_zalloc_coherent instead of allocator/memset
  (FATE#326906).
- commit c9804b0
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: fix incorrect size of dma_free_coherent in
  ath10k_ce_alloc_src_ring_64 (FATE#326906).
- commit de1da90
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: make some functions static (FATE#326906).
- commit affcdc2
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: fix spectral scan for QCA9984 and QCA9888 chipsets
  (FATE#326906).
- commit d1d7dd2
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: support use of channel 173 (FATE#326906).
- commit 752c9f2
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: fix memory leak of tpc_stats (FATE#326906).
- commit 336ace9
* Sun Dec 16 2018 tiwai@suse.de
- ath9k: mark expected switch fall-throughs (FATE#326906).
- commit 3a9be1b
* Sun Dec 16 2018 tiwai@suse.de
- ath6kl: mark expected switch fall-throughs (FATE#326906).
- commit 0a5246b
* Sun Dec 16 2018 tiwai@suse.de
- ath6kl: add support for Dell Wireless 1537 (FATE#326906).
- commit 3856f14
* Sun Dec 16 2018 tiwai@suse.de
- ath5k: mark expected switch fall-through (FATE#326906).
- commit 400e349
* Sun Dec 16 2018 tiwai@suse.de
- ath10k: htt_tx: mark expected switch fall-throughs
  (FATE#326906).
- commit d281fa3
* Sun Dec 16 2018 tiwai@suse.de
- wcn36xx: Remove Unicode Byte Order Mark from testcode
  (FATE#326906).
- commit 590da8b
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: Add support for Factory Test Mode (FTM) (FATE#326906).
- commit 45096af
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: DFS Host Confirmation (FATE#326906).
- commit 8e69250
* Sat Dec 15 2018 tiwai@suse.de
- ath: add support to get the detected radar specifications
  (FATE#326906).
- commit bc58113
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: improve debug and error messages for SMD (FATE#326906).
- commit f7500f0
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: simplify wcn36xx_smd_open() (FATE#326906).
- commit f947d64
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: drain pending indicator messages on shutdown
  (FATE#326906).
- commit 8c2fdac
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: set PREASSOC and IDLE stated when BSS info changes
  (FATE#326906).
- commit 6da258a
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: consider CTRL_EOP bit when looking for valid
  descriptors (FATE#326906).
- commit 3dbd2f3
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: only handle packets when ED or DONE bit is set
  (FATE#326906).
- commit b146904
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: clear all masks in RX interrupt (FATE#326906).
- commit 8c4f17f
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: don't disable RX IRQ from handler (FATE#326906).
- commit 8416aa4
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: set DMA mask explicitly (FATE#326906).
- commit 8544f22
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: fix buffer commit logic on TX path (FATE#326906).
- commit 8158316
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: remove useless test before clk_disable_unprepare
  (FATE#326906).
- commit a286096
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Zimbabwe to ETSI1_WORLD (FATE#326906).
- commit cd2acdc
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Ukraine to ETSI9_WORLD (FATE#326906).
- commit 842586d
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Singapore to FCC3_WORLD (FATE#326906).
- commit 1a2da46
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Russia to ETSI8_WORLD (FATE#326906).
- commit 7da6f38
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Romania to ETSI1_WORLD (FATE#326906).
- commit b104e32
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Philippines to FCC3_WORLD (FATE#326906).
- commit 45652bf
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Peru to APL1_WORLD (FATE#326906).
- commit 70590cd
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map New Zealand to FCC3_ETSIC (FATE#326906).
- commit f139222
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Malasia to FCC1_WORLD (FATE#326906).
- commit 135e38a
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Macedonia to ETSI1_WORLD (FATE#326906).
- commit 05680b8
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Isreal to ETSI3_WORLD (FATE#326906).
- commit affaaa0
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Honduras to FCC3_WORLD (FATE#326906).
- commit d15768e
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Czech to ETSI1_WORLD (FATE#326906).
- commit 16dbf49
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Colombia to FCC1_FCCA (FATE#326906).
- commit ae41c5b
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Bulgaria to ETSI1_WORLD (FATE#326906).
- commit e353dde
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Brunei Darussalam to APL6_WORLD (FATE#326906).
- commit cdc915c
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Bangladesh to APL1_WORLD (FATE#326906).
- commit 98cb1e0
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Australia to FCC3_WORLD (FATE#326906).
- commit 4bd0a3a
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Algeria to APL13_WORLD (FATE#326906).
- commit 5507991
* Sat Dec 15 2018 tiwai@suse.de
- ath: Map Albania to ETSI1_WORLD (FATE#326906).
- commit 860d63c
* Sat Dec 15 2018 tiwai@suse.de
- ath: Add regulatory mapping for ETSI9_WORLD (FATE#326906).
- commit 6968fd7
* Sat Dec 15 2018 tiwai@suse.de
- ath: Add regulatory mapping for Paraguya (FATE#326906).
- commit be86360
* Sat Dec 15 2018 tiwai@suse.de
- ath: Add regulatory mapping for Nicaragua (FATE#326906).
- commit 70da3a6
* Sat Dec 15 2018 tiwai@suse.de
- ath: Add regulatory mapping for Montenegro (FATE#326906).
- commit bbcb2ec
* Sat Dec 15 2018 tiwai@suse.de
- ath: Add regulatory mapping for Mauritius (FATE#326906).
- commit df43239
* Sat Dec 15 2018 tiwai@suse.de
- ath: Add regulatory mapping for Kenya (FATE#326906).
- commit 0d4491a
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add support to configure channel dwell time
  (FATE#326906).
- commit 3683be3
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add memory dump support for QCA9888 and QCA99X0
  (FATE#326906).
- commit ab2a24d
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: rate limit wil_rx_refill error (FATE#326906).
- commit 41eb226
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: remove unused rx_reorder members (FATE#326906).
- commit 646d4e7
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: Initialize reply struct of the WMI commands
  (FATE#326906).
- commit 7b045d6
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: move WMI functionality out of wil_cfg80211_mgmt_tx
  (FATE#326906).
- commit bfd30a4
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: change reply_size arg to u16 in wmi_call (FATE#326906).
- commit 3f7fb8d
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: fix call to wil6210_disconnect during unload
  (FATE#326906).
- commit 48e2856
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: align to latest auto generated wmi.h (FATE#326906).
- commit 7f43134
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: disable tracing config option (FATE#326906).
- commit bfcb3cb
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: replace bit shifts with the BIT() macro for rx desc bits
  (FATE#326906).
- commit f693fb9
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: hw: make consistent usage of ATH10K_FW_DIR in paths
  (FATE#326906).
- commit 16ea2b4
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: remove variables which set but not used (FATE#326906).
- commit cd2f224
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix return value check in wake_tx_q op (FATE#326906).
- commit 697ba58
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: snoc: Remove owner assignment from platform_driver
  (FATE#326906).
- commit c9955b4
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add quiet mode support for QCA6174/QCA9377
  (FATE#326906).
- commit de47668
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: sdio: jump to correct label in error handling path
  (FATE#326906).
- commit 188c0bb
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix spelling mistake: "servive" -> "service"
  (FATE#326906).
- commit a611bb5
* Sat Dec 15 2018 tiwai@suse.de
- ath6kl: fix ath6kl_data_tx()'s return type (FATE#326906).
- commit 1a8e444
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix kernel panic while reading tpc_stats (FATE#326906).
- commit 7facaa4
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix information leak in debugfs (FATE#326906).
- commit 76f9b1b
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: pass information elements in scan requests
  (FATE#326906).
- commit 3b5b4d9
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: send bss_type in scan requests (FATE#326906).
- commit 3790de8
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: handle scan cancellation when firmware support is
  missing (FATE#326906).
- commit 3767648
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: cancel pending scan request when interface goes down
  (FATE#326906).
- commit de90a56
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: abort scan request when 'dequeued' indicator is sent
  (FATE#326906).
- commit a78ca22
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: enable sta idle power save (FATE#326906).
- commit 2ec3ee7
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: enable SRRI/DRRI support on ddr for WCN3990
  (FATE#326906).
- commit a39c841
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add support for shadow register for WNC3990
  (FATE#326906).
- commit e14bcd5
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add hw params for shadow register support (FATE#326906).
- commit 5806e87
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: enable hw checksum for wcn3990 (FATE#326906).
- commit 5e7a14d
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: pass correct BSS index when deleting BSS keys
  (FATE#326906).
- commit db58da0
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: convert wow pattern from 802.3 to 802.11 (FATE#326906).
- commit b70f076
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: support MAC address randomization in scan (FATE#326906).
- commit 86d0f13
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add WMI_SERVICE_AVAILABLE_EVENT support (FATE#326906).
- commit db6ec00
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: use READ_ONCE() to access desc->ctrl (FATE#326906).
- commit cec2025
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix fw path name for WCN3990 target (FATE#326906).
- commit 31def82
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add inlined wrappers for htt rx ops (FATE#326906).
- Refresh
  patches.drivers/ath10k-protect-ath10k_htt_rx_ring_free-with-rx_ring..patch.
- commit 2ef2c6e
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add inlined wrappers for htt tx ops (FATE#326906).
- commit 26e4887
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix a typo in ath10k_wmi_set_wmm_param() (FATE#326906).
- commit 99ca423
* Sat Dec 15 2018 tiwai@suse.de
- ath6kl: fix spelling mistake: "chache" -> "cache" (FATE#326906).
- commit 38c9d4e
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: vote for hardware resources for WCN3990 (FATE#326906).
- commit a4777af
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: check all CE for data if irq summary is not retained
  (FATE#326906).
- commit e7be80c
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add support to get target info from hif ops
  (FATE#326906).
- commit 59d136f
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: modify hif tx paddr to dma_addr_t type (FATE#326906).
- commit 094b2f6
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add hif rx methods for wcn3990 (FATE#326906).
- commit 67207c2
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add hif tx methods for wcn3990 (FATE#326906).
- commit 25322f5
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add hif power-up/power-down methods (FATE#326906).
- commit 783ceaa
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: map HTC services to tx/rx pipes for wcn3990
  (FATE#326906).
- commit a0d8dd4
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add HTC services for WCN3990 (FATE#326906).
- commit 1b3fdfd
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add hif start/stop methods for wcn3990 snoc layer
  (FATE#326906).
- commit 2191e61
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add resource init and deinit for WCN3990 (FATE#326906).
- commit f44788a
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: platform driver for WCN3990 SNOC WLAN module
  (FATE#326906).
- commit 4f6ddc8
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: build ce layer in ath10k core module (FATE#326906).
- commit 6133978
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: Add tx ack signal support for management frames
  (FATE#326906).
- commit 364ee50
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: allocate skbs with GFP_KERNEL during init
  (FATE#326906).
- commit b92dae9
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: Remove useless skb spinlock (FATE#326906).
- commit d8a88d5
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: Add missing fall through comment in smd.c
  (FATE#326906).
- commit 29b8ac7
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: don't delete invalid bss indices (FATE#326906).
- commit 49c2a43
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: don't keep reference to skb if transmission failed
  (FATE#326906).
- commit cc0f9e2
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: check for DMA mapping errors in wcn36xx_dxe_tx_frame()
  (FATE#326906).
- commit f4005c5
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: dfs: remove accidental use of stack VLA (FATE#326906).
- commit efca5ce
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix spelling mistake: "tiggers" -> "triggers"
  (FATE#326906).
- commit 652511e
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: sdio: fix memory leak for probe allocations
  (FATE#326906).
- commit da1a2f1
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: fix potential null dereference of ndev before null
  check (FATE#326906).
- commit ee5b299
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: avoid possible string overflow (FATE#326906).
- commit 56d4b4f
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: re-enable the firmware fallback mechanism for testmode
  (FATE#326906).
- commit beedda9
* Sat Dec 15 2018 tiwai@suse.de
- ath: Remove unnecessary ath_bcast_mac and use eth_broadcast_addr
  (FATE#326906).
- commit 1576669
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix vdev stats for 10.4 firmware (FATE#326906).
- commit 135a8f9
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix TDLS peer TX data failure issue on encryped AP
  (FATE#326906).
- commit b6638de
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: avoid to set WEP key for TDLS peer (FATE#326906).
- commit fe9763a
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: enable TDLS peer inactivity detection (FATE#326906).
- commit 241ef6c
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: enable TDLS peer buffer STA feature (FATE#326906).
- commit 880775e
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: dequeue all pending indicator messages (FATE#326906).
- commit 921dfeb
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: Fix firmware crash due to corrupted buffer address
  (FATE#326906).
- commit 1aa5311
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: turn off probe response offloading (FATE#326906).
- commit 1bbc56c
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add memory dump support QCA9984 (FATE#326906).
- commit 6f0acb3
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: refactor ath10k_pci_dump_memory() in preparation for
  QCA9984 support (FATE#326906).
- commit 187572a
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: suppress "Unknown eventid: 36925" warnings
  (FATE#326906).
- commit b062ea9
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add FW API 6 firmware image for QCA9377 (FATE#326906).
- commit 8d46aad
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: enable QCA6174/QCA9377 to read the chip temperature
  (FATE#326906).
- commit 92986c8
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: fix DFS detector synchronization (FATE#326906).
- commit e648c04
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: Check DXE IRQ reason (FATE#326906).
- commit 7d57261
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: calculate DXE default channel values (FATE#326906).
- commit e6d40b3
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: calculate DXE control registers values (FATE#326906).
- commit 6cc2795
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: spelling s/premble/preamble/ (FATE#326906).
- commit 4094718
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: reduce verbosity of drivers messages (FATE#326906).
- commit 3ca67b9
* Sat Dec 15 2018 tiwai@suse.de
- ath: fix false radar detection in JP region (FATE#326906).
- commit 18a8e44
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: debugfs support to get final TPC stats for 10.4 variants
  (FATE#326906).
- commit c10bef3
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add sta rx packet stats per tid (FATE#326906).
- commit e807b7e
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: dma unmap mgmt tx buffer if wmi cmd send fails
  (FATE#326906).
- commit 82d1c8e
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: add debugfs 'mids' file (FATE#326906).
- commit 6fc92e8
* Sat Dec 15 2018 tiwai@suse.de
- PCI: Add Ubiquiti Networks vendor ID (FATE#326294).
- commit 4fc9e83
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: multiple VIFs support for connections and data path
  (FATE#326906).
- Refresh
  patches.drivers/wireless-drivers-Dynamically-allocate-struct-station.patch.
- Refresh
  patches.drivers/wireless-drivers-use-BIT_ULL-for-NL80211_STA_INFO_-a.patch.
- commit f211d82
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: rename p2p_wdev_mutex to vif_mutex (FATE#326906).
- commit 123977d
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: multiple VIFs support for start/stop AP (FATE#326906).
- commit d5c6974
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: add support for adding and removing virtual interfaces
  (FATE#326906).
- commit a114efc
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: infrastructure for multiple virtual interfaces
  (FATE#326906).
- Refresh
  patches.drivers/wireless-drivers-Dynamically-allocate-struct-station.patch.
- commit 772c511
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: support concurrency record in FW file (FATE#326906).
- commit 3bcc3c8
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: add wil6210_vif structure for per-VIF data
  (FATE#326906).
- commit 2fa586c
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: Fix warning due to duplicate scan_completed
  notification (FATE#326906).
- commit c38f4a1
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: Fix ack SIFS time for quarter/half channels
  (FATE#326906).
- commit 708b9ae
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: Fix airtime calculation for quarter/half channels
  (FATE#326906).
- commit d0a8f95
* Sat Dec 15 2018 tiwai@suse.de
- ath5k: remove duplicated re-assignment to pointer 'tq'
  (FATE#326906).
- commit 19edaf9
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: update the IRAM bank number for QCA9377 (FATE#326906).
- commit 9705167
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix log message for hif power on failure (FATE#326906).
- commit 97ff954
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: fix spelling mistake: "preperation"-> "preparation"
  (FATE#326906).
- commit 55bfaa6
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: make ath10k report discarded packets to mac80211
  (FATE#326906).
- commit 89fc210
* Sat Dec 15 2018 tiwai@suse.de
- ath9k_htc: use non-QoS NDP for AP probing (FATE#326906).
- commit 16da4d9
* Sat Dec 15 2018 tiwai@suse.de
- Revert "ath10k: add sanity check to ie_len before parsing
  fw/board ie" (FATE#326906).
- Refresh
  patches.drivers/ath10k-search-all-IEs-for-variant-before-falling-bac.
- commit 8ce176a
* Sat Dec 15 2018 tiwai@suse.de
- ath9k_htc: add Altai WA1011N-GU (FATE#326906).
- commit b16f905
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: Fix get channel default noise floor (FATE#326906).
- commit bca11a4
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add support for Ubiquiti rebranded QCA988X v2
  (FATE#326906).
- commit 83ac553
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: correct the length of DRAM dump for QCA6174
  hw3.x/QCA9377 hw1.1 (FATE#326906).
- commit dc7000d
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: release DMA memory in case of error (FATE#326906).
- commit b5c215e
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: Display calibration data piers in debugfs (FATE#326906).
- commit ff52ab9
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: Use calibrated noise floor value when available
  (FATE#326906).
- commit aaee4e8
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: Read noise floor calibration data from eeprom
  (FATE#326906).
- commit 5239f98
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: Alternative EEPROM size for AR9003 (FATE#326906).
- commit 4fa02c2
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: support parsing brd file address from fw file
  (FATE#326906).
- commit dce73e8
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: enlarge FW mac_rgf_ext section for Sparrow D0
  (FATE#326906).
- commit 1560324
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: fix random failure to bring network interface up
  (FATE#326906).
- commit 6f443a1
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: configure OTP HW vectors in SW reset flow
  (FATE#326906).
- commit b954f2b
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: support flashless device (FATE#326906).
- commit aeffe24
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: add support for Talyn AHB address map (FATE#326906).
- commit 2c71533
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: recognize Talyn JTAG ID (FATE#326906).
- commit a00766a
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: add Talyn PCIe device ID (FATE#326906).
- commit 57ee7d5
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: discard undersized packets (FATE#326906).
- commit 465a51f
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix recently introduced checkpatch warnings
  (FATE#326906).
- Refresh
  patches.drivers/ath10k-search-all-IEs-for-variant-before-falling-bac.
- commit 57f605e
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: remove redundant -ve check against u32 integer size
  (FATE#326906).
- commit ffbacba
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix spelling mistake: "addrress" -> "address"
  (FATE#326906).
- commit f8272be
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add sanity check to ie_len before parsing fw/board ie
  (FATE#326906).
- Refresh
  patches.drivers/ath10k-search-all-IEs-for-variant-before-falling-bac.
- commit 33444f3
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: add a quirk to set use_msi automatically (FATE#326906).
- commit 7ec6391
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: fix incorrect assignment to msg_body.min_ch_time
  (FATE#326906).
- commit 0fca9fc
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: bugfix: add USB case in ath10k_core_probe_fw
  (FATE#326906).
- commit 41871df
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: remove unused prototype (FATE#326906).
- commit d53acce
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix spelling error (FATE#326906).
- commit 56c19f7
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: remove reference to preset_chandef (FATE#326906).
- commit 05fbff5
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: remove leftover "FIXME"s (FATE#326906).
- commit ddc1e6b
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: prevent parallel suspend and dump collection
  (FATE#326906).
- commit e71a458
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: set platform features based on FW capabilities
  (FATE#326906).
- commit 84e67bb
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: add platform capabilities bitmap (FATE#326906).
- commit 2285e54
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: support 40bit DMA addresses (FATE#326906).
- commit c3dbe35
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: support Scheduled scan (FATE#326906).
- commit 035192e
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: update copyright year (FATE#326906).
- Refresh
  patches.drivers/ath10k-fix-kernel-panic-issue-during-pci-probe.patch.
- commit 7cb6d41
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add memory dump support QCA988X (FATE#326906).
- commit 9c291c5
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add memory dump support for QCA6174/QCA9377
  (FATE#326906).
- commit 776fba9
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add coredump_mask module parameter (FATE#326906).
- commit d433d8e
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: detach coredump.c from debug.c (FATE#326906).
- commit 8972bcb
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: refactor firmware crashdump code to coredump.c
  (FATE#326906).
- commit 063f157
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: remove deprecated fw_crash_dump debugfs file
  (FATE#326906).
- commit a2e1a27
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: advertise TDLS wider bandwidth support for 5GHz
  (FATE#326906).
- commit c4afbaf
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: Add fw feature flag for non-bmi firmware load
  (FATE#326906).
- commit 383ea2f
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: Add debug mask for SNOC bus type (FATE#326906).
- commit 6428d83
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: Add SNOC bus type for WCN3990 target (FATE#326906).
- commit 4934bc4
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: Add support for 64 bit ce descriptor (FATE#326906).
- commit faac71e
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: Use dma_addr_t for ce buffers to support 64bit target
  (FATE#326906).
- commit 2c33f78
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: Add paddrs_ring_64 support for 64bit target
  (FATE#326906).
- Refresh
  patches.drivers/ath10k-protect-ath10k_htt_rx_ring_free-with-rx_ring..patch.
- commit e6bc6b9
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: Add hw param for rx ring size support (FATE#326906).
- commit 70024c4
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: Add support for htt_data_tx_desc_64 descriptor
  (FATE#326906).
- commit 505822f
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: Add support for 64 bit HTT frag descriptor
  (FATE#326906).
- commit ad60ee5
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: Add support for 64 bit htt rx ring cfg (FATE#326906).
- commit 05b7f11
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: Add support for 64 bit HTT in-order indication msg
  (FATE#326906).
- commit 582bf0f
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: Update rx descriptor for WCN3990 target (FATE#326906).
- commit fd566a5
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: Add hw param for 64-bit address support (FATE#326906).
- commit 67097a1
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: fix build warnings without CONFIG_PM (FATE#326906).
- commit 50fa039
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: wmi: remove redundant integer fc (FATE#326906).
- commit ae1cb9b
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: wmi: add hw params entry for wcn3990 (FATE#326906).
- commit 642a252
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: wmi: get wmi init parameter values from hw params
  (FATE#326906).
- commit f78e273
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: wmi: add management tx by reference support over wmi
  (FATE#326906).
- commit 2a7d514
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: wmi: modify svc bitmap parsing for wcn3990
  (FATE#326906).
- commit aba0980
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: Reduce spinlock in indication handler (FATE#326906).
- commit e89de39
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: Add hardware scan offload support (FATE#326906).
- commit c9006a7
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: search DT for qcom,ath10k-calibration-variant
  (FATE#326906).
- Refresh
  patches.drivers/ath10k-search-all-IEs-for-variant-before-falling-bac.
- commit c2ca87c
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add per peer tx stats support for 10.2.4 (FATE#326906).
- commit c052cb3
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: move pktlog_filter out of ath10k_debug (FATE#326906).
- commit bae9338
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: remove MAC80211_DEBUGFS dependency on
  ath10k_sta_statistics (FATE#326906).
- commit c886d30
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: unify rx processing in napi_poll (FATE#326906).
- commit bfbb407
* Sat Dec 15 2018 tiwai@suse.de
- ath6kl: improve endianness handling (FATE#326906).
- commit 784b852
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: move spectral scan support under a separate config
  symbol (FATE#326906).
- commit adb5f7a
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: move spectral scan support under a separate config symbol
  (FATE#326906).
- commit bdf4332
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: use 64-bit crash dump timestamps (FATE#326906).
- commit 9744245
* Sat Dec 15 2018 tiwai@suse.de
- ath6kl: remove redundant variable ies_len (FATE#326906).
- commit 1637851
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: set default BTLE coexistence config (FATE#326906).
- commit b6fe8c3
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: update statistics for suspend (FATE#326906).
- commit d2f6e04
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: remove suspend time statistics (FATE#326906).
- commit a81aa72
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: fix PCIe bus mastering in case of interface down
  (FATE#326906).
- commit 88328b8
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: get suspend reject reason and resume triggers from FW
  (FATE#326906).
- commit 41d71cb
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: missing length check in wil_cfg80211_mgmt_tx
  (FATE#326906).
- commit 2dbfbb6
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: add block size checks during FW load (FATE#326906).
- commit b552eda
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: fix length check in __wmi_send (FATE#326906).
- commit b28ed57
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: abort properly in cfg suspend (FATE#326906).
- commit 42ac6fe
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: refresh FW capabilities during interface up
  (FATE#326906).
- commit b58c63f
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: print human readable names of WMI commands and events
  (FATE#326906).
- commit 2740199
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: run-time PM when interface down (FATE#326906).
- commit 48d8eca
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: handle tdls peer events (FATE#326906).
- commit ef9afe1
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: re-enable TXQs for all devices (FATE#326906).
- commit 509e14d
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: dfs: use swap macro in ath9k_check_chirping
  (FATE#326906).
- commit 8c24142
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: fix iris child-node lookup (FATE#326906).
- commit 20629ce
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix data rx for CCMP-256, GCMP and GCMP-256 in raw mode
  (FATE#326906).
- commit 3598ab4
* Sat Dec 15 2018 tiwai@suse.de
- Update config files: set CONFIG_WIL6210_DEBUGFS=n
- commit 77f7ab2
* Sat Dec 15 2018 tiwai@suse.de
- ath: Convert timers to use timer_setup() (FATE#326906).
- Refresh
  patches.drivers/wireless-drivers-Dynamically-allocate-struct-station.patch.
- commit e80591a
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: remove SSID debugfs (FATE#326906).
- commit e147e82
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: debug: Remove redundant check (FATE#326906).
- commit 1bbc68b
* Sat Dec 15 2018 bp@suse.de
- Blacklist 5182f26f6f74 crypto: ccp - Make function sev_get_firmware() static
- commit 8ec2ad4
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: spectral: remove redundant check in
  write_file_spectral_count() (FATE#326906).
- commit ae2e79b
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix sending wmi cmd during the tdls teardown
  (FATE#326906).
- commit 4bbc887
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: block offchannel operations if TDLS session is active
  (FATE#326906).
- commit d75fa80
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: move ath10k_mac_tdls_vif*() functions (FATE#326906).
- commit 14e0111
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix build errors with !CONFIG_PM (FATE#326906).
- commit df5b83f
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: store coverage-class in case firmware is not booted
  (FATE#326906).
- commit 6500f94
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add new cipher suite support (FATE#326906).
- commit 5628f19
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: check power save support in STA mode through FW IE
  (FATE#326906).
- commit a523fe7
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix core PCI suspend when WoWLAN is supported but
  disabled (FATE#326906).
- commit 990c9da
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: make const array reg_hole_list static, reduces object
  code size (FATE#326906).
- commit 8526311
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: Disable 5GHz for wcn3620 (FATE#326906).
- commit 094412e
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: Avoid a potential deadlock (FATE#326906).
- commit 944d894
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: make ath10k_hw_ce_regs const (FATE#326906).
- commit 533eacb
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: Use ARRAY_SIZE macro (FATE#326906).
- commit 5db41f0
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: remove cast to void pointer (FATE#326906).
- commit f81fb64
* Sat Dec 15 2018 tiwai@suse.de
- drivers: net: ath6kl: use setup_timer() helper (FATE#326906).
- commit cd02a54
* Sat Dec 15 2018 tiwai@suse.de
- Revert "ath10k: fix napi_poll budget overflow" (FATE#326906).
- commit fd59f5c
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: rebuild crypto header in rx data frames (FATE#326906).
- commit 2207a6a
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: Remove unnecessary rcu_read_unlock in
  wcn36xx_bss_info_changed (FATE#326906).
- commit a372b26
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: mark PM functions as __maybe_unused (FATE#326906).
- commit 7ef049f
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: configure and enable the wakeup capability
  (FATE#326906).
- commit 51a0e6c
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add the PCI PM core suspend/resume ops (FATE#326906).
- commit 0585340
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: ensure P2P device is stopped before removing interface
  (FATE#326906).
- commit ba7fa18
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: increase connect timeout (FATE#326906).
- commit 88d3692
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: clear PAL_UNIT_ICR part of device reset (FATE#326906).
- commit 8e764a0
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: move pre-FW configuration to separate function
  (FATE#326906).
- commit 64ab3e1
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: align to latest auto generated wmi.h (FATE#326906).
- commit 0773a87
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: make debugfs compilation optional (FATE#326906).
- commit 8fbd01f
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: ratelimit errors in TX/RX interrupts (FATE#326906).
- commit 870c52e
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: activate user space firmware loading again
  (FATE#326906).
- commit f692de4
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: sdio: remove unused struct member (FATE#326906).
- commit 805caf5
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix napi_poll budget overflow (FATE#326906).
- commit aff8838
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: constify usb_device_id (FATE#326906).
- commit 9ec10b8
* Sat Dec 15 2018 tiwai@suse.de
- ath6kl: constify usb_device_id (FATE#326906).
- commit 6fa9e4b
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: move vring_idle_trsh definition to wil6210_priv
  (FATE#326906).
- commit f10af62
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: store FW RF calibration result (FATE#326906).
- commit 6b764b2
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: fix interface-up check (FATE#326906).
- commit 91b3885
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: notify wiphy on wowlan support (FATE#326906).
- commit cc52036
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: add statistics for suspend time (FATE#326906).
- commit 84d8abc
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: check no_fw_recovery in resume failure recovery
  (FATE#326906).
- commit f9fb241
* Sat Dec 15 2018 tiwai@suse.de
- Update config files: add CONFIG_ATH10K_SDIO=m and CONFIG_ATH10K_USB=m
- commit 9bf2533
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: support FW RSSI reporting (FATE#326906).
- Refresh
  patches.drivers/wireless-drivers-use-BIT_ULL-for-NL80211_STA_INFO_-a.patch.
- commit 568a3a0
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: protect against invalid length of tx management frame
  (FATE#326906).
- commit 85e83e1
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: make ath_ps_ops structures as const (FATE#326906).
- commit 0c014b0
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: switch to use new generic UUID API (FATE#326906).
- commit 469c823
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: ath10k_htt_rx_amsdu_allowed() use ath10k_dbg()
  (FATE#326906).
- commit 606326e
* Sat Dec 15 2018 tiwai@suse.de
- wcn36xx: check dma_mapping_error() (FATE#326906).
- commit fa49363
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: Add Dell Wireless 1802 with wowlan capability
  (FATE#326906).
- commit f09baa1
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: fix debugfs file permission (FATE#326906).
- commit d39aba1
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: explicitly request exclusive reset control
  (FATE#326906).
- commit e345764
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: push peer type to target for TDLS peers (FATE#326906).
- commit 3198c59
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add tdls support for 10.4 firmwares (FATE#326906).
- commit bb7a3f3
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: extend wmi service map to accommodate new services
  (FATE#326906).
- commit 86d0925
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: sdio: fix compile warning (FATE#326906).
- commit 350f25c
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add initial USB support (FATE#326906).
- commit b7a8dd4
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: various usb related definitions (FATE#326906).
- commit 6d6fd0a
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: set a-mpdu receiver reference number (FATE#326906).
- commit 3c27cf6
* Sat Dec 15 2018 tiwai@suse.de
- carl9170: constify usb_device_id (FATE#326906).
- commit c0a70b5
* Sat Dec 15 2018 tiwai@suse.de
- ar5523: constify usb_device_id (FATE#326906).
- commit 01317fe
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: increase buffer len to print all wmi services
  (FATE#326906).
- commit e392374
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add copy engine register MAP for wcn3990 target
  (FATE#326906).
- commit 13ece8b
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: make CE layer bus agnostic (FATE#326906).
- commit be50cdd
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix indenting in ath10k_wmi_update_noa() (FATE#326906).
- commit 3a8f343
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: remove useless variable assignment in ath_mci_intr()
  (FATE#326906).
- commit 31e9a01
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix a bunch of spelling mistakes in messages
  (FATE#326906).
- commit d9a8480
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: Use mutex_lock to avoid potential race in start/stop rng
  (FATE#326906).
- commit d21a495
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: avoid potential freezing during random generator read
  (FATE#326906).
- commit 8dd6b18
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add const to thermal_cooling_device_ops structure
  (FATE#326906).
- commit 3ea6ee1
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: remove ioctl interface (FATE#326906).
- commit bbf9b43
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: add support for PCIe D3hot in system suspend
  (FATE#326906).
- commit 2b2299b
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: prevent platform callbacks after uninit (FATE#326906).
- commit b03d719
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: set rxnss_override for QCA9888 (FATE#326906).
- commit f48adbb
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: configure rxnss_override for QCA9984 (FATE#326906).
- commit 121569e
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: use complete VHT chan width for 160MHz workaround
  (FATE#326906).
- commit 895273c
* Sat Dec 15 2018 tiwai@suse.de
- ath6kl: fix spelling mistake: "Indicat" -> "Indicate"
  (FATE#326906).
- commit c653dae
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add per chain RSSI reporting (FATE#326906).
- commit 6be3cdb
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: define structures for CE ctrl/misc register
  (FATE#326906).
- commit 0ff1100
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix the logic of limiting tdls peer counts
  (FATE#326906).
- commit 82fbabd
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add BMI parameters to fix calibration from DT/pre-cal
  (FATE#326906).
- commit c4e6765
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: initialize nbytes to 0 (FATE#326906).
- commit 4d876ec
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: log when longer bmi cmds happen (FATE#326906).
- commit 21d6deb
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: increase BMI timeout (FATE#326906).
- commit 0b8ff07
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: go back to using dma_alloc_coherent() for firmware
  scratch memory (FATE#326906).
- commit 969a53f
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: support devices with different PCIe bar size
  (FATE#326906).
- commit eb1e348
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: Improve AP stop handling (FATE#326906).
- commit cf7b2f5
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: add option to load FTM FW (FATE#326906).
- commit 53e6050
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: low level RF sector API (FATE#326906).
- commit 71608ca
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: remove unnecessary code (FATE#326906).
- commit 74bce77
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: check ah->curchan when updating tx power (FATE#326906).
- commit c7ae9bd
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: remove unnecessary code (FATE#326906).
- commit 9c87657
* Sat Dec 15 2018 tiwai@suse.de
- wil6210: use memdup_user (FATE#326906).
- commit 8067f7d
* Sat Dec 15 2018 tiwai@suse.de
- ath5k: fix memory leak on buf on failed eeprom read
  (FATE#326906).
- commit cb38ed0
* Sat Dec 15 2018 tiwai@suse.de
- ath9k: fix spelling in ath9k_tx99_init() (FATE#326906).
- commit dbb66ed
* Sat Dec 15 2018 tiwai@suse.de
- ath6kl: assure headroom of skbuff is writable in .start_xmit()
  (FATE#326906).
- commit 96f6569
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: append the wmi_op_version to testmode get_version cmd
  (FATE#326906).
- commit 859b860
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: fix out of bounds access to local buffer (FATE#326906).
- commit 192c0b1
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add initial SDIO support (FATE#326906).
- commit 9ab4d5b
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: different fw file name for sdio (FATE#326906).
- commit ceb710b
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: htc: ready_ext msg support (FATE#326906).
- commit 9f058da
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: sdio get target info (FATE#326906).
- commit 2fa7dcd
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: add sdio extra initializations (FATE#326906).
- commit af04a8c
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: various sdio related definitions (FATE#326906).
- commit 4d9543d
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: htc: refactorization (FATE#326906).
- commit c035cb9
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: htc: move htc ctrl ep connect to htc_init (FATE#326906).
- commit 0f60cf8
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: htc: rx trailer lookahead support (FATE#326906).
- commit c93700c
* Sat Dec 15 2018 tiwai@suse.de
- ath10k: htc: made static function public (FATE#326906).
- commit e3cc1ba
* Sat Dec 15 2018 jslaby@suse.cz
- x86/speculation: IBRS, forbid shooting in foot (bsc#1068032
  CVE-2017-5753 bnc#1119065).
- commit ad997a7
* Sat Dec 15 2018 mwilck@suse.com
- blacklist.conf: blacklist e8f74a0f0011
  Only necessary if CONFIG_SCSI=n, and pulls in more git-fixes.
- commit d429c45
* Fri Dec 14 2018 mwilck@suse.com
- dm mpath: fix uninitialized 'pg_init_wait' waitqueue_head NULL
  pointer (bsc#1119546).
- commit 9ec5f8d
* Fri Dec 14 2018 mwilck@suse.com
- Refresh
  patches.fixes/rdma_rxe-make-rxe-work-over-802.1q-VLAN-devices.patch.
  Fix warning about unused variable.
- commit f31a549
* Fri Dec 14 2018 kbuild@suse.de
- Delete patches.kabi/* workarounds
- commit cac2491
* Fri Dec 14 2018 mhocko@suse.com
- mm: don't miss the last page because of round-off error
  (bnc#1118798).
- commit 0be53f2
* Fri Dec 14 2018 tiwai@suse.de
- include/linux/dcache.h: use unsigned chars in struct
  name_snapshot (FATE#326906).
- commit b40d74f
* Fri Dec 14 2018 tiwai@suse.de
- include/linux/compiler.h: don't perform compiletime_assert
  with -O0 (FATE#326906).
- commit ecbd693
* Fri Dec 14 2018 nsaenzjulienne@suse.de
- input: add official Raspberry Pi's touchscreen driver
  (FATE#326921).
- Update config files.
- supported.conf: add raspberrypi-ts driver
- dt-bindings: input: Add Raspberry Pi Touchscreen (FATE#326921).
- commit 9c761dc
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: Fix if == else warnings in halbtc8723b2ant.c
  (FATE#326906).
- rtl818x: Replace mdelay() with msleep() in rtl8225se_rf_init
  (FATE#326906).
- rtlwifi: remove duplicate code (FATE#326906).
- rtlwifi: fix btmpinfo timeout while processing C2H_BT_INFO
  (FATE#326906).
- rtlwifi: access skb->data to get C2H data by macro
  (FATE#326906).
- rtlwifi: use sk_buff to queue C2H commands (FATE#326906).
- commit 5ddde6a
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: remove hal_op c2h_content_parsing (FATE#326906).
- rtlwifi: remove hal_op rx_command_packet (FATE#326906).
- rtlwifi: remove duplicate C2H handler (FATE#326906).
- rtlwifi: Add hal_op c2h_ra_report_handler for special process
  (FATE#326906).
- rtlwifi: remove dummy hal_op rx_command_packet from rtl8188ee
  and rtl8723ae (FATE#326906).
- rtlwifi: remove unused fw C2H command ID (FATE#326906).
- rtlwifi: remove duplicate C2H definition (FATE#326906).
- rtlwifi: rename register-based C2H command IDs to V0
  (FATE#326906).
- rtlwifi: remove duplicate rx_packet_type definition
  (FATE#326906).
- rtlwifi: remove CONNECTION_MONITOR flag (FATE#326906).
- commit c0a9523
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: support accurate nullfunc frame tx ack report
  (FATE#326906).
- rtlwifi: remove duplicate definition of antenna number for
  btcoex (FATE#326906).
- rtlwifi: fix spelling mistake: "dismatch" -> "mismatch"
  (FATE#326906).
- rtlwifi: btcoex: remove identical statements within if-else
  branches (FATE#326906).
- rtlwifi: cleanup 8723be ant_sel definition (FATE#326906).
- rtlwifi: rtl8821ae: fix spelling mistake: "Aboslute" ->
  "Absolute" (FATE#326906).
- rtlwifi: correct comment (FATE#326906).
- commit 0257830
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: Add new but dummy definitions introduced by
  8822b (FATE#326906).
- rtlwifi: btcoex: new definitions introduced by 8822be
  (FATE#326906).
- rtlwifi: btcoex: add assoc type v2 to connection notify
  (FATE#326906).
- rtlwifi: btcoex: Add pre- and post- normal LPS function
  (FATE#326906).
- rtlwifi: btcoex: Add interaction with phydm (FATE#326906).
- rtlwifi: btcoex: Add rate table for the use of btcoex
  (FATE#326906).
- rtlwifi: btcoex: Get status of multichannel concurrence
  (FATE#326906).
- rtlwifi: btcoex: Add customer_id to do special deal to oem
  vendor (FATE#326906).
- rtlwifi: btcoex: Add enum DM_INFO for btcoex to query dm's
  counters (FATE#326906).
- rtlwifi: remove redundant statement found by static checker
  (FATE#326906).
- commit c4dc8e6
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: Add modifier static to functions reported by sparse
  (FATE#326906).
- rtlwifi: btcoex: fix argument typo of if-statement found by
  Coccinelle (FATE#326906).
- rtlwifi: rtl8192cu: remove pointless memcpy (FATE#326906).
- rtlwifi: btcoex: Add 8822be btcoex supported files for wifi only
  (FATE#326906).
- rtlwifi: btcoex: add routine to set default port id
  (FATE#326906).
- rtlwifi: add efuse ops for other components (FATE#326906).
- rtlwifi: add definition radio_mask for RF and maximum bandwidth
  (FATE#326906).
- rtlwifi: Fix VHT NSS in RC (FATE#326906).
- rtlwifi: Add rate section and its related definition and comment
  (FATE#326906).
- rtlwifi: Extend tx_power_by_rate_offset size for newer IC
  (FATE#326906).
- commit e888326
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: Use 6 bits as sequence number of TX report
  (FATE#326906).
- rtlwifi: Add Support VHT to spec_ver (FATE#326906).
- rtlwifi: enable mac80211 fast-tx support (FATE#326906).
- rtlwifi: btcoex: Fix some static warnings from Sparse
  (FATE#326906).
- rtl8xxxu: Fix trailing semicolon (FATE#326906).
- rtlwifi: Add spec_ver to check whether use new rate-id or not
  (FATE#326906).
- rtlwifi: Add ratr_table for newer IC (FATE#326906).
- rtlwifi: 8822be has to report vht capability to mac80211
  (FATE#326906).
- rtlwifi: btcoex: add boolean variables dbg_mode (FATE#326906).
- rtlwifi: btcoex: Add wifi_only series ops to control solo card
  (FATE#326906).
- commit a0613ef
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: add scan_notify within ips_notify if RFON
  (FATE#326906).
- rtlwifi: btcoex: Add variable ant_div_cfg to support antenna
  diversity (FATE#326906).
- rtlwifi: btcoex: Add switch band notify for btc (FATE#326906).
- rtlwifi: btcoex: extend get_wifi_bw to support bandwidth 80M
  (FATE#326906).
- rtlwifi: Support A-MSDU in A-MPDU capability (FATE#326906).
- rtlwifi: btcoex: add rfe_type parameter to btcoex (FATE#326906).
- rtlwifi: btcoex: Add common function for qeurying BT information
  (FATE#326906).
- rtlwifi: btcoex: Remove typedef statements (FATE#326906).
- rtlwifi: btcoex: Remove global variables from btcoex
  (FATE#326906).
- rtlwifi: btcoex: Add power_on_setting routine (FATE#326906).
- commit a4fda66
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: unlink bss when un-association (FATE#326906).
- commit 45a5ee0
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: fix scan channel 1 fail after IPS (FATE#326906).
- commit a855af2
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: Use mutex to replace spin_lock to protect IPS and LPS
  (FATE#326906).
- Refresh
  patches.drivers/rtlwifi-Fix-kernel-Oops-Fw-download-fail.
- commit b641de0
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoexist: remove redundant variable fw_ps_state
  (FATE#326906).
- commit dd360b1
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: fill FW version and subversion (FATE#326906).
- commit 08b7734
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: Use seq_file to dump btcoex status
  (FATE#326906).
- commit ddec3b9
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: Improve debugging by using debugfs (FATE#326906).
- commit 41227cf
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: rtl8723: Add error handling to no existing firmware
  (FATE#326906).
- commit ff71829
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: Remove unnecessary parentheses (FATE#326906).
- commit 05f5b46
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: mark expected switch fall-through in
  rtl_make_smps_action (FATE#326906).
- commit 664b70f
* Fri Dec 14 2018 tiwai@suse.de
- kernel.h: handle pointers to arrays better in container_of()
  (FATE#326906).
- commit aecb818
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: Remove unnecessary 'out of memory' message
  (FATE#326906).
- rtlwifi: use kcalloc instead of multiply (FATE#326906).
- rtlwifi: fix parenthesis alignment (FATE#326906).
- rtlwifi: check for array overflow (FATE#326906).
- rtlwifi: always initialize variables given to RT_TRACE()
  (FATE#326906).
- rtlwifi: rtl_pci: 8822BE puts broadcast and multicast packet
  to HIQ (FATE#326906).
- wireless: use ARRAY_SIZE (FATE#326906).
- rtlwifi: rtl818x: remove redundant check for cck_power > 15
  (FATE#326906).
- rtlwifi: cleanup the code that check whether TX ring is
  available (FATE#326906).
- rtlwifi: fix the wrong size to calculate fifo space
  (FATE#326906).
- commit ca9a21c
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: Reduce IO in RX interrupt to boost throughput
  (FATE#326906).
- commit 7e108fd
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: Convert individual interrupt results to struct
  (FATE#326906).
- commit 4f27329
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: remove redundant initialization to cfg_cmd
  (FATE#326906).
- commit 703a400
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: remove redundant pointer tid_data (FATE#326906).
- commit 5890c2e
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: drop unused ppsc->last_wakeup_time (FATE#326906).
- commit c05c5ec
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: use ktime_get_real_seconds() for suspend time
  (FATE#326906).
- commit 2cee16e
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: rtl_pci: Extend recognized interrupt parameters from
  two to four ISR (FATE#326906).
- commit 5d4ee61
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: rtl_pci: Add ID for 8822BE (FATE#326906).
- commit 67690c4
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: rtl_pci: Add fill_tx_special_desc to issue H2C data,
  and process TXOK in interrupt (FATE#326906).
- commit fd2b90e
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: rtl_pci: Add support for 8822be TX/RX BD (FATE#326906).
- commit cd73b88
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: rtl_pci: Simplify some code be eliminating extraneous
  variables (FATE#326906).
- commit bdc5a82
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: rtl_pci: Fix formatting problems in pci.c
  (FATE#326906).
- commit e9d7acf
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: rtl_pci: Fix formatting errors in pci.h (FATE#326906).
- commit 35bb2ca
* Fri Dec 14 2018 mwilck@suse.com
- rdma_rxe: make rxe work over 802.1q VLAN devices (bsc#1082387).
- commit 64d14d8
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: Remove seq_number from rtl_tid_data (FATE#326906).
- commit b116562
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: rtl8821ae: Fix typo in variable name (FATE#326906).
- commit ceb2dca
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: Convert timers to use timer_setup() (FATE#326906).
- Refresh
  patches.drivers/rtlwifi-Fix-kernel-Oops-Fw-download-fail.
- commit 74b8595
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: Fix typo in if ... else if ... else construct
  (FATE#326906).
- commit 62b108d
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: Remove unused cur_rfstate variables (FATE#326906).
- commit 30579e9
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: Add module parameter ASPM (FATE#326906).
- commit c04d090
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: Add bw_update parameter for RA mask update
  (FATE#326906).
- rtlwifi: Remove BAND_NUM and related fields (FATE#326906).
- rtlwifi: Add RSSI and RF type to wifi.h for phydm (FATE#326906).
- rtlwifi: Add TX/RX throughput statistics in period
  (FATE#326906).
- rtlwifi: Add rtl_get_hal_edca_param() to generate register's
  format of EDCA (FATE#326906).
- rtlwifi: Implement rtl_get_tx_hw_rate to yield correct hw_rate
  (FATE#326906).
- rtlwifi: rtl8192ee: Make driver support 64bits DMA
  (FATE#326906).
- rtlwifi: Remove redundant semicolon in wifi.h (FATE#326906).
- rtlwifi: Fix MAX MPDU of VHT capability (FATE#326906).
- rtlwifi: silence underflow warning (FATE#326906).
- rtl8xxxu: Don't printk raw binary if serial number is not
  burned in (FATE#326906).
- rtlwifi: btcoexist: 23b 1ant: fix duplicated code for different
  branches (FATE#326906).
- rtlwifi: btcoexist: Fix antenna selection code (FATE#326906).
- rtlwifi: rtl8723be: fix duplicated code for different branches
  (FATE#326906).
- rtlwifi: rtl8821ae: fix spelling mistake: "faill" -> "failed"
  (FATE#326906).
- rtlwifi: make a couple arrays larger (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: fix duplicated code for different
  branches (FATE#326906).
- rtl8192cu: constify usb_device_id (FATE#326906).
- rtl8xxxu: constify usb_device_id (FATE#326906).
- rtl8187: constify usb_device_id (FATE#326906).
- rtlwifi: constify rate_control_ops structure (FATE#326906).
- rtlwifi: Replace hardcode value with macro (FATE#326906).
- rtlwifi: rtl8192ee: constify pci_device_id (FATE#326906).
- rtlwifi: rtl8188ee: constify pci_device_id (FATE#326906).
- rtlwifi: rtl8723be: constify pci_device_id (FATE#326906).
- rtlwifi: rtl8723ae: constify pci_device_id (FATE#326906).
- rtlwifi: rtl8821ae: constify pci_device_id (FATE#326906).
- rtlwifi: rtl8192se: constify pci_device_id (FATE#326906).
- rtlwifi: rtl8192de: constify pci_device_id (FATE#326906).
- rtlwifi: Remove unused dummy function (FATE#326906).
- commit f79cecf
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: remove dummy function call (FATE#326906).
- rtlwifi: move IS_HARDWARE_TYPE_xxx checker to wifi.h
  (FATE#326906).
- rtlwifi: Uses addr1 instead DA to determine broadcast and
  multicast addr (FATE#326906).
- rtlwifi: Rename rtl_desc92_rate to rtl_desc_rate (FATE#326906).
- rtlwifi: Update 8723be new phy parameters and its parser
  (FATE#326906).
- rtlwifi: add amplifier type for 8812ae (FATE#326906).
- rtlwifi: Add board type for 8723be and 8192ee (FATE#326906).
- rtlwifi: Add BT_MP_INFO to c2h handler (FATE#326906).
- rtlwifi: Fill in_4way field by driver (FATE#326906).
- rtlwifi: kfree entry until after entry->bssid has been accessed
  (FATE#326906).
- rtlwifi: remove useless code (FATE#326906).
- Revert "rtlwifi: btcoex: rtl8723be: fix ant_sel not work"
  (FATE#326906).
- rtlwifi: Add in_4way field for btcoexist (FATE#326906).
- rtlwifi: Fill ap_num field by driver (FATE#326906).
- rtlwifi: Add ap_num field for btcoexist (FATE#326906).
- rtlwifi: Add return value to btc_set (FATE#326906).
- rtlwifi: Update some cases in btc_get function -- roam, 5G,
  AP mode, and return value (FATE#326906).
- rtlwifi: Modify power mode parameters of 8723be and 8821ae
  (FATE#326906).
- rtlwifi: Do IQK only once to reduce wifi occupy antenna
  (FATE#326906).
- rtlwifi: Fix a2dp choppy while BT RSSI stays on threshold
  (FATE#326906).
- commit 29f2274
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoexist control to enter/leave LPS (FATE#326906).
- rtlwifi: add btc_is_bt_lps_on() for btcoexist (FATE#326906).
- rtlwifi: Add rx ampdu cfg for btcoexist (FATE#326906).
- rtlwifi: Add btcoex record_pwr_mode (FATE#326906).
- rtlwifi: Revise special packet notification to be readable
  format (FATE#326906).
- rtlwifi: Add TX report and disable key to force wait until
  report acked (FATE#326906).
- rtlwifi: extend debug_comp to u64 (FATE#326906).
- rtlwifi: Correct power save capability while init mac80211
  (FATE#326906).
- rtlwifi: btcoex: rtl8723be: fix ant_sel not work (FATE#326906).
- rtlwifi: btcoex: set correct interface type and parameter
  (FATE#326906).
- rtlwifi: btcoex: call bind to setup btcoex (FATE#326906).
- rtlwifi: fix REG_USTIME_TSF register definition (FATE#326906).
- rtlwifi: btcoex: let btcoex get wifi rssi and link status
  (FATE#326906).
- rtlwifi: btcoex: remove unused display functions (FATE#326906).
- rtlwifi: btcoex: bind BT coex information with wifi driver
  (FATE#326906).
- rtlwifi: btcoex: hook external functions for newer chips
  (FATE#326906).
- rtlwifi: btcoex: add settings before the hardware is ready
  (FATE#326906).
- rtlwifi: btcoex: hook external PnP notify by chip for wifi
  driver (FATE#326906).
- rtlwifi: btcoex: settings before firmware is downloaded
  (FATE#326906).
- rtlwifi: btcoex: rename ex_halbtc*ant to ex_btc*ant
  (FATE#326906).
- commit 041abe1
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: add macros to check chip type (FATE#326906).
- commit 59bf760
* Fri Dec 14 2018 tiwai@suse.de
- net: replace more place to skb_put_[data:zero] (FATE#326906).
- Refresh
  patches.drivers/rtlwifi-rtl8192ee-Fix-memory-leak-when-loading-firmw.
- commit 13aa6dc
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: 23b 1ant: initialize bt_disabled to false
  (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: turn off ps and tdma mechanism when
  concurrent mode (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: fine tune for bt_sco_hid busy
  (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: fine tune for wifi not connected
  (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: fine tune for wifi connected
  (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: coex table fine tune (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: Add coex_table_type to log
  (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: remove verbose log from periodic
  function (FATE#326906).
- commit 33811a1
* Fri Dec 14 2018 mwilck@suse.com
- IB/rxe: support for 802.1q VLAN on the listener (bsc#1082387).
- commit 05157dd
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: 23b 1ant: check more cases when bt is queing
  (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: define wifi in high priority task
  (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: Special packets statistic in
  notification (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: Revise media status notify to fix
  no scan result issue (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: fine tune connect notify
  (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: Add rf status notification
  (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: Setup register for BT WHCK test
  (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: parse more BT information from C2H
  (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: Add power_on_setting (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: add wifi_only argument to
  init_hwconfig (FATE#326906).
- commit e3bf22a
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: 23b 1ant: adjust wifi duration for bt a2dp
  (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: need these information when scan
  (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: Switch antenna to wifi or BT
  (FATE#326906).
- rtlwifi: rtl8723ae: fix spelling mistake: "Coexistance" ->
  "Coexistence" (FATE#326906).
- rtlwifi: fix spelling mistake: "Pairwiase" -> "Pairwise"
  (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: check PS state before setting tdma
  duration (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: monitor bt is enabled or disabled
  (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: check if BT high priority packet
  exist (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: monitor wifi and BT counter
  (FATE#326906).
- rtlwifi: btcoex: 23b 1ant: TDMA duration for ACL busy
  (FATE#326906).
- commit 0e166c6
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: 23b 1ant: rename and coding style modification
  (FATE#326906).
- rtlwifi: btcoex: Restore 23b 1ant routine for tdma adjustment
  (FATE#326906).
- rtlwifi: btcoex: 21a 1ant: add bt_tx_rx_mask into bt info
  (FATE#326906).
- rtlwifi: btcoex: 21a 1ant: fix some coding style issues
  (FATE#326906).
- rtlwifi: btcoex: 21a 1ant: treat ARP as special packet
  (FATE#326906).
- rtlwifi: btcoex: 21a 1ant: re-init coex after wifi leaves IPS
  (FATE#326906).
- rtlwifi: btcoex: 21a 1ant: use default value when initiating
  coex (FATE#326906).
- rtlwifi: btcoex: 21a 1ant: mark packet high priority when
  scanning (FATE#326906).
- rtlwifi: btcoex: 21a 1ant: normal mode for retry limit when
  connected (FATE#326906).
- rtlwifi: btcoex: 21a 1ant: wifi slot time adjustment
  (FATE#326906).
- commit ffd546f
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: 21a 1ant: coex table and tdma settings for
  softap mode (FATE#326906).
- rtlwifi: btcoex: 21a 1ant: react to special packet when wifi
  is not scanning (FATE#326906).
- rtlwifi: btcoex: 21a 1ant: shorten wifi slot when connected scan
  (FATE#326906).
- rtlwifi: btcoex: 21a 1ant: more bt profiling when wifi receives
  special packet (FATE#326906).
- rtlwifi: btcoex: 21a 1ant: set tdma and coex table when wifi
  is idle (FATE#326906).
- rtlwifi: btcoex: 21a 2ant: remove unused antenna detection
  variables (FATE#326906).
- rtlwifi: btcoex: 21a 2ant: fix PTA unstable problem when hw init
  (FATE#326906).
- commit 543f674
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: 21a 2ant: init wlan when leave ips
  (FATE#326906).
- commit ae8e3be
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: 21a 2ant: run mechanism if status changes or
  auto adjust is set (FATE#326906).
- commit d86340c
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: 21a 2ant: add pnp notidy to avoid LPS/IPS
  mismatch (FATE#326906).
- commit 199988f
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: 21a 2ant: settings before wifi firmware is
  ready (FATE#326906).
- commit 6f82935
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: 21a 2ant: set wifi standby when halting of
  entering ips (FATE#326906).
- commit 57b4b44
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: 21a 2ant: refine btc8821a2ant_action_hid_a2dp
  (FATE#326906).
- commit 04ee1a5
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: 21a 2ant: set tdma with rssi states
  (FATE#326906).
- commit e5a9095
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: Remove 92e 2ant configuration parameter
  (FATE#326906).
- commit ca464f8
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: Remove 23b 2ant configuration parameter
  (FATE#326906).
- commit d3b68c5
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: Remove 23b 1ant configuration parameter
  (FATE#326906).
- commit 69be790
* Fri Dec 14 2018 tiwai@suse.de
- rtlwifi: btcoex: Remove 21a 1ant configuration parameter
  (FATE#326906).
- commit 0c3c9eb
* Fri Dec 14 2018 tiwai@suse.de
- mac80211_hwsim: fix race in radio destruction from netlink
  notifier (FATE#326294).
- commit f3572b9
* Fri Dec 14 2018 tiwai@suse.de
- mac80211_hwsim: fix locking when iterating radios during ns exit
  (FATE#326294).
- commit 209e324
* Fri Dec 14 2018 tiwai@suse.de
- mac80211_hwsim: Fix possible Spectre-v1 for
  hwsim_world_regdom_custom (FATE#326294).
- commit 5db3163
* Fri Dec 14 2018 tiwai@suse.de
- mac80211_hwsim: Add support for HE (FATE#326294).
- commit 17d439b
* Fri Dec 14 2018 tiwai@suse.de
- mac80211_hwsim: fix module init error paths (FATE#326294).
- commit 82155c1
* Fri Dec 14 2018 tiwai@suse.de
- mac80211_hwsim: add generation count for netlink dump operation
  (FATE#326294).
- Refresh
  patches.fixes/mac80211_hwsim-do-not-omit-multicast-announce-of-fir.patch.
- commit 43c0ff4
* Fri Dec 14 2018 tiwai@suse.de
- mac80211_hwsim: Fix radio dump for radio idx 0 (FATE#326294).
- commit bf60d87
* Fri Dec 14 2018 hare@suse.de
- blk-mq: Document the functions that iterate over requests
  (bsc#1104967,FATE#325924).
- block: use bio_add_page in bio_iov_iter_get_pages
  (bsc#1104967,FATE#325924).
- blok, bfq: do not plug I/O if all queues are weight-raised
  (bsc#1104967,FATE#325924).
- block, bfq: inject other-queue I/O into seeky idle queues on
  (bsc#1104967,FATE#325924).
- block, bfq: correctly charge and reset entity service in all
  (bsc#1104967,FATE#325924).
- block: remove bio_rewind_iter() (bsc#1104967,FATE#325924).
- blk-cgroup: increase number of supported policies
  (bsc#1104967,FATE#325924).
- block: don't warn when doing fsync on read-only devices
  (bsc#1104967,FATE#325924).
- block: remove unnecessary condition check
  (bsc#1104967,FATE#325924).
- blk-mq: sync the update nr_hw_queues with
  blk_mq_queue_tag_busy_iter (bsc#1104967,FATE#325924).
- blk-mq: init hctx sched after update ctx and hctx mapping
  (bsc#1104967,FATE#325924).
- block: remove duplicate initialization
  (bsc#1104967,FATE#325924).
- tracing/blktrace: Fix to allow setting same value
  (bsc#1104967,FATE#325924).
- block: change return type to bool (bsc#1104967,FATE#325924).
- block, bfq: improve code of bfq_bfqq_charge_time
  (bsc#1104967,FATE#325924).
- block, bfq: reduce write overcharge (bsc#1104967,FATE#325924).
- block, bfq: always update the budget of an entity when needed
  (bsc#1104967,FATE#325924).
- block, bfq: readd missing reset of parent-entity service
  (bsc#1104967,FATE#325924).
- blk-mq: count the hctx as active before allocating tag
  (bsc#1104967,FATE#325924).
- block/laptop_mode: Convert timers to use timer_setup()
  (bsc#1104967,FATE#325924).
- commit 3a2b2ae
* Fri Dec 14 2018 tiwai@suse.de
- mac80211_hwsim: indicate support for powersave (FATE#326294).
- commit c14c41e
* Fri Dec 14 2018 hare@suse.de
- cfq: Suppress compiler warnings about comparisons
  (bsc#1104967,FATE#325924).
- cfq: Annotate fall-through in a switch statement
  (bsc#1104967,FATE#325924).
- commit a14f49e
* Fri Dec 14 2018 tiwai@suse.de
- mac80211_hwsim: use DEFINE_IDA (FATE#326294).
- commit 9cb5517
* Fri Dec 14 2018 tiwai@suse.de
- mac80211_hwsim: fix use-after-free bug in hwsim_exit_net
  (FATE#326294).
- commit b6cd6e4
* Fri Dec 14 2018 tiwai@suse.de
- mac80211_hwsim: Set wmediumd for new radios (FATE#326294).
- commit 5df62a6
* Fri Dec 14 2018 tiwai@suse.de
- mac80211_hwsim: Make hwsim_netgroup IDA (FATE#326294).
- commit 540ac49
* Fri Dec 14 2018 tiwai@suse.de
- mac80211_hwsim: don't use WQ_MEM_RECLAIM (FATE#326294).
- commit c27601a
* Fri Dec 14 2018 tiwai@suse.de
- mac80211_hwsim: add hwsim_tx_rate_flags to netlink attributes
  (FATE#326294).
- commit 5910808
* Fri Dec 14 2018 tiwai@suse.de
- mac80211_hwsim: add workqueue to wait for deferred radio
  deletion on mod unload (FATE#326294).
- commit 5244863
* Fri Dec 14 2018 tiwai@suse.de
- mac80211_hwsim: enable TODS BIT in null data frame
  (FATE#326294).
- commit b870809
* Fri Dec 14 2018 mhocko@suse.com
- mm: defer ZONE_DEVICE page initialization to the point where
  we init pgmap (bnc#1114830, fate#326764).
- mm/memory_hotplug: optimize memory hotplug (bnc#1114830,
  fate#326764).
- mm/memory_hotplug: don't read nid from struct page during
  hotplug (bnc#1114830, fate#326764).
- mm/memory_hotplug: optimize probe routine (bnc#1114830,
  fate#326764).
- commit 39747b7
* Fri Dec 14 2018 tiwai@suse.de
- mmc: sdhci: fix the timeout check window for clock and reset
  (bsc#1051510).
- MMC: OMAP: fix broken MMC on OMAP15XX/OMAP5910/OMAP310
  (bsc#1051510).
- xhci: Prevent U1/U2 link pm states if exit latency is too long
  (bsc#1051510).
- usb: quirk: add no-LPM quirk on SanDisk Ultra Flair device
  (bsc#1051510).
- usb: appledisplay: Add 27" Apple Cinema Display (bsc#1051510).
- commit 43f7b55
* Fri Dec 14 2018 tiwai@suse.de
- blacklist.conf: Add entries that fix the already blacklisted commits
- commit 3842eb7
* Fri Dec 14 2018 tiwai@suse.de
- mac80211: ignore NullFunc frames in the duplicate detection
  (bsc#1051510).
- mac80211: fix reordering of buffered broadcast packets
  (bsc#1051510).
- mac80211: Clear beacon_int in ieee80211_do_stop (bsc#1051510).
- mac80211_hwsim: Timer should be initialized before device
  registered (bsc#1051510).
- commit 4da2a47
* Fri Dec 14 2018 tiwai@suse.de
- HID: multitouch: Add pointstick support for Cirque Touchpad
  (bsc#1051510).
- HID: input: Ignore battery reported by Symbol DS4308
  (bsc#1051510).
- commit 137ef89
* Fri Dec 14 2018 tiwai@suse.de
- ALSA: hda/realtek: Enable audio jacks of ASUS UX433FN/UX333FA
  with ALC294 (bsc#1051510).
- ALSA: hda/realtek: Enable audio jacks of ASUS UX533FD with
  ALC294 (bsc#1051510).
- ALSA: hda/realtek: ALC294 mic and headset-mode fixups for ASUS
  X542UN (bsc#1051510).
- ALSA: fireface: fix reference to wrong register for clock
  configuration (bsc#1051510).
- ALSA: hda/realtek - Fix the mute LED regresion on Lenovo X1
  Carbon (bsc#1051510).
- ALSA: hda/realtek - Fixed headphone issue for ALC700
  (bsc#1051510).
- commit defdb99
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: mvm: report RU offset is known (FATE#326294).
- commit d7b86fe
* Fri Dec 14 2018 tiwai@suse.de
- cfg80211: fix reg_query_regdb_wmm kernel-doc (FATE#326294).
- commit b93b4b4
* Fri Dec 14 2018 tiwai@suse.de
- mac80211: fix saving a few HE values (FATE#326294).
- commit 57b0689
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: pcie: avoid unnecessary work if NIC is disconnected
  (FATE#326294).
- commit bfff114
* Fri Dec 14 2018 tiwai@suse.de
- cfg80211: add missing kernel-doc (FATE#326294).
- commit 16e3538
* Fri Dec 14 2018 hare@suse.de
- blacklist.conf: Drop blacklisting backported patch
- commit 76829e9
* Fri Dec 14 2018 tiwai@suse.de
- wireless-drivers: Dynamically allocate struct station_info
  (FATE#326294).
- commit e7aa5dd
* Fri Dec 14 2018 tiwai@suse.de
- idsn: fix wrong skb_put() used (FATE#326294).
- commit e1ba5d1
* Fri Dec 14 2018 hare@suse.de
- blk-mq: fix updating tags depth (bsc#1104967,FATE#325924).
- commit 12769b4
* Fri Dec 14 2018 hare@suse.de
- block: remove bio_clone_kmalloc (bsc#1104967,FATE#325924).
- exofs: use bio_clone_fast in _write_mirror
  (bsc#1104967,FATE#325924).
- commit e2d55d2
* Fri Dec 14 2018 hare@suse.de
- block: bio_set_pages_dirty can't see NULL bv_page in a valid
  bio_vec (bsc#1104967,FATE#325924).
- block: simplify bio_check_pages_dirty (bsc#1104967,FATE#325924).
- blk-mq: fail the request in case issue failure
  (bsc#1104967,FATE#325924).
- commit 8df33f2
* Fri Dec 14 2018 hare@suse.de
- block/bsg-lib: use PTR_ERR_OR_ZERO to simplify the flow path
  (bsc#1104967,FATE#325924).
- bsg: remove read/write support (bsc#1104967,FATE#325924).
- commit 9003053
* Fri Dec 14 2018 hare@suse.de
- blk-mq: issue directly if hw queue isn't busy in case of
  (bsc#1104967,FATE#325924).
- block: fix infinite loop if the device loses discard
  (bsc#1104967,FATE#325924).
- block, mm: remove unnecessary __GFP_HIGH flag
  (bsc#1104967,FATE#325924).
- commit dd60224
* Fri Dec 14 2018 hare@suse.de
- blk-mq: only attempt to merge bio if there is rq in sw queue
  (bsc#1104967,FATE#325924).
- blk-mq: use list_splice_tail_init() to insert requests
  (bsc#1104967,FATE#325924).
- blk-mq: fix typo in a function comment
  (bsc#1104967,FATE#325924).
- blk-mq: code clean-up by adding an API to clear set->mq_map
  (bsc#1104967,FATE#325924).
- partitions/ldm: remove redundant pointer dgrp
  (bsc#1104967,FATE#325924).
- Block: blk-throttle: set low_valid immediately once one cgroup
  has io.low configured (bsc#1104967,FATE#325924).
- Blktrace: bail out early if block debugfs is not configured
  (bsc#1104967,FATE#325924).
- commit fbe0a24
* Fri Dec 14 2018 hare@suse.de
- block: Document how blk_update_request() handles
  (bsc#1104967,FATE#325924).
- block, bfq: give a better name to bfq_bfqq_may_idle
  (bsc#1104967,FATE#325924).
- block, bfq: fix service being wrongly set to zero in case of
  (bsc#1104967,FATE#325924).
- block, bfq: do not expire a queue that will deserve dispatch
  (bsc#1104967,FATE#325924).
- block, bfq: add/remove entity weights correctly
  (bsc#1104967,FATE#325924).
- commit ebd70ba
* Fri Dec 14 2018 hare@suse.de
- block: Make struct request_queue smaller for
  CONFIG_BLK_DEV_ZONED=n (bsc#1104967,FATE#325924).
- block: Inline blk_queue_nr_zones() (bsc#1104967,FATE#325924).
- block: Remove bdev_nr_zones() (bsc#1104967,FATE#325924).
- include/uapi/linux/blkzoned.h: Remove a superfluous __packed
  directive (bsc#1104967,FATE#325924).
- block: Remove a superfluous cast from blkdev_report_zones()
  (bsc#1104967,FATE#325924).
- commit e78cc4b
* Fri Dec 14 2018 tiwai@suse.de
- Delete patches.suse/iwlwifi-expose-default-fallback-ucode-api.
  The latest driver updates follow the firmware API, so we no longer need
  this hack.
- commit 38c3c9b
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: mvm: put HE SIG-B symbols/users data correctly
  (FATE#326294).
- commit 2e540f4
* Fri Dec 14 2018 tiwai@suse.de
- cfg80211: Fix busy loop regression in ieee80211_ie_split_ric()
  (FATE#326294).
- mac80211: ignore NullFunc frames in the duplicate detection
  (FATE#326294).
- mac80211: fix reordering of buffered broadcast packets
  (FATE#326294).
- mac80211: ignore tx status for PS stations in
  ieee80211_tx_status_ext (FATE#326294).
- mac80211: Clear beacon_int in ieee80211_do_stop (FATE#326294).
- mac80211: fix GFP_KERNEL under tasklet context (FATE#326294).
- iwlwifi: fix wrong WGDS_WIFI_DATA_SIZE (FATE#326294).
- commit 85e06f4
* Fri Dec 14 2018 tiwai@suse.de
- cfg80211: fix wext-compat memory leak (FATE#326294).
- iwlwifi: 1000: set the TFD queue size (FATE#326294).
- mac80211: allocate TXQs for active monitor interfaces
  (FATE#326294).
- mac80211: Don't wake up from PS for offchannel TX (FATE#326294).
- commit eb18929
* Fri Dec 14 2018 tiwai@suse.de
- mac80211: fix WMM TXOP calculation (FATE#326294).
- nl80211: Pass center frequency in kHz instead of MHz
  (FATE#326294).
- nl80211: Fix nla_put_u8 to u16 for NL80211_WMMR_TXOP
  (FATE#326294).
- commit bb0345c
* Fri Dec 14 2018 tiwai@suse.de
- mac80211: don't update the PM state of a peer upon a multicast
  frame (FATE#326294).
- commit bc41210
* Fri Dec 14 2018 tiwai@suse.de
- cfg80211: make wmm_rule part of the reg_rule structure
  (FATE#326294).
- commit 80c553e
* Fri Dec 14 2018 tiwai@suse.de
- cfg80211: remove division by size of sizeof(struct
  ieee80211_wmm_rule) (FATE#326294).
- commit fa96f7e
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: Remove unnecessary include of <linux/pci-aspm.h>
  (FATE#326294).
- commit ca1ec50
* Fri Dec 14 2018 tiwai@suse.de
- iwlegacy: fix spelling mistake "acumulative" -> "accumulative"
  (FATE#326294).
- commit 72f120c
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: pcie: split tx to amsdu and non amsdu (FATE#326294).
- Refresh
  patches.drivers/iwlwifi-pcie-gen2-build-A-MSDU-only-for-GSO.patch.
- commit ca45024
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: move some msix and rx functions to a common place
  (FATE#326294).
- commit 5c4be00
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: pcie: include tcp.h implicitly (FATE#326294).
- commit 502925d
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: mvm: remove dead gscan code (FATE#326294).
- commit 4b4aae7
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: hard code power save mode to CAM for 22560 devices
  (FATE#326294).
- commit 6bff952
* Fri Dec 14 2018 tiwai@suse.de
- Revert "iwlwifi: implement fseq version mismatch warning"
  (FATE#326294).
- commit a71b9df
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: mvm: configure multi RX queue (FATE#326294).
- commit c97d723
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: d3: disable dbg recording before entering D3
  (FATE#326294).
- commit d46b251
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: allow masking out memory areas from the fw dump
  (FATE#326294).
- Refresh
  patches.drivers/iwlwifi-dbg-don-t-crash-if-the-firmware-crashes-in-t.patch.
- commit 8b6cf4b
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: trans: add a new op for getting DMA data (FATE#326294).
- commit 36e38b2
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: pcie: move rxb retrieval to a helper function
  (FATE#326294).
- Refresh
  patches.drivers/iwlwifi-pcie-avoid-empty-free-RB-queue.patch.
- commit b620e14
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: pcie: unionize used bd and completion descriptor
  (FATE#326294).
- commit eb7393a
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: support new rx_mpdu_desc api (FATE#326294).
- commit 493648e
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: pcie: support rx structures for 22560 devices
  (FATE#326294).
- Refresh
  patches.drivers/iwlwifi-pcie-avoid-empty-free-RB-queue.patch.
- commit 1bb9c4b
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: pcie: add a bunch of PCI IDs for 22000 and 22560
  (FATE#326294).
- commit 18c455a
* Fri Dec 14 2018 tiwai@suse.de
- iwlegacy: remove several redundant variables (FATE#326294).
- commit c1d8fb8
* Fri Dec 14 2018 tiwai@suse.de
- ipw2x00: remove redundant variables len, ret, reason and crypt
  (FATE#326294).
- commit 9ff7698
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: pcie: support 2k rx buffers (FATE#326294).
- commit f35184e
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: update registers changed for 22560 devices
  (FATE#326294).
- commit 23d1ccf
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: introduce new rx structures used by 22560 RFH
  (FATE#326294).
- commit 12dee0b
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: support new tx api (FATE#326294).
- commit 7b91909
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: support multiple tfd queue max sizes for different
  devices (FATE#326294).
- commit b30e108
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: cancel the injective function between hw pointers to
  tfd entry index (FATE#326294).
- commit c9f9f64
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: update gen3 interrupts - sw error and image response
  (FATE#326294).
- commit 9c9e96c
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: pcie: start early debug for 22560 devices
  (FATE#326294).
- commit 676aadf
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: pcie: update bytes in the byte count table
  (FATE#326294).
- commit ef1338d
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: pcie: support context information for 22560 devices
  (FATE#326294).
- commit c0435d3
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: pcie: allocate and free rx cr's and tr's tails
  (FATE#326294).
- commit 6517b27
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: introduce device family 22560 (FATE#326294).
- commit d0f7580
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: allow different csr flags for different device families
  (FATE#326294).
- commit ebdbfb4
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: add support for 22560 devices (FATE#326294).
- commit 4b7b196
* Fri Dec 14 2018 hare@suse.de
- Delete
  patches.fixes/scsi-snic-fix-printing-time-intervals.patch.
- commit 52de6a8
* Fri Dec 14 2018 tiwai@suse.de
- Refresh
  patches.drivers/iwlwifi-rename-the-temporary-name-of-A000-to-the-off.patch.
  Fix the missing merge correction in the upstream tree
- commit e74d2ce
* Fri Dec 14 2018 hare@suse.de
- nvme-fc: resolve io failures during connect (bsc#1116803).
- commit d63fbbc
* Fri Dec 14 2018 jthumshirn@suse.de
- scripts/git_sort/git_sort.py: change SCSI git repos to make series sorting
  more failsafe.
- commit 19a60e4
* Fri Dec 14 2018 dchang@suse.com
- tg3: Mark expected switch fall-throughs (bsc#1104710
  FATE#325912).
- commit 74dc9b0
* Fri Dec 14 2018 dchang@suse.com
- bna: Remove unnecessary self assignment (bsc#1104400
  FATE#325897).
- commit 113d93f
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: 22000 devices: restrict to HT A-MPDU size
  (FATE#326294).
- commit 111f0b2
* Fri Dec 14 2018 tiwai@suse.de
- bitfield: avoid gcc-8 -Wint-in-bool-context warning
  (FATE#326294).
- bitfield: add u8 helpers (FATE#326294).
- bitfield: fix *_encode_bits() (FATE#326294).
- Add primitives for manipulating bitfields both in host- and
  fixed-endian (FATE#326294).
- include/linux/bitfield.h: include <linux/build_bug.h> instead
  of <linux/bug.h> (FATE#326294).
- include/linux/bitfield.h: remove 32bit from FIELD_GET comment
  block (FATE#326294).
- commit 4128bfd
* Fri Dec 14 2018 tiwai@suse.de
- mac80211: remove unnecessary NULL check (FATE#326294).
- commit d265a95
* Fri Dec 14 2018 tiwai@suse.de
- mac80211: fix potential null pointer dereference (FATE#326294).
- commit 17b8a79
* Fri Dec 14 2018 tiwai@suse.de
- radiotap: add structs for HE (FATE#326294).
- commit f57796f
* Fri Dec 14 2018 tiwai@suse.de
- mac80211: add support for HE (FATE#326294).
- commit 7dc7757
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: mvm: add radiotap data for HE (FATE#326294).
- commit 490b637
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: add module parameter to disable 802.11ax (FATE#326294).
- commit d544125
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: add support for IEEE802.11ax (FATE#326294).
- commit 2c2850d
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: fw: add FW APIs for HE (FATE#326294).
- commit 7bdf8a9
* Fri Dec 14 2018 tiwai@suse.de
- wireless/lib80211: Convert from ahash to shash (FATE#326294).
- commit ee07d43
* Fri Dec 14 2018 tiwai@suse.de
- mac80211: don't put null-data frames on the normal TXQ
  (FATE#326294).
- commit e577b08
* Fri Dec 14 2018 tiwai@suse.de
- wireless-drivers: use BIT_ULL for NL80211_STA_INFO_ attribute
  types (FATE#326294).
- Refresh
  patches.drivers/iwlwifi-mvm-support-sta_statistics-even-on-older-fir.patch.
- commit 02cf6f0
* Fri Dec 14 2018 tiwai@suse.de
- net: ipw2x00: Replace NULL comparison with !priv (FATE#326294).
- commit e770d04
* Fri Dec 14 2018 tiwai@suse.de
- mac80211: use BIT_ULL for NL80211_STA_INFO_* attribute types
  (FATE#326294).
- commit a3f8340
* Fri Dec 14 2018 tiwai@suse.de
- cfg80211: use BIT_ULL for NL80211_STA_INFO_* attribute types
  (FATE#326294).
- commit 887058a
* Fri Dec 14 2018 tiwai@suse.de
- ieee80211: bump IEEE80211_MAX_AMPDU_BUF to support HE
  (FATE#326294).
- commit c85be02
* Fri Dec 14 2018 tiwai@suse.de
- cfg80211: Add support for HE (FATE#326294).
- commit ba867ca
* Fri Dec 14 2018 tiwai@suse.de
- nl80211: report 4ADDR status with GET_INTERFACE (FATE#326294).
- mac80211: support scan features for improved scan privacy
  (FATE#326294).
- nl80211: add scan features for improved scan privacy
  (FATE#326294).
- mac80211: split ieee80211_send_probe_req() (FATE#326294).
- mac80211: add probe request building flags (FATE#326294).
- nl80211: refactor common code in scan flags checks
  (FATE#326294).
- cfg80211: use better order for kcalloc() arguments
  (FATE#326294).
- cfg80211: never ignore user regulatory hint (FATE#326294).
- commit cbd77da
* Fri Dec 14 2018 tiwai@suse.de
- nl80211/mac80211: allow non-linear skb in rx_control_port
  (FATE#326294).
- mac80211: disable BHs/preemption in ieee80211_tx_control_port()
  (FATE#326294).
- cfg80211: fix rcu in cfg80211_unregister_wdev (FATE#326294).
- mac80211: Move up init of TXQs (FATE#326294).
- commit bd9ac38
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: mvm: remove division by size of sizeof(struct
  ieee80211_wmm_rule) (FATE#326294).
- iwlwifi: mvm: drop UNKNOWN security type frames (FATE#326294).
- commit 59165d2
* Fri Dec 14 2018 tiwai@suse.de
- iwlwifi: add csr configuration for 6300 devices (FATE#326294).
- nl80211: Reject disconnect commands except from conn_owner
  (FATE#326294).
- nl80211: Update ERP info using NL80211_CMD_UPDATE_CONNECT_PARAMS
  (FATE#326294).
- nl80211: add FILS related parameters to ROAM event
  (FATE#326294).
- cfg80211: use separate struct for FILS parameters (FATE#326294).
- nl80211: Optimize cfg80211_bss_expire invocations (FATE#326294).
- mac80211: Support adding duration for prepare_tx() callback
  (FATE#326294).
- ipw2200: fix spelling mistake: "functionalitis" ->
  "functionalities" (FATE#326294).
- ipw2100: fix spelling mistake: "decsribed" -> "described"
  (FATE#326294).
- commit cb0fdf7
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: set wakeup filters for wowlan "any" configuration
  (FATE#326294).
- commit 6b33a96
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: remove check for non low latency TIDs
  (FATE#326294).
- commit 069e36e
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: make bitfield a u32 instead of u16 (FATE#326294).
- commit 6305afb
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: pcie: remove non-responsive device (FATE#326294).
- commit fcc3cae
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: fw: combine loading of last page block into main copy
  loop (FATE#326294).
- commit efb5568
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: move skb padding reservation earlier
  (FATE#326294).
- commit 63a6485
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: support new csr addresses for hw address (FATE#326294).
- commit 49248ca
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: pcie: allow sending pre-built A-MSDUs (FATE#326294).
- commit e289f91
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: cfg: remove unnecessary cfg data in non-dvm devices
  (FATE#326294).
- commit 32efcc3
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: introduce Image Loader (IML) - new firmware image
  (FATE#326294).
- commit 38a592a
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: allow different csr flags for different device families
  (FATE#326294).
- Refresh
  patches.drivers/iwlwifi-pcie-don-t-access-periphery-registers-when-n.
- commit 2821bdd
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: support 22000 HW opening agg before traffic
  (FATE#326294).
- commit da5b292
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: get rid of fw/nvm.c (FATE#326294).
- commit 26ef569
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: remove upper case letters in sku_capa_band_*_enable
  (FATE#326294).
- commit 3b2295b
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: use flags to denote modifiers for the channel maps
  (FATE#326294).
- commit a2bb9bd
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: support api ver2 of NVM_GET_INFO resp (FATE#326294).
- commit 3552fe9
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: update rs-fw API (FATE#326294).
- commit 8e48dfe
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: set the MFP flag for keys that are used by MFP
  stations (FATE#326294).
- commit 81ec2d0
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: pcie: gen2: fix race in cmd fifo write ptr
  (FATE#326294).
- commit 0dc3218
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: use the new get_tid function (FATE#326294).
- Refresh
  patches.drivers/iwlwifi-mvm-fix-TSO-with-highly-fragmented-SKBs.
- commit 3ea3336
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: move all NVM parsing code to the common files
  (FATE#326294).
- commit 0143502
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: use shorter queues for mgmt and auxilary queues
  (FATE#326294).
- commit 142658a
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: pcie: use the queue size as sent by opmode
  (FATE#326294).
- commit 22c718d
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: add TX queue size parameter to TX queue allocation
  (FATE#326294).
- commit 96e89a2
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: Revert "iwlwifi: pcie: dynamic Tx command queue size"
  (FATE#326294).
- commit d6472f4
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: pcie: allocate shorter TX queues for 22000 devices
  (FATE#326294).
- commit f68ecd8
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: move timestamp functions from debugfs.h to dbg.h
  (FATE#326294).
- commit b494c22
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: pcie: implement the overlow queue for Gen2 devices
  (FATE#326294).
- commit fc8af81
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: support offload of AMSDU rate control
  (FATE#326294).
- Refresh
  patches.drivers/iwlwifi-mvm-open-BA-session-only-when-sta-is-authori.patch.
- commit 58124ec
* Thu Dec 13 2018 tiwai@suse.de
- nl80211: Fix compilation (FATE#326294).
- cfg80211: release station info tidstats where needed
  (FATE#326294).
- mac80211: allocate and fill tidstats only when needed
  (FATE#326294).
- iwlwifi: mvm: fix OOC priority in scans (FATE#326294).
- iwlwifi: mvm: clean up scan capability checks (FATE#326294).
- iwlwifi: mvm: detect low latency and traffic load per band
  (FATE#326294).
- iwlwifi: mvm: detect U-APSD breaking aggregation (FATE#326294).
- iwlwifi: mvm: BT Coex - make the primary / secondary pick
  traffic aware (FATE#326294).
- iwlwifi: mvm: use TCM data to decide scan priority
  (FATE#326294).
- iwlwifi: mvm: add traffic condition monitoring (TCM)
  (FATE#326294).
- commit 63dc966
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: fix TX aggregation stop race (FATE#326294).
- cfg80211: fix spelling mistake: "uknown" -> "unknown"
  (FATE#326294).
- cfg80211/mac80211: revert to stack allocation for sinfo
  (FATE#326294).
- cfg80211: dynamically allocate per-tid stats for station info
  (FATE#326294).
- mac80211: ethtool: avoid 32 bit multiplication overflow
  (FATE#326294).
- mac80211: Support the new cfg80211 TXQ stats API (FATE#326294).
- cfg80211: Expose TXQ stats and parameters to userspace
  (FATE#326294).
- mac80211: average ack rssi support for data frames
  (FATE#326294).
- cfg80211: average ack rssi support for data frames
  (FATE#326294).
- cfg80211: Call reg_notifier for self managed hints conditionally
  (FATE#326294).
- commit b05e2c9
* Thu Dec 13 2018 tiwai@suse.de
- nl80211: Add wmm rule attribute to NL80211_CMD_GET_WIPHY dump
  command (FATE#326294).
- mac80211: add api to set CSA counter in mac80211 (FATE#326294).
- mac80211: remove pointless flags=0 assignment (FATE#326294).
- mac80211: ethtool: memset the whole sinfo struct to 0
  (FATE#326294).
- mac80211: clean up rate info bandwidth setting (FATE#326294).
- mac80211: rename rtap_vendor_space to rtap_space (FATE#326294).
- commit e1a2b8d
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: fix NULL pointer derference when querying regdb
  (FATE#326294).
- mac80211: mesh: fix premature update of rc stats (FATE#326294).
- nl80211: fix nlmsg allocation in cfg80211_ft_event
  (FATE#326294).
- nl80211: Free connkeys on external authentication failure
  (FATE#326294).
- cfg80211: fix possible memory leak in regdb_query_country()
  (FATE#326294).
- iwlwifi: mvm: fix old scan version sizes (FATE#326294).
- commit 66cfbdd
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: query regdb for wmm rule if needed (FATE#326294).
- net/wireless/iwlwifi: fix iwlwifi_dev_ucode_error tracepoint
  (FATE#326294).
- iwlwifi: wrt: add fw force restart via triggers (FATE#326294).
- iwlwifi: mvm: save low latency causes in an enum (FATE#326294).
- iwlwifi: bump the max API version for 9000 and 22000 devices
  (FATE#326294).
- iwlwifi: api: Add geographic profile information to
  MCC_UPDATE_CMD (FATE#326294).
- iwlwifi: fw api: support the new scan request FW API version
  (FATE#326294).
- iwlwifi: mvm: Allow iwl_mvm_mac_mgd_prepare_tx() when associated
  (FATE#326294).
- commit ece33c3
* Thu Dec 13 2018 tiwai@suse.de
- uapi: Add 802.11 Preauthentication to if_ether (FATE#326294).
- commit b0dddc1
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: add support for oce (FATE#326294).
- iwlwifi: mvm: add adaptive dwell support (FATE#326294).
- iwlwifi: set default timstamp marker cmd (FATE#326294).
- iwlwifi: mvm: move TSO segment to a separate function
  (FATE#326294).
- iwlwifi: mvm: take RCU lock before dereferencing (FATE#326294).
- iwlwifi: mvm: flip AMSDU addresses only for 9000 family
  (FATE#326294).
- iwlwifi: mvm: Move unused phy's to a default channel
  (FATE#326294).
- commit 904d6f6
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: Send control port frames over nl80211 (FATE#326294).
- commit aa12b86
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: Add support for tx_control_port (FATE#326294).
- commit 302ce09
* Thu Dec 13 2018 tiwai@suse.de
- nl80211: Add control_port_over_nl80211 to mesh_setup
  (FATE#326294).
- nl80211: Add control_port_over_nl80211 for ibss (FATE#326294).
- nl80211: Add CONTROL_PORT_OVER_NL80211 attribute (FATE#326294).
- nl80211: Implement TX of control port frames (FATE#326294).
- nl80211: Add CMD_CONTROL_PORT_FRAME API (FATE#326294).
- mac80211: remove shadowing duplicated variable (FATE#326294).
- mac80211: allow AP_VLAN operation on crypto controlled devices
  (FATE#326294).
- cfg80211: Add API to allow querying regdb for wmm_rule
  (FATE#326294).
- mac80211: limit wmm params to comply with ETSI requirements
  (FATE#326294).
- cfg80211: don't require RTNL held for regdomain reads
  (FATE#326294).
- commit 59277f8
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: read wmm rules from regulatory database (FATE#326294).
- commit 9a43491
* Thu Dec 13 2018 tiwai@suse.de
- nl80211: Add SOCKET_OWNER support to START_AP (FATE#326294).
- commit 54f7889
* Thu Dec 13 2018 tiwai@suse.de
- nl80211: Add SOCKET_OWNER support to JOIN_MESH (FATE#326294).
- commit 95859b7
* Thu Dec 13 2018 tiwai@suse.de
- nl80211: Add SOCKET_OWNER support to JOIN_IBSS (FATE#326294).
- commit 346c5a5
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: Support all iftypes in autodisconnect_wk
  (FATE#326294).
- commit 667a41b
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: enable use of non-cleared DFS channels for DFS offload
  (FATE#326294).
- commit 2a6afc5
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: fix CAC_STARTED event handling (FATE#326294).
- commit 9143cd6
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: Use proper chan_width enum in sta opmode event
  (FATE#326294).
- commit e51e2da
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: Use proper smps_mode enum in sta opmode event
  (FATE#326294).
- commit 6f0a707
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: notify driver for change in multicast rates
  (FATE#326294).
- commit 14e992e
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211/nl80211: add DFS offload flag (FATE#326294).
- commit 790d6a1
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211/nl80211: add CAC_STARTED event (FATE#326294).
- commit 47a4828
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: inform wireless layer when frame RSSI is invalid
  (FATE#326294).
- commit 40fccbe
* Thu Dec 13 2018 tiwai@suse.de
- net/wireless: fix spaces and grammar copy/paste in vendor
  Kconfig help text (FATE#326294).
- commit ded7a87
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: add ieee80211_hw flag for QoS NDP support
  (FATE#326294).
- Refresh
  patches.drivers/mac80211-Call-mgd_prep_tx-before-transmitting-deauth.patch.
- commit ad8b83e
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: fix malformed CONFIG_IWLWIFI_PCIE_RTPM default
  (FATE#326294).
- commit 6006102
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: Cancel and set MARKER_CMD timer during suspend-resume
  (FATE#326294).
- iwlwifi: align timestamp cancel with timestamp start
  (FATE#326294).
- commit abf23f1
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: support A-MSDU in fast-rx (FATE#326294).
- mac80211: agg-rx: Accept ADDBA request update if timeout did
  not change (FATE#326294).
- mac80211: support station 4-addr mode fast-rx (FATE#326294).
- iwlwifi: pcie: don't warn if we use all the transmit pointers
  (FATE#326294).
- cfg80211: add missing dependency to CFG80211 suboptions
  (FATE#326294).
- commit d934f8b
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: support fast-rx with incompatible PS capabilities
  when PS is disabled (FATE#326294).
- mac80211: support AP 4-addr mode fast-rx (FATE#326294).
- cfg80211: use only 1Mbps for basic rates in mesh (FATE#326294).
- commit d24d25b
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: Call mgd_prep_tx before transmitting deauthentication
  (FATE#326294).
- commit 0a80921
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: add get TID helper (FATE#326294).
- commit 157c15f
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: support reporting A-MPDU EOF bit value/known
  (FATE#326294).
- commit a979786
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: Add tx ack signal support in sta info (FATE#326294).
- commit 348f78c
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: send ack_signal to user in probe client response
  (FATE#326294).
- commit 124313f
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: remove redundant initialization to pointer 'hdr'
  (FATE#326294).
- commit efce26f
* Thu Dec 13 2018 tiwai@suse.de
- nl80211: Fix external_auth check for offloaded authentication
  (FATE#326294).
- commit 6cc84e1
* Thu Dec 13 2018 tiwai@suse.de
- nl80211: remove unnecessary genlmsg_cancel() calls
  (FATE#326294).
- commit 6f14063
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: Add support to notify ht/vht opmode modification
  (FATE#326294).
- commit 2d011e2
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: Add support to notify station's opmode change to
  userspace (FATE#326294).
- commit ed1de11
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: Add txq flags to debugfs (FATE#326294).
- commit 2fec6fd
* Thu Dec 13 2018 tiwai@suse.de
- nl80211: Allow SAE Authentication for NL80211_CMD_CONNECT
  (FATE#326294).
- commit 28ea1f4
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211/nl80211: Optional authentication offload to userspace
  (FATE#326294).
- commit 9711123
* Thu Dec 13 2018 tiwai@suse.de
- nl80211: Introduce scan flags to emphasize requested scan
  behavior (FATE#326294).
- commit 251b910
* Thu Dec 13 2018 tiwai@suse.de
- debugfs_sta: Remove unneeded semicolons (FATE#326294).
- commit 04aa4af
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: define and use if iwl_mvm_has_tlc_offload
  (FATE#326294).
- Refresh
  patches.drivers/iwlwifi-mvm-open-BA-session-only-when-sta-is-authori.patch.
- commit 23f0103
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: send the low latency command (FATE#326294).
- commit e3d1a85
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: adjust to quota offload (FATE#326294).
- commit 21ad063
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: don't warn on multiple packets when opening a
  queue (FATE#326294).
- commit 9f988a6
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: add skb address to tx cmd in trace events data
  (FATE#326294).
- commit 5387c84
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: fw: fix the enums in the rate scaling API
  (FATE#326294).
- commit 477ec25
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: support RX flags API change (FATE#326294).
- commit e082f21
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: runtime: sync FW and host clocks for logs
  (FATE#326294).
- commit ec7902e
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: force quota update upon NoA setting (FATE#326294).
- commit 4dd07cf
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: avoid duplicate sw reset executions in the code
  (FATE#326294).
- commit ab46e59
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: support internal debug data collection for new devices
  (FATE#326294).
- commit 5630bba
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: Scan results to also report the per chain signal
  strength (FATE#326294).
- commit ff709d9
* Thu Dec 13 2018 tiwai@suse.de
- nl80211: send deauth reason if locally generated (FATE#326294).
- commit 4bd06ee
* Thu Dec 13 2018 tiwai@suse.de
- Revert "mac80211: Add TXQ scheduling API" (FATE#326294).
- commit 949a5e0
* Thu Dec 13 2018 tiwai@suse.de
- Revert "mac80211: Add airtime account and scheduling to TXQs"
  (FATE#326294).
- commit a6fcedd
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: Add airtime account and scheduling to TXQs
  (FATE#326294).
- commit 7b54cde
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: Add TXQ scheduling API (FATE#326294).
- commit d15dea7
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: Add MIC space only for TX key option (FATE#326294).
- commit 8f798dc
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: don't warn on AID field without top two MSBs set
  (FATE#326294).
- commit ae09c98
* Thu Dec 13 2018 tiwai@suse.de
- nl80211: add a few extended error strings to key parsing
  (FATE#326294).
- commit fc5d532
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: cleanup signal strength units notation (FATE#326294).
- commit 508fdf0
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: IBSS: Add support for static WEP in driver for IBSS
  (FATE#326294).
- commit 2805e4e
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: call synchronize_net once in the restart flow
  (FATE#326294).
- commit 40fb0cb
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: always update the PM state of a peer on MGMT /
  DATA frames (FATE#326294).
- commit 4f78020
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: make __ieee80211_start_rx_ba_session static
  (FATE#326294).
- commit c0d9f09
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: enable TDLS peer buffer STA feature (FATE#326294).
- commit 4eb1dc1
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: avoid looking up tid_tx/tid_rx from timers
  (FATE#326294).
- commit f3933cc
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: mark expected switch fall-throughs (FATE#326294).
- commit c162cc6
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: enable VHT for mesh channel processing (FATE#326294).
- commit 9e62bc4
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: fix wrong #ifdef that uses a macro from backports
  (FATE#326294).
- commit 4a95f9c
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: request statistics when reading debugfs
  (FATE#326294).
- commit 59dc431
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: make init_dbg effective only on failure
  (FATE#326294).
- commit a1cce21
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: rs: add sanity check when sending LQ command
  (FATE#326294).
- commit 8d93936
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: rs: add size checks when printing to a buffer
  (FATE#326294).
- commit bdd6355
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: rs: new rate scale API - add debugfs hooks
  (FATE#326294).
- commit 50ba762
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: rs: new rate scale API - add FW notifications
  (FATE#326294).
- commit bf9f0ce
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: rs: add basic implementation of the new RS API
  handlers (FATE#326294).
- commit 5375c67
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: rs: add ops for the new rate scaling in the FW
  (FATE#326294).
- Refresh
  patches.drivers/iwlwifi-mvm-open-BA-session-only-when-sta-is-authori.patch.
- commit 8da4059
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: rs: introduce new API for rate scaling
  (FATE#326294).
- commit b3c0b29
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: remove set but unused variable in
  iwl_mvm_roc_done_wk (FATE#326294).
- commit e065f6a
* Thu Dec 13 2018 tiwai@suse.de
- ieee80211: Add WFA TPC report element OUI type (FATE#326294).
- commit 02817e8
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: bump FW API to 36 for 8000 and up (FATE#326294).
- Refresh
  patches.drivers/iwlwifi-add-shared-clock-PHY-config-flag-for-some-de.
- Refresh patches.suse/iwlwifi-expose-default-fallback-ucode-api.
- commit e355cc7
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: add WFA vendor specific TPC report IE to probe
  request (FATE#326294).
- commit b60adf1
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: rename the temporary name of A000 to the official 22000
  (FATE#326294).
- Refresh patches.drivers/iwlwifi-add-a-bunch-of-new-9000-PCI-IDs.
- Refresh
  patches.drivers/iwlwifi-add-more-card-IDs-for-9000-series.
- Refresh
  patches.drivers/iwlwifi-add-shared-clock-PHY-config-flag-for-some-de.
- commit bae7ebb
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: remove superfluous flush_work() (FATE#326294).
- commit 2b17dfa
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: fix the ALIVE notification layout (FATE#326294).
- commit 6e9fafd
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: print the version number of the firmware in hex
  (FATE#326294).
- commit beb7418
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: remove TCP wakeup support (FATE#326294).
- commit 6f06f42
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: revert support new Coex firmware API
  (FATE#326294).
- commit ca44332
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: support MGMT frames in compressed BA
  (FATE#326294).
- commit 5caf403
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: fix locking in ieee80211_sta_tear_down_BA_sessions
  (FATE#326294).
- commit afa6293
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: fix access to prph when transport is stopped
  (FATE#326294).
- iwlwifi: pcie: fix erroneous "Read failed message"
  (FATE#326294).
- iwlwifi: mvm: set correct chains in Rx status (FATE#326294).
- mac80211: tear down RX aggregations first (FATE#326294).
- commit 3ab8f78
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: select CRYPTO_SHA256 if needed (FATE#326294).
- commit 70a74d5
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: aggregation: Convert timers to use timer_setup()
  (FATE#326294).
- commit 4f8058f
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: Convert timers to use timer_setup() (FATE#326294).
- commit fa18ed0
* Thu Dec 13 2018 tiwai@suse.de
- genetlink: fix genlmsg_nlhdr() (FATE#326294).
- commit f4b0e24
* Thu Dec 13 2018 tiwai@suse.de
- iwlegacy: remove redundant pointer sta_priv (FATE#326294).
- commit 28aabca
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: drop RX frames during hardware restart (FATE#326294).
- commit 0ce7a80
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: Convert timers to use timer_setup() (FATE#326294).
- commit ee542c4
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: hold mutex when flushing in iwl_mvm_flush_no_vif()
  (FATE#326294).
- commit eaf1e55
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: add missing implementation of flush for a000
  devices (FATE#326294).
- commit 1bd8d28
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: refactor iwl_mvm_flush_no_vif (FATE#326294).
- commit 2174526
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: Add more call-sites for pcie reg dumper (FATE#326294).
- commit 7a5c80b
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: remove host assisted paging (FATE#326294).
- commit e46d813
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: remove dead code for internal devices only
  (FATE#326294).
- Refresh
  patches.drivers/iwlwifi-add-more-card-IDs-for-9000-series.
- commit af361b1
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: improve latency when there is a reorder timeout
  (FATE#326294).
- commit af5775c
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: rs: remove the ANT C from the toogle antenna logic
  (FATE#326294).
- commit 198aee6
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: cleanup references to aggregation count limit
  (FATE#326294).
- commit 691a60a
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: use RS macro instead of duplicating the code
  (FATE#326294).
- commit a258ec7
* Thu Dec 13 2018 tiwai@suse.de
- iwlegacy: Convert timers to use timer_setup() (FATE#326294).
- commit e86ca71
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: pcie: remove set but not used variable tcph
  (FATE#326294).
- commit b912c9b
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: define minimum valid address for umac_error_event_table
  in cfg (FATE#326294).
- Refresh
  patches.drivers/iwlwifi-add-shared-clock-PHY-config-flag-for-some-de.
- commit cf26ed8
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: move umac_error_event_table validity check to
  where it's set (FATE#326294).
- commit f1dcb18
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: allow reading UMAC error data from SMEM in A000
  devices (FATE#326294).
- commit 84fc76f
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: pass baid_data to iwl_mvm_release_frames()
  (FATE#326294).
- commit 53131bb
* Thu Dec 13 2018 msuchanek@suse.de
- git_sort.py: Remove non-existent remote tj/libata
- commit 431c944
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: acpi: move ACPI-related definitions to acpi.h
  (FATE#326294).
- Refresh
  patches.drivers/iwlwifi-mvm-check-for-n_profiles-validity-in-EWRD-AC.patch.
- commit c5f3ad7
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: remove duplicated fields in mvm reorder buffer
  (FATE#326294).
- commit 74717e2
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: allocate reorder buffer according to need
  (FATE#326294).
- commit cab0371
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: remove dflt_pwr_limit from the transport (FATE#326294).
- commit 8870b0d
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: warn on invalid statistics size (FATE#326294).
- commit 7347041
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: acpi: move code that reads SPLC to acpi (FATE#326294).
- commit 31156ba
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: fix indentation in a000 family configuration
  (FATE#326294).
- commit 65bb227
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: acpi: move function to get mcc into acpi code
  (FATE#326294).
- commit 28bc6a6
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: acpi: remove a couple of unnecessary ifdefs
  (FATE#326294).
- commit 0e6a39a
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: acpi: make iwl_get_bios_mcc() use the common acpi
  functions (FATE#326294).
- commit e72f4e2
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: acpi: use iwl_acpi_get_wifi_pkg when reading reading
  SPLC (FATE#326294).
- commit ce7f6a9
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: acpi: generalize iwl_mvm_sar_find_wifi_pkg()
  (FATE#326294).
- commit c522fd9
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: acpi: move ACPI method definitions to acpi.h
  (FATE#326294).
- commit e0f29d7
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: acpi: add common code to read from ACPI (FATE#326294).
- commit 1fce520
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: change warning to warn_once() (FATE#326294).
- commit 670b5e9
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: pcie: dump registers when HW becomes inaccessible
  (FATE#326294).
- commit d0d5c12
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: fix minor code style issues (FATE#326294).
- commit da02e49
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: add marker cmd response struct (FATE#326294).
- commit 32e7c04
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: fw: api: remove excess enum value documentation
  (FATE#326294).
- commit ba4ef03
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: don't send identical PHY_CTXT_CMD (FATE#326294).
- commit 20f1d85
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: remove redundant reading from NVM file (FATE#326294).
- commit eae5a07
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: pcie: dynamic Tx command queue size (FATE#326294).
- commit ffecf96
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: Add few debug prints to the WRT dump flow
  (FATE#326294).
- Refresh
  patches.drivers/iwlwifi-avoid-collecting-firmware-dump-if-not-loaded.
- commit 8b04103
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: support firmware debug trigger on frame reorder
  timeout (FATE#326294).
- commit f493af4
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: remove support for Link Quality Measurements
  (FATE#326294).
- Refresh
  patches.drivers/iwlwifi-mvm-Increase-session-protection-time-after-C.
- commit 811f2d5
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: Add new quota command API (FATE#326294).
- commit 5e62645
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: trans: move ref/unref code to the common part of the
  transport (FATE#326294).
- commit 0bef4da
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: add dbgfs entry for fw info (FATE#326294).
- commit a441978
* Thu Dec 13 2018 tiwai@suse.de
- fq: support filtering a given tin (FATE#326294).
- commit 7d6a2ca
* Thu Dec 13 2018 tiwai@suse.de
- iwlegacy: make const array static to shink object code size
  (FATE#326294).
- commit da870b8
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: don't track HT capability changes (FATE#326294).
- commit 61ce8ba
* Thu Dec 13 2018 hare@suse.de
- scsi: lpfc: Enable Management features for IF_TYPE=6
  (bsc#1119322).
- Revert "scsi: lpfc: ls_rjt erroneus FLOGIs" (bsc#1119322).
- commit 2235aaf
* Thu Dec 13 2018 oneukum@suse.com
- blacklist.conf: this breaks kABI
- commit bd4bb25
* Thu Dec 13 2018 hare@suse.de
- scsi: lpfc: update driver version to 12.0.0.9 (bsc#1118215).
- scsi: lpfc: Fix dif and first burst use in write commands
  (bsc#1118215).
- scsi: lpfc: Fix driver release of fw-logging buffers
  (bsc#1118215).
- scsi: lpfc: Correct topology type reporting on G7 adapters
  (bsc#1118215).
- scsi: lpfc: Correct code setting non existent bits in sli4
  ABORT WQE (bsc#1118215).
- scsi: lpfc: Defer LS_ACC to FLOGI on point to point logins
  (bsc#1118215).
- scsi: lpfc: ls_rjt erroneus FLOGIs (bsc#1118215).
- scsi: lpfc: rport port swap discovery issue (bsc#1118215).
- scsi: lpfc: Cap NPIV vports to 256 (bsc#1118215).
- scsi: lpfc: Fix kernel Oops due to null pring pointers
  (bsc#1118215).
- scsi: lpfc: Fix a duplicate 0711 log message number
  (bsc#1118215).
- scsi: lpfc: Fix discovery failures during port failovers with
  lots of vports (bsc#1118215).
- scsi: lpfc: refactor mailbox structure context fields
  (bsc#1118215).
- scsi: lpfc: update manufacturer attribute to reflect Broadcom
  (bsc#1118215).
- scsi: lpfc: Fix panic when FW-log buffsize is not initialized
  (bsc#1118215).
- commit 295ca60
* Thu Dec 13 2018 oneukum@suse.com
- xhci: Allow more than 32 quirks (bsc#1100132).
- commit c2f696e
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: remove set but never used variable cf_offset
  (FATE#326294).
- commit 47daed2
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: use crypto_aead_authsize() (FATE#326294).
- commit 42d4bec
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: reg: remove support for built-in regdb (FATE#326294).
- commit 9236fd6
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: support reloading regulatory database (FATE#326294).
- commit 5156069
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: support loading regulatory database as firmware file
  (FATE#326294).
- commit 8241552
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: only remove AP VLAN frames from TXQ (FATE#326294).
- commit fd8c15c
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: aead api to reduce redundancy (FATE#326294).
- commit 1ba38a9
* Thu Dec 13 2018 tiwai@suse.de
- net/mac80211/mesh_plink: Convert timers to use timer_setup()
  (FATE#326294).
- commit f44b520
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211/nl80211: add a port authorized event (FATE#326294).
- commit 53c5f52
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: fix STA_SLOW_THRESHOLD htmldocs failure (FATE#326294).
- commit 722ba68
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: fix bandwidth computation for TDLS peers
  (FATE#326294).
- commit 95f16e2
* Thu Dec 13 2018 tiwai@suse.de
- wireless: set correct mandatory rate flags (FATE#326294).
- commit af3f8cd
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: recalculate some sta parameters after insertion
  (FATE#326294).
- commit 88d51c2
* Thu Dec 13 2018 tiwai@suse.de
- nl80211: add an option to allow MFP without requiring it
  (FATE#326294).
- commit 110ae98
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: remove unused function ieee80211_data_from_8023()
  (FATE#326294).
- commit 12172d0
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: use offsetofend() (FATE#326294).
- commit 7ae8ccd
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: Simplify locking in
  ieee80211_sta_tear_down_BA_sessions() (FATE#326294).
- commit 0fa84bb
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: add documentation to ieee80211_rx_ba_offl()
  (FATE#326294).
- commit 8bd1143
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: oce: enable receiving of bcast probe resp
  (FATE#326294).
- commit 7afb4fa
* Thu Dec 13 2018 tiwai@suse.de
- nl80211: add OCE scan and capability flags (FATE#326294).
- commit 67416bb
* Thu Dec 13 2018 tiwai@suse.de
- nl80211: return error for invalid center_freq in 40 MHz
  (FATE#326294).
- commit 83eb04d
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: simplify and clarify IE splitting (FATE#326294).
- commit f9885fa
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: extend ieee80211_ie_split to support EXTENSION
  (FATE#326294).
- commit e24669f
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: avoid allocating TXQs that won't be used
  (FATE#326294).
- commit cbaf841
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: nvm-parse: unify channel flags printing (FATE#326294).
- commit 2b14264
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: stop dbgc recording before stopping DMA (FATE#326294).
- Refresh
  patches.drivers/iwlwifi-avoid-collecting-firmware-dump-if-not-loaded.
- commit 22a03ab
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: do not print security error in monitor mode
  (FATE#326294).
- commit 1838d01
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: set status before calling
  iwl_mvm_send_cmd_status() (FATE#326294).
- commit 3605ff9
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: handle FIF_ALLMULTI when setting multicast
  addresses (FATE#326294).
- commit faee908
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: Flush non STA TX queues (FATE#326294).
- commit 55d083b
* Thu Dec 13 2018 tiwai@suse.de
- iwlwifi: mvm: fix wowlan resume failed to load INIT ucode
  (FATE#326294).
- commit bb13670
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: fix deadlock in driver-managed RX BA session start
  (FATE#326294).
- commit c6150e8
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: Complete ampdu work schedule during session tear down
  (FATE#326294).
- commit 3503544
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: Fix null pointer dereference with iTXQ support
  (FATE#326294).
- commit c9ac572
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: add MESH IE in the correct order (FATE#326294).
- commit 0018dc2
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: shorten debug prints using ht_dbg() to avoid warning
  (FATE#326294).
- commit 90caaf1
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: fix incorrect assignment of reassoc value
  (FATE#326294).
- commit c4e7fd3
* Thu Dec 13 2018 tiwai@suse.de
- net: manual clean code which call skb_put_[data:zero]
  (FATE#326294).
- commit d2e148c
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: add the action to the drv_ampdu_action tracepoint
  (FATE#326294).
- commit a47e041
* Thu Dec 13 2018 tiwai@suse.de
- nl80211: add authorized flag to ROAM event (FATE#326294).
- commit ad649fe
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: support 4-way handshake offloading for 802.1X
  (FATE#326294).
- commit 55130d1
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: support 4-way handshake offloading for WPA/WPA2-PSK
  (FATE#326294).
- commit c7ff478
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: manage RX BA session offload without SKB queue
  (FATE#326294).
- Refresh
  patches.drivers/0143-mac80211-add-api-to-start-ba-session-timer-expired-f.patch.
- commit eaee246
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: Invoke TX LED in more code paths (FATE#326294).
- commit 10c7b63
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: mark as action frame when parsing IEs of CSA action
  frames (FATE#326294).
- commit 0834817
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: mesh: Allow following CSA to DFS channels if userspace
  handles it (FATE#326294).
- commit 0d28cc1
* Thu Dec 13 2018 tiwai@suse.de
- wireless: Require HANDLE_DFS flag to switch channel for non-AP
  mode (FATE#326294).
- commit d799240
* Thu Dec 13 2018 tiwai@suse.de
- wireless: Only join DFS channels in mesh mode if userspace
  flags support (FATE#326294).
- commit 0987e28
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: move clearing result into
  ieee80211_parse_ch_switch_ie() (FATE#326294).
- commit 7f0c0ee
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: mesh: mark channel as unusable if a regulatory MESH
  CSA is received (FATE#326294).
- commit 0ba3810
* Thu Dec 13 2018 tiwai@suse.de
- mac80211: Dynamically set CoDel parameters per station
  (FATE#326294).
- commit 18d7f9f
* Thu Dec 13 2018 tiwai@suse.de
- cfg80211: improve warnings in VHT rate calculation
  (FATE#326294).
- commit 0cdd4a8
* Thu Dec 13 2018 tiwai@suse.de
- iwlegacy: warn when enabling power save (FATE#326294).
- commit d2de0ea
* Thu Dec 13 2018 tiwai@suse.de
- wireless: ipw2x00: convert to use DRIVER_ATTR_RW (FATE#326294).
- commit 24ac0c4
* Thu Dec 13 2018 nsaenzjulienne@suse.de
- xhci: Add quirk to workaround the errata seen on Cavium
  Thunder-X2 Soc (bsc#1117162).
- commit b707d84
* Thu Dec 13 2018 jthumshirn@suse.de
- scsi: hisi_sas: Fix NULL pointer dereference (FATE#326253).
- commit fd29a93
* Thu Dec 13 2018 tbogendoerfer@suse.de
- fs/proc/vmcore.c: hide vmcoredd_mmap_dumps() for nommu builds
  (bsc#1116860).
- commit 0eb71fa
* Thu Dec 13 2018 tbogendoerfer@suse.de
- Update config files.
  Enabled CONFIG_PROC_VMCORE_DEVICE_DUMP (bsc#1116860)
- commit 3936065
* Thu Dec 13 2018 tbogendoerfer@suse.de
- vmcore: move get_vmcore_size out of __init (bsc#1116860).
- vmcore: append device dumps to vmcore as elf notes
  (bsc#1116860).
- commit f4b10dd
* Thu Dec 13 2018 hare@suse.de
- xen-blkfront: fix kernel panic with negotiate_mq error path
  (bsc#1104967,FATE#325924).
- nvmet: avoid integer overflow in the discard code
  (bsc#1104967,FATE#325924).
- nvmet: check fileio lba range access boundaries
  (bsc#1104967,FATE#325924).
- nvmet: fix file discard return status (bsc#1104967,FATE#325924).
- nvmet: only check for filebacking on -ENOTBLK
  (bsc#1104967,FATE#325924).
- s390/dasd: reduce the default queue depth and nr of hardware
  (bsc#1104967,FATE#325924).
- s390/dasd: only use preallocated requests
  (bsc#1104967,FATE#325924).
- s390/dasd: reshuffle struct dasd_ccw_req
  (bsc#1104967,FATE#325924).
- s390/dasd: remove dasd_kmalloc_set_cda
  (bsc#1104967,FATE#325924).
- s390/dasd: move dasd_ccw_req to per request data
  (bsc#1104967,FATE#325924).
- s390/dasd: simplify locking in process_final_queue
  (bsc#1104967,FATE#325924).
- lib/scatterlist: Fix chaining support in sgl_alloc_order()
  (bsc#1104967,FATE#325924).
- s390/dasd: Change unsigned long long to unsigned long
  (bsc#1104967,FATE#325924).
- s390/dasd: Make raw I/O usable without prefix support
  (bsc#1104967,FATE#325924).
- s390/dasd: Rename dasd_raw_build_cp() (bsc#1104967,FATE#325924).
- commit 7a14403
* Thu Dec 13 2018 hare@suse.de
- s390/dasd: Refactor prefix_LRE() and related functions
  (bsc#1104967,FATE#325924).
- Refresh patches.arch/s390-dasd-prevent-prefix-i-o-error.patch.
- commit 4a14ace
* Thu Dec 13 2018 bp@suse.de
- x86/msr-index: Cleanup bit defines (bsc#1111331).
- commit 5119b36
* Thu Dec 13 2018 dchang@suse.com
- Revert "be2net: remove desc field from be_eq_obj" (bsc#1104714
  FATE#325913).
- be2net: don't flip hw_features when VXLANs are added/deleted
  (bsc#1104714 FATE#325913).
- be2net: Use Kconfig flag to support for enabling/disabling
  adapters (bsc#1104714 FATE#325913).
  Update config files : Enable BE2NET_BE2, BE2NET_BE3,
  BE2NET_LANCER and BE2NET_SKYHAWK
- be2net: Mark expected switch fall-through (bsc#1104714
  FATE#325913).
- be2net: fix spelling mistake "seqence" -> "sequence"
  (bsc#1104714 FATE#325913).
- be2net: move rss_flags field in rss_info to ensure proper
  alignment (bsc#1104714 FATE#325913).
- be2net: re-order fields in be_error_recovert to avoid hole
  (bsc#1104714 FATE#325913).
- be2net: remove unused tx_jiffies field from be_tx_stats
  (bsc#1104714 FATE#325913).
- be2net: move txcp field in be_tx_obj to eliminate holes in
  the struct (bsc#1104714 FATE#325913).
- be2net: reorder fields in be_eq_obj structure (bsc#1104714
  FATE#325913).
- be2net: remove desc field from be_eq_obj (bsc#1104714
  FATE#325913).
- be2net: remove redundant initialization of 'head' and pointer
  txq (bsc#1104714 FATE#325913).
- be2net: use ARRAY_SIZE for array sizing calculation on array
  cmd_priv_map (bsc#1104714 FATE#325913).
- commit 76603bb
* Thu Dec 13 2018 gqjiang@suse.com
- blacklist.conf: Blacklist 29e270fc3219
- commit 6e668f6
* Thu Dec 13 2018 bp@suse.de
- kvm: x86: Report STIBP on GET_SUPPORTED_CPUID (bsc#1111331).
- commit 78e5941
* Thu Dec 13 2018 bp@suse.de
- x86/cpu: Sanitize FAM6_ATOM naming (bsc#1111331).
- Refresh
  patches.arch/powercap-intel_rapl-add-support-for-Jacobsville.patch.
- Refresh patches.arch/x86-cpu-Add-Atom-Tremont-Jacobsville.patch.
- commit 415a837
* Wed Dec 12 2018 msuchanek@suse.de
- powerpc/pseries: Track LMB nid instead of using device tree
  (bsc#1108270).
- commit 748cd4b
* Wed Dec 12 2018 vbabka@suse.cz
- mm, sysctl: make NUMA stats configurable (fate#326308,
  VM Performance).
- commit 233a296
* Wed Dec 12 2018 tbogendoerfer@suse.de
- sfc-falcon: remove ndo_poll_controller (bsc#1105555
  FATE#326117).
- sfc: remove ndo_poll_controller (bsc#1105555 FATE#326117).
- net: sfc: falcon: mark expected switch fall-through (bsc#1105555
  FATE#326117).
- net: ethernet: sfc: Make subdir logic consistent with other
  vendors (bsc#1105555 FATE#326117).
- sfc: remove redundant variable old_vlan (bsc#1105555
  FATE#326117).
- sfc: batch up RX delivery (bsc#1105555 FATE#326117).
- sfc: hold filter_sem consistently during reset (bsc#1105555
  FATE#326117).
- sfc: avoid hang from nested use of the filter_sem (bsc#1105555
  FATE#326117).
- sfc: correctly initialise filter rwsem for farch (bsc#1105555
  FATE#326117).
- sfc: make function efx_rps_hash_bucket static (bsc#1105555
  FATE#326117).
- sfc: set and clear interrupt affinity hints (bsc#1105555
  FATE#326117).
- sfc: fix ARFS expiry check on EF10 (bsc#1105555 FATE#326117).
- sfc: Use filter index rather than ID for rps_flow_id table
  (bsc#1105555 FATE#326117).
- sfc: ARFS filter IDs (bsc#1105555 FATE#326117).
- sfc: check RSS is active for filter insert (bsc#1105555
  FATE#326117).
- sfc: limit ARFS workitems in flight per channel (bsc#1105555
  FATE#326117).
- sfc: pass the correctly bogus filter_id to rps_may_expire_flow()
  (bsc#1105555 FATE#326117).
- sfc: insert ARFS filters with replace_equal=true (bsc#1105555
  FATE#326117).
- jiffies: Introduce USER_TICK_USEC and redefine TICK_USEC
  (bsc#1105555 FATE#326117).
- sfc: remove ctpio_dmabuf_start from stats (bsc#1105555
  FATE#326117).
- sfc: fix flow type handling for RSS filters (bsc#1105555
  FATE#326117).
- sfc: protect list of RSS contexts under a mutex (bsc#1105555
  FATE#326117).
- sfc: return a better error if filter insertion collides with
  MC reboot (bsc#1105555 FATE#326117).
- sfc: use a semaphore to lock farch filters too (bsc#1105555
  FATE#326117).
- sfc: give ef10 its own rwsem in the filter table instead of
  filter_lock (bsc#1105555 FATE#326117).
- sfc: replace asynchronous filter operations (bsc#1105555
  FATE#326117).
- sfc: support FEC configuration through ethtool (bsc#1105555
  FATE#326117).
- sfc: update MCDI protocol headers (bsc#1105555 FATE#326117).
- sfc: support RSS spreading of ethtool ntuple filters
  (bsc#1105555 FATE#326117).
- sfc: falcon: remove duplicated bit-wise or of LOOPBACK_SGMII
  (bsc#1105555 FATE#326117).
- sfc: mark some unexported symbols as static (bsc#1105555
  FATE#326117).
- sfc: add suffix to large constant in ptp (bsc#1105555
  FATE#326117).
- sfc: support Medford2 frequency adjustment format (bsc#1105555
  FATE#326117).
- sfc: support second + quarter ns time format for receive
  datapath (bsc#1105555 FATE#326117).
- sfc: support separate PTP and general timestamping (bsc#1105555
  FATE#326117).
- sfc: simplify RX datapath timestamping (bsc#1105555
  FATE#326117).
- sfc: only advertise TX timestamping if we have the license
  for it (bsc#1105555 FATE#326117).
- sfc: on 8000 series use TX queues for TX timestamps (bsc#1105555
  FATE#326117).
- sfc: MAC TX timestamp handling on the 8000 series (bsc#1105555
  FATE#326117).
- sfc: only enable TX timestamping if the adapter is licensed
  for it (bsc#1105555 FATE#326117).
- sfc: use main datapath for HW timestamps if available
  (bsc#1105555 FATE#326117).
- sfc: add function to determine which TX timestamping method
  to use (bsc#1105555 FATE#326117).
- sfc: handle TX timestamps in the normal data path (bsc#1105555
  FATE#326117).
- sfc: remove tx and MCDI handling from NAPI budget consideration
  (bsc#1105555 FATE#326117).
- sfc: add bits for 25/50/100G supported/advertised speeds
  (bsc#1105555 FATE#326117).
- sfc: support the ethtool ksettings API properly so that
  25/50/100G works (bsc#1105555 FATE#326117).
- sfc: basic MCDI mapping of 25/50/100G link speeds (bsc#1105555
  FATE#326117).
- sfc: expose CTPIO stats on NICs that support them (bsc#1105555
  FATE#326117).
- sfc: expose FEC stats on Medford2 (bsc#1105555 FATE#326117).
- sfc: support variable number of MAC stats (bsc#1105555
  FATE#326117).
- sfc: update MCDI protocol headers (bsc#1105555 FATE#326117).
- sfc: populate the timer reload field (bsc#1105555 FATE#326117).
- sfc: update EF10 register definitions (bsc#1105555 FATE#326117).
- sfc: improve PTP error reporting (bsc#1105555 FATE#326117).
- sfc: add Medford2 (SFC9250) PCI Device IDs (bsc#1105555
  FATE#326117).
- sfc: support VI strides other than 8k (bsc#1105555 FATE#326117).
- sfc: make mem_bar a function rather than a constant (bsc#1105555
  FATE#326117).
- net: sfc: remove redundant variable start (bsc#1105555
  FATE#326117).
- sfc: support rx-fcs and rx-all (bsc#1105555 FATE#326117).
- net: ethernet/sfc: Convert timers to use timer_setup()
  (bsc#1105555 FATE#326117).
- commit 37ef83b
* Wed Dec 12 2018 jlee@suse.com
- ACPI / OSL: Use 'jiffies' as the time bassis for
  acpi_os_get_timer() (bsc#1117419).
- commit 0a909f0
* Wed Dec 12 2018 tiwai@suse.de
- Bluetooth: btusb: Add support for 0cf3:e010 (FATE#326294).
- Refresh
  patches.drivers/Bluetooth-btusb-Fix-quirk-for-Atheros-1525-QCA6174.
- Refresh
  patches.drivers/Revert-Bluetooth-btusb-Fix-quirk-for-Atheros-1525-QC.
- commit bf47369
* Wed Dec 12 2018 tbogendoerfer@suse.de
- fm10k: bump driver version to match out-of-tree release
  (bsc#1119263 FATE#326319).
- fm10k: add missing device IDs to the upstream driver
  (bsc#1119263 FATE#326319).
- fm10k: ensure completer aborts are marked as non-fatal after
  a resume (bsc#1119263 FATE#326319).
- fm10k: fix SM mailbox full condition (bsc#1119263 FATE#326319).
- fm10k: remove ndo_poll_controller (bsc#1119263 FATE#326319).
- fm10k: Report PCIe link properties with pcie_print_link_status()
  (bsc#1119263 FATE#326319).
- commit 381c72b
* Wed Dec 12 2018 tbogendoerfer@suse.de
- net: phy: sfp: correct store of detected link modes (bsc#1119113
  FATE#326472).
- net: phy: realtek: fix RTL8201F sysfs name (bsc#1119113
  FATE#326472).
- sfp: fix oops with ethtool -m (bsc#1119113 FATE#326472).
- sfp: fix module initialisation with netdev already up
  (bsc#1119113 FATE#326472).
- sfp: ensure we clean up properly on bus registration failure
  (bsc#1119113 FATE#326472).
- net: phy: sfp: handle cases where neither BR, min nor BR,
  max is given (bsc#1119113 FATE#326472).
- net: phy: sfp: fix the BR,min computation (bsc#1119113
  FATE#326472).
- net: phy: Handle not having GPIO enabled in the kernel
  (bsc#1119113 FATE#326472).
- net: mdio: Only perform gpio reset for PHYs (bsc#1119113
  FATE#326472).
- sfp: fix EEPROM reading in the case of non-SFF8472 SFPs
  (bsc#1119113 FATE#326472).
- sfp: fix non-detection of PHY (bsc#1119113 FATE#326472).
- net: phy: Fix sfp.c build against GPIO definitions (bsc#1119113
  FATE#326472).
- net: phy: Kconfig: Fix PHY infrastructure menu in menuconfig
  (bsc#1119113 FATE#326472).
- commit 78c723d
* Wed Dec 12 2018 mhocko@suse.com
- kabi: hwpoison, memory_hotplug: allow hwpoisoned pages to be
  offlined (bnc#1116336).
- hwpoison, memory_hotplug: allow hwpoisoned pages to be offlined
  (bnc#1116336).
- mm: put_and_wait_on_page_locked() while page is migrated
  (bnc#1109272).
- mm, memory_hotplug: be more verbose for memory offline failures
  (generic hotplug debugability).
- mm, memory_hotplug: print reason for the offlining failure
  (generic hotplug debugability).
- mm, memory_hotplug: drop pointless block alignment checks from
  __offline_pages (generic hotplug debugability).
- mm: lower the printk loglevel for __dump_page messages (generic
  hotplug debugability).
- mm: print more information about mapping in __dump_page
  (generic hotplug debugability).
- mm: migration: fix migration of huge PMD shared pages
  (bnc#1086423).
- commit ba75629
* Wed Dec 12 2018 tiwai@suse.de
- Bluetooth: btusb: Add support for 0cf3:535b QCA_ROME device
  (FATE#326294).
- Bluetooth: btusb: Add quirk for BTUSB_INTEL_NEW (FATE#326294).
- commit 256f228
* Wed Dec 12 2018 tiwai@suse.de
- Bluetooth: btusb: Use bt_dev_err for Intel firmware loading
  errors (FATE#326294).
- commit 97f1d67
* Wed Dec 12 2018 tiwai@suse.de
- Bluetooth: btusb: Release RF resource on BT shutdown
  (FATE#326294).
- commit 7955682
* Wed Dec 12 2018 tiwai@suse.de
- Bluetooth: btusb: Add additional device ID for RTL8822BE
  (FATE#326294).
- Bluetooth: btusb: Add Dell Inspiron 5565 to
  btusb_needs_reset_resume_table (FATE#326294).
- commit d6b2559
* Wed Dec 12 2018 tiwai@suse.de
- Bluetooth: Add a new 13d3:3496 QCA_ROME device (FATE#326294).
- commit 530c1d8
* Wed Dec 12 2018 tiwai@suse.de
- Bluetooth: btusb: Add support for Intel Bluetooth device 22560
  [8087:0026] (FATE#326294).
- commit 5c097e4
* Wed Dec 12 2018 tiwai@suse.de
- Bluetooth: btintel: Create common function for firmware download
  (FATE#326294).
- commit ddfd129
* Wed Dec 12 2018 tiwai@suse.de
- Bluetooth: btintel: Create common Intel Read Boot Params
  function (FATE#326294).
- commit 2e5abb7
* Wed Dec 12 2018 tiwai@suse.de
- Bluetooth: hci_intel: Update firmware filename for Intel 9x60
  and later (FATE#326294).
- commit 55906c1
* Wed Dec 12 2018 jlee@suse.com
- ACPICA: Clear status of all events when entering sleep states
  (bsc#1117419).
- Revert "ACPI / bus: Parse tables as term_list for Dell XPS
  9570 and Precision M5530" (bsc#1117419).
  Refresh
  patches.arch/acpi-bus-only-call-dmi_check_system-on-x86.patch.
- ACPICA: Revert "iASL compiler: allow compilation of externals
  with paths that refer to existing names" (bsc#1117419).
- ACPICA: Revert "iASL: change processing of external op namespace
  nodes for correctness" (bsc#1117419).
- ACPICA: Clear status of all events when entering S5
  (bsc#1117419).
- ACPICA: Add deferred package support for the Load and loadTable
  operators (bsc#1117419).
- ACPICA: Cleanup/simplify module-level code support
  (bsc#1117419).
- ACPICA: adding SPDX headers (bsc#1117419).
- ACPICA: Rename a global for clarity, no functional change
  (bsc#1117419).
- ACPICA: macros: fix ACPI_ERROR_NAMESPACE macro (bsc#1117419).
- ACPICA: Change a compile-time option to a runtime option
  (bsc#1117419).
- ACPICA: Remove calling of _STA from acpi_get_object_info()
  (bsc#1117419).
- ACPICA: AML Debug Object: Don't ignore output of zero-length
  strings (bsc#1117419).
- ACPICA: Events: Dispatch GPEs after enabling for the first time
  (bsc#1117419).
- ACPICA: Events: Add parallel GPE handling support to fix
  potential redundant _Exx evaluations (bsc#1117419).
- ACPICA: Events: Stop unconditionally clearing ACPI IRQs during
  suspend/resume (bsc#1117419).
- ACPICA: Add option to disable Package object name resolution
  errors (bsc#1117419).
- ACPICA: Integrate package handling with module-level code
  (bsc#1117419).
- ACPICA: Revert "Fix for implicit result conversion for the
  To____ functions" (bsc#1117419).
- ACPICA: Update for some debug output. No functional change
  (bsc#1117419).
- ACPICA: Update error message, no functional change
  (bsc#1117419).
- ACPI / bus: Parse tables as term_list for Dell XPS 9570 and
  Precision M5530 (bsc#1117419).
  Refresh
  patches.arch/acpi-bus-only-call-dmi_check_system-on-x86.patch.
- PCI: acpiphp_ibm: prepare for acpi_get_object_info() no longer
  returning status (bsc#1117419).
- ACPI: export acpi_bus_get_status_handle() (bsc#1117419).
- ACPICA: All acpica: Update copyrights to 2018 (bsc#1117419).
- ACPICA: trivial style fix, no functional change (bsc#1117419).
- ACPICA: Fix a couple memory leaks during package object
  resolution (bsc#1117419).
- ACPICA: Recognize the Windows 10 version 1607 and 1703 OSI
  strings (bsc#1117419).
- ACPICA: Rename a global variable, no functional change
  (bsc#1117419).
- ACPICA: Create and deploy safe version of strncpy (bsc#1117419).
- ACPICA: Cleanup the global variables and update comments
  (bsc#1117419).
- ACPICA: Debugger: fix slight indentation issue (bsc#1117419).
- ACPICA: Fix a regression in the acpi_evaluate_object_type()
  interface (bsc#1117419).
- ACPICA: Update for a few debug output statements (bsc#1117419).
- ACPICA: Debug output, no functional change (bsc#1117419).
- ACPICA: Rename variable to match upstream (bsc#1117419).
- ACPICA: Update linkage for get mutex name interface
  (bsc#1117419).
- ACPICA: Update mutex error messages, no functional change
  (bsc#1117419).
- ACPICA: Debugger: add "background" command for method execution
  (bsc#1117419).
- ACPICA: Namespace: fix memory leak from building prefixed
  pathname (bsc#1117419).
- ACPICA: Enhance error messages from namespace create/lookup
  operations (bsc#1117419).
- ACPICA: ACPICA: style edits to utility function output, no
  functional change (bsc#1117419).
- ACPICA: Add an additional error message for EC timeouts
  (bsc#1117419).
- ACPICA: Update output from ACPI_EXCEPTION macro (bsc#1117419).
- ACPICA: Use local 64-bit divide support for string conversions
  (bsc#1117419).
- ACPICA: Utilities: Cleanup style issue for bit clearing
  (bsc#1117419).
- ACPICA: iASL: change processing of external op namespace nodes
  for correctness (bsc#1117419).
- ACPICA: Tools: Deploy -vd option (build date/time) across all
  tools (bsc#1117419).
- ACPICA: Rename AE_AML_INFINITE_LOOP exception (bsc#1117419).
- ACPICA: Dispatcher: Introduce timeout mechanism for infinite
  loop detection (bsc#1117419).
- ACPICA: Avoid null pointer dereference on Op (bsc#1117419).
- ACPICA: disassembler: getting rid of error message
  (bsc#1117419).
- ACPICA: Disassembler: reset parser_state's Aml pointer when
  parsing bad externals (bsc#1117419).
- ACPICA: Fix an off-by-one error in acpi_get_timer_duration()
  (bsc#1117419).
- ACPICA: Update acpi_get_timer for 64-bit interface to
  acpi_hw_read (bsc#1117419).
- ACPICA: String conversions: Update to add new behaviors
  (bsc#1117419).
- ACPICA: String conversions: Cleanup/format comments. No
  functional changes (bsc#1117419).
- ACPICA: Restructure/cleanup all string-to-integer conversion
  functions (bsc#1117419).
- ACPICA: acpiexec: Add testability of deferred table verification
  (bsc#1117419).
- ACPICA: Hardware: Enable 64-bit support of hardware accesses
  (bsc#1117419).
- ACPICA: Revert "Update resource descriptor handling"
  (bsc#1117419).
- ACPICA: Resources: Allow _DMA method in walk resources
  (bsc#1117419).
- ACPICA: Ensure all instances of AE_AML_INTERNAL have error
  messages (bsc#1117419).
- ACPICA: Implement deferred resolution of reference package
  elements (bsc#1117419).
- ACPICA: Debugger: Improve support for Alias objects
  (bsc#1117419).
- ACPICA: Interpreter: Update handling for Alias operator
  (bsc#1117419).
- ACPICA: EFI/EDK2: Cleanup to enable /WX for MSVC builds
  (bsc#1117419).
- ACPICA: CLib: Add short multiply/shift support (bsc#1117419).
- ACPICA: Add a comment, no functional change (bsc#1117419).
- ACPICA: Namespace: Update/fix an error message (bsc#1117419).
- ACPICA: Divergences: reduce access size definitions
  (bsc#1117419).
- ACPICA: Update resource descriptor handling (bsc#1117419).
- ACPICA: Disassembler: skip parsing of incorrect external
  declarations (bsc#1117419).
- ACPICA: iASL: Ensure that the target node is valid in
  acpi_ex_create_alias (bsc#1117419).
- ACPICA: Tables: Add deferred table verification support
  (bsc#1117419).
- ACPICA: Tables: Combine checksum/duplication verification
  together (bsc#1117419).
- ACPICA: Tables: Change table duplication check to be related
  to acpi_gbl_verify_table_checksum (bsc#1117419).
  Refresh
  patches.arch/acpi_thinkpad_introduce_acpi_root_table_boot_param.patch.
- ACPICA: Tables: Do not validate signature for dynamic table load
  (bsc#1117419).
- ACPICA: Tables: Cleanup table handler invokers (bsc#1117419).
- ACPICA: Tables: Add sanity check in acpi_put_table()
  (bsc#1117419).
- ACPICA: linuxize: cleanup typedef definitions (bsc#1117419).
- Back port of "ACPICA: Use designated initializers"
  (bsc#1117419).
- ACPICA: iASL compiler: allow compilation of externals with
  paths that refer to existing names (bsc#1117419).
- ACPICA: Tools: Deallocate memory allocated by
  ac_get_all_tables_from_file via ac_delete_table_list
  (bsc#1117419).
- ACPICA: Small indentation changes, no functional change
  (bsc#1117419).
- ACPICA: Fix acpi_evaluate_object_typed() (bsc#1117419).
- ACPI: SPCR: Use access width to determine mmio usage
  (bsc#1117419).
- ACPI: configfs: Unload SSDT on configfs entry removal
  (bsc#1117419).
- ACPICA: Use designated initializers (bsc#1117419).
- ACPICA: Update a couple of debug output messages (bsc#1117419).
- ACPICA: acpiexec: enhance local signal handler (bsc#1117419).
- ACPICA: Simplify output for the ACPI Debug Object (bsc#1117419).
- ACPICA: Improvements for debug output only (bsc#1117419).
- ACPICA: Disassembler: allow conflicting external declarations
  to be emitted (bsc#1117419).
- ACPICA: Disassembler: add external op to namespace on first pass
  (bsc#1117419).
- ACPICA: Disassembler: prevent external op's from opening a
  new scope (bsc#1117419).
- ACPICA: Changed Gbl_disasm_flag to acpi_gbl_disasm_flag
  (bsc#1117419).
- ACPICA: Changing External to a named object (bsc#1117419).
- ACPICA: Update two error messages to emit control method name
  (bsc#1117419).
- ACPICA: Fix for Device/Thermal objects with ObjectType and
  DerefOf (bsc#1117419).
- ACPICA: Update comments, no functional change (bsc#1117419).
- ACPICA: Split resource descriptor decode strings to a new file
  (bsc#1117419).
- ACPICA: Remove extraneous status check (bsc#1117419).
- ACPICA: Export the public mutex interfaces (bsc#1117419).
- ACPICA: Disassembler: Abort on an invalid/unknown AML opcode
  (bsc#1117419).
- ACPICA: Dispatcher: Remove unnecessary call to debugger
  (bsc#1117419).
- ACPICA: Debugger/acpiexec: Cleanup error messages (bsc#1117419).
- ACPICA: Explicitly cast 1 to u32 (bsc#1117419).
- ACPICA: Update error message for field beyond buffer case
  (bsc#1117419).
- ACPICA: Events: Add runtime stub support for event APIs
  (bsc#1117419).
- ACPICA: Core: Always set GPIO VendorOffset (bsc#1117419).
- ACPICA: Fix a type value overlap in the AML support file
  (bsc#1117419).
- ACPICA: ACPI 6.2: Add support for PinGroupConfig() resource
  (bsc#1117419).
- ACPICA: ACPI 6.2: Add support for PinGroupFunction() resource
  (bsc#1117419).
- ACPICA: ACPI 6.2: Add support for PinGroup() resource
  (bsc#1117419).
- ACPICA: ACPI 6.2: Add support for PinConfig() resource
  (bsc#1117419).
- ACPICA: ACPI 6.2: Add support for PinFunction() resource
  (bsc#1117419).
- ACPICA: disassembler: improve Switch support (bsc#1117419).
- ACPICA: Add support for _HMA as a predefined method
  (bsc#1117419).
- ACPICA: Add support for _LSW as a predefined method
  (bsc#1117419).
- ACPICA: Add support for _LSR as a predefined method
  (bsc#1117419).
- ACPICA: Add support for _LSI as a predefined method
  (bsc#1117419).
- ACPICA: Utilities: Make a notify value reserved (bsc#1117419).
- ACPICA: Add new notify value for memory attributes update
  (bsc#1117419).
- ACPICA: Change path's type from u8* to char* (bsc#1117419).
- commit 21fca6d
* Wed Dec 12 2018 tiwai@suse.de
- Bluetooth: btintel: make array 'param' static, shrinks object
  size (FATE#326294).
- commit 8585606
* Wed Dec 12 2018 tiwai@suse.de
- Bluetooth: btusb: Fix isochronous interface assignments
  (FATE#326294).
- commit 76dc518
* Wed Dec 12 2018 oneukum@suse.com
- usb: core: quirks: add RESET_RESUME quirk for Cherry G230
  Stream series (bsc#1119086).
- commit adf42a4
* Wed Dec 12 2018 tiwai@suse.de
- Bluetooth: Use bt_dev_err and bt_dev_info when possible
  (FATE#326294).
- commit ae7df49
* Wed Dec 12 2018 tiwai@suse.de
- Bluetooth: Style fix - align block comments (FATE#326294).
- commit 2998b52
* Wed Dec 12 2018 tiwai@suse.de
- Bluetooth: btintel: Add MODULE_FIRMWARE entries for iBT 3.5
  controllers (FATE#326294).
- commit 237603c
* Wed Dec 12 2018 tiwai@suse.de
- Bluetooth: btintel: Use boot parameter from firmware file
  (FATE#326294).
- Bluetooth: btintel: Create common function for Intel Reset
  (FATE#326294).
- commit 7f57a0e
* Wed Dec 12 2018 tiwai@suse.de
- Bluetooth: btusb: Update firmware filename for Intel 9x60 and
  later (FATE#326294).
- Bluetooth: btusb: Add support of all Foxconn (105b) Broadcom
  devices (FATE#326294).
- commit 85f8762
* Wed Dec 12 2018 oneukum@suse.com
- USB: usb-storage: Add new IDs to ums-realtek (bsc#1119086).
- commit 23106bc
* Wed Dec 12 2018 jthumshirn@suse.de
- scsi: libsas: Remove pcidev reference (FATE#326253).
- scsi: libsas: Drop SAS_DPRINTK() and revise logs levels
  (FATE#326253).
- scsi: libsas: Drop sas_printk() (FATE#326253).
- scsi: libsas: Use pr_fmt(fmt) (FATE#326253).
- scsi: libsas: Delete sas_dump.{c, h} (FATE#326253).
- scsi: hisi_sas: change the time of SAS SSP connection
  (FATE#326253).
- scsi: hisi_sas: Relocate some codes to avoid an unused check
  (FATE#326253).
- scsi: hisi_sas: Add support for interrupt coalescing for v3 hw
  (FATE#326253).
- scsi: hisi_sas: Add support for interrupt converge for v3 hw
  (FATE#326253).
- scsi: hisi_sas: Create separate host attributes per HBA
  (FATE#326253).
- scsi: hisi_sas: use dma_set_mask_and_coherent (FATE#326253).
- scsi: hisi_sas: Remove set but not used variable 'dq_list'
  (FATE#326253).
- scsi: hisi_sas: Fix spin lock management in
  slot_index_alloc_quirk_v2_hw() (FATE#326253).
- scsi: hisi_sas: Update v3 hw AIP_LIMIT and CFG_AGING_TIME
  register values (FATE#326253).
- scsi: hisi_sas: Use block layer tag instead for IPTT
  (FATE#326253).
- scsi: hisi_sas: unmask interrupts ent72 and ent74 (FATE#326253).
- scsi: hisi_sas: Free slot later in slot_complete_vx_hw()
  (FATE#326253).
- scsi: hisi_sas: Fix the race between IO completion and timeout
  for SMP/internal IO (FATE#326253).
- scsi: hisi_sas: Move evaluation of hisi_hba in
  hisi_sas_task_prep() (FATE#326253).
- scsi: hisi_sas: Feed back linkrate(max/min) when re-attached
  (FATE#326253).
- scsi: libsas: fix a race condition when smp task timeout
  (FATE#326253).
- scsi: libsas: check the ata device status by ata_dev_enabled()
  (FATE#326253).
- scsi: libsas: always unregister the old device if going to
  discover new (FATE#326253).
- scsi: libsas: make the lldd_port_deformed method optional
  (FATE#326253).
- scsi: libsas: delete dead code in scsi_transport_sas.c
  (FATE#326253).
- commit eb47eb4
* Wed Dec 12 2018 tbogendoerfer@suse.de
- Update config files.
- supported.conf: added phylink, sfp, mdio-i2c and marvell10g
- commit fd85c21
* Wed Dec 12 2018 tbogendoerfer@suse.de
- sysfs: symlink: export sysfs_create_link_nowarn() (bsc#1119113
  FATE#326472).
- commit 21fb251
* Wed Dec 12 2018 oneukum@suse.com
- ACPI / hotplug / PCI: Don't scan for non-hotplug bridges if
  slot is not bridge (FATE#326303).
- commit 706d6e3
* Wed Dec 12 2018 bp@suse.de
- x86/speculation: Prevent deadlock on ssb_state::lock
  (bsc#1114279).
- commit 978ca0c
* Wed Dec 12 2018 oneukum@suse.com
- usb: roles: Take care of driver module reference counting
  (FATE3326325).
- commit 17845b5
* Wed Dec 12 2018 tbogendoerfer@suse.de
- net: stmmac: Delete dead code for MDIO registration (bsc#1119113
  FATE#326472).
- commit b79fce2
* Wed Dec 12 2018 tbogendoerfer@suse.de
- net: stmmac: Use the right logging function in
  stmmac_mdio_register (bsc#1119113 FATE#326472).
- commit fedf6e6
* Wed Dec 12 2018 oneukum@suse.com
- linux/mod_devicetable.h: fix kernel-doc missing notation for
  typec_device_id (FATE#326325).
- commit a099f58
* Wed Dec 12 2018 tbogendoerfer@suse.de
- net: mvpp2: Split the PPv2 driver to a dedicated directory
  (bsc#1119113 FATE#326472).
- Refresh
  patches.suse/net-mvpp2-Extract-the-correct-ethtype-from-the-skb-f.patch.
- Refresh
  patches.suse/net-mvpp2-fix-a-txq_done-race-condition.patch.
- commit edfb90c
* Wed Dec 12 2018 tbogendoerfer@suse.de
- net: phy: phylink: Provide PHY interface to mac_link_{up, down}
  (bsc#1119113 FATE#326472).
- commit ce4364b
* Wed Dec 12 2018 tbogendoerfer@suse.de
- net: phy: remove parameter new_link from phy_mac_interrupt()
  (bsc#1119113 FATE#326472).
- Refresh
  patches.suse/net-phy-Tell-caller-result-of-phy_change.patch.
- commit 827760c
* Wed Dec 12 2018 tbogendoerfer@suse.de
- net: phy: core: don't disable device interrupts in phy_change
  (bsc#1119113 FATE#326472).
- Refresh
  patches.suse/net-phy-Tell-caller-result-of-phy_change.patch.
- commit 486776d
* Wed Dec 12 2018 tbogendoerfer@suse.de
- net: phy: core: remove now uneeded disabling of interrupts
  (bsc#1119113 FATE#326472).
- Refresh
  patches.suse/net-phy-Tell-caller-result-of-phy_change.patch.
- commit 89f444f
* Wed Dec 12 2018 tbogendoerfer@suse.de
- net: phy: remove generic settings for callbacks config_aneg
  and read_status from drivers (bsc#1119113 FATE#326472).
- Refresh
  patches.drivers/dp83640-Ensure-against-premature-access-to-PHY-regis.
- Refresh
  patches.drivers/lan78xx-PHY-DSP-registers-initialization-to-address-.
- Refresh
  patches.suse/net-phy-dp83822-use-BMCR_ANENABLE-instead-of-BMSR_AN.patch.
- commit 23f6207
* Wed Dec 12 2018 tbogendoerfer@suse.de
- net: phy: fix resume handling (bsc#1119113 FATE#326472).
- Refresh
  patches.suse/net-phy-fix-phy_start-to-consider-PHY_IGNORE_INTERRU.patch.
- commit 3aff021
* Wed Dec 12 2018 oneukum@suse.com
- PCI: pciehp: Fix hot-add vs powerfault detection order
  (FATE#326303).
- Refresh
  patches.drivers/0001-PCI-pciehp-Unify-controller-and-slot-structs.patch.
- commit 2032edc
* Wed Dec 12 2018 tbogendoerfer@suse.de
- net: phy: split out 10G genphy support (bsc#1119113
  FATE#326472).
- Refresh
  patches.drivers/net-phy-Add-phy-loopback-support-in-net-phy-framewor.patch.
- commit 2427c91
* Wed Dec 12 2018 tbogendoerfer@suse.de
- net: phy: Delete unused function phy_ethtool_gset (bsc#1119113
  FATE#326472).
- Refresh
  patches.drivers/net-phy-Make-phy_ethtool_ksettings_get-return-void.patch.
- commit b7dfcca
* Wed Dec 12 2018 oneukum@suse.com
- PCI: shpchp: Manage SHPC unconditionally on non-ACPI systems
  (FATE#26302 FATE#326303 FATE#326325).
- commit f9f5412
* Wed Dec 12 2018 tbogendoerfer@suse.de
- net: phy: Relax error checking on sysfs_create_link()
  (bsc#1119113 FATE#326472).
- Refresh
  patches.drivers/net-phy-Add-phy-loopback-support-in-net-phy-framewor.patch.
- commit b9c1c23
* Wed Dec 12 2018 oneukum@suse.com
- usb: typec: Fix htmldocs warning (FATE#326325).
- commit e2f7e22
* Wed Dec 12 2018 tbogendoerfer@suse.de
- net: mvpp2: fix phylink handling of invalid PHY modes
  (bsc#1119113 FATE#326472).
- net: mvpp2: fix detection of 10G SFP modules (bsc#1119113
  FATE#326472).
- net: phy: don't allow __set_phy_supported to add unsupported
  modes (bsc#1119113 FATE#326472).
- net: phy: add workaround for issue where PHY driver doesn't
  bind to the device (bsc#1119113 FATE#326472).
- net: mvpp2: Fix affinity hint allocation (bsc#1119113
  FATE#326472).
- net: phy: merge phy_start_aneg and phy_start_aneg_priv
  (bsc#1119113 FATE#326472).
- net: phy: simplify handling of PHY_RESUMING in state machine
  (bsc#1119113 FATE#326472).
- net: phy: improve handling of PHY_RUNNING in state machine
  (bsc#1119113 FATE#326472).
- net: phy: trigger state machine immediately in phy_start_machine
  (bsc#1119113 FATE#326472).
- net: phy: improve handling delayed work (bsc#1119113
  FATE#326472).
- net: phy: Move linkmode helpers to somewhere public (bsc#1119113
  FATE#326472).
- net: phy: Stop with excessive soft reset (bsc#1119113
  FATE#326472).
- net: mvpp2: use round-robin scheduling for TX queues on the
  same CPU (bsc#1119113 FATE#326472).
- net: mvpp2: support XPS by mapping TX queues to CPUs
  (bsc#1119113 FATE#326472).
- net: phy: don't reschedule state machine when PHY is halted
  (bsc#1119113 FATE#326472).
- net: marvell: fix return type of ndo_start_xmit function
  (bsc#1119113 FATE#326472).
- net: mvpp2: do not explicitly set the carrier state in open
  (bsc#1119113 FATE#326472).
- net: phy: phylink: ensure the carrier is off when starting
  phylink (bsc#1119113 FATE#326472).
- net: mvpp2: rename mvpp2_percpu function to mvpp2_thread
  (bsc#1119113 FATE#326472).
- net: mvpp2: handle cases where more CPUs are available than
  s/w threads (bsc#1119113 FATE#326472).
- net: mvpp2: map the CPUs to threads (bsc#1119113 FATE#326472).
- net: mvpp2: do not use the CPU number to access the per-thread
  registers (bsc#1119113 FATE#326472).
- net: mvpp2: make mvpp2_read_relaxed static (bsc#1119113
  FATE#326472).
- net: mvpp2: make the per-cpu helpers static (bsc#1119113
  FATE#326472).
- net: mvpp2: cpu should always be unsigned (bsc#1119113
  FATE#326472).
- net: mvpp2: fix the number of queues per cpu for PPv2.2
  (bsc#1119113 FATE#326472).
- net: mvpp2: do not update the queue mode while probing
  (bsc#1119113 FATE#326472).
- net: mvpp2: rename the IRQs to match the hardware (bsc#1119113
  FATE#326472).
- net: mvpp2: increase the number of s/w threads to 9 (bsc#1119113
  FATE#326472).
- net: phy: call state machine synchronously in phy_stop
  (bsc#1119113 FATE#326472).
- net: phy: phylink: fix SFP interface autodetection (bsc#1119113
  FATE#326472).
- net: phy: fix WoL handling when suspending the PHY (bsc#1119113
  FATE#326472).
- net: mvpp2: let phylink manage the carrier state (bsc#1119113
  FATE#326472).
- net: mvpp2: initialize port of_node pointer (bsc#1119113
  FATE#326472).
- phylink: add helper for configuring 2500BaseX modes (bsc#1119113
  FATE#326472).
- net: phy: add helper phy_polling_mode (bsc#1119113 FATE#326472).
- net: phy: prevent PHYs w/o Clause 22 regs from calling
  genphy_config_aneg (bsc#1119113 FATE#326472).
- net: phy: add GBit master / slave error detection (bsc#1119113
  FATE#326472).
- net: mvpp2: debugfs: fix incorrect bitwise operator (bsc#1119113
  FATE#326472).
- net: phy: add phy_speed_down and phy_speed_up (bsc#1119113
  FATE#326472).
- net: phy: add helper phy_config_aneg (bsc#1119113 FATE#326472).
- net: mvpp2: debugfs: add classifier hit counters (bsc#1119113
  FATE#326472).
- net: mvpp2: debugfs: add entries for classifier flows
  (bsc#1119113 FATE#326472).
- net: mvpp2: debugfs: add hit counter stats for Header Parser
  entries (bsc#1119113 FATE#326472).
- net: mvpp2: add a debugfs interface for the Header Parser
  (bsc#1119113 FATE#326472).
- net: mvpp2: switch to SPDX identifiers (bsc#1119113
  FATE#326472).
- net: mvpp2: mvpp2_cls_flow_get() can be static (bsc#1119113
  FATE#326472).
- net: mvpp2: allow setting RSS flow hash parameters with ethtool
  (bsc#1119113 FATE#326472).
- net: mvpp2: add an RSS classification step for each flow
  (bsc#1119113 FATE#326472).
- net: mvpp2: split ingress traffic into multiple flows
  (bsc#1119113 FATE#326472).
- net: mvpp2: use classifier to assign default rx queue
  (bsc#1119113 FATE#326472).
- net: mvpp2: rename per-port RSS init function (bsc#1119113
  FATE#326472).
- net: mvpp2: make sure we don't spread load on disabled CPUs
  (bsc#1119113 FATE#326472).
- net: mvpp2: improve the distribution of packets on CPUs when
  using RSS (bsc#1119113 FATE#326472).
- net: mvpp2: RSS indirection table support (bsc#1119113
  FATE#326472).
- net: mvpp2: use one RSS table per port (bsc#1119113
  FATE#326472).
- net: mvpp2: fix RSS register definitions (bsc#1119113
  FATE#326472).
- net: mvpp2: fix a typo in the RSS code (bsc#1119113
  FATE#326472).
- net: mvpp2: use only one rx queue per port per CPU (bsc#1119113
  FATE#326472).
- net: mvpp2: fix hardcoded number of rx queues (bsc#1119113
  FATE#326472).
- net: mvpp2: use RSS only when using multi-queue mode
  (bsc#1119113 FATE#326472).
- net: mvpp2: make multi queue mode the default mode (bsc#1119113
  FATE#326472).
- net: mvpp2: make sure we use single queue mode on PPv2.1
  (bsc#1119113 FATE#326472).
- net: mvpp2: define the number of RSS entries per table in
  mvpp2.h (bsc#1119113 FATE#326472).
- net: mvpp2: fix include guards in mvpp2_prs.h (bsc#1119113
  FATE#326472).
- net: mvpp2: explicitly include linux/interrupt.h (bsc#1119113
  FATE#326472).
- net: mvpp2: Use htons when checking protocol info (bsc#1119113
  FATE#326472).
- net: mvpp2: prs: Drop unnecessary swab16 in vlan detection
  (bsc#1119113 FATE#326472).
- net: mvpp2: prs: Drop unions representing TCAM and SRAM entries
  (bsc#1119113 FATE#326472).
- net: mvpp2: Make TX / RX descriptors little-endian (bsc#1119113
  FATE#326472).
- net: phy: add struct device_type representation of a PHY
  (bsc#1119113 FATE#326472).
- net: mvpp2: mvpp2_percpu_read_relaxed() can be static
  (bsc#1119113 FATE#326472).
- net: phy: consider PHY_IGNORE_INTERRUPT in state machine
  PHY_NOLINK handling (bsc#1119113 FATE#326472).
- net: phy: phylink: Don't release NULL GPIO (bsc#1119113
  FATE#326472).
- net: mvpp2: Add missing VLAN tag detection (bsc#1119113
  FATE#326472).
- net: mvpp2: typo and cosmetic fixes (bsc#1119113 FATE#326472).
- net: mvpp2: print rx error with rate-limit (bsc#1119113
  FATE#326472).
- net: mvpp2: set mac address does not require the stop/start
  sequence (bsc#1119113 FATE#326472).
- net: mvpp2: avoid checking for free aggregated descriptors twice
  (bsc#1119113 FATE#326472).
- net: mvpp2: 2500baseX support (bsc#1119113 FATE#326472).
- net: mvpp2: 1000baseX support (bsc#1119113 FATE#326472).
- phy: add 2.5G SGMII mode to the phy_mode enum (bsc#1119113
  FATE#326472).
- net: mvpp2: phylink support (bsc#1119113 FATE#326472).
- net: mvpp2: align the ethtool ops definition (bsc#1119113
  FATE#326472).
- net: phy: phylink: Poll link GPIOs (bsc#1119113 FATE#326472).
- net: phy: phylink: Release link GPIO (bsc#1119113 FATE#326472).
- net: phy: phylink: Use gpiod_get_value_cansleep() (bsc#1119113
  FATE#326472).
- net: phy: allow scanning busses with missing phys (bsc#1119113
  FATE#326472).
- net: phy: marvell10g: add thermal hwmon device (bsc#1119113
  FATE#326472).
- sfp/phylink: move module EEPROM ethtool access into netdev
  core ethtool (bsc#1119113 FATE#326472).
- net: phy: set link state to down when creating the phy_device
  (bsc#1119113 FATE#326472).
- net: phy: use phy_disable_interrupts in phy_stop (bsc#1119113
  FATE#326472).
- net: phy: remove phy_error from phy_disable_interrupts
  (bsc#1119113 FATE#326472).
- net: phy: Fix spelling mistake: "advertisment"-> "advertisement"
  (bsc#1119113 FATE#326472).
- net: phy: marvell10g: Utilize gen10g_no_soft_reset()
  (bsc#1119113 FATE#326472).
- net: phy: Export gen10g_* functions (bsc#1119113 FATE#326472).
- net: phylink: Remove redundant netdev.phydev assignment
  (bsc#1119113 FATE#326472).
- phylink,sfp: negotiate interface format with MAC (bsc#1119113
  FATE#326472).
- sfp: support 1G BiDi (eg, FiberStore SFP-GE-BX) modules
  (bsc#1119113 FATE#326472).
- net: phy: Add general dummy stubs for MMD register access
  (bsc#1119113 FATE#326472).
- net: phy: relax error checking when creating sysfs link
  netdev->phydev (bsc#1119113 FATE#326472).
- net: phy: Restore phy_resume() locking assumption (bsc#1119113
  FATE#326472).
- net: phy: fix wrong mask to phy_modify() (bsc#1119113
  FATE#326472).
- net: phy: sfp: Fix kernel doc warning (bsc#1119113 FATE#326472).
- phy: use new helpers phy_set_bits/phy_clear_bits in phylib
  (bsc#1119113 FATE#326472).
- phy: add helpers for setting/clearing bits in PHY registers
  (bsc#1119113 FATE#326472).
- net: phy: Have __phy_modify return 0 on success (bsc#1119113
  FATE#326472).
- net: phy: fix wrong masks to phy_modify() (bsc#1119113
  FATE#326472).
- net: phy: convert read-modify-write to phy_modify() (bsc#1119113
  FATE#326472).
- net: phy: add phy_modify() accessor (bsc#1119113 FATE#326472).
- net: phy: marvell: fix paged access races (bsc#1119113
  FATE#326472).
- net: phy: use unlocked accessors for indirect MMD accesses
  (bsc#1119113 FATE#326472).
- net: mvneta: add module EEPROM reading support (bsc#1119113
  FATE#326472).
- net: mvneta: disable MVNETA_CAUSE_PSC_SYNC_CHANGE interrupt
  (bsc#1119113 FATE#326472).
- net: mvneta: add EEE support (bsc#1119113 FATE#326472).
- net: mvneta: add flow control support (bsc#1119113 FATE#326472).
- net: mvneta: add 1000BaseX support (bsc#1119113 FATE#326472).
- net: mvneta: move port configuration (bsc#1119113 FATE#326472).
- net: mvneta: convert to phylink (bsc#1119113 FATE#326472).
- net: mvneta: prepare to convert to phylink (bsc#1119113
  FATE#326472).
- phylink: remove 'mode' variable from phylink_sfp_module_insert()
  (bsc#1119113 FATE#326472).
- sfp: improve support for direct-attach copper cables
  (bsc#1119113 FATE#326472).
- sfp: add support for 1000Base-PX and 1000Base-BX10 (bsc#1119113
  FATE#326472).
- sfp: don't guess support from connector type (bsc#1119113
  FATE#326472).
- net: phy: marvell10g: add support for half duplex 100M and 10M
  (bsc#1119113 FATE#326472).
- net: phy: add helper to convert negotiation result to phy
  settings (bsc#1119113 FATE#326472).
- net: phy: marvell10g: clean up interface mode switching
  (bsc#1119113 FATE#326472).
- net: phy: marvell10g: add MDI swap reporting (bsc#1119113
  FATE#326472).
- net: phy: marvell10g: update header comments (bsc#1119113
  FATE#326472).
- phylink: avoid attaching more than one PHY (bsc#1119113
  FATE#326472).
- phylink: fix locking asserts (bsc#1119113 FATE#326472).
- net: phy: phylink: Handle NULL fwnode_handle (bsc#1119113
  FATE#326472).
- net: phy: phylink: Report MoCA as PORT_BNC (bsc#1119113
  FATE#326472).
- net: phy: phylink: Allow setting a custom link state callback
  (bsc#1119113 FATE#326472).
- net: phy: phylink: Remove error message (bsc#1119113
  FATE#326472).
- net: phy: phylink: Use PHY device interface if N/A (bsc#1119113
  FATE#326472).
- net: phy: phylink: Allow specifying PHY device flags
  (bsc#1119113 FATE#326472).
- net: phy: marvell10g: remove XGMII as an option for 88x3310
  (bsc#1119113 FATE#326472).
- phylib: add reset after clk enable support (bsc#1119113
  FATE#326472).
- phylib: Add device reset GPIO support (bsc#1119113 FATE#326472).
- phylink: convert to fwnode (bsc#1119113 FATE#326472).
- sfp: convert to fwnode (bsc#1119113 FATE#326472).
- sfp: add documentation for kernel APIs (bsc#1119113
  FATE#326472).
- phylink: add documentation for kernel APIs (bsc#1119113
  FATE#326472).
- phylink: restart 802.3z negotiation when starting net device
  (bsc#1119113 FATE#326472).
- phylink: remove phylink_init_eee() (bsc#1119113 FATE#326472).
- phylink: add support for 2500baseX and 10GbaseKR (bsc#1119113
  FATE#326472).
- phylink: get rid of separate Cisco SGMII and 802.3z modes
  (bsc#1119113 FATE#326472).
- phylink: merge SGMII and 802.3z handling (bsc#1119113
  FATE#326472).
- phy: add phy_interface_mode_is_8023z() helper (bsc#1119113
  FATE#326472).
- net: phy: broadcom: re-add mistakenly removed config settings
  (bsc#1119113 FATE#326472).
- net: phy: core: use genphy version of callbacks read_status
  and config_aneg per default (bsc#1119113 FATE#326472).
- phylink: mark expected switch fall-throughs in phylink_mii_ioctl
  (bsc#1119113 FATE#326472).
- sfp: fix sfp-bus oops when removing socket/upstream (bsc#1119113
  FATE#326472).
- phylink: ensure we report link down when LOS asserted
  (bsc#1119113 FATE#326472).
- phylink: ensure AN is enabled (bsc#1119113 FATE#326472).
- phylink: ensure the PHY interface mode is appropriately set
  (bsc#1119113 FATE#326472).
- net: phy: marvell: avoid pause mode on SGMII-to-Copper for
  88e151x (bsc#1119113 FATE#326472).
- net: phy: marvell: avoid configuring fiber page for
  SGMII-to-Copper (bsc#1119113 FATE#326472).
- phylink: ensure we take the link down when phylink_stop()
  is called (bsc#1119113 FATE#326472).
- net: phy-micrel: check return code in flp center function
  (bsc#1119113 FATE#326472).
- net: phy: marvell10g: fix the PHY id mask (bsc#1119113
  FATE#326472).
- net: phy: realtek: fix RTL8211F interrupt mode (bsc#1119113
  FATE#326472).
- phylink: make local function phylink_phy_change() static
  (bsc#1119113 FATE#326472).
- net: phy: Cosmetic fixes to phylink/sfp/sfp-bus.c (bsc#1119113
  FATE#326472).
- net: phy: broadcom: support new device flag for setting master
  mode (bsc#1119113 FATE#326472).
- net: phy: realtek: add RTL8201F phy-id and functions
  (bsc#1119113 FATE#326472).
- net: phy: realtek: rename RTL8211F_PAGE_SELECT to
  RTL821x_PAGE_SELECT (bsc#1119113 FATE#326472).
- net: phy: marvell: Only configure RGMII delays when using RGMII
  (bsc#1119113 FATE#326472).
- net: phy: Fix truncation of large IRQ numbers in
  phy_attached_print() (bsc#1119113 FATE#326472).
- net: phy: Keep reporting transceiver type (bsc#1119113
  FATE#326472).
- net: phy: sfp: rename dt properties to match the binding
  (bsc#1119113 FATE#326472).
- phylink: Fix an uninitialized variable bug (bsc#1119113
  FATE#326472).
- sfp: add SFP module support (bsc#1119113 FATE#326472).
- phylink: add in-band autonegotiation support for 10GBase-KR mode
  (bsc#1119113 FATE#326472).
- phylink: add support for MII ioctl access to Clause 45 PHYs
  (bsc#1119113 FATE#326472).
- phylink: add module EEPROM support (bsc#1119113 FATE#326472).
- sfp: add sfp-bus to bridge between network devices and sfp cages
  (bsc#1119113 FATE#326472).
- phylink: add phylink infrastructure (bsc#1119113 FATE#326472).
- net: phy: add I2C mdio bus (bsc#1119113 FATE#326472).
- net: phy: export phy_start_machine() for phylink (bsc#1119113
  FATE#326472).
- net: phy: provide a hook for link up/link down events
  (bsc#1119113 FATE#326472).
- net: phy: add 1000Base-X to phy settings table (bsc#1119113
  FATE#326472).
- net: phy: move phy_lookup_setting() and guts of
  phy_supported_speeds() to phy-core (bsc#1119113 FATE#326472).
- net: phy: split out PHY speed and duplex string generation
  (bsc#1119113 FATE#326472).
- net: phy: allow settings table to support more than 32 link
  modes (bsc#1119113 FATE#326472).
- net: phy: marvell: logical vs bitwise OR typo (bsc#1119113
  FATE#326472).
- net: phy: marvell: Refactor setting downshift into a helper
  (bsc#1119113 FATE#326472).
- net: phy: marvell: Use the set_polarity helper (bsc#1119113
  FATE#326472).
- net: phy: marvell: Refactor m88e1121 RGMII delay configuration
  (bsc#1119113 FATE#326472).
- net: phy: marvell: Consolidate setting the phy-mode (bsc#1119113
  FATE#326472).
- net: phy: marvell: consolidate RGMII delay code (bsc#1119113
  FATE#326472).
- net: phy: marvell: Use core genphy_soft_reset() (bsc#1119113
  FATE#326472).
- net: phy: marvell: tabification (bsc#1119113 FATE#326472).
- net: phy: Log only PHY state transitions (bsc#1119113
  FATE#326472).
- net: phy: Remove stale comments referencing timer (bsc#1119113
  FATE#326472).
- net: phy: Deal with unbound PHY driver in phy_attached_print()
  (bsc#1119113 FATE#326472).
- net: phy: smsc: fix buffer overflow in memcpy (bsc#1119113
  FATE#326472).
- net: phy: marvell: Show complete link partner advertising
  (bsc#1119113 FATE#326472).
- net: phy: add Marvell Alaska X 88X3310 10Gigabit PHY support
  (bsc#1119113 FATE#326472).
- net: phy: hook up clause 45 autonegotiation restart (bsc#1119113
  FATE#326472).
- net: phy: avoid genphy_aneg_done() for PHYs without clause 22
  support (bsc#1119113 FATE#326472).
- net: phy: add 802.3 clause 45 support to phylib (bsc#1119113
  FATE#326472).
- net: phy: smsc: Implement PHY statistics (bsc#1119113
  FATE#326472).
- net: phy: marvell: make some functions static (bsc#1119113
  FATE#326472).
- phy: micrel: add Microchip KSZ 9477 Switch PHY support
  (bsc#1119113 FATE#326472).
- net: phy: marvell: Uniform page names (bsc#1119113 FATE#326472).
- net: phy: marvell: helper to get and set page (bsc#1119113
  FATE#326472).
- net: phy: marvell: More hidden page changes refactored
  (bsc#1119113 FATE#326472).
- net: phy: marvell: #defines for copper and fibre pages
  (bsc#1119113 FATE#326472).
- net: phy: Create sysfs reciprocal links for attached_dev/phydev
  (bsc#1119113 FATE#326472).
- net: phy: put genphy_config_init's EXPORT_SYMBOL directly
  after the function (bsc#1119113 FATE#326472).
- net: phy: marvell: checkpatch - Fix remaining long lines
  (bsc#1119113 FATE#326472).
- net: phy: marvell: Add helpers to get/set page (bsc#1119113
  FATE#326472).
- net: phy: marvell: Refactor some bigger functions (bsc#1119113
  FATE#326472).
- net: phy: marvell: Checkpatch - assignments and comparisons
  (bsc#1119113 FATE#326472).
- net: phy: marvell: Checkpatch - Missing or extra blank lines
  (bsc#1119113 FATE#326472).
- net: phy: Marvell: checkpatch - Comments (bsc#1119113
  FATE#326472).
- net: phy: Remove residual magic from PHY drivers (bsc#1119113
  FATE#326472).
- commit 7b59e68
* Wed Dec 12 2018 oneukum@suse.com
- typec: tcpm: Fix incorrect 'and' operator (FATE#326325).
- commit 6ac8575
* Wed Dec 12 2018 oneukum@suse.com
- Documentation: typec.rst: Use literal-block element with ascii
  art (FATE#326325).
- blacklist.conf: only one needed
- commit b7c4e82
* Wed Dec 12 2018 bp@suse.de
- x86/speculation/mds: Add 'mitigations=' support for MDS
  (bsc#1111331).
- commit 2085862
* Wed Dec 12 2018 bp@suse.de
- x86/speculation/mds: Print SMT vulnerable on MSBDS with
  mitigations off (bsc#1111331).
- commit febe0b1
* Wed Dec 12 2018 bp@suse.de
- x86/speculation/mds: Add SMT warning message (bsc#1111331).
- commit 3baa0ed
* Wed Dec 12 2018 bp@suse.de
- x86/speculation: Move arch_smt_update() call to after mitigation
  decisions (bsc#1111331).
- commit 31e610e
* Wed Dec 12 2018 bp@suse.de
- x86/speculation/mds: Add mds=full,nosmt cmdline option
  (bsc#1111331).
- commit c0fa446
* Tue Dec 11 2018 rgoldwyn@suse.com
- fuse: fix use-after-free in fuse_direct_IO() (git-fixes).
- fuse: fix possibly missed wake-up after abort (git-fixes).
- fuse: fix leaked notify reply (git-fixes).
- apparmor: Fix uninitialized value in aa_split_fqname
  (git-fixes).
- apparmor: don't try to replace stale label in ptraceme check
  (git-fixes).
- apparmor: don't try to replace stale label in ptrace access
  check (git-fixes).
- fuse: fix blocked_waitq wakeup (git-fixes).
- fuse: set FR_SENT while locked (git-fixes).
- fuse: Fix use-after-free in fuse_dev_do_write() (git-fixes).
- fuse: Fix use-after-free in fuse_dev_do_read() (git-fixes).
- commit 50f36c2
* Tue Dec 11 2018 tonyj@suse.de
- perf/x86/intel/uncore: Support CoffeeLake 8th CBOX (FATE#326284).
- commit 73d3cee
* Tue Dec 11 2018 hare@suse.de
- Update config files.
- commit c9d1585
* Tue Dec 11 2018 oneukum@suse.com
- iwlwifi: nvm: get num of hw addresses from firmware
  (bsc#1119086).
- commit d5ffb2f
* Tue Dec 11 2018 hare@suse.de
- scsi: scsi_debug: skip long delays when ndelay small
  (bsc#1118139).
- scsi: snic: fix printing time intervals (bsc#1118139).
- scsi: libfc: Add WARN_ON() when deleting rports (bsc#1118139).
- scsi: virtio_scsi: fix pi_bytes{out,in} on 4 KiB block size
  (bsc#1118139).
- block: move bio_integrity_{intervals,bytes} into blkdev.h
  (bsc#1118139).
- scsi: set timed out out mq requests to complete
  (bsc#1104967,FATE#325924).
- blk-mq: export setting request completion state
  (bsc#1104967,FATE#325924).
- commit 1a84941
* Tue Dec 11 2018 hare@suse.de
- nvme.h: resync with nvme-cli (bsc#1104967,FATE#325924).
- nvme-pci: fix memory leak on probe failure
  (bsc#1104967,FATE#325924).
- commit 0ff38ea
* Tue Dec 11 2018 hare@suse.de
- nvme-rdma: fix possible double free of controller async event
  buffer (bsc#1104967,FATE#325924).
- nvme-pci: limit max IO size and segments to avoid high order
  (bsc#1104967,FATE#325924).
- nvme-pci: move nvme_kill_queues to nvme_remove_dead_ctrl
  (bsc#1104967,FATE#325924).
- nvme-rdma: fix possible free of a non-allocated async event
  (bsc#1104967,FATE#325924).
- nvmet: free smart-log buffer after use
  (bsc#1104967,FATE#325924).
- commit f9ef091
* Tue Dec 11 2018 hare@suse.de
- blk-mq: Fix timeout handling in case the timeout handler
  returns BLK_EH_DONE (bsc#1104967,FATE#325924).
- block: fix timeout changes for legacy request drivers
  (bsc#1104967,FATE#325924).
- bsg: fix race of bsg_open and bsg_unregister
  (bsc#1104967,FATE#325924).
- block: remov blk_queue_invalidate_tags
  (bsc#1104967,FATE#325924).
- blk-mq: remove blk_mq_tagset_iter (bsc#1104967,FATE#325924).
- nvme: remove nvme_reinit_tagset (bsc#1104967,FATE#325924).
- blk-mq: don't time out requests again that are in the timeout
  handler (bsc#1104967,FATE#325924).
- block: fix use-after-free in block flush handling
  (bsc#1104967,FATE#325924).
- commit 658122b
* Tue Dec 11 2018 hare@suse.de
- scsi: xen-scsifront: add error handling for xenbus_printf
  (bsc#1118139).
- scsi: aic7xxx: aic79xx: fix potential null pointer
  (bsc#1118139).
- scsi: core: sanitize++ in progress (bsc#1118139).
- commit ecd4a3d
* Tue Dec 11 2018 mkubecek@suse.cz
- Update
  patches.suse/socket-close-race-condition-between-sock_close-and-s.patch
  references (add CVE-2018-12232 bsc#1097593).
- commit 3b472e9
* Tue Dec 11 2018 hare@suse.de
- nvme-pci: make CMB SQ mod-param read-only
  (bsc#1104967,FATE#325924).
- nvme-pci: unquiesce dead controller queues
  (bsc#1104967,FATE#325924).
- nvme-pci: remove HMB teardown on reset
  (bsc#1104967,FATE#325924).
- nvme-pci: queue creation fixes (bsc#1104967,FATE#325924).
- nvme-pci: remove unnecessary completion doorbell check
  (bsc#1104967,FATE#325924).
- nvme-pci: remove unnecessary nested locking
  (bsc#1104967,FATE#325924).
- block: pass failfast and driver-specific flags to flush
  (bsc#1104967,FATE#325924).
- nbd: set discard_alignment to the granularity
  (bsc#1104967,FATE#325924).
- nbd: Consistently use request pointer in debug messages
  (bsc#1104967,FATE#325924).
- block: add verifier for cmdline partition
  (bsc#1104967,FATE#325924).
- blk-mq: update nr_requests when switching to 'none' scheduler
  (bsc#1104967,FATE#325924).
- block: don't use blocking queue entered for recursive bio
  (bsc#1104967,FATE#325924).
- commit 5360cb2
* Tue Dec 11 2018 mkubecek@suse.cz
- Update
  patches.suse/net-Set-sk_prot_creator-when-cloning-sockets-to-the-.patch
  references (add CVE-2018-9568 bsc#1118319).
- commit 541b753
* Tue Dec 11 2018 hare@suse.de
- nvmet: fix error return code in nvmet_file_ns_enable()
  (bsc#1104967,FATE#325924).
- nvmet: fix a typo in nvmet_file_ns_enable()
  (bsc#1104967,FATE#325924).
- block: split the blk-mq case from elevator_init
  (bsc#1104967,FATE#325924).
- block: move sysfs_lock into elevator_init
  (bsc#1104967,FATE#325924).
- block: remove the always unused name argument to elevator_init
  (bsc#1104967,FATE#325924).
- block: unexport elevator_init/exit (bsc#1104967,FATE#325924).
- block: move initialization of elevator-related fields to
  blk_alloc_queue_node (bsc#1104967,FATE#325924).
- commit 42881ab
* Tue Dec 11 2018 hare@suse.de
- block, bfq: prevent soft_rt_next_start from being stuck at
  infinity (bsc#1104967,FATE#325924).
- block, bfq: increase weight-raising duration for interactive
  apps (bsc#1104967,FATE#325924).
- block, bfq: remove slow-system class (bsc#1104967,FATE#325924).
- block, bfq: add description of weight-raising heuristics
  (bsc#1104967,FATE#325924).
- block, bfq: remove the removal of 'next' rq in
  bfq_requests_merged (bsc#1104967,FATE#325924).
- block, bfq: remove wrong check in bfq_requests_merged
  (bsc#1104967,FATE#325924).
- block, bfq: remove wrong lock in bfq_requests_merged
  (bsc#1104967,FATE#325924).
- commit cfc4e36
* Tue Dec 11 2018 hare@suse.de
- blk-mq: fix blk_mq_tagset_busy_iter (bsc#1104967,FATE#325924).
- blk-throttle: return proper bool type to caller instead of
  (bsc#1104967,FATE#325924).
- blk-mq: only iterate over inflight requests in
  blk_mq_tagset_busy_iter (bsc#1104967,FATE#325924).
- nbd: clear DISCONNECT_REQUESTED flag once disconnection occurs
  (bsc#1104967,FATE#325924).
- commit ff91320
* Tue Dec 11 2018 hare@suse.de
- nvme-pci: simplify __nvme_submit_cmd (bsc#1104967,FATE#325924).
- nvme-pci: Rate limit the nvme timeout warnings
  (bsc#1104967,FATE#325924).
- blk-throttle: fix potential NULL pointer dereference in
  (bsc#1104967,FATE#325924).
- block: kyber: make kyber more friendly with merging
  (bsc#1104967,FATE#325924).
- blk-mq: abstract out blk-mq-sched rq list iteration bio merge
  (bsc#1104967,FATE#325924).
- block: remove parent device reference from struct
  (bsc#1104967,FATE#325924).
- commit 303e7e4
* Tue Dec 11 2018 hare@suse.de
- s390/dasd: simplify locking in dasd_times_out
  (bsc#1104967,FATE#325924).
- block: unexport check_disk_size_change
  (bsc#1104967,FATE#325924).
- block: move ->timeout request member (bsc#1104967,FATE#325924).
- blk-mq: simplify blk_mq_rq_timed_out (bsc#1104967,FATE#325924).
- block: document the blk_eh_timer_return values
  (bsc#1104967,FATE#325924).
- block: remove BLK_EH_HANDLED (bsc#1104967,FATE#325924).
- libiscsi: don't try to bypass SCSI EH (bsc#1104967,FATE#325924).
- mmc: complete requests from ->timeout (bsc#1104967,FATE#325924).
- scsi_transport_fc: complete requests from ->timeout
  (bsc#1104967,FATE#325924).
- null_blk: complete requests from ->timeout
  (bsc#1104967,FATE#325924).
- mtip32xx: complete requests from ->timeout
  (bsc#1104967,FATE#325924).
- nbd: complete requests from ->timeout (bsc#1104967,FATE#325924).
- nvme: return BLK_EH_DONE from ->timeout
  (bsc#1104967,FATE#325924).
- block: rename BLK_EH_NOT_HANDLED to BLK_EH_DONE
  (bsc#1104967,FATE#325924).
- blk-mq: Remove generation seqeunce (bsc#1104967,FATE#325924).
- commit c4655a1
* Tue Dec 11 2018 hare@suse.de
- fs: don't flush pagecache when expanding block device
  (bsc#1104967,FATE#325924).
- Refresh
  patches.fixes/block-don-t-print-a-message-when-the-device-went-awa.patch.
- commit 75b005f
* Tue Dec 11 2018 hare@suse.de
- s390/dasd: use blk_mq_rq_from_pdu for per request data
  (bsc#1104967,FATE#325924).
- s390/dasd: fix race during dasd initialization
  (bsc#1104967,FATE#325924).
- s390/dasd: blk-mq conversion (bsc#1104967,FATE#325924).
- commit d28d1a3
* Tue Dec 11 2018 mhocko@suse.com
- x86/speculation/l1tf: Drop the swap storage limit restriction
  when l1tf=off (bnc#1114871).
- commit e14c0db
* Tue Dec 11 2018 hare@suse.de
- loop: remove cmd->rq member (bsc#1104967,FATE#325924).
- Refresh patches.fixes/loop-handle-short-DIO-reads.patch.
- commit b031a56
* Tue Dec 11 2018 tbogendoerfer@suse.de
- net: hns3: bugfix for rtnl_lock's range in the hclge_reset()
  (bsc#1104353 FATE#326415).
- commit 707a82d
* Tue Dec 11 2018 hare@suse.de
- block drivers/block: Use octal not symbolic permissions
  (bsc#1104967,FATE#325924).
- nbd: set discard granularity properly (bsc#1104967,FATE#325924).
- block/ndb: add WQ_UNBOUND to the knbd-recv workqueue
  (bsc#1104967,FATE#325924).
- DAC960: don't use block layer bounce buffers
  (bsc#1104967,FATE#325924).
- mtip32xx: don't use block layer bounce buffers
  (bsc#1104967,FATE#325924).
- mtip32xx: Fix an error handling path in 'mtip_pci_probe()'
  (bsc#1104967,FATE#325924).
- loop: clear wb_err in bd_inode when detaching backing file
  (bsc#1104967,FATE#325924).
- commit 45187f4
* Tue Dec 11 2018 hare@suse.de
- block, THP: make block_device_operations.rw_page support THP
  (bsc#1104967,FATE#325924).
- Refresh
  patches.fixes/x86-asm-memcpy_mcsafe-Return-bytes-remaining.patch.
- commit 655f09a
* Tue Dec 11 2018 tbogendoerfer@suse.de
- net: hns3: Correct unreasonable code comments (bsc#1104353
  FATE#326415).
- Refresh
  patches.drivers/net-hns3-Fix-desc-num-set-to-default-when-setting-ch.patch.
- commit ac68852
* Tue Dec 11 2018 oneukum@suse.com
- iwlwifi: fix LED command capability bit (bsc#1119086).
- commit b627932
* Tue Dec 11 2018 tbogendoerfer@suse.de
- net: hns3: Add configure for mac minimal frame size (bsc#1104353
  FATE#326415).
- Refresh
  patches.drivers/net-hns3-Standardize-the-handle-of-return-value.patch.
- commit d5215f0
* Tue Dec 11 2018 tbogendoerfer@suse.de
- net: hns3: remove back in struct hclge_hw (bsc#1104353
  FATE#326415).
- Refresh
  patches.drivers/net-hns3-simplify-hclge_cmd_csq_clean.patch.
- commit 5222ed3
* Tue Dec 11 2018 tbogendoerfer@suse.de
- net: hns: Convert timers to use timer_setup() (bsc#1104353
  FATE#326415).
- Refresh
  patches.drivers/net-hns3-Add-mailbox-interrupt-handling-to-PF-driver.patch.
- Refresh
  patches.drivers/net-hns3-Add-reset-service-task-for-handling-reset-r.patch.
- Refresh
  patches.drivers/net-hns3-Add-support-for-misc-interrupt.patch.
- Refresh
  patches.drivers/net-hns3-Fix-for-deadlock-problem-occurring-when-unr.patch.
- Refresh
  patches.drivers/net-hns3-Fix-for-fiber-link-up-problem.patch.
- Refresh
  patches.drivers/net-hns3-Modify-the-update-period-of-packet-statisti.patch.
- Refresh
  patches.drivers/net-hns3-add-manager-table-initialization-for-hardwa.patch.
- Refresh
  patches.drivers/net-hns3-never-send-command-queue-message-to-IMP-whe.patch.
- commit 5fe4089
* Tue Dec 11 2018 hare@suse.de
- xen-blkfront: move negotiate_mq to cover all cases of new VBDs
  (bsc#1104967,FATE#325924).
- virtio_blk: print capacity at probe time
  (bsc#1104967,FATE#325924).
- block: skd: fix incorrect linux/slab_def.h inclusion
  (bsc#1104967,FATE#325924).
- drbd: switch to sock_recvmsg() (bsc#1104967,FATE#325924).
- skd: use ktime_get_real_seconds() (bsc#1104967,FATE#325924).
- mtip32xx: Clean up unused variables (bsc#1104967,FATE#325924).
- block: cryptoloop - Fix build warning (bsc#1104967,FATE#325924).
- commit 0f1e450
* Tue Dec 11 2018 hare@suse.de
- nbd: don't set the device size until we're connected
  (bsc#1104967,FATE#325924).
- Refresh patches.drivers/nbd-update-size-when-connected.patch.
- commit 468181d
* Tue Dec 11 2018 oneukum@suse.com
- spi: uapi: spidev: add missing ioctl header (bsc#1085536).
- commit ed842e2
* Tue Dec 11 2018 tbogendoerfer@suse.de
- net: hns3: modify variable type in hns3_nic_reuse_page
  (bsc#1104353 FATE#326415).
- net: hns3: Add vlan filter setting by ethtool command -K
  (bsc#1104353 FATE#326415).
- net: hns3: Set tx ring' tc info when netdev is up (bsc#1104353
  FATE#326415).
- net: hns3: Remove tx ring BD len register in hns3_enet
  (bsc#1104353 FATE#326415).
- net: hns3: Add support for serdes loopback selftest (bsc#1104353
  FATE#326415).
- net: hns3: Mark expected switch fall-through (bsc#1104353
  FATE#326415).
- net: hns3: Refine the MSIX allocation for PF (bsc#1104353
  FATE#326415).
- net: hns3: Add SPDX tags to HNS3 PF driver (bsc#1104353
  FATE#326415).
- net: hns3: Remove unused struct member and definition
  (bsc#1104353 FATE#326415).
- net: hns3: Fix misleading parameter name (bsc#1104353
  FATE#326415).
- net: hns3: Modify inconsistent bit mask macros (bsc#1104353
  FATE#326415).
- net: hns3: Use decimal for bit offset macros (bsc#1104353
  FATE#326415).
- net: hns3: Remove extra space and brackets (bsc#1104353
  FATE#326415).
- net: hns3: Remove some redundant assignments (bsc#1104353
  FATE#326415).
- net: hns3: Correct reset event status register (bsc#1104353
  FATE#326415).
- net: hns3: Prevent to request reset frequently (bsc#1104353
  FATE#326415).
- net: hns3: Reset net device with rtnl_lock (bsc#1104353
  FATE#326415).
- net: hns3: Modify the order of initializing command queue
  register (bsc#1104353 FATE#326415).
- net: hns3: Remove the warning when clear reset cause
  (bsc#1104353 FATE#326415).
- net: hns3: Fix tc setup when netdev is first up (bsc#1104353
  FATE#326415).
- net: hns3: remove redundant variable 'protocol' (bsc#1104353
  FATE#326415).
- net: hns3: use dma_zalloc_coherent instead of
  kzalloc/dma_map_single (bsc#1104353 FATE#326415).
- net: hns3: remove some unused members of some structures
  (bsc#1104353 FATE#326415).
- net: hns3: remove a redundant hclge_cmd_csq_done (bsc#1104353
  FATE#326415).
- net: hns3: remove useless code in hclge_cmd_send (bsc#1104353
  FATE#326415).
- net: hns3: remove unused hclge_ring_to_dma_dir (bsc#1104353
  FATE#326415).
- net: hns3: use lower_32_bits and upper_32_bits (bsc#1104353
  FATE#326415).
- net: hns3: remove the Redundant put_vector in hns3_client_uninit
  (bsc#1104353 FATE#326415).
- net: hns3: print the ret value in error information (bsc#1104353
  FATE#326415).
- net: hns3: extraction an interface for state init|uninit
  (bsc#1104353 FATE#326415).
- net: hns3: remove unused head file in hnae3.c (bsc#1104353
  FATE#326415).
- net: hns3: add l4_type check for both ipv4 and ipv6 (bsc#1104353
  FATE#326415).
- net: hns3: add vector status check before free vector
  (bsc#1104353 FATE#326415).
- net: hns3: rename the interface for init_client_instance and
  uninit_client_instance (bsc#1104353 FATE#326415).
- net: hns3: remove hclge_get_vector_index from
  hclge_bind_ring_with_vector (bsc#1104353 FATE#326415).
- commit dca945f
* Tue Dec 11 2018 hare@suse.de
- skd: Use kmem_cache_free (bsc#1104967,FATE#325924).
- nbd: ignore non-nbd ioctl's (bsc#1104967,FATE#325924).
- rbd: silence bogus uninitialized use warning in
  rbd_acquire_lock() (bsc#1104967,FATE#325924).
- commit 234630d
* Tue Dec 11 2018 hare@suse.de
- drbd: remove BIOSET_NEED_RESCUER flag from drbd_{md_,}io_bio_set
  (bsc#1104967,FATE#325924).
- drbd: Fix allyesconfig build, fix recent commit
  (bsc#1104967,FATE#325924).
- drbd: switch from kmalloc() to kmalloc_array()
  (bsc#1104967,FATE#325924).
- drbd: abort drbd_start_resync if there is no connection
  (bsc#1104967,FATE#325924).
- drbd: move global variables to drbd namespace and make some
  static (bsc#1104967,FATE#325924).
- drbd: rename "usermode_helper" to "drbd_usermode_helper"
  (bsc#1104967,FATE#325924).
- drbd: fix race between handshake and admin disconnect/down
  (bsc#1104967,FATE#325924).
- drbd: fix potential deadlock when trying to detach during
  handshake (bsc#1104967,FATE#325924).
- drbd: A single dot should be put into a sequence
  (bsc#1104967,FATE#325924).
- drbd: fix rmmod cleanup, remove _all_ debugfs entries
  (bsc#1104967,FATE#325924).
- drbd: Use setup_timer() instead of init_timer() to simplify
  the code (bsc#1104967,FATE#325924).
- drbd: fix potential get_ldev/put_ldev refcount imbalance during
  attach (bsc#1104967,FATE#325924).
- drbd: new disk-option disable-write-same
  (bsc#1104967,FATE#325924).
- drbd: Fix resource role for newly created resources in events2
  (bsc#1104967,FATE#325924).
- drbd: mark symbols static where possible
  (bsc#1104967,FATE#325924).
- drbd: Send P_NEG_ACK upon write error in protocol != C
  (bsc#1104967,FATE#325924).
- drbd: add explicit plugging when submitting batches
  (bsc#1104967,FATE#325924).
- drbd: change list_for_each_safe to
  while(list_first_entry_or_null) (bsc#1104967,FATE#325924).
- drbd: introduce drbd_recv_header_maybe_unplug
  (bsc#1104967,FATE#325924).
- commit 1812191
* Tue Dec 11 2018 hare@suse.de
- skd: Let the block layer core choose .nr_requests
  (bsc#1104967,FATE#325924).
- skd: Remove blk_queue_bounce_limit() call
  (bsc#1104967,FATE#325924).
- nbd: make device_attribute const (bsc#1104967,FATE#325924).
- skd: Remove SKD_ID_INCR (bsc#1104967,FATE#325924).
- skd: Make it easier for static analyzers to analyze
  skd_free_disk() (bsc#1104967,FATE#325924).
- skd: Inline skd_end_request() (bsc#1104967,FATE#325924).
- skd: Rename skd_softirq_done() into skd_complete_rq()
  (bsc#1104967,FATE#325924).
- xen-blkback: stop blkback thread of every queue in
  xen_blkif_disconnect (bsc#1104967,FATE#325924).
- virtio_blk: fix incorrect message when disk is resized
  (bsc#1104967,FATE#325924).
- commit 3c9d982
* Tue Dec 11 2018 hare@suse.de
- blk-mq: Fix timeout and state order (bsc#1104967,FATE#325924).
- commit 3347521
* Tue Dec 11 2018 hare@suse.de
- libata: remove ata_scsi_timed_out (bsc#1104967,FATE#325924).
- xen-blkfront: Avoid that gcc 7 warns about fall-through when
  building with W=1 (bsc#1104967,FATE#325924).
- xen-blkback: Avoid that gcc 7 warns about fall-through when
  building with W=1 (bsc#1104967,FATE#325924).
- xen-blkback: Fix indentation (bsc#1104967,FATE#325924).
- virtio_blk: Use blk_rq_is_scsi() (bsc#1104967,FATE#325924).
- nbd: change the default nbd partitions
  (bsc#1104967,FATE#325924).
- nbd: allow device creation at a specific index
  (bsc#1104967,FATE#325924).
- xen/blkfront: always allocate grants first from per-queue
  persistent grants (bsc#1104967,FATE#325924).
- nbd: clear disconnected on reconnect (bsc#1104967,FATE#325924).
- nbd: take tx_lock before disconnecting
  (bsc#1104967,FATE#325924).
- nbd: allow multiple disconnects to be sent
  (bsc#1104967,FATE#325924).
- virtio_blk: Use sysfs_match_string() helper
  (bsc#1104967,FATE#325924).
- nbd: kill unused ret in recv_work (bsc#1104967,FATE#325924).
- commit 758fa88
* Tue Dec 11 2018 bp@suse.de
- kvm: x86: Report STIBP on GET_SUPPORTED_CPUID (bsc#1111331).
- commit 32eb036
* Tue Dec 11 2018 bp@suse.de
- x86/cpu: Sanitize FAM6_ATOM naming (bsc#1111331).
- Refresh
  patches.arch/intel_idle-add-support-for-Jacobsville.patch.
- Refresh
  patches.arch/powercap-intel_rapl-add-support-for-Jacobsville.patch.
- Refresh patches.arch/x86-cpu-Add-Atom-Tremont-Jacobsville.patch.
- commit 99038ef
* Tue Dec 11 2018 dchang@suse.com
- bnx2x: remove ndo_poll_controller (bsc#1104402 FATE#325899).
- bnx2x: Report PCIe link properties with pcie_print_link_status()
  (bsc#1104402 FATE#325899).
- bnx2x: Eliminate duplicate barriers on weakly-ordered archs
  (bsc#1104402 FATE#325899).
- bnx2x: Replace WARN_ONCE with netdev_WARN_ONCE (bsc#1104402
  FATE#325899).
- commit 4066f12
* Tue Dec 11 2018 bp@suse.de
- x86/speculation: Prevent deadlock on ssb_state::lock
  (bsc#1114279).
- blacklist.conf: blacklist "unimportant" commits
- commit 60a2462
* Tue Dec 11 2018 dbueso@suse.de
- blacklist.conf: Add WW mutexes selftest
- commit b4479d9
* Tue Dec 11 2018 dbueso@suse.de
- series.conf: Fix tree bisection
  As of 435924b4381 (housekeeping: move epoll and lib patches
  to sorted section) we are breaking bisection if the whole
  series.conf is not fully applied.
- commit abd22af
* Mon Dec 10 2018 tiwai@suse.de
- staging: rts5208: fix gcc-8 logic error warning (bsc#1051510).
- commit 370f20c
* Mon Dec 10 2018 tiwai@suse.de
- mac80211: ignore tx status for PS stations in
  ieee80211_tx_status_ext (bsc#1051510).
- mac80211_hwsim: fix module init error paths for netlink
  (bsc#1051510).
- commit 179ed22
* Mon Dec 10 2018 tiwai@suse.de
- unifdef: use memcpy instead of strncpy (bsc#1051510).
- commit 76e2791
* Mon Dec 10 2018 tiwai@suse.de
- team: no need to do team_notify_peers or team_mcast_rejoin
  when disabling port (bsc#1051510).
- commit 4f1d4b3
* Mon Dec 10 2018 tiwai@suse.de
- linux/bitmap.h: fix type of nbits in bitmap_shift_right()
  (bsc#1051510).
- commit 396aaca
* Mon Dec 10 2018 tiwai@suse.de
- tty: serial: 8250_mtk: always resume the device in probe
  (bsc#1051510).
- tty: do not set TTY_IO_ERROR flag if console port (bsc#1051510).
- commit c9a99ff
* Mon Dec 10 2018 tiwai@suse.de
- clk: mmp: Off by one in mmp_clk_add() (bsc#1051510).
- clk: mvebu: Off by one bugs in cp110_of_clk_get() (bsc#1051510).
- commit e7433a2
* Mon Dec 10 2018 tiwai@suse.de
- usb: core: quirks: add RESET_RESUME quirk for Cherry G230
  Stream series (bsc#1051510).
- USB: usb-storage: Add new IDs to ums-realtek (bsc#1051510).
- commit adebe09
* Mon Dec 10 2018 tiwai@suse.de
- Revert commit ef9209b642f "staging: rtl8723bs: Fix indenting
  errors and an off-by-one mistake in core/rtw_mlme_ext.c"
  (bsc#1051510).
- staging: rtl8712: Fix possible buffer overrun (bsc#1051510).
- staging: rtl8723bs: Add missing return for
  cfg80211_rtw_get_station (bsc#1051510).
- commit 46ab97b
* Mon Dec 10 2018 tiwai@suse.de
- net: bgmac: Fix endian access in bgmac_dma_tx_ring_free()
  (bsc#1051510).
- commit 2e678f9
* Mon Dec 10 2018 tiwai@suse.de
- integrity/security: fix digsig.c build error with header file
  (bsc#1051510).
- commit 1164ce0
* Mon Dec 10 2018 tiwai@suse.de
- test_hexdump: use memcpy instead of strncpy (bsc#1051510).
- commit b9eb9f7
* Mon Dec 10 2018 tiwai@suse.de
- lib/ubsan.c: don't mark __ubsan_handle_builtin_unreachable as
  noreturn (bsc#1051510).
- lib/raid6: Fix arm64 test build (bsc#1051510).
- commit 3efaede
* Mon Dec 10 2018 tiwai@suse.de
- ieee802154: fakelb: switch from BUG_ON() to WARN_ON() on problem
  (bsc#1051510).
- ieee802154: at86rf230: use __func__ macro for debug messages
  (bsc#1051510).
- ieee802154: at86rf230: switch from BUG_ON() to WARN_ON()
  on problem (bsc#1051510).
- ieee802154: 6lowpan: set IFLA_LINK (bsc#1051510).
- commit 150624b
* Mon Dec 10 2018 tiwai@suse.de
- Revert "PCI/ASPM: Do not initialize link state when
  aspm_disabled is set" (bsc#1051510).
- commit 54b5481
* Mon Dec 10 2018 tiwai@suse.de
- Input: xpad - quirk all PDP Xbox One gamepads (bsc#1051510).
- Input: synaptics - add PNP ID for ThinkPad P50 to SMBus
  (bsc#1051510).
- Input: elan_i2c - add ACPI ID for Lenovo IdeaPad 330-15ARR
  (bsc#1051510).
- Input: elan_i2c - add support for ELAN0621 touchpad
  (bsc#1051510).
- Input: hyper-v - fix wakeup from suspend-to-idle (bsc#1051510).
- Input: cros_ec_keyb - fix button/switch capability reports
  (bsc#1051510).
- Input: elan_i2c - add ELAN0620 to the ACPI table (bsc#1051510).
- Input: matrix_keypad - check for errors from of_get_named_gpio()
  (bsc#1051510).
- commit d326384
* Mon Dec 10 2018 tiwai@suse.de
- ALSA: trident: Suppress gcc string warning (bsc#1051510).
- commit 416d408
* Mon Dec 10 2018 tiwai@suse.de
- Revert wlcore patch to follow stable tree develpment
- blacklist.conf:
- Delete
  patches.drivers/wlcore-Add-missing-PM-call-for-wlcore_cmd_wait_for_e.patch.
- commit 3549f81
* Mon Dec 10 2018 nsaenzjulienne@suse.de
- ethernet: fman: fix wrong of_node_put() in probe function
  (bsc#1119017).
- commit 446ab4d
* Mon Dec 10 2018 hare@suse.de
- blk-mq: avoid starving tag allocation after allocating
  (bsc#1104967,FATE#325924).
- sbitmap: fix race in wait batch accounting
  (bsc#1104967,FATE#325924).
- commit 9f10944
* Mon Dec 10 2018 hare@suse.de
- blk-mq: remove wrong 'unlikely' check (bsc#1104967,FATE#325924).
- commit 5dd7f8e
* Mon Dec 10 2018 hare@suse.de
- nvmet-loop: use nr_phys_segments when map rq to sgl
  (bsc#1104967,FATE#325924).
- commit 0409d42
* Mon Dec 10 2018 hare@suse.de
- nvmet: add simple file backed ns support
  (bsc#1104967,FATE#325924).
- Refresh patches.drivers/nvmet-add-minimal-ANA-support.patch.
- Refresh
  patches.drivers/nvmet-implement-the-changed-namespaces-log.patch.
- Update
  patches.drivers/nvmet-track-and-limit-the-number-of-namespaces-per-s.patch
  (bsc#1054245).
- commit 4faf56c
* Mon Dec 10 2018 hare@suse.de
- nvmet: remove duplicate NULL initialization for req->ns
  (bsc#1104967,FATE#325924).
- nvmet: make a few error messages more generic
  (bsc#1104967,FATE#325924).
- commit ee2738b
* Mon Dec 10 2018 hare@suse.de
- nvme-rdma: stop admin queue before freeing it
  (bsc#1104967,FATE#325924).
- commit a39737e
* Mon Dec 10 2018 hare@suse.de
- nvme: Avoid flush dependency in delete controller flow
  (bsc#1104967,FATE#325924).
- srcu: Add cleanup_srcu_struct_quiesced()
  (bsc#1104967,FATE#325924).
- commit 3a82e72
* Mon Dec 10 2018 mbenes@suse.cz
- objtool: Fix segfault in .cold detection with
  - ffunction-sections (bsc#1058115).
- commit ea0ae7a
* Mon Dec 10 2018 hare@suse.de
- nvmet-rdma: depend on INFINIBAND_ADDR_TRANS
  (bsc#1104967,FATE#325924).
- nvme: depend on INFINIBAND_ADDR_TRANS (bsc#1104967,FATE#325924).
- commit 24478ad
* Mon Dec 10 2018 mbenes@suse.cz
- objtool: Fix double-free in .cold detection error path
  (bsc#1058115).
- commit d60fe8f
* Mon Dec 10 2018 jthumshirn@suse.de
- libnvdimm, pfn: Pad pfn namespaces relative to other regions
  (bsc#1118962).
- commit 0150ece
* Mon Dec 10 2018 mbenes@suse.cz
- objtool: Fix GCC 8 cold subfunction detection for aliased
  functions (bsc#1058115).
- commit e0da98b
* Mon Dec 10 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/net-ibmvnic-Fix-RTNL-deadlock-during-device-reset.patch.
- Refresh
  patches.drivers/scsi-lpfc-Correct-invalid-EQ-doorbell-write-on-if_ty.patch.
- Refresh
  patches.drivers/scsi-lpfc-Correct-irq-handling-via-locks-when-taking.patch.
- Refresh
  patches.drivers/scsi-lpfc-Correct-race-with-abort-on-completion-path.patch.
- Refresh
  patches.drivers/scsi-lpfc-Correct-soft-lockup-when-running-mds-diagn.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-GFT_ID-and-PRLI-logic-for-RSCN.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-errors-in-log-messages.patch.
- Refresh
  patches.drivers/scsi-lpfc-Raise-nvme-defaults-to-support-a-larger-io.patch.
- Refresh
  patches.drivers/scsi-lpfc-Remove-set-but-not-used-variable-sgl_size.patch.
- Refresh
  patches.drivers/scsi-lpfc-Synchronize-access-to-remoteport-via-rport.patch.
- Refresh
  patches.drivers/scsi-lpfc-add-support-to-retrieve-firmware-logs.patch.
- Refresh
  patches.drivers/scsi-lpfc-raise-sg-count-for-nvme-to-use-available-s.patch.
- Refresh
  patches.drivers/scsi-lpfc-reduce-locking-when-updating-statistics.patch.
- Refresh
  patches.drivers/scsi-lpfc-update-driver-version-to-12.0.0.7.patch.
- commit 43950be
* Mon Dec 10 2018 hare@suse.de
- nvmet: Fix nvmet_execute_write_zeroes sector count
  (bsc#1104967,FATE#325924).
- commit e3fedac
* Mon Dec 10 2018 hare@suse.de
- loop: use killable lock in ioctls (bsc#1104967,FATE#325924).
- commit 34fdf94
* Mon Dec 10 2018 hare@suse.de
- nvmet: refactor configfs transport type handling
  (bsc#1104967,FATE#325924).
- commit 7cff27d
* Mon Dec 10 2018 hare@suse.de
- nvmet: move device_uuid configfs attr definition to suitable
  place (bsc#1104967,FATE#325924).
- commit e7ae317
* Mon Dec 10 2018 hare@suse.de
- nvmet-rdma: Fix use after free in nvmet_rdma_cm_handler()
  (bsc#1104967,FATE#325924).
- nvmet-rdma: Remove unused queue state (bsc#1104967,FATE#325924).
- commit 3ce2b19
* Mon Dec 10 2018 hare@suse.de
- iscsi-target: use common inet_addr_is_any
  (bsc#1104967,FATE#325924).
- commit 8bbbccb
* Mon Dec 10 2018 hare@suse.de
- nvmet: don't return "any" ip address in discovery log page
  (bsc#1104967,FATE#325924).
- Refresh patches.drivers/nvme-target-fix-buffer-overflow.patch.
- Refresh
  patches.drivers/nvmet-constify-struct-nvmet_fabrics_ops.patch.
- commit 3623cd5
* Mon Dec 10 2018 hare@suse.de
- net/utils: Introduce inet_addr_is_any (bsc#1104967,FATE#325924).
- commit c86a961
* Mon Dec 10 2018 hare@suse.de
- target: Use sgl_alloc_order() and sgl_free()
  (bsc#1104967,FATE#325924).
- nvmet/rdma: Use sgl_alloc() and sgl_free()
  (bsc#1104967,FATE#325924).
- nvmet/fc: Use sgl_alloc() and sgl_free()
  (bsc#1104967,FATE#325924).
- lib/scatterlist: Introduce sgl_alloc() and sgl_free()
  (bsc#1104967,FATE#325924).
- commit fa74541
* Mon Dec 10 2018 bp@suse.de
- hwmon/k10temp: Add support for AMD family 17h, model 30h CPUs
  (fate#326884).
- x86/amd_nb: Add PCI device IDs for family 17h, model 30h
  (fate#326884).
- x86/amd_nb: Add support for newer PCI topologies (fate#326884).
- hwmon/k10temp, x86/amd_nb: Consolidate shared device IDs
  (fate#326884).
- commit c4897d3
* Mon Dec 10 2018 hare@suse.de
- nvmet: make config_item_type const (bsc#1104967,FATE#325924).
- Refresh
  patches.drivers/nvmet-constify-struct-nvmet_fabrics_ops.patch.
- commit 743a8e2
* Mon Dec 10 2018 hare@suse.de
- nvmet: use memcpy_and_pad for identify sn/fr
  (bsc#1104967,FATE#325924).
- Refresh patches.drivers/nvmet-add-minimal-ANA-support.patch.
- Refresh
  patches.drivers/nvmet-fix-space-padding-in-serial-number.patch.
- Refresh
  patches.drivers/nvmet-implement-the-changed-namespaces-log.patch.
- commit 2672af8
* Mon Dec 10 2018 bp@suse.de
- Sort patches
- Refresh
  patches.drivers/net-ibmvnic-Fix-RTNL-deadlock-during-device-reset.patch.
- Refresh
  patches.drivers/scsi-aacraid-remove-unused-variables-dev-and-cpu.patch.
- Refresh
  patches.drivers/scsi-lpfc-Correct-invalid-EQ-doorbell-write-on-if_ty.patch.
- Refresh
  patches.drivers/scsi-lpfc-Correct-irq-handling-via-locks-when-taking.patch.
- Refresh
  patches.drivers/scsi-lpfc-Correct-race-with-abort-on-completion-path.patch.
- Refresh
  patches.drivers/scsi-lpfc-Correct-soft-lockup-when-running-mds-diagn.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-GFT_ID-and-PRLI-logic-for-RSCN.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-errors-in-log-messages.patch.
- Refresh
  patches.drivers/scsi-lpfc-Raise-nvme-defaults-to-support-a-larger-io.patch.
- Refresh
  patches.drivers/scsi-lpfc-Remove-set-but-not-used-variable-sgl_size.patch.
- Refresh
  patches.drivers/scsi-lpfc-Synchronize-access-to-remoteport-via-rport.patch.
- Refresh
  patches.drivers/scsi-lpfc-add-support-to-retrieve-firmware-logs.patch.
- Refresh
  patches.drivers/scsi-lpfc-raise-sg-count-for-nvme-to-use-available-s.patch.
- Refresh
  patches.drivers/scsi-lpfc-reduce-locking-when-updating-statistics.patch.
- Refresh
  patches.drivers/scsi-lpfc-update-driver-version-to-12.0.0.7.patch.
- commit 8dea269
* Mon Dec 10 2018 ohering@suse.de
- Drivers: hv: vmbus: Offload the handling of channels to two
  workqueues (fate#323887).
- commit f4b062e
* Mon Dec 10 2018 ohering@suse.de
- scsi: storvsc: Fix a race in sub-channel creation that can
  cause panic (fate#323887).
- Drivers: hv: vmbus: check the creation_status in
  vmbus_establish_gpadl() (fate#323887).
- commit b9dde96
* Mon Dec 10 2018 mgorman@suse.de
- mm/vmstat.c: fix NUMA statistics updates (git fixes).
- commit 09a6612
* Mon Dec 10 2018 ptesarik@suse.cz
- s390/zcrypt: reinit ap queue state machine during device probe
  (git-fixes).
- commit 47f0f3c
* Mon Dec 10 2018 ptesarik@suse.cz
- tcp: Remove "linux/unaligned/access_ok.h" include (git-fixes).
- Refresh
  patches.drivers/net-Record-receive-queue-number-for-a-connection.patch.
- commit fe6c3ca
* Sun Dec  9 2018 mwilck@suse.com
- scsi: lpfc: fix block guard enablement on SLI3 adapters
  (bsc#1079935).
- commit 236bf95
* Sun Dec  9 2018 bp@suse.de
- x86/MCE/AMD, EDAC/mce_amd: Add new error descriptions for some
  SMCA bank types (bsc#1128415).
- commit b1869fe
* Sun Dec  9 2018 bp@suse.de
- x86/MCE/AMD, EDAC/mce_amd: Add new McaTypes for CS, PSP,
  and SMU units (bsc#1128415).
- commit 805b84e
* Sun Dec  9 2018 bp@suse.de
- x86/MCE/AMD, EDAC/mce_amd: Add new MP5, NBIO, and PCIE SMCA
  bank types (bsc#1128415).
- commit 14a6d42
* Sun Dec  9 2018 bp@suse.de
- x86/mce: Handle varying MCA bank counts (bsc#1128415).
- commit e5eb953
* Sat Dec  8 2018 bp@suse.de
- crypto: ccp - Add DOWNLOAD_FIRMWARE SEV command (fate#325981).
- crypto: ccp - Add GET_ID SEV command (fate#325981).
- crypto: ccp - Add psp enabled message when initialization
  succeeds (fate#325981).
- crypto: ccp - Add support for new CCP/PSP device ID
  (fate#325981).
- crypto: ccp - Allow SEV firmware to be chosen based on Family
  and Model (fate#325981).
- crypto: ccp - Fix static checker warning (fate#325981).
- crypto: ccp - Remove unused #defines (fate#325981).
- crypto: ccp - Support register differences between PSP devices
  (fate#325981).
- firmware: add firmware_request_nowarn() - load firmware without
  warnings (fate#325981).
- Update
  patches.drivers/crypto-ccp-add-timeout-support-in-the-sev-command.patch
  (fate#325981).
- commit 3812d91
* Sat Dec  8 2018 msuchanek@suse.de
- Include modules.fips in kernel-binary as well as kernel-binary-base
  (FATE#323247).
- commit e42315d
* Fri Dec  7 2018 bp@suse.de
- Refresh
  patches.suse/msft-hv-1699-KVM-x86-hyperv-do-rep-check-for-each-hypercall-separ.patch.
- commit 9a27e02
* Fri Dec  7 2018 mbrugger@suse.com
- mmc: dw_mmc-bluefield: Add driver extension (bsc#1118752).
- Update config files.
- supported.conf: whitelist bluefield eMMC driver
- commit 57adc01
* Fri Dec  7 2018 ptesarik@suse.cz
- config.conf: add ARMv7.
- Update config files using Leap 15.0 as reference.
- commit f15fa4c
* Fri Dec  7 2018 ptesarik@suse.cz
- README.BRANCH: Change product to openSUSE 15.1
- rpm/config.sh: Build in openSUSE:Leap:15.1
- commit 7bc9e50
* Fri Dec  7 2018 jack@suse.cz
- userfaultfd: remove uffd flags from vma->vm_flags if
  UFFD_EVENT_FORK fails (bsc#1118809).
- commit 9f69851
* Fri Dec  7 2018 tbogendoerfer@suse.de
- drivers: net: enic: use setup_timer() helper (bsc#1113431).
- Refresh
  patches.drivers/enic-initialize-enic-rfs_h.lock-in-enic_probe.patch.
- commit d6dc099
* Fri Dec  7 2018 tbogendoerfer@suse.de
- net: cisco: enic: Replace GFP_ATOMIC with GFP_KERNEL
  (bsc#1113431).
- enic: fix UDP rss bits (bsc#1113431).
- enic: drop IP proto check for vxlan tunnel delete (bsc#1113431).
- enic: fix boolreturn.cocci warnings (bsc#1113431).
- enic: set IG desc cache flag in open (bsc#1113431).
- enic: set UDP rss flag (bsc#1113431).
- enic: Check if hw supports multi wq with vxlan offload
  (bsc#1113431).
- enic: Add vxlan offload support for IPv6 pkts (bsc#1113431).
- enic: Check inner ip proto for pseudo header csum (bsc#1113431).
- enic: add sw timestamp support (bsc#1113431).
- drivers: net: enic: use setup_timer() helper (bsc#1113431).
- commit 20c1226
* Fri Dec  7 2018 jthumshirn@suse.de
- scsi: qedf: fully convert to the generic DMA API (FATE#325893,
  bsc#1104395).
- commit 5bf3627
* Fri Dec  7 2018 mbenes@suse.cz
- objtool: Detect RIP-relative switch table references, part 2
  (bsc#1058115).
- commit 7b81f06
* Fri Dec  7 2018 jack@suse.cz
- libnvdimm, pmem: Fix badblocks population for 'raw' namespaces
  (bsc#1118788).
- commit c127b11
* Fri Dec  7 2018 mbenes@suse.cz
- objtool: Detect RIP-relative switch table references
  (bsc#1058115).
- commit 5107b1b
* Fri Dec  7 2018 jack@suse.cz
- filesystem-dax: Fix dax_layout_busy_page() livelock
  (bsc#1118787).
- commit 94268e8
* Fri Dec  7 2018 vbabka@suse.cz
- userfaultfd: shmem: UFFDIO_COPY: set the page dirty if VM_WRITE
  is not set (CVE-2018-18397, bsc#1117656).
- userfaultfd: shmem: add i_size checks (CVE-2018-18397,
  bsc#1117656).
- userfaultfd: shmem/hugetlbfs: only allow to register VM_MAYWRITE
  vmas (CVE-2018-18397, bsc#1117656).
- userfaultfd: shmem: allocate anonymous memory for MAP_PRIVATE
  shmem (CVE-2018-18397, bsc#1117656).
- userfaultfd: use ENOENT instead of EFAULT if the atomic copy
  user fails (CVE-2018-18397, bsc#1117656).
- userfaultfd: mcopy_atomic: introduce mfill_atomic_pte helper
  (CVE-2018-18397, bsc#1117656).
- commit a2c856b
* Fri Dec  7 2018 mbenes@suse.cz
- objtool: Support GCC 8 switch tables (bsc#1058115).
- commit e8d97c7
* Fri Dec  7 2018 mbenes@suse.cz
- objtool: Support GCC 8's cold subfunctions (bsc#1058115).
- commit 7456771
* Fri Dec  7 2018 jack@suse.cz
- blacklist.conf: Blacklist f2fs
- commit 5e683ec
* Fri Dec  7 2018 ptesarik@suse.cz
- Update config files: Remove s390x 31-bit compatibility (FATE#325652).
- commit 3949c4a
* Fri Dec  7 2018 ptesarik@suse.cz
- Fix references from bsc#1113508 (wrong) to bsc#1113480 (correct).
- commit da00048
* Fri Dec  7 2018 mbenes@suse.cz
- objtool: Fix "noreturn" detection for recursive sibling calls
  (bsc#1058115).
- commit 984dd5f
* Fri Dec  7 2018 tbogendoerfer@suse.de
- igb: fix uninitialized variables (bsc#1117495).
- igb: shorten maximum PHC timecounter update interval
  (bsc#1117495).
- igb: remove ndo_poll_controller (bsc#1117495).
- igb: Replace mdelay() with msleep() in
  igb_integrated_phy_loopback() (bsc#1117495).
- igb: Replace GFP_ATOMIC with GFP_KERNEL in igb_sw_init()
  (bsc#1117495).
- igb: Remove unnecessary include of <linux/pci-aspm.h>
  (bsc#1117495).
- igbvf: netdev: Mark expected switch fall-through (bsc#1117495).
- igb: e1000_phy: Mark expected switch fall-through (bsc#1117495).
- igb: e1000_82575: Mark expected switch fall-through
  (bsc#1117495).
- igb_main: Mark expected switch fall-throughs (bsc#1117495).
- igb: Use dma_wmb() instead of wmb() before doorbell writes
  (bsc#1117495).
- igb: Remove superfluous reset to PHY and page 0 selection
  (bsc#1117495).
- igb: Only call skb_tx_timestamp after descriptors are ready
  (bsc#1117495).
- igb: Refactor igb_offload_cbs() (bsc#1117495).
- igb: Only change Tx arbitration when CBS is on (bsc#1117495).
- igb: Refactor igb_configure_cbs() (bsc#1117495).
- commit 97288a2
* Fri Dec  7 2018 ptesarik@suse.cz
- net/smc: retain old name for diag_mode field (git-fixes).
- net/smc: use __aligned_u64 for 64-bit smc_diag fields
  (git-fixes).
- commit b354c2f
* Fri Dec  7 2018 mbenes@suse.cz
- objtool: Fix another switch table detection issue (bsc#1058115).
- commit 6353778
* Fri Dec  7 2018 mbrugger@suse.com
- mmc: dw_mmc-k3: add sd support for hi3660 (bsc#1118752).
- commit 00455a1
* Fri Dec  7 2018 jack@suse.cz
- ext2: fix potential use after free (bsc#1118775).
- commit 3d51c42
* Fri Dec  7 2018 jack@suse.cz
- udf: Allow mounting volumes with incorrect identification
  strings (bsc#1118774).
- commit 5de280f
* Fri Dec  7 2018 jack@suse.cz
- exportfs: fix 'passing zero to ERR_PTR()' warning (bsc#1118773).
- commit 183b4e1
* Fri Dec  7 2018 mbenes@suse.cz
- x86/decoder: Fix and update the opcodes map (bsc#1058115).
- commit 8874a84
* Fri Dec  7 2018 jack@suse.cz
- blacklist.conf: Blacklist c4b7d1ba7d26
- commit 6ea903d
* Fri Dec  7 2018 jack@suse.cz
- gfs2: Put bitmap buffers in put_super (bsc#1118772).
- commit 51cd91c
* Fri Dec  7 2018 jack@suse.cz
- blacklist.conf: Blacklist 9f2df09a33aa
- commit d63c0a3
* Fri Dec  7 2018 jack@suse.cz
- v9fs_dir_readdir: fix double-free on p9stat_read error
  (bsc#1118771).
- commit 36a4d0d
* Fri Dec  7 2018 jack@suse.cz
- gfs2: Don't leave s_fs_info pointing to freed memory in init_sbd
  (bsc#1118769).
- commit b2b431d
* Fri Dec  7 2018 jack@suse.cz
- gfs2_meta: ->mount() can get NULL dev_name (bsc#1118768).
- commit 6afc912
* Fri Dec  7 2018 jack@suse.cz
- jffs2: free jffs2_sb_info through jffs2_kill_sb() (bsc#1118767).
- commit fbcf7c1
* Fri Dec  7 2018 jack@suse.cz
- blacklist.conf: Blacklist f0a7d1883d9f
- commit 1ed7bf5
* Fri Dec  7 2018 jack@suse.cz
- namei: allow restricted O_CREAT of FIFOs and regular files
  (bsc#1118766).
- commit 169572d
* Fri Dec  7 2018 jack@suse.cz
- fs: fix lost error code in dio_complete (bsc#1118762).
- commit 6aed8a5
* Fri Dec  7 2018 jack@suse.cz
- userfaultfd: clear the vma->vm_userfaultfd_ctx if
  UFFD_EVENT_FORK fails (bsc#1118761).
- commit d968347
* Fri Dec  7 2018 jack@suse.cz
- mm: cleancache: fix corruption on missed inode invalidation
  (bsc#1117186 CVE-2018-16862).
- commit f2fe539
* Fri Dec  7 2018 jack@suse.cz
- ext4: avoid possible double brelse() in add_new_gdb() on error
  path (bsc#1118760).
- commit d45f182
* Fri Dec  7 2018 ptesarik@suse.cz
- Update config files: Fix vanilla build.
- commit 9da394d
* Fri Dec  7 2018 ptesarik@suse.cz
- mlx4: trigger IB events needed by SMC (FATE#325698, LTC#167867,
  bsc#1113481).
- net/smc: unregister rkeys of unused buffer (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: add infrastructure to send delete rkey messages
  (FATE#325698, LTC#167867, bsc#1113481).
- net/smc: avoid a delay by waiting for nothing (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: cleanup listen worker mutex unlocking (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: short wait for late smc_clc_wait_msg (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: no link delete for a never active link (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: allow fallback after clc timeouts (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: remove sock_error detour in clc-functions (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: make smc_lgr_free() static (FATE#325698, LTC#167867,
  bsc#1113481).
- net/smc: cleanup tcp_listen_worker initialization (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: use after free fix in smc_wr_tx_put_slot()
  (FATE#325698, LTC#167867, bsc#1113481).
- net/smc: atomic SMCD cursor handling (FATE#325698, LTC#167867,
  bsc#1113481).
- net/smc: add SMC-D shutdown signal (FATE#325698, LTC#167867,
  bsc#1113481).
- net/smc: use queue pair number when matching link group
  (FATE#325698, LTC#167867, bsc#1113481).
- net/smc: abort CLC connection in smc_release (FATE#325698,
  LTC#167867, bsc#1113481).
- s390/ism: clear dmbe_mask bit before SMC IRQ handling
  (FATE#325698, LTC#167867, bsc#1113481).
- net/smc: fix smc_buf_unuse to use the lgr pointer (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: fix sizeof to int comparison (FATE#325698, LTC#167867,
  bsc#1113481).
- net/smc: no urgent data check for listen sockets (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: enable fallback for connection abort in state INIT
  (FATE#325698, LTC#167867, bsc#1113481).
- net/smc: remove duplicate mutex_unlock (FATE#325698, LTC#167867,
  bsc#1113481).
- net/smc: fix non-blocking connect problem (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: send response to test link signal (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: improve delete link processing (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: provide fallback reason code (FATE#325698, LTC#167867,
  bsc#1113481).
- commit 830c92a
* Fri Dec  7 2018 ptesarik@suse.cz
- net/smc: use correct vlan gid of RoCE device (FATE#325698,
  LTC#167867, bsc#1113481).
- Refresh
  patches.drivers/net-smc-Replace-ib_query_gid-with-rdma_get_gid_attr.patch.
- Refresh
  patches.drivers/revert-net-smc-replace-ib_query_gid-with-rdma_get_gid_attr.patch.
- commit 0df8fb4
* Fri Dec  7 2018 ptesarik@suse.cz
- Revert "net/smc: Replace ib_query_gid with rdma_get_gid_attr"
  (FATE#325698, LTC#167867, bsc#1113481).
- commit 1a09d69
* Fri Dec  7 2018 oneukum@suse.com
- supported.conf: Type ALternate Modes and the prerequisite role switching
  (FATE#326303)
- commit 3c5970b
* Fri Dec  7 2018 ptesarik@suse.cz
- net/smc: fewer parameters for smc_llc_send_confirm_link()
  (FATE#325698, LTC#167867, bsc#1113481).
- net/smc: remove local variable page in smc_rx_splice()
  (FATE#325698, LTC#167867, bsc#1113481).
- net/smc: use DECLARE_BITMAP for rtokens_used_mask (FATE#325698,
  LTC#167867, bsc#1113481).
- commit 2c4669c
* Fri Dec  7 2018 ptesarik@suse.cz
- net/smc: add function to get link group from link (FATE#325698,
  LTC#167867, bsc#1113481).
- Refresh
  patches.drivers/net-smc-Simplify-ib_post_-send-recv-srq_recv-calls.patch.
- commit af1d05a
* Fri Dec  7 2018 ptesarik@suse.cz
- net/smc: eliminate cursor read and write calls (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: provide smc mode in smc_diag.c (FATE#325698,
  LTC#167867, bsc#1113481).
- s390/ism: add device driver for internal shared memory
  (FATE#325698, LTC#167867, bsc#1113481).
- Update config files.
- supported.conf: Mark ism as supported.
- net/smc: add SMC-D diag support (FATE#325698, LTC#167867,
  bsc#1113481).
- net/smc: add SMC-D support in af_smc (FATE#325698, LTC#167867,
  bsc#1113481).
- net/smc: add SMC-D support in data transfer (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: add SMC-D support in CLC messages (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: add pnetid support for SMC-D and ISM (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: add base infrastructure for SMC-D and ISM (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: optimize consumer cursor updates (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: add pnetid support (FATE#325698, LTC#167867,
  bsc#1113481).
- net/smc: determine port attributes independent from pnet table
  (FATE#325698, LTC#167867, bsc#1113481).
- net/smc: move sock lock in smc_ioctl() (FATE#325698, LTC#167867,
  bsc#1113481).
- net/smc: allow sysctl rmem and wmem defaults for servers
  (FATE#325698, LTC#167867, bsc#1113481).
- net/smc: no shutdown in state SMC_LISTEN (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: no cursor update send in state SMC_INIT (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: reset recv timeout after clc handshake (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: add error handling for get_user() (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: take sock lock in smc_ioctl() (FATE#325698, LTC#167867,
  bsc#1113481).
- net/smc: reduce sock_put() for fallback sockets (FATE#325698,
  LTC#167867, bsc#1113481).
- net/smc: rebuild nonblocking connect (FATE#325698, LTC#167867,
  bsc#1113481).
- net/smc: fix error return code in smc_setsockopt() (FATE#325698,
  LTC#167867, bsc#1113481).
- s390/net: add pnetid support (FATE#325698, LTC#167867,
  bsc#1113481).
- Update config files.
- supported.conf: Mark pnet as supported.
- s390/cio: add test for ccwgroup device (FATE#325698, LTC#167867,
  bsc#1113481).
- s390/cio: add helper to query utility strings per given ccw
  device (FATE#325698, LTC#167867, bsc#1113481).
- net/smc: check for missing nlattrs in SMC_PNETID messages
  (FATE#325698, LTC#167867, bsc#1113481).
- s390/cio: add util_string sysfs attribute (FATE#325698,
  LTC#167867, bsc#1113481).
- s390/chsc: query utility strings via fmt3 channel path
  descriptor (FATE#325698, LTC#167867, bsc#1113481).
- s390/cio: rename struct channel_path_desc (FATE#325698,
  LTC#167867, bsc#1113481).
- commit 6fdc801
* Fri Dec  7 2018 tiwai@suse.de
- ALSA: hda/realtek: Fix mic issue on Acer AIO Veriton
  Z4860G/Z6860G (bsc#1051510).
- commit 36b2bc7
* Fri Dec  7 2018 tiwai@suse.de
- ALSA: hda/realtek: Fix mic issue on Acer AIO Veriton Z4660G
  (bsc#1051510).
- commit 9209bc5
* Fri Dec  7 2018 tiwai@suse.de
- ALSA: hda/realtek - Add support for Acer Aspire C24-860 headset
  mic (bsc#1051510).
- commit 9222f53
* Fri Dec  7 2018 tiwai@suse.de
- ALSA: hda/realtek: ALC286 mic and headset-mode fixups for Acer
  Aspire U27-880 (bsc#1051510).
- commit 2af8124
* Fri Dec  7 2018 tiwai@suse.de
- ALSA: hda/realtek - Fix speaker output regression on Thinkpad
  T570 (bsc#1051510).
- commit 57bcdfc
* Fri Dec  7 2018 tiwai@suse.de
- ALSA: pcm: Fix interval evaluation with openmin/max
  (bsc#1051510).
- commit af04472
* Fri Dec  7 2018 tiwai@suse.de
- ALSA: hda: Add support for AMD Stoney Ridge (bsc#1051510).
- commit 10368dc
* Fri Dec  7 2018 tiwai@suse.de
- ALSA: usb-audio: Add SMSL D1 to quirks for native DSD support
  (bsc#1051510).
- commit b3172a5
* Fri Dec  7 2018 tiwai@suse.de
- ALSA: pcm: Fix starvation on down_write_nonblock()
  (bsc#1051510).
- commit 2464577
* Fri Dec  7 2018 tiwai@suse.de
- ALSA: usb-audio: Add support for Encore mDSD USB DAC
  (bsc#1051510).
- commit f9b9013
* Fri Dec  7 2018 tiwai@suse.de
- ALSA: pcm: Call snd_pcm_unlink() conditionally at closing
  (bsc#1051510).
- commit 1bcdb7f
* Fri Dec  7 2018 tiwai@suse.de
- Move USB-audio UAF fix patch to sorted section
- commit 223ad04
* Fri Dec  7 2018 oneukum@suse.com
- crypto: qat/adf_aer - Replace GFP_ATOMIC with GFP_KERNEL in
  adf_dev_aer_schedule_reset() (FATE#326323).
- commit fafa309
* Fri Dec  7 2018 oneukum@suse.com
- crypto: qat - Add MODULE_FIRMWARE for all qat drivers
  (FATE#326323).
- commit 5f3b3fc
* Fri Dec  7 2018 oneukum@suse.com
- crypto: qat - don't leak pointers to authenc keys (FATE#326323).
- commit e811e5a
* Fri Dec  7 2018 oneukum@suse.com
- crypto: qat - Make several functions static (FATE#326323).
- commit 779fd19
* Fri Dec  7 2018 oneukum@suse.com
- crypto: qat - reduce stack size with KASAN (FATE#326323).
- commit 9b75f1f
* Fri Dec  7 2018 oneukum@suse.com
- crypto: dh - Remove pointless checks for NULL 'p' and 'g'
  (FATE#326323).
- commit 407e9b3
* Fri Dec  7 2018 oneukum@suse.com
- crypto: qat - Clean up error handling in qat_dh_set_secret()
  (FATE#326323).
- commit 492c5af
* Fri Dec  7 2018 oneukum@suse.com
- crypto: qat - mark expected switch fall-throughs in qat_uclo
  (FATE#326323).
- commit 9d5d35c
* Fri Dec  7 2018 hare@suse.de
- blacklist.conf: temporarily disable patches during backporting
- commit 6412804
* Fri Dec  7 2018 oneukum@suse.com
- crypto: qat - pr_err() strings should end with newlines
  (FATE#326323).
- commit ab53508
* Fri Dec  7 2018 hare@suse.de
- lightnvm: pblk: fix write amplificiation calculation
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: fix race condition on metadata I/O
  (bsc#1104967,FATE#325924).
- commit 919dea6
* Fri Dec  7 2018 oneukum@suse.com
- crypto: qat - fix spelling mistake: "runing" -> "running"
  (FATE#326323).
- commit c052154
* Fri Dec  7 2018 oneukum@suse.com
- crypto: kpp - assume key is already set in maxsize
  (FATE#326323).
- commit 9c26454
* Fri Dec  7 2018 hare@suse.de
- x86/swiotlb: Enable swiotlb for > 4GiG RAM on 32-bit kernels
  (bsc#1104967,FATE#325924).
- scsi: libsas: dynamically allocate and free ata host
  (bsc#1104967,FATE#325924).
- scsi: sg: update comment for blk_get_request()
  (bsc#1104967,FATE#325924).
- Revert "block: Add warning for bi_next not NULL in
  (bsc#1104967,FATE#325924).
- commit cab0dba
* Fri Dec  7 2018 hare@suse.de
- lightnvm: pblk: assume that chunks are closed on 1.2 devices
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: enable line minor version detection
  (bsc#1104967,FATE#325924).
- commit 3f86626
* Fri Dec  7 2018 hare@suse.de
- lightnvm: pblk: fix resource leak of invalid_bitmap
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: make symbol write_buffer_size static
  (bsc#1104967,FATE#325924).
- commit 8dcc15a
* Fri Dec  7 2018 oneukum@suse.com
- crypto: ecdh - comply with crypto_kpp_maxsize() (FATE#326323).
- commit 1a55eb5
* Fri Dec  7 2018 oneukum@suse.com
- crypto: pkcs1pad - comply with crypto_akcipher_maxsize()
  (FATE#326323).
- crypto: dh - comply with crypto_kpp_maxsize() (FATE#326323).
- commit 379b033
* Fri Dec  7 2018 oneukum@suse.com
- crypto: qat - avoid an uninitialized variable warning
  (FATE#326323).
- commit bbb4e35
* Fri Dec  7 2018 oneukum@suse.com
- crypto: caampkc - comply with crypto_akcipher_maxsize()
  (FATE#326323).
- commit e38b6f6
* Fri Dec  7 2018 oneukum@suse.com
- crypto: rsa - comply with crypto_akcipher_maxsize()
  (FATE#326323).
- commit 7e8a10e
* Fri Dec  7 2018 oneukum@suse.com
- crypto: qat - comply with crypto_akcipher_maxsize()
  (FATE#326323).
- crypto: akcipher - assume key is already set in maxsize
  (FATE#326323).
- commit e538994
* Fri Dec  7 2018 oneukum@suse.com
- crypto: qat - comply with crypto_kpp_maxsize() (FATE#326323).
- commit 82d2ca1
* Fri Dec  7 2018 oneukum@suse.com
- crypto: qat - Use IPAD/OPAD constant.
- commit 038f3ba
* Fri Dec  7 2018 oneukum@suse.com
- crypto: qat - use pcie_flr instead of duplicating it
  (FATE#326323).
- commit 515f759
* Fri Dec  7 2018 oneukum@suse.com
- usb: typec: tcpm: Fix APDO PPS order checking to be based on
  voltage (FATE#326325).
- commit cb0b68f
* Fri Dec  7 2018 oneukum@suse.com
- usb: typec: mux: Take care of driver module reference counting
  (FATE#326325).
- commit f20f219
* Fri Dec  7 2018 oneukum@suse.com
- usb/typec: fix kernel-doc notation warning for
  typec_match_altmode (FATE#326325).
- commit 0fe4d0f
* Fri Dec  7 2018 oneukum@suse.com
- usb: typec: fix kernel-doc parameter warning (FATE#326325).
- commit dc1f5b8
* Fri Dec  7 2018 oneukum@suse.com
- usb: typec: tcpm: Fix sink PDO starting index for PPS APDO
  selection (FATE#326325).
- commit 7594e20
* Fri Dec  7 2018 oneukum@suse.com
- usb: typec: avoid format-overflow warning (FATE#326325).
- commit d2b69eb
* Fri Dec  7 2018 oneukum@suse.com
- usb: typec: unlock dp->lock on error exit path, and also zero
  ret if successful (FATE#326325).
- usb: typec: fix dereference before null check on adev
  (FATE#326325).
- commit 6df624a
* Fri Dec  7 2018 oneukum@suse.com
- usb: typec: tcpm: Support for Alternate Modes (FATE#326325).
- commit d4d169f
* Fri Dec  7 2018 oneukum@suse.com
- usb: typec: pi3usb30532: Start using generic state values
  (FATE#326325).
- commit 81d6045
* Fri Dec  7 2018 oneukum@suse.com
- usb: typec: Add driver for DisplayPort alternate mode
  (FATE#326325).
  Update config files. Altmodes support (FATE#326325)
- commit 50b169f
* Fri Dec  7 2018 oneukum@suse.com
- usb: typec: Bus type for alternate modes (FATE#326325).
- usb: typec: Register a device for every mode (FATE#326325).
- commit 92876f6
* Fri Dec  7 2018 oneukum@suse.com
- usb: typec: mux: Get the mux identifier from function parameter
  (FATE#326325).
- commit b1ac1b0
* Fri Dec  7 2018 oneukum@suse.com
- typec: tcpm: Correctly report power_supply current and voltage
  for non pd supply (FATE#326325).
- commit 2f8a4f6
* Fri Dec  7 2018 oneukum@suse.com
- usb: typec: function for checking cable plug orientation
  (FATE#326325).
- commit 9191418
* Fri Dec  7 2018 tiwai@suse.de
- Fix compile warning about unused variable
  Refresh
  patches.drivers/0001-PCI-portdrv-Rename-and-reverse-sense-of-pcie_ports_a.patch
  patches.drivers/0001-PCI-portdrv-Simplify-PCIe-feature-permission-checkin.patch
- commit 4456815
* Fri Dec  7 2018 tiwai@suse.de
- PCI/DPC: Remove indirection waiting for inactive link
  (FATE#326277).
- commit 100dc9d
* Fri Dec  7 2018 tiwai@suse.de
- PCI/DPC: Use threaded IRQ for bottom half handling
  (FATE#326277).
- commit 1d47c83
* Fri Dec  7 2018 tiwai@suse.de
- PCI/DPC: Print AER status in DPC event handling (FATE#326277).
- commit 965fdbe
* Fri Dec  7 2018 tiwai@suse.de
- PCI/AER: Expose internal API for obtaining AER information
  (FATE#326277).
- Delete
  patches.drivers/PCI-AER-Provide-aer_get_device_error_info-to-PCI-cor.patch.
- commit 6e4aa23
* Fri Dec  7 2018 tiwai@suse.de
- PCI/DPC: Remove rp_pio_status from dpc struct (FATE#326277).
- commit 4bff797
* Fri Dec  7 2018 tiwai@suse.de
- PCI/DPC: Defer event handling to work queue (FATE#326277).
- commit 7513e5c
* Fri Dec  7 2018 tiwai@suse.de
- PCI/DPC: Leave interrupts enabled while handling event
  (FATE#326277).
- commit effa082
* Fri Dec  7 2018 oneukum@suse.com
- typec: tcpm: Add PD Rev 3.0 definitions to PD header
  (FATE#326325).
- Refresh
  patches.drivers/0001-typec-tcpm-Add-core-support-for-sink-side-PPS.patch.
- commit cc74ed1
* Fri Dec  7 2018 tiwai@suse.de
- PCI/AER: Move pcie_aer_get_firmware_first() to portdrv.h
  (FATE#326277).
- commit c010628
* Fri Dec  7 2018 tiwai@suse.de
- PCI/DPC: Use the generic pcie_do_fatal_recovery() path
  (FATE#326277).
- commit 9ed7165
* Fri Dec  7 2018 tiwai@suse.de
- PCI/portdrv: Add generic pcie_port_find_device() (FATE#326277).
- commit a0f7195
* Fri Dec  7 2018 tiwai@suse.de
- PCI/AER: Pass service type to pcie_do_fatal_recovery()
  (FATE#326277).
- commit c9bf127
* Fri Dec  7 2018 tiwai@suse.de
- PCI/portdrv: Add generic pcie_port_find_service() (FATE#326277).
- commit ad5d9a7
* Fri Dec  7 2018 oneukum@suse.com
- typec: tcpm: Add SDB header for Status message handling
  (FATE#326325).
- commit 5f4f601
* Thu Dec  6 2018 tiwai@suse.de
- PCI/AER: Factor out error reporting to drivers/pci/pcie/err.c
  (FATE#326277).
- Refresh
  patches.drivers/PCI-AER-Handle-ERR_FATAL-with-removal-and-re-enumera.patch.
- Refresh
  patches.drivers/PCI-AER-Provide-aer_get_device_error_info-to-PCI-cor.patch.
- Refresh
  patches.drivers/PCI-AER-Work-around-use-after-free-in-pcie_do_fatal_.patch.
- commit 0a7c4ca
* Thu Dec  6 2018 tiwai@suse.de
- PCI/AER: Rename error recovery interfaces to generic PCI naming
  (FATE#326277).
- commit 5579e57
* Thu Dec  6 2018 oneukum@suse.com
- typec: tcpm: Add ADO header for Alert message handling
  (FATE#326325).
- commit 5b27b3d
* Thu Dec  6 2018 tiwai@suse.de
- PCI/DPC: Disable ERR_NONFATAL handling by DPC (FATE#326277).
- commit c2d33df
* Thu Dec  6 2018 oneukum@suse.com
- usb: common: Small class for USB role switches (FATE#326325).
- commit b568fe7
* Thu Dec  6 2018 tiwai@suse.de
- PCI/DPC: Clear interrupt status in interrupt handler top half
  (FATE#326277).
- commit 3935ab8
* Thu Dec  6 2018 tiwai@suse.de
- PCI/DPC: Add and use DPC Status register field definitions
  (FATE#325195).
- Refresh
  patches.drivers/0001-PCI-DPC-Rename-from-pcie-dpc.c-to-dpc.c.patch.
- commit 5e7121c
* Thu Dec  6 2018 tiwai@suse.de
- PCI/DPC: Squash dpc_rp_pio_get_info() into
  dpc_process_rp_pio_error() (FATE#325195).
- Refresh
  patches.drivers/0001-PCI-DPC-Rename-from-pcie-dpc.c-to-dpc.c.patch.
- commit 833c8e8
* Thu Dec  6 2018 tiwai@suse.de
- PCI/DPC: Remove unnecessary RP PIO register structs
  (FATE#325195).
- Refresh
  patches.drivers/0001-PCI-DPC-Rename-from-pcie-dpc.c-to-dpc.c.patch.
- commit e07c970
* Thu Dec  6 2018 tiwai@suse.de
- PCI/DPC: Push dpc->rp_pio_status assignment into
  dpc_rp_pio_get_info() (FATE#325195).
- Refresh
  patches.drivers/0001-PCI-DPC-Rename-from-pcie-dpc.c-to-dpc.c.patch.
- commit c0c6305
* Thu Dec  6 2018 tiwai@suse.de
- PCI/DPC: Squash dpc_rp_pio_print_error() into
  dpc_rp_pio_get_info() (FATE#325195).
- Refresh
  patches.drivers/0001-PCI-DPC-Rename-from-pcie-dpc.c-to-dpc.c.patch.
- commit 731a8f0
* Thu Dec  6 2018 tiwai@suse.de
- PCI/DPC: Make RP PIO log size check more generic (FATE#325195).
- Refresh
  patches.drivers/0001-PCI-DPC-Rename-from-pcie-dpc.c-to-dpc.c.patch.
- commit 08035fe
* Thu Dec  6 2018 tiwai@suse.de
- PCI/DPC: Rename local "status" to "dpc_status" (FATE#325195).
- Refresh
  patches.drivers/0001-PCI-DPC-Rename-from-pcie-dpc.c-to-dpc.c.patch.
- commit e093769
* Thu Dec  6 2018 hare@suse.de
- nvme: fixup memory leak in nvme_init_identify()
  (bsc#1104967,FATE#325924).
- nvme: fix KASAN warning when parsing host nqn
  (bsc#1104967,FATE#325924).
- commit b1cc053
* Thu Dec  6 2018 hare@suse.de
- nvme: mark the result argument to nvme_complete_async_event
  (bsc#1104967,FATE#325924).
- Refresh
  patches.drivers/nvme.h-untangle-AEN-notice-definitions.patch.
- commit 067bee9
* Thu Dec  6 2018 oneukum@suse.com
- usb: typec: API for controlling USB Type-C Multiplexers
  (FATE#326325).
- commit e33be62
* Thu Dec  6 2018 tiwai@suse.de
- PCI/DPC: Squash dpc_rp_pio_print_tlp_header() into
  dpc_rp_pio_print_error() (FATE#325195).
- Refresh
  patches.drivers/0001-PCI-DPC-Rename-from-pcie-dpc.c-to-dpc.c.patch.
- commit 7986af1
* Thu Dec  6 2018 tiwai@suse.de
- PCI/DPC: Process RP PIO details only if RP PIO extensions
  supported (FATE#325195).
- Refresh
  patches.drivers/0001-PCI-DPC-Rename-from-pcie-dpc.c-to-dpc.c.patch.
- commit 059c0a7
* Thu Dec  6 2018 hare@suse.de
- nvme-pci: Fix AER reset handling (bsc#1104967,FATE#325924).
- nvme-pci: set nvmeq->cq_vector after alloc cq/sq
  (bsc#1104967,FATE#325924).
- nvme-pci: fix race between poll and IRQ completions
  (bsc#1104967,FATE#325924).
- nvme-pci: drop IRQ disabling on submission queue lock
  (bsc#1104967,FATE#325924).
- nvme-pci: split the nvme queue lock into submission and
  (bsc#1104967,FATE#325924).
- nvme-pci: handle completions outside of the queue lock
  (bsc#1104967,FATE#325924).
- nvme-pci: move ->cq_vector == -1 check outside of ->q_lock
  (bsc#1104967,FATE#325924).
- nvme-pci: remove cq check after submission
  (bsc#1104967,FATE#325924).
- nvme-pci: simplify nvme_cqe_valid (bsc#1104967,FATE#325924).
- nvme/pci: Sync controller reset for AER slot_reset
  (bsc#1104967,FATE#325924).
- nvme/pci: Hold controller reference during async probe
  (bsc#1104967,FATE#325924).
- nvme: only reconfigure discard if necessary
  (bsc#1104967,FATE#325924).
- nvme/pci: Use async_schedule for initial reset work
  (bsc#1104967,FATE#325924).
- commit 1c05cad
* Thu Dec  6 2018 oneukum@suse.com
- drivers: base: Unified device connection lookup (FATE3326325).
- commit ac5d183
* Thu Dec  6 2018 tiwai@suse.de
- PCI/DPC: Read RP PIO Log Size once at probe (FATE#325195).
- Refresh
  patches.drivers/0001-PCI-DPC-Rename-from-pcie-dpc.c-to-dpc.c.patch.
- commit 16749d1
* Thu Dec  6 2018 tiwai@suse.de
- PCI/DPC: Rename struct dpc_dev.rp to rp_extensions
  (bsc#1087978).
- Refresh
  patches.drivers/0001-PCI-DPC-Rename-from-pcie-dpc.c-to-dpc.c.patch.
- commit d53f157
* Thu Dec  6 2018 tiwai@suse.de
- PCI/DPC: Add local variable for DPC capability offset
  (FATE#325195).
- Refresh
  patches.drivers/0001-PCI-DPC-Rename-from-pcie-dpc.c-to-dpc.c.patch.
- commit 4a65288
* Thu Dec  6 2018 tiwai@suse.de
- PCI/DPC: Rename interrupt_event_handler() to dpc_work()
  (FATE#325195).
- Refresh
  patches.drivers/0001-PCI-Add-generic-pcie_wait_for_link-interface.patch.
- Refresh
  patches.drivers/0001-PCI-DPC-Rename-from-pcie-dpc.c-to-dpc.c.patch.
- commit d1de468
* Thu Dec  6 2018 hare@suse.de
- nvme: lightnvm: add granby support (bsc#1104967,FATE#325924).
- commit c7e28c7
* Thu Dec  6 2018 ptesarik@suse.cz
- net/smc: longer delay when freeing client link groups
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: urgent data support (FATE#325694, LTC#167874,
  bsc#1113508).
- net/smc: lock smc_lgr_list in port_terminate() (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: return 0 for ioctl calls in states INIT and CLOSED
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: restructure client and server code in af_smc
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: change smc_buf_free function parameters (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: do a few smc_core.c cleanups (FATE#325694, LTC#167874,
  bsc#1113508).
- net/smc: restructure CDC message reception (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: move smc_core specific code from smc.h to smc_core
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: calculate write offset in RMB only once per connection
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: rename connection index to RMBE index (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: move link group list to smc_core (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: add common buffer size in send and receive buffer
  descriptors (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: init conn.tx_work & conn.send_lock sooner (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: check for pending termination (FATE#325694, LTC#167874,
  bsc#1113508).
- net/smc: drop messages when link state is inactive (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: set link inactive before calling smc_lgr_free()
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: handle all error codes from smc_conn_create()
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: use a workqueue to defer llc send (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: move link llc initialization to llc layer (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: simplify test_link function usage (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: remove unnecessary cast (FATE#325694, LTC#167874,
  bsc#1113508).
- net/smc: register new rmbs with the peer (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: no tx work trigger for fallback sockets (FATE#325694,
  LTC#167874, bsc#1113508).
- smc: add support for splice() (FATE#325694, LTC#167874,
  bsc#1113508).
- smc: allocate RMBs as compound pages (FATE#325694, LTC#167874,
  bsc#1113508).
- smc: make smc_rx_wait_data() generic (FATE#325694, LTC#167874,
  bsc#1113508).
- smc: simplify abort logic (FATE#325694, LTC#167874,
  bsc#1113508).
- net/smc: determine vlan_id of stacked net_device (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: handle ioctls SIOCINQ, SIOCOUTQ, and SIOCOUTQNSD
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: ipv6 support for smc_diag.c (FATE#325694, LTC#167874,
  bsc#1113508).
- net/smc: periodic testlink support (FATE#325694, LTC#167874,
  bsc#1113508).
- net/smc: handle sockopt TCP_DEFER_ACCEPT (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: sockopts TCP_NODELAY and TCP_CORK (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: handle sockopts forcing fallback (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: fix structure size (FATE#325694, LTC#167874,
  bsc#1113508).
- smc: fix sendpage() call (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: handle unregistered buffers (FATE#325694, LTC#167874,
  bsc#1113508).
- net/smc: call consolidation (FATE#325694, LTC#167874,
  bsc#1113508).
- net/smc: restrict non-blocking connect finish (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: keep clcsock reference in smc_tcp_listen_work()
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: fix shutdown in state SMC_LISTEN (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: enable ipv6 support for smc (FATE#325694, LTC#167874,
  bsc#1113508).
- net/smc: add ipv6 support to CLC layer (FATE#325694, LTC#167874,
  bsc#1113508).
- net/smc: restructure netinfo for CLC proposal msgs (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: schedule free_work when link group is terminated
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: free link group without pending free_work only
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: pay attention to MAX_ORDER for CQ entries (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: prevent new connections on link group (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: process add/delete link messages (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: do not allow eyecatchers in rmbe (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: process confirm/delete rkey messages (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: respond to test link messages (FATE#325694, LTC#167874,
  bsc#1113508).
- net/smc: remove unused fields from smc structures (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: move netinfo function to file smc_clc.c (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: cleanup smc_llc.h and smc_clc.h headers (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: use announced length in sock_recvmsg() (FATE#325694,
  LTC#167874, bsc#1113508).
- net/ipv4: disable SMC TCP option with SYN Cookies (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: simplify wait when closing listen socket (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: fix NULL pointer dereference on sock_create_kern()
  error path (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: use link_id of server in confirm link reply
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: use a constant for control message length (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: release clcsock from tcp_listen_worker (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: replace sock_put worker by socket refcounting
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: smc_poll improvements (FATE#325694, LTC#167874,
  bsc#1113508).
- net/smc: handle device, port, and QP error events (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: check for healthy link group resp. connections
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: wake up wr_reg_wait when terminating a link group
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: do not reuse a linkgroup with setup problems
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: handle state SMC_PEERFINCLOSEWAIT correctly
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: cancel tx worker in case of socket aborts (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: continue waiting if peer signals write_shutdown
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: improve state change handling after close wait
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: make wait for work request uninterruptible
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: get rid of tx_pend waits in socket closing
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: simplify function smc_clcsock_accept() (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: use local struct sock variables consistently
  (FATE#325694, LTC#167874, bsc#1113508).
- smc: support variable CLC proposal messages (FATE#325694,
  LTC#167874, bsc#1113508).
- smc: no consumer update in tasklet context (FATE#325694,
  LTC#167874, bsc#1113508).
- smc: cleanup close checking during data receival (FATE#325694,
  LTC#167874, bsc#1113508).
- smc: no update for unused sk_write_pending (FATE#325694,
  LTC#167874, bsc#1113508).
- smc: improve smc_clc_send_decline() error handling (FATE#325694,
  LTC#167874, bsc#1113508).
- smc: make smc_close_active_abort() static (FATE#325694,
  LTC#167874, bsc#1113508).
- smc: switch to sock_recvmsg() (FATE#325694, LTC#167874,
  bsc#1113508).
- net/smc: Fix preinitialization of buf_desc in __smc_buf_create()
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: use sk_rcvbuf as start for rmb creation (FATE#325694,
  LTC#167874, bsc#1113508).
- smc: add SMC rendezvous protocol (FATE#325694, LTC#167874,
  bsc#1113508).
- commit cae07a4
* Thu Dec  6 2018 hare@suse.de
- nvme: Add .stop_ctrl to nvme ctrl ops (bsc#1104967,FATE#325924).
- Refresh
  patches.drivers/nvme-rdma-Fix-command-completion-race-at-error-recov.patch.
- commit c7032e9
* Thu Dec  6 2018 tiwai@suse.de
- PCI/DPC: Fix shared interrupt handling (FATE#325195).
- Refresh
  patches.drivers/0001-PCI-DPC-Rename-from-pcie-dpc.c-to-dpc.c.patch.
- commit 94a2b3f
* Thu Dec  6 2018 hare@suse.de
- nvme-pci: Use pci_sriov_configure_simple() to enable VFs
  (bsc#1104967,FATE#325924).
- commit 9f94038
* Thu Dec  6 2018 tiwai@suse.de
- Add missing DPC patches and correct buggy rename patch (FATE#325195)
- PCI/DPC: Fix control register setting (FATE#325195).
- PCI/DPC: Skip DPC event if device is not present (FATE#325195).
- Refresh
  patches.drivers/0001-PCI-Add-generic-pcie_wait_for_link-interface.patch.
- Refresh
  patches.drivers/0001-PCI-DPC-Rename-from-pcie-dpc.c-to-dpc.c.patch.
- Refresh
  patches.drivers/PCI-DPC-Add-local-struct-device-pointers.patch.
- commit 1e419d3
* Thu Dec  6 2018 hare@suse.de
- NVMe: Add Quirk Delay before CHK RDY for Seagate Nytro Flash
  Storage (bsc#1104967,FATE#325924).
- commit 133f3ee
* Thu Dec  6 2018 hare@suse.de
- nvme: change order of qid and cmdid in completion trace
  (bsc#1104967,FATE#325924).
- Refresh patches.fixes/nvme-use-hw-qid-in-trace-events.patch.
- commit 24bc876
* Thu Dec  6 2018 hare@suse.de
- nvme: fc: provide a descriptive error (bsc#1104967,FATE#325924).
- commit 550bcf8
* Thu Dec  6 2018 hare@suse.de
- nvme-loop: fix kernel oops in case of unhandled command
  (bsc#1104967,FATE#325924).
- Refresh
  patches.drivers/nvme-loop-add-support-for-multiple-ports.patch.
- commit d5f3d4b
* Thu Dec  6 2018 ptesarik@suse.cz
- tcp: TCP experimental option for SMC (FATE#325694, LTC#167874,
  bsc#1113508).
- Refresh
  patches.drivers/bpf-Support-passing-args-to-sock_ops-bpf-function.patch.
- Refresh
  patches.drivers/net-Record-receive-queue-number-for-a-connection.patch.
- Refresh patches.drivers/tcp-Add-clean-acked-data-hook.patch.
- commit 65a72fd
* Thu Dec  6 2018 ptesarik@suse.cz
- smc: fix mutex unlocks during link group creation (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: parameter cleanup in smc_cdc_get_free_slot()
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: no close wait in case of process shut down
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: introduce a delay (FATE#325694, LTC#167874,
  bsc#1113508).
- net/smc: terminate link group if out-of-sync is received
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: longer delay for client link group removal
  (FATE#325694, LTC#167874, bsc#1113508).
- commit 843e89e
* Thu Dec  6 2018 ptesarik@suse.cz
- net/smc: adapt send request completion notification
  (FATE#325694, LTC#167874, bsc#1113508).
- Refresh
  patches.drivers/net-smc-Simplify-ib_post_-send-recv-srq_recv-calls.patch.
- commit f6ccd6c
* Thu Dec  6 2018 ptesarik@suse.cz
- net/smc: adjust net_device refcount (FATE#325694, LTC#167874,
  bsc#1113508).
- net/smc: take RCU read lock for routing cache lookup
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: add receive timeout check (FATE#325694, LTC#167874,
  bsc#1113508).
- commit ac144f7
* Thu Dec  6 2018 ptesarik@suse.cz
- net/smc: synchronize buffer usage with device (FATE#325694,
  LTC#167874, bsc#1113508).
- Refresh
  patches.drivers/net-smc-Replace-ib_query_gid-with-rdma_get_gid_attr.patch.
- commit bbad067
* Thu Dec  6 2018 ptesarik@suse.cz
- net/smc: cleanup function __smc_buf_create() (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: common functions for RMBs and send buffers
  (FATE#325694, LTC#167874, bsc#1113508).
- net/smc: introduce sg-logic for send buffers (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: remove Kconfig warning (FATE#325694, LTC#167874,
  bsc#1113508).
- net/smc: Remove a WARN_ON() statement (FATE#325694, LTC#167874,
  bsc#1113508).
- Refresh
  patches.drivers/net-smc-Simplify-ib_post_-send-recv-srq_recv-calls.patch.
- net/smc: register RMB-related memory region (FATE#325694,
  LTC#167874, bsc#1113508).
- Refresh
  patches.drivers/net-smc-Simplify-ib_post_-send-recv-srq_recv-calls.patch.
- net/smc: use separate memory regions for RMBs (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: introduce sg-logic for RMBs (FATE#325694, LTC#167874,
  bsc#1113508).
- net/smc: shorten local bufsize variables (FATE#325694,
  LTC#167874, bsc#1113508).
- net/smc: serialize connection creation in all cases
  (FATE#325694, LTC#167874, bsc#1113508).
- commit b9e8ff4
* Thu Dec  6 2018 hare@suse.de
- Update config files.
- commit 65b7cf8
* Thu Dec  6 2018 oneukum@suse.com
- usb: typec: driver for Pericom PI3USB30532 Type-C cross switch
  (FATE#326325).
- Update config files.
- commit a027df6
* Thu Dec  6 2018 tbogendoerfer@suse.de
- Update config files.
- supported.conf: added Intel igc/ice; renamed i40evf to iavf
- commit 92d2b5a
* Thu Dec  6 2018 tbogendoerfer@suse.de
- ice: Change req_speeds to be u16 (bsc#1118661 FATE#325277).
- commit ff95a9e
* Thu Dec  6 2018 tbogendoerfer@suse.de
- ice: Fix the bytecount sent to netdev_tx_sent_queue (bsc#1118661
  FATE#325277).
- ice: Fix tx_timeout in PF driver (bsc#1118661 FATE#325277).
- ice: Fix napi delete calls for remove (bsc#1118661 FATE#325277).
- ice: Fix typo in error message (bsc#1118661 FATE#325277).
- ice: Fix flags for port VLAN (bsc#1118661 FATE#325277).
- ice: Remove duplicate addition of VLANs in replay path
  (bsc#1118661 FATE#325277).
- ice: Free VSI contexts during for unload (bsc#1118661
  FATE#325277).
- ice: Fix dead device link issue with flow control (bsc#1118661
  FATE#325277).
- ice: Check for reset in progress during remove (bsc#1118661
  FATE#325277).
- ice: Set carrier state and start/stop queues in rebuild
  (bsc#1118661 FATE#325277).
- ice: Poll for link status change (bsc#1118661 FATE#325277).
- ice: Allocate VF interrupts and set queue map (bsc#1118661
  FATE#325277).
- ice: Introduce ice_dev_onetime_setup (bsc#1118661 FATE#325277).
- ice: Use capability count returned by the firmware (bsc#1118661
  FATE#325277).
- ice: Update expected FW version (bsc#1118661 FATE#325277).
- ice: Change device ID define names to align with branding string
  (bsc#1118661 FATE#325277).
- ice: Make ice_msix_clean_rings static (bsc#1118661 FATE#325277).
- igc: Add watchdog (bsc#1118657 FATE#325278).
- igc: Add setup link functionality (bsc#1118657 FATE#325278).
- igc: Add code for PHY support (bsc#1118657 FATE#325278).
- igc: Add NVM support (bsc#1118657 FATE#325278).
- igc: Add HW initialization code (bsc#1118657 FATE#325278).
- igc: Add transmit and receive fastpath and interrupt handlers
  (bsc#1118657 FATE#325278).
- igc: Add support for Tx/Rx rings (bsc#1118657 FATE#325278).
- igc: Add interrupt support (bsc#1118657 FATE#325278).
- igc: Add netdev (bsc#1118657 FATE#325278).
- igc: Add support for PF (bsc#1118657 FATE#325278).
- igc: Add skeletal frame for Intel(R) 2.5G Ethernet Controller
  support (bsc#1118657 FATE#325278).
- iavf: fix a typo (bsc#1118658 FATE#326705).
- ice: Update version string (bsc#1118661 FATE#325277).
- ice: Use the right function to enable/disable VSI (bsc#1118661
  FATE#325277).
- ice: Add more flexibility on how we assign an ITR index
  (bsc#1118661 FATE#325277).
- ice: Fix potential null pointer issues (bsc#1118661
  FATE#325277).
- ice: Add code to go from ICE_FWD_TO_VSI_LIST to ICE_FWD_TO_VSI
  (bsc#1118661 FATE#325277).
- ice: Fix forward to queue group logic (bsc#1118661 FATE#325277).
- ice: Extend malicious operations detection logic (bsc#1118661
  FATE#325277).
- ice: Notify VF of link status change (bsc#1118661 FATE#325277).
- ice: Implement virtchnl commands for AVF support (bsc#1118661
  FATE#325277).
- ice: Add handlers for VF netdevice operations (bsc#1118661
  FATE#325277).
- ice: Add support for VF reset events (bsc#1118661 FATE#325277).
- ice: Update VSI and queue management code to handle VF VSI
  (bsc#1118661 FATE#325277).
- ice: Add handler to configure SR-IOV (bsc#1118661 FATE#325277).
- ice: Add support to detect SR-IOV capability and mailbox queues
  (bsc#1118661 FATE#325277).
- virtchnl: Added support to exchange additional speed values
  (bsc#1118661 FATE#325277).
- ice: Fix error on driver remove (bsc#1118661 FATE#325277).
- ice: Add support for dynamic interrupt moderation (bsc#1118661
  FATE#325277).
- ice: Align ice_reset_req enum values to hardware reset values
  (bsc#1118661 FATE#325277).
- ice: Implement ethtool hook for RSS switch (bsc#1118661
  FATE#325277).
- ice: Split irq_tracker into sw_irq_tracker and hw_irq_tracker
  (bsc#1118661 FATE#325277).
- ice: Check for actual link state of port after reset
  (bsc#1118661 FATE#325277).
- ice: Implement VSI replay framework (bsc#1118661 FATE#325277).
- ice: Expand use of VSI handles part 2/2 (bsc#1118661
  FATE#325277).
- ice: Expand use of VSI handles part 1/2 (bsc#1118661
  FATE#325277).
- ice: Change pf state behavior to protect reset path (bsc#1118661
  FATE#325277).
- ice: Move common functions out of ice_main.c part 7/7
  (bsc#1118661 FATE#325277).
- ice: Move common functions out of ice_main.c part 6/7
  (bsc#1118661 FATE#325277).
- ice: Move common functions out of ice_main.c part 5/7
  (bsc#1118661 FATE#325277).
- ice: Move common functions out of ice_main.c part 4/7
  (bsc#1118661 FATE#325277).
- ice: Move common functions out of ice_main.c part 3/7
  (bsc#1118661 FATE#325277).
- ice: Move common functions out of ice_main.c part 2/7
  (bsc#1118661 FATE#325277).
- ice: Move common functions out of ice_main.c part 1/7
  (bsc#1118661 FATE#325277).
- ice: fix changing of ring descriptor size (ethtool -G)
  (bsc#1118661 FATE#325277).
- ice: Update to capabilities admin queue command (bsc#1118661
  FATE#325277).
- ice: Query the Tx scheduler node before adding it (bsc#1118661
  FATE#325277).
- ice: Update comment for ice_fltr_mgmt_list_entry (bsc#1118661
  FATE#325277).
- ice: update fw version check logic (bsc#1118661 FATE#325277).
- ice: update branding strings and supported device ids
  (bsc#1118661 FATE#325277).
- ice: replace unnecessary memcpy with direct assignment
  (bsc#1118661 FATE#325277).
- ice: useq.count when checking if queue is initialized
  (bsc#1118661 FATE#325277).
- intel-ethernet: use correct module license (bsc#1118658
  FATE#326705).
- iavf: finish renaming files to iavf (bsc#1118658 FATE#326705).
- iavf: rename most of i40e strings (bsc#1118658 FATE#326705).
- iavf: tracing infrastructure rename (bsc#1118658 FATE#326705).
- iavf: replace i40e_debug with iavf version (bsc#1118658
  FATE#326705).
- iavf: rename i40e_hw to iavf_hw (bsc#1118658 FATE#326705).
- iavf: rename I40E_ADMINQ_DESC (bsc#1118658 FATE#326705).
- iavf: rename device ID defines (bsc#1118658 FATE#326705).
- iavf: remove references to old names (bsc#1118658 FATE#326705).
- iavf: move i40evf files to new name (bsc#1118658 FATE#326705).
- iavf: rename i40e_status to iavf_status (bsc#1118658
  FATE#326705).
- iavf: rename functions and structs to new name (bsc#1118658
  FATE#326705).
- iavf: diet and reformat (bsc#1118658 FATE#326705).
- intel-ethernet: rename i40evf to iavf (bsc#1118658 FATE#326705).
- ice: Fix and update driver version string (bsc#1118661
  FATE#325277).
- ice: Introduce SERVICE_DIS flag and service routine functions
  (bsc#1118661 FATE#325277).
- ice: Enable VSI Rx/Tx pruning only when VLAN 0 is active
  (bsc#1118661 FATE#325277).
- ice: Enable firmware logging during device initialization
  (bsc#1118661 FATE#325277).
- ice: Implement ice_bridge_getlink and ice_bridge_setlink
  (bsc#1118661 FATE#325277).
- ice: Add support for Tx hang, Tx timeout and malicious driver
  detection (bsc#1118661 FATE#325277).
- ice: Clean up register file (bsc#1118661 FATE#325277).
- ice: Implement handlers for ethtool PHY/link operations
  (bsc#1118661 FATE#325277).
- ice: Refactor VSI allocation, deletion and rebuild flow
  (bsc#1118661 FATE#325277).
- ice: Refactor switch rule management structures and functions
  (bsc#1118661 FATE#325277).
- ice: Code optimization for ice_fill_sw_rule() (bsc#1118661
  FATE#325277).
- ice: Prevent control queue operations during reset (bsc#1118661
  FATE#325277).
- ice: Update request resource command to latest specification
  (bsc#1118661 FATE#325277).
- ice: Updates to Tx scheduler code (bsc#1118661 FATE#325277).
- ice: Rework flex descriptor programming (bsc#1118661
  FATE#325277).
- ice: remove ndo_poll_controller (bsc#1118661 FATE#325277).
- ice: Trivial formatting fixes (bsc#1118661 FATE#325277).
- ice: Change struct members from bool to u8 (bsc#1118661
  FATE#325277).
- ice: Fix potential return of uninitialized value (bsc#1118661
  FATE#325277).
- ice: Fix a few null pointer dereference issues (bsc#1118661
  FATE#325277).
- ice: Update to interrupts enabled in OICR (bsc#1118661
  FATE#325277).
- ice: Set VLAN flags correctly (bsc#1118661 FATE#325277).
- ice: Use order_base_2 to calculate higher power of 2
  (bsc#1118661 FATE#325277).
- ice: Fix bugs in control queue processing (bsc#1118661
  FATE#325277).
- ice: Clean control queues only when they are initialized
  (bsc#1118661 FATE#325277).
- ice: Report stats for allocated queues via ethtool stats
  (bsc#1118661 FATE#325277).
- ice: Cleanup magic number (bsc#1118661 FATE#325277).
- ice: Remove unnecessary node owner check (bsc#1118661
  FATE#325277).
- ice: Fix multiple static analyser warnings (bsc#1118661
  FATE#325277).
- ice: Update NVM AQ command functions (bsc#1118661 FATE#325277).
- ice: Set rq_last_status when cleaning rq (bsc#1118661
  FATE#325277).
- ice: Fix insufficient memory issue in ice_aq_manage_mac_read
  (bsc#1118661 FATE#325277).
- ice: Do not check INTEVENT bit for OICR interrupts (bsc#1118661
  FATE#325277).
- ice: Fix incorrect comment for action type (bsc#1118661
  FATE#325277).
- ice: Fix initialization for num_nodes_added (bsc#1118661
  FATE#325277).
- ice: Bug fixes in ethtool code (bsc#1118661 FATE#325277).
- ice: Fix error return code in ice_init_hw() (bsc#1118661
  FATE#325277).
- ice: Implement filter sync, NDO operations and bump version
  (bsc#1118661 FATE#325277).
- ice: Support link events, reset and rebuild (bsc#1118661
  FATE#325277).
- ice: Update Tx scheduler tree for VSI multi-Tx queue support
  (bsc#1118661 FATE#325277).
- ice: Add stats and ethtool support (bsc#1118661 FATE#325277).
- ice: Add support for VLANs and offloads (bsc#1118661
  FATE#325277).
- ice: Implement transmit and NAPI support (bsc#1118661
  FATE#325277).
- ice: Configure VSIs for Tx/Rx (bsc#1118661 FATE#325277).
- ice: Add support for switch filter programming (bsc#1118661
  FATE#325277).
- ice: Add support for VSI allocation and deallocation
  (bsc#1118661 FATE#325277).
- ice: Initialize PF and setup miscellaneous interrupt
  (bsc#1118661 FATE#325277).
- ice: Get MAC/PHY/link info and scheduler topology (bsc#1118661
  FATE#325277).
- ice: Get switch config, scheduler config and device capabilities
  (bsc#1118661 FATE#325277).
- ice: Start hardware initialization (bsc#1118661 FATE#325277).
- ice: Add support for control queues (bsc#1118661 FATE#325277).
- ice: Add basic driver framework for Intel(R) E800 Series
  (bsc#1118661 FATE#325277).
- commit 5e81095
* Thu Dec  6 2018 hare@suse.de
- lightnvm: pblk: take bitmap alloc. out of critical section
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: kick writer on new flush points
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: only try to recover lines with written smeta
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: remove unnecessary bio_get/put
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: add possibility to set write buffer size
  (bsc#1104967,FATE#325924).
- lightnvm: fix partial read error path (bsc#1104967,FATE#325924).
- lightnvm: proper error handling for pblk_bio_add_pages
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: fix smeta write error path
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: garbage collect lines with failed writes
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: rework write error recovery path
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: remove dead function (bsc#1104967,FATE#325924).
- lightnvm: pass flag on graceful teardown to targets
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: check for chunk size before allocating it
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: remove unnecessary argument
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: remove unnecessary indirection
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: return NVM_ error on failed submission
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: warn in case of corrupted write buffer
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: improve error msg on corrupted LBAs
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: check read lba on gc path
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: recheck for bad lines at runtime
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: fail gracefully on line alloc. failure
  (bsc#1104967,FATE#325924).
- commit 313623f
* Thu Dec  6 2018 hare@suse.de
- lightnvm: limit get chunk meta request size
  (bsc#1104967,FATE#325924).
- Refresh
  patches.drivers/nvme-simplify-the-API-for-getting-log-pages.patch.
- commit e07b11c
* Thu Dec  6 2018 hare@suse.de
- lightnvm: convert to bioset_init()/mempool_init()
  (bsc#1104967,FATE#325924).
- commit 5a8ed3e
* Thu Dec  6 2018 hare@suse.de
- lightnvm: remove function name in strings
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: remove some unnecessary NULL checks
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: don't recover unwritten lines
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: implement 2.0 support (bsc#1104967,FATE#325924).
- lightnvm: pblk: implement get log report chunk
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: rename ppaf* to addrf*
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: check for supported version
  (bsc#1104967,FATE#325924).
- commit 58481ee
* Thu Dec  6 2018 hare@suse.de
- lightnvm: implement get log report chunk helpers
  (bsc#1104967,FATE#325924).
- Refresh
  patches.drivers/nvme-enforce-64bit-offset-for-nvme_get_log_ext-fn.patch.
- commit b0bdc00
* Thu Dec  6 2018 hare@suse.de
- lightnvm: make address conversions depend on generic device
  (bsc#1104967,FATE#325924).
- lightnvm: add support for 2.0 address format
  (bsc#1104967,FATE#325924).
- lightnvm: normalize geometry nomenclature
  (bsc#1104967,FATE#325924).
- lightnvm: complete geo structure with maxoc*
  (bsc#1104967,FATE#325924).
- lightnvm: add shorten OCSSD version in geo
  (bsc#1104967,FATE#325924).
- lightnvm: add minor version to generic geometry
  (bsc#1104967,FATE#325924).
- lightnvm: simplify geometry structure (bsc#1104967,FATE#325924).
- lightnvm: pblk: refactor init/exit sequences
  (bsc#1104967,FATE#325924).
- lightnvm: Avoid validation of default op value
  (bsc#1104967,FATE#325924).
- lightnvm: centralize permission check for lightnvm ioctl
  (bsc#1104967,FATE#325924).
- lightnvm: fix bad block initialization
  (bsc#1104967,FATE#325924).
- nvme: lightnvm: add late setup of block size and metadata
  (bsc#1104967,FATE#325924).
- lightnvm: remove nvm_dev_ops->max_phys_sect
  (bsc#1104967,FATE#325924).
- lightnvm: remove max_rq_size (bsc#1104967,FATE#325924).
- lightnvm: add 2.0 geometry identification
  (bsc#1104967,FATE#325924).
- lightnvm: flatten nvm_id_group into nvm_id
  (bsc#1104967,FATE#325924).
- lightnvm: make 1.2 data structures explicit
  (bsc#1104967,FATE#325924).
- lightnvm: remove multiple groups in 1.2 data structure
  (bsc#1104967,FATE#325924).
- lightnvm: remove mlc pairs structure (bsc#1104967,FATE#325924).
- lightnvm: remove chnl_offset in nvme_nvm_identity
  (bsc#1104967,FATE#325924).
- commit e39a4a7
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpci: move tcpci drivers out of staging
  (FATE#326325).
- commit 8dd78b5
* Thu Dec  6 2018 ptesarik@suse.cz
- Update config files: Fix vanilla build.
- commit fc4294b
* Thu Dec  6 2018 hare@suse.de
- lightnvm: pblk: refactor bad block identification
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: prevent race in pblk_rb_flush_point_set
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: allow allocation of new lines during shutdown
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: delete writer kick timer before stopping
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: add padding distribution sysfs attribute
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: export write amplification counters to sysfs
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: check data lines version on recovery
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: handle bad sectors in the emeta area
  (bsc#1104967,FATE#325924).
- lightnvm/pblk-gc: Delete an error message for a failed memory
  (bsc#1104967,FATE#325924).
- commit 6d765ae
* Thu Dec  6 2018 oneukum@suse.com
- typec: tcpm: add starting value for drp toggling (FATE#326325).
- commit 26fd152
* Thu Dec  6 2018 hare@suse.de
- lightnvm: pblk: refactor pblk_ppa_comp function
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: add iostat support (bsc#1104967,FATE#325924).
- commit ca8ddf2
* Thu Dec  6 2018 hare@suse.de
- lightnvm: pblk: print instance name on instance info
  (bsc#1104967,FATE#325924).
- Refresh
  patches.fixes/block-Use-blk_queue_flag_-in-drivers-instead-of-queu.patch.
- commit 44f8e32
* Thu Dec  6 2018 vbabka@suse.cz
- x86/numa_emulation: Fix uniform-split numa emulation
  (fate#326637, VM Functionality).
- x86/numa_emulation: Introduce uniform split capability
  (fate#326637, VM Functionality).
- x86/numa_emulation: Recalculate numa_nodes_parsed from emulated
  nodes (fate#326637, VM Functionality).
- x86/numa_emulation: Assign physnode_mask directly from
  numa_nodes_parsed (fate#326637, VM Functionality).
- x86/numa_emulation: Refine the calculation of max_emu_nid and
  dfl_phys_nid (fate#326637, VM Functionality).
- commit 04909b1
* Thu Dec  6 2018 oneukum@suse.com
- usb: typec: add API to get typec basic port power and data
  config (FATE#326325).
- commit 9815bf7
* Thu Dec  6 2018 ptesarik@suse.cz
- Update config files: Fix vanilla build.
- commit 2e8fa4f
* Thu Dec  6 2018 hare@suse.de
- lightnvm: pblk: free write buffer on init failure
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: ensure kthread alloc. before kicking it
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: do not log recovery read errors
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: ignore high ecc errors on recovery
  (bsc#1104967,FATE#325924).
- lightnvm: set target over-provision on create ioctl
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: use exact free block counter in RL
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: remove pblk_gc_stop (bsc#1104967,FATE#325924).
- lightnvm: pblk: prevent premature sync point resets
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: clear flush point on completed writes
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: rename sync_point to flush_point
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: refactor emeta consistency check
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: remove pblk_for_each_lun helper
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: compress and reorder helper functions
  (bsc#1104967,FATE#325924).
- lightnvm: guarantee target unique name across devs
  (bsc#1104967,FATE#325924).
- lightnvm: refactor target type lookup (bsc#1104967,FATE#325924).
- commit 8e99948
* Thu Dec  6 2018 hare@suse.de
- lightnvm: make geometry structures 2.0 ready
  (bsc#1104967,FATE#325924).
- Refresh
  patches.fixes/block-Use-blk_queue_flag_-in-drivers-instead-of-queu.patch.
- commit d1d5d89
* Thu Dec  6 2018 hare@suse.de
- lightnvm: remove lower page tables (bsc#1104967,FATE#325924).
- lightnvm: remove hybrid ocssd 1.2 support
  (bsc#1104967,FATE#325924).
- lightnvm: use internal pblk methods (bsc#1104967,FATE#325924).
- lightnvm: remove rrpc (bsc#1104967,FATE#325924).
- commit 7c14222
* Thu Dec  6 2018 ptesarik@suse.cz
- s390/sclp: Allow to request adapter reset (FATE#326826,
  LTC#172407, bsc#1113508).
- commit ab259ff
* Thu Dec  6 2018 oneukum@suse.com
- usb: typec: tcpm: fix logbuffer index is wrong if _tcpm_log
  is re-entered (FATE#326325).
- commit 8c9dec6
* Thu Dec  6 2018 oneukum@suse.com
- USB: typec: tcpm: no need to check return value of
  debugfs_create_dir() (FATE#326325).
- commit fb2742f
* Thu Dec  6 2018 oneukum@suse.com
- usb: typec: tcpm: Release the role mux when exiting
  (FATE#326325).
- commit 3a38a40
* Thu Dec  6 2018 hare@suse.de
- lightnvm: Convert timers to use timer_setup()
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: remove leftover testing function
  (bsc#1104967,FATE#325924).
- commit 113ec8f
* Thu Dec  6 2018 hare@suse.de
- Revert "lightnvm: prevent bd removal if busy"
  (bsc#1104967,FATE#325924).
- lightnvm: implement generic path for sync I/O
  (bsc#1104967,FATE#325924).
- lightnvm: fail fast on passthrough commands
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: avoid being reported as hung on rated GC
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: cleanup unused and static functions
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: remove spinlock when freeing line metadata
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: correct valid lba count calculation
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: gc all lines in the pipeline before exit
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: add l2p crc debug printouts
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: shut down gc gracefully during exit
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: consider bad sectors in emeta during recovery
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: start gc if needed during init
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: free full lines during recovery
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: recover partially written lines correctly
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: prevent gc kicks when gc is not operational
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: fix releases of kmem cache in error path
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: reduce arguments in __pblk_rb_update_l2p
  (bsc#1104967,FATE#325924).
- lightnvm: remove stale extern and unused exported symbols
  (bsc#1104967,FATE#325924).
- lightnvm: remove unused argument from nvm_set_tgt_bb_tbl
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: remove useless line (bsc#1104967,FATE#325924).
- lightnvm: pblk: fix changing GC group list for a line
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: ensure right bad block calculation
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: enable 1 LUN configuration
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: remove I/O dependency on write path
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: remove redundant check on read path
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: guarantee line integrity on reads
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: check lba sanity on read path
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: use rqd->end_io for completion
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: refactor rqd alloc/free
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: improve naming for internal req
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: allocate bio size more accurately
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: simplify path on REQ_PREFLUSH
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: put bio on bio completion
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: refactor read path on GC
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: simplify data validity check on GC
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: refactor read lba sanity check
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: normalize ppa namings (bsc#1104967,FATE#325924).
- lightnvm: pblk: use constant for GC max inflight
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: remove checks on mempool alloc
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: do not use a mempool for line bitmaps
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: decouple read/erase mempools
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: simplify work_queue mempool
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: fix min size for page mempool
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: avoid deadlock on low LUN config
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: fix write I/O sync stat
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: free padded entries in write buffer
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: use right flag for GC allocation
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: initialize debug stat counter
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: reuse pblk_gc_should_kick
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: print incompatible line version correctly
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: improve error message if down_timeout fails
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: fix message if L2P MAP is in device
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: protect line bitmap while submitting meta io
  (bsc#1104967,FATE#325924).
- lightnvm: include NVM Express driver if OCSSD is selected for
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: fix error path in pblk_lines_alloc_metadata
  (bsc#1104967,FATE#325924).
- lightnvm: remove already calculated nr_chnls
  (bsc#1104967,FATE#325924).
- lightnvm: protect target type list with correct locks
  (bsc#1104967,FATE#325924).
- lightnvm: prevent bd removal if busy (bsc#1104967,FATE#325924).
- lightnvm: prevent target type module removal when in use
  (bsc#1104967,FATE#325924).
- commit f1696eb
* Thu Dec  6 2018 hare@suse.de
- lightnvm: pblk: advance bio according to lba index
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: remove unnecessary checks
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: control I/O flow also on tear down
  (bsc#1104967,FATE#325924).
- commit c262f57
* Thu Dec  6 2018 hare@suse.de
- lightnvm: pblk: set line bitmap check under debug
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: verify that cache read is still valid
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: add initialization check
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: remove target using async. I/Os
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: use vmalloc for GC data buffer
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: use right metadata buffer for recovery
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: schedule if data is not ready
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: remove unused return variable
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: fix double-free on pblk init
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: fix bad le64 assignations
  (bsc#1104967,FATE#325924).
- commit 78e9e01
* Thu Dec  6 2018 oneukum@suse.com
- typec: tcpm: Add support for sink PPS related messages
  (FATE#326325).
- commit eaf98dc
* Thu Dec  6 2018 hare@suse.de
- lightnvm: if LUNs are already allocated fix return
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: fail gracefully on irrec. error
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: set mempool and workqueue params
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: redesign GC algorithm (bsc#1104967,FATE#325924).
- lightnvm: pblk: add lock assertions on helpers
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: cleanup unnecessary code
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: set metadata list for all I/Os
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: choose optimal victim GC line
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: decouple bad block from line alloc
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: simplify meta. memory allocation
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: issue multiplane reads if possible
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: delete redundant buffer pointer
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: delete redundant debug line stat
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: sched. metadata on write thread
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: rename read request pool
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: generalize erase path (bsc#1104967,FATE#325924).
- lightnvm: pblk: expose max sec per write on sysfs
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: add debug stat for read cache hits
  (bsc#1104967,FATE#325924).
- lightnvm: pblk: spare double cpu_to_le64 calc
  (bsc#1104967,FATE#325924).
- lightnvm: re-convert ppa format on I/O failure
  (bsc#1104967,FATE#325924).
- lightnvm/pblk-read: use bio_clone_fast()
  (bsc#1104967,FATE#325924).
- commit d34d4b0
* Thu Dec  6 2018 hare@suse.de
- nvme-pci: Separate IO and admin queue IRQ vectors
  (bsc#1104967,FATE#325924).
- nvme-pci: Remove unused queue parameter
  (bsc#1104967,FATE#325924).
- nvme-pci: Skip queue deletion if there are no queues
  (bsc#1104967,FATE#325924).
- commit ee2e452
* Thu Dec  6 2018 hare@suse.de
- nvme: unexport nvme_start_keep_alive (bsc#1104967,FATE#325924).
- Refresh
  patches.drivers/nvme-move-init-of-keep_alive-work-item-to-controller.patch.
- commit e9fbe56
* Thu Dec  6 2018 oneukum@suse.com
- typec: tcpm: Add core support for sink side PPS (FATE#326325).
- commit 0a13847
* Thu Dec  6 2018 hare@suse.de
- nvme-rdma: Allow DELETING state change failure in
  (bsc#1104967,FATE#325924).
- nvme-pci: disable APST for Samsung NVMe SSD 960 EVO + ASUS
  (bsc#1104967,FATE#325924).
- nvme-pci: Add .get_address ctrl callback
  (bsc#1104967,FATE#325924).
- commit 247797d
* Thu Dec  6 2018 tbogendoerfer@suse.de
- xsk: remove unnecessary assignment (bsc#1109837).
- commit 7922d10
* Thu Dec  6 2018 hare@suse.de
- nvme: change namespaces_mutext to namespaces_rwsem
  (bsc#1104967,FATE#325924).
- Refresh patches.drivers/nvme-add-ANA-support.patch.
- Refresh
  patches.drivers/nvme-don-t-rely-on-the-changed-namespace-list-log.patch.
- Refresh
  patches.drivers/nvme-use-the-changed-namespaces-list-log-to-clear-ns.patch.
- Refresh
  patches.fixes/nvme-ensure-forward-progress-during-admin-passthru.patch.
- commit 7ba6ebf
* Thu Dec  6 2018 tiwai@suse.de
- crypto: user - fix leaking uninitialized memory to userspace
  (CVE-2018-19854,bsc#1118428).
- commit d1a5811
* Thu Dec  6 2018 oneukum@suse.com
- usb: typec: tcpm: remove max_snk_mv/ma/mw (FATE#326325).
  Update config files. (Switched of FUSB302)
  This is a Type C controller we do not support.
  Faulty controllers can deliver too high a voltage.
  (FATE#326325)
- commit b5e32d8
* Thu Dec  6 2018 hare@suse.de
- nvme: fix the dangerous reference of namespaces list
  (bsc#1104967,FATE#325924).
- Refresh
  patches.fixes/nvme-ensure-forward-progress-during-admin-passthru.patch.
- commit 97c8f67
* Thu Dec  6 2018 oneukum@suse.com
- usb: typec: tcpm: pdo matching optimization (FATE#326325).
- commit a6136a7
* Thu Dec  6 2018 hare@suse.de
- nvme-pci: quiesce IO queues prior to disabling device HMB
  (bsc#1104967,FATE#325924).
- commit 3ca2aca
* Thu Dec  6 2018 ptesarik@suse.cz
- s390/sclp: Add support for Store Data SCLP interface
  (FATE#326357, LTC#169111, bsc#1113500).
- s390/mm: provide base_asce_alloc() / base_asce_free() helper
  functions (FATE#326357, LTC#169111, bsc#1113500).
- s390/mm: introduce defines to reflect the hardware mmu
  (FATE#326357, LTC#169111, bsc#1113500).
- commit ae11cdc
* Thu Dec  6 2018 hare@suse.de
- nvme: Add fault injection feature (bsc#1104967,FATE#325924).
- Refresh patches.drivers/nvme-add-ANA-support.patch.
- Refresh
  patches.drivers/nvme-fix-lockdep-warning-in-nvme_mpath_clear_current_path.patch.
- commit 4e64027
* Thu Dec  6 2018 hare@suse.de
- nvme: use define instead of magic value for identify size
  (bsc#1104967,FATE#325924).
- nvme: pci: pass max vectors as num_possible_cpus() to
  pci_alloc_irq_vectors (bsc#1104967,FATE#325924).
- commit ff4e6db
* Thu Dec  6 2018 hare@suse.de
- Delete
  patches.suse/nvme-register-ns_id-attributes-as-default-sysfs-grou.patch.
- commit 57b460c
* Thu Dec  6 2018 tbogendoerfer@suse.de
- blacklist.conf: removed backported commits from temporary blacklist
- commit 85769c0
* Thu Dec  6 2018 tbogendoerfer@suse.de
- xsk: fix potential race in SKB TX completion code (bsc#1109837).
- Refresh
  patches.drivers/xsk-do-not-call-synchronize_net-under-RCU-read-lock.patch.
- commit 623f15a
* Thu Dec  6 2018 ptesarik@suse.cz
- s390/crypto: Fix kernel crash on aes_s390 module remove
  (FATE#325686, LTC#146004, bsc#1113485).
- s390/crypto: add s390 platform specific aes gcm support
  (FATE#325686, LTC#146004, bsc#1113485).
- s390/crypto: add inline assembly for KMA instruction to cpacf.h
  (FATE#325686, LTC#146004, bsc#1113485).
- commit 5107597
* Thu Dec  6 2018 tbogendoerfer@suse.de
- xsk: fix return value of xdp_umem_assign_dev() (bsc#1109837).
- xsk: don't allow umem replace at stack level (bsc#1109837).
- xsk: refactor xdp_umem_assign_dev() (bsc#1109837).
- net: xsk: don't return frames via the allocator on error
  (bsc#1109837).
- xsk: fix poll/POLLIN premature returns (bsc#1109837).
- xsk: do not return EMSGSIZE in copy mode for packets larger
  than MTU (bsc#1109837).
- xsk: always return ENOBUFS from sendmsg if there is no TX queue
  (bsc#1109837).
- xsk: do not return EAGAIN from sendmsg when completion queue
  is full (bsc#1109837).
- xsk: do not return ENXIO from TX copy mode (bsc#1109837).
- xsk: frame could be completed more than once in SKB path
  (bsc#1109837).
- xsk: fix potential lost completion message in SKB path
  (bsc#1109837).
- xsk: re-add queue id check for XDP_SKB path (bsc#1109837).
- bpf, xdp: fix crash in xdp_umem_unaccount_pages (bsc#1109837).
- xsk: Fix umem fill/completion queue mmap on 32-bit
  (bsc#1109837).
- xsk: wire upp Tx zero-copy functions (bsc#1109837).
- net: added netdevice operation for Tx (bsc#1109837).
- xsk: add zero-copy support for Rx (bsc#1109837).
- net: xdp: added bpf_netdev_command XDP_{QUERY, SETUP}_XSK_UMEM
  (bsc#1109837).
- xsk: introduce xdp_umem_page (bsc#1109837).
- xsk: moved struct xdp_umem definition (bsc#1109837).
- net: remove net_device operation ndo_xdp_flush (bsc#1109837).
- xsk: new descriptor addressing scheme (bsc#1109837).
- xsk: proper Rx drop statistics update (bsc#1109837).
- xsk: proper fill queue descriptor validation (bsc#1109837).
- xsk: convert atomic_t to refcount_t (bsc#1109837).
- xsk: simplified umem setup (bsc#1109837).
- xsk: add missing write- and data-dependency barrier
  (bsc#1109837).
- xsk: remove explicit ring structure from uapi (bsc#1109837).
- xsk: proper queue id check at bind (bsc#1109837).
- xsk: remove rebind support (bsc#1109837).
- xsk: proper '=' alignment (bsc#1109837).
- xsk: fixed some cases of unnecessary parentheses (bsc#1109837).
- xsk: remove newline at end of file (bsc#1109837).
- xsk: statistics support (bsc#1109837).
- xsk: support for Tx (bsc#1109837).
- xsk: add Tx queue setup and mmap support (bsc#1109837).
- xsk: add umem completion queue support and mmap (bsc#1109837).
- commit e53eef3
* Thu Dec  6 2018 oneukum@suse.com
- usb: typec: tcpm: Use new Type-C switch/mux and usb-role-switch
  functions (FATE#326325).
- Refresh
  patches.drivers/0001-usb-typec-tcpm-Set-USB-role-switch-to-device-mode-wh.patch.
- commit 529314f
* Thu Dec  6 2018 oneukum@suse.com
- usb: typec: tcpm: Set USB role switch to device mode when
  configured as such (FATE#326325).
- commit 6b2714a
* Thu Dec  6 2018 msuchanek@suse.de
- KVM: PPC: Book3S PR: Enable use on POWER9 inside HPT-mode guests
  (bsc#1118484).
- commit 30072d1
* Thu Dec  6 2018 oneukum@suse.com
- usb: typec: Separate the definitions for data and power roles
  (FATE#326325).
- commit ea59bd0
* Thu Dec  6 2018 hare@suse.de
- nbd: call nbd_bdev_reset instead of bd_set_size on disconnect
  (bsc#1104967,FATE#325924).
- nbd: fix how we set bd_invalidated (bsc#1104967,FATE#325924).
- nbd: clear_sock on netlink disconnect (bsc#1104967,FATE#325924).
- nbd: use bd_set_size when updating disk size
  (bsc#1104967,FATE#325924).
- nbd: update size when connected (bsc#1104967,FATE#325924).
- blk-mq: remove redundant insert case in blk_mq_make_request()
  (bsc#1104967,FATE#325924).
- commit ec37774
* Thu Dec  6 2018 yousaf.kaukab@suse.com
- config: arm64: qoriq: rename ptp gianfar to qoriq
- commit 797c35f
* Thu Dec  6 2018 oneukum@suse.com
- USB: typec: Re-use DEFINE_SHOW_ATTRIBUTE() macro (FATE#326325).
- commit c8f4df0
* Thu Dec  6 2018 yousaf.kaukab@suse.com
- ptp_qoriq: use div_u64/div_u64_rem for 64-bit division
  (fate#326531).
- ptp_qoriq: support automatic configuration for ptp timer
  (fate#326531).
- ptp: support DPAA FMan 1588 timer in ptp_qoriq (fate#326531).
- ptp_qoriq: move some definitions to header file (fate#326531).
- ptp: rework gianfar_ptp as QorIQ common PTP driver
  (fate#326531).
- net: gianfar_ptp: move set_fipers() to spinlock protecting area
  (fate#326531).
- commit b2bf1bd
* Thu Dec  6 2018 hare@suse.de
- block: Add sysfs entry for fua support
  (bsc#1104967,FATE#325924).
- block: Export bio check/set pages_dirty
  (bsc#1104967,FATE#325924).
- block: Add warning for bi_next not NULL in bio_endio()
  (bsc#1104967,FATE#325924).
- block: Use bioset_init() for fs_bio_set
  (bsc#1104967,FATE#325924).
- block: Add bioset_init()/bioset_exit()
  (bsc#1104967,FATE#325924).
- block: Convert bio_set to mempool_init()
  (bsc#1104967,FATE#325924).
- commit 05279f8
* Thu Dec  6 2018 oneukum@suse.com
- typec: tcpm: Validate source and sink caps (FATE#326325).
- commit c99003c
* Thu Dec  6 2018 hare@suse.de
- block: consistently use GFP_NOIO instead of __GFP_NORECLAIM
  (bsc#1104967,FATE#325924).
- block: use GFP_NOIO instead of __GFP_DIRECT_RECLAIM
  (bsc#1104967,FATE#325924).
- block: pass an explicit gfp_t to get_request
  (bsc#1104967,FATE#325924).
- block: sanitize blk_get_request calling conventions
  (bsc#1104967,FATE#325924).
- block: fix __get_request documentation
  (bsc#1104967,FATE#325924).
- commit 40a7d59
* Thu Dec  6 2018 ptesarik@suse.cz
- s390/pkey: Load pkey kernel module automatically (FATE#326366,
  LTC#169192, bsc#1113523).
- s390/crypto: Enhance paes cipher to accept variable length
  key material (FATE#326366, LTC#169192, bsc#1113523).
- s390/pkey: Introduce new API for transforming key blobs
  (FATE#326366, LTC#169192, bsc#1113523).
- s390/pkey: Introduce new API for random protected key
  verification (FATE#326366, LTC#169192, bsc#1113523).
- s390/pkey: Add sysfs attributes to emit secure key blobs
  (FATE#326366, LTC#169192, bsc#1113523).
- s390/pkey: Add sysfs attributes to emit protected key blobs
  (FATE#326366, LTC#169192, bsc#1113523).
- s390/pkey: Define protected key blob format (FATE#326366,
  LTC#169192, bsc#1113523).
- s390/pkey: Introduce new API for random protected key generation
  (FATE#326366, LTC#169192, bsc#1113523).
- commit a0c11b1
* Thu Dec  6 2018 tiwai@suse.de
- Move dell_rbu fix to sorted section (bsc#1087978).
- commit cbdb29d
* Thu Dec  6 2018 tiwai@suse.de
- platform/x86: intel_pmc_core: Decode Snoop / Non Snoop LTR
  (FATE#326311).
- platform/x86: intel_pmc_core: Fix LTR IGNORE Max offset
  (FATE#326311).
- platform/x86: intel_pmc_core: Show Latency Tolerance info
  (FATE#326311).
- commit 29ad0ed
* Thu Dec  6 2018 tiwai@suse.de
- platform/x86: intel_pmc_core: Add CNP SLPS0 debug registers
  (FATE#326311).
- commit 05316b9
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: modify parameter of tcpci_irq (FATE#326325).
- commit d343ef7
* Thu Dec  6 2018 hare@suse.de
- scsi: 3w-xxxx: fix a missing-check bug (bsc#1118139).
- scsi: 3w-9xxx: fix a missing-check bug (bsc#1118139).
- scsi: megaraid: silence a static checker bug (bsc#1118139).
- scsi: qla2xxx: remove the unused tcm_qla2xxx_cmd_wq
  (bsc#1118139).
- scsi: megaraid_sas: fix spelling mistake: "disbale" -> "disable"
  (bsc#1118139).
- scsi: esas2r: fix spelling mistake: "asynchromous" ->
  "asynchronous" (bsc#1118139).
- scsi: isci: remove redundant check on
  in_connection_align_insertion_frequency (bsc#1118139).
- scsi: scsi_transport_sas: don't bounce highmem pages for the
  smp handler (bsc#1118139).
- scsi: ips: fix firmware timestamps for 32-bit (bsc#1118139).
- scsi: esas2r: use ktime_get_real_seconds() (bsc#1118139).
- scsi: st: Replace GFP_ATOMIC with GFP_KERNEL in (bsc#1118139).
- scsi: st: Replace GFP_ATOMIC with GFP_KERNEL in st_probe
  (bsc#1118139).
- scsi: devinfo: BLIST_RETRY_ASC_C1 for Fujitsu ETERNUS
  (bsc#1118139).
- scsi: devinfo: add BLIST_RETRY_ITF for EMC Symmetrix
  (bsc#1118139).
- scsi: devinfo: warn on undefined blist flags (bsc#1118139).
- scsi: devinfo: change blist_flag_t to 64bit (bsc#1118139).
- scsi: devinfo: use const_ilog2 for array indices (bsc#1118139).
- scsi: ilog2: create truly constant version for sparse
  (bsc#1118139).
- scsi: sd_zbc: Let the SCSI core handle ILLEGAL REQUEST / ASC
  (bsc#1118139).
- scsi: sd_zbc: Change the type of the ZBC fields into u32
  (bsc#1118139).
- scsi: iscsi_tcp: don't set a bounce limit (bsc#1118139).
- scsi: scsi_dh: replace too broad "TP9" string with the exact
  models (bsc#1118139).
- scsi: devinfo: delete duplicate "Generic"/"USB Storage-SMC"
  (bsc#1118139).
- scsi: megaraid_sas: driver version upgrade (bsc#1118139).
- scsi: megaraid_sas: Increase timeout by 1 sec for non-RAID
  fastpath IOs (bsc#1118139).
- scsi: libsas: add transport class for ATA devices (bsc#1118139).
- scsi: reduce use of block bounce buffers (bsc#1118139).
- scsi/osd: remove the gfp argument to osd_start_request
  (bsc#1118139).
- scsi: vmw-pvscsi: return DID_BUS_BUSY for adapter-initated
  aborts (bsc#1118139).
- scsi: isci: Fix infinite loop in while loop (bsc#1118139).
- scsi: sd: Defer spinning up drive while SANITIZE is in progress
  (bsc#1118139).
- scsi: fnic: fix spelling mistake in fnic stats "Abord" ->
  "Abort" (bsc#1118139).
- scsi: iscsi: respond to netlink with unicast when appropriate
  (bsc#1118139).
- scsi: devinfo: Add Microsoft iSCSI target to 1024 sector
  (bsc#1118139).
- scsi: core: Make scsi_result_to_blk_status() recognize CONDITION
  MET (bsc#1118139).
- scsi: core: Rename __scsi_error_from_host_byte() into
  scsi_result_to_blk_status() (bsc#1118139).
- scsi: scsi_dh: Don't look for NULL devices handlers by name
  (bsc#1118139).
- scsi: core: remove redundant assignment to shost->use_blk_mq
  (bsc#1118139).
- commit d12855d
* Thu Dec  6 2018 yousaf.kaukab@suse.com
- dpaa_eth: add ethtool coalesce control (fate#326531).
- soc/qman: add return value to interrupt coalesce changing APIs
  (fate#326531).
- soc: fsl: qbman: read ithresh from HW (fate#326531).
- dpaa_eth: Remove useless declaration (fate#326531).
- net: freescale: fix return type of ndo_start_xmit function
  (fate#326531).
- freescale: ethernet: remove unnecessary unlikely()
  (fate#326531).
- dpaa_eth: add the get_ts_info interface for ethtool
  (fate#326531).
- dpaa_eth: add support for hardware timestamping (fate#326531).
- fsl/fman: define frame description command UPD (fate#326531).
- fsl/fman_port: support getting timestamp (fate#326531).
- fsl/fman: add set_tstamp interface (fate#326531).
- fsl/fman: share the event interrupt (fate#326531).
- dpaa_eth: DPAA SGT needs to be 256B (fate#326531).
- fsl/fman: fix parser reporting bad checksum on short frames
  (fate#326531).
- fsl/fman_port: remove redundant check on port->rev_info.major
  (fate#326531).
- fsl/fman: remove unnecessary set_dma_ops() call and HAS_DMA
  dependency (fate#326531).
- dpaa_eth: use true and false for boolean values (fate#326531).
- dpaa_eth: Add allmulti option (fate#326531).
- dpaa_eth: refactor frag count checking (fate#326531).
- dpaa_eth: make sure all Rx errors are counted (fate#326531).
- dpaa_eth: fix SG mapping (fate#326531).
- dpaa_eth: fix pause capability advertisement logic
  (fate#326531).
- dpaa_eth: fix incorrect comment (fate#326531).
- dpaa_eth: fix error in dpaa_remove() (fate#326531).
- fsl/fman: avoid sleeping in atomic context while adding an
  address (fate#326531).
- fsl/fman_port: mark expected switch fall-throughs (fate#326531).
- fsl/fman: Remove a useless 'dev_err()' call (fate#326531).
- fsl/fman: Add a missing 'of_node_put()' call in an error
  handling path (fate#326531).
- fsl/fman: Remove some useless code (fate#326531).
- fsl/fman: Remove a useless call to 'dev_set_drvdata()'
  (fate#326531).
- dpaa_eth: fix error return code in dpaa_eth_probe()
  (fate#326531).
- dpaa_eth: avoid uninitialized variable false-positive warning
  (fate#326531).
- net: dpaa: remove init which already done in per-cpu allocation
  (fate#326531).
- net: dpaa: fix maybe uninitialized var in dpaa_open()
  (fate#326531).
- dpaa_eth: remove obsolete comment (fate#326531).
- fsl/fman: add dpaa in module names (fate#326531).
- dpaa_eth: cleanup dpaa_eth_probe() error paths (fate#326531).
- dpaa_eth: change device used (fate#326531).
- dpaa_eth: move of_phy_connect() to the eth driver (fate#326531).
- fsl/fman: remove of_node (fate#326531).
- fsl/fman: make arrays port_ids static, reduces object code size
  (fate#326531).
- dpaa_eth: check allocation result (fate#326531).
- dpaa_eth: add NETIF_F_RXHASH (fate#326531).
- dpaa_eth: enable Rx hashing control (fate#326531).
- dpaa_eth: use multiple Rx frame queues (fate#326531).
- fsl/fman: enable FMan Keygen (fate#326531).
- fsl/fman: move struct fman to header file (fate#326531).
- net: dpaa_eth: constify platform_device_id (fate#326531).
- fsl/fman: implement several errata workarounds (fate#326531).
- commit cc894b2
* Thu Dec  6 2018 yousaf.kaukab@suse.com
- blacklist: dpaa: remove 88075256ee81 before full backport
- commit ff05fec
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: handle vendor defined part and modify drp
  toggling flow (FATE#326325).
- commit 0a91fb5
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: fix endianness mismatch identified by sparse
  (FATE#326325).
- commit 3d83847
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpci: mark expected switch fall-through in
  tcpci_to_typec_cc (FATE#326325).
- commit 6eb356e
* Thu Dec  6 2018 oneukum@suse.com
- typec: tcpm: Move out of staging (FATE#326325).
- Refresh
  patches.fixes/0001-typec-tcpm-Fix-a-msecs-vs-jiffies-bug.patch.
- commit bf9bf2b
* Thu Dec  6 2018 hare@suse.de
- scsi: qla2xxx: fx00 copypaste typo (bsc#1118139).
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-small-memory-leak-in-qla2x00_probe_.patch.
- commit 6c65ae4
* Thu Dec  6 2018 hare@suse.de
- scsi: qla2xxx: fix error message on <qla2400 (bsc#1118139).
- commit cd3ca51
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: pd: Document struct pd_message (FATE#326325).
- commit 479f7c3
* Thu Dec  6 2018 hare@suse.de
- scsi: devinfo: remove dasd devices from the scsi subsystem
  (bsc#1118139).
- scsi: devinfo: remove DF arrays from HP (bsc#1118139).
- scsi: devinfo: add HP DISK-SUBSYSTEM device, for HP XP arrays
  (bsc#1118139).
- scsi: qla2xxx: fix spelling mistake: "existant" -> "existent"
  (bsc#1118139).
- scsi: esas2r: remove initialization / cleanup dead wood
  (bsc#1118139).
- scsi: core: unexport scsi_host_set_state (bsc#1118139).
- scsi: bfa: remove VLA (bsc#1118139).
- scsi: aic7xxx: aic79xx: remove VLAs (bsc#1118139).
- scsi: scsi_dh_alua: Correct comment for alua_alloc_pg()
  (bsc#1118139).
- scsi: ips: don't set .detect and .release in the host
  (bsc#1118139).
- scsi: device_handler: remove VLAs (bsc#1118139).
- commit cafe24f
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpm: Document data structures (FATE#326325).
- commit 746cb36
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpm: Drop commented out code (FATE#326325).
- commit 32372b7
* Thu Dec  6 2018 hare@suse.de
- scsi: lpfc: Fix NVME Initiator FirstBurst (bsc#1118139).
- Refresh
  patches.drivers/scsi-lpfc-correct-oversubscription-of-nvme-io-requests-for-an-adapter.patch.
- Refresh
  patches.drivers/scsi-lpfc-fix-null-pointer-access-in-lpfc_nvme_info_show.patch.
- commit ca9e2a5
* Thu Dec  6 2018 dchang@suse.com
- cnic: use kvzalloc to allocate memory for csk_tbl (bsc#1104423
  FATE#325902).
- cnic: remove redundant pointer req and variable func
  (bsc#1104423 FATE#325902).
- cnic: tidy up a size calculation (bsc#1104423 FATE#325902).
- commit dd55228
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpm: Add get_current_limit tcpc_dev callback
  (FATE#326325).
- commit 36e5155
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpm: Switch to PORT_RESET instead of
  SNK_UNATTACHED (FATE#326325).
- commit 6ab5f96
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpm: Do not send PING msgs in TCPM
  (FATE#326325).
- commit 76b51a3
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpm: typec: tcpm: Wait for CC debounce before
  PD excg (FATE#326325).
- commit 11afb09
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpm: add cc change handling in src states
  (FATE#326325).
- commit a1fc50c
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpm: Consider port_type while determining
  unattached_state (FATE#326325).
- commit e68502a
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpm: Comply with TryWait.SNK State
  (FATE##26325).
- commit d03861f
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpm: Follow Try.SRC exit requirements
  (FATE#326325).
- commit 17047b9
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpm: Check for Rp for tPDDebounce (FATE#26325).
- commit e57e70a
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpm: Prevent TCPM from looping in SRC_TRYWAIT
  (FATE#326325).
- commit 32b7090
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpm: Check for port type for Try.SRC/Try.SNK
  (FATE#326325).
- commit 61170ff
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpm: set port type callback (FATE#326325).
- commit bb3aadf
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: Add __printf verification (FATE#326325).
- commit 1497d34
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpm: make function tcpm_get_pwr_opmode
  (FATE#326325).
- commit cb5be10
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpm: explicit_contract is always established
  (FATE#326325).
- commit cd7925d
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpm: Report right typec_pwr_opmode
  (FATE#326325).
- commit 11f84ff
* Thu Dec  6 2018 oneukum@suse.com
- staging: typec: tcpm: Check cc status before entering
  SRC_TRY_DEBOUCE (FATE#326325).
- commit 20c6610
* Wed Dec  5 2018 oneukum@suse.com
- staging: typec: tcpm: Improve role swap with non PD capable
  partners (FATE#326325).
- commit a9d37dd
* Wed Dec  5 2018 oneukum@suse.com
- staging: typec: tcpm: Add timeout when waiting for role swap
  completion (FATE#326325).
- commit bde78b5
* Wed Dec  5 2018 oneukum@suse.com
- staging: typec: tcpm: Select default state based on port type
  (FATE#326325).
- commit f7a66fa
* Wed Dec  5 2018 oneukum@suse.com
- staging: typec: tcpm: Set default state after error recovery
  based on port type (FATE#326325).
- commit 555a250
* Wed Dec  5 2018 oneukum@suse.com
- staging: typec: tcpm: Report role swap complete after entering
  READY state (FATE#326325).
- commit 103f090
* Wed Dec  5 2018 oneukum@suse.com
- staging: typec: tcpm: Constify alternate modes (FATE#326325).
- commit 7813eaa
* Wed Dec  5 2018 oneukum@suse.com
- staging: typec: Fix endianness warning discovered by sparse
  (FATE#326325).
- commit 53cab3f
* Wed Dec  5 2018 tiwai@suse.de
- usb: xhci: Prevent bus suspend if a port connect change or
  polling state is detected (bsc#1051510).
- usb: xhci: fix uninitialized completion when USB3 port got
  wrong status (bsc#1051510).
- commit 9ec64cd
* Wed Dec  5 2018 tiwai@suse.de
- termios, tty/tty_baudrate.c: fix buffer overrun (bsc#1051510).
- commit b668b0f
* Wed Dec  5 2018 tiwai@suse.de
- rtc: hctosys: Add missing range error reporting (bsc#1051510).
- commit 4bb0c35
* Wed Dec  5 2018 tiwai@suse.de
- tmpfs: make lseek(SEEK_DATA/SEK_HOLE) return ENXIO with a
  negative offset (bsc#1051510).
- commit a7d3616
* Wed Dec  5 2018 tiwai@suse.de
- efi: Move some sysfs files to be read-only by root
  (bsc#1051510).
- commit 7977ec7
* Wed Dec  5 2018 oneukum@suse.com
- usb: typec: Start using ERR_PTR (FATE#326325).
- commit c7bd1e3
* Wed Dec  5 2018 tbogendoerfer@suse.de
- devlink: fix incorrect return statement (bsc#1109837).
- Refresh
  patches.drivers/devlink-Add-helper-function-for-safely-copy-string-p.patch.
- Refresh
  patches.drivers/devlink-Add-support-for-creating-and-destroying-regi.patch.
- commit 9d86ee5
* Wed Dec  5 2018 tbogendoerfer@suse.de
- IB/rxe: remove redudant qpn check (bsc#1103992 FATE#326009).
- mlxsw: spectrum_buffers: Set up a dedicated pool for BUM traffic
  (bsc#1112374).
- vhost: fix VHOST_GET_BACKEND_FEATURES ioctl request definition
  (bsc#1109837).
- cpumask: make cpumask_next_wrap available without smp
  (bsc#1109837).
- net: Provide stub for __netif_set_xps_queue if there is no
  CONFIG_XPS (bsc#1109837).
- tools: include reallocarray feature test in FEATURE_TESTS_BASIC
  (bsc#1109837).
- netfilter: fix use-after-free in NF_HOOK_LIST (bsc#1109837).
- lib/find_bit_benchmark.c: avoid soft lockup in
  test_find_first_bit() (bsc#1109837).
- SUNRPC: Fix a race in the receive code path (bsc#1103992
  FATE#326009).
- SUNRPC: fix a list corruption issue in xprt_release()
  (bsc#1103992 FATE#326009).
- lib/test_bitmap.c: use ULL suffix for 64-bit constants
  (bsc#1109837).
- commit 756eed6
* Wed Dec  5 2018 hare@suse.de
- scsi: ufs: Schedule clk gating work on correct queue
  (bsc#1118139).
- scsi: ufs: remove unnecessary query(DM) UPIU trace
  (bsc#1118139).
- commit 44e1d7d
* Wed Dec  5 2018 hare@suse.de
- supported.conf: mark ufshcd-core as supported
- commit a429eb1
* Wed Dec  5 2018 oneukum@suse.com
- usb: add user selectable option for the whole USB Type-C Support
  (FATE#326325).
- usb: typec: tcpm: reset the port on removal (FATE#326325).
- commit 5b87e78
* Wed Dec  5 2018 hare@suse.de
- scsi: core: Make SCSI Status CONDITION MET equivalent to GOOD
  (bsc#1118139).
- scsi: iscsi_tcp: set BDI_CAP_STABLE_WRITES when data digest
  (bsc#1118139).
- scsi: sd: Remember that READ CAPACITY(16) succeeded
  (bsc#1118139).
- scsi: virtio_scsi: unify scsi_host_template (bsc#1118139).
- scsi: virtio_scsi: fix IO hang caused by automatic irq vector
  (bsc#1118139).
- scsi: core: introduce force_blk_mq (bsc#1118139).
- scsi: megaraid_sas: fix selection of reply queue (bsc#1118139).
- scsi: bfa: use ARRAY_SIZE for array sizing calculation on
  (bsc#1118139).
- scsi: doc: fix iscsi-related kernel-doc warnings (bsc#1118139).
- st: use get_user_pages_fast() (bsc#1118139).
- scsi: scsi_transport_iscsi: fix spelling mistake: 'Cound' ->
  (bsc#1118139).
- commit a79ca18
* Wed Dec  5 2018 oneukum@suse.com
- staging: typec: tcpm: Rewrite comparison to NULL pointer
  (FATE#326325).
- commit 7b590cc
* Wed Dec  5 2018 tbogendoerfer@suse.de
- blacklist.conf: updated temporary blacklists
- commit 3de0b8b
* Wed Dec  5 2018 mbenes@suse.cz
- blacklist.conf: Blacklist objtool inat.h sync fix
  Not needed. We do not have 32d0b95300db03c2b23b2ea2c94769a4a138e79d.
- commit e3e06b4
* Wed Dec  5 2018 tbogendoerfer@suse.de
- net: allow ndo_select_queue to pass netdev (bsc#1109837).
- Refresh
  patches.drivers/net-ena-remove-ndo_poll_controller.patch.
- commit 55014b9
* Wed Dec  5 2018 hare@suse.de
- scsi: core: use blk_mq_requeue_request in __scsi_queue_insert
  (bsc#1118139).
- scsi: sd: Documentation: add sd-parameters.txt (bsc#1118139).
- scsi: atp870u: 64 bit bug in atp885_init() (bsc#1118139).
- scsi: mvsas: fix wrong endianness of sgpio api (bsc#1118139).
- scsi: sd_zbc: Fix sd_zbc_get_seq_zones() kernel-doc header
  (bsc#1118139).
- scsi: core: fix two wrong indentation cases (bsc#1118139).
- scsi: libsas: Fix kernel-doc headers (bsc#1118139).
- scsi: scsi_transport_spi: make two const arrays static,
  (bsc#1118139).
- scsi: core: Reduce number of scsi_test_unit_ready() retries
  (bsc#1118139).
- scsi: core: Move the eh_deadline module parameter definition
  (bsc#1118139).
- scsi: core: scmd_eh_abort_handler(): Add a comment
  (bsc#1118139).
- scsi: isci: remove redundant initialization to 'bit'
  (bsc#1118139).
- scsi: libfc: remove redundant initialization of 'disc'
  (bsc#1118139).
- scsi: qla2xxx: Fix function argument descriptions (bsc#1118139).
- scsi: qla2xxx: Remove unused symbols (bsc#1118139).
- scsi: qla2xxx: Use %%p for printing pointers (bsc#1118139).
- scsi: sd: Keep disk read-only when re-reading partition
  (bsc#1118139).
- scsi: sd_zbc: Fix potential memory leak (bsc#1118139).
- scsi: core: Avoid that ATA error handling can trigger a
  (bsc#1118139).
- scsi: scsi_dh: Document alua_rtpg_queue() arguments
  (bsc#1118139).
- scsi: aic7xxx: remove aiclib.c (bsc#1118139).
- scsi: sym53c8xx_2: iterator underflow in sym_getsync()
  (bsc#1118139).
- scsi: bnx2fc: Fix check in SCSI completion handler for timed
  out request (bsc#1118139).
- scsi: qla2xxx: Fix memory corruption during hba reset test
  (bsc#1118139).
- commit f9bacf5
* Wed Dec  5 2018 tiwai@suse.de
- supported.conf: Add Intel ISH modules (FATE#326792)
- commit 923bcc5
* Wed Dec  5 2018 tiwai@suse.de
- Update config files: Enable configs for Intel ISH support (FATE#326792)
- commit 7651561
* Wed Dec  5 2018 tiwai@suse.de
- PCI: Fix enabling of PASID on RC integrated endpoints
  (FATE#326145).
- commit 35888d3
* Wed Dec  5 2018 tiwai@suse.de
- PCI/AER: Work around use-after-free in pcie_do_fatal_recovery()
  (FATE#326145).
- commit 5aa2406
* Wed Dec  5 2018 tbogendoerfer@suse.de
- net/smc: Simplify ib_post_(send|recv|srq_recv)() calls
  (bsc#1103992 FATE#326009).
- net/smc: Replace ib_query_gid with rdma_get_gid_attr
  (bsc#1103992 FATE#326009).
- net/smc: terminate link group for ib_post_send problems
  (bsc#1103992 FATE#326009).
- net/smc: replace function pointer get_netdev() (bsc#1103992
  FATE#326009).
- net/smc: add missing dev_put (bsc#1103992 FATE#326009).
- commit 8ca3067
* Wed Dec  5 2018 tiwai@suse.de
- PCI: Add support for Immediate Readiness (FATE#326145).
- commit 7b4245f
* Wed Dec  5 2018 tiwai@suse.de
- PCI: pciehp: Obey compulsory command delay after resume
  (FATE#326145).
- Refresh
  patches.drivers/0001-PCI-pciehp-Unify-controller-and-slot-structs.patch.
- commit e608e5b
* Wed Dec  5 2018 tiwai@suse.de
- Correct wrongly applied pciehp patches
  Refresh
  patches.drivers/0001-PCI-pciehp-Deduplicate-presence-check-on-probe-resum.patch
  patches.drivers/0001-PCI-pciehp-Disable-hotplug-interrupt-during-suspend.patch
  patches.drivers/0001-PCI-pciehp-Unify-controller-and-slot-structs.patch
- commit cdd3802
* Wed Dec  5 2018 tiwai@suse.de
- PCI: pciehp: Always enable occupied slot on probe (FATE#326145).
- commit 04f9e55
* Wed Dec  5 2018 tiwai@suse.de
- PCI: pciehp: Tolerate initially unstable link (FATE#326145).
- commit 5b2e369
* Wed Dec  5 2018 tbogendoerfer@suse.de
- Update config files.
- supported.conf: added sch_skbprio and mlxreg_io
- commit 2ce94fe
* Wed Dec  5 2018 tbogendoerfer@suse.de
- act_ife: fix a potential deadlock (bsc#1109837).
- Refresh
  patches.suse/net-sched-action_ife-take-reference-to-meta-module.patch.
- commit 75a8e69
* Wed Dec  5 2018 tbogendoerfer@suse.de
- act_ife: move tcfa_lock down to where necessary (bsc#1109837).
- Refresh
  patches.suse/net-sched-action_ife-take-reference-to-meta-module.patch.
- commit eb5c77f
* Wed Dec  5 2018 tbogendoerfer@suse.de
- rdma/cxgb4: Fix SRQ endianness annotations (bsc#1104276
  FATE#325935).
- Refresh patches.drivers/cxgb4-fix-abort_req_rss6-struct.patch.
- commit 92ba7f4
* Wed Dec  5 2018 hare@suse.de
- scsi: megaraid: use ktime_get_real for firmware time
  (bsc#1118139).
- Refresh
  patches.drivers/scsi-megaraid_sas-Do-not-use-32-bit-atomic-request-d.patch.
- commit f02bb98
* Wed Dec  5 2018 hare@suse.de
- scsi: core: Add VENDOR_SPECIFIC sense code definitions
  (bsc#1118139).
- scsi: fas216: fix sense buffer initialization (bsc#1118139).
- scsi: ibmvfc: Remove unneeded semicolons (bsc#1118139).
- scsi: fnic: use 64-bit timestamps (bsc#1118139).
- scsi: devinfo: fix format of the device list (bsc#1118139).
- commit 23c91e0
* Wed Dec  5 2018 hare@suse.de
- scsi: mptfusion: Use snprintf() instead of open coded
  (bsc#1118139).
- scsi: fnic: use kzalloc in fnic_fcoe_process_vlan_resp
  (bsc#1118139).
- scsi: core: Change third __scsi_queue_insert() argument from
  int to bool (bsc#1118139).
- commit 71fc837
* Wed Dec  5 2018 pmladek@suse.com
- panic: avoid deadlocks in re-entrant console drivers
  (bsc#1088386).
- commit a547974
* Wed Dec  5 2018 hare@suse.de
- scsi: scsi_dh_alua: skip RTPG for devices only supporting
  (bsc#1118139).
- commit ffdc453
* Wed Dec  5 2018 hare@suse.de
- scsi: sd: Remove zone write locking (bsc#1118139).
- scsi: sd_zbc: Initialize device request queue zoned data
  (bsc#1118139).
- scsi: scsi-mq-debugfs: Show more information (bsc#1118139).
- scsi: mptfusion: use strlcpy() instead of strncpy()
  (bsc#1118139).
- scsi: libsas: initialize sas_phy status according to response
  (bsc#1118139).
- commit 0eaeff3
* Wed Dec  5 2018 hare@suse.de
- scsi: core: doc. fixes to scsi_common.c (bsc#1118139).
- scsi: dh: Remove scsi_dh_remove_device() (bsc#1118139).
- scsi: core: Unexport scsi_initialize_rq() (bsc#1118139).
- scsi: bnx2fc: fix spelling mistake: "Couldnt" -> "Couldn't"
  (bsc#1118139).
- scsi: sd: add missing KERN_CONT for disk spin-up (bsc#1118139).
- scsi: fnic: Fix coccinelle warnings (bsc#1118139).
- scsi: st: fix kernel-doc mismatch (bsc#1118139).
- scsi: core: Use blist_flags_t consistently (bsc#1118139).
- scsi: lpfc: fix kzalloc-simple.cocci warnings (bsc#1118139).
- commit 2bd141e
* Wed Dec  5 2018 hare@suse.de
- scsi: fix some kernel-doc markups (bsc#1118139).
- Refresh
  patches.drivers/scsi-fix-typos-and-grammar-in-comments-of-scsi_trans.patch.
- commit 4cb323b
* Wed Dec  5 2018 hare@suse.de
- scsi: scsi_debug: Fix memory leak on module unload
  (bsc#1118139).
- scsi: scsi_debug: IMMED related delay adjustments (bsc#1118139).
- commit bd23ecd
* Wed Dec  5 2018 hare@suse.de
- scsi: scsi_debug: implement IMMED bit (bsc#1118139).
- Refresh
  patches.drivers/scsi-scsi_debug-call-resp_-function-after-setting-host_scribble.patch.
- commit 0618c5b
* Wed Dec  5 2018 hare@suse.de
- scsi: scsi_debug: Fix pointer styling issues (bsc#1118139).
- scsi: scsi_debug: Add two new parameters to scsi_debug driver
  (bsc#1118139).
- scsi: scsi_debug: Simplify request tag decoding (bsc#1118139).
- commit a1337fa
* Wed Dec  5 2018 hare@suse.de
- scsi: scsi_debug: delay stress fix (bsc#1118139).
- scsi: scsi_debug: call resp_*() function after setting
  host_scribble (bsc#1069138).
- commit d23dcf3
* Wed Dec  5 2018 hare@suse.de
- scsi: scsi_debug: add resp_write_scat function (bsc#1118139).
- scsi: scsi_debug: ARRAY_SIZE and FF_MEDIA_IO (bsc#1118139).
- scsi: scsi_debug: do_device_access add sg offset argument
  (bsc#1118139).
- scsi: scsi_debug: fix group_number mask (bsc#1118139).
- scsi: scsi_debug: tab, kstrto changes (bsc#1118139).
- scsi: scsi_debug: Add support for injecting (bsc#1118139).
- scsi: scsi_debug: add cdb_len parameter (bsc#1118139).
- scsi: scsi_debug: remove jiffies_to_timespec (bsc#1118139).
- commit 26cf4de
* Tue Dec  4 2018 tbogendoerfer@suse.de
- net: fix pskb_trim_rcsum_slow() with odd trim offset
  (bsc#1109837).
- mlxsw: core: Fix use-after-free when flashing firmware during
  init (bsc#1112374).
- nfp: flower: use offsets provided by pedit instead of index
  for ipv6 (bsc#1109837).
- nfp: flower: fix multiple keys per pedit action (bsc#1109837).
- nfp: flower: fix pedit set actions for multiple partial masks
  (bsc#1109837).
- qed: fix spelling mistake "Ireelevant" -> "Irrelevant"
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- net/mlx5: WQ, fixes for fragmented WQ buffers API (bsc#1103990
  FATE#326006).
- net/mlx5: Fix memory leak when setting fpga ipsec caps
  (bsc#1103990 FATE#326006).
- net/sched: cls_api: add missing validation of netlink attributes
  (bsc#1109837).
- ethtool: fix a missing-check bug (bsc#1109837).
- xsk: do not call synchronize_net() under RCU read lock
  (bsc#1109837).
- RDMA/ucma: Fix Spectre v1 vulnerability (bsc#1103992
  FATE#326009).
- IB/ucm: Fix Spectre v1 vulnerability (bsc#1103992 FATE#326009).
- IB/mlx5: Unmap DMA addr from HCA before IOMMU (bsc#1103991
  FATE#326007).
- net/mlx4_core: Fix warnings during boot on driverinit param
  set failures (bsc#1103989 FATE#326004).
- net: make skb_partial_csum_set() more robust against overflows
  (bsc#1109837).
- devlink: Add helper function for safely copy string param
  (bsc#1109837).
- devlink: Fix param cmode driverinit for string type
  (bsc#1109837).
- devlink: Fix param set handling for string type (bsc#1109837).
- net: sched: cls_u32: fix hnode refcounting (bsc#1109837).
- net: sched: Add policy validation for tc attributes
  (bsc#1109837).
- net: cxgb3_main: fix a missing-check bug (bsc#1109837).
- bpf: don't accept cgroup local storage with zero value size
  (bsc#1109837).
- bpf: harden flags check in cgroup_storage_update_elem()
  (bsc#1109837).
- bnxt_en: get the reduced max_irqs by the ones used by RDMA
  (bsc#1104745 FATE#325918).
- bnxt_en: Fix enables field in HWRM_QUEUE_COS2BW_CFG request
  (bsc#1104745 FATE#325918).
- bnxt_en: Fix VNIC reservations on the PF (bsc#1104745
  FATE#325918).
- mlxsw: spectrum: Delete RIF when VLAN device is removed
  (bsc#1112374).
- mlxsw: pci: Derive event type from event queue number
  (bsc#1112374).
- ixgbe: check return value of napi_complete_done() (bsc#1113994
  FATE#326315 FATE#326317).
- net/mlx5e: Avoid unbounded peer devices when unpairing TC
  hairpin rules (bsc#1103990 FATE#326006).
- nfp: avoid soft lockups under control message storm
  (bsc#1109837).
- tun: napi flags belong to tfile (bsc#1109837).
- tun: initialize napi_mutex unconditionally (bsc#1109837).
- tun: remove unused parameters (bsc#1109837).
- net: sched: act_ipt: check for underflow in __tcf_ipt_init()
  (bsc#1109837).
- virtio_net: remove ndo_poll_controller (bsc#1109837).
- netpoll: do not test NAPI_STATE_SCHED in poll_one_napi()
  (bsc#1109837).
- qed: Avoid implicit enum conversion in qed_iwarp_parse_rx_pkt
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- qed: Avoid constant logical operation warning in
  qed_vf_pf_acquire (bsc#1104393 FATE#325891 bsc#1104389
  FATE#325890).
- qed: Avoid implicit enum conversion in qed_roce_mode_to_flavor
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- qed: Fix mask parameter in qed_vf_prep_tunn_req_tlv (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- qed: Avoid implicit enum conversion in qed_set_tunn_cls_info
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- qed: fix spelling mistake "toogle" -> "toggle" (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- net: core: add member wol_enabled to struct net_device
  (bsc#1109837).
- RDMA/core: Set right entry state before releasing reference
  (bsc#1103992 FATE#326009).
- IB/mlx5: Destroy the DEVX object upon error flow (bsc#1103991
  FATE#326007).
- IB/uverbs: Free uapi on destroy (bsc#1103992 FATE#326009).
- IB/hfi1: Fix destroy_qp hang after a link down (bsc#1114685
  FATE#325854).
- IB/hfi1: Fix context recovery when PBC has an UnsupportedVL
  (bsc#1114685 FATE#325854).
- IB/hfi1: Invalid user input can result in crash (bsc#1114685
  FATE#325854).
- IB/hfi1: Fix SL array bounds check (bsc#1114685 FATE#325854).
- RDMA/uverbs: Fix validity check for modify QP (bsc#1103992
  FATE#326009).
- IB/srp: Avoid that sg_reset -d ${srp_device} triggers an
  infinite loop (bsc#1103992 FATE#326009).
- ucma: fix a use-after-free in ucma_resolve_ip() (bsc#1103992
  FATE#326009).
- RDMA/uverbs: Atomically flush and mark closed the comp event
  queue (bsc#1103992 FATE#326009).
- bpf: test_maps, only support ESTABLISHED socks (bsc#1109837).
- bpf: sockmap, fix transition through disconnect without close
  (bsc#1109837).
- bpf: sockmap only allow ESTABLISHED sock state (bsc#1109837).
- tun: remove ndo_poll_controller (bsc#1109837).
- nfp: remove ndo_poll_controller (bsc#1109837).
- bnxt: remove ndo_poll_controller (bsc#1104745 FATE#325918).
- mlx5: remove ndo_poll_controller (bsc#1103990 FATE#326006).
- mlx4: remove ndo_poll_controller (bsc#1103989 FATE#326004).
- i40evf: remove ndo_poll_controller (bsc#1111981 FATE#326312
  FATE#326313).
- ixgbevf: remove ndo_poll_controller (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbe: remove ndo_poll_controller (bsc#1113994 FATE#326315
  FATE#326317).
- netpoll: make ndo_poll_controller() optional (bsc#1109837).
- net-ethtool: ETHTOOL_GUFO did not and should not require
  CAP_NET_ADMIN (bsc#1109837).
- net/mlx4: Use cpumask_available for eq->affinity_mask
  (bsc#1103989 FATE#326004).
- devlink: double free in devlink_resource_fill() (bsc#1109837).
- bnxt_en: don't try to offload VLAN 'modify' action (bsc#1104745
  FATE#325918).
- mlxsw: spectrum: Bump required firmware version (bsc#1112374).
- net: bnxt: Fix a uninitialized variable warning (bsc#1104745
  FATE#325918).
- net/mlx5e: TLS, Read capabilities only when it is safe
  (bsc#1103990 FATE#326006).
- net/mlx5: Check for SQ and not RQ state when modifying hairpin
  SQ (bsc#1103990 FATE#326006).
- net/mlx5: Fix read from coherent memory (bsc#1103990
  FATE#326006).
- tools lib bpf: Provide wrapper for strerror_r to build in
  !_GNU_SOURCE systems (bsc#1109837).
- tls: fix currently broken MSG_PEEK behavior (bsc#1109837).
- bpf: use __GFP_COMP while allocating page (bsc#1109837).
- bpf: btf: Fix end boundary calculation for type section
  (bsc#1109837).
- tls: clear key material from kernel memory when
  do_tls_setsockopt_conf fails (bsc#1109837).
- tls: zero the crypto information from tls_context before freeing
  (bsc#1109837).
- tls: don't copy the key out of tls12_crypto_info_aes_gcm_128
  (bsc#1109837).
- net_sched: notify filter deletion when deleting a chain
  (bsc#1109837).
- IB/hfi1,PCI: Allow bus reset while probing (bsc#1114685
  FATE#325854).
- PCI: Fix faulty logic in pci_reset_bus() (bsc#1114685
  FATE#325854).
- nfp: flower: reject tunnel encap with ipv6 outer headers for
  offloading (bsc#1109837).
- nfp: flower: fix vlan match by checking both vlan id and vlan
  pcp (bsc#1109837).
- net/tls: Set count of SG entries if sk_alloc_sg returns -ENOSPC
  (bsc#1109837).
- net_sched: properly cancel netlink dump on failure
  (bsc#1109837).
- net/mlx5: Fix possible deadlock from lockdep when adding fte
  to fg (bsc#1103990 FATE#326006).
- net/mlx5e: Ethtool steering, fix udp source port value
  (bsc#1103990 FATE#326006).
- net/mlx5: Consider PCI domain in search for next dev
  (bsc#1103990 FATE#326006).
- net/mlx5: Fix not releasing read lock when adding flow rules
  (bsc#1103990 FATE#326006).
- net/mlx5: Use u16 for Work Queue buffer strides offset
  (bsc#1103990 FATE#326006).
- net/mlx5: Use u16 for Work Queue buffer fragment size
  (bsc#1103990 FATE#326006).
- net/sched: fix memory leak in act_tunnel_key_init()
  (bsc#1109837).
- RDMA/mlx4: Ensure that maximal send/receive SGE less than
  supported by HW (bsc#1103988 FATE#326003).
- RDMA/cma: Protect cma dev list with lock (bsc#1103992
  FATE#326009).
- RDMA/uverbs: Fix error cleanup path of ib_uverbs_add_one()
  (bsc#1103992 FATE#326009).
- iw_cxgb4: only allow 1 flush on user qps (bsc#1104276
  FATE#325935).
- IB/core: Release object lock if destroy failed (bsc#1103992
  FATE#326009).
- RDMA/ucma: check fd type in ucma_migrate_id() (bsc#1103992
  FATE#326009).
- net/mlx5: Fix SQ offset in QPs with small RQ (bsc#1103990
  FATE#326006).
- bnxt_en: Fix firmware signaled resource change logic in open
  (bsc#1104745 FATE#325918).
- net: sched: null actions array pointer before releasing action
  (bsc#1109837).
- bpf: avoid misuse of psock when TCP_ULP_BPF collides with
  another ULP (bsc#1109837).
- tools/bpf: bpftool, add xskmap in map types (bsc#1109837).
- bpf: Fix bpf_msg_pull_data() (bsc#1109837).
- net_sched: reject unknown tcfa_action values (bsc#1109837).
- bpf: fix sg shift repair start offset in bpf_msg_pull_data
  (bsc#1109837).
- bpf: fix shift upon scatterlist ring wrap-around in
  bpf_msg_pull_data (bsc#1109837).
- bpf: fix msg->data/data_end after sg shift repair in
  bpf_msg_pull_data (bsc#1109837).
- bpf: fix several offset tests in bpf_msg_pull_data
  (bsc#1109837).
- bpf: sockmap, decrement copied count correctly in redirect
  error case (bsc#1109837).
- bpf, sockmap: fix psock refcount leak in bpf_tcp_recvmsg
  (bsc#1109837).
- bpf, sockmap: fix potential use after free in bpf_tcp_close
  (bsc#1109837).
- net: sched: return -ENOENT when trying to remove filter from
  non-existent chain (bsc#1109837).
- net: sched: fix extack error message when chain is failed to
  be created (bsc#1109837).
- crypto: chtls - fix null dereference chtls_free_uld()
  (bsc#1104270 FATE#325931).
- qed: fix spelling mistake "comparsion" -> "comparison"
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- mlxsw: spectrum_switchdev: Do not leak RIFs when removing bridge
  (bsc#1112374).
- ixgbe: fix driver behaviour after issuing VFLR (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: Prevent unsupported configurations with XDP (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: Replace GFP_ATOMIC with GFP_KERNEL (bsc#1113994
  FATE#326315 FATE#326317).
- tools: bpftool: return from do_event_pipe() on bad arguments
  (bsc#1109837).
- bpf: use per htab salt for bucket hash (bsc#1109837).
- bpf: sockmap: write_space events need to be passed to TCP
  handler (bsc#1109837).
- tls: possible hang when do_tcp_sendpages hits sndbuf is full
  case (bsc#1109837).
- bpf, sockmap: fix sock hash count in alloc_sock_hash_elem
  (bsc#1109837).
- bpf, sockmap: fix sock_hash_alloc and reject zero-sized keys
  (bsc#1109837).
- net_sched: fix unused variable warning in stmmac (bsc#1109837).
- net_sched: remove list_head from tc_action (bsc#1109837).
- net_sched: remove unused tcf_idr_check() (bsc#1109837).
- net_sched: remove unused parameter for tcf_action_delete()
  (bsc#1109837).
- net_sched: remove unnecessary ops->delete() (bsc#1109837).
- net_sched: improve and refactor tcf_action_put_many()
  (bsc#1109837).
- xprtrdma: Fix disconnect regression (bsc#1103992 FATE#326009).
- rpc: remove unneeded variable 'ret' in rdma_listen_handler
  (bsc#1103992 FATE#326009).
- svcrdma: Clean up Read chunk path (bsc#1103992 FATE#326009).
- svcrdma: Avoid releasing a page in svc_xprt_release()
  (bsc#1103992 FATE#326009).
- IB/ucm: fix UCM link error (bsc#1103992 FATE#326009).
- platform/mellanox: mlxreg-hotplug: Add hotplug hwmon uevent
  notification (bsc#1112374).
- platform/mellanox: mlxreg-hotplug: Improve mechanism of ASIC
  health discovery (bsc#1112374).
- platform/mellanox: Use 2-factor allocator calls (bsc#1112374).
- platform/mellanox: Introduce support for Mellanox register
  access driver (bsc#1112374).
- tracing: Add SPDX License format to bpf_trace.c (bsc#1109837).
- net: sched: always disable bh when taking tcf_lock
  (bsc#1109837).
- bpf: fix redirect to map under tail calls (bsc#1109837).
- tools/bpf: fix bpf selftest test_cgroup_storage failure
  (bsc#1109837).
- bpf, sockmap: fix sock_map_ctx_update_elem race with
  exist/noexist (bsc#1109837).
- bpf, sockmap: fix map elem deletion race with smap_stop_sock
  (bsc#1109837).
- bpf, sockmap: fix leakage of smap_psock_map_entry (bsc#1109837).
- tcp, ulp: add alias for all ulp modules (bsc#1109837).
- bpf: fix a rcu usage warning in bpf_prog_array_copy_core()
  (bsc#1109837).
- samples/bpf: all XDP samples should unload xdp/bpf prog on
  SIGTERM (bsc#1109837).
- net/xdp: Fix suspicious RCU usage warning (bsc#1109837).
- net/mlx5e: Delete unneeded function argument (bsc#1103990
  FATE#326006).
- net: sched: act_ife: always release ife action on init error
  (bsc#1109837).
- RDMA/hns: Fix usage of bitmap allocation functions return values
  (bsc#1104427 FATE#326416).
- IB/core: Change filter function return type from int to bool
  (bsc#1103992 FATE#326009).
- IB/core: Update GID entries for netdevice whose mac address
  changes (bsc#1103992 FATE#326009).
- IB/core: Add default GIDs of the bond master netdev (bsc#1103992
  FATE#326009).
- IB/core: Consider adding default GIDs of bond device
  (bsc#1103992 FATE#326009).
- IB/core: Delete lower netdevice default GID entries in bonding
  scenario (bsc#1103992 FATE#326009).
- IB/core: Avoid confusing del_netdev_default_ips (bsc#1103992
  FATE#326009).
- IB/core: Add comment for change upper netevent handling
  (bsc#1103992 FATE#326009).
- qedr: Add user space support for SRQ (bsc#1104376 FATE#325886).
- qedr: Add support for kernel mode SRQ's (bsc#1104376
  FATE#325886).
- qedr: Add wrapping generic structure for qpidr and adjust idr
  routines (bsc#1104376 FATE#325886).
- IB/mlx5: Fix leaking stack memory to userspace (bsc#1103991
  FATE#326007).
- IB/ucm: Fix compiling ucm.c (bsc#1103992 FATE#326009).
- IB/uverbs: Do not check for device disassociation during ioctl
  (bsc#1103992 FATE#326009).
- IB/uverbs: Remove struct uverbs_root_spec and all supporting
  code (bsc#1103992 FATE#326009).
- IB/uverbs: Use uverbs_api to unmarshal ioctl commands
  (bsc#1103992 FATE#326009).
- IB/uverbs: Use uverbs_alloc for allocations (bsc#1103992
  FATE#326009).
- IB/uverbs: Add a simple allocator to uverbs_attr_bundle
  (bsc#1103992 FATE#326009).
- IB/uverbs: Remove the ib_uverbs_attr pointer from each attr
  (bsc#1103992 FATE#326009).
- IB/uverbs: Provide implementation private memory for the
  uverbs_attr_bundle (bsc#1103992 FATE#326009).
- IB/uverbs: Use uverbs_api to manage the object type inside
  the uobject (bsc#1103992 FATE#326009).
- IB/uverbs: Build the specs into a radix tree at runtime
  (bsc#1103992 FATE#326009).
- IB/uverbs: Have the core code create the uverbs_root_spec
  (bsc#1103992 FATE#326009).
- IB/uverbs: Fix reading of 32 bit flags (bsc#1103992
  FATE#326009).
- RDMA/rxe: Set wqe->status correctly if an unexpected response
  is received (bsc#1103992 FATE#326009).
- iw_cxgb4: pass window scale in flowc work request (bsc#1104276
  FATE#325935).
- RDMA/mlx5: Fix shift overflow in mlx5_ib_create_wq (bsc#1103991
  FATE#326007).
- overflow.h: Add arithmetic shift helper (bsc#1103991
  FATE#326007).
- IB/ucm: Initialize sgid request GID attribute pointer
  (bsc#1103992 FATE#326009).
- IB/ipoib: Consolidate checking of the proposed child interface
  (bsc#1103992 FATE#326009).
- IB/ipoib: Maintain the child_intfs list from ndo_init/uninit
  (bsc#1103992 FATE#326009).
- IB/ipoib: Do not remove child devices from within the ndo_uninit
  (bsc#1103992 FATE#326009).
- IB/ipoib: Get rid of the sysfs_mutex (bsc#1103992 FATE#326009).
- RDMA/netdev: Use priv_destructor for netdev cleanup (bsc#1103992
  FATE#326009).
- IB/ipoib: Move init code to ndo_init (bsc#1103992 FATE#326009).
- IB/ipoib: Move all uninit code into ndo_uninit (bsc#1103992
  FATE#326009).
- IB/ipoib: Use cancel_delayed_work_sync for neigh-clean task
  (bsc#1103992 FATE#326009).
- IB/ipoib: Get rid of IPOIB_FLAG_GOING_DOWN (bsc#1103992
  FATE#326009).
- iw_cxgb4: Support FW write completion WR (bsc#1104276
  FATE#325935).
- iw_cxgb4: RDMA write with immediate support (bsc#1104276
  FATE#325935).
- rdma/cxgb4: fix some info leaks (bsc#1104276 FATE#325935).
- RDMA/hns: Support flush cqe for hip08 in kernel space
  (bsc#1104427 FATE#326416).
- IB/uverbs: Allow all DESTROY commands to succeed after
  disassociate (bsc#1103992 FATE#326009).
- IB/uverbs: Do not block disassociate during write() (bsc#1103992
  FATE#326009).
- IB/uverbs: Do not pass struct ib_device to the ioctl methods
  (bsc#1103992 FATE#326009).
- IB/uverbs: Do not pass struct ib_device to the write based
  methods (bsc#1103992 FATE#326009).
- IB/uverbs: Lower the test for ongoing disassociation
  (bsc#1103992 FATE#326009).
- IB/uverbs: Allow uobject allocation to work concurrently with
  disassociate (bsc#1103992 FATE#326009).
- IB/uverbs: Allow RDMA_REMOVE_DESTROY to work concurrently with
  disassociate (bsc#1103992 FATE#326009).
- IB/uverbs: Convert 'bool exclusive' into an enum (bsc#1103992
  FATE#326009).
- IB/uverbs: Consolidate uobject destruction (bsc#1103992
  FATE#326009).
- IB/uverbs: Make the write path destroy methods use the same
  flow as ioctl (bsc#1103992 FATE#326009).
- IB/uverbs: Remove rdma_explicit_destroy() from the ioctl methods
  (bsc#1103992 FATE#326009).
- RDMA: Fix return code check in rdma_set_cq_moderation
  (bsc#1103992 FATE#326009).
- rdma/cxgb4: Simplify a structure initialization (bsc#1104276
  FATE#325935).
- rdma/cxgb4: Remove a set-but-not-used variable (bsc#1104276
  FATE#325935).
- RDMA/core: Prefix _ib to IB/RoCE specific functions (bsc#1103992
  FATE#326009).
- RDMA/core: Simplify gid type check in cma_acquire_dev()
  (bsc#1103992 FATE#326009).
- RDMA/core: Avoid holding lock while initializing fields on stack
  (bsc#1103992 FATE#326009).
- RDMA/core: Return bool instead of int (bsc#1103992 FATE#326009).
- RDMA/cma: Get rid of 1 bit boolean (bsc#1103992 FATE#326009).
- RDMA/cma: Constify path record, ib_cm_event, listen_id pointers
  (bsc#1103992 FATE#326009).
- RDMA/core: Constify dst_addr argument (bsc#1103992 FATE#326009).
- RDMA/cma: Simplify rdma_resolve_addr() error flow (bsc#1103992
  FATE#326009).
- RDMA/cma: Initialize resource type in __rdma_create_id()
  (bsc#1103992 FATE#326009).
- RDMA/hns: Program the tclass and flow label into the hardware
  (bsc#1104427 FATE#326416).
- RDMA/hns: Use macro instead of magic number (bsc#1104427
  FATE#326416).
- RDMA/hns: Modify qp will return errno when qp type is illegal
  (bsc#1104427 FATE#326416).
- RDMA/hns: Assign the value for vlan field of qp context
  (bsc#1104427 FATE#326416).
- RDMA/hns: Only assgin the fields of the av if IB_QP_AV bit is
  set (bsc#1104427 FATE#326416).
- RDMA/providers: Remove pointless functions (bsc#1103992
  FATE#326009).
- RDMA/core: Check for verbs callbacks before using them
  (bsc#1103992 FATE#326009).
- RDMA/core: Remove {create,destroy}_ah from mandatory verbs
  (bsc#1103992 FATE#326009).
- RDMA/ipoib: Fix check for return code from ib_create_srq
  (bsc#1103992 FATE#326009).
- RDMA/providers: Fix return value from create_srq callbacks
  (bsc#1103992 FATE#326009).
- IB/uverbs: Add UVERBS_ATTR_FLAGS_IN to the specs language
  (bsc#1103992 FATE#326009).
- RDMA, core and ULPs: Declare ib_post_send() and ib_post_recv()
  arguments const (bsc#1103992 FATE#326009).
- IB/mlx5, ib_post_send(), IB_WR_REG_SIG_MR: Do not modify the
  'wr' argument (bsc#1103991 FATE#326007).
- RDMA: Constify the argument of the work request conversion
  functions (bsc#1103992 FATE#326009).
- IB/iser: Inline two work request conversion functions
  (bsc#1103992 FATE#326009).
- IB/cache: Restore compatibility for ib_query_gid (bsc#1103992
  FATE#326009).
- RDMA/hns: Enable modify_cq for uverbs (bsc#1104427 FATE#326416).
- RDMA/hns: Update the data type of immediate data (bsc#1104427
  FATE#326416).
- RDMA/hns: Use delay instead of usleep (bsc#1104427 FATE#326416).
- RDMA/hns: Add illegal hop_num judgement (bsc#1104427
  FATE#326416).
- RDMA/hns: Return correct error code from hns_roce_v1_rsv_lp_qp()
  (bsc#1104427 FATE#326416).
- RDMA/hns: Add 50GE type of hnae3 device match (bsc#1104427
  FATE#326416).
- RDMA/hns: Do not overwrite the error code during error unwind
  in hns_roce_init (bsc#1104427 FATE#326416).
- IB/mlx5: avoid excessive warning msgs when creating VFs on
  2nd port (bsc#1103991 FATE#326007).
- RDMA/usnic: Suppress a compiler warning (bsc#1103992
  FATE#326009).
- net/xprtrdma: Restore needed argument to ib_post_send
  (bsc#1103992 FATE#326009).
- RDMA/cma: Do not ignore net namespace for unbound cm_id
  (bsc#1103992 FATE#326009).
- RDMA/cma: Consider netdevice for RoCE ports (bsc#1103992
  FATE#326009).
- IB/core: Introduce and use sgid_attr in CM requests (bsc#1103992
  FATE#326009).
- IB/usnic: usnic should not select INFINIBAND_USER_ACCESS
  (bsc#1103992 FATE#326009).
- rdma/cxgb4: Add support for kernel mode SRQ's (bsc#1104276
  FATE#325935).
- rdma/cxgb4: Add support for srq functions & structs (bsc#1104276
  FATE#325935).
- IB/core: Remove extra parentheses (bsc#1103992 FATE#326009).
- RDMA/ocrdma: Suppress a compiler warning (bsc#1103992
  FATE#326009).
- IB/uverbs: Fix locking around struct ib_uverbs_file ucontext
  (bsc#1103992 FATE#326009).
- IB/mlx5: Use the ucontext from the uobj, not the file
  (bsc#1103991 FATE#326007).
- IB/uverbs: Move the FD uobj type struct file allocation to
  alloc_commit (bsc#1103992 FATE#326009).
- IB/uverbs: Always propagate errors from
  rdma_alloc_commit_uobject() (bsc#1103992 FATE#326009).
- IB/uverbs: Rework the locking for cleaning up the ucontext
  (bsc#1103992 FATE#326009).
- IB/uverbs: Revise and clarify the rwsem and uobjects_lock
  (bsc#1103992 FATE#326009).
- IB/uverbs: Clarify and revise uverbs_close_fd (bsc#1103992
  FATE#326009).
- IB/uverbs: Revise the placement of get/puts on uobject
  (bsc#1103992 FATE#326009).
- IB/uverbs: Clarify the kref'ing ordering for alloc_commit
  (bsc#1103992 FATE#326009).
- IB/uverbs: Handle IDR and FD types without truncation
  (bsc#1103992 FATE#326009).
- IB/uverbs: Get rid of null_obj_type (bsc#1103992 FATE#326009).
- lustre: Simplify ib_post_(send|recv|srq_recv)() calls
  (bsc#1103992 FATE#326009).
- net/xprtrdma: Simplify ib_post_(send|recv|srq_recv)() calls
  (bsc#1103992 FATE#326009).
- net/rds: Simplify ib_post_(send|recv|srq_recv)() calls
  (bsc#1103992 FATE#326009).
- net/rds: Remove two WARN_ON() statements (bsc#1103992
  FATE#326009).
- net/9p: Simplify ib_post_(send|recv|srq_recv)() calls
  (bsc#1103992 FATE#326009).
- nvmet-rdma: Simplify ib_post_(send|recv|srq_recv)() calls
  (bsc#1103992 FATE#326009).
- nvme-rdma: Simplify ib_post_(send|recv|srq_recv)() calls
  (bsc#1103992 FATE#326009).
- IB/srpt: Simplify ib_post_(send|recv|srq_recv)() calls
  (bsc#1103992 FATE#326009).
- IB/srp: Simplify ib_post_(send|recv|srq_recv)() calls
  (bsc#1103992 FATE#326009).
- IB/isert: Simplify ib_post_(send|recv|srq_recv)() calls
  (bsc#1103992 FATE#326009).
- IB/iser: Simplify ib_post_(send|recv|srq_recv)() calls
  (bsc#1103992 FATE#326009).
- IB/IPoIB: Simplify ib_post_(send|recv|srq_recv)() calls
  (bsc#1103992 FATE#326009).
- RDMA/core: Simplify ib_post_(send|recv|srq_recv)() calls
  (bsc#1103992 FATE#326009).
- IB/core: Allow ULPs to specify NULL as the third
  ib_post_(send|recv|srq_recv)() argument (bsc#1103992
  FATE#326009).
- sctp: define sctp_packet_gso_append to build GSO frames
  (bsc#1109837).
- rds: ib: Fix NULL pointer dereference in debug code (bsc#1103992
  FATE#326009).
- commit 8da63ff
* Tue Dec  4 2018 tbogendoerfer@suse.de
- PCI: Rename pci_try_reset_bus() to pci_reset_bus() (bsc#1114685
  FATE#325854).
- commit 2c1450a
* Tue Dec  4 2018 ohering@suse.de
- KVM: x86: hyperv: do rep check for each hypercall separately
  (fate#323887).
- KVM: x86: hyperv: use defines when parsing hypercall parameters
  (fate#323887).
- KVM: hyperv: idr_find needs RCU protection (fate#323887).
- kvm: x86: hyperv: delete dead code in kvm_hv_hypercall()
  (fate#323887).
- x86/kvm/hyper-v: inject #GP only when invalid SINTx vector is
  unmasked (fate#323887).
- commit ee926d5
* Tue Dec  4 2018 tbogendoerfer@suse.de
- PCI: Unify try slot and bus reset API (bsc#1114685 FATE#325854).
- commit d8f4eb4
* Tue Dec  4 2018 tbogendoerfer@suse.de
- svcrdma: Use passed-in net namespace when creating RDMA listener
  (bsc#1103992 FATE#326009).
- commit fd1389a
* Tue Dec  4 2018 tbogendoerfer@suse.de
- SUNRPC: Fix parsing failure in trace points with XIDs
  (bsc#1103992 FATE#326009).
- Refresh
  patches.fixes/SUNRPC-Fix-tracepoint-storage-issues-with-svc_recv-a.patch.
- commit ed2af12
* Tue Dec  4 2018 tiwai@suse.de
- PCI: Enable PASID only if entire path supports End-End TLP
  prefixes (FATE#326145).
- commit 5f02b82
* Tue Dec  4 2018 tiwai@suse.de
- PCI/AER: Handle ERR_FATAL with removal and re-enumeration of
  devices (FATE#326145).
- commit 2d1fbc4
* Tue Dec  4 2018 tiwai@suse.de
- PCI/IOV: Add pci_sriov_configure_simple() (FATE#326145).
- commit f864b55
* Tue Dec  4 2018 tiwai@suse.de
- PCI/ACPI: Request LTR control from platform before using it
  (FATE#326145).
- Refresh
  patches.drivers/0001-PCI-shpchp-Request-SHPC-control-via-_OSC-when-adding.patch.
- Refresh
  patches.drivers/PCI-pciehp-Request-control-of-native-hotplug-only-if.
- commit 4572dc1
* Tue Dec  4 2018 msuchanek@suse.de
- Refresh patches.drivers/net-ibmvnic-Fix-RTNL-deadlock-during-device-reset.patch.
- commit 13326cf
* Tue Dec  4 2018 hare@suse.de
- scsi: core: Introduce scsi_devinfo_key enumeration type
  (bsc#1118139).
- scsi: core: Convert a source code comment into a runtime
  (bsc#1118139).
- scsi: core: Ensure that the SCSI error handler gets woken up
  (bsc#1118139).
- commit b948ab5
* Tue Dec  4 2018 tiwai@suse.de
- PCI/PM: Clear PCIe PME Status bit for Root Complex Event
  Collectors (FATE#326145).
- commit 4586f74
* Tue Dec  4 2018 hare@suse.de
- scsi: Use 'blist_flags_t' for scsi_devinfo flags (bsc#1118139).
- Refresh
  patches.fixes/scsi-scsi_devinfo-cleanly-zero-pad-devinfo-strings.patch.
- commit 01dba7b
* Tue Dec  4 2018 tiwai@suse.de
- PCI/PM: Clear PCIe PME Status bit in core, not PCIe port driver
  (FATE#326145).
- commit 0f025b2
* Tue Dec  4 2018 hare@suse.de
- scsi: scsi_devinfo: Reformat blacklist flags (bsc#1118139).
- commit 37c51b6
* Tue Dec  4 2018 tiwai@suse.de
- PCI/PM: Move pcie_clear_root_pme_status() to core (FATE#326145).
- commit 1e35dbf
* Tue Dec  4 2018 hare@suse.de
- Delete
  patches.fixes/scsi-handle-special-return-codes-for-ABORTED-COMM.patch.
- Delete
  patches.fixes/scsi_scan-Send-TEST-UNIT-READY-to-LUN0-before-LUN-sc.patch.
- commit e59232f
* Tue Dec  4 2018 tbogendoerfer@suse.de
- PCI: Add a return type for pci_reset_bridge_secondary_bus()
  (bsc#1103992 FATE#326009).
- bnxt: simplify cls_flower command switch and handle default case
  (bsc#1109837).
- sunrpc: Save remote presentation address in svc_xprt for trace
  events (bsc#1103992 FATE#326009).
- sunrpc: Simplify trace_svc_recv (bsc#1103992 FATE#326009).
- sunrpc: Move trace_svc_xprt_dequeue() (bsc#1103992 FATE#326009).
- commit 2e68d10
* Tue Dec  4 2018 tiwai@suse.de
- PCI/IOV: Skip BAR sizing for VFs (FATE#326145).
- commit c4b470f
* Tue Dec  4 2018 tiwai@suse.de
- PCI/IOV: Skip INTx config reads for VFs (FATE#326145).
- commit 3b69e55
* Tue Dec  4 2018 tiwai@suse.de
- PCI: Wait for device to become ready after a power management
  reset (FATE#326145).
- commit 1739c26
* Tue Dec  4 2018 tiwai@suse.de
- PCI: Rename pci_flr_wait() to pci_dev_wait() and make it generic
  (FATE#326145).
- commit 6ac2511
* Tue Dec  4 2018 tiwai@suse.de
- PCI: Handle FLR failure and allow other reset types
  (FATE#326145).
- commit c59cdb7
* Tue Dec  4 2018 tiwai@suse.de
- PCI: Protect restore with device lock to be consistent
  (FATE#326145).
- commit 650bdb0
* Tue Dec  4 2018 tiwai@suse.de
- PCI: Wait up to 60 seconds for device to become ready after FLR
  (FATE#326145).
- Refresh
  patches.drivers/0001-PCI-Add-wrappers-for-dev_printk.patch.
- commit 3944b07
* Tue Dec  4 2018 hare@suse.de
- scsi: scsi_transport_fc: add 64GBIT and 128GBIT port speed
  (bsc#1118139).
- Update
  patches.drivers/scsi-scsi_transport_fc-fix-typos-on-64-128-GBit-defi.patch
  (bsc#1118139).
- commit 7070190
* Tue Dec  4 2018 oneukum@suse.com
- PCI: hotplug: Add hotplug_is_native() (FATE#326302 FATE#326303).
- commit f197b3b
* Tue Dec  4 2018 hare@suse.de
- scsi: ufs: Add clock ungating to a separate workqueue
  (bsc#1118139).
- scsi: ufs: make sure all interrupts are processed (bsc#1118139).
- scsi: ufs: ufs-qcom: remove broken hci version quirk
  (bsc#1118139).
- scsi: ufs: add reference counting for scsi block requests
  (bsc#1118139).
- scsi: ufs: ufshcd: fix possible unclocked register access
  (bsc#1118139).
- scsi: ufs: fix exception event handling (bsc#1118139).
- scsi: ufs: make ufshcd_config_pwr_mode of non-static func
  (bsc#1118139).
- scsi: ufs: add quirk to enable host controller without hce
  (bsc#1118139).
- scsi: ufs: add quirk to disallow reset of interrupt
  (bsc#1118139).
- scsi: ufs: add quirk to fix mishandling utrlclr/utmrlclr
  (bsc#1118139).
- scsi: ufs: ufshcd: Remove VLA usage (bsc#1118139).
- scsi: ufs: add trace event for ufs upiu (bsc#1118139).
- scsi: ufs: Add support for Auto-Hibernate Idle Timer
  (bsc#1118139).
- scsi: ufs: sysfs: reworking of the rpm_lvl and spm_lvl
  (bsc#1118139).
- scsi: ufs: Fix kernel-doc errors and warnings (bsc#1118139).
- scsi: ufs: sysfs: attributes (bsc#1118139).
- scsi: ufs: sysfs: flags (bsc#1118139).
- scsi: ufs: sysfs: unit descriptor (bsc#1118139).
- scsi: core: host template attribute groups (bsc#1118139).
- scsi: ufs: sysfs: string descriptors (bsc#1118139).
- scsi: ufs: sysfs: power descriptor (bsc#1118139).
- scsi: ufs: sysfs: health descriptor (bsc#1118139).
- scsi: ufs: sysfs: geometry descriptor (bsc#1118139).
- scsi: ufs: sysfs: interconnect descriptor (bsc#1118139).
- scsi: ufs: sysfs: device descriptor (bsc#1118139).
- scsi: ufs: sysfs: attribute group for existing sysfs entries
  (bsc#1118139).
- scsi: ufs: Enable quirk to ignore sending WRITE_SAME command
  (bsc#1118139).
- scsi: ufs: add some definitions included in UFS HCI
  (bsc#1118139).
- scsi: ufs: Remove unused UFS_BIT() macro (bsc#1118139).
- scsi: ufs: Remove unused #defines (bsc#1118139).
- scsi: ufs-qcom: Remove uses of UFS_BIT() macro (bsc#1118139).
- scsi: ufs: Change HCI macro to actual bit position
  (bsc#1118139).
- scsi: ufs: fix wrong command type of UTRD for UFSHCI v2.1
  (bsc#1118139).
- scsi: ufs: continue to boot even with Boot LUN is disabled
  (bsc#1118139).
- scsi: ufs: add ufs a command complete time stamp (bsc#1118139).
- scsi: ufs: fix a pclint warning (bsc#1118139).
- scsi: ufs: tc-dwc-g210: make arrays static, reduces object
  (bsc#1118139).
- scsi/ufs: qcom: Set phy mode based on the controllers HS MODE
  (bsc#1118139).
- commit f7e30a5
* Tue Dec  4 2018 jroedel@suse.de
- blacklist.conf: Blacklist MAINTAINERS file
- commit 9c408b6
* Tue Dec  4 2018 hare@suse.de
- scsi: bfa: remove unused pointer 'port' (bsc#1118139).
- scsi: bfa: use 64-bit times in bfa_aen_entry_s ABI
  (bsc#1118139).
- scsi: bfa: try to sanitize vendor netlink events (bsc#1118139).
- scsi: bfa: replace bfa_get_log_time() with (bsc#1118139).
- scsi: bfa: document overflow of io_profile_start_time
  (bsc#1118139).
- scsi: bfa: improve bfa_ioc_send_enable/disable data
  (bsc#1118139).
- scsi: bfa: use proper time accessor for stats_reset_time
  (bsc#1118139).
- scsi: bfa: use ktime_get_real_ts64 for firmware timestamp
  (bsc#1118139).
- commit a34947d
* Tue Dec  4 2018 lhenriques@suse.com
- libceph: fall back to sendmsg for slab pages (bsc#1118316).
- commit 5c17df1
* Tue Dec  4 2018 hare@suse.de
- scsi: arcmsr: Change driver version to v1.40.00.05-20180309
  (bsc#1118139).
- scsi: arcmsr: Sleep to avoid CPU stuck too long for waiting
  (bsc#1118139).
- scsi: arcmsr: Handle adapter removed due to thunderbolt cable
  (bsc#1118139).
- scsi: arcmsr: Rename ACB_F_BUS_HANG_ON to ACB_F_ADAPTER_REMOVED
  for adapter hot-plug (bsc#1118139).
- scsi: arcmsr: avoid do_gettimeofday (bsc#1118139).
- scsi: arcmsr: simplify arcmsr_request_device_map routine
  (bsc#1118139).
- scsi: ses: don't ask for diagnostic pages repeatedly during
  (bsc#1118139).
- scsi: 3w-9xxx: rework lock timeouts (bsc#1118139).
- scsi: 3ware: use 64-bit times for FW time sync (bsc#1118139).
- scsi: 3ware: fix 32-bit time calculations (bsc#1118139).
- scsi: aic7xxx: make a couple of functions static (bsc#1118139).
- scsi: acornscsi: fix build error (bsc#1118139).
- scsi: aic7xxx: regenerate firmware files (bsc#1118139).
- scsi: aic7xxx: fix firmware build deps (bsc#1118139).
- scsi: aic7xxx: remove empty function (bsc#1118139).
- commit c528ee0
* Tue Dec  4 2018 hare@suse.de
- scsi: arcmsr: simplify all arcmsr_hbaX_get_config routine by
  call a new get_adapter_config function (bsc#1118139).
- scsi: arcmsr: simplify arcmsr_hbaE_get_config function
  (bsc#1118139).
- scsi: arcmsr: waiting for iop firmware ready before issue
  get_config command to iop (bsc#1118139).
- scsi: arcmsr: simplify arcmsr_hbaC_get_config function
  (bsc#1118139).
- scsi: arcmsr: remove redundant check for secs < 0 (bsc#1118139).
- scsi: arcmsr: Fix command result for CHECK_CONDITION
  (bsc#1118139).
- scsi: arcmsr: Update driver version to v1.40.00.04-20171130
  (bsc#1118139).
- scsi: arcmsr: Add driver module parameter msix_enable
  (bsc#1118139).
- scsi: arcmsr: Add driver module parameter msi_enable
  (bsc#1118139).
- scsi: arcmsr: Fix grammar (bsc#1118139).
- scsi: arcmsr: Adjust whitespace (bsc#1118139).
- scsi: arcmsr: Spin off duplicate code (bsc#1118139).
- scsi: arcmsr: Fix clear doorbell queue on ACB_ADAPTER_TYPE_B
  (bsc#1118139).
- scsi: arcmsr: Add a function to set date and time to firmware
  (bsc#1118139).
- scsi: arcmsr: Add ACB_F_MSG_GET_CONFIG to acb->acb_flags
  (bsc#1118139).
- scsi: arcmsr: Add driver option cmd_per_lun (bsc#1118139).
- scsi: arcmsr: Replace constant ARCMSR_MAX_OUTSTANDING_CMD
  (bsc#1118139).
- scsi: arcmsr: Add driver option host_can_queue (bsc#1118139).
- scsi: arcmsr: replace constant ARCMSR_MAX_FREECCB_NUM
  (bsc#1118139).
- scsi: arcmsr: Increase host controller command queue depth
  (bsc#1118139).
- scsi: arcmsr: Add code for ACB_ADAPTER_TYPE_E (bsc#1118139).
- scsi: arcmsr: simplify arcmsr_iop_init function (bsc#1118139).
- scsi: arcmsr: Redefine ACB_ADAPTER_TYPE_A, _B, _C, _D
  (bsc#1118139).
- commit eb38388
* Tue Dec  4 2018 hare@suse.de
- arcmsr: add const to bin_attribute structures (bsc#1118139).
- commit f57bec3
* Tue Dec  4 2018 tbogendoerfer@suse.de
- IB/hfi1: Move normal functions from hfi1_devdata to const array
  (bsc#1114685 FATE#325854).
- Refresh
  patches.drivers/IB-hfi1-Set-in_use_ctxts-bits-for-user-ctxts-only.patch.
- commit a900273
* Tue Dec  4 2018 tbogendoerfer@suse.de
- i40e: convert priority flow control stats to use helpers
  (bsc#1111981 FATE#326312 FATE#326313).
- Refresh
  patches.drivers/i40e-fix-condition-of-WARN_ONCE-for-stat-strings.patch.
- commit 9803acf
* Tue Dec  4 2018 tbogendoerfer@suse.de
- qed: Add a flag which indicates if offload TC is set
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- Refresh
  patches.drivers/qed-Do-not-add-VLAN-0-tag-to-untagged-frames-in-mult.patch.
- Refresh
  patches.drivers/qed-add-missing-device-config-for-roce-edpm-in-ufp-mode.
- commit 0dca6c5
* Tue Dec  4 2018 jslaby@suse.cz
- blacklist.conf: add one mlx5 entry
- commit 23e07aa
* Tue Dec  4 2018 jslaby@suse.cz
- Delete
  patches.suse/net-mlx5e-Set-vlan-masks-for-all-offloaded-TC-rules.patch.
  The patch causes a regression, see upstream commit d3a80bb5a3ea. But
  we cannot apply the commit as we are missing whole match_level logic
  in the driver yet.
- commit 892558d
* Tue Dec  4 2018 tbogendoerfer@suse.de
- bnxt_en: remove redundant debug register dma mem allocation
  (bsc#1104745 FATE#325918).
- Refresh
  patches.suse/bnxt_en-free-hwrm-resources-if-driver-probe-fails.patch.
- commit a8738da
* Tue Dec  4 2018 jgross@suse.com
- xen/x86: add diagnostic printout to xen_mc_flush() in case of
  error (bnc#1116183).
- commit a950cb1
* Tue Dec  4 2018 oneukum@suse.com
- PCI/PME: Implement runtime PM callbacks (FATE#326303).
- commit 6fbe744
* Tue Dec  4 2018 oneukum@suse.com
- PCI: pciehp: Implement runtime PM callbacks (FATE#326303).
- commit d90dec6
* Tue Dec  4 2018 oneukum@suse.com
- PCI/portdrv: Resume upon exit from system suspend if left
  runtime suspended (FATE#326303).
- commit df9ce12
* Tue Dec  4 2018 oneukum@suse.com
- PCI: pciehp: Drop hotplug_slot_ops wrappers (FATE#326303).
- commit a27d03b
* Tue Dec  4 2018 oneukum@suse.com
- PCI: pciehp: Unify controller and slot structs (FATE#326303).
- Refresh
  patches.drivers/0001-PCI-pciehp-Disable-hotplug-interrupt-during-suspend.patch.
- commit d56b613
* Tue Dec  4 2018 oneukum@suse.com
- PCI: pciehp: Deduplicate presence check on probe & resume
  (FATE#326303).
- commit c1c9658
* Mon Dec  3 2018 oneukum@suse.com
- PCI: pciehp: Avoid slot access during reset (FATE#326303).
- commit fab5560
* Mon Dec  3 2018 tiwai@suse.de
- ALSA: usb-audio: Fix UAF decrement if card has no live
  interfaces in card.c (CVE-2018-19824,bsc#1118152).
- commit 9e1724a
* Mon Dec  3 2018 bp@suse.de
- x86/MCE/AMD: Fix the thresholding machinery initialization order
  (bsc#1114279).
- blacklist.conf: one amd64_edac commit for client parts
- kvm: svm: Ensure an IBPB on all affected CPUs when freeing a
  vmcb (bsc#1114279).
- EDAC, skx_edac: Fix logical channel intermediate decoding
  (bsc#1114279).
- EDAC, {i7core,sb,skx}_edac: Fix uncorrected error counting
  (bsc#1114279).
- commit ccae0b6
* Mon Dec  3 2018 tbogendoerfer@suse.de
- net: sched: atomically check-allocate action (bsc#1109837).
- Refresh
  patches.suse/net-sched-act_sample-fix-NULL-dereference-in-the-dat.patch.
- commit 634a608
* Mon Dec  3 2018 tbogendoerfer@suse.de
- net: sched: change type of reference and bind counters
  (bsc#1109837).
- Refresh
  patches.suse/net-sched-act_pedit-fix-dump-of-extended-layered-op.patch.
- commit bdda930
* Mon Dec  3 2018 oneukum@suse.com
- PCI: pciehp: Document struct slot and struct controller
  (FATE#326303).
- Refresh
  patches.drivers/0001-PCI-pciehp-Convert-to-threaded-polling.patch.
- Refresh
  patches.drivers/0001-PCI-pciehp-Handle-events-synchronously.patch.
- commit 03f8440
* Mon Dec  3 2018 tbogendoerfer@suse.de
- xprtrdma: Add trace points for connect events (bsc#1103992
  FATE#326009).
- Refresh
  patches.fixes/0002-xprtrdma-Fix-corner-cases-when-handling-device-remov.patch.
- commit cebf0bf
* Mon Dec  3 2018 tbogendoerfer@suse.de
- xprtrdma: Add trace points to instrument memory invalidation
  (bsc#1103992 FATE#326009).
- Refresh
  patches.fixes/xprtrdma-Fix-list-corruption-DMAR-errors-during-MR-r.patch.
- commit 3b88ace
* Mon Dec  3 2018 tbogendoerfer@suse.de
- xprtrdma: Add trace points to instrument memory registration
  (bsc#1103992 FATE#326009).
- Refresh
  patches.fixes/0011-xprtrdma-Fix-bytes-registered-accounting.patch.
- commit 7b09352
* Mon Dec  3 2018 tbogendoerfer@suse.de
- xprtrdma: Introduce rpcrdma_mw_unmap_and_put (bsc#1103992
  FATE#326009).
- Refresh
  patches.fixes/xprtrdma-Fix-list-corruption-DMAR-errors-during-MR-r.patch.
- commit abf722c
* Mon Dec  3 2018 tbogendoerfer@suse.de
- xprtrdma: Remove usage of "mw" (bsc#1103992 FATE#326009).
- Refresh
  patches.fixes/0002-xprtrdma-Fix-corner-cases-when-handling-device-remov.patch.
- Refresh
  patches.fixes/0011-xprtrdma-Fix-bytes-registered-accounting.patch.
- Refresh
  patches.fixes/xprtrdma-Fix-list-corruption-DMAR-errors-during-MR-r.patch.
- commit 14505b1
* Mon Dec  3 2018 hare@suse.de
- scsi: use dma_get_cache_alignment() as minimum DMA alignment
  (bsc#1118139).
- scsi: megaraid_sas: fix spelling mistake: "thershold" ->
  (bsc#1118139).
- scsi: megaraid: Remove redundant code in megasas_alloc_cmds
  (bsc#1118139).
- ide, scsi: Tell the block layer at request allocation time
  (bsc#1118139).
- commit 2ec13f3
* Mon Dec  3 2018 tiwai@suse.de
- Really drop the disabled DRM patches
  Some DRM patches have been disabled due to regressions, and they have no
  chance for revive on SLE15-SP0, at least.  So better to drop them for
  avoiding confusion.  No code change in the expanded tree by this.
- commit fd2445a
* Mon Dec  3 2018 tbogendoerfer@suse.de
- xprtrdma: Replace all usage of "frmr" with "frwr" (bsc#1103992
  FATE#326009).
- Refresh
  patches.fixes/xprtrdma-Fix-list-corruption-DMAR-errors-during-MR-r.patch.
- commit 40c4f04
* Mon Dec  3 2018 hare@suse.de
- scsi: scsi_debug: write_same: fix error report (bsc#1118139).
- scsi: scsi_debug: allow to specify inquiry vendor and model
  (bsc#1118139).
- scsi: update description of logging_level bits (bsc#1118139).
- scsi: Suppress a kernel warning in case the prep function
  (bsc#1118139).
- scsi: sd: Remove unnecessary condition in (bsc#1118139).
- scsi: Remove Scsi_Host.uspace_req_q (bsc#1118139).
- commit 99c740f
* Mon Dec  3 2018 oneukum@suse.com
- PCI: pciehp: Differentiate between surprise and safe removal
  (FATE#326303).
- Refresh
  patches.drivers/0001-PCI-pciehp-Disable-hotplug-interrupt-during-suspend.patch.
- commit e8e56d1
* Mon Dec  3 2018 hare@suse.de
- scsi: Show .retries and .jiffies_at_alloc in debugfs
  (bsc#1118139).
- Refresh
  patches.drivers/scsi-core-fix-a-scsi_show_rq-null-pointer-dereference.patch.
- commit 4f0dd56
* Mon Dec  3 2018 tbogendoerfer@suse.de
- xprtrdma: Add data structure to manage RDMA Send arguments
  (bsc#1103992 FATE#326009).
- Refresh
  patches.fixes/0010-xprtrdma-Fix-backchannel-allocation-of-extra-rpcrdma.patch.
- commit 2743dae
* Mon Dec  3 2018 hare@suse.de
- scsi: Improve requeuing behavior (bsc#1118139).
- scsi: Call scsi_initialize_rq() for filesystem requests
  (bsc#1118139).
- scsi: qlogicpti: fixup qlogicpti_reset() definition
  (bsc#1118139).
- commit eca1833
* Mon Dec  3 2018 fdmanana@suse.com
- Btrfs: send, fix infinite loop due to directory rename
  dependencies (bsc#1118138).
- commit 3add617
* Mon Dec  3 2018 tbogendoerfer@suse.de
- documentation: kernel-api: add more info on bitmap functions
  (bsc#1109837).
- Refresh
  patches.drivers/0051-bitmap-new-bitmap_copy_safe-and-bitmap_-from-to-_arr.patch.
- Refresh
  patches.drivers/0052-bitmap-replace-bitmap_-from-to-_u32array.patch.
- commit 80f90f6
* Mon Dec  3 2018 tbogendoerfer@suse.de
- xprtrdma: Use xprt_pin_rqst in rpcrdma_reply_handler
  (bsc#1103992 FATE#326009).
- Refresh
  patches.fixes/0002-xprtrdma-Throw-away-reply-when-version-is-unrecogniz.patch.
- Refresh
  patches.fixes/xprtrdma-Don-t-defer-fencing-an-async-RPC-s-chunks.patch.
- commit 00c40e2
* Mon Dec  3 2018 tiwai@suse.de
- Delete patches.drm/drm-dp_mst-Skip-validating-ports-during-destruction-.patch (bsc#1051510)
  The commit was reverted in the upstream.  Put both in the blacklist now.
- commit 9ee57e7
* Mon Dec  3 2018 tbogendoerfer@suse.de
- xprtrdma: Remove imul instructions from chunk list encoders
  (bsc#1103992 FATE#326009).
- Refresh
  patches.fixes/0011-xprtrdma-Fix-bytes-registered-accounting.patch.
- commit ce77a37
* Mon Dec  3 2018 hare@suse.de
- scsi: make device_type const (bsc#1118139).
- scsi: sd: remove duplicated setting of gd->minors (bsc#1118139).
- scsi: eata: remove 'arg_done' from eata2x_eh_host_reset()
  (bsc#1118139).
- scsi: bnx2fc: remove obsolete bnx2fc_eh_host_reset()
  (bsc#1118139).
- scsi: 53c700: move bus reset to host reset (bsc#1118139).
- scsi: aha152x: drop host reset (bsc#1118139).
- scsi: nsp32: drop bus reset (bsc#1118139).
- scsi: ppa: drop duplicate bus_reset handler (bsc#1118139).
- scsi: imm: drop duplicate bus_reset handler (bsc#1118139).
- scsi: qlogicfas: move bus_reset to host_reset (bsc#1118139).
- scsi: NCR5380: Move bus reset to host reset (bsc#1118139).
- scsi: acornscsi: move bus reset to host reset (bsc#1118139).
- scsi: qlogicpti: move bus reset to host reset (bsc#1118139).
- scsi: rtsx: drop bus reset function (bsc#1118139).
- scsi: drop bus reset for wd33c93-compatible boards
  (bsc#1118139).
- scsi: fdomain: move bus reset to host reset (bsc#1118139).
- scsi: hptiop: Simplify reset handling (bsc#1118139).
- scsi: uas: move eh_bus_reset_handler to (bsc#1118139).
- scsi: fc_fcp: do not call fc_block_scsi_eh() from host reset
  (bsc#1118139).
- scsi: ibmvfc: Do not call fc_block_scsi_eh() on host reset
  (bsc#1118139).
- scsi: mptfc: Do not call fc_block_scsi_eh() on host reset
  (bsc#1118139).
- scsi: fix comment in scsi_device_set_state() (bsc#1118139).
- scsi: iscsi_tcp: Remove a set-but-not-used variable
  (bsc#1118139).
- scsi: scsi_debug: Remove a set-but-not-used variable
  (bsc#1118139).
- scsi: scsi_transport_srp: Suppress a W=1 compiler warning
  (bsc#1118139).
- scsi: scsi_transport_sas: Check kzalloc() return value
  (bsc#1118139).
- scsi: libiscsi: Fix indentation (bsc#1118139).
- scsi: sg: Fix type of last blk_trace_setup() argument
  (bsc#1118139).
- scsi: sd: Remove a useless comparison (bsc#1118139).
- scsi: sd: Fix indentation (bsc#1118139).
- scsi: sd: sr: Convert two assignments into warning statements
  (bsc#1118139).
- scsi: Avoid sign extension of scsi_device.type (bsc#1118139).
- scsi: Remove an obsolete function declaration (bsc#1118139).
- scsi: aic7xxx: fix firmware build with O=path (bsc#1118139).
- commit e7a19db
* Mon Dec  3 2018 tbogendoerfer@suse.de
- xprtrdma: Remove imul instructions from rpcrdma_convert_iovs()
  (bsc#1103992 FATE#326009).
- Refresh
  patches.fixes/xprtrdma-Return-ENOBUFS-when-no-pages-are-available.patch.
- commit 4d4e913
* Mon Dec  3 2018 tbogendoerfer@suse.de
- xprtrdma: Refactor rpcrdma_reply_handler() (bsc#1103992
  FATE#326009).
- Refresh
  patches.fixes/0002-xprtrdma-Throw-away-reply-when-version-is-unrecogniz.patch.
- commit a39eb51
* Mon Dec  3 2018 tbogendoerfer@suse.de
- xprtrdma: Harden backchannel call decoding (bsc#1103992
  FATE#326009).
- Refresh
  patches.fixes/0002-xprtrdma-Throw-away-reply-when-version-is-unrecogniz.patch.
- commit 8246e6c
* Mon Dec  3 2018 jthumshirn@suse.de
- Refresh
  patches.fixes/dax-remove-VM_MIXEDMAP-for-fsdax-and-device-dax.patch.
  Fixed missing hunk (bsc#1118102).
- commit 478866a
* Mon Dec  3 2018 tbogendoerfer@suse.de
- xprtrdma: Add xdr_init_decode to rpcrdma_reply_handler()
  (bsc#1103992 FATE#326009).
- Refresh
  patches.fixes/0002-xprtrdma-Throw-away-reply-when-version-is-unrecogniz.patch.
- commit b35d184
* Mon Dec  3 2018 tbogendoerfer@suse.de
- xprtrdma: Replace PAGE_MASK with offset_in_page() (bsc#1103992
  FATE#326009).
- Refresh
  patches.fixes/0012-xprtrdma-Fix-calculation-of-ri_max_send_sges.patch.
- commit 7a944da
* Mon Dec  3 2018 msuchanek@suse.de
- net/ibmvnic: Fix RTNL deadlock during device reset
  (bnc#1115431).
- commit 87ebdb1
* Mon Dec  3 2018 mbrugger@suse.com
- iommu/iova: Don't try to copy anchor nodes (fate#326252).
- commit db4b004
* Mon Dec  3 2018 fdmanana@suse.com
- Btrfs: fix cur_offset in the error case for nocow (bsc#1118140).
- commit 3a69a03
* Mon Dec  3 2018 fdmanana@suse.com
- Btrfs: fix assertion on fsync of regular file when using
  no-holes feature (bsc#1118137).
- commit 823bf85
* Mon Dec  3 2018 fdmanana@suse.com
- Btrfs: fix assertion failure during fsync in no-holes mode
  (bsc#1118136).
- commit 8293c74
* Mon Dec  3 2018 hare@suse.de
- scsi: snic: fix a couple of spelling mistakes/typos
  (bsc#1102876).
- commit 75f1995
* Mon Dec  3 2018 hare@suse.de
- scripts/git_sort/git_sort.py: remove repositories merged with upstream
- commit 57e6e07
* Mon Dec  3 2018 tbogendoerfer@suse.de
- svcrdma: Clean up after converting svc_rdma_recvfrom to rdma_rw
  API (bsc#1103992 FATE#326009).
- Refresh
  patches.drivers/svcrdma-Estimate-Send-Queue-depth-properly.patch.
- commit 302b2a5
* Mon Dec  3 2018 tbogendoerfer@suse.de
- svcrdma: Use generic RDMA R/W API in RPC Call path (bsc#1103992
  FATE#326009).
- Refresh
  patches.drivers/svcrdma-Estimate-Send-Queue-depth-properly.patch.
- Refresh patches.drivers/svcrdma-Limit-RQ-depth.patch.
- commit 69aab65
* Mon Dec  3 2018 tbogendoerfer@suse.de
- net: add extack arg to lwtunnel build state (bsc#1109837).
- Refresh
  patches.suse/fib_semantics-Don-t-match-route-with-mismatching-tcl.patch.
- commit 8788eab
* Mon Dec  3 2018 mbrugger@suse.com
- iommu: Fix comment for iommu_ops.map_sg (fate#326252).
- commit f0accdf
* Mon Dec  3 2018 mbrugger@suse.com
- blacklist.conf: ignore fix for mips-gic
- commit eb449b5
* Mon Dec  3 2018 jthumshirn@suse.de
- nvme: Free ctrl device name on init failure (FATE#323952,
  FATE#322506).
- commit 96184ea
* Mon Dec  3 2018 mbrugger@suse.com
- ACPI: properties: Fix __acpi_node_get_property_reference()
  return codes (fate#326250).
- Refresh
  patches.drivers/ACPI-Convert-ACPI-reference-args-to-generic-fwnode-r.patch.
- commit b8f6ab9
* Mon Dec  3 2018 mbrugger@suse.com
- ACPI: properties: Align return codes of
  __acpi_node_get_property_reference() (fate#326250).
- Refresh
  patches.drivers/ACPI-Convert-ACPI-reference-args-to-generic-fwnode-r.patch.
- commit 0e56da1
* Mon Dec  3 2018 mbrugger@suse.com
- ACPI: properties: Return _DSD hierarchical extension (data)
  sub-nodes correctly (fate#326250).
- commit 82a6f61
* Mon Dec  3 2018 mbrugger@suse.com
- ACPI / bus: Make ACPI_HANDLE() work for non-GPL code again
  (fate#326250).
- commit 95f6be0
* Mon Dec  3 2018 bp@suse.de
- x86/speculation: Support Enhanced IBRS on future CPUs (fate#326564).
- commit 4c67d46
* Mon Dec  3 2018 jroedel@suse.de
- KVM: VMX: re-add ple_gap module parameter (bsc#1106240).
- commit 1a2fbf9
* Mon Dec  3 2018 oneukum@suse.com
- PCI: pciehp: Stop blinking on slot enable failure (FATE#326303).
- Refresh
  patches.drivers/0001-PCI-pciehp-Enable-disable-exclusively-from-IRQ-threa.patch.
- Refresh
  patches.drivers/0001-PCI-pciehp-Handle-events-synchronously.patch.
- Refresh
  patches.drivers/0001-PCI-pciehp-Publish-to-user-space-last-on-probe.patch.
- Refresh
  patches.drivers/0001-PCI-pciehp-Track-enable-disable-status.patch.
- commit 8f2f8b1
* Mon Dec  3 2018 jroedel@suse.de
- PCI: imx6: Fix link training status detection in link up check
  (bsc#1109806).
- KVM: x86: Fix kernel info-leak in KVM_HC_CLOCK_PAIRING hypercall
  (bsc#1106240).
- commit 098af81
* Mon Dec  3 2018 dchang@suse.com
- net: ethernet: bnx2: Replace NULL comparison (bsc#1104419
  FATE#325900).
- net: ethernet: bnx2: Remove extra parentheses (bsc#1104419
  FATE#325900).
- bnx2: remove redundant initializations of pointers txr and rxr
  (bsc#1104419 FATE#325900).
- commit e496f6d
* Mon Dec  3 2018 neilb@suse.com
- fscache: fix race between enablement and dropping of object
  (bsc#1107385).
- commit a260cc5
* Sat Dec  1 2018 tiwai@suse.de
- blacklist.conf: Add a can driver entry that breaks kABI
- commit 017d064
* Sat Dec  1 2018 tiwai@suse.de
- include/linux/pfn_t.h: force '~' to be parsed as an unary
  operator (bsc#1051510).
- commit fb714c8
* Sat Dec  1 2018 tiwai@suse.de
- staging: rtl8723bs: Fix the return value in case of error in
  'rtw_wx_read32()' (bsc#1051510).
- iwlwifi: mvm: fix regulatory domain update when the firmware
  starts (bsc#1051510).
- commit db7a366
* Sat Dec  1 2018 tiwai@suse.de
- staging: vchiq_arm: fix compat VCHIQ_IOC_AWAIT_COMPLETION
  (bsc#1051510).
- commit 4a2214c
* Sat Dec  1 2018 tiwai@suse.de
- iio:st_magn: Fix enable device after trigger (bsc#1051510).
- commit 9634d68
* Sat Dec  1 2018 tiwai@suse.de
- tty: wipe buffer if not echoing data (bsc#1051510).
- tty: wipe buffer (bsc#1051510).
- commit 9898d59
* Sat Dec  1 2018 tiwai@suse.de
- drm/meson: add support for 1080p25 mode (bsc#1051510).
- drm/meson: Fix OOB memory accesses in meson_viu_set_osd_lut()
  (bsc#1051510).
- drm/meson: Enable fast_io in meson_dw_hdmi_regmap_config
  (bsc#1051510).
- drm/dp_mst: Skip validating ports during destruction, just ref
  (bsc#1051510).
- drm/ast: Fix incorrect free on ioregs (bsc#1051510).
- drm/ast: fixed cursor may disappear sometimes (bsc#1051510).
- commit e1e4948
* Sat Dec  1 2018 tiwai@suse.de
- crypto: simd - correctly take reqsize of wrapped skcipher into
  account (bsc#1051510).
- commit d816314
* Sat Dec  1 2018 tiwai@suse.de
- can: rx-offload: introduce can_rx_offload_get_echo_skb()
  and can_rx_offload_queue_sorted() functions (bsc#1051510).
- can: dev: __can_get_echo_skb(): print error message, if trying
  to echo non existing skb (bsc#1051510).
- can: dev: __can_get_echo_skb(): Don't crash the kernel if
  can_priv::echo_skb is accessed out of bounds (bsc#1051510).
- can: dev: __can_get_echo_skb(): replace struct can_frame by
  canfd_frame to access frame length (bsc#1051510).
- can: dev: can_get_echo_skb(): factor out non sending code to
  __can_get_echo_skb() (bsc#1051510).
- can: hi311x: Use level-triggered interrupt (bsc#1051510).
- can: raw: check for CAN FD capable netdev in raw_sendmsg()
  (bsc#1051510).
- commit 4787d2f
* Sat Dec  1 2018 tiwai@suse.de
- usb: gadget: u_ether: fix unsafe list iteration (bsc#1051510).
- USB: omap_udc: fix rejection of out transfers when DMA is used
  (bsc#1051510).
- Revert "usb: dwc3: gadget: skip Set/Clear Halt when invalid"
  (bsc#1051510).
- usb: core: Fix hub port connection events lost (bsc#1051510).
- usb: dwc3: core: Clean up ULPI device (bsc#1051510).
- usb: xhci: fix timeout for transition from RExit to U0
  (bsc#1051510).
- xhci: Add check for invalid byte size error when UAS devices
  are connected (bsc#1051510).
- commit a583c32
* Sat Dec  1 2018 tiwai@suse.de
- brcmfmac: fix reporting support for 160 MHz channels
  (bsc#1051510).
- commit 7d8455c
* Sat Dec  1 2018 tiwai@suse.de
- ACPI/IORT: Fix iort_get_platform_device_domain() uninitialized
  pointer value (bsc#1051510).
- commit cf6b9f3
* Sat Dec  1 2018 tiwai@suse.de
- ALSA: oss: Use kvzalloc() for local buffer allocations
  (bsc#1051510).
- commit 4a5203a
* Sat Dec  1 2018 tiwai@suse.de
- Input: synaptics - avoid using uninitialized variable when
  probing (bsc#1051510).
- Input: xpad - add support for Xbox1 PDP Camo series gamepad
  (bsc#1051510).
- Input: xpad - avoid using __set_bit() for capabilities
  (bsc#1051510).
- Input: xpad - fix some coding style issues (bsc#1051510).
- Input: xpad - add PDP device id 0x02a4 (bsc#1051510).
- commit 50187b9
* Sat Dec  1 2018 tbogendoerfer@suse.de
- IB/rxe: Drop QP0 silently (bsc#1103992 FATE#326009).
- IB/mlx5: Enable driver uapi commands for flow steering
  (bsc#1103991 FATE#326007).
- IB/mlx5: Add support for a flow table destination for driver
  flow steering (bsc#1103991 FATE#326007).
- IB/mlx5: Support adding flow steering rule by raw description
  (bsc#1103991 FATE#326007).
- IB/mlx5: Introduce driver create and destroy flow methods
  (bsc#1103991 FATE#326007).
- IB: Support ib_flow creation in drivers (bsc#1103992
  FATE#326009).
- IB/mlx5: Introduce flow steering matcher uapi object
  (bsc#1103991 FATE#326007).
- net/mlx5: Add support for flow table destination number
  (bsc#1103990 FATE#326006).
- net/mlx5: Add forward compatible support for the FTE match data
  (bsc#1103990 FATE#326006).
- IB/uverbs: Move ib_access_flags and ib_read_counters_flags to
  uapi (bsc#1103992 FATE#326009).
- RDMA/bnxt_re: Modify a fall-through annotation (bsc#1104742
  FATE#325917).
- RDMA/mlx5: Remove set but not used variables (bsc#1103991
  FATE#326007).
- IPoIB: use kvzalloc to allocate an array of bucket pointers
  (bsc#1103992 FATE#326009).
- IB/cm: Remove cma_multicast->igmp_joined (bsc#1103992
  FATE#326009).
- RDMA/umem: Refactor exit paths in ib_umem_get (bsc#1103992
  FATE#326009).
- RDMA/umem: Don't hold mmap_sem for too long (bsc#1103992
  FATE#326009).
- IB/srpt: Fix srpt_cm_req_recv() error path (2/2) (bsc#1103992
  FATE#326009).
- IB/srpt: Fix srpt_cm_req_recv() error path (1/2) (bsc#1103992
  FATE#326009).
- RDMA/mlx5: Check that supplied blue flame index doesn't overflow
  (bsc#1103991 FATE#326007).
- RDMA/mlx5: Melt consecutive calls to alloc_bfreg() in one call
  (bsc#1103991 FATE#326007).
- rdma/cxgb4: Add support for 64Byte cqes (bsc#1104276
  FATE#325935).
- hns: Remove a set-but-not-used variable (bsc#1104427
  FATE#326416).
- IB/hfi1: Suppress a compiler warning (bsc#1114685 FATE#325854).
- RDMA/hns: Update the implementation of set_mac (bsc#1104427
  FATE#326416).
- RDMA/hns: Update the implementation of set_gid (bsc#1104427
  FATE#326416).
- RDMA/hns: Add TPQ link table support (bsc#1104427 FATE#326416).
- RDMA/hns: Add TSQ link table support (bsc#1104427 FATE#326416).
- RDMA/hns: Fix endian conversions and annotations (bsc#1104427
  FATE#326416).
- RDMA/ocrdma: Make ocrdma_destroy_qp() easier to analyze
  (bsc#1103992 FATE#326009).
- infiniband: i40iw, nes: don't use wall time for TCP sequence
  numbers (bsc#1114687 FATE#326314).
- RDMA/nes: Avoid complaints about unused variables (bsc#1103992
  FATE#326009).
- RDMA/cxgb4: Restore the dropped uninitialized_var (bsc#1104276
  FATE#325935).
- IB: Enable uverbs_destroy_def_handler to be used by drivers
  (bsc#1103992 FATE#326009).
- ib_srpt: use kvmalloc to allocate ring pointers (bsc#1103992
  FATE#326009).
- IB/uverbs: Pass IB_UVERBS_QPF_GRH_REQUIRED to user space
  (bsc#1103992 FATE#326009).
- RDMA: Validate grh_required when handling AVs (bsc#1103992
  FATE#326009).
- RDMA/hfi1: Move grh_required into update_sm_ah (bsc#1114685
  FATE#325854).
- RDMA: Fix storage of PortInfo CapabilityMask in the kernel
  (bsc#1103992 FATE#326009).
- RDMA/ipoib: Fix return code from ipoib_cm_dev_init (bsc#1103992
  FATE#326009).
- IB/core: Simplify check for RoCE route resolve (bsc#1103992
  FATE#326009).
- IB/mlx5: Honor cnt_set_id_valid flag instead of set_id
  (bsc#1103991 FATE#326007).
- RDMA/mlx5: Remove unused port number parameter (bsc#1103991
  FATE#326007).
- IB/uverbs: Do not use uverbs_cmd_mask in the ioctl path
  (bsc#1103992 FATE#326009).
- RDMA/rw: Fix rdma_rw_ctx_signature_init() kernel-doc header
  (bsc#1103992 FATE#326009).
- RDMA/cxgb4: Make c4iw_poll_cq_one() easier to analyze
  (bsc#1104276 FATE#325935).
- RDMA/cxgb3: Make iwch_poll_cq_one() easier to analyze
  (bsc#1103992 FATE#326009).
- RDMA/rxe: Simplify the error handling code in rxe_create_ah()
  (bsc#1103992 FATE#326009).
- IB/iser: Remove set-but-not-used variables (bsc#1103992
  FATE#326009).
- RDMA/ocrdma: Remove a set-but-not-used variable (bsc#1103992
  FATE#326009).
- IB/nes: Fix a compiler warning (bsc#1103992 FATE#326009).
- RDMA/core: Remove set-but-not-used variables (bsc#1103992
  FATE#326009).
- RDMA/core: Remove ib_find_cached_gid() and
  ib_find_cached_gid_by_port() (bsc#1103992 FATE#326009).
- RDMA/ipoib: Fix use of sizeof() (bsc#1103992 FATE#326009).
- RDMA/ipoib: Prefer unsigned int to bare use of unsigned
  (bsc#1103992 FATE#326009).
- RDMA/ipoib: Use min_t() macro instead of min() (bsc#1103992
  FATE#326009).
- IB/cm: Remove unused and erroneous msg sequence encoding
  (bsc#1103992 FATE#326009).
- IB/uverbs: Replace ib_ucq_object uverbs_file with the one in
  ib_uobject (bsc#1103992 FATE#326009).
- IB/uverbs: Remove ib_uobject_file (bsc#1103992 FATE#326009).
- IB/uverbs: Tidy up remaining references to ucontext (bsc#1103992
  FATE#326009).
- IB/uverbs: Replace file->ucontext with file in uverbs_cmd.c
  (bsc#1103992 FATE#326009).
- IB/uverbs: Replace ib_ucontext with ib_uverbs_file in core
  function calls (bsc#1103992 FATE#326009).
- IB/uverbs: Move non driver related elements from ib_ucontext
  to ib_ufile (bsc#1103992 FATE#326009).
- IB/uverbs: Add a uobj_perform_destroy helper (bsc#1103992
  FATE#326009).
- RDMA/uverbs: Combine MIN_SZ_OR_ZERO with UVERBS_ATTR_STRUCT
  (bsc#1103992 FATE#326009).
- RDMA/uverbs: Use UVERBS_ATTR_MIN_SIZE correctly and uniformly
  (bsc#1103992 FATE#326009).
- RDMA/uverbs: Remove UA_FLAGS (bsc#1103992 FATE#326009).
- RDMA/uverbs: Get rid of the & in method specifications
  (bsc#1103992 FATE#326009).
- RDMA/uverbs: Simplify UVERBS_OBJECT and _TREE family of macros
  (bsc#1103992 FATE#326009).
- RDMA/uverbs: Simplify method definition macros (bsc#1103992
  FATE#326009).
- RDMA/uverbs: Simplify UVERBS_ATTR family of macros (bsc#1103992
  FATE#326009).
- RDMA/uverbs: Split UVERBS_ATTR_FLOW_ACTION_ESP_HANDLE
  (bsc#1103992 FATE#326009).
- RDMA/uverbs: Store the specs_root in the struct ib_uverbs_device
  (bsc#1103992 FATE#326009).
- IB/mlx5: Expose dump and fill memory key (bsc#1103991
  FATE#326007).
- vmw_pvrdma: Release netdev when vmxnet3 module is removed
  (bsc#1103992 FATE#326009).
- IB/mlx5: Fix GRE flow specification (bsc#1103991 FATE#326007).
- ib_srpt: Fix a use-after-free in __srpt_close_all_ch()
  (bsc#1103992 FATE#326009).
- IB/mlx5: Remove set-but-not-used variables (bsc#1103991
  FATE#326007).
- IB/srp: Remove driver version and release data information
  (bsc#1103992 FATE#326009).
- IB: Improve uverbs_cleanup_ucontext algorithm (bsc#1103992
  FATE#326009).
- IB/srpt: Support HCAs with more than two ports (bsc#1103992
  FATE#326009).
- IB/iser: set can_queue earlier to allow setting higher queue
  depth (bsc#1103992 FATE#326009).
- IB/rxe: don't clear the tx queue on every transfer (bsc#1103992
  FATE#326009).
- IB/cm: Remove now useless rcu_lock in dst_fetch_ha (bsc#1103992
  FATE#326009).
- RDMA/mlx5: Don't leak UARs in case of free fails (bsc#1103991
  FATE#326007).
- RDMA/vmw_pvrdma: Delete unused function (bsc#1103992
  FATE#326009).
- IB/core: Check for rdma_protocol_ib only after validating
  port_num (bsc#1103992 FATE#326009).
- IB/mlx4: Create slave AH's directly (bsc#1103988 FATE#326003).
- RDMA/uverbs: Remove redundant check (bsc#1103992 FATE#326009).
- RDMA/umem: Don't check for a negative return value of
  dma_map_sg_attrs() (bsc#1103992 FATE#326009).
- RDMA/uverbs: Don't overwrite NULL pointer with ZERO_SIZE_PTR
  (bsc#1103992 FATE#326009).
- RDMA/verbs: Drop kernel variant of destroy_flow (bsc#1103992
  FATE#326009).
- RDMA/verbs: Drop kernel variant of create_flow (bsc#1103992
  FATE#326009).
- RDMA/uverbs: Check existence of create_flow callback
  (bsc#1103992 FATE#326009).
- IB/usnic: Update with bug fixes from core code (bsc#1103992
  FATE#326009).
- IB/mlx4: Add support for drain SQ & RQ (bsc#1103988
  FATE#326003).
- IB/mlx5: Add support for drain SQ & RQ (bsc#1103991
  FATE#326007).
- RDMA/core: Remove unused ib cache functions (bsc#1103992
  FATE#326009).
- IB/cm: Use sgid_attr from the AV (bsc#1103992 FATE#326009).
- IB/cm: Replace members of sa_path_rec with 'struct sgid_attr *'
  (bsc#1103992 FATE#326009).
- IB/cm: Pass the sgid_attr through various events (bsc#1103992
  FATE#326009).
- IB/cm: Keep track of the sgid_attr that created the cm id
  (bsc#1103992 FATE#326009).
- IB: Make init_ah_attr_grh_fields set sgid_attr (bsc#1103992
  FATE#326009).
- IB: Make ib_init_ah_from_mcmember set sgid_attr (bsc#1103992
  FATE#326009).
- IB: Make ib_init_ah_attr_from_wc set sgid_attr (bsc#1103992
  FATE#326009).
- IB/hfi1: Remove INTx support and simplify MSIx usage
  (bsc#1114685 FATE#325854).
- IB/hfi1: Reorg ctxtdata and rightsize fields (bsc#1114685
  FATE#325854).
- IB/hfi1: Remove caches of chip CSRs (bsc#1114685 FATE#325854).
- IB/hfi1: Remove unused/writeonly devdata fields (bsc#1114685
  FATE#325854).
- IB/hfi1: Rightsize ctxt_eager_bufs fields (bsc#1114685
  FATE#325854).
- IB/hfi1: Remove rcvctrl from ctxtdata (bsc#1114685 FATE#325854).
- IB/hfi1: Remove rcvhdrq_size (bsc#1114685 FATE#325854).
- IB/core: Free GID table entry during GID deletion (bsc#1103992
  FATE#326009).
- RDMA/cma: Consider net namespace while leaving multicast group
  (bsc#1103992 FATE#326009).
- IB/uverbs: Delete type and id from uverbs_obj_attr (bsc#1103992
  FATE#326009).
- IB/mlx5: Support RoCE ICRC encapsulated error counter
  (bsc#1103991 FATE#326007).
- RDMA/mlx5: Refactor transport domain checks (bsc#1103991
  FATE#326007).
- IB/rdmavt, IB/hfi1: Create device dependent s_flags (bsc#1114685
  FATE#325854).
- IB/hfi1: Remove rcvhdrsize (bsc#1114685 FATE#325854).
- IB/hfi1: Move rhf_offset from devdata to ctxtdata (bsc#1114685
  FATE#325854).
- IB/mlx5: Expose DEVX tree (bsc#1103991 FATE#326007).
- IB/mlx5: Add DEVX query EQN support (bsc#1103991 FATE#326007).
- IB/mlx5: Add DEVX support for memory registration (bsc#1103991
  FATE#326007).
- IB/mlx5: Add support for DEVX query UAR (bsc#1103991
  FATE#326007).
- IB/mlx5: Add DEVX support for modify and query commands
  (bsc#1103991 FATE#326007).
- IB/mlx5: Add obj create and destroy functionality (bsc#1103991
  FATE#326007).
- IB/mlx5: Add support for DEVX general command (bsc#1103991
  FATE#326007).
- IB/mlx5: Introduce DEVX (bsc#1103991 FATE#326007).
- IB/core: Expose ib_ucontext from a given ib_uverbs_file
  (bsc#1103992 FATE#326009).
- IB/core: Introduce DECLARE_UVERBS_GLOBAL_METHODS (bsc#1103992
  FATE#326009).
- IB/uverbs: Allow an empty namespace in ioctl() framework
  (bsc#1103992 FATE#326009).
- IB/uverbs: Add a macro to define a type with no kernel known
  size (bsc#1103992 FATE#326009).
- IB/uverbs: Add PTR_IN attributes that are allocated/copied
  automatically (bsc#1103992 FATE#326009).
- IB/uverbs: Refactor uverbs_finalize_objects (bsc#1103992
  FATE#326009).
- IB/uverbs: Export uverbs idr and fd types (bsc#1103992
  FATE#326009).
- IB/core: add max_send_sge and max_recv_sge attributes
  (bsc#1103992 FATE#326009).
- IB/rxe: avoid unnecessary NULL check (bsc#1103992 FATE#326009).
- IB/rxe: support for 802.1q VLAN on the listener (bsc#1103992
  FATE#326009).
- IB/rxe: increase max MR limit (bsc#1103992 FATE#326009).
- RDMA: Convert drivers to use the AH's sgid_attr in post_wr paths
  (bsc#1103992 FATE#326009).
- RDMA: Hold the sgid_attr inside the struct ib_ah/qp (bsc#1103992
  FATE#326009).
- IB/mlx4: Use GID attribute from ah attribute (bsc#1103988
  FATE#326003).
- RDMA: Convert drivers to use sgid_attr instead of sgid_index
  (bsc#1103992 FATE#326009).
- IB{cm, core}: Introduce and use ah_attr copy, move, replace APIs
  (bsc#1103992 FATE#326009).
- IB/core: Tidy ib_resolve_eth_dmac (bsc#1103992 FATE#326009).
- IB/core: Add a sgid_attr pointer to struct rdma_ah_attr
  (bsc#1103992 FATE#326009).
- IB: Ensure that all rdma_ah_attr's are zero initialized
  (bsc#1103992 FATE#326009).
- IB/mad: Agent registration is process context only (bsc#1103992
  FATE#326009).
- IB/rxe: Do not hide uABI stuff in memcpy (bsc#1103992
  FATE#326009).
- i40iw: Reorganize acquire/release of locks in i40iw_manage_apbvt
  (bsc#1114687 FATE#326314).
- RDMA/uverbs: Refactor flow_resources_alloc() function
  (bsc#1103992 FATE#326009).
- RDMA/nldev: Return port capability flag for IB only (bsc#1103992
  FATE#326009).
- IB/rxe: Use rdma GID API (bsc#1103992 FATE#326009).
- IB: Replace ib_query_gid/ib_get_cached_gid with rdma_query_gid
  (bsc#1103992 FATE#326009).
- IB/core: Make rdma_find_gid_by_filter support all protocols
  (bsc#1103992 FATE#326009).
- IB/core: Provide rdma_ versions of the gid cache API
  (bsc#1103992 FATE#326009).
- IB/core: Replace ib_query_gid with rdma_get_gid_attr
  (bsc#1103992 FATE#326009).
- IB/core: Introduce GID attribute get, put and hold APIs
  (bsc#1103992 FATE#326009).
- RDMA: Use GID from the ib_gid_attr during the add_gid() callback
  (bsc#1103992 FATE#326009).
- IB/core: Introduce GID entry reference counts (bsc#1103992
  FATE#326009).
- IB/core: Store default GID property per-table instead of
  per-entry (bsc#1103992 FATE#326009).
- IB/core: Do not set the gid type when reserving default entries
  (bsc#1103992 FATE#326009).
- PCI: Deprecate pci_reset_bus() and pci_reset_slot() functions
  (bsc#1114685 FATE#325854).
- IB/hfi1: Use pci_try_reset_bus() for initiating PCI Secondary
  Bus Reset (bsc#1114685 FATE#325854).
- crypto: scatterwalk - remove 'chain' argument from
  scatterwalk_crypto_chain() (bsc#1109837).
- crypto: chtls - use 64-bit arithmetic instead of 32-bit
  (bsc#1104270 FATE#325931).
- cxgb4: Add new T5 PCI device ids 0x50af and 0x50b0 (bsc#1104279
  FATE#325938).
- bnxt_en: take coredump_record structure off stack (bsc#1104745
  FATE#325918).
- bnxt_en: avoid string overflow for record->system_name
  (bsc#1104745 FATE#325918).
- nfp: clean up return types in kdoc comments (bsc#1109837).
- net/mlx5: Improve argument name for add flow API (bsc#1103990
  FATE#326006).
- net/mlx5: Reorganize the makefile (bsc#1103990 FATE#326006).
- net/mlx5e: clock.c depends on CONFIG_PTP_1588_CLOCK (bsc#1103990
  FATE#326006).
- net/mlx5e: vxlan.c depends on CONFIG_VXLAN (bsc#1103990
  FATE#326006).
- net/mlx5e: Move flow steering declarations into en/fs.h
  (bsc#1103990 FATE#326006).
- net/mlx5e: Add CONFIG_MLX5_EN_ARFS for accelerated flow steering
  support (bsc#1103990 FATE#326006).
- net/mlx5e: Add CONFIG_MLX5_EN_RXNFC for ethtool rx nfc
  (bsc#1103990 FATE#326006).
- net/mlx5e: Ethtool steering, move ethtool callbacks (bsc#1103990
  FATE#326006).
- net/mlx5e: Ethtool steering, l4 proto support (bsc#1103990
  FATE#326006).
- net/mlx5e: Ethtool steering, ip6 support (bsc#1103990
  FATE#326006).
- net/mlx5e: Ethtool steering flow parsing refactoring
  (bsc#1103990 FATE#326006).
- net/mlx5e: Ethtool steering flow validation refactoring
  (bsc#1103990 FATE#326006).
- bpf: Refactor ARRAY_SIZE macro to bpf_util.h (bsc#1109837).
- tools/bpf: add bpffs pretty print btf test for hash/lru_hash
  maps (bsc#1109837).
- bpf: btf: add pretty print for hash/lru_hash maps (bsc#1109837).
- bpf: fix bpffs non-array map seq_show issue (bsc#1109837).
- xdp: Helpers for disabling napi_direct of xdp_return_frame
  (bsc#1109837).
- bpf: Make redirect_info accessible from modules (bsc#1109837).
- xdp: Helper function to clear kernel pointers in xdp_frame
  (bsc#1109837).
- net: Export skb_headers_offset_update (bsc#1109837).
- samples/bpf: xdp_redirect_cpu load balance like Suricata
  (bsc#1109837).
- samples/bpf: add Paul Hsieh's (LGPL 2.1) hash function
  SuperFastHash (bsc#1109837).
- Revert "xdp: add NULL pointer check in __xdp_return()"
  (bsc#1109837).
- cxgb4: remove set but not used variable 'spd' (bsc#1104279
  FATE#325938).
- virtio_net: remove duplicated include from virtio_net.c
  (bsc#1109837).
- net: sched: act_mirred method rename for grep-ability and
  consistency (bsc#1109837).
- net: sched: act_vlan method rename for grep-ability and
  consistency (bsc#1109837).
- net: sched: act_skbmod method rename for grep-ability and
  consistency (bsc#1109837).
- net: sched: act_skbedit method rename for grep-ability and
  consistency (bsc#1109837).
- net: sched: act_simple method rename for grep-ability and
  consistency (bsc#1109837).
- net: sched: act_police method rename for grep-ability and
  consistency (bsc#1109837).
- net: sched: act_pedit method rename for grep-ability and
  consistency (bsc#1109837).
- net: sched: act_nat method rename for grep-ability and
  consistency (bsc#1109837).
- net: sched: act_ipt method rename for grep-ability and
  consistency (bsc#1109837).
- net: sched: act_gact method rename for grep-ability and
  consistency (bsc#1109837).
- net: sched: act_sum method rename for grep-ability and
  consistency (bsc#1109837).
- net: sched: act_bpf method rename for grep-ability and
  consistency (bsc#1109837).
- net: sched: act_connmark method rename for grep-ability and
  consistency (bsc#1109837).
- net/tls: Combined memory allocation for decryption request
  (bsc#1109837).
- net: sched: act_police: remove dependency on rtnl lock
  (bsc#1109837).
- net: core: protect rate estimator statistics pointer with lock
  (bsc#1109837).
- net: sched: act_mirred: remove dependency on rtnl lock
  (bsc#1109837).
- net: sched: extend action ops with put_dev callback
  (bsc#1109837).
- net: sched: act_vlan: remove dependency on rtnl lock
  (bsc#1109837).
- net: sched: act_tunnel_key: remove dependency on rtnl lock
  (bsc#1109837).
- net: sched: act_skbmod: remove dependency on rtnl lock
  (bsc#1109837).
- net: sched: act_simple: remove dependency on rtnl lock
  (bsc#1109837).
- net: sched: act_sample: remove dependency on rtnl lock
  (bsc#1109837).
- net: sched: act_pedit: remove dependency on rtnl lock
  (bsc#1109837).
- net: sched: act_ipt: remove dependency on rtnl lock
  (bsc#1109837).
- net: sched: act_ife: remove dependency on rtnl lock
  (bsc#1109837).
- net: sched: act_gact: remove dependency on rtnl lock
  (bsc#1109837).
- net: sched: act_csum: remove dependency on rtnl lock
  (bsc#1109837).
- net: sched: act_bpf: remove dependency on rtnl lock
  (bsc#1109837).
- virtio_net: Stripe queue affinities across cores (bsc#1109837).
- virtio: Make vp_set_vq_affinity() take a mask (bsc#1109837).
- bnxt_en: Fix strcpy() warnings in bnxt_ethtool.c (bsc#1104745
  FATE#325918).
- qed/qede: qede_setup_tc() can be static (bsc#1104393 FATE#325891
  bsc#1104389 FATE#325890).
- mlxsw: core: remove unnecessary function mlxsw_core_driver_put
  (bsc#1112374).
- cxgb4: add support to display DCB info (bsc#1104279
  FATE#325938).
- mlxsw: remove unused arrays mlxsw_i2c_driver_name and
  mlxsw_pci_driver_name (bsc#1112374).
- cxgb4: update 1.20.8.0 as the latest firmware supported
  (bsc#1104279 FATE#325938).
- net: allow to call netif_reset_xps_queues() under cpus_read_lock
  (bsc#1109837).
- mlxsw: spectrum_flower: use PTR_ERR_OR_ZERO() (bsc#1112374).
- net: sched: fix block->refcnt decrement (bsc#1109837).
- qede: Ingress tc flower offload (drop action) support
  (bsc#1104393 FATE#325891 bsc#1104389 FATE#325890).
- qede: Add destination ip based flow profile (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- qed/qede: Multi CoS support (bsc#1104393 FATE#325891 bsc#1104389
  FATE#325890).
- mlxsw: spectrum: Expose counter for all 16 TCs (bsc#1112374).
- mlxsw: spectrum: Include RFC-2819 counters in stats length
  (bsc#1112374).
- mlxsw: Replace license text with SPDX identifiers and adjust
  copyrights (bsc#1112374).
- mlxsw: spectrum: Reset FW after flash (bsc#1112374).
- mlxsw: spectrum: Update the supported firmware to version
  13.1702.6 (bsc#1112374).
- mlxsw: spectrum_flower: Disallow usage of vlan_id key on egress
  (bsc#1112374).
- net/mlx5: Reduce command polling interval (bsc#1103990
  FATE#326006).
- net/mlx5: Unexport functions that need not be exported
  (bsc#1103990 FATE#326006).
- net/mlx5: Remove unused mlx5_query_vport_admin_state
  (bsc#1103990 FATE#326006).
- net/mlx5: E-Switch, Remove unused argument when creating legacy
  FDB (bsc#1103990 FATE#326006).
- net/mlx5: Rename modify/query_vport state related enums
  (bsc#1103990 FATE#326006).
- net/mlx5: Use max_num_eqs for calculation of required MSIX
  vectors (bsc#1103990 FATE#326006).
- qede: qede_fp: Mark expected switch fall-through (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- qed: qed_dev: Mark expected switch fall-throughs (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- net/mlx5e: Mark expected switch fall-throughs (bsc#1103990
  FATE#326006).
- net/mlx4/en_rx: Mark expected switch fall-throughs (bsc#1103989
  FATE#326004).
- net/mlx4/mcg: Mark expected switch fall-throughs (bsc#1103989
  FATE#326004).
- i40e_txrx: mark expected switch fall-through (bsc#1111981
  FATE#326312 FATE#326313).
- i40e_main: mark expected switch fall-through (bsc#1111981
  FATE#326312 FATE#326313).
- cxgb4/t4_hw: mark expected switch fall-throughs (bsc#1104279
  FATE#325938).
- cxgb4/l2t: Mark expected switch fall-through (bsc#1104279
  FATE#325938).
- i40e: fix i40e_add_queue_stats data pointer update (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: Add AQ command for rearrange NVM structure (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: Add additional return code to i40e_asq_send_command
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e: fix warning about shadowed ring parameter (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: remove unnecessary i variable causing -Wshadow warning
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e: convert VEB TC stats to use an i40e_stats array
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e: Set fec_config when forcing link state (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: add helper to copy statistic values into ethtool buffer
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e: add helper function for copying strings from stat arrays
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e/i40evf: remove redundant functions
  i40evf_aq_{set/get}_phy_register (bsc#1111981 FATE#326312
  FATE#326313).
- i40e: Remove duplicated prepare call in i40e_shutdown
  (bsc#1111981 FATE#326312 FATE#326313).
- qed: Add Multi-TC RoCE support (bsc#1104393 FATE#325891
  bsc#1104389 FATE#325890).
- qed: Add DCBX API - qed_dcbx_get_priority_tc() (bsc#1104393
  FATE#325891 bsc#1104389 FATE#325890).
- net: sched: cls_flower: set correct offload data in fl_reoffload
  (bsc#1109837).
- nfp: flower: add geneve option match offload (bsc#1109837).
- nfp: flower: add geneve option push action offload
  (bsc#1109837).
- net/sched: allow flower to match tunnel options (bsc#1109837).
- flow_dissector: allow dissection of tunnel options from metadata
  (bsc#1109837).
- nfp: flower: allow matching on ipv4 UDP tunnel tos and ttl
  (bsc#1109837).
- nfp: flower: set ip tunnel ttl from encap action (bsc#1109837).
- bpf: introduce update_effective_progs() (bsc#1109837).
- nfp: bpf: xdp_adjust_tail support (bsc#1109837).
- samples/bpf: extend test_cgrp2_attach2 test to use cgroup
  storage (bsc#1109837).
- selftests/bpf: add a cgroup storage test (bsc#1109837).
- selftests/bpf: add verifier cgroup storage tests (bsc#1109837).
- bpftool: add support for CGROUP_STORAGE maps (bsc#1109837).
- bpf: sync bpf.h to tools/ (bsc#1109837).
- bpf: introduce the bpf_get_local_storage() helper function
  (bsc#1109837).
- bpf: don't allow create maps of cgroup local storages
  (bsc#1109837).
- bpf/verifier: introduce BPF_PTR_TO_MAP_VALUE (bsc#1109837).
- bpf: extend bpf_prog_array to store pointers to the cgroup
  storage (bsc#1109837).
- bpf: allocate cgroup storage entries on attaching bpf programs
  (bsc#1109837).
- bpf: pass a pointer to a cgroup storage using pcpu variable
  (bsc#1109837).
- bpf: introduce cgroup storage maps (bsc#1109837).
- bpf: add ability to charge bpf maps memory dynamically
  (bsc#1109837).
- bpf: verifier: MOV64 don't mark dst reg unbounded (bsc#1109837).
- selftests/bpf: Test for get_socket_cookie (bsc#1109837).
- selftests/bpf: Add bpf_get_socket_cookie to bpf_helpers.h
  (bsc#1109837).
- bpf: Sync bpf.h to tools/ (bsc#1109837).
- bpf: Support bpf_get_socket_cookie in more prog types
  (bsc#1109837).
- nfp: fix variable dereferenced before check in
  nfp_app_ctrl_rx_raw() (bsc#1109837).
- lwt_bpf: remove unnecessary rcu_read_lock in run_lwt_bpf
  (bsc#1109837).
- bpf: fix build error in libbpf with EXTRA_CFLAGS="-Wp,
  - D_FORTIFY_SOURCE=2 -O2" (bsc#1109837).
- tools: libbpf: add bpf_object__find_program_by_title()
  (bsc#1109837).
- tools: libbpf: handle NULL program gracefully in
  bpf_program__nth_fd() (bsc#1109837).
- nfp: bpf: improve map offload info messages (bsc#1109837).
- nfp: bpf: remember maps by ID (bsc#1109837).
- nfp: bpf: allow receiving perf events on data queues
  (bsc#1109837).
- nfp: bpf: pass raw data buffer to nfp_bpf_event_output()
  (bsc#1109837).
- nfp: allow control message reception on data queues
  (bsc#1109837).
- nfp: move repr handling on RX path (bsc#1109837).
- samples/bpf: Add BTF build flags to Makefile (bsc#1109837).
- samples/bpf: xdpsock: order memory on AArch64 (bsc#1109837).
- bpf: Add Python 3 support to selftests scripts for bpf
  (bsc#1109837).
- net: avoid unnecessary sock_flag() check when enable timestamp
  (bsc#1109837).
- vhost: switch to use new message format (bsc#1109837).
- mellanox: fix the dport endianness in call of
  __inet6_lookup_established() (bsc#1103990 FATE#326006).
- mlxsw: spectrum: Configure MC-aware mode on mlxsw ports
  (bsc#1112374).
- mlxsw: spectrum: Fix a typo (bsc#1112374).
- mlxsw: reg: Add QoS Switch Traffic Class Table is
  Multicast-Aware Register (bsc#1112374).
- virtio-net: mark expected switch fall-throughs (bsc#1109837).
- net: sched: cls_flower: Fix an error code in fl_tmplt_create()
  (bsc#1109837).
- bnxt_en: Do not use the CNP CoS queue for networking traffic
  (bsc#1104745 FATE#325918).
- bnxt_en: Add DCBNL DSCP application protocol support
  (bsc#1104745 FATE#325918).
- bnxt_en: Add hwmon sysfs support to read temperature
  (bsc#1104745 FATE#325918).
- bnxt_en: Notify firmware about IF state changes (bsc#1104745
  FATE#325918).
- bnxt_en: Move firmware related flags to a new fw_cap field in
  struct bnxt (bsc#1104745 FATE#325918).
- bnxt_en: Add BNXT_NEW_RM() macro (bsc#1104745 FATE#325918).
- bnxt_en: Add support for ethtool get dump (bsc#1104745
  FATE#325918).
- bnxt_en: Update RSS setup and GRO-HW logic according to the
  latest spec (bsc#1104745 FATE#325918).
- bnxt_en: Add new VF resource allocation strategy mode
  (bsc#1104745 FATE#325918).
- bnxt_en: Add PHY retry logic (bsc#1104745 FATE#325918).
- bnxt_en: Add external loopback test to ethtool selftest
  (bsc#1104745 FATE#325918).
- bnxt_en: Adjust timer based on ethtool stats-block-usecs
  settings (bsc#1104745 FATE#325918).
- bnxt_en: Update firmware interface version to 1.9.2.25
  (bsc#1104745 FATE#325918).
- tun: not use hardcoded mask value (bsc#1109837).
- net: Remove some unneeded semicolon (bsc#1109837).
- net: sched: fix flush on non-existing chain (bsc#1109837).
- bnxt_en: combine 'else if' and 'else' into single branch
  (bsc#1104745 FATE#325918).
- net/socket: remove duplicated init code (bsc#1109837).
- net: Fix coding style in skb_push() (bsc#1109837).
- cxgb4: fix endian to test F_FW_PORT_CMD_DCBXDIS32 (bsc#1104279
  FATE#325938).
- net: sched: make tcf_chain_{get,put}() static (bsc#1109837).
- net: sched: fix notifications for action-held chains
  (bsc#1109837).
- net: sched: change name of zombie chain to "held_by_acts_only"
  (bsc#1109837).
- mlxsw: spectrum: Extract work-scheduling into a new function
  (bsc#1112374).
- net/tls: Use kmemdup to simplify the code (bsc#1109837).
- net/mlx5e: Fix uninitialized variable (bsc#1103990 FATE#326006).
- net: remove bogus RCU annotations on socket.wq (bsc#1109837).
- virtio-net: get rid of unnecessary container of rq stats
  (bsc#1109837).
- virtio-net: correctly update XDP_TX counters (bsc#1109837).
- mlx5: handle DMA mapping error case for XDP redirect
  (bsc#1103990 FATE#326006).
- net/tls: Use socket data_ready callback on record availability
  (bsc#1109837).
- act_mirred: use TC_ACT_REINSERT when possible (bsc#1109837).
- net/tc: introduce TC_ACT_REINSERT (bsc#1109837).
- tc/act: remove unneeded RCU lock in action callback
  (bsc#1109837).
- net/sched: user-space can't set unknown tcfa_action values
  (bsc#1109837).
- act_bpf: Use kmemdup instead of duplicating it in
  tcf_bpf_init_from_ops (bsc#1109837).
- cls_bpf: Use kmemdup instead of duplicating it in
  cls_bpf_prog_from_ops (bsc#1109837).
- act_pedit: remove unnecessary semicolon (bsc#1109837).
- net/mlx5e: Issue direct lookup on vxlan ports by vport
  representors (bsc#1103990 FATE#326006).
- net/mlx5e: Vxlan, move vxlan logic to core driver (bsc#1103990
  FATE#326006).
- net/mlx5e: Vxlan, add sync lock for add/del vxlan port
  (bsc#1103990 FATE#326006).
- net/mlx5e: Vxlan, return values for add/del port (bsc#1103990
  FATE#326006).
- net/mlx5e: Vxlan, rename from mlx5e to mlx5 (bsc#1103990
  FATE#326006).
- net/mlx5e: Vxlan, rename struct mlx5e_vxlan to mlx5_vxlan_port
  (bsc#1103990 FATE#326006).
- net/mlx5e: Vxlan, move netdev only logic to en_main.c
  (bsc#1103990 FATE#326006).
- net/mlx5e: Vxlan, add direct delete function (bsc#1103990
  FATE#326006).
- net/mlx5e: Vxlan, cleanup an unused member in vxlan work
  (bsc#1103990 FATE#326006).
- net/mlx5e: Vxlan, replace ports radix-tree with hash table
  (bsc#1103990 FATE#326006).
- net/mlx5e: Vxlan, check maximum number of UDP ports (bsc#1103990
  FATE#326006).
- net/mlx5e: Vxlan, reflect 4789 UDP port default addition to
  software database (bsc#1103990 FATE#326006).
- tls: Fix improper revert in zerocopy_from_iter (bsc#1109837).
- tls: Remove dead code in tls_sw_sendmsg (bsc#1109837).
- cxgb4: print ULD queue information managed by LLD (bsc#1104279
  FATE#325938).
- mlxsw: spectrum: Support ieee_setapp, ieee_delapp (bsc#1112374).
- mlxsw: reg: Add QoS Priority to DSCP Mapping Register
  (bsc#1112374).
- mlxsw: reg: Add QoS ReWrite Enable Register (bsc#1112374).
- mlxsw: reg: Add QoS Priority Trust State Register (bsc#1112374).
- mlxsw: reg: Add QoS Port DSCP to Priority Mapping Register
  (bsc#1112374).
- net: dcb: Add priority-to-DSCP map getters (bsc#1112374).
- net: sched: don't dump chains only held by actions
  (bsc#1109837).
- net/mlx5e: TX, Use function to access sq_dma object in fifo
  (bsc#1103990 FATE#326006).
- net/mlx5e: TX, Move DB fields in TXQ-SQ struct (bsc#1103990
  FATE#326006).
- net/mlx5e: RX, Prefetch the xdp_frame data area (bsc#1103990
  FATE#326006).
- net/mlx5e: Add support for XDP_REDIRECT in device-out side
  (bsc#1103990 FATE#326006).
- net/mlx5e: Re-order fields of struct mlx5e_xdpsq (bsc#1103990
  FATE#326006).
- net/mlx5e: Refactor XDP counters (bsc#1103990 FATE#326006).
- net/mlx5e: Make XDP xmit functions more generic (bsc#1103990
  FATE#326006).
- net/mlx5e: Add counter for XDP redirect in RX (bsc#1103990
  FATE#326006).
- net/mlx5e: Move XDP related code into new XDP files (bsc#1103990
  FATE#326006).
- net/mlx5e: Restrict the combination of large MTU and XDP
  (bsc#1103990 FATE#326006).
- net/mlx5e: Gather all XDP pre-requisite checks in a single
  function (bsc#1103990 FATE#326006).
- net/mlx5e: Do not recycle RX pages in interface down flow
  (bsc#1103990 FATE#326006).
- net/mlx5e: Replace call to MPWQE free with dealloc in interface
  down flow (bsc#1103990 FATE#326006).
- netdevsim: make debug dirs' dentries static (bsc#1109837).
- ixgbe: add ipsec security registers into ethtool register dump
  (bsc#1113994 FATE#326315 FATE#326317).
- ixgbe: Do not allow LRO or MTU change with XDP (bsc#1113994
  FATE#326315 FATE#326317).
- net: sched: unmark chain as explicitly created on delete
  (bsc#1109837).
- tls: Skip zerocopy path for ITER_KVEC (bsc#1109837).
- net: sched: cls_api: fix dead code in switch (bsc#1109837).
- net/tls: Removed redundant checks for non-NULL (bsc#1109837).
- cbs: Add support for the graft function (bsc#1109837).
- nfp: protect from theoretical size overflows on HW descriptor
  ring (bsc#1109837).
- nfp: restore correct ordering of fields in rx ring structure
  (bsc#1109837).
- nfp: use kvcalloc() to allocate SW buffer descriptor arrays
  (bsc#1109837).
- nfp: don't fail probe on pci_sriov_set_totalvfs() errors
  (bsc#1109837).
- mlxsw: spectrum_acl: Start using A-TCAM (bsc#1112374).
- mlxsw: spectrum_acl: Add A-TCAM rule insertion and deletion
  (bsc#1112374).
- mlxsw: spectrum_acl: Pass C-TCAM region and entry to insert
  function (bsc#1112374).
- mlxsw: spectrum_acl: Add A-TCAM region initialization
  (bsc#1112374).
- mlxsw: spectrum_acl: Make global TCAM resources available to
  regions (bsc#1112374).
- mlxsw: spectrum_acl: Encapsulate C-TCAM region in A-TCAM region
  (bsc#1112374).
- mlxsw: spectrum_acl: Add A-TCAM initialization (bsc#1112374).
- mlxsw: spectrum_acl: Allow encoding a partial key (bsc#1112374).
- mlxsw: spectrum_acl: Extend Spectrum-2 region struct
  (bsc#1112374).
- mlxsw: spectrum_acl: Add support for C-TCAM eRPs (bsc#1112374).
- mlxsw: spectrum_acl: Enable C-TCAM only mode in eRP core
  (bsc#1112374).
- mlxsw: spectrum_acl: Implement common eRP core (bsc#1112374).
- mlxsw: resources: Add Spectrum-2 eRP resources (bsc#1112374).
- mlxsw: resources: Add Spectrum-2 maximum large key ID resource
  (bsc#1112374).
- mlxsw: reg: Add Policy-Engine eRP Table Register (bsc#1112374).
- mlxsw: reg: Add Policy-Engine TCAM Entry Register Version 3
  (bsc#1112374).
- mlxsw: reg: Prepare PERERP register for A-TCAM usage
  (bsc#1112374).
- net/sched: cls_flower: Use correct inline function for
  assignment of vlan tpid (bsc#1109837).
- net/mlx4_core: Allow MTTs starting at any index (bsc#1103989
  FATE#326004).
- net/mlx5e: Offload TC matching on tos/ttl for ip tunnels
  (bsc#1103990 FATE#326006).
- net/mlx5e: Support setup of tos and ttl for tunnel key TC
  action offload (bsc#1103990 FATE#326006).
- net/mlx5e: Use ttl from route lookup on tc encap offload only
  if needed (bsc#1103990 FATE#326006).
- virtio_net: Add kick stats (bsc#1109837).
- virtio_net: Add XDP related stats (bsc#1109837).
- virtio_net: Factor out the logic to determine xdp sq
  (bsc#1109837).
- virtio_net: Make drop counter per-queue (bsc#1109837).
- virtio_net: Use temporary storage for accounting rx stats
  (bsc#1109837).
- net/sched: add skbprio scheduler (bsc#1109837).
- net: remove blank lines at end of file (bsc#1109837).
- sched: fix trailing whitespace (bsc#1109837).
- net: remove redundant input checks in SIOCSIFTXQLEN case of
  dev_ifsioc (bsc#1109837).
- cxgb4: move Tx/Rx free pages collection to common code
  (bsc#1104279 FATE#325938).
- cxgb4: collect number of free PSTRUCT page pointers (bsc#1104279
  FATE#325938).
- mlxsw: spectrum_flower: Add extack messages (bsc#1112374).
- mlxsw: spectrum_acl: Add extack messages (bsc#1112374).
- mlxsw: core_acl_flex_actions: Add extack messages (bsc#1112374).
- mlxsw: spectrum_acl: Propagate extack pointer (bsc#1112374).
- mlxsw: spectrum: Implement chain template hinting (bsc#1112374).
- net: sched: cls_flower: propagate chain teplate creation and
  destruction to drivers (bsc#1109837).
- net: sched: cls_flower: implement chain templates (bsc#1109837).
- net: sched: cls_flower: change fl_init_dissector to accept
  mask and dissector (bsc#1109837).
- net: sched: cls_flower: move key/mask dumping into a separate
  function (bsc#1109837).
- net: sched: introduce chain templates (bsc#1109837).
- net: sched: introduce chain object to uapi (bsc#1109837).
- net: sched: Avoid implicit chain 0 creation (bsc#1109837).
- net: sched: push ops lookup bits into tcf_proto_lookup_ops()
  (bsc#1109837).
- net/mlx5e: Use PARTIAL_GSO for UDP segmentation (bsc#1103990
  FATE#326006).
- net/mlx5e: Support offloading double vlan push/pop tc actions
  (bsc#1103990 FATE#326006).
- net/mlx5e: Refactor tc vlan push/pop actions offloading
  (bsc#1103990 FATE#326006).
- net/mlx5e: Support offloading tc double vlan headers match
  (bsc#1103990 FATE#326006).
- net/mlx5e: Remove redundant WARN when we cannot find neigh entry
  (bsc#1103990 FATE#326006).
- net/mlx5: FW tracer, Add debug prints (bsc#1103990 FATE#326006).
- net/mlx5: FW tracer, Enable tracing (bsc#1103990 FATE#326006).
- net/mlx5: FW tracer, parse traces and kernel tracing support
  (bsc#1103990 FATE#326006).
- net/mlx5: FW tracer, events handling (bsc#1103990 FATE#326006).
- net/mlx5: FW tracer, register log buffer memory key (bsc#1103990
  FATE#326006).
- net/mlx5: FW tracer, create trace buffer and copy strings
  database (bsc#1103990 FATE#326006).
- net/mlx5: FW tracer, implement tracer logic (bsc#1103990
  FATE#326006).
- net/mlx5: Fix tristate and description for MLX5 module
  (bsc#1103990 FATE#326006).
- net/mlx5: Better return types for CQE API (bsc#1103990
  FATE#326006).
- net/mlx5: Use ERR_CAST() instead of coding it (bsc#1103990
  FATE#326006).
- net/mlx5: Add missing SET_DRIVER_VERSION command translation
  (bsc#1103990 FATE#326006).
- net/mlx5: Add XRQ commands definitions (bsc#1103990
  FATE#326006).
- net/mlx5: Add core support for double vlan push/pop steering
  action (bsc#1103990 FATE#326006).
- net/mlx5: Expose MPEGC (Management PCIe General Configuration)
  structures (bsc#1103990 FATE#326006).
- net/mlx5: FW tracer, add hardware structures (bsc#1103990
  FATE#326006).
- net/mlx5: fix uaccess beyond "count" in debugfs read/write
  handlers (bsc#1103990 FATE#326006).
- net/mlx5: Add hardware definitions for dump_fill_mkey
  (bsc#1103990 FATE#326006).
- net/mlx5: Limit scope of dump_fill_mkey function (bsc#1103990
  FATE#326006).
- net/mlx5: Rate limit errors in command interface (bsc#1103990
  FATE#326006).
- net/mlx5: Add RoCE RX ICRC encapsulated counter (bsc#1103990
  FATE#326006).
- net/mlx5: Expose DEVX specification (bsc#1103990 FATE#326006).
- net/mlx5: Prevent warns in dmesg upon firmware commands
  (bsc#1103990 FATE#326006).
- nfp: avoid buffer leak when FW communication fails
  (bsc#1109837).
- nfp: bring back support for offloading shared blocks
  (bsc#1109837).
- vhost_net: batch update used ring for datacopy TX (bsc#1109837).
- vhost_net: rename VHOST_RX_BATCH to VHOST_NET_BATCH
  (bsc#1109837).
- vhost_net: rename vhost_rx_signal_used() to
  vhost_net_signal_used() (bsc#1109837).
- vhost_net: split out datacopy logic (bsc#1109837).
- vhost_net: introduce tx_can_batch() (bsc#1109837).
- vhost_net: introduce get_tx_bufs() (bsc#1109837).
- vhost_net: introduce vhost_exceeds_weight() (bsc#1109837).
- vhost_net: introduce helper to initialize tx iov iter
  (bsc#1109837).
- vhost_net: drop unnecessary parameter (bsc#1109837).
- libcxgb: replace vmalloc and memset with vzalloc (bsc#1104279
  FATE#325938).
- net: sched: use PTR_ERR_OR_ZERO macro in tcf_block_cb_register
  (bsc#1109837).
- selftests/bpf: add test for sharing objects between netdevs
  (bsc#1109837).
- nfp: bpf: allow program sharing within ASIC (bsc#1109837).
- netdevsim: allow program sharing between devices (bsc#1109837).
- bpf: offload: allow program and map sharing per-ASIC
  (bsc#1109837).
- bpf: offload: keep the offload state per-ASIC (bsc#1109837).
- bpf: offload: aggregate offloads per-device (bsc#1109837).
- bpf: offload: rename bpf_offload_dev_match() to
  bpf_offload_prog_map_match() (bsc#1109837).
- nfp: add .ndo_init() and .ndo_uninit() callbacks (bsc#1109837).
- netdevsim: associate bound programs with shared dev
  (bsc#1109837).
- netdevsim: add shared netdevsim devices (bsc#1109837).
- netdevsim: add switch_id attribute (bsc#1109837).
- bpf: sockmap: remove redundant pointer sg (bsc#1109837).
- bpf: fix rcu annotations in compute_effective_progs()
  (bsc#1109837).
- bpf: bpf_prog_array_alloc() should return a generic non-rcu
  pointer (bsc#1109837).
- tools: bpftool: don't pass FEATURES_DUMP to libbpf
  (bsc#1109837).
- tools: libbpf: remove libelf-getphdrnum feature detection
  (bsc#1109837).
- samples/bpf: test_cgrp2_sock2: fix an off by one (bsc#1109837).
- samples: bpf: ensure that we don't load over MAX_PROGS programs
  (bsc#1109837).
- net-sysfs: require net admin in the init ns for setting
  tx_maxrate (bsc#1109837).
- net: Init backlog NAPI's gro_hash (bsc#1109837).
- tls: Fix copy-paste error in tls_device_reencrypt (bsc#1109837).
- net/sched: cls_flower: Support matching on ip tos and ttl for
  tunnels (bsc#1109837).
- flow_dissector: Dissect tos and ttl from the tunnel info
  (bsc#1109837).
- net/sched: tunnel_key: Allow to set tos and ttl for tc based
  ip tunnels (bsc#1109837).
- net: Move skb decrypted field, avoid explicity copy
  (bsc#1109837).
- net/mlx5: fix an unused-function warning (bsc#1103990
  FATE#326006).
- xdp: fix uninitialized 'err' variable (bsc#1109837).
- cxgb4: display number of rx and tx pages free (bsc#1104279
  FATE#325938).
- mlxsw: spectrum: Extend to support Spectrum-2 ASIC
  (bsc#1112374).
- mlxsw: spectrum_acl: Add initial Spectrum-2 ACL implementation
  (bsc#1112374).
- mlxsw: spectrum_acl: Add region association callback
  (bsc#1112374).
- mlxsw: spectrum_acl: Add support for Spectrum-2 block encoding
  (bsc#1112374).
- mlxsw: spectrum_acl: Prepare for Spectrum-2 block encoding
  (bsc#1112374).
- mlxsw: reg: Add Policy-Engine General Configuration Register
  (bsc#1112374).
- mlxsw: reg: Add Policy-Engine Region eRP Register (bsc#1112374).
- mlxsw: reg: Add Policy-Engine Region Configuration Register
  (bsc#1112374).
- mlxsw: reg: Add Policy-Engine Region Association Register
  (bsc#1112374).
- mlxsw: acl: Introduce activity get operation for action
  block/set (bsc#1112374).
- mlxsw: reg: Add support for activity information from PEFA
  register (bsc#1112374).
- mlxsw: spectrum: Introduce flex key blocks for Spectrum-2
  (bsc#1112374).
- mlxsw: spectrum: Add Spectrum-2 variant of flex actions ops
  (bsc#1112374).
- mlxsw: spectrum_mr_tcam: Add Spectrum-2 stubs (bsc#1112374).
- mlxsw: spectrum: Add KVDL manager implementation for Spectrum-2
  (bsc#1112374).
- mlxsw: reg: Add Infrastructure Entry Delete Register
  (bsc#1112374).
- net: Fix GRO_HASH_BUCKETS assertion (bsc#1109837).
- cxgb4: collect ASIC LA dumps from ULP TX (bsc#1104279
  FATE#325938).
- mlxsw: spectrum: Expose counters for various packet sizes
  (bsc#1112374).
- cxgb4: do not return DUPLEX_UNKNOWN when link is down
  (bsc#1104279 FATE#325938).
- net: convert gro_count to bitmask (bsc#1109837).
- net/mlx5e: IPsec, fix byte count in CQE (bsc#1103990
  FATE#326006).
- net/mlx5: Accel, add common metadata functions (bsc#1103990
  FATE#326006).
- net/mlx5e: TLS, build TLS netdev from capabilities (bsc#1103990
  FATE#326006).
- net/mlx5e: TLS, add software statistics (bsc#1103990
  FATE#326006).
- net/mlx5e: TLS, add Innova TLS rx data path (bsc#1103990
  FATE#326006).
- net/mlx5e: TLS, add innova rx support (bsc#1103990 FATE#326006).
- net/mlx5: Accel, add TLS rx offload routines (bsc#1103990
  FATE#326006).
- net/mlx5e: TLS, refactor variable names (bsc#1103990
  FATE#326006).
- tls: Fix zerocopy_from_iter iov handling (bsc#1109837).
- tls: Add rx inline crypto offload (bsc#1109837).
- tls: Fill software context without allocation (bsc#1109837).
- tls: Split tls_sw_release_resources_rx (bsc#1109837).
- tls: Split decrypt_skb to two functions (bsc#1109837).
- tls: Refactor tls_offload variable names (bsc#1109837).
- net: Add TLS rx resync NDO (bsc#1109837).
- net: Add TLS RX offload feature (bsc#1109837).
- net: Add decrypted field to skb (bsc#1109837).
- selftests/bpf: Test case for BPF_SOCK_OPS_TCP_LISTEN_CB
  (bsc#1109837).
- selftests/bpf: Better verification in test_tcpbpf (bsc#1109837).
- selftests/bpf: Switch test_tcpbpf_user to cgroup_helpers
  (bsc#1109837).
- selftests/bpf: Fix const'ness in cgroup_helpers (bsc#1109837).
- bpf: Sync bpf.h to tools/ (bsc#1109837).
- bpf: Add BPF_SOCK_OPS_TCP_LISTEN_CB (bsc#1109837).
- samples/bpf: xdp_redirect_cpu handle parsing of double VLAN
  tagged packets (bsc#1109837).
- nfp: add support for simultaneous driver and hw XDP
  (bsc#1109837).
- selftests/bpf: add test for multiple programs (bsc#1109837).
- netdevsim: add support for simultaneous driver and hw XDP
  (bsc#1109837).
- xdp: support simultaneous driver and hw XDP attachment
  (bsc#1109837).
- xdp: factor out common program/flags handling from drivers
  (bsc#1109837).
- xdp: don't make drivers report attachment mode (bsc#1109837).
- xdp: add per mode attributes for attached programs
  (bsc#1109837).
- tools: bpf: build and install man page for eBPF helpers from
  bpftool/ (bsc#1109837).
- tools: bpftool: allow reuse of maps with bpftool prog load
  (bsc#1109837).
- tools: libbpf: allow map reuse (bsc#1109837).
- tools: bpf: make use of reallocarray (bsc#1109837).
- tools: libbpf: move library error code into a separate file
  (bsc#1109837).
- tools: bpftool: reimplement bpf_prog_load() for prog load
  (bsc#1109837).
- tools: libbpf: add extended attributes version of
  bpf_object__open() (bsc#1109837).
- tools: libbpf: recognize offload neutral maps (bsc#1109837).
- tools: bpftool: allow users to specify program type for prog
  load (bsc#1109837).
- tools: libbpf: expose the prog type guessing from section name
  logic (bsc#1109837).
- tools: bpftool: add support for loading programs for offload
  (bsc#1109837).
- tools: bpftool: refactor argument parsing for prog load
  (bsc#1109837).
- selftests/bpf: add Error: prefix in check_extack helper
  (bsc#1109837).
- selftests/bpf: remove duplicated word from test offloads
  (bsc#1109837).
- nfp: bpf: migrate to advanced reciprocal divide in
  reciprocal_div.h (bsc#1109837).
- nfp: bpf: support u32 divide using reciprocal_div.h
  (bsc#1109837).
- nfp: bpf: support u16 and u32 multiplications (bsc#1109837).
- nfp: bpf: copy range info for all operands of all ALU operations
  (bsc#1109837).
- nfp: bpf: rename umin/umax to umin_src/umax_src (bsc#1109837).
- lib: reciprocal_div: implement the improved algorithm on the
  paper mentioned (bsc#1109837).
- bpftool: add bash completion for cgroup tree command
  (bsc#1109837).
- bpftool: document cgroup tree command (bsc#1109837).
- bpftool: introduce cgroup tree command (bsc#1109837).
- mlxsw: spectrum_router: Optimize processing of VRRP MACs
  (bsc#1112374).
- mlxsw: spectrum: Add VRRP traps (bsc#1112374).
- mlxsw: spectrum_router: Direct macvlans' MACs to router
  (bsc#1112374).
- mlxsw: spectrum: Enable macvlan upper devices (bsc#1112374).
- net: sched: refactor flower walk to iterate over idr
  (bsc#1109837).
- net/mlx4_core: Use devlink region_snapshot parameter
  (bsc#1103989 FATE#326004).
- devlink: Add generic parameters region_snapshot (bsc#1109837).
- net/mlx4_core: Add Crdump FW snapshot support (bsc#1103989
  FATE#326004).
- net/mlx4_core: Add health buffer address capability (bsc#1103989
  FATE#326004).
- devlink: Add support for region snapshot read command
  (bsc#1109837).
- devlink: Add support for region snapshot delete command
  (bsc#1109837).
- devlink: Extend the support querying for region snapshot IDs
  (bsc#1109837).
- devlink: Add support for region get command (bsc#1109837).
- devlink: Add support for creating region snapshots
  (bsc#1109837).
- devlink: Add callback to query for snapshot id before snapshot
  create (bsc#1109837).
- devlink: Add support for creating and destroying regions
  (bsc#1109837).
- net: gro: properly remove skb from list (bsc#1109837).
- nfp: avoid using getnstimeofday64() (bsc#1109837).
- net/sched: act_skbedit: don't use spinlock in the data path
  (bsc#1109837).
- net/sched: skbedit: use per-cpu counters (bsc#1109837).
- net/tls: Use aead_request_alloc/free for request alloc/free
  (bsc#1109837).
- macvlan: Change status when lower device goes down
  (bsc#1109837).
- net: allow fallback function to pass netdev (bsc#1109837).
- net: Add generic ndo_select_queue functions (bsc#1109837).
- net: Add support for subordinate traffic classes to
  netdev_pick_tx (bsc#1109837).
- ixgbe: Add code to populate and use macvlan TC to Tx queue map
  (bsc#1113994 FATE#326315 FATE#326317).
- net: Add support for subordinate device traffic classes
  (bsc#1109837).
- net-sysfs: Drop support for XPS and traffic_class on single
  queue device (bsc#1109837).
- net: sched: fix unprotected access to rcu cookie pointer
  (bsc#1109837).
- cxgb4: expose stats fetched from firmware via debugfs
  (bsc#1104279 FATE#325938).
- cxgb4: remove stats fetched from firmware (bsc#1104279
  FATE#325938).
- net: sched: act_ife: fix memory leak in ife init (bsc#1109837).
- cxgb4: specify IQTYPE in fw_iq_cmd (bsc#1104279 FATE#325938).
- net/sched: flower: Fix null pointer dereference when run tc
  vlan command (bsc#1109837).
- mlxsw: resources: Add couple of Spectrum-2 KVD resources
  (bsc#1112374).
- mlxsw: spectrum: Prepare for multiple FW versions for Spectrum
  and Spectrum-2 (bsc#1112374).
- mlxsw: spectrum_acl: Implement priority setting for rules
  inserted to TCAM (bsc#1112374).
- mlxsw: reg: Add priority field for PTCEV2 register
  (bsc#1112374).
- mlxsw: spectrum_acl: Move block items encoding into Spectrum op
  (bsc#1112374).
- mlxsw: spectrum_acl: Convert mlxsw_afk_create args to ops
  (bsc#1112374).
- mlxsw: spectrum_acl: Add tcam init/fini ops (bsc#1112374).
- mlxsw: spectrum_acl: Split TCAM handling 3 ways (bsc#1112374).
- mlxsw: spectrum_mr_tcam: Push Spectrum-specific operations
  into a separate file (bsc#1112374).
- mlxsw: spectrum_kvdl: Pass entry_count to free function
  (bsc#1112374).
- mlxsw: spectrum_kvdl: Pass entry type to alloc/free
  (bsc#1112374).
- mlxsw: spectrum_kvdl: Push out KVD linear management into ops
  (bsc#1112374).
- net/mlx5: Use 2-factor allocator calls (bsc#1103990
  FATE#326006).
- net: core: fix use-after-free in __netif_receive_skb_list_core
  (bsc#1109837).
- net: core: fix uses-after-free in list processing (bsc#1109837).
- mlxsw: core_acl_flex_actions: Fix helper to get the first KVD
  linear index (bsc#1112374).
- mlxsw: core_acl_flex_actions: Allow the first set to be dummy
  (bsc#1112374).
- mlxsw: spectrum: Put pointer to flex action ops to mlxsw_sp
  (bsc#1112374).
- mlxsw: core_acl_flex_keys: Change SRC_SYS_PORT flex key element
  size (bsc#1112374).
- mlxsw: core_acl_flex_keys: Split MAC and IP address flex key
  elements (bsc#1112374).
- mlxsw: spectrum_acl: Ignore always-zeroed bits in tp->prio
  (bsc#1112374).
- mlxsw: reg: Introduce Flex2 key type for PTAR register
  (bsc#1112374).
- mlxsw: spectrum: Change name of mlxsw_sp_afk_blocks to
  mlxsw_sp1_afk_blocks (bsc#1112374).
- net: sched: Fix warnings from xchg() on RCU'd cookie pointer
  (bsc#1109837).
- net: sched: change action API to use array of pointers to
  actions (bsc#1109837).
- net: sched: use reference counting action init (bsc#1109837).
- net: sched: don't release reference on action overwrite
  (bsc#1109837).
- net: sched: implement reference counted action release
  (bsc#1109837).
- net: sched: add 'delete' function to action ops (bsc#1109837).
- net: sched: implement action API that deletes action by index
  (bsc#1109837).
- net: sched: always take reference to action (bsc#1109837).
- net: sched: implement unlocked action init API (bsc#1109837).
- net: sched: use rcu for action cookie update (bsc#1109837).
- net/sched: flower: Add supprt for matching on QinQ vlan headers
  (bsc#1109837).
- net/sched: flower: Dump the ethertype encapsulated in vlan
  (bsc#1109837).
- net/flow_dissector: Add support for QinQ dissection
  (bsc#1109837).
- net/sched: flower: Add support for matching on vlan ethertype
  (bsc#1109837).
- net/flow_dissector: Save vlan ethertype from headers
  (bsc#1109837).
- mlxsw: spectrum_router: avoid uninitialized variable access
  (bsc#1112374).
- net: core: filter: mark expected switch fall-through
  (bsc#1109837).
- bnxt_en: Add bnxt_en initial params table and register it
  (bsc#1104745 FATE#325918).
- devlink: Add enable_sriov boolean generic parameter
  (bsc#1109837).
- mlx4: Add support for devlink reload and load driverinit values
  (bsc#1103989 FATE#326004).
- mlx4: Add mlx4 initial parameters table and register it
  (bsc#1103989 FATE#326004).
- devlink: Add generic parameters internal_err_reset and max_macs
  (bsc#1109837).
- devlink: Add devlink notifications support for params
  (bsc#1109837).
- devlink: Add support for get/set driverinit value (bsc#1109837).
- devlink: Add param set command (bsc#1109837).
- devlink: Add param get command (bsc#1109837).
- devlink: Add devlink_param register and unregister
  (bsc#1109837).
- net: limit each hash list length to MAX_GRO_SKBS (bsc#1109837).
- cxgb4: Add support to read actual provisioned resources
  (bsc#1104279 FATE#325938).
- net/sched: Allow creating a Qdisc watchdog with other clocks
  (bsc#1109837).
- net: Clear skb->tstamp only on the forwarding path
  (bsc#1109837).
- net: sched: act_pedit: fix possible memory leak in
  tcf_pedit_init() (bsc#1109837).
- vhost_net: Avoid rx vring kicks during busyloop (bsc#1109837).
- vhost_net: Avoid rx queue wake-ups during busypoll
  (bsc#1109837).
- vhost_net: Avoid tx vring kicks during busyloop (bsc#1109837).
- vhost_net: Rename local variables in vhost_net_rx_peek_head_len
  (bsc#1109837).
- net:sched: add action inheritdsfield to skbedit (bsc#1109837).
- net: don't bother calling list RX functions on empty lists
  (bsc#1109837).
- net: ipv4: listified version of ip_rcv (bsc#1109837).
- net: core: propagate SKB lists through packet_type lookup
  (bsc#1109837).
- net: core: another layer of lists, around PF_MEMALLOC skb
  handling (bsc#1109837).
- net: core: Another step of skb receive list processing
  (bsc#1109837).
- net: core: unwrap skb list receive slightly further
  (bsc#1109837).
- net: core: trivial netif_receive_skb_list() entry point
  (bsc#1109837).
- tools: bpftool: deal with options upfront (bsc#1109837).
- tools: bpftool: add missing --bpffs to completions
  (bsc#1109837).
- tools: bpftool: drop unnecessary Author comments (bsc#1109837).
- tools: libbpf: don't return '.text' as a program for
  multi-function programs (bsc#1109837).
- tools: libbpf: restore the ability to load programs from .text
  section (bsc#1109837).
- tools: libbpf: allow setting ifindex for programs and maps
  (bsc#1109837).
- tools: bpftool: use correct make variable type to improve
  compilation time (bsc#1109837).
- samples/bpf: xdp_rxq_info action XDP_TX must adjust MAC-addrs
  (bsc#1109837).
- samples/bpf: extend xdp_rxq_info to read packet payload
  (bsc#1109837).
- selftests/bpf: Test sys_connect BPF hooks with TFO
  (bsc#1109837).
- trace_helpers.c: Add helpers to poll multiple perf FDs for
  events (bsc#1109837).
- nfp: bpf: allow source ptr type be map ptr in memcpy
  optimization (bsc#1109837).
- net sched actions: add extack messages in pedit action
  (bsc#1109837).
- netdevsim: fix sa_idx out of bounds check (bsc#1109837).
- net-sysfs: Add interface for Rx queue(s) map per Tx queue
  (bsc#1109837).
- net: Enable Tx queue selection based on Rx queues (bsc#1109837).
- net: Record receive queue number for a connection (bsc#1109837).
- net: sock: Change tx_queue_mapping in sock_common to unsigned
  short (bsc#1109837).
- net: Use static_key for XPS maps (bsc#1109837).
- net: Refactor XPS for CPUs and Rx queues (bsc#1109837).
- nfp: flower: enabled offloading of Team LAG (bsc#1109837).
- nfp: flower: offload tos and tunnel flags for ipv4 udp tunnels
  (bsc#1109837).
- nfp: flower: extract ipv4 udp tunnel ttl from route
  (bsc#1109837).
- nfp: flower: ignore checksum actions when performing pedit
  actions (bsc#1109837).
- nfp: populate bus-info on representors (bsc#1109837).
- nfp: make use of napi_consume_skb() (bsc#1109837).
- nfp: implement netpoll ndo (thus enabling netconsole)
  (bsc#1109837).
- nfp: fail probe if serial or interface id is missing
  (bsc#1109837).
- nfp: expose ring stats of inactive rings via ethtool
  (bsc#1109837).
- net/mlx5e: Update NIC HW stats on demand only (bsc#1103990
  FATE#326006).
- net/mlx5e: Add counter for total num of NOP operations
  (bsc#1103990 FATE#326006).
- net/mlx5e: Add counter for MPWQE filler strides (bsc#1103990
  FATE#326006).
- net/mlx5e: Add channel events counter (bsc#1103990 FATE#326006).
- net/mlx5e: Add a counter for congested UMRs (bsc#1103990
  FATE#326006).
- net/mlx5e: Add NAPI statistics (bsc#1103990 FATE#326006).
- net/mlx5e: Add XDP_TX completions statistics (bsc#1103990
  FATE#326006).
- net/mlx5e: Add TX completions statistics (bsc#1103990
  FATE#326006).
- net/mlx5e: RX, Use existing WQ local variable (bsc#1103990
  FATE#326006).
- net/mlx5e: Convert large order kzalloc allocations to kvzalloc
  (bsc#1103990 FATE#326006).
- net/mlx5e: Add UDP GSO remaining counter (bsc#1103990
  FATE#326006).
- net/mlx5e: Add UDP GSO support (bsc#1103990 FATE#326006).
- net/sched: add tunnel option support to act_tunnel_key
  (bsc#1109837).
- net/sched: act_tunnel_key: add extended ack support
  (bsc#1109837).
- net/sched: act_tunnel_key: disambiguate metadata dst error cases
  (bsc#1109837).
- cxgb4: Support ethtool private flags (bsc#1104279 FATE#325938).
- cxgb4: Add support for FW_ETH_TX_PKT_VM_WR (bsc#1104279
  FATE#325938).
- skbuff: preserve sock reference when scrubbing the skb
  (bsc#1109837).
- net sched actions: avoid bitwise operation on signed value in
  pedit (bsc#1109837).
- net sched actions: fix misleading text strings in pedit action
  (bsc#1109837).
- net sched actions: use sizeof operator for buffer length
  (bsc#1109837).
- net sched actions: fix sparse warning (bsc#1109837).
- net sched actions: fix coding style in pedit action
  (bsc#1109837).
- netem: slotting with non-uniform distribution (bsc#1109837).
- netdevsim: add ipsec offload testing (bsc#1109837).
- cxgb4: Add new T5 PCI device id 0x50ae (bsc#1104279
  FATE#325938).
- cxgb4: Add flag tc_flower_initialized (bsc#1104279 FATE#325938).
- net/tls: Remove VLA usage on nonce (bsc#1109837).
- net: sched: call reoffload op on block callback reg
  (bsc#1109837).
- net: sched: cls_bpf: implement offload tcf_proto_op
  (bsc#1109837).
- net: sched: cls_u32: implement offload tcf_proto_op
  (bsc#1109837).
- net: sched: cls_matchall: implement offload tcf_proto_op
  (bsc#1109837).
- net: sched: cls_flower: implement offload tcf_proto_op
  (bsc#1109837).
- net: sched: add tcf_proto_op to offload a rule (bsc#1109837).
- net: sched: pass extack pointer to block binds and cb
  registration (bsc#1109837).
- mlxsw: spectrum_switchdev: Ban PVID change if bridge has a RIF
  (bsc#1112374).
- mlxsw: spectrum_router: Add mlxsw_sp_rif_fid() (bsc#1112374).
- mlxsw: spectrum_router: Publish mlxsw_sp_rif_find_by_dev()
  (bsc#1112374).
- mlxsw: spectrum_router: Allocate FID according to PVID
  (bsc#1112374).
- mlxsw: spectrum_router: Propagate extack to .fid_get()
  (bsc#1112374).
- net: Convert NAPI gro list into a small hash table
  (bsc#1109837).
- net: Convert GRO SKB handling to list_head (bsc#1109837).
- cls_flower: fix error values for commands not supported by
  drivers (bsc#1109837).
- nfp: handle cls_flower command default case (bsc#1109837).
- tls: Removed unused variable (bsc#1109837).
- net_sched: remove unused htb drop_list (bsc#1109837).
- net: use dev_change_tx_queue_len() for SIOCSIFTXQLEN
  (bsc#1109837).
- tcp: Do not reload skb pointer after skb_gro_receive()
  (bsc#1109837).
- xprtrdma: Remove transfertypes array (bsc#1103992 FATE#326009).
- xprtrdma: Add trace_xprtrdma_dma_map(mr) (bsc#1103992
  FATE#326009).
- xprtrdma: Wait on empty sendctx queue (bsc#1103992 FATE#326009).
- xprtrdma: Move common wait_for_buffer_space call to parent
  function (bsc#1103992 FATE#326009).
- xprtrdma: Make rpcrdma_sendctx_put_locked() a static function
  (bsc#1103992 FATE#326009).
- xprtrdma: Remove rpcrdma_buffer_get_rep_locked() (bsc#1103992
  FATE#326009).
- xprtrdma: Remove rpcrdma_buffer_get_req_locked() (bsc#1103992
  FATE#326009).
- xprtrdma: Remove rpcrdma_ep_{post_recv, post_extra_recv}
  (bsc#1103992 FATE#326009).
- xprtrdma: Move Receive posting to Receive handler (bsc#1103992
  FATE#326009).
- xprtrdma: Clean up Receive trace points (bsc#1103992
  FATE#326009).
- xprtrdma: Make rpc_rqst part of rpcrdma_req (bsc#1103992
  FATE#326009).
- xprtrdma: Introduce ->alloc_slot call-out for xprtrdma
  (bsc#1103992 FATE#326009).
- SUNRPC: Add a ->free_slot transport callout (bsc#1103992
  FATE#326009).
- xprtrdma: Fix max_send_wr computation (bsc#1103992 FATE#326009).
- xprtrdma: Create transport's CM ID in the correct network
  namespace (bsc#1103992 FATE#326009).
- xprtrdma: Try to fail quickly if proto=rdma (bsc#1103992
  FATE#326009).
- xprtrdma: Add proper SPDX tags for NetApp-contributed source
  (bsc#1103992 FATE#326009).
- svcrdma: Fix incorrect return value/type in svc_rdma_post_recvs
  (bsc#1103992 FATE#326009).
- svcrdma: Persistently allocate and DMA-map Send buffers
  (bsc#1103992 FATE#326009).
- svcrdma: Simplify svc_rdma_send() (bsc#1103992 FATE#326009).
- svcrdma: Remove post_send_wr (bsc#1103992 FATE#326009).
- svcrdma: Don't overrun the SGE array in svc_rdma_send_ctxt
  (bsc#1103992 FATE#326009).
- svcrdma: Introduce svc_rdma_send_ctxt (bsc#1103992 FATE#326009).
- svcrdma: Clean up Send SGE accounting (bsc#1103992 FATE#326009).
- svcrdma: Refactor svc_rdma_dma_map_buf (bsc#1103992
  FATE#326009).
- svcrdma: Allocate recv_ctxt's on CPU handling Receives
  (bsc#1103992 FATE#326009).
- svcrdma: Persistently allocate and DMA-map Receive buffers
  (bsc#1103992 FATE#326009).
- svcrdma: Preserve Receive buffer until svc_rdma_sendto
  (bsc#1103992 FATE#326009).
- svcrdma: Simplify svc_rdma_recv_ctxt_put (bsc#1103992
  FATE#326009).
- svcrdma: Remove sc_rq_depth (bsc#1103992 FATE#326009).
- svcrdma: Introduce svc_rdma_recv_ctxt (bsc#1103992 FATE#326009).
- svcrdma: Trace key RDMA API events (bsc#1103992 FATE#326009).
- svcrdma: Trace key RPC/RDMA protocol events (bsc#1103992
  FATE#326009).
- xprtrdma: Prepare RPC/RDMA includes for server-side trace points
  (bsc#1103992 FATE#326009).
- svcrdma: Add proper SPDX tags for NetApp-contributed source
  (bsc#1103992 FATE#326009).
- bpf: bpf_prog_array_copy() should return -ENOENT if exclude_prog
  not found (bsc#1109837).
- bpf: Define cgroup_bpf_enabled for CONFIG_CGROUP_BPF=n
  (bsc#1109837).
- net: Revoke export for __skb_tx_hash, update it to just be
  static skb_tx_hash (bsc#1109837).
- xprtrdma: Move creation of rl_rdmabuf to rpcrdma_create_req
  (bsc#1103992 FATE#326009).
- xprtrdma: Chain Send to FastReg WRs (bsc#1103992 FATE#326009).
- xprtrdma: "Support" call-only RPCs (bsc#1103992 FATE#326009).
- xprtrdma: Reduce number of MRs created by rpcrdma_mrs_create
  (bsc#1103992 FATE#326009).
- xprtrdma: ->send_request returns -EAGAIN when there are no
  free MRs (bsc#1103992 FATE#326009).
- xprtrdma: Remove xprt-specific connect cookie (bsc#1103992
  FATE#326009).
- xprtrdma: Remove arbitrary limit on initiator depth (bsc#1103992
  FATE#326009).
- xprtrdma: Fix latency regression on NUMA NFS/RDMA clients
  (bsc#1103992 FATE#326009).
- svcrdma: Clean up rdma_build_arg_xdr (bsc#1103992 FATE#326009).
- svcrdma: Consult max_qp_init_rd_atom when accepting connections
  (bsc#1103992 FATE#326009).
- svcrdma: Use pr_err to report Receive errors (bsc#1103992
  FATE#326009).
- svcrdma: Fix Read chunk round-up (bsc#1103992 FATE#326009).
- svcrdma: Post Receives in the Receive completion handler
  (bsc#1103992 FATE#326009).
- lib: optimize cpumask_next_and() (bsc#1109837).
- lib/find_bit_benchmark.c: improvements (bsc#1109837).
- lib/test_find_bit.c: rename to find_bit_benchmark.c
  (bsc#1109837).
- xprtrdma: Correct some documenting comments (bsc#1103992
  FATE#326009).
- xprtrdma: Instrument allocation/release of rpcrdma_req/rep
  objects (bsc#1103992 FATE#326009).
- xprtrdma: Add trace points to instrument QP and CQ access
  upcalls (bsc#1103992 FATE#326009).
- xprtrdma: Add trace points in the client-side backchannel code
  paths (bsc#1103992 FATE#326009).
- xprtrdma: Add trace points to instrument MR allocation and
  recovery (bsc#1103992 FATE#326009).
- xprtrdma: Add trace points in reply decoder path (bsc#1103992
  FATE#326009).
- xprtrdma: Add trace points in the RPC Reply handler paths
  (bsc#1103992 FATE#326009).
- xprtrdma: Add trace points in RPC Call transmit paths
  (bsc#1103992 FATE#326009).
- rpcrdma: infrastructure for static trace points in rpcrdma.ko
  (bsc#1103992 FATE#326009).
- rdma/ib: Add trace point macros to display human-readable values
  (bsc#1103992 FATE#326009).
- xprtrdma: Don't clear RPC_BC_PA_IN_USE on pre-allocated
  rpc_rqst's (bsc#1103992 FATE#326009).
- xprtrdma: Split xprt_rdma_send_request (bsc#1103992
  FATE#326009).
- xprtrdma: buf_free not called for CB replies (bsc#1103992
  FATE#326009).
- xprtrdma: Move unmap-safe logic to rpcrdma_marshal_req
  (bsc#1103992 FATE#326009).
- xprtrdma: Support IPv6 in xprt_rdma_set_port (bsc#1103992
  FATE#326009).
- xprtrdma: Remove another sockaddr_storage field (cdata::addr)
  (bsc#1103992 FATE#326009).
- xprtrdma: Initialize the xprt address string array earlier
  (bsc#1103992 FATE#326009).
- xprtrdma: Remove unused padding variables (bsc#1103992
  FATE#326009).
- xprtrdma: Remove ri_reminv_expected (bsc#1103992 FATE#326009).
- xprtrdma: Per-mode handling for Remote Invalidation (bsc#1103992
  FATE#326009).
- xprtrdma: Eliminate unnecessary lock cycle in
  xprt_rdma_send_request (bsc#1103992 FATE#326009).
- xprtrdma: Fix buffer leak after transport set up failure
  (bsc#1103992 FATE#326009).
- sched/core: Fix cpu.max vs. cpuhotplug deadlock (bsc#1109837).
- xprtrdma: Spread reply processing over more CPUs (bsc#1103992
  FATE#326009).
- svcrdma: Enqueue after setting XPT_CLOSE in completion handlers
  (bsc#1103992 FATE#326009).
- lib: test module for find_*_bit() functions (bsc#1109837).
- xprtrdma: Update copyright notices (bsc#1103992 FATE#326009).
- xprtrdma: Remove include for linux/prefetch.h (bsc#1103992
  FATE#326009).
- rpcrdma: Remove C structure definitions of XDR data items
  (bsc#1103992 FATE#326009).
- xprtrdma: Put Send CQ in IB_POLL_WORKQUEUE mode (bsc#1103992
  FATE#326009).
- xprtrdma: Remove atomic send completion counting (bsc#1103992
  FATE#326009).
- xprtrdma: RPC completion should wait for Send completion
  (bsc#1103992 FATE#326009).
- xprtrdma: Refactor rpcrdma_deferred_completion (bsc#1103992
  FATE#326009).
- xprtrdma: Add a field of bit flags to struct rpcrdma_req
  (bsc#1103992 FATE#326009).
- xprtrdma: "Unoptimize" rpcrdma_prepare_hdr_sge() (bsc#1103992
  FATE#326009).
- xprtrdma: Change return value of rpcrdma_prepare_send_sges()
  (bsc#1103992 FATE#326009).
- xprtrdma: Fix error handling in rpcrdma_prepare_msg_sges()
  (bsc#1103992 FATE#326009).
- xprtrdma: Clean up SGE accounting in rpcrdma_prepare_msg_sges()
  (bsc#1103992 FATE#326009).
- xprtrdma: Decode credits field in rpcrdma_reply_handler
  (bsc#1103992 FATE#326009).
- xprtrdma: Invoke rpcrdma_reply_handler directly from RECV
  completion (bsc#1103992 FATE#326009).
- xprtrdma: Refactor rpcrdma_reply_handler some more (bsc#1103992
  FATE#326009).
- xprtrdma: Move decoded header fields into rpcrdma_rep
  (bsc#1103992 FATE#326009).
- xprtrdma: Remove ro_unmap_safe (bsc#1103992 FATE#326009).
- xprtrdma: Use ro_unmap_sync in xprt_rdma_send_request
  (bsc#1103992 FATE#326009).
- Documentation: kernel-api: add bitmap operations from
  linux/bitmap.h (bsc#1109837).
- dev_ioctl: add missing NETDEV_CHANGE_TX_QUEUE_LEN event
  notification (bsc#1109837).
- xprtrdma: Re-arrange struct rx_stats (bsc#1103992 FATE#326009).
- xprtrdma: Clean up rpcrdma_bc_marshal_reply() (bsc#1103992
  FATE#326009).
- xprtrdma: Harden chunk list encoding against send buffer
  overflow (bsc#1103992 FATE#326009).
- xprtrdma: Set up an xdr_stream in rpcrdma_marshal_req()
  (bsc#1103992 FATE#326009).
- xprtrdma: Remove rpclen from rpcrdma_marshal_req (bsc#1103992
  FATE#326009).
- xprtrdma: Clean up rpcrdma_marshal_req() synopsis (bsc#1103992
  FATE#326009).
- xprtrdma: Clean up XDR decoding in
  rpcrdma_update_granted_credits() (bsc#1103992 FATE#326009).
- xprtrdma: Remove rpcrdma_rep::rr_len (bsc#1103992 FATE#326009).
- xprtrdma: Remove opcode check in Receive completion handler
  (bsc#1103992 FATE#326009).
- xprtrdma: Replace rpcrdma_count_chunks() (bsc#1103992
  FATE#326009).
- sunrpc: Const-ify all instances of struct rpc_xprt_ops
  (bsc#1103992 FATE#326009).
- SUNRPC: Add a separate spinlock to protect the RPC request
  receive list (bsc#1103992 FATE#326009).
- SUNRPC: Don't hold the transport lock across socket copy
  operations (bsc#1103992 FATE#326009).
- svcrdma: Populate tail iovec when receiving (bsc#1103992
  FATE#326009).
- svcrdma: Clean up svc_rdma_build_read_chunk() (bsc#1103992
  FATE#326009).
- sunrpc: Const-ify instances of struct svc_xprt_ops (bsc#1103992
  FATE#326009).
- bitmap: introduce BITMAP_FROM_U64() (bsc#1109837).
- jump_label: Split out code under the hotplug lock (bsc#1109837).
- jump_label: Move CPU hotplug locking (bsc#1109837).
- locking/atomic/x86: Use 's64 *' for 'old' argument of
  atomic64_try_cmpxchg() (bsc#1109837).
- xprtrdma: Fix documenting comments in frwr_ops.c (bsc#1103992
  FATE#326009).
- xprtrdma: FMR does not need list_del_init() (bsc#1103992
  FATE#326009).
- xprtrdma: Demote "connect" log messages (bsc#1103992
  FATE#326009).
- svcrdma: fix an incorrect check on -E2BIG and -EINVAL
  (bsc#1103992 FATE#326009).
- svcrdma: Remove svc_rdma_chunk_ctxt::cc_dir field (bsc#1103992
  FATE#326009).
- svcrdma: use offset_in_page() macro (bsc#1103992 FATE#326009).
- svcrdma: Clean-up svc_rdma_unmap_dma (bsc#1103992 FATE#326009).
- svcrdma: Remove frmr cache (bsc#1103992 FATE#326009).
- svcrdma: Remove unused Read completion handlers (bsc#1103992
  FATE#326009).
- svcrdma: Properly compute .len and .buflen for received RPC
  Calls (bsc#1103992 FATE#326009).
- svcrdma: Add recvfrom helpers to svc_rdma_rw.c (bsc#1103992
  FATE#326009).
- svcrdma: Don't account for Receive queue "starvation"
  (bsc#1103992 FATE#326009).
- svcrdma: Improve Reply chunk sanity checking (bsc#1103992
  FATE#326009).
- svcrdma: Improve Write chunk sanity checking (bsc#1103992
  FATE#326009).
- svcrdma: Improve Read chunk sanity checking (bsc#1103992
  FATE#326009).
- svcrdma: Remove svc_rdma_marshal.c (bsc#1103992 FATE#326009).
- svcrdma: Avoid Send Queue overflow (bsc#1103992 FATE#326009).
- svcrdma: Squelch disconnection messages (bsc#1103992
  FATE#326009).
- rtnetlink: add NEWCACHEREPORT message type (bsc#1109837).
- commit 69bf57e
* Fri Nov 30 2018 mbrugger@suse.com
- arm64 / ACPI: clean the additional checks before calling
  ghes_notify_sea() (fate#326250).
- commit cd422de
* Fri Nov 30 2018 mbrugger@suse.com
- ACPI: Convert ACPI reference args to generic fwnode reference
  args (fate#326250).
- commit a48b9b8
* Fri Nov 30 2018 mbrugger@suse.com
- ACPI: device property: Switch to use new generic UUID API
  (fate#326250).
- commit 86721fa
* Fri Nov 30 2018 mbrugger@suse.com
- device property: export irqchip_fwnode_ops (fate#326250).
- commit 785d902
* Fri Nov 30 2018 mbrugger@suse.com
- device property: Introduce fwnode_property_get_reference_args
  (fate#326250).
- commit 8051d82
* Fri Nov 30 2018 mbrugger@suse.com
- device property: Constify fwnode property API (fate#326250).
- Refresh
  patches.drivers/device-property-Allow-iterating-over-available-child.patch.
- Refresh
  patches.drivers/device-property-Introduce-fwnode_get_mac_address.patch.
- commit 729dee2
* Fri Nov 30 2018 mbrugger@suse.com
- device property: Constify argument to pset fwnode backend
  (fate#326250).
- commit d8ec3e3
* Fri Nov 30 2018 mbrugger@suse.com
- ACPI: Constify internal fwnode arguments (fate#326250).
- commit bac25b9
* Fri Nov 30 2018 mbrugger@suse.com
- ACPI: Constify acpi_bus helper functions, switch to macros
  (fate#326250).
- commit 5382711
* Fri Nov 30 2018 mbrugger@suse.com
- ACPI: Prepare for constifying acpi_get_next_subnode() fwnode
  argument (fate#326250).
- commit 014586d
* Fri Nov 30 2018 mbrugger@suse.com
- device property: Get rid of struct fwnode_handle type field
  (fate#326250).
- Refresh
  patches.drivers/device-property-Introduce-fwnode_irq_get.patch.
- Refresh
  patches.drivers/device-property-Track-owner-device-of-device-propert.patch.
- commit 5376488
* Fri Nov 30 2018 mbrugger@suse.com
- ACPI: Use IS_ERR_OR_NULL() instead of non-NULL check in
  is_acpi_data_node() (fate#326250).
- commit 6371f3a
* Fri Nov 30 2018 mbrugger@suse.com
- ACPI / boot: Correct address space of __acpi_map_table()
  (fate#326250).
- commit f46e6b2
* Fri Nov 30 2018 mbrugger@suse.com
- device property: Add fwnode_graph_get_port_parent (fate#326250).
- Refresh
  patches.drivers/device-property-Introduce-fwnode_get_mac_address.patch.
- commit 0fe7206
* Fri Nov 30 2018 mbrugger@suse.com
- device property: Add FW type agnostic
  fwnode_graph_get_remote_node (fate#326250).
- commit a911366
* Fri Nov 30 2018 mbrugger@suse.com
- ACPI: Constify argument to acpi_device_is_present()
  (fate#326250).
- commit 3a1f96f
* Fri Nov 30 2018 mbrugger@suse.com
- irqdomain: Allow ACPI device nodes to be used as irqdomain
  identifiers (fate#326250).
- commit 1a6f97b
* Fri Nov 30 2018 mbrugger@suse.com
- of: Support const and non-const use for to_of_node()
  (fate#326250).
- commit 99754b4
* Fri Nov 30 2018 mbrugger@suse.com
- genirq: Allow fwnode to carry name information only
  (fate#326250).
- Refresh
  patches.suse/genirq-irqdomain-Remove-auto-recursive-hierarchy-sup.patch.
- Refresh patches.suse/irq-stub-affinity.patch.
- commit 98075c8
* Fri Nov 30 2018 tiwai@suse.de
- qmi_wwan: Support dynamic config on Quectel EP06 (bsc#1051510).
- commit e3c5218
* Fri Nov 30 2018 tiwai@suse.de
- qmi_wwan: apply SET_DTR quirk to the SIMCOM shared device ID
  (bsc#1051510).
- Refresh patches.drivers/qmi_wwan-add-support-for-Quectel-EG91.
- commit 988931a
* Fri Nov 30 2018 tiwai@suse.de
- net: qmi_wwan: add Wistron Neweb D19Q1 (bsc#1051510).
- commit f74e3c9
* Fri Nov 30 2018 tiwai@suse.de
- ALSA: usb-audio: Add vendor and product name for Dell WD19 Dock
  (bsc#1051510).
- commit 824cc71
* Fri Nov 30 2018 tiwai@suse.de
- ASoC: sun8i-codec: fix crash on module removal (bsc#1051510).
- commit 9f6d6c5
* Fri Nov 30 2018 tiwai@suse.de
- ALSA: hda/realtek - Support ALC300 (bsc#1051510).
- commit 74cbb22
* Fri Nov 30 2018 tiwai@suse.de
- ALSA: hda/realtek - Add auto-mute quirk for HP Spectre x360
  laptop (bsc#1051510).
- commit 4ebe796
* Fri Nov 30 2018 tiwai@suse.de
- ALSA: hda/realtek - fix the pop noise on headphone for lenovo
  laptops (bsc#1051510).
- commit cf3e918
* Fri Nov 30 2018 mbrugger@suse.com
- genirq/msi: Prevent overwriting domain name (fate#326250).
- commit 2982acd
* Fri Nov 30 2018 tiwai@suse.de
- ALSA: control: Fix race between adding and removing a user
  element (bsc#1051510).
- commit 5859ab7
* Fri Nov 30 2018 tiwai@suse.de
- ALSA: sparc: Fix invalid snd_free_pages() at error path
  (bsc#1051510).
- commit 1f787cb
* Fri Nov 30 2018 tiwai@suse.de
- ALSA: wss: Fix invalid snd_free_pages() at error path
  (bsc#1051510).
- commit 0073c9a
* Fri Nov 30 2018 tiwai@suse.de
- ALSA: hda/realtek - fix headset mic detection for MSI MS-B171
  (bsc#1051510).
- commit 7600c31
* Fri Nov 30 2018 tiwai@suse.de
- ALSA: hda: Add ASRock N68C-S UCC the power_save blacklist
  (bsc#1051510).
- commit cff4e83
* Fri Nov 30 2018 mbrugger@suse.com
- Documentation: Update IRQ-domain.txt to document
  irq_domain_mapping (fate#326250).
- commit 36c288e
* Fri Nov 30 2018 tiwai@suse.de
- ALSA: ac97: Fix incorrect bit shift at AC97-SPSA control write
  (bsc#1051510).
- commit d4f8e03
* Fri Nov 30 2018 tiwai@suse.de
- ALSA: hda/realtek - Fix HP Headset Mic can't record
  (bsc#1051510).
- commit 2ff6b4d
* Fri Nov 30 2018 tiwai@suse.de
- ALSA: hda/realtek - Simplify Dell XPS13 GPIO handling
  (bsc#1051510).
- commit 0c92109
* Fri Nov 30 2018 tiwai@suse.de
- ALSA: hda/realtek - Add GPIO data update helper (bsc#1051510).
- commit 9347d34
* Fri Nov 30 2018 tiwai@suse.de
- ALSA: hda/realtek - Manage GPIO bits commonly (bsc#1051510).
- commit d536d4a
* Fri Nov 30 2018 tiwai@suse.de
- ALSA: hda/realtek - Allow skipping spec->init_amp detection
  (bsc#1051510).
- commit 2691b89
* Fri Nov 30 2018 tiwai@suse.de
- ASoC: intel: cht_bsw_max98090_ti: Add quirk for boards using
  pmc_plt_clk_0 (bsc#1051510).
- commit 55c95c9
* Fri Nov 30 2018 mbrugger@suse.com
- genirq/msi: Populate the domain name if provided by the irqchip
  (fate#326250).
- commit b4aae8f
* Fri Nov 30 2018 mbrugger@suse.com
- irqdomain: Let irq_domain_mapping display ACPI fwnode attributes
  (fate#326250).
- commit d5b1374
* Fri Nov 30 2018 tiwai@suse.de
- ASoC: Intel: cht_bsw_max98090: add support for Baytrail
  (bsc#1051510).
- Refresh
  patches.drivers/ASoC-Intel-cht_bsw_max98090-remove-useless-code-alig.
- commit 24015e1
* Fri Nov 30 2018 mbrugger@suse.com
- irqdomain: Let irq_domain_mapping display hierarchical domains
  (fate#326250).
- commit e7d5f43
* Fri Nov 30 2018 mbrugger@suse.com
- ACPI: hns_dsaf_acpi_dsm_guid can be static (fate#326250).
- commit 422d01f
* Fri Nov 30 2018 mbrugger@suse.com
- iommu/dma: Use fast DMA domain lookup (fate#326252).
- iommu: Add fast hook for getting DMA domains (fate#326252).
- iommu/iova: Optimise attempts to allocate iova from 32bit
  address range (fate#326252).
- iommu/arm-smmu: Support non-strict mode (fate#326252).
- iommu/io-pgtable-arm-v7s: Add support for non-strict mode
  (fate#326252).
- iommu/arm-smmu-v3: Add support for non-strict mode
  (fate#326252).
- iommu/io-pgtable-arm: Add support for non-strict mode
  (fate#326252).
- iommu: Add "iommu.strict" command line option (fate#326252).
- iommu/dma: Add support for non-strict mode (fate#326252).
- iommu/arm-smmu-v3: Implement flush_iotlb_all hook (fate#326252).
- iommu/arm-smmu-v3: Avoid back-to-back CMD_SYNC operations
  (fate#326252).
- iommu/arm-smmu-v3: Fix unexpected CMD_SYNC timeout
  (fate#326252).
- iommu/arm-smmu-v3: Prevent any devices access to memory without
  registration (fate#326252).
- iommu/dma: Add HW MSI(GICv3 ITS) address regions reservation
  (fate#326252).
- iommu/arm-smmu-v3: Clean up queue definitions (fate#326252).
- iommu/arm-smmu-v3: Clean up table definitions (fate#326252).
- iommu/arm-smmu-v3: Clean up register definitions (fate#326252).
- iommu/arm-smmu-v3: Clean up address masking (fate#326252).
- iommu/io-pgtable-arm-v7s: Convert to IOMMU API TLB sync
  (fate#326252).
- iommu/io-pgtable-arm: Convert to IOMMU API TLB sync
  (fate#326252).
- iommu/iova: Simplify cached node logic (fate#326252).
- iommu/iova: Add rbtree anchor node (fate#326252).
- iommu/iova: Make dma_32bit_pfn implicit (fate#326252).
- iommu/iova: Extend rbtree node caching (fate#326252).
- iommu/iova: Optimise the padding calculation (fate#326252).
- iommu/iova: Optimise rbtree searching (fate#326252).
- iommu/arm-smmu-v3: Use burst-polling for sync completion
  (fate#326252).
- iommu/arm-smmu-v3: Consolidate identical timeouts (fate#326252).
- iommu/arm-smmu-v3: Split arm_smmu_cmdq_issue_sync in half
  (fate#326252).
- iommu/arm-smmu-v3: Use CMD_SYNC completion MSI (fate#326252).
- iommu/arm-smmu-v3: Forget about cmdq-sync interrupt
  (fate#326252).
- iommu/arm-smmu-v3: Specialise CMD_SYNC handling (fate#326252).
- iommu: Introduce Interface for IOMMU TLB Flushing (fate#326252).
- iommu/amd: Rename a few flush functions (fate326252).
- iommu/iova: Add flush timer (fate#326252).
- iommu/iova: Add locking to Flush-Queues (fate#326252).
- iommu/iova: Add flush counters to Flush-Queue implementation
  (fate#326252).
- iommu/iova: Implement Flush-Queue ring buffer (fate#326252).
- iommu/iova: Add flush-queue data structures (fate#326252).
- iommu/mediatek: Merge 2 M4U HWs into one iommu domain
  (fate#326252).
- iommu/mtk: Avoid redundant TLB syncs locally (fate#326252).
- iommu/iova: Sort out rbtree limit_pfn handling (fate#326252).
- commit e799649
* Fri Nov 30 2018 tiwai@suse.de
- Get rid of empty patch, and udpate the cherry-pick id
- commit 1ea3d2e
* Fri Nov 30 2018 tiwai@suse.de
- Add cherry-picked IDs in previous dell-smbios update patches (FATE#325842)
- commit 11b66e7
* Fri Nov 30 2018 vliaskovitis@suse.com
- xen/blkfront: avoid NULL blkfront_info dereference on device
  removal (bsc#1111062).
- commit f67d52b
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios-wmi: Correct a memory leak
  (FATE#325842).
- commit 6cbbe6c
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-laptop: Fix backlight detection
  (FATE#325842).
- commit b52000e
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios-wmi: make function
  dell_smbios_wmi_call static (FATE#325842).
- commit e37fdaa
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios: make a function and a pointer static
  (FATE#325842).
- commit 4d77955
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios-base: Support systems without tokens
  (FATE#325842).
- commit 9715cb4
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Do not mix pages and kmalloc (FATE#325842).
- commit 66f6ef2
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-laptop: Fix keyboard backlight timeout on
  XPS 13 9370 (FATE#325842).
- commit 32f6bd7
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-wmi: Ignore new rfkill and fn-lock events
  (FATE#325842).
- commit caa7e23
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-wmi: Set correct keycode for Fn + left arrow
  (FATE#325842).
- commit 05957b1
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios: Match on www.dell.com in OEM strings
  too (FATE#325842).
- commit 0ae9bc1
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-laptop: Removed duplicates in DMI whitelist
  (FATE#325842).
- commit ebec932
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-laptop: fix kbd_get_state's request value
  (FATE#325842).
- commit 9ac8990
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-laptop: Re-use DEFINE_SHOW_ATTRIBUTE()
  macro (FATE#325842).
- commit 48f30c3
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-laptop: Allocate buffer on heap rather than
  globally (FATE#325842).
- commit f04891f
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-laptop: Add 2-in-1 devices to the DMI
  whitelist (FATE#325842).
- commit 3732cf6
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-laptop: make some local functions static
  (FATE#325842).
- commit 69b07fb
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-laptop: Use bool in struct quirk_entry for
  true/false fields (FATE#325842).
- commit d31fa2a
* Thu Nov 29 2018 tiwai@suse.de
- Refresh patches.drivers/platform-x86-dell-laptop-Fix-keyboard-max-lighting-f.
  Add cherry-picked id
- commit cd14c8e
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-laptop: fix error return code in dell_init()
  (FATE#325842).
- commit 2cab9da
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-laptop: Allocate buffer before rfkill use
  (FATE#325842).
- commit 71c76a3
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-laptop: Fix bogus keyboard backlight sysfs
  interface (FATE#325842).
- commit 760221d
* Thu Nov 29 2018 msuchanek@suse.de
- powerpc/perf: Update raw-event code encoding comment for power8
  (bsc#1065729).
- commit 389a6ff
* Thu Nov 29 2018 msuchanek@suse.de
- powerpc/mm: Fix typo in comments (bsc#1065729).
- commit 386cf53
* Thu Nov 29 2018 tiwai@suse.de
- supported.conf: Add dell-wmi-descriptor and wm-bmof (FATE#325842)
- commit 1d27710
* Thu Nov 29 2018 tiwai@suse.de
- Update config files: enable new dell-wmi options (FATE#325842)
- commit 927e85a
* Thu Nov 29 2018 msuchanek@suse.de
- Revert "powerpc/64: Fix checksum folding in csum_add()"
  (bsc#1065729).
- commit 108fe12
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios: Fix memory leaks in
  build_tokens_sysfs() (FATE#325842).
- commit 6cdf08a
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Replace list_for_each() by
  list_for_each_entry() (FATE#325842).
- commit d12752d
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Replace kmalloc + sprintf() with kasprintf()
  (FATE#325842).
- commit 228a51b
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: Fix dell driver init order (FATE#325842).
- commit 4d553dc
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios: Link all dell-smbios-* modules
  together (FATE#325842).
- commit bee2124
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios: Rename dell-smbios source to
  dell-smbios-base (FATE#325842).
- commit b2230df
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios: Correct some style warnings
  (FATE#325842).
- commit d52d779
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Fix misuse of vsprintf extension %%pULL
  (FATE#325842).
- commit 06ed311
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: fix off-by-one write in wmi_dev_probe()
  (FATE#325842).
- commit 6a56d50
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios: Correct notation for filtering
  (FATE#325842).
- commit a712707
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Call acpi_wmi_init() later (FATE#325842).
- commit 5ad7bbe
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-wmi: Add an event created by Dell Latitude
  5495 (FATE#325842).
- commit 7f203f8
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-wmi: check for kmalloc() errors
  (FATE#325842).
- commit 201f4d5
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios-wmi: Disable userspace interface if
  missing hotfix (FATE#325842).
- commit 829009c
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-*wmi*: Relay failed initial probe to
  dependent drivers (FATE#325842).
- commit 42a6f65
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-wmi-descriptor: check if memory was allocated
  (FATE#325842).
- commit 05f7391
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios-wmi: release mutex lock on WMI call
  failure (FATE#325842).
- commit 5932f6f
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: release mutex on module acquistion failure
  (FATE#325842).
- commit 24533cf
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios: fix string overflow (FATE#325842).
- commit 48e9494
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios-wmi: introduce userspace interface
  (FATE#325842).
- commit 0cc1312
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: create userspace interface for drivers
  (FATE#325842).
- commit 4a9e5fe
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios: Add filtering support (FATE#325842).
- commit dbd5b06
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios-smm: test for WSMT (FATE#325842).
- commit f8c7ccc
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios-wmi: Add new WMI dispatcher driver
  (FATE#325842).
- commit 2096c10
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios: Introduce dispatcher for SMM calls
  (FATE#325842).
- commit 971993c
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios: Add a sysfs interface for SMBIOS
  tokens (FATE#325842).
- commit 19a42d8
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios: only run if proper oem string is
  detected (FATE#325842).
- commit 8bb7b93
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Don't allow drivers to get each other's GUIDs
  (FATE#325842).
- commit 754460f
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-wmi-descriptor: split WMI descriptor into
  it's own driver (FATE#325842).
- commit 8185c54
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-wmi: don't check length returned
  (FATE#325842).
- commit 9f04726
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-wmi: clean up wmi descriptor check
  (FATE#325842).
- commit 324b819
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-wmi: increase severity of some failures
  (FATE#325842).
- commit f9b6146
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Add new method wmidev_evaluate_method
  (FATE#325842).
- commit ae4b5de
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios: Prefix class/select with cmd_
  (FATE#325842).
- commit 2ed0b94
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Destroy on cleanup rather than unregister
  (FATE#325842).
- commit 2c116e6
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Cleanup exit routine in reverse order of init
  (FATE#325842).
- Refresh
  patches.drivers/platform-x86-wmi-Call-acpi_wmi_init-later.
- commit e3b5a9e
* Thu Nov 29 2018 msuchanek@suse.de
- KABI: powerpc: Revert npu callback signature change
  (bsc#1055120).
- commit a32ccad
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Sort include list (FATE#325842).
- commit 5b2d8bd
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-smbios: Add pr_fmt definition to driver
  (FATE#325842).
- commit b3b8feb
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-wmi: Do not match on descriptor GUID modalias
  (FATE#325842).
- commit 19a3ebe
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-wmi: Update
  dell_wmi_check_descriptor_buffer() to new model (FATE#325842).
- commit feda295
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Fix check for method instance number
  (FATE#325842).
- commit 2b8053b
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-wmi: Fix driver interface version query
  (FATE#325842).
- commit 5a728e1
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Fix error handling in acpi_wmi_init()
  (FATE#325842).
- commit b1e8171
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-wmi-led: Adjust instance of
  wmi_evaluate_method calls to 0 (FATE#325842).
- commit b644417
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Fix printing info about WDG structure
  (FATE#325842).
- commit 3b58ab1
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi*: Add recent copyright statements
  (FATE#325842).
- commit 7a72e95
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-wmi: Convert to the WMI bus infrastructure
  (FATE#325842).
- commit 5aa9687
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi-bmof: New driver to expose embedded Binary
  WMI MOF metadata (FATE#325842).
- commit fd487b1
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Require query for data blocks, rename
  writable to setable (FATE#325842).
- commit d7322c1
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Add an interface for subdrivers to access
  sibling devices (FATE#325842).
- commit b291775
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Bind the platform device, not the ACPI node
  (FATE#325842).
- commit 488843f
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Add a new interface to read block data
  (FATE#325842).
- commit 5ba9413
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Incorporate acpi_install_notify_handler
  (FATE#325842).
- commit ea15e6c
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Instantiate all devices before adding them
  (FATE#325842).
- commit 70021c3
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Probe data objects for read and write
  capabilities (FATE#325842).
- commit fe00e71
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Split devices into types and add basic
  sysfs attributes (FATE#325842).
- commit fed4f19
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Fix error handling when creating devices
  (FATE#325842).
- commit 844b42d
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Turn WMI into a bus driver (FATE#325842).
- Refresh
  patches.drivers/platform-x86-wmi-Call-acpi_wmi_init-later.
- commit 96f2e09
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Track wmi devices per ACPI device
  (FATE#325842).
- commit 1e5845f
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Clean up acpi_wmi_add (FATE#325842).
- commit 9ed1d41
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Pass the acpi_device through to parse_wdg
  (FATE#325842).
- commit 45c6553
* Thu Nov 29 2018 msuchanek@suse.de
- powerpc/powernv/pci: Work around races in PCI bridge enabling
  (bsc#1055120).
- commit 3be0d95
* Thu Nov 29 2018 msuchanek@suse.de
- blacklist.conf: blacklist fix of timer rewrite
- commit 978ea6b
* Thu Nov 29 2018 msuchanek@suse.de
- powerpc/boot: Fix opal console in boot wrapper (bsc#1065729).
- commit 8879e99
* Thu Nov 29 2018 msuchanek@suse.de
- powerpc/powernv: Fix opal_event_shutdown() called with
  interrupts disabled (bsc#1065729).
- commit 1cf9bbd
* Thu Nov 29 2018 msuchanek@suse.de
- Revert "blacklist.conf: blacklist inapplicable commits"
  This reverts commit 88bd1b2b53990d5518b819968445522fb1392bee.
  We only build with VIRT_CPU_ACCOUNTING_NATIVE on s390
- commit 6663d9b
* Thu Nov 29 2018 msuchanek@suse.de
- powerpc/pseries: Fix how we iterate over the DTL entries
  (bsc#1065729).
- powerpc/pseries: Fix DTL buffer registration (bsc#1065729).
- commit 7308f80
* Thu Nov 29 2018 msuchanek@suse.de
- powerpc/powernv: Fix concurrency issue with npu->mmio_atsd_usage
  (bsc#1055120).
- powerpc/powernv/npu: Prevent overwriting of
  pnv_npu2_init_contex() callback parameters (bsc#1055120).
- powerpc/powernv/npu: Add lock to prevent race in concurrent
  context init/destroy (bsc#1055120).
- Refresh patches.arch/powerpc-powernv-npu-Do-a-PID-GPU-TLB-flush-when-inva.patch
- powerpc/npu-dma.c: Fix crash after __mmu_notifier_register
  failure (bsc#1055120).
- powerpc/powernv/npu: Fix deadlock in mmio_invalidate()
  (bsc#1055120).
- powerpc/powernv/npu: Don't explicitly flush nmmu tlb
  (bsc#1055120).
- powerpc/powernv/npu: Use flush_all_mm() instead of
  flush_tlb_mm() (bsc#1055120).
- commit 9f05f8c
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: wmi: Drop "Mapper (un)loaded" messages
  (FATE#325842).
- Refresh
  patches.drivers/platform-x86-wmi-Call-acpi_wmi_init-later.
- commit 0f9180e
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-wmi: Add a better description for "stealth
  mode" (FATE#325842).
- commit 98f95ff
* Thu Nov 29 2018 tiwai@suse.de
- platform/x86: dell-wmi: Add a comment explaining the 0xb2
  magic number (FATE#325842).
- commit b26857b
* Thu Nov 29 2018 jack@suse.cz
- fs: Make extension of struct super_block transparent
  (bsc#1117822).
- commit 5d62a88
* Thu Nov 29 2018 msuchanek@suse.de
- powerpc/64s/hash: Do not use PPC_INVALIDATE_ERAT on CPUs before
  POWER9 (bsc#1065729).
- commit 77a1107
* Thu Nov 29 2018 jack@suse.cz
- blacklist.conf: Blacklist f1782c9bc547
- commit 596e059
* Thu Nov 29 2018 tiwai@suse.de
- Update config files: Fix ppc64le/vanilla config
- commit 6b794fe
* Thu Nov 29 2018 jack@suse.cz
- blacklist.conf: Blacklist 25bbe21bf427
- commit c785e30
* Thu Nov 29 2018 msuchanek@suse.de
- blacklist.conf: blacklist inapplicable commits
- commit 88bd1b2
* Thu Nov 29 2018 msuchanek@suse.de
- blacklist.conf: blacklist vermagic update.
- commit e63e2fc
* Thu Nov 29 2018 jslaby@suse.cz
- net: ipv4: don't let PMTU updates increase route MTU
  (git-fixes).
- commit e14d9f4
* Thu Nov 29 2018 jack@suse.cz
- blacklist.conf: Blacklist 53692ec074d0
- commit ae3ddcf
* Thu Nov 29 2018 msuchanek@suse.de
- powerpc/powernv: Don't select the cpufreq governors (bsc#1065729).
- Update config files to match other architectures.
- commit da7be07
* Thu Nov 29 2018 jack@suse.cz
- blacklist.conf: Blacklist ecaaf408478b
- commit d7afd37
* Thu Nov 29 2018 jack@suse.cz
- fsnotify: Fix busy inodes during unmount (bsc#1117822).
- commit 955d702
* Thu Nov 29 2018 jack@suse.cz
- ocfs2: free up write context when direct IO failed
  (bsc#1117821).
- commit ad2eade
* Thu Nov 29 2018 jack@suse.cz
- mount: Prevent MNT_DETACH from disconnecting locked mounts
  (bsc#1117820).
- commit c37e013
* Thu Nov 29 2018 jack@suse.cz
- mount: Don't allow copying MNT_UNBINDABLE|MNT_LOCKED mounts
  (bsc#1117819).
- commit 287394f
* Thu Nov 29 2018 jack@suse.cz
- mount: Retest MNT_LOCKED in do_umount (bsc#1117818).
- commit 9d5b9fb
* Thu Nov 29 2018 jack@suse.cz
- ocfs2: fix a misuse a of brelse after failing
  ocfs2_check_dir_entry (bsc#1117817).
- commit ca46bd5
* Thu Nov 29 2018 jack@suse.cz
- blacklist.conf: 1ccbeeb888ac
- commit b4ae641
* Thu Nov 29 2018 jack@suse.cz
- ocfs2: fix locking for res->tracking and dlm->tracking_list
  (bsc#1117816).
- commit 9bd98e3
* Thu Nov 29 2018 jack@suse.cz
- blacklist.conf: Blacklist a725356b6659
- commit 95e5733
* Thu Nov 29 2018 jack@suse.cz
- ocfs2: fix ocfs2 read block panic (bsc#1117815).
- commit 858b7f0
* Thu Nov 29 2018 jslaby@suse.cz
- flow_dissector: do not dissect l4 ports for fragments
  (networking-stable-18_11_21).
- ip_tunnel: don't force DF when MTU is locked
  (networking-stable-18_11_21).
- ipv4: lock mtu in fnhe when received PMTU <
  net.ipv4.route.min_pmtu (networking-stable-18_11_21).
- ipv6: Fix PMTU updates for UDP/raw sockets in presence of VRF
  (networking-stable-18_11_21).
- mlxsw: spectrum: Fix IP2ME CPU policer configuration
  (networking-stable-18_11_21).
- net: bcmgenet: protect stop from timeout
  (networking-stable-18_11_21).
- net-gro: reset skb->pkt_type in napi_reuse_skb()
  (networking-stable-18_11_21).
- net/mlx5e: Fix selftest for small MTUs
  (networking-stable-18_11_21).
- net: phy: mdio-gpio: Fix working over slow can_sleep GPIOs
  (networking-stable-18_11_21).
- net: smsc95xx: Fix MTU range (networking-stable-18_11_21).
- net: systemport: Protect stop from timeout
  (networking-stable-18_11_21).
- sctp: fix strchange_flags name for Stream Change Event
  (networking-stable-18_11_21).
- sctp: not allow to set asoc prsctp_enable by sockopt
  (networking-stable-18_11_21).
- sctp: not increase stream's incnt before sending addstrm_in
  request (networking-stable-18_11_21).
- tg3: Add PHY reset for 5717/5719/5720 in change ring and flow
  control paths (networking-stable-18_11_21).
- tipc: don't assume linear buffer when reading ancillary data
  (networking-stable-18_11_21).
- tuntap: fix multiqueue rx (networking-stable-18_11_21).
- kABI: protect struct fib_nh_exception (kabi).
- kABI: protect struct rtable (kabi).
- Refresh
  patches.suse/ipv4-fix-fnhe-usage-by-non-cached-routes.patch.
- commit fd26935
* Thu Nov 29 2018 jack@suse.cz
- ocfs2: subsystem.su_mutex is required while accessing the
  item->ci_parent (bsc#1117808).
- commit f6093fc
* Thu Nov 29 2018 jack@suse.cz
- ext4: fix buffer leak in __ext4_read_dirblock() on error path
  (bsc#1117807).
- commit ed4f7e0
* Thu Nov 29 2018 jack@suse.cz
- ext4: fix buffer leak in ext4_xattr_move_to_block() on error
  path (bsc#1117806).
- commit b566650
* Thu Nov 29 2018 jack@suse.cz
- ext4: release bs.bh before re-using in ext4_xattr_block_find()
  (bsc#1117805).
- commit bea0c8a
* Thu Nov 29 2018 jack@suse.cz
- ext4: fix possible leak of s_journal_flag_rwsem in error path
  (bsc#1117804).
- commit 963524a
* Thu Nov 29 2018 jack@suse.cz
- ext4: fix possible leak of sbi->s_group_desc_leak in error path
  (bsc#1117803).
- commit cbfd876
* Thu Nov 29 2018 jack@suse.cz
- ext4: avoid buffer leak in ext4_orphan_add() after prior errors
  (bsc#1117802).
- commit 35e0007
* Thu Nov 29 2018 jack@suse.cz
- ext4: avoid buffer leak on shutdown in ext4_mark_iloc_dirty()
  (bsc#1117801).
- commit d392ba9
* Thu Nov 29 2018 jack@suse.cz
- ext4: fix possible inode leak in the retry loop of
  ext4_resize_fs() (bsc#1117799).
- commit 5ae5e79
* Thu Nov 29 2018 jack@suse.cz
- ext4: fix missing cleanup if ext4_alloc_flex_bg_array() fails
  while resizing (bsc#1117798).
- commit a780306
* Thu Nov 29 2018 jack@suse.cz
- ext4: add missing brelse() update_backups()'s error path
  (bsc#1117796).
- commit 371cf85
* Thu Nov 29 2018 jack@suse.cz
- ext4: add missing brelse() add_new_gdb_meta_bg()'s error path
  (bsc#1117795).
- commit 2f4d91f
* Thu Nov 29 2018 jack@suse.cz
- ext4: add missing brelse() in set_flexbg_block_bitmap()'s
  error path (bsc#1117794).
- commit eb98ade
* Thu Nov 29 2018 jack@suse.cz
- ext4: avoid potential extra brelse in
  setup_new_flex_group_blocks() (bsc#1117792).
- commit cb8da4a
* Thu Nov 29 2018 jack@suse.cz
- ext4: fix use-after-free race in ext4_remount()'s error path
  (bsc#1117791).
- commit ca15955
* Thu Nov 29 2018 jack@suse.cz
- ext4: propagate error from dquot_initialize() in
  EXT4_IOC_FSSETXATTR (bsc#1117790).
- commit 3d6d857
* Thu Nov 29 2018 jack@suse.cz
- ext4: fix setattr project check in fssetxattr ioctl
  (bsc#1117789).
- commit a5cc193
* Thu Nov 29 2018 jack@suse.cz
- ext4: initialize retries variable in
  ext4_da_write_inline_data_begin() (bsc#1117788).
- commit fec1d63
* Thu Nov 29 2018 vbabka@suse.cz
- mm/hmm: cleanup special vma handling (VM_SPECIAL) (HMM fixes,
  fate#325923, bsc#1104965).
- Refresh
  patches.fixes/dax-remove-VM_MIXEDMAP-for-fsdax-and-device-dax.patch.
- commit 512600a
* Thu Nov 29 2018 vbabka@suse.cz
- mm/hmm: remove HMM_PFN_READ flag and ignore peculiar
  architecture (HMM fixes, fate#325923, bsc#1104965).
- Refresh
  patches.fixes/dax-remove-VM_MIXEDMAP-for-fsdax-and-device-dax.patch.
- commit 1af44c6
* Thu Nov 29 2018 vbabka@suse.cz
- mm/hmm: use struct for hmm_vma_fault(), hmm_vma_get_pfns()
  parameters (HMM fixes, fate#325923, bsc#1104965).
- Refresh
  patches.fixes/dax-remove-VM_MIXEDMAP-for-fsdax-and-device-dax.patch.
- commit 7e824f1
* Thu Nov 29 2018 vbabka@suse.cz
- mm/hmm.c: remove unused variables align_start and align_end
  (HMM fixes, fate#325923, bsc#1104965).
- Documentation/vm/hmm.txt: typos and syntaxes fixes (HMM fixes,
  fate#325923, bsc#1104965).
- mm/hmm: fix header file if/else/endif maze, again (HMM fixes,
  fate#325923, bsc#1104965).
- mm/hmm.c: remove superfluous RCU protection around radix tree
  lookup (HMM fixes, fate#325923, bsc#1104965).
- mm/hmm: use device driver encoding for HMM pfn (HMM fixes,
  fate#325923, bsc#1104965).
- mm/hmm: change hmm_vma_fault() to allow write fault on page
  basis (HMM fixes, fate#325923, bsc#1104965).
- mm/hmm: factor out pte and pmd handling to simplify
  hmm_vma_walk_pmd() (HMM fixes, fate#325923, bsc#1104965).
- mm/hmm: move hmm_pfns_clear() closer to where it is used
  (HMM fixes, fate#325923, bsc#1104965).
- mm/hmm: rename HMM_PFN_DEVICE_UNADDRESSABLE to
  HMM_PFN_DEVICE_PRIVATE (HMM fixes, fate#325923, bsc#1104965).
- mm/hmm: do not differentiate between empty entry or missing
  directory (HMM fixes, fate#325923, bsc#1104965).
- mm/hmm: use uint64_t for HMM pfn instead of defining hmm_pfn_t
  to ulong (HMM fixes, fate#325923, bsc#1104965).
- mm/hmm: hmm_pfns_bad() was accessing wrong struct (HMM fixes,
  fate#325923, bsc#1104965).
- mm/hmm: unregister mmu_notifier when last HMM client quit
  (HMM fixes, fate#325923, bsc#1104965).
- mm/hmm: HMM should have a callback before MM is destroyed
  (HMM fixes, fate#325923, bsc#1104965).
- mm/hmm: fix header file if/else/endif maze (HMM fixes,
  fate#325923, bsc#1104965).
- mm/hmm: documentation editorial update to HMM documentation
  (HMM fixes, fate#325923, bsc#1104965).
- mm/hmm: fix uninitialized use of 'entry' in hmm_vma_walk_pmd()
  (HMM fixes, fate#325923, bsc#1104965).
- mm/hmm: remove redundant variable align_end (HMM fixes,
  fate#325923, bsc#1104965).
- mm/hmm: constify hmm_devmem_page_get_drvdata() parameter
  (HMM fixes, fate#325923, bsc#1104965).
- commit a91af4c
* Wed Nov 28 2018 msuchanek@suse.de
- blacklist.conf: blacklist unapplicable powerpc commits.
- commit 5c5ec19
* Wed Nov 28 2018 bp@suse.de
- nospec: Include <asm/barrier.h> dependency (bsc#1114279).
- Refresh
  patches.suse/17-nospec-allow-getting-setting-on-non-current-task.patch.
- commit 6ad7da7
* Wed Nov 28 2018 msuchanek@suse.de
- powerpc/pseries: Export maximum memory value (FATE#326394).
- powerpc/pseries: Export raw per-CPU VPA data via debugfs
  (FATE#326394).
- commit 5b6395b
* Wed Nov 28 2018 tiwai@suse.de
- clk: samsung: exynos5420: Enable PERIS clocks for suspend
  (bsc#1051510).
- ataflop: fix error handling during setup (bsc#1051510).
- ptp: fix Spectre v1 vulnerability (bsc#1051510).
- pxa168fb: prepare the clock (bsc#1051510).
- commit ae524af
* Wed Nov 28 2018 tiwai@suse.de
- hwmon: (ibmpowernv) Remove bogus __init annotations
  (bsc#1051510).
- commit 9ba3a4d
* Wed Nov 28 2018 tiwai@suse.de
- drm/edid: Add 6 bpc quirk for BOE panel (bsc#1051510).
- commit 2d713c3
* Wed Nov 28 2018 tiwai@suse.de
- ipmi: Fix timer race with module unload (bsc#1051510).
- commit c6b0329
* Wed Nov 28 2018 tiwai@suse.de
- configfs: replace strncpy with memcpy (bsc#1051510).
- commit a7464c8
* Wed Nov 28 2018 tiwai@suse.de
- kbuild: fix kernel/bounds.c 'W=1' warning (bsc#1051510).
- commit 9c501db
* Wed Nov 28 2018 tiwai@suse.de
- platform/x86: intel_telemetry: report debugfs failure
  (bsc#1051510).
- platform/x86: acerhdf: Add BIOS entry for Gateway LT31 v1.3307
  (bsc#1051510).
- commit 6273f32
* Wed Nov 28 2018 tiwai@suse.de
- ACPI / platform: Add SMB0001 HID to forbidden_id_list
  (bsc#1051510).
- ACPI / watchdog: Prefer iTCO_wdt always when WDAT table uses
  RTC SRAM (bsc#1051510).
- commit 6426c3c
* Wed Nov 28 2018 tiwai@suse.de
- usb: cdc-acm: add entry for Hiro (Conexant) modem (bsc#1051510).
- USB: misc: appledisplay: add 20" Apple Cinema Display
  (bsc#1051510).
- USB: quirks: Add no-lpm quirk for Raydium touchscreens
  (bsc#1051510).
- usb: quirks: Add delay-init quirk for Corsair K70 LUX RGB
  (bsc#1051510).
- commit c4726ed
* Wed Nov 28 2018 tbogendoerfer@suse.de
- Update config files.
- supported.conf: added chelsio tls module
- commit 26aa731
* Wed Nov 28 2018 tbogendoerfer@suse.de
- crypto: chelsio - Remove separate buffer used for DMA map B0
  block in CCM (bsc#1104270 FATE#325931).
- Refresh
  patches.fixes/crypto-chelsio-Fix-memory-corruption-in-DMA-Mapped-b.patch.
- commit 8f31b21
* Wed Nov 28 2018 tbogendoerfer@suse.de
- cxgb4: Inline TLS FW Interface (bsc#1104279 FATE#325938).
- Refresh
  patches.drivers/cxgb4-Fix-vxlan-geneve-_port-initialization.patch.
- commit 3c7b3af
* Wed Nov 28 2018 tbogendoerfer@suse.de
- cxgb4/cxgb4vf: support for XLAUI Port Type (bsc#1104279
  FATE#325938 bsc#1104277 FATE#325936).
- Refresh
  patches.drivers/cxgb4-cxgb4vf-check-fw-caps-to-set-link-mode-mask.patch.
- commit efac0a7
* Wed Nov 28 2018 tbogendoerfer@suse.de
- chcr: Add support for Inline IPSec (bsc#1104270 FATE#325931).
- Update
  patches.drivers/crypto-chelsio-Add-authenc-versions-of-ctr-and-sha.patch
  (bsc#1104279 FATE#325938).
- Refresh
  patches.drivers/crypto-chelsio-don-t-leak-pointers-to-authenc-keys.patch.
- Refresh
  patches.fixes/crypto-chelsio-Fix-memory-corruption-in-DMA-Mapped-b.patch.
- commit bee6586
* Wed Nov 28 2018 oneukum@suse.com
- PCI: pciehp: Become resilient to missed events (FATE#326303).
- commit 66e9cb5
* Wed Nov 28 2018 tbogendoerfer@suse.de
- cxgb4: Add support for Inline IPSec Tx (bsc#1104279
  FATE#325938).
- Refresh
  patches.drivers/cxgb4-add-support-for-vxlan-segmentation-offload.patch.
- Update
  patches.drivers/cxgb4-copy-the-length-of-cpl_tx_pkt_core-to-fw_wr.patch
  (bsc#1104270 FATE#325931).
- Refresh
  patches.drivers/cxgb4-cxgb4vf-add-support-for-ndo_set_vf_vlan.patch.
- Refresh
  patches.drivers/cxgb4-enable-inner-header-checksum-calculation.patch.
- commit bafd58d
* Wed Nov 28 2018 tbogendoerfer@suse.de
- cxgb4: mk_act_open_req() buggers ->{local, peer}_ip on
  big-endian hosts (bsc#1104279 FATE#325938).
- cxgb4: Added missing break in ndo_udp_tunnel_{add/del}
  (bsc#1104279 FATE#325938).
- cxgb4: assume flash part size to be 4MB, if it can't be
  determined (bsc#1104279 FATE#325938).
- crypto: chtls - use after free in chtls_pt_recvmsg()
  (bsc#1104270 FATE#325931).
- cxgb4: Report PCIe link properties with pcie_print_link_status()
  (bsc#1104279 FATE#325938).
- net: chelsio: Use zeroing memory allocator instead of
  allocator/memset (bsc#1104279 FATE#325938).
- cxgb4: add tc flower match support for tunnel VNI (bsc#1104279
  FATE#325938).
- libcxgb,cxgb4: use __skb_put_zero to simplfy code (bsc#1104279
  FATE#325938).
- crypto: chtls - free beyond end rspq_skb_cache (bsc#1104270
  FATE#325931).
- crypto: chtls - kbuild warnings (bsc#1104270 FATE#325931).
- crypto: chtls - dereference null variable (bsc#1104270
  FATE#325931).
- crypto: chtls - wait for memory sendmsg, sendpage (bsc#1104270
  FATE#325931).
- crypto: chtls - key len correction (bsc#1104270 FATE#325931).
- crypt: chelsio - Send IV as Immediate for cipher algo
  (bsc#1104270 FATE#325931).
- crypto: chelsio - Return -ENOSPC for transient busy indication
  (bsc#1104270 FATE#325931).
- crypto: chtls - fix a missing-check bug (bsc#1104270
  FATE#325931).
- crypto: chtls - generic handling of data and hdr (bsc#1104270
  FATE#325931).
- crypto: chelsio - request to HW should wrap (bsc#1104270
  FATE#325931).
- crypto: chelsio - remove redundant assignment to cdev->ports
  (bsc#1104270 FATE#325931).
- crypto: chelsio - don't leak information from the stack to
  userspace (bsc#1104270 FATE#325931).
- crypto: chelsio - Fix potential NULL pointer dereferences
  (bsc#1104270 FATE#325931).
- crypto: chelsio - Remove declaration of static function from
  header (bsc#1104270 FATE#325931).
- crypto: chelsio -Split Hash requests for large scatter gather
  list (bsc#1104270 FATE#325931).
- crypto: chelsio - no csum offload for ipsec path (bsc#1104270
  FATE#325931).
- crypto: chtls - Makefile Kconfig (bsc#1104270 FATE#325931).
- crypto: chtls - Program the TLS session Key (bsc#1104270
  FATE#325931).
- crypto: chtls - Inline TLS record Rx (bsc#1104270 FATE#325931).
- crypto: chtls - Inline TLS record Tx (bsc#1104270 FATE#325931).
- crypto : chtls - CPL handler definition (bsc#1104270
  FATE#325931).
- crypto: chtls - Register chtls with net tls (bsc#1104270
  FATE#325931).
- crypto: chtls - structure and macro for Inline TLS (bsc#1104270
  FATE#325931).
- crypto: chcr - Inline TLS Key Macros (bsc#1104270 FATE#325931).
- cxgb4: LLD driver changes to support TLS (bsc#1104279
  FATE#325938).
- cxgb4: speed up on-chip memory read (bsc#1104279 FATE#325938).
- net: cxgb4: avoid memcpy beyond end of source buffer
  (bsc#1104279 FATE#325938).
- cxgb4: use backdoor access to collect dumps when firmware
  crashed (bsc#1104279 FATE#325938).
- cxgb4: fix incorrect condition for using firmware LDST commands
  (bsc#1104279 FATE#325938).
- cxgb4: reset FW_OK flag on firmware crash (bsc#1104279
  FATE#325938).
- cxgb4: use tc_cls_can_offload_and_chain0() (bsc#1104279
  FATE#325938).
- cxgb4: fix possible deadlock (bsc#1104279 FATE#325938).
- cxgb4: display VNI correctly (bsc#1104279 FATE#325938).
- cxgb4: Report tid start range correctly for T6 (bsc#1104279
  FATE#325938).
- cxgb4: Simplify PCIe Completion Timeout setting (bsc#1104279
  FATE#325938).
- crypto: chelsio - fix a type cast error (bsc#1104270
  FATE#325931).
- chcr: ensure cntrl is initialized to fix bit-wise or'ing of
  garabage data (bsc#1104270 FATE#325931).
- chcr: remove unused variables net_device, pi, adap and cntrl
  (bsc#1104270 FATE#325931).
- crypto: chelsio - make arrays sgl_ent_len and dsgl_ent_len
  static (bsc#1104270 FATE#325931).
- crypto: chelsio - remove redundant assignments to reqctx and
  dst_size (bsc#1104270 FATE#325931).
- cxgb4: fix endianness for vlan value in cxgb4_tc_flower
  (bsc#1104279 FATE#325938).
- cxgb4: set filter type to 1 for ETH_P_IPV6 (bsc#1104279
  FATE#325938).
- cxgb4: convert flower table to use rhashtable (bsc#1104279
  FATE#325938).
- drivers/net: chelsio/cxgb*: Convert timers to use timer_setup()
  (bsc#1104279 FATE#325938).
- drivers, net, ethernet: convert clip_entry.refcnt from atomic_t
  to refcount_t (bsc#1104279 FATE#325938).
- crypto: chcr - Replace _manual_ swap with swap macro
  (bsc#1104270 FATE#325931).
- crypto: chelsio - Fix memory leak (bsc#1104270 FATE#325931).
- crypto: chelsio - pr_err() strings should end with newlines
  (bsc#1104270 FATE#325931).
- crypto: chelsio - Use GCM IV size constant (bsc#1104270
  FATE#325931).
- commit 7607941
* Wed Nov 28 2018 oneukum@suse.com
- PCI: pciehp: Enable/disable exclusively from IRQ thread
  (FATE#326303).
- commit 9dd70d9
* Wed Nov 28 2018 oneukum@suse.com
- PCI: pciehp: Convert to threaded polling (FATE#326303).
- commit 9f1236e
* Wed Nov 28 2018 tbogendoerfer@suse.de
- net: ena: fix crash during failed resume from hibernation
  (bsc#1111696 bsc#1117561).
- commit 59142b4
* Wed Nov 28 2018 tbogendoerfer@suse.de
- Update config files.
  Enabled ENA (Amazon network driver) for arm64.
- commit e774ad6
* Wed Nov 28 2018 tbogendoerfer@suse.de
- net: ena: fix compilation error in xtensa architecture
  (bsc#1111696 bsc#1117561).
- net: ena: enable Low Latency Queues (bsc#1111696 bsc#1117561).
- net: ena: Fix Kconfig dependency on X86 (bsc#1111696
  bsc#1117561).
- net: ena: fix indentations in ena_defs for better readability
  (bsc#1111696 bsc#1117561).
- net: ena: update driver version to 2.0.1 (bsc#1111696
  bsc#1117561).
- net: ena: remove redundant parameter in ena_com_admin_init()
  (bsc#1111696 bsc#1117561).
- net: ena: change rx copybreak default to reduce kernel memory
  pressure (bsc#1111696 bsc#1117561).
- net: ena: limit refill Rx threshold to 256 to avoid latency
  issues (bsc#1111696 bsc#1117561).
- net: ena: explicit casting and initialization, and clearer
  error handling (bsc#1111696 bsc#1117561).
- net: ena: use CSUM_CHECKED device indication to report skb's
  checksum status (bsc#1111696 bsc#1117561).
- net: ena: add functions for handling Low Latency Queues in
  ena_netdev (bsc#1111696 bsc#1117561).
- net: ena: add functions for handling Low Latency Queues in
  ena_com (bsc#1111696 bsc#1117561).
- net: ena: introduce Low Latency Queues data structures according
  to ENA spec (bsc#1111696 bsc#1117561).
- net: ena: complete host info to match latest ENA spec
  (bsc#1111696 bsc#1117561).
- net: ena: minor performance improvement (bsc#1111696
  bsc#1117561).
- net: ena: fix auto casting to boolean (bsc#1111696 bsc#1117561).
- net: ena: fix NULL dereference due to untimely napi
  initialization (bsc#1111696 bsc#1117561).
- net: ena: fix rare bug when failed restart/resume is followed
  by driver removal (bsc#1111696 bsc#1117561).
- net: ena: fix warning in rmmod caused by double iounmap
  (bsc#1111696 bsc#1117561).
- net: ena: remove ndo_poll_controller (bsc#1111696 bsc#1117561).
- commit 75cf80b
* Wed Nov 28 2018 msuchanek@suse.de
- powerpc/mm: Increase MAX_PHYSMEM_BITS to 128TB with
  SPARSEMEM_VMEMMAP config (FATE#326523).
- powerpc/mm: Check memblock_add against MAX_PHYSMEM_BITS range
  (FATE#326523).
- powerpc/mm/hash: hard disable irq in the SLB insert path
  (FATE#326523).
- powerpc/mm/hash: Don't memset pgd table if not needed
  (FATE#326523).
- powerpc/mm/hash64: Increase the VA range (FATE#326523).
- powerpc/8xx: Fix build with hugetlbfs enabled (FATE#326523).
- powerpc/mm: Add support for handling > 512TB address in SLB miss
  (FATE#326523).
- powerpc/mm/slice: Consolidate return path in
  slice_get_unmapped_area() (FATE#326523).
- powerpc/mm/slice: remove radix calls to the slice code
  (FATE#326523).
- powerpc/mm/slice: Use const pointers to cached slice masks
  where possible (FATE#326523).
- powerpc/mm/slice: remove dead code (FATE#326523).
- powerpc/mm/slice: Switch to 3-operand slice bitops helpers
  (FATE#326523).
- powerpc/mm/slice: implement slice_check_range_fits
  (FATE#326523).
- powerpc/mm/slice: implement a slice mask cache (FATE#326523).
- powerpc/mm/slice: pass pointers to struct slice_mask where
  possible (FATE#326523).
- powerpc/mm/slice: tidy lpsizes and hpsizes update loops
  (FATE#326523).
- powerpc/mm/slice: Simplify and optimise slice context
  initialisation (FATE#326523).
- powerpc/mm/slice: Allow up to 64 low slices (FATE#326523).
- powerpc/mm/slice: Fix hugepage allocation at hint address on
  8xx (FATE#326523).
- powerpc/mm/slice: Enhance for supporting PPC32 (FATE#326523).
- powerpc/mm/slice: create header files dedicated to slices
  (FATE#326523).
- commit d6bfa0c
* Tue Nov 27 2018 tbogendoerfer@suse.de
- thunderx: setup xdp_rxq_info (bsc#1109837).
- Refresh
  patches.drivers/net-thunderx-add-timestamping-support.patch.
- commit 51ac62b
* Tue Nov 27 2018 tbogendoerfer@suse.de
- net: thunderx: Fix BGX transmit stall due to underflow
  (bsc#1109837).
- Refresh
  patches.drivers/net-thunderx-add-timestamping-support.patch.
- commit c4b27dc
* Tue Nov 27 2018 tbogendoerfer@suse.de
- net: thunderx: mark expected switch fall-throughs in
  nicvf_main() (bsc#1109837).
- net: thunder_bgx: avoid format string overflow warning
  (bsc#1109837).
- cavium: thunder: Remove duplicate "netdev->name" logging output
  (bsc#1109837).
- bpf: thunderx: Report bpf_prog ID during XDP_QUERY_PROG
  (bsc#1109837).
- commit edbab72
* Tue Nov 27 2018 tbogendoerfer@suse.de
- igb: Wait 10ms just once after TX queues reset (bsc#1117495).
- igb: Clear TSICR interrupts together with ICR (bsc#1117495).
- igb: Add support for adding offloaded clsflower filters
  (bsc#1117495).
- igb: Add the skeletons for tc-flower offloading (bsc#1117495).
- igb: Add MAC address support for ethtool nftuple filters
  (bsc#1117495).
- igb: Enable nfc filters to specify MAC addresses (bsc#1117495).
- igb: Allow filters to be added for the local MAC address
  (bsc#1117495).
- igb: Add support for enabling queue steering in filters
  (bsc#1117495).
- igb: Add support for MAC address filters specifying source
  addresses (bsc#1117495).
- igb: Enable the hardware traffic class feature bit for igb
  models (bsc#1117495).
- igb: Fix the transmission mode of queue 0 for Qav mode
  (bsc#1117495).
- igb: Do not call netif_device_detach() when PCIe link goes
  missing (bsc#1117495).
- igb: add VF trust infrastructure (bsc#1117495).
- igb: Delete an error message for a failed memory allocation
  in igb_enable_sriov() (bsc#1117495).
- igb: Clarify idleslope config constraints (bsc#1117495).
- igb: add function to get maximum RSS queues (bsc#1117495).
- commit 92e971b
* Tue Nov 27 2018 tiwai@suse.de
- hwmon: (w83795) temp4_type has writable permission
  (bsc#1051510).
- hwmon: (ina2xx) Fix current value calculation (bsc#1051510).
- hwmon: (raspberrypi) Fix initial notify (bsc#1051510).
- hwmon (ina2xx) Fix NULL id pointer in probe() (bsc#1051510).
- hwmon: (nct6775) Fix potential Spectre v1 (bsc#1051510).
- commit 00f652b
* Tue Nov 27 2018 jslaby@suse.cz
- net: bridge: remove ipv6 zero address check in mcast queries
  (git-fixes).
- commit c7547b7
* Tue Nov 27 2018 oneukum@suse.com
- PCI: pciehp: Resume parent to D0 on config space access
  (FATE#326303).
- commit accf24a
* Tue Nov 27 2018 oneukum@suse.com
- PCI: pciehp: Publish to user space last on probe (FATE#326303).
- commit 94a440a
* Tue Nov 27 2018 oneukum@suse.com
- PCI: hotplug: Demidlayer registration with the core
  (FATE#326303).
- commit fe51af9
* Tue Nov 27 2018 msuchanek@suse.de
- powerpc/64s/radix: Fix process table entry cache invalidation
  (FATE#326523).
  `
- Refresh patches.arch/05-arch-mm-allow-arch_dup_mmap-to-fail.patch.
- commit 096f6d3
* Tue Nov 27 2018 msuchanek@suse.de
- powerpc/64s: Rename slb_allocate_realmode() to slb_allocate()
  (FATE#326523).
  `
- Refresh patches.arch/powerpc-64s-Replace-CONFIG_PPC_STD_MMU_64-with-CONFI.patch.
- commit 9b004ed
* Tue Nov 27 2018 msuchanek@suse.de
- powerpc/64s: Avoid r3 save/restore in SLB miss handler (FATE#326523).
- Refresh patches.arch/powerpc-64s-Convert-slb_miss_common-to-use-RFI_TO_US.patch.
- Refresh patches.arch/powerpc-64s-Replace-CONFIG_PPC_STD_MMU_64-with-CONFI.patch.
- Refresh patches.arch/powerpc-64s-Set-assembler-machine-type-to-POWER4.patch.
- commit 6271abc
* Tue Nov 27 2018 msuchanek@suse.de
- powerpc/64s: SLB miss already has CTR saved for relocatable kernel
  (FATE#326523).
- Refresh patches.arch/powerpc-64s-Convert-slb_miss_common-to-use-RFI_TO_US.patch
- Refresh patches.arch/powerpc-64s-Set-assembler-machine-type-to-POWER4.patch.
- commit cfec495
* Tue Nov 27 2018 msuchanek@suse.de
- powerpc/64s: Avoid saving faulting address into EX_DAR in SLB miss
  (FATE#326523).
- Refresh patches.arch/powerpc-64s-Convert-slb_miss_common-to-use-RFI_TO_US.patch.
- Refresh patches.arch/powerpc-64s-Replace-CONFIG_PPC_STD_MMU_64-with-CONFI.patch.
- Refresh patches.arch/powerpc-64s-Set-assembler-machine-type-to-POWER4.patch.
- Refresh patches.arch/powerpc-64s-Simple-RFI-macro-conversions.patch.
- commit 0eddf82
* Tue Nov 27 2018 msuchanek@suse.de
- powerpc/64s: Preserve r3 in slb_allocate_realmode()
  (FATE#326523).
- commit dee276a
* Tue Nov 27 2018 oneukum@suse.com
- PCI: pciehp: Handle events synchronously (FATE#326303).
- Refresh
  patches.drivers/0001-PCI-pciehp-Track-enable-disable-status.patch.
- commit 1204cdb
* Tue Nov 27 2018 jdelvare@suse.de
- drm/ast: change resolution may cause screen blurred
  (boo#1112963).
- commit 87247be
* Tue Nov 27 2018 tzimmermann@suse.de
- Fix FATE reference in DRM-backport patches (FATE#326289)
- commit 3316775
* Tue Nov 27 2018 jdelvare@suse.de
- Rename and update patches.drm/0001-drm-ast-Remove-existing-framebuffers-before-loading-.patch
  Use the same name as in SLE12-SP3, add upstream reference and
  mention a second bug (bsc#1111174).
- commit 036f252
* Mon Nov 26 2018 msuchanek@suse.de
- Refresh upstreamed pkey patches.
- commit 94769d4
* Mon Nov 26 2018 msuchanek@suse.de
- powerpc/mm/keys: Move pte bits to correct headers (FATE#322447,
  bsc#1078248).
- commit 972269f
* Mon Nov 26 2018 tiwai@suse.de
- gpio: don't free unallocated ida on gpiochip_add_data_with_key()
  error path (bsc#1051510).
- clk: s2mps11: Add used attribute to s2mps11_dt_match
  (bsc#1051510).
- mfd: menelaus: Fix possible race condition and leak
  (bsc#1051510).
- commit 87b9a96
* Mon Nov 26 2018 tiwai@suse.de
- drm/i915: Write GPU relocs harder with gen3 (bsc#1051510).
- commit 2094252
* Mon Nov 26 2018 tiwai@suse.de
- soc: ti: QMSS: Fix usage of irq_set_affinity_hint (bsc#1051510).
- soc: fsl: qbman: qman: avoid allocating from non existing
  gen_pool (bsc#1051510).
- commit 318a29c
* Mon Nov 26 2018 tiwai@suse.de
- HID: uhid: forbid UHID_CREATE under KERNEL_DS or elevated
  privileges (bsc#1051510).
- commit bfec37b
* Mon Nov 26 2018 tiwai@suse.de
- iwlwifi: mvm: don't use SAR Geo if basic SAR is not used
  (bsc#1051510).
- iwlwifi: mvm: support sta_statistics() even on older firmware
  (bsc#1051510).
- brcmutil: really fix decoding channel info for 160 MHz bandwidth
  (bsc#1051510).
- commit 04cdc07
* Mon Nov 26 2018 tiwai@suse.de
- ALSA: hda/ca0132 - Call pci_iounmap() instead of iounmap()
  (bsc#1051510).
- commit 9d9ccd2
* Mon Nov 26 2018 tiwai@suse.de
- ata: Fix racy link clearance (bsc#1107866).
- commit 6a91770
* Mon Nov 26 2018 mwilck@suse.com
- target: fix buffer offset in core_scsi3_pri_read_full_status
  (bsc1117349).
- commit e2ae560
* Mon Nov 26 2018 ohering@suse.de
- Drivers: hv: kvp: Fix the recent regression caused by incorrect
  clean-up (fate#323887).
- x86/hyper-v: Enable PIT shutdown quirk (fate#323887).
- commit 6c16ab5
* Mon Nov 26 2018 msuchanek@suse.de
- ibmvnic: Update driver queues after change in ring size support
  (FATE#326521).
- net/ibmnvic: Fix deadlock problem in reset (FATE#326521).
- ibmvnic: fix accelerated VLAN handling (FATE#326521).
- net: ibm: fix return type of ndo_start_xmit function
  (FATE#326521).
- ibmvnic: remove ndo_poll_controller (FATE#326521).
- commit 7895e39
* Mon Nov 26 2018 tbogendoerfer@suse.de
- blacklist.conf: drop entries, which are backported for SLE15-SP1
- commit 5e6e3a3
* Mon Nov 26 2018 msuchanek@suse.de
- Refresh patches.drivers/ibmvnic-fix-index-in-release_rx_pools.patch
- commit b026761
* Mon Nov 26 2018 nsaenzjulienne@suse.de
- firmware: arm_sdei: fix wrong of_node_put() in init function
  (bsc#1116839).
- commit 3c4e202
* Mon Nov 26 2018 tbogendoerfer@suse.de
- blacklist.conf: updated temporary blacklists
- commit b4d0a78
* Mon Nov 26 2018 tbogendoerfer@suse.de
- debugfs: fix debugfs_real_fops() build error (bsc#1114685
  FATE#325854).
- commit 6dc89cf
* Mon Nov 26 2018 tbogendoerfer@suse.de
- Update config files.
- commit 9ebb005
* Mon Nov 26 2018 tbogendoerfer@suse.de
- IB/mlx5: Avoid dealing with vport representors if not being
  e-switch manager (bsc#1103991 FATE#326007).
- Refresh
  patches.suse/net-mlx5-E-Switch-Avoid-setup-attempt-if-not-being-e.patch.
- commit b13cd0b
* Mon Nov 26 2018 tbogendoerfer@suse.de
- IB/hfi1: Cleanup of exp_rcv (bsc#1114685 FATE#325854).
- Refresh
  patches.drivers/IB-hfi1-Set-in_use_ctxts-bits-for-user-ctxts-only.patch.
- commit 43811d5
* Mon Nov 26 2018 tbogendoerfer@suse.de
- IB/{hfi1, rdmavt, qib}: Implement CQ completion vector support
  (bsc#1114685 FATE#325854).
- Refresh
  patches.drivers/IB-hfi1-Invalid-NUMA-node-information-can-cause-a-di.patch.
- commit 12e5480
* Mon Nov 26 2018 tbogendoerfer@suse.de
- net/mlx5e: Remove redundant active_channels indication
  (bsc#1103990 FATE#326006).
- Refresh
  patches.suse/net-mlx5e-Avoid-dealing-with-vport-representors-if-n.patch.
- commit 4935c17
* Mon Nov 26 2018 tbogendoerfer@suse.de
- net/mlx5e: Introducing new statistics rwlock (bsc#1103990
  FATE#326006).
- Refresh
  patches.suse/net-mlx5e-Avoid-dealing-with-vport-representors-if-n.patch.
- commit 96e8c6a
* Mon Nov 26 2018 tzimmermann@suse.de
- mach64: fix image corruption due to reading accelerator registers (bsc#1113722)
- commit b3c9593
* Mon Nov 26 2018 tzimmermann@suse.de
- mach64: fix display corruption on big endian machines (bsc#1113722)
- commit 01b3304
* Mon Nov 26 2018 jroedel@suse.de
- iommu/vt-d: Use memunmap to free memremap (bsc#1106105).
- amd/iommu: Fix Guest Virtual APIC Log Tail Address Register
  (bsc#1106105).
- iommu/ipmmu-vmsa: Fix crash on early domain free (bsc#1106105).
- iommu/vt-d: Fix NULL pointer dereference in prq_event_thread()
  (bsc#1106105).
- commit 474cc93
* Mon Nov 26 2018 kbuild@suse.de
- Delete patches.kabi/* workarounds
- commit feb9668
* Fri Nov 23 2018 tbogendoerfer@suse.de
- net/mlx5e: Get the required HW match level while parsing TC
  flow matches (bsc#1103990 FATE#326006).
- Refresh
  patches.suse/net-mlx5e-Set-vlan-masks-for-all-offloaded-TC-rules.patch.
- commit 170eb4d
* Fri Nov 23 2018 tbogendoerfer@suse.de
- net/mlx5e: Properly order min inline mode setup while parsing
  TC matches (bsc#1103990 FATE#326006).
- Refresh
  patches.suse/net-mlx5e-Set-vlan-masks-for-all-offloaded-TC-rules.patch.
- commit 509f2cc
* Fri Nov 23 2018 tbogendoerfer@suse.de
- bnxt_en: add debugfs support for DIM (bsc#1104745 FATE#325918).
- Refresh
  patches.drivers/bnxt_en-Fix-for-system-hang-if-request_irq-fails.patch.
- commit 1f829f5
* Fri Nov 23 2018 tbogendoerfer@suse.de
- bnxt_en: add support for software dynamic interrupt moderation
  (bsc#1104745 FATE#325918).
- Refresh
  patches.drivers/bnxt_en-Add-the-new-firmware-API-to-query-hardware-r.patch.
- Refresh
  patches.drivers/bnxt_en-Restore-MSIX-after-disabling-SRIOV.patch.
- commit bb3448a
* Fri Nov 23 2018 tiwai@suse.de
- xhci: Fix leaking USB3 shared_hcd at xhci removal (bsc#1051510).
- commit 6880c8a
* Fri Nov 23 2018 pmladek@suse.com
- tracing: Erase irqsoff trace with empty write (bsc#1117189).
- commit 591b34f
* Fri Nov 23 2018 tbogendoerfer@suse.de
- net/mlx5e: Cleanup of dcbnl related fields (bsc#1103990
  FATE#326006).
- net/mlx5e: Properly check if hairpin is possible between two
  functions (bsc#1103990 FATE#326006).
- net/mlx5e: IPoIB, Set the netdevice sw mtu in ipoib enhanced
  flow (bsc#1103990 FATE#326006).
- net/mlx5e: Fix null pointer access when setting MTU of vport
  representor (bsc#1103990 FATE#326006).
- net/mlx5e: Set port trust mode to PCP as default (bsc#1103990
  FATE#326006).
- net/mlx5e: E-Switch, Initialize eswitch only if eswitch manager
  (bsc#1103990 FATE#326006).
- net/mlx5e: Only allow offloading decap egress (egdev) flows
  (bsc#1103990 FATE#326006).
- net/mlx5: Fix QP fragmented buffer allocation (bsc#1103990
  FATE#326006).
- net/mlx5: Fix 'DON'T_TRAP' functionality (bsc#1103990
  FATE#326006).
- net/mlx5: E-Switch, UBSAN fix undefined behavior in
  mlx5_eswitch_mode (bsc#1103990 FATE#326006).
- bnxt_en: Support clearing of the IFF_BROADCAST flag (bsc#1104745
  FATE#325918).
- RDMA/uverbs: Don't fail in creation of multiple flows
  (bsc#1103992 FATE#326009).
- RDMA/uverbs: Fix slab-out-of-bounds in ib_uverbs_ex_create_flow
  (bsc#1103992 FATE#326009).
- net/mlx5: Fix required capability for manipulating MPFS
  (bsc#1103990 FATE#326006).
- net/mlx5: E-Switch, Disallow vlan/spoofcheck setup if not
  being esw manager (bsc#1103990 FATE#326006).
- IB/rxe: Fix missing completion for mem_reg work requests
  (bsc#1103992 FATE#326009).
- RDMA/core: Save kernel caller name when creating CQ using
  ib_create_cq() (bsc#1103992 FATE#326009).
- IB/uverbs: Fix ordering of ucontext check in ib_uverbs_write
  (bsc#1103992 FATE#326009).
- IB/mlx5: Fix return value check in flow_counters_set_data()
  (bsc#1103991 FATE#326007).
- IB/mlx5: Fix memory leak in mlx5_ib_create_flow (bsc#1103991
  FATE#326007).
- IB/rxe: avoid double kfree skb (bsc#1103992 FATE#326009).
- RDMA/mlx5: Update SPDX tags to show proper license (bsc#1103991
  FATE#326007).
- RDMA/restrack: Change SPDX tag to properly reflect license
  (bsc#1103992 FATE#326009).
- IB/hfi1: Fix comment on default hdr entry size (bsc#1114685
  FATE#325854).
- IB/hfi1: Rename exp_lock to exp_mutex (bsc#1114685 FATE#325854).
- IB/hfi1: Remove unused variable (bsc#1114685 FATE#325854).
- iw_cxgb4: add INFINIBAND_ADDR_TRANS dependency (bsc#1104276
  FATE#325935).
- IB/isert: use T10-PI check mask definitions from core layer
  (bsc#1103992 FATE#326009).
- IB/iser: use T10-PI check mask definitions from core layer
  (bsc#1103992 FATE#326009).
- RDMA/core: introduce check masks for T10-PI offload (bsc#1103992
  FATE#326009).
- IB/mlx5: Add counters read support (bsc#1103991 FATE#326007).
- IB/mlx5: Add flow counters read support (bsc#1103991
  FATE#326007).
- IB/mlx5: Add flow counters binding support (bsc#1103991
  FATE#326007).
- IB/mlx5: Add counters create and destroy support (bsc#1103991
  FATE#326007).
- IB/uverbs: Add support for flow counters (bsc#1103992
  FATE#326009).
- IB/core: Add support for flow counters (bsc#1103992
  FATE#326009).
- IB/core: Support passing uhw for create_flow (bsc#1103992
  FATE#326009).
- IB/uverbs: Add read counters support (bsc#1103992 FATE#326009).
- IB/core: Introduce counters read verb (bsc#1103992 FATE#326009).
- IB/uverbs: Add create/destroy counters support (bsc#1103992
  FATE#326009).
- IB/core: Introduce counters object and its create/destroy
  (bsc#1103992 FATE#326009).
- IB/uverbs: Add an ib_uobject getter to ioctl() infrastructure
  (bsc#1103992 FATE#326009).
- net/mlx5: Export flow counter related API (bsc#1103990
  FATE#326006).
- net/mlx5: Use flow counter pointer as input to the query
  function (bsc#1103990 FATE#326006).
- RDMA/mlx4: Don't crash machine if zap_vma_ptes() fails
  (bsc#1103988 FATE#326003).
- RDMA/mlx5: Don't check return value of zap_vma_ptes()
  (bsc#1103991 FATE#326007).
- RDMA/mad: Convert BUG_ONs to error flows (bsc#1103992
  FATE#326009).
- RDMA/mad: Delete inaccessible BUG_ON (bsc#1103992 FATE#326009).
- RDMA/cma: Ignore unknown event (bsc#1103992 FATE#326009).
- RDMA/cm: Abort loop in case of CM dequeue (bsc#1103992
  FATE#326009).
- RDMA/cxgb3: Don't crash kernel just because IDR is full
  (bsc#1103992 FATE#326009).
- RDMA/mlx4: Catch FW<->SW misalignment without machine crash
  (bsc#1103988 FATE#326003).
- RDMA/ipoib: drop skb on path record lookup failure (bsc#1103992
  FATE#326009).
- RDMA/uverbs: Hoist the common process of disassociate_ucontext
  into ib core (bsc#1103992 FATE#326009).
- IB/mlx5: Introduce a new mini-CQE format (bsc#1103991
  FATE#326007).
- IB/mlx5: Refactor CQE compression response (bsc#1103991
  FATE#326007).
- net/mlx5: Exposing a new mini-CQE format (bsc#1103990
  FATE#326006).
- RDMA/core: Remove indirection through ib_cache_setup()
  (bsc#1103992 FATE#326009).
- IB/rxe: avoid unnecessary export (bsc#1103992 FATE#326009).
- IB/core: Introduce and use rdma_gid_table() (bsc#1103992
  FATE#326009).
- IB/core: Reduce the places that use zgid (bsc#1103992
  FATE#326009).
- RDMA/ucm: Mark UCM interface as BROKEN (bsc#1103992
  FATE#326009).
- RDMA/mlx5: Remove debug prints of VMA pointers (bsc#1103991
  FATE#326007).
- IB/qib: Fix DMA api warning with debug kernel (bsc#1103992
  FATE#326009).
- IB/hfi1: Add 16B Management Packet trace support (bsc#1114685
  FATE#325854).
- IB/hfi1: Add support for 16B Management Packets (bsc#1114685
  FATE#325854).
- IB/hfi1: Define 16B Management Packets (bsc#1114685
  FATE#325854).
- iw_cxgb4: provide detailed driver-specific MR information
  (bsc#1104276 FATE#325935).
- iw_cxgb4: provide detailed driver-specific CQ information
  (bsc#1104276 FATE#325935).
- iw_cxgb4: provide detailed provider-specific CM_ID information
  (bsc#1104276 FATE#325935).
- RDMA/CMA: add rdma_iw_cm_id() and rdma_res_to_id() helpers
  (bsc#1103992 FATE#326009).
- iw_cxgb4: always set iw_cm_id.provider_data (bsc#1104276
  FATE#325935).
- IB/rxe: avoid calling WARN_ON_ONCE twice (bsc#1103992
  FATE#326009).
- IB/ipoib: replace local_irq_disable() with proper locking
  (bsc#1103992 FATE#326009).
- IB/mlx5: Expose MPLS related tunneling offloads (bsc#1103991
  FATE#326007).
- IB/mlx5: Add support for MPLS flow specification (bsc#1103991
  FATE#326007).
- IB/mlx5: Add support for GRE flow specification (bsc#1103991
  FATE#326007).
- IB/uverbs: Introduce a MPLS steering match filter (bsc#1103992
  FATE#326009).
- IB/uverbs: Expose MPLS flow spec to the user-kernel ABI header
  (bsc#1103992 FATE#326009).
- IB/uverbs: Introduce a GRE steering match filter (bsc#1103992
  FATE#326009).
- IB/uverbs: Expose GRE flow spec to the user-kernel ABI header
  (bsc#1103992 FATE#326009).
- IB/cm: Store and restore ah_attr during CM message processing
  (bsc#1103992 FATE#326009).
- IB/cm: Store and restore ah_attr during LAP msg processing
  (bsc#1103992 FATE#326009).
- IB/cm: Avoid AV ah_attr overwriting during LAP message handling
  (bsc#1103992 FATE#326009).
- i40iw: Extend port reuse support for listeners (bsc#1114687
  FATE#326314).
- IB/core: Remove redundant return (bsc#1103992 FATE#326009).
- iw_cxgb4: remove wr_id attributes (bsc#1104276 FATE#325935).
- RDMA/NLDEV: remove mr iova attribute (bsc#1103992 FATE#326009).
- iw_cxgb4: fix uninitialized variable warnings (bsc#1104276
  FATE#325935).
- RDMA/uapi: Fix uapi breakage (bsc#1103992 FATE#326009).
- RDMA/hfi1: Fix build error with debugfs disabled (bsc#1114685
  FATE#325854).
- IB: Fix RDMA_RXE and INFINIBAND_RDMAVT dependencies for
  DMA_VIRT_OPS (bsc#1103992 FATE#326009).
- IB/{hfi1, qib, rdmavt}: Move logic to allocate receive WQE
  into rdmavt (bsc#1114685 FATE#325854).
- IB/hfi1: Rework fault injection machinery (bsc#1114685
  FATE#325854).
- IB/mlx5: posting klm/mtt list inline in the send queue for
  reg_wr (bsc#1103991 FATE#326007).
- IB/core: Reuse gid_table_release_one() in table allocation
  failure (bsc#1103992 FATE#326009).
- IB/core: Make gid_table_reserve_default() return void
  (bsc#1103992 FATE#326009).
- iw_cxgb4: dump detailed driver-specific QP information
  (bsc#1104276 FATE#325935).
- RDMA/nldev: helper functions to add driver attributes
  (bsc#1103992 FATE#326009).
- RDMA/nldev: add driver-specific resource tracking (bsc#1103992
  FATE#326009).
- RDMA/nldev: Add explicit pad attribute (bsc#1103992
  FATE#326009).
- IB/cxgb4: use skb_put_zero()/__skb_put_zero (bsc#1104276
  FATE#325935).
- IB/core: Use CONFIG_SECURITY_INFINIBAND to compile out security
  code (bsc#1103992 FATE#326009).
- IB/rxe: remove unused function variable (bsc#1103992
  FATE#326009).
- IB/rxe: change rxe_set_mtu function type to void (bsc#1103992
  FATE#326009).
- IB/rxe: Change rxe_rcv to return void (bsc#1103992 FATE#326009).
- IB/rxe: replace refcount_inc with skb_get (bsc#1103992
  FATE#326009).
- IB/rxe: optimize the function duplicate_request (bsc#1103992
  FATE#326009).
- IB/rxe: make rxe_release_udp_tunnel static (bsc#1103992
  FATE#326009).
- infiniband: i40iw: Replace GFP_ATOMIC with GFP_KERNEL in
  i40iw_l2param_change (bsc#1114687 FATE#326314).
- infiniband: i40iw: Replace GFP_ATOMIC with GFP_KERNEL in
  i40iw_make_listen_node (bsc#1114687 FATE#326314).
- infiniband: i40iw: Replace GFP_ATOMIC with GFP_KERNEL in
  i40iw_add_mqh_4 (bsc#1114687 FATE#326314).
- IB/rxe: avoid export symbols (bsc#1103992 FATE#326009).
- IB/rxe: make the variable static (bsc#1103992 FATE#326009).
- RDMA/rdma_cm: Delete rdma_addr_client (bsc#1103992 FATE#326009).
- RDMA/rdma_cm: Make rdma_addr_cancel into a fence (bsc#1103992
  FATE#326009).
- RDMA/rdma_cm: Remove process_req and timer sorting (bsc#1103992
  FATE#326009).
- IB/hfi1: Replace custom hfi1 macros with PCIe macros
  (bsc#1114685 FATE#325854).
- PCI: Add PCI_EXP_LNKCTL2_TLS* macros (bsc#1114685 FATE#325854).
- bnxt_en: Report PCIe link properties with
  pcie_print_link_status() (bsc#1104745 FATE#325918).
- net/mlx5e: fix error return code in mlx5e_alloc_rq()
  (bsc#1103990 FATE#326006).
- net/mlx5e: Make function mlx5e_change_rep_mtu() static
  (bsc#1103990 FATE#326006).
- mlx4_core: restore optimal ICM memory allocation (bsc#1103989
  FATE#326004).
- net: ethernet: mlx4: Remove unnecessary parentheses (bsc#1103989
  FATE#326004).
- net/mlx5: Make function mlx5_fpga_tls_send_teardown_cmd()
  static (bsc#1103990 FATE#326006).
- net/mlx5e: TX, Separate cachelines of xmit and completion stats
  (bsc#1103990 FATE#326006).
- net/mlx5e: RX, Always prefer Linear SKB configuration
  (bsc#1103990 FATE#326006).
- net/mlx5e: RX, Enhance legacy Receive Queue memory scheme
  (bsc#1103990 FATE#326006).
- net/mlx5e: RX, Use cyclic WQ in legacy RQ (bsc#1103990
  FATE#326006).
- net/mlx5e: RX, Split WQ objects for different RQ types
  (bsc#1103990 FATE#326006).
- net/mlx5e: RX, Remove HW LRO support in legacy RQ (bsc#1103990
  FATE#326006).
- net/mlx5e: RX, Dedicate a function for copying SKB header
  (bsc#1103990 FATE#326006).
- net/mlx5e: RX, Generalise function of SKB frag addition
  (bsc#1103990 FATE#326006).
- net/mlx5e: RX, Generalise name of non-linear SKB head size
  (bsc#1103990 FATE#326006).
- net/mlx5e: TX, Obsolete maintaining local copies of
  skb->len/data (bsc#1103990 FATE#326006).
- net/mlx5: FPGA, Handle QP error event (bsc#1103990 FATE#326006).
- net/mlx5e: Support configurable MTU for vport representors
  (bsc#1103990 FATE#326006).
- net/mlx5e: Increase aRFS flow tables size (bsc#1103990
  FATE#326006).
- net/mlx5e: Present SW stats when state is not opened
  (bsc#1103990 FATE#326006).
- net/mlx5e: IPOIB, Add a missing skb_pull (bsc#1103990
  FATE#326006).
- net/mlx5e: IPOIB, Fix overflowing SQ WQE memset (bsc#1103990
  FATE#326006).
- net/mlx5: Add FPGA QP error event (bsc#1103990 FATE#326006).
- net/mlx5: Add temperature warning event to log (bsc#1103990
  FATE#326006).
- net/mlx5e: Get the number of offloaded TC rules from the
  correct table (bsc#1103990 FATE#326006).
- net/mlx5: FPGA, Properly initialize dma direction on fpga conn
  send (bsc#1103990 FATE#326006).
- net/mlx5: FPGA, Abort FPGA init if the device reports no QP
  capability (bsc#1103990 FATE#326006).
- net/mlx5: FPGA, print SBU identification on init (bsc#1103990
  FATE#326006).
- net/mlx5: FPGA, Add device name (bsc#1103990 FATE#326006).
- net/mlx5: FPGA, Add doxygen for access type enum (bsc#1103990
  FATE#326006).
- net/mlx5e: fix TLS dependency (bsc#1103990 FATE#326006).
- net/mlx5e: Avoid reset netdev stats on configuration changes
  (bsc#1103990 FATE#326006).
- net/mlx5e: Move phy link down events counter out of SW stats
  (bsc#1103990 FATE#326006).
- net/mlx5: Use order-0 allocations for all WQ types (bsc#1103990
  FATE#326006).
- net/mlx5i: Use compilation flag in IPOIB header (bsc#1103990
  FATE#326006).
- net/mlx5e: TX, Use actual WQE size for SQ edge fill (bsc#1103990
  FATE#326006).
- net/mlx5e: Use WQ API functions instead of direct fields access
  (bsc#1103990 FATE#326006).
- net/mlx5e: Split offloaded eswitch TC rules for port mirroring
  (bsc#1103990 FATE#326006).
- net/mlx5e: Parse mirroring action for offloaded TC eswitch flows
  (bsc#1103990 FATE#326006).
- net/mlx5: E-switch, Create a second level FDB flow table
  (bsc#1103990 FATE#326006).
- net/mlx5: Add cap bits for flow table destination in FDB table
  (bsc#1103990 FATE#326006).
- net/mlx5: E-Switch, Reorganize and rename fdb flow tables
  (bsc#1103990 FATE#326006).
- net/mlx5e: Receive buffer support for DCBX (bsc#1103990
  FATE#326006).
- net/mlx5e: Receive buffer configuration (bsc#1103990
  FATE#326006).
- net/mlx5: PPTB and PBMC register firmware command support
  (bsc#1103990 FATE#326006).
- net/mlx5: Add pbmc and pptb in the port_access_reg_cap_mask
  (bsc#1103990 FATE#326006).
- net/mlx5e: Move port speed code from en_ethtool.c to en/port.c
  (bsc#1103990 FATE#326006).
- net/dcb: Add dcbnl buffer attribute (bsc#1103990 FATE#326006).
- net/mlx5e: Add HW vport counters to representor ethtool stats
  (bsc#1103990 FATE#326006).
- net/mlx5e: Ignore attempts to offload multiple times a TC flow
  (bsc#1103990 FATE#326006).
- net/mlx5e: Use shared table for offloaded TC eswitch flows
  (bsc#1103990 FATE#326006).
- net/mlx5e: Prepare for shared table to keep TC eswitch flows
  (bsc#1103990 FATE#326006).
- net/mlx5e: Add ingress/egress indication for offloaded TC flows
  (bsc#1103990 FATE#326006).
- net/mlx5e: Offload TC eswitch rules for VFs belonging to
  different PFs (bsc#1103990 FATE#326006).
- net/mlx5e: Explicitly set source e-switch in offloaded TC rules
  (bsc#1103990 FATE#326006).
- net/mlx5: Add source e-switch owner (bsc#1103990 FATE#326006).
- net/mlx5e: Explicitly set destination e-switch in FDB rules
  (bsc#1103990 FATE#326006).
- net/mlx5: Add destination e-switch owner (bsc#1103990
  FATE#326006).
- net/mlx5: Properly handle a vport destination when setting FTE
  (bsc#1103990 FATE#326006).
- net/mlx5: Add merged e-switch cap (bsc#1103990 FATE#326006).
- net/mlx5e: Remove MLX5E_TEST_BIT macro (bsc#1103990
  FATE#326006).
- net/mlx5e: Use test bit in en accel xmit flow (bsc#1103990
  FATE#326006).
- net/mlx5e: Use __set_bit for adaptive-moderation bit in RQ state
  (bsc#1103990 FATE#326006).
- net/mlx5e: Report all channels with min RX WQEs timeout
  (bsc#1103990 FATE#326006).
- net/mlx5e: Support offloaded TC flows with no matches on headers
  (bsc#1103990 FATE#326006).
- net/mlx5e: Use local actions var while processing offloaded
  TC flow actions (bsc#1103990 FATE#326006).
- net/mlx5e: Return success when TC offloaded fdb actions parsed
  ok (bsc#1103990 FATE#326006).
- net/mlx5e: Avoid redundant zeroing of offloaded TC flow
  attributes (bsc#1103990 FATE#326006).
- net/mlx5e: Clean static checker complaints on TC offload and
  VF reps code (bsc#1103990 FATE#326006).
- net/mlx5e: Remove double defined DMAC header re-write element
  (bsc#1103990 FATE#326006).
- net/mlx5e: Use bool as return type for mlx5e_xdp_handle
  (bsc#1103990 FATE#326006).
- net/mlx5e: Use u8 instead of int for LRO number of segments
  (bsc#1103990 FATE#326006).
- net/mlx5e: Skip redundant checks when providing NUD lastuse
  feedback (bsc#1103990 FATE#326006).
- net/mlx4_core: Use msi_x module param to limit num of MSI-X irqs
  (bsc#1103989 FATE#326004).
- net/mlx4_core: Add PCI calls for suspend/resume (bsc#1103989
  FATE#326004).
- net/mlx4_core: Report driver version to FW (bsc#1103989
  FATE#326004).
- net/mlx5: fix spelling mistake: "modfiy" -> "modify"
  (bsc#1103990 FATE#326006).
- net/mlx5: Cleanup unused field in Work Queue parameters
  (bsc#1103990 FATE#326006).
- net/mlx5: Decrease level of prints about non-existent MKEY
  (bsc#1103990 FATE#326006).
- net/mlx5: remove some extraneous spaces in indentations
  (bsc#1103990 FATE#326006).
- net/mlx4_en: optimizes get_fixed_ipv6_csum() (bsc#1103989
  FATE#326004).
- net/mlx5e: TLS, Add error statistics (bsc#1103990 FATE#326006).
- net/mlx5e: TLS, Add Innova TLS TX offload data path (bsc#1103990
  FATE#326006).
- net/mlx5e: TLS, Add Innova TLS TX support (bsc#1103990
  FATE#326006).
- net/mlx5: Accel, Add TLS tx offload interface (bsc#1103990
  FATE#326006).
- net/mlx5e: Move defines out of ipsec code (bsc#1103990
  FATE#326006).
- mlx4: Don't bother using skb_tx_hash in mlx4_en_select_queue
  (bsc#1103989 FATE#326004).
- opa_vnic: Just use skb_get_hash instead of skb_tx_hash
  (bsc#1114685 FATE#325854).
- net/mlx5e: Enable adaptive-TX moderation (bsc#1103990
  FATE#326006).
- net/dim: Support adaptive TX moderation (bsc#1103990
  FATE#326006).
- net/dim: Rename *_get_profile() functions to
  * _get_rx_moderation() (bsc#1103990 FATE#326006 bsc#1104745
  FATE#325918).
- bpf: make mlx4 compatible w/ bpf_xdp_adjust_tail (bsc#1103989
  FATE#326004).
- mlx5: use page_pool for xdp_return_frame call (bsc#1103990
  FATE#326006).
- mlx5: register a memory model when XDP is enabled (bsc#1103990
  FATE#326006).
- mlx5: basic XDP_REDIRECT forward support (bsc#1103990
  FATE#326006).
- bnxt_en: cleanup DIM work on device shutdown (bsc#1104745
  FATE#325918).
- bnxt: use tc_cls_can_offload_and_chain0() (bsc#1104745
  FATE#325918).
- bnxt_en: don't update cpr->rx_bytes with uninitialized length
  len (bsc#1104745 FATE#325918).
- bnxt_en: setup xdp_rxq_info (bsc#1104745 FATE#325918).
- debugfs: purge obsolete SRCU based removal protection
  (bsc#1114685 FATE#325854).
- IB/hfi1: convert to debugfs_file_get() and -put() (bsc#1114685
  FATE#325854).
- debugfs: convert to debugfs_file_get() and -put() (bsc#1114685
  FATE#325854).
- debugfs: debugfs_real_fops(): drop __must_hold sparse annotation
  (bsc#1114685 FATE#325854).
- debugfs: implement per-file removal protection (bsc#1114685
  FATE#325854).
- debugfs: add support for more elaborate ->d_fsdata (bsc#1114685
  FATE#325854).
- bnxt: delete some unreachable code (bsc#1104745 FATE#325918).
- commit 11b0710
* Fri Nov 23 2018 pmladek@suse.com
- tracing: Apply trace_clock changes to instance max buffer
  (bsc#1117188).
- commit 93ce4e2
* Fri Nov 23 2018 pmladek@suse.com
- blacklist.conf: add b16503baa891 signal: send_sig_all no longer
  needs SEND_SIG_FORCED
- commit 0ff41be
* Fri Nov 23 2018 pmladek@suse.com
- ftrace: Remove incorrect setting of glob search field
  (bsc#1117184).
- commit 44507ac
* Fri Nov 23 2018 pmladek@suse.com
- ftrace: Fix kmemleak in unregister_ftrace_graph (bsc#1117181).
- commit 254d70b
* Fri Nov 23 2018 tzimmermann@suse.de
- ida: Add new API (FATE#326289)
- commit ab0763a
* Fri Nov 23 2018 tzimmermann@suse.de
- [media] cec: add CEC_CAP_NEEDS_HPD (FATE#326289)
- commit 05a74bb
* Fri Nov 23 2018 tzimmermann@suse.de
- [media] cec: add cec_phys_addr_invalidate() helper function (FATE#326289)
- commit 1f40810
* Fri Nov 23 2018 tzimmermann@suse.de
- [media] cec: add cec_s_phys_addr_from_edid helper function (FATE#326289)
- commit 494c47f
* Fri Nov 23 2018 tzimmermann@suse.de
- media: cec: add *_ts variants for transmit_done/received_msg (FATE#326289)
- commit c32fae6
* Fri Nov 23 2018 tzimmermann@suse.de
- media: cec-notifier: Get notifier by device and connector name (FATE#326289)
- commit e468376
* Fri Nov 23 2018 tzimmermann@suse.de
- media: cec-notifier: small improvements (FATE#326289)
- commit cfdac8d
* Fri Nov 23 2018 tzimmermann@suse.de
- PCI: Export pcie_get_speed_cap and pcie_get_width_cap (FATE#326289)
- commit b884985
* Fri Nov 23 2018 pmladek@suse.com
- ftrace: Fix memleak when unregistering dynamic ops when tracing
  disabled (bsc#1117174).
- commit 5a7d6af
* Fri Nov 23 2018 pmladek@suse.com
- ftrace: Fix debug preempt config name in
  stack_tracer_{en,dis}able (bsc#1117172).
- commit b37345d
* Fri Nov 23 2018 pmladek@suse.com
- printk: Fix panic caused by passing log_buf_len to command line
  (bsc#1117168).
- commit 98d9037
* Fri Nov 23 2018 yousaf.kaukab@suse.com
- linux/device.h: fix kernel-doc notation warning (fate#326538).
- PCI: Move of_irq_parse_and_map_pci() declaration under OF_IRQ
  (fate#326538).
- iommu/of: Remove PCI host bridge node check (fate#326538).
- commit 5fbc0df
* Fri Nov 23 2018 tiwai@suse.de
- uio: Fix an Oops on load (bsc#1051510).
- can: rcar_can: Fix erroneous registration (bsc#1051510).
- floppy: fix race condition in __floppy_read_block_0()
  (bsc#1051510).
- pinctrl: meson: fix pinconf bias disable (bsc#1051510).
- tty: check name length in tty_find_polling_driver()
  (bsc#1051510).
- staging:iio:ad7606: fix voltage scales (bsc#1051510).
- uio: make symbol 'uio_class_registered' static (bsc#1051510).
- w1: omap-hdq: fix missing bus unregister at removal
  (bsc#1051510).
- power: supply: max8998-charger: Fix platform data retrieval
  (bsc#1051510).
- commit 8a307aa
* Fri Nov 23 2018 tiwai@suse.de
- libertas: don't set URB_ZERO_PACKET on IN USB transfer
  (bsc#1051510).
- commit 695f283
* Fri Nov 23 2018 tiwai@suse.de
- vhost/scsi: truncate T10 PI iov_iter to prot_bytes
  (bsc#1051510).
- vhost: Fix Spectre V1 vulnerability (bsc#1051510).
- commit 663338b
* Fri Nov 23 2018 tiwai@suse.de
- test_firmware: fix error return getting clobbered (bsc#1051510).
- commit ad74964
* Fri Nov 23 2018 tiwai@suse.de
- usb: dwc3: gadget: fix ISOC TRB type on unaligned transfers
  (bsc#1051510).
- usb: dwc3: gadget: Properly check last unaligned/zero chain TRB
  (bsc#1051510).
- commit 3ae49d6
* Fri Nov 23 2018 tiwai@suse.de
- clockevents/drivers/i8253: Add support for PIT shutdown quirk
  (bsc#1051510).
- commit 3276977
* Fri Nov 23 2018 tiwai@suse.de
- batman-adv: Expand merged fragment buffer for full packet
  (bsc#1051510).
- batman-adv: Use explicit tvlv padding for ELP packets
  (bsc#1051510).
- commit c3f27db
* Fri Nov 23 2018 tiwai@suse.de
- iio: ad5064: Fix regulator handling (bsc#1051510).
- iio: accel: adxl345: convert address field usage in
  iio_chan_spec (bsc#1051510).
- commit fcef7bd
* Fri Nov 23 2018 yousaf.kaukab@suse.com
- drivers: remove force dma flag from buses (fate#326538).
- dma-mapping: move dma configuration to bus infrastructure
  (fate#326538).
- gpu: host1x: Call of_dma_configure() after setting bus
  (fate#326538).
- drivers: flag buses which demand DMA configuration
  (fate#326538).
- commit 7569ad2
* Thu Nov 22 2018 tiwai@suse.de
- tty: Don't return -EAGAIN in blocking read (bsc#1116040).
- commit b62d6c8
* Thu Nov 22 2018 yousaf.kaukab@suse.com
- bus/fsl-mc: set coherent dma mask for devices on fsl-mc bus
  (fate#326538).
- bus/fsl-mc: support dma configure for devices on fsl-mc bus
  (fate#326538).
- iommu/of: support iommu configuration for fsl-mc devices
  (fate#326538).
- iommu/of: make of_pci_map_rid() available for other devices too
  (fate#326538).
- PCI: Move OF-related PCI functions into PCI core (fate#326538).
- iommu/of: Fix of_iommu_configure() for disabled IOMMUs
  (bsc#1098633).
- iommu/of: Handle PCI aliases properly (fate#326538).
- of_pci: use of_property_read_u32_array() (fate#326538).
- of_pci: use of_property_read_u32() (fate#326538).
- of: Convert to using %%pOF instead of full_name (fate#326538).
- of: Move OF property and graph API from base.c to property.c
  (fate#326538).
- commit 9a9237d
* Thu Nov 22 2018 oneukum@suse.com
- PCI: pciehp: Track enable/disable status (FATE#326303).
- commit a67bcf3
* Thu Nov 22 2018 tbogendoerfer@suse.de
- blacklist.conf: updated temporary blacklist commits
- commit 8883344
* Thu Nov 22 2018 oneukum@suse.com
- PCI: pciehp: Clear spurious events earlier on resume
  (FATE#326303).
- Refresh
  patches.drivers/0001-PCI-pciehp-Disable-hotplug-interrupt-during-suspend.patch.
- Refresh
  patches.drivers/0001-PCI-portdrv-Add-runtime-PM-hooks-for-port-service-dr.patch.
- commit 6731266
* Thu Nov 22 2018 mgorman@suse.de
- mm/page_alloc.c: use a single function to free page
  (bsc#1117034).
- mm/page_alloc.c: free order-0 pages through PCP in
  page_frag_free() (bsc#1117034).
- commit 50babf7
* Thu Nov 22 2018 tbogendoerfer@suse.de
- sock: fix sg page frag coalescing in sk_alloc_sg (bsc#1103990
  FATE#326006).
- commit 19bf998
* Thu Nov 22 2018 tbogendoerfer@suse.de
- Update config files.
- supported.conf: added net/core/failover and drivers/net/net_failover
- commit 676acd4
* Thu Nov 22 2018 tbogendoerfer@suse.de
- bpf: btf: Sync uapi btf.h to tools (bsc#1109837).
- net: bridge: fix br_vlan_get_{pvid,info} return values
  (bsc#1112374).
- net: net_failover: fix typo in net_failover_slave_register()
  (bsc#1109837).
- xsk: silence warning on memory allocation failure (bsc#1109837).
- net: bridge: Fix locking in br_fdb_find_port() (bsc#1112374).
- bpf: guard bpf_get_current_cgroup_id() with CONFIG_CGROUPS
  (bsc#1109837).
- net_failover: Use netdev_features_t instead of u32
  (bsc#1109837).
- gso: limit udp gso to egress-only virtual devices (bsc#1109837).
- xsk: fix 64-bit division (bsc#1109837).
- tools, include: Grab a copy of linux/erspan.h (bsc#1109837).
- commit afafe93
* Thu Nov 22 2018 tiwai@suse.de
- drm/i915/execlists: Force write serialisation into context
  image vs execution (bsc#1051510).
- drm/dp_mst: Check if primary mstb is null (bsc#1051510).
- drm/i915: Don't oops during modeset shutdown after lpe audio
  deinit (bsc#1051510).
- drm/i915: Mark pin flags as u64 (bsc#1051510).
- drm/i915/hdmi: Add HDMI 2.0 audio clock recovery N values
  (bsc#1051510).
- drm/i915: Large page offsets for pread/pwrite (bsc#1051510).
- drm/i915: Skip vcpi allocation for MSTB ports that are gone
  (bsc#1051510).
- drm/i915: Don't unset intel_connector->mst_port (bsc#1051510).
- drm/nouveau: Check backlight IDs are >= 0, not > 0
  (bsc#1051510).
- drm/omap: fix memory barrier bug in DMM driver (bsc#1051510).
- drm/amdgpu: add missing CHIP_HAINAN in
  amdgpu_ucode_get_load_type (bsc#1051510).
- drm/rockchip: Allow driver to be shutdown on reboot/kexec
  (bsc#1051510).
- commit bbb89cd
* Thu Nov 22 2018 tbogendoerfer@suse.de
- bpf: Hooks for sys_sendmsg (bsc#1109837).
- commit ec60d21
* Thu Nov 22 2018 tbogendoerfer@suse.de
- bpf: btf: Rename btf_key_id and btf_value_id in bpf_map_info
  (bsc#1109837).
- commit 98a172b
* Thu Nov 22 2018 tbogendoerfer@suse.de
- bpf: btf: Add struct bpf_btf_info (bsc#1109837).
- commit 34553fc
* Thu Nov 22 2018 yousaf.kaukab@suse.com
- blacklist: remove daa2e3bdbb0b
  Patch is already added by the following commit:
  d39055aa2d7 ata: ahci: mvebu: override ahci_stop_engine for mvebu AHCI (fate#326470).
- commit 6da1815
* Thu Nov 22 2018 tbogendoerfer@suse.de
- bpf: remove tracepoints from bpf core (bsc#1109837).
- Refresh
  patches.fixes/bpf-wait-for-running-BPF-programs-when-updating-map-.patch.
- commit eab53b8
* Thu Nov 22 2018 tbogendoerfer@suse.de
- tools/bpf: add a selftest for bpf_get_current_cgroup_id()
  helper (bsc#1109837).
- commit 9c393eb
* Thu Nov 22 2018 tbogendoerfer@suse.de
- tools/bpf: sync uapi bpf.h for bpf_get_current_cgroup_id()
  helper (bsc#1109837).
- commit 1401b86
* Thu Nov 22 2018 tbogendoerfer@suse.de
- bpf: implement bpf_get_current_cgroup_id() helper (bsc#1109837).
- commit 7fa79e9
* Thu Nov 22 2018 lduncan@suse.com
- scsi: cxgb4i: add DCB support for iSCSI connections
  (bsc#1104278).
- scsi: libiscsi: fix possible NULL pointer dereference in case
  of TMF (bsc#1104278).
- scsi: cxgbi: Convert timers to use timer_setup() (bsc#1104278).
- commit 4a25792
* Wed Nov 21 2018 lduncan@suse.com
- scsi: target: iscsi: cxgbit: fix csk leak (bsc#1104275).
- target: Suppress gcc 7 fallthrough warnings (bsc#1104275).
- commit eadedc4
* Wed Nov 21 2018 msuchanek@suse.de
- powerpc/pseries/mobility: Extend start/stop topology update scope
  (bsc#1116950, bsc#1115709).
- Refresh patches.arch/hotplug-cpu-Add-operation-queuing-function.patch.
- Refresh patches.arch/powerpc-rtas-Fix-a-potential-race-between-CPU-Offlin.patch.
- commit 4350dc0
* Wed Nov 21 2018 tbogendoerfer@suse.de
- bpf: selftest additions for SOCKHASH (bsc#1109837).
- commit 7342497
* Wed Nov 21 2018 tbogendoerfer@suse.de
- bpf: sockmap, add hash map support (bsc#1109837).
- commit 055c26a
* Wed Nov 21 2018 tbogendoerfer@suse.de
- bpf: add selftest for stackmap with build_id in NMI context
  (bsc#1109837).
- commit 98426e8
* Wed Nov 21 2018 tbogendoerfer@suse.de
- bpf: sync tools bpf.h uapi header (bsc#1109837).
- commit 5c09724
* Wed Nov 21 2018 tbogendoerfer@suse.de
- bpf: add skb_load_bytes_relative helper (bsc#1109837).
- commit 28cb09a
* Wed Nov 21 2018 tbogendoerfer@suse.de
- bpf: migrate ebpf ld_abs/ld_ind tests to test_verifier
  (bsc#1109837).
- commit 11e8d8c
* Wed Nov 21 2018 tbogendoerfer@suse.de
- net: Add Software fallback infrastructure for socket dependent
  offloads (bsc#1109837).
- Refresh
  patches.suse/0003-kabi-Add-placeholders-to-a-couple-of-important-struc.patch.
- commit 5c1a6d4
* Wed Nov 21 2018 jslaby@suse.cz
- openvswitch: Fix push/pop ethernet validation
  (networking-stable-18_11_02).
- net: stmmac: Fix stmmac_mdio_reset() when building stmmac as
  modules (networking-stable-18_11_02).
- rtnetlink: Disallow FDB configuration for non-Ethernet device
  (networking-stable-18_11_02).
- bonding: fix length of actor system
  (networking-stable-18_11_02).
- net: sched: gred: pass the right attribute to
  gred_change_table_def() (networking-stable-18_11_02).
- bridge: do not add port to router list when receives query
  with source 0.0.0.0 (networking-stable-18_11_02).
- ipv6/ndisc: Preserve IPv6 control buffer if protocol error
  handlers are called (networking-stable-18_11_02).
- net: udp: fix handling of CHECKSUM_COMPLETE packets
  (networking-stable-18_11_02).
- net/ipv6: Fix index counter for unicast addresses in
  in6_dump_addrs (networking-stable-18_11_02).
- ip6_tunnel: Fix encapsulation layout
  (networking-stable-18_11_02).
- net: socket: fix a missing-check bug
  (networking-stable-18_11_02).
- net: sched: Fix for duplicate class dump
  (networking-stable-18_11_02).
- r8169: fix NAPI handling under high load
  (networking-stable-18_11_02).
- net: ipmr: fix unresolved entry dumps
  (networking-stable-18_11_02).
- virtio_net: avoid using netif_tx_disable() for serializing tx
  routine (networking-stable-18_11_02).
- sctp: fix race on sctp_id2asoc (networking-stable-18_11_02).
- net: fec: don't dump RX FIFO register when not available
  (networking-stable-18_11_02).
- ipv6: mcast: fix a use-after-free in inet6_mc_check
  (networking-stable-18_11_02).
- net: bcmgenet: Poll internal PHY for GENETv5
  (networking-stable-18_11_02).
- llc: set SOCK_RCU_FREE in llc_sap_add_socket()
  (networking-stable-18_11_02).
- net/mlx5: Take only bit 24-26 of wqe.pftype_wq for page fault
  type (networking-stable-18_11_02).
- commit dc4cd19
* Wed Nov 21 2018 tbogendoerfer@suse.de
- xdp: fix bug in devmap teardown code path (bsc#1109837).
- samples/bpf: xdp_redirect_cpu adjustment to reproduce teardown
  race easier (bsc#1109837).
- xdp: fix bug in cpumap teardown code path (bsc#1109837).
- bpf, sockmap: fix cork timeout for select due to epipe
  (bsc#1109837).
- bpf, sockmap: fix leak in bpf_tcp_sendmsg wait for mem path
  (bsc#1109837).
- bpf, sockmap: fix bpf_tcp_sendmsg sock error handling
  (bsc#1109837).
- bpf: btf: Change tools/lib/bpf/btf to LGPL (bsc#1109837).
- tools/bpftool: fix a percpu_array map dump problem
  (bsc#1109837).
- mlxsw: core_acl_flex_actions: Remove redundant mirror resource
  destruction (bsc#1112374).
- mlxsw: core_acl_flex_actions: Remove redundant counter
  destruction (bsc#1112374).
- mlxsw: core_acl_flex_actions: Remove redundant resource
  destruction (bsc#1112374).
- mlxsw: core_acl_flex_actions: Return error for conflicting
  actions (bsc#1112374).
- bpf: fix bpf_skb_load_bytes_relative pkt length check
  (bsc#1109837).
- perf build: Build error in libbpf missing initialization
  (bsc#1109837).
- bpf: btf: Use exact btf value_size match in map_check_btf()
  (bsc#1109837).
- xdp: add NULL pointer check in __xdp_return() (bsc#1109837).
- bpf: Introduce BPF_ANNOTATE_KV_PAIR (bsc#1109837).
- bpf: Replaceint32_t and [u]int64_t in libbpf (bsc#1109837).
- bpf: btf: Ensure the member->offset is in the right order
  (bsc#1109837).
- nfp: flower: fix port metadata conversion bug (bsc#1109837).
- net: rollback orig value on failure of
  dev_qdisc_change_tx_queue_len (bsc#1109837).
- netdevsim: don't leak devlink resources (bsc#1109837).
- virtio_net: Fix incosistent received bytes counter
  (bsc#1109837).
- nfp: flower: ensure dead neighbour entries are not offloaded
  (bsc#1109837).
- bpf: Use option "help" in the llvm-objcopy test (bsc#1109837).
- bpf: btf: Clean up BTF_INT_BITS() in uapi btf.h (bsc#1109837).
- tools/bpftool: Fix segfault case regarding 'pin' arguments
  (bsc#1109837).
- bpf: test case to check whether src/dst regs got mangled by xadd
  (bsc#1109837).
- tls: check RCV_SHUTDOWN in tls_wait_data (bsc#1109837).
- net/page_pool: Fix inconsistent lock state warning
  (bsc#1109837).
- net: sched: Using NULL instead of plain integer (bsc#1109837).
- tun: Fix use-after-free on XDP_TX (bsc#1109837).
- tls: Stricter error checking in zerocopy sendmsg path
  (bsc#1109837).
- bpf: don't leave partial mangled prog in jit_subprogs error path
  (bsc#1109837).
- bpf: fix panic due to oob in bpf_prog_test_run_skb
  (bsc#1109837).
- bpf: btf: Fix bitfield extraction for big endian (bsc#1109837).
- bpf: fix ldx in ld_abs rewrite for large offsets (bsc#1109837).
- samples/bpf: Fix tc and ip paths in xdp2skb_meta.sh
  (bsc#1109837).
- sch_fq_codel: zero q->flows_cnt when fq_codel_init fails
  (bsc#1109837).
- ixgbe: Off by one in ixgbe_ipsec_tx() (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbe: Be more careful when modifying MAC filters (bsc#1113994
  FATE#326315 FATE#326317).
- xdp: XDP_REDIRECT should check IFF_UP and MTU (bsc#1109837).
- bpf: sockmap, convert bpf_compute_data_pointers to bpf_*_sk_skb
  (bsc#1109837).
- bpf: sockmap, consume_skb in close path (bsc#1109837).
- bpf: sockhash, disallow bpf_tcp_close and update in parallel
  (bsc#1109837).
- bpf: fix sk_skb programs without skb->dev assigned
  (bsc#1109837).
- bpf: sockmap, hash table is RCU so readers do not need locks
  (bsc#1109837).
- bpf: sockmap, error path can not release psock in multi-map case
  (bsc#1109837).
- samples/bpf: add .gitignore file (bsc#1109837).
- samples/bpf: Check the error of write() and read()
  (bsc#1109837).
- samples/bpf: Check the result of system() (bsc#1109837).
- samples/bpf: add missing <linux/if_vlan.h> (bsc#1109837).
- samples/bpf: deal with EBUSY return code from sendmsg in
  xdpsock sample (bsc#1109837).
- net/sched: act_csum: fix NULL dereference when 'goto chain'
  is used (bsc#1109837).
- tls: fix skb_to_sgvec returning unhandled error (bsc#1109837).
- nfp: stop limiting VFs to 0 (bsc#1109837).
- bpf: sockhash, add release routine (bsc#1109837).
- bpf: sockhash fix omitted bucket lock in sock_close
  (bsc#1109837).
- bpf: sockmap, fix smap_list_map_remove when psock is in many
  maps (bsc#1109837).
- bpf: sockmap, fix crash when ipv6 sock is added (bsc#1109837).
- bpf: undo prog rejection on read-only lock failure
  (bsc#1109837).
- test_bpf: flag tests that cannot be jited on s390 (bsc#1109837).
- selftests: bpf: add missing NET_SCHED to config (bsc#1109837).
- nfp: bpf: don't stop offload if replace failed (bsc#1109837).
- tools/bpf: fix test_sockmap failure (bsc#1109837).
- selftests: bpf: notification about privilege required to run
  test_kmod.sh testing script (bsc#1109837).
- tools: bpftool: remember to close the libbpf object after prog
  load (bsc#1109837).
- tools: bpftool: remove duplicated error message on prog load
  (bsc#1109837).
- virtio_net: split XDP_TX kick and XDP_REDIRECT map flushing
  (bsc#1109837).
- i40e: split XDP_TX tail and XDP_REDIRECT map flushing
  (bsc#1111981 FATE#326312 FATE#326313).
- ixgbe: split XDP_TX tail and XDP_REDIRECT map flushing
  (bsc#1113994 FATE#326315 FATE#326317).
- nfp: cast sizeof() to int when comparing with error code
  (bsc#1109837).
- nfp: reject binding to shared blocks (bsc#1109837).
- nfp: flower: fix mpls ether type detection (bsc#1109837).
- net_sched: remove a bogus warning in hfsc (bsc#1109837).
- cls_flower: fix use after free in flower S/W path (bsc#1109837).
- bpf: enforce correct alignment for instructions (bsc#1109837).
- net/sched: act_ife: preserve the action control in case of error
  (bsc#1109837).
- net/sched: act_ife: fix recursive lock and idr leak
  (bsc#1109837).
- bpf, xdp, i40e: fix i40e_build_skb skb reserve and truesize
  (bsc#1111981 FATE#326312 FATE#326313).
- bluetooth: hci_nokia: Don't include linux/unaligned/le_struct.h
  directly (bsc#1109837).
- xdp: Fix handling of devmap in generic XDP (bsc#1109837).
- bpf: reject any prog that failed read-only lock (bsc#1109837).
- bpf: fix panic in prog load calls cleanup (bsc#1109837).
- bpf, selftests: delete xfrm tunnel when test exits
  (bsc#1109837).
- bpf, selftest: check tunnel type more accurately (bsc#1109837).
- selftests/bpf: test offloads even with BPF programs present
  (bsc#1109837).
- tools: bpftool: improve accuracy of load time (bsc#1109837).
- selftests: bpf: config: add config fragments (bsc#1109837).
- tls: fix waitall behavior in tls_sw_recvmsg (bsc#1109837).
- tls: fix use-after-free in tls_push_record (bsc#1109837).
- mlxsw: spectrum_switchdev: Fix port_vlan refcounting
  (bsc#1112374).
- nfp: flower: free dst_entry in route table (bsc#1109837).
- nfp: remove phys_port_name on flower's vNIC (bsc#1109837).
- nfp: include all ring counters in interface stats (bsc#1109837).
- nfp: don't pad strings in nfp_cpp_resource_find() to avoid
  gcc 8 warning (bsc#1109837).
- selftests: bpf: fix urandom_read build issue (bsc#1109837).
- bpf: implement dummy fops for bpf objects (bsc#1109837).
- ixgbe: Fix bit definitions and add support for testing for
  ipsec support (bsc#1113994 FATE#326315 FATE#326317).
- ixgbe: Avoid loopback and fix boolean logic in ipsec_stop_data
  (bsc#1113994 FATE#326315 FATE#326317).
- ixgbe: Move ipsec init function to before reset call
  (bsc#1113994 FATE#326315 FATE#326317).
- ixgbe: Use CONFIG_XFRM_OFFLOAD instead of CONFIG_XFRM
  (bsc#1113994 FATE#326315 FATE#326317).
- platform/mellanox: mlxreg-hotplug: add extra cycle for hotplug
  work queue (bsc#1112374).
- platform/mellanox: mlxreg-hotplug: Document fixes for hotplug
  private data (bsc#1112374).
- platform_data/mlxreg: Document fixes for hotplug device
  (bsc#1112374).
- tools/bpf: fix selftest get_cgroup_id_user (bsc#1109837).
- bpf: reject passing modified ctx to helper functions
  (bsc#1109837).
- ixgbe: Report PCIe link properties with pcie_print_link_status()
  (bsc#1113994 FATE#326315 FATE#326317).
- strparser: Add __strp_unpause and use it in ktls (bsc#1109837).
- samples/bpf: xdpsock: use skb Tx path for XDP_SKB (bsc#1109837).
- xdp: add MEM_TYPE_ZERO_COPY (bsc#1109837).
- tun: remove ndo_xdp_flush call tun_xdp_flush (bsc#1109837).
- virtio_net: remove ndo_xdp_flush call virtnet_xdp_flush
  (bsc#1109837).
- ixgbe: remove ndo_xdp_flush call ixgbe_xdp_flush (bsc#1113994
  FATE#326315 FATE#326317).
- i40e: remove ndo_xdp_flush call i40e_xdp_flush (bsc#1111981
  FATE#326312 FATE#326313).
- samples/bpf: minor *_nb_free performance fix (bsc#1109837).
- samples/bpf: adapted to new uapi (bsc#1109837).
- bpf/xdp: devmap can avoid calling ndo_xdp_flush (bsc#1109837).
- bpf/xdp: non-map redirect can avoid calling ndo_xdp_flush
  (bsc#1109837).
- xdp: done implementing ndo_xdp_xmit flush flag for all drivers
  (bsc#1109837).
- virtio_net: implement flush flag for ndo_xdp_xmit (bsc#1109837).
- tun: implement flush flag for ndo_xdp_xmit (bsc#1109837).
- ixgbe: implement flush flag for ndo_xdp_xmit (bsc#1113994
  FATE#326315 FATE#326317).
- i40e: implement flush flag for ndo_xdp_xmit (bsc#1111981
  FATE#326312 FATE#326313).
- xdp: add flags argument to ndo_xdp_xmit API (bsc#1109837).
- bpf: sync bpf uapi header with tools (bsc#1109837).
- bpf: fix context access in tracing progs on 32 bit archs
  (bsc#1109837).
- bpf: fix cbpf parser bug for octal numbers (bsc#1109837).
- bpf: make sure to clear unused fields in tunnel/xfrm state fetch
  (bsc#1109837).
- bpf: add bpf_skb_cgroup_id helper (bsc#1109837).
- bpf: avoid retpoline for lookup/update/delete calls on maps
  (bsc#1109837).
- bpf: show prog and map id in fdinfo (bsc#1109837).
- bpf: fixup error message from gpl helpers on license mismatch
  (bsc#1109837).
- bpf: add also cbpf long jump test cases with heavy expansion
  (bsc#1109837).
- bpf: test case for map pointer poison with calls/branches
  (bsc#1109837).
- bpf: btf: Ensure t->type == 0 for BTF_KIND_FWD (bsc#1109837).
- bpf: btf: Check array t->size (bsc#1109837).
- selftests/bpf: test_sockmap, print additional test options
  (bsc#1109837).
- selftests/bpf: test_sockmap, fix data verification
  (bsc#1109837).
- selftests/bpf: test_sockmap, timing improvements (bsc#1109837).
- selftests/bpf: test_sockmap, join cgroup in selftest mode
  (bsc#1109837).
- selftests/bpf: test_sockmap, check test failure (bsc#1109837).
- bpf: devmap: remove redundant assignment of dev = dev
  (bsc#1109837).
- bpftool: Support sendmsg{4,6} attach types (bsc#1109837).
- bpf: hide the unused 'off' variable (bsc#1109837).
- selftests/bpf: Selftest for sys_sendmsg hooks (bsc#1109837).
- selftests/bpf: Prepare test_sock_addr for extension
  (bsc#1109837).
- libbpf: Support guessing sendmsg{4,6} progs (bsc#1109837).
- bpf: Sync bpf.h to tools/ (bsc#1109837).
- bpf: avoid -Wmaybe-uninitialized warning (bsc#1109837).
- bpf: btf: avoid -Wreturn-type warning (bsc#1109837).
- libbpf: Install btf.h with libbpf (bsc#1109837).
- mlxsw: Add extack messages for port_{un, }split failures
  (bsc#1112374).
- netdevsim: Add extack error message for devlink reload
  (bsc#1109837).
- devlink: Add extack to reload and port_{un, }split operations
  (bsc#1112374).
- ixgbe: fix broken ipsec Rx with proper cast on spi (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: check ipsec ip addr against mgmt filters (bsc#1113994
  FATE#326315 FATE#326317).
- bpf, i40e: add meta data support (bsc#1111981 FATE#326312
  FATE#326313).
- ixgbevf: Fix coexistence of malicious driver detection with XDP
  (bsc#1113994 FATE#326315 FATE#326317).
- net: sched: return error code when tcf proto is not found
  (bsc#1109837).
- cls_flower: Fix comparing of old filter mask with new filter
  (bsc#1109837).
- cls_flower: Fix missing free of rhashtable (bsc#1109837).
- Allow ethtool to change tun link settings (bsc#1109837).
- mlxsw: spectrum_span: Suppress VLAN on BRIDGE_VLAN_INFO_UNTAGGED
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Postpone respin on object deletion
  (bsc#1112374).
- net: virtio: simplify the virtnet_find_vqs (bsc#1109837).
- net: sched: split tc_ctl_tfilter into three handlers
  (bsc#1109837).
- virtio_net: fix error return code in virtnet_probe()
  (bsc#1109837).
- mlxsw: spectrum_switchdev: Schedule respin during trans prepare
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Ignore bridge VLAN events
  (bsc#1112374).
- net: remove bypassed check in sch_direct_xmit() (bsc#1109837).
- mlxsw: pci: Utilize MRSR register to perform FW reset
  (bsc#1112374).
- mlxsw: cmd: Handle error after reset gracefully (bsc#1112374).
- mlxsw: reg: Add Management Reset and Shutdown Register
  (bsc#1112374).
- nfp: abm: report correct MQ stats (bsc#1109837).
- net: sched: mq: request stats from offloads (bsc#1109837).
- nfp: abm: multi-queue RED offload (bsc#1109837).
- net: sched: mq: add simple offload notification (bsc#1109837).
- nfp: abm: expose all PF queues (bsc#1109837).
- nfp: abm: expose the internal stats in ethtool (bsc#1109837).
- nfp: allow apps to add extra stats to ports (bsc#1109837).
- nfp: abm: report statistics from RED offload (bsc#1109837).
- nfp: abm: add simple RED offload (bsc#1109837).
- nfp: abm: add helpers for configuring queue marking levels
  (bsc#1109837).
- nfp: abm: enable advanced queuing on demand (bsc#1109837).
- nfp: prefix vNIC phys_port_name with 'n' (bsc#1109837).
- nfp: return -EOPNOTSUPP from .ndo_get_phys_port_name for VFs
  (bsc#1109837).
- virtio_net: Extend virtio to use VF datapath when available
  (bsc#1109837).
- virtio_net: Introduce VIRTIO_NET_F_STANDBY feature bit
  (bsc#1109837).
- net: Introduce net_failover driver (bsc#1109837).
- net: Introduce generic failover module (bsc#1109837).
- nfp: flower: compute link aggregation action (bsc#1109837).
- nfp: flower: implement host cmsg handler for LAG (bsc#1109837).
- nfp: flower: monitor and offload LAG groups (bsc#1109837).
- net: include hash policy in LAG changeupper info (bsc#1109837).
- nfp: flower: add per repr private data for LAG offload
  (bsc#1109837).
- nfp: flower: check for/turn on LAG support in firmware
  (bsc#1109837).
- nfp: nfpcore: add rtsym writing function (bsc#1109837).
- nfp: add ndo_set_mac_address for representors (bsc#1109837).
- net_sched: switch to rcu_work (bsc#1109837).
- samples/bpf: xdp_monitor use err code from tracepoint
  xdp:xdp_devmap_xmit (bsc#1109837).
- xdp/trace: extend tracepoint in devmap with an err
  (bsc#1109837).
- xdp: change ndo_xdp_xmit API to support bulking (bsc#1109837).
- xdp: introduce xdp_return_frame_rx_napi (bsc#1109837).
- samples/bpf: xdp_monitor use tracepoint xdp:xdp_devmap_xmit
  (bsc#1109837).
- xdp: add tracepoint for devmap like cpumap have (bsc#1109837).
- bpf: devmap prepare xdp frames for bulking (bsc#1109837).
- bpf: devmap introduce dev_map_enqueue (bsc#1109837).
- tools/bpf: add ksym_get_addr() in trace_helpers (bsc#1109837).
- tools: bpftool: add delimiters to multi-function JITed dumps
  (bsc#1109837).
- tools: bpf: sync bpf uapi header (bsc#1109837).
- bpf: get JITed image lengths of functions via syscall
  (bsc#1109837).
- bpf: fix multi-function JITed dump obtained via syscall
  (bsc#1109837).
- tools: bpftool: resolve calls without using imm field
  (bsc#1109837).
- tools: bpf: sync bpf uapi header (bsc#1109837).
- bpf: get kernel symbol addresses via syscall (bsc#1109837).
- bpf: support 64-bit offsets for bpf function calls
  (bsc#1109837).
- bpf: btf: Avoid variable length array (bsc#1109837).
- tools/lib/libbpf.c: fix string format to allow build on arm32
  (bsc#1109837).
- selftests/bpf: Makefile fix "missing" headers on build with
  - idirafter (bsc#1109837).
- bpf: btf: Add tests for the btf uapi changes (bsc#1109837).
- bpf: btf: Sync bpf.h and btf.h to tools (bsc#1109837).
- bpf: btf: Remove unused bits from uapi/linux/btf.h
  (bsc#1109837).
- bpf: btf: Check array->index_type (bsc#1109837).
- bpf: btf: Change how section is supported in btf_header
  (bsc#1109837).
- bpf: Expose check_uarg_tail_zero() (bsc#1109837).
- samples/bpf: adapt xdpsock to the new uapi (bsc#1109837).
- bpf: add sk_msg prog sk access tests to test_verifier
  (bsc#1109837).
- bpf: allow sk_msg programs to read sock fields (bsc#1109837).
- nfp: bpf: support arithmetic indirect right shift (BPF_ARSH |
  BPF_X) (bsc#1109837).
- nfp: bpf: support arithmetic right shift by constant (BPF_ARSH |
  BPF_K) (bsc#1109837).
- nfp: bpf: support logic indirect shifts (BPF_[L|R]SH | BPF_X)
  (bsc#1109837).
- xsk: clean up SPDX headers (bsc#1109837).
- bpf: sockmap, fix double-free (bsc#1109837).
- bpf: sockmap, fix uninitialized variable (bsc#1109837).
- nfp: assign vNIC id as phys_port_name of vNICs which are not
  ports (bsc#1109837).
- nfp: use split in naming of PCIe PF ports (bsc#1109837).
- nfp: abm: force Ethternet port up (bsc#1109837).
- nfp: abm: spawn port netdevs (bsc#1109837).
- nfp: add devlink_eswitch_mode_set callback (bsc#1109837).
- devlink: don't take instance lock around eswitch mode set
  (bsc#1109837).
- nfp: add app pointer to port representors (bsc#1109837).
- nfp: abm: create project-specific vNIC structure (bsc#1109837).
- nfp: abm: add initial active buffer management NIC skeleton
  (bsc#1109837).
- nfp: core: allow 4-byte aligned accesses to Memory Units
  (bsc#1109837).
- nfp: add shared buffer configuration (bsc#1109837).
- nfp: add support for per-PCI PF mailbox (bsc#1109837).
- nfp: move rtsym helpers to pf code (bsc#1109837).
- net: sched: don't disable bh when accessing action idr
  (bsc#1109837).
- mlxsw: spectrum_router: Add support for route append
  (bsc#1112374).
- mlxsw: use devlink helper to generate physical port name
  (bsc#1112374).
- devlink: introduce a helper to generate physical port names
  (bsc#1112374).
- devlink: extend attrs_set for setting port flavours
  (bsc#1112374).
- devlink: introduce devlink_port_attrs_set (bsc#1112374).
- ixgbe: cleanup sparse warnings (bsc#1113994 FATE#326315
  FATE#326317).
- nfp: flower: fix error path during representor creation
  (bsc#1109837).
- pfifo_fast: drop unneeded additional lock on dequeue
  (bsc#1109837).
- sched: replace __QDISC_STATE_RUNNING bit with a spin lock
  (bsc#1109837).
- bpf: sockmap, on update propagate errors back to userspace
  (bsc#1109837).
- bpf: fix sock hashmap kmalloc warning (bsc#1109837).
- libbpf: add ifindex to enable offload support (bsc#1109837).
- bpf: bpftool, support for sockhash (bsc#1109837).
- bpf: sockmap, refactor sockmap routines to work with hashmap
  (bsc#1109837).
- selftests/bpf: make sure build-id is on (bsc#1109837).
- samples: bpf: make the build less noisy (bsc#1109837).
- samples: bpf: move libbpf from object dependencies to libs
  (bsc#1109837).
- samples: bpf: fix build after move to compiling full libbpf.a
  (bsc#1109837).
- samples: bpf: rename libbpf.h to bpf_insn.h (bsc#1109837).
- samples: bpf: include bpf/bpf.h instead of local libbpf.h
  (bsc#1109837).
- bpf: add ld64 imm test cases (bsc#1109837).
- samples/bpf: xdp_monitor, accept short options (bsc#1109837).
- bpf: enable stackmap with build_id in nmi context (bsc#1109837).
- samples: bpf: convert some XDP samples from bpf_load to libbpf
  (bsc#1109837).
- tools: bpf: don't complain about no kernel version for
  networking code (bsc#1109837).
- tools: bpf: improve comments in libbpf.h (bsc#1109837).
- tools: bpf: move the event reading loop to libbpf (bsc#1109837).
- samples: bpf: compile and link against full libbpf
  (bsc#1109837).
- samples: bpf: rename struct bpf_map_def to avoid conflict with
  libbpf (bsc#1109837).
- tools: bpftool: use PERF_SAMPLE_TIME instead of reading the
  clock (bsc#1109837).
- selftests/bpf: Fix bash reference in Makefile (bsc#1109837).
- nfp: bpf: support setting the RX queue index (bsc#1109837).
- bpf: xdp: allow offloads to store into rx_queue_index
  (bsc#1109837).
- bpf: btf: Tests for BPF_OBJ_GET_INFO_BY_FD and
  BPF_BTF_GET_FD_BY_ID (bsc#1109837).
- bpf: btf: Update tools/include/uapi/linux/btf.h with BTF ID
  (bsc#1109837).
- bpf: btf: Some test_btf clean up (bsc#1109837).
- bpf: btf: Introduce BTF ID (bsc#1109837).
- bpf: btf: Avoid WARN_ON when CONFIG_REFCOUNT_FULL=y
  (bsc#1109837).
- sched: manipulate __QDISC_STATE_RUNNING in qdisc_run_* helpers
  (bsc#1109837).
- mlxsw: spectrum_span: Support LAG under mirror-to-gretap
  (bsc#1112374).
- sched: cls: enable verbose logging (bsc#1109837).
- i40evf: remove MAX_QUEUES and just use I40EVF_MAX_REQ_QUEUES
  (bsc#1111981 FATE#326312 FATE#326313).
- i40evf: Fix client header define (bsc#1111981 FATE#326312
  FATE#326313).
- virtchnl: Whitespace and parenthesis cleanup (bsc#1111981
  FATE#326312 FATE#326313).
- mlxsw: spectrum_span: Use a more fitting error code
  (bsc#1112374).
- mlxsw: spectrum_span: Rename misnamed variable l3edev
  (bsc#1112374).
- tls: Fix tls_device initialization (bsc#1109837).
- mlxsw: spectrum_span: Support VLAN under mirror-to-gretap
  (bsc#1112374).
- mlxsw: spectrum_span: Support mirror-to-VLAN (bsc#1112374).
- mlxsw: reg: Add MLXSW_REG_MPAT_SPAN_TYPE_REMOTE_ETH
  (bsc#1112374).
- net: Update generic_xdp_needed static key to modern api
  (bsc#1109837).
- net: Update netstamp_needed static key to modern api
  (bsc#1109837).
- net: Updategress_needed static key to modern api (bsc#1109837).
- net/sock: Update memalloc_socks static key to modern api
  (bsc#1109837).
- flow_dissector: do not rely on implicit casts (bsc#1109837).
- net: core: rework basic flow dissection helper (bsc#1109837).
- bpf, xskmap: fix crash in xsk_map_alloc error path handling
  (bsc#1109837).
- tools: bpftool: add simple perf event output reader
  (bsc#1109837).
- tools: bpftool: move get_possible_cpus() to common code
  (bsc#1109837).
- tools: bpftool: fold hex keyword in command help (bsc#1109837).
- nfp: bpf: rewrite map pointers with NFP TIDs (bsc#1109837).
- nfp: bpf: perf event output helpers support (bsc#1109837).
- bpf: replace map pointer loads before calling into offloads
  (bsc#1109837).
- bpf: export bpf_event_output() (bsc#1109837).
- nfp: bpf: record offload neutral maps in the driver
  (bsc#1109837).
- bpf: offload: allow offloaded programs to use perf event arrays
  (bsc#1109837).
- bpf: add faked "ending" subprog (bsc#1109837).
- bpf: centre subprog information fields (bsc#1109837).
- bpf: unify main prog and subprog (bsc#1109837).
- bpf: implement ld_abs/ld_ind in native bpf (bsc#1109837).
- bpf: prefix cbpf internal helpers with bpf_ (bsc#1109837).
- samples/bpf: sample application and documentation for AF_XDP
  sockets (bsc#1109837).
- dev: packet: make packet_direct_xmit a common function
  (bsc#1109837).
- xsk: wire up XDP_SKB side of AF_XDP (bsc#1109837).
- xsk: wire up XDP_DRV side of AF_XDP (bsc#1109837).
- bpf: introduce new bpf AF_XDP map type BPF_MAP_TYPE_XSKMAP
  (bsc#1109837).
- xsk: add Rx receive functions and poll support (bsc#1109837).
- xsk: add support for bind for Rx (bsc#1109837).
- xsk: add Rx queue setup and mmap support (bsc#1109837).
- xsk: add umem fill queue support and mmap (bsc#1109837).
- xsk: add user memory registration support sockopt (bsc#1109837).
- net: initial AF_XDP skeleton (bsc#1109837).
- tools: bpftool: change time format for program 'loaded at:'
  information (bsc#1109837).
- bpf: update bpf.h uapi header for tools (bsc#1109837).
- bpf: fix formatting for bpf_get_stack() helper doc
  (bsc#1109837).
- bpf: fix formatting for bpf_perf_event_read() helper doc
  (bsc#1109837).
- bpf: Allow bpf_current_task_under_cgroup in interrupt
  (bsc#1109837).
- bpf: Sync bpf.h to tools/ (bsc#1109837).
- bpf: Fix helpers ctx struct types in uapi doc (bsc#1109837).
- tools/bpf: add a test for bpf_get_stack with tracepoint prog
  (bsc#1109837).
- tools/bpf: add a test for bpf_get_stack with raw tracepoint prog
  (bsc#1109837).
- tools/bpf: add a verifier test case for bpf_get_stack helper
  and ARSH (bsc#1109837).
- samples/bpf: move common-purpose trace functions to selftests
  (bsc#1109837).
- tools/bpf: add bpf_get_stack helper to tools headers
  (bsc#1109837).
- bpf/verifier: improve register value range tracking with ARSH
  (bsc#1109837).
- bpf: remove never-hit branches in verifier
  adjust_scalar_min_max_vals (bsc#1109837).
- bpf/verifier: refine retval R0 state for bpf_get_stack helper
  (bsc#1109837).
- bpf: add bpf_get_stack helper (bsc#1109837).
- bpf: change prototype for stack_map_get_build_id_offset
  (bsc#1109837).
- mlxsw: pci: Check number of CQEs for CQE version 2
  (bsc#1112374).
- mlxsw: pci: Allow to use CQEs of version 1 and version 2
  (bsc#1112374).
- mlxsw: pci: Introduce helpers to work with multiple CQE versions
  (bsc#1112374).
- mlxsw: resources: Add CQE versions resources (bsc#1112374).
- net sched: Implemented get_fill_size routine for act_csum
  (bsc#1109837).
- mlxsw: spectrum_router: Return an error for routes added after
  abort (bsc#1112374).
- mlxsw: spectrum_router: Return an error for non-default FIB
  rules (bsc#1112374).
- cls_flower: Support multiple masks per priority (bsc#1109837).
- net/tls: Add generic NIC offload infrastructure (bsc#1109837).
- net/tls: Split conf to rx + tx (bsc#1109837).
- net: Add TLS TX offload features (bsc#1109837).
- net: Add TLS offload netdev ops (bsc#1109837).
- net: Rename and export copy_skb_header (bsc#1109837).
- tcp: Add clean acked data hook (bsc#1109837).
- i40e: use %%pI4b instead of byte swapping before dev_err
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e/i40evf: take into account queue map from vf when handling
  queues (bsc#1111981 FATE#326312 FATE#326313).
- mlxsw: spectrum_span: Allow bridge for gretap mirror
  (bsc#1112374).
- mlxsw: Respin SPAN on switchdev events (bsc#1112374).
- mlxsw: spectrum: Register SPAN before switchdev (bsc#1112374).
- mlxsw: spectrum_switchdev: Publish two functions (bsc#1112374).
- mlxsw: spectrum: Extract mlxsw_sp_stp_spms_state()
  (bsc#1112374).
- net: bridge: Publish bridge accessor functions (bsc#1112374).
- udp: remove stray export symbol (bsc#1109837).
- samples, bpf: remove redundant ret assignment in
  bpf_load_program() (bsc#1109837).
- bpf: update bpf.h uapi header for tools (bsc#1109837).
- bpf: add documentation for eBPF helpers (65-66) (bsc#1109837).
- bpf: add documentation for eBPF helpers (58-64) (bsc#1109837).
- bpf: add documentation for eBPF helpers (51-57) (bsc#1109837).
- bpf: add documentation for eBPF helpers (42-50) (bsc#1109837).
- bpf: add documentation for eBPF helpers (33-41) (bsc#1109837).
- bpf: add documentation for eBPF helpers (23-32) (bsc#1109837).
- bpf: add documentation for eBPF helpers (12-22) (bsc#1109837).
- bpf: add documentation for eBPF helpers (01-11) (bsc#1109837).
- bpf: add script and prepare bpf.h for new helpers documentation
  (bsc#1109837).
- tools include compiler-gcc: Add __pure attribute helper
  (bsc#1109837).
- ipvlan: properly annotate rx_handler access (bsc#1109837).
- commit b900221
* Wed Nov 21 2018 jthumshirn@suse.de
- libnvdimm, region: Fail badblocks listing for inactive regions
  (bsc#1116899).
- commit d115f51
* Wed Nov 21 2018 jthumshirn@suse.de
- acpi, nfit: Fix ARS overflow continuation (bsc#1116895).
- commit 33ca1e5
* Wed Nov 21 2018 jthumshirn@suse.de
- libnvdimm: Hold reference on parent while scheduling async init
  (bsc#1116891).
- commit 92606a2
* Wed Nov 21 2018 nsaenzjulienne@suse.de
- gpio: raspberrypi-ext: fix firmware dependency (bsc#1116751).
- commit 7e7200b
* Wed Nov 21 2018 tbogendoerfer@suse.de
- treewide: remove large struct-pass-by-value from tracepoint
  arguments (bsc#1109837).
- commit a789149
* Wed Nov 21 2018 fdmanana@suse.com
- Btrfs: fix data corruption due to cloning of eof block
  (bsc#1116878).
- commit 49524d4
* Wed Nov 21 2018 fdmanana@suse.com
- Btrfs: fix infinite loop on inode eviction after deduplication
  of eof block (bsc#1116877).
- commit a415fec
* Wed Nov 21 2018 fdmanana@suse.com
- Btrfs: fix deadlock on tree root leaf when finding free extent
  (bsc#1116876).
- commit ad8024d
* Wed Nov 21 2018 fdmanana@suse.com
- btrfs: protect space cache inode alloc with GFP_NOFS
  (bsc#1116863).
- commit d79ecfd
* Wed Nov 21 2018 fdmanana@suse.com
- Btrfs: fix use-after-free when dumping free space (bsc#1116862).
- commit 31cbb21
* Wed Nov 21 2018 tbogendoerfer@suse.de
- bpf: sockmap, add selftests (bsc#1109837).
- commit 8b8a309
* Wed Nov 21 2018 nsaenzjulienne@suse.de
- soc: bcm2835: sync firmware properties with downstream (bsc#1116751).
  Refresh ARM-bcm2835-Add-GET_THROTTLED-firmware-property.patch
- commit 209da88
* Wed Nov 21 2018 nsaenzjulienne@suse.de
- gpio: raspberrypi-exp: Driver for RPi3 GPIO expander via mailbox service (bsc#1116751).
  Update arm64 default configuration.
  Update supported.conf
- commit d5c9ae3
* Wed Nov 21 2018 jthumshirn@suse.de
- scsi: csiostor: switch to generic DMA API (bsc#1104281,
  FATE#325940).
- scsi: csiostor: Convert timers to use timer_setup()
  (bsc#1104281, FATE#325940).
- commit 45169c0
* Wed Nov 21 2018 lhenriques@suse.com
- ceph: quota: fix null pointer dereference in quota check
  (bsc#1114839).
- commit d046d9a
* Wed Nov 21 2018 fdmanana@suse.com
- Btrfs: fix use-after-free during inode eviction (bsc#1116701).
- commit 86f6de8
* Wed Nov 21 2018 tbogendoerfer@suse.de
- tools/lib/lockdep: Remove private kernel headers (bsc#1109837).
- Refresh
  patches.drivers/radix-tree-test-suite-fix-compilation-issue.patch.
- commit bddba2c
* Wed Nov 21 2018 tbogendoerfer@suse.de
- tools/lib/lockdep: Add dummy current_gfp_context()
  (bsc#1109837).
- tools/include: Add IS_ERR_OR_NULL to err.h (bsc#1109837).
- tools/lib/lockdep: Add empty __is_[module,kernel]_percpu_address
  (bsc#1109837).
- tools/lib/lockdep: Include err.h (bsc#1109837).
- tools/lib/lockdep: Fix compilation for 4.11 (bsc#1109837).
- tools/lib/lockdep: Don't mix fd-based and stream IO
  (bsc#1109837).
- tools/lib/lockdep: Fix 'defined but not used' warning for
  init_utsname() (bsc#1109837).
- tools/lib/lockdep: Fix 'unused value' warnings (bsc#1109837).
- commit f3b27de
* Wed Nov 21 2018 bpoirier@suse.com
- Move more btrfs upstream patches to sorted series section
  Looking at the resulting diff on the expanded tree, the changes are
  whitespace only and they all converge back to the upstream version, where
  applicable.
- commit 0c2905c
* Wed Nov 21 2018 bp@suse.de
- x86/fsgsbase/64: Clean up various details (fate#325585).
- x86/segments: Introduce the 'CPUNODE' naming to better document
  the segment limit CPU/node NR trick (fate#325585).
- x86/vdso: Initialize the CPU/node NR segment descriptor earlier
  (fate#325585).
- x86/vdso: Introduce helper functions for CPU and node number
  (fate#325585).
- x86/segments/64: Rename the GDT PER_CPU entry to CPU_NUMBER
  (fate#325585).
- x86/fsgsbase/64: Factor out FS/GS segment loading from
  __switch_to() (fate#325585).
- x86/fsgsbase/64: Convert the ELF core dump code to the new
  FSGSBASE helpers (fate#325585).
- x86/fsgsbase/64: Make ptrace use the new FS/GS base helpers
  (fate#325585).
- x86/fsgsbase/64: Introduce FS/GS base helper functions
  (fate#325585).
- x86/fsgsbase/64: Fix ptrace() to read the FS/GS base accurately
  (fate#325585).
- commit 3f82d9b
* Tue Nov 20 2018 tbogendoerfer@suse.de
- bpf: introduce BPF_RAW_TRACEPOINT (bsc#1109837).
- Refresh
  patches.drivers/bpf-Check-attach-type-at-prog-load-time.patch.
- commit f6357dc
* Tue Nov 20 2018 tbogendoerfer@suse.de
- bpf: btf: Add BPF_BTF_LOAD command (bsc#1109837).
- commit 7d0179e
* Tue Nov 20 2018 rgoldwyn@suse.com
- apparmor: fix unnecessary creation of net-compat (bsc#1116724).
- commit 85295b9
* Tue Nov 20 2018 yousaf.kaukab@suse.com
- MAINTAINERS: Move mobiveil PCI driver entry where it belongs
  (fate#326572).
- PCI: mobiveil: Add Mobiveil PCIe Host Bridge IP driver DT
  bindings (fate#326572).
- PCI: Disable MSI for Freescale Layerscape PCIe RC mode
  (fate#326536).
- commit f726cc1
* Tue Nov 20 2018 fdmanana@suse.com
- btrfs: move some btrfs upstream patches to sorted series section
  For btrfs we have a lot of patches that are upstream but are in the
  unsorted section of series.conf, for reasons I do not know. This change
  moves some of them.
  Such large amounts of btrfs upstream patches in our unsorted section is
  making the work of backporting upstream fixes harder and harder, for
  example I can't backport at least a handful of upstream fixes that landed
  in 4.20-rcX if I add them to the sorted section. This will only encourage
  people to keep adding backports from upstream to the unsorted section,
  defeating the purpose of having a sorted section.
  Some patches in the unsorted section, mostly related to qgroups, are
  big and fat touching important files like fs/btrfs/inode.c and
  fs/btrfs/extent-tree.c for example, which are updated very frequently
  upstream. I really want to be able to add upstream fixes to the sorted
  section, as not doing it will only make life harder for everyone else
  too.
  Tested with sequence-patch.sh that this new order succeeds.
- commit c45d742
* Tue Nov 20 2018 oneukum@suse.com
- PCI: pciehp: Convert to threaded IRQ (FATE#326303).
- commit bebf9a8
* Tue Nov 20 2018 tbogendoerfer@suse.de
- bpf: btf: Add BTF support to libbpf (bsc#1109837).
- commit f05c146
* Tue Nov 20 2018 oneukum@suse.com
- PCI: Remove unnecessary messages for memory allocation failures
  (FATE#326303).
- commit 419bcbb
* Tue Nov 20 2018 tbogendoerfer@suse.de
- bpf: btf: Sync bpf.h and btf.h to tools/ (bsc#1109837).
- commit f0d4418
* Tue Nov 20 2018 tbogendoerfer@suse.de
- selftests/bpf: Selftest for sys_bind hooks (bsc#1109837).
- commit a1a9cf4
* Tue Nov 20 2018 tbogendoerfer@suse.de
- bpf: Hooks for sys_bind (bsc#1109837).
- Refresh
  patches.drivers/kernel-bpf-syscall-fix-warning-defined-but-not-used.patch.
- commit 04ad525
* Tue Nov 20 2018 fdmanana@suse.com
- Refresh
  patches.fixes/btrfs-fix-error-handling-in-btrfs_dev_replace_start.patch.
- commit 5a5eca3
* Tue Nov 20 2018 tbogendoerfer@suse.de
- bpf: add support to read sample address in bpf program
  (bsc#1109837).
- Refresh
  patches.drivers/bpf-Check-attach-type-at-prog-load-time.patch.
- commit 2e74d17
* Tue Nov 20 2018 fdmanana@suse.com
- Refresh
  patches.suse/btrfs-fix-error-handling-in-free_log_tree.patch.
- commit 7226834
* Tue Nov 20 2018 tbogendoerfer@suse.de
- bpf/tracing: allow user space to query prog array on the same tp
  (bsc#1109837).
- Refresh
  patches.drivers/bpf-fix-bpf_prog_array_copy_to_user-issues.patch.
- commit 349a89e
* Tue Nov 20 2018 tbogendoerfer@suse.de
- bpf: permit multiple bpf attachments for a single perf event
  (bsc#1109837).
- Refresh
  patches.drivers/bpf-disable-and-restore-preemption-in-__BPF_PROG_RUN.patch.
- Refresh
  patches.drivers/bpf-remove-tail_call-and-get_stackid-helper-declarat.patch.
- commit 0e0d7c3
* Tue Nov 20 2018 nborisov@suse.com
- btrfs: Add sysfs support for metadata_uuid feature (fate#325871).
- commit fd6e3d5
* Tue Nov 20 2018 tbogendoerfer@suse.de
- tools/bpf: fix test_sock and test_sock_addr.sh failure
  (bsc#1109837).
- bpf/tracing: fix a deadlock in perf_event_detach_bpf_prog
  (bsc#1109837).
- selftests/bpf: test for bpf_get_stackid() from raw tracepoints
  (bsc#1109837).
- samples/bpf: raw tracepoint test (bsc#1109837).
- libbpf: add bpf_raw_tracepoint_open helper (bsc#1109837).
- macro: introduce COUNT_ARGS() macro (bsc#1109837).
- test_bpf: reduce MAX_TESTRUNS (bsc#1109837).
- bpf: change fake_ip for bpf_trace_printk helper (bsc#1109837).
- bpf/tracing: fix kernel/events/core.c compilation error
  (bsc#1109837).
- bpf: set maximum number of attached progs to 64 for a single
  perf tp (bsc#1109837).
- bpf: change bpf_perf_event_output arg5 type to
  ARG_CONST_SIZE_OR_ZERO (bsc#1109837).
- bpf: change bpf_probe_read_str arg2 type to
  ARG_CONST_SIZE_OR_ZERO (bsc#1109837).
- bpf: avoid rcu_dereference inside bpf_event_mutex lock region
  (bsc#1109837).
- bpf: add a test case to test single tp multiple bpf attachment
  (bsc#1109837).
- bpf: use the same condition in perf event set/free bpf handler
  (bsc#1109837).
- bpf: add support for sys_enter_* and sys_exit_* tracepoints
  (bsc#1109837).
- bpf: extend bpf_trace_printk to support %%i (bsc#1109837).
- commit 7f38c44
* Tue Nov 20 2018 nborisov@suse.com
- btrfs: prefix sysfs attribute struct names (fate#325871).
- commit b3bde38
* Tue Nov 20 2018 fdmanana@suse.com
- Btrfs: fix deadlock when writing out free space caches
  (bsc#1116700).
- commit 28a4ce0
* Tue Nov 20 2018 fdmanana@suse.com
- btrfs: make sure we create all new block groups (bsc#1116699).
- commit 2382de4
* Tue Nov 20 2018 fdmanana@suse.com
- Btrfs: fix null pointer dereference on compressed write path
  error (bsc#1116698).
- commit ef6b1ee
* Tue Nov 20 2018 fdmanana@suse.com
- Btrfs: fix wrong dentries after fsync of file that got its
  parent replaced (bsc#1116693).
- commit d64d2a9
* Tue Nov 20 2018 fdmanana@suse.com
- Btrfs: fix warning when replaying log after fsync of a tmpfile
  (bsc#1116692).
- commit cfb0d6d
* Tue Nov 20 2018 oneukum@suse.com
- PCI: portdrv: Deduplicate PM callback iterator (FATE#326303).
- commit 0cdea77
* Tue Nov 20 2018 mkubecek@suse.cz
- config: refresh vanilla configs
- commit 7654e64
* Tue Nov 20 2018 mkubecek@suse.cz
- config: enable TCP_MD5SIG (fate#325782 bsc#1090162)
- refresh configs
- commit f141f7e
* Tue Nov 20 2018 neilb@suse.com
- MD: fix invalid stored role for a disk - try2 (git-fixes).
- commit 14bab3c
* Tue Nov 20 2018 wqu@suse.com
- Refresh
  patches.fixes/btrfs-check-integrity-Fix-NULL-pointer-dereference-f.patch.
  Fix compile error for CONFIG_BTRFS_FS_CHECK_INTEGRITY=y
- commit c6b30fe
* Mon Nov 19 2018 jroedel@suse.de
- x86/corruption-check: Fix panic in memory_corruption_check()
  when boot option without value is provided (bsc#1110006).
- blacklist.conf: Add 706d51681d63 x86/speculation: Support Enhanced IBRS on future CPUs
- x86, hibernate: Fix nosave_regions setup for hibernation
  (bsc#1110006).
- commit bd7a215
* Mon Nov 19 2018 jroedel@suse.de
- PCI: vmd: White list for fast interrupt handlers (bsc#1109806).
- PCI: vmd: Assign vector zero to all bridges (bsc#1109806).
- commit d845c3b
* Mon Nov 19 2018 jack@suse.cz
- xfs: Properly detect when DAX won't be used on any device
  (bsc#1115976).
  patches.kabi/kabi-fixup-bdev_dax_supported.patch: Refresh
- commit 17d1dc1
* Mon Nov 19 2018 yousaf.kaukab@suse.com
- Delete
  patches.drivers/0204-mtd-m25p80-restore-the-status-of-SPI-flash-when-exit.patch.
  Fix m25p80 driver build issue with defconfig
- commit eb49e16
* Mon Nov 19 2018 oneukum@suse.com
- PCI/portdrv: Add runtime PM hooks for port service drivers
  (FATE#326303).
- commit 8491e67
* Mon Nov 19 2018 lhenriques@suse.com
- rbd: default to single-major device number scheme (FATE#324714).
- Refresh
  patches.drivers/rbd-move-structs-used-by-lio-rbd-to-new-header.patch.
- commit b75d5b0
* Mon Nov 19 2018 jgross@suse.com
- blacklist.conf: added 0ce0bba4e5e0eb: we don't support Xen on ARM
- commit b3ee751
* Mon Nov 19 2018 jgross@suse.com
- xen/pvh: don't try to unplug emulated devices (bnc#1065600).
- commit 6be5c3d
* Mon Nov 19 2018 jgross@suse.com
- xen/balloon: Support xend-based toolstack (bnc#1065600).
- commit e3d50da
* Mon Nov 19 2018 jgross@suse.com
- xen/pvh: increase early stack size (bnc#1065600).
- commit a9a97b2
* Mon Nov 19 2018 jgross@suse.com
- xen: fix xen_qlock_wait() (bnc#1107256).
- xen: make xen_qlock_wait() nestable (bnc#1107256).
- xen: fix race in xen_qlock_wait() (bnc#1107256).
- commit 811202c
* Mon Nov 19 2018 jgross@suse.com
- x86/xen: Fix boot loader version reported for PVH guests
  (bnc#1065600).
- commit f796a50
* Mon Nov 19 2018 jgross@suse.com
- xen-swiotlb: use actually allocated size on check physical
  continuous (bnc#1065600).
- commit 1b90103
* Mon Nov 19 2018 glin@suse.com
- kabi: mask raw in struct bpf_reg_state (bsc#1083647).
- commit a880313
* Mon Nov 19 2018 glin@suse.com
- bpf: fix partial copy of map_ptr when dst is scalar
  (bsc#1083647).
- bpf: wait for running BPF programs when updating map-in-map
  (bsc#1083647).
- commit 52c0e4a
* Sun Nov 18 2018 tonyj@suse.de
- Update blacklist.conf (FATE#326324)
- commit ec1809b
* Sun Nov 18 2018 tonyj@suse.de
- Update references on existing patch (FATE#326324)
- patches.drivers/perf-bpf-Extend-the-perf_event_read_local-interface-.patch
- commit 9cb83dd
* Sun Nov 18 2018 tonyj@suse.de
- perf/x86: Store user space frame-pointer value on a sample
  (FATE#326324).
- perf/core: Store context switch out type in
  PERF_RECORD_SWITCH[_CPU_WIDE] (FATE#326324).
- commit 285dea0
* Sat Nov 17 2018 tonyj@suse.de
- perf: Fix sibling iteration (FATE#326324).
- Handle merge commit 38c23685b273c. Update:
  - patches.drivers/0062-drivers-bus-Move-Arm-CCN-PMU-driver.patch.
  - patches.drivers/0063-drivers-bus-Split-Arm-CCI-driver.patch.
- commit 3997fd2
* Sat Nov 17 2018 tonyj@suse.de
- perf/core: Clear sibling list of detached events (FATE#326324
  (git fixes)).
- perf/core: Optimize perf_rotate_context() event scheduling
  (FATE#326324).
- perf/core: Fix tree based event rotation (FATE#326324).
- perf/core: Simpify perf_event_groups_for_each() (FATE#326324).
- perf/core: Optimize ctx_sched_out() (FATE#326324).
- commit d76b3b8
* Sat Nov 17 2018 lduncan@suse.com
- scsi: target: tcmu: add read length support (bsc#1097755).
- commit 610833c
* Sat Nov 17 2018 tonyj@suse.de
- perf/core: Remove perf_event::group_entry (FATE#326324).
- Handle merge commit 38c23685b273c. Update:
  - patches.drivers/0062-drivers-bus-Move-Arm-CCN-PMU-driver.patch.
  - patches.drivers/0063-drivers-bus-Split-Arm-CCI-driver.patch.
- commit f36a1db
* Sat Nov 17 2018 tonyj@suse.de
- perf/core: Fix event schedule order (FATE#326324).
- perf/core: Cleanup the rb-tree code (FATE#326324).
- perf/cor: Use RB trees for pinned/flexible groups (FATE#326324).
- perf/core: Rewrite event timekeeping (FATE#326324).
- perf/core: Fix perf_event_read() (FATE#326324).
- perf/core: Rename 'enum perf_event_active_state' (FATE#326324).
- perf/core: Make sure to update ctx time before using it
  (FATE#326324).
- perf/core: Fix time on IOC_ENABLE (FATE#326324).
- commit 6304a2f
* Fri Nov 16 2018 tonyj@suse.de
- perf/x86/intel: Add Goldmont Plus CPU PMU support (FATE#324361).
- commit 74c1697
* Fri Nov 16 2018 tonyj@suse.de
- Update References tag of existing patches to include FATE#326239
  patches.arch/perf-x86-intel-uncore-correct-fixed-counter-index-check-for-nhm
  patches.arch/perf-x86-intel-uncore-correct-fixed-counter-index-check-in-generic-code
- commit e2a5047
* Fri Nov 16 2018 tonyj@suse.de
- perf/x86/intel/uncore: Clean up client IMC uncore (FATE#326239).
- perf/x86/intel/uncore: Expose uncore_pmu_event*() functions
  (FATE#326239).
- perf/x86/intel/uncore: Support IIO free-running counters on SKX
  (FATE#326239).
- perf/x86/intel/uncore: Add infrastructure for free running
  counters (FATE#326239).
- perf/x86/intel/uncore: Add new data structures for free running
  counters (FATE#326239).
- perf/x86/intel/uncore: Introduce customized event_read()
  for client IMC uncore (FATE#326239).
- commit 668f2be
* Fri Nov 16 2018 tiwai@suse.de
- supported.conf: Add r8188eu entry (FATE#326906)
- commit cbbbdf3
* Fri Nov 16 2018 tiwai@suse.de
- Update config files: enable CONFIG_R8188EU (FATE#326906)
- commit 36c3724
* Fri Nov 16 2018 tiwai@suse.de
- staging: rtl8188eu: core: Use sizeof(*p) instead of
  sizeof(struct P) for memory allocation (FATE#326906).
- staging: rtl8188eu: cleanup comparsions to false (FATE#326906).
- staging: rtl8188eu: remove whitespace - style (FATE#326906).
- staging: rtl8188eu: rename Hal_MappingOutPipe() - style
  (FATE#326906).
- staging: rtl8188eu: rename parameters of Hal_MappingOutPipe()
- style (FATE#326906).
- staging: rtl8188eu: rename parameter of
  hal_com_get_channel_plan() - style (FATE#326906).
- staging: rtl8188eu: remove unused parameter of
  hal_com_get_channel_plan() (FATE#326906).
- staging: rtl8188eu: rename HalSetBrateCfg() - style
  (FATE#326906).
- staging: rtl8188eu: rename parameters of HalSetBrateCfg() -
  style (FATE#326906).
- staging: rtl8188eu: remove unused parameter of HalSetBrateCfg()
  (FATE#326906).
- staging: rtl8188eu: remove whitespace in qos_acm()
  (FATE#326906).
- staging: rtl8188eu: cleanup long lines in stop_sta_xmit()
  (FATE#326906).
- staging: rtl8188eu: cleanup long lines in rtw_get_sta_pending()
  (FATE#326906).
- staging: rtl8188eu: cleanup block comments (FATE#326906).
- staging: rtl8188eu: remove commented code (FATE#326906).
- staging: rtl8188eu: cleanup alignment issue (FATE#326906).
- staging: rtl8188eu: use __func__ in qos_acm() (FATE#326906).
- staging: rtl8188eu: cleanup missing spaces around operators
  (FATE#326906).
- staging: rtl8188eu: fix spelling mistake "EINPROGESS" ->
  "EINPROGRESS" (FATE#326906).
- staging: rtl8188eu: fix spelling mistake "Abnornally" ->
  "Abnormally" (FATE#326906).
- staging: rtl8188eu: remove whitespace - style (FATE#326906).
- staging: rtl8188eu: cleanup lines over 80 characters - style
  (FATE#326906).
- staging: rtl8188eu: add spaces around operators - style
  (FATE#326906).
- staging: rtl8188eu: use __func__ instead of hardcoded name -
  style (FATE#326906).
- staging: rtl8188eu: add spaces around operators in
  odm_rtl8188e.c (FATE#326906).
- staging: rtl8188eu: remove dead code from
  dm_fast_training_init() (FATE#326906).
- staging: rtl8188eu: remove whitespace in rtw_mlme_ext.h
  (FATE#326906).
- staging: rtl8188eu: make struct field of action_handler const
  (FATE#326906).
- staging: rtl8188eu: make struct field of mlme_handler const
  (FATE#326906).
- staging: rtl8188eu: change array type to const u8 (FATE#326906).
- staging: rtl8188eu: rewrite if tests - style (FATE#326906).
- staging: rtl8188eu: cleanup array declaration - style
  (FATE#326906).
- staging: rtl8188eu: fix line over 80 characters - style
  (FATE#326906).
- staging: rtl8188eu: fix spelling mistake in comment
  (FATE#326906).
- staging: rtl8188eu: remove braces from single if statement
  (FATE#326906).
- staging: rtl8188eu: remove unnecessary parentheses in
  odm_rtl8188e.c (FATE#326906).
- staging: rtl8188eu: add spaces around '+' in fw.c (FATE#326906).
- staging: rtl8188eu: simplify block comment in pwrseq.c
  (FATE#326906).
- staging: rtl8188eu: correct block comment in bb_cfg.c
  (FATE#326906).
- staging: rtl8188eu: rename odm_SignalScaleMapping()
  (FATE#326906).
- staging: rtl8188eu: rename variable in odm_SignalScaleMapping()
  (FATE#326906).
- staging: rtl8188eu: rename parameter of odm_SignalScaleMapping()
  (FATE#326906).
- staging: rtl8188eu: rename odm_EVMdbToPercentage()
  (FATE#326906).
- staging: rtl8188eu: rename parameter of odm_EVMdbToPercentage()
  (FATE#326906).
- staging: rtl8188eu: rename odm_QueryRxPwrPercentage()
  (FATE#326906).
- staging: rtl8188eu: rename parameter of
  odm_QueryRxPwrPercentage() (FATE#326906).
- staging: rtl8188eu: replace tabs with spaces in odm_hwconfig.c
  (FATE#326906).
- staging: rtl8188eu: add spaces around '*' in odm_hwconfig.c
  (FATE#326906).
- staging: rtl8188eu: add spaces around '+' in odm_hwconfig.c
  (FATE#326906).
- staging: rtl8188eu: remove wrapper odm_SignalScaleMapping()
  (FATE#326906).
- staging: rtl8188eu: rename odm_HWConfig (FATE#326906).
- staging: rtl8188eu: cleanup inconsistent indenting
  (FATE#326906).
- staging: rtl8188eu: Skip unnecessary field checks (FATE#326906).
- staging: rtl8188eu: remove get_right_chnl_for_iqk()
  (FATE#326906).
- staging: rtl8188eu: Use proper enum in rtl8188eu_config_rf_reg
  (FATE#326906).
- staging: rtl8188eu: use break to exit while loop (FATE#326906).
- staging: rtl8188eu: rename variable - style (FATE#326906).
- staging: rtl8188eu: do not line break function definition -
  style (FATE#326906).
- staging: rtl8188eu: simplify function comments - style
  (FATE#326906).
- staging: rtl8188eu: fix spelling mistake "transfoer_len" ->
  "transfer_len" (FATE#326906).
- staging: rtl8188eu: Simplify memcmp logical checks
  (FATE#326906).
- staging: rtl8188eu: remove rtw_qos.h (FATE#326906).
- staging: rtl8188eu: remove unused rtw_scan_abort()
  (FATE#326906).
- staging: rtl8188eu: Remove unnecessary parentheses
  (FATE#326906).
- staging: rtl8188eu, rtl8723bs: fix spelling mistake "evet" ->
  "event" (FATE#326906).
- staging: rtl8188eu: clean function definitions - style
  (FATE#326906).
- staging: rtl8188eu: rename parameter of Hal_GetChnlGroup88E()
  (FATE#326906).
- staging: rtl8188eu: change return type of Hal_GetChnlGroup88E()
  (FATE#326906).
- staging: rtl8188eu: remove 5 GHz code from Hal_GetChnlGroup88E()
  (FATE#326906).
- staging: rtl8188eu: simplify function comments (FATE#326906).
- staging: rtl8188eu: fix lines over 80 characters (FATE#326906).
- staging: rtl8188eu: add missing spaces around operators
  (FATE#326906).
- staging: rtl8188eu: fix comparsions to false (FATE#326906).
- staging: rtl8188eu: fix comparsions to true (FATE#326906).
- staging: rtl8188eu: remove whitespace (FATE#326906).
- staging: rtl8188eu: remove unnecessary parentheses
  (FATE#326906).
- staging: rtl8188eu: simplify calculation (FATE#326906).
- staging: rtl8188eu: Fix a sleep-in-atomic-context bug in
  issue_deauth_ex() (FATE#326906).
- staging: rtl8188eu: remove code that is valid only for 5 GHz
  (FATE#326906).
- staging: rtl8188eu: change array type to u8 (FATE#326906).
- staging: rtl8188eu: fix lines over 80 characters in rtw_led.c
  (FATE#326906).
- staging: rtl8188eu: remove unnecessary parentheses in rtw_led.c
  (FATE#326906).
- staging: rtl8188eu: refactor SwLedControlMode1() (FATE#326906).
- staging: rtl8188eu: remove unnecessary parentheses
  (FATE#326906).
- staging: rtl8188eu: remove whitespace (FATE#326906).
- staging: rtl8188eu: fix comparsions to true (FATE#326906).
- staging: rtl8188eu: Remove code valid only for 5 GHz
  (FATE#326906).
- staging: rtl8188eu: remove pointless comment (FATE#326906).
- staging: rtl8188eu: simplify function comment (FATE#326906).
- staging: rtl8188eu: Fix two sleep-in-atomic-context bugs in
  rtw_chk_hi_queue_cmd() (FATE#326906).
- staging: rtl8188eu: Removed unneeded variable (FATE#326906).
- staging: rtl8188eu: Removed a function and coded inline
  (FATE#326906).
- staging: rtl8188eu: Removed code valid for 5GHz (FATE#326906).
- staging: rtl8188eu: Fix spelling mistake (FATE#326906).
- staging: rtl8188eu: Removed unnecessary parentheses
  (FATE#326906).
- staging: rtl8188eu: use phydm_reg.h from rtlwifi (FATE#326906).
- staging: rtl8188eu: remove unused IS_MCAST (FATE#326906).
- staging: rtl8188eu: use is_multicast_ether_addr in rtw_xmit.c
  (FATE#326906).
- staging: rtl8188eu: use is_multicast_ether_addr in rtw_recv.c
  (FATE#326906).
- staging: rtl8188eu: use is_multicast_ether_addr in
  rtw_security.c (FATE#326906).
- staging: rtl8188eu: remove unused mp_custom_oid.h (FATE#326906).
- staging: rtl8188eu: remove unused array dB_Invert_Table
  (FATE#326906).
- staging: rtl8188eu: remove whitespace, add missing blank line
  (FATE#326906).
- staging: rtl8188eu: use is_multicast_ether_addr in rtw_sta_mgt.c
  (FATE#326906).
- staging: rtl8188eu: remove whitespace - style (FATE#326906).
- staging: rtl8188eu: cleanup block comment - style (FATE#326906).
- staging: rtl8188eu: use is_multicast_ether_addr in
  rtl8188eu_xmit.c (FATE#326906).
- staging: rtl8188eu: use is_multicast_ether_addr in recv_linux.c
  (FATE#326906).
- Revert "staging:r8188eu: Use lib80211 to encrypt (CCMP) tx
  frames" (FATE#326906).
- staging: rtl8188eu: remove unnecessary includes (FATE#326906).
- staging: rtl8188eu: remove redundant include (FATE#326906).
- staging: rtl8188eu: remove unnecessary parentheses
  (FATE#326906).
- staging: rtl8188eu: rename rtw_IOL_applied (FATE#326906).
- staging: rtl8188eu: use phydm_regdefine11n.h from rtlwifi
  (FATE#326906).
- staging: rtl8188eu: rename odm_RTL8188E - style (FATE#326906).
- staging: rtl8188eu: remove unused rtw_remove_bcn_ie()
  (FATE#326906).
- staging: rtl8188eu: remove unused rtw_add_bcn_ie()
  (FATE#326906).
- staging: rtl8188eu: remove unnecessary parentheses - style
  (FATE#326906).
- staging: rtl8188eu: fix comparsions to NULL - style
  (FATE#326906).
- staging: rtl8188eu: fix indentation - style (FATE#326906).
- staging: rtl8188eu: use is_broadcast_ether_addr (FATE#326906).
- staging: rtl8188eu: use is_multicast_ether_addr (FATE#326906).
- staging: rtl8188eu: remove unnecessary parentheses
  (FATE#326906).
- staging: rtl8188eu: fix comparsion to true (FATE#326906).
- staging: rtl8188eu: replace tabs with spaces (FATE#326906).
- staging: rtl8188eu: remove redundant includes (FATE#326906).
- staging: rtl8188eu: remove unused should_forbid_n_rate()
  (FATE#326906).
- staging: rtl8188eu: remove unused dump_txrpt_ccx_88e()
  (FATE#326906).
- staging: rtl8188eu: remove unused
  rtw_calculate_wlan_pkt_size_by_attribue() (FATE#326906).
- staging: rtl8188eu: replace tabs with spaces (FATE#326906).
- staging: rtl8188eu: fix comparsions to NULL - coding style
  (FATE#326906).
- staging: rtl8188eu: remove unused rtw_get_oper_choffset()
  (FATE#326906).
- staging: rtl8188eu: remove unused rtw_get_oper_bw()
  (FATE#326906).
- staging: rtl8188eu: remove unused CAM_empty_entry()
  (FATE#326906).
- staging: rtl8188eu: remove unused ODM_RASupport_Init()
  (FATE#326906).
- staging: rtl8188eu: remove unused sreset_get_wifi_status()
  (FATE#326906).
- staging: rtl8188eu: fix lines over 80 characters (FATE#326906).
- staging: rtl8188eu: replace tabs with spaces (FATE#326906).
- staging: rtl8188eu: remove unnecessary parentheses
  (FATE#326906).
- staging: rtl8188eu: fix comparsions to true (FATE#326906).
- staging: rtl8188eu: change return type to bool (FATE#326906).
- staging: rtl8188eu: refactor rtw_is_cckratesonly_included()
  (FATE#326906).
- staging: rtl8188eu: refactor rtw_is_cckrates_included()
  (FATE#326906).
- staging: rtl8188eu: remove blank lines (FATE#326906).
- staging: rtl8188eu/rtl8723bs: fix character encoding
  (FATE#326906).
- staging: rtl8188eu: remove blank lines (FATE#326906).
- staging: rtl8188eu: use is_multicast_ether_addr (FATE#326906).
- staging: rtl8188eu: remove MacAddr_isBcst macro (FATE#326906).
- staging: rtl8188eu: remove redundant header file (FATE#326906).
- staging: rtl8188eu: add spaces around '+' (FATE#326906).
- staging: rtl8188eu: rename variable (FATE#326906).
- staging: rtl8188eu: rename function parameters (FATE#326906).
- staging: rtl8188eu: rename Efuse_PowerSwitch (FATE#326906).
- staging: rtl8188eu: do not line break function definition
  (FATE#326906).
- staging: rtl8188eu: remove is_{multicast,broadcast}_mac_addr
  (FATE#326906).
- staging:r8188eu: Use lib80211 to encrypt (CCMP) tx frames
  (FATE#326906).
- staging: rtl8188eu: use strlcpy instead of strncpy
  (FATE#326906).
- staging: rtl8188eu: break line longer than 80 cols
  (FATE#326906).
- staging: rtl8188eu: remove blank lines (FATE#326906).
- staging: rtl8188eu: fix lines over 80 characters (FATE#326906).
- staging: rtl8188eu: add spaces around '|' (FATE#326906).
- staging: rtl8188eu: replace tabs with spaces (FATE#326906).
- staging: rtl8188eu: refactor rtw_macaddr_cfg() (FATE#326906).
- staging: rtl8188eu: replace while with shorter for loop
  (FATE#326906).
- staging: rtl8188eu: rename Hal8188ERateAdaptive (FATE#326906).
- staging: rtl8188eu: rename Hal8188EPhyReg.h (FATE#326906).
- staging: rtl8188eu: rename Hal8188EPhyCfg.h (FATE#326906).
- staging: rtl8188eu: remove rtw_mp_phy_regdef.h (FATE#326906).
- staging: rtl8188eu: fix block comments - coding style
  (FATE#326906).
- staging: rtl8188eu: move return type to functions definition
  line (FATE#326906).
- staging: rtl8188eu: reorder switch cases and remove default
  break (FATE#326906).
- staging:r8188eu: Use lib80211 to encrypt (WEP) tx frames
  (FATE#326906).
- staging: rtl8188eu: remove unnecessary parentheses
  (FATE#326906).
- staging: rtl8188eu: remove rtw_ioctl_rtl.h (FATE#326906).
- staging: rtl8188eu: remove whitespace - coding style
  (FATE#326906).
- staging: rtl8188eu: remove blank lines (FATE#326906).
- staging: rtl8188eu: add SPDX identifiers (FATE#326906).
- staging: rtl8188eu: Fix a possible sleep-in-atomic-context
  bug in rtw_disassoc_cmd() (FATE#326906).
- Revert "staging:r8188eu: Use lib80211 to support TKIP"
  (FATE#326906).
- Staging:rtl888eu:include Fix CamelCase issue (FATE#326906).
- staging:r8188eu: Remove rx_handler_data unnecessary read
  (FATE#326906).
- staging:r8188eu: Use lib80211 to support TKIP (FATE#326906).
- staging: rtl8188eu: use __func__ instead of function name
  (FATE#326906).
- staging: rtl8188eu: fix typo in comment (FATE#326906).
- staging: rtl8188eu: replace NULL comparison with variable
  (FATE#326906).
- staging: rtl8188eu: place constant on the right side of test
  (FATE#326906).
- staging:r8188eu: use lib80211 CCMP decrypt (FATE#326906).
- staging: rtl8188eu: Remove unneeded cast (FATE#326906).
- staging:r8188eu: Use lib80211 to decrypt WEP-frames
  (FATE#326906).
- staging: rtl8188eu: Replace function name in string with
  __func__ (FATE#326906).
- staging:r8188eu: Remove unused struct pkt_file (FATE#326906).
- staging:r8188eu: Remove struct pkt_file from
  rtw_xmitframe_coalesce() (FATE#326906).
- staging:r8188eu: Remove struct pkt_file from update_attrib()
  (FATE#326906).
- staging:r8188eu: Remove struct pkt_file from set_qos()
  (FATE#326906).
- staging: rtl8188eu: Move a blank line (FATE#326906).
- staging: rtl8188eu: remove redundant initialization of
  'pwrcfgcmd' (FATE#326906).
- rtl8188eu: Fix a possible sleep-in-atomic bug in
  set_tx_beacon_cmd (FATE#326906).
- staging: rtl8188eu: Revert 4 commits breaking ARP (FATE#326906).
- staging: rtl8188eu: Fix bug introduced by convert timers to
  use timer_setup() (FATE#326906).
- staging: rtl8188eu: Revert part of "staging: rtl8188eu: fix
  comments with lines over 80 characters" (FATE#326906).
- staging: rtl8188eu: use pr_cont() (FATE#326906).
- staging: rtl8188eu: add spaces around '|' (FATE#326906).
- staging: rtl8188eu: prefer using BIT macro (FATE#326906).
- staging: rtl8188eu: usb_ops_linux: mark expected switch
  fall-through (FATE#326906).
- staging: rtl8188eu: usb_halinit: mark expected switch
  fall-through (FATE#326906).
- rtl8188eu: Fix a possible sleep-in-atomic bug in _rtw_pwr_wakeup
  (FATE#326906).
- staging: rtl8188eu: add spaces around algebric and boolean
  operators (FATE#326906).
- staging: rtl8188eu: fix spaces before tabs (FATE#326906).
- staging: rtl8188eu: fix space between function name and '('
  (FATE#326906).
- staging: rtl8188eu: fix block comment styling in rtl8188eu files
  (FATE#326906).
- staging: rtl8188eu: Convert timers to use timer_setup()
  (FATE#326906).
- Staging: rtl8188eu: core: Use list_entry instead of container_of
  (FATE#326906).
- staging: rtl8188eu: Place the constant on the right side in
  comparisons (FATE#326906).
- staging: rtl8188eu: Remove braces from single statement blocks
  (FATE#326906).
- Staging: rtl8188eu: core: Fix line over 80 characters
  (FATE#326906).
- Staging: rtl8188eu: core: Add spaces around '+' (FATE#326906).
- Staging: rtl8188eu: core: Use __func__ instead of function name
  (FATE#326906).
- staging: rtl8188eu: wrap lines in 80 characters (FATE#326906).
- staging: rtl8188eu: remove implicit bool->int conversions
  (FATE#326906).
- staging: rtl8188eu: remove unneeded conversions to bool
  (FATE#326906).
- staging:rtl8188eu:hal Fix wrong comparison to False
  (FATE#326906).
- staging:rtl8188eu Fix remove semicolon in do {}while(0)
  (FATE#326906).
- staging: rtl8188eu: Fix spelling (FATE#326906).
- staging: rtl8188eu: remove parenthesis from right hand side
  of assignment (FATE#326906).
- staging:rtl8188eu:core Fix code Indent (FATE#326906).
- staging:rtl8188eu Remove unneccessary parenthesis (FATE#326906).
- staging:rtl8188eu Fix coding style issues (FATE#326906).
- staging:rtl8188eu Fix use __func__ for function name
  (FATE#326906).
- staging:rtl8188eu:core Fix remove unneccessary else block
  (FATE#326906).
- staging:rtl8188eu Fix comparison to NULL (FATE#326906).
- staging:rtl8188eu:core Fix Code Indent (FATE#326906).
- staging:rtl8188eu Use __func__ instead of function name
  (FATE#326906).
- staging: rtl8188eu: remove unnecessary call to memset
  (FATE#326906).
- staging:rtl8188eu:core Fix add spaces around & (FATE#326906).
- staging:rtl8188eu:core Fix coding style Issues (FATE#326906).
- staging:rtl8188eu: fix coding style issue (FATE#326906).
- staging: rtl8188eu: constify usb_device_id (FATE#326906).
- Staging: rtl8188eu: core: fix brace coding style issue in
  rtw_mlme_ext.c (FATE#326906).
- staging: rtl8188eu: Move { after function to new line
  (FATE#326906).
- staging: rtl8188eu: memory leak in rtw_free_cmd_obj()
  (FATE#326906).
- staging: rtl8188eu: style fixes (FATE#326906).
- staging: rtl8188eu: Remove unneeded blank lines (FATE#326906).
- staging: rtl8188eu: removes comparison to null (FATE#326906).
- staging: rtl8188eu: removed unnecessary blank lines
  (FATE#326906).
- staging: rtl8188eu: removed unnecessary parentheses
  (FATE#326906).
- staging: rtl8188eu: removed function names from strings
  (FATE#326906).
- staging: rtl8188eu: add spaces around character (FATE#326906).
- staging: rtl8188eu: fixes block comments subsequent lines
  (FATE#326906).
- staging: rtl8188eu: fix comments with lines over 80 characters
  (FATE#326906).
- staging: rtl8188eu: fix indentation error (FATE#326906).
- staging: rtl8188eu, rtl8723bs: fix spelling mistake "Cancle" ->
  "Cancel" (FATE#326906).
- staging: rtl8188eu: Put constant on right side of comparison
  (FATE#326906).
- staging: rtl8188eu: core: removed comparison to NULL
  (FATE#326906).
- staging:r8188eu: remove unused definitions from
  include/ieee80211.h (FATE#326906).
- staging:r8188eu: remove ieee80211_is_empty_essid()
  (FATE#326906).
- staging:r8188eu: remove ieee80211_get_hdrlen() (FATE#326906).
- staging:r8188eu: trim IV/ICV fields in
  validate_recv_data_frame() (FATE#326906).
- staging:r8188eu: inline unprotect_frame() in
  mon_recv_decrypted_recv() (FATE#326906).
- staging:r8188eu: use different mon_recv_decrypted()
  inside rtl88eu_mon_recv_hook() and rtl88eu_mon_xmit_hook()
  (FATE#326906).
- staging:r8188eu: move IV/ICV trimming into decrypt() and also
  place it after rtl88eu_mon_recv_hook() (FATE#326906).
- commit 2fdb8b0
* Fri Nov 16 2018 tiwai@suse.de
- blacklist.conf: Add rtl8188eu entries (FATE#326906)
- commit 5d1c634
* Fri Nov 16 2018 tiwai@suse.de
- clk: fixed-factor: fix of_node_get-put imbalance (bsc#1051510).
- clk: fixed-rate: fix of_node_get-put imbalance (bsc#1051510).
- clk: s2mps11: Fix matching when built as module and DT node
  contains compatible (bsc#1051510).
- clk: rockchip: Fix static checker warning in
  rockchip_ddrclk_get_parent call (bsc#1051510).
- clk: mmp2: fix the clock id for sdh2_clk and sdh3_clk
  (bsc#1051510).
- clk: at91: Fix division by zero in PLL recalc_rate()
  (bsc#1051510).
- commit 519bab7
* Fri Nov 16 2018 tiwai@suse.de
- ACPI / LPSS: Add alternative ACPI HIDs for Cherry Trail DMA
  controllers (bsc#1051510).
- commit 91aa691
* Fri Nov 16 2018 tiwai@suse.de
- cachefiles: fix the race between cachefiles_bury_object()
  and rmdir(2) (bsc#1051510).
- commit abdcf95
* Fri Nov 16 2018 yousaf.kaukab@suse.com
- PCI: Fix devm_pci_alloc_host_bridge() memory leak (fate#326572).
- PCI: xgene: Remove leftover pci_scan_child_bus() call
  (fate#326572).
- ide: fix IRQ assignment for PCI bus order probing (fate#326572).
- ide: pci: free PCI BARs on initialization failure (fate#326572).
- ide: free hwif->portdev on hwif_init() failure (fate#326572).
- PCI: rcar: Fix error exit path (fate#326572).
- PCI: rockchip: Check for pci_scan_root_bus_bridge() failure
  correctly (fate#326572).
- commit 6bed860
* Fri Nov 16 2018 lhenriques@suse.com
- libceph: assume argonaut on the server side (FATE#324714).
- ceph: only allow punch hole mode in fallocate (FATE#324714).
- ceph: refactor ceph_sync_read() (FATE#324714).
- ceph: check if LOOKUPNAME request was aborted when filling trace
  (FATE#324714).
- ceph: check snap first in ceph_set_acl() (FATE#324714).
- ceph: reset cap hold timeout only for requeued inode
  (FATE#324714).
- commit 35a8fbc
* Fri Nov 16 2018 yousaf.kaukab@suse.com
- PCI: xilinx-nwl: Translate INTx range to hwirqs 0-3
  (fate#326572).
- PCI: xilinx: Translate INTx range to hwirqs 0-3 (fate#326572).
- PCI: rockchip: Use PCI_NUM_INTX (fate#326572).
- PCI: faraday: Use PCI_NUM_INTX (fate#326572).
- PCI: altera: Use size=4 IRQ domain for legacy INTx
  (fate#326572).
- PCI: aardvark: Use PCI_NUM_INTX (fate#326572).
- PCI: Add pci_irqd_intx_xlate() (fate#326572).
- PCI: Move enum pci_interrupt_pin to linux/pci.h (fate#326572).
- commit d1ccfa8
* Fri Nov 16 2018 ptesarik@suse.cz
- s390/zcrypt: enable AP bus scan without a valid default domain
  (git-fixes).
- commit cbec419
* Fri Nov 16 2018 ptesarik@suse.cz
- s390/qeth: fix initial operstate (git-fixes).
- commit ef4e36d
* Fri Nov 16 2018 ptesarik@suse.cz
- s390/mm: Check for valid vma before zapping in gmap_discard
  (git-fixes).
- s390/mm: correct allocate_pgste proc_handler callback
  (git-fixes).
- s390/cpum_sf: Add data entry sizes to sampling trailer entry
  (git-fixes).
- perf: fix invalid bit in diagnostic entry (git-fixes).
- s390/qeth: handle failure on workqueue creation (git-fixes).
- s390/sclp_tty: enable line mode tty even if there is an ascii
  console (git-fixes).
- s390: revert ELF_ET_DYN_BASE base changes (git-fixes).
- commit 7c8037c
* Fri Nov 16 2018 ptesarik@suse.cz
- s390/qeth: report 25Gbit link speed (bnc#1113501, LTC#172959).
- s390/qeth: fix HiperSockets sniffer (bnc#1113501, LTC#172953).
- s390: qeth: Fix potential array overrun in cmd/rc lookup
  (bnc#1113501, LTC#172682).
- s390: qeth_core_mpc: Use ARRAY_SIZE instead of reimplementing
  its function (bnc#1113501, LTC#172682).
- net/af_iucv: fix skb handling on HiperTransport xmit error
  (bnc#1113501, LTC#172679).
- net/af_iucv: drop inbound packets with invalid flags
  (bnc#1113501, LTC#172679).
- s390/kvm: fix deadlock when killed by oom (bnc#1113501,
  LTC#172235).
- commit c4f4a6d
* Fri Nov 16 2018 ptesarik@suse.cz
- KVM: s390: fix locking for crypto setting error path
  (git-fixes).
- commit c9e3f98
* Fri Nov 16 2018 yousaf.kaukab@suse.com
- ARM/PCI: Fix pcibios_init_resource() struct pci_host_bridge leak (fate#326572).
- arm64: PCI: Drop DT IRQ allocation from pcibios_alloc_irq() (fate#326572).
- PCI: xilinx-nwl: Move to struct pci_host_bridge IRQ mapping functions (fate#326572).
- PCI: rockchip: Move to struct pci_host_bridge IRQ mapping functions (fate#326572).
- PCI: xgene: Move to struct pci_host_bridge IRQ mapping functions (fate#326572).
- PCI: altera: Drop pci_fixup_irqs() (fate#326572).
- PCI: versatile: Drop pci_fixup_irqs() (fate#326572).
- PCI: generic: Drop pci_fixup_irqs() (fate#326572).
- PCI: faraday: Drop pci_fixup_irqs() (fate#326572).
- PCI: designware: Drop pci_fixup_irqs() (fate#326572).
- PCI: iproc: Drop pci_fixup_irqs() (fate#326572).
- PCI: rcar: Drop pci_fixup_irqs() (fate#326572).
- PCI: xilinx: Drop pci_fixup_irqs() (fate#326572).
- PCI: tegra: Drop pci_fixup_irqs() (fate#326572).
- ARM/PCI: Remove pci_fixup_irqs() call for bios32 host controllers (fate#326572).
- PCI: Add a call to pci_assign_irq() in pci_device_probe() (fate#326572).
- OF/PCI: Update of_irq_parse_and_map_pci() comment (fate#326572).
- PCI: Add pci_assign_irq() function and have pci_fixup_irqs() use it (fate#326572).
  Refresh:
  patches.drivers/0001-PCI-Add-wrappers-for-dev_printk.patch
- PCI: Add IRQ mapping function pointers to pci_host_bridge struct (fate#326572).
- PCI: Build setup-irq.o on all arches (fate#326572).
- PCI: Remove pci_scan_root_bus_msi() (fate#326572).
- PCI: xilinx-nwl: Convert PCI scan API to pci_scan_root_bus_bridge() (fate#326572).
- PCI: rockchip: Convert PCI scan API to pci_scan_root_bus_bridge() (fate#326572).
- PCI: generic: Convert PCI scan API to pci_scan_root_bus_bridge() (fate#326572).
- PCI: xgene: Convert PCI scan API to pci_scan_root_bus_bridge() (fate#326572).
- PCI: xilinx: Convert PCI scan API to pci_scan_root_bus_bridge() (fate#326572).
- PCI: altera: Convert PCI scan API to pci_scan_root_bus_bridge() (fate#326572).
- PCI: versatile: Convert PCI scan API to pci_scan_root_bus_bridge() (fate#326572).
- PCI: iproc: Convert PCI scan API to pci_scan_root_bus_bridge() (fate#326572).
- PCI: rcar: Convert PCI scan API to pci_scan_root_bus_bridge() (fate#326572).
- PCI: aardvark: Convert PCI scan API to pci_scan_root_bus_bridge() (fate#326572).
  Refresh:
  patches.fixes/pci-aardvark-size-bridges-before-resources-allocation
- PCI: designware: Convert PCI scan API to pci_scan_root_bus_bridge() (fate#326572).
  Refresh:
  patches.fixes/pci-designware-fix-i-o-space-page-leak
  patches.drivers/0014-PCI-dwc-designware-Handle-host_init-failures.patch
- ARM/PCI: Convert PCI scan API to pci_scan_root_bus_bridge() (fate#326572).
- PCI: Make pci_register_host_bridge() PCI core internal (fate#326572).
- PCI: Add pci_scan_root_bus_bridge() interface (fate#326572).
- PCI: tegra: Fix host bridge memory leakage (fate#326572).
- PCI: faraday: Fix host bridge memory leakage (fate#326572).
- PCI: Add devm_pci_alloc_host_bridge() interface (fate#326572).
- PCI: Add pci_free_host_bridge() interface (fate#326572).
- PCI: Initialize bridge release function at bridge allocation (fate#326572).
- PCI: faraday: Convert IRQ masking to raw PCI config accessors (fate#326572).
- PCI: iproc: Convert link check to raw PCI config accessors (fate#326572).
- PCI: xilinx-nwl: Remove nwl_pcie_enable_msi() unused bus parameter (fate#326572).
- commit b80a153
* Fri Nov 16 2018 ptesarik@suse.cz
- s390: doc: detailed specifications for AP virtualization
  (FATE#326370, LTC#169186, bsc#1113483).
- KVM: s390: CPU model support for AP virtualization (FATE#326370,
  LTC#169186, bsc#1113483).
- KVM: s390: device attrs to enable/disable AP interpretation
  (FATE#326370, LTC#169186, bsc#1113483).
- KVM: s390: vsie: allow guest FORMAT-0 CRYCB on host FORMAT-2
  (FATE#326370, LTC#169186, bsc#1113483).
- KVM: s390: vsie: allow guest FORMAT-1 CRYCB on host FORMAT-2
  (FATE#326370, LTC#169186, bsc#1113483).
- KVM: s390: vsie: allow guest FORMAT-0 CRYCB on host FORMAT-1
  (FATE#326370, LTC#169186, bsc#1113483).
- KVM: s390: vsie: allow CRYCB FORMAT-0 (FATE#326370, LTC#169186,
  bsc#1113483).
- KVM: s390: vsie: allow CRYCB FORMAT-1 (FATE#326370, LTC#169186,
  bsc#1113483).
- KVM: s390: vsie: Allow CRYCB FORMAT-2 (FATE#326370, LTC#169186,
  bsc#1113483).
- commit 23d141d
* Fri Nov 16 2018 ptesarik@suse.cz
- KVM: s390: vsie: use READ_ONCE to access some SCB fields
  (FATE#326370, LTC#169186, bsc#1113483).
- Refresh
  patches.fixes/kvm-s390-add-etoken-support-for-guests.patch.
- commit 66f456a
* Thu Nov 15 2018 ptesarik@suse.cz
- KVM: s390: vsie: Make use of CRYCB FORMAT2 clear (FATE#326370,
  LTC#169186, bsc#1113483).
- KVM: s390: vsie: Do the CRYCB validation first (FATE#326370,
  LTC#169186, bsc#1113483).
- KVM: s390: Clear Crypto Control Block when using vSIE
  (FATE#326370, LTC#169186, bsc#1113483).
- s390: vfio-ap: implement VFIO_DEVICE_RESET ioctl (FATE#326370,
  LTC#169186, bsc#1113483).
- s390: vfio-ap: zeroize the AP queues (FATE#326370, LTC#169186,
  bsc#1113483).
- s390: vfio-ap: implement VFIO_DEVICE_GET_INFO ioctl
  (FATE#326370, LTC#169186, bsc#1113483).
- s390: vfio-ap: implement mediated device open callback
  (FATE#326370, LTC#169186, bsc#1113483).
- KVM: s390: interface to clear CRYCB masks (FATE#326370,
  LTC#169186, bsc#1113483).
- s390: vfio-ap: sysfs interface to view matrix mdev matrix
  (FATE#326370, LTC#169186, bsc#1113483).
- s390: vfio-ap: sysfs interfaces to configure control domains
  (FATE#326370, LTC#169186, bsc#1113483).
- s390: vfio-ap: sysfs interfaces to configure domains
  (FATE#326370, LTC#169186, bsc#1113483).
- s390: vfio-ap: sysfs interfaces to configure adapters
  (FATE#326370, LTC#169186, bsc#1113483).
- s390: vfio-ap: register matrix device with VFIO mdev framework
  (FATE#326370, LTC#169186, bsc#1113483).
- commit be74515
* Thu Nov 15 2018 ptesarik@suse.cz
- KVM: s390: SIE considerations for AP Queue virtualization
  (FATE#326370, LTC#169186, bsc#1113483).
- commit 1e9996f
* Thu Nov 15 2018 ptesarik@suse.cz
- s390: vfio-ap: base implementation of VFIO AP device driver
  (FATE#326370, LTC#169186, bsc#1113483).
- Update config files.
- supported.conf: Add VFIO MDEV and VFIO AP
- commit 8a0c680
* Thu Nov 15 2018 aaptel@suse.com
- cifs: Add support for failover in cifs_reconnect_tcon()
  (FATE#325270).
- commit 1e3a47c
* Thu Nov 15 2018 ptesarik@suse.cz
- KVM: s390: refactor crypto initialization (FATE#326370,
  LTC#169186, bsc#1113483).
- KVM: s390: introduce and use KVM_REQ_VSIE_RESTART (FATE#326370,
  LTC#169186, bsc#1113483).
- KVM: s390: vsie: simulate VCPU SIE entry/exit (FATE#326370,
  LTC#169186, bsc#1113483).
- KVM: s390: reset crypto attributes for all vcpus (FATE#326370,
  LTC#169186, bsc#1113483).
- commit a7ad9c4
* Thu Nov 15 2018 aaptel@suse.com
- cifs: Add support for failover in smb2_reconnect()
  (FATE#325270).
- commit fd787e3
* Thu Nov 15 2018 aaptel@suse.com
- cifs: start DFS cache refresher in cifs_mount() (FATE#325270).
- commit aa052d3
* Thu Nov 15 2018 aaptel@suse.com
- cifs: Add support for failover in cifs_reconnect()
  (FATE#325270).
- commit 36ed236
* Thu Nov 15 2018 aaptel@suse.com
- cifs: Add support for failover in cifs_mount() (FATE#325270).
- commit db9ce7e
* Thu Nov 15 2018 aaptel@suse.com
- cifs: Make use of DFS cache to get new DFS referrals
  (FATE#325270).
- commit 601298b
* Thu Nov 15 2018 aaptel@suse.com
- cifs: Add DFS cache routines (FATE#325270).
- commit e00b734
* Thu Nov 15 2018 aaptel@suse.com
- cifs: auto disable 'serverino' in dfs mounts (FATE#325270).
- commit 4c1b50d
* Thu Nov 15 2018 aaptel@suse.com
- cifs: Save TTL value when parsing DFS referrals (FATE#325270).
- commit 923159a
* Thu Nov 15 2018 aaptel@suse.com
- cifs: Respect -EAGAIN when querying paths (FATE#325270).
- commit cb8fa7d
* Thu Nov 15 2018 aaptel@suse.com
- cifs: Make devname param optional in
  cifs_compose_mount_options() (FATE#325270).
- commit a9c81b0
* Thu Nov 15 2018 aaptel@suse.com
- cifs: Fix separator when building path from dentry
  (FATE#325270).
- commit 71ef06d
* Thu Nov 15 2018 aaptel@suse.com
- cifs: Skip any trailing backslashes from UNC (FATE#325270).
- commit 8f63982
* Thu Nov 15 2018 aaptel@suse.com
- cifs: Refactor out cifs_mount() (FATE#325270).
- commit dcff57a
* Thu Nov 15 2018 aaptel@suse.com
- [SMB3] Remove ifdef since SMB3 (and later) now STRONGLY
  preferred (FATE#325270).
- commit 5b19854
* Thu Nov 15 2018 mbrugger@suse.com
- ACPI / LPSS: Force LPSS quirks on boot (fate#326249).
- commit 2949553
* Thu Nov 15 2018 mbrugger@suse.com
- i2c: designware: Re-init controllers with pm_disabled set on
  resume (fate#326249).
- commit 8a4cb74
* Thu Nov 15 2018 tbogendoerfer@suse.de
- net: avoid including xdp.h in filter.h (bsc#1109837).
- commit 5ca0d4e
* Thu Nov 15 2018 ptesarik@suse.cz
- KVM: s390: vsie: copy wrapping keys to right place (git-fixes).
- commit 752534b
* Thu Nov 15 2018 tbogendoerfer@suse.de
- bpf, cgroup: implement eBPF-based device controller for cgroup
  v2 (bsc#1109837).
- Refresh
  patches.drivers/bpf-Check-attach-type-at-prog-load-time.patch.
- Refresh
  patches.drivers/bpf-Sync-kernel-ABI-header-with-tooling-header.patch.
- Refresh
  patches.drivers/bpf-add-map-tests-for-BPF_PROG_TYPE_SK_MSG.patch.
- Refresh
  patches.drivers/bpf-create-tcp_bpf_ulp-allowing-BPF-to-monitor-socke.patch.
- commit 9148927
* Thu Nov 15 2018 tbogendoerfer@suse.de
- include/linux/filter.h: use linux/set_memory.h (bsc#1109837).
- Refresh
  patches.drivers/bpf-allow-for-correlation-of-maps-and-helpers-in-dum.patch.
- Refresh
  patches.drivers/xdp-base-API-for-new-XDP-rx-queue-info-concept.patch.
- commit 6fcffce
* Thu Nov 15 2018 lhenriques@suse.com
- ceph: don't drop message if it contains more data than expected
  (FATE#324714).
- ceph: support cephfs' own feature bits (FATE#324714).
- crush: fix using plain integer as NULL warning (FATE#324714).
- libceph: remove unnecessary non NULL check for request_key
  (FATE#324714).
- ceph: refactor error handling code in ceph_reserve_caps()
  (FATE#324714).
- ceph: refactor ceph_unreserve_caps() (FATE#324714).
- ceph: change to void return type for __do_request()
  (FATE#324714).
- ceph: compare fsc->max_file_size and inode->i_size for max
  file size limit (FATE#324714).
- ceph: add additional size check in ceph_setattr() (FATE#324714).
- ceph: add additional offset check in ceph_write_iter()
  (FATE#324714).
- ceph: add additional range check in ceph_fallocate()
  (FATE#324714).
- ceph: add new field max_file_size in ceph_fs_client
  (FATE#324714).
- ceph: add d_drop for some error cases in ceph_symlink()
  (FATE#324714).
- ceph: add d_drop for some error cases in ceph_mknod()
  (FATE#324714).
- libceph: amend "bad option arg" error message (FATE#324714).
- libceph: stop parsing when a bad int arg is detected
  (FATE#324714).
- libceph: change ceph_pagelist_encode_string() to take u32
  (FATE#324714).
- libceph: make ceph_osdc_notify{,_ack}() payload_len u32
  (FATE#324714).
- ceph: restore ctime as well in the case of restoring old mode
  (FATE#324714).
- ceph: add retry logic for error -ERANGE in ceph_get_acl()
  (FATE#324714).
- commit 49330f8
* Thu Nov 15 2018 tbogendoerfer@suse.de
- tools include linux: Guard against redefinition of some macros
  (bsc#1109837).
- tools: Adopt __aligned from kernel sources (bsc#1109837).
- tools: Adopt __packed from kernel sources (bsc#1109837).
- tools: Adopt noinline from kernel sources (bsc#1109837).
- tools: Adopt __scanf from kernel sources (bsc#1109837).
- tools: Adopt __printf from kernel sources (bsc#1109837).
- tools: Adopt __noreturn from kernel sources (bsc#1109837).
- commit e1fef6d
* Thu Nov 15 2018 yousaf.kaukab@suse.com
- config: arm64: mobiveil: dont enable till lx2160 support is added
- commit e1295da
* Thu Nov 15 2018 oneukum@suse.com
- PCI: pciehp: Do not handle events if interrupts are masked
  (FATE#326303).
- commit bfbd228
* Thu Nov 15 2018 yousaf.kaukab@suse.com
- PCI: mobiveil: Add Kconfig/Makefile entries (fate#326572).
- commit 848a75e
* Thu Nov 15 2018 oneukum@suse.com
- PCI: pciehp: Disable hotplug interrupt during suspend
  (FATE#326303).
- commit 0aa7eae
* Thu Nov 15 2018 yousaf.kaukab@suse.com
- bus: fsl-mc: add fsl_mc_allocator cleanup function
  (fate#326572).
- commit 4328d95
* Thu Nov 15 2018 yousaf.kaukab@suse.com
- PCI: mobiveil: Add missing ../pci.h include (fate#326572).
- PCI: mobiveil: Fix struct mobiveil_pcie.pcie_reg_base address
  type (fate#326572).
- PCI: mobiveil: Integer overflow in IB_WIN_SIZE (fate#326572).
- PCI: mobiveil: Add MSI support (fate#326572).
- PCI: mobiveil: Add Mobiveil PCIe Host Bridge IP driver
  (fate#326572).
- commit ff1c331
* Thu Nov 15 2018 yousaf.kaukab@suse.com
- watchdog: sp805: Add clock-frequency property (fate#326572).
- watchdog: sp805: set WDOG_HW_RUNNING when appropriate
  (fate#326572).
- watchdog: sp805: add 'timeout-sec' DT property support
  (fate#326572).
- watchdog: sp805: add restart handler (fate#326572).
- watchdog: sp805: constify amba_id (fate#326572).
- commit e00af47
* Thu Nov 15 2018 tzimmermann@suse.de
- drm/ast: Remove existing framebuffers before loading driver (boo#1112963)
- commit d74bdf1
* Thu Nov 15 2018 mbrugger@suse.com
- PCI / ACPI / PM: Resume bridges w/o drivers on suspend-to-RAM
  (fate#326249).
- commit 75f72cd
* Thu Nov 15 2018 mbrugger@suse.com
- ACPI / LPSS: Avoid PM quirks on suspend and resume from
  hibernation (fate#326249).
- commit 22fba96
* Thu Nov 15 2018 ptesarik@suse.cz
- s390/zcrypt: fix broken zcrypt_send_cprb in-kernel api function
  (FATE#326807, LTC#172229, bsc#1113486).
- commit 504cdf6
* Thu Nov 15 2018 ptesarik@suse.cz
- s390/zcrypt: multiple zcrypt device nodes support (FATE#326807,
  LTC#172229, bsc#1113486).
- commit 193c3c5
* Thu Nov 15 2018 oneukum@suse.com
- PCI: Fix is_added/is_busmaster race condition (FATE#326303).
- Refresh
  patches.drivers/PCI-ASPM-Fix-link_state-teardown-on-device-removal.patch.
- commit 1361145
* Thu Nov 15 2018 dchang@suse.com
- qlogic: netxen: remove ndo_poll_controller (bsc#1104399
  FATE#325896).
- netxen_nic: Mark expected switch fall-throughs (bsc#1104399
  FATE#325896).
- qlogic: netxen: remove various redundant variables (bsc#1104399
  FATE#325896).
- netxen: remove timespec usage (bsc#1104399 FATE#325896).
- commit feb4c5b
* Wed Nov 14 2018 tbogendoerfer@suse.de
- ixgbe/fm10k: Only support macvlan offload for types that support
  destination filtering (bsc#1113994 FATE#326315 FATE#326317).
- Refresh
  patches.drivers/fm10k-setup-VLANs-for-l2-accelerated-macvlan-interfa.patch.
- commit 0f22974
* Wed Nov 14 2018 tbogendoerfer@suse.de
- macvlan: Use software path for offloaded local, broadcast,
  and multicast traffic (bsc#1113994 FATE#326315 FATE#326317).
- Refresh
  patches.drivers/fm10k-don-t-protect-fm10k_queue_mac_request-by-fm10k.patch.
- commit e7c0669
* Wed Nov 14 2018 tbogendoerfer@suse.de
- bpf: Post-hooks for sys_bind (bsc#1109837).
- Refresh
  patches.drivers/kernel-bpf-syscall-fix-warning-defined-but-not-used.patch.
- commit 6ff2447
* Wed Nov 14 2018 tbogendoerfer@suse.de
- net: introduce helper dev_change_tx_queue_len() (bsc#1109837).
- Refresh
  patches.drivers/net_sched-plug-in-qdisc-ops-change_tx_queue_len.patch.
- commit 0c0d2ac
* Wed Nov 14 2018 tbogendoerfer@suse.de
- net: bridge: Add support for calling FDB external learning
  under rcu (bsc#1112374).
- Refresh
  patches.fixes/bridge-allow-ext-learned-entries-to-change-ports.patch.
- commit a18c634
* Wed Nov 14 2018 jthumshirn@suse.de
- configfs: make ci_type field, some pointers and function
  arguments const (bsc#1115993).
- commit f37374a
* Wed Nov 14 2018 jslaby@suse.cz
- net: dsa: bcm_sf2: Call setup during switch resume
  (networking-stable-18_10_16).
- net: dsa: bcm_sf2: Fix unbind ordering
  (networking-stable-18_10_16).
- net: mvpp2: Extract the correct ethtype from the skb for tx
  csum offload (networking-stable-18_10_16).
- ipv6: take rcu lock in rawv6_send_hdrinc()
  (networking-stable-18_10_16).
- rtnetlink: fix rtnl_fdb_dump() for ndmsg header
  (networking-stable-18_10_16).
- commit 2e7ba9d
* Wed Nov 14 2018 oneukum@suse.com
- PCI / ACPI: Enable wake automatically for power managed bridges
  (FATE#326303).
- commit 50c997a
* Wed Nov 14 2018 jslaby@suse.cz
- net/packet: fix packet drop as of virtio gso
  (networking-stable-18_10_16).
- bnxt_en: free hwrm resources, if driver probe fails
  (networking-stable-18_10_16).
- net/usb: cancel pending work when unbinding smsc75xx
  (networking-stable-18_10_16).
- net/mlx5e: Set vlan masks for all offloaded TC rules
  (networking-stable-18_10_16).
- net/mlx5: E-Switch, Fix out of bound access when setting vport
  rate (networking-stable-18_10_16).
- net: systemport: Fix wake-up interrupt race during resume
  (networking-stable-18_10_16).
- rtnl: limit IFLA_NUM_TX_QUEUES and IFLA_NUM_RX_QUEUES to 4096
  (networking-stable-18_10_16).
- bonding: fix warning message (networking-stable-18_10_16).
- inet: make sure to grab rcu_read_lock before using
  ireq->ireq_opt (networking-stable-18_10_16).
- bnxt_en: Fix TX timeout during netpoll
  (networking-stable-18_10_16).
- bonding: avoid possible dead-lock (networking-stable-18_10_16).
- bonding: pass link-local packets to bonding master also
  (networking-stable-18_10_16).
- tipc: fix flow control accounting for implicit connect
  (networking-stable-18_10_16).
- net: hns: fix for unmapping problem when SMMU is on
  (networking-stable-18_10_16).
- ip_tunnel: be careful when accessing the inner header
  (networking-stable-18_10_16).
- net: aquantia: memory corruption on jumbo frames
  (networking-stable-18_10_16).
- net/ipv6: Display all addresses in output of /proc/net/if_inet6
  (networking-stable-18_10_16).
- netlabel: check for IPV4MASK in addrinfo_get
  (networking-stable-18_10_16).
- sctp: update dst pmtu with the correct daddr
  (networking-stable-18_10_16).
- ip6_tunnel: be careful when accessing the inner header
  (networking-stable-18_10_16).
- net: mvpp2: fix a txq_done race condition
  (networking-stable-18_10_16).
- net: stmmac: Fixup the tail addr setting in xmit path
  (networking-stable-18_10_16).
- commit 75e8ae6
* Wed Nov 14 2018 oneukum@suse.com
- PCI: Do not skip power-managed bridges in pci_enable_wake()
  (FATE#326303).
- commit dfe6670
* Wed Nov 14 2018 yousaf.kaukab@suse.com
- dpaa2-ptp: defer probe when portal allocation failed
  (fate#326572).
- dpaa2-eth: defer probe on object allocate (fate#326572).
- dpaa2-eth: remove unused FD field (fate#326572).
- dpaa2-eth: mark unused parameter in dpaa2_eth_tx_conf
  (fate#326572).
- dpaa2-eth: remove unused priv parameter (fate#326572).
- dpaa2-eth: fix uninitialized variable warnings (fate#326572).
- dpaa2-eth: make dpaa2_eth_set_dist_key static (fate#326572).
- dpaa2-eth: Fix Kconfig dependencies (fate#326572).
- dpaa2-eth: Don't account Tx confirmation frames on NAPI poll
  (fate#326572).
- net: dpaa2: fix and improve dpaa2-ptp driver (fate#326572).
- net: dpaa2: remove unused code for dprtc (fate#326572).
- net: dpaa2: rename rtc as ptp in dpaa2-ptp driver (fate#326572).
- net: dpaa2: fix dependency of config FSL_DPAA2_ETH
  (fate#326572).
- dpaa2-eth: Add ethtool support for flow classification
  (fate#326572).
- dpaa2-eth: Configure Rx flow classification key (fate#326572).
- dpaa2-eth: Rename structure (fate#326572).
- dpaa2-eth: Use new API for Rx flow hashing (fate#326572).
- dpaa2-eth: Make Rx flow hash key configurable (fate#326572).
- commit f0d0a3e
* Wed Nov 14 2018 mbrugger@suse.com
- ACPI / LPSS: Avoid PM quirks on suspend and resume from S3
  (fate#326249).
- commit 65e213d
* Wed Nov 14 2018 mbrugger@suse.com
- PCI / PM: Do not clear state_saved for devices that remain
  suspended (fate#326249).
- commit 6ddaa89
* Wed Nov 14 2018 yousaf.kaukab@suse.com
- rtc: pcf2127: fix a kmemleak caused in pcf2127_i2c_gather_write
  (fate#326572).
- spi: spi-fsl-dspi: use IRQF_SHARED mode to request IRQ
  (fate#326572).
- clk: qoriq: add more chips support (fate#326572).
- commit 6462997
* Wed Nov 14 2018 mbrugger@suse.com
- PM / core: Fix direct_complete handling for devices with no
  callbacks (fate#326249).
- commit bc9ad64
* Wed Nov 14 2018 jthumshirn@suse.de
- Update config files, move CONFIG_BLK_DEV_NULL_BLK to default (bsc#1115993).
- commit b57f8c4
* Wed Nov 14 2018 mbrugger@suse.com
- PCI / PM: Do not clear state_saved in pci_pm_freeze() when
  smart suspend is set (fate#326249).
- commit be4723e
* Wed Nov 14 2018 mbrugger@suse.com
- ACPI / PM: Do not reconfigure GPEs for suspend-to-idle
  (fate#326249).
- ACPI / sleep: EC-based wakeup from suspend-to-idle on recent
  systems (fate#326249).
- commit 2e993d8
* Wed Nov 14 2018 oneukum@suse.com
- PCI / ACPI: Whitelist D3 for more PCIe hotplug ports
  (FATE#326303).
- commit 12ff805
* Wed Nov 14 2018 oneukum@suse.com
- ACPI / property: Allow multiple property compatible _DSD entries
  (FATE#326303).
- commit 637cde9
* Wed Nov 14 2018 tbogendoerfer@suse.de
- samples/bpf: remove the bpf tunnel testsuite (bsc#1109837).
- selftests/bpf: bpf tunnel test (bsc#1109837).
- bpf: fix xdp_generic for bpf_adjust_tail usecase (bsc#1109837).
- tools, bpftool: Display license GPL compatible in prog show/list
  (bsc#1109837).
- tools, bpf: Sync bpf.h uapi header (bsc#1109837).
- bpf: Add gpl_compatible flag to struct bpf_prog_info
  (bsc#1109837).
- nfp: bpf: optimize comparisons to negative constants
  (bsc#1109837).
- nfp: bpf: tabularize generations of compare operations
  (bsc#1109837).
- nfp: bpf: optimize add/sub of a negative constant (bsc#1109837).
- nfp: bpf: remove double space (bsc#1109837).
- bpf: reduce runtime of test_sockmap tests (bsc#1109837).
- bpf: sockmap, remove samples program (bsc#1109837).
- bpf: sockmap, add a set of tests to run by default
  (bsc#1109837).
- bpf: sockmap, code sockmap_test in C (bsc#1109837).
- tools/bpf: remove test_sock_addr from TEST_GEN_PROGS
  (bsc#1109837).
- tools/bpf: add verifier tests for accesses to map values
  (bsc#1109837).
- bpf: allow map helpers access to map values directly
  (bsc#1109837).
- samples/bpf: extend test_tunnel_bpf.sh with xfrm state test
  (bsc#1109837).
- bpf: add helper for getting xfrm states (bsc#1109837).
- bpf: btf: Clean up btf.h in uapi (bsc#1109837).
- bpf: fix virtio-net's length calc for XDP_PASS (bsc#1109837).
- udp: add gso support to virtual devices (bsc#1109837).
- udp: add udp gso (bsc#1109837).
- ixgbe: Avoid performing unnecessary resets for macvlan offload
  (bsc#1113994 FATE#326315 FATE#326317).
- ixgbe: Drop real_adapter from l2 fwd acceleration structure
  (bsc#1113994 FATE#326315 FATE#326317).
- macvlan: Provide function for interfaces to release HW offload
  (bsc#1113994 FATE#326315 FATE#326317).
- macvlan: Add function to test for destination filtering support
  (bsc#1113994 FATE#326315 FATE#326317).
- ixgbe/fm10k: Drop tracking stats for macvlan broadcast/multicast
  (bsc#1113994 FATE#326315 FATE#326317).
- macvlan: Rename fwd_priv to accel_priv and add accessor function
  (bsc#1113994 FATE#326315 FATE#326317).
- nfp: flower: ignore duplicate cb requests for same rule
  (bsc#1109837).
- nfp: flower: support offloading multiple rules with same cookie
  (bsc#1109837).
- nfp: print PCIe link bandwidth on probe (bsc#1109837).
- nfp: reset local locks on init (bsc#1109837).
- vhost_net: use packet weight for rx handler, too (bsc#1109837).
- libbpf: fixed build error for samples/bpf/ (bsc#1109837).
- bpf: btf: Add BTF tests (bsc#1109837).
- bpf: btf: Add pretty print support to the basic arraymap
  (bsc#1109837).
- bpf: btf: Add BPF_OBJ_GET_INFO_BY_FD support to BTF fd
  (bsc#1109837).
- bpf: btf: Add pretty print capability for data with BTF type
  info (bsc#1109837).
- bpf: btf: Check members of struct/union (bsc#1109837).
- bpf: btf: Validate type reference (bsc#1109837).
- bpf: btf: Introduce BPF Type Format (BTF) (bsc#1109837).
- bpf: reserve xdp_frame size in xdp headroom (bsc#1109837).
- bpf: add bpf_xdp_adjust_tail sample prog (bsc#1109837).
- bpf: adding tests for bpf_xdp_adjust_tail (bsc#1109837).
- bpf: make virtio compatible w/ bpf_xdp_adjust_tail
  (bsc#1109837).
- bpf: make tun compatible w/ bpf_xdp_adjust_tail (bsc#1109837).
- bpf: make netronome nfp compatible w/ bpf_xdp_adjust_tail
  (bsc#1109837).
- bpf: make generic xdp compatible w/ bpf_xdp_adjust_tail
  (bsc#1109837).
- bpf: adding bpf_xdp_adjust_tail helper (bsc#1109837).
- tools: bpftool: make it easier to feed hex bytes to bpftool
  (bsc#1109837).
- samples/bpf: fix xdp_monitor user output for tracepoint
  exception (bsc#1109837).
- samples/bpf: correct comment in sock_example.c (bsc#1109837).
- libbpf: Type functions for raw tracepoints (bsc#1109837).
- libbpf: Support guessing post_bind{4,6} progs (bsc#1109837).
- bpftool: Support new prog types and attach types (bsc#1109837).
- tun: do not compute the rxhash, if not needed (bsc#1109837).
- net: pskb_trim_rcsum() and CHECKSUM_COMPLETE are friends
  (bsc#1109837).
- xdp: avoid leaking info stored in frame data on page reuse
  (bsc#1109837).
- xdp: transition into using xdp_frame for ndo_xdp_xmit
  (bsc#1109837 bsc#1111981 FATE#326312 FATE#326313 bsc#1113994
  FATE#326315 FATE#326317).
- xdp: transition into using xdp_frame for return API (bsc#1109837
  bsc#1111981 FATE#326312 FATE#326313 bsc#1113994 FATE#326315
  FATE#326317).
- xdp: allow page_pool as an allocator type in xdp_return_frame
  (bsc#1109837).
- page_pool: refurbish version of page_pool code (bsc#1109837).
- xdp: rhashtable with allocator ID to pointer mapping
  (bsc#1109837).
- i40e: convert to use generic xdp_frame and xdp_return_frame API
  (bsc#1111981 FATE#326312 FATE#326313).
- bpf: cpumap convert to use generic xdp_frame (bsc#1109837).
- virtio_net: convert to use generic xdp_frame and
  xdp_return_frame API (bsc#1109837).
- tun: convert to use generic xdp_frame and xdp_return_frame API
  (bsc#1109837).
- xdp: introduce a new xdp_frame type (bsc#1109837).
- xdp: move struct xdp_buff from filter.h to xdp.h (bsc#1109837).
- ixgbe: use xdp_return_frame API (bsc#1113994 FATE#326315
  FATE#326317).
- xdp: introduce xdp_return_frame API and use in cpumap
  (bsc#1109837).
- RCU, workqueue: Implement rcu_work (bsc#1109837).
- selftests/bpf: Selftest for sys_bind post-hooks (bsc#1109837).
- selftests/bpf: Selftest for sys_connect hooks (bsc#1109837).
- bpf: Hooks for sys_connect (bsc#1109837).
- net: Introduce __inet_bind() and __inet6_bind (bsc#1109837).
- net: introduce IFF_NO_RX_HANDLER (bsc#1109837).
- net: unpollute priv_flags space (bsc#1109837).
- bpf: make function xdp_do_generic_redirect_map() static
  (bsc#1109837).
- device_cgroup: prepare code for bpf-based device controller
  (bsc#1109837).
- device_cgroup: add DEVCG_ prefix to ACC_* and DEV_* constants
  (bsc#1109837).
- bonding: remove rtmsg_ifinfo called in
  bond_master_upper_dev_link (bsc#1109837).
- rtnetlink: do not set notification for tx_queue_len in
  do_setlink (bsc#1109837).
- commit 7aeff4b
* Wed Nov 14 2018 tzimmermann@suse.de
- ASoC: dwc: Added a quirk DW_I2S_QUIRK_16BIT_IDX_OVERRIDE to dwc (bsc#1085535)
- commit bc6b192
* Wed Nov 14 2018 tiwai@suse.de
- timer: Provide wrappers safe for use with LOCKDEP (FATE#326887).
- commit 5ac7159
* Wed Nov 14 2018 tiwai@suse.de
- Refresh
  patches.suse/drm-i915-CFL-NVMe-breakage-workaround.patch.
  Enable LSPCON instead of blindly disabling HDMI
- commit 263e523
* Wed Nov 14 2018 oneukum@suse.com
- PCI/portdrv: Rename and reverse sense of pcie_ports_auto
  (FATE#326302).
- Refresh
  patches.drivers/0001-PCI-pciehp-Rename-host-native_hotplug-to-host-native.patch.
- commit 0e514d7
* Wed Nov 14 2018 tiwai@suse.de
- supported.conf: Add r8832be entry (FATE#326887)
- commit d4086d8
* Wed Nov 14 2018 lhenriques@suse.com
- ceph: show ino32 if the value is different with default
  (FATE#324714).
- ceph: strengthen rsize/wsize/readdir_max_bytes validation
  (FATE#324714).
- libceph: allocate the locator string with GFP_NOFAIL
  (FATE#324714).
- libceph: make abort_on_full a per-osdc setting (FATE#324714).
- Refresh
  patches.fixes/ceph-avoid-a-use-after-free-in-ceph_destroy_options.patch
- libceph: don't abort reads in ceph_osdc_abort_on_full()
  (FATE#324714).
- libceph: avoid a use-after-free during map check (FATE#324714).
- libceph: don't warn if req->r_abort_on_full is set
  (FATE#324714).
- libceph: use for_each_request() in ceph_osdc_abort_on_full()
  (FATE#324714).
- libceph: defer __complete_request() to a workqueue
  (FATE#324714).
- libceph: move more code into __complete_request() (FATE#324714).
- libceph: no need to call flush_workqueue() before destruction
  (FATE#324714).
- ceph: flush pending works before shutdown super (FATE#324714).
- ceph: abort osd requests on force umount (FATE#324714).
- libceph: introduce ceph_osdc_abort_requests() (FATE#324714).
- ceph: show wsize only if non-default (FATE#324714).
- ceph: handle the new nfiles/nsubdirs fields in cap message
  (FATE#324714).
- commit 19ad5bb
* Wed Nov 14 2018 lhenriques@suse.com
- ceph: define argument structure for handle_cap_grant
  (FATE#324714).
- Refresh
  patches.fixes/ceph-fix-wrong-check-for-the-case-of-updating-link-count.patch.
- commit 40e7c20
* Wed Nov 14 2018 lhenriques@suse.com
- ceph: update i_files/i_subdirs only when Fs cap is issued
  (FATE#324714).
- ceph: always get rstat from auth mds (FATE#324714).
- ceph: use bit flags to define vxattr attributes (FATE#324714).
- libceph: use MSG_TRUNC for discarding received bytes
  (FATE#324714).
- libceph: get rid of more_kvec in try_write() (FATE#324714).
- commit 6ec2755
* Wed Nov 14 2018 nborisov@suse.com
- Btrfs: support swap files (fate#322477).
- Btrfs: rename and export get_chunk_map (fate#322477).
- Btrfs: prevent ioctls from interfering with a swap file
  (fate#322477).
- commit 1123026
* Wed Nov 14 2018 dchang@suse.com
- qlcnic: fix a return in qlcnic_dcb_get_capability() (bsc#1104396
  FATE#325894).
- qlcnic: Remove set but not used variables 'fw_mbx' and
  'hdr_size' (bsc#1104396 FATE#325894).
- qlcnic: remove ndo_poll_controller (bsc#1104396 FATE#325894).
- ethernet/qlogic: remove unused array msi_tgt_status (bsc#1104396
  FATE#325894).
- qlcnic: Mark expected switch fall-througs (bsc#1104396
  FATE#325894).
- qlcnic: Eliminate duplicate barriers on weakly-ordered archs
  (bsc#1104396 FATE#325894).
- commit f94d7d7
* Wed Nov 14 2018 dchang@suse.com
- qlge: mark expected switch fall-through (bsc#1104398
  FATE#325895).
- commit d33f9a3
* Wed Nov 14 2018 dchang@suse.com
- net: qlge: Eliminate duplicate barriers on weakly-ordered archs
  (bsc#1104398 FATE#325895).
- commit 119838c
* Wed Nov 14 2018 dchang@suse.com
- qlge: remove duplicated assignment to mbcp (bsc#1104398
  FATE#325895).
- commit 6433e90
* Wed Nov 14 2018 nborisov@suse.com
- mm: export add_swap_extent() (fate#322477).
- mm: split SWP_FILE into SWP_ACTIVATED and SWP_FS (fate#322477).
- commit 8d42aec
* Wed Nov 14 2018 tiwai@suse.de
- uio: ensure class is registered before devices (bsc#1051510).
- commit 18bdb23
* Wed Nov 14 2018 tiwai@suse.de
- ALSA: ca0106: Disable IZD on SB0570 DAC to fix audio pops
  (bsc#1051510).
- commit 496d342
* Wed Nov 14 2018 tiwai@suse.de
- brcmfmac: fix for proper support of 160MHz bandwidth
  (bsc#1051510).
- ath10k: schedule hardware restart if WMI command times out
  (bsc#1051510).
- commit fcb3851
* Wed Nov 14 2018 tiwai@suse.de
- HID: hiddev: fix potential Spectre v1 (bsc#1051510).
- driver/dma/ioat: Call del_timer_sync() without holding prep_lock
  (bsc#1051510).
- Bluetooth: btbcm: Add entry for BCM4335C0 UART bluetooth
  (bsc#1051510).
- commit bba0171
* Wed Nov 14 2018 tiwai@suse.de
- hwmon: (core) Fix double-free in __hwmon_device_register()
  (bsc#1051510).
- hwmon: (pmbus) Fix page count auto-detection (bsc#1051510).
- hwmon: (pwm-fan) Set fan speed to 0 on suspend (bsc#1051510).
- commit f37d881
* Wed Nov 14 2018 tiwai@suse.de
- iwlwifi: mvm: check return value of rs_rate_from_ucode_rate()
  (bsc#1051510).
- iwlwifi: pcie: avoid empty free RB queue (bsc#1051510).
- iwlwifi: mvm: fix BAR seq ctrl reporting (bsc#1051510).
- commit b630745
* Wed Nov 14 2018 tiwai@suse.de
- ima: fix showing large 'violations' or
  'runtime_measurements_count' (bsc#1051510).
- commit e719b53
* Wed Nov 14 2018 tiwai@suse.de
- bitops: protect variables in bit_clear_unless() macro
  (bsc#1051510).
- bitops: protect variables in set_mask_bits() macro
  (bsc#1051510).
- commit 6b40d91
* Wed Nov 14 2018 tiwai@suse.de
- kgdboc: Passing ekgdboc to command line causes panic
  (bsc#1051510).
- pcmcia: Implement CLKRUN protocol disabling for Ricoh bridges
  (bsc#1051510).
- mmc: sdhci-pci-o2micro: Add quirk for O2 Micro dev 0x8620 rev
  0x01 (bsc#1051510).
- mmc: dw_mmc-rockchip: correct property names in debug
  (bsc#1051510).
- commit a863538
* Wed Nov 14 2018 tiwai@suse.de
- usbip:vudc: BUG kmalloc-2048 (Not tainted): Poison overwritten
  (bsc#1051510).
- usb: host: ohci-at91: fix request of irq for optional gpio
  (bsc#1051510).
- usb: gadget: udc: atmel: handle at91sam9rl PMC (bsc#1051510).
- commit 906f4ab
* Wed Nov 14 2018 tiwai@suse.de
- PCI/MSI: Warn and return error if driver enables MSI/MSI-X twice
  (bsc#1051510).
- PCI: Add Device IDs for Intel GPU "spurious interrupt" quirk
  (bsc#1051510).
- commit 43db261
* Wed Nov 14 2018 tiwai@suse.de
- blacklist.conf: Add iwlwifi fix that breaks kABI
- commit 970c9b2
* Wed Nov 14 2018 tiwai@suse.de
- blacklist.conf: Add ALSA hda entry that breaks kABI
- commit 58c3e52
* Wed Nov 14 2018 colyli@suse.de
- MD: Memory leak when flush bio size is zero (bsc#1111974).
- md: fix memleak for mempool (bsc#1111974).
- md: remove redundant code that is no longer reachable
  (bsc#1111974).
- bcache: fix ioctl in flash device (bsc#1111974).
- commit 03ceed6
* Tue Nov 13 2018 bp@suse.de
- x86/ldt: Remove unused variable in map_ldt_struct()
  (bsc#1114279).
- commit baa51fd
* Tue Nov 13 2018 mbrugger@suse.com
- PCI/AER: Provide aer_get_device_error_info() to PCI core
  (fate#326249).
- commit 0cea9e2
* Tue Nov 13 2018 mbrugger@suse.com
- PCI: Make PCI_SCAN_ALL_PCIE_DEVS work for Root as well as
  Downstream Ports (fate#326249).
- commit c3db3a2
* Tue Nov 13 2018 mbrugger@suse.com
- PCI/ASPM: Unexport internal ASPM interfaces (fate#326249).
- Refresh
  patches.drivers/0001-PCI-Add-generic-pcie_wait_for_link-interface.patch.
- commit 0ad2686
* Tue Nov 13 2018 mbrugger@suse.com
- PCI/ASPM: Enable Latency Tolerance Reporting when supported
  (fate#326249).
- commit c6d3b1f
* Tue Nov 13 2018 mbrugger@suse.com
- PCI/AER: Return error if AER is not supported (fate#326249).
- commit 7f80b57
* Tue Nov 13 2018 mbrugger@suse.com
- PCI/AER: Skip recovery callbacks for correctable errors from
  ACPI APEI (fate#326249).
- commit f5c2583
* Tue Nov 13 2018 mbrugger@suse.com
- ACPI / PM: Support for LEAVE_SUSPENDED driver flag in ACPI PM
  domain (fate#326249).
- commit 44e08d7
* Tue Nov 13 2018 mbrugger@suse.com
- PCI / PM: Support for LEAVE_SUSPENDED driver flag (fate#326249).
- commit c49e784
* Tue Nov 13 2018 mbrugger@suse.com
- PM / core: Add LEAVE_SUSPENDED driver flag (fate#326249).
- commit 71026a7
* Tue Nov 13 2018 mbrugger@suse.com
- PM / sleep: Avoid excess pm_runtime_enable() calls in
  device_resume() (fate#326249).
- commit ea2964c
* Tue Nov 13 2018 mbrugger@suse.com
- ACPI / PM: Take SMART_SUSPEND driver flag into account
  (fate#326249).
- commit afbf00f
* Tue Nov 13 2018 mbrugger@suse.com
- PCI / PM: Take SMART_SUSPEND driver flag into account
  (fate#326249).
- commit cea037c
* Tue Nov 13 2018 mbrugger@suse.com
- PCI / PM: Drop unnecessary invocations of pcibios_pm_ops
  callbacks (fate#326249).
- commit 889f0a8
* Tue Nov 13 2018 mbrugger@suse.com
- PM / core: Add SMART_SUSPEND driver flag (fate#326249).
- commit 74bd9e3
* Tue Nov 13 2018 mbrugger@suse.com
- PCI / PM: Use the NEVER_SKIP driver flag (fate#326249).
- commit 876b11e
* Tue Nov 13 2018 mbrugger@suse.com
- PM / core: Add NEVER_SKIP and SMART_PREPARE driver flags
  (fate#326249).
- commit 3652063
* Tue Nov 13 2018 msuchanek@suse.de
- Build subpackages in QA repo.
- commit 0b983d4
* Tue Nov 13 2018 mbrugger@suse.com
- ACPI / LPSS: Consolidate runtime PM and system sleep handling
  (fate#326249).
- commit 5dbde59
* Tue Nov 13 2018 mbrugger@suse.com
- ACPI / PM: Combine device suspend routines (fate#326249).
- commit 3be4b7d
* Tue Nov 13 2018 mbrugger@suse.com
- ACPI / PM: Split code validating need for runtime resume in
  - >prepare() (fate#326249).
- commit 3bfd0ac
* Tue Nov 13 2018 mbrugger@suse.com
- ACPI / PM: Restore acpi_subsys_complete() (fate#326249).
- commit 36fb662
* Tue Nov 13 2018 mbrugger@suse.com
- ACPI / PM: Combine two identical device resume routines
  (fate#326249).
- commit e2e0e0c
* Tue Nov 13 2018 mbrugger@suse.com
- PM / QoS: Drop PM_QOS_FLAG_REMOTE_WAKEUP (fate#326249).
- commit ccc87d8
* Tue Nov 13 2018 mbrugger@suse.com
- PCI/DPC: Add local struct device pointers (fate#326249).
- Refresh
  patches.drivers/pci-dpc-enable-dpc-only-if-aer-is-available.
- commit 814e174
* Tue Nov 13 2018 yousaf.kaukab@suse.com
- ACPI/APEI: Handle GSIV and GPIO notification types
  (bsc#1115567).
  Refresh:
  patches.drivers/0024-acpi-apei-handle-SEA-notification-type-for-ARMv8.patch
- commit e2df716
* Tue Nov 13 2018 msuchanek@suse.de
- Add kernel-subpackage-build.spec (FATE#326579).
  - add kernel-subpackage-build.spec.in and support scripts
  - hook it in mkspec
  - extend the mechanism that copies dependencies inside
  kernel-binary.spec.in from kernel-%%build_flavor to
  kernel-%%build_flavor-base to also handle
  kernel-subpackage-build.spec.in using BINARY DEPS marker.
  - expand %%name in kernel-%%build_flavor so the dependencies are expanded
  correctly in kernel-subpackage-build.spec.in
- commit 9b3ca32
* Tue Nov 13 2018 bp@suse.de
- x86/cpu/vmware: Do not trace vmware_sched_clock() (bsc#1114279).
- blacklist.conf: blacklist some unneeded git-fixes patches
- x86/ldt: Unmap PTEs for the slot before freeing LDT pages
  (bsc#1114279).
- acpi/nfit, x86/mce: Validate a MCE's address before using it
  (bsc#1114279).
- acpi/nfit, x86/mce: Handle only uncorrectable machine checks
  (bsc#1114279).
- x86/mm/pat: Disable preemption around __flush_tlb_all()
  (bsc#1114279).
- x86/ldt: Split out sanity check in map_ldt_struct()
  (bsc#1114279).
- x86/MCE: Make correctable error detection look at the Deferred
  bit (bsc#1114279).
- kbuild: move "_all" target out of $(KBUILD_SRC) conditional
  (bsc#1114279).
- percpu: make this_cpu_generic_read() atomic w.r.t. interrupts
  (bsc#1114279).
- commit 26a9f67
* Tue Nov 13 2018 mbrugger@suse.com
- PCI/DPC: Add eDPC support (fate#326249).
- Refresh
  patches.drivers/0001-PCI-Add-generic-pcie_wait_for_link-interface.patch.
- Refresh
  patches.drivers/0001-PCI-DPC-Rename-from-pcie-dpc.c-to-dpc.c.patch.
- Refresh
  patches.drivers/pci-dpc-enable-dpc-only-if-aer-is-available.
- commit 9761e7a
* Tue Nov 13 2018 mbrugger@suse.com
- ACPI / PCI / PM: Rework acpi_pci_propagate_wakeup()
  (fate#326249).
- commit 6372522
* Tue Nov 13 2018 mbrugger@suse.com
- ACPI / PM: Split acpi_device_wakeup() (fate#326249).
- commit d1a0bd5
* Tue Nov 13 2018 mbrugger@suse.com
- PCI / PM: Skip bridges in pci_enable_wake() (fate#326249).
- commit bc35859
* Tue Nov 13 2018 mbrugger@suse.com
- PCI/portdrv: Allocate MSI/MSI-X vector for Downstream Port
  Containment (fate#326249).
- Refresh
  patches.fixes/pci-portdrv-factor-out-interrupt-message-number-lookup.
- commit db9bab6
* Tue Nov 13 2018 mbrugger@suse.com
- PCI/portdrv: Support multiple interrupts for MSI as well as
  MSI-X (fate#326249).
- Refresh
  patches.fixes/pci-portdrv-compute-msi-msi-x-irq-vectors-after-final-allocation.
- Refresh
  patches.fixes/pci-portdrv-factor-out-interrupt-message-number-lookup.
- commit 6717c25
* Tue Nov 13 2018 mbrugger@suse.com
- PM / core: Drop run_wake flag from struct dev_pm_info
  (fate#326249).
- commit 5239abf
* Tue Nov 13 2018 mbrugger@suse.com
- PCI / PM: Simplify device wakeup settings code (fate#326249).
- Refresh
  patches.drivers/0001-PCI-Disable-PCIe-Relaxed-Ordering-if-unsupported.patch.
- Refresh
  patches.drivers/PCI-Restore-config-space-on-runtime-resume-despite-b.
- commit 2adaade
* Tue Nov 13 2018 mbrugger@suse.com
- PCI / PM: Drop pme_interrupt flag from struct pci_dev
  (fate#326249).
- commit 9434535
* Tue Nov 13 2018 mbrugger@suse.com
- ACPI / PM: Consolidate device wakeup settings code
  (fate#326249).
- commit c8a2684
* Tue Nov 13 2018 mbrugger@suse.com
- ACPI / PM: Drop run_wake from struct acpi_device_wakeup_flags
  (fate#326249).
- commit a5eaeaa
* Tue Nov 13 2018 mbrugger@suse.com
- ACPI / PM: Clean up device wakeup enable/disable code
  (fate#326249).
- Refresh
  patches.drivers/0002-ACPI-PM-Ignore-spurious-SCI-wakeups-from-suspend-to-.patch.
- commit 3efab7b
* Tue Nov 13 2018 mbrugger@suse.com
- ACPI / PM: Change log level of wakeup-related message
  (fate#326249).
- commit ee745b4
* Tue Nov 13 2018 mhocko@suse.com
- Refresh
  patches.fixes/0001-mm-rework-memcg-kernel-stack-accounting.patch.
- commit 17a04dd
* Tue Nov 13 2018 oneukum@suse.com
- PCI: pciehp: Rename host->native_hotplug to
  host->native_pcie_hotplug (FATE#326302).
- Refresh
  patches.drivers/0001-PCI-shpchp-Request-SHPC-control-via-_OSC-when-adding.patch.
- commit a780d2c
* Tue Nov 13 2018 colyli@suse.de
- dm linear: fix linear_end_io conditional definition
  (bsc#1111974).
- dm linear: eliminate linear_end_io call if CONFIG_DM_ZONED
  disabled (bsc#1111974).
- dm: fix report zone remapping to account for partition offset
  (bsc#1111974).
- dm cache: destroy migration_cache if cache target registration
  failed (bsc#1111974).
- dm cache: fix resize crash if user doesn't reload cache table
  (bsc#1111974).
- dm cache metadata: ignore hints array being too small during
  resize (bsc#1111974).
- dm raid: remove bogus const from decipher_sync_action() return
  type (bsc#1111974).
- dm thin metadata: fix __udivdi3 undefined on 32-bit
  (bsc#1111974).
- bcache: add separate workqueue for journal_write to avoid
  deadlock (bsc#1111974).
- dm thin metadata: try to avoid ever aborting transactions
  (bsc#1111974).
- dm raid: bump target version, update comments and documentation
  (bsc#1111974).
- dm raid: fix RAID leg rebuild errors (bsc#1111974).
- dm raid: fix rebuild of specific devices by updating superblock
  (bsc#1111974).
- dm raid: fix stripe adding reshape deadlock (bsc#1111974).
- dm raid: fix reshape race on small devices (bsc#1111974).
- dm: disable CRYPTO_TFM_REQ_MAY_SLEEP to fix a GFP_KERNEL
  recursion deadlock (bsc#1111974).
- dm verity: fix crash on bufio buffer that was allocated with
  vmalloc (bsc#1111974).
- md/dm-writecache: Don't request pointer dummy_addr when not
  required (bsc#1111974).
- bcache: add the missing comments for smp_mb()/smp_wmb()
  (bsc#1111974).
- bcache: remove unnecessary space before ioctl function pointer
  arguments (bsc#1111974).
- bcache: add missing SPDX header (bsc#1111974).
- bcache: move open brace at end of function definitions to next
  line (bsc#1111974).
- bcache: add static const prefix to char * array declarations
  (bsc#1111974).
- bcache: fix code comments style (bsc#1111974).
- bcache: do not check NULL pointer before calling
  kmem_cache_destroy (bsc#1111974).
- bcache: prefer 'help' in Kconfig (bsc#1111974).
- bcache: fix typo 'succesfully' to 'successfully' (bsc#1111974).
- bcache: replace '%%pF' by '%%pS' in seq_printf() (bsc#1111974).
- bcache: fix indent by replacing blank by tabs (bsc#1111974).
- bcache: replace printk() by pr_*() routines (bsc#1111974).
- bcache: replace Symbolic permissions by octal permission numbers
  (bsc#1111974).
- bcache: style fixes for lines over 80 characters (bsc#1111974).
- bcache: add identifier names to arguments of function
  definitions (bsc#1111974).
- bcache: style fix to add a blank line after declarations
  (bsc#1111974).
- bcache: style fix to replace 'unsigned' by 'unsigned int'
  (bsc#1111974).
- bcache: use routines from lib/crc64.c for CRC64 calculation
  (bsc#1111974).
- lib: add crc64 calculation routines (bsc#1111974).
- md: Avoid namespace collision with bitmap API (bsc#1111974).
- dm: Avoid namespace collision with bitmap API (bsc#1111974).
- dm writecache: fix a crash due to reading past end of
  dirty_bitmap (bsc#1111974).
- dm crypt: don't decrease device limits (bsc#1111974).
- dm cache metadata: set dirty on all cache blocks after a crash
  (bsc#1111974).
- dm snapshot: remove stale FIXME in snapshot_map() (bsc#1111974).
- dm snapshot: improve performance by switching out_of_order_list
  to rbtree (bsc#1111974).
- dm kcopyd: avoid softlockup in run_complete_job (bsc#1111974).
- dm cache metadata: save in-core policy_hint_size to on-disk
  superblock (bsc#1111974).
- dm thin: stop no_space_timeout worker when switching to
  write-mode (bsc#1111974).
- dm kcopyd: return void from dm_kcopyd_copy() (bsc#1111974).
- dm thin: include metadata_low_watermark threshold in pool status
  (bsc#1111974).
- dm writecache: report start_sector in status line (bsc#1111974).
- dm crypt: convert essiv from ahash to shash (bsc#1111974).
- dm crypt: use wake_up_process() instead of a wait queue
  (bsc#1111974).
- dm integrity: recalculate checksums on creation (bsc#1111974).
- dm integrity: flush journal on suspend when using separate
  metadata device (bsc#1111974).
- dm integrity: use version 2 for separate metadata (bsc#1111974).
- dm integrity: allow separate metadata device (bsc#1111974).
- dm integrity: add ic->start in get_data_sector() (bsc#1111974).
- dm integrity: report provided data sectors in the status
  (bsc#1111974).
- dm integrity: implement fair range locks (bsc#1111974).
- dm integrity: decouple common code in
  dm_integrity_map_continue() (bsc#1111974).
- dm integrity: change 'suspending' variable from bool to int
  (bsc#1111974).
- dm delay: add flush as a third class of IO (bsc#1111974).
- dm delay: refactor repetitive code (bsc#1111974).
- dm cache: only allow a single io_mode cache feature to be
  requested (bsc#1111974).
- drivers/md/raid5: Do not disable irq on
  release_inactive_stripe_list() call (bsc#1111974).
- drivers/md/raid5: Use irqsave variant of atomic_dec_and_lock()
  (bsc#1111974).
- md/r5cache: remove redundant pointer bio (bsc#1111974).
- bcache: trivial - remove tailing backslash in macro BTREE_FLAG
  (bsc#1111974).
- bcache: add code comments for bset.c (bsc#1111974).
- bcache: fix mistaken comments in request.c (bsc#1111974).
- bcache: fix mistaken code comments in bcache.h (bsc#1111974).
- bcache: add a comment in super.c (bsc#1111974).
- bcache: stop using the deprecated get_seconds() (bsc#1111974).
- bcache: do not assign in if condition in bcache_device_init()
  (bsc#1111974).
- bcache: do not assign in if condition in bcache_init()
  (bsc#1111974).
- bcache: do not assign in if condition register_bcache()
  (bsc#1111974).
- block: allow max_discard_segments to be stacked (bsc#1111974).
- md: remove a bogus comment (bsc#1111974).
- bcache: don't clone bio in bch_data_verify (bsc#1111974).
- RAID/s390: Remove VLA usage (bsc#1111974).
- Partially revert "block: fail op_is_write() requests to
  read-only partitions" (bsc#1111974).
- block: reset bi_iter.bi_done after splitting bio (bsc#1111974).
- dm thin: handle running out of data space vs concurrent discard
  (bsc#1111974).
- dm thin metadata: remove needless work from __commit_transaction
  (bsc#1111974).
- atomic: Add irqsave variant of atomic_dec_and_lock()
  (bsc#1111974).
- dm: adjust structure members to improve alignment (bsc#1111974).
- dm: report which conflicting type caused error during
  table_load() (bsc#1111974).
- MD: fix lock contention for flush bios (bsc#1111974).
- md/raid5: Assigning NULL to sh->batch_head before testing bit
  R5_Overlap of a stripe (bsc#1111974).
- raid5: copy write hint from origin bio to stripe (bsc#1111974).
- md: fix an error code format and remove unsed bio_sector
  (bsc#1111974).
- dm/verity_fec: Use GFP aware reed solomon init (bsc#1111974).
- rslib: Add GFP aware init function (bsc#1111974).
- bcache: Replace bch_read_string_list() by __sysfs_match_string()
  (bsc#1111974).
- bcache: Move couple of functions to sysfs.c (bsc#1111974).
- bcache: Move couple of string arrays to sysfs.c (bsc#1111974).
- bcache: stop bcache device when backing device is offline
  (bsc#1111974).
- block: Add missing flush_dcache_page() call (bsc#1111974).
- block: Split out bio_list_copy_data() (bsc#1111974).
- block: Add bio_copy_data_iter(), zero_fill_bio_iter()
  (bsc#1111974).
- mempool: Add mempool_init()/mempool_exit() (bsc#1111974).
- dm thin: update Documentation to clarify when "read_only"
  is valid (bsc#1111974).
- dm mirror: remove VLA usage (bsc#1111974).
- dm: fix some sparse warnings and whitespace in dax methods
  (bsc#1111974).
- dm cache background tracker: fix sparse warning (bsc#1111974).
- dax, dm: allow device-mapper to operate without dax support
  (bsc#1111974).
- lib/raid6: Build proper raid6test files on powerpc
  (bsc#1111974).
- lib/raid6/altivec: Add vpermxor implementation for raid6 Q
  syndrome (bsc#1111974).
- dm: remove fmode_t argument from .prepare_ioctl hook
  (bsc#1111974).
- dm: hold DM table for duration of ioctl rather than use
  blkdev_get (bsc#1111974).
- dm verity: make verity_for_io_block static (bsc#1111974).
- dm verity: add 'check_at_most_once' option to only validate
  hashes once (bsc#1111974).
- dm: add support for secure erase forwarding (bsc#1111974).
- dm unstripe: remove unnecessary header includes (bsc#1111974).
- dm unstripe: remove superfluous module init error path message
  (bsc#1111974).
- dm unstripe: add "dm-unstriped" module alias (bsc#1111974).
- dm unstripe: support non-power-of-2 chunk size (bsc#1111974).
- dm: allow targets to return output from messages they are sent
  (bsc#1111974).
- dm: fix dropped return code from dm_get_bdev_for_ioctl
  (bsc#1111974).
- dm table: allow upgrade from bio-based to specialized bio-based
  variant (bsc#1111974).
- dm: use blkdev_get rather than bdgrab when issuing pass-through
  ioctl (bsc#1111974).
- dm unstripe: fix target length versus number of stripes size
  check (bsc#1111974).
- dm thin: extend thinpool status format string with omitted
  fields (bsc#1111974).
- dm thin: fixes in thin-provisioning.txt (bsc#1111974).
- md: introduce new personality funciton start() (bsc#1111974).
- dm: move dm-verity to generic async completion (bsc#1111974).
- string.h: un-fortify memcpy_and_pad (bsc#1111974).
- string.h: add memcpy_and_pad() (bsc#1111974).
- lib/string.c: add multibyte memset functions (bsc#1111974).
- lib/raid6: align AVX512 constants to 512 bits, not bytes
  (bsc#1111974).
- md/raid6: implement recovery using ARM NEON intrinsics
  (bsc#1111974).
- md/raid6: use faster multiplication for ARM NEON delta syndrome
  (bsc#1111974).
- commit adafe3a
* Tue Nov 13 2018 lhenriques@suse.com
- rbd: remove VLA usage (FATE#324714).
- rbd: fix spelling mistake: "reregisteration" -> "reregistration"
  (FATE#324714).
- ceph: rename function drop_leases() to a more descriptive name
  (FATE#324714).
- libceph, ceph: add __init attribution to init funcitons
  (FATE#324714).
- ceph: invalidate pages that beyond EOF in
  ceph_writepages_start() (FATE#324714).
- commit 6579ba9
* Tue Nov 13 2018 tiwai@suse.de
- Update config files: enable CONFIG_R8822BE=m (FATE#326887)
- commit 7b930a2
* Tue Nov 13 2018 tiwai@suse.de
- staging: rtlwifi: phydm: fix spelling mistake "Abnrormal" ->
  "Abnormal" (FATE#326887).
- staging: rtlwifi: Remove unnecessary parentheses (FATE#326887).
- staging: rtlwifi: Removed unused define and code efuse_re_pg*
  from wifi.h (FATE#326887).
- staging: rtlwifi: Return -ENOMEM instead of -1 (FATE#326887).
- staging: rtlwifi: Remove set but not used variable 'ppsc'
  (FATE#326887).
- staging: rtlwifi: Use proper enumerated types for Wi-Fi only
  interface (FATE#326887).
- Staging: rtlwifi: remove unnecessary NULL check (FATE#326887).
- Staging: rtlwifi: efuse: Fixed a line length code styling issue
  (FATE#326887).
- staging: rtlwifi: refactor rtl_get_tcb_desc (FATE#326887).
- Staging: rtlwifi: base: Modified the line ending with a
  parenthesis (FATE#326887).
- staging: rtlwifi: Remove empty halmac_pcie_reg.h (FATE#326887).
- staging: rtlwifi: Fix a possible sleep-in-atomic-context bug
  in _is_fw_read_cmd_down() (FATE#326887).
- staging: rtlwifi: Fix "Alwyas"->"Always" (FATE#326887).
- staging: rtlwifi: Fix "writen"->"written" (FATE#326887).
- staging: rtlwifi: Fix "Trafic"->"Traffic" (FATE#326887).
- staging: r8822be: Fix RTL8822be can't find any wireless AP
  (FATE#326887).
- staging: rtlwifi: don't check the return value of
  debugfs_create_file (FATE#326887).
- staging: rtlwifi: use single_open and single_release properly
  (FATE#326887).
- staging: rtlwifi: fix spelling mistake: "Platfoem" -> "Platform"
  (FATE#326887).
- staging: rtlwifi: fix spelling mistake: "traking" -> "tracking"
  (FATE#326887).
- staging: r8822be: fix typo in variable name "offest" -> "offset"
  (FATE#326887).
- staging: rtlwifi: Replace license boilerplate with SPDX
  identifiers (FATE#326887).
- staging: r8822be: fix typos in header guard macros
  (FATE#326887).
- staging: rtlwifi: Remove nonessential semicolon (FATE#326887).
- staging: rtlwifi: remove unneeded semicolon (FATE#326887).
- staging: rtlwifi: remove condition where it has no effect
  (FATE#326887).
- staging: rtlwifi: add identifier names to function definition
  arguments (FATE#326887).
- kconfig: use bool instead of boolean for type definition
  attributes, again (FATE#326887).
- staging: rtlwifi: remove redundant initialization of 'cfg_cmd'
  (FATE#326887).
- staging: rtlwifi: remove unused RTLHALMAC_ST and RTLPHYDM_ST
  (FATE#326887).
- Staging: rtlwifi: Remove unused variable and the code
  (FATE#326887).
- staging: rtl8822be: fix missing null check on dev_alloc_skb
  return (FATE#326887).
- staging: rtlwifi: rtlwifi: use ktime_get_real_seconds() for
  suspend time (FATE#326887).
- staging: rtlwifi: remove redundant assignments to ul_enc_algo
  (FATE#326887).
- staging: rtl8822be: fix wrong dma unmap len (FATE#326887).
- staging: rtlwifi: Remove unused variable (FATE#326887).
- Staging: rtlwifi: pci: fixed a coding style issue (FATE#326887).
- staging: r8822be: mark expected switch fall-throughs
  (FATE#326887).
- staging: rtlwifi: phydm: Remove useless parentheses
  (FATE#326887).
- staging: rtlwifi: Remove unnecessary parentheses (FATE#326887).
- rtlwifi: Fix typo in if ... else if ... else construct
  (FATE#326887).
- staging: rtlwifi: halmac: mark expected switch fall-through
  (FATE#326887).
- staging: rtlwifi: mark expected switch fall-through in
  rtl_make_smps_action (FATE#326887).
- staging: rtlwifi: Convert timers to use timer_setup()
  (FATE#326887).
- staging: rtlwifi: rtl8822be: Align the * in block comment
  (FATE#326887).
- staging: rtlwifi: rtl8822be: Remove useless parentheses
  (FATE#326887).
- staging: rtlwifi: rtl8822be: Use __func__ instead of hardcoded
  name (FATE#326887).
- staging: rtlwifi: rtl8822be: Balance braces in else statement
  (FATE#326887).
- staging: rtl8822be: Keep array subscript no lower than zero
  (FATE#326887).
- staging: rtlwifi: pr_err() strings should end with newlines
  (FATE#326887).
- staging: rtlwifi: make various structures static (FATE#326887).
- staging: rtlwifi: silence underflow warning (FATE#326887).
- staging: rtlwifi: use ARRAY_SIZE (FATE#326887).
- Staging: rtlwifi: halmac: Remove unnecessary 'out of memory'
  messages (FATE#326887).
- Staging: rtlwifi: Remove unnecessary 'out of memory' message
  (FATE#326887).
- staging: rtlwifi: remove unused functions (FATE#326887).
- staging: rtlwifi: use kcalloc instead of multiply (FATE#326887).
- staging: rtlwifi: fix parenthesis alignment (FATE#326887).
- staging: r8822be: fix null pointer dereferences with a null
  driver_adapter (FATE#326887).
- staging: r8822be: Simplify deinit_priv() (FATE#326887).
- staging: r8822be: Remove some dead code (FATE#326887).
- staging: rtlwifi: remove memset before memcpy (FATE#326887).
- staging: r8822be: remove some dead code (FATE#326887).
- staging: r8822be: fix null pointer dereference with a null
  driver_adapter (FATE#326887).
- staging: r8822be: fix memory leak of eeprom_map on error exit
  return (FATE#326887).
- staging: rtlwifi: Improve debugging by using debugfs
  (FATE#326887).
- staging: rtlwifi: check for array overflow (FATE#326887).
- staging: r8822be: remove unnecessary call to memset
  (FATE#326887).
- staging: rtlwifi: add MAC80211 dependency (FATE#326887).
- staging: rtlwifi: simplify logical operation (FATE#326887).
- staging: rtlwifi: shut up -Wmaybe-uninitialized warning
  (FATE#326887).
- staging: r8822be: fix a couple of spelling mistakes
  (FATE#326887).
- staging: rtlwifi: fix multiple build errors (FATE#326887).
- staging: rtlwifi: Reviewers fixes (FATE#326887).
- staging: r8822be: Add Makefiles and Kconfig for new driver
  (FATE#326887).
- staging: r8822be: Add the driver code (FATE#326887).
- staging: r8822be: Add phydm mini driver (FATE#326887).
- staging: r8822be: Add code for halmac sub-driver (FATE#326887).
- staging: r8822be: Add r8822be btcoexist routines to staging
  (FATE#326887).
- staging: r8822be: Copy existing btcoexist code into staging
  (FATE#326887).
- staging: r8822be: Add existing rtlwifi and rtl_pci parts for
  new driver (FATE#326887).
- commit f1d325e
* Tue Nov 13 2018 tiwai@suse.de
- timer: Prepare to change timer callback argument type
  (FATE#326887).
- commit 6f3b491
* Tue Nov 13 2018 lhenriques@suse.com
- ceph: add newline to end of debug message format (FATE#324714).
- Refresh patches.fixes/ceph-optimize-memory-usage.patch.
- commit 100b531
* Tue Nov 13 2018 mhocko@suse.com
- mm: handle no memcg case in memcg_kmem_charge() properly (bnc#1113677).
- mm: rework memcg kernel stack accounting (bnc#1113677).
- commit 563fd07
* Tue Nov 13 2018 nsaenzjulienne@suse.de
- usb: dwc2: host: do not delay retries for CONTROL IN transfers
  (bsc#1114385).
- commit 4302976
* Tue Nov 13 2018 nborisov@suse.com
- btrfs: Handle final split-brain possibility during fsid  change
  (fate#325871).
- btrfs: Handle one more split-brain scenario during fsid  change
  (fate#325871).
- btrfs: Introduce 2 more members to struct  btrfs_fs_devices
  (fate#325871).
- btrfs: Add handling for disk split-brain scenario during  fsid
  change (fate#325871).
- btrfs: Remove fsid/metadata_fsid fields from btrfs_info
  (fate#325871).
- btrfs: Introduce support for FSID change without metadata
  rewrite (fate#325871).
- commit 9f916d0
* Tue Nov 13 2018 oneukum@suse.com
- PCI: shpchp: Request SHPC control via _OSC when adding host
  bridge (FATE#326302).
- commit 3447884
* Tue Nov 13 2018 oneukum@suse.com
- PCI/portdrv: Simplify PCIe feature permission checking
  (FATE#328302).
- Refresh
  patches.drivers/pci-dpc-do-not-enable-dpc-if-aer-control-is-not-allowed-by-the-bios.
- commit b400ce4
* Tue Nov 13 2018 ptesarik@suse.cz
- s390/qeth: report 25Gbit link speed (FATE#326806, LTC#172270,
  bsc#1115424).
- commit c1b9a0a
* Tue Nov 13 2018 ptesarik@suse.cz
- s390/qeth: unregister netdevice only when registered
  (git-fixes).
- commit ea43c8a
* Tue Nov 13 2018 neilb@suse.com
- md: allow metadata updates while suspending an array - fix
  (git-fixes).
- commit 82c160f
* Tue Nov 13 2018 bpoirier@suse.com
- Revert "move changes without Git-commit out of sorted section"
  This reverts commit cbf049ebedc611cdffd443910686956c1f4b7554.
  The log for cbf049ebedc61 is:
  move changes without Git-commit out of sorted section
  However, the purpose of the out-of-tree section is precisely to contain
  patches without Git-commit tags.
  After discussion, it seems that this commit was made in an attempt to fix
  an unrelated and unreproduced problem.
  Patches which are in "Patch-mainline: Submitted" state are moved back to
  the out-of-tree subsection while they wait for a Git-commit tag.
  Patches which seem to be in "Patch-mainline: Never" state are moved to a
  position relevant to their subsystem after the sorted section.
- commit a389aee
* Tue Nov 13 2018 ptesarik@suse.cz
- s390/qeth: add TSO support for L2 devices (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: add support for IPv6 TSO (FATE#326377, LTC#169210,
  bsc#1115382).
- s390/qeth: enhance TSO control sequence (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: make TSO controls protocol-agnostic (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: remove duplicated carrier state tracking
  (FATE#326377, LTC#169210, bsc#1115382).
- s390/qeth: clean up drop conditions for received cmds
  (FATE#326377, LTC#169210, bsc#1115382).
- s390/qeth: re-indent qeth_check_ipa_data() (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: consume local address events (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: remove various redundant code (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: remove CARD_FROM_CDEV helper (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: pass card pointer in iob callback (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: re-use qeth_notify_skbs() (FATE#326377, LTC#169210,
  bsc#1115382).
- s390/qeth: remove additional skb refcount (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: replace open-coded skb_queue_walk() (FATE#326377,
  LTC#169210, bsc#1115382).
- net/af_iucv: locate IUCV header via skb_network_header()
  (FATE#326377, LTC#169210, bsc#1115382).
- s390/qeth: on gdev release, reset drvdata (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: fix discipline unload after setup error (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: use DEFINE_MUTEX for qeth_mod_mutex (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: convert layer attribute to enum (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: reduce 0-initializing when building IPA cmds
  (FATE#326377, LTC#169210, bsc#1115382).
- s390/qeth: fine-tune spinlocks (FATE#326377, LTC#169210,
  bsc#1115382).
- s390/qeth: fix typo in return value (FATE#326377, LTC#169210,
  bsc#1115382).
- s390/qeth: invoke softirqs after napi_schedule() (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: uninstall IRQ handler on device removal (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: remove qeth_hdr_chk_and_bounce() (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: speed up TSO transmission (FATE#326377, LTC#169210,
  bsc#1115382).
- s390/qeth: prepare for copy-free TSO transmission (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: check size of required HW header cache object
  (FATE#326377, LTC#169210, bsc#1115382).
- s390/qeth: fix up protocol headers early (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: limit csum offload erratum to L3 devices
  (FATE#326377, LTC#169210, bsc#1115382).
- s390/qeth: remove qeth_get_elements_no() (FATE#326377,
  LTC#169210, bsc#1115382).
- s390/qeth: remove unused L3 xmit code (FATE#326377, LTC#169210,
  bsc#1115382).
- s390/qeth: run non-offload L3 traffic over common xmit path
  (FATE#326377, LTC#169210, bsc#1115382).
- s390/qeth: move L2 xmit code to core module (FATE#326377,
  LTC#169210, bsc#1115382).
- commit 3f317c7
* Tue Nov 13 2018 neilb@suse.com
- KABI fix for "NFSv4.1: Fix up replays of interrupted requests"
  (git-fixes).
- commit 7ec87ef
* Mon Nov 12 2018 tonyj@suse.de
- Move tools/perf patches into userspace package.
- tools include: Adopt strstarts() from the kernel.
- Delete
  patches.drivers/0090-perf-vendor-events-Support-metric_group-and-no-event.patch.
- Delete
  patches.drivers/0091-perf-jevents-Make-build-fail-on-JSON-parse-error.patch.
- Delete
  patches.drivers/0092-perf-vendor-events-arm64-Add-ThunderX2-implementatio.patch.
- Delete
  patches.drivers/0093-perf-vendor-events-aarch64-Add-JSON-metrics-for-ARM-.patch.
- Delete
  patches.drivers/0094-perf-vendor-events-Drop-incomplete-multiple-mapfile-.patch.
- Delete
  patches.drivers/0095-perf-vendor-events-Fix-error-code-in-json_events.patch.
- Delete
  patches.drivers/0096-perf-vendor-events-Drop-support-for-unused-topic-dir.patch.
- Delete
  patches.drivers/0097-perf-vendor-events-Add-support-for-pmu-events-vendor.patch.
- Delete
  patches.drivers/0098-perf-vendor-events-arm64-Relocate-ThunderX2-JSON-to-.patch.
- Delete
  patches.drivers/0099-perf-vendor-events-arm64-Relocate-Cortex-A53-JSONs-t.patch.
- Delete
  patches.drivers/0100-perf-vendor-events-Add-support-for-arch-standard-eve.patch.
- Delete
  patches.drivers/0101-perf-vendor-events-arm64-Add-armv8-recommended.json.patch.
- Delete
  patches.drivers/0102-perf-vendor-events-arm64-Fixup-ThunderX2-to-use-reco.patch.
- Delete
  patches.drivers/0103-perf-vendor-events-arm64-fixup-A53-to-use-recommende.patch.
- Delete
  patches.drivers/0104-perf-vendor-events-arm64-add-HiSilicon-hip08-JSON-fi.patch.
- Delete
  patches.drivers/0105-perf-vendor-events-arm64-Enable-JSON-events-for-Thun.patch.
- Delete
  patches.drivers/0106-perf-tools-arm64-Add-support-for-get_cpuid_str-funct.patch.
- Delete
  patches.drivers/0107-perf-probe-arm64-Fix-symbol-fixup-issues-due-to-ELF-.patch.
- Delete
  patches.drivers/0108-perf-tools-Add-ARM-Statistical-Profiling-Extensions-.patch.
- Delete
  patches.drivers/0109-perf-tools-arm64-Add-libdw-DWARF-post-unwind-support.patch.
- Delete
  patches.drivers/0110-perf-arm64-Generate-system-call-table-from-asm-unist.patch.
- Delete
  patches.drivers/0111-perf-arm-spe-Fix-uninitialized-record-error-variable.patch.
- Delete
  patches.drivers/0114-perf-pmu-Extract-function-to-get-JSON-alias-map.patch.
- Delete
  patches.drivers/0115-perf-events-parse-Remove-some-needless-local-variabl.patch.
- Delete
  patches.drivers/0116-perf-events-parse-Rename-parsing-state-struct-to-cle.patch.
- Delete
  patches.drivers/0117-perf-events-parse-Use-just-one-parse-events-state-st.patch.
- Delete
  patches.drivers/0118-perf-events-parse-Rename-parse_events_parse-argument.patch.
- Delete
  patches.drivers/0119-perf-stat-Only-auto-merge-events-that-are-PMU-aliase.patch.
- Delete
  patches.drivers/0120-perf-pmu-Unbreak-perf-record-for-arm-arm64-with-even.patch.
- Delete
  patches.drivers/0121-perf-stat-Support-JSON-metrics-in-perf-stat.patch.
- Delete
  patches.drivers/0122-perf-list-Add-metric-groups-to-perf-list.patch.
- Delete
  patches.drivers/0123-perf-pmu-Pass-pmu-as-a-parameter-to-get_cpuid_str.patch.
- Delete
  patches.drivers/0124-perf-symbols-Fix-plt-entry-calculation-for-ARM-and-A.patch.
- Delete
  patches.drivers/0125-perf-auxtrace-arm-Fixing-uninitialised-variable.patch.
- Delete
  patches.drivers/0126-perf-tests-Run-dwarf-unwind-test-on-arm32.patch.
- Delete
  patches.drivers/0127-perf-vendor-events-arm64-Update-ThunderX2-implementa.patch.
- Delete
  patches.drivers/0128-perf-vendor-events-arm64-Enable-JSON-events-for-eMAG.patch.
- Delete
  patches.drivers/0130-perf-stat-Factor-out-generic-metric-printing.patch.
- Delete
  patches.drivers/0131-tools-include-Adopt-strstarts-from-the-kernel.patch.
- Delete
  patches.drivers/0132-perf-help-Fix-a-bug-during-strstart-conversion.patch.
- Delete
  patches.drivers/0133-perf-pmu-Add-check-for-valid-cpuid-in-perf_pmu__find.patch.
- commit 3339072
* Mon Nov 12 2018 msuchanek@suse.de
- tpm: replace msleep() with  usleep_range() in TPM 1.2/2.0
  generic drivers (bsc#1082555).
- commit 87d9b39
* Mon Nov 12 2018 lhenriques@suse.com
- libceph, ceph: change ceph_calc_file_object_mapping() signature
  (FATE#324714).
- libceph: eliminate overflows in ceph_calc_file_object_mapping()
  (FATE#324714).
- rbd: set max_segment_size to UINT_MAX (FATE#324714).
- commit 33fc748
* Mon Nov 12 2018 lhenriques@suse.com
- rbd: whitelist RBD_FEATURE_OPERATIONS feature bit (FATE#324714).
- rbd: don't NULL out ->obj_request in
  rbd_img_obj_parent_read_full() (FATE#324714).
- commit 75295f3
* Mon Nov 12 2018 lhenriques@suse.com
- rbd: use kmem_cache_zalloc() in rbd_img_request_create()
  (FATE#324714).
- Refresh
  patches.drivers/rbd-add-support-for-scatterlist-obj_request_type.patch.
- commit d92c093
* Mon Nov 12 2018 lhenriques@suse.com
- rbd: obj_request->completion is unused (FATE#324714).
- commit e6229c4
* Mon Nov 12 2018 lhenriques@suse.com
- rbd: get rid of rbd_mapping::read_only (FATE#324714).
- Refresh
  patches.drivers/rbd-move-structs-used-by-lio-rbd-to-new-header.patch.
- commit a879aa1
* Mon Nov 12 2018 lhenriques@suse.com
- rbd: fix and simplify rbd_ioctl_set_ro() (FATE#324714).
- commit 2177398
* Mon Nov 12 2018 lhenriques@suse.com
- ceph: use errseq_t for writeback error reporting (FATE#324714).
- commit e52ddae
* Mon Nov 12 2018 tiwai@suse.de
- watchdog: hpwdt: Disable PreTimeout when Timeout is smaller
  (FATE#325978,bsc#1105831).
- commit e2d1337
* Mon Nov 12 2018 tiwai@suse.de
- Refresh and sort the upstreamed hpwdt patches (bsc#1105831)
- commit b6b141a
* Mon Nov 12 2018 ohering@suse.de
- x86/hyper-v: Fix indentation in hv_do_fast_hypercall16()
  (fate#323887).
- Drivers: hv: vmbus: Use cpumask_var_t for on-stack cpu mask
  (fate#323887).
- Drivers: hv: kvp: Fix two "this statement may fall through"
  warnings (fate#323887).
- Drivers: hv: kvp: Fix the indentation of some "break" statements
  (fate#323887).
- Drivers: hv: vmbus: Fix the descriptions of some function
  parameters (fate#323887).
- uio_hv_generic: defer opening vmbus until first use
  (fate#323887).
- hv_uio_generic: map ringbuffer phys addr (fate#323887).
- uio: introduce UIO_MEM_IOVA (fate#323887).
- vmbus: split ring buffer allocation from open (fate#323887).
- vmbus: keep pointer to ring buffer page (fate#323887).
- vmbus: pass channel to hv_process_channel_removal (fate#323887).
- Drivers: hv: vmbus: Fix synic per-cpu context initialization
  (fate#323887).
- uio_hv_generic: drop #ifdef DEBUG (fate#323887).
- uio_hv_generic: increase size of receive and send buffers
  (fate#323887).
- vmbus: add driver_override support (fate#323887).
- hv_netvsc: fix vf serial matching with pci slot info
  (fate#323887).
- hv_netvsc: remove ndo_poll_controller (fate#323887).
- hv_netvsc: Fix rndis_per_packet_info internal field
  initialization (fate#323887).
- hv_netvsc: Add handler for LRO setting change (fate#323887).
- hv_netvsc: Add support for LRO/RSC in the vSwitch (fate#323887).
- x86/hyperv: Add GUEST_IDLE_MSR support (fate#323887).
- x86/hyperv: Remove unused include (fate#323887).
- x86/hyperv: Suppress "PCI: Fatal: No config space access
  function found" (fate#323887).
- commit a4348d9
* Mon Nov 12 2018 ptesarik@suse.cz
- s390: qeth: Fix potential array overrun in cmd/rc lookup
  (FATE#326350, LTC#169511, bsc#1113509).
- s390: qeth_core_mpc: Use ARRAY_SIZE instead of reimplementing
  its function (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: use true and false for boolean values (FATE#326350,
  LTC#169511, bsc#1113509).
- qeth: convert qeth_reply.refcnt from atomic_t to refcount_t
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: use kstrtobool() in
  qeth_bridgeport_hostnotification_store() (FATE#326350,
  LTC#169511, bsc#1113509).
- commit cf00b0e
* Mon Nov 12 2018 ptesarik@suse.cz
- s390/qeth: don't dump past end of unknown HW header
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: switch on SG by default for IQD devices (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: indicate error when netdev allocation fails
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: don't restrict qeth_card to DMA memory (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: clean up card initialization (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: do basic setup for data channel (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: use qeth_setup_ccw() to set up all CCWs (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: reduce hard-coded access to ccw channels
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: extract helper for MPC protocol type (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: speed up L2 IQD xmit (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: add support for constrained HW headers (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: merge linearize-check into HW header construction
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: add statistics for consumed buffer elements
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: use core MTU range checking (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: simplify max MTU handling (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: don't cache HW port number (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: allocate netdevice early (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: remove redundant netif_carrier_ok() checks
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: reset layer2 attribute on layer switch (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: fix race in used-buffer accounting (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: speed-up IPv4 OSA xmit (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: speed-up L3 IQD xmit (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: add a L3 xmit wrapper (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: increase GSO max size for eligible L3 devices
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: clean up exported symbols (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: consolidate ccwgroup driver definition (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: clean up Output Queue selection (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: fine-tune RX modesetting (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: remove unused buffer->aob pointer (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: various buffer management cleanups (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: avoid using is_multicast_ether_addr_64bits on (u8 *)
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: improve fallback to random MAC address (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: add IPv6 RX checksum offload support (FATE#326350,
  LTC#169511, bsc#1113509).
- commit 20fdd8f
* Mon Nov 12 2018 ptesarik@suse.cz
- s390/qeth: add IPv6 TX checksum offload support (FATE#326350,
  LTC#169511, bsc#1113509).
- Refresh
  patches.drivers/s390-qeth-consistently-re-enable-device-features.patch.
- commit 15ada63
* Mon Nov 12 2018 ptesarik@suse.cz
- s390/qeth: extend Checksum Offload Assists for IPv6
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: query IPv6 assists during hardsetup (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: add stats counter for RX csum offload (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: disregard IPv4 header for RX csum offload
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: extract csum offload helpers (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: de-indent else after return (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/net: set HW port number in netdevice (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: don't worry about IPs on VLAN removal (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: convert vlan spinlock to mutex (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: skip QDIO queue handler indirection (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: fix request-side race during cmd IO timeout
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/cio: fix ccw_device_start_timeout API (FATE#326350,
  LTC#169511, bsc#1113509).
- commit 01eb0a6
* Mon Nov 12 2018 tiwai@suse.de
- genirq: Fix race on spurious interrupt detection (bsc#1051510).
- commit 1a06ab9
* Mon Nov 12 2018 tiwai@suse.de
- Documentation/l1tf: Remove Yonah processors from not vulnerable
  list (bsc#1051510).
- Documentation/l1tf: Fix typos (bsc#1051510).
- commit 06cf579
* Mon Nov 12 2018 tiwai@suse.de
- drm/i915: Fix ilk+ watermarks when disabling pipes
  (bsc#1051510).
- drm/i915/glk: Remove 99%% limitation (bsc#1051510).
- Input: elan_i2c - add ACPI ID for Lenovo IdeaPad 330-15IGM
  (bsc#1051510).
- usb: gadget: storage: Fix Spectre v1 vulnerability
  (bsc#1051510).
- cdc-acm: correct counting of UART states in serial state
  notification (bsc#1051510).
- cdc-acm: do not reset notification buffer index upon urb
  unlinking (bsc#1051510).
- USB: serial: option: add two-endpoints device-id flag
  (bsc#1051510).
- USB: serial: option: improve Quectel EP06 detection
  (bsc#1051510).
- USB: serial: option: drop redundant interface-class test
  (bsc#1051510).
- commit 7fc48e6
* Mon Nov 12 2018 tiwai@suse.de
- blacklist.conf: Add media v4l commit that breaks kABI
- commit a539f70
* Mon Nov 12 2018 tiwai@suse.de
- Add the cherry-picked dup id for PCI dwc fix
- commit 0c333ba
* Mon Nov 12 2018 tzimmermann@suse.de
- drm: fb-helper: Reject all pixel format changing requests (bsc#1113722)
- commit fe0c42d
* Mon Nov 12 2018 ptesarik@suse.cz
- s390/qeth: handle failure on workqueue creation (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: avoid control IO completion stalls (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: shrink qeth_ipaddr struct (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: extract helpers for managing special IPs
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: simplify card look-up on IP notification
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: restructure IP notification handlers (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: reset NAPI context during queue init (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: reduce RX skb setup (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: allocate skb from NAPI cache (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: pass correct length to header_ops->create()
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: advertise IFF_UNICAST_FLT (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: support SG for more device types (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: remove outdated portname debug msg (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: use __ipa_cmd() for casting an IPA cmd buffer
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: support early setup for z/VM NICs (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/diag: add diag26c support for VNIC info (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: use common helper to display rxip/vipa (FATE#326350,
  LTC#169511, bsc#1113509).
- commit 3d022ff
* Mon Nov 12 2018 tzimmermann@suse.de
- drm/edid: Add 6 bpc quirk for BOE panel in HP Pavilion 15-n233sl (bsc#1113722)
- commit 04b4e07
* Mon Nov 12 2018 jdelvare@suse.de
- block: copy ioprio in __bio_clone_fast() (bsc#1082653).
- commit 4274c43
* Mon Nov 12 2018 ptesarik@suse.cz
- s390/qeth: replace open-coded in*_pton() (FATE#326350,
  LTC#169511, bsc#1113509).
- Refresh
  patches.arch/s390-qeth-fix-ip-address-lookup-for-l3-devices.patch.
- commit 0cb129b
* Mon Nov 12 2018 jthumshirn@suse.de
- block: respect virtual boundary mask in bvecs (bsc#1113412).
- commit cd94c7f
* Mon Nov 12 2018 ptesarik@suse.cz
- s390/qeth: pass full data length to l3_fill_header()
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: streamline l3_fill_header() (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: unionize next-hop field in qeth L3 header
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: recognize non-IP multicast on L3 transmit
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: clean up l3_get_cast_type() (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: robustify qeth_get_ip_version() (FATE#326350,
  LTC#169511, bsc#1113509).
- commit 666cdbb
* Mon Nov 12 2018 ptesarik@suse.cz
- s390/qeth: align L2 and L3 set_rx_mode() implementations
  (FATE#326350, LTC#169511, bsc#1113509).
- Refresh
  patches.drivers/s390-qeth-consistently-re-enable-device-features.patch.
- commit cafffd3
* Mon Nov 12 2018 ptesarik@suse.cz
- s390/qeth: use ether_addr_* helpers (FATE#326350, LTC#169511,
  bsc#1113509).
- Refresh
  patches.arch/s390-qeth-fix-MAC-address-update-sequence.patch.
- Refresh
  patches.arch/s390-qeth-fix-ip-address-lookup-for-l3-devices.patch.
- Refresh
  patches.drivers/s390-qeth-fix-error-handling-in-adapter-command-callbacks.patch.
- commit b6827a3
* Mon Nov 12 2018 ptesarik@suse.cz
- s390/qeth: consolidate qeth MAC address helpers (FATE#326350,
  LTC#169511, bsc#1113509).
- Refresh
  patches.arch/s390-qeth-fix-MAC-address-update-sequence.patch.
- Refresh
  patches.arch/s390-qeth-fix-race-when-setting-MAC-address.patch.
- commit aa9eb0f
* Mon Nov 12 2018 ptesarik@suse.cz
- s390/qeth: don't keep track of MAC address's cast type
  (FATE#326350, LTC#169511, bsc#1113509).
- commit 816a245
* Mon Nov 12 2018 ptesarik@suse.cz
- s390/qeth: drop CONFIG_QETH_IPV6 (FATE#326350, LTC#169511,
  bsc#1113509).
- Update config files.
- commit 59acd2e
* Mon Nov 12 2018 ptesarik@suse.cz
- s390/qeth: use ip*_eth_mc_map helpers (FATE#326350, LTC#169511,
  bsc#1113509).
- Refresh
  patches.arch/s390-qeth-fix-ip-address-lookup-for-l3-devices.patch.
- commit 5c9dbd8
* Mon Nov 12 2018 ptesarik@suse.cz
- s390/qeth: support GRO flush timer (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: try harder to get packets from RX buffer
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: consolidate skb allocation (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: clean up page frag creation (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: no VLAN support on OSM (FATE#326350, LTC#169511,
  bsc#1113509).
- s390/qeth: don't verify device when setting MAC address
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: clean up initial MTU determination (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: remove duplicated device matching (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/ccwgroup: tie a ccwgroup driver to its ccw driver
  (FATE#326350, LTC#169511, bsc#1113509).
- commit bfae8bf
* Mon Nov 12 2018 ptesarik@suse.cz
- s390/qeth: tidy up parameter naming for qeth_do_send_packet()
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: fold VLAN handling into l3_rebuild_skb()
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: simplify L3 sysfs group management (FATE#326350,
  LTC#169511, bsc#1113509).
- s390/qeth: don't take queue lock in send_packet_fast()
  (FATE#326350, LTC#169511, bsc#1113509).
- s390/qeth: remove unused code in qdio_establish_cq()
  (FATE#326350, LTC#169511, bsc#1113509).
- commit 0d4fade
* Fri Nov  9 2018 msuchanek@suse.de
- tpm: move the delay_msec increment after sleep in tpm_transmit()
  (bsc#1082555).
- tpm: fix intermittent failure with self tests (bsc#1082555).
- tpm: consolidate the TPM startup code (bsc#1082555).
- tpm: move endianness conversion of ordinals to tpm_input_header
  (bsc#1082555).
- tpm: move endianness conversion of TPM_TAG_RQU_COMMAND to
  tpm_input_header (bsc#1082555).
- commit 969f738
* Fri Nov  9 2018 msuchanek@suse.de
- tpm2-cmd: allow more attempts for selftest execution
  (bsc#1082555).
- tpm: React correctly to RC_TESTING from TPM 2.0 self tests
  (bsc#1082555).
- tpm: Use dynamic delay to wait for TPM 2.0 self test result
  (bsc#1082555).
- tpm: Trigger only missing TPM 2.0 self tests (bsc#1082555).
- tpm: do not suspend/resume if power stays on (bsc#1082555).
- tpm: use tpm2_pcr_read() in tpm2_do_selftest() (bsc#1082555).
- tpm: use tpm_buf functions in tpm2_pcr_read() (bsc#1082555).
- commit bd1b5fb
* Fri Nov  9 2018 ptesarik@suse.cz
- Delete
  patches.drivers/s390-qeth-fix-using-of-ref-counter-for-rxip-addresse.patch.
  Removed instead of backporting upstream revert from commit
  4964c66fd49b2e2342da35358f2ff74614bcbaee.
- Refresh
  patches.arch/s390-qeth-fix-ip-address-lookup-for-l3-devices.patch.
- commit 06ff2c6
* Fri Nov  9 2018 msuchanek@suse.de
- ibmvnic: fix index in release_rx_pools (bsc#1115440,
  bsc#1115433).
- commit 6f8b745
* Fri Nov  9 2018 ptesarik@suse.cz
- Update
  patches.arch/asm-generic-io-Fix-ioport_map-for-CONFIG_GENERIC_IOM.patch
  (fate#325788).
- commit 4011c52
* Fri Nov  9 2018 ailiopoulos@suse.com
- xfs: Fix error code in 'xfs_ioc_getbmap()' (git-fixes).
- commit 8b3f368
* Fri Nov  9 2018 yousaf.kaukab@suse.com
- PCI: kirin: Fix section mismatch warning
  (fate#326532,fate#326536).
- PCI: qcom: Fix error handling in runtime PM support
  (fate#326532,fate#326536).
- commit 079642a
* Fri Nov  9 2018 jdelvare@suse.de
- firmware: dcdbas: include linux/io.h (bsc#1089350 FATE#325723).
- firmware: dcdbas: Add support for WSMT ACPI table (bsc#1089350
  FATE#325723).
- ACPICA: Tables: Add WSMT support (bsc#1089350 FATE#325723).
- commit ad2f50c
* Fri Nov  9 2018 ptesarik@suse.cz
- Update config files: update vanilla configs
  Restore multiple options, lost by commit
  4a67b3f26668513d204457c78f024ae259a2943d
- commit 25640e8
* Fri Nov  9 2018 hare@suse.de
- scsi: lpfc: update driver version to 12.0.0.8 (bsc#1114015).
- scsi: lpfc: add Trunking support (bsc#1114015).
- scsi: lpfc: Implement GID_PT on Nameserver query to support
  faster failover (bsc#1114015).
- scsi: lpfc: Correct loss of fc4 type on remote port address
  change (bsc#1114015).
- scsi: lpfc: Fix odd recovery in duplicate FLOGIs in
  point-to-point (bsc#1114015).
- scsi: lpfc: Correct LCB RJT handling (bsc#1114015).
- scsi: lpfc: fcoe: Fix link down issue after 1000+ link bounces
  (bsc#1114015).
- scsi: lpfc: Correct errors accessing fw log (bsc#1114015).
- scsi: lpfc: Reset link or adapter instead of doing infinite
  nameserver PLOGI retry (bsc#1114015).
- scsi: lpfc: Fix LOGO/PLOGI handling when triggerd by ABTS
  Timeout event (bsc#1114015).
- scsi: lpfc: Fix lpfc_sli4_read_config return value check
  (bsc#1114015).
- scsi: lpfc: Correct speeds on SFP swap (bsc#1114015).
- scsi: lpfc: Remove set but not used variable 'sgl_size'
  (bsc#1114015).
- scsi: lpfc: update driver version to 12.0.0.7 (bsc#1114015).
- scsi: lpfc: add support to retrieve firmware logs (bsc#1114015).
- scsi: lpfc: reduce locking when updating statistics
  (bsc#1114015).
- scsi: lpfc: Fix errors in log messages (bsc#1114015).
- scsi: lpfc: Correct invalid EQ doorbell write on if_type=6
  (bsc#1114015).
- scsi: lpfc: Correct irq handling via locks when taking adapter
  offline (bsc#1114015).
- scsi: lpfc: Correct soft lockup when running mds diagnostics
  (bsc#1114015).
- scsi: lpfc: Correct race with abort on completion path
  (bsc#1114015).
- scsi: lpfc: Raise nvme defaults to support a larger io and
  more connectivity (bsc#1114015).
- scsi: lpfc: raise sg count for nvme to use available sg
  resources (bsc#1114015).
- scsi: lpfc: Fix GFT_ID and PRLI logic for RSCN (bsc#1114015).
- scsi: lpfc: Synchronize access to remoteport via rport
  (bsc#1114015).
- commit a8db0f4
* Fri Nov  9 2018 hare@suse.de
- scripts/git_sort/git_sort.py: add mkp/scsi.git 4.21/scsi-queue
- commit 0c66a4b
* Fri Nov  9 2018 tbogendoerfer@suse.de
- blacklist.conf: added ibcore/mlx4/mlx5 temporary blacklists
- commit e06fd99
* Fri Nov  9 2018 tbogendoerfer@suse.de
- xfrm: fix boolean assignment in xfrm_get_type_offload
  (bsc#1103990 FATE#326006).
- xfrm: fix rcu usage in xfrm_get_type_offload (bsc#1103990
  FATE#326006).
- commit 56f8908
* Fri Nov  9 2018 oneukum@suse.com
- PCI/portdrv: Merge pcieport_if.h into portdrv.h (FATE#326302).
- commit 387f3e0
* Fri Nov  9 2018 tbogendoerfer@suse.de
- Update config files.
- commit 4a67b3f
* Fri Nov  9 2018 tbogendoerfer@suse.de
- Refresh
  patches.drivers/IB-umem-Use-the-correct-mm-during-ib_umem_release.patch.
- commit 5666670
* Fri Nov  9 2018 tbogendoerfer@suse.de
- RDMA/mlx4: Add missed RSS hash inner header flag (bsc#1103988
  FATE#326003).
- blacklist.conf: removed commit, which now fits for SLE15-SP1
- commit 376b623
* Fri Nov  9 2018 tbogendoerfer@suse.de
- net/mlx5: Query device memory capabilities (bsc#1103990
  FATE#326006).
- Refresh
  patches.suse/net-mlx5-E-Switch-Avoid-setup-attempt-if-not-being-e.patch.
- commit c27ab0a
* Fri Nov  9 2018 tbogendoerfer@suse.de
- RDMA: Use ib_gid_attr during GID modification (bsc#1103992
  FATE#326009).
- Refresh
  patches.drivers/RDMA-hns-Drop-local-zgid-in-favor-of-core-defined-va.patch.
- commit e5a4611
* Fri Nov  9 2018 tbogendoerfer@suse.de
- RDMA: Use u64_to_user_ptr everywhere (bsc#1103992 FATE#326009).
- Refresh
  patches.drivers/RDMA-ucma-ucma_context-reference-leak-in-error-path.patch.
- commit d22e6fd
* Fri Nov  9 2018 hare@suse.de
- blk-mq: return when hctx is stopped in blk_mq_run_work_fn
  (bsc#1104967,FATE#325924).
- commit 86f92f9
* Fri Nov  9 2018 hare@suse.de
- blacklist.conf: b57e99b4b8b0 requires block layer changes from 4.19
- commit bc3930f
* Fri Nov  9 2018 tbogendoerfer@suse.de
- IB/uverbs: Extend uverbs_ioctl header with driver_id
  (bsc#1103992 FATE#326009).
- Refresh
  patches.drivers/RDMA-hns-Implement-the-disassociate_ucontext-API.patch.
- commit a5b91cb
* Fri Nov  9 2018 tbogendoerfer@suse.de
- IB/mlx4: Report TSO capabilities (bsc#1103988 FATE#326003).
- Refresh
  patches.drivers/RDMA-mlx4-Fix-uABI-structure-layouts-for-32-64-compa.patch.
- commit dbfd4b2
* Fri Nov  9 2018 tbogendoerfer@suse.de
- RDMA/mlx5: Simplify clean and destroy MR calls (bsc#1103991
  FATE#326007).
- Refresh
  patches.drivers/IB-mlx5-Respect-new-UMR-capabilities.patch.
- commit 3429c57
* Fri Nov  9 2018 tbogendoerfer@suse.de
- RDMA/mlx5: Unify error flows in rereg MR failure paths
  (bsc#1103991 FATE#326007).
- Refresh
  patches.drivers/RDMA-mlx5-Fix-multiple-NULL-ptr-deref-errors-in-rere.patch.
- commit bda38af
* Fri Nov  9 2018 tbogendoerfer@suse.de
- RDMA/mlx5: Return proper value for not-supported command
  (bsc#1103991 FATE#326007).
- Refresh
  patches.drivers/IB-mlx5-Respect-new-UMR-capabilities.patch.
- commit f45e8ef
* Fri Nov  9 2018 yousaf.kaukab@suse.com
- config: arm64: update dwc pci config
- commit 6318493
* Fri Nov  9 2018 ptesarik@suse.cz
- scsi: zfcp: add port speed capabilities (FATE#326374,
  LTC#169130, bsc#1113509).
- commit 19401fa
* Fri Nov  9 2018 ptesarik@suse.cz
- s390/zcrypt: remove VLA usage from the AP bus (FATE#325689,
  LTC#167899, bsc#1113520).
- s390/zcrypt: hex string mask improvements for apmask and aqmask
  (FATE#325689, LTC#167899, bsc#1113520).
- s390/zcrypt: AP bus support for alternate driver(s)
  (FATE#325689, LTC#167899, bsc#1113520).
- s390/zcrypt: code beautify (FATE#325689, LTC#167899,
  bsc#1113520).
- s390/zcrypt: fix ap_instructions_available() returncodes
  (FATE#325689, LTC#167899, bsc#1113520).
- s390/zcrypt: add copy_from_user length plausibility checks
  (FATE#325689, LTC#167899, bsc#1113520).
- s390/zcrypt: Integrate ap_asm.h into include/asm/ap.h
  (FATE#325689, LTC#167899, bsc#1113520).
- s390/zcrypt: Show load of cards and queues in sysfs
  (FATE#325689, LTC#167899, bsc#1113520).
- s390/zcrypt: Review inline assembler constraints (FATE#325689,
  LTC#167899, bsc#1113520).
- s390/zcrypt: Add ZAPQ inline function (FATE#325689, LTC#167899,
  bsc#1113520).
- s390/zcrypt: Rework struct ap_qact_ap_info (FATE#325689,
  LTC#167899, bsc#1113520).
- commit d4b4e5d
* Fri Nov  9 2018 ptesarik@suse.cz
- s390/zcrypt: Rework ap init in case of out of range domain param
  (FATE#325689, LTC#167899, bsc#1113520).
- Refresh
  patches.arch/s390-sles15sp1-00-01-03-zcrypt-Introduce-QACT-support-for-AP-bus-device.patch.
- commit 256f334
* Fri Nov  9 2018 jslaby@suse.cz
- udp6: fix encap return code for resubmitting (git-fixes).
- commit 3c4f718
* Fri Nov  9 2018 ptesarik@suse.cz
- s390/zcrypt: Support up to 256 crypto adapters (FATE#325692,
  LTC#167900, bsc#1113524).
- s390/zcrypt: Remove deprecated zcrypt proc interface
  (FATE#325692, LTC#167900, bsc#1113524).
- s390/zcrypt: Remove deprecated ioctls (FATE#325692, LTC#167900,
  bsc#1113524).
- commit 4839fe7
* Thu Nov  8 2018 oneukum@suse.com
- PCI/portdrv: Move error handler methods to struct
  pcie_port_service_driver (FATE#326302).
- Refresh
  patches.drivers/0001-PCI-portdrv-Move-pcieport_if.h-to-drivers-pci-pcie.patch.
- commit 5d869e7
* Thu Nov  8 2018 tbogendoerfer@suse.de
- IB/mlx5: Maintain a single emergency page (bsc#1103991
  FATE#326007).
- Refresh
  patches.drivers/IB-mlx5-Respect-new-UMR-capabilities.patch.
- commit 8d883c8
* Thu Nov  8 2018 jdelvare@suse.de
- firmware: dcdbas: include linux/io.h (bsc#1089350 FATE#325723).
- commit a34f097
* Thu Nov  8 2018 tbogendoerfer@suse.de
- net/mlx5e: Disable Striding RQ when PCI is slower than link
  (bsc#1103990 FATE#326006).
- Refresh
  patches.drivers/net-mlx5e-Do-not-reset-Receive-Queue-params-on-every.patch.
- commit 4ad4efe
* Thu Nov  8 2018 tbogendoerfer@suse.de
- net/mlx5: Add support for QUERY_VNIC_ENV command (bsc#1103990
  FATE#326006).
- Refresh
  patches.suse/net-mlx5-E-Switch-Avoid-setup-attempt-if-not-being-e.patch.
- commit 779b5ba
* Thu Nov  8 2018 tbogendoerfer@suse.de
- net/mlx5: Add flow-steering commands for FPGA IPSec
  implementation (bsc#1103990 FATE#326006).
- Refresh
  patches.suse/net-mlx5-E-Switch-Avoid-setup-attempt-if-not-being-e.patch.
- commit 73fa935
* Thu Nov  8 2018 tbogendoerfer@suse.de
- net/mlx5: IPSec, Generalize sandbox QP commands (bsc#1103990
  FATE#326006).
- Refresh
  patches.drivers/net-mlx5-IPSec-Fix-a-race-between-concurrent-sandbox.patch.
- commit a56a614
* Thu Nov  8 2018 tbogendoerfer@suse.de
- net/mlx5: Embed mlx5_flow_act into fs_fte (bsc#1103990
  FATE#326006).
- Refresh
  patches.drivers/net-mlx5-Properly-deal-with-flow-counters-when-delet.patch.
- commit 27d9772
* Thu Nov  8 2018 tbogendoerfer@suse.de
- net/mlx5: Add empty egress namespace to flow steering core
  (bsc#1103990 FATE#326006).
- Refresh
  patches.suse/net-mlx5-E-Switch-Avoid-setup-attempt-if-not-being-e.patch.
- commit b415dbb
* Thu Nov  8 2018 tbogendoerfer@suse.de
- net/mlx5: E-Switch, Move representors definition to a global
  scope (bsc#1103990 FATE#326006).
- Refresh
  patches.suse/net-mlx5-E-Switch-Avoid-setup-attempt-if-not-being-e.patch.
- commit fec779f
* Thu Nov  8 2018 tbogendoerfer@suse.de
- net/mlx5: Remove redundant EQ API exports (bsc#1103990
  FATE#326006).
- Refresh
  patches.drivers/net-mlx5-Free-IRQs-in-shutdown-path.patch.
- commit 39e65ee
* Thu Nov  8 2018 tbogendoerfer@suse.de
- net/mlx5: EQ add/del CQ API (bsc#1103990 FATE#326006).
- Refresh
  patches.drivers/net-mlx5-Free-IRQs-in-shutdown-path.patch.
- commit bf39e05
* Thu Nov  8 2018 tbogendoerfer@suse.de
- xfrm: Auto-load xfrm offload modules (bsc#1103990 FATE#326006).
- Refresh
  patches.fixes/xfrm-Add-SA-to-hardware-at-the-end-of-xfrm_state_con.patch.
- commit 010d375
* Thu Nov  8 2018 yousaf.kaukab@suse.com
- pci: dwc: remove duplicate fix
  References: bsc#1115269
  Patch has been already applied by the following commit:
  9f73db8b7c PCI: dwc: Fix enumeration end when reaching root subordinate (bsc#1051510)
- commit 894b5c9
* Thu Nov  8 2018 hare@suse.de
- sbitmap: warn if using smaller shallow depth than was setup
  (bsc#1104967,FATE#325924).
- kyber-iosched: update shallow depth when setting up hardware
  (bsc#1104967,FATE#325924).
- bfq-iosched: update shallow depth to smallest one used
  (bsc#1104967,FATE#325924).
- sbitmap: fix missed wakeups caused by (bsc#1104967,FATE#325924).
- bfq-iosched: remove unused variable (bsc#1104967,FATE#325924).
- bfq: calculate shallow depths at init time
  (bsc#1104967,FATE#325924).
- bfq-iosched: don't worry about reserved tags in limit_depth
  (bsc#1104967,FATE#325924).
- blk-mq: don't call into depth limiting for reserved tags
  (bsc#1104967,FATE#325924).
- block, bfq: postpone rq preparation to insert or merge
  (bsc#1104967,FATE#325924).
- commit 489b5a3
* Thu Nov  8 2018 hare@suse.de
- block: consolidate struct request timestamp fields
  (bsc#1104967,FATE#325924).
- block: move blk_stat_add() to __blk_mq_end_request()
  (bsc#1104967,FATE#325924).
- block: use ktime_get_ns() instead of sched_clock() for cfq
  (bsc#1104967,FATE#325924).
- block: get rid of struct blk_issue_stat
  (bsc#1104967,FATE#325924).
- block: replace bio->bi_issue_stat with bio-specific type
  (bsc#1104967,FATE#325924).
- block: pass struct request instead of struct blk_issue_stat
  (bsc#1104967,FATE#325924).
- block: move some wbt helpers to blk-wbt.c
  (bsc#1104967,FATE#325924).
- blk-wbt: throttle discards like background writes
  (bsc#1104967,FATE#325924).
- blk-wbt: pass in enum wbt_flags to get_rq_wait()
  (bsc#1104967,FATE#325924).
- blk-wbt: account any writing command as a write
  (bsc#1104967,FATE#325924).
- block: break discard submissions into the user defined size
  (bsc#1104967,FATE#325924).
- block: Shorten interrupt disabled regions
  (bsc#1104967,FATE#325924).
- block: Remove redundant WARN_ON() (bsc#1104967,FATE#325924).
- block: don't disable interrupts during kmap_atomic()
  (bsc#1104967,FATE#325924).
- commit dc0c9ab
* Thu Nov  8 2018 tbogendoerfer@suse.de
- mlx4_core: allocate ICM memory in page size chunks (bsc#1103989
  FATE#326004).
- net/mlx4: fix spelling mistake: "Inrerface" -> "Interface"
  and rephrase message (bsc#1103989 FATE#326004).
- IB/uverbs: Fix uverbs_attr_get_obj (bsc#1103992 FATE#326009).
- nvmet,rxe: defer ip datagram sending to tasklet (bsc#1103992
  FATE#326009).
- IB/uverbs: Fix kernel crash during MR deregistration flow
  (bsc#1103992 FATE#326009).
- IB/uverbs: Prevent reregistration of DM_MR to regular MR
  (bsc#1103992 FATE#326009).
- IB/ipoib: fix ipoib_start_xmit()'s return type (bsc#1103992
  FATE#326009).
- IB/nes: fix nes_netdev_start_xmit()'s return type (bsc#1103992
  FATE#326009).
- IB: make INFINIBAND_ADDR_TRANS configurable (bsc#1103992
  FATE#326009).
- ib_srp: depend on INFINIBAND_ADDR_TRANS (bsc#1103992
  FATE#326009).
- ib_srpt: depend on INFINIBAND_ADDR_TRANS (bsc#1103992
  FATE#326009).
- RDMA/mlx5: Properly check return value of mlx5_get_uars_page
  (bsc#1103991 FATE#326007).
- IB/mlx5: Fix represent correct netdevice in dual port RoCE
  (bsc#1103991 FATE#326007).
- IB/core: Fix deleting default GIDs when changing mac adddress
  (bsc#1103992 FATE#326009).
- IB/core: Fix to avoid deleting IPv6 look alike default GIDs
  (bsc#1103992 FATE#326009).
- IB/core: Don't allow default GID addition at non reseved slots
  (bsc#1103992 FATE#326009).
- RDMA/ucma: Check for a cm_id->device in all user calls that
  need it (bsc#1103992 FATE#326009).
- IB/uverbs: Add missing braces in anonymous union initializers
  (bsc#1103992 FATE#326009).
- infiniband: mlx5: fix build errors when INFINIBAND_USER_ACCESS=m
  (bsc#1103991 FATE#326007).
- IB/mlx5: remove duplicate header file (bsc#1103991 FATE#326007).
- net/mlx5e: fix spelling mistake: "loobpack" -> "loopback"
  (bsc#1103990 FATE#326006).
- net/mlx4: fix spelling mistake: "failedi" -> "failed"
  (bsc#1103989 FATE#326004).
- net/mlx5e: Fix traffic between VF and representor (bsc#1103990
  FATE#326006).
- net/mlx5e: DCBNL fix min inline header size for dscp
  (bsc#1103990 FATE#326006).
- net/mlx5e: Use pcie_bandwidth_available() to compute bandwidth
  (bsc#1103990 FATE#326006).
- net/mlx5: Report PCIe link properties with
  pcie_print_link_status() (bsc#1103990 FATE#326006).
- net/mlx4_core: Report PCIe link properties with
  pcie_print_link_status() (bsc#1103989 FATE#326004).
- PCI: Add pcie_print_link_status() to log link speed and whether
  it's limited (bsc#1103990 FATE#326006).
- PCI: Add pcie_bandwidth_available() to compute bandwidth
  available to device (bsc#1103990 FATE#326006).
- PCI: Add pcie_bandwidth_capable() to compute max supported
  link bandwidth (bsc#1103990 FATE#326006).
- PCI: Add pcie_get_width_cap() to find max supported link width
  (bsc#1103990 FATE#326006).
- PCI: Add pcie_get_speed_cap() to find max supported link speed
  (bsc#1103990 FATE#326006).
- PCI: Add decoding for 16 GT/s link speed (bsc#1103990
  FATE#326006).
- IB/mlx5: Device memory mr registration support (bsc#1103991
  FATE#326007).
- net/mlx5: Mkey creation command adjustments (bsc#1103991
  FATE#326007).
- IB/mlx5: Device memory support in mlx5_ib (bsc#1103991
  FATE#326007).
- IB/uverbs: Add device memory registration ioctl support
  (bsc#1103992 FATE#326009).
- IB/uverbs: Add alloc/free dm uverbs ioctl support (bsc#1103992
  FATE#326009).
- IB/uverbs: Add device memory capabilities reporting (bsc#1103992
  FATE#326009).
- IB/uverbs: Expose device memory capabilities to user
  (bsc#1103992 FATE#326009).
- IB/rxe: Removed GID add/del dummy routines (bsc#1103992
  FATE#326009).
- IB/mlx5: Add ability to hash by IPSEC_SPI when creating a TIR
  (bsc#1103991 FATE#326007).
- IB/mlx5: Add information for querying IPsec capabilities
  (bsc#1103991 FATE#326007).
- IB/mlx5: Add IPsec support for egress and ingress (bsc#1103991
  FATE#326007).
- {net,IB}/mlx5: Add ipsec helper (bsc#1103990 FATE#326006).
- IB/mlx5: Add modify_flow_action_esp verb (bsc#1103991
  FATE#326007).
- IB/mlx5: Add implementation for create and destroy action_xfrm
  (bsc#1103991 FATE#326007).
- IB/uverbs: Introduce ESP steering match filter (bsc#1103992
  FATE#326009).
- IB/uverbs: Add modify ESP flow_action (bsc#1103992 FATE#326009).
- IB/uverbs: Introduce egress flow steering (bsc#1103992
  FATE#326009).
- IB/uverbs: Add action_handle flow steering specification
  (bsc#1103992 FATE#326009).
- IB/uverbs: Add flow_action create and destroy verbs (bsc#1103992
  FATE#326009).
- IB/uverbs: Refactor kern_spec_to_ib_spec_filter (bsc#1103992
  FATE#326009).
- IB/mlx4: Check for egress flow steering (bsc#1103988
  FATE#326003).
- IB/uverbs: Add enum attribute type to ioctl() interface
  (bsc#1103992 FATE#326009).
- IB/mlx5: Initialize the parsing tree root without the help of
  uverbs (bsc#1103991 FATE#326007).
- IB/providers: Avoid null netdev check for RoCE (bsc#1103992
  FATE#326009).
- IB/providers: Avoid zero GID check for RoCE (bsc#1103992
  FATE#326009).
- IB/core: Refactor GID modify code for RoCE (bsc#1103992
  FATE#326009).
- IB/core: Simplify ib_query_gid to always refer to cache
  (bsc#1103992 FATE#326009).
- RDMA/providers: Simplify query_gid callback of RoCE providers
  (bsc#1103992 FATE#326009).
- RDMA/core: Update query_gid documentation for HCA drivers
  (bsc#1103992 FATE#326009).
- IB/qedr: Remove GID add/del dummy routines (bsc#1104376
  FATE#325886).
- i40iw: Remove pre-production workaround for resource profile 1
  (bsc#1114687 FATE#326314).
- RDMA/mlx5: Fix definition of mlx5_ib_create_qp_resp (bsc#1103991
  FATE#326007).
- IB/ocrdma_hw: Remove redundant checks and goto labels
  (bsc#1103992 FATE#326009).
- IB/ipoib: Delete unused struct (bsc#1103992 FATE#326009).
- RDMA/cma: Move rdma_cm_state to cma_priv.h (bsc#1103992
  FATE#326009).
- IB/addr: Constify dst_entry pointer (bsc#1103992 FATE#326009).
- RDMA/nldev: Provide netdevice name and index (bsc#1103992
  FATE#326009).
- IB/rxe: optimize mcast recv process (bsc#1103992 FATE#326009).
- RDMA/CMA: Add rdma_port_space to UAPI (bsc#1103992 FATE#326009).
- RDMA/CMA: remove RDMA_PS_SDP (bsc#1103992 FATE#326009).
- IB/core: Refer to RoCE port property to decide building cache
  (bsc#1103992 FATE#326009).
- IB/core: Search GID only for IB link layer (bsc#1103992
  FATE#326009).
- IB/cm: Block processing alternate path handling RoCE Rx cm
  messages (bsc#1103992 FATE#326009).
- IB/core: Protect against concurrent access to hardware stats
  (bsc#1103992 FATE#326009).
- IB/uverbs: UAPI pointers should use __aligned_u64 type
  (bsc#1103992 FATE#326009).
- RDMA: Change all uapi headers to use __aligned_u64 instead of
  __u64 (bsc#1103992 FATE#326009).
- RDMA/rxe: Fix uABI structure layouts for 32/64 compat
  (bsc#1103992 FATE#326009).
- RDMA/qedr: Fix uABI structure layouts for 32/64 compat
  (bsc#1104376 FATE#325886).
- RDMA/ucma: Fix uABI structure layouts for 32/64 compat
  (bsc#1103992 FATE#326009).
- RDMA: Remove minor pahole differences between 32/64 (bsc#1103992
  FATE#326009).
- RDMA/ocrdma: Fix structure layout for ocrdma_alloc_pd
  (bsc#1103992 FATE#326009).
- IB/cma: Resolve route only while receiving CM requests
  (bsc#1103992 FATE#326009).
- IB/core: Refer to RoCE port property instead of GID table
  property (bsc#1103992 FATE#326009).
- RDMA/restrack: Remove ambiguity in resource track clean logic
  (bsc#1103992 FATE#326009).
- RDMA/cxgb3: Use structs to describe the uABI instead of
  opencoding (bsc#1103992 FATE#326009).
- IB/mlx4: Eliminate duplicate barriers on weakly-ordered archs
  (bsc#1103988 FATE#326003).
- IB/uverbs: Enable ioctl() uAPI by default for new verbs
  (bsc#1103992 FATE#326009).
- IB/uverbs: Add macros to simplify adding driver specific
  attributes (bsc#1103992 FATE#326009).
- IB/uverbs: Move ioctl path of create_cq and destroy_cq to a
  new file (bsc#1103992 FATE#326009).
- IB/uverbs: Expose parsing tree of all common objects to
  providers (bsc#1103992 FATE#326009).
- IB/uverbs: Safely extend existing attributes (bsc#1103992
  FATE#326009).
- IB/uverbs: Enable compact representation of uverbs_attr_spec
  (bsc#1103992 FATE#326009).
- IB/uverbs: Move to new headers and make naming consistent
  (bsc#1103992 FATE#326009).
- IB/srp: Disallow duplicate RDMA/CM connections (bsc#1103992
  FATE#326009).
- IB/mlx5: Packet packing enhancement for RAW QP (bsc#1103991
  FATE#326007).
- net/mlx5: Packet pacing enhancement (bsc#1103990 FATE#326006).
- IB/core: Remove unimplemented ib_peek_cq (bsc#1103992
  FATE#326009).
- IB/core: Use rdma_is_port_valid() (bsc#1103992 FATE#326009).
- RDMA/bnxt: Fix structure layout for bnxt_re_pd_resp (bsc#1104742
  FATE#325917).
- IB/core: Set speed string to SDR for invalid active rates
  (bsc#1103992 FATE#326009).
- RDMA/restrack: Don't rely on uninitialized variable in
  restrack_add flow (bsc#1103992 FATE#326009).
- IB/mlx4: Add Scatter FCS support over WQ creation (bsc#1103988
  FATE#326003).
- RDMA/i40iw: Move uapi header to include/uapi (bsc#1114687
  FATE#326314).
- RDMA/mlx4: Move flag constants to uapi header (bsc#1103988
  FATE#326003).
- RDMA/rxe: Use structs to describe the uABI instead of opencoding
  (bsc#1103992 FATE#326009).
- RDMA/rxe: Get rid of confusing udata parameter to
  rxe_cq_chk_attr (bsc#1103992 FATE#326009).
- IB/core: Move rdma_addr_find_l2_eth_by_grh to core_priv.h
  (bsc#1103992 FATE#326009).
- IB/cm: Introduce and use helper function to get cm_port from
  path (bsc#1103992 FATE#326009).
- IB/core: Refactor ib_init_ah_attr_from_path() for RoCE
  (bsc#1103992 FATE#326009).
- IB/cm: Add and use a helper function to add cm_id's to the
  port list (bsc#1103992 FATE#326009).
- IB/ocrdma: Removed GID add/del null routines (bsc#1103992
  FATE#326009).
- IB/core: Remove rdma_resolve_ip_route() as exported symbol
  (bsc#1103992 FATE#326009).
- IB/cma: Use rdma_protocol_roce() and remove
  cma_protocol_roce_dev_port() (bsc#1103992 FATE#326009).
- IB/core: Honor return status of ib_init_ah_from_mcmember()
  (bsc#1103992 FATE#326009).
- IB/{core, ipoib}: Simplify ib_find_gid() for unused ndev
  (bsc#1103992 FATE#326009).
- IB/core: Fix comments of GID query functions (bsc#1103992
  FATE#326009).
- RDMA/mlx5: Guard ODP specific assignments with specific CONFIG
  (bsc#1103991 FATE#326007).
- rdma_rxe: make rxe work over 802.1q VLAN devices (bsc#1103992
  FATE#326009).
- RDMA/i40iw: include linux/irq.h (bsc#1114687 FATE#326314).
- IB/mlx5: Only synchronize RCU once when removing mkeys
  (bsc#1103991 FATE#326007).
- IB/mlx5: Expose more priorities for bypass namespace
  (bsc#1103991 FATE#326007).
- IB/srp: Fix IPv6 address parsing (bsc#1103992 FATE#326009).
- RDMA/verbs: Simplify modify QP check (bsc#1103992 FATE#326009).
- RDMA/pvrdma: Properly annotate QP states (bsc#1103992
  FATE#326009).
- RDMA/uverbs: Ensure validity of current QP state value
  (bsc#1103992 FATE#326009).
- IB: remove duplicate header files (bsc#1103992 FATE#326009).
- RDMA/bnxt_re: Remove an unused variable (bsc#1104742
  FATE#325917).
- IB/hfi1: Fix a kernel-doc warning (bsc#1114685 FATE#325854).
- RDMA/nldev: provide detailed PD information (bsc#1103992
  FATE#326009).
- mlx4_ib: zero out struct ib_pd when allocating (bsc#1103988
  FATE#326003).
- RDMA/nldev: provide detailed MR information (bsc#1103992
  FATE#326009).
- mlx4_ib: set user mr attributes in struct ib_mr (bsc#1103988
  FATE#326003).
- RDMA/nldev: provide detailed CQ information (bsc#1103992
  FATE#326009).
- RDMA/nldev: provide detailed CM_ID information (bsc#1103992
  FATE#326009).
- RDMA/CM: move rdma_id_private to cma_priv.h (bsc#1103992
  FATE#326009).
- RDMA/nldev: common resource dumpit function (bsc#1103992
  FATE#326009).
- RDMA/restrack: clean up res_to_dev() (bsc#1103992 FATE#326009).
- IB/rxe: change the function rxe_init_device_param type
  (bsc#1103992 FATE#326009).
- IB/rxe: remove unnecessary rxe in rxe_send (bsc#1103992
  FATE#326009).
- IB/rxe: remove unnecessary skb_clone (bsc#1103992 FATE#326009).
- IB/srpt: Add RDMA/CM support (bsc#1103992 FATE#326009).
- RDMA/bnxt_re/qplib_sp: Use true and false for boolean values
  (bsc#1104742 FATE#325917).
- IB/srp: Use the IB_DEVICE_SG_GAPS_REG HCA feature if supported
  (bsc#1103992 FATE#326009).
- IB/hfi1: Add a missing rcu_read_unlock() (bsc#1114685
  FATE#325854).
- infiniband: hw: Drop unnecessary continue (bsc#1103992
  FATE#326009).
- i40iw: Implement get_vector_affinity API (bsc#1114687
  FATE#326314).
- i40iw: Improve CM node lookup time on connection setup
  (bsc#1114687 FATE#326314).
- i40iw: Refactor handling of txpend list (bsc#1114687
  FATE#326314).
- infiniband: remove redundant assignment to pointer 'rdi'
  (bsc#1103992 FATE#326009).
- IB/rxe: Remove unused variable (char *rxe_qp_state_name)
  (bsc#1103992 FATE#326009).
- IB/qib: Move char *qib_sdma_state_names and constify while there
  (bsc#1103992 FATE#326009).
- IB/qib: Remove unused variable (char *qib_sdma_event_names)
  (bsc#1103992 FATE#326009).
- IB/srp: Use %%pIS instead of inet_ntop() (bsc#1103992
  FATE#326009).
- Revert "IB/srp: Avoid that a cable pull can trigger a kernel
  crash" (bsc#1103992 FATE#326009).
- RDMA/iwpm: Delete an error message for a failed memory
  allocation in iwpm_create_nlmsg() (bsc#1103992 FATE#326009).
- IB/usnic: Delete an error message for a failed memory allocation
  in usnic_transport_init() (bsc#1103992 FATE#326009).
- RDMA/mlx5: Refactor QP type check to be as early as possible
  (bsc#1103991 FATE#326007).
- IB/uverbs: Tidy uverbs_uobject_add (bsc#1103992 FATE#326009).
- RDMA/verbs: Return proper error code for not supported system
  call (bsc#1103992 FATE#326009).
- RDMA/uverbs: Reduce number of command header flags checks
  (bsc#1103992 FATE#326009).
- RDMA/uverbs: Replace user's types with kernel's types
  (bsc#1103992 FATE#326009).
- RDMA/uverbs: Refactor the header validation logic (bsc#1103992
  FATE#326009).
- RDMa/uverbs: Copy ex_hdr outside of SRCU read lock (bsc#1103992
  FATE#326009).
- RDMA/uverbs: Move uncontext check before SRCU read lock
  (bsc#1103992 FATE#326009).
- RDMA/uverbs: Properly check command supported mask (bsc#1103992
  FATE#326009).
- RDMA/uverbs: Refactor command header processing (bsc#1103992
  FATE#326009).
- RDMA/uverbs: Unify return values of not supported command
  (bsc#1103992 FATE#326009).
- RDMA/uverbs: Return not supported error code for unsupported
  commands (bsc#1103992 FATE#326009).
- RDMA/uverbs: Fail as early as possible if not enough header
  data was provided (bsc#1103992 FATE#326009).
- RDMA/uverbs: Refactor flags checks and update return value
  (bsc#1103992 FATE#326009).
- RDMA/uverbs: Update sizeof users (bsc#1103992 FATE#326009).
- RDMA/uverbs: Convert command mask validity check function to
  be bool (bsc#1103992 FATE#326009).
- rxe: Do not use 'struct sockaddr' in a uapi header (bsc#1103992
  FATE#326009).
- RDMA: Do not used __packed in uapi headers (bsc#1103992
  FATE#326009).
- IB/cxgb3: remove cxio_dbg.c (bsc#1103992 FATE#326009).
- net/mlx5e: Set EQE based as default TX interrupt moderation mode
  (bsc#1103990 FATE#326006).
- net/mlx4_en: CHECKSUM_COMPLETE support for fragments
  (bsc#1103989 FATE#326004).
- net/mlx5e: RX, Recycle buffer of UMR WQEs (bsc#1103990
  FATE#326006).
- net/mlx5e: Keep single pre-initialized UMR WQE per RQ
  (bsc#1103990 FATE#326006).
- net/mlx5e: Remove page_ref bulking in Striding RQ (bsc#1103990
  FATE#326006).
- net/mlx5e: Support XDP over Striding RQ (bsc#1103990
  FATE#326006).
- net/mlx5e: Refactor RQ XDP_TX indication (bsc#1103990
  FATE#326006).
- net/mlx5e: Use linear SKB in Striding RQ (bsc#1103990
  FATE#326006).
- net/mlx5e: Use inline MTTs in UMR WQEs (bsc#1103990
  FATE#326006).
- net/mlx5e: Do not busy-wait for UMR completion in Striding RQ
  (bsc#1103990 FATE#326006).
- net/mlx5e: Code movements in RX UMR WQE post (bsc#1103990
  FATE#326006).
- net/mlx5e: Derive Striding RQ size from MTU (bsc#1103990
  FATE#326006).
- net/mlx5e: Save MTU in channels params (bsc#1103990
  FATE#326006).
- net/mlx5e: IPoIB, Fix spelling mistake (bsc#1103990
  FATE#326006).
- net/mlx5: Change teardown with force mode failure message to
  warning (bsc#1103990 FATE#326006).
- net/mlx5e: Use eq ptr from cq (bsc#1103990 FATE#326006).
- net/mlx5e: Recover Send Queue (SQ) from error state (bsc#1103990
  FATE#326006).
- net/mlx5e: Dump xmit error completions (bsc#1103990
  FATE#326006).
- mlx5: Move dump error CQE function out of mlx5_ib for code
  sharing (bsc#1103991 FATE#326007).
- mlx5_{ib,core}: Add query SQ state helper function (bsc#1103991
  FATE#326007).
- net/mlx5e: Move all TX timeout logic to be under state lock
  (bsc#1103990 FATE#326006).
- net/mlx5e: Remove unused max inline related code (bsc#1103990
  FATE#326006).
- net/mlx5e: Add ethtool priv-flag for Striding RQ (bsc#1103990
  FATE#326006).
- net/mlx5e: Remove rq_headroom field from params (bsc#1103990
  FATE#326006).
- net/mlx5e: Remove RQ MPWQE fields from params (bsc#1103990
  FATE#326006).
- net/mlx5e: Use no-offset function in skb header copy
  (bsc#1103990 FATE#326006).
- net/mlx5e: Separate dma base address and offset in dma_sync call
  (bsc#1103990 FATE#326006).
- net/mlx5e: Unify slow PCI heuristic (bsc#1103990 FATE#326006).
- net/mlx5e: Add VLAN offload features to hw_enc_features
  (bsc#1103990 FATE#326006).
- net/mlx5e: Add a helper macro in set features ndo (bsc#1103990
  FATE#326006).
- net/mlx5e: Make choose LRO timeout function static (bsc#1103990
  FATE#326006).
- net/mlx5e: Remove redundant check in get ethtool stats
  (bsc#1103990 FATE#326006).
- net/mlx5e: Offload tc vlan push/pop using HW action (bsc#1103990
  FATE#326006).
- net/mlx5: Add core support for vlan push/pop steering action
  (bsc#1103990 FATE#326006).
- net/mlx5: E-Switch, Use same source for offloaded actions check
  (bsc#1103990 FATE#326006).
- net/mlx5e: Add interface down dropped packets statistics
  (bsc#1103990 FATE#326006).
- net/mlx5: Add packet dropped while vport down statistics
  (bsc#1103990 FATE#326006).
- net/mlx5e: Add vnic steering drop statistics (bsc#1103990
  FATE#326006).
- net/mlx5e: PFC stall prevention support (bsc#1103990
  FATE#326006).
- ethtool: Add support for configuring PFC stall prevention in
  ethtool (bsc#1103990 FATE#326006).
- net/mlx5e: Expose PFC stall prevention counters (bsc#1103990
  FATE#326006).
- net/mlx5: Fix use-after-free (bsc#1103990 FATE#326006).
- mlx5: Remove call to ida_pre_get (bsc#1103990 FATE#326006).
- net/mlx5: Fix wrongly assigned CQ reference counter (bsc#1103990
  FATE#326006).
- net/mlx5: IPSec, Add support for ESN (bsc#1103990 FATE#326006).
- net/mlx5e: Added common function for to_ipsec_sa_entry
  (bsc#1103990 FATE#326006).
- net/mlx5: Refactor accel IPSec code (bsc#1103990 FATE#326006).
- net/mlx5: Added required metadata capability for ipsec
  (bsc#1103990 FATE#326006).
- net/mlx5: Export ipsec capabilities (bsc#1103990 FATE#326006).
- net/mlx5: IPSec, Add command V2 support (bsc#1103990
  FATE#326006).
- net/mlx5e: IPSec, Add support for ESP trailer removal by
  hardware (bsc#1103990 FATE#326006).
- net/mlx5: Use MLX5_IPSEC_DEV macro for ipsec caps (bsc#1103990
  FATE#326006).
- net/mlx5: Flow steering cmd interface should get the fte when
  deleting (bsc#1103990 FATE#326006).
- {net,IB}/mlx5: Add flow steering helpers (bsc#1103991
  FATE#326007).
- net/mlx5: Add shim layer between fs and cmd (bsc#1103990
  FATE#326006).
- {net,IB}/mlx5: Add has_tag to mlx5_flow_act (bsc#1103991
  FATE#326007).
- IB/mlx5: Pass mlx5_flow_act struct instead of multiple arguments
  (bsc#1103991 FATE#326007).
- net/mlx5: FPGA and IPSec initialization to be before flow
  steering (bsc#1103990 FATE#326006).
- net/mlx5e: Removed not need synchronize_rcu (bsc#1103990
  FATE#326006).
- net/mlx5e: Wait for FPGA command responses with a timeout
  (bsc#1103990 FATE#326006).
- net/mlx5: Fixed compilation issue when CONFIG_MLX5_ACCEL is
  disabled (bsc#1103990 FATE#326006).
- IB/mlx5: Removed not used parameters (bsc#1103991 FATE#326007).
- net/mlx4_en: try to use high order pages for RX rings
  (bsc#1103989 FATE#326004).
- IB/mlx5: Disable self loopback check when in switchdev mode
  (bsc#1103991 FATE#326007).
- net/mlx5: E-Switch, Reload IB interface when switching devlink
  modes (bsc#1103990 FATE#326006).
- IB/mlx5: Add proper representors support (bsc#1103991
  FATE#326007).
- IB/mlx5: E-Switch, Add rule to forward traffic to vport
  (bsc#1103991 FATE#326007).
- IB/mlx5: Don't expose MR cache in switchdev mode (bsc#1103991
  FATE#326007).
- IB/mlx5: When in switchdev mode, expose only raw packet
  capabilities (bsc#1103991 FATE#326007).
- IB/mlx5: Listen to netdev register/unresiter events in switchdev
  mode (bsc#1103991 FATE#326007).
- IB/mlx5: Add match on vport when in switchdev mode (bsc#1103991
  FATE#326007).
- IB/mlx5: Allocate flow DB only on PF IB device (bsc#1103991
  FATE#326007).
- IB/mlx5: Add basic regiser/unregister representors code
  (bsc#1103991 FATE#326007).
- net/mlx5: E-Switch, Add definition of IB representor
  (bsc#1103990 FATE#326006).
- net/mlx5: E-Switch, Optimize HW steering tables in switchdev
  mode (bsc#1103990 FATE#326006).
- net/mlx5: E-Switch, Increase number of FTEs in FDB in switchdev
  mode (bsc#1103990 FATE#326006).
- net/mlx5: E-Switch, Add callback to get representor device
  (bsc#1103990 FATE#326006).
- net/mlx4_en: RX csum, pre-define enabled protocols for IP
  status masking (bsc#1103989 FATE#326004).
- net/mlx4_en: Combine checks of end-cases in RX completion
  function (bsc#1103989 FATE#326004).
- net/mlx4_en: Remove unnecessary warn print in reset config
  (bsc#1103989 FATE#326004).
- net/mlx4_en: Add physical RX/TX bytes/packets counters
  (bsc#1103989 FATE#326004).
- IB/mlx5: Implement fragmented completion queue (CQ) (bsc#1103991
  FATE#326007).
- net/mlx5: Move CQ completion and event forwarding logic to eq.c
  (bsc#1103990 FATE#326006).
- net/mlx5: CQ hold/put API (bsc#1103990 FATE#326006).
- net/mlx5: Add missing likely/unlikely hints to cq events
  (bsc#1103990 FATE#326006).
- net/mlx5: CQ Database per EQ (bsc#1103990 FATE#326006).
- net/mlx5e: Verify coalescing parameters in range (bsc#1103990
  FATE#326006).
- net/mlx5e: Use 32 bits to store VF representor SQ number
  (bsc#1103990 FATE#326006).
- xfrm: Add ESN support for IPSec HW offload (bsc#1103990
  FATE#326006).
- net/mlx4_en: Align behavior of set ring size flow via ethtool
  (bsc#1103989 FATE#326004).
- mlx4: setup xdp_rxq_info (bsc#1103989 FATE#326004).
- net/mlx4_en: RX csum, reorder branches (bsc#1103989
  FATE#326004).
- net/mlx4_en: RX csum, remove redundant branches and checks
  (bsc#1103989 FATE#326004).
- xfrm: check for xdo_dev_ops add and delete (bsc#1103990
  FATE#326006).
- xfrm: Allow to use the layer2 IPsec GSO codepath for software
  crypto (bsc#1103990 FATE#326006).
- net: Add asynchronous callbacks for xfrm on layer 2 (bsc#1103990
  FATE#326006).
- xfrm: Separate ESP handling from segmentation for GRO packets
  (bsc#1103990 FATE#326006).
- xfrm: add documentation for xfrm device offload api (bsc#1103990
  FATE#326006).
- bug: define the "cut here" string in a single place (bsc#1103992
  FATE#326009).
- xfrm: Add support for network devices capable of removing the
  ESP trailer (bsc#1103990 FATE#326006).
- net: Allow IPsec GSO for local sockets (bsc#1103990
  FATE#326006).
- esp6: Fix RX checksum after header pull (bsc#1103990
  FATE#326006).
- esp6: Support RX checksum with crypto offload (bsc#1103990
  FATE#326006).
- esp4: Support RX checksum with crypto offload (bsc#1103990
  FATE#326006).
- PCI: Add sysfs max_link_speed/width, current_link_speed/width,
  etc (bsc#1103990 FATE#326006).
- commit 0a77526
* Thu Nov  8 2018 ptesarik@suse.cz
- s390/cpum_cf: rename IBM z13/z14 counter names (FATE#326391,
  LTC#169495, bsc#1113510).
- s390: add support for IBM z14 Model ZR1 (FATE#326391,
  LTC#169495, bsc#1113510).
- s390: add support for IBM z14 machines (FATE#326391, LTC#169495,
  bsc#1113510).
- s390/cpum_cf: correct counter number of LAST_HOST_TRANSLATIONS
  (FATE#326391, LTC#169495, bsc#1113510).
- s390/cpum_cf: add hardware counter support for IBM z14
  (FATE#326391, LTC#169495, bsc#1113510).
- commit fd32d20
* Thu Nov  8 2018 hare@suse.de
- Revert "blk-mq: remove code for dealing with remapping queue"
  (bsc#1104967,FATE#325924).
- block: mq: Add some minor doc for core structs
  (bsc#1104967,FATE#325924).
- blkcg: init root blkcg_gq under lock (bsc#1104967,FATE#325924).
- blkcg: small fix on comment in blkcg_init_queue
  (bsc#1104967,FATE#325924).
- blkcg: don't hold blkcg lock when deactivating policy
  (bsc#1104967,FATE#325924).
- block: add blk_queue_fua() helper function
  (bsc#1104967,FATE#325924).
- blk-mq: start request gstate with gen 1
  (bsc#1104967,FATE#325924).
- blk-mq: Revert "blk-mq: reimplement blk_mq_hw_queue_mapped"
  (bsc#1104967,FATE#325924).
- commit c76e772
* Thu Nov  8 2018 yousaf.kaukab@suse.com
- PCI: imx: Add PME_Turn_Off support (fate#326536, fate#326532).
- PCI: imx: Initial imx7d pm support (fate#326536, fate#326532).
- PCI: imx6: Support MPLL reconfiguration for 100MHz and 200MHz
  refclock (fate#326536, fate#326532).
- PCI: qcom: Include gpio/consumer.h (fate#326536, fate#326532).
- PCI: qcom: add runtime pm support to pcie_port (fate#326536,
  fate#326532).
- PCI: qcom: Fix a bitwise vs logical NOT typo (fate#326536,
  fate#326532).
- PCI: dwc: dra7xx: Use devm_ioremap_resource() instead of
  devm_ioremap() (fate#326536, fate#326532).
- PCI: dwc: artpec6: Use devm_ioremap_resource() instead of
  devm_ioremap() (fate#326536, fate#326532).
- PCI: dwc: Move CONFIG_PCI depends to menu (fate#326536,
  fate#326532).
- PCI: dwc: Small computation improvement (fate#326536,
  fate#326532).
- PCI: imx6: Remove space before tabs (fate#326536, fate#326532).
- PCI: keystone: Do not treat link up message as error
  (fate#326536, fate#326532).
- PCI: armada8k: Fix clock resource by adding a register clock
  (fate#326536, fate#326532).
- PCI: armada8k: Remove useless test before
  clk_disable_unprepare() (fate#326536, fate#326532).
- PCI: kirin: Fix reset gpio name (fate#326536, fate#326532).
- PCI: kirin: Make struct kirin_pcie_driver static (fate#326536,
  fate#326532).
- PCI: kirin: Fix missing dependency on PCI_MSI_IRQ_DOMAIN
  (fate#326536, fate#326532).
- PCI: kirin: Remove unnecessary asm/compiler.h include
  (fate#326536, fate#326532).
- PCI: designware-ep: Make dw_pcie_ep_reset_bar() handle 64-bit
  BARs properly (fate#326536, fate#326532).
- PCI: designware-ep: Make dw_pcie_ep_set_bar() handle 64-bit
  BARs properly (fate#326536, fate#326532).
- PCI: histb: Add an optional regulator for PCIe port power
  control (fate#326536, fate#326532).
- PCI: histb: Fix error path of histb_pcie_host_enable()
  (fate#326536, fate#326532).
- PCI: qcom: Use regulator bulk api for apq8064 supplies
  (fate#326536, fate#326532).
- PCI: qcom: Add missing supplies required for msm8996
  (fate#326536, fate#326532).
- PCI: designware-ep: Fix typo in error message (fate#326536,
  fate#326532).
- PCI: dra7xx: Iterate over INTx status bits (fate#326536,
  fate#326532).
- PCI: dra7xx: Fix legacy INTD IRQ handling (fate#326536,
  fate#326532).
- PCI: qcom: Account for const type of of_device_id.data
  (fate#326536, fate#326532).
- PCI: dwc: artpec6: Fix return value check in
  artpec6_add_pcie_ep() (fate#326536, fate#326532).
- PCI: exynos: Remove deprecated PHY initialization code
  (fate#326536, fate#326532).
- PCI: dwc: artpec6: Add support for the ARTPEC-7 SoC
  (fate#326536, fate#326532).
- PCI: dwc: artpec6: Deassert the core before waiting for PHY
  (fate#326536, fate#326532).
- PCI: dwc: Make cpu_addr_fixup take struct dw_pcie as argument
  (fate#326536, fate#326532).
- PCI: dwc: artpec6: Add support for endpoint mode (fate#326536,
  fate#326532).
- PCI: dwc: artpec6: Split artpec6_pcie_establish_link() into
  smaller functions (fate#326536, fate#326532).
- PCI: dwc: artpec6: Use BIT and GENMASK macros (fate#326536,
  fate#326532).
- PCI: dwc: artpec6: Remove unused defines (fate#326536,
  fate#326532).
- PCI: dwc: dra7xx: Help compiler to remove unused code
  (fate#326536, fate#326532).
- PCI: dwc: dra7xx: Assign pp->ops in dra7xx_add_pcie_port()
  rather than in probe (fate#326536, fate#326532).
- PCI: dwc: dra7xx: Refactor Kconfig and Makefile handling for
  host/ep mode (fate#326536, fate#326532).
- PCI: designware-ep: Add generic function for raising MSI irq
  (fate#326536, fate#326532).
- PCI: designware-ep: Remove static keyword from
  dw_pcie_ep_reset_bar() (fate#326536, fate#326532).
- PCI: designware-ep: Pre-allocate memory for MSI in
  dw_pcie_ep_init (fate#326536, fate#326532).
  Refresh:
  patches.drivers/PCI-designware-ep-Fix-find_first_zero_bit-usage
- PCI: designware-ep: Read-only registers need DBI_RO_WR_EN to
  be writable (fate#326536, fate#326532).
- PCI: designware-ep: dw_pcie_ep_set_msi() should only set MMC
  bits (fate#326536, fate#326532).
  Refresh:
  patches.drivers/PCI-designware-ep-Fix-get_msi-to-check-MSI_EN-bit
- PCI: dwc: Use the DMA-API to get the MSI address (fate#326536,
  fate#326532).
- pci: dwc: pci-dra7xx: Make shutdown handler static (fate#326536,
  fate#326532).
- PCI: layerscape: Change default error response behavior
  (fate#326536, fate#326532).
- PCI: layerscape: Add support for ls1012a (fate#326536,
  fate#326532).
- PCI: hisi: Add HiSilicon STB SoC PCIe controller driver
  (fate#326536, fate#326532).
- PCI: dra7xx: Add shutdown handler to cleanly turn off clocks
  (fate#326536, fate#326532).
- PCI: dra7xx: Create functional dependency between PCIe and PHY
  (fate#326536, fate#326532).
- PCI: designware-ep: Do not disable BARs during initialization
  (fate#326536, fate#326532).
- PCI: dra7xx: Reset all BARs during initialization (fate#326536,
  fate#326532).
- PCI: dwc: designware: Provide page_size to pci_epc_mem
  (fate#326536, fate#326532).
  Refresh:
  patches.drivers/PCI-designware-ep-Fix-find_first_zero_bit-usage
- PCI: spear13xx: Fix platform_get_irq() error handling
  (fate#326536, fate#326532).
- PCI: qcom: Add support for IPQ8074 PCIe controller (fate#326536,
  fate#326532).
- PCI: qcom: Use block IP version for operations (fate#326536,
  fate#326532).
- PCI: qcom: Explicitly request exclusive reset control
  (fate#326536, fate#326532).
- PCI: qcom: Use gpiod_set_value_cansleep() to allow reset via
  expanders (fate#326536, fate#326532).
- PCI: layerscape: Add support for ls1088a (fate#326536,
  fate#326532).
- PCI: layerscape: Add support for ls2088a (fate#326536,
  fate#326532).
- PCI: artpec6: Stop enabling writes to DBI read-only registers
  (fate#326536, fate#326532).
- PCI: layerscape: Remove unnecessary class code fixup
  (fate#326536, fate#326532).
- PCI: dwc: Enable write permission for Class Code, Interrupt
  Pin updates (fate#326536, fate#326532).
- PCI: dwc: Add accessors for write permission of DBI read-only
  registers (fate#326536, fate#326532).
- PCI: layerscape: Disable outbound windows configured by
  bootloader (fate#326536, fate#326532).
- PCI: layerscape: Refactor ls1021_pcie_host_init() (fate#326536,
  fate#326532).
- PCI: layerscape: Move generic init functions earlier in file
  (fate#326536, fate#326532).
- PCI: layerscape: Add class code and multifunction fixups for
  ls1021a (fate#326536, fate#326532).
- PCI: layerscape: Move STRFMR1 access out from the DBI
  write-enable bracket (fate#326536, fate#326532).
- PCI: layerscape: Call dw_pcie_setup_rc() from
  ls_pcie_host_init() (fate#326536, fate#326532).
- PCI: kirin: Constify dw_pcie_host_ops structure (fate#326536,
  fate#326532).
- PCI: keystone: Use PCI_NUM_INTX (fate#326536, fate#326532).
- PCI: keystone: Remove duplicate MAX_*_IRQS defs (fate#326536,
  fate#326532).
- PCI: keystone-dw: Remove unused ks_pcie, pci variables
  (fate#326536, fate#326532).
- PCI: imx6: Explicitly request exclusive reset control
  (fate#326536, fate#326532).
- PCI: hisi: Constify dw_pcie_host_ops structure (fate#326536,
  fate#326532).
- PCI: hisi: Remove unused variable driver (fate#326536,
  fate#326532).
- PCI: exynos: Fix platform_get_irq() error handling (fate#326536,
  fate#326532).
- PCI: dra7xx: Fix platform_get_irq() error handling (fate#326536,
  fate#326532).
- PCI: dra7xx: Propagate platform_get_irq() errors in
  dra7xx_pcie_probe() (fate#326536, fate#326532).
- PCI: dra7xx: Use PCI_NUM_INTX (fate#326536, fate#326532).
- PCI: dwc: Clear MSI interrupt status after it is handled,
  not before (fate#326536, fate#326532).
- PCI: qcom: Allow ->post_init() to fail (fate#326536,
  fate#326532).
- PCI: qcom: Don't unroll init if ->init() fails (fate#326536,
  fate#326532).
- PCI: dwc: designware: Handle ->host_init() failures
  (fate#326536, fate#326532).
- PCI: dwc: designware: Test PCIE_ATU_ENABLE bit specifically
  (fate#326536, fate#326532).
  Refresh:
  patches.suse/PCI-dwc-Fix-scheduling-while-atomic-issues.patch
- PCI: dwc: designware: Make dw_pcie_prog_*_atu_unroll() static
  (fate#326536, fate#326532).
- PCI: artpec6: Fix platform_get_irq() error handling
  (fate#326536, fate#326532).
- PCI: armada8k: Fix platform_get_irq() error handling
  (fate#326536, fate#326532).
- PCI: armada8k: Check the return value from clk_prepare_enable()
  (fate#326536, fate#326532).
- PCI: qcom: Limit TLP size to 2K to work around hardware issue
  (fate#326536, fate#326532).
- PCI: qcom: Fix spelling mistake: "asser" -> "assert"
  (fate#326536, fate#326532).
- PCI: qcom: Reorder to put v0 functions together, v1 functions
  together, etc (fate#326536, fate#326532).
- PCI: qcom: Add support for IPQ4019 PCIe controller (fate#326536,
  fate#326532).
- PCI: kirin: Add HiSilicon Kirin SoC PCIe controller driver
  (fate#326536, fate#326532).
- PCI: imx6: Add regulator support (fate#326536, fate#326532).
- PCI: dwc: dra7xx: Depend on appropriate SoC or compile test
  (fate#326536, fate#326532).
- PCI: dwc: Constify dw_pcie_host_ops structures (fate#326536,
  fate#326532).
- PCI: host: Mark PCIe/PCI (MSI) cascade ISR as IRQF_NO_THREAD
  (fate#326536, fate#326532).
- commit 35c9e78
* Thu Nov  8 2018 ptesarik@suse.cz
- KVM: s390: Make huge pages unavailable in ucontrol VMs
  (FATE#326372, LTC#169184, bsc#1113484).
- s390/mm: Check for valid vma before zapping in gmap_discard
  (FATE#326372, LTC#169184, bsc#1113484).
- KVM: s390: Properly lock mm context allow_gmap_hpage_1m setting
  (FATE#326372, LTC#169184, bsc#1113484).
- KVM: s390: Fix pfmf and conditional skey emulation (FATE#326372,
  LTC#169184, bsc#1113484).
- KVM: s390: Add huge page enablement control (FATE#326372,
  LTC#169184, bsc#1113484).
- s390/mm: Add huge page gmap linking support (FATE#326372,
  LTC#169184, bsc#1113484).
- s390/mm: hugetlb pages within a gmap can not be freed
  (FATE#326372, LTC#169184, bsc#1113484).
- commit 28b9300
* Thu Nov  8 2018 ptesarik@suse.cz
- KVM: s390: Add skey emulation fault handling (FATE#326372,
  LTC#169184, bsc#1113484).
- commit 98aef0c
* Thu Nov  8 2018 ptesarik@suse.cz
- s390/mm: Add huge pmd storage key handling (FATE#326372,
  LTC#169184, bsc#1113484).
- commit 9e8875c
* Thu Nov  8 2018 hare@suse.de
- blk-mq: remove code for dealing with remapping queue
  (bsc#1104967,FATE#325924).
- blk-mq: reimplement blk_mq_hw_queue_mapped
  (bsc#1104967,FATE#325924).
- blk-mq: don't check queue mapped in (bsc#1104967,FATE#325924).
- blk-mq: remove blk_mq_delay_queue() (bsc#1104967,FATE#325924).
- blk-mq: introduce blk_mq_hw_queue_first_cpu() to figure out
  (bsc#1104967,FATE#325924).
- blk-mq: avoid to write intermediate result to hctx->next_cpu
  (bsc#1104967,FATE#325924).
- blktrace: fix comment in blktrace_api.h
  (bsc#1104967,FATE#325924).
- blk-mq: Allow PCI vector offset for mapping queues
  (bsc#1104967,FATE#325924).
- block, bfq: lower-bound the estimated peak rate to 1
  (bsc#1104967,FATE#325924).
- commit 074623a
* Thu Nov  8 2018 jack@suse.cz
- patches.fixes/dax-check-for-queue_flag_dax-in-bdev_dax_supported.patch:
  Add hunk lost during pull from SLE12-SP4
- commit 0db3fba
* Thu Nov  8 2018 ptesarik@suse.cz
- s390/mm: Clear skeys for newly mapped huge guest pmds
  (FATE#326372, LTC#169184, bsc#1113484).
- commit f0d3192
* Thu Nov  8 2018 ptesarik@suse.cz
- s390/mm: Clear huge page storage keys on enable_skey
  (FATE#326372, LTC#169184, bsc#1113484).
- commit d5d9901
* Thu Nov  8 2018 ptesarik@suse.cz
- s390/mm: Add huge page dirty sync support (FATE#326372,
  LTC#169184, bsc#1113484).
- commit b7c082b
* Thu Nov  8 2018 ptesarik@suse.cz
- s390/mm: Add gmap pmd invalidation and clearing (FATE#326372,
  LTC#169184, bsc#1113484).
- commit ab06080
* Thu Nov  8 2018 ptesarik@suse.cz
- s390/mm: Add gmap pmd notification bit setting (FATE#326372,
  LTC#169184, bsc#1113484).
- commit 7853f43
* Thu Nov  8 2018 ptesarik@suse.cz
- s390/mm: Add gmap pmd linking (FATE#326372, LTC#169184,
  bsc#1113484).
- commit de5cae8
* Thu Nov  8 2018 ptesarik@suse.cz
- s390/mm: Abstract gmap notify bit setting (FATE#326372,
  LTC#169184, bsc#1113484).
- commit 356cbc7
* Thu Nov  8 2018 ptesarik@suse.cz
- s390/mm: Make gmap_protect_range more modular (FATE#326372,
  LTC#169184, bsc#1113484).
- commit 6b817a6
* Thu Nov  8 2018 ptesarik@suse.cz
- KVM: s390: Add storage key facility interpretation control
  (FATE#326372, LTC#169184, bsc#1113484).
- commit 2df7576
* Thu Nov  8 2018 ptesarik@suse.cz
- KVM: s390: Refactor host cmma and pfmfi interpretation controls
  (FATE#326372, LTC#169184, bsc#1113484).
- commit 524c317
* Thu Nov  8 2018 hare@suse.de
- block: Move SECTOR_SIZE and SECTOR_SHIFT definitions into
  <linux/blkdev.h> (bsc#1104967,FATE#325924).
- Refresh
  patches.drivers/rbd-move-structs-used-by-lio-rbd-to-new-header.patch.
- commit e79418b
* Thu Nov  8 2018 bp@suse.de
- x86/cpufeatures: Enumerate MOVDIR64B instruction (fate#326219).
- x86/cpufeatures: Enumerate MOVDIRI instruction (fate#326219).
- commit daa4f5c
* Thu Nov  8 2018 mbrugger@suse.com
- irqchip/gic-v3-its: Allow use of LPI tables in reserved memory
  (bsc#1111147).
- irqchip/gic-v3-its: Register LPI tables with EFI config table
  (bsc#1111147).
- irqchip/gic-v3-its: Check that all RDs have the same property
  table (bsc#1111147).
- irqchip/gic-v3-its: Use pre-programmed redistributor tables
  with kdump kernels (bsc#1111147).
- irqchip/gic-v3-its: Allow use of pre-programmed LPI tables
  (bsc#1111147).
- irqchip/gic-v3-its: Keep track of property table's PA and VA
  (bsc#1111147).
- irqchip/gic-v3-its: Move pending table allocation to init time
  (bsc#1111147).
- irqchip/gic-v3-its: Split property table clearing from
  allocation (bsc#1111147).
- irqchip/gic-v3-its: Simplify LPI_PENDBASE_SZ usage
  (bsc#1111147).
- irqchip/gic-v3-its: Change initialization ordering for LPIs
  (bsc#1111147).
- efi: add API to reserve memory persistently across kexec reboot
  (bsc#1111147).
- irqchip/gic-v3-its: Cap lpi_id_bits to reduce memory footprint
  (bsc#1111147).
- irqchip/gic-v3-its: Reduce minimum LPI allocation to 1 for
  PCI devices (bsc#1111147).
- irqchip/gic-v3-its: Honor hypervisor enforced LPI range
  (bsc#1111147).
- irqchip/gic-v3: Expose GICD_TYPER in the rdist structure
  (bsc#1111147).
- irqchip/gic-v3-its: Drop chunk allocation compatibility
  (bsc#1111147).
- irqchip/gic-v3-its: Move minimum LPI requirements to individual
  busses (bsc#1111147).
- irqchip/gic-v3-its: Use full range of LPIs (bsc#1111147).
- irqchip/gic-v3-its: Refactor LPI allocator (bsc#1111147).
- irqchip/gic-v3-its: Fix reprogramming of redistributors on
  CPU hotplug (bsc#1111147).
- irqchip/gic-v3-its: Only emit VSYNC if targetting a valid
  collection (bsc#1111147).
- irqchip/gic-v3-its: Only emit SYNC if targetting a valid
  collection (bsc#1111147).
- irqchip/gic-v3: Ensure GICR_CTLR.EnableLPI=0 is observed before
  enabling (bsc#1111147).
- irqchip/gic-v3: Allow LPIs to be disabled from the command line
  (bsc#1111147).
- commit 753e9a1
* Thu Nov  8 2018 jack@suse.cz
- blacklist.conf: Remove commits that are actually included in branch
- commit 19025ac
* Thu Nov  8 2018 tiwai@suse.de
- rpm/kernel-source.spec.in: Add patches.drm for moved DRM patches
- commit d5fcbc2
* Thu Nov  8 2018 ptesarik@suse.cz
- Update patches.arch/s390-dasd-configurable-IFCC-handling.patch
  (bsc#1097808, FATE#326362).
- commit a9c1442
* Thu Nov  8 2018 jack@suse.cz
- dax: change bdev_dax_supported() to support boolean returns
  (bsc#1104888).
- blacklist.conf: Remove 80660f20252d
- patches.fixes/mm-introduce-MEMORY_DEVICE_FS_DAX-and-CONFIG_DEV_PAG.patch:
  Refresh
- patches.fixes/mm-fs-dax-handle-layout-changes-to-pinned-dax-mappin.patch:
  Refresh
- patches.fixes/filesystem-dax-Introduce-dax_lock_mapping_entry.patch:
  Refresh
- patches.suse/xfs-unsupported-features.patch: Refresh
- commit 1fa1d1a
* Thu Nov  8 2018 jdelvare@suse.de
- firmware: dcdbas: Add support for WSMT ACPI table (bsc#1089350
  FATE#325723).
- ACPICA: Tables: Add WSMT support (bsc#1089350 FATE#325723).
- commit da04cb0
* Thu Nov  8 2018 jslaby@suse.cz
- bpf, net: add skb_mac_header_len helper
  (networking-stable-18_09_24).
- Refresh
  patches.fixes/bpf-fix-bpf_skb_adjust_net-bpf_skb_proto_xlat-to-dea.patch.
- commit 7abeaa3
* Thu Nov  8 2018 jslaby@suse.cz
- ipv6: fix possible use-after-free in ip6_xmit()
  (networking-stable-18_09_24).
- net: hp100: fix always-true check for link up state
  (networking-stable-18_09_24).
- pppoe: fix reception of frames with no mac header
  (networking-stable-18_09_24).
- udp6: add missing checks on edumux packet processing
  (networking-stable-18_09_24).
- udp4: fix IP_CMSG_CHECKSUM for connected sockets
  (networking-stable-18_09_24).
- net/sched: act_sample: fix NULL dereference in the data path
  (networking-stable-18_09_24).
- gso_segment: Reset skb->mac_len after modifying network header
  (networking-stable-18_09_24).
- neighbour: confirm neigh entries when ARP packet is received
  (networking-stable-18_09_24).
- net/appletalk: fix minor pointer leak to userspace in
  SIOCFINDIPDDPRT (networking-stable-18_09_24).
- commit 1c616f8
* Thu Nov  8 2018 jroedel@suse.de
- Refresh
  patches.arch/kvm-nvmx-move-check_vmentry_postreqs-call-to-nested_vmx_enter_non_root_mode.
  Fix compile warnings
- commit 69ce36e
* Thu Nov  8 2018 ptesarik@suse.cz
- Update config files: update vanilla configs
  Restore option CONFIG_RTC_DRV_DS1307_HWMON, lost by commit
  6d8bc6603da9dc1a9e5c9a22017b66ef173b13c9.
- commit a9941a5
* Thu Nov  8 2018 hare@suse.de
- blacklist.conf: blacklist patch requiring changes from 4.19
- commit 2b2a238
* Thu Nov  8 2018 jslaby@suse.cz
- rds: fix two RCU related problems (networking-stable-18_09_18).
- net/mlx5: Check for error in mlx5_attach_interface
  (networking-stable-18_09_18).
- net/mlx5: E-Switch, Fix memory leak when creating switchdev
  mode FDB tables (networking-stable-18_09_18).
- net/mlx5: Fix debugfs cleanup in the device init/remove flow
  (networking-stable-18_09_18).
- net/mlx5: Fix use-after-free in self-healing flow
  (networking-stable-18_09_18).
- net: qca_spi: Fix race condition in spi transfers
  (networking-stable-18_09_18).
- commit f54ed43
* Thu Nov  8 2018 hare@suse.de
- skd: fixup usage of legacy IO API (bsc#1104967,FATE#325924).
- bsg: fix bogus EINVAL on non-data commands
  (bsc#1104967,FATE#325924).
- blk-mq: Avoid that submitting a bio concurrently with device
  removal triggers a crash (bsc#1104967,FATE#325924).
- dm: backfill abnormal IO support to non-splitting IO submission
  (bsc#1104967,FATE#325924).
- dm mpath: remove unnecessary NVMe branching in favor of scsi_dh
  checks (bsc#1104967,FATE#325924).
- dm table: fix "nvme" test (bsc#1104967,FATE#325924).
- dm table: fix NVMe bio-based dm_table_determine_type()
  validation (bsc#1104967,FATE#325924).
- commit 9c3fdf0
* Thu Nov  8 2018 hare@suse.de
- Blacklist commit fixing a build issue only
- commit 95f9bd1
* Thu Nov  8 2018 jslaby@suse.cz
- doc/README.SUSE: correct GIT url
  No more gitorious, github we use.
- commit 31864f3
* Thu Nov  8 2018 neilb@suse.com
- NFSv4.1 fix infinite loop on I/O (git-fixes).
- NFSv4.0 fix client reference leak in callback (git-fixes).
- NFSv4.1: Fix a potential layoutget/layoutrecall deadlock
  (git-fixes).
- sunrpc: Don't use stack buffer with scatterlist (git-fixes).
- nfsd: fix corrupted reply to badly ordered compound (git-fixes).
- pNFS: Always free the session slot on error in
  nfs4_layoutget_handle_exception (git-fixes).
- skip LAYOUTRETURN if layout is invalid (git-fixes).
- NFSv4.1: Fix the client behaviour on NFS4ERR_SEQ_FALSE_RETRY
  (git-fixes).
- NFSv4: Fix a typo in nfs41_sequence_process (git-fixes).
- pnfs: Don't release the sequence slot until we've processed
  layoutget on open (git-fixes).
- nfsd: fix potential use-after-free in nfsd4_decode_getdeviceinfo
  (git-fixes).
- nfsd: restrict rd_maxcount to svc_max_payload in
  nfsd_encode_readdir (git-fixes).
- NFS: Fix unstable write completion (git-fixes).
- pNFS: Prevent the layout header refcount going to zero in
  pnfs_roc() (git-fixes).
- NFS: Fix an incorrect type in struct nfs_direct_req (git-fixes).
- nfsd4: permit layoutget of executable-only files (git-fixes).
- NFS: commit direct writes even if they fail partially
  (git-fixes).
- nfs: don't wait on commit in nfs_commit_inode() if there were
  no commit requests (git-fixes).
- SUNRPC: Allow connect to return EHOSTUNREACH (git-fixes).
- nfsd: check for use of the closed special stateid (git-fixes).
- grace: replace BUG_ON by WARN_ONCE in exit_net hook (git-fixes).
- nfsd: Ensure we check stateid validity in the seqid operation
  checks (git-fixes).
- nfsd: CLOSE SHOULD return the invalid special stateid for
  NFSv4.x (x>0) (git-fixes).
- nfsd: Fix another OPEN stateid race (git-fixes).
- nfsd: Fix stateid races between OPEN and CLOSE (git-fixes).
- nfsd: deal with revoked delegations appropriately (git-fixes).
- SUNRPC: Fix tracepoint storage issues with svc_recv and
  svc_rqst_status (git-fixes).
- NFS: Fix typo in nomigration mount option (git-fixes).
- NFS: Fix a typo in nfs_rename() (git-fixes).
- sunrpc: Fix rpc_task_begin trace point (git-fixes).
- NFS: Avoid RCU usage in tracepoints (git-fixes).
- NFSv4.1: Fix up replays of interrupted requests (git-fixes).
- xprtrdma: Don't defer fencing an async RPC's chunks (git-fixes).
- commit cbfcac5
* Wed Nov  7 2018 mbrugger@suse.com
- arm64: KVM: Sanitize PSTATE.M when being set from userspace
  (bsc#1110998).
- arm64: KVM: Tighten guest core register access from userspace
  (bsc#1110998).
- KVM: arm/arm64: Introduce vcpu_el1_is_32bit (bsc#1110998).
- arm64: KVM: Move CPU ID reg trap setup off the world switch path
  (bsc#1110998).
- commit 3534306
* Wed Nov  7 2018 lduncan@suse.com
- scsi: core: Avoid that SCSI device removal through sysfs
  triggers a deadlock (bsc#1114578).
- scsi: sysfs: Introduce sysfs_{un,}break_active_protection()
  (bsc#1114578).
- scsi: target/tcm_loop: Avoid that static checkers warn about
  dead code (bsc#1114577).
- scsi: libsas: remove irq save in sas_ata_qc_issue()
  (bsc#1114580).
- scsi: sg: fix minor memory leak in error path (bsc#1114584).
- scsi: qlogicpti: Fix an error handling path in
  'qpti_sbus_probe()' (bsc#1114581).
- scsi: scsi_transport_srp: Fix shost to rport translation
  (bsc#1114582).
- scsi: target: Fix fortify_panic kernel exception (bsc#1114576).
- commit 018bccb
* Wed Nov  7 2018 pvorel@suse.cz
- fsnotify: fix ignore mask logic in fsnotify() (bsc#1115074).
- commit f6cfe4b
* Wed Nov  7 2018 hare@suse.de
- supported.conf: mark dm-unstripe as supported
- commit 1a437a2
* Wed Nov  7 2018 lduncan@suse.com
- Blacklist commit that modifies Scsi_Host/kabi (bsc#1114579)
- commit 80c9d85
* Wed Nov  7 2018 lduncan@suse.com
- Blacklist virtio patch that uses bio_integrity_bytes() (bsc#1114585)
- commit ba0cd5c
* Wed Nov  7 2018 lduncan@suse.com
- Blacklist sd_zbc patch that is too invasive (bsc#1114583)
- commit ef29119
* Wed Nov  7 2018 tbogendoerfer@suse.de
- net/dim: Fix int overflow (bsc#1103990 FATE#326006).
- commit 5f86ab7
* Wed Nov  7 2018 jroedel@suse.de
- KVM: nVMX: move check_vmentry_postreqs() call to
  nested_vmx_enter_non_root_mode() (bsc#1106240).
- KVM: nVMX: Always reflect #NM VM-exits to L1 (bsc#1106240).
- commit aa4e0d0
* Wed Nov  7 2018 tzimmermann@suse.de
- Move 2308 patches to patches.drm/ (FATE#326265)
- commit ebf85ed
* Wed Nov  7 2018 oneukum@suse.com
- PCI: pciehp: Make pciehp_is_native() stricter (FATE#326302).
- Refresh
  patches.drivers/0001-PCI-hotplug-Add-hotplug_is_native.patch.
- Refresh
  patches.drivers/0001-PCI-shpchp-Add-shpchp_is_native.patch.
- Refresh
  patches.drivers/0001-PCI-shpchp-Remove-acpi_get_hp_hw_control_from_firmwa.patch.
- Refresh
  patches.drivers/0001-PCI-shpchp-Remove-get_hp_hw_control_from_firmware-wr.patch.
- commit ee0bebc
* Wed Nov  7 2018 hare@suse.de
- scsi: scsi_transport_sas: check reply payload length instead
  (bsc#1104967,FATE#325924).
- scsi: libfc: don't assign resid_len in fc_lport_bsg_request
  (bsc#1104967,FATE#325924).
- commit eccef1c
* Wed Nov  7 2018 tbogendoerfer@suse.de
- kobject: Export kobj_ns_grab_current() and kobj_ns_drop()
  (bsc#1103992 FATE#326009).
- commit 88276c7
* Wed Nov  7 2018 hare@suse.de
- scsi: bfa: don't reset max_segments for every bsg request
  (bsc#1104967,FATE#325924).
- Refresh
  patches.fixes/scsi-bfa-fix-access-to-bfad_im_port_s.patch.
- Update patches.fixes/scsi-bfa-fix-type-conversion-warning.patch
  (bsc#1104967,FATE#325924).
- commit 891e954
* Wed Nov  7 2018 hare@suse.de
- scsi: bfa: move bus reset to target reset
  (bsc#1104967,FATE#325924).
- commit bf32e1d
* Wed Nov  7 2018 tbogendoerfer@suse.de
- net/mlx5: Add hairpin definitions to the FW API (bsc#1103990
  FATE#326006).
- commit 20e2140
* Wed Nov  7 2018 tiwai@suse.de
- usbnet: smsc95xx: disable carrier check while suspending
  (bsc#1051510).
- reset: hisilicon: fix potential NULL pointer dereference
  (bsc#1051510).
- VMCI: Resource wildcard match fixed (bsc#1051510).
- mailbox: PCC: handle parse error (bsc#1051510).
- mfd: omap-usb-host: Fix dts probe of children (bsc#1051510).
- reset: imx7: Fix always writing bits as 0 (bsc#1051510).
- remoteproc: qcom: Fix potential device node leaks (bsc#1051510).
- commit 6ce5a67
* Wed Nov  7 2018 jack@suse.cz
- SLES: powerpc: Add pmem.h (bsc#1113295).
- commit e38d553
* Wed Nov  7 2018 tbogendoerfer@suse.de
- IB/hfi1: Remove unnecessary fecn and becn fields (bsc#1114685
  FATE#325854).
- Refresh patches.drivers/IB-hfi1-Fix-loss-of-BECN-with-AHG.patch.
- commit da71506
* Wed Nov  7 2018 tbogendoerfer@suse.de
- net/mlx5e: Poll event queue upon TX timeout before performing
  full channels recovery (bsc#1103990 FATE#326006).
- Refresh
  patches.drivers/net-mlx5-Free-IRQs-in-shutdown-path.patch.
- commit f4b75df
* Wed Nov  7 2018 yousaf.kaukab@suse.com
- blacklist: remove dwc pci patches
- commit 1c0e5fb
* Wed Nov  7 2018 jroedel@suse.de
- PCI: vmd: Detach resources after stopping root bus
  (bsc#1109806).
- PCI: iproc: Remove PAXC slot check to allow VF support
  (bsc#1109806).
- commit ff5615e
* Wed Nov  7 2018 tbogendoerfer@suse.de
- net/mlx5e: Change Mellanox references in DIM code (bsc#1103990
  FATE#326006).
- Refresh
  patches.drivers/net-mlx5e-Fix-traffic-being-dropped-on-VF-represento.patch.
- commit 846dc6e
* Wed Nov  7 2018 tbogendoerfer@suse.de
- IB/srpt: Log all zero-length writes and completions (bsc#1103992
  FATE#326009).
- Refresh
  patches.drivers/IB-srpt-Fix-an-out-of-bounds-stack-access-in-srpt_ze.patch.
- commit aaab635
* Wed Nov  7 2018 tbogendoerfer@suse.de
- net/mlx5e: Add clock info page to mlx5 core devices (bsc#1103991
  FATE#326007).
- Refresh
  patches.drivers/net-mlx5-Adjust-clock-overflow-work-period.patch.
- commit 14fe97a
* Wed Nov  7 2018 jroedel@suse.de
- iommu/arm-smmu: Ensure that page-table updates are visible
  before TLBI (bsc#1106237).
- commit 6326887
* Wed Nov  7 2018 tbogendoerfer@suse.de
- IB/core: postpone WR initialization during queue drain
  (bsc#1103992 FATE#326009).
- Refresh
  patches.drivers/RDMA-core-Avoid-that-ib_drain_qp-triggers-an-out-of-.patch.
- commit c3576fd
* Wed Nov  7 2018 oneukum@suse.com
- ACPI / hotplug / PCI: Mark stale PCI devices disconnected
  (FATE#326302).
- commit a23bcb8
* Wed Nov  7 2018 hare@suse.de
- blk-throttle: fix race between blkcg_bio_issue_check() and
  cgroup_rmdir() (bsc#1104967,FATE#325924).
- commit 03bfcc8
* Wed Nov  7 2018 jack@suse.cz
- mm: split altmap memory map allocation from normal case
  (bsc#1104888).
- commit d804667
* Wed Nov  7 2018 msuchanek@suse.de
- Delete patches.arch/powerpc-hugetlbfs-Export-HPAGE_SHIFT.patch.
- Refresh patches.arch/powerpc-fadump-Do-not-use-hugepages-when-fadump-is-a.patch.
  Should not be needed anymore since we have 0dd69643061d ("libnvdimm: Stop using HPAGE_SIZE")
- commit 2ca1eb7
* Wed Nov  7 2018 oneukum@suse.com
- ACPI / hotplug / PCI: Don't scan bridges managed by native
  hotplug (FATE#326302).
- commit 88de4d0
* Wed Nov  7 2018 tbogendoerfer@suse.de
- RDMA/restrack: Move restrack_clean to be symmetrical to
  restrack_init (bsc#1103992 FATE#326009).
- IB/mlx5: Don't clean uninitialized UMR resources (bsc#1103991
  FATE#326007).
- RDMA/verbs: Remove restrack entry from XRCD structure
  (bsc#1103992 FATE#326009).
- IB/mlx5: Fix cleanup order on unload (bsc#1103991 FATE#326007).
- IB/mlx5: When not in dual port RoCE mode, use provided port
  as native (bsc#1103991 FATE#326007).
- {net, IB}/mlx5: Raise fatal IB event when sys error occurs
  (bsc#1103991 FATE#326007).
- net/mlx5: Fix error handling when adding flow rules (bsc#1103990
  FATE#326006).
- net/mlx5: E-Switch, Fix drop counters use before creation
  (bsc#1103990 FATE#326006).
- net/mlx5: Address static checker warnings on non-constant
  initializers (bsc#1103990 FATE#326006).
- net/mlx5e: Eliminate build warnings on no previous prototype
  (bsc#1103990 FATE#326006).
- RDMA/uverbs: Fix kernel panic while using XRC_TGT QP type
  (bsc#1103992 FATE#326009).
- RDMA/restrack: don't use uaccess_kernel() (bsc#1103992
  FATE#326009).
- RDMA/verbs: Check existence of function prior to accessing it
  (bsc#1103992 FATE#326009).
- RDMA/restrack: Increment CQ restrack object before committing
  (bsc#1103992 FATE#326009).
- IB/uverbs: Add ioctl support for 32bit processes (bsc#1103992
  FATE#326009).
- IB/uverbs: Use __aligned_u64 for uapi headers (bsc#1103992
  FATE#326009).
- IB/uverbs: Use u64_to_user_ptr() not a union (bsc#1103992
  FATE#326009).
- IB/uverbs: Use inline data transfer for UHW_IN (bsc#1103992
  FATE#326009).
- IB/uverbs: Always use the attribute size provided by the user
  (bsc#1103992 FATE#326009).
- RDMA/restrack: Remove unimplemented XRCD object (bsc#1103992
  FATE#326009).
- net/mlx5: increase async EQ to avoid EQ overrun (bsc#1103990
  FATE#326006).
- IB/uverbs: Use the standard kConfig format for experimental
  (bsc#1103992 FATE#326009).
- IB: Update references to libibverbs (bsc#1103992 FATE#326009).
- IB/hfi1: Add 16B rcvhdr trace support (bsc#1114685 FATE#325854).
- IB/hfi1: Convert kzalloc_node and kcalloc to use kcalloc_node
  (bsc#1114685 FATE#325854).
- IB/hfi1: Optimize process_receive_ib() (bsc#1114685
  FATE#325854).
- RDMA/nldev: missing error code in nldev_res_get_doit()
  (bsc#1103992 FATE#326009).
- RDMA/bnxt_re: Use common error handling code in
  bnxt_qplib_alloc_dpi_tbl() (bsc#1104742 FATE#325917).
- RDMA/bnxt_re: Delete two error messages for a failed memory
  allocation in bnxt_qplib_alloc_dpi_tbl() (bsc#1104742
  FATE#325917).
- IB/rxe: remove redudant parameter in rxe_av_fill_ip_info
  (bsc#1103992 FATE#326009).
- IB/rxe: change the function rxe_av_fill_ip_info to void
  (bsc#1103992 FATE#326009).
- IB/rxe: change the function to void from int (bsc#1103992
  FATE#326009).
- IB/rxe: remove unnecessary parameter in rxe_av_to_attr
  (bsc#1103992 FATE#326009).
- IB/rxe: change the function to void from int (bsc#1103992
  FATE#326009).
- IB/rxe: remove redudant parameter in function (bsc#1103992
  FATE#326009).
- RDMA/netlink: Hide unimplemented NLDEV commands (bsc#1103992
  FATE#326009).
- RDMA/bnxt_re: Fix static checker warning (bsc#1104742
  FATE#325917).
- net/mlx5e: IPoIB, Fix copy-paste bug in flow steering
  refactoring (bsc#1103990 FATE#326006).
- mlx5: use tc_cls_can_offload_and_chain0() (bsc#1103990
  FATE#326006).
- net/mlx5e: Add likely to the common RX checksum flow
  (bsc#1103990 FATE#326006).
- net/mlx5e: Extend the stats group API to have update_stats()
  (bsc#1103990 FATE#326006).
- net/mlx5e: Merge per priority stats groups (bsc#1103990
  FATE#326006).
- net/mlx5e: Add per-channel counters infrastructure, use it
  upon TX timeout (bsc#1103990 FATE#326006).
- net/mlx5e: Add Event Queue meta data info for TX timeout logs
  (bsc#1103990 FATE#326006).
- net/mlx5e: Print delta since last transmit per SQ upon TX
  timeout (bsc#1103990 FATE#326006).
- net/mlx5e: Set hairpin queue size (bsc#1103990 FATE#326006).
- net/mlx5: Enable setting hairpin queue size (bsc#1103990
  FATE#326006).
- net/mlx5e: Add RSS support for hairpin (bsc#1103990
  FATE#326006).
- net/mlx5: Vectorize the low level core hairpin object
  (bsc#1103990 FATE#326006).
- net/mlx5e: Enlarge the NIC TC offload steering prio to support
  two levels (bsc#1103990 FATE#326006).
- net/mlx5e: Refactor RSS related objects and code (bsc#1103990
  FATE#326006).
- net/mlx5e: Set per priority hairpin pairs (bsc#1103990
  FATE#326006).
- net/mlx5e: Use vhca id as the hairpin peer identifier
  (bsc#1103990 FATE#326006).
- net/dim: Fix fixpoint divide exception in net_dim_stats_compare
  (bsc#1103990 FATE#326006).
- net/mlx5e: Fix trailing semicolon (bsc#1103990 FATE#326006).
- net/mlx5e: fix error return code in mlx5e_alloc_rq()
  (bsc#1103990 FATE#326006).
- net/dim: use struct net_dim_sample as arg to net_dim
  (bsc#1103990 FATE#326006).
- net/mlx5e: Move dynamic interrupt coalescing code to
  include/linux (bsc#1103990 FATE#326006).
- net/mlx5e: Move generic functions to new file (bsc#1103990
  FATE#326006).
- net/mlx5e: Move AM logic enums (bsc#1103990 FATE#326006).
- net/mlx5e: Remove rq references in mlx5e_rx_am (bsc#1103990
  FATE#326006).
- net/mlx5e: Move interrupt moderation forward declarations
  (bsc#1103990 FATE#326006).
- net/mlx5e: Move interrupt moderation structs to new file
  (bsc#1103990 FATE#326006).
- net/mlx5e: E-switch, Add steering drop counters (bsc#1103990
  FATE#326006).
- net/mlx5e: IPoIB, Fix spelling mistake "functionts" ->
  "functions" (bsc#1103990 FATE#326006).
- net/mlx5e: IPoIB, Add ethtool support to get child time stamping
  parameters (bsc#1103990 FATE#326006).
- net/mlx5e: IPoIB, Add PTP ioctl support for child interface
  (bsc#1103990 FATE#326006).
- net/mlx5e: Support offloading TC NIC hairpin flows (bsc#1103990
  FATE#326006).
- net/mlx5e: Basic setup of hairpin object (bsc#1103990
  FATE#326006).
- net/mlx5: Hairpin pair core object setup (bsc#1103990
  FATE#326006).
- net/mlx5e: Remove redundant checks in set_ringparam (bsc#1103990
  FATE#326006).
- net/mlx5e: Replace WARN_ONCE with netdev_WARN_ONCE (bsc#1103990
  FATE#326006).
- net: Fix netdev_WARN_ONCE macro (bsc#1103990 FATE#326006).
- xdp/mlx5: setup xdp_rxq_info (bsc#1103990 FATE#326006).
- net/mlx5e: hide an unused variable (bsc#1103990 FATE#326006).
- net/mlx5e: E-Switch, Move send-to-vport rule struct to en_rep
  (bsc#1103990 FATE#326006).
- net/mlx5: E-Switch, Create generic header struct to be used
  by representors (bsc#1103990 FATE#326006).
- net/mlx5e: Move ethernet representors data into separate struct
  (bsc#1103990 FATE#326006).
- net/mlx5: E-Switch, Create a dedicated send to vport rule
  deletion function (bsc#1103990 FATE#326006).
- net/mlx5: E-Switch, Move mlx5e only logic outside E-Switch
  (bsc#1103990 FATE#326006).
- net/mlx5: E-Switch, Simplify representor load/unload callback
  API (bsc#1103990 FATE#326006).
- net/mlx5: E-Switch, Refactor load/unload of representors
  (bsc#1103990 FATE#326006).
- net/mlx5: E-Switch, Refactor vport representors initialization
  (bsc#1103990 FATE#326006).
- RDMA/nldev: Provide detailed QP information (bsc#1103992
  FATE#326009).
- RDMA/nldev: Provide global resource utilization (bsc#1103992
  FATE#326009).
- RDMA/core: Add resource tracking for create and destroy PDs
  (bsc#1103992 FATE#326009).
- RDMA/core: Add resource tracking for create and destroy CQs
  (bsc#1103992 FATE#326009).
- RDMA/core: Add resource tracking for create and destroy QPs
  (bsc#1103992 FATE#326009).
- RDMA/restrack: Add general infrastructure to track RDMA
  resources (bsc#1103992 FATE#326009).
- RDMA/core: Save kernel caller name when creating PD and CQ
  objects (bsc#1103992 FATE#326009).
- RDMA/core: Use the MODNAME instead of the function name for
  pd callers (bsc#1103992 FATE#326009).
- RDMA: Move enum ib_cq_creation_flags to uapi headers
  (bsc#1103992 FATE#326009).
- IB/rxe: Change RDMA_RXE kconfig to use select (bsc#1103992
  FATE#326009).
- IB/qib: remove qib_keys.c (bsc#1103992 FATE#326009).
- IB/mthca: remove mthca_user.h (bsc#1103992 FATE#326009).
- RDMA/cm: Fix access to uninitialized variable (bsc#1103992
  FATE#326009).
- RDMA/cma: Use existing netif_is_bond_master function
  (bsc#1103992 FATE#326009).
- IB/core: Avoid SGID attributes query while converting GID from
  OPA to IB (bsc#1103992 FATE#326009).
- IB/iser: Combine substrings for three messages (bsc#1103992
  FATE#326009).
- IB/iser: Delete an unnecessary variable initialisation in
  iser_send_data_out() (bsc#1103992 FATE#326009).
- IB/iser: Delete an error message for a failed memory allocation
  in iser_send_data_out() (bsc#1103992 FATE#326009).
- IB/mthca: Fix gup usage in mthca_map_user_db() (bsc#1103992
  FATE#326009).
- RDMA/srpt: Fix RCU debug build error (bsc#1103992 FATE#326009).
- IB/srp: Add target_can_queue login parameter (bsc#1103992
  FATE#326009).
- IB/srp: Add RDMA/CM support (bsc#1103992 FATE#326009).
- RDMA/cma: Update RoCE multicast routines to use net namespace
  (bsc#1103992 FATE#326009).
- RDMA/cma: Update cma_validate_port to honor net namespace
  (bsc#1103992 FATE#326009).
- RDMA/cma: Refactor to access multiple fields of rdma_dev_addr
  (bsc#1103992 FATE#326009).
- RDMA/mlx5: Remove redundant allocation warning print
  (bsc#1103991 FATE#326007).
- RDMA/core: Simplify rdma_addr_get_sgid() to not support RoCE
  (bsc#1103992 FATE#326009).
- RDMA/ucma: Use rdma cm API to query GID (bsc#1103992
  FATE#326009).
- IB/srpt: Move the code for parsing struct ib_cm_req_event_param
  (bsc#1103992 FATE#326009).
- IB/srpt: Preparations for adding RDMA/CM support (bsc#1103992
  FATE#326009).
- IB/srpt: Don't allow reordering of commands on wait list
  (bsc#1103992 FATE#326009).
- IB/srpt: Fix a race condition related to wait list processing
  (bsc#1103992 FATE#326009).
- IB/srpt: Fix login-related race conditions (bsc#1103992
  FATE#326009).
- IB/srpt: Simplify srpt_close_session() (bsc#1103992
  FATE#326009).
- IB/srpt: Rework multi-channel support (bsc#1103992 FATE#326009).
- IB/srpt: Use the source GID as session name (bsc#1103992
  FATE#326009).
- IB/srpt: One target per port (bsc#1103992 FATE#326009).
- IB/srpt: Add P_Key support (bsc#1103992 FATE#326009).
- IB/srpt: Rework srpt_disconnect_ch_sync() (bsc#1103992
  FATE#326009).
- IB/srpt: Make it safe to use RCU for srpt_device.rch_list
  (bsc#1103992 FATE#326009).
- IB/srp: Refactor srp_send_req() (bsc#1103992 FATE#326009).
- IB/srp: Improve path record query error message (bsc#1103992
  FATE#326009).
- IB/srp: Use kstrtoull() instead of simple_strtoull()
  (bsc#1103992 FATE#326009).
- IB/mlx5: Mmap the HCA's clock info to user-space (bsc#1103991
  FATE#326007).
- i40iw: Remove setting of rem_addr.len (bsc#1114687 FATE#326314).
- i40iw: Remove extra call to i40iw_est_sd() (bsc#1114687
  FATE#326314).
- IB/cma: use strlcpy() instead of strncpy() (bsc#1103992
  FATE#326009).
- RDMA: Mark imm_data as be32 in the verbs uapi header
  (bsc#1103992 FATE#326009).
- IB/core: Limit DMAC resolution to RoCE Connected QPs
  (bsc#1103992 FATE#326009).
- IB/core: Attempt DMAC resolution for only RoCE (bsc#1103992
  FATE#326009).
- IB/core: Limit DMAC resolution to userspace QPs (bsc#1103992
  FATE#326009).
- commit feabc68
* Wed Nov  7 2018 oneukum@suse.com
- PCI: shpchp: Add shpchp_is_native() (FATE#326302).
- commit b6edc82
* Wed Nov  7 2018 hare@suse.de
- block: Use blk_queue_flag_*() in drivers instead of
  queue_flag_*() (bsc#1104967,FATE#325924).
- Refresh
  patches.drivers/mmc-block-simplify-cleaning-up-the-queue.patch.
- Refresh
  patches.fixes/dm-prevent-dax-mounts-if-not-supported.patch.
- Refresh
  patches.fixes/pmem-only-set-queue_flag_dax-for-fsdax-mode.patch.
- commit a22fd36
* Wed Nov  7 2018 hare@suse.de
- block/loop: fix use after free (bsc#1104967,FATE#325924).
- Refresh patches.fixes/loop-handle-short-DIO-reads.patch.
- commit 133361f
* Wed Nov  7 2018 hare@suse.de
- loop: get rid of lo_blocksize (bsc#1104967,FATE#325924).
- Refresh
  patches.fixes/loop-add-recursion-validation-to-LOOP_CHANGE_FD.patch.
- commit 5c3e5c6
* Wed Nov  7 2018 oneukum@suse.com
- PCI: shpchp: Use dev_printk() for OSHP-related messages
  (FATE#326302).
- PCI: shpchp: Remove get_hp_hw_control_from_firmware() wrapper
  (FATE#326302).
- commit d44446e
* Wed Nov  7 2018 oneukum@suse.com
- PCI: shpchp: Remove acpi_get_hp_hw_control_from_firmware()
  flags (FATE#326302).
- commit e1d590c
* Wed Nov  7 2018 hare@suse.de
- blacklist.conf: Temporarily disable patch until backport is done
- Delete
  patches.suse/0001-dm-use-bio_split-when-splitting-out-the-already-proc.patch.
- commit 053d3a1
* Wed Nov  7 2018 oneukum@suse.com
- PCI: shpchp: Rely on previous _OSC results (FATE#326302).
- commit 74a130f
* Wed Nov  7 2018 mbrugger@suse.com
- thermal: bcm2835: enable hwmon explicitly (bsc#1108468).
- commit ef2889b
* Wed Nov  7 2018 yousaf.kaukab@suse.com
- cpufreq: Validate frequency table in the core
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- cpufreq: Reorder cpufreq_online() error code path
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- commit 9dcdf30
* Wed Nov  7 2018 hare@suse.de
- Update config files for s390x.
- commit 2c4b1cb
* Wed Nov  7 2018 ohering@suse.de
- PCI: hv: Use effective affinity mask (bsc#1109772).
- commit 28be1aa
* Wed Nov  7 2018 ohering@suse.de
- x86/irq: implement irq_data_get_effective_affinity_mask()
  for v4.12 (bsc#1109772).
- commit 723ad43
* Tue Nov  6 2018 tbogendoerfer@suse.de
- IB/mlx5: Change debugfs to have per port contents (bsc#1103991
  FATE#326007).
- Refresh
  patches.drivers/IB-mlx5-fix-uaccess-beyond-count-in-debugfs-read-wri.patch.
- commit dbac1c3
* Tue Nov  6 2018 tbogendoerfer@suse.de
- IB/mlx5: Implement dual port functionality in query routines
  (bsc#1103991 FATE#326007).
- Refresh
  patches.drivers/IB-mlx5-Set-the-default-active-rate-and-width-to-QDR.patch.
- commit d90f404
* Tue Nov  6 2018 tbogendoerfer@suse.de
- {net, IB}/mlx5: Manage port association for multiport RoCE
  (bsc#1103991 FATE#326007).
- Refresh
  patches.drivers/net-mlx5-Fix-mlx5_get_vector_affinity-function.patch.
- commit 96b6111
* Tue Nov  6 2018 tbogendoerfer@suse.de
- net/mlx5: Enable DC transport (bsc#1103990 FATE#326006).
- Refresh
  patches.drivers/net-mlx5-Use-128B-cacheline-size-for-128B-or-larger-.patch.
- commit 5a27ec6
* Tue Nov  6 2018 tbogendoerfer@suse.de
- IB/mlx5: Create profile infrastructure to add and remove stages
  (bsc#1103991 FATE#326007).
- Refresh
  patches.drivers/net-mlx5-Fix-mlx5_get_vector_affinity-function.patch.
- commit a2e1f11
* Tue Nov  6 2018 tbogendoerfer@suse.de
- IB/mlx4: Add support to RSS hash for inner headers (bsc#1103988
  FATE#326003).
- Refresh
  patches.drivers/IB-mlx4-Move-mlx4_uverbs_ex_query_device_resp-to-inc.patch.
- commit 9ae5413
* Tue Nov  6 2018 tbogendoerfer@suse.de
- IB/core: Make sure that PSN does not overflow (bsc#1103992
  FATE#326009).
- Refresh
  patches.drivers/IB-core-Perform-modify-QP-on-real-one.patch.
- commit 1ff1bf0
* Tue Nov  6 2018 msuchanek@suse.de
- Delete patches.suse/pmem-fix-build-error-on-powerpc.patch.
  Should not be needed now we have linux/set_memory.h
- commit 930ceac
* Tue Nov  6 2018 tbogendoerfer@suse.de
- RDMA/{core, cma}: Simplify rdma_translate_ip (bsc#1103992
  FATE#326009).
- Refresh
  patches.drivers/IB-core-Add-null-pointer-check-in-addr_resolve.patch.
- commit a156ee8
* Tue Nov  6 2018 tbogendoerfer@suse.de
- IB/core: Removed unused function (bsc#1103992 FATE#326009).
- Refresh
  patches.drivers/RDMA-ucma-Introduce-safer-rdma_addr_size-variants.patch.
- commit 7571131
* Tue Nov  6 2018 tbogendoerfer@suse.de
- IB/ipoib: Update pathrec field if not valid record (bsc#1103992
  FATE#326009).
- Refresh
  patches.drivers/RDMA-ipoib-Update-paths-on-CLIENT_REREG-SM_CHANGE-ev.patch.
- commit f05df1f
* Tue Nov  6 2018 yousaf.kaukab@suse.com
- soc: fsl: dpio: add congestion notification support
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc: fsl: dpio: add frame list format support
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc: fsl: dpio: add back some frame queue functions
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- commit 98138da
* Tue Nov  6 2018 tbogendoerfer@suse.de
- IB/ipoib: Replace printk with pr_warn (bsc#1103992 FATE#326009).
- Refresh
  patches.drivers/IB-ipoib-Fix-for-potential-no-carrier-state.patch.
- commit 0423d76
* Tue Nov  6 2018 yousaf.kaukab@suse.com
- mmc: sdhci: add tuning error codes
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- commit 4703e80
* Tue Nov  6 2018 tbogendoerfer@suse.de
- drivers/infiniband: Remove now-redundant
  smp_read_barrier_depends() (bsc#1103992 FATE#326009).
- Refresh
  patches.drivers/IB-hfi1-Look-up-ibport-using-a-pointer-in-receive-pa.patch.
- commit 1854525
* Tue Nov  6 2018 tbogendoerfer@suse.de
- infiniband: fix sw/rdmavt/* kernel-doc notation (bsc#1103992
  FATE#326009).
- infiniband: fix ulp/opa_vnic/opa_vnic_vema.c kernel-doc notation
  (bsc#1103992 FATE#326009).
- infiniband: fix core/fmr_pool.c kernel-doc notation (bsc#1103992
  FATE#326009).
- infiniband: fix core/verbs.c kernel-doc notation (bsc#1103992
  FATE#326009).
- IB/core: Increase number of char device minors (bsc#1103992
  FATE#326009).
- IB/core: Remove the locking for character device bitmaps
  (bsc#1103992 FATE#326009).
- IB/mlx5: remove redundant assignment of mdev (bsc#1103991
  FATE#326007).
- IB/rxe: remove unnecessary skb_clone in xmit (bsc#1103992
  FATE#326009).
- IB/rxe: add the static type to the variable (bsc#1103992
  FATE#326009).
- IB/srpt: Micro-optimize I/O context state manipulation
  (bsc#1103992 FATE#326009).
- IB/srpt: Inline srpt_get_cmd_state() (bsc#1103992 FATE#326009).
- IB/srpt: Introduce srpt_format_guid() (bsc#1103992 FATE#326009).
- IB/srpt: Reduce frequency of receive failure messages
  (bsc#1103992 FATE#326009).
- IB/srpt: Convert a warning into a debug message (bsc#1103992
  FATE#326009).
- IB/srpt: Use the IPv6 format for GIDs in log messages
  (bsc#1103992 FATE#326009).
- IB/srpt: Verify port numbers in srpt_event_handler()
  (bsc#1103992 FATE#326009).
- IB/srpt: Reduce the severity level of a log message (bsc#1103992
  FATE#326009).
- IB/srpt: Rename a local variable, a member variable and a
  constant (bsc#1103992 FATE#326009).
- IB/srpt: Document all structure members in ib_srpt.h
  (bsc#1103992 FATE#326009).
- IB/srpt: Fix kernel-doc warnings in ib_srpt.c (bsc#1103992
  FATE#326009).
- net/mlx5: Set num_vhca_ports capability (bsc#1103990
  FATE#326006).
- IB/mlx5: Don't advertise RAW QP support in dual port mode
  (bsc#1103991 FATE#326007).
- IB/mlx5: Route MADs for dual port RoCE (bsc#1103991
  FATE#326007).
- {net, IB}/mlx5: Change set_roce_gid to take a port number
  (bsc#1103991 FATE#326007).
- IB/mlx5: Update counter implementation for dual port RoCE
  (bsc#1103991 FATE#326007).
- IB/mlx5: Move IB event processing onto a workqueue (bsc#1103991
  FATE#326007).
- IB/mlx5: Make netdev notifications multiport capable
  (bsc#1103991 FATE#326007).
- IB/mlx5: Reduce the use of num_port capability (bsc#1103991
  FATE#326007).
- IB/core: Change roce_rescan_device to return void (bsc#1103992
  FATE#326009).
- net/mlx5: Set software owner ID during init HCA (bsc#1103990
  FATE#326006).
- IB/mlx5: Add support for DC target QP (bsc#1103991 FATE#326007).
- IB/mlx5: Add support for DC Initiator QP (bsc#1103991
  FATE#326007).
- IB/mlx5: Handle type IB_QPT_DRIVER when creating a QP
  (bsc#1103991 FATE#326007).
- IB/core: Introduce driver QP type (bsc#1103992 FATE#326009).
- net/mlx5: Add DCT command interface (bsc#1103990 FATE#326006).
- bnxt_re: report RoCE device support at info level (bsc#1104742
  FATE#325917).
- RDMA/core: Add encode/decode FDR/EDR rates (bsc#1103992
  FATE#326009).
- i40iw: Replace mdelay with msleep in i40iw_wait_pe_ready
  (bsc#1114687 FATE#326314).
- IB/{hfi1, qib}: Fix a concurrency issue with device name in
  logging (bsc#1114685 FATE#325854).
- IB/{rdmavt, hfi1, qib}: Remove get_card_name() downcall
  (bsc#1114685 FATE#325854).
- IB/{rdmavt, hfi1, qib}: Self determine driver name (bsc#1114685
  FATE#325854).
- IB/mlx5: Move locks initialization to the corresponding stage
  (bsc#1103991 FATE#326007).
- IB/mlx5: Move loopback initialization to the corresponding stage
  (bsc#1103991 FATE#326007).
- IB/mlx5: Move hardware counters initialization to the
  corresponding stage (bsc#1103991 FATE#326007).
- IB/mlx5: Move ODP initialization to the corresponding stage
  (bsc#1103991 FATE#326007).
- IB/mlx5: Move RoCE/ETH initialization to the corresponding stage
  (bsc#1103991 FATE#326007).
- RDMA/nldev: Refactor setting the nldev handle to a common
  function (bsc#1103992 FATE#326009).
- RDMA/core: Replace open-coded variant of put_device (bsc#1103992
  FATE#326009).
- RDMA/netlink: Simplify code of autoload modules (bsc#1103992
  FATE#326009).
- RDMA/rxe: Remove useless EXPORT_SYMBOL (bsc#1103992
  FATE#326009).
- IB/mthca: Use zeroing memory allocator than allocator/memset
  (bsc#1103992 FATE#326009).
- RDMA/bnxt_re: Use zeroing memory allocator than allocator/memset
  (bsc#1104742 FATE#325917).
- RDMA/vmw_pvrdma: Use zeroing memory allocator than
  allocator/memset (bsc#1103992 FATE#326009).
- IB/ocrdma: Use zeroing memory allocator than allocator/memset
  (bsc#1103992 FATE#326009).
- IB/mlx5: Enable QP creation with a given blue flame index
  (bsc#1103991 FATE#326007).
- IB/mlx5: Expose dynamic mmap allocation (bsc#1103991
  FATE#326007).
- IB/mlx5: Extend UAR stuff to support dynamic allocation
  (bsc#1103991 FATE#326007).
- IB/mlx5: Report inner RSS capability (bsc#1103991 FATE#326007).
- RDMA/vmw_pvrdma: Remove usage of BIT() from UAPI header
  (bsc#1103992 FATE#326009).
- RDMA/vmw_pvrdma: Use refcount_t instead of atomic_t (bsc#1103992
  FATE#326009).
- RDMA/vmw_pvrdma: Use more specific sizeof in kcalloc
  (bsc#1103992 FATE#326009).
- RDMA/vmw_pvrdma: Clarify QP and CQ is_kernel logic (bsc#1103992
  FATE#326009).
- i40iw: Change accelerated flag to bool (bsc#1114687
  FATE#326314).
- IB/hfi1: Change slid arg in ingress_pkey_table_fail to 32bit
  (bsc#1114685 FATE#325854).
- IB/core: Use rdma_cap_opa_mad to check for OPA (bsc#1103992
  FATE#326009).
- i40iw: Ignore LLP_DOUBT_REACHABILITY AE (bsc#1114687
  FATE#326314).
- i40iw: Add notifier for network device events (bsc#1114687
  FATE#326314).
- i40iw: Use utility function roundup_pow_of_two() (bsc#1114687
  FATE#326314).
- i40iw: Set MAX_IRD_SIZE to 64 (bsc#1114687 FATE#326314).
- nes: Change accelerated flag to bool (bsc#1103992 FATE#326009).
- drivers: infiniband: remove duplicate includes (bsc#1103992
  FATE#326009).
- IB/cm: Refactor to avoid setting path record software only
  fields (bsc#1103992 FATE#326009).
- IB/{core, umad, cm}: Rename ib_init_ah_from_wc to
  ib_init_ah_attr_from_wc (bsc#1103992 FATE#326009).
- IB/{core, cm, cma, ipoib}: Rename ib_init_ah_from_path to
  ib_init_ah_attr_from_path (bsc#1103992 FATE#326009).
- IB/cm: Fix sleeping while spin lock is held (bsc#1103992
  FATE#326009).
- IB/cm: Handle address handle attribute init error (bsc#1103992
  FATE#326009).
- IB/{cm, umad}: Handle av init error (bsc#1103992 FATE#326009).
- IB/{core, ipoib}: Simplify ib_find_gid to search only for IB
  link layer (bsc#1103992 FATE#326009).
- RDMA/core: Avoid copying ifindex twice (bsc#1103992
  FATE#326009).
- RDMA/core: Avoid redundant memcpy in
  rdma_addr_find_l2_eth_by_grh (bsc#1103992 FATE#326009).
- IB/core: Avoid exporting module internal ib_find_gid_by_filter()
  (bsc#1103992 FATE#326009).
- IB/rxe: Avoid passing unused index pointer which is optional
  (bsc#1103992 FATE#326009).
- IB/core: Refactor to avoid unnecessary check on GID lookup miss
  (bsc#1103992 FATE#326009).
- IB/core: Avoid unnecessary type cast (bsc#1103992 FATE#326009).
- IB/cm: Add debug prints to ib_cm (bsc#1103992 FATE#326009).
- IB/core: Fix memory leak in cm_req_handler error flows
  (bsc#1103992 FATE#326009).
- IB/mlx4: Remove unused ibpd parameter (bsc#1103988 FATE#326003).
- IB/core: Avoid exporting module internal function (bsc#1103992
  FATE#326009).
- IB/core: Depend on IPv6 stack to resolve link local address
  for RoCEv2 (bsc#1103992 FATE#326009).
- IB/{core/cm}: Fix generating a return AH for RoCEE (bsc#1103992
  FATE#326009).
- IB/ocrdma: Remove unneeded conversions to bool (bsc#1103992
  FATE#326009).
- IB/mlx4: Potential buffer overflow in _mlx4_set_path()
  (bsc#1103988 FATE#326003).
- RDMA/cxgb4: Add a sanity check in process_work() (bsc#1104276
  FATE#325935).
- infiniband: cxgb4: use ktime_get for timestamps (bsc#1104276
  FATE#325935).
- IB/ipoib: Warn when one port fails to initialize (bsc#1103992
  FATE#326009).
- IB/srp: replace custom implementation of hex2bin() (bsc#1103992
  FATE#326009).
- i40iw: Reinitialize add_sd_cnt (bsc#1114687 FATE#326314).
- i40iw: Use sqsize to initialize cqp_requests elements
  (bsc#1114687 FATE#326314).
- IB/core: Use PTR_ERR_OR_ZERO() (bsc#1103992 FATE#326009).
- nes: remove unused 'timeval' struct member (bsc#1103992
  FATE#326009).
- i40iw: remove unused 'timeval' struct member (bsc#1114687
  FATE#326314).
- RDMA/vmw_pvrdma: Do not re-calculate npages (bsc#1103992
  FATE#326009).
- i40w: Remove garbage at end of INFINIBAND_I40IW Kconfig section
  (bsc#1114687 FATE#326314).
- IB/qib: Cleanup qib_set_part_key() with direct returns
  (bsc#1103992 FATE#326009).
- IB/qib: remove redundant setting of any in for-loop (bsc#1103992
  FATE#326009).
- net/mlx5: Fix steering memory leak (bsc#1103990 FATE#326006).
- commit 232b95f
* Tue Nov  6 2018 yousaf.kaukab@suse.com
- soc: fsl: qbman: add interrupt coalesce changing APIs
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc: fsl: bman_portals: defer probe after bman's probe
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc: fsl: qbman: Use last response to determine valid bit
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc: fsl: qbman: Add 64 bit DMA addressing requirement to QBMan
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc: fsl: qbman: replace CPU 0 with
  any online CPU in hotplug handlers
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc: fsl: qbman: Check if CPU is
  offline when initializing portals
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: mux: pca954x: simplify code to reach the adapter
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- serial: fsl_lpuart: Remove the alias node dependence
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/ethsw: Fix uninitialized variables
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/ethsw: remove redundant pointer 'port_priv'
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: fix ds1339 wakealarm support
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: add frequency_test_enable  attribute on m41txx
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: add offset sysfs for mt41txx chips
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc/fsl/qbman: use ioremap_cache() instead of ioremap_prot(0)
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- bus: fsl-mc: Convert to using %%pOFn instead of device_node.name
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- thermal: qoriq: add i.mx8mq support
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iommu/arm-smmu: Add support for the fsl-mc bus
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iommu/arm-smmu: Ensure that page-table
  updates are visible before TLBI
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- crypto: caam/qi - simplify CGR allocation, freeing
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- crypto: caam/qi2 - avoid double export
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- crypto: caam/qi2 - add CONFIG_NETDEVICES dependency
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- crypto: caam/qi2 - add support for ahash algorithms
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- crypto: caam - export ahash shared descriptor generation
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- crypto: caam/qi2 - add skcipher algorithms
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- crypto: caam/qi2 - add DPAA2-CAAM driver
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- crypto: caam - add Queue Interface v2 error codes
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- crypto: caam - add DPAA2-CAAM (DPSECI) backend API
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- bus: fsl-mc: add support for dpseci device type
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- crypto: caam/qi - ablkcipher -> skcipher conversion
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- crypto: caam/jr - ablkcipher -> skcipher conversion
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- crypto: caam/qi - remove ablkcipher IV generation
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- crypto: caam/jr - remove ablkcipher IV generation
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- dmaengine: fsl-edma: add edma version and configurable registers
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- dmaengine: fsl-edma: extract common fsl-edma
  code (no changes in behavior intended)
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- net: dpaa2: move DPAA2 PTP driver out of staging/
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- dpaa2-eth: Move DPAA2 Ethernet
  driver from staging to drivers/net
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Delay netdev_register() call
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- mmc: sdhci-of-esdhc: add erratum A008171 support
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- mtd: rawnand: fsl_ifc: fixup SRAM init for newer ctrl versions
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- mtd: rawnand: fsl_ifc: check result of SRAM initialization
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- mtd: spi-nor: fsl-quadspi: fix read
  error for flash size larger than 16MB
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- mtd: spi-nor: fsl-quadspi: Don't let -EINVAL on the bus
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc: fsl: qman_portals: defer probe after qman's probe
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc: fsl: qbman: add APIs to retrieve the probing status
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc: fsl: qbman: qman: avoid
  allocating from non existing gen_pool
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: fix broken DSPI_EOQ_MODE
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- thermal: qoriq: Simplify the 'site' variable assignment
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- thermal: qoriq: Use devm_thermal_zone_of_sensor_register()
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: imx: Simplify stopped state tracking
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: simplify hwmon config
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: Consider SCL GPIO optional
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: core: fix compile issue related to incorrect gpio header
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- mtd: nand: ifc: update bufnum mask for ver >= 2.0.0
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- nvmem: include linux/err.h from header
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- commit b2e3de2
* Tue Nov  6 2018 lhenriques@suse.com
- libceph: bump CEPH_MSG_MAX_DATA_LEN (bsc#1114839).
- ceph: fix dentry leak in ceph_readdir_prepopulate (bsc#1114839).
- Revert "ceph: fix dentry leak in splice_dentry()" (bsc#1114839).
- commit adb4b87
* Tue Nov  6 2018 tbogendoerfer@suse.de
- RDMA/bnxt_re: report vlan_id and sl in qp1 recv completion
  (bsc#1104742 FATE#325917).
- Refresh
  patches.drivers/RDMA-bnxt_re-Add-SRQ-support-for-Broadcom-adapters.patch.
- commit abbf041
* Tue Nov  6 2018 tbogendoerfer@suse.de
- RDMA/core: Make function rdma_copy_addr return void (bsc#1103992
  FATE#326009).
- Refresh
  patches.drivers/RDMA-ucma-Introduce-safer-rdma_addr_size-variants.patch.
- commit 46e8f35
* Tue Nov  6 2018 tbogendoerfer@suse.de
- IB/mlx5: Add PCI write end padding support (bsc#1103991
  FATE#326007).
- Refresh
  patches.drivers/IB-mlx5-Fix-out-of-bounds-read-in-create_raw_packet_.patch.
- commit b2fc61f
* Tue Nov  6 2018 tbogendoerfer@suse.de
- net/mlx5e: CHECKSUM_COMPLETE offload for VLAN/QinQ packets
  (bsc#1103990 FATE#326006).
- Refresh
  patches.drivers/net-mlx5e-Fix-TCP-checksum-in-LRO-buffers.patch.
- Refresh
  patches.suse/net-mlx5e-When-RXFCS-is-set-add-FCS-data-into-checks.patch.
- commit f928b17
* Tue Nov  6 2018 tbogendoerfer@suse.de
- net/mlx5e: Add 802.1ad VLAN filter steering rules (bsc#1103990
  FATE#326006).
- Refresh
  patches.drivers/net-mlx5e-Don-t-override-netdev-features-field-unles.patch.
- commit 6aafb49
* Tue Nov  6 2018 tiwai@suse.de
- blacklist.conf: Add ipv6 stable commit that has been reverted later
- commit 3ed2020
* Tue Nov  6 2018 tiwai@suse.de
- tun: Consistently configure generic netdev params via rtnetlink
  (bsc#1051510).
- commit 69de7a4
* Tue Nov  6 2018 tiwai@suse.de
- pwm: lpss: Release runtime-pm reference from the driver's
  remove callback (bsc#1051510).
- thermal: da9062/61: Prevent hardware access during system
  suspend (bsc#1051510).
- thermal: rcar_thermal: Prevent hardware access during system
  suspend (bsc#1051510).
- commit 512e9c6
* Tue Nov  6 2018 tiwai@suse.de
- pinctrl: qcom: spmi-mpp: Fix err handling of pmic_mpp_set_mux
  (bsc#1051510).
- pinctrl: at91-pio4: fix has_config check in
  atmel_pctl_dt_subnode_to_map() (bsc#1051510).
- pinctrl: qcom: spmi-mpp: Fix drive strength setting
  (bsc#1051510).
- pinctrl: spmi-mpp: Fix pmic_mpp_config_get() to be compliant
  (bsc#1051510).
- pinctrl: ssbi-gpio: Fix pm8xxx_pin_config_get() to be compliant
  (bsc#1051510).
- commit 8be2637
* Tue Nov  6 2018 tiwai@suse.de
- Sort the previously merged mm fix patches
  Refresh:
  patches.fixes/0001-mremap-properly-flush-TLB-before-releasing-the-page.patch
  patches.suse/mremap-Remove-LATENCY_LIMIT-from-mremap-to-reduce-the-number-of-TLB-shootdowns.patch
- commit 64c8ca6
* Tue Nov  6 2018 tbogendoerfer@suse.de
- RDMA/core: Rename kernel modify_cq to better describe its usage
  (bsc#1103992 FATE#326009).
- IB/mlx5: Add CQ moderation capability to query_device
  (bsc#1103991 FATE#326007).
- IB/mlx4: Add CQ moderation capability to query_device
  (bsc#1103988 FATE#326003).
- IB/uverbs: Add CQ moderation capability to query_device
  (bsc#1103992 FATE#326009).
- IB/mlx5: Exposing modify CQ callback to uverbs layer
  (bsc#1103991 FATE#326007).
- IB/mlx4: Exposing modify CQ callback to uverbs layer
  (bsc#1103988 FATE#326003).
- IB/uverbs: Allow CQ moderation with modify CQ (bsc#1103992
  FATE#326009).
- IB/ocrdma_hw: remove unnecessary code in ocrdma_mbx_dealloc_lkey
  (bsc#1105563 FATE#326125).
- IB/hfi1: Remove unnecessary if check (bsc#1114685 FATE#325854).
- IB/hfi1: Reduce 8051 command timeout (bsc#1114685 FATE#325854).
- IB/srpt: Ensure that modifying the use_srq configfs attribute
  works (bsc#1103992 FATE#326009).
- IB/srpt: Wait until channel release has finished during module
  unload (bsc#1103992 FATE#326009).
- IB/srpt: Introduce srpt_disconnect_ch_sync() (bsc#1103992
  FATE#326009).
- IB/srpt: Introduce helper functions for SRQ allocation and
  freeing (bsc#1103992 FATE#326009).
- IB/srpt: Post receive work requests after qp transition to
  INIT state (bsc#1103992 FATE#326009).
- IB/mlx5: Fix ABI alignment to 64 bit (bsc#1103991 FATE#326007).
- RDMA/bnxt_re: Remove unused vlan_tag variable (bsc#1104742
  FATE#325917).
- IB/core: Add PCI write end padding flags for WQ and QP
  (bsc#1103992 FATE#326009).
- IB/hfi1: Take advantage of kvzalloc_node in sdma initialization
  (bsc#1114685 FATE#325854).
- IB/mlx5: Add support for RSS on the inner packet (bsc#1103991
  FATE#326007).
- IB/mlx5: Add tunneling offloads support (bsc#1103991
  FATE#326007).
- IB/mlx5: Update tunnel offloads bits (bsc#1103991 FATE#326007).
- IB/mlx5: Support padded 128B CQE feature (bsc#1103991
  FATE#326007).
- IB/mlx5: Support 128B CQE compression feature (bsc#1103991
  FATE#326007).
- IB/mlx5: Add 128B CQE compression and padding HW bits
  (bsc#1103991 FATE#326007).
- IB/mlx5: Allow creation of a multi-packet RQ (bsc#1103991
  FATE#326007).
- IB/mlx5: Expose multi-packet RQ capabilities (bsc#1103991
  FATE#326007).
- net/mlx5e: Add VLAN offloads statistics (bsc#1103990
  FATE#326006).
- net/mlx5e: Add 802.1ad VLAN insertion support (bsc#1103990
  FATE#326006).
- net/mlx5e: Declare bitmap using kernel macro (bsc#1103990
  FATE#326006).
- net: Introduce netdev_*_once functions (bsc#1103990
  FATE#326006).
- drivers, net, mlx4: convert mlx4_srq.refcount from atomic_t
  to refcount_t (bsc#1103989 FATE#326004).
- drivers, net, mlx4: convert mlx4_qp.refcount from atomic_t to
  refcount_t (bsc#1103989 FATE#326004).
- drivers, net, mlx4: convert mlx4_cq.refcount from atomic_t to
  refcount_t (bsc#1103989 FATE#326004).
- net/mlx4_en: XDP_TX, assign constant values of TX descs on
  ring creaion (bsc#1103989 FATE#326004).
- net/mlx4_en: Obsolete call to generic write_desc in XDP xmit
  flow (bsc#1103989 FATE#326004).
- net/mlx4_en: Replace netdev parameter with priv in XDP xmit
  function (bsc#1103989 FATE#326004).
- net/mlx4_en: Increase number of default RX rings (bsc#1103989
  FATE#326004).
- net/mlx4_en: Limit the number of RX rings (bsc#1103989
  FATE#326004).
- net/mlx4_en: Limit the number of TX rings (bsc#1103989
  FATE#326004).
- drivers: net: mlx4: use setup_timer() helper (bsc#1103989
  FATE#326004).
- commit b2de8a3
* Tue Nov  6 2018 tbogendoerfer@suse.de
- RDMA/uverbs: Make the code in ib_uverbs_cmd_verbs() less
  confusing (bsc#1103992 FATE#326009).
- Refresh
  patches.drivers/RDMA-uverbs-Use-an-unambiguous-errno-for-method-not-.patch.
- commit e30f794
* Tue Nov  6 2018 tbogendoerfer@suse.de
- RDMA/i40iw: Suppress gcc 7 fall-through complaints (bsc#1114687
  FATE#326314).
- Refresh patches.drivers/i40iw-Cleanup-AE-processing.patch.
- commit 9efed7e
* Tue Nov  6 2018 tbogendoerfer@suse.de
- IB/hfi1: Define hfi1_handle_cnp_tbl once (bsc#1114685
  FATE#325854).
- Refresh
  patches.drivers/IB-hfi1-Fix-handling-of-FECN-marked-multicast-packet.patch.
- commit 546fafb
* Tue Nov  6 2018 jack@suse.cz
- mm, dev_pagemap: Do not clear ->mapping on final put
  (bsc#1104888).
- blacklist.conf: Remove 2fa147bdbf6 from blacklist
- commit 0e46066
* Tue Nov  6 2018 jack@suse.cz
- ext4: close race between direct IO and ext4_break_layouts()
  (bsc#1104888).
- commit 55376d5
* Mon Nov  5 2018 msuchanek@suse.de
- tpm: Restore functionality to xen vtpm driver (bsc#1082555).
- commit 538d633
* Mon Nov  5 2018 nsaenzjulienne@suse.de
- usb: dwc2: host: Don't retry NAKed transactions right away
  (bsc#1114385).
- commit 54bdf43
* Mon Nov  5 2018 msuchanek@suse.de
- tpm: fix response size validation in tpm_get_random()
  (bsc#1082555).
- commit d159511
* Mon Nov  5 2018 msuchanek@suse.de
- tpm: add retry logic (bsc#1082555).
- Refresh patches.drivers/tpm-separate-cmd_ready-go_idle-from-runtime_pm.patch.
- Refresh patches.kabi/KABI-tpm-do-keep-the-cmd_ready-and-go_idle-as-pm-ops.patch.
- tpm: self test failure should not cause suspend to fail
  (bsc#1082555).
- tpm: tpm-interface: fix tpm_transmit/_cmd kdoc (bsc#1082555).
- Refresh patches.drivers/tpm-separate-cmd_ready-go_idle-from-runtime_pm.patch.
- commit 2dd1eb5
* Mon Nov  5 2018 tbogendoerfer@suse.de
- IB/hfi1: Remove set-but-not-used variables (bsc#1114685
  FATE#325854).
- Refresh
  patches.drivers/IB-hfi1-Convert-PortXmitWait-PortVLXmitWait-counters.patch.
- Refresh
  patches.drivers/IB-hfi1-Eliminate-allocation-while-atomic.patch.
- Refresh patches.drivers/IB-hfi1-Fix-loss-of-BECN-with-AHG.patch.
- Refresh
  patches.drivers/IB-hfi1-Remove-dependence-on-qp-s_hdrwords.patch.
- commit 88d2325
* Mon Nov  5 2018 mkubecek@suse.cz
- rpm/kernel-binary.spec.in: add macros.s into kernel-*-devel
  Starting with 4.20-rc1, file arch/*/kernel/macros.s is needed to build out
  of tree modules. Add it to kernel-${flavor}-devel packages if it exists.
- commit 09d14c8
* Mon Nov  5 2018 msuchanek@suse.de
- blacklist.conf: add TPM commits not applicable to SLE15.
  c382babccba2 tpm_tis: Move ilb_base_addr to tpm_tis_data
  764325add6c2 tpm: delete the TPM_TIS_CLK_ENABLE flag
  With the update in SP1 these may be relevant there.
- commit f3d0aec
* Mon Nov  5 2018 tbogendoerfer@suse.de
- RDMA/bnxt_re: Remove set-but-not-used variables (bsc#1104742
  FATE#325917).
- Refresh
  patches.drivers/RDMA-bnxt_re-expose-detailed-stats-retrieved-from-HW.patch.
- commit 91a7647
* Mon Nov  5 2018 tbogendoerfer@suse.de
- IB/rdmavt: Correct issues with read-mostly and send size cache
  lines (bsc#1114685 FATE#325854).
- Refresh
  patches.drivers/IB-hfi1-Fix-infinite-loop-in-8051-command-error-path.patch.
- commit 7366cb1
* Mon Nov  5 2018 tiwai@suse.de
- PCI/ASPM: Do not initialize link state when aspm_disabled is
  set (bsc#1051510).
- commit ac78802
* Mon Nov  5 2018 tiwai@suse.de
- iwlwifi: don't WARN on trying to dump dead firmware
  (bsc#1051510).
- cfg80211: fix use-after-free in reg_process_hint()
  (bsc#1051510).
- Bluetooth: SMP: fix crash in unpairing (bsc#1051510).
- nl80211: Fix possible Spectre-v1 for CQM RSSI thresholds
  (bsc#1051510).
- mac80211_hwsim: do not omit multicast announce of first added
  radio (bsc#1051510).
- nl80211: Fix possible Spectre-v1 for NL80211_TXRATE_HT
  (bsc#1051510).
- mac80211: fix TX status reporting for ieee80211s (bsc#1051510).
- mac80211: TDLS: fix skb queue/priority assignment (bsc#1051510).
- cfg80211: Address some corner cases in scan result channel
  updating (bsc#1051510).
- mac80211: Always report TX status (bsc#1051510).
- ARM: dts: at91: add new compatibility string for macb on sama5d3
  (bsc#1051510).
- iwlwifi: dbg: allow wrt collection before ALIVE (bsc#1051510).
- iwlwifi: mvm: check for short GI only for OFDM (bsc#1051510).
- commit e806438
* Mon Nov  5 2018 tbogendoerfer@suse.de
- IB/hfi1: Fix parenthesis alignment issues (bsc#1114685
  FATE#325854).
- Refresh patches.drivers/IB-hfi1-Refactor-get_base_info.patch.
- commit 2d6116c
* Mon Nov  5 2018 jack@suse.cz
- mm: pass the vmem_altmap to vmemmap_free (bsc#1104888).
  patches.fixes/0001-memory_hotplug-cond_resched-in-__remove_pages.patch:
  Refresh
- commit c24d26d
* Mon Nov  5 2018 jack@suse.cz
- mm: pass the vmem_altmap to arch_remove_memory and
  __remove_pages (bsc#1104888).
  patches.fixes/mm-fix-memory-size-alignment-in-devm_memremap_pages_release.patch:
    Refresh
- commit 21202e4
* Mon Nov  5 2018 jack@suse.cz
- mm: pass the vmem_altmap to vmemmap_populate (bsc#1104888).
- commit 5eb6c5b
* Mon Nov  5 2018 tbogendoerfer@suse.de
- net/mlx5e: Rename VLAN related variables and functions
  (bsc#1103990 FATE#326006).
- Refresh
  patches.drivers/net-mlx5e-Add-rollback-on-add-VLAN-failure.patch.
- Refresh
  patches.drivers/net-mlx5e-Don-t-override-netdev-features-field-unles.patch.
- Refresh
  patches.drivers/net-mlx5e-Remove-redundant-vport-context-vlan-update.patch.
- Refresh
  patches.drivers/net-mlx5e-Remove-timestamp-set-from-netdevice-open-f.patch.
- commit 51f9748
* Mon Nov  5 2018 jack@suse.cz
- Refresh
  patches.fixes/libnvdimm-pmem-Restore-page-attributes-when-clearing.patch
  patches.fixes/x86-memory_failure-Introduce-set-clear-_mce_nospec.patch
  to reflect presence of linux/set_memory.h.
- commit ade6096
* Mon Nov  5 2018 jack@suse.cz
- provide linux/set_memory.h (bsc#1113295).
- commit 94a6a0b
* Mon Nov  5 2018 tbogendoerfer@suse.de
- net/mlx5e: Enable CQE based moderation on TX CQ (bsc#1103990
  FATE#326006).
- Refresh
  patches.drivers/net-mlx5e-Fix-defaulting-RX-ring-size-when-not-neede.patch.
- commit be63cc9
* Mon Nov  5 2018 tbogendoerfer@suse.de
- net/mlx5e: DCBNL, Add debug messages log (bsc#1103990
  FATE#326006).
- Refresh
  patches.drivers/net-mlx5e-Refine-ets-validation-function.patch.
- commit fa3e8d2
* Mon Nov  5 2018 yousaf.kaukab@suse.com
- rtc: nvmem: don't use IS_ERR_OR_NULL
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: nvmem: don't return an error when not enabled
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: export rtc_nvmem_register() to drivers
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: nvmem: allow registering the nvmem device before the rtc
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: nvmem: disallow registering nvmem more than once
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: nvmem: return error values
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: nvmem: pass nvmem_config to rtc_nvmem_register()
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- commit 10c49cb
* Mon Nov  5 2018 tbogendoerfer@suse.de
- net/mlx5e: Add dcbnl dscp to priority support (bsc#1103990
  FATE#326006).
- Refresh
  patches.drivers/net-mlx5e-Add-error-print-in-ETS-init.patch.
- Refresh
  patches.drivers/net-mlx5e-Add-support-for-ethtool-msglvl-support.patch.
- Refresh
  patches.drivers/net-mlx5e-Sync-netdev-vxlan-ports-at-open.patch.
- commit 291c125
* Mon Nov  5 2018 jslaby@suse.cz
- net: sched: action_ife: take reference to meta module
  (networking-stable-18_09_11).
- act_ife: fix a potential use-after-free
  (networking-stable-18_09_11).
- tcp: do not restart timewait timer on rst reception
  (networking-stable-18_09_11).
- nfp: wait for posted reconfigs when disabling the device
  (networking-stable-18_09_11).
- net: bcmgenet: use MAC link status for fixed phy
  (networking-stable-18_09_11).
- net/sched: act_pedit: fix dump of extended layered op
  (networking-stable-18_09_11).
- tipc: fix a missing rhashtable_walk_exit()
  (networking-stable-18_09_11).
- sctp: hold transport before accessing its asoc in
  sctp_transport_get_next (networking-stable-18_09_11).
- net: sched: Fix memory exposure from short TCA_U32_SEL
  (networking-stable-18_09_11).
- net: macb: do not disable MDIO bus at open/close time
  (networking-stable-18_09_11).
- ipv4: tcp: send zero IPID for RST and ACK sent in SYN-RECV
  and TIME-WAIT state (networking-stable-18_09_11).
- hv_netvsc: ignore devices that are not PCI
  (networking-stable-18_09_11).
- ip6_vti: fix a null pointer deference when destroy vti6 tunnel
  (networking-stable-18_09_11).
- commit 63d88d9
* Mon Nov  5 2018 tbogendoerfer@suse.de
- net/mlx5e: Switch channels counters to use stats group API
  (bsc#1103990 FATE#326006).
- Refresh
  patches.drivers/net-mlx5e-Keep-updating-ethtool-statistics-when-the-.patch.
- commit bf61979
* Mon Nov  5 2018 tbogendoerfer@suse.de
- net/mlx5: Add FGs and FTEs memory pool (bsc#1103990
  FATE#326006).
- Refresh
  patches.drivers/net-mlx5-Separate-ingress-egress-namespaces-for-each.patch.
- commit ce99b99
* Mon Nov  5 2018 tbogendoerfer@suse.de
- net/mlx5: Support multiple updates of steering rules in parallel
  (bsc#1103990 FATE#326006).
- Refresh
  patches.drivers/net-mlx5-Avoid-cleaning-flow-steering-table-twice-du.patch.
- commit c668166
* Mon Nov  5 2018 bp@suse.de
- blacklist.conf: a8b4db562e72
  .. which is a cherry-pick of
  3522c2a6a4f3 ("x86/cpufeature: Add User-Mode Instruction Prevention definitions")
- commit 58a61f8
* Mon Nov  5 2018 ptesarik@suse.cz
- s390/zcrypt: Fix wrong comparison leading to strange load
  balancing (FATE#325695, LTC#146006, bsc#1113519).
- commit 5fb11fc
* Mon Nov  5 2018 ptesarik@suse.cz
- s390/zcrypt: Introduce QACT support for AP bus devices
  (FATE#325695, LTC#146006, bsc#1113519).
- commit a98ca50
* Mon Nov  5 2018 ptesarik@suse.cz
- s390/zcrypt: Enable special header file flag for AU CPRP
  (FATE#325695, LTC#146006, bsc#1113519).
- commit a44eef4
* Mon Nov  5 2018 tbogendoerfer@suse.de
- i40iw: Refactor queue depth calculation (bsc#1114687
  FATE#326314).
- i40iw: Move ceq_valid to i40iw_sc_dev structure (bsc#1114687
  FATE#326314).
- i40iw: Remove unused structures (bsc#1114687 FATE#326314).
- i40iw: Remove unused static_rsrc from i40iw_create_qp_info
  (bsc#1114687 FATE#326314).
- IB/srp: Make CM timeout dependent on subnet timeout (bsc#1103992
  FATE#326009).
- IB/srp: Cache global rkey (bsc#1103992 FATE#326009).
- IB/srp: Remove second argument of srp_destroy_qp() (bsc#1103992
  FATE#326009).
- IB/srpt: Change default behavior from using SRQ to using RC
  (bsc#1103992 FATE#326009).
- IB/srpt: Cache global L_Key (bsc#1103992 FATE#326009).
- IB/srpt: Limit the send and receive queue sizes to what the
  HCA supports (bsc#1103992 FATE#326009).
- IB/hfi1: Correct unnecessary acquisition of HW mutex
  (bsc#1114685 FATE#325854).
- RDMA/usnic: Instantiate data structures once (bsc#1103992
  FATE#326009).
- RDMA/usnic: Remove a set-but-not-used variable (bsc#1103992
  FATE#326009).
- RDMA/usnic: Make the compiler check declaration consistency
  during compilation (bsc#1103992 FATE#326009).
- RDMA/rxe: Suppress gcc 7 fall-through complaints (bsc#1103992
  FATE#326009).
- RDMA/rdmavt: Suppress gcc 7 fall-through complaints (bsc#1103992
  FATE#326009).
- IB/qib: Remove set-but-not-used variables (bsc#1103992
  FATE#326009).
- IB/qib: Suppress gcc 7 fall-through complaints (bsc#1103992
  FATE#326009).
- IB/qib: Remove remaining code related to writing the EEPROM
  (bsc#1103992 FATE#326009).
- RDMA/ocrdma: Remove set-but-not-used variables (bsc#1103992
  FATE#326009).
- RDMA/ocrdma: Suppress gcc 7 fall-through complaints (bsc#1103992
  FATE#326009).
- RDMA/ocrdma: Use NULL instead of 0 to represent a pointer
  (bsc#1103992 FATE#326009).
- IB/nes: Fix a race condition in nes_inetaddr_event()
  (bsc#1103992 FATE#326009).
- IB/nes: Remove set-but-not-used variables (bsc#1103992
  FATE#326009).
- IB/nes: Suppress gcc 7 fall-through complaints (bsc#1103992
  FATE#326009).
- IB/nes: Fix indentation (bsc#1103992 FATE#326009).
- IB/mlx5: Remove a set-but-not-used variable (bsc#1103992
  FATE#326009).
- IB/mlx5: Suppress gcc 7 fall-through complaints (bsc#1103992
  FATE#326009).
- IB/mlx4: Suppress gcc 7 fall-through complaints (bsc#1103992
  FATE#326009).
- IB/mthca: Fix indentation (bsc#1103992 FATE#326009).
- RDMA/i40iw: Remove a set-but-not-used variable (bsc#1114687
  FATE#326314).
- RDMA/i40iw: Fix a race condition (bsc#1114687 FATE#326314).
- IB/hfi1: Suppress gcc 7 fall-through complaints (bsc#1114685
  FATE#325854).
- RDMA/cxgb3: Remove a set-but-not-used variable (bsc#1103992
  FATE#326009).
- RDMA/cxgb3: Annotate locking assumptions (bsc#1103992
  FATE#326009).
- RDMA/bnxt_re: Suppress gcc 7 fall-through complaints
  (bsc#1104742 FATE#325917).
- RDMA/isert: Suppress gcc 7 fall-through complaints (bsc#1103992
  FATE#326009).
- RDMA/iwcm: Remove a set-but-not-used variable (bsc#1103992
  FATE#326009).
- IB/cm: Suppress gcc 7 fall-through complaints (bsc#1103992
  FATE#326009).
- IB/core: remove redundant check on prot_sg_cnt (bsc#1103992
  FATE#326009).
- IB/core: Simplify sa_path_set_lid() calls (bsc#1103992
  FATE#326009).
- i40iw: delete some stray tabs (bsc#1114687 FATE#326314).
- IB/{ipoib, iser}: Consistent print format of vendor error
  (bsc#1103992 FATE#326009).
- IB/qib: Use setup_timer and mod_timer (bsc#1114685 FATE#325854).
- IB/opa_vnic: Add routing control information (bsc#1114685
  FATE#325854).
- IB/opa_vnic: Properly set vesw port status (bsc#1114685
  FATE#325854).
- IB/opa_vnic: Allow reset of MAC address (bsc#1114685
  FATE#325854).
- IB/opa_vnic: Set POD value for Ethernet MTU (bsc#1114685
  FATE#325854).
- IB/opa_vnic: Mark unused Ethernet MTU fields as reserved
  (bsc#1114685 FATE#325854).
- IB/hfi1: Refactor reset_ctxt() IOCTL (bsc#1114685 FATE#325854).
- IB/hfi1: Remove unnecessary error messages on alloc failures
  (bsc#1114685 FATE#325854).
- IB/hfi1: Remove unused link_default variable (bsc#1114685
  FATE#325854).
- IB/hfi1: Set default_desc1 just one time (bsc#1114685
  FATE#325854).
- IB/qib: Update QIB to use the latest PCI API (bsc#1114685
  FATE#325854).
- IB/hfi1: Remove the debug trace message in pin_sdma_pages()
  (bsc#1114685 FATE#325854).
- IB/hfi1: Convert the macro AHG_HEADER_SET into an inline
  function (bsc#1114685 FATE#325854).
- IB/hfi1: Add new state complete decodes for LNI failures
  (bsc#1114685 FATE#325854).
- IB/ocrdma: pr_err() strings should end with newlines
  (bsc#1105563 FATE#326125).
- IB/ipoib: Remove device when one port fails to init (bsc#1103992
  FATE#326009).
- IB/uverbs: clean up INIT_UDATA() macro usage (bsc#1103992
  FATE#326009).
- IB/core: fix spelling mistake: "aceess" -> "access" (bsc#1103992
  FATE#326009).
- IB/mlx5: Use ARRAY_SIZE (bsc#1103991 FATE#326007).
- IB: Let ib_core resolve destination mac address (bsc#1103992
  FATE#326009).
- IB/core: Introduce and use rdma_create_user_ah (bsc#1103992
  FATE#326009).
- net/mlx5e: IPoIB, Add inner TTC table to IPoIB flow steering
  (bsc#1103990 FATE#326006).
- net/mlx5: Initialize destination_flow struct to 0 (bsc#1103990
  FATE#326006).
- net/mlx5: Enlarge the NIC TC offload table size (bsc#1103990
  FATE#326006).
- net/mlx5e: Support DSCP trust state to Ethernet's IP packet
  on SQ (bsc#1103990 FATE#326006).
- net/mlx5: QPTS and QPDPM register firmware command support
  (bsc#1103990 FATE#326006).
- net/mlx5: Add MLX5_SET16 and MLX5_GET16 (bsc#1103990
  FATE#326006).
- net/mlx5: QCAM register firmware command support (bsc#1103990
  FATE#326006).
- net/dcb: Add dscp to priority selector type (bsc#1103990
  FATE#326006).
- net/mlx5e: Switch ipsec counters to use stats group API
  (bsc#1103990 FATE#326006).
- net/mlx5e: Switch pme counters to use stats group API
  (bsc#1103990 FATE#326006).
- net/mlx5e: Switch per prio pfc counters to use stats group API
  (bsc#1103990 FATE#326006).
- net/mlx5e: Switch per prio traffic counters to use stats group
  API (bsc#1103990 FATE#326006).
- net/mlx5e: Switch pcie counters to use stats group API
  (bsc#1103990 FATE#326006).
- net/mlx5e: Switch ethernet extended counters to use stats
  group API (bsc#1103990 FATE#326006).
- net/mlx5e: Switch physical statistical counters to use stats
  group API (bsc#1103990 FATE#326006).
- net/mlx5e: Switch RFC 2819 counters to use stats group API
  (bsc#1103990 FATE#326006).
- net/mlx5e: Switch RFC 2863 counters to use stats group API
  (bsc#1103990 FATE#326006).
- net/mlx5e: Switch IEEE 802.3 counters to use stats group API
  (bsc#1103990 FATE#326006).
- net/mlx5e: Switch vport counters to use the stats group API
  (bsc#1103990 FATE#326006).
- net/mlx5e: Switch Q counters to use the stats group API
  (bsc#1103990 FATE#326006).
- net/mlx5e: Introduce stats group API (bsc#1103990 FATE#326006).
- drivers, net, mlx5: convert fs_node.refcount from atomic_t to
  refcount_t (bsc#1103990 FATE#326006).
- drivers, net, mlx5: convert mlx5_cq.refcount from atomic_t to
  refcount_t (bsc#1103990 FATE#326006).
- net/mlx5: Allocate FTE object without lock (bsc#1103990
  FATE#326006).
- net/mlx5: Replace fs_node mutex with reader/writer semaphore
  (bsc#1103990 FATE#326006).
- net/mlx5: Refactor FTE and FG creation code (bsc#1103990
  FATE#326006).
- net/mlx5: Export building of matched flow groups list
  (bsc#1103990 FATE#326006).
- net/mlx5: Move the entry index allocator to flow group
  (bsc#1103990 FATE#326006).
- net/mlx5: Fix creating a new FTE when an existing but full
  FTE exists (bsc#1103990 FATE#326006).
- net/mlx5: Remove redundant unlikely() (bsc#1103990 FATE#326006).
- drivers: net: mlx5: use setup_timer() helper (bsc#1103990
  FATE#326006).
- commit 2871846
* Mon Nov  5 2018 yousaf.kaukab@suse.com
- i2c: add i2c_get_device_id() to get the standard i2c device id
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- commit 4f9a569
* Mon Nov  5 2018 tzimmermann@suse.de
- blacklist.conf: Append 'drm: rcar-du: Improve non-DPLL clock selection'
- commit 76849a6
* Mon Nov  5 2018 ptesarik@suse.cz
- s390/zcrypt: CEX6S exploitation (FATE#325695, LTC#146006,
  bsc#1113519).
- commit c721e82
* Mon Nov  5 2018 tzimmermann@suse.de
- fbdev: fix broken menu dependencies (bsc#1113722)
- commit ac9f687
* Mon Nov  5 2018 mbrugger@suse.com
- efi/arm: libstub: add a root memreserve config table
  (bsc#1111147).
- commit 64c0779
* Mon Nov  5 2018 mbrugger@suse.com
- efi: honour memory reservations passed via a linux specific
  config table (bsc#1111147).
- Refresh
  patches.suse/0002-MODSIGN-print-appropriate-status-message-when-gettin.patch.
- commit c5de67d
* Mon Nov  5 2018 mhocko@suse.com
- mremap: properly flush TLB before releasing the page
  (bnc#1113769, CVE-2018-18281).
- Refresh
  patches.suse/mremap-Remove-LATENCY_LIMIT-from-mremap-to-reduce-the-number-of-TLB-shootdowns.patch.
- commit 8f5c07d
* Mon Nov  5 2018 jthumshirn@suse.de
- Update config files, add CONFIG_ACPI_ADXL (FATE#323622).
- commit 4f9b6ce
* Mon Nov  5 2018 jthumshirn@suse.de
- EDAC, skx: Fix randconfig builds (FATE#323622).
- EDAC, skx_edac: Add address translation for non-volatile DIMMs
  (FATE#323622).
- ACPI/ADXL: Add address translation interface using an ACPI DSM
  (FATE#323622).
- x86/mce: Add macros for the corrected error count bit field
  (FATE#323622).
- x86/mce: Use BIT_ULL(x) for bit mask definitions (FATE#323622).
- commit cde5831
* Mon Nov  5 2018 mhocko@suse.com
- memory_hotplug: cond_resched in __remove_pages (bnc#1114178).
- commit f1cc90a
* Sun Nov  4 2018 mkubecek@suse.cz
- rpm: use syncconfig instead of silentoldconfig where available
  Since mainline commit 0085b4191f3e ("kconfig: remove silentoldconfig
  target"), "make silentoldconfig" can be no longer used. Use "make
  syncconfig" instead if available.
- commit a239c6e
* Sat Nov  3 2018 yousaf.kaukab@suse.com
- soc: fsl: cleanup Kconfig menu (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: Remove remaining files (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: Move DPIO from staging to drivers/soc/fsl (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2: eth: move generic FD defines to DPIO (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: mux: pca954x: use helper variable in probe (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: support m41t11 variant (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: fix data pointer to m41t0 (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: pcf2127: add support for accessing internal static RAM (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- watchdog: imx2_wdt: Switch to SPDX identifier (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- mmc: sdhci-of-esdhc: modify the sd clock in of_match_node way (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Use named arguments in function definition (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Merge header files (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Use BIT() macro (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Remove dead code (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Cleanup comments (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: add SPDX license identifiers (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: convert documentation to .rst format (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/ethsw: document nested structs as per kernel-doc (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: document nested structs as per kernel-doc (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Remove unused driver version (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Update default hash key (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/ethsw: Fix error message (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Remove unnecessary cast (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Remove Rx frame size check (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: MTU cleanup (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Remove pointless instruction (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Remove obsolete reference (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Fix DMA mapping direction (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- ARM: cpuidle: silence error on driver registration failure (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: Switch to SPDX identifier (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: Fill actual_length when doing DMA transfer (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: Fix copy-paste error in dspi_probe (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: Enable extended SPI mode (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: Advertise 32 bit for XSPI mode (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: XSPI FIFO handling (in TCFQ mode) (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: Framesize control for XSPI mode (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: Add support for XSPI mode registers (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
  Refresh:
  patches.drivers/spi-spi-fsl-dspi-Fix-imprecise-abort-on-VF500-during
- spi: spi-fsl-dspi: Fix MCR register handling (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: Support 4 to 16 bits per word transfers (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: Simplify transfer counter handling (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: Fix per transfer cs_change handling (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: Drop unneeded use of dataflags bits (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: Drop unreachable else if statement (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: Fixup regmap configuration (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: mux: pca954x: merge calls to of_match_device and of_device_get_match_data (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: mux: pca954x: force reset on probe if available (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1340: Add support for trickle charger (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- irqchip/ls-scfg-msi: Map MSIs in the iommu (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/rtc: fix PTP dependency (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc/dpio: Fix the error handling in probe() (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/rtc: support phc_index of ethtool_ts_info (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: add the get_ts_info interface for ethtool (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Add support for hardware timestamping (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/rtc: add rtc driver (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- drivers/staging/fsl-mc: Fix DPIO error path issue (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- drivers/staging/fsl-mc: Use devm_memremap/devm_ioremap for DPIO (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/ethsw: Fix tag control information value overwrite (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/ethsw: Remove unused variable irq (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- mtd: spi-nor: fsl-quadspi: add support for ls2080a/ls1080a (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- mtd: spi-nor: fsl-quadspi: fix api naming typo _init_ahb_read (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- mtd: rawnand: fsl_ifc: fix FSL NAND driver to read all ONFI parameter pages (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- mtd: rawnand: fsl_ifc: fix probe function error path (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2: ethsw: Ignore bridge VLAN events (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- watchdog: imx2_wdt: allow setting timeout in devicetree (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: put struct nvmem_config on the stack (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: call rtc_nvmem_register() (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: imx: avoid taking clk_prepare mutex in PM callbacks (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: imx: use clk notifier for rate changes (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: mux: pca954x: verify the device id of the pca984x chips (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- mtd: fsl-quadspi: Distinguish the mtd device names (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- mtd: fsl-quadspi: Remove unneeded driver.bus assignment (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Use debug level for message (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Change max number of Tx queues (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Fix SGT allocation (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Cleanup TX frame freeing code (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Change link settings on the fly (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Add DPNI version check (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Remove packed attribute (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Remove unused field (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Move print message (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Use generic irq handler (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- bus: fsl-mc: change mc_command in fsl_mc_command (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Defer probing if no MC portal available (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Fix incorrect kfree (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/ethsw: Add TODO (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/ethsw: Add README (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/ethsw: Add ethtool support (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/ethsw: Add Freescale DPAA2 Ethernet Switch driver (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/ethsw: Add APIs for DPSW object (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: Move DPCON out of staging (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: Move DPBP out of staging (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: allow the driver to compile multi-arch (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Use __leXX types where needed (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc/dpio: Add missing argument identifier (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc/dpio: Fix incorrect masking (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc/dpio: Use __leXX types where needed (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc/dpio: Fix cast truncate warning (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc/dpio: Fix incorrect cast (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc/dpio: remove unused function (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: Cleanup dpbp and dpcon API (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc/dpio: qbman_pull_desc_set_token() can be static (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Fix incorrect casts (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc/dpio: allow the driver to compile multi-arch (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: dpio: remove foolish -Werror Makefile addtion (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc/dpio: Fix incorrect casts (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: Move irqchip code out of staging (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: Move core bus out of staging (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
  Refresh:
  patches.drivers/0062-drivers-bus-Move-Arm-CCN-PMU-driver.patch
  patches.drivers/HISI-LPC-Support-the-LPC-host-on-Hip06-Hip07-with-DT.patch
- Staging: fsl-dpaa2: ethernet: dpaa2-eth.c: Fixed a style issue (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- cpufreq: qoirq: Don't validate the frequency table twice (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- cpufreq: qoriq: Drop memory allocation error messages from qoriq_cpufreq_cpu_init() (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: fix build testing on x86 (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: mux: pca954x: add support for NXP PCA984x family (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: imx: Include the right GPIO header (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- clk: qoriq: add more divider clocks support (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc: fsl: guts: Add a NULL check for devm_kasprintf() (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc: fsl: support GUTS driver for ls1012a/ls1046a (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: Add SPDX license identifiers (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: make function its_fsl_mc_msi_init static (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: Convert documentation to rst format (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: README cleanup (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: Update include header (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: Remove unnecessary dependency (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: Remove dead code (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: Consolidate bus core header files (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: Cleanup dprc and dpmcp header files (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Use affine DPIO services (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc/dpio: Add dpaa2_io_service_select() API (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iio: adc: ina2xx: Actually align the loop with the conversion ready flag (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iio: adc: ina2xx: Align timestamp with conversion ready flag (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iio: adc: ina2xx: Use a monotonic clock for delay calculation (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iio: adc: ina2xx: Make calibration register value fixed (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iio: adc: ina2xx: Do not udelay for several seconds (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iio: adc: ina2xx: Remove unneeded dummy read to clear CNVR flag (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iio: adc: ina2xx: Clarify size requirement for data buffer (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iio: adc: ina2xx: Remove bogus cast for data argument (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Flow affinity for non-forwarded traffic (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Flow affinity for IP forwarding (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: do not print error in case of defer probe error (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: Allocate IRQ's before scanning DPRC objects (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Make Tx buffer alignment optional (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Compute needed headroom per frame (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: account for const type of of_device_id.data (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- mtd: fsl-quadspi: account for const type of of_device_id.data (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- mtd: m25p80: restore the status of SPI flash when exiting (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- irqchip/gic-v3-its: Remove artificial dependency on PCI (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- ARM64/irqchip: Update ACPI_IORT symbol selection logic (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- commit dcc8a45
* Fri Nov  2 2018 mbrugger@suse.com
- arm64: Update config files. (fate#326419)
  Enable:
  MEMORY_FAILURE
  ACPI_APEI_MEMORY_FAILURE
  Module:
  MHWPOISON_INJECT
- commit 8dd0aad
* Fri Nov  2 2018 mbrugger@suse.com
- KVM: arm/arm64: fix the incompatible matching for external abort
  (fate#326419).
- arm64: mm: Remove arch_apei_flush_tlb_one() (fate#326419).
- ACPI / APEI: clear error status before acknowledging the error
  (fate#326419).
- ACPI: APEI: fix the wrong iteration of generic error status
  block (fate#326419).
- commit 591923a
* Fri Nov  2 2018 mbenes@suse.cz
- livepatch: create and include UAPI headers (fate#326849).
- commit a00eabe
* Fri Nov  2 2018 mbrugger@suse.com
- arm64: kconfig: allow support for memory failure handling
  (fate#326419).
- Refresh
  patches.drivers/0024-acpi-apei-handle-SEA-notification-type-for-ARMv8.patch.
- commit 0f668f8
* Fri Nov  2 2018 mbenes@suse.cz
- modpost: ignore livepatch unresolved relocations (fate#326849).
- commit ac36eb6
* Fri Nov  2 2018 mbrugger@suse.com
- arm64: hwpoison: add VM_FAULT_HWPOISON[_LARGE] handling
  (fate#326419).
- Refresh
  patches.arch/0002-arm64-Convert-pte-handling-from-inline-asm-to-using-.patch.
- commit 34ca45e
* Fri Nov  2 2018 mbrugger@suse.com
- arm64: hugetlb: Fix huge_pte_offset to return poisoned page
  table entries (fate#326419).
- commit c475e5d
* Fri Nov  2 2018 mbrugger@suse.com
- arm64: fault: Print info about page table structure when
  dumping pte (fate#326419).
- arm64: mm: print file name of faulting vma (fate#326419).
- arm64: mm: don't print out page table entries on EL0 faults
  (fate#326419).
- arm64: mm: print out correct page table entries (fate#326419).
- commit 9649077
* Fri Nov  2 2018 jack@suse.cz
- powerpc/lib: Implement UACCESS_FLUSHCACHE API (bsc#1113295).
- commit 110a215
* Fri Nov  2 2018 jack@suse.cz
- powerpc/lib: Implement PMEM API (bsc#1113295).
  Refresh patches.arch/powerpc-64s-Set-assembler-machine-type-to-POWER4.patch
- commit f036205
* Fri Nov  2 2018 jack@suse.cz
- libnvdimm, pfn, dax: limit namespace alignments to the supported
  set (bsc#1113295).
- commit fff3844
* Fri Nov  2 2018 jack@suse.cz
- libnvdimm, pfn, dax: show supported dax/pfn region alignments
  in sysfs (bsc#1113295).
- commit 5b5ebcd
* Fri Nov  2 2018 jack@suse.cz
- libnvdimm: Stop using HPAGE_SIZE (bsc#1113295).
- commit a67807b
* Fri Nov  2 2018 mbrugger@suse.com
- char: ipmi: eliminate misleading print info when being probed
  via ACPI (fate#326450).
- commit 3a2cacc
* Fri Nov  2 2018 ptesarik@suse.cz
- Update config files: update vanilla configs
- Restore option CONFIG_MLX_CPLD_PLATFORM, lost by commit
  9545414b53daa5673b6afe53ce10d49333864c42.
- Refresh other vanilla configs.
- commit 0a31dad
* Fri Nov  2 2018 msuchanek@suse.de
- powerpc/cacheinfo: Report the correct shared_cpu_map on
  big-cores (bsc#1109695).
- powerpc: Use cpu_smallcore_sibling_mask at SMT level on bigcores
  (bsc#1109695).
- powerpc: Detect the presence of big-cores via "ibm,
  thread-groups" (bsc#1109695).
- powerpc/setup: Add cpu_to_phys_id array (FATE#326757,
  bsc#1109695).
- powerpc: make use of for_each_node_by_type() instead of
  open-coding it (FATE#326757, bsc#1109695).
- commit 2a27b15
* Fri Nov  2 2018 yousaf.kaukab@suse.com
- i2c: designware: fix building driver as module
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- commit 89ec5b5
* Fri Nov  2 2018 tbogendoerfer@suse.de
- blacklist.conf: temporary blacklist for xdp/tls/sched backport
- commit 8279247
* Fri Nov  2 2018 tbogendoerfer@suse.de
- tools: bpftool: create "uninstall", "doc-uninstall" make targets
  (bsc#1109837).
- Refresh
  patches.suse/Kbuild-fix-escaping-in-.cmd-files-for-future-Make.patch.
- commit 87021d8
* Fri Nov  2 2018 yousaf.kaukab@suse.com
- i2c: Provide a stub for i2c_detect_slave_mode()
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- commit b26edc9
* Thu Nov  1 2018 yousaf.kaukab@suse.com
- i2c: remove legacy integer scl/sda gpio for recovery (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: davinci: switch to using gpiod for bus recovery gpios (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: add i2c gpio recovery option (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: rename i2c_dw_plat_prepare_clk to i2c_dw_prepare_clk (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: move i2c_dw_plat_prepare_clk to common (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: Switch to using gpiod interface for gpio bus recovery (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: Don't set SCL timings and speed mode when in slave mode (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: make const array supported_speeds static to shink object code size (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- PM: i2c-designware-platdrv: Suspend/resume at the late/early stages (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- PM: i2c-designware-platdrv: Clean up PM handling in probe (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: Fix runtime PM for I2C slave mode (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: Remove needless pm_runtime_put_noidle() call (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: Fix standard mode speed when configuring the slave mode (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: Fix oops from i2c_dw_irq_handler_slave (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: Print clock freq on invalid clock freq error (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: Let slave adapter support be optional (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: Make HW init functions static (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: fix spelling mistakes (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: enable SLAVE in platform module (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: add SLAVE mode functions (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: introducing I2C_SLAVE definitions (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: MASTER mode as separated driver (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
  Refresh:
  patches.drivers/i2c-designware-fix-poll-after-enable-regression
  patches.fixes/i2c-designware-must-wait-for-enable
- i2c: designware: refactoring of the i2c-designware (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: designware: Cleaning and comment style fixes (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
  Refresh:
  patches.drivers/i2c-designware-Round-down-ACPI-provided-clk-to-neare
- commit ee88bb8
* Thu Nov  1 2018 msuchanek@suse.de
- supported.conf: +external arch/powerpc/platforms/pseries/papr_scm.ko
  (FATE#326628).
- commit 0a0b19c
* Thu Nov  1 2018 msuchanek@suse.de
- powerpc/hugetlbfs: Export HPAGE_SHIFT (FATE#326628, bsc#1113295).
- Refresh patches.arch/powerpc-fadump-Do-not-use-hugepages-when-fadump-is-a.patch.
- commit a3d0a2e
* Thu Nov  1 2018 tbogendoerfer@suse.de
- blacklist.conf: 762c330d670e is reverted in commit f249be4d2c27
- commit dd8b24b
* Thu Nov  1 2018 bp@suse.de
- EDAC, thunderx: Fix memory leak in thunderx_l2c_threaded_isr()
  (bsc#1114279).
- blacklist.conf:
- resource: Include resource end in walk_*() interfaces
  (bsc#1114279).
- x86/kexec: Correct KEXEC_BACKUP_SRC_END off-by-one error
  (bsc#1114279).
- commit 9ab91ee
* Thu Nov  1 2018 tbogendoerfer@suse.de
- i40e: Fix for Tx timeouts when interface is brought up if DCB
  is enabled (bsc#1111981 FATE#326312 FATE#326313).
- commit 9873098
* Thu Nov  1 2018 tzimmermann@suse.de
- linux/kernel.h: move DIV_ROUND_DOWN_ULL() macro (FATE#326235)
- commit 03636e1
* Thu Nov  1 2018 tzimmermann@suse.de
- dma-buf: add reservation_object_copy_fences (v2) (FATE#326235)
- commit c990c8b
* Thu Nov  1 2018 tzimmermann@suse.de
- stddef.h: Introduce sizeof_field() (FATE#326235)
- commit 27616c0
* Thu Nov  1 2018 tzimmermann@suse.de
- device: Use overflow helpers for devm_kmalloc() (FATE#326289)
- commit 72ef3a2
* Thu Nov  1 2018 tzimmermann@suse.de
- x86/platform/intel/iosf_mbi: Add unlocked PMIC bus access notifier (FATE#326235)
- commit c9325bd
* Thu Nov  1 2018 tzimmermann@suse.de
- nospec: Include <asm/barrier.h> dependency (FATE#326235)
- commit e00f472
* Thu Nov  1 2018 tzimmermann@suse.de
- mm: track actual nr_scanned during shrink_slab() (FATE#326235)
- commit 440368a
* Thu Nov  1 2018 tzimmermann@suse.de
- mm/shmem: introduce shmem_file_setup_with_mnt (FATE#326235)
- commit 076876b
* Thu Nov  1 2018 tzimmermann@suse.de
- media: media/cec.h: add CEC_CAP_DEFAULTS (FATE#326235)
- commit 45c893f
* Thu Nov  1 2018 tzimmermann@suse.de
- seq_file: Introduce DEFINE_SHOW_ATTRIBUTE() helper macro (FATE#326235)
- commit b563994
* Thu Nov  1 2018 tzimmermann@suse.de
- ext4: avoid Y2038 overflow in recently_deleted() (FATE#326235)
- commit 5e0267d
* Thu Nov  1 2018 tzimmermann@suse.de
- vfio: ABI for mdev display dma-buf operation (FATE#326235)
- commit 73d1d72
* Thu Nov  1 2018 tzimmermann@suse.de
- lib/scatterlist: Introduce and export __sg_alloc_table_from_pages (FATE#326235)
- commit ff5c8d4
* Thu Nov  1 2018 tzimmermann@suse.de
- lib/scatterlist: Avoid potential scatterlist entry overflow (FATE#326235)
- commit 0aab26b
* Thu Nov  1 2018 tzimmermann@suse.de
- lib/scatterlist: Fix offset type in sg_alloc_table_from_pages (FATE#326235)
- commit d227771
* Thu Nov  1 2018 tzimmermann@suse.de
- PCI: Add pci_enable_atomic_ops_to_root() (FATE#326235)
- commit a492aee
* Thu Nov  1 2018 tzimmermann@suse.de
- mm: Introduce kvcalloc() (FATE#326235)
- commit e8227da
* Thu Nov  1 2018 tzimmermann@suse.de
- define __poll_t, annotate constants (FATE#326235)
- commit b149a5b
* Thu Nov  1 2018 tzimmermann@suse.de
- dma-buf: add reservation_object_lock_interruptible() (FATE#326235)
- commit f9a86d8
* Thu Nov  1 2018 msuchanek@suse.de
- pmem: fix build error on powerpc (FATE#326628, bsc#1113295).
- commit a0e2fe4
* Thu Nov  1 2018 jslaby@suse.cz
- tty: Don't block on IO when ldisc change is pending
  (bnc#1105428).
- Refresh
  patches.suse/tty-Hold-tty_ldisc_lock-during-tty_reopen.patch.
- Refresh
  patches.suse/tty-Simplify-tty-count-math-in-tty_reopen.patch.
- Refresh
  patches.suse/tty-ldsem-Add-lockdep-asserts-for-ldisc_sem.patch.
- Refresh
  patches.suse/tty-ldsem-Convert-to-regular-lockdep-annotations.patch.
- Refresh
  patches.suse/tty-ldsem-Decrement-wait_readers-on-timeouted-down_r.patch.
- Refresh
  patches.suse/tty-ldsem-Wake-up-readers-after-timed-out-down_write.patch.
  Update to v6 of the patchset. It should fix the potential deadlocks.
- commit b10485a
* Thu Nov  1 2018 yousaf.kaukab@suse.com
- i2c: imx: use proper GPIO directions for recovery
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: imx: switch to using gpiod for bus recovery gpios
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Don't enable FAS on Tx
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Add counter for skb reallocs
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Don't set netdev->needed_headroom
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Fix access to FAS field
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iio: adc: ina2xx: Allow setting Shunt
  Voltage PGA gain and Bus Voltage range
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iio: adc: ina2xx: Use LSB specifier instead of divider in config
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iio: adc: ina2xx: Shift bus voltage register to mask flag bits
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: use 32bits to support 64K size mc-portals
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc-bus: fix build warning
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: use device_type instead of strcmp()
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: add support for device type
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: remove debug WARN_ONs doubling error checks
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: remove some superfluous WARN_ONs
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc/dpio: change to use EXPORT_SYMBOL_GPL()
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: consistently use EXPORT_SYMBOL_GPL()
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc/dpio: remove couple of unused functions
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc/dpio: drop EXPORT_SYMBOL() for a few functions
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc/dpio: remove incomplete refcount implementation
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: drop unused dpcon APIs
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: add SPI_LSB_FIRST to driver capabilities
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- ahci: qoriq: refine port register configuration
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: add OF and ACPI entries for Epson RX8130
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: improve weekday handling
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- mtd: spi-nor: Add support for mr25h128
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- of: reserved_mem: Accessor for acquiring reserved_mem
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc/fsl/qbman: Enable FSL_LAYERSCAPE config on ARM
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc/fsl/qbman: Add missing headers on ARM
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc/fsl/qbman: different register offsets on ARM
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc/fsl/qbman: add QMAN_REV32
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc/fsl/qbman: Rework portal mapping calls for ARM/PPC
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc/fsl/qbman: Fix ARM32 typo
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc/fsl/qbman: Drop L1_CACHE_BYTES compile time check
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc/fsl/qbman: Drop set/clear_bits usage
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc/fsl/qbman: Use shared-dma-pool
  for QMan private memory allocations
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc/fsl/qbman: Use shared-dma-pool
  for BMan private memory allocations
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc/fsl/qbman: Add common routine for QBMan private allocations
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc/fsl/guts: Add compatible string for LS1088
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- soc/fsl/qman: Sleep instead of stuck hacking jiffies
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- irqchip/ls-scfg-msi: Add LS1012a MSI support
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: mux: pca954x: Return error if irq_create_mapping fails
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: mux: pca954x: call request irq after adding mux segments
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- gpio: mpc8xxx: Do not reverse bits using bgpio
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- serial: fsl_lpuart: Remove unused 'bd' variable
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Extra headroom in RX buffers
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Change RX buffer alignment
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Don't account SWA in tx_data_offset
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Split function
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Label cleanup
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Add firmware version
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Don't use netdev_err too early
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Use implicit clear of link interrupt
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Fix double DMA unmap
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Refactor interrupt arming in NAPI poll
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Check if
  notification rearm is successful
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Check SGT final bit is present
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Account for Rx FD buffers on error path
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Fix potential endless loop
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iio: adc: ina2xx: Adhere to documented
  ABI, use Ohm instead of uOhm
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc/dpio: Fix incorrect comparison
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- Staging: fsl-mc: remove unnecessary parenthesis
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- ARM: cpuidle: Refactor rollback operations if init fails
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- ARM: cpuidle: Correct driver unregistration if init fails
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: enabling Coldfire mcf5441x dspi
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: imx: fix misleading bus recovery debug message
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- i2c: imx: use IRQF_SHARED mode to request IRQ
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- tty: serial: lpuart: avoid report NULL interrupt
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- ARM: cpuidle: Avoid memleak if init fail
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: use octal permissions
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: fix braces
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: fix alignments and blank lines
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: use BIT
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: use u32
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: use sizeof
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: remove regs member
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: add basic support for ds1341 chip
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: remove member nvram_offset from struct ds1307
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: factor out offset to struct chip_desc
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: factor out rtc_ops to struct chip_desc
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: factor out irq_handler to struct chip_desc
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: improve irq setup
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: constify struct chip_desc variables
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: improve trickle charger initialization
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: factor out bbsqi bit to struct chip_desc
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: remove member irq from struct ds1307
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- mmc: sdhci-of-esdhc: support ESDHC_CAPABILITIES_1 accessing
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: fix off-by-one FD ctrl bitmaks
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: be consistent when checking strcmp() returns
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- serial: fsl_lpuart: Avoid using irq_wake flag
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- irqchip/ls-scfg-msi: Add MSI affinity support
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- irqchip/ls-scfg-msi: Add LS1043a v1.1 MSI support
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- irqchip/ls-scfg-msi: Add LS1046a MSI support
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- irqchip/ls-scfg-msi: Fix typo of MSI compatible strings
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- commit 7a5a261
* Thu Nov  1 2018 msuchanek@suse.de
- libnvdimm: Add of_node to region and bus descriptors
  (FATE#326628, bsc#1113295).
- powerpc/mm: Enable ZONE_DEVICE on powerpc (FATE#326628,
  bsc#1113295).
- powerpc/vmemmap: Add altmap support (FATE#326628, bsc#1113295).
- powerpc/vmemmap: Reshuffle vmemmap_free() (FATE#326628,
  bsc#1113295).
- mm, x86: Add ARCH_HAS_ZONE_DEVICE to Kconfig (FATE#326628,
  bsc#1113295).
- commit 27270bf
* Thu Nov  1 2018 neilb@suse.com
- RAID10 BUG_ON in raise_barrier when force is true and
  conf->barrier is 0 (git-fixes).
- md/raid5-cache: disable reshape completely (git-fixes).
- autofs: fix autofs_sbi() does not check super block type
  (git-fixes).
- vfs: fix freeze protection in mnt_want_write_file() for
  overlayfs (git-fixes).
- fs/dcache.c: fix kmemcheck splat at take_dentry_name_snapshot()
  (git-fixes).
- md/raid5: fix data corruption of replacements after originals
  dropped (git-fixes).
- make sure that __dentry_kill() always invalidates d_seq,
  unhashed or not (git-fixes).
- autofs: fix slab out of bounds read in getname_kernel()
  (git-fixes).
- md/raid10: fix that replacement cannot complete recovery after
  reassemble (git-fixes).
- md/raid1: add error handling of read error from FailFast device
  (git-fixes).
- md: fix NULL dereference of mddev->pers in
  remove_and_add_spares() (git-fixes).
- autofs: mount point create should honour passed in mode
  (git-fixes).
- Don't leak MNT_INTERNAL away from internal mounts (git-fixes).
- getname_kernel() needs to make sure that ->name != ->iname in
  long case (git-fixes).
- fs: dcache: Use READ_ONCE when accessing i_dir_seq (git-fixes).
- fs: dcache: Avoid livelock between d_alloc_parallel and __d_add
  (git-fixes).
- lockd: fix "list_add double add" caused by legacy signal
  interface (git-fixes).
- race of lockd inetaddr notifiers vs nlmsvc_rqst change
  (git-fixes).
- badblocks: fix wrong return value in badblocks_set if badblocks
  are disabled (git-fixes).
- commit 6d8bf1d
* Thu Nov  1 2018 neilb@suse.com
- VFS: close race between getcwd() and d_move() (git-fixes).
- Refresh patches.fixes/d-lookup-fairness.fix.
- commit 76815af
* Thu Nov  1 2018 neilb@suse.com
- pipe: match pipe_max_size data type with procfs (git-fixes).
- Refresh
  patches.suse/pipe-avoid-round_pipe_size-nr_pages-overflow-on-32-b.patch.
- commit e8660e8
* Thu Nov  1 2018 neilb@suse.com
- do d_instantiate/unlock_new_inode combinations safely
  (git-fixes).
- Delete
  patches.fixes/f2fs-call-unlock_new_inode-before-d_instantiate.patch.
  These two patch both change the same code - the former is more complete.
- commit 0e081e5
* Thu Nov  1 2018 neilb@suse.com
- Update
  patches.fixes/0002-nfs41-do-not-return-ENOMEM-on-LAYOUTUNAVAILABLE.patch
  (git-fixes, bsc#1103925).
- commit 8d3e28c
* Wed Oct 31 2018 oneukum@suse.com
- PCI: Add Qualcomm vendor ID (FATE#326302).
- commit 2c43f6f
* Wed Oct 31 2018 bp@suse.de
- EDAC: Raise the maximum number of memory controllers (bsc#1113780).
- commit 6e99f0f
* Wed Oct 31 2018 tiwai@suse.de
- spi/bcm63xx-hsspi: keep pll clk enabled (bsc#1051510).
- spi: sh-msiof: fix deferred probing (bsc#1051510).
- spi: bcm-qspi: switch back to reading flash using smaller chunks
  (bsc#1051510).
- commit f773242
* Wed Oct 31 2018 mgorman@suse.de
- mm, sched/numa: Remove remaining traces of NUMA rate-limiting
  (bnc#1101669 optimise numa balancing for fast migrate).
- commit 708e44b
* Wed Oct 31 2018 tiwai@suse.de
- blacklist.conf: Add a few wifi driver entries that can't be applied
- commit 662fc68
* Wed Oct 31 2018 mbrugger@suse.com
- arm64: Update config files. (fate#325372)
  Set OPTEE_SHM_NUM_PRIV_PAGES to 1
- commit 8d4c922
* Wed Oct 31 2018 mbrugger@suse.com
- tee: add kernel internal client interface (fate#325372).
- tee: optee: take DT status property into account (fate#325372).
- tee: optee: making OPTEE_SHM_NUM_PRIV_PAGES configurable via
  Kconfig (fate#325372).
- tee: replace getnstimeofday64() with ktime_get_real_ts64()
  (fate#325372).
- tee: optee: report OP-TEE revision information (fate#325372).
- tee: optee: GET_OS_REVISION: document a2 as a build identifier
  (fate#325372).
- tee: correct max value for id allocation (fate#325372).
- tee: shm: Potential NULL dereference calling tee_shm_register()
  (fate#325372).
- tee: shm: don't put_page on null shm->pages (fate#325372).
- tee: shm: make function __tee_shm_alloc static (fate#325372).
- tee: optee: check type of registered shared memory
  (fate#325372).
- tee: add start argument to shm_register callback (fate#325372).
- tee: optee: fix header dependencies (fate#325372).
- tee: shm: inline tee_shm_get_id() (fate#325372).
- tee: use reference counting for tee_context (fate#325372).
- tee: optee: enable dynamic SHM support (fate#325372).
- tee: optee: add optee-specific shared pool implementation
  (fate#325372).
- tee: optee: store OP-TEE capabilities in private data
  (fate#325372).
- tee: optee: add registered buffers handling into RPC calls
  (fate#325372).
- tee: optee: add registered shared parameters handling
  (fate#325372).
- tee: optee: add shared buffer registration functions
  (fate#325372).
- tee: optee: add page list manipulation functions (fate#325372).
- tee: optee: Update protocol definitions (fate#325372).
- tee: shm: add page accessor functions (fate#325372).
- tee: shm: add accessors for buffer size and page offset
  (fate#325372).
- commit c7827aa
* Wed Oct 31 2018 mbrugger@suse.com
- tee: add register user memory (fate#325372).
- Refresh
  patches.drivers/tee-shm-fix-use-after-free-via-temporarily-dropped-r.
- commit 97b95cd
* Wed Oct 31 2018 mbrugger@suse.com
- tee: flexible shared memory pool creation (fate#325372).
- commit da0cf0f
* Wed Oct 31 2018 mbrugger@suse.com
- optee: support asynchronous supplicant requests (fate#325372).
- tee: add TEE_IOCTL_PARAM_ATTR_META (fate#325372).
- tee: add tee_param_is_memref() for driver use (fate#325372).
- optee: fix invalid of_node_put() in optee_driver_init()
  (fate#325372).
- tee: optee: sync with new naming of interrupts (fate#325372).
- tee: indicate privileged dev in gen_caps (fate#325372).
- tee: optee: interruptible RPC sleep (fate#325372).
- tee: optee: add const to tee_driver_ops and tee_desc structures
  (fate#325372).
- commit 941034d
* Wed Oct 31 2018 mbrugger@suse.com
- tee: tee_shm: Constify dma_buf_ops structures (fate#325372).
- commit 0e2426c
* Wed Oct 31 2018 mbrugger@suse.com
- tee: add forward declaration for struct device (fate#325372).
- tee: optee: fix uninitialized symbol 'parg' (fate#325372).
- commit ec01059
* Wed Oct 31 2018 oneukum@suse.com
- PCI: shpchp: Convert SHPC to be builtin only (FATE#326302).
- Update config files.
- commit e679a18
* Wed Oct 31 2018 oneukum@suse.com
- PCI: pciehp: Add quirk for Command Completed errata
  (FATE#326303).
- commit 7ba7050
* Wed Oct 31 2018 jlee@suse.com
- x86/boot/KASLR: Work around firmware bugs by excluding
  EFI_BOOT_SERVICES_* and EFI_LOADER_* from KASLR's choice
  (bnc#1112878).
- commit d45cd78
* Wed Oct 31 2018 oneukum@suse.com
- blacklist.conf: removed entry later needed due to backport
- commit d25be9d
* Wed Oct 31 2018 oneukum@suse.com
- PCI: hotplug: Drop checking of PCI_BRIDGE_CONTROL in
  * _unconfigure_device() (FATE#326302).
- commit 5956a72
* Wed Oct 31 2018 jthumshirn@suse.de
- libnvdimm, label: Fix sparse warning (bsc#1111921, bsc#1113408,
  FATE#326765, bsc#1113972).
- nvdimm: Use namespace index data to reduce number of label reads
  needed (bsc#1111921, bsc#1113408, FATE#326765, bsc#1113972).
- nvdimm: Split label init out from the logic for getting config
  data (bsc#1111921, bsc#1113408, FATE#326765, bsc#1113972).
- nvdimm: Remove empty if statement (bsc#1111921, bsc#1113408,
  FATE#326765, bsc#1113972).
- nvdimm: Clarify comment in sizeof_namespace_index (bsc#1111921,
  bsc#1113408, FATE#326765, bsc#1113972).
- nvdimm: Sanity check labeloff (bsc#1111921, bsc#1113408,
  FATE#326765, bsc#1113972).
- libnvdimm, dimm: Maximize label transfer size (bsc#1111921,
  bsc#1113408, FATE#326765, bsc#1113972).
- libnvdimm, label: change nvdimm_num_label_slots per UEFI 2.7
  (bsc#1111921, bsc#1113408, FATE#326765, bsc#1113972).
- commit 5a4eeb4
* Wed Oct 31 2018 yousaf.kaukab@suse.com
- config: update config for NXP SOCs
- commit 6d8bc66
* Wed Oct 31 2018 tiwai@suse.de
- Workaround for mysterious NVMe breakage with i915 CFL
  (bsc#1111040).
- commit 0fa5877
* Wed Oct 31 2018 msuchanek@suse.de
- KABI: hide new member in struct iommu_table from genksyms
  (bsc#1061840).
- commit df25769
* Wed Oct 31 2018 msuchanek@suse.de
- kabi/severities: ignore ppc64 realmode helpers.
  KVM fixes remove exports of realmode_pfn_to_page iommu_tce_xchg_rm
  mm_iommu_lookup_rm mm_iommu_ua_to_hpa_rm. Some are no longer used and
  others are no longer exported because the code was consolideted in one
  place. These helpers are to be called in realmode and linking to them
  from non-KVM modules is a bug. Hence removing them does not break KABI.
- Refresh patches.kabi/KABI-powerpc-mmu_context-provide-old-version-of-mm_i.patch.
- commit 2d0e8e4
* Wed Oct 31 2018 yousaf.kaukab@suse.com
- rtc: Remove wrong deprecation comment
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: rv8803: remove rv8803_remove
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: rv8803: use generic nvmem support
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: rv8803: switch to rtc_register_device
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: add generic nvmem support
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: at91rm9200: remove race condition
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: introduce new registration method
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: class separate id allocation from registration
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: class separate device allocation from registration
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: remove rtc_device.name
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: pcf8563: avoid using rtc->name
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: dev: remove rtc->name from debug message
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: sysfs: make name uniform
  (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- commit 8489887
* Wed Oct 31 2018 msuchanek@suse.de
- powerpc/powernv: Move TCE manupulation code to its own file
  (bsc#1061840).
- Update patches.arch/powerpc-powernv-ioda2-Reduce-upper-limit-for-DMA-win.patch
  (bsc#1061840, bsc#1055120).
- commit 37fbbd2
* Wed Oct 31 2018 msuchanek@suse.de
- KVM: PPC: Book3S HV: Avoid crash from THP collapse during
  radix page fault (bsc#1061840).
- KVM: PPC: Book3S HV: Fix guest r11 corruption with POWER9 TM
  workarounds (bsc#1061840).
- KVM: PPC: Book3S HV: Don't use compound_order to determine
  host mapping size (bsc#1061840).
- KVM: PPC: Avoid marking DMA-mapped pages dirty in real mode
  (bsc#1061840).
- KVM: PPC: Book3S HV: Don't truncate HPTE index in xlate function
  (bsc#1061840).
- KVM: PPC: Book3S HV: Read kvm->arch.emul_smt_mode under
  kvm->lock (bsc#1061840).
- KVM: PPC: Book3S HV: Allow creating max number of VCPUs on
  POWER9 (bsc#1061840).
- KVM: PPC: Book3S HV: Pack VCORE IDs to access full VCPU ID space
  (bsc#1061840).
- KVM: PPC: Book3S HV: Fix constant size warning (bsc#1061840).
- KVM: PPC: Book3S HV: Add of_node_put() in success path
  (bsc#1061840).
- KVM: PPC: Book3S: Fix matching of hardware and emulated TCE
  tables (bsc#1061840).
- powerpc/powernv/ioda: Allocate indirect TCE levels on demand
  (bsc#1061840).
- powerpc/powernv: Rework TCE level allocation (bsc#1061840).
- powerpc/powernv: Add indirect levels to it_userspace
  (bsc#1061840).
- KVM: PPC: Make iommu_table::it_userspace big endian
  (bsc#1061840).
- powerpc/powernv/ioda: Finish removing explicit max window size
  check (bsc#1061840).
- commit 091ec6b
* Wed Oct 31 2018 tzimmermann@suse.de
- Fix Patch-mainline for "drm/amdgpu: update tmr mc address"
  The Patch-mainline tag was incorrect. References is being updated as well.
- commit ce8535e
* Wed Oct 31 2018 msuchanek@suse.de
- KVM: PPC: Book3S PR: Add guest MSR parameter for
  kvmppc_save_tm()/kvmppc_restore_tm() (bsc#1061840).
- KVM: PPC: Book3S PR: Move kvmppc_save_tm/kvmppc_restore_tm to
  separate file (bsc#1061840).
- KVM: PPC: Book3S HV: Factor fake-suspend handling out of
  kvmppc_save/restore_tm (bsc#1061840).
- KVM: PPC: Book3S HV: Send kvmppc_bad_interrupt NMIs to Linux
  handlers (bsc#1061840).
- KVM: PPC: Book3S HV: Fix kvmppc_bad_host_intr for real mode
  interrupts (bsc#1061840).
- KVM: PPC: Book3S HV: radix: Do not clear partition PTE when
  RC or write bits do not match (bsc#1061840).
- KVM: PPC: Book3S HV: radix: Refine IO region partition scope
  attributes (bsc#1061840).
- KVM: PPC: Book3S HV: Recursively unmap all page table entries
  when unmapping (bsc#1061840).
- KVM: PPC: Book3S HV: Use a helper to unmap ptes in the radix
  fault path (bsc#1061840).
- KVM: PPC: Book3S HV: Lockless tlbie for HPT hcalls
  (bsc#1061840).
- KVM: PPC: Fix a mmio_host_swabbed uninitialized usage issue
  (bsc#1061840).
- KVM: PPC: Move nip/ctr/lr/xer registers to pt_regs in
  kvm_vcpu_arch (bsc#1061840).
- KVM: PPC: Add pt_regs into kvm_vcpu_arch and move
  vcpu->arch.gpr[] into it (bsc#1061840).
- KVM: PPC: Book3S: Check KVM_CREATE_SPAPR_TCE_64 parameters
  (bsc#1061840).
- KVM: PPC: Book3S: Allow backing bigger guest IOMMU pages with
  smaller physical pages (bsc#1061840).
- KVM: PPC: Book3S: Use correct page shift in H_STUFF_TCE
  (bsc#1061840).
- KVM: PPC: Book3S HV: Fix inaccurate comment (bsc#1061840).
- KVM: PPC: Book3S HV: Set RWMR on POWER8 so PURR/SPURR count
  correctly (bsc#1061840).
- KVM: PPC: Book3S HV: Add 'online' register to ONE_REG interface
  (bsc#1061840).
- powerpc/kvm: Switch kvm pmd allocator to custom allocator
  (bsc#1061840).
- KVM: PPC: Book 3S HV: Do ptesync in radix guest exit path
  (bsc#1061840).
- KVM: PPC: Book3S HV: XIVE: Resend re-routed interrupts on CPU
  priority change (bsc#1061840).
- KVM: PPC: Book3S HV: Make radix clear pte when unmapping
  (bsc#1061840).
- KVM: PPC: Book3S HV: Make radix use correct tlbie sequence in
  kvmppc_radix_tlbie_page (bsc#1061840).
- KVM: PPC: Book3S HV: Snapshot timebase offset on guest entry
  (bsc#1061840).
- powerpc/kvm/booke: Fix altivec related build break
  (bsc#1061840).
- KVM: PPC: Book3S HV: Use __gfn_to_pfn_memslot() in page fault
  handler (bsc#1061840).
- KVM: PPC: Book3S HV: Handle 1GB pages in radix page fault
  handler (bsc#1061840).
- KVM: PPC: Book3S HV: Streamline setting of reference and change
  bits (bsc#1061840).
- KVM: PPC: Book3S HV: Radix page fault handler optimizations
  (bsc#1061840).
- KVM: PPC: Book3S HV: Fix duplication of host SLB entries
  (bsc#1061840).
- KVM: PPC: Book3S HV: Fix trap number return from
  __kvmppc_vcore_entry (bsc#1061840).
- KVM: PPC: Book3S HV: Fix VRMA initialization with 2MB or 1GB
  memory backing (bsc#1061840).
- KVM: PPC: Book3S HV: Fix handling of large pages in radix page
  fault handler (bsc#1061840).
- KVM: PPC: Book3S: Fix compile error that occurs with some gcc
  versions (bsc#1061840).
- KVM: PPC: Book3S: Add MMIO emulation for VMX instructions
  (bsc#1061840).
- KVM: PPC: Book3S HV: Make HPT resizing work on POWER9
  (bsc#1061840).
- KVM: PPC: Book3S HV: Fix handling of secondary HPTEG in HPT
  resizing code (bsc#1061840).
- KVM: PPC: Book3S HV: Keep XIVE escalation interrupt masked
  unless ceded (bsc#1061840).
- KVM: PPC: Book3S HV: Make xive_pushed a byte, not a word
  (bsc#1061840).
- KVM: PPC: Book3S HV: Check DR not IR to chose real vs virt
  mode MMIOs (bsc#1061840).
- KVM: PPC: Book3S HV: Don't use existing "prodded" flag for
  XIVE escalations (bsc#1061840).
- KVM: PPC: Book3S HV: Allow HPT and radix on the same core for
  POWER9 v2.2 (bsc#1061840).
- KVM: PPC: Book3S HV: Do SLB load/unload with guest LPCR value
  loaded (bsc#1061840).
- KVM: PPC: Book3S HV: Enable migration of decrementer register
  (bsc#1061840).
- KVM: PPC: Use seq_puts() in kvmppc_exit_timing_show()
  (bsc#1061840).
- KVM: PPC: Book3S HV: Remove vcpu->arch.dec usage (bsc#1061840).
- KVM: PPC: Book3S: Eliminate some unnecessary checks
  (bsc#1061840).
- KVM: PPC: Book3S HV: Fix conditions for starting vcpu
  (bsc#1061840).
- KVM: PPC: Book3S HV: Remove useless statement (bsc#1061840).
- KVM: PPC: Book3S HV: Fix typo in kvmppc_hv_get_dirty_log_radix()
  (bsc#1061840).
- KVM: PPC: Book3S HV: Avoid shifts by negative amounts
  (bsc#1061840).
- KVM: PPC: Book3S HV: Improve handling of debug-trigger HMIs
  on POWER9 (bsc#1061840).
- powerpc/xive: Move definition of ESB bits (bsc#1061840).
- powerpc/powernv/ioda: Remove explicit max window size check
  (bsc#1061840).
- powerpc/xmon: Add ISA v3.0 SPRs to SPR dump (bsc#1061840).
- commit 2bdb006
* Wed Oct 31 2018 tiwai@suse.de
- drm/nouveau: Don't disable polling in fallback mode
  (bsc#1103356).
- Delete
  patches.suse/Revert-drm-nouveau-drm-therm-fan-add-a-fallback-if-n.
- commit aa0c431
* Wed Oct 31 2018 tbogendoerfer@suse.de
- i40e: add support for XDP_REDIRECT (bsc#1111981 FATE#326312
  FATE#326313).
- i40e: tweak page counting for XDP_REDIRECT (bsc#1111981
  FATE#326312 FATE#326313).
- commit d572ffa
* Wed Oct 31 2018 tbogendoerfer@suse.de
- i40e: i40e: Change ethtool check from MAC to HW flag
  (bsc#1111981 FATE#326312 FATE#326313).
- Refresh
  patches.drivers/i40e-re-number-feature-flags-to-remove-gaps.patch.
- commit a4f0548
* Wed Oct 31 2018 tbogendoerfer@suse.de
- i40e: use changed_flags to check I40E_FLAG_DISABLE_FW_LLDP
  (bsc#1111981 FATE#326312 FATE#326313).
- Refresh
  patches.drivers/i40e-stop-using-cmpxchg-flow-in-i40e_set_priv_flags.patch.
- commit dead478
* Wed Oct 31 2018 oneukum@suse.com
- blacklist.conf: this breaks an API exported through sysfs
- commit 98c4927
* Wed Oct 31 2018 oneukum@suse.com
- blacklist.conf: this changes an API exported through sysfs
- commit 981a427
* Wed Oct 31 2018 tbogendoerfer@suse.de
- i40e: Fix incorrect return types (bsc#1111981 FATE#326312
  FATE#326313).
- i40e: Properly check allowed advertisement capabilities
  (bsc#1111981 FATE#326312 FATE#326313).
- i40evf: Reorder configure_clsflower to avoid deadlock on error
  (bsc#1111981 FATE#326312 FATE#326313).
- i40evf/i40evf_main: Fix variable assignment in
  i40evf_parse_cls_flower (bsc#1111981 FATE#326312 FATE#326313).
- i40e: remove some stray indenting (bsc#1111981 FATE#326312
  FATE#326313).
- i40evf: remove redundant array comparisons to 0 checks
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e: check that pointer VSI is not null before dereferencing it
  (bsc#1111981 FATE#326312 FATE#326313).
- i40evf: pass struct virtchnl_filter by reference rather than
  by value (bsc#1111981 FATE#326312 FATE#326313).
- i40e: link_down_on_close private flag support (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: Add and delete cloud filter (bsc#1111981 FATE#326312
  FATE#326313).
- i40evf: Add support to apply cloud filters (bsc#1111981
  FATE#326312 FATE#326313).
- virtchnl: Add filter data structures (bsc#1111981 FATE#326312
  FATE#326313).
- virtchnl: Add a macro to check the size of a union (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: Service request to configure bandwidth for ADq on a VF
  (bsc#1111981 FATE#326312 FATE#326313).
- i40evf: Add support to configure bw via tc tool (bsc#1111981
  FATE#326312 FATE#326313).
- i40e: Delete queue channel for ADq on VF (bsc#1111981
  FATE#326312 FATE#326313).
- i40evf: Alloc queues for ADq on VF (bsc#1111981 FATE#326312
  FATE#326313).
- i40e: Enable ADq and create queue channel/s on VF (bsc#1111981
  FATE#326312 FATE#326313).
- i40evf: add ndo_setup_tc callback to i40evf (bsc#1111981
  FATE#326312 FATE#326313).
- virtchnl: Add virtchl structures to support queue channels
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e: Make local function i40e_get_link_speed static
  (bsc#1111981 FATE#326312 FATE#326313).
- i40e: Warn when setting link-down-on-close while in MFP
  (bsc#1111981 FATE#326312 FATE#326313).
- commit 537eaaa
* Tue Oct 30 2018 tbogendoerfer@suse.de
- bpf: add parenthesis around argument of BPF_LDST_BYTES()
  (bsc#1109837).
- commit 933f292
* Tue Oct 30 2018 tbogendoerfer@suse.de
- ixgbe: fix parsing of TC actions for HW offload (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: fix memory leak on ipsec allocation (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbevf: ensure xdp_ring resources are free'd on error exit
  (bsc#1113994 FATE#326315 FATE#326317).
- ixgbe: tweak page counting for XDP_REDIRECT (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbevf: Add XDP queue stats reporting (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbevf: Add support for meta data (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbevf: Delay tail write for XDP packets (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbevf: Add support for XDP_TX action (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbevf: Add XDP support for pass and drop actions (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: enable TSO with IPsec offload (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbe: no need for esp trailer if GSO (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbe: remove unneeded ipsec test in TX path (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: no need for ipsec csum feature check (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: remove unneeded ipsec state free callback (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: fix ipsec trailer length (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbe: check for 128-bit authentication (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbe: use tc_cls_can_offload_and_chain0() (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: register ipsec offload with the xfrm subsystem
  (bsc#1113994 FATE#326315 FATE#326317).
- ixgbe: ipsec offload stats (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbe: process the Tx ipsec offload (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbe: process the Rx ipsec offload (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbe: restore offloaded SAs after a reset (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: add ipsec offload add and remove SA (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: add ipsec data structures (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbe: add ipsec engine start and stop routines (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: add ipsec register access routines (bsc#1113994
  FATE#326315 FATE#326317).
- ixgbe: clean up ipsec defines (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbe: setup xdp_rxq_info (bsc#1113994 FATE#326315 FATE#326317).
- bpf, ixgbe: add meta data support (bsc#1113994 FATE#326315
  FATE#326317).
- ixgbe: use return codes from ndo_xdp_xmit that are
  distinguishable (bsc#1113994 FATE#326315 FATE#326317).
- ixgbe: change ndo_xdp_xmit return code on xmit errors
  (bsc#1113994 FATE#326315 FATE#326317).
- commit 4ae84d4
* Tue Oct 30 2018 yousaf.kaukab@suse.com
- clk: qoriq: add pll clock to clock lookup table (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- clk: qoriq: add clock configuration for ls1088a soc (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: remove legacy check for "isil, irq2-can-wakeup-machine" property (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- thermal: qoriq: constify thermal_zone_of_device_ops structures (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- Staging: fsl-dpaa2: ethernet: dpni.c: Fixed alignment to match open parenthesis (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: add explicit dependencies for compile-tested arches (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: fix resource_size.cocci warnings (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: include irqreturn.h as needed (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc/dpio: Skip endianness conversion in portal config (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Error report format fixes (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Fix skb use after free (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: fix resource_size.cocci warnings (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: allow the driver compile multi-arch (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: make the driver compile on 32-bit (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: don't use raw device io functions (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: fix formating of phys_addr_t on 32 bits (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: fix compilation with non-generic msi domain ops (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: drop useless gic v3 related #include (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: use generic memory barriers (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: Convert to using %%pOF instead of full_name (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iio: adc: Fix polling of INA219 conversion ready flag (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Remove dead code (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- serial: fsl_lpuart: clear unsupported options in .rs485_config() (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- tty/serial/fsl_lpuart: Add CONSOLE_POLL support for lpuart32 (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iio: adc: ina219: Avoid underflow for sleeping time (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: fix regmap config (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- tty: serial: lpuart: Fix the logic for detecting the 32-bit type UART (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: remove ds1307_remove (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: use generic nvmem (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: switch to rtc_register_device (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: add ds1308 variant (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds3232: add temperature support (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: factor out century bit handling (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: use regmap_update_bits where applicable (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: Add support for Epson RX8130CE (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: avoid using rtc-name (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: rtc-ds1307: enable support for mcp794xx as a wakeup source without IRQ (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- rtc: ds1307: convert driver to regmap (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- clk: qoriq: Separate root input clock for core PLLs on ls1012a (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- ahci: qoriq: add ls1088a platforms support (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- ARM: cpuidle: Support asymmetric idle definition (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- spi: spi-fsl-dspi: ensure non-zero return on error path (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
  Refresh:
  patches.drivers/spi-spi-fsl-dspi-Fix-imprecise-abort-on-VF500-during
- tty: serial: lpuart: add a more accurate baud rate calculation method (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- tty: serial: lpuart: add earlycon support for imx7ulp (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- tty: serial: lpuart: add imx7ulp support (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- tty: serial: lpuart: add little endian 32 bit register support (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- tty: serial: lpuart: refactor lpuart32_{read|write} prototype (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- tty: serial: lpuart: introduce lpuart_soc_data to represent SoC property (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
  Refresh:
  patches.drivers/serial-fsl_lpuart-Fix-out-of-bounds-access-through-D
- staging: fsl-mc: make dprc.h header private (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: move mc-cmd.h contents in the public header (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: move mc-sys.h contents in the public header (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: fix a few implicit includes (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: remove dpmng API files (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: move rest of mc-bus.h to private header (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: move couple of definitions to public header (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: move irq domain creation prototype to public header (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: turn several exported functions static (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: delete prototype of unimplemented function (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: delete duplicated function prototypes (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: decouple the mc-bus public headers from dprc.h (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: drop useless #includes (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: move comparison before strcmp() call (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iio: adc: Fix integration time/averaging for INA219/220 (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iio: adc: ina2xx: Make use of attribute flags consistent on all channels (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: drop macros with possible side effects (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: fix a couple of implicit includes (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc/dpio: Propagate error code (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: fix typo in comment (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: add reference to mc-bus DT binding (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: drop reference to restool (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: drop unused forward declaration (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: remove extra blank line (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: drop a few useless #includes (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: simplify couple of deallocations (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: enclose macro params in parens (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Update number of netdev queues (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Refactor MAC address setup (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Errors checking update (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Only store bpid in priv struct (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Remove unused fields from priv struct (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Add accessor for FAS field (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Update ethtool stats names (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Defer probing if no DPIOs found (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Reset dpbp (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Always call napi_gro_receive() (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Don't use GFP_DMA (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Minor cleanup in dpaa2_eth_set_hash (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Add error message newlines (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Remove incorrect error path (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Fix return type of ndo_start_xmit (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Initialize variable before use (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Add "static" keyword where needed (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Map Tx buffers as bidirectional (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-dpaa2/eth: Fix address translations (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- iio: adc: Fix bad GENMASK use, typos, whitespace (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- staging: fsl-mc: Fix code alignment style issues (fate#326530,fate#326531,fate#326535,fate#326538,fate#326539).
- commit f86c9b5
* Tue Oct 30 2018 jthumshirn@suse.de
- Refresh
  patches.fixes/0001-drm-amdgpu-powerplay-fix-missing-break-in-switch-sta.patch.
- Refresh
  patches.fixes/0001-drm-hisilicon-hibmc-Do-not-carry-error-code-in-HiBMC.patch.
- Refresh
  patches.fixes/0001-drm-hisilicon-hibmc-Don-t-overwrite-fb-helper-surfac.patch.
- Refresh
  patches.fixes/0001-drm-i915-audio-Hook-up-component-bindings-even-if-di.patch.
- Refresh
  patches.fixes/0001-drm-i915-gen9-Fix-initial-readout-for-Y-tiled-frameb.patch.
- Refresh
  patches.fixes/0001-drm-sti-do-not-remove-the-drm_bridge-that-was-never-.patch.
- Refresh
  patches.fixes/0001-drm-virtio-fix-bounds-check-in-virtio_gpu_cmd_get_ca.patch.
- commit 652fab5
* Tue Oct 30 2018 tbogendoerfer@suse.de
- nfp: bpf: allow zero-length capabilities (bsc#1109837).
- nfp: flower: remove headroom from max MTU calculation
  (bsc#1109837).
- nfp: flower: set tunnel ttl value to net default (bsc#1109837).
- nfp: don't depend on eth_tbl being available (bsc#1109837).
- nfp: flower: split and limit cmsg skb lists (bsc#1109837).
- nfp: flower: move route ack control messages out of the
  workqueue (bsc#1109837).
- nfp: print a message when mutex wait is interrupted
  (bsc#1109837).
- nfp: ignore signals when communicating with management FW
  (bsc#1109837).
- nfp: add a separate counter for packets with CHECKSUM_COMPLETE
  (bsc#1109837).
- nfp: bpf: improve wrong FW response warnings (bsc#1109837).
- nfp: bpf: add support for bpf_get_prandom_u32() (bsc#1109837).
- nfp: bpf: add support for atomic add of unknown values
  (bsc#1109837).
- nfp: bpf: expose command delay slots (bsc#1109837).
- nfp: bpf: add basic support for atomic adds (bsc#1109837).
- nfp: bpf: add map deletes from the datapath (bsc#1109837).
- nfp: bpf: add map updates from the datapath (bsc#1109837).
- nfp: bpf: add helper for basic map call checks (bsc#1109837).
- nfp: bpf: add helper for validating stack pointers
  (bsc#1109837).
- nfp: bpf: rename map_lookup_stack() to map_call_stack_common()
  (bsc#1109837).
- nfp: bpf: detect packet reads could be cached, enable the
  optimisation (bsc#1109837).
- nfp: bpf: support unaligned read offset (bsc#1109837).
- nfp: bpf: read from packet data cache for PTR_TO_PACKET
  (bsc#1109837).
- nfp: flower: offload phys port MTU change (bsc#1109837).
- nfp: modify app MTU setting callbacks (bsc#1109837).
- nfp: flower: implement ip fragmentation match offload
  (bsc#1109837).
- nfp: flower: refactor shared ip header in match offload
  (bsc#1109837).
- nfp: advertise firmware for mixed 10G/25G mode (bsc#1109837).
- nfp: add Makefiles to all directories (bsc#1109837).
- nfp: flower: implement tcp flag match offload (bsc#1109837).
- nfp: standardize FW header whitespace (bsc#1109837).
- commit b8ea84d
* Tue Oct 30 2018 tbogendoerfer@suse.de
- virtio-net: correctly redirect linearized packet (bsc#1109837).
- Refresh
  patches.suse/virtio-net-correctly-transmit-XDP-buff-after-lineari.patch.
- commit 50bfbea
* Tue Oct 30 2018 tbogendoerfer@suse.de
- vhost_net: flush batched heads before trying to busy polling
  (bsc#1109837).
- tun: Fix NULL pointer dereference in XDP redirect (bsc#1109837).
- tuntap: correctly set SOCKWQ_ASYNC_NOSPACE (bsc#1109837).
- virtio-net: correctly check num_buf during err path
  (bsc#1109837).
- tuntap: fix use after free during release (bsc#1109837).
- tun: fix use after free for ptr_ring (bsc#1109837).
- virtio_net: sparse annotation fix (bsc#1109837).
- tun: fix vlan packet truncation (bsc#1109837).
- virtio-net: add missing virtqueue kick when flushing packets
  (bsc#1109837).
- tun: send netlink notification when the device is modified
  (bsc#1109837).
- tun: set the flags before registering the netdevice
  (bsc#1109837).
- vhost-net: set packet weight of tx polling to 2 * vq size
  (bsc#1109837).
- tuntap: XDP_TX can use native XDP (bsc#1109837).
- tun: export flags, uid, gid, queue information over netlink
  (bsc#1109837).
- commit ecffe5d
* Tue Oct 30 2018 tbogendoerfer@suse.de
- tools: bpf: handle NULL return in bpf_prog_load_xattr()
  (bsc#1109837).
- bpf, x64: fix memleak when not converging on calls
  (bsc#1109837).
- bpf, x64: fix JIT emission for dead code (bsc#1109837).
- devlink: Remove top_hierarchy arg for DEVLINK disabled path
  (bsc#1112374).
- ip6mr: remove synchronize_rcu() in favor of SOCK_RCU_FREE
  (bsc#1112374).
- tuntap: fix for "tuntap: XDP transmission" (bsc#1109837).
- bpf: fix broken BPF selftest build on s390 (bsc#1109837).
- commit 79d541d
* Tue Oct 30 2018 tiwai@suse.de
- soc/tegra: pmc: Fix child-node lookup (bsc#1051510).
- serial: 8250: Fix clearing FIFOs in RS485 mode again
  (bsc#1051510).
- staging: comedi: ni_mio_common: protect register write overflow
  (bsc#1051510).
- iio: adc: at91: fix wrong channel number in triggered buffer
  mode (bsc#1051510).
- iio: adc: at91: fix acking DRDY irq on simple conversions
  (bsc#1051510).
- iio: adc: imx25-gcq: Fix leak of device_node in
  mx25_gcq_setup_cfgs() (bsc#1051510).
- commit 9f4f0cc
* Tue Oct 30 2018 tiwai@suse.de
- media: v4l2-tpg: fix kernel oops when enabling HFLIP and OSD
  (bsc#1051510).
- media: cx231xx: fix potential sign-extension overflow on large
  shift (bsc#1051510).
- media: pci: cx23885: handle adding to list failure
  (bsc#1051510).
- media: vsp1: Fix YCbCr planar formats pitch calculation
  (bsc#1051510).
- media: tvp5150: fix switch exit in set control handler
  (bsc#1051510).
- media: tvp5150: fix width alignment during set_selection()
  (bsc#1051510).
- media: em28xx: fix input name for Terratec AV 350 (bsc#1051510).
- media: em28xx: use a default format if TRY_FMT fails
  (bsc#1051510).
- media: tvp5150: avoid going past array on v4l2_querymenu()
  (bsc#1051510).
- media: dvb: fix compat ioctl translation (bsc#1051510).
- media: uvcvideo: Fix uvc_alloc_entity() allocation alignment
  (bsc#1051510).
- commit 0831c5e
* Tue Oct 30 2018 tiwai@suse.de
- drm/i915/dp: Link train Fallback on eDP only if fallback link
  BW can fit panel's native mode (bsc#1051510).
- drm/i915: Restore vblank interrupts earlier (bsc#1051510).
- commit daf120f
* Tue Oct 30 2018 jslaby@suse.cz
- tools build: fix # escaping in .cmd files for future Make
  (git-fixes).
- Kbuild: fix # escaping in .cmd files for future Make
  (git-fixes).
- commit 8f11ec3
* Tue Oct 30 2018 jdelvare@suse.de
- Add reference to bsc#1104124 to
  patches.fixes/fs-aio-fix-the-increment-of-aio-nr-and-counting-agai.patch
- commit f60e64b
* Tue Oct 30 2018 jslaby@suse.cz
- blacklist.conf: add a kasan fix
- commit c85e2d1
* Tue Oct 30 2018 jslaby@suse.cz
- random: rate limit unseeded randomness warnings (git-fixes).
- commit be52b92
* Tue Oct 30 2018 ohering@suse.de
- move changes without Git-commit out of sorted section
- commit cbf049e
* Tue Oct 30 2018 jmoreira@suse.de
- Add version information to KLP_SYMBOLS file
- commit f77f8d2
* Mon Oct 29 2018 msuchanek@suse.de
- Update config files.
- commit fac7bfe
* Mon Oct 29 2018 tiwai@suse.de
- Refresh patch tag of upstreamed patches and move to sorted section
- commit a966b56
* Mon Oct 29 2018 tiwai@suse.de
- usb: gadget: fsl_udc_core: fixup struct_udc_setup documentation
  (bsc#1051510).
- usb: gadget: fsl_udc_core: check allocation return value and
  cleanup on failure (bsc#1051510).
- commit c1b7b66
* Mon Oct 29 2018 msuchanek@suse.de
- powerpc/pseries: Add driver for PAPR SCM regions (FATE#326628,
  bsc#1113295).
- powerpc/pseries: PAPR persistent memory support (FATE#326628,
  bsc#1113295).
- Refresh patches.arch/hotplug-cpu-Add-operation-queuing-function.patch.
- commit 5e09cff
* Mon Oct 29 2018 tiwai@suse.de
- blacklist.conf: Add ASoC and USB entries that may break kABI
- commit 199a072
* Mon Oct 29 2018 tiwai@suse.de
- NFC: nfcmrvl_uart: fix OF child-node lookup (bsc#1051510).
- kernfs: update comment about kernfs_path() return value
  (bsc#1051510).
- usbip: tools: fix atoi() on non-null terminated string
  (bsc#1051510).
- USB: serial: cypress_m8: fix interrupt-out transfer length
  (bsc#1051510).
- usb: chipidea: Prevent unbalanced IRQ disable (bsc#1051510).
- commit 6c9d1e7
* Mon Oct 29 2018 tbogendoerfer@suse.de
- Update config files.
- supported.conf: added net/sched/em_ipt
- commit e443360
* Mon Oct 29 2018 tbogendoerfer@suse.de
- bpf: fix uapi hole for 32 bit compat applications (bsc#1109837).
- commit dcb2d1e
* Mon Oct 29 2018 tbogendoerfer@suse.de
- cls_flower: Fix incorrect idr release when failing to modify
  rule (bsc#1109837).
- mlxsw: spectrum: Forbid creation of VLAN 1 over port/LAG
  (bsc#1112374).
- selftests: bpf: config: enable NET_SCH_INGRESS for xdp_meta.sh
  (bsc#1109837).
- net : sched: cls_api: deal with egdev path only if needed
  (bsc#1109837).
- bpf: fix truncated jump targets on heavy expansions
  (bsc#1109837).
- bpf: parse and verdict prog attach may race with bpf map update
  (bsc#1109837).
- bpf: sockmap update rollback on error can incorrectly dec prog
  refcnt (bsc#1109837).
- selftests/bpf: check return value of fopen in test_verifier.c
  (bsc#1109837).
- net/sched: fix refcnt leak in the error path of tcf_vlan_init()
  (bsc#1109837).
- net sched actions: fix invalid pointer dereferencing if skbedit
  flags missing (bsc#1109837).
- mlxsw: core: Fix an error handling path in
  'mlxsw_core_bus_device_register()' (bsc#1112374).
- bpf: use array_index_nospec in find_prog_type (bsc#1109837).
- bpf: fix possible spectre-v1 in find_and_alloc_map()
  (bsc#1109837).
- bpf: sockmap, fix error handling in redirect failures
  (bsc#1109837).
- bpf: sockmap, zero sg_size on error when buffer is released
  (bsc#1109837).
- bpf: sockmap, fix scatterlist update on error path in send
  with apply (bsc#1109837).
- bpf: minor fix to selftest test_stacktrace_build_id()
  (bsc#1109837).
- mlxsw: spectrum_switchdev: Do not remove mrouter port from
  MDB's ports list (bsc#1112374).
- bpf: fix for lex/yacc build error with gcc-5 (bsc#1109837).
- bpf: clear the ip_tunnel_info (bsc#1109837).
- bpf: sockmap, fix double page_put on ENOMEM error in redirect
  path (bsc#1109837).
- bpf: sockmap, sk_wait_event needed to handle blocking cases
  (bsc#1109837).
- bpf: sockmap, map_release does not hold refcnt for pinned maps
  (bsc#1109837).
- bpf: disable and restore preemption in __BPF_PROG_RUN_ARRAY
  (bsc#1109837).
- bpf: sockmap remove dead check (bsc#1109837).
- selftests: bpf: update .gitignore with missing generated files
  (bsc#1109837).
- tools/headers: Synchronize kernel ABI headers, v4.17-rc1
  (bsc#1109837).
- platform/x86: mlx-platform: Add physical bus number auto
  detection (bsc#1112374).
- platform/mellanox: mlxreg-hotplug: Change input for device
  create routine (bsc#1112374).
- platform/x86: mlx-platform: Add deffered bus functionality
  (bsc#1112374).
- platform/x86: mlx-platform: Use define for the channel numbers
  (bsc#1112374).
- kernel/bpf/syscall: fix warning defined but not used
  (bsc#1109837).
- bpf: sockmap, duplicates release calls may NULL sk_prot
  (bsc#1109837).
- bpf: sockmap, free memory on sock close with cork data
  (bsc#1109837).
- devlink: convert occ_get op to separate registration
  (bsc#1112374).
- net_sched: fix a missing idr_remove() in u32_delete_key()
  (bsc#1109837).
- netdevsim: remove incorrect __net_initdata annotations
  (bsc#1112374).
- net: sched: do not emit messages while holding spinlock
  (bsc#1109837).
- mlxsw: spectrum: Don't use resource ID of 0 (bsc#1112374).
- mlxsw: spectrum: Pass mlxsw_core as arg of
  mlxsw_sp_kvdl_resources_register() (bsc#1112374).
- mlxsw: Move "resources_query_enable" out of mlxsw_config_profile
  (bsc#1112374).
- mlxsw: Move "used_kvd_sizes" check to mlxsw_pci_config_profile
  (bsc#1112374).
- mlxsw: core: Fix arg name of MLXSW_CORE_RES_VALID and
  MLXSW_CORE_RES_GET (bsc#1112374).
- mlxsw: remove kvd_hash_granularity from config profile struct
  (bsc#1112374).
- mlxsw: spectrum: Change KVD linear parts from list to array
  (bsc#1112374).
- mlxsw: Constify devlink_resource_ops (bsc#1112374).
- mlxsw: spectrum_kvdl: Fix handling of resource_size_param
  (bsc#1112374).
- mlxsw: spectrum_acl: Fix flex actions header ifndef define
  construct (bsc#1112374).
- ethtool: enable Inline TLS in HW (bsc#1109837).
- libbpf: Support expected_attach_type at prog load (bsc#1109837).
- bpf: Check attach type at prog load time (bsc#1109837).
- bpf: sockmap: initialize sg table entries properly
  (bsc#1109837).
- bpf: sockmap, more BPF_SK_SKB_STREAM_VERDICT tests
  (bsc#1109837).
- bpf: sockmap, BPF_F_INGRESS flag for BPF_SK_SKB_STREAM_VERDICT:
  (bsc#1109837).
- bpf: sockmap, add BPF_F_INGRESS tests (bsc#1109837).
- bpf: sockmap redirect ingress support (bsc#1109837).
- bpf: Add sock_ops R/W access to ipv4 tos (bsc#1109837).
- samples/bpf: fix spelling mistake: "revieve" -> "receive"
  (bsc#1109837).
- bpf: follow idr code convention (bsc#1109837).
- bpf: Add bpf_verifier_vlog() and bpf_verifier_log_needed()
  (bsc#1109837).
- bpf: Rename bpf_verifer_log (bsc#1109837).
- bpftool: Adjust to new print_bpf_insn interface (bsc#1109837).
- bpf: Remove struct bpf_verifier_env argument from print_bpf_insn
  (bsc#1109837).
- netdevsim: Change nsim_devlink_setup to return error to caller
  (bsc#1112374).
- test_bpf: Fix NULL vs IS_ERR() check in test_skb_segment()
  (bsc#1109837).
- netdevsim: Add simple FIB resource controller via devlink
  (bsc#1112374).
- mlxsw: spectrum: Add multicast router trap for PIMv6
  (bsc#1112374).
- mlxsw: spectrum_router: Process IP6MR fib notification
  (bsc#1112374).
- mlxsw: spectrum_mr: Add ipv6 specific operations (bsc#1112374).
- mlxsw: spectrum_router: Make IPMR-related APIs family agnostic
  (bsc#1112374).
- mlxsw: spectrum_mr: Convert into using mr_mfc (bsc#1112374).
- mlxsw: spectrum_router: Support IPv6 multicast to host CPU
  (bsc#1112374).
- mlxsw: spectrum_mr: Pass protocol as part of catchall route
  params (bsc#1112374).
- mlxsw: reg: Add register settings for IPv6 multicast routing
  (bsc#1112374).
- mlxsw: reg: Configure RIF to forward IPv6 multicast packets
  (bsc#1112374).
- ip6mr: Add refcounting to mfc (bsc#1112374).
- ip6mr: Add API for default_rule fib (bsc#1112374).
- ipmr: Make MFC fib notifiers common (bsc#1112374).
- ipmr: Make vif fib notifiers common (bsc#1112374).
- commit fe99e7a
* Mon Oct 29 2018 msuchanek@suse.de
- powerpc/pseries: Fix "OF: ERROR: Bad of_node_put() on /cpus" during DLPAR (FATE#326628, bsc#1113295).
- Refresh patches.arch/hotplug-cpu-Conditionally-acquire-release-DRC-index.patch.
- commit cf3caf9
* Mon Oct 29 2018 jslaby@suse.cz
- tty: fix data race between tty_init_dev and flush of buf
  (bnc#1105428).
- commit d1662c6
* Mon Oct 29 2018 tbogendoerfer@suse.de
- net: bpf: add a test for skb_segment in test_bpf module
  (bsc#1109837).
- net/sched: act_vlan: declare push_vid with host byte order
  (bsc#1109837).
- net/sched: remove tcf_idr_cleanup() (bsc#1109837).
- mlxsw: spectrum_span: Prevent duplicate mirrors (bsc#1112374).
- mlxsw: spectrum_span: Fix initialization of struct
  mlxsw_sp_span_parms (bsc#1112374).
- mlxsw: spectrum: Add support for auto-negotiation disable mode
  (bsc#1112374).
- mlxsw: spectrum: Update the supported firmware to version
  13.1620.192 (bsc#1112374).
- devlink: Remove top_hierarchy arg to devlink_resource_register
  (bsc#1112374).
- bpf: sockmap test script (bsc#1109837).
- bpf: sockmap sample test for bpf_msg_pull_data (bsc#1109837).
- bpf: sockmap add SK_DROP tests (bsc#1109837).
- bpf: sockmap sample support for bpf_msg_cork_bytes()
  (bsc#1109837).
- bpf: sockmap, add sample option to test apply_bytes helper
  (bsc#1109837).
- bpf: sockmap sample, add data verification option (bsc#1109837).
- bpf: sockmap sample, add sendfile test (bsc#1109837).
- bpf: sockmap sample, add option to attach SK_MSG program
  (bsc#1109837).
- bpf: add verifier tests for BPF_PROG_TYPE_SK_MSG (bsc#1109837).
- bpf: add map tests for BPF_PROG_TYPE_SK_MSG (bsc#1109837).
- bpf: sk_msg program helper bpf_sk_msg_pull_data (bsc#1109837).
- bpf: sockmap, add msg_cork_bytes() helper (bsc#1109837).
- bpf: sockmap, add bpf_msg_apply_bytes() helper (bsc#1109837).
- bpf: create tcp_bpf_ulp allowing BPF to monitor socket TX/RX
  data (bsc#1109837).
- sockmap: convert refcnt to an atomic refcnt (bsc#1109837).
- tools: bpf: remove feature detection output (bsc#1109837).
- tools: bpf: cleanup PHONY target (bsc#1109837).
- tools: bpftool: fix potential format truncation (bsc#1109837).
- tools: bpftool: fix dependency file path (bsc#1109837).
- bpf: add selftest for stackmap with BPF_F_STACK_BUILD_ID
  (bsc#1109837).
- bpf: extend stackmap to save binary_build_id+offset instead
  of address (bsc#1109837).
- bpf: comment why dots in filenames under BPF virtual FS are
  not allowed (bsc#1109837).
- tools: bpf: silence make by not deleting intermediate file
  (bsc#1109837).
- tools: bpf: respect quiet/verbose build (bsc#1109837).
- tools: bpf: call descend in Makefile (bsc#1109837).
- tools: bpf: make install should build first (bsc#1109837).
- tools: bpf: consistent make bpf_install (bsc#1109837).
- tools: bpf: respect output directory during build (bsc#1109837).
- tools: bpftool: silence 'missing initializer' warnings
  (bsc#1109837).
- samples/bpf: add example to test reading address (bsc#1109837).
- mlxsw: spectrum_acl: Do not invalidate already invalid ACL
  groups (bsc#1112374).
- mlxsw: spectrum_acl: Adapt ACL configuration to new firmware
  versions (bsc#1112374).
- mlxsw: spectrum: Reserved field in mbox profile shouldn't be
  set (bsc#1112374).
- mlxsw: pci: Set mbox dma addresses to zero when not used
  (bsc#1112374).
- mlxsw: spectrum_kvdl: Make some functions static (bsc#1112374).
- mlxsw: spectrum: Don't depend on ip_gre and ip6_gre
  (bsc#1112374).
- mlxsw: spectrum: Move mlxsw_sp_span_gretap4_route()
  (bsc#1112374).
- net sched actions: implement get_fill_size routine in act_gact
  (bsc#1109837).
- net sched actions: calculate add/delete event message size
  (bsc#1109837).
- net sched actions: add new tc_action_ops callback (bsc#1109837).
- net sched actions: update Add/Delete action API with new
  argument (bsc#1109837).
- net/sched: cls_flower: Add support to handle first frag as
  match field (bsc#1109837).
- devlink: Change dpipe/resource get privileges (bsc#1112374).
- net sched actions: corrected extack message (bsc#1109837).
- samples/bpf: add gre sequence number test (bsc#1109837).
- tools: bpftool: add support for quotations in batch files
  (bsc#1109837).
- tools: bpftool: read from stdin when batch file name is "-"
  (bsc#1109837).
- tools: bpftool: support continuation lines in batch files
  (bsc#1109837).
- tools: bpftool: support comments in batch files (bsc#1109837).
- tools: bpftool: add bash completion for CFG dump (bsc#1109837).
- tools: bpftool: new command-line option and documentation for
  'visual' (bsc#1109837).
- tools: bpftool: generate .dot graph from CFG information
  (bsc#1109837).
- tools: bpftool: add out edges for each basic-block
  (bsc#1109837).
- tools: bpftool: partition basic-block for each function in
  the CFG (bsc#1109837).
- tools: bpftool: detect sub-programs from the eBPF sequence
  (bsc#1109837).
- tools: bpftool: factor out xlated dump related code into
  separate file (bsc#1109837).
- tools: bpftool: remove unnecessary 'if' to reduce indentation
  (bsc#1109837).
- samples/bpf: detach prog from cgroup (bsc#1109837).
- bpf: add tail call tests to test_verifier (bsc#1109837).
- bpf: unify rlimit handling in selftests (bsc#1109837).
- ip6mr: Remove MFC_NOTIFY and refactor flags (bsc#1112374).
- ipmr, ip6mr: Make mfc_cache a common structure (bsc#1112374).
- mroute*: Make mr_table a common struct (bsc#1112374).
- ip6mr: Align hash implementation to ipmr (bsc#1112374).
- ip6mr: Make mroute_sk rcu-based (bsc#1112374).
- ipmr,ipmr6: Define a uniform vif_device (bsc#1112374).
- mlxsw: spectrum: qdiscs: prio: Handle graft command
  (bsc#1112374).
- net: sch: prio: Add offload ability for grafting a child
  (bsc#1109837).
- mlxsw: spectrum: qdiscs: prio: Delete child qdiscs when removing
  bands (bsc#1112374).
- mlxsw: spectrum: Update sch_prio stats to include sch_red
  related drops (bsc#1112374).
- net: sch: Don't warn on missmatching qlen and backlog for
  offloaded qdiscs (bsc#1109837).
- mlxsw: spectrum: qdiscs: Update backlog handling of a child
  qdiscs (bsc#1112374).
- mlxsw: spectrum: qdiscs: Collect stats for sch_red based on
  priomap (bsc#1112374).
- mlxsw: spectrum: qdiscs: Add priority map per qdisc
  (bsc#1112374).
- mlxsw: spectrum: Add priority counters (bsc#1112374).
- mlxsw: spectrum: qdiscs: Support qdisc per tclass (bsc#1112374).
- mlxsw: spectrum_span: Support mirror to ip6gretap (bsc#1112374).
- mlxsw: spectrum_span: Support mirror to gretap (bsc#1112374).
- mlxsw: Move a mirroring check to mlxsw_sp_span_entry_create
  (bsc#1112374).
- mlxsw: Handle config changes pertinent to SPAN (bsc#1112374).
- mlxsw: spectrum_span: Generalize SPAN support (bsc#1112374).
- mlxsw: spectrum: Keep mirror netdev in mlxsw_sp_span_entry
  (bsc#1112374).
- mlxsw: spectrum_span: Extract mlxsw_sp_span_entry_{de,
  }configure() (bsc#1112374).
- mlxsw: spectrum_span: Initialize span_entry.id eagerly
  (bsc#1112374).
- mlxsw: span: Remove span_entry by span_id (bsc#1112374).
- mlxsw: reg: Extend mlxsw_reg_mpat_pack() (bsc#1112374).
- mlxsw: reg: Add SPAN encapsulation to MPAT register
  (bsc#1112374).
- ip_tunnel: Rename & publish init_tunnel_flow (bsc#1112374).
- net: GRE: Add is_gretap_dev, is_ip6gretap_dev (bsc#1112374).
- mlxsw: spectrum_ipip: Support decoding IPv6 tunnel addresses
  (bsc#1112374).
- mlxsw: spectrum_ipip: Extract mlxsw_sp_l3addr_is_zero
  (bsc#1112374).
- mlxsw: spectrum_kvdl: avoid uninitialized variable warning
  (bsc#1112374).
- mlxsw: spectrum_kvdl: use div_u64() for 64-bit division
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Allow port enslavement to a
  VLAN-unaware bridge (bsc#1112374).
- samples/bpf: Add program for CPU state statistics (bsc#1109837).
- bpf: add various jit test cases (bsc#1109837).
- bpf: Remove unused callee_saved array (bsc#1109837).
- selftests/bpf: Only run tests if !bpf_disabled (bsc#1109837).
- selftests/bpf: Count tests skipped by unpriv (bsc#1109837).
- selftests/bpf: Print unexpected output on fail (bsc#1109837).
- tools/bpf: adjust rlimit RLIMIT_MEMLOCK for test_tcpbpf_user
  (bsc#1109837).
- selftests/bpf: fix Makefile for cgroup_helpers.c (bsc#1109837).
- bpf: samples/sockmap detach sock ops program (bsc#1109837).
- bpf: samples/sockmap fix Makefile for build error (bsc#1109837).
- samples/bpf: adjust rlimit RLIMIT_MEMLOCK for xdp_redirect
  (bsc#1109837).
- net: sched: add em_ipt ematch for calling xtables matches
  (bsc#1109837).
- mlxsw: spectrum_kvdl: Add support for per part occupancy
  (bsc#1112374).
- mlxsw: spectrum_kvdl: Add support for dynamic partition set
  (bsc#1112374).
- mlxsw: spectrum_kvdl: Add support for linear division resources
  (bsc#1112374).
- devlink: Perform cleanup of resource_set cb (bsc#1112374).
- devlink: Move size validation to core (bsc#1112374).
- net: sched: act: mirred: add extack support (bsc#1109837).
- net: sched: act: handle extack in tcf_generic_walker
  (bsc#1109837).
- net: sched: act: add extack for walk callback (bsc#1109837).
- net: sched: act: add extack for lookup callback (bsc#1109837).
- net: sched: act: add extack to init callback (bsc#1109837).
- net: sched: act: handle generic action errors (bsc#1109837).
- net: sched: act: add extack to init (bsc#1109837).
- net: sched: act: fix code style (bsc#1109837).
- net: sched: fix unbalance in the error path of
  tca_action_flush() (bsc#1109837).
- mlxsw: spectrum: Use NL_SET_ERR_MSG_MOD (bsc#1112374).
- mlxsw: spectrum: Move SPAN code to separate module
  (bsc#1112374).
- mlxsw: spectrum: Drop struct span_entry.used (bsc#1112374).
- mlxsw: spectrum: Fix a coding style nit (bsc#1112374).
- mlxsw: spectrum: Distinguish between IPv4/6 tunnels
  (bsc#1112374).
- mlxsw: spectrum_ipip: Add a forgotten include (bsc#1112374).
- tools/libbpf: Avoid possibly using uninitialized variable
  (bsc#1109837).
- platform/x86: mlx-platform: Add support for new 200G IB and
  Ethernet systems (bsc#1112374).
- platform/x86: mlx-platform: Add support for new msn201x system
  type (bsc#1112374).
- platform/x86: mlx-platform: Add support for new msn274x system
  type (bsc#1112374).
- platform/x86: mlx-platform: Fix power cable setting for msn21xx
  family (bsc#1112374).
- platform/x86: mlx-platform: Add define for the negative bus
  (bsc#1112374).
- platform/x86: mlx-platform: Use defines for bus assignment
  (bsc#1112374).
- tools/libbpf: improve the pr_debug statements to contain
  section numbers (bsc#1109837).
- libbpf: complete list of strings for guessing program type
  (bsc#1109837).
- libbpf: add missing SPDX-License-Identifier (bsc#1109837).
- tools: add netlink.h and if_link.h in tools uapi (bsc#1109837).
- platform/x86: mlx-platform: Add hotplug device unregister to
  error path (bsc#1112374).
- platform/x86: mlx-platform: Add IO access verification callbacks
  (bsc#1112374).
- platform/x86: mlx-platform: Document pdev_hotplug field
  (bsc#1112374).
- platform/x86: mlx-platform: Allow compilation for 32 bit arch
  (bsc#1112374).
- bpf: sockmap set rlimit (bsc#1109837).
- bpf: sockmap put client sockets in blocking mode (bsc#1109837).
- bpf: sockmap sample add base test without any BPF for comparison
  (bsc#1109837).
- bpf: sockmap sample, report bytes/sec (bsc#1109837).
- bpf: sockmap sample, use fork() for send and recv (bsc#1109837).
- bpf: add sendmsg option for testing BPF programs (bsc#1109837).
- bpf: refactor sockmap sample program update for arg parsing
  (bsc#1109837).
- libbpf: cleanup Makefile, remove unused elements (bsc#1109837).
- libbpf: install the header file libbpf.h (bsc#1109837).
- libbpf: fix string comparison for guessing eBPF program type
  (bsc#1109837).
- libbpf: Fix build errors (bsc#1109837).
- libbpf: fix Makefile exit code if libelf not found
  (bsc#1109837).
- ipv4: ipmr: Don't forward packets already forwarded by hardware
  (bsc#1112374).
- commit 2c1ec3b
* Mon Oct 29 2018 tzimmermann@suse.de
- drm/i915/gen9+: Fix initial readout for Y tiled framebuffers (bsc#1113722)
- commit 0e8f289
* Mon Oct 29 2018 msuchanek@suse.de
- powerpc: pseries: remove dlpar_attach_node dependency on full
  path (FATE#326628, bsc#1113295).
- Refresh patches.arch/powerpc-pseries-Fix-parent_dn-reference-leak-in-add_.patch.
- commit 01fc86e
* Mon Oct 29 2018 jslaby@suse.cz
- tty/ldsem: Decrement wait_readers on timeouted down_read()
  (bnc#1105428).
- commit cb04f9d
* Mon Oct 29 2018 jslaby@suse.cz
- tty/ldsem: Add lockdep asserts for ldisc_sem (bnc#1105428).
- commit ac6d068
* Mon Oct 29 2018 jslaby@suse.cz
- tty/ldsem: Convert to regular lockdep annotations (bnc#1105428).
- commit 7d9663d
* Mon Oct 29 2018 jslaby@suse.cz
- tty: Simplify tty->count math in tty_reopen() (bnc#1105428).
- commit 26f737e
* Mon Oct 29 2018 jslaby@suse.cz
- tty: Hold tty_ldisc_lock() during tty_reopen() (bnc#1105428).
- commit cdebccb
* Mon Oct 29 2018 jslaby@suse.cz
- tty/ldsem: Wake up readers after timed out down_write()
  (bnc#1105428).
- commit b5397b5
* Mon Oct 29 2018 tzimmermann@suse.de
- drm/amdgpu/powerplay: fix missing break in switch statements (bsc#1113722)
- commit d8335be
* Mon Oct 29 2018 tzimmermann@suse.de
- drm/hisilicon: hibmc: Don't overwrite fb helper surface depth (bsc#1113722)
- commit 724e354
* Mon Oct 29 2018 tiwai@suse.de
- cdrom: fix improper type cast, which can leat to information
  leak (CVE-2018-18710,bsc#1113751).
- commit 1ead5be
* Mon Oct 29 2018 mbrugger@suse.com
- asm-generic: io: Fix ioport_map() for !CONFIG_GENERIC_IOMAP &&
  CONFIG_INDIRECT_PIO (fate#32578).
- commit e7ee654
* Mon Oct 29 2018 jack@suse.cz
- blacklist.conf: Blacklist 078d5039a13d
- commit ad5c0a6
* Mon Oct 29 2018 jack@suse.cz
- blacklist.conf: Blacklist 573e1784817c
- commit eda7ca6
* Mon Oct 29 2018 tzimmermann@suse.de
- drm/hisilicon: hibmc: Do not carry error code in HiBMC framebuffer (bsc#1113722)
- commit bd3852b
* Mon Oct 29 2018 tzimmermann@suse.de
- drm/i915/audio: Hook up component bindings even if displays are (bsc#1113722)
- commit 717c07b
* Mon Oct 29 2018 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Restore user forcewake domains across suspend'
- commit 9ac3dbb
* Mon Oct 29 2018 tzimmermann@suse.de
- drm/virtio: fix bounds check in virtio_gpu_cmd_get_capset() (bsc#1113722)
- commit 0a4cfd8
* Mon Oct 29 2018 mbrugger@suse.com
- HISI LPC: Add Kconfig MFD_CORE dependency (fate#325788).
- Update config files.
- HISI LPC: Add ACPI support (fate#325788).
- ACPI / scan: Do not enumerate Indirect IO host children
  (fate#325788).
- ACPI / scan: Rename acpi_is_serial_bus_slave() for more general
  use (fate#325788).
- HISI LPC: Support the LPC host on Hip06/Hip07 with DT bindings
  (fate#325788).
- of: Add missing I/O range exception for indirect-IO devices
  (fate#325788).
- PCI: Apply the new generic I/O management on PCI IO hosts
  (fate#325788).
- PCI: Add fwnode handler as input param of
  pci_register_io_range() (fate#325788).
- PCI: Remove __weak tag from pci_register_io_range()
  (fate#325788).
- lib: Add generic PIO mapping method (fate#325788).
- ACPI / scan: Fix enumeration for special UART devices
  (fate#325788).
- serdev: Add ACPI support (fate#325788).
- commit 2802ef2
* Mon Oct 29 2018 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm: crc: Wait for a frame before returning from open()"'
- commit d49a532
* Mon Oct 29 2018 tbogendoerfer@suse.de
- libbpf: add ability to guess program type based on section name
  (bsc#1109837).
- Refresh patches.drivers/libbpf-add-support-for-bpf_call.patch.
- commit bfd6fbb
* Mon Oct 29 2018 tzimmermann@suse.de
- drm/sti: do not remove the drm_bridge that was never added (bsc#1100132)
- commit 473bdf0
* Mon Oct 29 2018 tbogendoerfer@suse.de
- libbpf: parse maps sections of varying size (bsc#1109837).
- Refresh
  patches.fixes/tools-libbpf-handle-issues-with-bpf-ELF-objects-cont.patch.
- commit f055950
* Mon Oct 29 2018 tbogendoerfer@suse.de
- libbpf: prefer global symbols as bpf program name source
  (bsc#1109837).
- libbpf: use map_flags when creating maps (bsc#1109837).
- bpf: install libbpf headers on 'make install' (bsc#1109837).
- tools lib bpf: improve warning (bsc#1109837).
- bpf, s390: fix build for libbpf and selftest suite
  (bsc#1109837).
- commit 27eee96
* Mon Oct 29 2018 tzimmermann@suse.de
- of: add helper to lookup compatible child node (bsc#1106110)
- commit 289c86e
* Mon Oct 29 2018 msuchanek@suse.de
- powerpc/mm/hugetlb: initialize the pagetable cache correctly
  for hugetlb (bsc#1091800).
- commit 3c8d710
* Mon Oct 29 2018 tzimmermann@suse.de
- drm/msm: fix OF child-node lookup (bsc#1106110)
- commit b8a96ce
* Mon Oct 29 2018 tzimmermann@suse.de
- drm/mediatek: fix OF sibling-node lookup (bsc#1106110)
- commit abf06ce
* Mon Oct 29 2018 wqu@suse.com
- btrfs: Ensure btrfs_trim_fs can trim the whole filesystem
  (bsc#1113667).
- commit ea270ee
* Mon Oct 29 2018 wqu@suse.com
- btrfs: Enhance btrfs_trim_fs function to handle error  better
  (Dependency for bsc#1113667).
- commit e04f37d
* Fri Oct 26 2018 lduncan@suse.com
- scsi: be2iscsi: Update copyright (bsc#1104738,FATE#325914).
- scsi: be2iscsi: Include null char in SET_HOST_DATA
  (bsc#1104738,FATE#325914).
- scsi: be2iscsi: Use kasprintf (bsc#1104738,FATE#325914).
- commit d26f13b
* Fri Oct 26 2018 tiwai@suse.de
- Refresh & sort upstreamed scsi patches that landed in 4.20-rc1
- commit 1c95aa5
* Fri Oct 26 2018 tbogendoerfer@suse.de
- Update config files.
- commit 9b53c42
* Fri Oct 26 2018 tbogendoerfer@suse.de
- module: propagate error in modules_open() (bsc#1109837).
- trace/bpf: remove helper bpf_perf_prog_read_value from
  tracepoint type programs (bsc#1109837).
- bpf: Sync kernel ABI header with tooling header for bpf_common.h
  (bsc#1109837).
- libbpf: add support for bpf_call (bsc#1109837).
- commit 03a326d
* Fri Oct 26 2018 tbogendoerfer@suse.de
- bpf: add selftest for tcpbpf (bsc#1109837).
- commit 45a82e4
* Fri Oct 26 2018 tbogendoerfer@suse.de
- bpf: Sync kernel ABI header with tooling header (bsc#1109837).
- commit 6d63385
* Fri Oct 26 2018 tbogendoerfer@suse.de
- tools/headers: Synchronize kernel ABI headers (bsc#1109837).
- Refresh
  patches.drivers/selftests-bpf-fix-broken-build-of-test_maps.patch.
- commit 5965899
* Fri Oct 26 2018 tiwai@suse.de
- blacklist.conf: Add entries that were reverted in stable tree
- commit 7da9695
* Fri Oct 26 2018 tbogendoerfer@suse.de
- tools include: Sync kernel ABI headers with tooling headers
  (bsc#1109837).
- Refresh
  patches.drivers/bpf-update-bpf.h-uapi-header-for-tools.patch.
- commit 35d7593
* Fri Oct 26 2018 tiwai@suse.de
- Documentation/l1tf: Fix small spelling typo (bsc#1051510).
- Refresh
  patches.arch/kvm-vmx-tell-the-nested-hypervisor-to-skip-l1d-flush-on-vmentry.
- blacklist.conf: Remove the documentation fix commit we're adding here
- commit 324f5d6
* Fri Oct 26 2018 tbogendoerfer@suse.de
- tools: bpftool: don't use hex numbers in JSON output
  (bsc#1109837).
- tools: bpftool: fix compilation with older headers
  (bsc#1109837).
- test_bpf: add a schedule point (bsc#1109837).
- selftests/bpf: update gitignore with test_libbpf_open
  (bsc#1109837).
- selftests/bpf: tcpbpf_kern: use in6_* macros from glibc
  (bsc#1109837).
- tools: bpftool: preserve JSON output on errors on batch file
  parsing (bsc#1109837).
- tools: bpftool: preserve JSON for batch mode when dumping
  insns to file (bsc#1109837).
- selftests/bpf: add selftest that use test_libbpf_open
  (bsc#1109837).
- selftests/bpf: add test program for loading BPF ELF files
  (bsc#1109837).
- tools: bpftool: add bash completion for cgroup commands
  (bsc#1109837).
- tools: bpftool: add bash completion for `bpftool prog load`
  (bsc#1109837).
- tools: bpftool: make syntax for program map update explicit
  in man page (bsc#1109837).
- tools: bpftool: exit doc Makefile early if rst2man is not
  available (bsc#1109837).
- selftests: bpf: test_kmod.sh: check the module path before
  insmod (bsc#1109837).
- tools/bpf: fix batch-mode test failure of test_xdp_redirect.sh
  (bsc#1109837).
- tools/bpf: permit selftests/bpf to be built in a different
  directory (bsc#1109837).
- netdevsim: fix overflow on the error path (bsc#1109837).
- tools/bpf: add a multithreaded stress test in bpf selftests
  test_lpm_map (bsc#1109837).
- bpf: add further test cases around div/mod and others
  (bsc#1109837).
- bpf: clean up from test_tcpbpf_kern.c (bsc#1109837).
- selftests/bpf: fix test_dev_cgroup (bsc#1109837).
- selftests/bpf: speedup test_maps (bsc#1109837).
- tools/bpf: fix a test failure in selftests prog test_verifier
  (bsc#1109837).
- selftests/bpf: check for chain-non-0 extack message
  (bsc#1109837).
- selftests/bpf: check for spurious extacks from the driver
  (bsc#1109837).
- netdevsim: use tc_cls_can_offload_and_chain0() (bsc#1109837).
- selftests/bpf: validate replace of TC filters is working
  (bsc#1109837).
- netdevsim: don't compile BPF code if syscall not enabled
  (bsc#1109837).
- netdevsim: add extack support for TC eBPF offload (bsc#1109837).
- tools include uapi bpf.h: Sync kernel ABI header with tooling
  header (bsc#1109837).
- commit c9b84f4
* Fri Oct 26 2018 tbogendoerfer@suse.de
- netdevsim: bpf: support fake map offload (bsc#1109837).
- commit 1ec80f0
* Fri Oct 26 2018 tbogendoerfer@suse.de
- Refresh
  patches.drivers/bpf-offload-allow-netdev-to-disappear-while-verifier.patch.
- commit dcf8dfe
* Fri Oct 26 2018 tbogendoerfer@suse.de
- selftests/bpf: add tests for stack_zero tracking (bsc#1109837).
- Refresh
  patches.drivers/bpf-fix-stacksafe-exploration-when-comparing-states.patch.
- commit 2f19286
* Fri Oct 26 2018 tbogendoerfer@suse.de
- selftests/bpf: add verifier tests for bpf_call (bsc#1109837).
- Refresh
  patches.drivers/bpf-fix-stacksafe-exploration-when-comparing-states.patch.
- commit 4826938
* Fri Oct 26 2018 tbogendoerfer@suse.de
- selftests/bpf: adjust test_align expected output (bsc#1109837).
- Refresh
  patches.fixes/selftests-bpf-make-dubious-pointer-arithmetic-test-u.patch.
- commit 6d755a3
* Fri Oct 26 2018 tbogendoerfer@suse.de
- selftests/bpf: check bpf verifier log buffer usage works for
  HW offload (bsc#1109837).
- selftests/bpf: add checks on extack messages for eBPF hw
  offload tests (bsc#1109837).
- bpf: add couple of test cases for div/mod by zero (bsc#1109837).
- bpf: add couple of test cases for signed extended imms
  (bsc#1109837).
- tools/bpf: add a testcase for MAP_GET_NEXT_KEY command of
  LPM_TRIE map (bsc#1109837).
- selftests: bpf: update .gitignore with missing generated files
  (bsc#1109837).
- bpftool: recognize BPF_MAP_TYPE_CPUMAP maps (bsc#1109837).
- selftest/bpf: extend the offload test with map checks
  (bsc#1109837).
- tools: bpftool: report device information for offloaded maps
  (bsc#1109837).
- selftests/bpf: make test_verifier run most programs
  (bsc#1109837).
- tools/bpf_jit_disasm: silence a static checker warning
  (bsc#1109837).
- tools: bpftool: improve architecture detection by using ifindex
  (bsc#1109837).
- tools: bpftool: add -DPACKAGE when including bfd.h
  (bsc#1109837).
- bpftool: recognize BPF_PROG_TYPE_CGROUP_DEVICE programs
  (bsc#1109837).
- tools/bpf: add a bpf selftest for stacktrace (bsc#1109837).
- tools: bpftool: remove new lines from errors (bsc#1109837).
- tools: bpftool: alias show and list commands (bsc#1109837).
- tools: bpftool: rename cgroup list -> show in the code
  (bsc#1109837).
- selftests/bpf: test device info reporting for bound progs
  (bsc#1109837).
- tools: bpftool: report device information for offloaded programs
  (bsc#1109837).
- tools/bpftool: fix bpftool build with bintutils >= 2.9
  (bsc#1109837).
- tools/bpftool: use version from the kernel source tree
  (bsc#1109837).
- selftests/bpf: additional stack depth tests (bsc#1109837).
- bpf: selftest for late caller stack size increase (bsc#1109837).
- tools/bpf: adjust rlimit RLIMIT_MEMLOCK for test_dev_cgroup
  (bsc#1109837).
- selftests/bpf: add netdevsim to config (bsc#1109837).
- netdevsim: correctly check return value of debugfs_create_dir
  (bsc#1109837).
- netdevsim: bpf: remove unused variable (bsc#1109837).
- netdevsim: declare struct device_type as static (bsc#1109837).
- selftests/bpf: additional bpf_call tests (bsc#1109837).
- selftests/bpf: add xdp noinline test (bsc#1109837).
- selftests/bpf: add bpf_call test (bsc#1109837).
- samples/bpf: add a test for bpf_override_return (bsc#1109837).
- bpf/tracing: add a bpf test for new ioctl query interface
  (bsc#1109837).
- selftests: bpf: Adding config fragment CONFIG_CGROUP_BPF=y
  (bsc#1109837).
- netdevsim: make functions nsim_bpf_create_prog and
  nsim_bpf_destroy_prog static (bsc#1109837).
- netdevsim: add SR-IOV functionality (bsc#1109837).
- selftests/bpf: add offload test based on netdevsim
  (bsc#1109837).
- netdevsim: add bpf offload support (bsc#1109837).
- netdevsim: add software driver for testing offloads
  (bsc#1109837).
- selftests/bpf: fix Makefile for passing LLC to the command line
  (bsc#1109837).
- bpf: Fix tools and testing build (bsc#1109837).
- bpf: add test case for ld_abs and helper changing pkt data
  (bsc#1109837).
- bpf: fix broken BPF selftest build (bsc#1109837).
- selftests/bpf: sync kernel headers and introduce arch support
  in Makefile (bsc#1109837).
- tools/bpf: adjust rlimit RLIMIT_MEMLOCK for test_verifier_log
  (bsc#1109837).
- selftests/bpf: add a test for device cgroup controller
  (bsc#1109837).
- bpf: add test cases to bpf selftests to cover all meta tests
  (bsc#1109837).
- test_bpf: Add test to make conditional jump cross a large
  number of insns (bsc#1109837).
- commit 9d9e570
* Fri Oct 26 2018 tiwai@suse.de
- hwrng: core - document the quality field (bsc#1051510).
- crypto: lrw - Fix out-of bounds access on counter overflow
  (bsc#1051510).
- crypto: tcrypt - fix ghash-generic speed test (bsc#1051510).
- crypto: caam - fix implicit casts in endianness helpers
  (bsc#1051510).
- PCI/ASPM: Fix link_state teardown on device removal
  (bsc#1051510).
- mfd: arizona: Correct calling of runtime_put_sync (bsc#1051510).
- commit 3a46ec1
* Fri Oct 26 2018 tiwai@suse.de
- ASoC: intel: skylake: Add missing break in skl_tplg_get_token()
  (bsc#1051510).
- ALSA: hda: Add 2 more models to the power_save blacklist
  (bsc#1051510).
- ALSA: hda - Add mic quirk for the Lenovo G50-30 (17aa:3905)
  (bsc#1051510).
- ALSA: hda/realtek - Fix the problem of the front MIC on the
  Lenovo M715 (bsc#1051510).
- ALSA: hda - Fix headphone pin config for ASUS G751
  (bsc#1051510).
- ALSA: hda - Add quirk for ASUS G751 laptop (bsc#1051510).
- ALSA: usb-audio: update quirk for B&W PX to remove microphone
  (bsc#1051510).
- ALSA: hda: fix unused variable warning (bsc#1051510).
- commit e738dd9
* Fri Oct 26 2018 tbogendoerfer@suse.de
- Refresh patches.drivers/bpf-minor-cleanups-after-merge.patch.
- Refresh
  patches.fixes/selftests-bpf-add-tests-for-recent-bugfixes.patch.
- commit 5131d54
* Thu Oct 25 2018 lduncan@suse.com
- scsi: bnx2i: add error handling for ioremap_nocache
  (bsc#1104422,FATE#325901).
- scsi: bnx2i: Use zeroing allocator rather than allocator/memset
  (bsc#1104422,FATE#325901).
- scsi: bnx2i: bnx2i_hwi: use swap macro in
  bnx2i_send_iscsi_nopout (bsc#1104422,FATE#325901).
- commit e675d47
* Thu Oct 25 2018 lduncan@suse.com
- scsi: qedi: Fix a potential buffer overflow
  (bsc#1104394,FATE#325892).
- commit 325f85c
* Thu Oct 25 2018 msuchanek@suse.de
- powerpc/mm: Rename find_linux_pte_or_hugepte() (bsc#1061840).
- KABI: powerpc: export __find_linux_pte as __find_linux_pte_or_hugepte (bsc#1061840).
- Refresh patches.arch/KVM-PPC-Book3S-Fix-guest-DMA-when-guest-partially-ba.patch.
- Refresh patches.arch/KVM-PPC-Book3S-HV-Fix-handling-of-large-pages-in-rad.patch.
- Refresh patches.arch/KVM-PPC-Check-if-IOMMU-page-is-contained-in-the-pinn.patch.
- Refresh patches.arch/powerpc-introduce-get_mm_addr_key-helper.patch
- commit 65dca83
* Thu Oct 25 2018 lduncan@suse.com
- scsi: target: iscsi: cxgbit: use pr_debug() instead of pr_info()
  (bsc#1104275,FATE#325934).
- scsi: target: iscsi: cxgbit: fix max iso npdu calculation
  (bsc#1104275,FATE#325934).
- commit d38e20b
* Thu Oct 25 2018 mwilck@suse.com
- rpm/kernel-binary.spec.in: allow unsupported modules for -extra
  (bsc#1111183). SLE-15 and later only.
- commit 0d585a8
* Thu Oct 25 2018 msuchanek@suse.de
- kabi/severities: ignore __xive_vm_h_* KVM internal symbols.
- commit 48671d6
* Thu Oct 25 2018 msuchanek@suse.de
- Update patches.arch/KVM-PPC-Book3S-HV-Snapshot-timebase-offset-on-guest-.patch (bsc#1061840, bsc#1086196).
- Delete patches.arch/KVM-PPC-Book3S-HV-Disable-tb_offset.patch.
- commit 1e43c4c
* Thu Oct 25 2018 tiwai@suse.de
- Move x86 patches that have been upstreamed into the sorted section
  Refreshed some patches to be applied cleanly, too.
  The expanded result is 100%% identical with the state before this change.
- commit d2d8b17
* Thu Oct 25 2018 tbogendoerfer@suse.de
- selftests/bpf: fix broken build of test_maps (bsc#1109837).
- Refresh
  patches.drivers/bpf-offload-report-device-information-for-offloaded-.patch.
- commit 833d638
* Thu Oct 25 2018 tbogendoerfer@suse.de
- bpf: improve selftests and add tests for meta pointer
  (bsc#1109837).
- Refresh
  patches.drivers/bpf-enforce-return-code-for-cgroup-bpf-programs.patch.
- commit 85e9ee5
* Thu Oct 25 2018 tbogendoerfer@suse.de
- bpf: add test cases to bpf selftests to cover all access tests
  (bsc#1109837).
- Refresh
  patches.drivers/bpf-enforce-return-code-for-cgroup-bpf-programs.patch.
- commit 303d367
* Thu Oct 25 2018 tbogendoerfer@suse.de
- selftests/bpf: add a test for a pruning bug in the verifier
  (bsc#1109837).
- Refresh
  patches.drivers/bpf-verifier-reject-BPF_ALU64-BPF_END.patch.
- Refresh
  patches.fixes/selftests-bpf-add-tests-for-recent-bugfixes.patch.
- commit e497278
* Thu Oct 25 2018 tbogendoerfer@suse.de
- selftests/bpf: variable offset negative tests (bsc#1109837).
- Refresh
  patches.drivers/bpf-verifier-reject-BPF_ALU64-BPF_END.patch.
- Refresh
  patches.fixes/selftests-bpf-add-tests-for-recent-bugfixes.patch.
- commit 734bb51
* Thu Oct 25 2018 tbogendoerfer@suse.de
- selftests/bpf: add tests for subtraction & negative numbers
  (bsc#1109837).
- Refresh patches.fixes/selftests-bpf-fix-test_align.patch.
- Refresh
  patches.fixes/selftests-bpf-make-dubious-pointer-arithmetic-test-u.patch.
- commit 077a505
* Thu Oct 25 2018 tbogendoerfer@suse.de
- bpf: Add tests for eBPF file mode (bsc#1109837).
- selftests/bpf: add a test for verifier logs (bsc#1109837).
- bpf: Test new fields in bpf_attr and bpf_{prog, map}_info
  (bsc#1109837).
- bpf: Swap the order of checking prog_info and map_info
  (bsc#1109837).
- bpf: Test deletion in BPF_MAP_TYPE_LPM_TRIE (bsc#1109837).
- bpf: Add uniqueness invariant to trivial lpm test implementation
  (bsc#1109837).
- selftests/bpf: Make bpf_util work on uniprocessor systems
  (bsc#1109837).
- selftests/bpf: check the instruction dumps are populated
  (bsc#1109837).
- selftests/bpf: add a test for a bug in liveness-based pruning
  (bsc#1109837).
- bpf: selftests: add tests for new __sk_buff members
  (bsc#1109837).
- selftests: bpf: add check for ip XDP redirect (bsc#1109837).
- bpf: add test cases for new BPF_J{LT, LE, SLT, SLE} instructions
  (bsc#1109837).
- bpf: fix selftest/bpf/test_pkt_md_access on s390x (bsc#1109837).
- bpf: add various test cases for verifier selftest (bsc#1109837).
- commit e773908
* Thu Oct 25 2018 tiwai@suse.de
- Update patch tag: patches.arch/x86-pti-xenpv-dont-report-as-vulnerable.patch
- commit f902aac
* Thu Oct 25 2018 tbogendoerfer@suse.de
- virtio-net: re enable XDP_REDIRECT for mergeable buffer
  (bsc#1109837).
- Refresh
  patches.suse/virtio-net-fix-leaking-page-for-gso-packet-during-me.patch.
- commit 4253e62
* Thu Oct 25 2018 tbogendoerfer@suse.de
- virtio_net: fix memory leak in XDP_REDIRECT (bsc#1109837).
- Refresh
  patches.suse/virtio-net-correctly-transmit-XDP-buff-after-lineari.patch.
- commit a7966be
* Thu Oct 25 2018 tbogendoerfer@suse.de
- virtio_net: disable XDP_REDIRECT in receive_mergeable() case
  (bsc#1109837).
- Refresh
  patches.suse/virtio-net-correctly-transmit-XDP-buff-after-lineari.patch.
- commit 6ea109b
* Thu Oct 25 2018 tbogendoerfer@suse.de
- virtio_net: setup xdp_rxq_info (bsc#1109837).
- Refresh patches.suse/virtio_net-split-out-ctrl-buffer.patch.
- commit e66a2ee
* Thu Oct 25 2018 tbogendoerfer@suse.de
- vhost_net: examine pointer types during un-producing
  (bsc#1109837).
- vhost_net: keep private_data and rx_ring synced (bsc#1109837).
- vhost_net: initialize rx_ring in vhost_net_open() (bsc#1109837).
- virtio-net: disable NAPI only when enabled during XDP set
  (bsc#1109837).
- tuntap: correctly add the missing XDP flush (bsc#1109837).
- tuntap: disable preemption during XDP processing (bsc#1109837).
- macvlan: fix use-after-free in macvlan_common_newlink()
  (bsc#1109837).
- virtio_net: fix ndo_xdp_xmit crash towards dev not ready for
  XDP (bsc#1109837).
- tun: fix tun_napi_alloc_frags() frag allocator (bsc#1109837).
- virtio_net: Add ethtool stats (bsc#1109837).
- virtio_net: propagate linkspeed/duplex settings from the
  hypervisor (bsc#1109837).
- macvlan: Fix one possible double free (bsc#1109837).
- commit 6a372f7
* Thu Oct 25 2018 ailiopoulos@suse.com
- xfs: don't fail when converting shortform attr to long form
  during ATTR_REPLACE (bsc#1105025).
- commit 23725d0
* Thu Oct 25 2018 tiwai@suse.de
- iwlwifi: pcie gen2: check iwl_pcie_gen2_set_tb() return value
  (bsc#1051510).
- iwlwifi: pcie: gen2: build A-MSDU only for GSO (bsc#1051510).
- commit ae71040
* Thu Oct 25 2018 tiwai@suse.de
- Update & sort upstreamed nvme patches
- commit 9487773
* Thu Oct 25 2018 tbogendoerfer@suse.de
- tun/tap: use ptr_ring instead of skb_array (bsc#1109837).
- Refresh patches.fixes/tap-fix-use-after-free.patch.
- commit 010d5d2
* Thu Oct 25 2018 rgoldwyn@suse.com
- Refresh patches.apparmor/0003-apparmor-fix-use-after-free-in-sk_peer_label.patch.
  Fixed a compile warning:
  ../security/apparmor/lsm.c: In function 'sk_peer_label':
  ../security/apparmor/lsm.c:1019:19: warning: unused variable
  'label' [-Wunused-variable]
- commit f8573cc
* Thu Oct 25 2018 mkubecek@suse.cz
- xfrm: use complete IPv6 addresses for hash (bsc#1109330).
- commit edb4e4e
* Thu Oct 25 2018 tbogendoerfer@suse.de
- bpf: fix null pointer deref in bpf_prog_test_run_xdp
  (bsc#1109837).
- platform/x86: mlx-platform: Fix an ERR_PTR vs NULL issue
  (bsc#1112374).
- ipv6: addrconf: break critical section in addrconf_verify_rtnl()
  (bsc#1112374).
- net: core: Fix kernel-doc for netdev_upper_link() (bsc#1109837).
- tun: avoid calling xdp_rxq_info_unreg() twice (bsc#1109837).
- tun: add missing rcu annotation (bsc#1109837).
- tun: allow to attach ebpf socket filter (bsc#1109837).
- tuntap: rename struct tun_steering_prog to struct tun_prog
  (bsc#1109837).
- net: use the right variant of kfree (bsc#1109837).
- net: fix xdp_rxq_info build issue when CONFIG_SYSFS is not set
  (bsc#1109837).
- vhost_net: batch used ring update in rx (bsc#1109837).
- tuntap: XDP transmission (bsc#1109837).
- tun: setup xdp_rxq_info (bsc#1109837).
- tuntap: fix possible deadlock when fail to register netdev
  (bsc#1109837).
- tun: avoid unnecessary READ_ONCE in tun_net_xmit (bsc#1109837).
- tun: add eBPF based queue selection method (bsc#1109837).
- vhost: fix skb leak in handle_rx() (bsc#1109837).
- vhost: fix end of range for access_ok (bsc#1109837).
- vhost_net: conditionally enable tx polling (bsc#1109837).
- vhost_net: do not stall on zerocopy depletion (bsc#1109837).
- /proc/module: fix building without kallsyms (bsc#1109837).
- kallsyms: fix building without printk (bsc#1109837).
- vhost_net: try batch dequing from skb array (bsc#1109837).
- commit 822b298
* Thu Oct 25 2018 mkubecek@suse.cz
- ethtool: fix a privilege escalation bug (bsc#1076830).
- commit eb308cd
* Thu Oct 25 2018 jroedel@suse.de
- blacklist.conf: Add 60ca05c3b445 Documentation/l1tf: Fix small spelling typo
- commit bcf8eae
* Thu Oct 25 2018 jack@suse.cz
- loop: fix LOOP_GET_STATUS lock imbalance (bsc#1113284).
- commit 5201e63
* Thu Oct 25 2018 tbogendoerfer@suse.de
- Update config files.
- supported.conf: rename mlxcpld-hotplug to mlxreg-hotplug
- commit 9545414
* Thu Oct 25 2018 tiwai@suse.de
- USB: remove LPM management from usb_driver_claim_interface()
  (bsc#1051510).
- Refresh
  patches.drivers/USB-fix-error-handling-in-usb_driver_claim_interface.patch.
- commit 2bd2e21
* Thu Oct 25 2018 jgross@suse.com
- blacklist.conf: added 0ce0bba4e5e0 as it has too many dependencies on
  other patches and is only a small enhancement (no bug correction)
- commit c03f1e9
* Thu Oct 25 2018 jgross@suse.com
- Refresh patches.fixes/xen-xsa270-fix.patch: add upstream commit-id and
  move it to the sorted area in series.conf
- commit 072bdae
* Thu Oct 25 2018 jack@suse.cz
- jbd2: fix use after free in jbd2_log_do_checkpoint()
  (bsc#1113257).
- commit 596d6c3
* Thu Oct 25 2018 jroedel@suse.de
- signal: Properly deliver SIGSEGV from x86 uprobes (bsc#1110006).
- commit 3269a6e
* Wed Oct 24 2018 tiwai@suse.de
- mac80211: minstrel: fix using short preamble CCK rates on HT
  clients (bsc#1051510).
- iwlwifi: mvm: clear HW_RESTART_REQUESTED when stopping the
  interface (bsc#1051510).
- iwlwifi: mvm: check for n_profiles validity in EWRD ACPI
  (bsc#1051510).
- iwlwifi: mvm: Allow TKIP for AP mode (bsc#1051510).
- iwlwifi: dbg: don't crash if the firmware crashes in the middle
  of a debug dump (bsc#1051510).
- iwlwifi: mvm: send BCAST management frames to the right station
  (bsc#1051510).
- ACPI / processor: Fix the return value of
  acpi_processor_ids_walk() (bsc#1051510).
- i2c: rcar: cleanup DMA for all kinds of failure (bsc#1051510).
- drm/edid: VSDB yCBCr420 Deep Color mode bit definitions
  (bsc#1051510).
- clocksource/drivers/ti-32k: Add CLOCK_SOURCE_SUSPEND_NONSTOP
  flag for non-am43 SoCs (bsc#1051510).
- drm: mali-dp: Call drm_crtc_vblank_reset on device init
  (bsc#1051510).
- media: af9035: prevent buffer overflow on write (bsc#1051510).
- drm/i915/glk: Add Quirk for GLK NUC HDMI port issues
  (bsc#1051510).
- commit d3ef3e7
* Wed Oct 24 2018 jroedel@suse.de
- x86/eisa: Add missing include (bsc#1110006).
- Refresh
  patches.arch/x86-eisa-don-t-probe-eisa-bus-for-xen-pv-guests.
- commit 57cec9b
* Wed Oct 24 2018 jroedel@suse.de
- x86/fpu: Remove second definition of fpu in __fpu__restore_sig()
  (bsc#1110006).
- commit b660f5e
* Wed Oct 24 2018 jroedel@suse.de
- x86/time: Correct the attribute on jiffies' definition
  (bsc#1110006).
- commit 885e86c
* Wed Oct 24 2018 jroedel@suse.de
- x86/percpu: Fix this_cpu_read() (bsc#1110006).
- commit 0233af7
* Wed Oct 24 2018 jroedel@suse.de
- x86/boot: Move EISA setup to a separate file (bsc#1110006).
- x86/EISA: Don't probe EISA bus for Xen PV guests (bsc#1110006).
- Refresh
  patches.arch/19-x86-entry-64-move-the-ist-stacks-into-struct-cpu_entry_area.patch.
- commit a5799f5
* Wed Oct 24 2018 tbogendoerfer@suse.de
- i40e: Implement an ethtool private flag to stop LLDP in FW
  (bsc#1111981 FATE#326312).
- Refresh
  patches.drivers/i40e-stop-using-cmpxchg-flow-in-i40e_set_priv_flags.patch.
- commit fe7f957
* Wed Oct 24 2018 tbogendoerfer@suse.de
- i40e: setup xdp_rxq_info (bsc#1111981 FATE#326312).
- Refresh
  patches.drivers/i40e-i40evf-Use-usec-value-instead-of-reg-value-for-.patch.
- commit 1abc869
* Wed Oct 24 2018 tbogendoerfer@suse.de
- i40e: fix FW_LLDP flag on init (bsc#1111981 FATE#326312).
- i40e: Display LLDP information on vSphere Web Client
  (bsc#1111981 FATE#326312).
- i40e: use tc_cls_can_offload_and_chain0() (bsc#1111981
  FATE#326312).
- i40e: Fix channel addition in reset flow (bsc#1111981
  FATE#326312).
- i40e: simplify pointer dereferences (bsc#1111981 FATE#326312).
- i40e: flower: check if TC offload is enabled on a netdev
  (bsc#1111981 FATE#326312).
- i40e: flower: Fix return value for unsupported offload
  (bsc#1111981 FATE#326312).
- i40e: Remove UDP support for big buffer (bsc#1111981
  FATE#326312).
- i40e: Fix reporting incorrect error codes (bsc#1111981
  FATE#326312).
- commit be7dafa
* Wed Oct 24 2018 tbogendoerfer@suse.de
- tools: bpftool: protect against races with disappearing objects
  (bsc#1109837).
- tools: bpftool: maps: close json array on error paths of show
  (bsc#1109837).
- pkt_sched: Remove TC_RED_OFFLOADED from uapi (bsc#1109837).
- ipv6: addrconf: fix a lockdep splat (bsc#1112374).
- soc: ti/knav_dma: include dmaengine header (bsc#1109837).
- devlink: Fix devlink_dpipe_table_register() stub signature
  (bsc#1112374).
- bridge: check for null fdb->dst before notifying switchdev
  drivers (bsc#1112374).
- commit 42687a5
* Wed Oct 24 2018 tbogendoerfer@suse.de
- net/sched: fix idr leak in the error path of tcf_simp_init()
  (bsc#1109837).
- Refresh
  patches.suse/net-sched-act_simple-fix-parsing-of-TCA_DEF_DATA.patch.
- commit dfdf799
* Wed Oct 24 2018 tbogendoerfer@suse.de
- ptr_ring: Remove now-redundant smp_read_barrier_depends()
  (bsc#1109837).
- nfp: bpf: fix check of program max insn count (bsc#1109837).
- net sched actions: fix dumping which requires several messages
  to user space (bsc#1109837).
- net: sched, fix OOO packets with pfifo_fast (bsc#1109837).
- mlxsw: spectrum_router: Handle MTU change of GRE netdevs
  (bsc#1112374).
- mlxsw: spectrum_router: Move mlxsw_sp_rif_ipip_lb_op()
  (bsc#1112374).
- net/sched: fix idr leak in the error path of tcf_skbmod_init()
  (bsc#1109837).
- net/sched: fix idr leak in the error path of tcf_vlan_init()
  (bsc#1109837).
- net/sched: fix idr leak in the error path of __tcf_ipt_init()
  (bsc#1109837).
- net/sched: fix idr leak in the error path of tcp_pedit_init()
  (bsc#1109837).
- net/sched: fix idr leak in the error path of
  tcf_act_police_init() (bsc#1109837).
- net/sched: fix idr leak on the error path of tcf_bpf_init()
  (bsc#1109837).
- net/sched: fix NULL dereference in the error path of
  tcf_csum_init() (bsc#1109837).
- net/sched: fix NULL dereference in the error path of
  tcf_vlan_init() (bsc#1109837).
- net: sched: fix uses after free (bsc#1109837).
- net: sched: tbf: handle GSO_BY_FRAGS case in enqueue
  (bsc#1109837).
- commit 605a3e7
* Wed Oct 24 2018 tbogendoerfer@suse.de
- ptr_ring: try vmalloc() when kmalloc() fails (bsc#1109837).
- Refresh
  patches.fixes/ptr_ring-prevent-integer-overflow-when-calculating-s.patch.
- commit e3d55f9
* Wed Oct 24 2018 tbogendoerfer@suse.de
- mlxsw: spectrum: Prevent duplicate mirrors (bsc#1112374).
- mlxsw: spectrum: Fix gact_ok offloading (bsc#1112374).
- mlxsw: spectrum_switchdev: Check success of FDB add operation
  (bsc#1112374).
- spectrum: Reference count VLAN entries (bsc#1112374).
- mlxsw: spectrum: Treat IPv6 unregistered multicast as broadcast
  (bsc#1112374).
- mlxsw: spectrum: Fix handling of resource_size_param
  (bsc#1112374).
- mlxsw: core: Fix flex keys scratchpad offset conflict
  (bsc#1112374).
- devlink: Fix resource coverity errors (bsc#1112374).
- devlink: Compare to size_new in case of resource child
  validation (bsc#1112374).
- bpf: clean up unused-variable warning (bsc#1109837).
- bpf: fix bpf_prog_array_copy_to_user warning from perf event
  prog query (bsc#1109837).
- bpf: cpumap: use GFP_KERNEL instead of GFP_ATOMIC in
  __cpu_map_entry_alloc() (bsc#1109837).
- bpf: fix sock_map_alloc() error path (bsc#1109837).
- mlxsw: spectrum_router: Do not unconditionally clear route
  offload indication (bsc#1112374).
- net: sched: fix tc_u_common lookup (bsc#1109837).
- net: sched: don't set q pointer for shared blocks (bsc#1109837).
- mlxsw: spectrum_router: Fix error path in mlxsw_sp_vr_create
  (bsc#1112374).
- platform/mellanox: mlxreg-hotplug: Fix uninitialized variable
  (bsc#1112374).
- nfp: bpf: fix immed relocation for larger offsets (bsc#1109837).
- bpf: sockmap, add sock close() hook to remove socks
  (bsc#1109837).
- nfp: populate MODULE_VERSION (bsc#1109837).
- nfp: limit the number of TSO segments (bsc#1109837).
- nfp: forbid disabling hw-tc-offload on representors while
  offload active (bsc#1109837).
- nfp: don't advertise hw-tc-offload on non-port netdevs
  (bsc#1109837).
- nfp: bpf: require ETH table (bsc#1109837).
- sch_netem: Bug fixing in calculating Netem interval
  (bsc#1109837).
- idr: Rename idr_for_each_entry_ext (bsc#1109837).
- idr: Remove idr_alloc_ext (bsc#1109837).
- cls_u32: Convert to idr_alloc_u32 (bsc#1109837).
- cls_u32: Reinstate cyclic allocation (bsc#1109837).
- cls_flower: Convert to idr_alloc_u32 (bsc#1109837).
- cls_bpf: Convert to use idr_alloc_u32 (bsc#1109837).
- cls_basic: Convert to use idr_alloc_u32 (bsc#1109837).
- cls_api: Convert to idr_alloc_u32 (bsc#1109837).
- net sched actions: Convert to use idr_alloc_u32 (bsc#1109837).
- idr: Add idr_alloc_u32 helper (bsc#1109837).
- idr: Delete idr_find_ext function (bsc#1109837).
- idr: Delete idr_replace_ext function (bsc#1109837).
- idr: Delete idr_remove_ext function (bsc#1109837).
- nfp: fix kdoc warnings on nested structures (bsc#1109837).
- sample/bpf: fix erspan metadata (bsc#1109837).
- cls_u32: fix use after free in u32_destroy_key() (bsc#1109837).
- samples/bpf: use bpf_set_link_xdp_fd (bsc#1109837).
- libbpf: add error reporting in XDP (bsc#1109837).
- libbpf: add function to setup XDP (bsc#1109837).
- bpf: fix bpf_prog_array_copy_to_user() issues (bsc#1109837).
- devlink: fix memory leak on 'resource' (bsc#1112374).
- devlink: Make some functions static (bsc#1112374).
- libbpf: add support for BPF_PROG_QUERY (bsc#1109837).
- libbpf: introduce bpf_prog_detach2() (bsc#1109837).
- commit 2cff80f
* Wed Oct 24 2018 jroedel@suse.de
- kprobes/x86: Fix %%p uses in error messages (bsc#1110006).
- commit fb3eeb4
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Add b7b73cd5d746 crypto: x86/salsa20 - remove x86 salsa20 implementations
- commit c51f1c8
* Wed Oct 24 2018 jroedel@suse.de
- x86/MCE: Fix stack out-of-bounds write in mce-inject.c:
  Flags_read() (bsc#1110006).
- commit 3dc5215
* Wed Oct 24 2018 jroedel@suse.de
- x86/acpi: Prevent X2APIC id 0xffffffff from being accounted
  (bsc#1110006).
- commit 274ac9d
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Add arch/x86/um
- commit 7688a2d
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Add 4d1a535b8ec5 um: Use POSIX ucontext_t instead of struct ucontext
- commit a390c7e
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Add 8a331f4a0863 x86/mce/AMD: Carve out SMCA get_block_address() code
- commit 6260365
* Wed Oct 24 2018 tbogendoerfer@suse.de
- platform/mellanox: mlxreg-hotplug: Add check for negative
  adapter number (bsc#1112374).
- platform/mellanox: mlxreg-hotplug: Enable building for ARM
  (bsc#1112374).
- platform/mellanox: mlxreg-hotplug: Modify to use a regmap
  interface (bsc#1112374).
- platform/mellanox: Group create/destroy with attribute functions
  (bsc#1112374).
- platform/mellanox: Rename i2c bus to nr (bsc#1112374).
- platform/mellanox: mlxreg-hotplug: Remove unused wait.h include
  (bsc#1112374).
- platform/x86: Move Mellanox platform hotplug driver to
  platform/mellanox (bsc#1112374).
- platform/x86: mlx-platform: make a couple of structures static
  (bsc#1112374).
- commit b01bd20
* Wed Oct 24 2018 jroedel@suse.de
- x86/cpufeatures: Add Intel Total Memory Encryption cpufeature
  (bsc#1110006).
- commit f0bb5db
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Add d5028ba8ee5a objtool, retpolines: Integrate objtool with retpoline support more closely
- commit 1d09c07
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Add 700b7c5409c3 x86/asm: Improve how GEN_*_SUFFIXED_RMWcc() specify clobbers
- commit c180f6a
* Wed Oct 24 2018 tbogendoerfer@suse.de
- cls_matchall: propagate extack to delete callback (bsc#1109837).
- Refresh
  patches.suse/cls_matchall-fix-tcf_unbind_filter-missing.patch.
- commit a252d22
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Add 3b3a9268bba6 x86/mm: Remove stale comment about KMEMCHECK
- commit feffe23
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Add b399151cb48d x86/cpu: Rename cpu_data.x86_mask to cpu_data.x86_stepping
- commit b15eecb
* Wed Oct 24 2018 jroedel@suse.de
- x86/kasan: Panic if there is not enough memory to boot
  (bsc#1110006).
- commit fb9f1fc
* Wed Oct 24 2018 jroedel@suse.de
- x86/cpufeature: Add User-Mode Instruction Prevention definitions
  (bsc#1110006).
- commit 0e0e81a
* Wed Oct 24 2018 tbogendoerfer@suse.de
- cls_u32: add missing RCU annotation (bsc#1109837).
- nfp: fix TLV offset calculation (bsc#1109837).
- net/sched: kconfig: Remove blank help texts (bsc#1109837).
- net_sched: implement ->change_tx_queue_len() for pfifo_fast
  (bsc#1109837).
- net_sched: plug in qdisc ops change_tx_queue_len (bsc#1109837).
- ptr_ring: prevent queue load/store tearing (bsc#1109837).
- skb_array: use __ptr_ring_empty (bsc#1109837).
- ptr_ring: disallow lockless __ptr_ring_full (bsc#1109837).
- ptr_ring: READ/WRITE_ONCE for __ptr_ring_empty (bsc#1109837).
- ptr_ring: clean up documentation (bsc#1109837).
- ptr_ring: keep consumer_head valid at all times (bsc#1109837).
- bpf: fix kernel page fault in lpm map trie_get_next_key
  (bsc#1109837).
- bpf: fix subprog verifier bypass by div/mod by 0 exception
  (bsc#1109837).
- bpf: make unknown opcode handling more robust (bsc#1109837).
- bpf: improve dead code sanitizing (bsc#1109837).
- bpf: xor of a/x in cbpf can be done in 32 bit alu (bsc#1109837).
- samples/bpf: Partially fixes the bpf.o build (bsc#1109837).
- bpf: Use the IS_FD_ARRAY() macro in map_update_elem()
  (bsc#1109837).
- bpf: Add BPF_SOCK_OPS_STATE_CB (bsc#1109837).
- bpf: Add BPF_SOCK_OPS_RETRANS_CB (bsc#1109837).
- bpf: Add sock_ops R/W access to tclass (bsc#1109837).
- bpf: Add support for reading sk_state and more (bsc#1109837).
- bpf: Add sock_ops RTO callback (bsc#1109837).
- bpf: Adds field bpf_sock_ops_cb_flags to tcp_sock (bsc#1109837).
- bpf: Support passing args to sock_ops bpf function
  (bsc#1109837).
- bpf: Add write access to tcp_sock and sock fields (bsc#1109837).
- bpf: Make SOCK_OPS_GET_TCP struct independent (bsc#1109837).
- bpf: Make SOCK_OPS_GET_TCP size independent (bsc#1109837).
- bpf: fix incorrect kmalloc usage in lpm_trie MAP_GET_NEXT_KEY
  rcu region (bsc#1109837).
- mlxsw: use tc_cls_can_offload_and_chain0() (bsc#1109837).
- nfp: use tc_cls_can_offload_and_chain0() (bsc#1109837).
- pkt_cls: add new tc cls helper to check offload flag and chain
  index (bsc#1109837).
- net: sched: remove tc_cls_common_offload_init_deprecated()
  (bsc#1109837).
- cls_u32: propagate extack to delete callback (bsc#1109837).
- cls_u32: pass offload flags to tc_cls_common_offload_init()
  (bsc#1109837).
- cls_flower: propagate extack to delete callback (bsc#1109837).
- cls_flower: pass offload flags to tc_cls_common_offload_init()
  (bsc#1109837).
- cls_matchall: pass offload flags to tc_cls_common_offload_init()
  (bsc#1109837).
- cls_bpf: propagate extack to offload delete callback
  (bsc#1109837).
- cls_bpf: pass offload flags to tc_cls_common_offload_init()
  (bsc#1109837).
- cls_bpf: remove gen_flags from bpf_offload (bsc#1109837).
- net: sched: prepare for reimplementation of
  tc_cls_common_offload_init() (bsc#1109837).
- net: sched: propagate extack to cls->destroy callbacks
  (bsc#1109837).
- net/sched: act_csum: don't use spinlock in the fast path
  (bsc#1109837).
- net/sched: act_csum: use per-core statistics (bsc#1109837).
- nfp: fix fw dump handling of absolute rtsym size (bsc#1109837).
- nfp: bpf: use extack support to improve debugging (bsc#1109837).
- nfp: bpf: plumb extack into functions related to XDP offload
  (bsc#1109837).
- net: sched: create tc_can_offload_extack() wrapper
  (bsc#1109837).
- net: sched: add extack support for offload via
  tc_cls_common_offload (bsc#1109837).
- net: sched: cls_bpf: plumb extack support in filter for hardware
  offload (bsc#1109837).
- net: sched: cls_u32: propagate extack support for filter offload
  (bsc#1109837).
- net: sched: cls_matchall: propagate extack support for filter
  offload (bsc#1109837).
- net: sched: cls_flower: propagate extack support for filter
  offload (bsc#1109837).
- bpf: Add BPF_SOCKET_OPS_BASE_RTT support to tcp_nv
  (bsc#1109837).
- tcp: uniform the set up of sockets after successful connection
  (bsc#1109837).
- commit 0863f0c
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Add 4675ff05de2d kmemcheck: rip it out
- commit 949cfa4
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Add d8be75663cec kmemcheck: remove whats left of NOTRACK flags
- commit 5904402
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Add 75f296d93bce kmemcheck: stop using GFP_NOTRACK and SLAB_NOTRACK
- commit 90f82ae
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Add 2d0b95300db x86/insn-eval: Add utility functions to get segment selector
- commit f98113f
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Add f3a624e901c6 x86/cpufeatures: Fix various details in the feature definitions
- commit 5b5313e
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Add acbc845ffefd x86/cpufeatures: Re-tabulate the X86_FEATURE definitions
- commit 520e9bf
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Add 4375c29985f1 x86/xen: Provide pre-built page tables only for CONFIG_XEN_PV=y and CONFIG_XEN_PVH=y
- commit bdc9e91
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Add 12a8cc7fcf54 x86/kasan: Use the same shadow offset for 4- and 5-level paging
- commit 55c2333
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Add 3c52b5c64326 x86/asm: Remove unnecessary \n\t in front of CC_SET() from asm templates
- commit 1572a99
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Add 890da9cf0983 Revert "x86: do not use cpufreq_quick_get() for /proc/cpuinfo "cpu MHz""
- commit 65a0d66
* Wed Oct 24 2018 jgross@suse.com
- xen: Remove unnecessary BUG_ON from __unbind_from_irq()
  (bnc#1065600).
- commit 23eb96a
* Wed Oct 24 2018 jroedel@suse.de
- blacklist.conf: Blacklist tools/testing/selftests/
- commit 774f832
* Wed Oct 24 2018 tbogendoerfer@suse.de
- mlxsw: spectrum_router: Remove unnecessary prefix lengths from
  LPM tree (bsc#1112374).
- mlxsw: spectrum_router: Pass FIB node to LPM tree unlink
  function (bsc#1112374).
- mlxsw: spectrum_router: Use the nodes list as indication for
  empty FIB (bsc#1112374).
- mlxsw: spectrum_acl: Add support for mirror action
  (bsc#1112374).
- mlxsw: spectrum: Extend mlxsw_afa_ops for counter index and
  implement for Spectrum (bsc#1112374).
- mlxsw: spectrum: Extend and export SPAN API (bsc#1112374).
- mlxsw: spectrum_acl: Add support for mirroring action
  (bsc#1112374).
- mlxsw: core: Make counter index allocated inside the action
  append (bsc#1112374).
- mlxsw: core: Convert fwd_entry_ref list to be generic per-block
  resource list (bsc#1112374).
- mlxsw: spectrum: Extend mlxsw_afa_ops for counter index and
  implement for Spectrum (bsc#1112374).
- mlxsw: spectrum: Upper-bound supported FW version (bsc#1112374).
- mlxsw: spectrum: Make function mlxsw_sp_kvdl_part_occ() static
  (bsc#1112374).
- mlxsw: spectrum_acl: Pass mlxsw_sp_port down to ruleset
  bind/unbind ops (bsc#1112374).
- mlxsw: spectrum_acl: Implement TC block sharing (bsc#1112374).
- mlxsw: spectrum_acl: Don't store netdev and ingress for ruleset
  unbind (bsc#1112374).
- mlxsw: spectrum_acl: Reshuffle code around
  mlxsw_sp_acl_ruleset_create/destroy (bsc#1112374).
- commit f3a04c8
* Wed Oct 24 2018 jgross@suse.com
- xen-swiotlb: fix the check condition for
  xen_swiotlb_free_coherent (bnc#1065600).
- commit 02af14f
* Wed Oct 24 2018 hare@suse.de
- scsi: core: Allow state transitions from OFFLINE to BLOCKED
  (bsc#1112246).
- commit 034f4ab
* Wed Oct 24 2018 jgross@suse.com
- xen/gntdev: avoid out of bounds access in case of partial
  gntdev_mmap() (bnc#1065600).
- commit e8abcae
* Wed Oct 24 2018 hare@suse.de
- scsi: libfc: check fc_frame_payload_get() return value for null
  (bsc#1104731).
- commit 4a5ddfb
* Wed Oct 24 2018 hare@suse.de
- scsi: libfc: retry PRLI if we cannot analyse the payload
  (bsc#1104731).
- commit b5e815d
* Wed Oct 24 2018 jgross@suse.com
- x86/paravirt: Fix some warning messages (bnc#1065600).
- commit 5532422
* Wed Oct 24 2018 tbogendoerfer@suse.de
- bpf: get rid of pure_initcall dependency to enable jits
  (bsc#1109837).
- Refresh
  patches.fixes/bpf-x64-implement-retpoline-for-tail-call.patch.
- commit e023f2e
* Wed Oct 24 2018 neilb@suse.com
- rculist: Improve documentation for
  list_for_each_entry_from_rcu() (bsc#1084760).
- NFS: Avoid quadratic search when freeing delegations
  (bsc#1084760).
- rculist: add list_for_each_entry_from_rcu() (bsc#1084760).
- commit 73b9891
* Tue Oct 23 2018 tbogendoerfer@suse.de
- bpf: implement MAP_GET_NEXT_KEY command for LPM_TRIE map
  (bsc#1109837).
- Refresh
  patches.fixes/bpf-fix-memory-leak-in-lpm_trie-map_free-callback-fu.patch.
- commit 4d99be1
* Tue Oct 23 2018 tbogendoerfer@suse.de
- bpf: arraymap: use bpf_map_init_from_attr() (bsc#1109837).
- Refresh
  patches.fixes/bpf-fix-mlock-precharge-on-arraymaps.patch.
- commit 07e64de
* Tue Oct 23 2018 tbogendoerfer@suse.de
- bpf: arraymap: move checks out of alloc function (bsc#1109837).
- Refresh
  patches.fixes/bpf-fix-mlock-precharge-on-arraymaps.patch.
- commit dfb39ae
* Tue Oct 23 2018 tbogendoerfer@suse.de
- net: sched: cls_u32: add extack support (bsc#1109837).
- Refresh
  patches.suse/net-sched-cls_u32-fix-cls_u32-on-filter-replace.patch.
- commit e13d49b
* Tue Oct 23 2018 tbogendoerfer@suse.de
- net: sched: cls_api: handle generic cls errors (bsc#1109837).
- Refresh
  patches.suse/net-sched-fix-error-path-in-tcf_proto_create-when-mo.patch.
- commit e6a189f
* Tue Oct 23 2018 tbogendoerfer@suse.de
- bpf: allow for correlation of maps and helpers in dump
  (bsc#1109837).
- Refresh
  patches.drivers/bpf-offload-allow-netdev-to-disappear-while-verifier.patch.
- Refresh
  patches.drivers/xdp-base-API-for-new-XDP-rx-queue-info-concept.patch.
- commit a7baf09
* Tue Oct 23 2018 tbogendoerfer@suse.de
- bpf: fix net.core.bpf_jit_enable race (bsc#1109837).
- Refresh
  patches.fixes/bpf-properly-enforce-index-mask-to-prevent-out-of-bo.patch.
- commit 4bb19cd
* Tue Oct 23 2018 tbogendoerfer@suse.de
- nfp: flower: prioritize stats updates (bsc#1109837).
- bpf: move event_output to const_size_or_zero for xdp/skb as well
  (bsc#1109837).
- bpf: add upper complexity limit to verifier log (bsc#1109837).
- bpf: restrict access to core bpf sysctls (bsc#1109837).
- bpf: add csum_diff helper to xdp as well (bsc#1109837).
- bpf, verifier: detect misconfigured mem, size argument pair
  (bsc#1109837).
- samples/bpf: xdp_monitor include cpumap tracepoints in
  monitoring (bsc#1109837).
- nfp: bpf: add short busy wait for FW replies (bsc#1109837).
- bpf: offload: report device information about offloaded maps
  (bsc#1109837).
- bpf: offload: allow array map offload (bsc#1109837).
- bpf: allow socket_filter programs to use bpf_prog_test_run
  (bsc#1109837).
- bpf: add comments to BPF ld/ldx sizes (bsc#1109837).
- samples/bpf: xdp2skb_meta comment explain why pkt-data pointers
  are invalidated (bsc#1109837).
- nfp: bpf: set new jit info fields (bsc#1109837).
- bpf: add new jited info fields in bpf_dev_offload and
  bpf_prog_info (bsc#1109837).
- net: sched: cls: add extack support for tcf_change_indev
  (bsc#1109837).
- net: sched: cls: add extack support for delete callback
  (bsc#1109837).
- net: sched: cls: add extack support for tcf_exts_validate
  (bsc#1109837).
- net: sched: cls: add extack support for change callback
  (bsc#1109837).
- net: sched: cls: fix code style issues (bsc#1109837).
- nfp: bpf: disable all ctrl vNIC capabilities (bsc#1109837).
- nfp: allow apps to disable ctrl vNIC capabilities (bsc#1109837).
- nfp: split reading capabilities out of nfp_net_init()
  (bsc#1109837).
- nfp: read mailbox address from TLV caps (bsc#1109837).
- nfp: read ME frequency from vNIC ctrl memory (bsc#1109837).
- nfp: add TLV capabilities to the BAR (bsc#1109837).
- nfp: improve app not found message (bsc#1109837).
- nfp: protect each repr pointer individually with RCU
  (bsc#1109837).
- nfp: add nfp_reprs_get_locked() helper (bsc#1109837).
- nfp: register devlink after app is created (bsc#1109837).
- nfp: release global resources only on the remove path
  (bsc#1109837).
- nfp: core: make scalar CPP helpers fail on short accesses
  (bsc#1109837).
- net/sched/sch_prio.c: work around gcc-4.4.4 union initializer
  issues (bsc#1109837).
- net: sched: silence uninitialized parent variable warning in
  tc_dump_tfilter (bsc#1109837).
- net: sched: allow ingress and clsact qdiscs to share filter
  blocks (bsc#1109837).
- net: sched: introduce ingress/egress block index attributes
  for qdisc (bsc#1109837).
- net: sched: use block index as a handle instead of qdisc when
  block is shared (bsc#1109837).
- net: sched: keep track of offloaded filters and check tc
  offload feature (bsc#1109837).
- net: sched: remove classid and q fields from tcf_proto
  (bsc#1109837).
- net: sched: introduce block mechanism to handle netif_keep_dst
  calls (bsc#1109837).
- net: sched: avoid usage of tp->q in tcf_classify (bsc#1109837).
- net: sched: introduce shared filter blocks infrastructure
  (bsc#1109837).
- net: sched: introduce support for multiple filter chain pointers
  registration (bsc#1109837).
- net: sched: red: don't reset the backlog on every stat dump
  (bsc#1109837).
- nfp: bpf: reject program on instructions unknown to the JIT
  compiler (bsc#1109837).
- nfp: bpf: print map lookup problems into verifier log
  (bsc#1109837).
- bpf: annotate bpf_insn_print_t with __printf (bsc#1109837).
- bpf: offload: make bpf_offload_dev_match() reject host+host case
  (bsc#1109837).
- samples/bpf: Fix trailing semicolon (bsc#1109837).
- bpf: cpumap: make some functions static (bsc#1109837).
- nfp: bpf: implement bpf map offload (bsc#1109837).
- nfp: bpf: add support for reading map memory (bsc#1109837).
- nfp: bpf: add verification and codegen for map lookups
  (bsc#1109837).
- nfp: bpf: add helpers for updating immediate instructions
  (bsc#1109837).
- nfp: bpf: parse function call and map capabilities
  (bsc#1109837).
- nfp: bpf: implement helpers for FW map ops (bsc#1109837).
- nfp: bpf: add basic control channel communication (bsc#1109837).
- nfp: bpf: add map data structure (bsc#1109837).
- bpf: offload: add map offload infrastructure (bsc#1109837).
- bpf: offload: factor out netdev checking at allocation time
  (bsc#1109837).
- bpf: rename bpf_dev_offload -> bpf_prog_offload (bsc#1109837).
- bpf: add helper for copying attrs to struct bpf_map
  (bsc#1109837).
- bpf: hashtab: move checks out of alloc function (bsc#1109837).
- bpf: hashtab: move attribute validation before allocation
  (bsc#1109837).
- bpf: add map_alloc_check callback (bsc#1109837).
- bpf: simplify xdp_convert_ctx_access for xdp_rxq_info
  (bsc#1109837).
- mlxsw: spectrum: qdiscs: Make function
  mlxsw_sp_qdisc_prio_unoffload static (bsc#1112374).
- mlxsw: core: Add support for reload (bsc#1112374).
- mlxsw: pci: Add support for getting resource through devlink
  (bsc#1112374).
- mlxsw: spectrum: Add support for getting kvdl occupancy
  (bsc#1112374).
- mlxsw: spectrum_dpipe: Connect dpipe tables to resources
  (bsc#1112374).
- mlxsw: spectrum: Register KVD resources with devlink
  (bsc#1112374).
- mlxsw: pci: Add support for performing bus reset (bsc#1112374).
- devlink: Add relation between dpipe and resource (bsc#1112374).
- devlink: Add support for reload (bsc#1112374).
- devlink: Add support for resource abstraction (bsc#1112374).
- devlink: Add per devlink instance lock (bsc#1112374).
- net: Cap number of queues even with accel_priv (bsc#1109837).
- mlxsw: spectrum: qdiscs: Support stats for PRIO qdisc
  (bsc#1112374).
- mlxsw: spectrum: qdiscs: Support PRIO qdisc offload
  (bsc#1112374).
- net: sch: prio: Add offload ability to PRIO qdisc (bsc#1109837).
- mlxsw: spectrum_router: Configure default routing priority
  (bsc#1112374).
- mlxsw: reg: add rdpm register (bsc#1112374).
- samples/bpf: xdp2skb_meta shows transferring info from XDP to
  SKB (bsc#1109837).
- nfp: bpf: reuse verifier log for debug messages (bsc#1109837).
- bpf: export function to write into verifier log buffer
  (bsc#1109837).
- nfp: bpf: add signed jump insns (bsc#1109837).
- nfp: hand over to BPF offload app at coarser granularity
  (bsc#1109837).
- nfp: bpf: use a large constant in unresolved branches
  (bsc#1109837).
- nfp: bpf: don't depend on high order allocations for program
  image (bsc#1109837).
- nfp: bpf: relocate jump targets just before the load
  (bsc#1109837).
- nfp: bpf: add helpers for modifying branch addresses
  (bsc#1109837).
- nfp: bpf: move jump resolution to jit.c (bsc#1109837).
- nfp: bpf: allow disabling TC offloads when XDP active
  (bsc#1109837).
- nfp: bpf: don't allow changing MTU above BPF offload limit
  when active (bsc#1109837).
- nfp: bpf: round up the size of the stack (bsc#1109837).
- nfp: fix incumbent kdoc warnings (bsc#1109837).
- nfp: don't try to register XDP rxq structures on control queues
  (bsc#1109837).
- net: free RX queue structures (bsc#1109837).
- bpf: fix verifier GPF in kmalloc failure path (bsc#1109837).
- mlxsw: spectrum: qdiscs: Remove qdisc before setting a new one
  (bsc#1112374).
- mlxsw: spectrum: qdiscs: Create a generic replace function
  (bsc#1112374).
- mlxsw: spectrum: qdiscs: Create a generic destroy function
  (bsc#1112374).
- mlxsw: spectrum: qdiscs: Add an ops struct (bsc#1112374).
- mlxsw: spectrum: qdiscs: Unite all handle checks (bsc#1112374).
- mlxsw: spectrum: qdiscs: Add tclass number to the mlxsw_sp_qdisc
  (bsc#1112374).
- mlxsw: spectrum: qdiscs: Make the clean stats function to be
  for RED only (bsc#1112374).
- mlxsw: spectrum: qdiscs: Clean qdisc statistics structs
  (bsc#1112374).
- net: sch: red: Change offloaded xstats to be incremental
  (bsc#1109837).
- net: sch: red: Change the name of the stats struct to be generic
  (bsc#1109837).
- bpf: offload: report device information for offloaded programs
  (bsc#1109837).
- nsfs: generalize ns_get_path() for path resolution with a task
  (bsc#1109837).
- /proc/module: use the same logic as /proc/kallsyms for address
  exposure (bsc#1109837).
- stop using '%%pK' for /proc/kallsyms pointer values
  (bsc#1109837).
- commit 3834181
* Tue Oct 23 2018 jroedel@suse.de
- kvm: x86: Set highest physical address bits in non-present/reserved SPTEs (bsc#1106240).
- commit 423e118
* Tue Oct 23 2018 jroedel@suse.de
- KVM: SVM: Add MSR-based feature support for serializing LFENCE
  (bsc#1106240).
- KVM: VMX: support MSR_IA32_ARCH_CAPABILITIES as a feature MSR
  (bsc#1106240).
- KVM: VMX: Tell the nested hypervisor to skip L1D flush on
  vmentry (bsc#1106240).
- KVM: x86: Add a framework for supporting MSR-based features
  (bsc#1106240).
- KVM: X86: Introduce kvm_get_msr_feature() (bsc#1106240).
- kABI: Hide get_msr_feature() in kvm_x86_ops (bsc#1106240).
- blacklist.conf: Add 518e7b94817a KVM: X86: Allow userspace to define the microcode version
- Refresh
  patches.arch/36-x86-bugs-kvm-extend-speculation-control-for-virt_spec_ctrl.patch.
- Refresh
  patches.arch/44-kvm-svm-implement-virt_spec_ctrl-support-for-ssbd.patch.
- Refresh patches.kabi/fix-kvm-kabi.patch.
- commit 7c74fa0
* Tue Oct 23 2018 aaptel@suse.com
- smb2: fix missing files in root share directory listing
  (bsc#1112907).
- commit 46fa9a8
* Tue Oct 23 2018 aaptel@suse.com
- smb3: fix reset of bytes read and written stats (bsc#1112906).
- commit 37b0dd6
* Tue Oct 23 2018 aaptel@suse.com
- smb3: fill in statfs fsid and correct namelen (bsc#1112905).
- commit 3170c32
* Tue Oct 23 2018 aaptel@suse.com
- cifs: Fix use after free of a mid_q_entry (bsc#1112903).
- commit 59c5474
* Tue Oct 23 2018 aaptel@suse.com
- CIFS: check for STATUS_USER_SESSION_DELETED (bsc#1112902).
- commit fc3cc61
* Tue Oct 23 2018 aaptel@suse.com
- smb3: on reconnect set PreviousSessionId field (bsc#1112899).
- commit 37c1dc0
* Tue Oct 23 2018 aaptel@suse.com
- cifs: fix memory leak in SMB2_open() (bsc#1112894).
- commit 00b7823
* Tue Oct 23 2018 tbogendoerfer@suse.de
- net: hns3: Add mqprio hardware offload support in hns3 driver
  (bsc#1109837).
- Refresh
  patches.drivers/net-hns3-Unified-HNS3-VF-PF-Ethernet-Driver-for-hip0.patch.
- Refresh
  patches.drivers/net-hns3-Updates-MSI-MSI-X-alloc-free-APIs-depricate.patch.
- Refresh
  patches.drivers/net-hns3-remove-add-del_tunnel_udp-in-hns3_enet-modu.patch.
- commit 60458ea
* Tue Oct 23 2018 tiwai@suse.de
- HID: quirks: fix support for Apple Magic Keyboards
  (bsc#1051510).
- commit a6ba2b6
* Tue Oct 23 2018 jslaby@suse.cz
- rpmsg: Correct support for MODULE_DEVICE_TABLE() (git-fixes).
- commit a6ff26a
* Tue Oct 23 2018 jgross@suse.com
- series.conf: moved some Xen patches to the sorted region
  xen/blkfront: correct purging of persistent grants
  (bnc#1112514).
- commit 269a89f
* Mon Oct 22 2018 msuchanek@suse.de
- powerpc/pseries: Fix CONFIG_NUMA=n build (FATE#323745, FATE#322022, bsc#1067906, git-fixes).
- powerpc/pseries: Fix build break for SPLPAR=n and CPU hotplug (FATE#323746, bsc#1079524, git-fixes).
- Refresh patches.arch/powerpc-topology-Get-topology-for-shared-processors-.patch.
- commit 1ac9292
* Mon Oct 22 2018 jeffm@suse.com
- blacklist.conf: add debugfs removal protection rework (bsc#1109911).
  This introduces semantic changes that break the kABI in a way that is
  not worth working around.
- commit 9a0c809
* Mon Oct 22 2018 rgoldwyn@suse.com
- apparmor: patch to provide compatibility with v2.x net  rules (bsc#1112770).
- apparmor: fix use after free in sk_peer_label (bsc#1112770).
- apparmor: add base infastructure for socket mediation
  (bsc#1112770,FATE#323500, bsc#1108520c#2).
- Refresh
  patches.apparmor/apparmor-Check-buffer-bounds-when-mapping-permissions-mask.patch.
- Delete patches no longer required
  - patches.apparmor/apparmor-basic-networking-rules-4.11-rc1.patch.
  - patches.apparmor/apparmor-basic-networking-rules.patch.
  - patches.apparmor/apparmor-check-all-net-profiles.patch.
  - patches.apparmor/apparmor-compatibility-patch-for-v5-network-control.
  - patches.apparmor/apparmor-fix-quieting-of-audit-messages-for-network-mediation.patch.
  - patches.fixes/apparmor-fix-open-after-profile-replacement.patch.
  - patches.fixes/apparmor-fix-replacement-not-being-applied.patch.
- commit f0ee70e
* Mon Oct 22 2018 jroedel@suse.de
- blacklist.conf: Add a stable patch that is reverted
  95e057e25892 KVM: X86: Fix SMRAM accessing even if VM is shutdown
  2c151b25441a Revert "KVM: X86: Fix SMRAM accessing even if VM is shutdown"
- commit 5cd21ff
* Mon Oct 22 2018 tbogendoerfer@suse.de
- net_sch: mqprio: Change TC_SETUP_MQPRIO to TC_SETUP_QDISC_MQPRIO
  (bsc#1109837).
- Refresh
  patches.drivers/net-hns3-Unified-HNS3-VF-PF-Ethernet-Driver-for-hip0.patch.
- commit 8f9e8fd
* Mon Oct 22 2018 jroedel@suse.de
- blacklist.conf: Blacklist PCI stable commits 7506dc798993 and 79aa801e8994
  79aa801e8994 PCI: hv: Use effective affinity mask
  7506dc798993 PCI: Add wrappers for dev_printk()
- commit 21a280c
* Mon Oct 22 2018 jroedel@suse.de
- PCI: hv: Do not wait forever on a device that has disappeared
  (bsc#1109806).
- Refresh
  patches.suse/msft-hv-1728-PCI-hv-Disable-enable-IRQs-rather-than-BH-in-hv_comp.patch.
- commit 9972a8c
* Mon Oct 22 2018 jslaby@suse.cz
- blacklist.conf: add some clang and typo fixes
- commit 413a83a
* Mon Oct 22 2018 jack@suse.cz
- bdi: Preserve kabi when adding cgwb_release_mutex (bsc#1112746).
- commit 8f875e8
* Mon Oct 22 2018 oneukum@suse.com
- usbip: vhci_hcd: check rhport before using in vhci_hub_control()
  (bsc#1090888).
- commit ce6c538
* Mon Oct 22 2018 jroedel@suse.de
- iommu/vt-d: Fix dev iotlb pfsid use (bsc#1106237).
- iommu/vt-d: Add definitions for PFSID (bsc#1106237).
- commit 3ec7bb4
* Mon Oct 22 2018 jroedel@suse.de
- iommu/arm-smmu: Error out only if not enough context interrupts
  (bsc#1106237).
- commit ee44345
* Mon Oct 22 2018 oneukum@suse.com
- blacklist.conf: relevant only on gadgets
- commit 8e6b8e2
* Mon Oct 22 2018 jroedel@suse.de
- iommu/vt-d: Fix scatterlist offset handling (bsc#1106237).
- commit 6b0b30d
* Mon Oct 22 2018 oneukum@suse.com
- blacklist.conf: SoC only
- commit f9f0b4d
* Mon Oct 22 2018 oneukum@suse.com
- xhci: Don't print a warning when setting link state for disabled
  ports (bsc#1087092).
- commit 02addea
* Mon Oct 22 2018 jroedel@suse.de
- blacklist.conf: Add two x86 selftest fixes
  327d53d005ca selftests/x86/entry_from_vm86: Exit with 1 if we fail
  78393fdde2a4 selftests/x86/entry_from_vm86: Add test cases for POPF
- commit ad5b66b
* Mon Oct 22 2018 tzimmermann@suse.de
- drm/sun4i: Fix an ulong overflow in the dotclock driver (bsc#1106110)
- commit 2ecbb1f
* Mon Oct 22 2018 oneukum@suse.com
- blacklist.conf: unneeded build fix
- commit 04c3d4e
* Mon Oct 22 2018 jack@suse.cz
- blacklist.conf: Blacklist 2fa147bdbf67
- commit aa66291
* Mon Oct 22 2018 oneukum@suse.com
- blacklist.conf: the 'Fixes' tag is wrong upstream
- commit a63a807
* Mon Oct 22 2018 jack@suse.cz
- bdi: Fix another oops in wb_workfn() (bsc#1112746).
- commit 09dea87
* Mon Oct 22 2018 jack@suse.cz
- fs/quota: Fix spectre gadget in do_quotactl (bsc#1112745).
- commit 58e0987
* Mon Oct 22 2018 tbogendoerfer@suse.de
- net: ipv4: Add extack message for invalid prefix or length
  (bsc#1112374).
- net: ipv4: refactor key and length checks (bsc#1112374).
- net: ipv4: Save trie prefix to fib lookup result (bsc#1112374).
- commit 02b1115
* Mon Oct 22 2018 jack@suse.cz
- ext4: don't mark mmp buffer head dirty (bsc#1112743).
- commit e1b1717
* Mon Oct 22 2018 jack@suse.cz
- ext4: show test_dummy_encryption mount option in /proc/mounts
  (bsc#1112741).
- commit bf6af08
* Mon Oct 22 2018 jack@suse.cz
- ext4: fix online resizing for bigalloc file systems with a 1k
  block size (bsc#1112740).
- commit 755fb2e
* Mon Oct 22 2018 jack@suse.cz
- ext4: fix online resize's handling of a too-small final block
  group (bsc#1112739).
- commit 4241727
* Mon Oct 22 2018 jack@suse.cz
- ext4: recalucate superblock checksum after updating free
  blocks/inodes (bsc#1112738).
- commit d66ab05
* Mon Oct 22 2018 jack@suse.cz
- ext4: avoid arithemetic overflow that can trigger a BUG
  (bsc#1112736).
- commit 568d77e
* Mon Oct 22 2018 jack@suse.cz
- ext4: avoid divide by zero fault when deleting corrupted inline
  directories (bsc#1112735).
- commit 60df32c
* Mon Oct 22 2018 jack@suse.cz
- ext4: check to make sure the rename(2)'s destination is not
  freed (bsc#1112734).
- commit 1e2b6d8
* Mon Oct 22 2018 jack@suse.cz
- ext4: fix spectre gadget in ext4_mb_regular_allocator()
  (bsc#1112733).
- commit 43aee3f
* Mon Oct 22 2018 jack@suse.cz
- ext4: check for NUL characters in extended attribute's name
  (bsc#1112732).
- commit 051f809
* Mon Oct 22 2018 jack@suse.cz
- ext4: reset error code in ext4_find_entry in fallback
  (bsc#1112731).
- commit 2423ca0
* Mon Oct 22 2018 tzimmermann@suse.de
- blacklist.conf: Append 'drm/syncobj: Don't leak fences when WAIT_FOR_SUBMIT is set'
- commit 8d4c3e3
* Mon Oct 22 2018 tbogendoerfer@suse.de
- mlxsw: spectrum_acl: Propagate errors from
  mlxsw_afa_block_jump/continue (bsc#1112374).
- Refresh
  patches.drivers/act_mirred-get-rid-of-tcfm_ifindex-from-struct-tcf_m.patch.
- commit 4e53c29
* Mon Oct 22 2018 tiwai@suse.de
- cdc-acm: fix race between reset and control messaging
  (bsc#1051510).
- Input: atakbd - fix Atari CapsLock behaviour (bsc#1051510).
- Input: atakbd - fix Atari keymap (bsc#1051510).
- intel_th: pci: Add Ice Lake PCH support (bsc#1051510).
- batman-adv: fix hardif_neigh refcount on queue_work() failure
  (bsc#1051510).
- batman-adv: fix backbone_gw refcount on queue_work() failure
  (bsc#1051510).
- batman-adv: Avoid probe ELP information leak (bsc#1051510).
- commit d93a6b6
* Mon Oct 22 2018 tiwai@suse.de
- blacklist.conf: Add a cpufreq reverting commit
- commit a201876
* Mon Oct 22 2018 tbogendoerfer@suse.de
- mlxsw: spectrum_flower: Offload goto_chain termination action
  (bsc#1112374).
- Refresh
  patches.drivers/act_mirred-get-rid-of-tcfm_ifindex-from-struct-tcf_m.patch.
- commit b27c88f
* Mon Oct 22 2018 jack@suse.cz
- blk-mq: I/O and timer unplugs are inverted in blktrace
  (bsc#1112713).
- commit d64676d
* Mon Oct 22 2018 jack@suse.cz
- block: bfq: swap puts in bfqg_and_blkg_put (bsc#1112712).
- commit 3937d10
* Mon Oct 22 2018 jack@suse.cz
- loop: add recursion validation to LOOP_CHANGE_FD (bsc#1112711).
- commit ff26b7f
* Mon Oct 22 2018 jack@suse.cz
- blacklist.conf: Blacklist d3349b6b3c37
- commit 09777ad
* Mon Oct 22 2018 jack@suse.cz
- loop: don't call into filesystem while holding lo_ctl_mutex
  (bsc#1112710).
- commit 63bdbdf
* Mon Oct 22 2018 jack@suse.cz
- block, bfq: fix wrong init of saved start time for weight
  raising (bsc#1112708).
- commit b8dbd55
* Mon Oct 22 2018 tbogendoerfer@suse.de
- mlxsw: spectrum: qdiscs: Move qdisc's declarations to its
  designated file (bsc#1112374).
- mlxsw: spectrum: Fix typo in firmware upgrade message
  (bsc#1112374).
- mlxsw: spectrum: handle NETIF_F_HW_TC changes correctly
  (bsc#1112374).
- mlxsw: spectrum_router: Don't log an error on missing neighbor
  (bsc#1112374).
- mlxsw: spectrum_router: Free LPM tree upon failure
  (bsc#1112374).
- mlxsw: spectrum_qdisc: Don't use variable array in
  mlxsw_sp_tclass_congestion_enable (bsc#1112374).
- mlxsw: pci: Wait after reset before accessing HW (bsc#1112374).
- mlxsw: spectrum: Relax sanity checks during enslavement
  (bsc#1112374).
- mlxsw: spectrum_router: Remove batch neighbour deletion causing
  FW bug (bsc#1112374).
- mlxsw: spectrum: Disable MAC learning for ovs port
  (bsc#1112374).
- mlxsw: spectrum_router: Update nexthop RIF on update
  (bsc#1112374).
- mlxsw: spectrum_router: Handle encap to demoted tunnels
  (bsc#1112374).
- mlxsw: spectrum_router: Demote tunnels on VRF migration
  (bsc#1112374).
- mlxsw: spectrum_router: Offload decap only for up tunnels
  (bsc#1112374).
- mlxsw: spectrum: Do not try to create non-existing ports during
  unsplit (bsc#1112374).
- mlxsw: spectrum_router: Add batch neighbour deletion
  (bsc#1112374).
- mlxsw: spectrum: Update minimum firmware version to 13.1530.152
  (bsc#1112374).
- net: bridge: Add/del switchdev object on host join/leave
  (bsc#1112374).
- mlxsw: spectrum: Fix error return code in mlxsw_sp_port_create()
  (bsc#1112374).
- mlxsw: spectrum: Support general qdisc stats (bsc#1112374).
- mlxsw: spectrum: Support RED xstats (bsc#1112374).
- mlxsw: spectrum: Collect tclass related stats periodically
  (bsc#1112374).
- mlxsw: reg: Add ext and tc-cong counter groups (bsc#1112374).
- mlxsw: spectrum: Support RED qdisc offload (bsc#1112374).
- mlxsw: reg: Add cwtp & cwtpm registers (bsc#1112374).
- mlxsw: spectrum_router: Handle down of tunnel underlay
  (bsc#1112374).
- mlxsw: spectrum_ipip: Handle underlay device change
  (bsc#1112374).
- mlxsw: spectrum: Handle NETDEV_CHANGE on L3 tunnels
  (bsc#1112374).
- mlxsw: spectrum: Support IPIP underlay VRF migration
  (bsc#1112374).
- mlxsw: spectrum_router: Onload conflicting tunnels
  (bsc#1112374).
- mlxsw: spectrum_router: Fix saddr deduction in
  mlxsw_sp_ipip_entry_create() (bsc#1112374).
- mlxsw: spectrum_router: Generalize
  __mlxsw_sp_ipip_entry_update_tunnel() (bsc#1112374).
- mlxsw: spectrum_router: Extract
  __mlxsw_sp_ipip_entry_update_tunnel() (bsc#1112374).
- mlxsw: spectrum: Propagate extack for tunnel events
  (bsc#1112374).
- mlxsw: spectrum_router: Extract
  mlxsw_sp_ipip_entry_ol_up_event() (bsc#1112374).
- mlxsw: spectrum_router: Make
  mlxsw_sp_netdevice_ipip_ol_up_event() void (bsc#1112374).
- mlxsw: spectrum_router: Extract
  mlxsw_sp_ipip_entry_ol_down_event() (bsc#1112374).
- mlxsw: spectrum_ipip: Split accessor functions (bsc#1112374).
- mlxsw: spectrum: Move mlxsw_sp_ipip_netdev_{s, d}addr{, 4}()
  (bsc#1112374).
- mlxsw: spectrum_router: Extract
  mlxsw_sp_netdevice_ipip_can_offload() (bsc#1112374).
- mlxsw: spectrum: Rename IPIP-related netdevice handlers
  (bsc#1112374).
- mlxsw: spectrum_router: Update multipath hash parameters upon
  netevents (bsc#1112374).
- mlxsw: spectrum_router: Align multipath hash parameters with
  kernel's (bsc#1112374).
- mlxsw: reg: Add Router ECMP Configuration Register Version 2
  (bsc#1112374).
- mlxsw: spectrum_router: Properly name netevent work struct
  (bsc#1112374).
- mlxsw: spectrum_router: Embed netevent notifier block in router
  struct (bsc#1112374).
- ipv4: Send a netevent whenever multipath hash policy is changed
  (bsc#1112374).
- mlxsw: spectrum_router: Return extack message on abort due to
  fib rules (bsc#1112374).
- net: Add extack to fib_notifier_info (bsc#1112374).
- mlxsw: reg: Avoid magic number in PPCNT (bsc#1112374).
- mlxsw: spectrum: Change stats cache to be local (bsc#1112374).
- mlxsw: spectrum: mr_tcam: Include the mr_tcam header file
  (bsc#1112374).
- mlxsw: spectrum: mr: Make the function
  mlxsw_sp_mr_dev_vif_lookup static (bsc#1112374).
- mlxsw: spectrum: mr: Fix various endianness issues
  (bsc#1112374).
- mlxsw: spectrum_dpipe: Fix entries dump of the adjacency table
  (bsc#1112374).
- mlxsw: spectrum: Add another partition to KVD linear
  (bsc#1112374).
- mlxsw: spectrum: Increase number of linear entries
  (bsc#1112374).
- mlxsw: spectrum_router: Populate adjacency entries according
  to weights (bsc#1112374).
- mlxsw: spectrum_router: Prepare for large adjacency groups
  (bsc#1112374).
- mlxsw: spectrum_router: Store weight in nexthop struct
  (bsc#1112374).
- mlxsw: spectrum: Add ability to query KVDL allocation size
  (bsc#1112374).
- mlxsw: spectrum: Better represent KVDL partitions (bsc#1112374).
- mlxsw: spectrum_dpipe: Add adjacency group size (bsc#1112374).
- spectrum: Convert fib event handlers to use container_of on
  info arg (bsc#1112374).
- net: ipv4: Change fib notifiers to take a fib_alias
  (bsc#1112374).
- mlxsw: spectrum_router: Add extack message for RIF and VRF
  overflow (bsc#1112374).
- mlxsw: spectrum: router: Add support for address validator
  notifier (bsc#1112374).
- net: Add extack to validator_info structs used for address
  notifier (bsc#1112374).
- net: ipv6: Make inet6addr_validator a blocking notifier
  (bsc#1112374).
- ipv6: addrconf: cleanup locking in ipv6_add_addr (bsc#1112374).
- mlxsw: spectrum: Drop refcounting of IPIP entries (bsc#1112374).
- mlxsw: spectrum: Support IPIP overlay VRF migration
  (bsc#1112374).
- mlxsw: spectrum: Support decap-only IP-in-IP tunnels
  (bsc#1112374).
- mlxsw: spectrum_router: Move mlxsw_sp_netdev_ipip_type()
  (bsc#1112374).
- mlxsw: spectrum: Move netdevice NB to struct mlxsw_sp
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Support bridge mrouter notifications
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Add support for router port in SMID
  entries (bsc#1112374).
- mlxsw: spectrum: router: Export the mlxsw_sp_router_port
  function (bsc#1112374).
- net: bridge: Export bridge multicast router state (bsc#1112374).
- net: bridge: Notify on bridge device mrouter state changes
  (bsc#1112374).
- mlxsw: spectrum: Propagate extack further for bridge
  enslavements (bsc#1112374).
- mlxsw: spectrum: Add extack for VLAN enslavements (bsc#1112374).
- mlxsw: spectrum: Add extack messages for enslave failures
  (bsc#1112374).
- mlxsw: spectrum: Add missing error code on allocation failure
  (bsc#1112374).
- mlxsw: spectrum: Fix check for IS_ERR() instead of NULL
  (bsc#1112374).
- mlxsw: spectrum: mr: Support trap-and-forward routes
  (bsc#1112374).
- mlxsw: spectrum: mr_tcam: Add trap-and-forward multicast route
  (bsc#1112374).
- mlxsw: spectrum: Add trap for multicast trap-and-forward routes
  (bsc#1112374).
- mlxsw: acl: Introduce ACL trap and forward action (bsc#1112374).
- ipv4: ipmr: Add the parent ID field to VIF struct (bsc#1112374).
- skbuff: Add the offload_mr_fwd_mark field (bsc#1112374).
- mlxsw: spectrum_router: Drop a redundant condition
  (bsc#1112374).
- mlxsw: spectrum_router: Fix a typo (bsc#1112374).
- mlxsw: spectrum: fix uninitialized value in err (bsc#1112374).
- mlxsw: spectrum: router: Don't ignore IPMR notifications
  (bsc#1112374).
- mlxsw: spectrum: Notify multicast router on RIF MTU changes
  (bsc#1112374).
- mlxsw: spectrum_router: Add multicast routes notification
  handling functionality (bsc#1112374).
- mlxsw: spectrum: router: Squash the default route table to main
  (bsc#1112374).
- mlxsw: spectrum: Add the multicast routing hardware logic
  (bsc#1112374).
- mlxsw: spectrum: Add the multicast routing offloading logic
  (bsc#1112374).
- net: mroute: Check if rule is a default rule (bsc#1112374).
- net: ipmr: Add MFC offload indication (bsc#1112374).
- ipmr: Send FIB notifications on MFC and VIF entries
  (bsc#1112374).
- ipmr: Add FIB notification access functions (bsc#1112374).
- ipmr: Add reference count to MFC entries (bsc#1112374).
- fib: notifier: Add VIF add and delete event types (bsc#1112374).
- mlxsw: spectrum_flower: Offload "ok" termination action
  (bsc#1112374).
- mlxsw: spectrum_dpipe: Add support for controlling nexthop
  counters (bsc#1112374).
- mlxsw: spectrum_dpipe: Add support for adjacency table dump
  (bsc#1112374).
- mlxsw: spectrum: Add support for setting counters on nexthops
  (bsc#1112374).
- mlxsw: reg: Add support for counters on RATR (bsc#1112374).
- mlxsw: spectrum_dpipe: Add initial support for the router
  adjacency table (bsc#1112374).
- mlxsw: spectrum_router: Add helpers for nexthop access
  (bsc#1112374).
- mlxsw: spectrum_router: Use helper to check for last neighbor
  (bsc#1112374).
- mlxsw: spectrum_router: Keep nexthops in a linked list
  (bsc#1112374).
- mlxsw: Add fields for mlxsw's meta header for adjacency table
  (bsc#1112374).
- mlxsw: spectrum_dpipe: Fix indentation in header description
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Consider mrouter status for mdb
  changes (bsc#1112374).
- mlxsw: spectrum_switchdev: Remove mrouter flood in mdb flush
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Update the mdb of mrouter port change
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Flood all mc packets to mrouter ports
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Flush the mdb when a port is being
  removed (bsc#1112374).
- mlxsw: spectrum_switchdev: Flood mc when mc is disabled by
  user flag (bsc#1112374).
- mlxsw: spectrum_switchdev: Use generic mc flood function
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Disable mdb when mc is disabled
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Don't write mids to the HW when mc
  is disabled (bsc#1112374).
- mlxsw: spectrum_switchdev: Break mid deletion into two function
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Attach mid id allocation to HW write
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Break smid write function
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Save mids list per bridge device
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Remove reference count from mid
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Add a ports bitmap to the mid db
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Change mc_router to mrouter
  (bsc#1112374).
- mlxsw: spectrum: Add multicast router traps and trap groups
  (bsc#1112374).
- mlxsw: spectrum_router: Export RIF dev access function
  (bsc#1112374).
- mlxsw: reg: Configure RIF to forward IPv4 multicast packets
  by default (bsc#1112374).
- mlxsw: reg: Add Router Rules Copy Register (bsc#1112374).
- mlxsw: reg: Add the Router Multicast Forwarding Table Version
  2 register (bsc#1112374).
- mlxsw: resources: Add multicast ERIF list entries resource
  (bsc#1112374).
- mlxsw: reg: Add the Router Interface Group Version 2 register
  (bsc#1112374).
- mlxsw: reg: Add The Router TCAM Allocation register
  (bsc#1112374).
- mlxsw: reg: Rename the flexible action set length field
  (bsc#1112374).
- mlxsw: acl: Change trap ACL action to get the trap_id as a
  parameter (bsc#1112374).
- mlxsw: acl: Introduce mcrouter ACL action (bsc#1112374).
- mlxsw: spectrum: Move ACL flexible actions instance to spectrum
  (bsc#1112374).
- mlxsw: spectrum: Change init order (bsc#1112374).
- mlxsw: i2c: Fix buffer increment counter for write transaction
  (bsc#1112374).
- mlxsw: reg: Add high and low temperature thresholds
  (bsc#1112374).
- mlxsw: spectrum_router: Configure TIGCR on init (bsc#1112374).
- mlxsw: reg: Add Tunneling IPinIP General Configuration Register
  (bsc#1112374).
- mlxsw: core: Fix possible deadlock (bsc#1112374).
- mlxsw: spectrum_router: Avoid expensive lookup during route
  removal (bsc#1112374).
- mlxsw: spectrum_router: Track RIF of IPIP next hops
  (bsc#1112374).
- mlxsw: spectrum_router: Move VRF refcounting (bsc#1112374).
- mlxsw: spectrum_router: Only handle IPv4 and IPv6 events
  (bsc#1112374).
- mlxsw: spectrum: Fix EEPROM access in case of SFP/SFP+
  (bsc#1112374).
- i2c: mux: mlxcpld: move header file out of I2C realm
  (bsc#1112374).
- mlxsw: spectrum_router: Support GRE tunnels (bsc#1112374).
- mlxsw: spectrum_router: Add loopback accessors (bsc#1112374).
- mlxsw: spectrum: Register for IPIP_DECAP_ERROR trap
  (bsc#1112374).
- mlxsw: spectrum_router: Use existing decap route (bsc#1112374).
- mlxsw: spectrum_router: Support IPv4 underlay decap
  (bsc#1112374).
- mlxsw: spectrum_router: Support IPv6 overlay encap
  (bsc#1112374).
- mlxsw: spectrum_router: Support IPv4 overlay encap
  (bsc#1112374).
- mlxsw: spectrum_router: Make nexthops typed (bsc#1112374).
- mlxsw: spectrum_router: Extract mlxsw_sp_rt6_is_gateway()
  (bsc#1112374).
- mlxsw: spectrum_router: Extract mlxsw_sp_fi_is_gateway()
  (bsc#1112374).
- mlxsw: spectrum_router: Introduce loopback RIFs (bsc#1112374).
- mlxsw: spectrum_router: Support FID-less RIFs (bsc#1112374).
- mlxsw: spectrum_router: Add mlxsw_sp_ipip_ops (bsc#1112374).
- mlxsw: spectrum_router: Publish mlxsw_sp_l3proto (bsc#1112374).
- mlxsw: reg: Give mlxsw_reg_ratr_pack a type parameter
  (bsc#1112374).
- mlxsw: reg: Extract mlxsw_reg_ritr_mac_pack() (bsc#1112374).
- mlxsw: reg: Add Routing Tunnel Decap Properties Register
  (bsc#1112374).
- mlxsw: reg: Add mlxsw_reg_ralue_act_ip2me_tun_pack()
  (bsc#1112374).
- mlxsw: reg: Move enum mlxsw_reg_ratr_trap_id (bsc#1112374).
- mlxsw: reg: Update RATR to support IP-in-IP tunnels
  (bsc#1112374).
- mlxsw: reg: Update RITR to support loopback device
  (bsc#1112374).
- net: Add module reference to FIB notifiers (bsc#1112374).
- mlxsw: spectrum_router: Set abort trap in all virtual routers
  (bsc#1112374).
- mlxsw: spectrum_router: Trap packets hitting anycast routes
  (bsc#1112374).
- mlxsw: spectrum_dpipe: Add support for controlling IPv6 neighbor
  counters (bsc#1112374).
- mlxsw: spectrum_router: Add support for setting counters on
  IPv6 neighbors (bsc#1112374).
- mlxsw: spectrum_dpipe: Add support for IPv6 host table dump
  (bsc#1112374).
- mlxsw: spectrum_dpipe: Make host entry fill handler more generic
  (bsc#1112374).
- mlxsw: spectrum_router: Add IPv6 neighbor access helper
  (bsc#1112374).
- mlxsw: spectrum_dpipe: Add IPv6 host table initial support
  (bsc#1112374).
- mlxsw: spectrum_router: Export IPv6 link local address check
  helper (bsc#1112374).
- devlink: Add IPv6 header for dpipe (bsc#1112374).
- mlxsw: spectrum_dpipe: Fix host table dump (bsc#1112374).
- mlxsw: spectrum: compile-in dpipe support only if devlink is
  enabled (bsc#1112374).
- mlxsw: spectrum_dpipe: Add support for controlling neighbor
  counters (bsc#1112374).
- mlxsw: spectrum_dpipe: Add support for IPv4 host table dump
  (bsc#1112374).
- mlxsw: spectrum_router: Add support for setting counters on
  neighbors (bsc#1112374).
- mlxsw: reg: Make flow counter set type enum to be shared
  (bsc#1112374).
- mlxsw: spectrum_dpipe: Add IPv4 host table initial support
  (bsc#1112374).
- mlxsw: spectrum_dpipe: Fix label name (bsc#1112374).
- mlxsw: spectrum_router: Add helpers for neighbor access
  (bsc#1112374).
- devlink: Move dpipe entry clear function into devlink
  (bsc#1112374).
- devlink: Add support for dynamic table size (bsc#1112374).
- mlxsw: spectrum_dpipe: Fix erif table op name space
  (bsc#1112374).
- devlink: Add IPv4 header for dpipe (bsc#1112374).
- devlink: Add Ethernet header for dpipe (bsc#1112374).
- mlxsw: spectrum_acl: Provide helper to lookup ruleset
  (bsc#1112374).
- mlxsw: spectrum_acl: Allow to get group_id value for a ruleset
  (bsc#1112374).
- mlxsw: spectrum_router: Use correct config option (bsc#1112374).
- ipv6: fib: Provide offload indication using nexthop flags
  (bsc#1112374).
- mlxsw: spectrum_router: Add support for nexthop group
  consolidation for IPv6 (bsc#1112374).
- mlxsw: spectrum_router: Prepare nexthop group's hash table
  for IPv6 (bsc#1112374).
- mlxsw: spectrum_router: Use one LPM tree for all virtual routers
  (bsc#1112374).
- mlxsw: spectrum_router: Pass argument explicitly (bsc#1112374).
- mlxsw: spectrum_router: Return void from deletion functions
  (bsc#1112374).
- mlxsw: make mlxsw_config_profile const (bsc#1112374).
- mlxsw: spectrum_router: Don't ignore IPv6 notifications
  (bsc#1112374).
- net: fib_rules: Implement notification logic in core
  (bsc#1112374).
- Ipvlan should return an error when an address is already in use
  (bsc#1112374).
- net: ipv4: Plumb extack through route add functions
  (bsc#1112374).
- commit f036a00
* Mon Oct 22 2018 tzimmermann@suse.de
- drm/amdgpu: Fix vce work queue was not cancelled when suspend (bsc#1106110)
- commit 223f5ac
* Mon Oct 22 2018 neilb@suse.com
- Fix kABI for "Ensure we commit after writeback is complete" (bsc#1111809).
- commit e67052d
* Mon Oct 22 2018 neilb@suse.com
- NFS: Ensure we commit after writeback is complete (bsc#1111809).
- commit f42d953
* Fri Oct 19 2018 jeffm@suse.com
- reiserfs: don't panic on bad directory entries (bsc#1109818).
- reiserfs: add check to detect corrupted directory entry
  (bsc#1109818).
- commit deb9838
* Fri Oct 19 2018 jroedel@suse.de
- kvm: Make VM ioctl do valloc for some archs (bsc#1111506).
- KVM: x86: define SVM/VMX specific kvm_arch_[alloc|free]_vm
  (bsc#1111506).
- kvm/x86: kABI fix for vm_alloc/vm_free changes (bsc#1111506).
- Refresh
  patches.arch/01-x86-KVM-Warn-user-if-KVM-is-loaded-SMT-and-L1TF-CPU-.patch.
- Refresh
  patches.arch/44-kvm-svm-implement-virt_spec_ctrl-support-for-ssbd.patch.
- Refresh patches.kabi/fix-kvm-kabi.patch.
- commit be44bf0
* Fri Oct 19 2018 jack@suse.cz
- dax: Fix deadlock in dax_lock_mapping_entry() (bsc#1109951).
- commit 6f280f7
* Fri Oct 19 2018 jack@suse.cz
- ext2, dax: set ext2_dax_aops for dax files (bsc#1112554).
- commit dd35f89
* Fri Oct 19 2018 mkubecek@suse.cz
- net: ethtool: extend RXNFC API to support RSS spreading of
  filter matches (fate#326122 bsc#1105557).
- commit dc0107f
* Fri Oct 19 2018 tiwai@suse.de
- blacklist.conf: Import more entries from "easter egg"
  The blacklist entries for stable trees that have been kept internally are
  imported here.  Some commit IDs are for stable git tree, not Linus tree.
- commit 02f457e
* Fri Oct 19 2018 mgorman@suse.de
- sched/numa: Limit the conditions where scan period is reset
  (fate#326522).
- commit 3699e54
* Fri Oct 19 2018 mkubecek@suse.cz
- net/core: Add drop counters to VF statistics (fate#326021).
- commit 53fd97f
* Fri Oct 19 2018 tbogendoerfer@suse.de
- ipv6: fib: Add helpers to hold / drop a reference on rt6_info
  (bsc#1112374).
- ipv6: fib: Add in-kernel notifications for route add / delete
  (bsc#1112374).
- ipv6: fib: Add FIB notifiers callbacks (bsc#1112374).
- commit 2dd8030
* Fri Oct 19 2018 hare@suse.de
- s390: fix up for "blk-mq: switch ->queue_rq return value to
  (bsc#1104967,FATE#325924).
- commit e84f987
* Fri Oct 19 2018 tbogendoerfer@suse.de
- net: core: Make the FIB notification chain generic
  (bsc#1112374).
- Refresh
  patches.drivers/xdp-base-API-for-new-XDP-rx-queue-info-concept.patch.
- commit 1b411a8
* Fri Oct 19 2018 tbogendoerfer@suse.de
- ipv6: fib: Add offload indication to routes (bsc#1112374).
- commit 5e6fc30
* Fri Oct 19 2018 tbogendoerfer@suse.de
- Delete
  patches.suse/mlxsw-core_acl_flex_actions-Return-error-for-conflic.patch.
- Delete
  patches.suse/mlxsw-spectrum-Disable-MAC-learning-for-ovs-port.patch.
- Delete
  patches.suse/mlxsw-spectrum-Relax-sanity-checks-during-enslavemen.patch.
- Delete
  patches.suse/mlxsw-spectrum_router-Don-t-log-an-error-on-missing-.patch.
- Delete
  patches.suse/mlxsw-spectrum_router-Fix-error-path-in-mlxsw_sp_vr_.patch.
- Delete
  patches.suse/mlxsw-spectrum-Forbid-creation-of-VLAN-1-over-port-L.patch.
- Delete
  patches.suse/mlxsw-spectrum_switchdev-Check-success-of-FDB-add-op.patch.
- commit 4311534
* Fri Oct 19 2018 hare@suse.de
- block: Suppress kernel-doc warnings triggered by blk-zoned.c
  (bsc#1104967,FATE#325924).
- block: Move the queue_flag_*() functions from a public into
  a private header file (bsc#1104967,FATE#325924).
- block: Complain if queue_flag_(set|clear)_unlocked() is abused
  (bsc#1104967,FATE#325924).
- commit 07ef8e3
* Fri Oct 19 2018 jack@suse.cz
- Update tags
  patches.fixes/mm-Preserve-_PAGE_DEVMAP-across-mprotect-calls.patch.
- commit f0e8a69
* Fri Oct 19 2018 tbogendoerfer@suse.de
- acl: Introduce ACL trap action (bsc#1112374).
- commit 5fbd84f
* Fri Oct 19 2018 tbogendoerfer@suse.de
- mlxsw: spectrum: Implement common FID core (bsc#1112374).
- Refresh
  patches.drivers/act_mirred-get-rid-of-tcfm_ifindex-from-struct-tcf_m.patch.
- commit 8b4b2db
* Fri Oct 19 2018 tbogendoerfer@suse.de
- mlxsw: spectrum: Don't lose bridge port device during
  enslavement (bsc#1112374).
- commit b2ef66a
* Fri Oct 19 2018 tbogendoerfer@suse.de
- mlxsw: spectrum: Set port's mode according to FID mappings
  (bsc#1112374).
- commit eb13001
* Fri Oct 19 2018 tbogendoerfer@suse.de
- mlxsw: spectrum_router: Move RIFs array to its rightful place
  (bsc#1112374).
- commit f659ee8
* Fri Oct 19 2018 glin@suse.com
- bpf/verifier: disallow pointer subtraction (bsc#1083647).
- commit bbefdde
* Fri Oct 19 2018 glin@suse.com
- bpf: 32-bit RSH verification must truncate input before the
  ALU op (bsc#1112372 CVE-2018-18445).
- commit 2fda71f
* Fri Oct 19 2018 msuchanek@suse.de
- powerpc/powernv/ioda2: Reduce upper limit for DMA window size
  (bsc#1055120).
- commit 5723dd6
* Fri Oct 19 2018 tbogendoerfer@suse.de
- mlxsw: spectrum: Tidy up header file (bsc#1112374).
- Refresh
  patches.drivers/mlxsw-spectrum-Offload-multichain-TC-rules.patch.
- Refresh
  patches.drivers/net-sched-push-cls-related-args-into-cls_common-stru.patch.
- commit 03b4a65
* Thu Oct 18 2018 tbogendoerfer@suse.de
- mlxsw: spectrum: Replace vPorts with Port-VLAN (bsc#1112374).
- commit f6d5d83
* Thu Oct 18 2018 ohering@suse.de
- hv: avoid crash in vmbus sysfs files (bnc#1108377).
- commit 1dc9562
* Thu Oct 18 2018 tbogendoerfer@suse.de
- net: ipv6: Plumb extack through route add functions
  (bsc#1112374).
- Refresh
  patches.fixes/ipv6-take-dst-__refcnt-for-insertion-into-fib6-tree.patch.
- commit d107890
* Thu Oct 18 2018 hare@suse.de
- Revert "loop: support 4k physical blocksize"
  (bsc#1104967,FATE#325924).
- Delete patches.suse/loop-Compability-for-older-releases.patch.
- commit 9615f08
* Thu Oct 18 2018 hare@suse.de
- block: Introduce
  blk_queue_flag_{set,clear,test_and_{set,clear}}()
  (bsc#1104967,FATE#325924).
- commit db86608
* Thu Oct 18 2018 hare@suse.de
- block: Use the queue_flag_*() functions instead of open-coding
  these (bsc#1104967,FATE#325924).
- commit bd38247
* Thu Oct 18 2018 tbogendoerfer@suse.de
- mlxsw: spectrum_router: Abort on source-specific routes
  (bsc#1112374).
- mlxsw: spectrum_router: Add support for route replace
  (bsc#1112374).
- mlxsw: spectrum_router: Add support for IPv6 routes addition /
  deletion (bsc#1112374).
- mlxsw: spectrum_router: Sanitize IPv6 FIB rules (bsc#1112374).
- mlxsw: spectrum_router: Demultiplex FIB event based on family
  (bsc#1112374).
- ipv6: fib_rules: Check if rule is a default rule (bsc#1112374).
- mlxsw: spectrum_router: Ignore address families other than IPv4
  (bsc#1112374).
- mlxsw: spectrum_router: Refresh offload indication upon group
  refresh (bsc#1112374).
- mlxsw: spectrum_router: Don't check state when refreshing
  offload indication (bsc#1112374).
- mlxsw: spectrum_router: Provide offload indication using
  nexthop flags (bsc#1112374).
- mlxsw: core: Use correct EMAD transaction ID in debug message
  (bsc#1112374).
- mlxsw: spectrum_router: Clarify a piece of code (bsc#1112374).
- mlxsw: spectrum_router: Simplify a piece of code (bsc#1112374).
- mlxsw: reg.h: Namespace IP2ME registers (bsc#1112374).
- mlxsw: Update specification of reg_ritr_type (bsc#1112374).
- mlxsw: spectrum_router: Fix a typo (bsc#1112374).
- mlxsw: reg.h: Fix a typo (bsc#1112374).
- mlxsw: spectrum_acl: Fix a typo (bsc#1112374).
- mlxsw: spectrum_router: Fix build when IPv6 isn't enabled
  (bsc#1112374).
- mlxsw: spectrum_router: Don't batch neighbour deletion
  (bsc#1112374).
- mlxsw: spectrum_router: Update prefix count for IPv6
  (bsc#1112374).
- mlxsw: spectrum_router: Rename functions to add / delete a
  FIB entry (bsc#1112374).
- mlxsw: spectrum_router: Drop unnecessary parameter
  (bsc#1112374).
- mlxsw: spectrum_router: Mark IPv4 specific function accordingly
  (bsc#1112374).
- mlxsw: spectrum_router: Create IPv4 specific entry struct
  (bsc#1112374).
- mlxsw: spectrum_router: Set abort trap for IPv6 (bsc#1112374).
- mlxsw: spectrum_router: Allow IPv6 routes to be programmed
  (bsc#1112374).
- mlxsw: reg: Update RALUE register with IPv6 support
  (bsc#1112374).
- mlxsw: spectrum_router: Extend virtual routers with IPv6 support
  (bsc#1112374).
- mlxsw: spectrum_router: Make FIB node retrieval family agnostic
  (bsc#1112374).
- mlxsw: spectrum_router: Don't create FIB node during lookup
  (bsc#1112374).
- mlxsw: spectrum_router: Don't assume neighbour type
  (bsc#1112374).
- mlxsw: spectrum_router: Set activity interval according to
  both neighbour tables (bsc#1112374).
- mlxsw: spectrum_router: Periodically dump active IPv6 neighbours
  (bsc#1112374).
- mlxsw: reg: Update RAUHTD register with IPv6 support
  (bsc#1112374).
- mlxsw: spectrum_router: Reflect IPv6 neighbours to the device
  (bsc#1112374).
- mlxsw: reg: Update RAUHT register with IPv6 support
  (bsc#1112374).
- mlxsw: spectrum_router: Configure RIFs based on IPv6 addresses
  (bsc#1112374).
- mlxsw: spectrum_router: Flood unregistered multicast packets
  to router (bsc#1112374).
- mlxsw: spectrum: Add support for IPv6 traps (bsc#1112374).
- mlxsw: reg: Enable IPv6 on router interfaces (bsc#1112374).
- mlxsw: spectrum_router: Enable IPv6 router (bsc#1112374).
- mlxsw: spectrum: Improve IPv6 unregistered multicast flooding
  (bsc#1112374).
- mlxsw: spectrum: Add support for IPv6 MLDv1/2 traps
  (bsc#1112374).
- mlxsw: spectrum: Trap IPv4 packets with Router Alert option
  (bsc#1112374).
- mlxsw: spectrum: Mark packets trapped in router (bsc#1112374).
- mlxsw: spectrum_flower: Add support for ip tos (bsc#1112374).
- mlxsw: spectrum: Add tos to the ipv4 acl block (bsc#1112374).
- mlxsw: acl: Add ip tos acl element (bsc#1112374).
- mlxsw: spectrum_flower: Add support for ip ttl (bsc#1112374).
- mlxsw: spectrum: Add ttl to the ipv4 acl block (bsc#1112374).
- mlxsw: acl: Add ip ttl acl element (bsc#1112374).
- mlxsw: spectrum_switchdev: Fix mrouter flag update
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Release multicast groups during fini
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Don't warn about valid situations
  (bsc#1112374).
- mlxsw: spectrum_router: Don't offload routes next in list
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Check status of memory allocation
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Remove unused variable (bsc#1112374).
- mlxsw: spectrum_router: Fix use-after-free in route replace
  (bsc#1112374).
- mlxsw: spectrum_router: Add missing rollback (bsc#1112374).
- mlxsw: spectrum: Add support for access cable info via ethtool
  (bsc#1112374).
- mlxsw: reg: Add MCIA register for cable info access
  (bsc#1112374).
- mlxsw: spectrum: Pass port argument to module mapping functions
  (bsc#1112374).
- mlxsw: spectrum: Simplify port split flow (bsc#1112374).
- mlxsw: spectrum_router: Mark only first LPM tree as reserved
  (bsc#1112374).
- mlxsw: spectrum: Remove support for bridge bypass FDB add/del
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Add support for learning FDB through
  notification (bsc#1112374).
- mlxsw: spectrum_switchdev: Change switchdev notifier API
  (bsc#1112374).
- mlxsw: spectrum: Remove support for bypass bridge port
  attributes/vlan set (bsc#1112374).
- mlxsw: spectrum_switchdev: Add support for querying supported
  bridge flags (bsc#1112374).
- mlxsw: spectrum: Remove support for bridge FDB learning sync
  (bsc#1112374).
- net: bridge: Receive notification about successful FDB offload
  (bsc#1112374).
- net: bridge: Add support for notifying devices about FDB add/del
  (bsc#1112374).
- net: switchdev: Change notifier chain to be atomic
  (bsc#1112374).
- net: bridge: Add support for offloading port attributes
  (bsc#1112374).
- net: switchdev: Add support for querying supported bridge
  flags by hardware (bsc#1112374).
- spectrum_flower: Implement gact trap TC action offload
  (bsc#1112374).
- mlxsw: spectrum: Introduce ACL trap (bsc#1112374).
- mlxsw: pci: Fix size of trap_id field in CQE (bsc#1112374).
- mlxsw: spectrum_router: Align RIF index allocation with existing
  code (bsc#1112374).
- mlxsw: Fix typo inside enumeration (bsc#1112374).
- mlxsw: spectrum: Rename the firmware file (bsc#1112374).
- mlxsw: spectrum: Add bridge dependency for spectrum
  (bsc#1112374).
- mlxsw: spectrum: Implement the ethtool flash_device callback
  (bsc#1112374).
- mlxsw: spectrum_router: Implement common RIF core (bsc#1112374).
- mlxsw: spectrum_router: Determine VR first when creating RIF
  (bsc#1112374).
- mlxsw: spectrum_router: Flood packets to router after RIF
  creation (bsc#1112374).
- mlxsw: spectrum_router: Destroy RIF only based on its struct
  (bsc#1112374).
- mlxsw: spectrum_router: Configure RIFs based on RIF struct
  (bsc#1112374).
- mlxsw: spectrum_router: Extend the RIF struct (bsc#1112374).
- mlxsw: spectrum_router: Allocate RIF prior to its configuration
  (bsc#1112374).
- mlxsw: spectrum_router: Allocate FID prior to RIF configuration
  (bsc#1112374).
- mlxsw: spectrum: Don't create FIDs upon creation of VLAN uppers
  (bsc#1112374).
- mlxsw: spectrum_router: Replace vPorts with Port-VLAN
  (bsc#1112374).
- mlxsw: spectrum: Change signature of FID leave function
  (bsc#1112374).
- mlxsw: spectrum: Introduce Port-VLAN structure (bsc#1112374).
- bridge: Export multicast enabled state (bsc#1112374).
- bridge: Export VLAN filtering state (bsc#1112374).
- mlxsw: spectrum_router: Adjust RIF configuration for new
  firmware versions (bsc#1112374).
- mlxsw: spectrum: Validate firmware revision on init
  (bsc#1112374).
- mlxsw: core: Create the mlxsw_fw_rev struct (bsc#1112374).
- mlxsw: spectrum: Add the needed callbacks for mlxfw integration
  (bsc#1112374).
- mlxsw: reg: Add Management Component Data Access register
  (bsc#1112374).
- mlxsw: reg: Add Management Component Control register
  (bsc#1112374).
- mlxsw: reg: Add Management Component Query Information register
  (bsc#1112374).
- mlxsw: spectrum_flower: Add support for tcp flags (bsc#1112374).
- mlxsw: spectrum: Add acl block containing tcp flags for ipv4
  (bsc#1112374).
- mlxsw: acl: Add tcp flags acl element (bsc#1112374).
- net: ipv6: Add extack messages for route add failures
  (bsc#1112374).
- mlxsw: spectrum_dpipe: Fix sparse warnings (bsc#1112374).
- mlxsw: spectrum: Default ports to non-virtual mode
  (bsc#1112374).
- mlxsw: spectrum: Move PVID code to appropriate place
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Don't batch learning operations
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Don't batch STP operations
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Don't batch VLAN operations
  (bsc#1112374).
- mlxsw: spectrum_switchdev: Remove redundant check (bsc#1112374).
- mlxsw: spectrum_router: Initialize RIFs in a separate function
  (bsc#1112374).
- mlxsw: spectrum_router: Move FIB notification block to router
  struct (bsc#1112374).
- mlxsw: spectrum_switchdev: Reduce scope of bridge struct
  (bsc#1112374).
- mlxsw: spectrum_router: Reduce scope of router struct
  (bsc#1112374).
- mlxsw: spectrum_buffer: Reduce scope of shared buffer struct
  (bsc#1112374).
- commit c07f603
* Thu Oct 18 2018 hare@suse.de
- skd: Change default interrupt mode to MSI-X
  (bsc#1104967,FATE#325924).
- skd: Avoid double completions in case of a timeout
  (bsc#1104967,FATE#325924).
- skd: Inline skd_process_request() (bsc#1104967,FATE#325924).
- skd: Report completion mismatches once
  (bsc#1104967,FATE#325924).
- skd: error pointer dereference in skd_cons_disk()
  (bsc#1104967,FATE#325924).
- skd: Uninitialized variable in skd_isr_completion_posted()
  (bsc#1104967,FATE#325924).
- skd: Remove driver version information
  (bsc#1104967,FATE#325924).
- skd: Bump driver version (bsc#1104967,FATE#325924).
- skd: Optimize locking (bsc#1104967,FATE#325924).
- skd: Remove several local variables (bsc#1104967,FATE#325924).
- skd: Reduce memory usage (bsc#1104967,FATE#325924).
- skd: Remove skd_device.in_flight (bsc#1104967,FATE#325924).
- skd: Switch to block layer timeout mechanism
  (bsc#1104967,FATE#325924).
- skd: Convert to blk-mq (bsc#1104967,FATE#325924).
- skd: Coalesce struct request and struct skd_request_context
  (bsc#1104967,FATE#325924).
- skd: Move skd_free_sg_list() up (bsc#1104967,FATE#325924).
- skd: Split skd_recover_requests() (bsc#1104967,FATE#325924).
- skd: Introduce skd_process_request() (bsc#1104967,FATE#325924).
- skd: Convert several per-device scalar variables into atomics
  (bsc#1104967,FATE#325924).
- skd: Enable request tags for the block layer queue
  (bsc#1104967,FATE#325924).
- skd: Initialize skd_special_context.req.n_sg to one
  (bsc#1104967,FATE#325924).
- skd: Remove dead code (bsc#1104967,FATE#325924).
- skd: Remove SG IO support (bsc#1104967,FATE#325924).
- skd: Convert explicit skd_request_fn() calls
  (bsc#1104967,FATE#325924).
- skd: Rework request failing code path (bsc#1104967,FATE#325924).
- skd: Move a function definition (bsc#1104967,FATE#325924).
- skb: Use symbolic names for SCSI opcodes
  (bsc#1104967,FATE#325924).
- skd: Use kcalloc() instead of kzalloc() with multiply
  (bsc#1104967,FATE#325924).
- skd: Remove superfluous occurrences of the 'volatile' keyword
  (bsc#1104967,FATE#325924).
- skd: Remove a redundant init_timer() call
  (bsc#1104967,FATE#325924).
- skd: Use for_each_sg() (bsc#1104967,FATE#325924).
- skd: Drop second argument of skd_recover_requests()
  (bsc#1104967,FATE#325924).
- skd: Remove superfluous initializations from
  (bsc#1104967,FATE#325924).
- skd: Simplify the code for handling data direction
  (bsc#1104967,FATE#325924).
- skd: Use ARRAY_SIZE() where appropriate
  (bsc#1104967,FATE#325924).
- skd: Make the skd_isr() code more brief
  (bsc#1104967,FATE#325924).
- skd: Use __packed only when needed (bsc#1104967,FATE#325924).
- skd: Check structure sizes at build time
  (bsc#1104967,FATE#325924).
- skd: Use a structure instead of hardcoding structure offsets
  (bsc#1104967,FATE#325924).
- skd: Simplify the code for allocating DMA message buffers
  (bsc#1104967,FATE#325924).
- skd: Simplify the code for deciding whether or not to send a
  (bsc#1104967,FATE#325924).
- skd: Reorder the code in skd_process_request()
  (bsc#1104967,FATE#325924).
- skd: Fix size argument in skd_free_skcomp()
  (bsc#1104967,FATE#325924).
- skd: Introduce SKD_SKCOMP_SIZE (bsc#1104967,FATE#325924).
- skd: Introduce the symbolic constant SKD_MAX_REQ_PER_MSG
  (bsc#1104967,FATE#325924).
- skd: Document locking assumptions (bsc#1104967,FATE#325924).
- skd: Fix endianness annotations (bsc#1104967,FATE#325924).
- skd: Switch from the pr_*() to the dev_*() logging functions
  (bsc#1104967,FATE#325924).
- skd: Remove useless barrier() calls (bsc#1104967,FATE#325924).
- skd: Remove a set-but-not-used variable from struct
  (bsc#1104967,FATE#325924).
- skd: Remove set-but-not-used local variables
  (bsc#1104967,FATE#325924).
- skd: Fix a function name in a comment (bsc#1104967,FATE#325924).
- skd: Fix spelling in a source code comment
  (bsc#1104967,FATE#325924).
- skd: Avoid that gcc 7 warns about fall-through when building
  (bsc#1104967,FATE#325924).
- skd: Remove unnecessary blank lines (bsc#1104967,FATE#325924).
- skd: Remove ESXi code (bsc#1104967,FATE#325924).
- skd: Remove unneeded #include directives
  (bsc#1104967,FATE#325924).
- skd: Update maintainer information (bsc#1104967,FATE#325924).
- skd: Switch to GPLv2 (bsc#1104967,FATE#325924).
- skd: Submit requests to firmware before triggering the
  (bsc#1104967,FATE#325924).
- skd: Avoid that module unloading triggers a use-after-free
  (bsc#1104967,FATE#325924).
- commit 5b3a931
* Thu Oct 18 2018 hare@suse.de
- brd: remove dax support (bsc#1104967,FATE#325924).
- brd: remove unused brd_mutex (bsc#1104967,FATE#325924).
- commit 0d73780
* Thu Oct 18 2018 tbogendoerfer@suse.de
- bpf: fix maximum stack depth tracking logic (bsc#1109837).
- commit cba354c
* Thu Oct 18 2018 tbogendoerfer@suse.de
- bpf: x64: add JIT support for multi-function programs
  (bsc#1109837).
- Refresh
  patches.fixes/bpf-properly-enforce-index-mask-to-prevent-out-of-bo.patch.
- Refresh
  patches.suse/bpf-prevent-memory-disambiguation-attack.patch.
- commit 9c68ecf
* Thu Oct 18 2018 tbogendoerfer@suse.de
- bpf: add support for bpf_call to interpreter (bsc#1109837).
- commit c26ec8c
* Thu Oct 18 2018 tbogendoerfer@suse.de
- bpf: fix stacksafe exploration when comparing states
  (bsc#1109837).
- Refresh
  patches.fixes/bpf-allow-xadd-only-on-aligned-memory.patch.
- commit 68bd213
* Thu Oct 18 2018 hare@suse.de
- Update config files.
- commit a4203fc
* Thu Oct 18 2018 tbogendoerfer@suse.de
- net: sch: api: add extack support in qdisc_create_dflt
  (bsc#1109837).
- Refresh
  patches.drivers/net-sched-red-avoid-hashing-NULL-child.patch.
- commit ec846c8
* Thu Oct 18 2018 tiwai@suse.de
- scripts/series2git: Revert the change mistakenly taken
  A "fix" for series2git went in mistakenly among other patches.
  Revert it here.  It'll be picked up from a proper branch if need.
- commit 4463d2b
* Thu Oct 18 2018 tbogendoerfer@suse.de
- bpf: teach verifier to recognize zero initialized stack
  (bsc#1109837).
- Refresh
  patches.fixes/bpf-allow-xadd-only-on-aligned-memory.patch.
- Refresh
  patches.suse/bpf-prevent-memory-disambiguation-attack.patch.
- commit bf73801
* Thu Oct 18 2018 tbogendoerfer@suse.de
- bpf: introduce function calls (verification) (bsc#1109837).
- Refresh
  patches.fixes/bpf-allow-xadd-only-on-aligned-memory.patch.
- Refresh
  patches.fixes/bpf-properly-enforce-index-mask-to-prevent-out-of-bo.patch.
- Refresh
  patches.suse/bpf-prevent-memory-disambiguation-attack.patch.
- commit 097354d
* Thu Oct 18 2018 tiwai@suse.de
- mach64: detect the dot clock divider correctly on sparc
  (bsc#1051510).
- drm/amdgpu: Fix SDMA HQD destroy error on gfx_v7 (bsc#1051510).
- commit 6ef7e4c
* Thu Oct 18 2018 tiwai@suse.de
- mmc: block: avoid multiblock reads for the last sector in SPI
  mode (bsc#1051510).
- qmi_wwan: Added support for Gemalto's Cinterion ALASxx WWAN
  interface (bsc#1051510).
- i2c: i2c-scmi: fix for i2c_smbus_write_block_data (bsc#1051510).
- xhci: Don't print a warning when setting link state for disabled
  ports (bsc#1051510).
- commit 4765254
* Thu Oct 18 2018 tiwai@suse.de
- clk: x86: Stop marking clocks as CLK_IS_CRITICAL (bsc#1051510).
- clk: x86: add "ether_clk" alias for Bay Trail / Cherry Trail
  (bsc#1051510).
- commit 98a57f6
* Thu Oct 18 2018 tiwai@suse.de
- ASoC: Intel: Skylake: Reset the controller in probe
  (bsc#1051510).
- ASoC: rsnd: adg: care clock-frequency size (bsc#1051510).
- ASoC: rsnd: don't fallback to PIO mode when -EPROBE_DEFER
  (bsc#1051510).
- ASoC: rt5514: Fix the issue of the delay volume applied again
  (bsc#1051510).
- ASoC: sigmadsp: safeload should not have lower byte limit
  (bsc#1051510).
- ASoC: wm8804: Add ACPI support (bsc#1051510).
- sound: don't call skl_init_chip() to reset intel skl soc
  (bsc#1051510).
- sound: enable interrupt after dma buffer initialization
  (bsc#1051510).
- scripts/series2git:
- commit 0b6b9ae
* Thu Oct 18 2018 hare@suse.de
- block: sed-opal: fix u64 short atom length
  (bsc#1104967,FATE#325924).
- bsg: split handling of SCSI CDBs vs transport requeues
  (bsc#1104967,FATE#325924).
- bsg-lib: remove bsg_job.req (bsc#1104967,FATE#325924).
- bsg-lib: introduce a timeout field in struct bsg_job
  (bsc#1104967,FATE#325924).
- commit 1fc1398
* Thu Oct 18 2018 hare@suse.de
- zram: set BDI_CAP_STABLE_WRITES once (bsc#1104967,FATE#325924).
- s390/scm: use multiple queues (bsc#1104967,FATE#325924).
- s390/scm: convert tasklet (bsc#1104967,FATE#325924).
- s390/scm: convert to blk-mq (bsc#1104967,FATE#325924).
- s390/scm: remove cluster option (bsc#1104967,FATE#325924).
- commit 72907c8
* Thu Oct 18 2018 tbogendoerfer@suse.de
- tools: rename tools/net directory to tools/bpf (bsc#1109837).
- Refresh
  patches.fixes/bpf-fix-uninitialized-variable-in-bpf-tools.patch.
- commit 50de9a6
* Thu Oct 18 2018 tbogendoerfer@suse.de
- bpf: implement syscall command BPF_MAP_GET_NEXT_KEY for
  stacktrace map (bsc#1109837).
- samples/bpf: program demonstrating access to xdp_rxq_info
  (bsc#1109837).
- bpf: finally expose xdp_rxq_info to XDP bpf-programs
  (bsc#1109837).
- xdp: generic XDP handling of xdp_rxq_info (bsc#1109837).
- nfp: setup xdp_rxq_info (bsc#1109837).
- xdp/qede: setup xdp_rxq_info and intro xdp_rxq_info_is_reg
  (bsc#1109837).
- xdp: base API for new XDP rx-queue info concept (bsc#1109837).
- bpf: only build sockmap with CONFIG_INET (bsc#1109837).
- bpf: sockmap remove unused function (bsc#1109837).
- bpf: offload: free program id when device disappears
  (bsc#1109837).
- bpf: offload: free prog->aux->offload when device disappears
  (bsc#1109837).
- bpf: offload: allow netdev to disappear while verifier is
  running (bsc#1109837).
- bpf: offload: don't use prog->aux->offload as boolean
  (bsc#1109837).
- bpf: offload: don't require rtnl for dev list manipulation
  (bsc#1109837).
- nfp: add basic multicast filtering (bsc#1109837).
- net: sched: fix tcf_block_get_ext() in case CONFIG_NET_CLS is
  not set (bsc#1109837).
- nfp: flower: implement the PORT_REIFY message (bsc#1109837).
- nfp: add repr_preclean callback (bsc#1109837).
- nfp: flower: obtain repr link state only from firmware
  (bsc#1109837).
- net: sched: fix skb leak in dev_requeue_skb() (bsc#1109837).
- net: sched: Move offload check till after dump call
  (bsc#1109837).
- net_sch: red: Fix the new offload indication (bsc#1109837).
- net: sched: don't set extack message in case the qdisc will
  be created (bsc#1109837).
- bpf: fix max call depth check (bsc#1109837).
- bpf: fix kallsyms handling for subprogs (bsc#1109837).
- bpf: make function skip_callee static and return NULL rather
  than 0 (bsc#1109837).
- bpf: fix spelling mistake: "funcation"-> "function"
  (bsc#1109837).
- nfp: bpf: allocate vNIC priv for keeping track of the offloaded
  program (bsc#1109837).
- net: sch: api: fix tcf_block_get (bsc#1109837).
- net: sch: sch_drr: add extack support (bsc#1109837).
- net: sch: sch_cbs: add extack support (bsc#1109837).
- net: sch: sch_cbq: add extack support (bsc#1109837).
- net: sch: api: add extack support in qdisc_alloc (bsc#1109837).
- net: sch: api: add extack support in tcf_block_get
  (bsc#1109837).
- net: sch: api: add extack support in qdisc_get_rtab
  (bsc#1109837).
- net: sched: sch: add extack for graft callback (bsc#1109837).
- net: sched: sch: add extack for block callback (bsc#1109837).
- net: sched: sch: add extack to change class (bsc#1109837).
- net: sched: sch: add extack for change qdisc ops (bsc#1109837).
- net: sched: sch: add extack for init callback (bsc#1109837).
- net: sched: sch_api: handle generic qdisc errors (bsc#1109837).
- net: sched: fix coding style issues (bsc#1109837).
- nfp: flower: compile Geneve encap actions (bsc#1109837).
- nfp: flower: compile Geneve match fields (bsc#1109837).
- nfp: flower: read extra feature support from fw (bsc#1109837).
- nfp: flower: remove unused tun_mask variable (bsc#1109837).
- net_sched: properly check for empty skb array on error path
  (bsc#1109837).
- nfp: set flags in the correct member of netdev_bpf
  (bsc#1109837).
- bpf: introduce function calls (function boundaries)
  (bsc#1109837).
- nfp: bpf: correct printk formats for size_t (bsc#1109837).
- nfp: bpf: optimize the adjust_head calls in trivial cases
  (bsc#1109837).
- nfp: bpf: add basic support for adjust head call (bsc#1109837).
- nfp: bpf: prepare for call support (bsc#1109837).
- nfp: bpf: prepare for parsing BPF FW capabilities (bsc#1109837).
- nfp: add nfp_cpp_area_size() accessor (bsc#1109837).
- bpftool: implement cgroup bpf operations (bsc#1109837).
- bpftool: implement prog load command (bsc#1109837).
- tools: bpftool: harmonise Makefile and Documentation/Makefile
  (bsc#1109837).
- nfp: fix XPB register reads in debug dump (bsc#1109837).
- nfp: fix absolute rtsym handling in debug dump (bsc#1109837).
- samples/bpf: add erspan v2 sample code (bsc#1109837).
- nfp: implement firmware flashing (bsc#1109837).
- nfp: extend NSP infrastructure for configurable timeouts
  (bsc#1109837).
- net_sched: switch to exit_batch for action pernet ops
  (bsc#1109837).
- nfp: debug dump - decrease endian conversions (bsc#1109837).
- nfp: flower: remove unused defines (bsc#1109837).
- nfp: flower: remove dead code paths (bsc#1109837).
- nfp: flower: do not assume mac/mpls matches (bsc#1109837).
- net: sched: fix use-after-free in tcf_block_put_ext
  (bsc#1109837).
- net: sched: pfifo_fast use skb_array (bsc#1109837).
- net: skb_array: expose peek API (bsc#1109837).
- net: sched: add support for TCQ_F_NOLOCK subqueues to sch_mqprio
  (bsc#1109837).
- net: sched: add support for TCQ_F_NOLOCK subqueues to sch_mq
  (bsc#1109837).
- net: sched: helpers to sum qlen and qlen for per cpu logic
  (bsc#1109837).
- net: sched: check for frozen queue before skb_bad_txq check
  (bsc#1109837).
- net: sched: use skb list for skb_bad_tx (bsc#1109837).
- net: sched: drop qdisc_reset from dev_graft_qdisc (bsc#1109837).
- net: sched: explicit locking in gso_cpu fallback (bsc#1109837).
- net: sched: a dflt qdisc may be used with per cpu stats
  (bsc#1109837).
- net: sched: provide per cpu qstat helpers (bsc#1109837).
- net: sched: remove remaining uses for qdisc_qlen in xmit path
  (bsc#1109837).
- net: sched: allow qdiscs to handle locking (bsc#1109837).
- net: sched: cleanup qdisc_run and __qdisc_run semantics
  (bsc#1109837).
- bpf: Add access to snd_cwnd and others in sock_ops
  (bsc#1109837).
- bpf: move bpf csum flag check (bsc#1109837).
- act_mirred: get rid of mirred_list_lock spinlock (bsc#1109837).
- act_mirred: get rid of tcfm_ifindex from struct tcf_mirred
  (bsc#1109837).
- samples/bpf: add ip6erspan sample code (bsc#1109837).
- net_sched: remove unused parameter from act cleanup ops
  (bsc#1109837).
- net: sched: sch_api: rearrange init handling (bsc#1109837).
- net: sched: sch_api: fix code style issues (bsc#1109837).
- nfp: dump indirect ME CSRs (bsc#1109837).
- nfp: dump CPP, XPB and direct ME CSRs (bsc#1109837).
- nfp: dump firmware name (bsc#1109837).
- nfp: dump single hwinfo field by key (bsc#1109837).
- nfp: dump all hwinfo (bsc#1109837).
- nfp: dump rtsyms (bsc#1109837).
- nfp: dumpspec TLV traversal (bsc#1109837).
- nfp: dump prolog (bsc#1109837).
- nfp: load debug dump spec (bsc#1109837).
- nfp: debug dump ethtool ops (bsc#1109837).
- net_sched: get rid of rcu_barrier() in tcf_block_put_ext()
  (bsc#1109837).
- flow_dissector: dissect tunnel info outside __skb_flow_dissect()
  (bsc#1109837).
- net: xdp: make the stack take care of the tear down
  (bsc#1109837).
- net: xdp: report flags program was installed with on query
  (bsc#1109837).
- net: xdp: avoid output parameters when querying XDP prog
  (bsc#1109837).
- nfp: bpf: detect load/store sequences lowered from memory copy
  (bsc#1109837).
- nfp: bpf: implement memory bulk copy for length bigger than
  32-bytes (bsc#1109837).
- nfp: bpf: implement memory bulk copy for length within 32-bytes
  (bsc#1109837).
- nfp: bpf: factor out is_mbpf_load & is_mbpf_store (bsc#1109837).
- nfp: bpf: encode indirect commands (bsc#1109837).
- nfp: bpf: correct the encoding for No-Dest immed (bsc#1109837).
- nfp: bpf: relax source operands check (bsc#1109837).
- nfp: bpf: don't do ld/shifts combination if shifts are jump
  destination (bsc#1109837).
- nfp: bpf: don't do ld/mask combination if mask is jump
  destination (bsc#1109837).
- nfp: bpf: flag jump destination to guide insn combine
  optimizations (bsc#1109837).
- nfp: bpf: record jump destination to simplify jump fixup
  (bsc#1109837).
- nfp: bpf: support backward jump (bsc#1109837).
- nfp: fix old kdoc issues (bsc#1109837).
- bpf: cleanup register_is_null() (bsc#1109837).
- bpf: improve JEQ/JNE path walking (bsc#1109837).
- bpf: improve verifier liveness marks (bsc#1109837).
- bpf: don't mark FP reg as uninit (bsc#1109837).
- bpf: print liveness info to verifier log (bsc#1109837).
- samples/bpf: Convert magic numbers to names in multi-prog
  cgroup test case (bsc#1109837).
- samples/bpf: extend test_tunnel_bpf.sh with ip6gre
  (bsc#1109837).
- bpf: allow disabling tunnel csum for ipv6 (bsc#1109837).
- ptr_ring: document usage around __ptr_ring_peek (bsc#1109837).
- tools: bpftool: declare phony targets as such (bsc#1109837).
- tools: bpftool: unify installation directories (bsc#1109837).
- tools: bpftool: remove spurious line break from error message
  (bsc#1109837).
- tools: bpftool: make error message from getopt_long()
  JSON-friendly (bsc#1109837).
- tools: bpftool: clean up the JSON writer before exiting in
  usage() (bsc#1109837).
- tools: bpftool: fix crash on bad parameters with JSON
  (bsc#1109837).
- tools: bpftool: optionally show filenames of pinned objects
  (bsc#1109837).
- tools: bpftool: show filenames of pinned objects (bsc#1109837).
- tools: bpftool: open pinned object without type check
  (bsc#1109837).
- tools: bpftool: move p_err() and p_info() from main.h to
  common.c (bsc#1109837).
- tools: bpf: handle long path in jit disasm (bsc#1109837).
- tools: bpftool: add bash completion for bpftool (bsc#1109837).
- tools: bpftool: try to mount bpffs if required for pinning
  objects (bsc#1109837).
- tools: bpftool: update documentation for --json and --pretty
  usage (bsc#1109837).
- tools: bpftool: add cosmetic changes for the manual pages
  (bsc#1109837).
- tools: bpftool: provide JSON output for all possible commands
  (bsc#1109837).
- tools: bpftool: turn err() and info() macros into functions
  (bsc#1109837).
- tools: bpftool: add JSON output for `bpftool batch file FILE`
  command (bsc#1109837).
- tools: bpftool: add JSON output for `bpftool map *` commands
  (bsc#1109837).
- tools: bpftool: add JSON output for `bpftool prog dump xlated *`
  command (bsc#1109837).
- tools: bpftool: add JSON output for `bpftool prog dump jited *`
  command (bsc#1109837).
- tools: bpftool: add JSON output for `bpftool prog show *`
  command (bsc#1109837).
- tools: bpftool: introduce --json and --pretty options
  (bsc#1109837).
- tools: bpftool: add option parsing to bpftool, --help and
  - -version (bsc#1109837).
- tools: bpftool: copy JSON writer from iproute2 repository
  (bsc#1109837).
- tools: bpftool: add a command to display bpftool version
  (bsc#1109837).
- tools: bpftool: show that `opcodes` or `file FILE` should be
  exclusive (bsc#1109837).
- tools: bpftool: print all relevant byte opcodes for "load
  double word" (bsc#1109837).
- tools: bpftool: print only one error message on byte parsing
  failure (bsc#1109837).
- tools: bpftool: add `bpftool prog help` as real command i.r.t
  exit code (bsc#1109837).
- tools: bpftool: use err() instead of info() if there are too
  many insns (bsc#1109837).
- tools: bpftool: fix return value when all eBPF programs have
  been shown (bsc#1109837).
- tools: bpftool: add pointer to file argument to print_hex()
  (bsc#1109837).
- tools: bpftool: use more common tag format (bsc#1109837).
- tools: bpftool: use the kernel's instruction printer
  (bsc#1109837).
- tools: bpftool: add documentation (bsc#1109837).
- tools: bpf: add bpftool (bsc#1109837).
- skb_array: introduce batch dequeuing (bsc#1109837).
- ptr_ring: introduce batch dequeuing (bsc#1109837).
- skb_array: introduce skb_array_unconsume (bsc#1109837).
- ptr_ring: add ptr_ring_unconsume (bsc#1109837).
- commit 051832b
* Thu Oct 18 2018 pmladek@suse.com
- blacklist.conf: tracing: we do not have support for recording
  tgid of tasks (bsc#1112221)
- commit 44f8248
* Thu Oct 18 2018 mbrugger@suse.com
- mmc: dw_mmc-k3: Fix out-of-bounds access through DT alias
  (fate#323889).
- commit bdc93bb
* Thu Oct 18 2018 hare@suse.de
- block/loop: make loop cgroup aware (bsc#1104967,FATE#325924).
- loop: remove union of use_aio and ref in struct loop_cmd
  (bsc#1104967,FATE#325924).
- loop: set physical block size to logical block size
  (bsc#1104967,FATE#325924).
- block/loop: remove unused field (bsc#1104967,FATE#325924).
- block/loop: allow request merge for directio mode
  (bsc#1104967,FATE#325924).
- block/loop: set hw_sectors (bsc#1104967,FATE#325924).
- loop: fold loop_switch() into callers (bsc#1104967,FATE#325924).
- loop: add ioctl for changing logical block size
  (bsc#1104967,FATE#325924).
- loop: set physical block size to PAGE_SIZE
  (bsc#1104967,FATE#325924).
- loop: fix to a race condition due to the early registration of device
  (bsc#1104967,FATE#325924).
- commit f055bec
* Thu Oct 18 2018 yousaf.kaukab@suse.com
- crypto: inside-secure - do not use memset on MMIO (fate#326470).
- crypto: inside-secure - hmac(sha224) support (fate#326470).
- crypto: inside-secure - hmac(sha256) support (fate#326470).
- crypto: inside-secure - the context ipad/opad should use the
  state sz (fate#326470).
- crypto: inside-secure - improve the skcipher token
  (fate#326470).
- crypto: inside-secure - do not access buffers mapped to the
  device (fate#326470).
- crypto: inside-secure - improve the send error path
  (fate#326470).
- crypto: inside-secure - fix a typo in a register name
  (fate#326470).
- crypto: inside-secure - fix typo s/allways/always/ in a define
  (fate#326470).
- crypto: inside-secure - move the digest to the request context
  (fate#326470).
- crypto: inside-secure - fix clock resource by adding a register
  clock (fate#326470).
- crypto: inside-secure - improve clock initialization
  (fate#326470).
- crypto: inside-secure - fix clock management (fate#326470).
- crypto: inside-secure - fix missing unlock on error in
  safexcel_ahash_send_req() (fate#326470).
- crypto: inside-secure - wait for the request to complete if
  in the backlog (fate#326470).
- crypto: inside-secure - move cache result dma mapping to request
  (fate#326470).
- crypto: inside-secure - move hash result dma mapping to request
  (fate#326470).
- crypto: inside-secure - unmap the result in the hash send
  error path (fate#326470).
- crypto: inside-secure - keep the requests push/pop synced
  (fate#326470).
- crypto: inside-secure - fix the invalidation step during
  cra_exit (fate#326470).
- crypto: inside-secure - do not process request if no command
  was issued (fate#326470).
- crypto: inside-secure - fix the cache_len computation
  (fate#326470).
- crypto: inside-secure - fix the extra cache computation
  (fate#326470).
- crypto: inside-secure - do not overwrite the threshold value
  (fate#326470).
- crypto: inside-secure - make function safexcel_try_push_requests
  static (fate#326470).
- Documentation/bindings: crypto: document the SafeXcel EIP97
  compatible (fate#326470).
- crypto: inside-secure - fix hash when length is a multiple of
  a block (fate#326470).
- crypto: inside-secure - avoid unmapping DMA memory that was
  not mapped (fate#326470).
- crypto: inside-secure - EIP97 support (fate#326470).
- crypto: inside-secure - retry to proceed the request later on
  fail (fate#326470).
- crypto: inside-secure - handle more result requests when
  counter is full (fate#326470).
- crypto: inside-secure - acknowledge the result requests all
  at once (fate#326470).
- crypto: inside-secure - increase the ring size (fate#326470).
- crypto: inside-secure - dequeue all requests at once
  (fate#326470).
- crypto: inside-secure - use threaded IRQs for result handling
  (fate#326470).
- crypto: inside-secure - move request dequeueing into a workqueue
  (fate#326470).
- crypto: inside-secure - remove unused parameter in
  invalidate_cache (fate#326470).
- crypto: inside-secure - move cipher crypto mode to request
  context (fate#326470).
- crypto: inside-secure - EBUSY is not an error on async request
  (fate#326470).
- crypto: inside-secure - refrain from unneeded invalidations
  (fate#326470).
- crypto: inside-secure - comment the caching function
  (fate#326470).
- crypto: inside-secure - remove useless memset (fate#326470).
- crypto: inside-secure - fix typo in a comment (fate#326470).
- crypto: inside-secure - remove extra empty line (fate#326470).
- crypto: inside-secure - do not use areq->result for partial
  results (fate#326470).
- crypto: inside-secure - fix request allocations in invalidation
  path (fate#326470).
- crypto: inside-secure - free requests even if their handling
  failed (fate#326470).
- crypto: inside-secure - per request invalidation (fate#326470).
- crypto: inside-secure - remove null check before kfree
  (fate#326470).
- crypto: inside-secure - fix gcc-4.9 warnings (fate#326470).
- crypto: inside-secure - fix an error handling path in
  safexcel_probe() (fate#326470).
- crypto: inside-secure - fix the sha state length in
  hmac_sha1_setkey (fate#326470).
- crypto: inside-secure - fix invalidation check in
  hmac_sha1_setkey (fate#326470).
- Documentation/bindings: crypto: remove the dma-mask property
  (fate#326470).
- crypto: inside-secure - do not parse the dma mask from dt
  (fate#326470).
- Documentation/bindings: Document the SafeXel cryptographic
  engine driver (fate#326470).
- crypto: inside-secure - use the base_end pointer in ring
  rollback (fate#326470).
- crypto: inside-secure - increase the batch size (fate#326470).
- crypto: inside-secure - only dequeue when needed (fate#326470).
- crypto: inside-secure - get the backlog before dequeueing the
  request (fate#326470).
- crypto: inside-secure - stop requeueing failed requests
  (fate#326470).
- crypto: inside-secure - use one queue per hw ring (fate#326470).
- crypto: inside-secure - update the context and request later
  (fate#326470).
- crypto: inside-secure - align the cipher and hash send functions
  (fate#326470).
- crypto: inside-secure - optimize DSE bufferability control
  (fate#326470).
- crypto: inside-secure - enable single WR in DSE configuration
  (fate#326470).
- crypto: inside-secure - fix incorrect DSE data cache setting
  (fate#326470).
- crypto: inside-secure - fix the ring wr_cache offset
  (fate#326470).
- crypto: inside-secure - use hmac ipad/opad constants
  (fate#326470).
- commit 802e45a
* Thu Oct 18 2018 hare@suse.de
- block, char_dev: Use correct format specifier for unsigned
  (bsc#1104967,FATE#325924).
- char_dev: Fix off-by-one bugs in find_dynamic_major()
  (bsc#1104967,FATE#325924).
- commit 21ec9ba
* Thu Oct 18 2018 jthumshirn@suse.de
- scsi: csiostor: fix incorrect port capabilities (FATE#325940).
- scsi: csiostor: add a check for NULL pointer after kmalloc()
  (FATE#325940).
- scsi: csiostor: update csio_get_flash_params() (FATE#325940).
- scsi: csiostor: update ingress pack and pad boundary value
  (FATE#325940).
- scsi: csiostor: remove redundant assignment to pointer 'ln'
  (FATE#325940).
- scsi: csiostor: fix spelling mistake: "Couldnt" -> "Couldn't"
  (FATE#325940).
- scsi: csiostor: remove unneeded DRIVER_LICENSE #define
  (FATE#325940).
- commit 06527aa
* Thu Oct 18 2018 hare@suse.de
- target/tcm_loop: Use blk_queue_flag_set()
  (bsc#1104967,FATE#325924).
- iscsi: Use blk_queue_flag_set() (bsc#1104967,FATE#325924).
- bcache: Use the blk_queue_flag_{set,clear}() functions
  (bsc#1104967,FATE#325924).
- mtip32xx: Use the blk_queue_flag_*() functions
  (bsc#1104967,FATE#325924).
- block: Protect queue flag changes with the queue lock
  (bsc#1104967,FATE#325924).
- block: Reorder the queue flag manipulation function
  (bsc#1104967,FATE#325924).
- block: sed-opal: fix response string extraction
  (bsc#1104967,FATE#325924).
- block: null_blk: fix 'Invalid parameters' when loading module
  (bsc#1104967,FATE#325924).
- blk-mq: Add locking annotations to hctx_lock() and
  (bsc#1104967,FATE#325924).
- block: Add a comment above queue_lockdep_assert_held()
  (bsc#1104967,FATE#325924).
- block: stop using bio_data() in blk_write_same_mergeable
  (bsc#1104967,FATE#325924).
- commit b46b7fe
* Thu Oct 18 2018 yousaf.kaukab@suse.com
- pinctrl-st: fix of_irq_to_resource() result check (fate#326470).
- powerpc/83xx/mpc832x_rdb: fix of_irq_to_resource() error check
  (fate#326470).
- mv643xx_eth: fix of_irq_to_resource() error check (fate#326470).
- of: irq: fix of_irq_to_resource() error check (fate#326470).
- commit 384a558
* Thu Oct 18 2018 jslaby@suse.cz
- Update
  patches.suse/n_tty-fix-EXTPROC-vs-ICANON-interaction-with-TIOCINQ.patch
  (bnc#1094825 bnc#1094825 bnc#1110711 CVE-2018-18386).
  Add few more bug references.
- commit 4828f50
* Thu Oct 18 2018 jthumshirn@suse.de
- scsi: pm80xx: fix spelling mistake "UNSORPORTED" -> "SUPPORTED"
  (FATE#325928).
- commit 7838d0a
* Thu Oct 18 2018 jthumshirn@suse.de
- scsi: pmcraid: Remove an unused structure member (FATE#325926).
- scsi: pmcraid: remove redundant initializations of pointer
  'ioadl' (FATE#325926).
- scsi: pmcraid: Replace PCI pool old API (FATE#325926).
- commit 6556761
* Wed Oct 17 2018 ohering@suse.de
- Use upstream version of pci-hyperv patch (35a88a1)
- commit 8e9eeb6
* Wed Oct 17 2018 ohering@suse.de
- hv_netvsc: fix schedule in RCU context (fate#323887).
- commit 0b48504
* Wed Oct 17 2018 ohering@suse.de
- rename a hv patch to reduce conflicts in -AZURE
- commit fe9e48c
* Wed Oct 17 2018 bp@suse.de
- blacklist.conf:
  Blacklsit a fix for a selftest for which the corresponding commit
  is not in the tree.
- commit b571af7
* Wed Oct 17 2018 tiwai@suse.de
- tools/vm/page-types.c: fix "defined but not used" warning
  (bsc#1051510).
- tools/vm/slabinfo.c: fix sign-compare warning (bsc#1051510).
- commit c619f32
* Wed Oct 17 2018 tiwai@suse.de
- orangefs_kill_sb(): deal with allocation failures (bsc#1051510).
- orangefs: fix deadlock; do not write i_size in read_iter
  (bsc#1051510).
- orangefs: initialize op on loop restart in orangefs_devreq_read
  (bsc#1051510).
- orangefs: use list_for_each_entry_safe in purge_waiting_ops
  (bsc#1051510).
- commit 4e459f9
* Wed Oct 17 2018 tiwai@suse.de
- lib/ubsan: add type mismatch handler for new GCC/Clang
  (bsc#1051510).
- lib/ubsan.c: s/missaligned/misaligned/ (bsc#1051510).
- commit 3c2ef75
* Wed Oct 17 2018 tiwai@suse.de
- hfs: prevent crash on exit from failed search (bsc#1051510).
- hfsplus: don't return 0 when fill_super() failed (bsc#1051510).
- hfsplus: stop workqueue when fill_super() failed (bsc#1051510).
- commit 0c45ade
* Wed Oct 17 2018 tiwai@suse.de
- enic: do not call enic_change_mtu in enic_probe (bsc#1051510).
- enic: handle mtu change for vf properly (bsc#1051510).
- enic: initialize enic->rfs_h.lock in enic_probe (bsc#1051510).
- commit 301b62d
* Wed Oct 17 2018 tiwai@suse.de
- eeprom: at24: change nvmem stride to 1 (bsc#1051510).
- eeprom: at24: check at24_read/write arguments (bsc#1051510).
- eeprom: at24: correctly set the size for at24mac402
  (bsc#1051510).
- commit 8527cec
* Wed Oct 17 2018 tiwai@suse.de
- e1000: ensure to free old tx/rx rings in set_ringparam()
  (bsc#1051510).
- e1000: check on netif_running() before calling e1000_up()
  (bsc#1051510).
- commit 7b92e7c
* Wed Oct 17 2018 tiwai@suse.de
- coda: fix 'kernel memory exposure attempt' in fsync
  (bsc#1051510).
- commit c648d53
* Wed Oct 17 2018 tiwai@suse.de
- clocksource/drivers/timer-atmel-pit: Properly handle error cases
  (bsc#1051510).
- commit dae9c32
* Wed Oct 17 2018 pmladek@suse.com
- tracing: Add barrier to trace_printk() buffer nesting
  modification (bsc#1112219).
- commit b1ad634
* Wed Oct 17 2018 pmladek@suse.com
- blacklist.conf: blktrace: fix races with init/start-stop/teardown
  and registering that were there for ages; not worth it
- commit 275fc72
* Wed Oct 17 2018 pmladek@suse.com
- blacklist.conf: kmemcheck removal; not for released products
- commit 5a49cb1
* Wed Oct 17 2018 pmladek@suse.com
- blacklist.conf: fixes rather rare races in CPU hotplug; there are many
  followup fixes; not worth the risk
- commit de48873
* Wed Oct 17 2018 hare@suse.de
- block: Fix a race between request queue removal and the block
  (bsc#1104967,FATE#325924).
- block: Fix a race between the cgroup code and request queue
  (bsc#1104967,FATE#325924).
- block: Add 'lock' as third argument to blk_alloc_queue_node()
  (bsc#1104967,FATE#325924).
- zram: Delete gendisk before cleaning up the request queue
  (bsc#1104967,FATE#325924).
- block/loop: Delete gendisk before cleaning up the request
  (bsc#1104967,FATE#325924).
- null_blk: add 'requeue' fault attribute
  (bsc#1104967,FATE#325924).
- sbitmap: use test_and_set_bit_lock()/clear_bit_unlock()
  (bsc#1104967,FATE#325924).
- block: clear ctx pending bit under ctx lock
  (bsc#1104967,FATE#325924).
- blk-mq-debugfs: Show zone locking information
  (bsc#1104967,FATE#325924).
- blk-mq-debugfs: Reorder queue show and store methods
  (bsc#1104967,FATE#325924).
- dm: various cleanups to md->queue initialization code
  (bsc#1104967,FATE#325924).
- dm mpath: delay the retry of a request if the target responded
  as busy (bsc#1104967,FATE#325924).
- dm mpath: return DM_MAPIO_DELAY_REQUEUE if QUEUE_IO or
  (bsc#1104967,FATE#325924).
- dm mpath: return DM_MAPIO_REQUEUE on blk-mq rq allocation
  (bsc#1104967,FATE#325924).
- dm snapshot: use mutex instead of rw_semaphore
  (bsc#1104967,FATE#325924).
- dm: add unstriped target (bsc#1104967,FATE#325924).
- dm mpath: factor out SCSI vs NVMe path selection
  (bsc#1104967,FATE#325924).
- dm mpath: optimize NVMe bio-based support
  (bsc#1104967,FATE#325924).
- dm mpath: implement NVMe bio-based support
  (bsc#1104967,FATE#325924).
- dm mpath: move dm_bio_restore out of endio method
  (bsc#1104967,FATE#325924).
- dm mpath: optimize retrieval of bio_details from per-bio-data
  (bsc#1104967,FATE#325924).
- dm mpath: remove unnecessary memset() calls for per-io-data
  (bsc#1104967,FATE#325924).
- dm mpath: remove unused param from (bsc#1104967,FATE#325924).
- dm: optimize bio-based NVMe IO submission
  (bsc#1104967,FATE#325924).
- dm: introduce DM_TYPE_NVME_BIO_BASED (bsc#1104967,FATE#325924).
- dm: remove redundant mapped_device member from clone_info
  (bsc#1104967,FATE#325924).
- dm: remove now unused bio-based io_pool and _io_cache
  (bsc#1104967,FATE#325924).
- dm: improve performance by moving dm_io structure to
  (bsc#1104967,FATE#325924).
- dm: allocate struct mapped_device with kvzalloc
  (bsc#1104967,FATE#325924).
- dm: constify argument arrays (bsc#1104967,FATE#325924).
- dm mpath: complain about unsupported __multipath_map_bio()
  (bsc#1104967,FATE#325924).
- dm mpath: avoid that building with W=1 causes gcc 7 to
  (bsc#1104967,FATE#325924).
- commit d6a5a32
* Wed Oct 17 2018 pmladek@suse.com
- printk/tracing: Do not trace printk_nmi_enter() (bsc#1112208).
- commit 8f680aa
* Wed Oct 17 2018 pmladek@suse.com
- blacklist.conf: Blacklisted few printk/NMI fixes because we do not
  have the original problematic commit (bsc#1112173)
- commit c538ae6
* Wed Oct 17 2018 tiwai@suse.de
- ath10k: fix kernel panic issue during pci probe (bsc#1051510).
- commit 2680c3f
* Wed Oct 17 2018 tiwai@suse.de
- ath10k: fix scan crash due to incorrect length calculation
  (bsc#1051510).
- ath10k: fix use-after-free in ath10k_wmi_cmd_send_nowait
  (bsc#1051510).
- commit 6e6eb28
* Wed Oct 17 2018 bp@suse.de
- Revert "module: Add retpoline tag to VERMAGIC" (bsc#1112178).
- commit c3a1c5c
* Wed Oct 17 2018 jthumshirn@suse.de
- ipc/shm.c add ->pagesize function to shm_vm_ops (FATE#324506).
- commit 7f9c304
* Wed Oct 17 2018 tiwai@suse.de
- Refresh / sort upstreamed patches
- commit 9130ba4
* Wed Oct 17 2018 ddiss@suse.de
- target: stash sess_err_stats on Data-Out timeout (bsc#1095805).
- target: split out helper for cxn timeout error stashing
  (bsc#1095805).
- target: log NOP ping timeouts as errors (bsc#1095805).
- target: log Data-Out timeouts as errors (bsc#1095805).
- target: use ISCSI_IQN_LEN in iscsi_target_stat (bsc#1095805).
- commit b8a53d1
* Wed Oct 17 2018 hare@suse.de
- blk-mq-debugfs: Off by one in blk_mq_rq_state_name()
  (bsc#1104967,FATE#325924).
- commit 4f1b5fb
* Wed Oct 17 2018 bp@suse.de
- blacklist.conf:
  Backporting 5132ede0fe8092b043dae09a7cc32b8ae7272baa will actually cause kABI
  breakage because there should be no KMPs built with pre-retpoline compilers,
  says jikos.
- commit 80c676e
* Wed Oct 17 2018 pmladek@suse.com
- printk: drop in_nmi check from printk_safe_flush_on_panic()
  (bsc#1112170).
- commit f0a602e
* Wed Oct 17 2018 hare@suse.de
- blockdev: Avoid two active bdev inodes for one device
  (bsc#1104967,FATE#325924).
- genhd: Fix BUG in blkdev_open() (bsc#1104967,FATE#325924).
- genhd: Fix use after free in __blkdev_get()
  (bsc#1104967,FATE#325924).
- genhd: Add helper put_disk_and_module()
  (bsc#1104967,FATE#325924).
- genhd: Rename get_disk() to get_disk_and_module()
  (bsc#1104967,FATE#325924).
- commit 79f5012
* Wed Oct 17 2018 hare@suse.de
- blk: optimization for classic polling (bsc#1104967,FATE#325924).
- block, bfq: add requeue-request hook (bsc#1104967,FATE#325924).
- commit 0f85a76
* Wed Oct 17 2018 mbrugger@suse.com
- dt-bindings: mmc: Add binding for BlueField SoC (fate#323889).
- Update config files.
- supported.conf:
- mmc: dw_mmc-bluefield: Add driver extension (fate#323889).
- mmc: dw_mmc-k3: add sd support for hi3660 (fate#323889).
- commit a5a30e5
* Wed Oct 17 2018 hare@suse.de
- blk-mq-sched: Enable merging discard bio into request
  (bsc#1104967,FATE#325924).
- blk-mq: fix discard merge with scheduler attached
  (bsc#1104967,FATE#325924).
- commit 9b9dc0b
* Wed Oct 17 2018 hare@suse.de
- bsg: use pr_debug instead of hand crafted macros
  (bsc#1104967,FATE#325924).
- blk-mq-debugfs: don't allow write on attributes with
  seq_operations set (bsc#1104967,FATE#325924).
- blk-throttle: use queue_is_rq_based (bsc#1104967,FATE#325924).
- commit f592804
* Wed Oct 17 2018 hare@suse.de
- Update config files.
- commit e76716b
* Wed Oct 17 2018 hare@suse.de
- block: Remove kblockd_schedule_delayed_work{,_on}()
  (bsc#1104967,FATE#325924).
- blk-mq: Avoid that blk_mq_delay_run_hw_queue() introduces
  (bsc#1104967,FATE#325924).
- blk-mq: Rename blk_mq_request_direct_issue() into
  (bsc#1104967,FATE#325924).
- blk-throttle: track read and write request individually
  (bsc#1104967,FATE#325924).
- block: add bdev_read_only() checks to common helpers
  (bsc#1104967,FATE#325924).
- blk-throttle: export io_serviced_recursive,
  (bsc#1104967,FATE#325924).
- block: Protect less code with sysfs_lock in
  (bsc#1104967,FATE#325924).
- block: Document scheduler modification locking requirements
  (bsc#1104967,FATE#325924).
- block: Unexport elv_register_queue() and
  (bsc#1104967,FATE#325924).
- block, bfq: limit sectors served with interactive weight
  (bsc#1104967,FATE#325924).
- block, bfq: limit tags for writes and async I/O
  (bsc#1104967,FATE#325924).
- commit 975bf08
* Wed Oct 17 2018 hare@suse.de
- dm: fix incomplete request_queue initialization
  (bsc#1104967,FATE#325924).
- block: allow gendisk's request_queue registration to be
  (bsc#1104967,FATE#325924).
- blk-mq: fix bad clear of RQF_MQ_INFLIGHT in
  (bsc#1104967,FATE#325924).
- blk-mq: add missing RQF_STARTED to debugfs
  (bsc#1104967,FATE#325924).
- block: silently forbid sending any ioctl to a partition
  (bsc#1104967,FATE#325924).
- commit 54544a4
* Wed Oct 17 2018 yousaf.kaukab@suse.com
- crypto: inside-secure - add SafeXcel EIP197 crypto engine driver (fate#326470).
- mmc: sdhci-xenon: add runtime pm support and reimplement standby (fate#326470).
  Refresh:
  patches.drivers/mmc-sdhci-xenon-Fix-clock-resource-by-adding-an-opti
- mmc: sdhci-xenon: Add Xenon SDHCI specific system-level PM support (fate#326470).
- mmc: sdhci-xenon: ignore timing DDR52 in tuning (fate#326470).
- mmc: sdhci-xenon: remove pointless struct xenon_priv *priv (fate#326470).
- of: irq: use of_irq_get() in of_irq_to_resource() (fate#326470).
- commit 19650b8
* Wed Oct 17 2018 hare@suse.de
- blk-mq: Directly schedule q->timeout_work when aborting a
  (bsc#1104967,FATE#325924).
- blk-mq-debugfs: Show more request state information
  (bsc#1104967,FATE#325924).
- null_blk: remove explicit 'select FAULT_INJECTION'
  (bsc#1104967,FATE#325924).
- nbd: handle interrupted sendmsg with a sndtimeo set
  (bsc#1104967,FATE#325924).
- nbd: only set sndtimeo if we have a timeout set
  (bsc#1104967,FATE#325924).
- commit 54edf77
* Wed Oct 17 2018 hare@suse.de
- block: rearrange a few request fields for better cache layout
  (bsc#1104967,FATE#325924).
- block: convert REQ_ATOM_COMPLETE to stealing rq->__deadline
  (bsc#1104967,FATE#325924).
- block: add accessors for setting/querying request deadline
  (bsc#1104967,FATE#325924).
- block: remove REQ_ATOM_POLL_SLEPT (bsc#1104967,FATE#325924).
- blk-mq: add a few missing debugfs RQF_ flags
  (bsc#1104967,FATE#325924).
- commit 795ae2f
* Wed Oct 17 2018 jthumshirn@suse.de
- scsi: smartpqi: allow static build ("built-in") (FATE#325930).
- commit 62ddd0a
* Wed Oct 17 2018 hare@suse.de
- Refresh patches.suse/block-replace-bi_bdev-with-a-gendisk-pointer-and-par.patch
- commit ca13066
* Wed Oct 17 2018 jthumshirn@suse.de
- scsi: aacraid: remove unused variables dev and cpu
  (FATE#325927).
- commit 2f1bc86
* Wed Oct 17 2018 jthumshirn@suse.de
- scsi: aacraid: Spelling fix in comment (FATE#325927).
- scsi: aacraid: remove AAC_STAT_GOOD define (FATE#325927).
- scsi: aacraid: stop using deprated get_seconds() (FATE#325927).
- scsi: aacraid: Fix PD performance regression over incorrect
  qd being set (FATE#325927).
- scsi: aacraid: remove bogus GFP_DMA32 specifies (FATE#325927).
- scsi: aacraid: Insure command thread is not recursively stopped
  (FATE#325927).
- scsi: aacraid: Auto detect INTx or MSIx mode during sync cmd
  processing (FATE#325927).
- scsi: aacraid: Preserve MSIX mode in the OMR register
  (FATE#325927).
- scsi: aacraid: Implement DropIO sync command (FATE#325927).
- scsi: aacraid: fix shutdown crash when init fails (FATE#325927).
- scsi: aacraid: Delay for rescan worker needs to be 10 seconds
  (FATE#325927).
- scsi: aacraid: Get correct lun count (FATE#325927).
- scsi: aacraid: Fix driver oops with dead battery (FATE#325927).
- scsi: aacraid: Update driver version to 50877 (FATE#325927).
- scsi: aacraid: Remove AAC_HIDE_DISK check in queue command
  (FATE#325927).
- scsi: aacraid: Remove unused rescan variable (FATE#325927).
- scsi: aacraid: Skip schedule rescan in case of kdump
  (FATE#325927).
- scsi: aacraid: Fix hang while scanning in eh recovery
  (FATE#325927).
- scsi: aacraid: Reschedule host scan in case of failure
  (FATE#325927).
- scsi: aacraid: Use hotplug handling function in place of
  scsi_scan_host (FATE#325927).
- scsi: aacraid: Block concurrent hotplug event handling
  (FATE#325927).
- scsi: aacraid: Merge adapter setup with resolve luns
  (FATE#325927).
- scsi: aacraid: Refactor resolve luns code and scsi functions
  (FATE#325927).
- scsi: aacraid: Added macros to help loop through known buses
  and targets (FATE#325927).
- scsi: aacraid: Process hba and container hot plug events in
  single function (FATE#325927).
- scsi: aacraid: Merge func to get container information
  (FATE#325927).
- scsi: aacraid: Add helper function to set queue depth
  (FATE#325927).
- scsi: aacraid: Save bmic phy information for each phy
  (FATE#325927).
- scsi: aacraid: Create helper functions to get lun info
  (FATE#325927).
- scsi: aacraid: Move function around to match existing code
  (FATE#325927).
- scsi: aacraid: Untangle targets setup from report phy luns
  (FATE#325927).
- scsi: aacraid: Add target setup helper function (FATE#325927).
- scsi: aacraid: Refactor and rename to make mirror existing
  changes (FATE#325927).
- scsi: aacraid: Change phy luns function to use common bmic
  function (FATE#325927).
- scsi: aacraid: Create bmic submission function from bmic
  identify (FATE#325927).
- scsi: aacraid: Move code to wait for IO completion to shutdown
  func (FATE#325927).
- scsi: aacraid: Refactor reset_host store function (FATE#325927).
- scsi: aacraid: Allow reset_host sysfs var to recover Panicked Fw
  (FATE#325927).
- scsi: aacraid: Fix ioctl reset hang (FATE#325927).
- scsi: aacraid: Do not remove offlined devices (FATE#325927).
- scsi: aacraid: Do not attempt abort when Fw panicked
  (FATE#325927).
- scsi: aacraid: remove unused variable managed_request_id
  (FATE#325927).
- scsi: aacraid: address UBSAN warning regression (FATE#325927).
- scsi: aacraid: use timespec64 instead of timeval (FATE#325927).
- commit 4b2c3df
* Wed Oct 17 2018 hare@suse.de
- blk-mq: Explain when 'active_queues' is decremented
  (bsc#1104967,FATE#325924).
- null_blk: add option for managing IO timeouts
  (bsc#1104967,FATE#325924).
- Revert "block: blk-merge: try to make front segments in full
  size" (bsc#1104967,FATE#325924).
- null_blk: wire up timeouts (bsc#1104967,FATE#325924).
- commit ff9f507
* Wed Oct 17 2018 hare@suse.de
- bfq-iosched: don't call bfqg_and_blkg_put for !CONFIG_IOSCHED
  (bsc#1104967,FATE#325924).
- block: Fix kernel-doc warnings reported when building with
  (bsc#1104967,FATE#325924).
- mq-deadline: make it clear that __dd_dispatch_request() works
  (bsc#1104967,FATE#325924).
- commit 28b8c01
* Wed Oct 17 2018 hare@suse.de
- Update config files.
- commit 404c795
* Tue Oct 16 2018 jslaby@suse.cz
- Update
  patches.suse/n_tty-fix-EXTPROC-vs-ICANON-interaction-with-TIOCINQ.patch
  (bnc#1094825 CVE-2018-18386).
- commit 54b2299
* Tue Oct 16 2018 hare@suse.de
- block: blk-merge: remove unnecessary check (bsc#1104967,FATE#325924).
- block: blk-merge: try to make front segments in full size (bsc#1104967,FATE#325924).
- blk-merge: compute bio->bi_seg_front_size efficiently (bsc#1104967,FATE#325924).
- commit 1bdc47e
* Tue Oct 16 2018 tbogendoerfer@suse.de
- tap: free skb if flags error (bsc#1109837).
- tun: free skb in early errors (bsc#1109837).
- tun: fix rcu_read_lock imbalance in tun_build_skb (bsc#1109837).
- commit ddba995
* Tue Oct 16 2018 hare@suse.de
- btrfs: avoid accessing bvec table directly for a cloned bio (bsc#1104967,FATE#325924).
- btrfs: avoid access to .bi_vcnt directly (bsc#1104967,FATE#325924).
- commit 07f6c46
* Tue Oct 16 2018 hare@suse.de
- block: move bio_alloc_pages() to bcache (bsc#1104967,FATE#325924).
- Refresh patches.suse/0103-bcache-fix-wrong-return-value-in-bch_debug_init.patch.
- commit e951202
* Tue Oct 16 2018 hare@suse.de
- block: bounce: don't access bio->bi_io_vec in copy_to_high_bio_irq
  (bsc#1104967,FATE#325924).
- block: bounce: avoid direct access to bvec table
  (bsc#1104967,FATE#325924).
- fs: convert to bio_last_bvec_all() (bsc#1104967,FATE#325924).
- commit 800f33a
* Tue Oct 16 2018 hare@suse.de
- block: convert to bio_first_bvec_all & bio_first_page_all
  (bsc#1104967,FATE#325924).
- Refresh
  patches.suse/0221-bcache-store-disk-name-in-struct-cache-and-struct-ca.patch.
- Refresh
  patches.suse/bcache-fix-crashes-in-duplicate-cache-device-registe.patch.
- commit 20077dc
* Tue Oct 16 2018 tbogendoerfer@suse.de
- net: sched: fix TCF_LAYER_LINK case in tcf_get_base_ptr
  (bsc#1109837).
- net: sched: em_nbyte: don't add the data offset twice
  (bsc#1109837).
- bpf: fix cls_bpf on filter replace (bsc#1109837).
- net, sched: fix panic when updating miniq {b,q}stats
  (bsc#1109837).
- bpf: avoid false sharing of map refcount with max_entries
  (bsc#1109837).
- bpf: sockmap missing NULL psock check (bsc#1109837).
- commit 31877e3
* Tue Oct 16 2018 yousaf.kaukab@suse.com
- mmc: core: Add a new quirk for limiting clock rate (fate#326470).
- commit ff482f8
* Tue Oct 16 2018 hare@suse.de
- block: introduce bio helpers for converting to multipage bvec
  (bsc#1104967,FATE#325924).
- commit c4894d3
* Tue Oct 16 2018 oneukum@suse.com
- fpga: bridge: fix obvious function documentation error
  (FATE#326235).
- commit 15cc765
* Tue Oct 16 2018 oneukum@suse.com
- fpga: do not access region struct after fpga_region_unregister
  (FATE#326235).
- commit 5b6a96f
* Tue Oct 16 2018 oneukum@suse.com
- fpga: dfl: fme: fix return value check in in pr_mgmt_init()
  (FATE#326235).
- commit 0bb563f
* Tue Oct 16 2018 oneukum@suse.com
- fpga: dfl: afu: add DFL_FPGA_PORT_DMA_MAP/UNMAP ioctls support
  (FATE#326235).
- commit 0ee5dc2
* Tue Oct 16 2018 oneukum@suse.com
- fpga: dfl: afu: add afu sub feature support (FATE#326235).
- commit 2c91a50
* Tue Oct 16 2018 tbogendoerfer@suse.de
- fix "netfilter: xt_bpf: Fix XT_BPF_MODE_FD_PINNED mode of
  'xt_bpf_info_v1'" (bsc#1109837).
- commit fcbbb3a
* Tue Oct 16 2018 oneukum@suse.com
- fpga: dfl: afu: add DFL_FPGA_GET_API_VERSION/CHECK_EXTENSION
  ioctls support (FATE#326235).
- commit e43b642
* Tue Oct 16 2018 oneukum@suse.com
- fpga: dfl: afu: add header sub feature support (FATE#326235).
- commit a790899
* Tue Oct 16 2018 tbogendoerfer@suse.de
- net: sched: fix clsact init error path (bsc#1109837).
- Refresh
  patches.drivers/net-sched-fix-static-key-imbalance-in-case-of-ingres.patch.
- commit f4e5e72
* Tue Oct 16 2018 yousaf.kaukab@suse.com
- crypto: hmac - add hmac IPAD/OPAD constant (fate#326470).
- commit 4a091ee
* Tue Oct 16 2018 oneukum@suse.com
- fpga: dfl: afu: add port ops support (FATE#326235).
- commit ae09daf
* Tue Oct 16 2018 tbogendoerfer@suse.de
- act_sample: get rid of tcf_sample_cleanup_rcu() (bsc#1109837).
- Refresh
  patches.drivers/net-sched-fix-NULL-dereference-in-the-error-path-of--1f110e7c.patch.
- commit d316800
* Tue Oct 16 2018 tbogendoerfer@suse.de
- net: sched: fix possible null pointer deref in tcf_block_put
  (bsc#1109837).
- net_sched: fix a missing rcu barrier in mini_qdisc_pair_swap()
  (bsc#1109837).
- nfp: bpf: keep track of the offloaded program (bsc#1109837).
- cls_bpf: fix offload assumptions after callback conversion
  (bsc#1109837).
- xdp: linearize skb in netif_receive_generic_xdp() (bsc#1109837).
- net: sched: Move to new offload indication in RED (bsc#1109837).
- net: sched: Add TCA_HW_OFFLOAD (bsc#1109837).
- net_sched: use macvlan real dev trans_start in dev_trans_start()
  (bsc#1109837).
- samples/bpf: add error checking for perf ioctl calls in bpf
  loader (bsc#1109837).
- bpf: offload: add a license header (bsc#1109837).
- cls_bpf: don't decrement net's refcount when offload fails
  (bsc#1109837).
- commit 2c8bb3b
* Tue Oct 16 2018 oneukum@suse.com
- fpga: dfl: add FPGA Accelerated Function Unit driver basic
  framework (FATE#326235).
- Update config files.
- supported.conf: new driver added
- commit 38ee79d
* Tue Oct 16 2018 tiwai@suse.de
- Annotate CVE/bug number for ocfs2 fix (CVE-2017-18224,bsc#1084831)
- commit 9c90e15
* Tue Oct 16 2018 oneukum@suse.com
- fpga: dfl: fme-region: add support for compat_id (FATE#326235).
- commit 4a404b6
* Tue Oct 16 2018 jthumshirn@suse.de
- scsi: hpsa: correct enclosure sas address (FATE#325929).
- scsi: hpsa: disable device during shutdown (FATE#325929).
- scsi: hpsa: fix selection of reply queue (FATE#325929).
- scsi: hpsa: Use vsnprintf extension %%phN (FATE#325929).
- scsi: hpsa: drop unneeded newline (FATE#325929).
- scsi: hpsa: remove an unnecessary NULL check (FATE#325929).
- commit a56dc7d
* Tue Oct 16 2018 oneukum@suse.com
- fpga: dfl: add fpga region platform driver for FME
  (FATE#326235).
- Update config files.
- supported.conf: new driver for Intel's FPGA
- commit 0c7ed91
* Tue Oct 16 2018 tbogendoerfer@suse.de
- cls_u32: use tcf_exts_get_net() before call_rcu() (bsc#1109837).
- Refresh
  patches.drivers/net_sched-use-idr-to-allocate-u32-filter-handles.patch.
- commit a1ad70f
* Tue Oct 16 2018 tbogendoerfer@suse.de
- cls_matchall: use tcf_exts_get_net() before call_rcu()
  (bsc#1109837).
- Refresh
  patches.drivers/net-sched-cls_matchall-call-block-callbacks-for-offl.patch.
- commit ac848ad
* Tue Oct 16 2018 hare@suse.de
- null_blk: remove lightnvm support (bsc#1104967,FATE#325924).
- null_blk: add "no_sched" module parameter
  (bsc#1104967,FATE#325924).
- nullb: make config_item_type const (bsc#1104967,FATE#325924).
- null_blk: use available 'dev' in nullb_device_power_store()
  (bsc#1104967,FATE#325924).
- block/nullb: delete unnecessary memory free
  (bsc#1104967,FATE#325924).
- block/nullb: fix NULL dereference (bsc#1104967,FATE#325924).
- null_blk: update email adress (bsc#1104967,FATE#325924).
- commit 8b7837d
* Tue Oct 16 2018 tbogendoerfer@suse.de
- cls_bpf: use tcf_exts_get_net() before call_rcu() (bsc#1109837).
- Refresh
  patches.drivers/net_sched-use-idr-to-allocate-bpf-filter-handles.patch.
- commit ebff78e
* Tue Oct 16 2018 hare@suse.de
- drivers/block/zram/zram_drv.c: make zram_page_end_io() static
  (bsc#1104967,FATE#325924).
- zram: remove zlib from the list of recommended algorithms
  (bsc#1104967,FATE#325924).
- zram: add zstd to the supported algorithms list
  (bsc#1104967,FATE#325924).
- commit b817e8d
* Tue Oct 16 2018 tbogendoerfer@suse.de
- cls_basic: use tcf_exts_get_net() before call_rcu()
  (bsc#1109837).
- Refresh
  patches.drivers/net_sched-use-idr-to-allocate-basic-filter-handles.patch.
- commit eb6f61d
* Tue Oct 16 2018 oneukum@suse.com
- fpga: dfl: add fpga bridge platform driver for FME
  (FATE#326235).
- Update config files.
- supported.conf:
- commit df122eb
* Tue Oct 16 2018 yousaf.kaukab@suse.com
- libahci: Allow drivers to override stop_engine (fate#326470).
- commit c17452a
* Tue Oct 16 2018 hare@suse.de
- zram: add config and doc file for writeback feature
  (bsc#1104967,FATE#325924).
- commit f5cf960
* Tue Oct 16 2018 hare@suse.de
- zram: read page from backing device (bsc#1104967,FATE#325924).
- Refresh patches.fixes/zram-fix-null-dereference-of-handle.patch.
- commit 9028b98
* Tue Oct 16 2018 tbogendoerfer@suse.de
- net: sched: crash on blocks with goto chain action
  (bsc#1109837).
- cls_tcindex: use tcf_exts_get_net() before call_rcu()
  (bsc#1109837).
- cls_rsvp: use tcf_exts_get_net() before call_rcu()
  (bsc#1109837).
- cls_route: use tcf_exts_get_net() before call_rcu()
  (bsc#1109837).
- cls_fw: use tcf_exts_get_net() before call_rcu() (bsc#1109837).
- cls_flower: use tcf_exts_get_net() before call_rcu()
  (bsc#1109837).
- cls_flow: use tcf_exts_get_net() before call_rcu()
  (bsc#1109837).
- cls_cgroup: use tcf_exts_get_net() before call_rcu()
  (bsc#1109837).
- net_sched: introduce tcf_exts_get_net() and tcf_exts_put_net()
  (bsc#1109837).
- commit 2f05de6
* Tue Oct 16 2018 hare@suse.de
- zram: write incompressible pages to backing device
  (bsc#1104967,FATE#325924).
- Refresh
  patches.suse/block-pass-in-queue-to-inflight-accounting.patch.
- commit d46c106
* Tue Oct 16 2018 hare@suse.de
- zram: identify asynchronous IO's return value
  (bsc#1104967,FATE#325924).
- Refresh
  patches.suse/block-pass-in-queue-to-inflight-accounting.patch.
- commit a51e2c1
* Tue Oct 16 2018 yousaf.kaukab@suse.com
- config: arm64: add marvell drivers
- commit 49f20c9
* Tue Oct 16 2018 hare@suse.de
- zram: add free space management in backing device
  (bsc#1104967,FATE#325924).
- zram: add interface to specif backing device
  (bsc#1104967,FATE#325924).
- zram: rename zram_decompress_page to __zram_bvec_read
  (bsc#1104967,FATE#325924).
- zram: inline zram_compress (bsc#1104967,FATE#325924).
- commit 5df3ad9
* Tue Oct 16 2018 hare@suse.de
- zram: clean up duplicated codes in __zram_bvec_write
  (bsc#1104967,FATE#325924).
- Refresh patches.fixes/zram-fix-null-dereference-of-handle.patch.
- commit 383a5ec
* Tue Oct 16 2018 yousaf.kaukab@suse.com
- pinctrl: avoid PLAT_ORION dependency (fate#326470).
- commit 8f1f562
* Tue Oct 16 2018 tbogendoerfer@suse.de
- bpf: revert report offload info to user space (bsc#1109837).
- bpf: offload: ignore namespace moves (bsc#1109837).
- bpf: turn bpf_prog_get_type() into a wrapper (bsc#1109837).
- net: xdp: don't allow device-bound programs in driver mode
  (bsc#1109837).
- bpf: offload: move offload device validation out to the drivers
  (bsc#1109837).
- bpf: offload: rename the ifindex field (bsc#1109837).
- bpf: offload: limit offload to cls_bpf and xdp programs only
  (bsc#1109837).
- bpf: offload: add comment warning developers about double
  destroy (bsc#1109837).
- nfp: flower: add missing kdoc (bsc#1109837).
- nfp: remove false positive offloads in flower vxlan
  (bsc#1109837).
- nfp: register flower reprs for egress dev offload (bsc#1109837).
- netem: remove unnecessary 64 bit modulus (bsc#1109837).
- netem: use 64 bit divide by rate (bsc#1109837).
- xdp: sample: Missing curly braces in read_route() (bsc#1109837).
- net/sched/sch_red.c: work around gcc-4.4.4 anon union
  initializer issue (bsc#1109837).
- netem: support delivering packets in delayed time slots
  (bsc#1109837).
- netem: add uapi to express delay and jitter in nanoseconds
  (bsc#1109837).
- netem: convert to qdisc_watchdog_schedule_ns (bsc#1109837).
- bpf: Fix tcp_clamp_kern.c sample program (bsc#1109837).
- bpf: Fix tcp_iw_kern.c sample program (bsc#1109837).
- bpf: Fix tcp_cong_kern.c sample program (bsc#1109837).
- bpf: Fix tcp_bufs_kern.c sample program (bsc#1109837).
- bpf: Fix tcp_rwnd_kern.c sample program (bsc#1109837).
- bpf: Fix tcp_synrto_kern.c sample program (bsc#1109837).
- act_vlan: VLAN action rewrite to use RCU lock/unlock and update
  (bsc#1109837).
- nfp flower action: Modified to use VLAN helper functions
  (bsc#1109837).
- act_vlan: Change stats update to use per-core stats
  (bsc#1109837).
- net_sch: cbs: Change TC_SETUP_CBS to TC_SETUP_QDISC_CBS
  (bsc#1109837).
- igb: Add support for CBS offload (bsc#1109837).
- commit 309dfb3
* Tue Oct 16 2018 hare@suse.de
- zram: rework copy of compressor name in
  (bsc#1104967,FATE#325924).
- virtio_blk: quiesce/unquiesce live IO when entering PM states
  (bsc#1104967,FATE#325924).
- nbd: quiesce request queues to make sure no submissions are
  (bsc#1104967,FATE#325924).
- zram: constify attribute_group structures
  (bsc#1104967,FATE#325924).
- zram: use __sysfs_match_string() helper
  (bsc#1104967,FATE#325924).
- zram: count same page write as page_stored
  (bsc#1104967,FATE#325924).
- commit dbac103
* Tue Oct 16 2018 jthumshirn@suse.de
- device-dax: implement ->pagesize() for smaps to report
  MMUPageSize (FATE#324506).
- mm, hugetlbfs: introduce ->pagesize() to vm_operations_struct
  (FATE#324506).
- mm, powerpc: use vma_kernel_pagesize() in vma_mmu_pagesize()
  (FATE#324506).
- commit dbb56c2
* Tue Oct 16 2018 tbogendoerfer@suse.de
- nfp: switch to dev_alloc_page() (bsc#1109837).
- Refresh patches.suse/mm-remove-__GFP_COLD.patch.
- commit efce6ad
* Tue Oct 16 2018 tbogendoerfer@suse.de
- i40e: Enable cloud filters via tc-flower (bsc#1109837
  bsc#1111981 FATE#326312).
- Refresh patches.drivers/i40e-change-flags-to-use-64-bits.patch.
- Refresh patches.drivers/i40e-change-ppp-name-to-ddp.patch.
- Refresh
  patches.drivers/i40e-move-AUTO_DISABLED-flags-into-the-state-field.patch.
- commit d0f016a
* Tue Oct 16 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/scsi-qedi-initialize-the-stats-mutex-lock.
- Refresh
  patches.fixes/nvme-call-nvme_complete_rq-when-nvmf_check_ready-fai.patch.
- Refresh
  patches.fixes/nvme_fc-add-nvme_discovery-sysfs-attribute-to-fc-tra.patch.
- Refresh
  patches.fixes/udp-Unbreak-modules-that-rely-on-external-__skb_recv.patch.
  Re-sort sorted section.
- commit 1eaaa85
* Tue Oct 16 2018 jroedel@suse.de
- blacklist.conf: Add fd97d39b0aa4 Revert "x86/asm: Allow again using asm.h when building for the 'bpf' clang target"
  Not a bug fix.
- commit 9ecf1a2
* Tue Oct 16 2018 tbogendoerfer@suse.de
- i40e: Cloud filter mode for set_switch_config command
  (bsc#1109837 bsc#1111981 FATE#326312).
- Refresh
  patches.drivers/i40e-add-doxygen-comment-for-new-mode-parameter.patch.
- commit 03648fc
* Tue Oct 16 2018 hare@suse.de
- drbd: ->sendpage() never needed set_fs()
  (bsc#1104967,FATE#325924).
- zram: convert remaining CLASS_ATTR() to CLASS_ATTR_RO()
  (bsc#1104967,FATE#325924).
- zram: use class_groups instead of class_attrs
  (bsc#1104967,FATE#325924).
- drbd: Drop unnecessary static (bsc#1104967,FATE#325924).
- nbd: set sk->sk_sndtimeo for our sockets
  (bsc#1104967,FATE#325924).
- nbd: add FUA op support (bsc#1104967,FATE#325924).
- commit d10e151
* Tue Oct 16 2018 oneukum@suse.com
- fpga: dfl: fme-mgr: add compat_id support (FATE#326235).
- commit 87d6442
* Tue Oct 16 2018 oneukum@suse.com
- fpga: mgr: add region_id to fpga_image_info (FATE#326235).
- commit a9c8b4d
* Tue Oct 16 2018 tiwai@suse.de
- Annotate CVE/bug number for a usbhid fix (CVE-2017-16533,bsc#1066674).
- commit edf3e7e
* Tue Oct 16 2018 lhenriques@suse.com
- ceph: avoid a use-after-free in ceph_destroy_options()
  (bsc#1111983).
- commit 62ceccd
* Tue Oct 16 2018 oneukum@suse.com
- fpga: dfl: add fpga manager platform driver for FME
  (FATE#326235).
- Update config files.
- supported.conf: new features of Intel's fpga
- commit b8c4f44
* Tue Oct 16 2018 tbogendoerfer@suse.de
- i40e: Enable 'channel' mode in mqprio for TC configs
  (bsc#1109837 bsc#1111981 FATE#326312).
- Refresh
  patches.drivers/i40e-Fix-the-number-of-queues-available-to-be-mapped.patch.
- commit 3d0da58
* Tue Oct 16 2018 tbogendoerfer@suse.de
- net_sch: red: Add offload ability to RED qdisc (bsc#1109837).
- bpf: Rename tcp_bbf.readme to tcp_bpf.readme (bsc#1109837).
- xdp: Sample xdp program implementing ip forward (bsc#1109837).
- bpf: move cgroup_helpers from samples/bpf/ to
  tools/testing/selftesting/bpf/ (bsc#1109837).
- nfp: implement ethtool FEC mode settings (bsc#1109837).
- nfp: add helpers for FEC support (bsc#1109837).
- nfp: add get/set link settings ndos to representors
  (bsc#1109837).
- nfp: resync repr state when port table sync (bsc#1109837).
- nfp: refactor nfp_app_reprs_set (bsc#1109837).
- nfp: make use of MAC reinit (bsc#1109837).
- nfp: don't depend on compiler constant propagation
  (bsc#1109837).
- bpf: remove old offload/analyzer (bsc#1109837).
- nfp: bpf: move to new BPF program offload infrastructure
  (bsc#1109837).
- nfp: bpf: move translation prepare to offload.c (bsc#1109837).
- nfp: bpf: move program prepare and free into offload.c
  (bsc#1109837).
- nfp: bpf: require seamless reload for program replace
  (bsc#1109837).
- nfp: bpf: refactor offload logic (bsc#1109837).
- nfp: bpf: remove unnecessary include of nfp_net.h (bsc#1109837).
- nfp: bpf: remove the register renumbering leftovers
  (bsc#1109837).
- nfp: bpf: drop support for cls_bpf with legacy actions
  (bsc#1109837).
- nfp: improve defines for constants in ethtool (bsc#1109837).
- nfp: use a counter instead of log message for allocation
  failures (bsc#1109837).
- nfp: bpf: fall back to core NIC app if BPF not selected
  (bsc#1109837).
- nfp: reorganize the app table (bsc#1109837).
- nfp: bpf: reject TC offload if XDP loaded (bsc#1109837).
- nfp: flower: vxlan - ensure no sleep in atomic context
  (bsc#1109837).
- nfp: flower: app should use struct nfp_repr (bsc#1109837).
- nfp: bpf: support [BPF_ALU | BPF_ALU64] | BPF_NEG (bsc#1109837).
- nfp: bpf: rename ALU_OP_NEG to ALU_OP_NOT (bsc#1109837).
- i40e: Clean up of cloud filters (bsc#1109837 bsc#1111981
  FATE#326312).
- i40e: Admin queue definitions for cloud filters (bsc#1109837
  bsc#1111981 FATE#326312).
- i40e: Map TCs with the VSI seids (bsc#1109837 bsc#1111981
  FATE#326312).
- i40e: fix u64 division usage (bsc#1109837 bsc#1111981
  FATE#326312).
- i40e: Add support setting TC max bandwidth rates (bsc#1109837
  bsc#1111981 FATE#326312).
- i40e: Refactor VF BW rate limiting (bsc#1109837 bsc#1111981
  FATE#326312).
- commit 1998528
* Tue Oct 16 2018 hare@suse.de
- blk-mq: silence false positive warnings in hctx_unlock()
  (bsc#1104967,FATE#325924).
- blacklist.conf: drop temporarily blacklisted commit
- commit 64010be
* Tue Oct 16 2018 hare@suse.de
- blk-mq: rename blk_mq_hw_ctx->queue_rq_srcu to ->srcu
  (bsc#1104967,FATE#325924).
- commit d20a61c
* Tue Oct 16 2018 hare@suse.de
- blk-mq: remove REQ_ATOM_STARTED (bsc#1104967,FATE#325924).
- Refresh
  patches.drivers/blk-mq-don-t-call-io-sched-s-.requeue_request-when-r.patch.
- commit a24e189
* Tue Oct 16 2018 hare@suse.de
- blk-mq: remove REQ_ATOM_COMPLETE usages from blk-mq
  (bsc#1104967,FATE#325924).
- blk-mq: make blk_abort_request() trigger timeout path
  (bsc#1104967,FATE#325924).
- commit 44bf167
* Tue Oct 16 2018 hare@suse.de
- blk-mq: use blk_mq_rq_state() instead of testing
  (bsc#1104967,FATE#325924).
- Refresh
  patches.fixes/blk-mq-count-allocated-but-not-started-requests-in-i.patch.
- commit d1d73f5
* Tue Oct 16 2018 oneukum@suse.com
- fpga: dfl: fme: add partial reconfiguration sub feature support
  (FATE#326235).
- commit 1337db8
* Tue Oct 16 2018 tiwai@suse.de
- r8169: Clear RTL_FLAG_TASK_*_PENDING when clearing
  RTL_FLAG_TASK_ENABLED (bsc#1051510).
- commit c971fb2
* Tue Oct 16 2018 tiwai@suse.de
- qrtr: add MODULE_ALIAS macro to smd (bsc#1051510).
- commit 31d8b8f
* Tue Oct 16 2018 tiwai@suse.de
- PCI: Reprogram bridge prefetch registers on resume
  (bsc#1051510).
- commit ec49c2b
* Tue Oct 16 2018 tiwai@suse.de
- libertas: call into generic suspend code before turning off
  power (bsc#1051510).
- commit 5d728bf
* Tue Oct 16 2018 tiwai@suse.de
- iwlwifi: mvm: open BA session only when sta is authorized
  (bsc#1051510).
- commit a7e605a
* Tue Oct 16 2018 tiwai@suse.de
- hypfs_kill_super(): deal with failed allocations (bsc#1051510).
- commit 87c9070
* Tue Oct 16 2018 tiwai@suse.de
- fbdev/omapfb: fix omapfb_memory_read infoleak (bsc#1051510).
- debugobjects: Make stack check warning more informative
  (bsc#1051510).
- commit 2756190
* Tue Oct 16 2018 tiwai@suse.de
- crypto: chelsio - Fix memory corruption in DMA Mapped buffers
  (bsc#1051510).
- HID: sensor-hub: Restore fixup for Lenovo ThinkPad Helix 2
  sensor hub report (bsc#1051510).
- HID: hid-sensor-hub: Force logical minimum to 1 for power and
  report state (bsc#1051510).
- commit 287d1a2
* Tue Oct 16 2018 bpoirier@suse.com
- Fix some patch headers which diverge from RFC5322
  Manually fix some patches which have an invalid header.
- s390/sthyi: reorganize sthyi implementation (FATE#324258,
  LTC#160415, bsc#1068273).
- s390/sthyi: add cache to store hypervisor info (FATE#324258,
  LTC#160415, bsc#1068273).
- s390/sthyi: add s390_sthyi system call (FATE#324258, LTC#160415,
  bsc#1068273).
- Refresh
  patches.drivers/scsi-qla2xxx-remove-irq-save-in-qla2x00_poll.patch.
- Refresh
  patches.fixes/xen-fix-booting-ballooned-down-hvm-guest.patch.
- xen/netfront: don't bug in case of too many frags (bnc#1104824).
- Refresh
  patches.fixes/xen-support-more-32-vcpus-at-domain-restore.patch.
- Refresh
  patches.fixes/xen-vcpu-simplify-xen_vcpu-related-code.patch.
- commit f488e5f
* Tue Oct 16 2018 lduncan@suse.com
- scsi: target: prefer dbroot of /etc/target over /var/target
  (bsc#1111928).
- commit 90cccba
* Mon Oct 15 2018 yousaf.kaukab@suse.com
- crypto: mv_cesa - Use IPAD/OPAD constant (fate#326470).
- commit c7509c1
* Mon Oct 15 2018 msuchanek@suse.de
- powerpc/rtas: Fix a potential race between CPU-Offline &
  Migration (bsc#1111870).
- commit 026dc74
* Mon Oct 15 2018 fdmanana@suse.com
- Btrfs: send, fix invalid access to commit roots due to
  concurrent snapshotting (bsc#1111904).
- commit a1ef375
* Mon Oct 15 2018 fdmanana@suse.com
- Btrfs: fix mount failure after fsync due to hard link recreation
  (bsc#1103543).
- commit 9fad86c
* Mon Oct 15 2018 fdmanana@suse.com
- Btrfs: fix file data corruption after cloning a range and fsync
  (bsc#1111901).
- commit 944429a
* Mon Oct 15 2018 tiwai@suse.de
- sock_diag: fix use-after-free read in __sk_free (bsc#1051510).
- commit bff757c
* Mon Oct 15 2018 tiwai@suse.de
- squashfs: more metadata hardening (bsc#1051510).
- commit 6ea48dd
* Mon Oct 15 2018 tiwai@suse.de
- stm: Potential read overflow in stm_char_policy_set_ioctl()
  (bsc#1051510).
- commit 680b150
* Mon Oct 15 2018 tiwai@suse.de
- switchtec: Fix Spectre v1 vulnerability (bsc#1051510).
- commit 6f8d9b6
* Mon Oct 15 2018 tiwai@suse.de
- team: Forbid enslaving team device to itself (bsc#1051510).
- commit 5340d75
* Mon Oct 15 2018 rgoldwyn@suse.com
- proc: restrict kernel stack dumps to root (git-fixes).
  blacklist.conf:
- ovl: fix format of setxattr debug (git-fixes).
- sysfs: Do not return POSIX ACL xattrs via listxattr (git-fixes).
- apparmor: Check buffer bounds when mapping permissions mask
  (git-fixes).
- aio: fix io_destroy(2) vs. lookup_ioctx() race (git-fixes).
- commit b947702
* Mon Oct 15 2018 rgoldwyn@suse.com
- ovl: Sync upper dirty data when syncing overlayfs (git-fixes).
- commit ff5cd46
* Mon Oct 15 2018 tiwai@suse.de
- vmbus: don't return values for uninitalized channels
  (bsc#1051510).
- commit da72041
* Mon Oct 15 2018 tiwai@suse.de
- vti6: remove !skb->ignore_df check from vti6_xmit()
  (bsc#1051510).
- vti6: fix PMTU caching and reporting on xmit (bsc#1051510).
- vti4: Don't count header length twice on tunnel setup
  (bsc#1051510).
- commit c6608bb
* Mon Oct 15 2018 tiwai@suse.de
- usb: xhci-mtk: resume USB3 roothub first (bsc#1051510).
- USB: serial: simple: add Motorola Tetra MTP6550 id
  (bsc#1051510).
- usb: gadget: fotg210-udc: Fix memory leak of fotg210->ep[i]
  (bsc#1051510).
- USB: yurex: Check for truncation in yurex_read() (bsc#1051510).
- commit b76815c
* Mon Oct 15 2018 tiwai@suse.de
- xhci: Add missing CAS workaround for Intel Sunrise Point xHCI
  (bsc#1051510).
- commit 18db61b
* Mon Oct 15 2018 yousaf.kaukab@suse.com
- irqchip/irq-mvebu-icu: Fix wrong private data retrieval (fate#326470).
- clk: mvebu: ap806: Remove superfluous of_clk_add_provider (fate#326470).
- PCI: mvebu: Fix PCI I/O mapping creation sequence (fate#326470).
- cpufreq: mvebu: Remove OPPs using dev_pm_opp_remove() (fate#326470).
- serial: mvebu-uart: Fix reporting of effective CSIZE to userspace (fate#326470).
- clk: mvebu: armada-37xx-periph: add suspend/resume support (fate#326470).
- clk: mvebu: armada-37xx-periph: save the IP base address in the driver data (fate#326470).
- phy: mvebu-cp110-comphy: switch to SPDX identifier (fate#326470).
- PCI: mvebu: Drop bogus comment above mvebu_pcie_map_registers() (fate#326470).
- PCI: mvebu: Convert to use pci_host_bridge directly (fate#326470).
- PCI: mvebu: Use resource_size() to remap I/O space (fate#326470).
- PCI: mvebu: Only remap I/O space if configured (fate#326470).
- PCI: mvebu: Remove redundant platform_set_drvdata() call (fate#326470).
- PCI: Add function 1 DMA alias quirk for Marvell 88SS9183 (fate#326470).
- clk: mvebu: armada-37xx-periph: Remove unused var num_parents (fate#326470).
- clk: mvebu: armada-37xx-periph: Fix wrong return value in get_parent (fate#326470).
- clk: mvebu: armada-37xx-periph: Fix switching CPU rate from 300Mhz to 1.2GHz (fate#326470).
- ata: ahci_mvebu: ahci_mvebu_stop_engine() can be static (fate#326470).
- gpio: mvebu: Use the proper APIs (fate#326470).
- pinctrl: mvebu: update use "nand" function for "rb" pin (fate#326470).
- serial: mvebu-uart: add suspend/resume support (fate#326470).
- mmc: core: sdio: Set SDIO clock of SDR104 to 150MHz for Marvell 8887 chip (fate#326470).
- ata: ahci: mvebu: override ahci_stop_engine for mvebu AHCI (fate#326470).
- serial: mvebu-uart: Fix local flags handling on termios update (fate#326470).
- serial: mvebu-uart: fix tx lost characters (fate#326470).
- serial: mvebu-uart: remove duplicated bit-wise or of STAT_FRM_ERR (fate#326470).
- pinctrl: mvebu: Delete an error message for a failed memory allocation in mvebu_pinctrl_probe() (fate#326470).
- clk: mvebu: armada-37xx-periph: Use PTR_ERR_OR_ZERO() (fate#326470).
- clk: mvebu: armada-37xx-periph: add DVFS support for cpu clocks (fate#326470).
- clk: mvebu: armada-37xx-periph: prepare cpu clk to be used with DVFS (fate#326470).
- clk: mvebu: armada-37xx-periph: cosmetic changes (fate#326470).
- crypto: marvell/cesa - Fix DMA API misuse (fate#326470).
- cpufreq: mvebu: Free opp if registering failed (fate#326470).
- cpufreq: mvebu: Free the clock reference in the normal path (fate#326470).
- crypto: marvell - Add a NULL entry at the end of mv_cesa_plat_id_table (fate#326470).
- crypto: marvell/cesa - remove redundant backlog checks on EBUSY (fate#326470).
- crypto: marvell - Switch cipher algs to the skcipher interface (fate#326470).
- crypto: marvell - Remove the old mv_cesa driver (fate#326470).
- crypto: marvell - Add a platform_device_id table (fate#326470).
- phy: mvebu-cp110-comphy: remove unused member in private struct (fate#326470).
- serial: mvebu-uart: drop incorrect memset (fate#326470).
- serial: mvebu-uart: support extended port registers layout (fate#326470).
- serial: mvebu-uart: augment the maximum number of ports (fate#326470).
- serial: mvebu-uart: dissociate RX and TX interrupts (fate#326470).
- serial: mvebu-uart: add TX interrupt trigger for pulse interrupts (fate#326470).
- serial: mvebu-uart: clear state register before IRQ request (fate#326470).
- serial: mvebu-uart: add function to change baudrate (fate#326470).
- serial: mvebu-uart: add soft reset at probe (fate#326470).
- serial: mvebu-uart: use a generic way to access the registers (fate#326470).
- serial: mvebu-uart: support probe of multiple ports (fate#326470).
- serial: mvebu-uart: use driver name when requesting an interrupt (fate#326470).
- irqchip/irq-mvebu-gicp: Add missing spin_lock init (fate#326470).
- phy: mvebu-cp110: checking for NULL instead of IS_ERR() (fate#326470).
- phy: mvebu-cp110-comphy: explicitly set the pipe selector (fate#326470).
- phy: mvebu-cp110-comphy: fix mux error check (fate#326470).
- ARM: mvebu: enable ARM_GLOBAL_TIMER compilation Armada 38x platforms (fate#326470).
  Refresh:
  patches.fixes/ARM-mvebu-Fix-broken-PL310_ERRATA_753970-selects.patch
- PCI: mvebu: Remove unneeded gpiod NULL check (fate#326470).
- media: marvell-ccic: constify pci_device_id (fate#326470).
- media: marvell-ccic: constify i2c_algorithm structure (fate#326470).
- phy: add the mvebu cp110 comphy driver (fate#326470).
- gpio: mvebu: Fix cause computation in irq handler (fate#326470).
- gpio: mvebu: Add support for the Armada 7K/8K SoCs (fate#326470).
- gpio: mvebu: fix regmap_update_bits usage (fate#326470).
- gpio: mvebu: Select REGMAP_MMIO now that regmap is used (fate#326470).
- gpio: mvebu: allow building driver for Armada 7K/8K (fate#326470).
- gpio: mvebu: switch to regmap for register access (fate#326470).
- gpio: mvebu: sort header include (fate#326470).
- clk: mvebu: cp110: Minor cleanups (fate#326470).
- clk: mvebu: cp110: add sdio clock to cp-110 system controller (fate#326470).
- clk: mvebu: cp110: introduce a new binding (fate#326470).
- clk: mvebu: cp110: do not depend anymore of the *-clock-output-names (fate#326470).
- clk: mvebu: cp110: make failure labels more meaningful (fate#326470).
- clk: mvebu: ap806: introduce a new binding (fate#326470).
- clk: mvebu: ap806: do not depend anymore of the *-clock-output-names (fate#326470).
- clk: mvebu: ap806: cosmetic improvement (fate#326470).
- pinctrl: mvebu: add driver for Armada CP110 pinctrl (fate#326470).
- pinctrl: mvebu: add driver for Armada AP806 pinctrl (fate#326470).
- pinctrl: mvebu: remove the offset property for regmap (fate#326470).
- crypto: marvell - Use IPAD/OPAD constant (fate#326470).
- arm64: marvell: enable ICU and GICP drivers (fate#326470).
- arm64: marvell: enable the Armada 7K/8K pinctrl driver (fate#326470).
- irqchip/irq-mvebu-gicp: Allocate enough memory for spi_bitmap (fate#326470).
- irqchip/irq-mvebu-icu: Add new driver for Marvell ICU (fate#326470).
- irqchip/irq-mvebu-gicp: Add new driver for Marvell GICP (fate#326470).
- commit 987feae
* Mon Oct 15 2018 yousaf.kaukab@suse.com
- blacklist: remove marvell serial patches
- commit eac1f42
* Mon Oct 15 2018 hare@suse.de
- blk-mq: replace timeout synchronization with a RCU and
  (bsc#1104967,FATE#325924).
- Refresh
  patches.drivers/blk-mq-don-t-call-io-sched-s-.requeue_request-when-r.patch.
- Refresh
  patches.fixes/blk-mq-count-allocated-but-not-started-requests-in-i.patch.
- commit 95d78c6
* Mon Oct 15 2018 tbogendoerfer@suse.de
- nfp: bpf: add stack write support (bsc#1109837).
- Refresh
  patches.fixes/bpf-reduce-verifier-memory-consumption.patch.
- commit a9bfa32
* Mon Oct 15 2018 tbogendoerfer@suse.de
- nfp: bpf: refactor nfp_bpf_check_ptr() (bsc#1109837).
- Refresh
  patches.fixes/bpf-reduce-verifier-memory-consumption.patch.
- commit 601f6ed
* Mon Oct 15 2018 tbogendoerfer@suse.de
- nfp: bpf: add support for direct packet access - read
  (bsc#1109837).
- Refresh
  patches.fixes/bpf-reduce-verifier-memory-consumption.patch.
- commit 862d01d
* Mon Oct 15 2018 oneukum@suse.com
- fpga: dfl: fme: add DFL_FPGA_GET_API_VERSION/CHECK_EXTENSION
  ioctls support (FATE#326235).
- commit ae39d15
* Mon Oct 15 2018 msuchanek@suse.de
- powerpc/smp: Add Power9 scheduler topology (bsc#1109695).
- Refresh patches.arch/powerpc-topology-Get-topology-for-shared-processors-.patch.
- powerpc/smp: Add cpu_l2_cache_map (bsc#1109695).
- powerpc/smp: Rework CPU topology construction (bsc#1109695).
- powerpc/smp: Use cpu_to_chip_id() to find core siblings
  (bsc#1109695).
- commit 35958e3
* Mon Oct 15 2018 oneukum@suse.com
- fpga: dfl: fme: add header sub feature support (FATE#326235).
- commit 75dc4a6
* Mon Oct 15 2018 oneukum@suse.com
- fpga: dfl: add FPGA Management Engine driver basic framework
  Update config files. New FPGA deatures.
  supported.conf: added management modules for Intel's FPGA
  (FATE#326235).
- commit 1d6d896
* Mon Oct 15 2018 hare@suse.de
- blk-mq: protect completion path with RCU
  (bsc#1104967,FATE#325924).
- commit c8ac907
* Mon Oct 15 2018 oneukum@suse.com
- fpga: dfl-pci: add enumeration for feature devices
  (FATE#326235).
- commit 77500fd
* Mon Oct 15 2018 tbogendoerfer@suse.de
- nfp: inform the VF driver needs to be restarted after changing
  the MAC (bsc#1109837).
- nfp: bpf: optimize mov64 a little (bsc#1109837).
- nfp: bpf: support stack accesses via non-constant pointers
  (bsc#1109837).
- nfp: bpf: support accessing the stack beyond 64 bytes
  (bsc#1109837).
- nfp: bpf: allow stack accesses via modified stack registers
  (bsc#1109837).
- nfp: bpf: optimize the RMW for stack accesses (bsc#1109837).
- nfp: bpf: add stack read support (bsc#1109837).
- nfp: bpf: add helper for emitting nops (bsc#1109837).
- nfp: use struct fields for 8 bit-wide access (bsc#1109837).
- nfp: Explicitly include linux/bug.h (bsc#1109837).
- nfp: bpf: support direct packet access in TC (bsc#1109837).
- nfp: bpf: direct packet access - write (bsc#1109837).
- nfp: bpf: separate I/O from checks for legacy data load
  (bsc#1109837).
- nfp: bpf: fix context accesses (bsc#1109837).
- nfp: bpf: support BPF offload only on little endian
  (bsc#1109837).
- nfp: bpf: implement byte swap instruction (bsc#1109837).
- nfp: bpf: add mov helper (bsc#1109837).
- nfp: bpf: fix compare instructions (bsc#1109837).
- nfp: bpf: add missing return in jne_imm optimization
  (bsc#1109837).
- nfp: bpf: reorder arguments to emit_ld_field_any()
  (bsc#1109837).
- nfp: bpf: pass dst register to ld_field instruction
  (bsc#1109837).
- nfp: bpf: byte swap the instructions (bsc#1109837).
- nfp: bpf: pad code with valid nops (bsc#1109837).
- nfp: bpf: calculate code store ECC (bsc#1109837).
- nfp: bpf: move to datapath ABI version 2 (bsc#1109837).
- nfp: bpf: encode extended LM pointer operands (bsc#1109837).
- nfp: bpf: encode LMEM accesses (bsc#1109837).
- nfp: add more white space to the instruction defines
  (bsc#1109837).
- nfp: bpf: remove packet marking support (bsc#1109837).
- nfp: bpf: remove register rename (bsc#1109837).
- nfp: bpf: encode all 64bit shifts (bsc#1109837).
- nfp: bpf: move software reg helpers and cmd table out of
  translator (bsc#1109837).
- nfp: bpf: use the power of sparse to check we encode registers
  right (bsc#1109837).
- nfp: bpf: lift the single-port limitation (bsc#1109837).
- nfp: output control messages to trace_devlink_hwmsg()
  (bsc#1109837).
- nfp: add set tcp and udp header action flower offload
  (bsc#1109837).
- nfp: add set ipv6 source and destination address (bsc#1109837).
- nfp: add set ipv4 header action flower offload (bsc#1109837).
- nfp: add set ethernet header action flower offload
  (bsc#1109837).
- nfp: add IPv6 ttl and tos match offloading support
  (bsc#1109837).
- nfp: add IPv4 ttl and tos match offloading support
  (bsc#1109837).
- nfp: add mpls match offloading support (bsc#1109837).
- nfp: flower vxlan neighbour keep-alive (bsc#1109837).
- nfp: flower vxlan neighbour offload (bsc#1109837).
- nfp: offload vxlan IPv4 endpoints of flower rules (bsc#1109837).
- nfp: offload flower vxlan endpoint MAC addresses (bsc#1109837).
- nfp: compile flower vxlan tunnel set actions (bsc#1109837).
- nfp: compile flower vxlan tunnel metadata match fields
  (bsc#1109837).
- nfp: add helper to get flower cmsg length (bsc#1109837).
- bpf, nfp: add meta data support (bsc#1109837).
- commit 0506cf9
* Mon Oct 15 2018 oneukum@suse.com
- fpga: add FPGA DFL PCIe device driver (FATE#326235).
- commit 97ae494
* Mon Oct 15 2018 hare@suse.de
- block, bfq: release oom-queue ref to root group on exit
  (bsc#1104967,FATE#325924).
- commit 847ed00
* Mon Oct 15 2018 hare@suse.de
- blk-mq: fix kernel oops in blk_mq_tag_idle()
  (bsc#1104967,FATE#325924).
- commit b0a697e
* Mon Oct 15 2018 msuchanek@suse.de
- scsi: ipr: Eliminate duplicate barriers (FATE#326436).
- scsi: ipr: Use dma_pool_zalloc() (FATE#326436).
- scsi: ipr: fix incorrect indentation of assignment statement
  (FATE#326436).
- commit 954903e
* Mon Oct 15 2018 oneukum@suse.com
- fpga: dfl: add dfl_fpga_check_port_id function (FATE#326235).
- commit ad9f9b0
* Mon Oct 15 2018 oneukum@suse.com
- fpga: dfl: add dfl_fpga_port_ops support (FATE#326235).
- commit 541caab
* Mon Oct 15 2018 tbogendoerfer@suse.de
- bpf: offload: add infrastructure for loading programs for a
  specific netdev (bsc#1109837).
- Refresh
  patches.fixes/bpf-introduce-BPF_JIT_ALWAYS_ON-config.patch.
- commit 3211bc6
* Mon Oct 15 2018 hare@suse.de
- block: fix deadline elevator drain for zoned block devices
  (bsc#1104967,FATE#325924).
- mq-deadline: Make sure to always unlock zones
  (bsc#1104967,FATE#325924).
- commit 2ccda12
* Mon Oct 15 2018 tbogendoerfer@suse.de
- net: bpf: rename ndo_xdp to ndo_bpf (bsc#1109837).
- Refresh
  patches.drivers/net-thunderx-add-ndo_set_rx_mode-callback-implementa.patch.
- Refresh
  patches.drivers/net-thunderx-add-timestamping-support.patch.
- commit 4eab8fa
* Mon Oct 15 2018 oneukum@suse.com
- fpga: dfl: add feature device infrastructure (FATE#326235).
- commit 38ecdf5
* Mon Oct 15 2018 oneukum@suse.com
- fpga: dfl: add dfl_fpga_cdev_find_port (FATE#326235).
- commit 0dc09f8
* Mon Oct 15 2018 tbogendoerfer@suse.de
- cls_bpf: allow attaching programs loaded for specific device
  (bsc#1109837).
- xdp: allow attaching programs loaded for specific device
  (bsc#1109837).
- bpf: report offload info to user space (bsc#1109837).
- commit 0b4bfac
* Mon Oct 15 2018 jthumshirn@suse.de
- mm: fix BUG_ON() in vmf_insert_pfn_pud() from VM_MIXEDMAP
  removal (bsc#1111841).
- commit c82ee64
* Mon Oct 15 2018 oneukum@suse.com
- blacklist.conf: depends on blacklisted patch (kABI reasons)
- commit fc0e041
* Mon Oct 15 2018 oneukum@suse.com
- blacklist.conf: breaks kABI by changing observable behavior
- commit d003299
* Mon Oct 15 2018 jthumshirn@suse.de
- block: bvec_nr_vecs() returns value for wrong slab
  (bsc#1111834).
- commit 0a7a1e1
* Mon Oct 15 2018 jthumshirn@suse.de
- scsi: qla2xxx: Fix memory leak for allocating abort IOCB
  (bsc#1111830).
- commit 92a8229
* Mon Oct 15 2018 nsaenzjulienne@suse.de
- tpm: use struct tpm_chip for tpm_chip_find_get() (FATE#326087).
- Refresh patches.drivers/tpm-move-linux-rng-connection-to-hwrng.patch.
- commit 79ea58b
* Mon Oct 15 2018 vbabka@suse.cz
- ksm: fix unlocked iteration over vmas in cmp_and_merge_page()
  (VM Functionality bsc#1111806).
- commit 6cf1086
* Mon Oct 15 2018 jthumshirn@suse.de
- blkdev_report_zones_ioctl(): Use vmalloc() to allocate large
  buffers (bsc#1111819).
- commit a16c62f
* Mon Oct 15 2018 vbabka@suse.cz
- x86/speculation/l1tf: Fix overflow in l1tf_pfn_limit() on 32bit
  (bsc#1105536).
- Refresh
  patches.arch/0001-x86-speculation-l1tf-Fix-off-by-one-error-when-warni.patch.
- Refresh
  patches.arch/0001-x86-speculation-l1tf-Increase-l1tf-memory-limit-for-.patch.
- Refresh
  patches.arch/x86-speculation-l1tf-extend-64bit-swap-file-size-limit.
- Refresh
  patches.arch/x86-speculation-l1tf-protect-pae-swap-entries-against-l1tf.
- commit 5db1aea
* Fri Oct 12 2018 msuchanek@suse.de
- mm/migrate: Use spin_trylock() while resetting rate limit (FATE#326522).
- Refresh patches.suse/mm-numa-Remove-rate-limiting-of-automatic-numa-balancing-migration.patch
- commit afe3f1b
* Fri Oct 12 2018 msuchanek@suse.de
- sched/numa: Limit the conditions where scan period is reset
  (FATE#326522).
- commit 31f6bb6
* Fri Oct 12 2018 tbogendoerfer@suse.de
- Update config files.
- supported.conf: net/sched/sch_cbs
- commit 335a9f9
* Fri Oct 12 2018 msuchanek@suse.de
- Refresh patches.suse/mm-numa-Migrate-pages-to-local-nodes-quicker-early-in-the-lifetime-of-a-task.patch.
- Refresh patches.suse/mm-numa-Remove-rate-limiting-of-automatic-numa-balancing-migration.patch.
- Refresh patches.suse/sched-numa-Avoid-task-migration-for-small-NUMA-improvement.patch.
- Refresh patches.suse/sched-numa-Pass-destination-CPU-as-a-parameter-to-migrate_task_rq.patch.
- Refresh patches.suse/sched-numa-Remove-numa_has_capacity.patch.
- Refresh patches.suse/sched-numa-Reset-scan-rate-whenever-task-moves-across-nodes.patch.
- Refresh patches.suse/sched-numa-Stop-multiple-tasks-from-moving-to-the-CPU-at-the-same-time.patch.
- commit 16d8ab6
* Fri Oct 12 2018 tbogendoerfer@suse.de
- net: core: introduce mini_Qdisc and eliminate usage of tp->q
  for clsact fastpath (bsc#1109837).
- Refresh
  patches.drivers/net-sched-fix-static-key-imbalance-in-case-of-ingres.patch.
- commit 3c7222e
* Fri Oct 12 2018 tbogendoerfer@suse.de
- net: sched: introduce chain_head_change callback (bsc#1109837).
- Refresh
  patches.drivers/net-sched-fix-crash-when-deleting-secondary-chains.patch.
- Refresh
  patches.drivers/net-sched-fix-static-key-imbalance-in-case-of-ingres.patch.
- commit 6d1d0d7
* Fri Oct 12 2018 tbogendoerfer@suse.de
- net: sched: cls_u32: use bitwise & rather than logical &&
  on n->flags (bsc#1109837).
- net_sched: check NULL in tcf_block_put() (bsc#1109837).
- net: sched: cls_bpf: use bitwise & rather than logical &&
  on gen_flags (bsc#1109837).
- net: sched: remove ndo_setup_tc check from tc_can_offload
  (bsc#1109837).
- net: sched: remove tc_can_offload check from egdev call
  (bsc#1109837).
- net: sched: move the can_offload check from binding phase to
  rule insertion phase (bsc#1109837).
- net: sched: remove unused tc_should_offload helper
  (bsc#1109837).
- net: sched: Identify hardware traffic classes using classid
  (bsc#1109837).
- net/sched: Add support for HW offloading for CBS (bsc#1109837).
- net/sched: Introduce Credit Based Shaper (CBS) qdisc
  (bsc#1109837).
- net/sched: Add select_queue() class_ops for mqprio
  (bsc#1109837).
- net/sched: Change behavior of mq select_queue() (bsc#1109837).
- net/sched: Check for null dev_queue on create flow
  (bsc#1109837).
- net/sched: Fix actions list corruption when adding offloaded
  tc flows (bsc#1109837).
- net: sched: mark expected switch fall-throughs (bsc#1109837).
- net: sched: remove unused classid field from
  tc_cls_common_offload (bsc#1109837).
- commit f23e497
* Fri Oct 12 2018 tbogendoerfer@suse.de
- bnxt: Convert ndo_setup_tc offloads to block callbacks
  (bsc#1109837).
- Refresh
  patches.drivers/bnxt_en-alloc-tc_info-struct-only-when-tc-flower-is-.patch.
- commit 34dab89
* Fri Oct 12 2018 tbogendoerfer@suse.de
- net: sched: store Qdisc pointer in struct block (bsc#1109837).
- Refresh
  patches.drivers/net-sched-cbq-create-block-for-q-link.block.patch.
- Refresh
  patches.drivers/net-sched-fix-static-key-imbalance-in-case-of-ingres.patch.
- commit b0f9843
* Fri Oct 12 2018 tiwai@suse.de
- Revert "clockevents: Add a clkevt-of mechanism like clksrc-of"
  (bsc#1111666).
- commit 0e5f498
* Fri Oct 12 2018 tbogendoerfer@suse.de
- net: sched: cls_matchall: call block callbacks for offload
  (bsc#1109837).
- Refresh
  patches.suse/cls_matchall-fix-tcf_unbind_filter-missing.patch.
- commit 7ee2b79
* Fri Oct 12 2018 tiwai@suse.de
- ALSA: core: Assure control device to be registered at last
  (bsc#1111666).
- commit d136bb6
* Fri Oct 12 2018 tiwai@suse.de
- Revert "pinctrl: intel: Do pin translation when lock IRQ"
  (FATE#326296).
- pinctrl: intel: Do pin translation in other GPIO operations
  as well (FATE#326296).
- commit c40b3ce
* Fri Oct 12 2018 tbogendoerfer@suse.de
- net: sched: use extended variants of block_get/put in ingress
  and clsact qdiscs (bsc#1109837).
- Refresh
  patches.drivers/net-sched-fix-static-key-imbalance-in-case-of-ingres.patch.
- commit 912ea66
* Fri Oct 12 2018 tbogendoerfer@suse.de
- net: sched: propagate q and parent from caller down to
  tcf_fill_node (bsc#1109837).
- Refresh
  patches.suse/net-sched-report-if-filter-is-too-large-to-dump.patch.
- commit e4988dc
* Fri Oct 12 2018 hare@suse.de
- block, bfq: consider also past I/O in soft real-time
  (bsc#1104967,FATE#325924).
- block, bfq: remove superfluous check in queue-merging setup
  (bsc#1104967,FATE#325924).
- block, bfq: let a queue be merged only shortly after starting
  (bsc#1104967,FATE#325924).
- block, bfq: check low_latency flag in bfq_bfqq_save_state()
  (bsc#1104967,FATE#325924).
- block, bfq: add missing rq_pos_tree update on rq removal
  (bsc#1104967,FATE#325924).
- block, bfq: increase threshold to deem I/O as random
  (bsc#1104967,FATE#325924).
- deadline-iosched: Introduce zone locking support
  (bsc#1104967,FATE#325924).
- deadline-iosched: Introduce dispatch helpers
  (bsc#1104967,FATE#325924).
- mq-deadline: Introduce zone locking support
  (bsc#1104967,FATE#325924).
- mq-deadline: Introduce dispatch helpers
  (bsc#1104967,FATE#325924).
- block: introduce zoned block devices zone write locking
  (bsc#1104967,FATE#325924).
- commit 9ef7ac2
* Fri Oct 12 2018 hare@suse.de
- blk-mq: remove confusing comment of (bsc#1104967,FATE#325924).
- blk-mq: improve heavily contended tag case
  (bsc#1104967,FATE#325924).
- commit bfd40a2
* Fri Oct 12 2018 tbogendoerfer@suse.de
- net: sched: avoid ndo_setup_tc calls for TC_SETUP_CLS*
  (bsc#1109837).
- dsa: Convert ndo_setup_tc offloads to block callbacks
  (bsc#1109837).
- nfp: bpf: Convert ndo_setup_tc offloads to block callbacks
  (bsc#1109837).
- nfp: flower: Convert ndo_setup_tc offloads to block callbacks
  (bsc#1109837).
- mlx5e_rep: Convert ndo_setup_tc offloads to block callbacks
  (bsc#1109837).
- ixgbe: Convert ndo_setup_tc offloads to block callbacks
  (bsc#1109837).
- cxgb4: Convert ndo_setup_tc offloads to block callbacks
  (bsc#1109837).
- mlx5e: Convert ndo_setup_tc offloads to block callbacks
  (bsc#1109837).
- mlxsw: spectrum: Convert ndo_setup_tc offloads to block
  callbacks (bsc#1109837).
- net: sched: cls_bpf: call block callbacks for offload
  (bsc#1109837).
- net: sched: cls_u32: call block callbacks for offload
  (bsc#1109837).
- net: sched: cls_u32: swap u32_remove_hw_knode and
  u32_remove_hw_hnode (bsc#1109837).
- net: sched: use tc_setup_cb_call to call per-block callbacks
  (bsc#1109837).
- net: sched: introduce per-block callbacks (bsc#1109837).
- net: sched: add block bind/unbind notif. and extended
  block_get/put (bsc#1109837).
- net/sched: Set the net-device for egress device instance
  (bsc#1109837).
- net: sched: cls_u32: use hash_ptr() for tc_u_hash (bsc#1109837).
- mqprio: fix potential null pointer dereference on opt
  (bsc#1109837).
- net: export netdev_txq_to_tc to allow sch_mqprio to compile
  as module (bsc#1109837).
- net: sched: use tcf_block_q helper to get q pointer for
  sch_tree_lock (bsc#1109837).
- net: sched: tcindex, fw, flow: use tcf_block_q helper to get
  struct Qdisc (bsc#1109837).
- net: sched: cls_u32: use block instead of q in tc_u_common
  (bsc#1109837).
- net: sched: ematch: obtain net pointer from blocks
  (bsc#1109837).
- net: sched: teach tcf_bind/unbind_filter to use block->q
  (bsc#1109837).
- net: sched: introduce tcf_block_q and tcf_block_dev helpers
  (bsc#1109837).
- net: sched: store net pointer in block and introduce qdisc_net
  helper (bsc#1109837).
- mqprio: Reserve last 32 classid values for HW traffic classes
  and misc IDs (bsc#1109837).
- mqprio: Introduce new hardware offload mode and shaper in mqprio
  (bsc#1109837).
- sched: act: ife: update parameters via rcu handling
  (bsc#1109837).
- sched: act: ife: migrate to use per-cpu counters (bsc#1109837).
- sched: act: ife: move encode/decode check to init (bsc#1109837).
- net: sched: remove unused tcf_exts_get_dev helper and
  cls_flower->egress_dev (bsc#1109837).
- mlxsw: spectrum: Offload multichain TC rules (bsc#1109837).
- commit 105b4d9
* Fri Oct 12 2018 hare@suse.de
- scsi: mpt3sas: Fix _transport_smp_handler() error path
  (bsc#1104967,FATE#325924).
- scsi: scsi_transport_sas: select BLK_DEV_BSGLIB
  (bsc#1104967,FATE#325924).
- commit 62adf8b
* Fri Oct 12 2018 hare@suse.de
- scsi: libsas: remove private hex2bin() implementation
  (bsc#1104967,FATE#325924).
- scsi: libsas: fix length error in sas_smp_handler()
  (bsc#1104967,FATE#325924).
- commit ec50dda
* Fri Oct 12 2018 hare@suse.de
- scsi: scsi_transport_sas: switch to bsg-lib for SMP
  (bsc#1104967,FATE#325924).
- Refresh
  patches.drivers/scsi-libsas-Use-dynamic-alloced-work-to-avoid-sas-ev.patch.
- commit d21330e
* Fri Oct 12 2018 hare@suse.de
- scsi: bsg-lib: pass the release callback through bsg_setup_queue
  (bsc#1104967,FATE#325924).
- commit a016f67
* Fri Oct 12 2018 ohering@suse.de
- blacklist.conf: ignore dbee3d02458b
- commit 322810f
* Fri Oct 12 2018 ohering@suse.de
- Drivers: hv: vmus: Fix the check for return value from kmsg
  get dump buffer (bsc#1107207).
- commit a8bad9e
* Fri Oct 12 2018 ohering@suse.de
- tools: hv: fcopy: set 'error' in case an unknown operation
  was requested (bsc#1107207).
- Drivers: hv: vmbus: Use get/put_cpu() in vmbus_connect()
  (bsc#1107207).
- PCI: hv: Fix return value check in hv_pci_assign_slots()
  (bsc#1107207).
- x86/hyper-v: rename ipi_arg_{ex,non_ex} structures
  (bsc#1107207).
- hv_netvsc: pair VF based on serial number (bsc#1107207).
- PCI: hv: support reporting serial number as slot information
  (bsc#1107207).
- hv_netvsc: fix schedule in RCU context (bsc#1107207).
- commit 1658835
* Fri Oct 12 2018 ohering@suse.de
- vmbus: don't return values for uninitalized channels (bsc#1107207).
- commit 84c7b83
* Fri Oct 12 2018 ohering@suse.de
- Tools: hv: Fix a bug in the key delete code (bsc#1107207).
- commit 09a73d0
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: Fix a deadlock by getting rtnl lock earlier in netvsc_probe() (bsc#1107207).
- commit 3b37de3
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: ignore devices that are not PCI (bsc#1107207).
- commit 4169acf
* Fri Oct 12 2018 ohering@suse.de
- X86/Hyper-V: Add flush HvFlushGuestPhysicalAddressSpace hypercall support (bsc#1107207).
- commit c239c62
* Fri Oct 12 2018 ohering@suse.de
- Drivers: hv: vmbus: Cleanup synic memory free path (bsc#1107207).
- commit bfd7e82
* Fri Oct 12 2018 ohering@suse.de
- Drivers: hv: vmbus: Remove use of slow_virt_to_phys() (bsc#1107207).
- commit 9c1894d
* Fri Oct 12 2018 ohering@suse.de
- Drivers: hv: vmbus: Reset the channel callback in vmbus_onoffer_rescind() (bsc#1107207).
- commit 04e2025
* Fri Oct 12 2018 ohering@suse.de
- Drivers: hv: vmbus: add numa_node to sysfs (bsc#1107207).
- commit ce8e3be
* Fri Oct 12 2018 ohering@suse.de
- Drivers: hv: vmbus: Get rid of MSR access from vmbus_drv.c (bsc#1107207).
- commit f0e929b
* Fri Oct 12 2018 ohering@suse.de
- Drivers: hv: vmbus: Fix the issue with freeing up hv_ctl_table_hdr (bsc#1107207).
- commit e86e40c
* Fri Oct 12 2018 ohering@suse.de
- Drivers: HV: Send one page worth of kmsg dump over Hyper-V during panic (bsc#1107207).
- commit 83e1235
* Fri Oct 12 2018 ohering@suse.de
- Drivers: hv: vmbus: Make TLFS #define names architecture neutral (bsc#1107207).
- commit 65931e1
* Fri Oct 12 2018 ohering@suse.de
- tools: hv: update lsvmbus to be compatible with python3 (bsc#1107207).
- commit 264c51d
* Fri Oct 12 2018 ohering@suse.de
- Drivers: hv: vmbus: Remove x86 MSR refs in arch independent code (bsc#1107207).
- commit 09aa49a
* Fri Oct 12 2018 ohering@suse.de
- Drivers: hv: vmbus: Add comments on ring buffer signaling (bsc#1107207).
- commit d835615
* Fri Oct 12 2018 ohering@suse.de
- x86/hyperv: Add interrupt handler annotations (bsc#1107207).
- commit 03fde09
* Fri Oct 12 2018 ohering@suse.de
- use the new async probing feature for the hyperv drivers (bsc#1107207).
- commit ba9059a
* Fri Oct 12 2018 ohering@suse.de
- PCI: hv: Replace GFP_ATOMIC with GFP_KERNEL in new_pcichild_device() (bsc#1107207).
- commit 8164eb5
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: Add per-cpu ethtool stats for netvsc (bsc#1107207).
- commit 87bd6a5
* Fri Oct 12 2018 ohering@suse.de
- x86/hyper-v: Fix wrong merge conflict resolution (bsc#1107207).
- commit fdc65ed
* Fri Oct 12 2018 ohering@suse.de
- x86/hyper-v: Check for VP_INVAL in hyperv_flush_tlb_others() (bsc#1107207).
- commit ff523f7
* Fri Oct 12 2018 ohering@suse.de
- x86/hyper-v: Check cpumask_to_vpset() return value in hyperv_flush_tlb_others_ex() (bsc#1107207).
- commit 69d7f8a
* Fri Oct 12 2018 ohering@suse.de
- x86/hyper-v: Trace PV IPI send (bsc#1107207).
- commit ad24e50
* Fri Oct 12 2018 ohering@suse.de
- x86/hyper-v: Use cheaper HVCALL_SEND_IPI hypercall when possible (bsc#1107207).
- commit 714090a
* Fri Oct 12 2018 ohering@suse.de
- x86/hyper-v: Use 'fast' hypercall for HVCALL_SEND_IPI (bsc#1107207).
- commit e904997
* Fri Oct 12 2018 ohering@suse.de
- x86/hyper-v: Implement hv_do_fast_hypercall16 (bsc#1107207).
- commit 5bd50f7
* Fri Oct 12 2018 ohering@suse.de
- x86/hyper-v: Use cheaper HVCALL_FLUSH_VIRTUAL_ADDRESS_{LIST,SPACE} hypercalls when possible (bsc#1107207).
- commit 1160878
* Fri Oct 12 2018 ohering@suse.de
- x86/hyper-v: Fix the circular dependency in IPI enlightenment (bsc#1107207).
- commit 68e416e
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: Fix the variable sizes in ipsecv2 and rsc offload (bsc#1107207).
- commit dcbba29
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: move VF to same namespace as netvsc device (bsc#1107207).
- commit 0c98d5c
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: fix network namespace issues with VF support (bsc#1107207).
- commit 182f961
* Fri Oct 12 2018 ohering@suse.de
- x86/hyper-v: move struct hv_flush_pcpu{,ex} definitions to common header (bsc#1107207).
- commit 5101bdb
* Fri Oct 12 2018 ohering@suse.de
- KVM: x86: VMX: hyper-v: Enlightened MSR-Bitmap support (bsc#1107207).
- commit 5ceba19
* Fri Oct 12 2018 ohering@suse.de
- scsi: storvsc: Avoid allocating memory for temp cpumasks (bsc#1107207).
- commit f7e130f
* Fri Oct 12 2018 ohering@suse.de
- scsi: storvsc: Select channel based on available percentage of ring buffer to write (bsc#1107207).
- commit 84df928
* Fri Oct 12 2018 ohering@suse.de
- scsi: storsvc: don't set a bounce limit (bsc#1107207).
- commit e63762b
* Fri Oct 12 2018 ohering@suse.de
- scsi: netvsc: Use the vmbus function to calculate ring buffer percentage (bsc#1107207).
- commit 95c49e3
* Fri Oct 12 2018 ohering@suse.de
- scsi: vmbus: Add function to report available ring buffer to write in total ring size percentage (bsc#1107207).
- commit 388b487
* Fri Oct 12 2018 ohering@suse.de
- PCI: hv: Do not wait forever on a device that has disappeared (bsc#1107207).
- commit 0b0c4b9
* Fri Oct 12 2018 ohering@suse.de
- PCI: hv: Use list_for_each_entry() (bsc#1107207).
- commit 9e6f6f2
* Fri Oct 12 2018 ohering@suse.de
- PCI: hv: Convert remove_lock to refcount (bsc#1107207).
- commit 4c4050e
* Fri Oct 12 2018 ohering@suse.de
- PCI: hv: Remove unused reason for refcount handler (bsc#1107207).
- commit da7607c
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: fix bogus ifalias on network device (bsc#1107207).
- commit 305fa2d
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: Add handlers for ethtool get/set msg level (bsc#1107207).
- commit 6d5d250
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: typo in NDIS RSS parameters structure (bsc#1107207).
- commit 7b93a21
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: simplify receive side calling arguments (bsc#1107207).
- commit 5337f97
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: select needed ucs2_string routine (bsc#1107207).
- commit 29ba6ed
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: Add NetVSP v6 and v6.1 into version negotiation (bsc#1107207).
- commit e362232
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: propogate Hyper-V friendly name into interface alias (bsc#1107207).
- commit 42b5518
* Fri Oct 12 2018 ohering@suse.de
- Drivers: hv: vmbus: Removed an unnecessary cast from void * (bsc#1107207).
- commit 7643c1a
* Fri Oct 12 2018 ohering@suse.de
- Drivers: hv: vmbus: enable VMBus protocol version 5.0 (bsc#1107207).
- commit 5814f20
* Fri Oct 12 2018 ohering@suse.de
- x86/Hyper-V/hv_apic: Build the Hyper-V APIC conditionally (bsc#1107207).
- commit 7cc60fe
* Fri Oct 12 2018 ohering@suse.de
- x86/Hyper-V/hv_apic: Include asm/apic.h (bsc#1107207).
- commit 95814c7
* Fri Oct 12 2018 ohering@suse.de
- X86/Hyper-V: Consolidate the allocation of the hypercall input page (bsc#1107207).
- commit 62879b1
* Fri Oct 12 2018 ohering@suse.de
- X86/Hyper-V: Consolidate code for converting cpumask to vpset (bsc#1107207).
- commit 91e1f68
* Fri Oct 12 2018 ohering@suse.de
- X86/Hyper-V: Enhanced IPI enlightenment (bsc#1107207).
- commit 93749bf
* Fri Oct 12 2018 ohering@suse.de
- X86/Hyper-V: Enable IPI enlightenments (bsc#1107207).
- commit 3e93a49
* Fri Oct 12 2018 ohering@suse.de
- X86/Hyper-V: Enlighten APIC access (bsc#1107207).
- commit 2b7ff59
* Fri Oct 12 2018 ohering@suse.de
- scsi: storvsc: Set up correct queue depth values for IDE devices (bsc#1107207).
- commit 3c06ce8
* Fri Oct 12 2018 ohering@suse.de
- uio_hv_generic: fix subchannel ring mmap (bsc#1107207).
- commit cbd7e1c
* Fri Oct 12 2018 ohering@suse.de
- uio_hv_generic: use correct channel in isr (bsc#1107207).
- commit b23ce80
* Fri Oct 12 2018 ohering@suse.de
- uio_hv_generic: make ring buffer attribute for primary channel (bsc#1107207).
- commit ecb32a8
* Fri Oct 12 2018 ohering@suse.de
- uio_hv_generic: set size of ring buffer attribute (bsc#1107207).
- commit 4f62d96
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: Pass net_device parameter to revoke and teardown functions (bsc#1107207).
- commit 3404f47
* Fri Oct 12 2018 ohering@suse.de
- x86/hyper-v: detect nested features (bsc#1107207).
- commit 5a7b3ef
* Fri Oct 12 2018 ohering@suse.de
- x86/hyper-v: define struct hv_enlightened_vmcs and clean field bits (bsc#1107207).
- commit e9a64bc
* Fri Oct 12 2018 ohering@suse.de
- x86/hyper-v: allocate and use Virtual Processor Assist Pages (bsc#1107207).
- commit f998039
* Fri Oct 12 2018 ohering@suse.de
- x86/kvm: rename HV_X64_MSR_APIC_ASSIST_PAGE to HV_X64_MSR_VP_ASSIST_PAGE (bsc#1107207).
- commit f2a73fa
* Fri Oct 12 2018 ohering@suse.de
- x86/hyper-v: move definitions from TLFS to hyperv-tlfs.h (bsc#1107207).
- commit 444eb00
* Fri Oct 12 2018 ohering@suse.de
- x86/hyper-v: move hyperv.h out of uapi (bsc#1107207).
- commit 4534531
* Fri Oct 12 2018 ohering@suse.de
- x86/kvm/hyper-v: remove stale entries from vec_bitmap/auto_eoi_bitmap on vector change (bsc#1107207).
- commit f620b07
* Fri Oct 12 2018 ohering@suse.de
- x86/kvm/hyper-v: add reenlightenment MSRs support (bsc#1107207).
- commit 7709822
* Fri Oct 12 2018 ohering@suse.de
- kvm: x86: hyperv: guest->host event signaling via eventfd (bsc#1107207).
- commit 118a175
* Fri Oct 12 2018 ohering@suse.de
- kvm: x86: factor out kvm.arch.hyperv (de)init (bsc#1107207).
- commit 463b532
* Fri Oct 12 2018 ohering@suse.de
- Drivers: hv: vmbus: respect what we get from hv_get_synint_state() (bsc#1107207).
- commit c8cdf8d
* Fri Oct 12 2018 ohering@suse.de
- uio_hv_generic: support sub-channels (bsc#1107207).
- commit 30476fc
* Fri Oct 12 2018 ohering@suse.de
- hv_balloon: trace post_status (bsc#1107207).
- commit fe812d2
* Fri Oct 12 2018 ohering@suse.de
- Drivers: hv: vmbus: Implement Direct Mode for stimer0 (bsc#1107207).
- commit 103b32b
* Fri Oct 12 2018 ohering@suse.de
- hv_vmbus: Correct the stale comments regarding cpu affinity (bsc#1107207).
- commit 0f98140
* Fri Oct 12 2018 ohering@suse.de
- tools: hv: include string.h in hv_fcopy_daemon (bsc#1107207).
- commit d2f2361
* Fri Oct 12 2018 ohering@suse.de
- tools: hv: fix compiler warnings about major/target_fname (bsc#1107207).
- commit c0b905a
* Fri Oct 12 2018 ohering@suse.de
- hv: Synthetic typo correction (bsc#1107207).
- commit 0ec844b
* Fri Oct 12 2018 ohering@suse.de
- hyper-v: use GFP_KERNEL for hv_context.hv_numa_map (bsc#1107207).
- commit d378ef5
* Fri Oct 12 2018 ohering@suse.de
- tools/hv: Fix IP reporting by KVP daemon with SRIOV (bsc#1107207).
- commit b28c0c4
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: Clean up extra parameter from rndis_filter_receive_data() (bsc#1107207).
- commit f3bafa6
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: Add range checking for rx packet offset and length (bsc#1107207).
- commit 7c66388
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: Fix the return status in RX path (bsc#1107207).
- commit 3c818f0
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: add trace points (bsc#1107207).
- commit 5cfe567
* Fri Oct 12 2018 ohering@suse.de
- hv_netvsc: pass netvsc_device to rndis halt (bsc#1107207).
- commit b5dc35e
* Fri Oct 12 2018 ohering@suse.de
- x86/headers/UAPI: Use __u64 instead of u64 in
  <uapi/asm/hyperv.h> (bsc#1107207).
- commit 04de0af
* Fri Oct 12 2018 ohering@suse.de
- x86/irq: Count Hyper-V reenlightenment interrupts (bsc#1107207).
- commit 092f5be
* Fri Oct 12 2018 ohering@suse.de
- x86/hyperv: Redirect reenlightment notifications on CPU offlining (bsc#1107207).
- commit 95fcba2
* Fri Oct 12 2018 ohering@suse.de
- x86/hyperv: Reenlightenment notifications support (bsc#1107207).
- commit fe275eb
* Fri Oct 12 2018 ohering@suse.de
- x86/hyperv: Add a function to read both TSC and TSC page value simulateneously (bsc#1107207).
- commit f9343ac
* Fri Oct 12 2018 ohering@suse.de
- Drivers: hv: vmbus: Remove x86-isms from arch independent drivers (bsc#1107207).
- commit 8b1fd8c
* Fri Oct 12 2018 ohering@suse.de
- PCI: hv: Use effective affinity mask (bsc#1107207).
- commit 48b4916
* Fri Oct 12 2018 ohering@suse.de
- sched/isolcpus: Fix "isolcpus=" boot parameter handling when !CONFIG_CPUMASK_OFFSTACK (bsc#1107207).
- commit fef6e73
* Fri Oct 12 2018 ohering@suse.de
- x86/hyper-V: Allocate the IDT entry early in boot (bsc#1107207).
- commit 135c01a
* Fri Oct 12 2018 hare@suse.de
- scsi: qla2xxx: Return switch command on a timeout (bsc#1108870).
- commit 8e38f2a
* Fri Oct 12 2018 tiwai@suse.de
- rpc_pipefs: fix double-dput() (bsc#1051510).
- commit 1a15e26
* Fri Oct 12 2018 tiwai@suse.de
- soreuseport: initialise timewait reuseport field (bsc#1051510).
- commit bda2dcc
* Fri Oct 12 2018 tiwai@suse.de
- Squashfs: Compute expected length from inode size rather than
  block length (bsc#1051510).
- commit 0c4a663
* Fri Oct 12 2018 hare@suse.de
- scsi: qla2xxx: Move log messages before issuing command to
  firmware (bsc#1108870).
- scsi: qla2xxx: Fix for double free of SRB structure
  (bsc#1108870).
- scsi: qla2xxx: Fix recursive mailbox timeout (bsc#1108870).
- scsi: qla2xxx: Fix driver hang when FC-NVMe LUNs are configured
  (bsc#1108870).
- scsi: qla2xxx: Fix re-using LoopID when handle is in use
  (bsc#1108870).
- scsi: qla2xxx: Fix duplicate switch database entries
  (bsc#1108870).
- scsi: qla2xxx: Fix NVMe Target discovery (bsc#1108870).
- scsi: qla2xxx: Fix NVMe session hang on unload (bsc#1108870).
- scsi: qla2xxx: don't allow negative thresholds (bsc#1108870).
- commit 50fe149
* Fri Oct 12 2018 tiwai@suse.de
- squashfs metadata 2: electric boogaloo (bsc#1051510).
- squashfs: more metadata hardening (bsc#1051510).
- squashfs: be more careful about metadata corruption
  (bsc#1051510).
- commit 9bfac39
* Fri Oct 12 2018 tbogendoerfer@suse.de
- flow_dissector: Cleanup control flow (bsc#1109837).
- Refresh
  patches.fixes/tipc-improve-link-resiliency-when-rps-is-activated.patch.
- commit f68513b
* Fri Oct 12 2018 yousaf.kaukab@suse.com
- kabi: arm64: disable cpu_hwcaps kabi patch till sle15-sp1 beta1
  As it conflicts when adding new arm64 features
- commit 08f63de
* Fri Oct 12 2018 tbogendoerfer@suse.de
- flow_dissector: remove unused functions (bsc#1109837).
- Refresh
  patches.fixes/ipv6-omit-traffic-class-when-calculating-flow-hash.patch.
- commit 6838a02
* Fri Oct 12 2018 tbogendoerfer@suse.de
- net: sched: convert cls_flower->egress_dev users to
  tc_setup_cb_egdev infra (bsc#1109837).
- net: sched: introduce per-egress action device callbacks
  (bsc#1109837).
- net: sched: make tc_action_ops->get_dev return dev and avoid
  passing net (bsc#1109837).
- flow_dissector: dissect tunnel info (bsc#1109837).
- net/dst: Make skb parameter of skb{metadata_dst, tunnel_info}()
  const (bsc#1109837).
- flow_dissector: Add limit for number of headers to dissect
  (bsc#1109837).
- commit 1bbcbae
* Fri Oct 12 2018 msuchanek@suse.de
- powerpc/numa: Skip onlining a offline node in kdump path
  (bsc#1109784).
- commit df87e51
* Fri Oct 12 2018 tzimmermann@suse.de
- README: Clean-up trailing whitespace
- commit 06542f9
* Thu Oct 11 2018 tiwai@suse.de
- pinctrl: cannonlake: Fix gpio base for GPP-E (FATE#326296).
- commit 06e3413
* Thu Oct 11 2018 tiwai@suse.de
- pinctrl: cherryview: Associate IRQ descriptors to irqdomain
  (FATE#325575).
- commit 32db471
* Thu Oct 11 2018 tiwai@suse.de
- gpio / ACPI: Drop unnecessary ACPI GPIO to Linux GPIO
  translation (FATE#325575).
- Refresh
  patches.drivers/gpiolib-acpi-Register-GpioInt-ACPI-event-handlers-fr.patch.
- Refresh
  patches.drivers/gpiolib-acpi-make-sure-we-trigger-edge-events-at-lea.patch.
- commit b998711
* Thu Oct 11 2018 bp@suse.de
- crypto: ccp - add timeout support in the SEV command
  (bsc#1106838).
- commit 912dad4
* Thu Oct 11 2018 tbogendoerfer@suse.de
- sch_netem: faster rb tree removal (bsc#1109837).
- Refresh
  patches.fixes/net-add-rb_to_skb-and-other-rb-tree-helpers.patch.
- commit 0024a7d
* Thu Oct 11 2018 tbogendoerfer@suse.de
- net_sched: remove redundant assignment to ret (bsc#1109837).
- net_sched: use idr to allocate u32 filter handles (bsc#1109837).
- net_sched: use idr to allocate basic filter handles
  (bsc#1109837).
- net_sched: use idr to allocate bpf filter handles (bsc#1109837).
- net_sched: no need to free qdisc in RCU callback (bsc#1109837).
- net_sched: sch_htb: add per class overlimits counter
  (bsc#1109837).
- net_sched: use explicit size of struct tcmsg, remove need to
  declare tcm (bsc#1109837).
- net_sched: hold netns refcnt for each action (bsc#1109837).
- net_sched: acquire RTNL in tc_action_net_exit() (bsc#1109837).
- net_sched: remove tcf_block_put_deferred() (bsc#1109837).
- net_sched: fix call_rcu() race on act_sample module removal
  (bsc#1109837).
- net_sched: add rtnl assertion to tcf_exts_destroy()
  (bsc#1109837).
- net_sched: use tcf_queue_work() in tcindex filter (bsc#1109837).
- net_sched: use tcf_queue_work() in rsvp filter (bsc#1109837).
- net_sched: use tcf_queue_work() in route filter (bsc#1109837).
- net_sched: use tcf_queue_work() in u32 filter (bsc#1109837).
- net_sched: use tcf_queue_work() in matchall filter
  (bsc#1109837).
- net_sched: use tcf_queue_work() in fw filter (bsc#1109837).
- net_sched: use tcf_queue_work() in flower filter (bsc#1109837).
- net_sched: use tcf_queue_work() in flow filter (bsc#1109837).
- net_sched: use tcf_queue_work() in cgroup filter (bsc#1109837).
- net_sched: use tcf_queue_work() in bpf filter (bsc#1109837).
- net_sched: use tcf_queue_work() in basic filter (bsc#1109837).
- net_sched: introduce a workqueue for RCU callbacks of tc filter
  (bsc#1109837).
- net_sched: remove cls_flower idr on failure (bsc#1109837).
- net_sched/hfsc: fix curve activation in hfsc_change_class()
  (bsc#1109837).
- commit 807cb3c
* Thu Oct 11 2018 tbogendoerfer@suse.de
- net/sched: Change act_api and act_xxx modules to use IDR
  (bsc#1109837).
- Refresh
  patches.drivers/net-sched-fix-use-after-free-in-tcf_action_destroy-a.patch.
- Refresh
  patches.suse/net-sched-act_simple-fix-parsing-of-TCA_DEF_DATA.patch.
- Refresh
  patches.suse/net-sched-actions-fix-refcnt-leak-in-skbmod.patch.
- commit f127fca
* Thu Oct 11 2018 tbogendoerfer@suse.de
- net_sched: remove tc class reference counting (bsc#1109837).
- Refresh
  patches.drivers/net-sched-cbq-create-block-for-q-link.block.patch.
- Refresh
  patches.suse/net-sched-report-if-filter-is-too-large-to-dump.patch.
- commit 22f57ab
* Thu Oct 11 2018 tbogendoerfer@suse.de
- net: sched: avoid atomic swap in tcf_exts_change (bsc#1109837).
- Refresh
  patches.suse/net_sched-Fix-missing-res-info-when-create-new-tc_in.patch.
- Refresh
  patches.suse/net_sched-fix-NULL-pointer-dereference-when-delete-t.patch.
- commit 0f0741a
* Thu Oct 11 2018 tbogendoerfer@suse.de
- net: sched: remove cops->tcf_cl_offload (bsc#1109837).
- Refresh
  patches.suse/cls_matchall-fix-tcf_unbind_filter-missing.patch.
- commit 28fbc3a
* Thu Oct 11 2018 tbogendoerfer@suse.de
- net_sched: carefully handle tcf_block_put() (bsc#1109837).
- net_sched: get rid of tcfa_rcu (bsc#1109837).
- net/sched: fix pointer check in gen_handle (bsc#1109837).
- sched: Use __qdisc_drop instead of kfree_skb in sch_prio and
  sch_qfq (bsc#1109837).
- net: sched: don't use GFP_KERNEL under spin lock (bsc#1109837).
- net_sched: add reverse binding for tc class (bsc#1109837).
- net/sched: Change cls_flower to use IDR (bsc#1109837).
- idr: Add new APIs to support unsigned long (bsc#1109837).
- act_ife: use registered ife_type as fallback (bsc#1109837).
- if_ether: add forces ife lfb type (bsc#1109837).
- sched: sfq: drop packets after root qdisc lock is released
  (bsc#1109837).
- net_sched: kill u32_node pointer in Qdisc (bsc#1109837).
- net_sched: introduce tclass_del_notify() (bsc#1109837).
- net_sched: get rid of more forward declarations (bsc#1109837).
- net: sched: use kvmalloc() for class hash tables (bsc#1109837).
- net: mark receive queue attributes ro_after_init (bsc#1109837).
- net: make queue attributes ro_after_init (bsc#1109837).
- net: make BQL sysfs attributes ro_after_init (bsc#1109837).
- net: make net sysfs attributes ro_after_init (bsc#1109837).
- net: make net_class ro_after_init (bsc#1109837).
- net_sched/hfsc: opencode trivial set_active() and set_passive()
  (bsc#1109837).
- net_sched: call qlen_notify only if child qdisc is empty
  (bsc#1109837).
- net: sched: remove handle propagation down to the drivers
  (bsc#1109837).
- net_sched: get rid of some forward declarations (bsc#1109837).
- net_sched: use void pointer for filter handle (bsc#1109837).
- net_sched: refactor notification code for RTM_DELTFILTER
  (bsc#1109837).
- net: sched: cls_u32: no need to call tcf_exts_change for newly
  allocated struct (bsc#1109837).
- net: sched: cls_route: no need to call tcf_exts_change for
  newly allocated struct (bsc#1109837).
- net: sched: cls_flow: no need to call tcf_exts_change for
  newly allocated struct (bsc#1109837).
- net: sched: cls_cgroup: no need to call tcf_exts_change for
  newly allocated struct (bsc#1109837).
- net: sched: cls_bpf: no need to call tcf_exts_change for newly
  allocated struct (bsc#1109837).
- net: sched: cls_basic: no need to call tcf_exts_change for
  newly allocated struct (bsc#1109837).
- net: sched: cls_matchall: no need to call tcf_exts_change for
  newly allocated struct (bsc#1109837).
- net: sched: cls_fw: no need to call tcf_exts_change for newly
  allocated struct (bsc#1109837).
- net: sched: cls_flower: no need to call tcf_exts_change for
  newly allocated struct (bsc#1109837).
- net: sched: cls_fw: rename fw_change_attrs function
  (bsc#1109837).
- net: sched: cls_bpf: rename cls_bpf_modify_existing function
  (bsc#1109837).
- net: sched: use tcf_exts_has_actions instead of exts->nr_actions
  (bsc#1109837).
- net: sched: remove check for number of actions in tcf_exts_exec
  (bsc#1109837).
- net: sched: fix return value of tcf_exts_exec (bsc#1109837).
- net: sched: remove redundant helpers tcf_exts_is_predicative
  and tcf_exts_is_available (bsc#1109837).
- net: sched: use tcf_exts_has_actions in tcf_exts_exec
  (bsc#1109837).
- net: sched: remove unneeded tcf_em_tree_change (bsc#1109837).
- net: sched: sch_atm: use Qdisc_class_common structure
  (bsc#1109837).
- net sched actions: add time filter for action dumping
  (bsc#1109837).
- net sched actions: dump more than TCA_ACT_MAX_PRIO actions
  per batch (bsc#1109837).
- net netlink: Add new type NLA_BITFIELD32 (bsc#1109837).
- net: call udp_tunnel_get_rx_info when NETIF_F_RX_UDP_TUNNEL_PORT
  is toggled (bsc#1109837).
- skbuff: optimize the pull_pages code in __pskb_pull_tail()
  (bsc#1109837).
- sch_multiq: fix double free on init failure (bsc#1109837).
- net_sched: fix a refcount_t issue with noop_qdisc (bsc#1109837).
- net: check dev->addr_len for dev_set_mac_address()
  (bsc#1109837).
- net sched actions: rename act_get_notify() to tcf_get_notify()
  (bsc#1109837).
- net, sched: convert Qdisc.refcnt from atomic_t to refcount_t
  (bsc#1109837).
- bpf: expose prog id for cls_bpf and act_bpf (bsc#1109837).
- net-procfs: Use vsnprintf extension %%phN (bsc#1109837).
- commit e77cde6
* Thu Oct 11 2018 tzimmermann@suse.de
- README: Update documentation wrt. Patch-mainline
  Common practice is to set Patch-mainline to a Linux release tag. More
  than 95%% of all patches follow this convention. The remaining 5%% have
  been fixed accordingly in SLE15.
  The README file is inconsistent wrt. to the content of Patch-mainline.
  In some places it refers to a release tag, in others it refers to a version
  number. With this cleanup, it refers to release tags everywhere.
  This change is a follow-up for commit 1d81d2699cd3.
- commit 57326f5
* Thu Oct 11 2018 tzimmermann@suse.de
- Fix Patch-mainline tags to refer to Linux release tag
  It is expected that Patch-mainline tags refer to a release tag
  in the Linux git tree, such as v4.15. Several patches contain a
  Patch-mainline tags that instead refer to a Linux version number,
  such as 4.15. This inconsistency complicates grepping and
  automation.
  871 of 18000 patches are affected by this problem.
- commit 1d81d26
* Thu Oct 11 2018 oneukum@suse.com
- fpga: mgr: add compat_id support (FATE#326235).
- commit d972a80
* Thu Oct 11 2018 oneukum@suse.com
- docs: fpga: add a document for FPGA Device Feature List (DFL)
  Framework Overview (FATE#326235).
- commit eb29a75
* Thu Oct 11 2018 oneukum@suse.com
- fpga: dfl: add chardev support for feature devices
  (FATE#326235).
- commit c4cce4d
* Thu Oct 11 2018 yousaf.kaukab@suse.com
- arm64: remove unused COMPAT_PSR definitions (fate#325862).
- kvm/arm: use PSR_AA32 definitions (fate#325862).
- arm64: use PSR_AA32 definitions (fate#325862).
- arm64: ptrace: map SPSR_ELx<->PSR for compat tasks (fate#325862).
- arm64: compat: map SPSR_ELx<->PSR for signals (fate#325862).
- arm64: don't zero DIT on signal return (fate#325862).
- arm64: add PSR_AA32_* definitions (fate#325862).
- arm64: traps: Pretty-print pstate in register dumps (fate#325862).
- arm64: traps: Don't print stack or raw PC/LR values in backtraces (fate#325862).
  Refresh:
  patches.arch/arm64-Disable-unhandled-signal-log-messages-by-defau.patch
- commit 7b269a1
* Thu Oct 11 2018 oneukum@suse.com
- fpga: add device feature list support (FATE#326235).
- Update config files.
- supported.conf: added support for the Device Feature List (DFL) module
- commit 38be0a1
* Thu Oct 11 2018 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm: Use a flexible array member for blob property data"'
- commit ddc67eb
* Thu Oct 11 2018 oneukum@suse.com
- fpga: region: add compat_id support (FATE#326235).
- commit 4e83e4c
* Thu Oct 11 2018 yousaf.kaukab@suse.com
- arm64: Check for errata before evaluating cpu features (fate#325862).
- commit 687e31f
* Thu Oct 11 2018 tbogendoerfer@suse.de
- net: Add extack to upper device linking (bsc#1109837).
- Refresh
  patches.fixes/batman-adv-Fix-internal-interface-indices-types.patch.
- Refresh
  patches.fixes/ipvlan-NULL-pointer-dereference-panic-in-ipvlan_port.patch.
- Refresh
  patches.suse/msft-hv-1676-hv_netvsc-set-master-device.patch.
- commit 3343127
* Thu Oct 11 2018 tbogendoerfer@suse.de
- tun: do not arm flow_gc_timer in tun_flow_init() (bsc#1109837).
- tun: avoid extra timer schedule in tun_flow_cleanup()
  (bsc#1109837).
- tun: do not block BH again in tun_flow_cleanup() (bsc#1109837).
- net-tun: fix panics at dismantle time (bsc#1109837).
- tun: relax check on eth_get_headlen() return value
  (bsc#1109837).
- macvlan/macvtap: Add support for L2 forwarding offloads with
  macvtap (bsc#1109837).
- macvlan: Only update pkt_type if destination MAC address matches
  (bsc#1109837).
- macvlan: Only deliver one copy of the frame to the macvlan
  interface (bsc#1109837).
- net: Add extack to ndo_add_slave (bsc#1109837).
- net: Add extack to netdev_notifier_info (bsc#1109837).
- net: fix two typos in net_device_ops documentation
  (bsc#1109837).
- net: remove dmaengine.h inclusion from netdevice.h
  (bsc#1109837).
- net: constify net_ns_type_operations (bsc#1109837).
- net: constify netdev_class_file (bsc#1109837).
- net: add infrastructure to un-offload UDP tunnel port
  (bsc#1109837).
- bonding: avoid NETDEV_CHANGEMTU event when unregistering slave
  (bsc#1109837).
- net: Remove ndo_dfwd_start_xmit (bsc#1109837).
- commit c67e783
* Thu Oct 11 2018 oneukum@suse.com
- fpga: mgr: add status for fpga-manager (FATE#326235).
- commit 3d064f0
* Thu Oct 11 2018 tiwai@suse.de
- Disable DRM patches that broke vbox video driver KMP (bsc#1111076)
- commit 23943c6
* Thu Oct 11 2018 oneukum@suse.com
- fpga: clarify that unregister functions also free (FATE#326235).
- commit 378f0a4
* Thu Oct 11 2018 oneukum@suse.com
- fpga: region: kernel-doc fixes (FATE#326235).
- commit ec82e73
* Thu Oct 11 2018 tbogendoerfer@suse.de
- tuntap: properly align skb->head before building skb
  (bsc#1109837).
- commit 8d67f0f
* Thu Oct 11 2018 oneukum@suse.com
- fpga: mgr: kernel-doc fixes (FATE#326235).
- commit b54d3b6
* Thu Oct 11 2018 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/pp: initialize result to before or'ing in data'
- commit d2edcd9
* Thu Oct 11 2018 oneukum@suse.com
- fpga: region: change api, add fpga_region_create/free
  (FATE#326235).
- commit 85113c1
* Thu Oct 11 2018 yousaf.kaukab@suse.com
- config: arm64: enable ERRATUM_1024718 and CNP
- commit 348f3bf
* Thu Oct 11 2018 tbogendoerfer@suse.de
- bpf: Add file mode configuration into bpf maps (bsc#1109837).
- Refresh
  patches.fixes/netfilter-xt_bpf-add-overflow-checks.patch.
- commit 372d22a
* Thu Oct 11 2018 oneukum@suse.com
- fpga: bridge: change api, don't use drvdata (FATE#326235).
- commit 9077a84
* Thu Oct 11 2018 tbogendoerfer@suse.de
- bpf: also improve pattern matches for meta access (bsc#1109837).
- bpf: minor cleanups after merge (bsc#1109837).
- bpf: cpumap micro-optimization in cpu_map_enqueue (bsc#1109837).
- net: filter: remove unused variable and fix warning
  (bsc#1109837).
- samples/bpf: adjust rlimit RLIMIT_MEMLOCK for xdp_redirect_map
  (bsc#1109837).
- bpf: remove tail_call and get_stackid helper declarations from
  bpf.h (bsc#1109837).
- bpf: cpumap fix potential lost wake-up problem (bsc#1109837).
- bpf: create samples/bpf/tcp_bpf.readme (bsc#1109837).
- bpf: sample BPF_SOCKET_OPS_BASE_RTT program (bsc#1109837).
- bpf: Adding helper function bpf_getsockops (bsc#1109837).
- bpf: add support for BPF_SOCK_OPS_BASE_RTT (bsc#1109837).
- samples/bpf: add cpumap sample program xdp_redirect_cpu
  (bsc#1109837).
- bpf: cpumap add tracepoints (bsc#1109837).
- bpf: cpumap xdp_buff to skb conversion and allocation
  (bsc#1109837).
- bpf: XDP_REDIRECT enable use of cpumap (bsc#1109837).
- bpf: introduce new bpf cpu map type BPF_MAP_TYPE_CPUMAP
  (bsc#1109837).
- bpf: Add -target to clang switch while cross compiling
  (bsc#1109837).
- bpf: remove redundant variable old_flags (bsc#1109837).
- commit b803c54
* Thu Oct 11 2018 oneukum@suse.com
- fpga: socfpga-a10: disable clk on error in
  socfpga_a10_fpga_probe() (FATE#326235).
- Refresh
  patches.drivers/0001-fpga-manager-change-api-don-t-use-drvdata.patch.
- commit 1d1a9bc
* Thu Oct 11 2018 oneukum@suse.com
- fpga: manager: change api, don't use drvdata (FATE#326235).
  NOTE: Heavily redacted. If you backport other drivers, you will have
  to touch this patch.
- commit 9ef75f1
* Thu Oct 11 2018 tzimmermann@suse.de
- drm/amdgpu: fix error handling in amdgpu_cs_user_fence_chunk (bsc#1106110)
- commit 273a6bd
* Thu Oct 11 2018 oneukum@suse.com
- fpga: region: don't use drvdata in common fpga code
  (FATE#326235).
- commit bfc57c0
* Wed Oct 10 2018 tiwai@suse.de
- blacklist.conf: Add blacklist of inapplicable revert commits
  They are either not applicable or requiring more backports that aren't
  suitable for SLE15
- commit 987dd44
* Wed Oct 10 2018 tiwai@suse.de
- mwifiex: handle race during mwifiex_usb_disconnect
  (bsc#1051510).
- Revert "mwifiex: handle race during mwifiex_usb_disconnect"
  (bsc#1051510).
- media: videobuf-dma-sg: Fix dma_{sync,unmap}_sg() calls
  (bsc#1051510).
- Revert "mwifiex: fix incorrect ht capability problem"
  (bsc#1051510).
- PM / Domains: Fix genpd to deal with drivers returning 1 from
  - >prepare() (bsc#1051510).
- Revert "pinctrl: sunxi: Don't enforce bias disable (for now)"
  (bsc#1051510).
- commit fb6c36a
* Wed Oct 10 2018 tbogendoerfer@suse.de
- bpf: enforce return code for cgroup-bpf programs (bsc#1109837).
- Refresh
  patches.fixes/bpf-allow-xadd-only-on-aligned-memory.patch.
- Refresh
  patches.fixes/bpf-move-global-verifier-log-into-verifier-environme.patch.
- Refresh
  patches.fixes/bpf-reduce-verifier-memory-consumption.patch.
- commit ddba1ef
* Wed Oct 10 2018 tiwai@suse.de
- HID: hid-saitek: Add device ID for RAT 7 Contagion
  (bsc#1051510).
- mac80211: shorten the IBSS debug messages (bsc#1051510).
- mac80211: don't Tx a deauth frame if the AP forbade Tx
  (bsc#1051510).
- mac80211: Fix station bandwidth setting after channel switch
  (bsc#1051510).
- mac80211: fix a race between restart and CSA flows
  (bsc#1051510).
- mac80211: do not convert to A-MSDU if frag/subframe limited
  (bsc#1051510).
- mac80211: mesh: fix HWMP sequence numbering to follow standard
  (bsc#1051510).
- mac80211_hwsim: correct use of IEEE80211_VHT_CAP_RXSTBC_X
  (bsc#1051510).
- mac80211: correct use of IEEE80211_VHT_CAP_RXSTBC_X
  (bsc#1051510).
- mac80211_hwsim: require at least one channel (bsc#1051510).
- mac80211: Run TXQ teardown code before de-registering interfaces
  (bsc#1051510).
- hwmon: (adt7475) Make adt7475_read_word() return errors
  (bsc#1051510).
- hwmon: (ina2xx) fix sysfs shunt resistor read access
  (bsc#1051510).
- commit af836cd
* Wed Oct 10 2018 mbrugger@suse.com
- supported.conf: mark raspberrypi-hwmon as supported
- commit af8ddda
* Wed Oct 10 2018 mbrugger@suse.com
- arm64: Update config files.
  Enable SENSORS_RASPBERRYPI_HWMON
- commit 2a83945
* Wed Oct 10 2018 tiwai@suse.de
- ALSA: hda/realtek - Cannot adjust speaker's volume on Dell
  XPS 27 7760 (bsc#1051510).
- crypto: qat - Fix KASAN stack-out-of-bounds bug in adf_probe()
  (bsc#1051510).
- crypto: mxs-dcp - Fix wait logic on chan threads (bsc#1051510).
- floppy: Do not copy a kernel pointer to user memory in FDGETPRM
  ioctl (bsc#1051510).
- HID: add support for Apple Magic Keyboards (bsc#1051510).
- gpio: Fix crash due to registration race (bsc#1051510).
- gpiolib-acpi: Register GpioInt ACPI event handlers from a
  late_initcall (bsc#1051510).
- gpio: adp5588: Fix sleep-in-atomic-context bug (bsc#1051510).
- cfg80211: fix a type issue in
  ieee80211_chandef_to_operating_class() (bsc#1051510).
- Revert "gpio: set up initial state from .get_direction()"
  (bsc#1051510).
- gpio: mb86s70: Revert "Return error if requesting an already
  assigned gpio" (bsc#1051510).
- commit 2759d22
* Wed Oct 10 2018 mbrugger@suse.com
- hwmon: rpi: add module alias to raspberrypi-hwmon (bsc#1108468).
- firmware: raspberrypi: Register hwmon driver (bsc#1108468).
- hwmon: Add support for RPi voltage sensor (bsc#1108468).
- ARM: bcm2835: Add GET_THROTTLED firmware property (bsc#1108468).
- commit 218e534
* Wed Oct 10 2018 tbogendoerfer@suse.de
- bpf: add helper bpf_perf_event_read_value for perf event array
  map (bsc#1109837).
- Refresh
  patches.fixes/bpf-fix-corruption-on-concurrent-perf_event_output-c.patch.
- commit 7f21c26
* Wed Oct 10 2018 tiwai@suse.de
- drm/nouveau/disp: fix DP disable race (bsc#1051510).
- drm/nouveau/TBDdevinit: don't fail when PMU/PRE_OS is missing
  from VBIOS (bsc#1051510).
- drm/amdgpu: add another ATPX quirk for TOPAZ (bsc#1051510).
- Revert "drm/amdgpu: Add an ATPX quirk for hybrid laptop"
  (bsc#1051510).
- Revert "drm/i915/gvt: set max priority for gvt context"
  (bsc#1051510).
- drm/amdgpu: Pulling old prepare and submit for flip back
  (bsc#1051510).
- drm/amdgpu: revert "fix deadlock of reservation between cs
  and gpu reset v2" (bsc#1051510).
- commit c5d4f7a
* Wed Oct 10 2018 tiwai@suse.de
- Add cherry-pick ID and sort the upstreamed drm/i915 patches
- commit 862c3c5
* Wed Oct 10 2018 tbogendoerfer@suse.de
- bpf: add meta pointer for direct access (bsc#1109837).
- Refresh
  patches.fixes/bpf-improve-verifier-ARG_CONST_SIZE_OR_ZERO-semantic.patch.
- Refresh
  patches.fixes/bpf-introduce-ARG_PTR_TO_MEM_OR_NULL.patch.
- Refresh
  patches.fixes/bpf-move-global-verifier-log-into-verifier-environme.patch.
- Refresh
  patches.fixes/bpf-reduce-verifier-memory-consumption.patch.
- Refresh
  patches.fixes/bpf-write-back-the-verifier-log-buffer-as-it-gets-fi.patch.
- commit b570453
* Wed Oct 10 2018 yousaf.kaukab@suse.com
- arm64: KVM: Enable Common Not Private translations (fate#325862).
- arm64: mm: Support Common Not Private translations (fate#325862).
- KVM: arm/arm64: Close VMID generation race (fate#325862).
- arm64: add sentinel to kpti_safe_list (fate#325862).
- arm64: cpufeature: Avoid warnings due to unused symbols (fate#325862).
- arm64: Add work around for Arm Cortex-A55 Erratum 1024718 (fate#325862).
- arm64: Delay enabling hardware DBM feature (fate#325862).
  Refresh:
  patches.arch/0006-arm64-Add-ARCH_WORKAROUND_2-probing.patch
- arm64: Add MIDR encoding for Arm Cortex-A55 and Cortex-A35 (fate#325862).
- arm64: capabilities: Handle shared entries (fate#325862).
- arm64: capabilities: Add support for checks based on a list of MIDRs (fate#325862).
  Refresh:
  patches.arch/0006-arm64-Add-ARCH_WORKAROUND_2-probing.patch
- arm64: Add helpers for checking CPU MIDR against a range (fate#325862).
  Refresh:
  patches.arch/0004-arm64-Call-ARCH_WORKAROUND_2-on-transitions-between-.patch
- arm64: capabilities: Clean up midr range helpers (fate#325862).
  Refresh:
  patches.arch/0004-arm64-Call-ARCH_WORKAROUND_2-on-transitions-between-.patch
  patches.arch/0006-arm64-Add-ARCH_WORKAROUND_2-probing.patch
- arm64: capabilities: Change scope of VHE to Boot CPU feature (fate#325862).
- arm64: capabilities: Add support for features enabled early (fate#325862).
- arm64: capabilities: Restrict KPTI detection to boot-time CPUs (fate#325862).
- arm64: capabilities: Introduce weak features based on local CPU (fate#325862).
- arm64: capabilities: Group handling of features and errata workarounds (fate#325862).
- arm64: capabilities: Allow features based on local CPU scope (fate#325862).
- arm64: capabilities: Split the processing of errata work arounds (fate#325862).
- arm64: capabilities: Prepare for grouping features and errata work arounds (fate#325862).
- arm64: capabilities: Filter the entries based on a given mask (fate#325862).
- arm64: capabilities: Unify the verification (fate#325862).
- arm64: capabilities: Add flags to handle the conflicts on late CPU (fate#325862).
  Refresh:
  patches.arch/0006-arm64-Add-ARCH_WORKAROUND_2-probing.patch
  patches.arch/0004-arm64-Call-ARCH_WORKAROUND_2-on-transitions-between-.patch
- arm64: capabilities: Prepare for fine grained capabilities (fate#325862).
  Refresh:
  patches.arch/0004-arm64-Call-ARCH_WORKAROUND_2-on-transitions-between-.patch
- arm64: capabilities: Move errata processing code (fate#325862).
- arm64: capabilities: Move errata work around check on boot CPU (fate#325862).
- arm64: capabilities: Update prototype for enable call back (fate#325862).
  Refresh:
  patches.arch/0006-arm64-Add-ARCH_WORKAROUND_2-probing.patch
  patches.drivers/0041-arm64-signal-Report-signal-frame-size-to-userspace-v.patch
  patches.drivers/0050-arm64-fpsimd-Split-cpu-field-out-from-struct-fpsimd_.patch
  patches.drivers/0001-arm64-kpti-Use-early_param-for-kpti-command-line-opt.patch
- commit 2e9f860
* Wed Oct 10 2018 tbogendoerfer@suse.de
- bpf: Append prog->aux->name in bpf_get_prog_name()
  (bsc#1109837).
- bpf: Use char in prog and map name (bsc#1109837).
- bpf: Change bpf_obj_name_cpy() to better ensure map's name is
  init by 0 (bsc#1109837).
- bpf: add a test case for helper bpf_perf_prog_read_value
  (bsc#1109837).
- bpf: add helper bpf_perf_prog_read_value (bsc#1109837).
- bpf: add a test case for helper bpf_perf_event_read_value
  (bsc#1109837).
- samples/bpf: xdp_monitor increase memory rlimit (bsc#1109837).
- samples/bpf: xdp_monitor also record xdp_exception tracepoint
  (bsc#1109837).
- samples/bpf: xdp_monitor first 8 bytes are not accessible by
  bpf (bsc#1109837).
- samples/bpf: use bpf_prog_query() interface (bsc#1109837).
- libbpf: sync bpf.h (bsc#1109837).
- samples/bpf: add multi-prog cgroup test case (bsc#1109837).
- bpf: introduce BPF_PROG_QUERY command (bsc#1109837).
- bpf: multi program support for cgroup+bpf (bsc#1109837).
- bpf: Fix compiler warning on info.map_ids for 32bit platform
  (bsc#1109837).
- bpf: libbpf: Provide basic API support to specify BPF obj name
  (bsc#1109837).
- bpf: Add map_name to bpf_map_info (bsc#1109837).
- bpf: Add name, load_time, uid and map_ids to bpf_prog_info
  (bsc#1109837).
- bpf: update bpf.h uapi header for tools (bsc#1109837).
- bpf: rename bpf_compute_data_end into bpf_compute_data_pointers
  (bsc#1109837).
- samples/bpf: Add documentation on cross compilation
  (bsc#1109837).
- samples/bpf: Fix pt_regs issues when cross-compiling
  (bsc#1109837).
- samples/bpf: Enable cross compiler support (bsc#1109837).
- samples/bpf: Use getppid instead of getpgrp for array map stress
  (bsc#1109837).
- perf/bpf: Extend the perf_event_read_local() interface,
  a.k.a. "bpf: perf event change needed for subsequent bpf
  helpers" (bsc#1109837).
- cgroup: misc changes (bsc#1109837).
- commit b142c30
* Wed Oct 10 2018 tbogendoerfer@suse.de
- tun: make tun_build_skb() thread safe (bsc#1109837).
- Refresh
  patches.fixes/tun-fix-a-memory-leak-for-tfile-tx_array.patch.
- commit 9c9681a
* Wed Oct 10 2018 oneukum@suse.com
- fpga: region: release of_parse_phandle nodes after use
  (FATE#326235).
- commit fdbf959
* Wed Oct 10 2018 oneukum@suse.com
- fpga: fpga-bridge: remove unnecessary null check in
  of_fpga_bridge_get (FATE#326235).
- commit b286857
* Wed Oct 10 2018 tbogendoerfer@suse.de
- tap: use build_skb() for small packet (bsc#1109837).
- Refresh
  patches.fixes/tun-fix-a-memory-leak-for-tfile-tx_array.patch.
- commit 5b0d3f6
* Wed Oct 10 2018 oneukum@suse.com
- fpga: fpga-mgr: remove unnecessary code in __fpga_mgr_get
  (FATE#326235).
- commit 1198484
* Wed Oct 10 2018 oneukum@suse.com
- fpga: add attribute groups (FATE#326235).
- commit 9861631
* Wed Oct 10 2018 tbogendoerfer@suse.de
- tun: use symmetric hash (bsc#1109837).
- Refresh
  patches.suse/0029-locking-atomics-COCCINELLE-treewide-Convert-trivial-.patch.
- commit cd9f810
* Wed Oct 10 2018 tbogendoerfer@suse.de
- tun: delete original tun_get() and rename __tun_get() to
  tun_get() (bsc#1109837).
- tun: enable napi_gro_frags() for TUN/TAP driver (bsc#1109837).
- tun: enable NAPI for TUN/TAP driver (bsc#1109837).
- macvlan: code refine to check data before using (bsc#1109837).
- tun: rename generic_xdp to skb_xdp (bsc#1109837).
- tun: reserve extra headroom only when XDP is set (bsc#1109837).
- macvlan: add offload features for encapsulation (bsc#1109837).
- tun/tap: use paren's with sizeof (bsc#1109837).
- tap: make struct tap_fops static (bsc#1109837).
- tap: XDP support (bsc#1109837).
- tun/tap: Add the missed return value check of
  register_netdevice_notifier (bsc#1109837).
- net: add netlink_ext_ack argument to rtnl_link_ops.validate
  (bsc#1109837).
- macvlan: propagate the mac address change status for lowerdev
  (bsc#1109837).
- tap: support receiving skb from msg_control (bsc#1109837).
- tun: support receiving skb through msg_control (bsc#1109837).
- tap: export skb_array (bsc#1109837).
- tun: export skb_array (bsc#1109837).
- commit 5bc5bb8
* Wed Oct 10 2018 oneukum@suse.com
- fpga: clean up fpga Kconfig (FATE#326235).
  Update config files.
- commit 1c136f8
* Wed Oct 10 2018 oneukum@suse.com
- fpga: of-fpga-region: accept overlays that don't program FPGA
  (FATE#326235).
- commit 4429caa
* Wed Oct 10 2018 oneukum@suse.com
- fpga: region: move device tree support to of-fpga-region.c
  (FATE#326235).
  supported.conf: added new Intel FPGA stuff
- commit 5e1cf7b
* Wed Oct 10 2018 oneukum@suse.com
- fpga: region: add fpga_region_class_find (FATE#326235).
- commit e755c6c
* Wed Oct 10 2018 oneukum@suse.com
- fpga: region: add register/unregister functions (FATE#326235).
- commit a688749
* Wed Oct 10 2018 tbogendoerfer@suse.de
- virtio-net: switch off offloads on demand if possible on XDP
  set (bsc#1109837).
- Refresh
  patches.suse/virtio_net-fix-adding-vids-on-big-endian.patch.
- Refresh patches.suse/virtio_net-split-out-ctrl-buffer.patch.
- commit e9cafcf
* Wed Oct 10 2018 oneukum@suse.com
- fpga: region: rename some functions prior to moving
  (FATE#326235).
- commit 2dff218
* Wed Oct 10 2018 tbogendoerfer@suse.de
- virtio-net: support XDP_REDIRECT (bsc#1109837).
- Refresh
  patches.suse/virtio-net-correctly-transmit-XDP-buff-after-lineari.patch.
- commit cef09cf
* Wed Oct 10 2018 oneukum@suse.com
- fpga: region: add fpga-region.h header (FATE#326235).
- commit 6ee3635
* Wed Oct 10 2018 tbogendoerfer@suse.de
- virtio-net: add packet len average only when needed during XDP
  (bsc#1109837).
- Refresh
  patches.suse/virtio-net-correctly-transmit-XDP-buff-after-lineari.patch.
- commit e2213c4
* Wed Oct 10 2018 oneukum@suse.com
- fpga: region: separate out code that parses the overlay
  (FATE#326235).
- commit 46bf6c1
* Wed Oct 10 2018 oneukum@suse.com
- fpga: region: use image info as parameter for programming region
  (FATE#326235).
- commit 57f7d4a
* Wed Oct 10 2018 oneukum@suse.com
- fpga: region: fix slow warning with more than one overlay
  (FATE#326235).
- commit 39c9d69
* Wed Oct 10 2018 oneukum@suse.com
- fpga: region: check for child regions before allocing image info
  (FATE#326235).
- commit 7a29f18
* Wed Oct 10 2018 oneukum@suse.com
- fpga: region: get mgr early on (FATE#326235).
- commit cc2d81a
* Wed Oct 10 2018 oneukum@suse.com
- fpga: region: remove unneeded of_node_get and put (FATE#326235).
- commit e110e6e
* Wed Oct 10 2018 oneukum@suse.com
- fpga: region: use dev_err instead of pr_err (FATE#326235).
- commit 5ddbdab
* Wed Oct 10 2018 oneukum@suse.com
- fpga: mgr: separate getting/locking FPGA manager (FATE#326235).
- commit dfbd3a3
* Wed Oct 10 2018 tbogendoerfer@suse.de
- virtio-net: do not reset during XDP set (bsc#1109837).
- Refresh
  patches.drivers/virtio_net-fix-XDP-code-path-in-receive_small.
- Refresh
  patches.suse/virtio-net-fix-leaking-page-for-gso-packet-during-me.patch.
- commit 9f35731
* Wed Oct 10 2018 jroedel@suse.de
- blacklist.conf: fd97d39b0aa4 Revert "x86/asm: Allow again using asm.h when building for the 'bpf' clang target"
- commit ac4dc3f
* Wed Oct 10 2018 jroedel@suse.de
- Revert "iommu/io-pgtable: Avoid redundant TLB syncs"
  (bsc#1106237).
- commit 15db9ba
* Wed Oct 10 2018 ohering@suse.de
- rename remaining hv related patches for pending updates in SLE15-SP1
- commit b23c32c
* Wed Oct 10 2018 ohering@suse.de
- reorder a qedi patch to allow further work in this branch
- commit c6d3048
* Wed Oct 10 2018 tiwai@suse.de
- Update kabi files: import from 4.12.14-25.19.1
- commit 4acc575
* Tue Oct  9 2018 mhocko@suse.com
- Revert "slab: __GFP_ZERO is incompatible with a constructor" (bnc#1108828)
  This reverts commit de0a67303736262e306a3eb23aa38824b28c2764 because we
  still seem to have false possitives in the tree.
- commit 799debc
* Tue Oct  9 2018 tbogendoerfer@suse.de
- virtio-net: correctly set xdp_xmit for mergeable buffer
  (bsc#1109837).
- virtio-net: remove unnecessary parameter of virtnet_xdp_xmit()
  (bsc#1109837).
- net: drop unused attribute argument from sysfs queue funcs
  (bsc#1109837).
- virtio: put paren around sizeof (bsc#1109837).
- virtio-net: make array guest_offloads static (bsc#1109837).
- virtio-net: mark PM functions as __maybe_unused (bsc#1109837).
- virtio-net: switch to use new ctx API for small buffer
  (bsc#1109837).
- virtio-net: pack headroom into ctx for mergeable buffers
  (bsc#1109837).
- virtio_net: be drop monitor friendly (bsc#1109837).
- bpf: virtio_net: Report bpf_prog ID during XDP_QUERY_PROG
  (bsc#1109837).
- virtio_net: check return value of skb_to_sgvec always
  (bsc#1109837).
- commit 3fceb77
* Tue Oct  9 2018 mgorman@suse.de
- cpufreq, intel_pstate: Allow unspecified FADT profile to probe
  PPC (bnc#1108841).
- commit d63cba5
* Tue Oct  9 2018 tbogendoerfer@suse.de
- Update config files.
- supported.conf: add net/tls/tls.ko
- commit 56916ec
* Tue Oct  9 2018 oneukum@suse.com
- fpga: mgr: API change to replace fpga load functions with
  single function (FATE#326235).
- commit 5ff3588
* Tue Oct  9 2018 oneukum@suse.com
- fpga: bridge: support getting bridge from device (FATE#326235).
- commit e5d0609
* Tue Oct  9 2018 ptesarik@suse.cz
- Update config files.
- commit c9299ab
* Tue Oct  9 2018 oneukum@suse.com
- fpga: Convert to using %%pOF instead of full_name (FATE#326235).
- commit 14508ff
* Tue Oct  9 2018 tiwai@suse.de
- Correct the patch-tag in apparmor patch
  A wrong commit ID was put in Git-commit tag.
  After the correction, patches are re-sorted again.
- commit 97e2d48
* Tue Oct  9 2018 oneukum@suse.com
- Make FPGA a menuconfig to ease disabling it all (FATE#326235).
- vsprintf: Add %%p extension "%%pOF" for device tree (FATE#326235).
- Refresh patches.arch/s390-sles15-message-catalog.patch.
- commit df6d062
* Tue Oct  9 2018 tbogendoerfer@suse.de
- net/tls: remove redundant second null check on sgout
  (bsc#1103990 FATE#326006).
- tls: don't use stack memory in a scatterlist (bsc#1103990
  FATE#326006).
- net/tls: Fix connection stall on partial tls record (bsc#1103990
  FATE#326006).
- tls: fix use after free in tls_sk_proto_close (bsc#1103990
  FATE#326006).
- net/tls: Don't recursively call push_record during
  tls_write_space callbacks (bsc#1103990 FATE#326006).
- net/tls: Remove VLA usage (bsc#1103990 FATE#326006).
- tls: support for Inline tls record (bsc#1103990 FATE#326006).
- tls: RX path for ktls (bsc#1103990 FATE#326006).
- tls: Refactor variable names (bsc#1103990 FATE#326006).
- tls: Pass error code explicitly to tls_err_abort (bsc#1103990
  FATE#326006).
- tls: Move cipher info to a separate struct (bsc#1103990
  FATE#326006).
- tls: Generalize zerocopy_from_iter (bsc#1103990 FATE#326006).
- net: generalize sk_alloc_sg to work with scatterlist rings
  (bsc#1103990 FATE#326006).
- sock: make static tls function alloc_sg generic sock helper
  (bsc#1103990 FATE#326006).
- tls: Use correct sk->sk_prot for IPV6 (bsc#1103990 FATE#326006).
- tls: getsockopt return record sequence number (bsc#1103990
  FATE#326006).
- tls: reset the crypto info if copy_from_user fails (bsc#1103990
  FATE#326006).
- tls: retrun the correct IV in getsockopt (bsc#1103990
  FATE#326006).
- net: add a UID to use for ULP socket assignment (bsc#1103990
  FATE#326006).
- tls: Add support for encryption using async offload accelerator
  (bsc#1103990 FATE#326006).
- tls: Correct length of scatterlist in tls_sw_sendpage
  (bsc#1103990 FATE#326006).
- tls: reset crypto_info when do_tls_setsockopt_tx fails
  (bsc#1103990 FATE#326006).
- tls: return -EBUSY if crypto_info is already set (bsc#1103990
  FATE#326006).
- tls: fix sw_ctx leak (bsc#1103990 FATE#326006).
- net/tls: Only attach to sockets in ESTABLISHED state
  (bsc#1103990 FATE#326006).
- net/tls: Fix inverted error codes to avoid endless loop
  (bsc#1103990 FATE#326006).
- uapi: fix linux/tls.h userspace compilation error (bsc#1103990
  FATE#326006).
- tls: don't override sk_write_space if tls_set_sw_offload fails
  (bsc#1103990 FATE#326006).
- tls: Avoid copying crypto_info again after cipher_type check
  (bsc#1103990 FATE#326006).
- tls: Move tls_make_aad to header to allow sharing (bsc#1103990
  FATE#326006).
- tls: Fix TLS ulp context leak, when TLS_TX setsockopt is not
  used (bsc#1103990 FATE#326006).
- tls: Add function to update the TLS socket configuration
  (bsc#1103990 FATE#326006).
- tls: Use kzalloc for aead_request allocation (bsc#1103990
  FATE#326006).
- crypto: introduce crypto wait for async op (bsc#1103990
  FATE#326006).
- tls: make tls_sw_free_resources static (bsc#1103990
  FATE#326006).
- TLS: Fix length check in do_tls_getsockopt_tx() (bsc#1103990
  FATE#326006).
- tls: return -EFAULT if copy_to_user() fails (bsc#1103990
  FATE#326006).
- tls: update Kconfig (bsc#1103990 FATE#326006).
- tls: Depend upon INET not plain NET (bsc#1103990 FATE#326006).
- tls: kernel TLS support (bsc#1103990 FATE#326006).
- commit 1b47ee3
* Tue Oct  9 2018 oneukum@suse.com
- MAINTAINERS: add entry for FPGA DFL drivers (FATE#326235).
- commit 19da70d
* Tue Oct  9 2018 oneukum@suse.com
- thunderbolt: Add support for runtime PM (FATE#325777).
- commit 4b096e0
* Tue Oct  9 2018 oneukum@suse.com
- thunderbolt: No need to take tb->lock in domain suspend/complete
  (FATE#325777).
- commit 22a87df
* Tue Oct  9 2018 oneukum@suse.com
- thunderbolt: Use correct ICM commands in system suspend
  (FATE#325777).
- commit c2762ed
* Tue Oct  9 2018 oneukum@suse.com
- thunderbolt: Use 64-bit DMA mask if supported by the platform
  (FATE#325777).
- commit 9661292
* Tue Oct  9 2018 mbrugger@suse.com
- arm64: Update config files.
  Enable ARM64_RAS_EXTN
- commit abb8c4f
* Tue Oct  9 2018 mbrugger@suse.com
- KVM: arm64: Emulate RAS error registers and set HCR_EL2's TERR &
  TEA (fate#326420 fate#325360).
- commit 4c5d252
* Tue Oct  9 2018 jack@suse.cz
- mm: Preserve _PAGE_DEVMAP across mprotect() calls (bsc#1111028).
- commit 1783326
* Tue Oct  9 2018 oneukum@suse.com
- thunderbolt: Do not unnecessarily call ICM get route
  (FATE#325777).
- commit 50b7205
* Tue Oct  9 2018 mbrugger@suse.com
- KVM: arm64: Handle RAS SErrors from EL2 on guest exit
  (fate#326420 fate#325360).
- Refresh
  patches.suse/0004-arm-arm64-KVM-Consolidate-the-PSCI-include-files.patch.
- commit 4959aa7
* Tue Oct  9 2018 nsaenzjulienne@suse.de
- tpm: remove unused variables (FATE#326087).
- commit a678fe8
* Tue Oct  9 2018 mbrugger@suse.com
- KVM: arm64: Handle RAS SErrors from EL1 on guest exit
  (fate#326420 fate#325360).
- Refresh
  patches.suse/0004-arm-arm64-KVM-Consolidate-the-PSCI-include-files.patch.
- commit 5a6fbfc
* Tue Oct  9 2018 nsaenzjulienne@suse.de
- tpm: only attempt to disable the LPC CLKRUN if is already
  enabled (FATE#326087).
- commit 8c7d9cb
* Tue Oct  9 2018 nsaenzjulienne@suse.de
- tpm: follow coding style for variable declaration in
  tpm_tis_core_init() (FATE#326087).
- commit 3386de5
* Tue Oct  9 2018 nsaenzjulienne@suse.de
- tpm: delete the TPM_TIS_CLK_ENABLE flag (FATE#326087).
- commit 5442b54
* Tue Oct  9 2018 nsaenzjulienne@suse.de
- tpm: Keep CLKRUN enabled throughout the duration of transmit_cmd() (FATE#326087).
- Refresh tpm-cmd_ready-command-can-be-issued-only-after-grant.patch (FATE#326087).
- commit 540c1af
* Tue Oct  9 2018 nsaenzjulienne@suse.de
- tpm_tis: Move ilb_base_addr to tpm_tis_data (FATE#326087).
- commit 26bd843
* Tue Oct  9 2018 mbrugger@suse.com
- KVM: arm64: Save ESR_EL2 on guest SError (fate#326420
  fate#325360).
- commit e262835
* Tue Oct  9 2018 mbrugger@suse.com
- KVM: arm64: Save/Restore guest DISR_EL1 (fate#326420
  fate#325360).
- commit 4b524fb
* Tue Oct  9 2018 mbrugger@suse.com
- KVM: arm64: Set an impdef ESR for Virtual-SError using VSESR_EL2
  (fate#326420 fate#325360).
- commit ac4cf7e
* Tue Oct  9 2018 mbrugger@suse.com
- KVM: arm/arm64: mask/unmask daif around VHE guests (fate#326420
  fate#325360).
- Refresh
  patches.suse/0010-arm64-KVM-Report-SMCCC_ARCH_WORKAROUND_1-BP-hardenin.patch.
- commit 70641a4
* Tue Oct  9 2018 mbrugger@suse.com
- arm64: kernel: Prepare for a DISR user (fate#326420
  fate#325360).
- Refresh
  patches.drivers/0041-arm64-signal-Report-signal-frame-size-to-userspace-v.patch.
- commit 2e740f3
* Tue Oct  9 2018 nsaenzjulienne@suse.de
- tpm: Move Linux RNG connection to hwrng (FATE#326087).
- Update config for tpm's hw random generator (FATE#326087).
- commit be76727
* Tue Oct  9 2018 mbrugger@suse.com
- arm64: Unconditionally enable IESB on exception entry/return
  for firmware-first (fate#326420 fate#325360).
- commit d0cac06
* Tue Oct  9 2018 mbrugger@suse.com
- arm64: kernel: Survive corrected RAS errors notified by SError
  (fate#326420 fate#325360).
- commit 2e2e585
* Tue Oct  9 2018 mbrugger@suse.com
- arm64: cpufeature: Detect CPU RAS Extentions (fate#326420
  fate#325360).
- Refresh
  patches.arch/0006-arm64-Add-ARCH_WORKAROUND_2-probing.patch.
- Refresh
  patches.suse/0008-kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch.
- commit 7cb9d37
* Tue Oct  9 2018 mbrugger@suse.com
- arm64: sysreg: Move to use definitions for all the SCTLR bits
  (fate#326420 fate#325360).
- commit 944c5b4
* Tue Oct  9 2018 mbrugger@suse.com
- bug: split BUILD_BUG stuff out into <linux/build_bug.h>
  (fate#326420 fate#325360).
- commit 989c24f
* Tue Oct  9 2018 msuchanek@suse.de
- Revert "Limit kernel-source build to architectures for which we build binaries"
  This reverts commit d6435125446d740016904abe30a60611549ae812.
- commit 48b03c4
* Mon Oct  8 2018 palcantara@suse.de
- cifs: integer overflow in in SMB2_ioctl() (bsc#1051510).
- commit b6e2ad9
* Mon Oct  8 2018 tzimmermann@suse.de
- drm/i915: Handle incomplete Z_FINISH for compressed error states (bsc#1100132)
- commit 64ea054
* Mon Oct  8 2018 tiwai@suse.de
- crypto: caam/jr - fix ablkcipher_edesc pointer arithmetic
  (bsc#1051510).
- crypto: cavium/nitrox - fix for command corruption in queue
  full case with backlog submissions (bsc#1051510).
- commit 4257b34
* Mon Oct  8 2018 tiwai@suse.de
- clk: clk-fixed-factor: Clear OF_POPULATED flag in case of
  failure (bsc#1051510).
- clk: rockchip: Add pclk_rkpwm_pmu to PMU critical clocks in
  rk3399 (bsc#1051510).
- clk: tegra: bpmp: Don't crash when a clock fails to register
  (bsc#1051510).
- commit 48d4c05
* Mon Oct  8 2018 tiwai@suse.de
- ath10k: protect ath10k_htt_rx_ring_free with rx_ring.lock
  (bsc#1051510).
- commit 74154cd
* Mon Oct  8 2018 tiwai@suse.de
- blacklist.conf: Add entries for mvebu-uart patches
- commit adbfb7c
* Mon Oct  8 2018 oneukum@suse.com
- serial: 8250_mid: Enable HSU on Intel Cedar Fork PCH
  (FATE#326216).
- commit 22c55fe
* Mon Oct  8 2018 tiwai@suse.de
- virtio: pci-legacy: Validate queue pfn (bsc#1051510).
- commit b627e9e
* Mon Oct  8 2018 oneukum@suse.com
- mtd: intel-spi: Add Intel Lewisburg PCH SPI super SKU PCI ID
  (FATE#326216).
- commit 2e7fa13
* Mon Oct  8 2018 tiwai@suse.de
- tsl2550: fix lux1_input error in low light (bsc#1051510).
- commit 5120650
* Mon Oct  8 2018 oneukum@suse.com
- mtd: spi-nor: intel-spi: Add support for Intel Cedar Fork SPI
  serial flash (FATE#326216).
- commit b8e8c4e
* Mon Oct  8 2018 tiwai@suse.de
- usb: cdc_acm: Do not leak URB buffers (bsc#1051510).
- commit d469a58
* Mon Oct  8 2018 oneukum@suse.com
- mtd: spi-nor: intel-spi: Add support for Intel Lewisburg SPI
  serial flash (FATE#326216).
- commit 8f4524d
* Mon Oct  8 2018 tiwai@suse.de
- thermal: of-thermal: disable passive polling when thermal zone
  is disabled (bsc#1051510).
- commit 8a954b3
* Mon Oct  8 2018 tiwai@suse.de
- rtc: bq4802: add error handling for devm_ioremap (bsc#1051510).
- commit be9b7c6
* Mon Oct  8 2018 tiwai@suse.de
- PM / core: Clear the direct_complete flag on errors
  (bsc#1051510).
- commit 84e267c
* Mon Oct  8 2018 oneukum@suse.com
- mtd: spi-nor: intel-spi: Add support for Intel Denverton SPI
  serial flash controller (FATE#326216).
- Update config files.
- commit e1ee708
* Mon Oct  8 2018 tiwai@suse.de
- Refresh
  patches.arch/x86-decoder-add-new-test-instruction-pattern.
  Both arch/x86/lib/x86-opcode-map.txt and tools/objtool/arch/x86/....
  have to be synced.  In the upstream, it was done in a merge commit.
- commit 6a08774
* Mon Oct  8 2018 tiwai@suse.de
- mac80211: fix setting IEEE80211_KEY_FLAG_RX_MGMT for AP mode
  keys (bsc#1051510).
- commit 6ea5f12
* Mon Oct  8 2018 tiwai@suse.de
- irq/core: Fix boot crash when the irqaffinity= boot parameter
  is passed on CPUMASK_OFFSTACK=y kernels(v1) (bsc#1051510).
- commit 9c04790
* Mon Oct  8 2018 jroedel@suse.de
- x86/vdso: Fix vDSO syscall fallback asm constraint regression
  (bsc#1110006).
- commit 868515e
* Mon Oct  8 2018 tiwai@suse.de
- hwmon: (nct6775) Set weight source to zero correctly
  (bsc#1051510).
- commit a2eb386
* Mon Oct  8 2018 tiwai@suse.de
- gpiolib: Free the last requested descriptor (bsc#1051510).
- commit 83e4eb4
* Mon Oct  8 2018 tiwai@suse.de
- apparmor: Fix failure to audit context info in build_change_hat
  (bsc#1051510).
- apparmor: Fully initialize aa_perms struct when answering
  userspace query (bsc#1051510).
- fuse: Don't access pipe->buffers without pipe_lock()
  (bsc#1051510).
- apparmor: fix ptrace read check (bsc#1051510).
- apparmor: fix memory leak when deduping profile load
  (bsc#1051510).
- apparmor: fix mediation of prlimit (bsc#1051510).
- commit 1f347b9
* Mon Oct  8 2018 tbogendoerfer@suse.de
- Delete
  patches.drivers/IB-qedr-Remove-GID-add-del-dummy-routines.patch.
  (bsc#1110921)
- commit fb74314
* Mon Oct  8 2018 tiwai@suse.de
- Add a cherry-picked id for apparmor fix
- commit dac39d0
* Mon Oct  8 2018 jslaby@suse.cz
- ipv4: fix use-after-free in ip_cmsg_recv_dstaddr() (git-fixes).
- commit 539511e
* Mon Oct  8 2018 yousaf.kaukab@suse.com
- arm64: Expose Arm v8.4 features (fate#325862).
- arm64/errata: add REVIDR handling to framework (fate#325862).
- arm64: cpufeature: Remove redundant "feature" in reports (fate#325862).
- arm64: cpufeature: Relocate PAN emulation report (fate#325862).
  Refresh:
  patches.drivers/0041-arm64-signal-Report-signal-frame-size-to-userspace-v.patch
- arm64: Inform user if software PAN is in use (fate#325862).
- arm64: v8.4: Support for new floating point multiplication instructions (fate#325862).
  Refresh:
  patches.arch/arm64-sysreg-Move-to-use-definitions-for-all-the-SCT.patch
- arm64: asid: Do not replace active_asids if already 0 (fate#325862).
- arm64: Fix single stepping in kernel traps (fate#325862).
- arm64: Fix the feature type for ID register fields (fate#325862).
  Refresh:
  patches.drivers/0039-arm64-sve-Detect-SVE-and-activate-runtime-support.patch
  patches.drivers/0045-arm64-sve-Report-SVE-to-userspace-via-CPUID-only-if-.patch
  patches.suse/0008-arm64-Take-into-account-ID_AA64PFR0_EL1.CSV3.patch
  patches.suse/0011-arm64-Add-skeleton-to-harden-the-branch-predictor-ag.patch
  patches.arch/arm64-cpufeature-Detect-CPU-RAS-Extentions.patch
- arm64: Expose support for optional ARMv8-A features (fate#325862).
  Refresh:
  patches.drivers/0039-arm64-sve-Detect-SVE-and-activate-runtime-support.patch
  patches.arch/arm64-sysreg-Move-to-use-definitions-for-all-the-SCT.patch
- arm64: dump cpu_hwcaps at panic time (fate#325862).
  Refresh:
  patches.drivers/0029-arm64-cpufeature-Move-sys_caps_initialised-declarati.patch
- arm64: cpufeature: Fix CPU_OUT_OF_SPEC taint for uniform systems (fate#325862).
- arm64: cpufeature: Don't dump useless backtrace on CPU_OUT_OF_SPEC (fate#325862).
- commit 29352a5
* Mon Oct  8 2018 nsaenzjulienne@suse.de
- tpm: Allow tpm_tis drivers to set hwrng quality (FATE#326087).
- tpm_tis_spi: Pass the SPI IRQ down to the driver (FATE#326087).
- tpm: reduce polling time to usecs for even finer granularity
  (FATE#326087).
- tpm: reduce poll sleep time in tpm_transmit() (FATE#326087).
- tpm_tis: verify locality released before returning from
  release_locality (FATE#326087).
- tpm: reduce tpm polling delay in tpm_tis_core (FATE#326087).
- tpm: move wait_for_tpm_stat() to respective driver files
  (FATE#326087).
- tpm, tpm_tis: use ARRAY_SIZE() to define TPM_HID_USR_IDX
  (FATE#326087).
- tpm: fix type of a local variables in tpm_tis_spi.c
  (FATE#326087).
- tpm_tis: make array cmd_getticks static const to shrink object
  code size (FATE#326087).
- tpm: replace msleep() with  usleep_range() in TPM 1.2/2.0
  generic drivers (FATE#326087).
- tpm_tis: make ilb_base_addr static (FATE#326087).
- tpm: Enable CLKRUN protocol for Braswell systems (FATE#326087).
- tpm_tis: Consolidate the platform and acpi probe flow
  (FATE#326087).
- commit 839f27d
* Mon Oct  8 2018 jroedel@suse.de
- iommu/amd: Clear memory encryption mask from physical address
  (bsc#1106105).
- KVM: x86: Do not use kvm_x86_ops->mpx_supported() directly
  (bsc#1106240).
- KVM: nVMX: Do not expose MPX VMX controls when guest MPX
  disabled (bsc#1106240).
- commit 03846bc
* Mon Oct  8 2018 jroedel@suse.de
- blacklist.conf: Add cc51e5428ea5 x86/speculation/l1tf: Increase l1tf memory limit for Nehalem+
  Fixes only an unlikely warning and breaks kABI, not worth
  the effort.
- commit 262c2a7
* Mon Oct  8 2018 jroedel@suse.de
- x86/vdso: Fix asm constraints on vDSO syscall fallbacks
  (bsc#1110006).
- commit 3d4afb6
* Mon Oct  8 2018 mkubecek@suse.cz
- udp: Unbreak modules that rely on external __skb_recv_udp()
  availability (bsc#1109151).
- commit b99f6aa
* Mon Oct  8 2018 jslaby@suse.cz
- PCI: dwc: Fix scheduling while atomic issues (git-fixes).
- commit 7e30d08
* Fri Oct  5 2018 lduncan@suse.com
- scsi: qedi: Initialize the stats mutex lock (bsc#1110538).
- qed: Add missing device config for RoCE EDPM in UFP mode
  (bsc#1109217).
- scsi: qedi: Add the CRC size within iSCSI NVM image
  (bsc#1110538).
- commit 0e0b19c
* Fri Oct  5 2018 tiwai@suse.de
- ARM: 8799/1: mm: fix pci_ioremap_io() offset check
  (bsc#1051510).
- ARM: exynos: Clear global variable on init error path
  (bsc#1051510).
- ARM: hisi: check of_iomap and fix missing of_node_put
  (bsc#1051510).
- ARM: mvebu: declare asm symbols as character arrays in pmsu.c
  (bsc#1051510).
- ARM: hwmod: RTC: Don't assume lock/unlock will be called with
  irq enabled (bsc#1051510).
- commit d307599
* Fri Oct  5 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/EDAC-Add-missing-MEM_LRDDR4-entry-in-edac_mem_types.patch.
  Fix error introduced by patch refresh in commit ee2ef7fc1962.
- commit c2c6686
* Fri Oct  5 2018 tiwai@suse.de
- Revert "cdc-acm: implement put_char() and flush_chars()"
  (bsc#1051510).
- commit 00ebbf6
* Fri Oct  5 2018 tiwai@suse.de
- USB: handle NULL config in usb_find_alt_setting() (bsc#1051510).
- USB: fix error handling in usb_driver_claim_interface()
  (bsc#1051510).
- usb: musb: dsps: do not disable CPPI41 irq in driver teardown
  (bsc#1051510).
- usb: misc: uss720: Fix two sleep-in-atomic-context bugs
  (bsc#1051510).
- usb: host: u132-hcd: Fix a sleep-in-atomic-context bug in
  u132_get_frame() (bsc#1051510).
- usb: Avoid use-after-free by flushing endpoints early in
  usb_set_interface() (bsc#1051510).
- usb: uas: add support for more quirk flags (bsc#1051510).
- USB: Add quirk to support DJI CineSSD (bsc#1051510).
- USB: yurex: Fix buffer over-read in yurex_write() (bsc#1051510).
- USB: add quirk for WORLDE Controller KS49 or Prodipe MIDI 49C
  USB controller (bsc#1051510).
- uwb: hwa-rc: fix memory leak at probe (bsc#1051510).
- usb: wusbcore: security: cast sizeof to int for comparison
  (bsc#1051510).
- commit 325b691
* Fri Oct  5 2018 jroedel@suse.de
- x86/MCE: Report only DRAM ECC as memory errors on AMD systems
  (bsc#1110006).
- commit f4ebbb5
* Fri Oct  5 2018 msuchanek@suse.de
- powerpc/pseries/mm: call H_BLOCK_REMOVE (bsc#1109158).
- powerpc/pseries/mm: factorize PTE slot computation
  (bsc#1109158).
- powerpc/pseries/mm: Introducing FW_FEATURE_BLOCK_REMOVE
  (bsc#1109158).
- powerpc/pseries: Fix duplicate firmware feature for DRC_INFO
  (bsc#1109158).
- powerpc/firmware: Add definitions for new drc-info firmware
  feature (bsc#1109158).
- commit db82c02
* Fri Oct  5 2018 jroedel@suse.de
- KVM: x86: fix #UD address of failed Hyper-V hypercalls
  (bsc#1110006).
- blacklist.conf: Blacklist MCE patch not relevant for SLE
- lib/bug.c: exclude non-BUG/WARN exceptions from report_bug()
  (bsc#1110006).
- PM: cpuidle: Fix cpuidle_poll_state_init() prototype
  (bsc#1110006).
- commit ba6337f
* Fri Oct  5 2018 jthumshirn@suse.de
- EDAC, skx: Fix skx_edac build error when ACPI_NFIT=m
  (bsc#1099125).
- commit bac1e6a
* Fri Oct  5 2018 jthumshirn@suse.de
- kabi protect enum mem_type (bsc#1099125).
- commit 6b120fd
* Fri Oct  5 2018 hare@suse.de
- nvme: call nvme_complete_rq when nvmf_check_ready fails for
  mpath I/O (bsc#1107685).
- Refresh
  patches.kabi/kABI-fixes-for-nvme-if_ready-checks-fail-io-to-deletin.patch.
- commit b135e3b
* Fri Oct  5 2018 tiwai@suse.de
- Refresh patches.drivers/serial-imx-restore-handshaking-irq-for-imx1.patch
  Fix the build error due to forgotten quilt refresh.
- commit 3fe34a7
* Fri Oct  5 2018 tiwai@suse.de
- blacklist.conf: Add a wlcore patch that isn't applicable (git-fixes)
- commit 155b770
* Fri Oct  5 2018 tiwai@suse.de
- serial: 8250_exar: Read INT0 from slave device, too
  (bsc#1051510).
- commit 1b0e22e
* Fri Oct  5 2018 jlee@suse.com
- ACPICA: Reference Counts: increase max to 0x4000 for large
  servers (bsc#1108241).
- commit bbbde90
* Thu Oct  4 2018 tiwai@suse.de
- Revert "ubifs: xattr: Don't operate on deleted inodes"
  (bsc#1051510).
- ubifs: Check for name being NULL while mounting (bsc#1051510).
- commit 91daddc
* Thu Oct  4 2018 tiwai@suse.de
- tty: vt_ioctl: fix potential Spectre v1 (bsc#1051510).
- tty: Drop tty->count on tty_reopen() failure (bsc#1051510).
- tty: serial: lpuart: avoid leaking struct tty_struct
  (bsc#1051510).
- tty: rocket: Fix possible buffer overwrite on register_PCI
  (bsc#1051510).
- drivers/tty: add error handling for pcmcia_loop_config
  (bsc#1051510).
- tty: serial: exar: Relocate sleep wake-up handling
  (bsc#1051510).
- commit 8bfe969
* Thu Oct  4 2018 jack@suse.cz
- patches.fixes/x86-memory_failure-Introduce-set-clear-_mce_nospec.patch:
  One more fixup to avoid even warning about statement without effect.
- commit ad22175
* Thu Oct  4 2018 tiwai@suse.de
- spi: rspi: Fix interrupted DMA transfers (bsc#1051510).
- spi: rspi: Fix invalid SPI use during system suspend
  (bsc#1051510).
- spi: sh-msiof: Fix handling of write value for SISTR register
  (bsc#1051510).
- spi: sh-msiof: Fix invalid SPI use during system suspend
  (bsc#1051510).
- spi: tegra20-slink: explicitly enable/disable clock
  (bsc#1051510).
- commit e15b3cc
* Thu Oct  4 2018 tbogendoerfer@suse.de
- Update config files.
- supported.conf: added cavium_ptp
- commit b02b8f1
* Thu Oct  4 2018 tiwai@suse.de
- soc: fsl: qe: Fix copy/paste bug in ucc_get_tdm_sync_shift()
  (bsc#1051510).
- soc: mediatek: pwrap: fix cipher init setting error
  (bsc#1051510).
- commit 493cc64
* Thu Oct  4 2018 tiwai@suse.de
- serial: imx: restore handshaking irq for imx1 (bsc#1051510).
- serial: cpm_uart: return immediately from console poll
  (bsc#1051510).
- commit 6e6efed
* Thu Oct  4 2018 tiwai@suse.de
- qmi_wwan: set DTR for modems in forced USB2 mode (bsc#1051510).
- media: davinci: vpif_display: Mix memory leak on probe error
  path (bsc#1051510).
- media: s5p-mfc: Fix buffer look up in s5p_mfc_handle_frame_{new,
  copy_time} functions (bsc#1051510).
- media: helene: fix xtal frequency setting at power on
  (bsc#1051510).
- media: videobuf2-core: check for q->error in vb2_core_qbuf()
  (bsc#1051510).
- media: fsl-viu: fix error handling in viu_of_probe()
  (bsc#1051510).
- media: soc_camera: ov772x: correct setting of banding filter
  (bsc#1051510).
- media: s3c-camif: ignore -ENOIOCTLCMD from v4l2_subdev_call
  for s_power (bsc#1051510).
- media: tm6000: add error handling for dvb_register_adapter
  (bsc#1051510).
- NFC: trf7970a: fix check of clock frequencies, use && instead
  of || (bsc#1051510).
- commit e9d3fa4
* Thu Oct  4 2018 tiwai@suse.de
- evm: Don't deadlock if a crypto algorithm is unavailable
  (bsc#1051510).
- ethtool: Remove trailing semicolon for static inline
  (bsc#1051510).
- commit 266906c
* Thu Oct  4 2018 tiwai@suse.de
- declance: Fix continuation with the adapter identification
  message (bsc#1051510).
- drm/amdgpu: add new polaris pci id (bsc#1051510).
- drm: udl: Destroy framebuffer only if it was initialized
  (bsc#1051510).
- drm/nouveau/drm/nouveau: Don't forget to cancel hpd_work on
  suspend/unload (bsc#1051510).
- drm/nouveau/drm/nouveau: Prevent handling ACPI HPD events too
  early (bsc#1051510).
- drm/nouveau: Fix deadlocks in nouveau_connector_detect()
  (bsc#1051510).
- drm/nouveau/drm/nouveau: Use pm_runtime_get_noresume() in
  connector_detect() (bsc#1051510).
- drm/amdgpu: Update power state at the end of smu hw_init
  (bsc#1051510).
- drm/amdgpu: Enable/disable gfx PG feature in rlc safe mode
  (bsc#1051510).
- dmaengine: pl330: fix irq race with terminate_all (bsc#1051510).
- drm/amdkfd: Fix error codes in kfd_get_process (bsc#1051510).
- drm/nouveau: tegra: Detach from ARM DMA/IOMMU mapping
  (bsc#1051510).
- drm/nouveau: Fix runtime PM leak in drm_open() (bsc#1051510).
- drm/nouveau/debugfs: Wake up GPU before doing any reclocking
  (bsc#1051510).
- drm/sun4i: Fix releasing node when enumerating enpoints
  (bsc#1051510).
- commit 022b73c
* Thu Oct  4 2018 mbrugger@suse.com
- firmware: arm_sdei: Fix return value check in sdei_present_dt()
  (fate#326420 fate#325360).
- commit 39bec3b
* Thu Oct  4 2018 tiwai@suse.de
- batman-adv: Prevent duplicated tvlv handler (bsc#1051510).
- batman-adv: Prevent duplicated global TT entry (bsc#1051510).
- batman-adv: Prevent duplicated softif_vlan entry (bsc#1051510).
- batman-adv: Prevent duplicated nc_node entry (bsc#1051510).
- batman-adv: Prevent duplicated gateway_node entry (bsc#1051510).
- batman-adv: Fix segfault when writing to sysfs elp_interval
  (bsc#1051510).
- batman-adv: Fix segfault when writing to throughput_override
  (bsc#1051510).
- batman-adv: Fix multicast TT issues with bogus ROAM flags
  (bsc#1051510).
- commit 2541a15
* Thu Oct  4 2018 tiwai@suse.de
- asix: Check for supported Wake-on-LAN modes (bsc#1051510).
- drivers/base: stop new probing during shutdown (bsc#1051510).
- audit: fix use-after-free in audit_add_watch (bsc#1051510).
- commit f16e19d
* Thu Oct  4 2018 jthumshirn@suse.de
- EDAC: Add new memory type for non-volatile DIMMs (bsc#1099125).
- Refresh
  patches.drivers/EDAC-Add-missing-MEM_LRDDR4-entry-in-edac_mem_types.patch.
- commit ee2ef7f
* Thu Oct  4 2018 tbogendoerfer@suse.de
- qlcnic: fix Tx descriptor corruption on 82xx devices
  (bsc#1050540 FATE#322896).
- commit 15269ed
* Thu Oct  4 2018 jroedel@suse.de
- Backport stable-patches for x86 architecture
- cpu/hotplug: Fix SMT supported evaluation (bsc#1110006).
- efi: Avoid potential crashes, fix the 'struct
  efi_pci_io_protocol_32' definition for mixed mode (bsc#1110006).
- kprobes/x86: Disable preemption in ftrace-based jprobes
  (bsc#1110006).
- kprobes/x86: Prohibit probing on exception masking instructions
  (bsc#1110006).
- KVM: lapic: stop advertising DIRECTED_EOI when in-kernel IOAPIC
  is in use (bsc#1110006).
- kvm, mm: account shadow page tables to kmemcg (bsc#1110006).
- KVM: nVMX: Don't halt vcpu when L1 is injecting events to L2
  (bsc#1110006).
- KVM/VMX: Optimize vmx_vcpu_run() and svm_vcpu_run() by marking
  the RDMSR path as unlikely() (bsc#1110006).
- KVM: VMX: raise internal error for exception during invalid
  protected mode state (bsc#1110006).
- KVM: vmx: track host_state.loaded using a loaded_vmcs pointer
  (bsc#1110006).
- KVM: vmx: use local variable for current_vmptr when emulating
  VMPTRST (bsc#1110006).
- KVM: x86: fix escape of guest dr6 to the host (bsc#1110006).
- KVM: X86: fix incorrect reference of trace_kvm_pi_irte_update
  (bsc#1110006).
- kvm: x86: fix KVM_XEN_HVM_CONFIG ioctl (bsc#1110006).
- KVM: X86: Fix reserved bits check for MOV to CR3 (bsc#1110006).
- KVM: x86: remove APIC Timer periodic/oneshot spikes
  (bsc#1110006).
- KVM: x86: Update cpuid properly when CR4.OSXAVE or CR4.PKE is
  changed (bsc#1110006).
- kvmclock: fix TSC calibration for nested guests (bsc#1110006).
- objtool, kprobes/x86: Sync the latest <asm/insn.h> header with
  tools/objtool/arch/x86/include/asm/insn.h (bsc#1110006).
- perf/x86/amd/ibs: Don't access non-started event (bsc#1110006).
- perf/x86/cstate: Fix possible Spectre-v1 indexing for pkg_msr
  (bsc#1110006).
- perf/x86: Fix possible Spectre-v1 indexing for hw_perf_event
  cache_* (bsc#1110006).
- perf/x86: Fix possible Spectre-v1 indexing for
  x86_pmu::event_map() (bsc#1110006).
- perf/x86/intel: Don't accidentally clear high bits in
  bdw_limit_period() (bsc#1110006).
- perf/x86/intel: Fix event update for auto-reload (bsc#1110006).
- perf/x86/intel: Fix large period handling on Broadwell CPUs
  (bsc#1110006).
- perf/x86/intel: Fix linear IP of PEBS real_ip on Haswell and
  later CPUs (bsc#1110006).
- perf/x86/intel/lbr: Fix incomplete LBR call stack (bsc#1110006).
- perf/x86/intel: Properly save/restore the PMU state in the
  NMI handler (bsc#1110006).
- perf/x86/intel/uncore: Correct fixed counter index check for
  NHM (bsc#1110006).
- perf/x86/intel/uncore: Correct fixed counter index check in
  generic code (bsc#1110006).
- perf/x86/intel/uncore: Fix Skylake UPI event format
  (bsc#1110006).
- perf/x86/msr: Fix possible Spectre-v1 indexing in the MSR driver
  (bsc#1110006).
- ptrace,x86: Make user_64bit_mode() available to 32-bit builds
  (bsc#1110006).
- selftests/x86: Add tests for the STR and SLDT instructions
  (bsc#1110006).
- selftests/x86: Add tests for User-Mode Instruction Prevention
  (bsc#1110006).
- tracing/x86/xen: Remove zero data size trace events
  trace_xen_mmu_flush_tlb{_all} (bsc#1110006).
- uprobes/x86: Prohibit probing on MOV SS instruction
  (bsc#1110006).
- vfs/proc/kcore, x86/mm/kcore: Fix SMAP fault when dumping
  vsyscall user page (bsc#1110006).
- x86-64/realmode: Add instruction suffix (bsc#1110006).
- x86: Add check for APIC access address for vmentry of L2 guests
  (bsc#1110006).
- x86/alternatives: Fixup alternative_call_2 (bsc#1110006).
- x86/apic: Set up through-local-APIC mode on the boot CPU if
  'noapic' specified (bsc#1110006).
- x86/asm: Add _ASM_ARG* constants for argument registers to
  <asm/asm.h> (bsc#1110006).
- x86/asm: Allow again using asm.h when building for the 'bpf'
  clang target (bsc#1110006).
- x86/asm: Don't use the confusing '.ifeq' directive
  (bsc#1110006).
- x86/boot/64: Verify alignment of the LOAD segment (bsc#1110006).
- x86/boot/compressed/64: Print error if 5-level paging is not
  supported (bsc#1110006).
- x86/boot: Fix if_changed build flip/flop bug (bsc#1110006).
- x86/boot: Relocate definition of the initial state of CR0
  (bsc#1110006).
- x86/build: Beautify build log of syscall headers (bsc#1110006).
- x86: Call fixup_exception() before notify_die() in math_error()
  (bsc#1110006).
- x86/CPU: Add a microcode loader callback (bsc#1110006).
- x86/cpu/AMD: Apply the Erratum 688 fix when the BIOS doesn't
  (bsc#1110006).
- x86/CPU/AMD: Have smp_num_siblings and cpu_llc_id always be
  present (bsc#1110006).
- x86/CPU: Check CPU feature bits after microcode upgrade
  (bsc#1110006).
- x86/cpu/intel: Add missing TLB cpuid values (bsc#1110006).
- x86/cpufeatures: Add Intel PCONFIG cpufeature (bsc#1110006).
- x86/debug: Handle warnings before the notifier chain, to fix
  KGDB crash (bsc#1110006).
- x86/decoder: Add new TEST instruction pattern (bsc#1110006).
- x86: Delay skip of emulated hypercall instruction (bsc#1110006).
- x86/efi: Fix efi_call_phys_epilog() with CONFIG_X86_5LEVEL=y
  (bsc#1110006).
- x86/entry/64: Add two more instruction suffixes (bsc#1110006).
- x86/entry/64: Use 'xorl' for faster register clearing
  (bsc#1110006).
- x86/entry: Reduce the code footprint of the 'idtentry' macro
  (bsc#1110006).
- x86/entry: Use SYSCALL_DEFINE() macros for sys_modify_ldt()
  (bsc#1110006).
- x86/fpu/debug: Remove unused 'x86_fpu_state' and
  'x86_fpu_deactivate_state' tracepoints (bsc#1110006).
- x86/fpu: Make XSAVE check the base CPUID features before
  enabling (bsc#1110006).
- x86/fpu: Parse clearcpuid= as early XSAVE argument
  (bsc#1110006).
- x86/fpu: Remove the explicit clearing of XSAVE dependent
  features (bsc#1110006).
- x86/hyperv: Check for required priviliges in hyperv_init()
  (bsc#1110006).
- x86: i8259: Add missing include file (bsc#1110006).
- x86/intel_rdt: Enable CMT and MBM on new Skylake stepping
  (bsc#1110006).
- x86/intel_rdt: Fix incorrect returned value when creating
  rdgroup sub-directory in resctrl file system (bsc#1110006).
- x86/intel_rdt: Fix potential deadlock during resctrl mount
  (bsc#1110006).
- x86/intel_rdt: Fix potential deadlock during resctrl unmount
  (bsc#1110006).
- x86/irq: Remove an old outdated comment about context tracking
  races (bsc#1110006).
- x86/Kconfig: Limit NR_CPUS on 32-bit to a sane amount
  (bsc#1110006).
- x86/kexec: Make kexec (mostly) work in 5-level paging mode
  (bsc#1110006).
- x86/kprobes: Fix kernel crash when probing .entry_trampoline
  code (bsc#1110006).
- x86: kvm: avoid unused variable warning (bsc#1110006).
- x86/KVM/VMX: Don't set l1tf_flush_l1d from
  vmx_handle_external_intr() (bsc#1110006).
- x86/KVM/VMX: Don't set l1tf_flush_l1d to true from
  vmx_l1d_flush() (bsc#1110006).
- x86/KVM/VMX: Move the l1tf_flush_l1d test to vmx_l1d_flush()
  (bsc#1110006).
- x86/kvm/vmx: Remove duplicate l1d flush definitions
  (bsc#1110006).
- x86/KVM/VMX: Replace 'vmx_l1d_flush_always' with
  'vmx_l1d_flush_cond' (bsc#1110006).
- x86/LDT: Avoid warning in 32-bit builds with older gcc
  (bsc#1110006).
- x86/mce: Add notifier_block forward declaration (bsc#1110006).
- x86/MCE/AMD: Define a function to get SMCA bank type
  (bsc#1110006).
- x86/mce/AMD: Get address from already initialized block
  (bsc#1110006).
- x86/mce: Check for alternate indication of machine check
  recovery on Skylake (bsc#1110006).
- x86/mce: Do not overwrite MCi_STATUS in mce_no_way_out()
  (bsc#1110006).
- x86/mce: Fix incorrect "Machine check from unknown source"
  message (bsc#1110006).
- x86/MCE: Remove min interval polling limitation (bsc#1110006).
- x86/MCE: Serialize sysfs changes (bsc#1110006).
- x86/microcode: Allow late microcode loading with SMT disabled
  (bsc#1110006).
- x86/microcode: Attempt late loading only when new microcode
  is present (bsc#1110006).
- x86/microcode: Do not exit early from __reload_late()
  (bsc#1110006).
- x86/microcode: Do not upload microcode if CPUs are offline
  (bsc#1110006).
- x86/microcode: Fix CPU synchronization routine (bsc#1110006).
- x86/microcode: Get rid of struct apply_microcode_ctx
  (bsc#1110006).
- x86/microcode/intel: Check microcode revision before updating
  sibling threads (bsc#1110006).
- x86/microcode/intel: Fix memleak in save_microcode_patch()
  (bsc#1110006).
- x86/microcode/intel: Look into the patch cache first
  (bsc#1110006).
- x86/microcode/intel: Save microcode patch unconditionally
  (bsc#1110006).
- x86/microcode/intel: Writeback and invalidate caches before
  updating microcode (bsc#1110006).
- x86/microcode: Make sure boot_cpu_data.microcode is up-to-date
  (bsc#1110006).
- x86/microcode: Make the late update update_lock a raw lock
  for RT (bsc#1110006).
- x86/microcode: Propagate return value from updating functions
  (bsc#1110006).
- x86/microcode: Request microcode on the BSP (bsc#1110006).
- x86/microcode: Synchronize late microcode loading (bsc#1110006).
- x86/microcode: Update the new microcode revision unconditionally
  (bsc#1110006).
- x86/mm/32: Initialize the CR4 shadow before __flush_tlb_all()
  (bsc#1110006).
- x86/mm/64: Rename the register_page_bootmem_memmap() 'size'
  parameter to 'nr_pages' (bsc#1110006).
- x86/mm: Define _PAGE_TABLE using _KERNPG_TABLE (bsc#1110006).
- x86/mm: Do not forbid _PAGE_RW before init for __ro_after_init
  (bsc#1110006).
- x86/mm: Fix bogus warning during EFI bootup, use boot_cpu_has()
  instead of this_cpu_has() in build_cr3_noflush() (bsc#1110006).
- x86/mm/kmmio: Fix mmiotrace for page unaligned addresses
  (bsc#1110006).
- x86/mm/kmmio: Make the tracer robust against L1TF (bsc#1110006).
- x86/mm/pat: Make set_memory_np() L1TF safe (bsc#1110006).
- x86/mm/pti: Add an overflow check to pti_clone_pmds()
  (bsc#1110006).
- x86/mm/pti: Fix PTI comment in entry_SYSCALL_64() (bsc#1110006).
- x86/mm: Relocate page fault error codes to traps.h
  (bsc#1110006).
- x86/mm: Remove in_nmi() warning from vmalloc_fault()
  (bsc#1110006).
- x86/nmi: Fix NMI uaccess race against CR3 switching
  (bsc#1110006).
- x86/numa_emulation: Fix emulated-to-physical node mapping
  (bsc#1110006).
- x86/oprofile: Fix bogus GCC-8 warning in nmi_setup()
  (bsc#1110006).
- x86/pae: use 64 bit atomic xchg function in
  native_ptep_get_and_clear (bsc#1110006).
- x86/paravirt: Remove 'noreplace-paravirt' cmdline option
  (bsc#1110006).
- x86/pgtable: Don't set huge PUD/PMD on non-leaf entries
  (bsc#1110006).
- x86: PM: Make APM idle driver initialize polling state
  (bsc#1110006).
- x86/power: Fix swsusp_arch_resume prototype (bsc#1110006).
- x86/pti: Check the return value of pti_user_pagetable_walk_p4d()
  (bsc#1110006).
- x86/pti: Check the return value of pti_user_pagetable_walk_pmd()
  (bsc#1110006).
- x86/retpoline/checksum32: Convert assembler indirect jumps
  (bsc#1110006).
- x86/retpoline/irq32: Convert assembler indirect jumps
  (bsc#1110006).
- x86/smp: fix non-SMP broken build due to redefinition of
  apic_id_is_primary_thread (bsc#1110006).
- x86/smpboot: Don't use mwait_play_dead() on AMD systems
  (bsc#1110006).
- x86/spectre: Fix spelling mistake: "vunerable"-> "vulnerable"
  (bsc#1110006).
- x86/speculation/l1tf: Exempt zeroed PTEs from inversion
  (bsc#1110006).
- x86/speculation/l1tf: Extend 64bit swap file size limit
  (bsc#1110006).
- x86/speculation/l1tf: Fix up pte->pfn conversion for PAE
  (bsc#1110006).
- x86/speculation/l1tf: Invert all not present mappings
  (bsc#1110006).
- x86/speculation/l1tf: Make pmd/pud_mknotpresent() invert
  (bsc#1110006).
- x86/speculation/l1tf: Protect PAE swap entries against L1TF
  (bsc#1110006).
- x86/speculation, objtool: Annotate indirect calls/jumps for
  objtool on 32-bit kernels (bsc#1110006).
- x86/speculation: Simplify sysfs report of VMX L1TF vulnerability
  (bsc#1110006).
- x86/topology: Update the 'cpu cores' field in /proc/cpuinfo
  correctly across CPU hotplug operations (bsc#1110006).
- x86/tsc: Add missing header to tsc_msr.c (bsc#1110006).
- x86/tsc: Allow TSC calibration without PIT (bsc#1110006).
- x86/tsc: Prevent 32bit truncation in calc_hpet_ref()
  (bsc#1110006).
- x86/xen: Delay get_cpu_cap until stack canary is established
  (bsc#1110006).
- x86/xen: don't write ptes directly in 32-bit PV guests
  (bsc#1110006).
- x86/xen: Drop 5-level paging support code from the XEN_PV code
  (bsc#1110006).
- x86/xen: Reset VCPU0 info pointer after shared_info remap
  (bsc#1110006).
- xen: Fix {set,clear}_foreign_p2m_mapping on autotranslating
  guests (bsc#1110006).
- xen/PVH: Set up GS segment for stack canary (bsc#1110006).
- xen/x86/vpmu: Zero struct pt_regs before calling into sample
  handling code (bsc#1110006).
- blacklist.conf:
- Refresh
  patches.arch/00-x86-cpufeatures-Add-detection-of-L1D-cache-flush-sup.patch.
- Refresh
  patches.arch/0010-x86-bugs-kvm-Introduce-boot-time-control-of-L1TF-mit.patch.
- Refresh
  patches.arch/06-x86-KVM-VMX-Split-the-VMX-MSR-LOAD-structures-to-hav.patch.
- Refresh
  patches.arch/35-x86-speculation-handle-ht-correctly-on-amd.patch.
- Refresh
  patches.arch/36-x86-bugs-kvm-extend-speculation-control-for-virt_spec_ctrl.patch.
- Refresh
  patches.arch/kvm-nvmx-use-nested_run_pending-rather-than-from_vmentry.
- Refresh
  patches.arch/kvm-x86-svm-call-x86_spec_ctrl_set_guest-host-with-interrupts-disabled.patch.
- Refresh
  patches.arch/x86-cpu-amd-derive-cpu-topology-from-cpuid-function-0xb-when-available.
- Refresh
  patches.arch/x86-intel_rdt-enable-l2-cdp-in-msr-ia32_l2_qos_cfg.patch.
- Refresh
  patches.arch/x86-kvm-fix-lapic-timer-drift-when-guest-uses-periodic-mode.
- Refresh
  patches.fixes/x86-entry-64-remove-ebx-handling-from-error_entry-exit.patch.
- Refresh
  patches.suse/0005-x86-enter-Use-IBRS-on-syscall-and-interrupts.patch.
- Refresh
  patches.suse/05-x86-bugs-kvm-support-the-combination-of-guest-and-host-ibrs.patch.
- Refresh patches.suse/suse-hv-guest-os-id.patch.
- commit 12e3157
* Thu Oct  4 2018 tbogendoerfer@suse.de
- qed: Fix shmem structure inconsistency between driver and the
  mfw (bsc#1110561).
- commit 0963e4d
* Thu Oct  4 2018 tbogendoerfer@suse.de
- qed: Do not add VLAN 0 tag to untagged frames in multi-function
  mode (bsc#1050536 FATE#322898).
- qed: Fix populating the invalid stag value in multi function
  mode (bsc#1050536 FATE#322898).
- qed: Avoid sending mailbox commands when MFW is not responsive
  (bsc#1050536 FATE#322898).
- qed: Prevent a possible deadlock during driver load and unload
  (bsc#1050536 FATE#322898).
- qed: Wait for MCP halt and resume commands to take place
  (bsc#1050536 FATE#322898).
- qed: Wait for ready indication before rereading the shmem
  (bsc#1050536 FATE#322898).
- commit 95b5684
* Thu Oct  4 2018 jthumshirn@suse.de
- EDAC, ghes: Add DDR4 and NVDIMM memory types (bsc#1099125).
- EDAC, skx_edac: Detect non-volatile DIMMs (bsc#1099125).
- firmware, DMI: Add function to look up a handle and return
  DIMM size (bsc#1099125).
- acpi, nfit: Add function to look up nvdimm device and provide
  SMBIOS handle (bsc#1099125).
- commit e90cd46
* Thu Oct  4 2018 tbogendoerfer@suse.de
- liquidio: fix hang when re-binding VF host drv after running
  DPDK VF driver (bsc#1067126).
- liquidio: fix kernel panic in VF driver (bsc#1067126).
- commit dd69911
* Thu Oct  4 2018 yousaf.kaukab@suse.com
- ipmi:ssif: Add support for multi-part transmit messages >
  2 parts (bsc#1103308).
- commit dfd810d
* Thu Oct  4 2018 tbogendoerfer@suse.de
- bnx2x: Fix invalid memory access in rss hash config path
  (bsc#1050319 FATE#322906).
- bnx2x: Fix receiving tx-timeout in error or recovery state
  (bsc#1050319 FATE#322906).
- commit 003a93c
* Thu Oct  4 2018 tbogendoerfer@suse.de
- cxgb4: fix abort_req_rss6 struct (bsc#1046540 FATE#322930).
- cxgb4: when disabling dcb set txq dcb priority to 0 (bsc#1046540
  FATE#322930).
- commit 4477b4f
* Thu Oct  4 2018 tbogendoerfer@suse.de
- be2net: Fix memory leak in be_cmd_get_profile_config()
  (bsc#1086288 FATE#324877).
- be2net: remove unused old custom busy-poll fields (bsc#1086288
  FATE#324877).
- be2net: remove unused old AIC info (bsc#1086288 FATE#324877).
- commit e3890c0
* Thu Oct  4 2018 jdelvare@suse.de
- firmware: dmi_scan: Use lowercase letters for UUID (FATE#326044
  bsc#1105835).
- commit 7a64d26
* Thu Oct  4 2018 tbogendoerfer@suse.de
- net: thunderx: add timestamping support (bsc#1110096).
- Refresh
  patches.suse/0001-net-ethernet-cavium-Correct-Cavium-Thunderx-NIC-driv.patch.
- commit 0831771
* Thu Oct  4 2018 tbogendoerfer@suse.de
- net: thunderx: check for failed allocation lmac->dmacs
  (bsc#1110096).
- net: thunderx: prevent concurrent data re-writing by
  nicvf_set_rx_mode (bsc#1110096).
- bpf: make cavium thunder compatible w/ bpf_xdp_adjust_tail
  (bsc#1110096).
- net: thunderx: rework mac addresses list to u64 array
  (bsc#1110096).
- net: thunderx: add ndo_set_rx_mode callback implementation
  for VF (bsc#1110096).
- net: thunderx: add workqueue control structures for handle
  ndo_set_rx_mode request (bsc#1110096).
- net: thunderx: add XCAST messages handlers for PF (bsc#1110096).
- net: thunderx: add new messages for handle ndo_set_rx_mode
  callback (bsc#1110096).
- net: thunderx: add multicast filter management support
  (bsc#1110096).
- net: thunderx: add MAC address filter tracking for LMAC
  (bsc#1110096).
- net: thunderx: move filter register related macro into proper
  place (bsc#1110096).
- net: cavium: use module_pci_driver to simplify the code
  (bsc#1110096).
- net: cavium: fix NULL pointer dereference in cavium_ptp_put
  (bsc#1110096).
- net: thunder: change q_len's type to handle max ring size
  (bsc#1110096).
- net: add support for Cavium PTP coprocessor (bsc#1110096).
- net: thunderx: Set max queue count taking XDP_TX into account
  (bsc#1110096).
- net: thunderx: fix double free error (bsc#1110096).
- net: thunderx: remove a couple of redundant assignments
  (bsc#1110096).
- commit 1196f57
* Thu Oct  4 2018 tbogendoerfer@suse.de
- RDMA/bnxt_re: Fix system crash during RDMA resource
  initialization (bsc#1086283 FATE#324874).
- commit a963788
* Thu Oct  4 2018 mbrugger@suse.com
- arm64: Update config files. (fate#326420 fate#325360)
  Enable RAS SDEI (ARM_SDE_INTERFACE)
- commit 13b1d94
* Thu Oct  4 2018 mbrugger@suse.com
- arm64: sdei: Add trampoline code for remapping the kernel
  (fate#326420 fate#325360).
- arm64: mmu: add the entry trampolines start/end section markers
  into sections.h (fate#326420 fate#325360).
- firmware: arm_sdei: Discover SDEI support via ACPI (fate#326420
  fate#325360).
- arm64: acpi: Remove __init from acpi_psci_use_hvc() for use
  by SDEI (fate#326420 fate#325360).
- firmware: arm_sdei: add support for CPU private events
  (fate#326420 fate#325360).
- firmware: arm_sdei: Add support for CPU and system power states
  (fate#326420 fate#325360).
- arm64: kernel: Add arch-specific SDEI entry code and CPU masking
  (fate#326420 fate#325360).
  - refresh
  patches.arch/0012-arm64-ssbd-Add-prctl-interface-for-per-thread-mitiga.patch
- arm64: uaccess: Add PAN helper (fate#326420 fate#325360).
- arm64: Add vmap_stack header file (fate#326420 fate#325360).
- firmware: arm_sdei: Add driver for Software Delegated Exceptions
  (fate#326420 fate#325360).
- Docs: dt: add devicetree binding for describing arm64 SDEI
  firmware (fate#326420 fate#325360).
- commit 188c8c1
* Thu Oct  4 2018 mbrugger@suse.com
- KVM: arm64: Stop save/restoring host tpidr_el1 on VHE
  (fate#326420 fate#325360).
- Refresh
  patches.arch/0012-arm64-ssbd-Add-prctl-interface-for-per-thread-mitiga.patch.
- commit d8a917b
* Thu Oct  4 2018 mbrugger@suse.com
- arm64: alternatives: use tpidr_el2 on VHE hosts (fate#326420
  fate#325360).
- Refresh
  patches.drivers/0001-arm64-kpti-Use-early_param-for-kpti-command-line-opt.patch.
- commit d518c66
* Thu Oct  4 2018 tbogendoerfer@suse.de
- bpf: sockmap sample use clang flag, -target bpf (bsc#1109837).
- bpf: sockmap, fix leaking maps with attached but not detached
  progs (bsc#1109837).
- bpf: Only reply field should be writeable (bsc#1109837).
- bpf: test_maps: cleanup sockmaps when test ends (bsc#1109837).
- trace/xdp: fix compile warning: 'struct bpf_map' declared
  inside parameter list (bsc#1109837).
- bpf: fix out-of-bounds access warning in bpf_check
  (bsc#1109837).
- bpf: fix link error without CONFIG_NET (bsc#1109837).
- selftests/bpf: remove useless bpf_trace_printk (bsc#1109837).
- tcp: remove unnecessary include (bsc#1109837).
- bpf: allow access to skb->len from offloads (bsc#1109837).
- bpf: move knowledge about post-translation offsets out of
  verifier (bsc#1109837).
- bpf: remove the verifier ops from program structure
  (bsc#1109837).
- bpf: split verifier and program ops (bsc#1109837).
- samples/bpf: fix warnings in xdp_monitor_user (bsc#1109837).
- commit 25fe431
* Thu Oct  4 2018 mbrugger@suse.com
- KVM: arm64: Change hyp_panic()s dependency on tpidr_el2
  (fate#326420 fate#325360).
- commit 98b4714
* Thu Oct  4 2018 mbrugger@suse.com
- KVM: arm/arm64: Convert kvm_host_cpu_state to a static per-cpu
  allocation (fate#326420 fate#325360).
- commit 2443d70
* Thu Oct  4 2018 mbrugger@suse.com
- KVM: arm64: Store vcpu on the stack during __guest_enter()
  (fate#326420 fate#325360).
- commit a56e6d9
* Thu Oct  4 2018 mbrugger@suse.com
- ACPICA: iASL: Add support for the SDEI table (fate#326420
  fate#325360).
- commit 638e3de
* Thu Oct  4 2018 jack@suse.cz
- patches.fixes/x86-memory_failure-Introduce-set-clear-_mce_nospec.patch:
  Fixup compilation breakage on s390 and arm due to missing
  clear_mce_nospec().
- commit faef795
* Thu Oct  4 2018 ptesarik@suse.cz
- Add support for write hints (bsc#1104967, FATE#325924)
- btrfs: add support for passing in write hints for buffered
  writes (bsc#1104967,FATE#325924).
- ext4: add support for passing in write hints for buffered writes
  (bsc#1104967,FATE#325924).
- fs: add O_DIRECT and aio support for sending down write life
  time hints (bsc#1104967,FATE#325924).
- fs: add support for buffered writeback to pass down write hints
  (bsc#1104967,FATE#325924).
- xfs: add support for passing in write hints for buffered writes
  (bsc#1104967,FATE#325924).
- Refresh
  patches.suse/block-replace-bi_bdev-with-a-gendisk-pointer-and-par.patch.
- commit 2b682c9
* Thu Oct  4 2018 ptesarik@suse.cz
- Refresh patches.fixes/block-switch-bios-to-blk_status_t.patch.
- Refresh patches.fixes/dm-change-end_io-calling-convention.patch.
- commit f3f3df4
* Thu Oct  4 2018 ptesarik@suse.cz
- Reshuffle block layer patches
- commit 9793082
* Thu Oct  4 2018 tiwai@suse.de
- smsc95xx: Check for Wake-on-LAN modes (bsc#1051510).
- smsc75xx: Check for Wake-on-LAN modes (bsc#1051510).
- r8152: Check for supported Wake-on-LAN Modes (bsc#1051510).
- sr9800: Check for supported Wake-on-LAN modes (bsc#1051510).
- lan78xx: Check for supported Wake-on-LAN modes (bsc#1051510).
- ax88179_178a: Check for supported Wake-on-LAN modes
  (bsc#1051510).
- mac80211: fix pending queue hang due to TX_DROP (bsc#1051510).
- cfg80211: reg: Init wiphy_idx in regulatory_hint_core()
  (bsc#1051510).
- Input: elantech - enable middle button of touchpad on ThinkPad
  P72 (bsc#1051510).
- regulator: fix crash caused by null driver data (bsc#1051510).
- pinctrl: cannonlake: Fix HOSTSW_OWN register offset of H variant
  (bsc#1051510).
- intel_th: Fix device removal logic (bsc#1051510).
- NFC: Fix possible memory corruption when handling SHDLC I-Frame
  commands (bsc#1051510).
- platform/x86: alienware-wmi: Correct a memory leak
  (bsc#1051510).
- xhci: Fix use after free for URB cancellation on a reallocated
  endpoint (bsc#1051510).
- mei: ignore not found client in the enumeration (bsc#1051510).
- i2c: i801: Allow ACPI AML access I/O ports not reserved for
  SMBus (bsc#1051510).
- fbdev/via: fix defined but not used warning (bsc#1051510).
- video: goldfishfb: fix memory leak on driver remove
  (bsc#1051510).
- fbdev: Distinguish between interlaced and progressive modes
  (bsc#1051510).
- platform/x86: toshiba_acpi: Fix defined but not used build
  warnings (bsc#1051510).
- mfd: 88pm860x-i2c: switch to i2c_lock_bus(..., I2C_LOCK_SEGMENT)
  (bsc#1051510).
- input: rohm_bu21023: switch to i2c_lock_bus(...,
  I2C_LOCK_SEGMENT) (bsc#1051510).
- HID: hid-ntrig: add error handling for sysfs_create_group
  (bsc#1051510).
- mfd: ti_am335x_tscadc: Fix struct clk memory leak (bsc#1051510).
- mmc: sdhci: do not try to use 3.3V signaling if not supported
  (bsc#1051510).
- mmc: sdhci-of-esdhc: set proper dma mask for ls104x chips
  (bsc#1051510).
- parport: sunbpp: fix error return code (bsc#1051510).
- coresight: Handle errors in finding input/output ports
  (bsc#1051510).
- mei: bus: type promotion bug in mei_nfc_if_version()
  (bsc#1051510).
- gpio: pxa: Fix potential NULL dereference (bsc#1051510).
- gpiolib: Mark gpio_suffixes array with __maybe_unused
  (bsc#1051510).
- gpu: ipu-v3: csi: pass back mbus_code_to_bus_cfg error codes
  (bsc#1051510).
- crypto: sharah - Unregister correct algorithms for SAHARA 3
  (bsc#1051510).
- crypto: skcipher - Fix -Wstringop-truncation warnings
  (bsc#1051510).
- Bluetooth: Use lock_sock_nested in bt_accept_enqueue
  (bsc#1051510).
- Bluetooth: Add a new Realtek 8723DE ID 0bda:b009 (bsc#1051510).
- mac80211: restrict delayed tailroom needed decrement
  (bsc#1051510).
- wlcore: Add missing PM call for
  wlcore_cmd_wait_for_event_or_timeout() (bsc#1051510).
- commit e266792
* Thu Oct  4 2018 ptesarik@suse.cz
- scsi/osd: don't save block errors into req_results
  (bsc#1104967,FATE#325924).
- Refresh
  patches.suse/0016-block-introduce-new-block-status-code-type.patch.
- commit c1c7390
* Thu Oct  4 2018 wqu@suse.com
- btrfs: scrub: Don't use inode page cache in
  scrub_handle_errored_block() (follow up for bsc#1108096).
- commit 3f91c84
* Thu Oct  4 2018 tiwai@suse.de
- ASoC: cs4265: fix MMTLR Data switch control (bsc#1051510).
- ALSA: fireworks: fix memory leak of response buffer at error
  path (bsc#1051510).
- ALSA: bebob: fix memory leak for M-Audio FW1814 and ProjectMix
  I/O at error path (bsc#1051510).
- ALSA: emu10k1: fix possible info leak to userspace on
  SNDRV_EMU10K1_IOCTL_INFO (bsc#1051510).
- ALSA: bebob: use address returned by kmalloc() instead of
  kernel stack for streaming DMA mapping (bsc#1051510).
- ASoC: rt5514: Fix the issue of the delay volume applied
  (bsc#1051510).
- ASoC: dapm: Fix potential DAI widget pointer deref when linking
  DAIs (bsc#1051510).
- ALSA: msnd: Fix the default sample sizes (bsc#1051510).
- ALSA: usb-audio: Fix multiple definitions in AU0828_DEVICE()
  macro (bsc#1051510).
- ALSA: pcm: Fix snd_interval_refine first/last with open min/max
  (bsc#1051510).
- ALSA: hda: Add AZX_DCAPS_PM_RUNTIME for AMD Raven Ridge
  (bsc#1051510).
- ASoC: rt5514: Add the missing register in the readable table
  (bsc#1051510).
- ASoC: rt5514: Eliminate the noise in the ASRC case
  (bsc#1051510).
- ASoC: rt5514: Add the I2S ASRC support (bsc#1051510).
- commit 4eba9c8
* Thu Oct  4 2018 wqu@suse.com
- btrfs: scrub: Don't use inode pages for device replace (follow
  up for bsc#1108096).
- commit c865775
* Thu Oct  4 2018 wqu@suse.com
- btrfs: check-integrity: Fix NULL pointer dereference for
  degraded mount (bsc#1107947).
- commit 77b2277
* Thu Oct  4 2018 wqu@suse.com
- btrfs: tests/qgroup: Fix wrong tree backref level (bsc#1107928).
- commit a5e154c
* Thu Oct  4 2018 tiwai@suse.de
- README.BRANCH: SLE15-SP1 branch maintainer changes
  Add ptesarik as co-maintainer, keep tiwai as the primary maintainer
- commit 83aea11
* Thu Oct  4 2018 neilb@suse.com
- VFS: don't test owner for NFS in set_posix_acl() (bsc#1103405).
- commit 36f977a
* Thu Oct  4 2018 neilb@suse.com
- nfs/filelayout: fix oops when freeing filelayout segment
  (bsc#1105190).
- NFS/filelayout: Fix racy setting of fl->dsaddr in
  filelayout_check_deviceid() (bsc#1105190).
- commit d6d0fab
* Wed Oct  3 2018 jslaby@suse.cz
- watchdog: Mark watchdog touch functions as notrace (git-fixes).
- commit 8b53193
* Wed Oct  3 2018 fdmanana@suse.com
- Btrfs: fix send failure when root has deleted files still open
  (bsc#1110650).
- commit f52554d
* Wed Oct  3 2018 fdmanana@suse.com
- btrfs: Remove unused parameters from various functions
  (bsc#1110649).
- commit c97c657
* Wed Oct  3 2018 fdmanana@suse.com
- Btrfs: fix data corruption when deduplicating between different
  files (bsc#1110647).
- commit 669848c
* Wed Oct  3 2018 fdmanana@suse.com
- Btrfs: sync log after logging new name (bsc#1110646).
- commit 7260d6b
* Wed Oct  3 2018 fdmanana@suse.com
- Btrfs: fix return value on rename exchange failure
  (bsc#1110645).
- commit 532729c
* Wed Oct  3 2018 fdmanana@suse.com
- Btrfs: fix duplicate extents after fsync of file with prealloc
  extents (bsc#1110644).
- commit c4ec603
* Wed Oct  3 2018 fdmanana@suse.com
- Btrfs: fix loss of prealloc extents past i_size after fsync
  log replay (bsc#1110643).
- commit 974e057
* Wed Oct  3 2018 fdmanana@suse.com
- Btrfs: fix fsync after hole punching when using no-holes feature
  (bsc#1110642).
- commit 3f19b40
* Wed Oct  3 2018 fdmanana@suse.com
- btrfs: log csums for all modified extents (bsc#1110639).
- commit d6f9d10
* Wed Oct  3 2018 nsaenzjulienne@suse.de
- usb: dwc2: Turn on uframe_sched on "stm32f4x9_fsotg" platforms
  (bsc#1102881).
- usb: dwc2: Turn on uframe_sched on "amlogic" platforms
  (bsc#1102881).
- usb: dwc2: Turn on uframe_sched on "his" platforms
  (bsc#1102881).
- usb: dwc2: Turn on uframe_sched on "bcm" platforms
  (bsc#1102881).
- commit 9cf9d2f
* Wed Oct  3 2018 acho@suse.com
- Bluetooth: btsdio: Do not bind to non-removable BCM43430
  (bsc#1103587).
- commit 498c957
* Wed Oct  3 2018 bpoirier@suse.com
- Update Git-commit tag after upstream rebase
  The nvme-4.20 branch was rebased.
  Refresh
  patches.fixes/nvme_fc-add-nvme_discovery-sysfs-attribute-to-fc-tra.patch.
- commit 1cb7a6b
* Wed Oct  3 2018 neilb@suse.com
- Update config files for NFSv4.2
  Enable NFSv4.2 support - jsc@PM-231
  This requires a module parameter for NFSv4.2 to actually be
  available on SLE12 and SLE15-SP0
- Update config files for NFSv4.2
  Enable NFSv4.2 support - FATE  324627
- commit 44703ec
* Tue Oct  2 2018 tbogendoerfer@suse.de
- strparser: Use delayed work instead of timer for msg timeout
  (bsc#1109837).
- Refresh
  patches.suse/strparser-Do-not-call-mod_delayed_work-with-a-timeou.patch.
- Refresh
  patches.suse/strparser-Fix-incorrect-strp-need_bytes-value.patch.
- commit fe464fa
* Tue Oct  2 2018 tbogendoerfer@suse.de
- net: rcu lock and preempt disable missing around generic xdp
  (bsc#1109837).
- tcp: fix hang in tcp_sendpage_locked() (bsc#1109837).
- net: fixes for skb_send_sock (bsc#1109837).
- net: export some generic xdp helpers (bsc#1109837).
- tools headers: Fixup tools/include/uapi/linux/bpf.h copy of
  kernel ABI header (bsc#1109837).
- tcp: ulp: avoid module refcnt leak in tcp_set_ulp (bsc#1109837).
- bpf: check NULL for sk_to_full_sk() return value (bsc#1109837).
- tcp: fix out-of-bounds access in ULP sysctl (bsc#1109837).
- bpf: Fix test_obj_id.c for llvm 5.0 (bsc#1109837).
- commit 1a2cc21
* Tue Oct  2 2018 yousaf.kaukab@suse.com
- arm64: neon: Fix function may_use_simd() return error status (fate#325866).
- arm64: Fix syscall restarting around signal suppressed by tracer (fate#325866).
- sysctl: add register_sysctl() dummy helper (fate#325866).
- commit a00076a
* Tue Oct  2 2018 mgorman@suse.de
- sched/numa: Pass destination CPU as a parameter to
  migrate_task_rq kabi (bnc#1101669 optimise numa balancing for
  fast migrate).
- commit 58f5499
* Tue Oct  2 2018 hare@suse.de
- blacklist.conf: blacklist commit until other patches are merged
- commit 7d73ace
* Tue Oct  2 2018 hare@suse.de
- null_blk: fix dev->badblocks leak (bsc#1104967,FATE#325924).
- nullb: fix error return code in null_init()
  (bsc#1104967,FATE#325924).
- null_blk: change configfs dependency to select
  (bsc#1104967,FATE#325924).
- commit c2c58ed
* Tue Oct  2 2018 yousaf.kaukab@suse.com
- arm64: neon: Export kernel_neon_busy to loadable modules
  (fate#325866).
- commit 977a241
* Tue Oct  2 2018 mgorman@suse.de
- sched/numa: Stop multiple tasks from moving to the CPU at
  the same time kabi (bnc#1101669 optimise numa balancing for
  fast migrate).
- commit 1562dfb
* Tue Oct  2 2018 mgorman@suse.de
- mm, numa: Remove rate-limiting of automatic numa balancing
  migration kabi (bnc#1101669 optimise numa balancing for fast
  migrate).
- commit 9eade3a
* Tue Oct  2 2018 mgorman@suse.de
- mm, numa: Migrate pages to local nodes quicker early in the
  lifetime of a task (bnc#1101669 optimise numa balancing for
  fast migrate).
- mm, numa: Remove rate-limiting of automatic numa balancing
  migration (bnc#1101669 optimise numa balancing for fast
  migrate).
- sched/numa: Avoid task migration for small NUMA improvement
  (bnc#1101669 optimise numa balancing for fast migrate).
- sched/numa: Reset scan rate whenever task moves across nodes
  (bnc#1101669 optimise numa balancing for fast migrate).
- sched/numa: Pass destination CPU as a parameter to
  migrate_task_rq (bnc#1101669 optimise numa balancing for
  fast migrate).
- sched/numa: Stop multiple tasks from moving to the CPU at
  the same time (bnc#1101669 optimise numa balancing for fast
  migrate).
- mm, numa: Migrate pages to local nodes quicker early in the
  lifetime of a task (bnc#1101669 optimise numa balancing for
  fast migrate).
- mm, numa: Remove rate-limiting of automatic numa balancing
  migration (bnc#1101669 optimise numa balancing for fast
  migrate).
- sched/numa: Avoid task migration for small NUMA improvement
  (bnc#1101669 optimise numa balancing for fast migrate).
- sched/numa: Reset scan rate whenever task moves across nodes
  (bnc#1101669 optimise numa balancing for fast migrate).
- sched/numa: Pass destination CPU as a parameter to
  migrate_task_rq (bnc#1101669 optimise numa balancing for
  fast migrate).
- sched/numa: Stop multiple tasks from moving to the CPU at
  the same time (bnc#1101669 optimise numa balancing for fast
  migrate).
- commit 386cc56
* Tue Oct  2 2018 yousaf.kaukab@suse.com
- crypto: algapi - use separate dst and src operands for
  __crypto_xor() (fate#325866).
- commit 922a750
* Tue Oct  2 2018 tbogendoerfer@suse.de
- proto_ops: Add locked held versions of sendmsg and sendpage
  (bsc#1109837).
- Refresh patches.suse/tcp-ignore-Fast-Open-on-repair-mode.patch.
- commit 63f77ab
* Tue Oct  2 2018 tbogendoerfer@suse.de
- bpf: remove SK_REDIRECT from UAPI (bsc#1109837).
- bpf: devmap fix arithmetic overflow in bitmap_size calculation
  (bsc#1109837).
- bpf: require CAP_NET_ADMIN when using devmap (bsc#1109837).
- bpf: require CAP_NET_ADMIN when using sockmap maps
  (bsc#1109837).
- bpf: fix splat for illegal devmap percpu allocation
  (bsc#1109837).
- bpf: devmap: pass on return value of bpf_map_precharge_memlock
  (bsc#1109837).
- bpf: devmap, use cond_resched instead of cpu_relax
  (bsc#1109837).
- bpf: fix numa_node validation (bsc#1109837).
- bpf: Add lru_hash_lookup performance test (bsc#1109837).
- samples/bpf: Update cgroup socket examples to use uid gid helper
  (bsc#1109837).
- samples/bpf: Update cgrp2 socket tests (bsc#1109837).
- samples/bpf: Add option to dump socket settings (bsc#1109837).
- samples/bpf: Add detach option to test_cgrp2_sock (bsc#1109837).
- samples/bpf: Update sock test to allow setting mark and priority
  (bsc#1109837).
- samples/bpf: Fix compilation issue in redirect dummy program
  (bsc#1109837).
- samples/bpf: xdp_monitor tool based on tracepoints
  (bsc#1109837).
- samples/bpf: xdp_redirect load XDP dummy prog on TX device
  (bsc#1109837).
- samples/bpf: extend test_tunnel_bpf.sh with ERSPAN
  (bsc#1109837).
- bpf: netdev is never null in __dev_map_flush (bsc#1109837).
- bpf: minor cleanups for dev_map (bsc#1109837).
- bpf: fix double free from dev_map_notification() (bsc#1109837).
- bpf: Allow numa selection in INNER_LRU_HASH_PREALLOC test of
  map_perf_test (bsc#1109837).
- bpf: Fix map-in-map checking in the verifier (bsc#1109837).
- net: comment fixes against BPF devmap helper calls
  (bsc#1109837).
- skbuff: Function to send an skbuf on a socket (bsc#1109837).
- samples/bpf: add option for native and skb mode for redirect
  apps (bsc#1109837).
- samples/bpf: fix bpf tunnel cleanup (bsc#1109837).
- bpf: Add test for syscall on fd array/htab lookup (bsc#1109837).
- tcp: export do_tcp_sendpages and tcp_rate_check_app_limited
  functions (bsc#1109837).
- bpf: update perf event helper functions documentation
  (bsc#1109837).
- samples/bpf: add tests for more perf event types (bsc#1109837).
- samples/bpf: bpf_load.c order of prog_fd should correspond
  with ELF order (bsc#1109837).
- bpf: Add MIPS support to samples/bpf (bsc#1109837).
- commit d51d81d
* Tue Oct  2 2018 yousaf.kaukab@suse.com
- crypto: arm64/aes - avoid expanded lookup tables in the final round (fate#325866).
- crypto: arm64/ghash - add NEON accelerated fallback for 64-bit PMULL (fate#325866).
- crypto: arm64/gcm - implement native driver using v8 Crypto Extensions (fate#325866).
- crypto: arm64/aes-bs - implement non-SIMD fallback for AES-CTR (fate#325866).
- crypto: arm64/chacha20 - take may_use_simd() into account (fate#325866).
- crypto: arm64/aes-blk - add a non-SIMD fallback for synchronous CTR (fate#325866).
- commit 3130dcc
* Tue Oct  2 2018 yousaf.kaukab@suse.com
- crypto: arm64/aes-ce-ccm: add non-SIMD generic fallback (fate#325866).
- crypto: arm64/aes-ce-cipher: add non-SIMD generic fallback (fate#325866).
- crypto: arm64/aes-ce-cipher - match round key endianness with generic code (fate#325866).
- crypto: arm64/sha2-ce - add non-SIMD scalar fallback (fate#325866).
- crypto: arm64/sha1-ce - add non-SIMD generic fallback (fate#325866).
- crypto: arm64/crc32 - add non-SIMD scalar fallback (fate#325866).
- crypto: arm64/crct10dif - add non-SIMD generic fallback (fate#325866).
- crypto: arm64/ghash-ce - add non-SIMD scalar fallback (fate#325866).
- crypto: algapi - make crypto_xor() take separate dst and src arguments (fate#325866).
- crypto: arm64/sha - avoid non-standard inline asm tricks (fate#325866).
- commit b0c6500
* Tue Oct  2 2018 ptesarik@suse.cz
- s390/crypto: Fix return code checking in cbc_paes_crypt()
  (bnc#1108323, LTC#171709).
- commit d2a9532
* Tue Oct  2 2018 ptesarik@suse.cz
- s390/qeth: use vzalloc for QUERY OAT buffer (LTC#171527,
  bsc#1106948).
- commit c8a5aea
* Tue Oct  2 2018 ptesarik@suse.cz
- s390/qdio: reset old sbal_state flags (LTC#171525, bsc#1106948).
- commit 9aa8dbc
* Tue Oct  2 2018 ptesarik@suse.cz
- s390/pci: fix out of bounds access during irq setup
  (bnc#1108323, LTC#171068).
- commit 02e74a9
* Tue Oct  2 2018 yousaf.kaukab@suse.com
- arm64: enable SVE support
- commit d4e59f7
* Mon Oct  1 2018 msuchanek@suse.de
- powerpc/numa: Use associativity if VPHN hcall is successful
  (bsc#1110363).
- commit 1f954f8
* Mon Oct  1 2018 jthumshirn@suse.de
- scsi: hisi_sas: Add SATA FIS check for v3 hw (FATE#326253).
- scsi: hisi_sas: add memory barrier in task delivery function
  (FATE#326253).
- scsi: hisi_sas: Tidy hisi_sas_task_prep() (FATE#326253).
- scsi: hisi_sas: Implement handlers of PCIe FLR for v3 hw
  (FATE#326253).
- scsi: hisi_sas: relocate some common code for v3 hw
  (FATE#326253).
- scsi: hisi_sas: tidy host controller reset function a bit
  (FATE#326253).
- scsi: hisi_sas: Fix the failure of recovering PHY from STP
  link timeout (FATE#326253).
- scsi: hisi_sas: tidy channel interrupt handler for v3 hw
  (FATE#326253).
- scsi: hisi_sas: Drop hisi_sas_slot_abort() (FATE#326253).
- scsi: hisi_sas: Update a couple of register settings for v3 hw
  (FATE#326253).
- scsi: hisi_sas: Add missing PHY spinlock init (FATE#326253).
- scsi: hisi_sas: Pre-allocate slot DMA buffers (FATE#326253).
- scsi: hisi_sas: Release all remaining resources in clear nexus
  ha (FATE#326253).
- scsi: hisi_sas: Add a flag to filter PHY events during reset
  (FATE#326253).
- scsi: hisi_sas: Adjust task reject period during host reset
  (FATE#326253).
- scsi: hisi_sas: Fix the conflict between dev gone and host reset
  (FATE#326253).
- scsi: hisi_sas: Only process broadcast change in
  phy_bcast_v3_hw() (FATE#326253).
- scsi: hisi_sas: Use dmam_alloc_coherent() (FATE#326253).
- commit 5ef2301
* Mon Oct  1 2018 jthumshirn@suse.de
- Refresh
  patches.arch/powerpc-Avoid-code-patching-freed-init-sections.patch.
- Refresh
  patches.arch/powerpc-pkeys-Fix-reading-of-ibm-processor-storage-k.patch.
- Refresh
  patches.arch/powerpc-tm-Avoid-possible-userspace-r1-corruption-on.patch.
- Refresh
  patches.arch/powerpc-tm-Fix-userspace-r13-corruption.patch.
- Refresh
  patches.drivers/scsi-ipr-System-hung-while-dlpar-adding-primary-ipr-.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Add-appropriate-debug-info-for-invalid-.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Add-logic-to-detect-ABTS-hang-and-respo.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Add-mode-control-for-each-physical-port.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Add-support-for-ZIO6-interrupt-threshol.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Allow-FC-NVMe-underrun-to-be-handled-by.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Check-for-Register-disconnect.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Decrement-login-retry-count-for-only-pl.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Defer-chip-reset-until-target-mode-is-e.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-Remote-port-registration.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-deadlock-between-ATIO-and-HW-lock.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-double-increment-of-switch-scan-ret.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-dropped-srb-resource.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-duplicate-switch-s-Nport-ID-entries.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-early-srb-free-on-abort.patch.
- Refresh patches.drivers/scsi-qla2xxx-Fix-iIDMA-error.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-incorrect-port-speed-being-set-for-.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-out-of-order-Termination-and-ABTS-r.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-port-speed-display-on-chip-reset.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-premature-command-free.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-process-response-queue-for-ISP26XX-.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-race-condition-for-resource-cleanup.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-stuck-session-in-PLOGI-state.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Force-fw-cleanup-on-ADISC-error.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Increase-abort-timeout-value.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Move-ABTS-code-behind-qpair.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Move-get-rel-_sp-to-base_qpair-struct.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Move-rport-registration-out-of-internal.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Reduce-holding-sess_lock-to-prevent-CPU.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Reject-bsg-request-if-chip-is-down.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Remove-ASYNC-GIDPN-switch-command.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Remove-all-rports-if-fabric-scan-retry-.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Remove-redundant-check-for-fcport-delet.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Remove-stale-ADISC_DONE-event.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Remove-stale-debug-trace-message-from-t.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Serialize-mailbox-request.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Terminate-Plogi-PRLI-if-WWN-is-0.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Turn-off-IOCB-timeout-timer-on-IOCB-com.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Update-driver-to-version-10.00.00.09-k.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Update-driver-version-to-10.00.00.10-k.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Update-driver-version-to-10.00.00.11-k.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Update-rscn_rcvd-field-to-more-meaningf.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Use-correct-qpair-for-ABTS-CMD.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-shutdown-chip-if-reset-fail.patch.
- Refresh
  patches.fixes/nvme_fc-add-nvme_discovery-sysfs-attribute-to-fc-tra.patch.
- commit 4ee7cfe
* Mon Oct  1 2018 bp@suse.de
- x86: msr-index.h: Correct SNB_C1/C3_AUTO_UNDEMOTE defines
  (bsc#1110301).
- commit 6bed327
* Mon Oct  1 2018 bp@suse.de
- x86/mce: Improve error message when kernel cannot recover
  (bsc#1110301).
- commit cfcbe8b
* Mon Oct  1 2018 bp@suse.de
- blacklist.conf:
- commit b302752
* Mon Oct  1 2018 bp@suse.de
- x86/vdso: Fix lsl operand order (bsc#1110301).
- commit e4cb840
* Mon Oct  1 2018 msuchanek@suse.de
- rpm/mkspec: fix ppc64 kernel-source build.
- commit 85c9272
* Mon Oct  1 2018 bp@suse.de
- blacklist.conf: ff924c5a1ec7
  ff924c5a1ec7 ("x86/pti: Fix section mismatch warning/error")'s Fixes tag is
  wrong. It should point to:
  16a3fe634f6a ("x86/mm/pti: Clone kernel-image on PTE level for 32 bit")
  which introduced the section mismatch by using pti_user_pagetable_walk_pte()
  in pti_clone_pgtable().
- commit 7832955
* Mon Oct  1 2018 bp@suse.de
- x86/boot: Fix kexec booting failure in the SEV bit detection
  code (bsc#1110301).
- commit c221d90
* Mon Oct  1 2018 jroedel@suse.de
- KVM: x86: Do not re-{try,execute} after failed emulation in L2
  (bsc#1106240).
- KVM: x86: Default to not allowing emulation retry in
  kvm_mmu_page_fault (bsc#1106240).
- KVM: x86: Merge EMULTYPE_RETRY and EMULTYPE_ALLOW_REEXECUTE
  (bsc#1106240).
- KVM: x86: Invert emulation re-execute behavior to make it opt-in
  (bsc#1106240).
- KVM: VMX: Do not allow reexecute_instruction() when skipping
  MMIO instr (bsc#1106240).
- commit 3193e58
* Sat Sep 29 2018 lduncan@suse.com
- scsi: target: iscsi: Use bin2hex instead of a re-implementation
  (bsc#1107829 CVE-2018-14633).
- scsi: target: iscsi: Use hex2bin instead of a re-implementation
  (bsc#1107829 CVE-2018-14633).
- commit 3a95174
* Fri Sep 28 2018 tbogendoerfer@suse.de
- bpf: Allow selecting numa node during map creation
  (bsc#1109837).
- Refresh
  patches.fixes/bpf-fix-mlock-precharge-on-arraymaps.patch.
- Refresh
  patches.fixes/bpf-hash-map-decrement-counter-on-error.patch.
- Refresh
  patches.suse/bpf-prevent-out-of-bounds-speculation.patch.
- commit 4c41d65
* Fri Sep 28 2018 tbogendoerfer@suse.de
- bpf: sock_map fixes for !CONFIG_BPF_SYSCALL and !STREAM_PARSER
  (bsc#1109837).
- Refresh
  patches.fixes/bpf-move-instruction-printing-into-a-separate-file.patch.
- Refresh
  patches.fixes/netfilter-xt_bpf-Fix-XT_BPF_MODE_FD_PINNED-mode-of-x.patch.
- commit 57536fe
* Fri Sep 28 2018 tbogendoerfer@suse.de
- bpf: sockmap with sk redirect support (bsc#1109837).
- Refresh
  patches.fixes/bpf-move-instruction-printing-into-a-separate-file.patch.
- commit b0e628b
* Fri Sep 28 2018 tbogendoerfer@suse.de
- selftests: bpf: add a test for XDP redirect (bsc#1109837).
- Refresh
  patches.drivers/selftests-bpf-Add-test-cases-to-test-narrower-ctx-fi.patch.
- commit d46702f
* Fri Sep 28 2018 tbogendoerfer@suse.de
- strparser: Generalize strparser (bsc#1109837).
- Refresh
  patches.fixes/strparser-Call-sock_owned_by_user_nocheck.patch.
- Refresh
  patches.suse/strparser-Do-not-call-mod_delayed_work-with-a-timeou.patch.
- Refresh
  patches.suse/strparser-Fix-incorrect-strp-need_bytes-value.patch.
- Refresh patches.suse/strparser-Fix-sign-of-err-codes.patch.
- Refresh
  patches.suse/strparser-Remove-early-eaten-to-fix-full-tcp-receive.patch.
- commit 0bf51d8
* Fri Sep 28 2018 tbogendoerfer@suse.de
- net: fix build error in devmap helper calls (bsc#1109837).
- Refresh
  patches.fixes/netfilter-xt_bpf-Fix-XT_BPF_MODE_FD_PINNED-mode-of-x.patch.
- commit 7c58943
* Fri Sep 28 2018 tbogendoerfer@suse.de
- xdp: Add batching support to redirect map (bsc#1109837).
- Refresh
  patches.drivers/ixgbe-Refactor-queue-disable-logic-to-take-completio.patch.
- Refresh
  patches.drivers/ixgbe-Reorder-Tx-Rx-shutdown-to-reduce-time-needed-t.patch.
- commit 8e86aa1
* Fri Sep 28 2018 tbogendoerfer@suse.de
- bpf: add devmap, a map for storing net device references
  (bsc#1109837).
- Refresh
  patches.drivers/bpf-verifier-rework-value-tracking.patch.
- Refresh
  patches.fixes/bpf-move-instruction-printing-into-a-separate-file.patch.
- commit c9ec1e2
* Fri Sep 28 2018 tbogendoerfer@suse.de
- net: implement XDP_REDIRECT for xdp generic (bsc#1109837).
- Refresh
  patches.drivers/net-change-skb-mac_header-when-Generic-XDP-calls-adj.patch.
- commit a96eb55
* Fri Sep 28 2018 tbogendoerfer@suse.de
- bpf, net: add skb_mac_header_len helper (bsc#1109837).
- Refresh
  patches.fixes/bpf-fix-bpf_skb_adjust_net-bpf_skb_proto_xlat-to-dea.patch.
- commit f24ec42
* Fri Sep 28 2018 tbogendoerfer@suse.de
- bpf: BPF support for sock_ops (bsc#1109837).
- Refresh patches.fixes/bpf-simplify-narrower-ctx-access.patch.
- commit 7b24443
* Fri Sep 28 2018 tbogendoerfer@suse.de
- bpf: Test for bpf ID (bsc#1109837).
- Refresh
  patches.fixes/selftests-bpf-make-correct-use-of-exit-codes-in-bpf-.patch.
- commit cf1bcd0
* Fri Sep 28 2018 hare@suse.de
- block: Add default switch case to blk_pm_allow_request()
  to kill warning (bsc#1104967,FATE#325924).
- commit bebf5c2
* Fri Sep 28 2018 hare@suse.de
- block: pass inclusive 'lend' parameter to
  truncate_inode_pages_range (bsc#1104967,FATE#325924).
- commit 38424dc
* Fri Sep 28 2018 yousaf.kaukab@suse.com
- arm64: fpsimd: Fix TIF_FOREIGN_FPSTATE after invalidating cpu regs (fate#325866).
- arm64: signal: Report signal frame size to userspace via auxv (fate#325866).
- arm64/sve: Write ZCR_EL1 on context switch only if changed (fate#325866).
- arm64: fpsimd: Split cpu field out from struct fpsimd_state (fate#325866).
- arm64/sve: Document firmware support requirements in Kconfig (fate#325866).
- arm64: fpsimd: Fix state leakage when migrating after sigreturn (fate#325866).
- arm64: fpsimd: Fix copying of FP state from signal frame into task struct (fate#325866).
- arm64/sve: Report SVE to userspace via CPUID only if supported (fate#325866).
  Refresh:
  patches.suse/0008-arm64-Take-into-account-ID_AA64PFR0_EL1.CSV3.patch
  patches.suse/0011-arm64-Add-skeleton-to-harden-the-branch-predictor-ag.patch
- arm64/sve: Avoid dereference of dead task_struct in KVM guest entry (fate#325866).
- arm64: fpsimd: Abstract out binding of task's fpsimd context to the cpu (fate#325866).
- arm64: fpsimd: Fix failure to restore FPSIMD state after signals (fate#325866).
- arm64/sve: Add documentation (fate#325866).
- arm64/sve: Detect SVE and activate runtime support (fate#325866).
  Refresh:
  patches.arch/0006-arm64-Add-ARCH_WORKAROUND_2-probing.patch
  patches.arch/0048-arm64-entry-Add-fake-CPU-feature-for-unmapping-the-k.patch
  patches.suse/0008-arm64-Take-into-account-ID_AA64PFR0_EL1.CSV3.patch
  patches.suse/0008-kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch
  patches.suse/0011-arm64-Add-skeleton-to-harden-the-branch-predictor-ag.patch
  patches.suse/0017-arm64-Implement-branch-predictor-hardening-for-Falko.patch
- arm64/sve: KVM: Prevent guests from using SVE (fate#325866).
  Refresh:
  patches.suse/0010-arm64-KVM-Report-SMCCC_ARCH_WORKAROUND_1-BP-hardenin.patch
  patches.suse/0012-arm64-KVM-Use-per-CPU-vector-when-BP-hardening-is-en.patch
- arm64/sve: Add sysctl to set the default vector length for new processes (fate#325866).
- arm64/sve: Add prctl controls for userspace vector length management (fate#325866).
  Refresh:
  patches.suse/14-prctl-add-speculation-control-prctls.patch
- arm64/sve: ptrace and ELF coredump support (fate#325866).
- arm64/sve: Preserve SVE registers around EFI runtime service calls (fate#325866).
- arm64/sve: Preserve SVE registers around kernel-mode NEON use (fate#325866).
- arm64/sve: Probe SVE capabilities and usable vector lengths (fate#325866).
  Refresh:
  patches.arch/0007-arm64-Add-ssbd-command-line-option.patch
- arm64: cpufeature: Move sys_caps_initialised declarations (fate#325866).
- arm64/sve: Backend logic for setting the vector length (fate#325866).
  Refresh:
  patches.suse/14-prctl-add-speculation-control-prctls.patch
- arm64/sve: Signal handling support (fate#325866).
- arm64/sve: Support vector length resetting for new processes (fate#325866).
  Refresh:
  patches.arch/0011-arm64-ssbd-Introduce-thread-flag-to-control-userspac.patch
- arm64/sve: Core task context handling (fate#325866).
  Refresh:
  patches.arch/0001-arm64-fpsimd-Prevent-registers-leaking-from-dead-tas.patch
  patches.arch/0011-arm64-ssbd-Introduce-thread-flag-to-control-userspac.patch
- arm64/sve: Low-level CPU setup (fate#325866).
- arm64/sve: Signal frame and context structure definition (fate#325866).
- arm64/sve: Kconfig update and conditional compilation support (fate#325866).
  Refresh:
  patches.arch/0007-arm64-Add-ssbd-command-line-option.patch
- arm64/sve: Low-level SVE architectural state manipulation functions (fate#325866).
- arm64: fpsimd: Simplify uses of {set,clear}_ti_thread_flag() (fate#325866).
- arm64: Port deprecated instruction emulation to new sysctl interface (fate#325866).
- arm64: efi: Add missing Kconfig dependency on KERNEL_MODE_NEON (fate#325866).
- arm64: signal: Verify extra data is user-readable in sys_rt_sigreturn (fate#325866).
- arm64: fpsimd: Correctly annotate exception helpers called from asm (fate#325866).
- regset: Add support for dynamically sized regsets (fate#325866).
  Refresh:
  patches.fixes/binfmt_elf-Respect-error-return-from-regset-active.patch
- arm64: efi: Don't include EFI fpsimd save/restore code in non-EFI kernels (fate#325866).
- arm64: neon/efi: Make EFI fpsimd save/restore variables static (fate#325866).
- arm64: neon: Forbid when irqs are disabled (fate#325866).
- arm64: neon: Remove support for nested or hardirq kernel-mode NEON (fate#325866).
- arm64: neon: Allow EFI runtime services to use FPSIMD in irq context (fate#325866).
- arm64: fpsimd: Consistently use __this_cpu_ ops where appropriate (fate#325866).
- arm64: neon: Add missing header guard in <asm/neon.h> (fate#325866).
- arm64: neon: replace generic definition of may_use_simd() (fate#325866).
- arm64: Abstract syscallno manipulation (fate#325866).
  Refresh:
  patches.arch/0023-arm64-unwind-reference-pt_regs-via-embedded-stack-fr.patch
- arm64: syscallno is secretly an int, make it official (fate#325866).
  Refresh:
  patches.arch/0001-arm64-Remove-unimplemented-syscall-log-message.patch
  patches.arch/0023-arm64-unwind-reference-pt_regs-via-embedded-stack-fr.patch
  patches.suse/0003-arm64-entry.S-convert-el0_sync.patch
  patches.suse/0005-arm64-entry-Ensure-branch-through-syscall-table-is-b.patch
- arm64: signal: Allow expansion of the signal frame (fate#325866).
- arm64: ptrace: Flush FPSIMD regs back to thread_struct before reading (fate#325866).
- arm64: signal: factor out signal frame record allocation (fate#325866).
- arm64: signal: factor frame layout and population into separate passes (fate#325866).
- arm64: signal: Refactor sigcontext parsing in rt_sigreturn (fate#325866).
- arm64: signal: split frame link record from sigcontext structure (fate#325866).
- commit c53e2da
* Fri Sep 28 2018 hare@suse.de
- blk-mq: don't dispatch request in blk_mq_request_direct_issue
  if queue is busy (bsc#1104967,FATE#325924).
- commit ee783fc
* Fri Sep 28 2018 hare@suse.de
- blk-mq: improve DM's blk-mq IO merging via
  blk_insert_cloned_request feedback (bsc#1104967,FATE#325924).
- commit 28c073e
* Fri Sep 28 2018 hare@suse.de
- blk-mq: Reduce the number of if-statements in
  blk_mq_mark_tag_wait() (bsc#1104967,FATE#325924).
- commit ac7097a
* Fri Sep 28 2018 jthumshirn@suse.de
- block: pass inclusive 'lend' parameter to
  truncate_inode_pages_range (bsc#1109992).
- commit d8666d7
* Fri Sep 28 2018 hare@suse.de
- blk-mq: quiesce queue during switching io sched and updating
  nr_requests (bsc#1104967,FATE#325924).
- commit f4f43d8
* Fri Sep 28 2018 hare@suse.de
- block, scsi: Fix race between SPI domain validation and system
  suspend (bsc#1104967,FATE#325924).
- commit 1eb7b8a
* Fri Sep 28 2018 hare@suse.de
- PM / sleep: Make lock/unlock_system_sleep() available to kernel
  modules (bsc#1104967,FATE#325924).
- commit eb78dc2
* Fri Sep 28 2018 tbogendoerfer@suse.de
- Delete
  patches.fixes/bpf-allow-access-to-skb-len-from-offloads.patch.
- Delete
  patches.fixes/bpf-fix-link-error-without-CONFIG_NET.patch.
- Delete
  patches.fixes/bpf-fix-out-of-bounds-access-warning-in-bpf_check.patch.
- Delete
  patches.fixes/bpf-move-knowledge-about-post-translation-offsets-ou.patch.
- Delete
  patches.fixes/bpf-remove-the-verifier-ops-from-program-structure.patch.
- Delete patches.fixes/bpf-split-verifier-and-program-ops.patch.
- commit acaab8a
* Fri Sep 28 2018 hare@suse.de
- block: Change a rcu_read_{lock,unlock}_sched() pair into
  rcu_read_{lock,unlock}() (bsc#1104967,FATE#325924).
- commit 74d43ac
* Fri Sep 28 2018 hare@suse.de
- bio_map_user_iov(): switch to
  iov_iter_get_pages()/iov_iter_advance()
  (bsc#1104967,FATE#325924).
- commit 9ae6988
* Fri Sep 28 2018 hare@suse.de
- block, bfq: move debug blkio stats behind
  CONFIG_DEBUG_BLK_CGROUP (bsc#1104967,FATE#325924).
- Refresh
  patches.fixes/block-bfq-return-nbytes-and-not-zero-from-struct-cft.patch.
- commit b65d214
* Fri Sep 28 2018 hare@suse.de
- include/linux/slab.h: add kmalloc_array_node() and
  kcalloc_node() (bsc#1104967,FATE#325924).
- commit 683ee34
* Fri Sep 28 2018 hare@suse.de
- badblocks: fix wrong return value in badblocks_set if badblocks
  are disabled (bsc#1104967,FATE#325924).
- commit 9d1a150
* Fri Sep 28 2018 jthumshirn@suse.de
- block: Invalidate cache on discard v2 (bsc#1109992).
- commit f6569f1
* Fri Sep 28 2018 tbogendoerfer@suse.de
- strparser: initialize all callbacks (bsc#1109837).
- Refresh patches.suse/kcm-lock-lower-socket-in-kcm_attach.patch.
- commit d4b6fec
* Fri Sep 28 2018 jthumshirn@suse.de
- block: properly protect the 'queue' kobj in blk_unregister_queue
  (bsc#1109979).
- commit 0b9704d
* Fri Sep 28 2018 hare@suse.de
- blk-mq: dequeue request one by one from sw queue if hctx is busy (bsc#1104967,FATE#325924).
- blk-mq: remove synchronize_rcu() from (bsc#1104967,FATE#325924).
- blk-mq: introduce new lock for protecting hctx->dispatch_wait (bsc#1104967,FATE#325924).
- blk-mq: don't pass **hctx to blk_mq_mark_tag_wait() (bsc#1104967,FATE#325924).
- blk-mq: cleanup blk_mq_get_driver_tag() (bsc#1104967,FATE#325924).
- blk-mq: don't queue more if we get a busy return (bsc#1104967,FATE#325924).
- blk-mq: clear hctx->dispatch_from when mappings change (bsc#1104967,FATE#325924).
- blk-mq: order getting budget and driver tag (bsc#1104967,FATE#325924).
- blk-mq: introduce BLK_STS_DEV_RESOURCE (bsc#1104967,FATE#325924). - Refresh patches.drivers/nvme-expand-nvmf_check_if_ready-checks.patch
- blk-mq-sched: remove unused 'can_block' arg from blk_mq_sched_insert_request (bsc#1104967,FATE#325924).
- blk-mq: factor out a few helpers from __blk_mq_try_issue_directly (bsc#1104967,FATE#325924).
- blk-mq: turn WARN_ON in __blk_mq_run_hw_queue into printk (bsc#1104967,FATE#325924).
- blk-mq: Fix spelling in a source code comment (bsc#1104967,FATE#325924).
- blk-mq: move hctx lock/unlock into a helper (bsc#1104967,FATE#325924).
- blk-mq: fix race between updating nr_hw_queues and switching io sched (bsc#1104967,FATE#325924).
- blk-mq: avoid to map CPU into stale hw queue (bsc#1104967,FATE#325924).
- block, bfq: remove batches of confusing ifdefs (bsc#1104967,FATE#325924).
- commit 4bb1a36
* Fri Sep 28 2018 hare@suse.de
- scsi: core: run queue if SCSI device queue isn't ready and queue is idle (bsc#1104967,FATE#325924).
- commit 5386a5a
* Fri Sep 28 2018 hare@suse.de
- nullb: badbblocks support (bsc#1104967,FATE#325924).
- nullb: emulate cache (bsc#1104967,FATE#325924).
- nullb: bandwidth control (bsc#1104967,FATE#325924).
- nullb: support discard (bsc#1104967,FATE#325924).
- nullb: support memory backed store (bsc#1104967,FATE#325924).
- nullb: use ida to manage index (bsc#1104967,FATE#325924).
- nullb: add interface to power on disk (bsc#1104967,FATE#325924).
- nullb: add configfs interface (bsc#1104967,FATE#325924).
- nullb: factor disk parameters (bsc#1104967,FATE#325924).
- null_blk: make sure submit_queues > 0 (bsc#1104967,FATE#325924).
- null_blk: simplify logic for use_per_node_hctx (bsc#1104967,FATE#325924).
- xen-blkfront: fix mq start/stop race (bsc#1104967,FATE#325924).
- null_blk: fix error flow for shared tags during module_init (bsc#1104967,FATE#325924).
- null_blk: add support for shared tags (bsc#1104967,FATE#325924).
- commit 018018b
* Fri Sep 28 2018 jthumshirn@suse.de
- block: fix warning when I/O elevator is changed as request_queue
  is being removed (bsc#1109979).
- commit ab9dc17
* Fri Sep 28 2018 mgorman@suse.de
- Refresh
  patches.suse/sched-numa-remove-unused-nr_running-field.patch.
- Delete
  patches.suse/sched-numa-Do-not-move-imbalanced-load-purely-on-the-basis-of-an-idle-CPU.patch.
- Delete
  patches.suse/sched-numa-Stop-comparing-tasks-for-NUMA-placement-after-selecting-an-idle-core.patch.
- commit 64863fc
* Fri Sep 28 2018 jthumshirn@suse.de
- sr: get/drop reference to device in revalidate and check_events
  (bsc#1109979).
- commit c375621
* Thu Sep 27 2018 msuchanek@suse.de
- rpm/mkspec: build dtbs for architectures marked -!needs_updating
- commit 2d47640
* Thu Sep 27 2018 msuchanek@suse.de
- Limit kernel-source build to architectures for which we build binaries
  (bsc#1108281).
- commit d643512
* Thu Sep 27 2018 jroedel@suse.de
- x86/mm: Add TLB purge to free pmd/pte page interfaces
  (bsc#1110006).
- ioremap: Update pgtable free interfaces with addr (bsc#1110006).
- x86/mm: Disable ioremap free page handling on x86-PAE
  (bsc#1110006).
- commit 417fdc9
* Thu Sep 27 2018 jroedel@suse.de
- x86/mm: Expand static page table for fixmap space (bsc#1110006).
- x86/process: Don't mix user/kernel regs in 64bit __show_regs()
  (bsc#1110006).
- x86/vdso: Fix lsl operand order (bsc#1110006).
- x86/entry/64: Wipe KASAN stack shadow before
  rewind_stack_do_exit() (bsc#1110006).
- x86/process: Re-export start_thread() (bsc#1110006).
- Fix kexec forbidding kernels signed with keys in the secondary
  keyring to boot (bsc#1110006).
- x86/mce: Improve error message when kernel cannot recover
  (bsc#1110006).
- x86: msr-index.h: Correct SNB_C1/C3_AUTO_UNDEMOTE defines
  (bsc#1110006).
- x86/dumpstack: Save first regs set for the executive summary
  (bsc#1110006).
- x86/mm: Drop TS_COMPAT on 64-bit exec() syscall (bsc#1110006).
- x86/pkeys: Do not special case protection key 0 (bsc#1110006).
- x86/pkeys: Override pkey when moving away from PROT_EXEC
  (bsc#1110006).
- x86/kexec: Avoid double free_page() upon do_kexec_load()
  failure (bsc#1110006).
- commit 1c613b4
* Thu Sep 27 2018 jroedel@suse.de
- x86/dumpstack: Unify show_regs() (bsc#1110006).
- x86/apic: Fix restoring boot IRQ mode in reboot and kexec/kdump
  (bsc#1110006).
- x86/apic: Split disable_IO_APIC() into two functions to fix
  CONFIG_KEXEC_JUMP=y (bsc#1110006).
- x86/apic: Split out restore_boot_irq_mode() from
  disable_IO_APIC() (bsc#1110006).
- x86/mm: implement free pmd/pte page interfaces (bsc#1110006).
- mm/vmalloc: add interfaces to free unmapped page table
  (bsc#1110006).
- x86/apic/vector: Fix off by one in error path (bsc#1110006).
- x86/espfix/64: Fix espfix double-fault handling on 5-level
  systems (bsc#1110006).
- x86/PCI: Make broadcom_postcore_init() check acpi_disabled
  (bsc#1110006).
- x86/idt: Load idt early in start_secondary (bsc#1110006).
- x86/mm: Fix ELF_ET_DYN_BASE for 5-level paging (bsc#1110006).
- x86/mpx: Do not allow MPX if we have mappings above 47-bit
  (bsc#1110006).
- kprobes/x86: Release insn_slot in failure path (bsc#1110006).
- commit 9a3ac30
* Thu Sep 27 2018 hare@suse.de
- block/blk-mq.c: use kmalloc_array_node() (bsc#1104967,FATE#325924).
- commit 45306df
* Thu Sep 27 2018 tbogendoerfer@suse.de
- bpf: rename sk_actions to align with bpf infrastructure
  (bsc#1109837).
- bpf: bpf_compute_data uses incorrect cb structure (bsc#1109837).
- bpf: remove mark access for SK_SKB program types (bsc#1109837).
- bpf: avoid preempt enable/disable in sockmap using tcp_skb_cb
  region (bsc#1109837).
- bpf: enforce TCP only support for sockmap (bsc#1109837).
- bpf: fix ri->map_owner pointer on bpf_prog_realloc
  (bsc#1109837).
- xdp: implement xdp_redirect_map for generic XDP (bsc#1109837).
- bpf: make error reporting in bpf_warn_invalid_xdp_action more
  clear (bsc#1109837).
- bpf: add support for sockmap detach programs (bsc#1109837).
- bpf: don't select potentially stale ri->map from buggy xdp progs
  (bsc#1109837).
- bpf: sockmap update/simplify memory accounting scheme
  (bsc#1109837).
- bpf: Collapse offset checks in sock_filter_is_valid_access
  (bsc#1109837).
- bpf: Add mark and priority to sock options that can be set
  (bsc#1109837).
- bpf: test_maps: fix typos, "conenct" and "listeen"
  (bsc#1109837).
- xdp: separate xdp_redirect tracepoint in map case (bsc#1109837).
- xdp: separate xdp_redirect tracepoint in error case
  (bsc#1109837).
- xdp: make xdp tracepoints report bpf prog id instead of prog_tag
  (bsc#1109837).
- xdp: tracepoint xdp_redirect also need a map argument
  (bsc#1109837).
- xdp: remove redundant argument to trace_xdp_redirect
  (bsc#1109837).
- bpf: fix oops on allocation failure (bsc#1109837).
- bpf: test_maps add sockmap stress test (bsc#1109837).
- bpf: sockmap indicate sock events to listeners (bsc#1109837).
- bpf: harden sockmap program attach to ensure correct map type
  (bsc#1109837).
- bpf: more SK_SKB selftests (bsc#1109837).
- bpf: additional sockmap self tests (bsc#1109837).
- bpf: sockmap add missing rcu_read_(un)lock in smap_data_ready
  (bsc#1109837).
- bpf: sockmap, remove STRPARSER map_flags and add multi-map
  support (bsc#1109837).
- bpf: convert sockmap field attach_bpf_fd2 to type (bsc#1109837).
- xdp: get tracepoints xdp_exception and xdp_redirect in sync
  (bsc#1109837).
- xdp: remove net_device names from xdp_redirect tracepoint
  (bsc#1109837).
- xdp: make generic xdp redirect use tracepoint trace_xdp_redirect
  (bsc#1109837).
- xdp: remove bpf_warn_invalid_xdp_redirect (bsc#1109837).
- bpf: misc xdp redirect cleanups (bsc#1109837).
- bpf: linux/bpf.h needs linux/numa.h (bsc#1109837).
- xdp: adjust xdp redirect tracepoint to include return error code
  (bsc#1109837).
- bpf: fix a return in sockmap_get_from_fd() (bsc#1109837).
- bpf: reuse tc bpf prologue for sk skb progs (bsc#1109837).
- bpf: don't enable preemption twice in smap_do_verdict
  (bsc#1109837).
- bpf: no need to nullify ri->map in xdp_do_redirect
  (bsc#1109837).
- bpf: sockmap state change warning fix (bsc#1109837).
- bpf: devmap: remove unnecessary value size check (bsc#1109837).
- bpf: selftests add sockmap tests (bsc#1109837).
- bpf: sockmap sample program (bsc#1109837).
- bpf: add access to sock fields and pkt data from sk_skb programs
  (bsc#1109837).
- bpf: introduce new program type for skbs on sockets
  (bsc#1109837).
- bpf: devmap fix mutex in rcu critical section (bsc#1109837).
- bpf: add a test case for syscalls/sys_{enter|exit}_* tracepoints
  (bsc#1109837).
- bpf: fix the printing of ifindex (bsc#1109837).
- bpf: testing: fix devmap tests (bsc#1109837).
- bpf: dev_map_alloc() shouldn't return NULL (bsc#1109837).
- xdp: bpf redirect with map sample program (bsc#1109837).
- net: add notifier hooks for devmap bpf map (bsc#1109837).
- bpf: add bpf_redirect_map helper routine (bsc#1109837).
- xdp: add trace event for xdp redirect (bsc#1109837).
- ixgbe: add initial support for xdp redirect (bsc#1109837
  FATE#326322).
- xdp: sample program for new bpf_redirect helper (bsc#1109837).
- xdp: add bpf_redirect helper function (bsc#1109837).
- net: xdp: support xdp generic on virtual devices (bsc#1109837).
- tcp: fix refcnt leak with ebpf congestion control (bsc#1109837).
- bpf: fix bpf_setsockopts return value (bsc#1109837).
- bpf: don't zero out the info struct in bpf_obj_get_info_by_fd()
  (bsc#1109837).
- bpf: fix return in bpf_skb_adjust_net (bsc#1109837).
- samples/bpf: fix a build issue (bsc#1109837).
- bpf: add missing break in for the TCP_BPF_SNDCWND_CLAMP case
  (bsc#1109837).
- bpf: fix return in load_bpf_file (bsc#1109837).
- bpf: add bpf_skb_adjust_room helper (bsc#1109837).
- bpf: fix to bpf_setsockops (bsc#1109837).
- bpf: update tools/include/uapi/linux/bpf.h (bsc#1109837).
- bpf: Sample bpf program to set sndcwnd clamp (bsc#1109837).
- bpf: Adds support for setting sndcwnd clamp (bsc#1109837).
- bpf: Sample BPF program to set initial cwnd (bsc#1109837).
- bpf: Adds support for setting initial cwnd (bsc#1109837).
- bpf: Sample BPF program to set congestion control (bsc#1109837).
- bpf: Add support for changing congestion control (bsc#1109837).
- bpf: Sample BPF program to set buffer sizes (bsc#1109837).
- bpf: Add TCP connection BPF callbacks (bsc#1109837).
- bpf: Add setsockopt helper function to bpf (bsc#1109837).
- bpf: Sample bpf program to set initial window (bsc#1109837).
- bpf: Support for setting initial receive window (bsc#1109837).
- bpf: Sample bpf program to set SYN/SYN-ACK RTOs (bsc#1109837).
- bpf: Support for per connection SYN/SYN-ACK RTOs (bsc#1109837).
- bpf: program to load and attach sock_ops BPF progs
  (bsc#1109837).
- samples/bpf: fix a build problem (bsc#1109837).
- tcp: ULP infrastructure (bsc#1109837).
- samples/bpf: Fix tracex5 to work with MIPS syscalls
  (bsc#1109837).
- bpf, tests: add a test for htab lookup + update traversal
  (bsc#1109837).
- bpf: Fix test_bpf_obj_id() when the bpf_jit_enable sysctl is
  diabled (bsc#1109837).
- commit 511e019
* Thu Sep 27 2018 hare@suse.de
- block: do not use interruptible wait anywhere (bsc#1104967,FATE#325924).
- kyber: fix another domain token wait queue hang (bsc#1104967,FATE#325924).
- blk-wbt: fix comments typo (bsc#1104967,FATE#325924).
- blk-wbt: move wbt_clear_stat to common place in wbt_done (bsc#1104967,FATE#325924).
- blk-sysfs: remove NULL pointer checking in queue_wb_lat_store (bsc#1104967,FATE#325924).
- blk-wbt: remove duplicated setting in wbt_init (bsc#1104967,FATE#325924).
- block: remove useless assignment in bio_split (bsc#1104967,FATE#325924).
- block: genhd.c: fix message typo (bsc#1104967,FATE#325924).
- block: add WARN_ON if bdi register fail (bsc#1104967,FATE#325924).
- bio_alloc_map_data(): do bmd->iter setup right there (bsc#1104967,FATE#325924).
- bio_copy_user_iov(): saner bio size calculation (bsc#1104967,FATE#325924).
- bio_map_user_iov(): get rid of copying iov_iter (bsc#1104967,FATE#325924).
- bio_copy_from_iter(): get rid of copying iov_iter (bsc#1104967,FATE#325924).
- move more stuff down into bio_copy_user_iov() (bsc#1104967,FATE#325924).
- blk_rq_map_user_iov(): move iov_iter_advance() down (bsc#1104967,FATE#325924).
- bio_map_user_iov(): get rid of the iov_for_each() (bsc#1104967,FATE#325924).
- bio_map_user_iov(): move alignment check into the main loop (bsc#1104967,FATE#325924).
- don't rely upon subsequent bio_add_pc_page() calls failing (bsc#1104967,FATE#325924).
- ... and with iov_iter_get_pages_alloc() it becomes even simpler (bsc#1104967,FATE#325924).
- block, bfq: update blkio stats outside the scheduler lock (bsc#1104967,FATE#325924).
- doc, block, bfq: update max IOPS sustainable with BFQ (bsc#1104967,FATE#325924).
- blk-mq: fixup some comment typos and lengths
  (bsc#1104967,FATE#325924).
- blk-mq: improve tag waiting setup for non-shared tags
  (bsc#1104967,FATE#325924).
- blk-mq: only run the hardware queue if IO is pending
  (bsc#1104967,FATE#325924).
- block, nvme: Introduce blk_mq_req_flags_t (bsc#1104967,FATE#325924).
- Refresh patches.drivers/nvme-expand-nvmf_check_if_ready-checks.patch.
- block, scsi: Make SCSI quiesce and resume work reliably
  (bsc#1104967,FATE#325924).
- block: Add the QUEUE_FLAG_PREEMPT_ONLY request queue flag
  (bsc#1104967,FATE#325924).
- block: Introduce BLK_MQ_REQ_PREEMPT (bsc#1104967,FATE#325924).
- block: Introduce blk_get_request_flags()
  (bsc#1104967,FATE#325924).
- blk-mq: fix issue with shared tag queue re-running
  (bsc#1104967,FATE#325924).
- blk-mq: put driver tag if dispatch budget can't be got
  (bsc#1104967,FATE#325924).
- block: pass full fmode_t to blk_verify_command
  (bsc#1104967,FATE#325924).
- block: remove __bio_kmap_atomic (bsc#1104967,FATE#325924).
- block: kill bio_kmap/kunmap_irq() (bsc#1104967,FATE#325924).
- Revert "blk-mq: don't handle TAG_SHARED in restart"
  (bsc#1104967,FATE#325924).
- kthread: zero the kthread data structure
  (bsc#1104967,FATE#325924).
- blk-mq: don't allocate driver tag upfront for flush rq
  (bsc#1104967,FATE#325924).
- blk-mq: move blk_mq_put_driver_tag*() into blk-mq.h
  (bsc#1104967,FATE#325924).
- blk-mq-sched: decide how to handle flush rq via RQF_FLUSH_SEQ
  (bsc#1104967,FATE#325924).
- blk-flush: use blk_mq_request_bypass_insert()
  (bsc#1104967,FATE#325924).
- blk-flush: don't run queue for requests bypassing flush
  (bsc#1104967,FATE#325924).
- blk-mq: put the driver tag of nxt rq before first one is
  (bsc#1104967,FATE#325924).
- blkcg: add sanity check for blkcg policy operations
  (bsc#1104967,FATE#325924).
- blk-mq: don't handle failure in .get_budget
  (bsc#1104967,FATE#325924).
- SCSI: don't get target/host busy_count in scsi_mq_get_budget()
  (bsc#1104967,FATE#325924).
- block: fix peeking requests during PM (bsc#1104967,FATE#325924).
- blk-mq: Make blk_mq_get_request() error path less confusing
  (bsc#1104967,FATE#325924).
- blk-mq: fix nr_requests wrong value when modify it from sysfs
  (bsc#1104967,FATE#325924).
- blk-mq: don't restart queue when .get_budget returns
  (bsc#1104967,FATE#325924).
- blk-mq: don't handle TAG_SHARED in restart
  (bsc#1104967,FATE#325924).
- scsi: implement .get_budget and .put_budget for blk-mq
  (bsc#1104967,FATE#325924).
- scsi: allow passing in null rq to scsi_prep_state_check()
  (bsc#1104967,FATE#325924).
- blk-mq-sched: improve dispatching from sw queue
  (bsc#1104967,FATE#325924).
- blk-mq: introduce .get_budget and .put_budget in blk_mq_ops
  (bsc#1104967,FATE#325924).
- Refresh patches.fixes/blk-mq-fix-sysfs-inflight-counter.patch
- block: kyber: check if there are requests in ctx in
  (bsc#1104967,FATE#325924).
- sbitmap: introduce __sbitmap_for_each_set()
  (bsc#1104967,FATE#325924).
- blk-mq-sched: move actual dispatching into one helper
  (bsc#1104967,FATE#325924).
- mq-deadline: add 'deadline' as a name alias
  (bsc#1104967,FATE#325924).
- elevator: allow name aliases (bsc#1104967,FATE#325924).
- elevator: lookup mq vs non-mq elevators
  (bsc#1104967,FATE#325924).
- block: move CAP_SYS_ADMIN check in blkdev_roset()
  (bsc#1104967,FATE#325924).
- block: Invalidate cache on discard v2 (bsc#1104967,FATE#325924).
- kyber: fix hang on domain token wait queue
  (bsc#1104967,FATE#325924).
- block: fix Sphinx kernel-doc warning (bsc#1104967,FATE#325924).
- blk-stat: delete useless code (bsc#1104967,FATE#325924).
- blk-throttle: fix null pointer dereference while throttling
  (bsc#1104967,FATE#325924).
- blkcg: check pol->cpd_free_fn before free cpd
  (bsc#1104967,FATE#325924).
- block, bfq: fix unbalanced decrements of burst size
  (bsc#1104967,FATE#325924).
- block/bio: Remove null checks before mempool_destroy in
  (bsc#1104967,FATE#325924).
- block: remove unnecessary NULL checks in
  (bsc#1104967,FATE#325924).
- block: remove QUEUE_FLAG_STACKABLE (bsc#1104967,FATE#325924).
- blk-mq: document the need to have STARTED and COMPLETED share
  (bsc#1104967,FATE#325924).
- block: Use DECLARE_COMPLETION_ONSTACK() in submit_bio_wait()
  (bsc#1104967,FATE#325924).
- Refresh patches.fixes/block-bio_iov_iter_get_pages-pin-more-pages-for-multi-segment-ios.patch
- doc, block, bfq: better describe how to properly configure bfq
  (bsc#1104967,FATE#325924).
- doc, block, bfq: fix some typos and remove stale stuff
  (bsc#1104967,FATE#325924).
- commit 8dde9c2
* Thu Sep 27 2018 jroedel@suse.de
- blacklist.conf: Add 3 fixes for x86 that we don't need
- commit ddd7d7f
* Thu Sep 27 2018 jroedel@suse.de
- blacklist.conf: Blacklist x86 devicetree code
  We don't support devicetree on x86.
- commit b4b3181
* Thu Sep 27 2018 jkosina@suse.cz
- blacklist.conf: fix after mismerge
- commit 1aee746
* Thu Sep 27 2018 hare@suse.de
- genhd: Annotate all part and part_tbl pointer dereferences
  (bsc#1104967,FATE#325924).
- Refresh
  patches.suse/block-reject-attempts-to-allocate-more-than-DISK_MAX.patch.
- commit bc748d3
* Thu Sep 27 2018 hare@suse.de
- block: move __elv_next_request to blk-core.c
  (bsc#1104967,FATE#325924).
- block, bfq: decrease burst size when queues in burst exit
  (bsc#1104967,FATE#325924).
- block, bfq: let early-merged queues be weight-raised on split
  (bsc#1104967,FATE#325924).
- block, bfq: check and switch back to interactive wr also on
  (bsc#1104967,FATE#325924).
- block, bfq: fix wrong init of saved start time for weight
  (bsc#1104967,FATE#325924).
- commit ec62248
* Thu Sep 27 2018 hare@suse.de
- blk-mq: wire up completion notifier for laptop mode
  (bsc#1104967,FATE#325924).
- blk-mq-tag: kill unused tag enums (bsc#1104967,FATE#325924).
- blk-mq: remove unused function hctx_allow_merges
  (bsc#1104967,FATE#325924).
- commit 533d0b4
* Thu Sep 27 2018 hare@suse.de
- blkcg: delete unused APIs (bsc#1104967,FATE#325924).
- block: make blkcg aware of kthread stored original cgroup info
  (bsc#1104967,FATE#325924).
- kthread: add a mechanism to store cgroup info
  (bsc#1104967,FATE#325924).
- Refresh
  patches.drivers/block-display-the-correct-diskname-for-bio.patch.
- commit 874b2e5
* Thu Sep 27 2018 hare@suse.de
- block: properly protect the 'queue' kobj in
  (bsc#1104967,FATE#325924).
- kernfs: checking for IS_ERR() instead of NULL
  (bsc#1104967,FATE#325924).
- commit 97fa674
* Thu Sep 27 2018 ohering@suse.de
- rename/renumber hv patches to simplify upcoming upstream merges
  No code changes.
- commit 0699480
* Thu Sep 27 2018 hare@suse.de
- Replace cached rbtree patches with upstream version
- lib/rbtree_test.c: make input module parameters (bsc#1052639).
- lib/rbtree_test.c: add (inorder) traversal test (bsc#1052639).
- lib/rbtree_test.c: support rb_root_cached (bsc#1052639).
- sched/fair: replace cfs_rq->rb_leftmost (bsc#1052639).
- Refresh
  patches.suse/0001-rbtree-cache-leftmost-node-internally.patch.
- Refresh
  patches.suse/0002-rbtree-optimize-root-check-during-rebalancing-loop.patch.
- Refresh
  patches.suse/0003-rbtree-add-some-additional-comments-for-rebalancing-.patch.
- Refresh
  patches.suse/0008-sched-deadline-replace-earliest-dl-and-rq-leftmost-c.patch.
- Refresh
  patches.suse/0009-locking-rtmutex-replace-top-waiter-and-pi_waiters-le.patch.
- Refresh
  patches.suse/0010-block-cfq-replace-cfq_rb_root-leftmost-caching.patch.
- Refresh
  patches.suse/0012-lib-interval-tree-correct-comment-wrt-generic-flavor.patch.
- Refresh
  patches.suse/0013-procfs-use-faster-rb_first_cached.patch.
- Refresh
  patches.suse/0014-fs-epoll-use-faster-rb_first_cached.patch.
- Refresh patches.suse/0015-mem-memcg-cache-rightmost-node.patch.
- Refresh
  patches.suse/0016-block-cfq-cache-rightmost-rb_node.patch.
- commit 6428555
* Thu Sep 27 2018 jroedel@suse.de
- iommu/amd: Return devid as alias for ACPI HID devices
  (bsc#1106105).
- commit d37e986
* Thu Sep 27 2018 jroedel@suse.de
- blacklist.conf: Blacklist one PCI fix
  83c75ddd816e PCI: rcar: Handle rcar_pcie_parse_request_of_pci_ranges() failures
  The driver patches is not compiled on any config.
- commit f0f2bee
* Thu Sep 27 2018 jroedel@suse.de
- PCI: aardvark: Size bridges before resources allocation
  (bsc#1109806).
- commit ae7ab95
* Thu Sep 27 2018 jroedel@suse.de
- PCI: faraday: Fix I/O space page leak (bsc#1109806).
- PCI: designware: Fix I/O space page leak (bsc#1109806).
- PCI: versatile: Fix I/O space page leak (bsc#1109806).
- PCI: xgene: Fix I/O space page leak (bsc#1109806).
- PCI: faraday: Add missing of_node_put() (bsc#1109806).
- PCI: xilinx-nwl: Add missing of_node_put() (bsc#1109806).
- PCI: xilinx: Add missing of_node_put() (bsc#1109806).
- PCI/portdrv: Compute MSI/MSI-X IRQ vectors after final
  allocation (bsc#1109806).
- PCI/portdrv: Factor out Interrupt Message Number lookup
  (bsc#1109806).
- commit d1f8a0e
* Thu Sep 27 2018 hare@suse.de
- Fix slab name "biovec-(1<<(21-12))" (bsc#1104967,FATE#325924).
- blk-throttle: fix possible io stall when upgrade to max
  (bsc#1104967,FATE#325924).
- blktrace: Fix potential deadlock between delete & sysfs ops
  (bsc#1104967,FATE#325924).
- block: sed-opal: Set MBRDone on S3 resume path if TPER is
  (bsc#1104967,FATE#325924).
- bfq: Use icq_to_bic() consistently (bsc#1104967,FATE#325924).
- bfq: Suppress compiler warnings about comparisons
  (bsc#1104967,FATE#325924).
- bfq: Check kstrtoul() return value (bsc#1104967,FATE#325924).
- bfq: Declare local functions static (bsc#1104967,FATE#325924).
- bfq: Annotate fall-through in a switch statement
  (bsc#1104967,FATE#325924).
- block, bfq: guarantee update_next_in_service always returns
  (bsc#1104967,FATE#325924).
- block, bfq: remove direct switch to an entity in higher class
  (bsc#1104967,FATE#325924).
- block, bfq: make lookup_next_entity push up vtime on
  (bsc#1104967,FATE#325924).
- bsg: remove #if 0'ed code (bsc#1104967,FATE#325924).
- block: Make blk_dequeue_request() static
  (bsc#1104967,FATE#325924).
- block: fix warning when I/O elevator is changed as
  (bsc#1104967,FATE#325924).
- block, scheduler: convert xxx_var_store to void
  (bsc#1104967,FATE#325924).
- blkcg: avoid free blkcg_root when failed to alloc blkcg
  (bsc#1104967,FATE#325924).
- block: update comments to reflect REQ_FLUSH -> REQ_PREFLUSH
  (bsc#1104967,FATE#325924).
- block: remove blk_free_devt in add_partition
  (bsc#1104967,FATE#325924).
- block, bfq: fix error handle in bfq_init
  (bsc#1104967,FATE#325924).
- block: Warn if blk_queue_rq_timed_out() is called for a
  (bsc#1104967,FATE#325924).
- blk-mq-debugfs: Declare a local symbol static
  (bsc#1104967,FATE#325924).
- block: Unexport blk_queue_end_tag() (bsc#1104967,FATE#325924).
- blk-mq-debugfs: Add names for recently added flags
  (bsc#1104967,FATE#325924).
- blk-throttle: cap discard request size
  (bsc#1104967,FATE#325924).
- blk-mq: Fix queue usage on failed request allocation
  (bsc#1104967,FATE#325924).
- compat_hdio_ioctl: get rid of set_fs()
  (bsc#1104967,FATE#325924).
- take floppy compat ioctls to sodding floppy.c
  (bsc#1104967,FATE#325924).
- commit 80c2b8f
* Thu Sep 27 2018 hare@suse.de
- cfq: Give a chance for arming slice idle timer in case of
  group_idle (bsc#1104967,FATE#325924).
- block, bfq: boost throughput with flash-based non-queueing
  devices (bsc#1104967,FATE#325924).
- block,bfq: refactor device-idling logic
  (bsc#1104967,FATE#325924).
- block: remove unused syncfull/asyncfull queue flags
  (bsc#1104967,FATE#325924).
- commit dc71a69
* Thu Sep 27 2018 hare@suse.de
- blk-mq: add warning to __blk_mq_run_hw_queue() for ints disabled
  (bsc#1104967,FATE#325924).
- blk-mq: don't leak preempt counter/q_usage_counter when
  allocating rq failed (bsc#1104967,FATE#325924).
- commit 3ef9e7a
* Thu Sep 27 2018 vliaskovitis@suse.com
- xen: issue warning message when out of grant maptrack entries
  (bsc#1105795).
- commit 46751db
* Thu Sep 27 2018 neilb@suse.com
- NFS: Use an appropriate work queue for direct-write completion
  (bsc#1082519).
- commit e010715
* Thu Sep 27 2018 neilb@suse.com
- sort series.conf
  I didn't want to, but he made me do it.
- commit 255215b
* Wed Sep 26 2018 dbueso@suse.de
- Revert "mm,vmacache: optimize overflow system-wide flushing" (bsc#1108399 CVE-2018-17182).
- commit 85bf27e
* Wed Sep 26 2018 jeffm@suse.com
- btrfs: fix missing error return in btrfs_drop_snapshot
  (Git-fixes bsc#1109919).
- commit 86c0bd9
* Wed Sep 26 2018 jeffm@suse.com
- btrfs: handle errors while updating refcounts in
  update_ref_for_cow (Git-fixes bsc#1109915).
- commit 602171e
* Wed Sep 26 2018 jeffm@suse.com
- mm: /proc/pid/pagemap: hide swap entries from unprivileged users
  (Git-fixes bsc#1109907).
- commit 32c80e6
* Wed Sep 26 2018 jack@suse.cz
- Fix buggy backport in
  patches.fixes/dax-check-for-queue_flag_dax-in-bdev_dax_supported.patch
  (bsc#1109859)
- commit 6d44295
* Wed Sep 26 2018 msuchanek@suse.de
- powerpc/tm: Avoid possible userspace r1 corruption on reclaim
  (bsc#1109333).
- powerpc/tm: Fix userspace r13 corruption (bsc#1109333).
- commit a98497c
* Wed Sep 26 2018 hare@suse.de
- block, bfq: consider also in_service_entity to state whether
  an entity is active (bsc#1104967,FATE#325924).
- block, bfq: reset in_service_entity if it becomes idle
  (bsc#1104967,FATE#325924).
- commit 8c4e0ea
* Wed Sep 26 2018 hare@suse.de
- blk-mq: blk_mq_requeue_work() doesn't need to save IRQ flags
  (bsc#1104967,FATE#325924).
- commit 908942c
* Wed Sep 26 2018 hare@suse.de
- block: use standard blktrace API to output cgroup info for
  debug notes (bsc#1104967,FATE#325924).
- blktrace: add an option to allow displaying cgroup path
  (bsc#1104967,FATE#325924).
- block: always attach cgroup info into bio
  (bsc#1104967,FATE#325924).
- blktrace: export cgroup info in trace (bsc#1104967,FATE#325924).
- cgroup: export fhandle info for a cgroup
  (bsc#1104967,FATE#325924).
- kernfs: add exportfs operations (bsc#1104967,FATE#325924).
- kernfs: introduce kernfs_node_id (bsc#1104967,FATE#325924).
- kernfs: don't set dentry->d_fsdata (bsc#1104967,FATE#325924).
- kernfs: add an API to get kernfs node from inode number
  (bsc#1104967,FATE#325924).
- kernfs: implement i_generation (bsc#1104967,FATE#325924).
- kernfs: use idr instead of ida to manage inode number
  (bsc#1104967,FATE#325924).
- block: order /proc/devices by major number
  (bsc#1104967,FATE#325924).
- char_dev: order /proc/devices by major number
  (bsc#1104967,FATE#325924).
- char_dev: extend dynamic allocation of majors into a higher
  range (bsc#1104967,FATE#325924).
- commit 26906c2
* Wed Sep 26 2018 jack@suse.cz
- Update config files.
- commit 2a4f668
* Wed Sep 26 2018 jack@suse.cz
- blacklist.conf: Blacklist aa28de275a248
- commit 7850c06
* Wed Sep 26 2018 jack@suse.cz
- device-dax: Add missing address_space_operations (bsc#1107783).
- commit 860c238
* Wed Sep 26 2018 jack@suse.cz
- ext4, dax: set ext4_dax_aops for dax files (bsc#1104888).
- commit d17e656
* Wed Sep 26 2018 jack@suse.cz
- ext4, dax: add ext4_bmap to ext4_dax_aops (bsc#1104888).
- commit 2de8851
* Wed Sep 26 2018 wqu@suse.com
- btrfs: delayed-inode: Remove wrong qgroup meta  reservation
  calls (bsc#1031392).
- commit a3d6aee
* Wed Sep 26 2018 jack@suse.cz
- Sort series.conf
- commit 75ce2fa
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Use independent and accurate per inode  qgroup
  rsv (bsc#1031392).
- commit 689ef17
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Commit transaction in advance to reduce  early
  EDQUOT (bsc#1031392).
- commit c51f977
* Wed Sep 26 2018 wqu@suse.com
- Revert "btrfs: qgroups: Retry after commit on getting  EDQUOT"
  (bsc#1031392).
- commit 6fa454e
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Update trace events for metadata  reservation
  (bsc#1031392).
- commit 039a3e9
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Use root::qgroup_meta_rsv_* to record  qgroup
  meta reserved space (bsc#1031392).
- commit c1e3309
* Wed Sep 26 2018 wqu@suse.com
- btrfs: delayed-inode: Use new qgroup meta rsv for  delayed
  inode and item (bsc#1031392).
- commit be686d5
* Wed Sep 26 2018 wqu@suse.com
- btrfs: Fix wrong btrfs_delalloc_release_extents parameter
  (bsc#1031392).
- commit f60cf53
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Use separate meta reservation type for  delalloc
  (bsc#1031392).
- commit dd0023b
* Wed Sep 26 2018 msuchanek@suse.de
- KABI: move the new handler to end of machdep_calls and hide
  it from genksyms (bsc#1094244).
- commit 06a6f3c
* Wed Sep 26 2018 msuchanek@suse.de
- powernv/pseries: consolidate code for mce early handling
  (bsc#1094244).
- powerpc/pseries: Dump the SLB contents on SLB MCE errors
  (bsc#1094244).
  - Refresh patches.kabi/KABI-move-mce_data_buf-into-paca_aux.patch
- powerpc/pseries: Display machine check error details
  (bsc#1094244).
- powerpc/pseries: Flush SLB contents on SLB MCE errors
  (bsc#1094244).
- powerpc/pseries: Define MCE error event section (bsc#1094244).
- commit 4b0cc92
* Wed Sep 26 2018 msuchanek@suse.de
- Sort patches.
- commit ee18a99
* Wed Sep 26 2018 wqu@suse.com
- btrfs: add a comp_refs() helper (dependency for bsc#1031392).
- commit 2b7e949
* Wed Sep 26 2018 wqu@suse.com
- btrfs: switch args for comp_*_refs (dependency for bsc#1031392).
- commit 028ef68
* Wed Sep 26 2018 wqu@suse.com
- btrfs: remove type argument from comp_tree_refs (dependency
  for bsc#1031392).
- commit 6d12157
* Wed Sep 26 2018 wqu@suse.com
- btrfs: make the delalloc block rsv per inode (dependency for
  bsc#1031392).
- commit d6a4960
* Wed Sep 26 2018 wqu@suse.com
- btrfs: add tracepoints for outstanding extents mods (dependency
  for bsc#1031392).
- commit 520ec44
* Wed Sep 26 2018 wqu@suse.com
- Btrfs: rework outstanding_extents (dependency for bsc#1031392).
- commit a390567
* Wed Sep 26 2018 wqu@suse.com
- btrfs: cleanup extent locking sequence (dependency for
  bsc#1031392).
- commit c9c7165
* Wed Sep 26 2018 bpoirier@suse.com
- Fix sorted section
  Merge commits 862a718e83 and 8aa4d41564 had conflicts with (apparently) bad
  resolution which introduced disorder in the sorted section.
- commit 06a8929
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Introduce function to convert  META_PREALLOC
  into META_PERTRANS (bsc#1031392).
- commit 66a2044
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Don't use root->qgroup_meta_rsv for  qgroup
  (bsc#1031392).
- commit 9377718
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Split meta rsv type into meta_prealloc  and
  meta_pertrans (bsc#1031392).
- commit 48f771c
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Cleanup the remaining old reservation  counters
  (bsc#1031392).
- commit ebe4a51
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Update trace events to use new separate  rsv
  types (bsc#1031392).
- commit 28b94d4
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Fix wrong qgroup reservation update for
  relationship modification (bsc#1031392).
- commit 017a285
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Make qgroup_reserve and its callers to  use
  separate reservation type (bsc#1031392).
- commit 28ba57c
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Introduce helpers to update and access  new
  qgroup rsv (bsc#1031392).
- commit 10f14a4
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Skeleton to support separate qgroup  reservation
  type (bsc#1031392).
- commit ca174f6
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Fix qgroup reserved space underflow by  only
  freeing reserved ranges (dependency for bsc#1031392).
- commit 84d52be
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Introduce extent changeset for qgroup  reserve
  functions (dependency for bsc#1031392).
- commit 8ef1999
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Fix qgroup reserved space underflow caused
  by buffered write and quotas being enabled (dependency for
  bsc#1031392).
- commit 25d3c72
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Return actually freed bytes for qgroup  release
  or free data (dependency for bsc#1031392).
- commit 852d7ed
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Cleanup  btrfs_qgroup_prepare_account_extents
  function (dependency for bsc#1031392).
- commit 18dd54a
* Wed Sep 26 2018 wqu@suse.com
- btrfs: qgroup: Add quick exit for non-fs extents (dependency
  for bsc#1031392).
- commit 91f12cc
* Tue Sep 25 2018 jeffm@suse.com
- userfaultfd: hugetlbfs: fix userfaultfd_huge_must_wait()
  pte access (bsc#1109739).
- commit a9faf52
* Tue Sep 25 2018 dbueso@suse.de
- ipc/shm: fix shmat() nil address after round-down when remapping
  (bsc#1090078).
- Revert "ipc/shm: Fix shmat mmap nil-page protection"
  (bsc#1090078).
- commit d8968d8
* Tue Sep 25 2018 dbueso@suse.de
- update series.conf
- commit 9754b53
* Tue Sep 25 2018 mbrugger@suse.com
- arm64: kaslr: Adjust the offset to avoid Image across alignment
  boundary (fate#325844).
- Update config files.
- arm64: kaslr: ignore modulo offset when validating virtual
  displacement (fate#325844).
- commit 230eab7
* Tue Sep 25 2018 hare@suse.de
- nfsd: Check queue type before submitting a SCSI request
  (bsc#1104967,FATE#325924).
- cdrom: Check SCSI passthrough support before reading audio
  (bsc#1104967,FATE#325924).
- commit 68613d5
* Tue Sep 25 2018 hare@suse.de
- Move upstream patches out of patches.suse (bsc#1104967)
- commit 0fff587
* Tue Sep 25 2018 mbrugger@suse.com
- arm64: Update config files.
  Increase NR_CPUS to 480 (fate#325592)
- commit 867cc6f
* Tue Sep 25 2018 hare@suse.de
- MAINTAINERS: add uuid entry (bsc#1104967,FATE#325924).
- tmpfs: generate random sb->s_uuid (bsc#1104967,FATE#325924).
- scsi_debug: switch to uuid_t (bsc#1104967,FATE#325924).
- partitions/ldm: switch to use uuid_t (bsc#1104967,FATE#325924).
- overlayfs: use uuid_t instead of uuid_be
  (bsc#1104967,FATE#325924).
- commit 87bca0b
* Tue Sep 25 2018 jack@suse.cz
- dax: Make extension of dax_operations transparent (bsc#1098782).
- commit eb2986e
* Tue Sep 25 2018 jack@suse.cz
- x86/asm/memcpy_mcsafe: Provide original memcpy_mcsafe_unrolled
  (bsc#1098782).
- commit ad97292
* Tue Sep 25 2018 hare@suse.de
- nvme: register ns_id attributes as default sysfs groups
  (bsc#1105247).
- commit 22aeb65
* Tue Sep 25 2018 hare@suse.de
- PCI: Match Root Port's MPS to endpoint's MPSS as necessary
  (bsc#1109269).
- commit b312a43
* Tue Sep 25 2018 mwilck@suse.com
- x86/build/64: Force the linker to use 2MB page size
  (bsc#1109603).
- commit 03b0ea6
* Tue Sep 25 2018 mgalbraith@suse.de
- sched/fair: Fix bandwidth timer clock drift condition (Git-fixes).
- commit ad03360
* Tue Sep 25 2018 hare@suse.de
- kabi fix for check_disk_size_change() (bsc#1098459).
- commit 0835551
* Tue Sep 25 2018 ptesarik@suse.cz
- Update config files.
  Turn off CONFIG_DYNAMIC_STACK on s390x, because it brings more
  confusiion by reporting false positives.
- commit 6e2def2
* Tue Sep 25 2018 bpoirier@suse.com
- net: ena: fix incorrect usage of memory barriers (bsc#1108093).
- net: ena: fix missing calls to READ_ONCE (bsc#1108093).
- net: ena: fix missing lock during device destruction
  (bsc#1108093).
- net: ena: fix potential double ena_destroy_device()
  (bsc#1108093).
- net: ena: fix device destruction to gracefully free resources
  (bsc#1108093).
- net: ena: fix driver when PAGE_SIZE == 64kB (bsc#1108093).
- net: ena: fix surprise unplug NULL dereference kernel crash
  (bsc#1108093).
- net: ena: Eliminate duplicate barriers on weakly-ordered archs
  (bsc#1108093).
- commit a7d98e3
* Mon Sep 24 2018 jeffm@suse.com
- xfs: Fix per-inode DAX flag inheritance (Git-fixes bsc#1109511).
- commit 30796e4
* Mon Sep 24 2018 brogers@suse.com
- Revert "vhost: cache used event for better performance"
  (bsc#1090528).
- commit 7ed7638
* Mon Sep 24 2018 jroedel@suse.de
- x86/platform/UV: Mark memblock related init code and data
  correctly (bsc#1108243).
- commit 1500ffe
* Mon Sep 24 2018 msuchanek@suse.de
- powerpc/pseries: Disable CPU hotplug across migrations
  (bsc#1065729).
- commit 09057d9
* Mon Sep 24 2018 hare@suse.de
- scsi: qla2xxx: Update driver version to 10.00.00.11-k (bsc#1108870).
- scsi: qla2xxx: Fix double increment of switch scan retry count (bsc#1108870).
- scsi: qla2xxx: Fix duplicate switch's Nport ID entries (bsc#1108870).
- scsi: qla2xxx: Remove stale debug trace message from tcm_qla2xxx (bsc#1108870).
- scsi: qla2xxx: Fix premature command free (bsc#1108870).
- scsi: qla2xxx: Reject bsg request if chip is down (bsc#1108870).
- scsi: qla2xxx: shutdown chip if reset fail (bsc#1108870).
- scsi: qla2xxx: Fix stuck session in PLOGI state (bsc#1108870).
- scsi: qla2xxx: Fix early srb free on abort (bsc#1108870).
- scsi: qla2xxx: Add mode control for each physical port (bsc#1108870).
- scsi: qla2xxx: Fix race condition for resource cleanup (bsc#1108870).
- scsi: qla2xxx: Fix dropped srb resource (bsc#1108870).
- scsi: qla2xxx: Fix port speed display on chip reset (bsc#1108870).
- scsi: qla2xxx: Check for Register disconnect (bsc#1108870).
- scsi: qla2xxx: Increase abort timeout value (bsc#1108870).
- scsi: qla2xxx: Allow FC-NVMe underrun to be handled by transport (bsc#1108870).
- scsi: qla2xxx: Update driver version to 10.00.00.10-k (bsc#1108870).
- scsi: qla2xxx: Move ABTS code behind qpair (bsc#1108870).
- scsi: qla2xxx: Remove stale ADISC_DONE event (bsc#1108870).
- scsi: qla2xxx: Fix Remote port registration (bsc#1108870).
- scsi: qla2xxx: Remove ASYNC GIDPN switch command (bsc#1108870).
- scsi: qla2xxx: Reduce holding sess_lock to prevent CPU lock-up (bsc#1108870).
- scsi: qla2xxx: Move {get|rel}_sp to base_qpair struct (bsc#1108870).
- scsi: qla2xxx: Add support for ZIO6 interrupt threshold (bsc#1108870).
- scsi: qla2xxx: Fix out of order Termination and ABTS response (bsc#1108870).
- scsi: qla2xxx: Add logic to detect ABTS hang and response completion (bsc#1108870).
- scsi: qla2xxx: Add appropriate debug info for invalid RX_ID (bsc#1108870).
- scsi: qla2xxx: Fix deadlock between ATIO and HW lock (bsc#1108870).
- scsi: qla2xxx: Serialize mailbox request (bsc#1108870).
- scsi: qla2xxx: Update driver to version 10.00.00.09-k (bsc#1108870).
- scsi: qla2xxx: Terminate Plogi/PRLI if WWN is 0 (bsc#1108870).
- scsi: qla2xxx: Defer chip reset until target mode is enabled (bsc#1108870).
- scsi: qla2xxx: Fix iIDMA error (bsc#1108870).
- scsi: qla2xxx: Remove all rports if fabric scan retry fails (bsc#1108870).
- scsi: qla2xxx: Force fw cleanup on ADISC error (bsc#1108870).
- scsi: qla2xxx: Turn off IOCB timeout timer on IOCB completion (bsc#1108870).
- scsi: qla2xxx: Decrement login retry count for only plogi (bsc#1108870).
- scsi: qla2xxx: Move rport registration out of internal work_list (bsc#1108870).
- scsi: qla2xxx: Remove redundant check for fcport deletion (bsc#1108870).
- scsi: qla2xxx: Update rscn_rcvd field to more meaningful scan_needed (bsc#1108870).
- scsi: qla2xxx: Use correct qpair for ABTS/CMD (bsc#1108870).
- scsi: qla2xxx: Fix incorrect port speed being set for FC adapters (bsc#1108870).
- scsi: qla2xxx: Fix process response queue for ISP26XX and above (bsc#1108870).
- commit 63477a2
* Mon Sep 24 2018 hare@suse.de
- scripts/git_sort/git_sort.py: add mkp 4.20/scsi-queue
- commit 3284d56
* Mon Sep 24 2018 msuchanek@suse.de
- powerpc/pkeys: Fix reading of ibm, processor-storage-keys
  property (bsc#1109244).
- commit 918a8df
* Mon Sep 24 2018 hare@suse.de
- scsi: mpt3sas: Fix calltrace observed while running IO & reset (bsc#1077989).
- scsi: fcoe: hold disc_mutex when traversing rport lists (bsc#1077989).
- scsi: libfc: hold disc_mutex in fc_disc_stop_rports() (bsc#1077989).
- scsi: libfc: fixup lockdep annotations (bsc#1077989).
- scsi: libfc: fixup 'sleeping function called from invalid context' (bsc#1077989).
- scsi: libfc: Add lockdep annotations (bsc#1077989).
- blk-mq: avoid to synchronize rcu inside blk_cleanup_queue() (bsc#1077989).
- commit 527998e
* Mon Sep 24 2018 jroedel@suse.de
- Refresh
  patches.arch/0003-x86-l1tf-Handle-EPT-disabled-state-proper.patch.
- commit 43d6857
* Mon Sep 24 2018 hare@suse.de
- nvme_fc: add 'nvme_discovery' sysfs attribute to fc transport device (bsc#1044189). - scripts/git_sort/git_sort.py: Update NVMe repo URL
- commit 64467ca
* Mon Sep 24 2018 jroedel@suse.de
- x86/platform/UV: Add kernel parameter to set memory block size
  (bsc#1108243).
- x86/platform/UV: Use new set memory block size function
  (bsc#1108243).
- x86/platform/UV: Add adjustable set memory block size function
  (bsc#1108243).
- x86/mm/memory_hotplug: determine block size based on the end
  of boot memory (bsc#1108243).
- commit eb8e3fa
* Mon Sep 24 2018 tzimmermann@suse.de
- blacklist.conf: Add 'drm/amdgpu:add VCN booting with firmware loaded by PSP'
- commit 4d1aa08
* Mon Sep 24 2018 tzimmermann@suse.de
- blacklist.conf: Add 'drm/amdgpu:add VCN support in PSP driver'
- commit 9459a54
* Mon Sep 24 2018 msuchanek@suse.de
- KVM: PPC: Book3S HV: Use correct pagesize in kvm_unmap_radix()
  (bsc#1061840, git-fixes).
- commit 3763099
* Mon Sep 24 2018 tzimmermann@suse.de
- drm/amdgpu: update tmr mc address (bsc#1100132).
- commit b26d124
* Mon Sep 24 2018 jroedel@suse.de
- perf/events/amd/uncore: Fix amd_uncore_llc ID to use pre-defined
  cpu_llc_id (fate#324366).
- perf/x86/amd/uncore: Get correct number of cores sharing last
  level cache (fate#324366).
- x86/CPU/AMD: Calculate last level cache ID from number of
  sharing threads (fate#324366).
- x86/CPU/AMD: Derive CPU topology from CPUID function 0xB when
  available (fate#324366).
- x86/CPU/AMD: Fix LLC ID bit-shift calculation (fate#324366).
- x86/CPU/AMD: Have smp_num_siblings and cpu_llc_id always be
  present (fate#324366).
- x86/CPU: Modify detect_extended_topology() to return result
  (fate#324366).
- x86/CPU: Rename intel_cacheinfo.c to cacheinfo.c (fate#324366).
- x86: irq_remapping: Move irq remapping mode enum (fate#324366).
- iommu/amd: Add support for higher 64-bit IOMMU Control Register
  (fate#324366).
- iommu/amd: Add support for IOMMU XT mode (fate#324366).
- Refresh
  patches.arch/08-x86-cpu-remove-the-pointless-cpu-printout.patch.
- Refresh
  patches.arch/11-x86-cpu-topology-provide-detect_extended_topology_early.patch.
- Refresh
  patches.arch/13-x86-cpu-amd-do-not-check-cpuid-max-ext-level-before-parsing-smp-info.patch.
- Refresh
  patches.arch/35-x86-speculation-handle-ht-correctly-on-amd.patch.
- Refresh
  patches.suse/11-x86-bugs-amd-add-support-to-disable-rds-on-famh-if-requested.patch.
- Refresh
  patches.suse/13-x86-speculation-create-spec-ctrl-h-to-avoid-include-hell.patch.
- commit a4a3e54
* Mon Sep 24 2018 msuchanek@suse.de
- powerpc/pseries: Remove unneeded uses of dlpar work queue
  (bsc#1102495, bsc#1109337).
- Refresh patches.arch/hotplug-cpu-Add-operation-queuing-function.patch.
- powerpc/pseries: Remove prrn_work workqueue (bsc#1102495,
  bsc#1109337).
- commit 7328f0a
* Mon Sep 24 2018 yousaf.kaukab@suse.com
- arm64: Ignore hardware dirty bit updates in ptep_set_wrprotect()
  (bsc#1108010).
- kvm: arm64: Convert kvm_set_s2pte_readonly() from inline asm
  to cmpxchg() (bsc#1108010).
- commit 96eac08
* Mon Sep 24 2018 msuchanek@suse.de
- scsi: ipr: System hung while dlpar adding primary ipr adapter
  back (bsc#1109336).
- commit c86eecc
* Fri Sep 21 2018 msuchanek@suse.de
- Refresh patches.arch/powerpc-Avoid-code-patching-freed-init-sections.patch.
- commit 6d7fc83
* Fri Sep 21 2018 mfleming@suse.de
- sched/fair: Fix vruntime_normalized() for remote non-migration
  wakeup (git-fixes).
- commit 87a53f0
* Fri Sep 21 2018 jslaby@suse.cz
- net: rtnl_configure_link: fix dev flags changes arg to
  __dev_notify_flags (git-fixes).
- commit 52cf998
* Fri Sep 21 2018 jroedel@suse.de
- x86/CPU/AMD: Derive CPU topology from CPUID function 0xB when
  available (fate#324376).
- x86/CPU: Modify detect_extended_topology() to return result
  (fate#324376).
- x86: irq_remapping: Move irq remapping mode enum (fate#324376).
- iommu/amd: Add support for higher 64-bit IOMMU Control Register
  (fate#324376).
- iommu/amd: Add support for IOMMU XT mode (fate#324376).
- Refresh
  patches.arch/08-x86-cpu-remove-the-pointless-cpu-printout.patch.
- Refresh
  patches.arch/11-x86-cpu-topology-provide-detect_extended_topology_early.patch.
- Refresh
  patches.arch/13-x86-cpu-amd-do-not-check-cpuid-max-ext-level-before-parsing-smp-info.patch.
- commit 64d6ec7
* Fri Sep 21 2018 tbogendoerfer@suse.de
- bnxt_re: Fix couple of memory leaks that could lead to IOMMU
  call traces (bsc#1050244 FATE#322915).
- IB/ipoib: Avoid a race condition between start_xmit and
  cm_rep_handler (bsc#1046307 FATE#322941).
- IB/hfi1: Invalid NUMA node information can cause a divide by
  zero (bsc#1060463 FATE#323043).
- IB/mlx4: Use 4K pages for kernel QP's WQE buffer (bsc#1046302
  FATE#322945).
- IB/ipoib: Fix error return code in ipoib_dev_init() (bsc#1046307
  FATE#322941).
- RDMA/bnxt_re: Fix a bunch of off by one bugs in qplib_fp.c
  (bsc#1050244 FATE#322915).
- RDMA/bnxt_re: Fix a couple off by one bugs (bsc#1050244
  FATE#322915).
- IB/core: type promotion bug in rdma_rw_init_one_mr()
  (bsc#1046306 FATE#322942).
- RDMA/i40w: Hold read semaphore while looking after VMA
  (bsc#1058659 FATE#322535).
- IB/mlx4: Test port number before querying type (bsc#1046302
  FATE#322945).
- IB/hfi1: Remove incorrect call to do_interrupt callback
  (bsc#1060463 FATE#323043).
- IB/hfi1: Set in_use_ctxts bits for user ctxts only (bsc#1060463
  FATE#323043).
- ib_srpt: Fix a use-after-free in srpt_close_ch() (bsc#1046306
  FATE#322942).
- iw_cxgb4: remove duplicate memcpy() in c4iw_create_listen()
  (bsc#1046543 FATE#322927).
- commit a63f7f6
* Fri Sep 21 2018 tbogendoerfer@suse.de
- bnxt_en: Fix VF mac address regression (bsc#1086282
  FATE#324873).
- bnxt_en: Do not adjust max_cp_rings by the ones used by RDMA
  (bsc#1086282 FATE#324873).
- bnxt_en: Clean up unused functions (bsc#1086282 FATE#324873).
- commit ef196fc
* Fri Sep 21 2018 tiwai@suse.de
- scripts: modpost: check memory allocation results (bsc#1051510).
- PCI: mvebu: Fix I/O space end address calculation (bsc#1051510).
- rsi: Fix 'invalid vdd' warning in mmc (bsc#1051510).
- commit 829fae7
* Fri Sep 21 2018 tiwai@suse.de
- userns: move user access out of the mutex (bsc#1051510).
- commit cac141e
* Fri Sep 21 2018 tiwai@suse.de
- wlcore: Set rx_status boottime_ns field on rx (bsc#1051510).
- commit ac56e08
* Fri Sep 21 2018 tiwai@suse.de
- drm/i915/gvt: clear ggtt entries when destroy vgpu
  (bsc#1051510).
- drm/i915/gvt: request srcu_read_lock before checking if one
  gfn is valid (bsc#1051510).
- drm/vc4: Fix the "no scaling" case on multi-planar YUV formats
  (bsc#1051510).
- commit b59ab11
* Fri Sep 21 2018 nborisov@suse.com
- block: don't warn for flush on read-only device (bsc#1107756).
- commit e361527
* Fri Sep 21 2018 nborisov@suse.com
- series.conf: Sort it
- commit 54dc76e
* Thu Sep 20 2018 jthumshirn@suse.de
- nvme-pci: add a memory barrier to
  nvme_dbbuf_update_and_check_event (git-fixes).
- commit f59adb7
* Thu Sep 20 2018 tiwai@suse.de
- ata: libahci: Allow reconfigure of DEVSLP register
  (bsc#1051510).
- ata: libahci: Correct setting of DEVSLP register (bsc#1051510).
- commit ee6224d
* Thu Sep 20 2018 tiwai@suse.de
- blacklist.conf: Add an ASoC rt5677 entry
- commit 7e9345a
* Thu Sep 20 2018 tiwai@suse.de
- ASoC: rsnd: fixup not to call clk_get/set under non-atomic
  (bsc#1051510).
- ASoC: rsnd: move rsnd_ssi_config_init() execute condition into
  it (bsc#1051510).
- ASoC: rsnd: update pointer more accurate (bsc#1051510).
- commit 5639646
* Thu Sep 20 2018 tiwai@suse.de
- ALSA: oxfw: fix memory leak of discovered stream formats at
  error path (bsc#1051510).
- ALSA: oxfw: fix memory leak for model-dependent data at error
  path (bsc#1051510).
- ALSA: oxfw: fix memory leak of private data (bsc#1051510).
- ALSA: firewire-tascam: fix memory leak of private data
  (bsc#1051510).
- ALSA: firewire-digi00x: fix memory leak of private data
  (bsc#1051510).
- ALSA: fireface: fix memory leak in ff400_switch_fetching_mode()
  (bsc#1051510).
- commit 1f786bc
* Thu Sep 20 2018 tiwai@suse.de
- 9p/virtio: fix off-by-one error in sg list bounds check
  (bsc#1051510).
- 9p: fix multiple NULL-pointer-dereferences (bsc#1051510).
- fs/9p/xattr.c: catch the error of p9_client_clunk when setting
  xattr failed (bsc#1051510).
- net/9p/trans_fd.c: fix race by holding the lock (bsc#1051510).
- net/9p/trans_fd.c: fix race-condition by flushing workqueue
  before the kfree() (bsc#1051510).
- 9p/net: Fix zero-copy path in the 9p virtio transport
  (bsc#1051510).
- net/9p/client.c: version pointer uninitialized (bsc#1051510).
- net/9p: fix error path of p9_virtio_probe (bsc#1051510).
- net/9p: Switch to wait_event_killable() (bsc#1051510).
- commit 2a92430
* Thu Sep 20 2018 tiwai@suse.de
- pstore: Fix incorrect persistent ram buffer mapping
  (bsc#1051510).
- i2c: xiic: Make the start and the byte count write atomic
  (bsc#1051510).
- ALSA: hda - Fix cancel_work_sync() stall from jackpoll work
  (bsc#1051510).
- i2c: core: ACPI: Properly set status byte to 0 for multi-byte
  writes (bsc#1051510).
- Input: atmel_mxt_ts - only use first T9 instance (bsc#1051510).
- staging: comedi: ni_mio_common: fix subdevice flags for PFI
  subdevice (bsc#1051510).
- drm/i915: set DP Main Stream Attribute for color range on DDI
  platforms (bsc#1051510).
- Replace magic for trusting the secondary keyring with #define
  (bsc#1051510).
- gpio: ml-ioh: Fix buffer underwrite on probe error path
  (bsc#1051510).
- gpu: ipu-v3: default to id 0 on missing OF alias (bsc#1051510).
- ath9k_hw: fix channel maximum power level test (bsc#1051510).
- ath9k: report tx status on EOSP (bsc#1051510).
- ath10k: disable bundle mgmt tx completion event support
  (bsc#1051510).
- Bluetooth: h5: Fix missing dependency on BT_HCIUART_SERDEV
  (bsc#1051510).
- Bluetooth: hidp: Fix handling of strncpy for hid->name
  information (bsc#1051510).
- gpio: tegra: Move driver registration to subsys_init level
  (bsc#1051510).
- pinctrl/amd: only handle irq if it is pending and unmasked
  (bsc#1051510).
- rhashtable: add schedule points (bsc#1051510).
- commit e362007
* Thu Sep 20 2018 jthumshirn@suse.de
- libnvdimm: Use max contiguous area for namespace size
  (git-fixes).
- commit 3536ffe
* Wed Sep 19 2018 jack@suse.cz
- x86/asm/memcpy_mcsafe: Fix copy_to_user_mcsafe() exception
  handling (bsc#1098782).
- commit 3410c6d
* Wed Sep 19 2018 jack@suse.cz
- lib/iov_iter: Fix pipe handling in _copy_to_iter_mcsafe()
  (bsc#1098782).
- commit 6d84c3d
* Wed Sep 19 2018 jack@suse.cz
- libnvdimm, pmem: Fix memcpy_mcsafe() return code handling in
  nsio_rw_bytes() (bsc#1098782).
- commit a9dde76
* Wed Sep 19 2018 msuchanek@suse.de
- powerpc/powernv/npu: Do a PID GPU TLB flush when invalidating
  a large address range (bsc#1055120).
- commit 0b87042
* Wed Sep 19 2018 msuchanek@suse.de
- powerpc: Fix size calculation using resource_size()
  (bnc#1012382).
- commit dfbb395
* Wed Sep 19 2018 jgross@suse.com
- patches.fixes/xen-netfront-dont-bug-in-case-of-too-many-frags.patch:
  (bnc#1104824).
- commit ef15470
* Wed Sep 19 2018 jgross@suse.com
- xenbus: track caller request id (bnc#1065600).
- commit 6feb718
* Wed Sep 19 2018 tiwai@suse.de
- mmc: omap_hsmmc: fix wakeirq handling on removal (bsc#1051510).
- commit f256ed6
* Wed Sep 19 2018 tiwai@suse.de
- HID: add quirk for another PIXART OEM mouse used by HP
  (bsc#1051510).
- commit 033f342
* Wed Sep 19 2018 tiwai@suse.de
- fb: fix lost console when the user unplugs a USB adapter
  (bsc#1051510).
- commit df657a2
* Wed Sep 19 2018 jgross@suse.com
- xen: xenbus_dev_frontend: Really return response string
  (bnc#1065600).
- commit d2abf65
* Wed Sep 19 2018 jgross@suse.com
- xen: xenbus_dev_frontend: Fix XS_TRANSACTION_END handling
  (bnc#1065600).
- commit 6849cde
* Wed Sep 19 2018 msuchanek@suse.de
- powerpc/xive: Fix trying to "push" an already active pool VP
  (FATE#322438, bsc#1085030, git-fixes).
- commit 95df48c
* Wed Sep 19 2018 jthumshirn@suse.de
- Refresh
  patches.arch/powerpc-topology-Get-topology-for-shared-processors-.patch.
- Refresh
  patches.drivers/scsi-hpsa-limit-transfer-length-to-1mb-not-512kb.patch.
- Refresh
  patches.fixes/libnvdimm-fix-ars_status-output-length-calculation.patch.
- Refresh
  patches.fixes/scsi-lpfc-Correct-MDS-diag-and-nvmet-configuration.patch.
- Refresh
  patches.suse/0001-md-cluster-release-RESYNC-lock-after-the-last-resync.patch.
  Re-sort series and update upstream tags.
- commit a74430e
* Wed Sep 19 2018 msuchanek@suse.de
- powerpc/fadump: cleanup crash memory ranges support
  (bsc#1103269).
- commit a315a15
* Tue Sep 18 2018 msuchanek@suse.de
- powerpc/fadump: re-register firmware-assisted dump if already
  registered (bsc#1108170, bsc#1108823).
- commit 2677edc
* Tue Sep 18 2018 tiwai@suse.de
- platform/x86: asus-nb-wmi: Add keymap entry for lid flip action
  on UX360 (bsc#1051510).
- commit 1fcd136
* Mon Sep 17 2018 trenn@suse.com
- powercap: RAPL: Add support for Cannon Lake (fate#324517).
- commit f1c8429
* Mon Sep 17 2018 msuchanek@suse.de
- crypto: clarify licensing of OpenSSL asm code (FATE#321642).
- commit 857bee1
* Mon Sep 17 2018 tiwai@suse.de
- usb: gadget: udc: renesas_usb3: fix maxpacket size of ep0
  (bsc#1051510).
- USB: net2280: Fix erroneous synchronization change
  (bsc#1051510).
- USB: serial: ti_usb_3410_5052: fix array underflow in completion
  handler (bsc#1051510).
- USB: serial: io_ti: fix array underflow in completion handler
  (bsc#1051510).
- usb: Don't die twice if PCI xhci host is not responding in
  resume (bsc#1051510).
- drm/i915/overlay: Allocate physical registers from stolen
  (bsc#1051510).
- drm/i915/gvt: Fix the incorrect length of child_device_config
  issue (bsc#1051510).
- r8169: add support for NCube 8168 network card (bsc#1051510).
- drm/edid: Add 6 bpc quirk for SDC panel in Lenovo B50-80
  (bsc#1051510).
- drm/amdgpu:add new firmware id for VCN (bsc#1051510).
- drm/amdgpu:add tmr mc address into amdgpu_firmware_info
  (bsc#1051510).
- drm/i915/lpe: Mark LPE audio runtime pm as "no callbacks"
  (bsc#1051510).
- drm/amd/pp/Polaris12: Fix a chunk of registers missed to program
  (bsc#1051510).
- drm/amdgpu: Fix RLC safe mode test in
  gfx_v9_0_enter_rlc_safe_mode (bsc#1051510).
- ASoC: wm8994: Fix missing break in switch (bsc#1051510).
- ACPI / scan: Initialize status to ACPI_STA_DEFAULT
  (bsc#1051510).
- commit 4f06665
* Fri Sep 14 2018 tonyj@suse.de
- Netperf performance issue due to AppArmor net mediation (bsc#1108520)
  Refresh patches.apparmor/apparmor-check-all-net-profiles.patch
- commit cbd0695
* Fri Sep 14 2018 msuchanek@suse.de
- powerpc: KABI: move mce_data_buf into paca_aux (bsc#1094244).
- commit 1d4ef4d
* Fri Sep 14 2018 msuchanek@suse.de
- powerpc/pseries: Defer the logging of rtas error to irq work
  queue (bsc#1094244).
- commit 90db3c5
* Fri Sep 14 2018 msuchanek@suse.de
- powerpc: KABI add aux_ptr to hole in paca_struct to extend it
  with additional members (bsc#1094244).
- commit 5556e63
* Fri Sep 14 2018 msuchanek@suse.de
- doc/README.SUSE: Remove mentions of cloneconfig (bsc#1103636).
- commit 3371adc
* Fri Sep 14 2018 ptesarik@suse.cz
- Update config files: fix aarch64/vanilla and x86_64/vanilla build breakage.
- CONFIG_BCM2835_VCHIQ_SUPPORT_MEMDUMP default for vanilla lost by commit
  1941e55961ccd9792de6495b30642d4a54571140
- CONFIG_INTEL_PMC_CORE cannot be 'm' without applying
  patches.drivers/platform-x86-intel_pmc_core-Change-driver-to-a-modul.patch
  vanilla broken by commit ecda587c1c16e807871426d0c1fc72e05d59648d
- commit d2dd6ed
* Fri Sep 14 2018 ptesarik@suse.cz
- Update config files: fix aarch64/vanilla and x86_64/vanilla build breakage
  Since CONFIG_MMC_BLOCK_BOUNCE was removed from the base configs by commit
  07d3e14bafa1a5a66656f17c5c8ad33b5b4117a7, make oldconfig fails for vanilla.
- commit 0066f4a
* Fri Sep 14 2018 tbogendoerfer@suse.de
- kabi protect hnae_ae_ops (bsc#1107924).
- commit 5ac54e8
* Fri Sep 14 2018 tbogendoerfer@suse.de
- net: hns: add netif_carrier_off before change speed and duplex
  (bsc#1107924).
- net: hns: add the code for cleaning pkt in chip (bsc#1107924).
- commit 16541cc
* Thu Sep 13 2018 tiwai@suse.de
- vhost: correctly check the iova range when waking virtqueue
  (bsc#1051510).
- vfio/type1: Fix task tracking for QEMU vCPU hotplug
  (bsc#1051510).
- ti: ethernet: cpdma: Use correct format for genpool_*
  (bsc#1051510).
- tracepoint: Do not warn on ENOMEM (bsc#1051510).
- vhost: do not try to access device IOTLB when not initialized
  (bsc#1051510).
- vhost: use mutex_lock_nested() in vhost_dev_lock_vqs()
  (bsc#1051510).
- fix a page leak in vhost_scsi_iov_to_sgl() error recovery
  (bsc#1051510).
- vfio/pci: Virtualize Maximum Read Request Size (bsc#1051510).
- vfio/pci: Virtualize Maximum Payload Size (bsc#1051510).
- commit 63d1cac
* Thu Sep 13 2018 tiwai@suse.de
- Revert "PCI: Add ACS quirk for Intel 300 series" (bsc#1051510).
- commit e6b51b9
* Thu Sep 13 2018 nborisov@suse.com
- hfsplus: fix NULL dereference in hfsplus_lookup() (bsc#1102870, CVE-2018-14617).
- commit 3810954
* Thu Sep 13 2018 jack@suse.cz
- dax: remove default copy_from_iter fallback (bsc#1098782).
  patches.drivers/dax-remove-the-pmem_dax_ops-flush-abstraction.patch:
  Refresh
- commit 3c3db4d
* Thu Sep 13 2018 oneukum@suse.com
- pinctrl: intel: Add Intel Cedar Fork PCH pin controller support
  (FATE#326216).
- Update config files.
- commit 07810a3
* Thu Sep 13 2018 oneukum@suse.com
- mmc: sdhci-pci: Add support for Intel CDF (FATE#326216).
- commit 5c393bd
* Thu Sep 13 2018 jack@suse.cz
- pmem: Switch to copy_to_iter_mcsafe() (bsc#1098782).
- commit 9a8267b
* Thu Sep 13 2018 jack@suse.cz
- dax: Report bytes remaining in dax_iomap_actor() (bsc#1098782).
- commit e7253c5
* Thu Sep 13 2018 jack@suse.cz
- dax: Introduce a ->copy_to_iter dax operation (bsc#1098782).
- commit dd19686
* Thu Sep 13 2018 jack@suse.cz
- uio, lib: Fix CONFIG_ARCH_HAS_UACCESS_MCSAFE compilation
  (bsc#1098782).
- commit 37b2dab
* Thu Sep 13 2018 jack@suse.cz
- x86/asm/memcpy_mcsafe: Define copy_to_iter_mcsafe()
  (bsc#1098782).
- commit 45e6aa4
* Thu Sep 13 2018 jack@suse.cz
- x86/asm/memcpy_mcsafe: Add write-protection-fault handling
  (bsc#1098782).
- commit 88f00bb
* Thu Sep 13 2018 jack@suse.cz
- x86/asm/memcpy_mcsafe: Return bytes remaining (bsc#1098782).
- commit a845711
* Thu Sep 13 2018 jack@suse.cz
- x86/asm/memcpy_mcsafe: Add labels for __memcpy_mcsafe() write
  fault handling (bsc#1098782).
- commit d185440
* Thu Sep 13 2018 oneukum@suse.com
- Update patches.drivers/intel_th-pci-Add-Cedar-Fork-PCH-support
  (FATE#325099 FATE#326216).
- commit 5d705c7
* Thu Sep 13 2018 jack@suse.cz
- x86/asm/memcpy_mcsafe: Remove loop unrolling (bsc#1098782).
- commit 6aa2974
* Thu Sep 13 2018 oneukum@suse.com
- net: thunderbolt: Run disconnect flow asynchronously when
  logout is received (FATE#325789).
- commit 4fc9795
* Thu Sep 13 2018 oneukum@suse.com
- net: thunderbolt: Tear down connection properly on suspend
  (FATE#325789).
- commit f45b1cb
* Thu Sep 13 2018 oneukum@suse.com
- thunderbolt: Right shifting to zero bug in tbnet_handle_packet()
  (FATE#325789).
- commit 8f3cf0a
* Thu Sep 13 2018 oneukum@suse.com
- thunderbolt: Drop sequence number check from tb_xdomain_match()
  (FATE#325789).
- commit 7555c6b
* Thu Sep 13 2018 oneukum@suse.com
- thunderbolt: Initialize Thunderbolt bus earlier (FATE#325789).
- commit 1609587
* Thu Sep 13 2018 nsaenzjulienne@suse.de
- mmc: sdhci-pci: Add support for Intel ICP (FATE#326299).
- commit 2e5005d
* Thu Sep 13 2018 jack@suse.cz
- x86/mce: Fix set_mce_nospec() to avoid #GP fault (bsc#1107783).
- commit 7f8d2a1
* Thu Sep 13 2018 bp@suse.de
- x86/mcelog: Get rid of RCU remnants (git-fixes 5de97c9f6d85).
- commit dbcfc68
* Thu Sep 13 2018 tiwai@suse.de
- lan78xx: PHY DSP registers initialization to address EEE link
  drop issues with long cables (bsc#1085262).
- net: phy: add paged phy register accessors (bsc#1085262).
- net: phy: add unlocked accessors (bsc#1085262).
- net: mdiobus: add unlocked accessors (bsc#1085262).
- commit a4f4e5b
* Thu Sep 13 2018 tiwai@suse.de
- drm/nouveau/drm/nouveau: Fix bogus drm_kms_helper_poll_enable()
  placement (bsc#1051510).
- commit e4036a9
* Thu Sep 13 2018 glin@suse.com
- bpf: fix uninitialized variable in bpf tools (bsc#1083647).
- commit cee2bee
* Wed Sep 12 2018 oneukum@suse.com
- net: thunderbolt: Clear finished Tx frame bus address in
  tbnet_tx_callback() (FATE#325789).
- commit ee8e5ff
* Wed Sep 12 2018 jgross@suse.com
- x86/xen/efi: Initialize only the EFI struct members used by Xen
  (bnc#1107945).
- commit cc07f9e
* Wed Sep 12 2018 jgross@suse.com
- resort series.conf
- commit da3426b
* Wed Sep 12 2018 yousaf.kaukab@suse.com
- perf pmu: Add check for valid cpuid in perf_pmu__find_map()
  (fate#325865,fate#325861).
- commit 2bdcb55
* Wed Sep 12 2018 jack@suse.cz
- libnvdimm, pmem: Restore page attributes when clearing errors
  (bsc#1107783).
- commit c8cb253
* Wed Sep 12 2018 jack@suse.cz
- filesystem-dax: Introduce dax_lock_mapping_entry()
  (bsc#1107783).
  patches.kabi/kabi-fixup-bdev_dax_supported.patch: Refresh
- commit 16c290c
* Wed Sep 12 2018 jack@suse.cz
- mm, memory_failure: Collect mapping size in collect_procs()
  (bsc#1107783).
- commit a912b4a
* Wed Sep 12 2018 jack@suse.cz
- mm, madvise_inject_error: Disable MADV_SOFT_OFFLINE for
  ZONE_DEVICE pages (bsc#1107783).
- commit a07de12
* Wed Sep 12 2018 jack@suse.cz
- filesystem-dax: Set page->index (bsc#1107783).
- commit c7ba339
* Wed Sep 12 2018 jack@suse.cz
- mm, memory_failure: Teach memory_failure() about dev_pagemap
  pages (bsc#1107783).
- commit e03913e
* Wed Sep 12 2018 jack@suse.cz
- x86/mm/pat: Prepare {reserve, free}_memtype() for "decoy"
  addresses (bsc#1107783).
- commit 9bffeaa
* Wed Sep 12 2018 jack@suse.cz
- device-dax: Set page->index (bsc#1107783).
- commit 087ebb1
* Wed Sep 12 2018 jack@suse.cz
- x86/memory_failure: Introduce {set, clear}_mce_nospec()
  (bsc#1107783).
- commit 7879886
* Wed Sep 12 2018 jack@suse.cz
- mm, madvise_inject_error: Let memory_failure() optionally take
  a page reference (bsc#1107783).
- commit 37f04d6
* Wed Sep 12 2018 jack@suse.cz
- device-dax: Enable page_mapping() (bsc#1107783).
- commit d7bd7c1
* Wed Sep 12 2018 mbrugger@suse.com
- arm64: Update config files.
  Increase NR_CPUS to 384 (fate#325592)
- commit 1941e55
* Wed Sep 12 2018 yousaf.kaukab@suse.com
- perf arm spe: Fix uninitialized record error variable
  (fate#325865,fate#325861).
- perf vendor events arm64: Enable JSON events for eMAG
  (fate#325865,fate#325861).
- arm64: perf: Add support for chaining event counters
  (fate#325865,fate#325861).
- arm64: perf: Disable PMU while processing counter overflows
  (fate#325865,fate#325861).
- arm64: perf: Clean up armv8pmu_select_counter
  (fate#325865,fate#325861).
- arm_pmu: Tidy up clear_event_idx call backs
  (fate#325865,fate#325861).
- arm_pmu: Add support for 64bit event counters
  (fate#325865,fate#325861).
- arm_pmu: Change API to support 64bit counter values
  (fate#325865,fate#325861).
- arm_pmu: Clean up maximum period handling
  (fate#325865,fate#325861).
- drivers/perf: Initialise return value in armpmu_request_irqs()
  (fate#325865,fate#325861).
- perf/arm-cci: Remove VLA usage (fate#325865,fate#325861).
- perf vendor events arm64: Update ThunderX2 implementation
  defined pmu core events (fate#325865,fate#325861).
- perf arm64: Generate system call table from asm/unistd.h
  (fate#325865,fate#325861).
- tools include: Grab copies of arm64 dependent unistd.h files
  (fate#325865,fate#325861).
- drivers/perf: xgene_pmu: Fix IOB SLOW PMU parser error
  (fate#325865,fate#325861).
- bus: arm-cci: remove unnecessary unreachable()
  (fate#325865,fate#325861).
- ARM: mcpm, perf/arm-cci: export mcpm_is_available
  (fate#325865,fate#325861).
- drivers/bus: arm-cci: fix build warnings
  (fate#325865,fate#325861).
- drivers/perf: Remove ARM_SPE_PMU explicit PERF_EVENTS dependency
  (fate#325865,fate#325861).
- drivers/perf: arm-ccn: don't log to dmesg in event_init
  (fate#325865,fate#325861).
- perf/arm-cci: Allow building as a module
  (fate#325865,fate#325861).
- perf/arm-cci: Remove pointless PMU disabling
  (fate#325865,fate#325861).
- perf/arm-cc*: Fix MODULE_LICENSE() tags
  (fate#325865,fate#325861).
- arm_pmu: simplify arm_pmu::handle_irq (fate#325865,fate#325861).
- perf/arm-cci: Remove unnecessary period adjustment
  (fate#325865,fate#325861).
- perf: simplify getting .drvdata (fate#325865,fate#325861).
- perf tests: Run dwarf unwind test on arm32
  (fate#325865,fate#325861).
- perf/arm-cci: Untangle global cci_ctrl_base
  (fate#325865,fate#325861).
- perf/arm-cci: Clean up model discovery
  (fate#325865,fate#325861).
- bus/arm-cci: Streamline devicetree handling a bit
  (fate#325865,fate#325861).
- perf/arm-cci: Simplify CPU hotplug (fate#325865,fate#325861).
- drivers/bus: Split Arm CCI driver (fate#325865,fate#325861).
- drivers/bus: Move Arm CCN PMU driver (fate#325865,fate#325861).
- drivers/perf: arm_pmu_platform: do not warn about affinity on
  uniprocessor (fate#325865,fate#325861).
- perf: arm_spe: include linux/vmalloc.h for vmap()
  (fate#325865,fate#325861).
- perf vendor events arm64: Enable JSON events for ThunderX2 B0
  (fate#326417).
- perf vendor events arm64: add HiSilicon hip08 JSON file
  (fate#326417).
- perf vendor events arm64: fixup A53 to use recommended events
  (fate#326417).
- perf vendor events arm64: Fixup ThunderX2 to use recommended
  events (fate#326417).
- perf vendor events arm64: Add armv8-recommended.json
  (fate#326417).
- perf vendor events: Add support for arch standard events
  (fate#326417).
- perf vendor events arm64: Relocate Cortex A53 JSONs to arm
  subdirectory (fate#326417).
- perf vendor events arm64: Relocate ThunderX2 JSON to cavium
  subdirectory (fate#326417).
- perf vendor events: Add support for pmu events vendor
  subdirectory (fate#326417).
- perf vendor events: Drop support for unused topic directories
  (fate#326417).
- perf vendor events: Fix error code in json_events()
  (fate#326417).
- perf vendor events: Drop incomplete multiple mapfile support
  (fate#326417).
- perf tools arm64: Add libdw DWARF post unwind support for ARM64
  (fate#325865,fate#325861).
- perf auxtrace arm: Fixing uninitialised variable
  (fate#325865,fate#325861).
- arm_pmu: Use disable_irq_nosync when disabling SPI in CPU
  teardown hook (fate#325865,fate#325861).
- arm_pmu: acpi: request IRQs up-front (fate#325865,fate#325861).
- arm_pmu: note IRQs and PMUs per-cpu (fate#325865,fate#325861).
- arm_pmu: explicitly enable/disable SPIs at hotplug
  (fate#325865,fate#325861).
- arm_pmu: acpi: check for mismatched PPIs
  (fate#325865,fate#325861).
- arm_pmu: add armpmu_alloc_atomic() (fate#325865,fate#325861).
- arm_pmu: fold platform helpers into platform code
  (fate#325865,fate#325861).
- arm_pmu: kill arm_pmu_platdata (fate#325865,fate#325861).
- perf vendor events aarch64: Add JSON metrics for ARM Cortex-A53
  Processor (fate#326417).
- bitmap: replace bitmap_{from,to}_u32array
  (fate#325865,fate#325861).
- bitmap: new bitmap_copy_safe and bitmap_{from,to}_arr32
  (fate#325865,fate#325861).
- perf: dsu: Use signed field for dsu_pmu->num_counters
  (fate#325865,fate#325861).
- perf: ARM DynamIQ Shared Unit PMU support
  (fate#325865,fate#325861).
- arm_pmu: Use of_cpu_node_to_id helper (fate#325865,fate#325861).
- of: Add helper for mapping device node to logical CPU number
  (fate#325865,fate#325861).
- perf: Export perf_event_update_userpage
  (fate#325865,fate#325861).
- perf: arm_spe: Fail device probe when
  arm64_kernel_unmapped_at_el0() (fate#325865,fate#325861).
- perf tools: Add ARM Statistical Profiling Extensions (SPE)
  support (fate#325865,fate#325861).
- perf probe arm64: Fix symbol fixup issues due to ELF type
  (fate#325865,fate#325861).
- perf vendor events arm64: Add ThunderX2 implementation defined
  pmu core events (fate#326417).
- perf tools arm64: Add support for get_cpuid_str function
  (fate#325865,fate#325861).
- perf pmu: Pass pmu as a parameter to get_cpuid_str()
  (fate#325865,fate#325861).
- perf help: Fix a bug during strstart() conversion
  (fate#325865,fate#325861).
- bus: arm-ccn: Simplify code (fate#325865,fate#325861).
- bus: arm-ccn: constify attribute_group structures
  (fate#325865,fate#325861).
- arm64/bpf: correct broken uapi for BPF_PROG_TYPE_PERF_EVENT
  program type (fate#325865,fate#325861).
- tools headers: Synchronize perf_event.h header
  (fate#325865,fate#325861).
- arm64: perf: remove unsupported events for Cortex-A73
  (fate#325865,fate#325861).
- perf: arm_spe: Prevent module unload while the PMU is in use
  (fate#325865,fate#325861).
- perf: hisi: Add support for HiSilicon SoC DDRC PMU driver
  (fate#325865,fate#325861).
- perf: hisi: Add support for HiSilicon SoC HHA PMU driver
  (fate#325865,fate#325861).
- perf: hisi: Add support for HiSilicon SoC L3C PMU driver
  (fate#325865,fate#325861).
- perf: hisi: Add support for HiSilicon SoC uncore PMU driver
  (fate#325865,fate#325861).
- drivers/perf: Add support for ARMv8.2 Statistical Profiling
  Extension (fate#325865,fate#325861).
- perf/core: Add PERF_AUX_FLAG_COLLISION to report colliding
  samples (fate#325865,fate#325861).
- perf/core: Export AUX buffer helpers to modules
  (fate#325865,fate#325861).
- genirq: export irq_get_percpu_devid_partition to modules
  (fate#325865,fate#325861).
- arm/arm64: pmu: Distinguish percpu irq and percpu_devid irq
  (fate#325865,fate#325861).
- irqdesc: Add function to identify percpu_devid irqs
  (fate#325865,fate#325861).
- drivers/perf: arm_pmu_acpi: drop redundant acpi_disabled check
  (fate#325865,fate#325861).
- perf: qcom_l2_pmu: add event names (fate#325865,fate#325861).
- perf list: Add metric groups to perf list
  (fate#325865,fate#325861).
- perf stat: Support JSON metrics in perf stat
  (fate#325865,fate#325861).
- perf pmu: Extract function to get JSON alias map
  (fate#325865,fate#325861).
- perf stat: Factor out generic metric printing
  (fate#325865,fate#325861).
- perf vendor events: Support metric_group and no event name in
  JSON parser (fate#326417).
- perf pmu: Unbreak perf record for arm/arm64 with events with
  explicit PMU (fate#325865,fate#325861).
- drivers/perf: arm_pmu_acpi: Release memory obtained by kasprintf
  (fate#325865,fate#325861).
- perf stat: Only auto-merge events that are PMU aliases
  (fate#325865,fate#325861).
- bus: Convert to using %%pOF instead of full_name
  (fate#325865,fate#325861).
- lib/test_bitmap.c: add test for bitmap_parselist()
  (fate#325865,fate#325861).
- arm64: perf: add support for Cortex-A35
  (fate#325865,fate#325861).
- arm64: perf: add support for Cortex-A73
  (fate#325865,fate#325861).
- arm64: perf: Remove redundant entries from CPU-specific event
  maps (fate#325865,fate#325861).
- arm64: perf: Connect additional events to pmu counters
  (fate#325865,fate#325861).
- arm64: perf: Allow standard PMUv3 events to be extended by
  the CPU type (fate#325865,fate#325861).
- perf: xgene: Remove unnecessary managed resources cleanup
  (fate#325865,fate#325861).
- arm64: perf: Allow more than one cycle counter to be used
  (fate#325865,fate#325861).
- perf symbols: Fix plt entry calculation for ARM and AARCH64
  (fate#325865,fate#325861).
- perf events parse: Rename parse_events_parse arguments
  (fate#325865,fate#325861).
- perf events parse: Use just one parse events state struct
  (fate#325865,fate#325861).
- perf events parse: Rename parsing state struct to clearer name
  (fate#325865,fate#325861).
- perf events parse: Remove some needless local variables
  (fate#325865,fate#325861).
- perf jevents: Make build fail on JSON parse error (fate#326417).
- tools include: Adopt strstarts() from the kernel
  (fate#325865,fate#325861).
- drivers/perf: arm_pmu: Request PMU SPIs with IRQF_PER_CPU
  (fate#325865,fate#325861).
- perf: qcom_l2: fix column exclusion check
  (fate#325865,fate#325861).
- perf: Convert to using %%pOF instead of full_name
  (fate#325865,fate#325861).
- perf: xgene: Add support for SoC PMU version 3
  (fate#325865,fate#325861).
- perf: xgene: Move PMU leaf functions into function pointer
  structure (fate#325865,fate#325861).
- perf: xgene: Parse PMU subnode from the match table
  (fate#325865,fate#325861).
- drivers/perf: commonise PERF_EVENTS dependency
  (fate#325865,fate#325861).
- arm64: perf: Extend event config for ARMv8.1
  (fate#325865,fate#325861).
- bus: arm-ccn: Enable stats for CCN-502 interconnect
  (fate#325865,fate#325861).
- bus: arm-ccn: Use devm_kcalloc() in arm_ccn_probe()
  (fate#325865,fate#325861).
- bus: arm-ccn: Fix module autoload (fate#325865,fate#325861).
- commit 692e528
* Wed Sep 12 2018 wqu@suse.com
- btrfs: Introduce mount time chunk <-> dev extent mapping
  check (bsc#1102882, bsc#1102896, bsc#1102879, bsc#1102877,
  bsc#1102875,).
- commit 7f6f993
* Wed Sep 12 2018 wqu@suse.com
- btrfs: Verify that every chunk has corresponding block  group at
  mount time (bsc#1102882, bsc#1102896, bsc#1102879, bsc#1102877,
  bsc#1102875,).
- commit 1253638
* Wed Sep 12 2018 wqu@suse.com
- btrfs: Check that each block group has corresponding  chunk at
  mount time (bsc#1102882, bsc#1102896, bsc#1102879, bsc#1102877,
  bsc#1102875,).
- commit aca95a2
* Wed Sep 12 2018 wqu@suse.com
- btrfs: tree-checker: Detect invalid and empty essential
  trees (bsc#1102882, bsc#1102896, bsc#1102879, bsc#1102877,
  bsc#1102875,).
- btrfs: tree-checker: Verify block_group_item (bsc#1102882,
  bsc#1102896, bsc#1102879, bsc#1102877, bsc#1102875,).
- commit 99d8299
* Wed Sep 12 2018 wqu@suse.com
- btrfs: tree-checker: Replace root parameter with fs_info
  (bsc#1102882, bsc#1102896, bsc#1102879, bsc#1102877,
  bsc#1102875,).
- commit d7954ed
* Wed Sep 12 2018 tiwai@suse.de
- supported.conf: Add support of pinctrl-icelake (FATE#326296)
- commit 645a9d5
* Wed Sep 12 2018 tiwai@suse.de
- supported.conf: Add support of intel_pmc_* and co (FATE#326281)
- commit a759bba
* Wed Sep 12 2018 wqu@suse.com
- btrfs: tree-checker: use %%zu format string for size_t
  (bsc#1102882, bsc#1102896, bsc#1102879, bsc#1102877,
  bsc#1102875,).
- commit 910d229
* Wed Sep 12 2018 tiwai@suse.de
- Update config files: set CONFIG_INTEL_PMC_CORE as a module (FATE#326281)
- commit ecda587
* Wed Sep 12 2018 wqu@suse.com
- btrfs: tree-checker: Add checker for dir item (bsc#1102882,
  bsc#1102896, bsc#1102879, bsc#1102877, bsc#1102875,).
- commit 4d74bd3
* Wed Sep 12 2018 wqu@suse.com
- btrfs: tree-checker: Fix false panic for sanity test
  (bsc#1102882, bsc#1102896, bsc#1102879, bsc#1102877,
  bsc#1102875,).
- commit 78dd7ab
* Wed Sep 12 2018 wqu@suse.com
- btrfs: tree-checker: use %%zu format string for size_t
  (bsc#1102882, bsc#1102896, bsc#1102879, bsc#1102877,
  bsc#1102875,).
- commit aeec025
* Wed Sep 12 2018 wqu@suse.com
- btrfs: tree-checker: Enhance output for  check_extent_data_item
  (bsc#1102882, bsc#1102896, bsc#1102879, bsc#1102877,
  bsc#1102875,).
- btrfs: tree-checker: Enhance output for check_csum_item
  (bsc#1102882, bsc#1102896, bsc#1102879, bsc#1102877,
  bsc#1102875,).
- btrfs: tree-checker: Enhance output for btrfs_check_leaf
  (bsc#1102882, bsc#1102896, bsc#1102879, bsc#1102877,
  bsc#1102875,).
- btrfs: tree-checker: Enhance btrfs_check_node output
  (bsc#1102882, bsc#1102896, bsc#1102879, bsc#1102877,
  bsc#1102875,).
- btrfs: Move leaf and node validation checker to  tree-checker.c
  (bsc#1102882, bsc#1102896, bsc#1102879, bsc#1102877,
  bsc#1102875,).
- commit f8584a3
* Wed Sep 12 2018 wqu@suse.com
- btrfs: Add checker for EXTENT_CSUM (bsc#1102882, bsc#1102896,
  bsc#1102879, bsc#1102877, bsc#1102875,).
- btrfs: Add sanity check for EXTENT_DATA when reading out
  leaf (bsc#1102882, bsc#1102896, bsc#1102879, bsc#1102877,
  bsc#1102875,).
- btrfs: Check if item pointer overlaps with the item  itself
  (bsc#1102882, bsc#1102896, bsc#1102879, bsc#1102877,
  bsc#1102875,).
- btrfs: Refactor check_leaf function for later expansion
  (bsc#1102896, CVE-2018-14613).
- commit 9b8a387
* Tue Sep 11 2018 bp@suse.de
- blacklist.conf:
  Blacklist
  3d95b89e573b ("x86/ACPI/cstate: Make APCI C1 FFH MWAIT C-state description vendor-neutral")
- commit 89bf8f2
* Tue Sep 11 2018 bp@suse.de
- x86/spectre: Add missing family 6 check to microcode check
  (git-fixes a5b296636453).
- commit 5cb13eb
* Tue Sep 11 2018 bp@suse.de
- x86/events/intel/ds: Fix bts_interrupt_threshold alignment
  (git-fixes c1961a4631da).
- commit 81d0f0a
* Tue Sep 11 2018 ptesarik@suse.cz
- Revert "kABI workaround for posix-timers it_overrun 64bit changes"
  This reverts commit 4d6309b524da59bac044f45117a95d4651ac3497.
- commit dd0a84a
* Tue Sep 11 2018 tiwai@suse.de
- Update config files: enable CONFIG_SND_BCM2835_SOC_I2S (FATE#324827)
- commit 062e9fb
* Tue Sep 11 2018 oneukum@suse.com
- net: Add support for networking over Thunderbolt cable
  (FATE#325789).
- Update config files.
- Added thunderbolt-net to supported.conf
- commit 45eeaff
* Tue Sep 11 2018 oneukum@suse.com
- thunderbolt: Add function to retrieve DMA device for the ring
  (FATE#325789).
- Refresh
  patches.drivers/0001-thunderbolt-Add-boot-attribute-for-devices.patch.
- commit b057eb9
* Tue Sep 11 2018 oneukum@suse.com
- Update
  patches.drivers/0001-thunderbolt-Add-boot-attribute-for-devices.patch
  (FATE#325776).
- Update
  patches.drivers/0001-thunderbolt-Notify-userspace-when-boot_acl-is-change.patch
  (FATE#324324 FATE#325776).
- commit 86c9d52
* Tue Sep 11 2018 msuchanek@suse.de
- ibmvnic: Include missing return code checks in reset function
  (bnc#1107966).
- commit 556ed81
* Tue Sep 11 2018 tiwai@suse.de
- staging: bcm2835-audio: Simplify card object management
  (FATE#324827).
- staging: bcm2835-audio: Simplify kctl creation helpers
  (FATE#324827).
- staging: bcm2835-audio: Simplify PCM creation helpers
  (FATE#324827).
- staging: bcm2835-audio: Use coherent device buffers
  (FATE#324827).
- staging: bcm2835-audio: Move module parameter description
  (FATE#324827).
- staging: bcm2835-audio: Remove unnecessary header file includes
  (FATE#324827).
- staging: bcm2835-audio: Use standard error print helpers
  (FATE#324827).
- staging: bcm2835-audio: Use card->private_data (FATE#324827).
- staging: bcm2835-audio: Operate non-atomic PCM ops
  (FATE#324827).
- staging: bcm2835-audio: Code refactoring of vchiq accessor codes
  (FATE#324827).
- staging: bcm2835-audio: Make single vchi handle (FATE#324827).
- staging: bcm2835-audio: Add 10ms period constraint
  (FATE#324827).
- staging: bcm2835-audio: Drop superfluous mutex lock during
  prepare (FATE#324827).
- staging: bcm2835-audio: Drop debug messages in bcm2835-pcm.c
  (FATE#324827).
- staging: bcm2835-audio: Propagate parameter setup error
  (FATE#324827).
- staging: bcm2835-audio: Drop useless NULL check (FATE#324827).
- staging: bcm2835-audio: Drop unnecessary pcm indirect setup
  (FATE#324827).
- staging: bcm2835-audio: Use PCM runtime values instead
  (FATE#324827).
- staging: bcm2835-audio: Kill unused spinlock (FATE#324827).
- staging: bcm2835-audio: Fix incorrect draining handling
  (FATE#324827).
- staging: bcm2835-audio: Drop useless running flag and check
  (FATE#324827).
- staging: bcm2835-audio: Remove superfluous open flag
  (FATE#324827).
- staging: bcm2835-audio: Remove redundant function calls
  (FATE#324827).
- staging: bcm2835-audio: Fix mute controls, volume handling
  cleanup (FATE#324827).
- staging: bcm2835-audio: Remove redundant substream mask checks
  (FATE#324827).
- staging: bcm2835-audio: Clean up include files in bcm2835-ctl.c
  (FATE#324827).
- staging: bcm2835-audio: Remove redundant spdif stream ctls
  (FATE#324827).
- staging: bcm2835-audio: Clean up mutex locks (FATE#324827).
- commit db11616
* Tue Sep 11 2018 tiwai@suse.de
- staging: vc04_services: make a couple of pointers static
  (FATE#324827).
- staging: vc04_services: no need to save the log debufs dentries
  (FATE#324827).
- staging: vc04_services: vchiq_debugfs_log_entry can be a void *
  (FATE#324827).
- staging: vc04_services: remove struct vchiq_debugfs_info
  (FATE#324827).
- staging: vc04_services: move client dbg directory into static
  variable (FATE#324827).
- staging: vc04_services: remove odd vchiq_debugfs_top() wrapper
  (FATE#324827).
- staging: vc04_services: no need to check debugfs return values
  (FATE#324827).
- staging/vc04_services: Register a platform device for the
  camera driver (FATE#324827).
- staging: vc04_services: Remove stack hog issue from TODO
  (FATE#324827).
- staging: vchiq_shim: Remove unnecessary break (FATE#324827).
- staging: vchiq_arm: remove unnecessary return (FATE#324827).
- staging: vchiq_2835_arm: Fix whitespace issue in create_pagelist
  (FATE#324827).
- staging: vc04_services: Remove defines from Makefile
  (FATE#324827).
- staging: vchiq_arm: Make index variable more self-explaining
  (FATE#324827).
- staging: vchiq_arm: Rework second abort criterion (FATE#324827).
- staging: vchiq_arm: Clear VLA warning (FATE#324827).
- staging: vchiq_arm: print real dump limit (FATE#324827).
- staging: vchiq_core: Free kthreads in error case (FATE#324827).
- staging: vchiq_core: Move all wake-ups to one point
  (FATE#324827).
- staging: vchiq_arm: Avoid long udelay (FATE#324827).
- staging: vchiq_arm: Fix multiline dereferences (FATE#324827).
- staging: vc04_services: Use __func__ macro (FATE#324827).
- staging: vchiq_core: remove BITSET_ZERO (FATE#324827).
- staging: vchiq_core: Remove stackhog in process_free_queue
  (FATE#324827).
- staging: vchiq_core: Fix missing semaphore release in error case
  (FATE#324827).
- staging: vc04_services: Add outstanding VCHI TODOs
  (FATE#324827).
- staging: vc04_services: Remove import of bcm2835-camera from
  TODO (FATE#324827).
- staging: vc04_services: Remove
  vchiq_queue_bulk_{transmit,receive} (FATE#324827).
- staging: vc04_services: Mark the "DT bindings" job done
  (FATE#324827).
- staging: vc04_services: Remove cache-line-size property (v3)
  (FATE#324827).
- staging: vc04_services: Replace "firmware" node with a
  compatible lookup (FATE#324827).
- staging: vc04_services: Remove dead FRAGMENTS_T (FATE#324827).
- staging: vc04_services: merge vchiq_kern_lib.c into vchiq_arm.c
  (FATE#324827).
- staging: vc04_services: remove unused files (FATE#324827).
- staging: vc05_services: fix checkpatch.pl errors (FATE#324827).
- staging: vc04_services: Prefer WARN_ON_ONCE instead of if
  condition followed by BUG (FATE#324827).
- staging: vchiq_arm: Cleaning up codestyle warnings
  (FATE#324827).
- staging: vchiq_arm: Fixing code style of comments (FATE#324827).
- staging: vchiq_arm: Remove useless comments (FATE#324827).
- staging: vchiq_arm: fix open brace placement errors
  (FATE#324827).
- Staging: vc04_services: fix brace coding style issues in
  vchiq_shim.c (FATE#324827).
- vchiq_2835_arm: switch to get_user_pages_fast() (FATE#324827).
- staging: vc04_services: Remove unnecessary braces (FATE#324827).
- staging: vc04_services: Use __func__ instead of function name
  (FATE#324827).
- staging: vc04_services: Fix comment block coding style
  (FATE#324827).
- staging: vc04_services: vchiq_core: mark expected switch
  fall-through (FATE#324827).
- staging: vc04_services: Remove typedef struct
  vchiq_2835_state_struct (FATE#324827).
- staging: vc04_services: Remove extern variable (FATE#324827).
- staging: vc04_services: fix typos (FATE#324827).
- staging: vc04_services: remove BCM2835_VCHIQ_SUPPORT_MEMDUMP
  (FATE#324827).
- staging: vc04_services: Remove typedef struct (FATE#324827).
- Staging:vc04_services:vchiq_util.c: kzalloc call changed to
  kcalloc (FATE#324827).
- staging: vchiq_arm: fix error codes in probe (FATE#324827).
- staging: vchiq_core: Replace remaining BUG_ON with WARN_ON
  (FATE#324827).
- staging: vchiq_core: Bail out in case of invalid tx_pos
  (FATE#324827).
- staging: vchiq_core: Don't BUG if process is unexpected
  (FATE#324827).
- staging: vchiq_core: Bail out if ref_count is unexpected
  (FATE#324827).
- staging: vchiq_core: Bail out if service is NULL (FATE#324827).
- staging: vchiq_core: Don't BUG if sending RESUME fails
  (FATE#324827).
- staging: vchiq_core: Bailout if VCHIQ state is already
  initialized (FATE#324827).
- staging: vchiq_core: Simplify VCHIQ init (FATE#324827).
- staging: vchiq_2835_arm: Use PAGE_MASK macro (FATE#324827).
- staging: vchiq_2835_arm: Handle vmalloc_to_page error case
  (FATE#324827).
- staging: vchiq_2835_arm: Fix function name cleaup_pagelistinfo
  (FATE#324827).
- staging: vchiq_arm: Avoid multiline dereference (FATE#324827).
- staging: vchiq_arm: Fix variable names in comment (FATE#324827).
- staging: vchiq_2835_arm: Remove unnecessary assignment to
  slot_mem_size (FATE#324827).
- staging: vchiq_2835_arm: Reduce scope of i in free_pagelist
  (FATE#324827).
- staging: vchiq_core: Use return value of mutex_lock_killable
  directly (FATE#324827).
- commit cb7cb0b
* Tue Sep 11 2018 mwilck@suse.com
- Update
  patches.drivers/cdrom-information-leak-in-cdrom_ioctl_media_changed
  (bsc#1051510,bsc#1092903,CVE-2018-10940).
- commit 0f469f0
* Tue Sep 11 2018 ohering@suse.de
- xen: avoid crash in disable_hotplug_cpu (bsc#1106594).
- commit 3563072
* Mon Sep 10 2018 msuchanek@suse.de
- macros.kernel-source: pass -b properly in kernel module package
  (bsc#1107870).
- commit 66709cd
* Mon Sep 10 2018 nsaenzjulienne@suse.de
- mmc: block: fix lockdep splat when removing mmc_block module (FATE#324519).
- commit 20f30b9
* Mon Sep 10 2018 nsaenzjulienne@suse.de
- mmc: block: Fix unsupported parallel dispatch of requests (FATE#324519).
- commit 3f3754d
* Mon Sep 10 2018 nsaenzjulienne@suse.de
- mmc: core: Fix tracepoint print of blk_addr and blksz
  (FATE#324519).
- mmc: core: Avoid hanging to claim host for mmc via some nested
  calls (FATE#324519).
- mmc: sdhci: Implement an SDHCI-specific bounce buffer
  (FATE#324519).
- mmc: block: blk-mq: Potential NULL deref on mmc_blk_alloc_req()
  failure (FATE#324519).
- mmc: cqhci: Ensure macro parameters are wrapped in parentheses
  (FATE#324519).
- mmc: core: Remove code no longer needed after the switch to
  blk-mq (FATE#324519).
- mmc: block: Remove code no longer needed after the switch to
  blk-mq (FATE#324519).
- mmc: core: Remove option not to use blk-mq (FATE#324519).
- mmc: core: Ensure cmd_completion is initialized (FATE#324519).
- mmc: block: blk-mq: fix boolreturn.cocci warnings (FATE#324519).
- mmc: mmc_test: Do not use mmc_start_areq() anymore
  (FATE#324519).
- mmc: block: blk-mq: Stop using legacy recovery (FATE#324519).
- mmc: block: Reduce polling timeout from 10 minutes to 10 seconds (FATE#324519).
- Refresh patches.drivers/mmc-block-fix-updating-ext_csd-caches-on-ioctl-call (FATE#324519).
- mmc: block: Add timeout_clks when calculating timeout
  (FATE#324519).
- mmc: block: Check for transfer state in card_busy_detect()
  (FATE#324519).
- mmc: block: Check the timeout correctly in card_busy_detect()
  (FATE#324519).
- mmc: block: blk-mq: Check error bits and save the exception
  bit when polling card busy (FATE#324519).
- mmc: block: Make card_busy_detect() accumulate all response
  error bits (FATE#324519).
- mmc: block: blk-mq: Separate card polling from recovery
  (FATE#324519).
- mmc: block: blk-mq: Add support for direct completion
  (FATE#324519).
- mmc: sdhci-pci: Add CQHCI support for Intel GLK (FATE#324519).
- mmc: cqhci: support for command queue enabled host (FATE#324519).
- Update config files: enable eMMC-5.1's command queue support (CMDQ) (FATE#324519).
- supported.conf: add cqhci (FATE#324519).
- mmc: block: Add CQE support (FATE#324519).
- mmc: block: Add blk-mq support (FATE#324519).
- mmc: core: Add parameter use_blk_mq (FATE#324519).
- mmc: block: Add error-handling comments (FATE#324519).
- mmc: core: Make mmc_pre_req() and mmc_post_req() available
  (FATE#324519).
- mmc: block: Simplify cleaning up the queue (FATE#324519).
- mmc: block: No need to export mmc_cleanup_queue() (FATE#324519).
- mmc: sdhci: Avoid swiotlb buffer being full (FATE#324519).
- mmc: block: Ensure that debugfs files are removed (FATE#324519).
- mmc: block: Check return value of blk_get_request()
  (FATE#324519).
- mmc: block: Fix missing blk_put_request() (FATE#324519).
- mmc: core: Export a few functions needed for blkmq support
  (FATE#324519).
- mmc: block: Factor out mmc_setup_queue() (FATE#324519).
- mmc: block: Prepare CQE data (FATE#324519).
- mmc: block: Use local variables in mmc_blk_data_prep()
  (FATE#324519).
- mmc: mmc: Enable CQE's (FATE#324519).
- mmc: mmc: Enable Command Queuing (FATE#324519).
- mmc: core: Add support for handling CQE requests (FATE#324519).
- mmc: core: Introduce host claiming by context (FATE#324519).
- mmc: Delete bounce buffer handling (FATE#324519).
- mmc: block: Fix incorrectly initialized requests (FATE#324519).
- mmc: block: Refactor mmc_blk_part_switch() (FATE#324519).
- mmc: debugfs: Move block debugfs into block module
  (FATE#324519).
- mmc: ops: export mmc_get_status() (FATE#324519).
- mmc: block: Anonymize the drv op data pointer (FATE#324519).
- mmc: test: reduce stack usage in mmc_test_nonblock_transfer
  (FATE#324519).
- mmc: core: Turn off CQE before sending commands (FATE#324519).
- mmc: host: Add CQE interface (FATE#324519).
- mmc: core: Add members to mmc_request and mmc_data for CQE's
  (FATE#324519).
- mmc: core: Add mmc_retune_hold_now() (FATE#324519).
- mmc: core: Remove unused MMC_CAP2_PACKED_CMD (FATE#324519).
- mmc: block: prevent propagating R1_OUT_OF_RANGE for open-ending
  mode (FATE#324519).
- mmc: block: bypass the queue even if usage is present for
  hotplug (FATE#324519).
- mmc: block: Prevent new req entering queue after its cleanup
  (FATE#324519).
- mmc: block: Let MMC_IOC_MULTI_CMD return zero again for zero
  entries (FATE#324519).
- mmc: block: Initialize ret in mmc_blk_issue_drv_op() for
  MMC_DRV_OP_IOCTL (FATE#324519).
- mmc: core: check also R1 response for stop commands
  (FATE#324519).
- mmc: core: Move mmc_interrupt_hpi() from core.c to mmc_ops.c
  (FATE#324519).
- mmc: core: Move mmc bkops functions from core.c to mmc_ops.c
  (FATE#324519).
- mmc: block: Use __mmc_send_status() and drop get_card_status()
  (FATE#324519).
- mmc: block: Move boot partition locking into a driver op
  (FATE#324519).
- mmc: block: Move DRV OP issue function (FATE#324519).
- mmc: block: Tag DRV_OPs with a driver operation type
  (FATE#324519).
- mmc: block: remove req back pointer (FATE#324519).
- mmc: block: move multi-ioctl() to use block layer (FATE#324519).
- mmc: block: move single ioctl() commands to block requests
  (FATE#324519).
- mmc: core: Allocate per-request data using the block layer core
  (FATE#324519).
- mmc: core: Delete bounce buffer Kconfig option (FATE#324519).
- commit 3497345
* Mon Sep 10 2018 yousaf.kaukab@suse.com
- config: arm64: perf: enable HiSilicon, DynamIQ and SPE drivers
  Update supported.conf accordingly.
- commit 40f454c
* Mon Sep 10 2018 msuchanek@suse.de
- powerpc: Avoid code patching freed init sections (bnc#1107735).
- commit 0db159b
* Mon Sep 10 2018 mhocko@suse.com
- Refresh
  patches.arch/0001-x86-speculation-l1tf-Increase-l1tf-memory-limit-for-.patch.
- Refresh
  patches.kabi/0001-x86-kabi-speculation-l1tf-Increase-l1tf-memory-limit-for-.patch.
- commit 96ecd28
* Mon Sep 10 2018 nborisov@suse.com
- xfs: validate cached inodes are free when allocated (bsc#1100001, CVE-2018-13093).
- commit 49b81b5
* Mon Sep 10 2018 nborisov@suse.com
- xfs: don't call xfs_da_shrink_inode with NULL bp (bsc#1100000, CVE-2018-13094).
- commit 2124c37
* Mon Sep 10 2018 nborisov@suse.com
- patches.suse/xfs-fix-a-null-pointer-dereference-in-xfs_bmap_exten.patch: (bsc#1099999, CVE-2018-13095).
- commit 00092ab
* Mon Sep 10 2018 tiwai@suse.de
- Update patch tag / sort the upstreamed alarmtimer fix
- commit a0d9531
* Mon Sep 10 2018 tiwai@suse.de
- kABI workaround for posix-timers it_overrun 64bit changes
  (CVE-2018-12896,bsc#1099922).
- posix-timers: Sanitize overrun handling
  (CVE-2018-12896,bsc#1099922).
- commit 4d6309b
* Mon Sep 10 2018 jslaby@suse.cz
- x86/kasan/64: Teach KASAN about the cpu_entry_area (kasan).
- x86/mm/kasan: Don't use vmemmap_populate() to initialize shadow
  (kasan).
- Refresh
  patches.arch/22-x86-cpu_entry_area-move-it-out-of-the-fixmap.patch.
  Make KASAN build.
- commit 3ef9063
* Mon Sep 10 2018 tiwai@suse.de
- tools/power turbostat: Read extended processor family from CPUID
  (bsc#1051510).
- tools/power turbostat: fix -S on UP systems (bsc#1051510).
- tools: usb: ffs-test: Fix build on big endian systems
  (bsc#1051510).
- commit 88fdc8e
* Mon Sep 10 2018 tiwai@suse.de
- usb/phy: fix PPC64 build errors in phy-fsl-usb.c (bsc#1051510).
- commit 63486c9
* Mon Sep 10 2018 tiwai@suse.de
- udlfb: set optimal write delay (bsc#1051510).
- commit 9d6b4d5
* Mon Sep 10 2018 tiwai@suse.de
- uart: fix race between uart_put_char() and uart_shutdown()
  (bsc#1051510).
- commit 0cb3532
* Mon Sep 10 2018 tiwai@suse.de
- sunxi-rsb: Include OF based modalias in device uevent
  (bsc#1051510).
- commit 9eecba6
* Mon Sep 10 2018 tiwai@suse.de
- memory: tegra: Apply interrupts mask per SoC (bsc#1051510).
- memory: tegra: Do not handle spurious interrupts (bsc#1051510).
- commit 0590d27
* Mon Sep 10 2018 tiwai@suse.de
- media: Revert "[media] tvp5150: fix pad format frame height"
  (bsc#1051510).
- commit a131b55
* Mon Sep 10 2018 tiwai@suse.de
- ipmi:bt: Set the timeout before doing a capabilities check
  (bsc#1051510).
- commit bd1ddb1
* Mon Sep 10 2018 tiwai@suse.de
- Revert "UBIFS: Fix potential integer overflow in allocation"
  (bsc#1051510).
- commit 5739a28
* Mon Sep 10 2018 tiwai@suse.de
- i2c: i801: fix DNV's SMBCTRL register offset (bsc#1051510).
- i2c: uniphier-f: issue STOP only for last message or I2C_M_STOP
  (bsc#1051510).
- i2c: uniphier: issue STOP only for last message or I2C_M_STOP
  (bsc#1051510).
- commit d5290f6
* Mon Sep 10 2018 tiwai@suse.de
- spi: davinci: fix a NULL pointer dereference (bsc#1051510).
- spi: cadence: Change usleep_range() to udelay(), for atomic
  context (bsc#1051510).
- commit 9981a86
* Mon Sep 10 2018 tiwai@suse.de
- Update patch tag of dmi fix (bsc#1105597)
  Also moved to the sorted section.
- commit 30bc396
* Mon Sep 10 2018 mgorman@suse.de
- sched/numa: Do not move imbalanced load purely on the basis
  of an idle CPU (bnc#1101669 optimise numa balancing for fast
  migrate).
- sched/numa: Stop comparing tasks for NUMA placement after
  selecting an idle core (bnc#1101669 optimise numa balancing
  for fast migrate).
- sched/numa: remove unused nr_running field (bnc#1101669 optimise
  numa balancing for fast migrate).
- sched/numa: remove unused code from update_numa_stats()
  (bnc#1101669 optimise numa balancing for fast migrate).
- sched/numa: Remove numa_has_capacity() (bnc#1101669 optimise
  numa balancing for fast migrate).
- sched/numa: Remove unused task_capacity from 'struct numa_stats'
  (bnc#1101669 optimise numa balancing for fast migrate).
- sched/numa: Evaluate move once per node (bnc#1101669 optimise
  numa balancing for fast migrate).
- commit 168092b
* Mon Sep 10 2018 bpoirier@suse.com
- Refresh
  patches.fixes/qlge-Fix-netdev-features-configuration.patch.
- commit 74255c9
* Fri Sep  7 2018 msuchanek@suse.de
- powerpc/mce: Fix SLB rebolting during MCE recovery path
  (bsc#1094244).
- powerpc/64s: move machine check SLB flushing to mm/slb.c
  (bsc#1094244).
- powerpc/pseries: Fix endianness while restoring of r3 in MCE
  handler (bsc#1094244).
- powerpc/pseries: Avoid using the size greater than
  RTAS_ERROR_LOG_MAX (bsc#1094244).
- commit 3cdea6e
* Fri Sep  7 2018 msuchanek@suse.de
- powerpc/pseries: fix EEH recovery of some IOV devices
  (FATE#324970, bsc#1078720, git-fixes).
- commit 0ece9ad
* Fri Sep  7 2018 vliaskovitis@suse.com
- xen/blkback: remove unused pers_gnts_lock from struct
  (bsc#1085042).
- xen/blkfront: reorder tests in xlblk_init() (bsc#1085042).
- xen/blkfront: cleanup stale persistent grants (bsc#1085042).
- xen/blkback: move persistent grants flags to bool (bsc#1085042).
- xen/blkback: don't keep persistent grants too long
  (bsc#1085042).
- commit 31abf82
* Fri Sep  7 2018 tiwai@suse.de
- Update config files: enable CONFIG_PINCTRL_ICELAKE
  The arm64 configs are changed along with it due to kconfig cleanup.
- commit 0ff24fd
* Fri Sep  7 2018 tiwai@suse.de
- pinctrl: intel: Don't shadow error code of
  gpiochip_lock_as_irq() (FATE#326296).
- pinctrl: baytrail: actually print the apparently misconfigured
  pin (FATE#326296).
- pinctrl: intel: Do pin translation when lock IRQ (FATE#326296).
- pinctrl: baytrail: Mark expected switch fall-throughs
  (FATE#326296).
- pinctrl: intel: Convert to use SPDX identifier (FATE#326296).
- pinctrl: intel: Add Ice Lake PCH pin controller support
  (FATE#326296).
- pinctrl: cedarfork: Correct EAST pin ordering (FATE#326296).
- pinctrl: cherryview: limit Strago DMI workarounds to version
  1.0 (FATE#326296).
- pinctrl: sunrisepoint: Align GPIO number space with Windows
  (FATE#326296).
- pinctrl: intel: Implement intel_gpio_get_direction callback
  (FATE#326296).
- pinctrl: intel: ensure error return ret is initialized
  (FATE#326296).
- pinctrl: cannonlake: Align GPIO number space with Windows
  (FATE#326296).
- pinctrl: intel: Allow custom GPIO base for pad groups
  (FATE#326296).
- pinctrl: intel: merrifield: Introduce ACPI device table
  (FATE#326296).
- pinctrl: intel: Add Intel Cedar Fork PCH pin controller support
  (FATE#326296).
- pinctrl: intel: Make offset to interrupt status register
  configurable (FATE#326296).
- pinctrl: cherryview fixed typo in comment (FATE#326296).
- pinctrl: cherryview: fix issues caused by dynamic gpio irqs
  mapping (FATE#326296).
- pinctrl: intel: Decrease indentation in intel_gpio_set()
  (FATE#326296).
- pinctrl: intel: Disable GPIO pin interrupts in suspend
  (FATE#326296).
- pinctrl: intel: wrap Intel pin control drivers in an
  architecture check (FATE#326296).
- pinctrl: baytrail: Do not call WARN_ON for a firmware bug
  (FATE#326296).
- commit d5cbcb3
* Fri Sep  7 2018 tiwai@suse.de
- Update patch tag (CVE-2018-16658,bsc#1107689).
- commit c1fe790
* Fri Sep  7 2018 tbogendoerfer@suse.de
- i40e: fix condition of WARN_ONCE for stat strings (bsc#1107522).
- commit 58237b6
* Fri Sep  7 2018 tiwai@suse.de
- ipmi: Move BT capabilities detection to the detect call
  (bsc#1106779).
- commit f804445
* Fri Sep  7 2018 tiwai@suse.de
- Update config files: enable CONFIG_ACPI_LPIT=y (FATE#326281)
- commit c29f542
* Fri Sep  7 2018 tiwai@suse.de
- platform/x86: intel_pmc_core: Special case for Coffeelake
  (FATE#326281).
- platform/x86: intel_pmc_core: Add CannonLake PCH support
  (FATE#326281).
- platform/x86: intel_pmc_core: Read base address from LPIT
  (FATE#326281).
- platform/x86: intel_pmc_core: Remove unused header file
  (FATE#326281).
- platform/x86: intel_pmc_core: Convert to ICPU macro
  (FATE#326281).
- platform/x86: intel_pmc_core: Substitute PCI with CPUID
  enumeration (FATE#326281).
- platform/x86: intel_pmc_core: Refactor debugfs entries
  (FATE#326281).
- platform/x86: intel_pmc_core: Fix file permission warnings
  (FATE#326281).
- platform/x86: intel_pmc_core: Change driver to a module
  (FATE#326281).
- platform/x86: intel_pmc_core: Fix kernel doc for pmc_dev
  (FATE#326281).
- platform/x86: intel_pmc_core: Remove unused variable
  (FATE#326281).
- platform/x86: intel_pmc_core: Remove unused EXPORTED API
  (FATE#326281).
- platform/x86: intel_pmc_core: Make the driver PCH family
  agnostic (FATE#326281).
- commit 159802f
* Fri Sep  7 2018 tiwai@suse.de
- x86/cpu: Add Cannonlake to Intel family (FATE#326281).
- commit 71117d5
* Fri Sep  7 2018 tiwai@suse.de
- ACPI / LPIT: Export lpit_read_residency_count_address()
  (FATE#326281).
- commit ab5a04f
* Fri Sep  7 2018 tiwai@suse.de
- ACPI / LPIT: Add Low Power Idle Table (LPIT) support
  (FATE#326281).
- Refresh
  patches.drivers/ACPI-scan-Initialize-watchdog-before-PNP.patch.
- commit 9e20c47
* Fri Sep  7 2018 ptesarik@suse.cz
- Update references (bsc#1064232):
  patches.suse/0227-bcache-simplify-the-calculation-of-the-total-amount-.patch
  patches.suse/0228-bcache-finish-incremental-GC.patch
  patches.suse/0229-bcache-calculate-the-number-of-incremental-GC-nodes-.patch
  patches.suse/0230-bcache-fix-I-O-significant-decline-while-backend-dev.patch
  patches.suse/0231-bcache-free-heap-cache_set-flush_btree-in-bch_journa.patch
  patches.suse/0232-bcache-do-not-check-return-value-of-debugfs_create_d.patch
  patches.suse/0233-bcache-display-rate-debug-parameters-to-0-when-write.patch
  patches.suse/0234-bcache-avoid-unncessary-cache-prefetch-bch_btree_nod.patch
  patches.suse/0235-bcache-set-max-writeback-rate-when-I-O-request-is-id.patch
  patches.suse/0236-bcache-fix-error-setting-writeback_rate-through-sysf.patch
  patches.suse/0237-bcache-make-the-pr_err-statement-used-for-ENOENT-onl.patch
  patches.suse/0238-bcache-release-dc-writeback_lock-properly-in-bch_wri.patch
- commit 8cbdec7
* Fri Sep  7 2018 mkubecek@suse.cz
- irda: Only insert new objects into the global database via
  setsockopt (CVE-2018-6555 bsc#1106511).
- irda: Fix memory leak caused by repeated binds of irda socket
  (CVE-2018-6554 bsc#1106509).
- commit 9ab3d1d
* Fri Sep  7 2018 mhocko@suse.com
- mm/hugetlb: filter out hugetlb pages if HUGEPAGE migration is
  not supported (bnc#1106697).
- commit 1d9bc2e
* Thu Sep  6 2018 jeffm@suse.com
- Update headers for file system patches.
- commit 451e265
* Thu Sep  6 2018 jeffm@suse.com
- btrfs: fix error handling in btrfs_dev_replace_start
  (bsc#1107535).
- commit 4e881dc
* Thu Sep  6 2018 oneukum@suse.com
- PCI: Add wrappers for dev_printk() (FATE#325195).
- Refresh
  patches.drivers/PCI-Allow-release-of-resources-that-were-never-assig.
- Refresh
  patches.drivers/PCI-Remove-messages-about-reassigning-resources.
- commit bf1b34e
* Thu Sep  6 2018 jslaby@suse.cz
- PCI: OF: Fix I/O space page leak (git-fixes).
- PCI: hv: Make sure the bus domain is really unique (git-fixes).
- commit 8945aab
* Thu Sep  6 2018 tiwai@suse.de
- Update patch tags of upstreamed patches; not moved to sorted section yet
- commit 94311a8
* Thu Sep  6 2018 jslaby@suse.cz
- PCI: aardvark: Fix I/O space page leak (git-fixes).
- /dev/mem: Avoid overwriting "err" in read_mem() (git-fixes).
- commit 43758f4
* Thu Sep  6 2018 jslaby@suse.cz
- /dev/mem: Add bounce buffer for copy-out (git-fixes).
- ipmi/powernv: Fix error return code in ipmi_powernv_probe()
  (git-fixes).
- commit d0767ac
* Thu Sep  6 2018 tiwai@suse.de
- Update patch tags of recent security fixes (bsc#1106426)
- commit 47c1bca
* Thu Sep  6 2018 glin@suse.com
- bpf: use GFP_ATOMIC instead of GFP_KERNEL in bpf_parse_prog()
  (bsc#1083647).
- bpf: hash map: decrement counter on error (bsc#1083647).
- bpf, s390: fix potential memleak when later bpf_jit_prog fails
  (bsc#1083647).
- commit 50a2ab4
* Thu Sep  6 2018 tiwai@suse.de
- gpiolib: acpi: Switch to cansleep version of GPIO library call
  (bsc#1051510).
- commit bc3eb16
* Thu Sep  6 2018 tiwai@suse.de
- Workaround kABI breakage by __must_check drop of strscpy()
  (bsc#1051510).
- commit 9066acc
* Thu Sep  6 2018 tiwai@suse.de
- string: drop __must_check from strscpy() and restore strscpy()
  usages in cgroup (bsc#1051510).
- cgroup: avoid copying strings longer than the buffers
  (bsc#1051510).
- commit 6f17138
* Wed Sep  5 2018 tiwai@suse.de
- usb: gadget: r8a66597: Fix a possible sleep-in-atomic-context
  bugs in r8a66597_queue() (bsc#1051510).
- usb: gadget: r8a66597: Fix two possible sleep-in-atomic-context
  bugs in init_controller() (bsc#1051510).
- commit 647cd5a
* Wed Sep  5 2018 tiwai@suse.de
- mei: don't update offset in write (bsc#1051510).
- commit 157d749
* Wed Sep  5 2018 tiwai@suse.de
- libahci: Fix possible Spectre-v1 pmp indexing in
  ahci_led_store() (bsc#1051510).
- commit 555fb22
* Wed Sep  5 2018 tiwai@suse.de
- i2c: davinci: Avoid zero value of CLKH (bsc#1051510).
- commit 25360bc
* Wed Sep  5 2018 tiwai@suse.de
- gpiolib-acpi: make sure we trigger edge events at least once
  on boot (bsc#1051510).
- commit b312d67
* Wed Sep  5 2018 tiwai@suse.de
- drm/bridge: adv7511: Reset registers on hotplug (bsc#1051510).
- drm/imx: imx-ldb: check if channel is enabled before printing
  warning (bsc#1051510).
- drm/imx: imx-ldb: disable LDB on driver bind (bsc#1051510).
- commit 294968d
* Wed Sep  5 2018 tiwai@suse.de
- cdrom: Fix info leak/OOB read in cdrom_ioctl_drive_status
  (bsc#1051510).
- commit 4524c3a
* Wed Sep  5 2018 tiwai@suse.de
- b43legacy/leds: Ensure NUL-termination of LED name string
  (bsc#1051510).
- b43/leds: Ensure NUL-termination of LED name string
  (bsc#1051510).
- commit e4b4203
* Wed Sep  5 2018 tiwai@suse.de
- nl80211: Add a missing break in parse_station_flags
  (bsc#1051510).
- mac80211: add stations tied to AP_VLANs during hw reconfig
  (bsc#1051510).
- commit db4daaa
* Wed Sep  5 2018 tiwai@suse.de
- udl-kms: avoid division (bsc#1051510).
- udl-kms: fix crash due to uninitialized memory (bsc#1051510).
- udl-kms: handle allocation failure (bsc#1051510).
- udl-kms: change down_interruptible to down (bsc#1051510).
- commit 161b133
* Wed Sep  5 2018 tiwai@suse.de
- Refresh patches.drivers/platform-x86-ideapad-laptop-Apply-no_hw_rfkill-to-Y2
  Updated patch tags and moved to sorted section
- commit 74c158d
* Wed Sep  5 2018 lhenriques@suse.com
- ceph: return errors from posix_acl_equiv_mode() correctly
  (bsc#1107320).
- ceph: fix incorrect use of strncpy (bsc#1107319).
- commit 899eb9e
* Wed Sep  5 2018 bp@suse.de
- x86/microcode: Update the new microcode revision unconditionally
  (fate#325576).
- x86/microcode: Make sure boot_cpu_data.microcode is up-to-date
  (fate#325576).
- commit 4e4f7da
* Wed Sep  5 2018 bp@suse.de
- x86/MCE: Save microcode revision in machine check records
  (fate#325576).
- x86/microcode: Propagate return value from updating functions
  (fate#325576).
- commit ec1b5c2
* Wed Sep  5 2018 oneukum@suse.com
- uuid: Take const on input of uuid_is_null() and guid_is_null()
  (FATE#324324).
- commit 7c1487f
* Wed Sep  5 2018 tiwai@suse.de
- crypto: vmx - Fix sleep-in-atomic bugs (bsc#1051510).
- commit d3a49ba
* Wed Sep  5 2018 yousaf.kaukab@suse.com
- Update
  patches.drivers/0016-arm64-vgic-v2-Fix-proxying-of-cpuif-access.patch
  (bsc#1106901, bsc#1107265).
- commit 1deae2a
* Wed Sep  5 2018 tiwai@suse.de
- mac80211: fix an off-by-one issue in A-MSDU max_subframe
  computation (bsc#1051510).
- mac80211: always account for A-MSDU header changes
  (bsc#1051510).
- cfg80211: nl80211_update_ft_ies() to validate NL80211_ATTR_IE
  (bsc#1051510).
- mac80211: avoid kernel panic when building AMSDU from non-linear
  SKB (bsc#1051510).
- commit f688a83
* Wed Sep  5 2018 tiwai@suse.de
- Update config files: disable useless pinctrl-intel on arm64
- commit e138d79
* Wed Sep  5 2018 tiwai@suse.de
- mfd: intel-lpss: Add Ice Lake PCI IDs (bsc#1051510).
- commit 31dc7a0
* Wed Sep  5 2018 tiwai@suse.de
- i2c: i801: Add support for Intel Ice Lake (bsc#1051510).
- i2c: i801: Consolidate chipset names in documentation and
  Kconfig (bsc#1051510).
- spi: pxa2xx: Add support for Intel Ice Lake (bsc#1051510).
- ahci: Add Intel Ice Lake LP PCI ID (bsc#1051510).
- i2c: i801: Add missing documentation entries for Braswell and
  Kaby Lake (bsc#1051510).
- i2c: i801: Add support for Intel Cedar Fork (bsc#1051510).
- commit 61acf60
* Wed Sep  5 2018 mhocko@suse.com
- blacklist.conf: a6f572084fbe mm/tlb: Remove tlb_remove_table() non-concurrent condition
- commit 9917b05
* Wed Sep  5 2018 jthumshirn@suse.de
- mm: fix devmem_is_allowed() for sub-page System RAM
  intersections (bsc#1106800).
- commit 8872b9e
* Wed Sep  5 2018 tiwai@suse.de
- watchdog: hpwdt: Update version number
  (FATE#325978,bsc#1105831).
- watchdog: hpwdt: Module paramerter alias
  (FATE#325978,bsc#1105831).
- watchdog: hpwdt: Display module parameters
  (FATE#325978,bsc#1105831).
- watchdog: hpwdt: Claim NMI from iLO (FATE#325978,bsc#1105831).
- watchdog: hpwdt: Initialize pretimeout from module parameter
  (FATE#325978,bsc#1105831).
- commit ba9abb2
* Wed Sep  5 2018 tiwai@suse.de
- watchdog: hpwdt: Claim NMIs generated by iLO5
  (FATE#325978,bsc#1105831).
- watchdog: hpwdt: Update driver version
  (FATE#325978,bsc#1105831).
- watchdog: hpwdt: Add dynamic debug (FATE#325978,bsc#1105831).
- watchdog: hpwdt: Programable Pretimeout NMI
  (FATE#325978,bsc#1105831).
- watchdog: hpwdt: remove allow_kdump module parameter
  (FATE#325978,bsc#1105831).
- watchdog: hpwdt: condition early return of NMI handler on iLO5
  (FATE#325978,bsc#1105831).
- watchdog: hpwdt: Modify to use watchdog core
  (FATE#325978,bsc#1105831).
- watchdog: hpwdt: Update nmi_panic message
  (FATE#325978,bsc#1105831).
- watchdog: hpwdt: Update Module info and copyright
  (FATE#325978,bsc#1105831).
- commit 6862fb2
* Wed Sep  5 2018 tbogendoerfer@suse.de
- net: hns3: fix page_offset overflow when CONFIG_ARM64_64K_PAGES
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for waterline not setting correctly (bsc#1104353
  FATE#326415).
  Refresh
  patches.drivers/net-hns3-Standardize-the-handle-of-return-value.patch.
- commit 945fd24
* Wed Sep  5 2018 hare@suse.de
- block: don't print a message when the device went away (bsc#1098459).
- commit 1899101
* Wed Sep  5 2018 bpoirier@suse.com
- Fix Patch-mainline tag in some patches
  These fixes are along the same lines as the fixes done in
  8ee956fca2e5 ("Fix invalid Patch-mainline tags ("next-release")")
  ..
  3525f6717bc4 ("Update Patch-mainline tags to start with "v"")
- commit cdc2b81
* Wed Sep  5 2018 jthumshirn@suse.de
- kabi protect struct kvm_sync_regs (bsc#1106948).
- commit 6de71f5
* Wed Sep  5 2018 jthumshirn@suse.de
- KVM: s390: add etoken support for guests (bsc#1106948,
  LTC#171029).
- KVM: s390: implement CPU model only facilities (bsc#1106948,
  LTC#171029).
- commit 6308e19
* Wed Sep  5 2018 tiwai@suse.de
- blacklist.conf: Add a blacklist entry for the reverted patch (bsc#1106743)
- commit ed4fb91
* Tue Sep  4 2018 colyli@suse.de
- bcache: release dc->writeback_lock properly in
  bch_writeback_thread().
- bcache: fix error setting writeback_rate through sysfs
  interface.
- bcache: make the pr_err statement used for ENOENT only in
  sysfs_attatch section.
- bcache: set max writeback rate when I/O request is idle.
- bcache: avoid unncessary cache prefetch bch_btree_node_get().
- bcache: display rate debug parameters to 0 when writeback is
  not running.
- bcache: do not check return value of debugfs_create_dir().
- bcache: free heap cache_set->flush_btree in bch_journal_free.
- bcache: fix I/O significant decline while backend devices
  registering.
- bcache: calculate the number of incremental GC nodes according
  to the total of btree nodes.
- bcache: finish incremental GC.
- bcache: simplify the calculation of the total amount of flash
  dirty data.
- commit 13a08de
* Tue Sep  4 2018 bp@suse.de
- crypto: ccp - Add support for new CCP/PSP device ID
  (fate#325977).
- crypto: ccp - Support register differences between PSP devices
  (fate#325977).
- crypto: ccp - Remove unused #defines (fate#325977).
- crypto: ccp - Add psp enabled message when initialization
  succeeds (fate#325977).
- commit 7f69205
* Tue Sep  4 2018 lhenriques@suse.com
- kabi/severities: Whitelist libceph, rbd, and ceph (bsc#1096748).
- commit 9628dcb
* Tue Sep  4 2018 jslaby@suse.cz
- netfilter: ip6t_rpfilter: set F_IFACE for linklocal addresses
  (git-fixes).
- commit 12ce0a3
* Tue Sep  4 2018 mhocko@suse.com
- blacklist.conf: 5df63c2a149a hugetlbfs: fix bug in pgoff overflow checking
- commit 993b56a
* Tue Sep  4 2018 mhocko@suse.com
- memcg, thp: do not invoke oom killer on thp charges
  (bnc#1089663).
- commit 753b076
* Tue Sep  4 2018 mhocko@suse.com
- blacklist.conf: 698d0831ba87 vmalloc: fix __GFP_HIGHMEM usage for vmalloc_32 on 32b systems
- commit 4579ce2
* Tue Sep  4 2018 jgross@suse.com
- xen-netfront: fix warn message as irq device name has '/'
  (bnc#1065600).
- xen-netfront: fix queue name setting (bnc#1065600).
- commit 70b555b
* Tue Sep  4 2018 tiwai@suse.de
- Delete patches.drivers/driver-core-Partially-revert-driver-core-correct-dev
  The patch causes errors at reboot, revert it for the time being (bsc#1093389)
- commit ed60106
* Tue Sep  4 2018 bp@suse.de
- ptrace,x86: Make user_64bit_mode() available to 32-bit builds
  (fate#325790).
- selftests/x86: Add tests for the STR and SLDT instructions
  (fate#325790).
- selftests/x86: Add tests for User-Mode Instruction Prevention
  (fate#325790).
- uprobes/x86: Use existing definitions for segment override
  prefixes (fate#325790).
- x86/boot: Relocate definition of the initial state of CR0
  (fate#325790).
- x86/cpufeature: Add User-Mode Instruction Prevention definitions
  (fate#325790).
- x86/insn-eval: Add a utility function to get register offsets
  (fate#325790).
- x86/insn-eval: Add function to get default params of code
  segment (fate#325790).
- x86/insn-eval: Add support to resolve 16-bit address encodings
  (fate#325790).
- x86/insn-eval: Add support to resolve 32-bit address encodings
  (fate#325790).
- x86/insn-eval: Add utility function to get segment descriptor
  (fate#325790).
- x86/insn-eval: Add utility function to identify string
  instructions (fate#325790).
- x86/insn-eval: Add utility functions to get segment descriptor
  base address and limit (fate#325790).
- x86/insn-eval: Add utility functions to get segment selector
  (fate#325790).
- x86/insn-eval: Add wrapper function for 32 and 64-bit addresses
  (fate#325790).
- x86/insn-eval: Compute linear address in several utility
  functions (fate#325790).
- x86/insn-eval: Do not BUG on invalid register type
  (fate#325790).
- x86/insn-eval: Extend get_seg_base_addr() to also obtain
  segment limit (fate#325790).
- x86/insn-eval: Handle 32-bit address encodings in virtual-8086
  mode (fate#325790).
- x86/insn-eval: Incorporate segment base in linear address
  computation (fate#325790).
- x86/insn-eval: Indicate a 32-bit displacement if ModRM.mod is
  0 and ModRM.rm is 101b (fate#325790).
- x86/mm: Relocate page fault error codes to traps.h
  (fate#325790).
- x86/mpx: Do not use SIB.base if its value is 101b and ModRM.mod
  = 0 (fate#325790).
- x86/mpx: Do not use SIB.index if its value is 100b and ModRM.mod
  is not 11b (fate#325790).
- x86/mpx: Simplify handling of errors when computing linear
  addresses (fate#325790).
- x86/mpx: Use signed variables to compute effective addresses
  (fate#325790).
- x86/mpx, x86/insn: Relocate insn util functions to a new
  insn-eval file (fate#325790).
- x86/traps: Fix up general protection faults caused by UMIP
  (fate#325790).
- x86/umip: Add emulation code for UMIP instructions
  (fate#325790).
- x86/umip: Enable User-Mode Instruction Prevention at runtime
  (fate#325790).
- x86/umip: Force a page fault when unable to copy emulated
  result to user (fate#325790).
- x86/umip: Identify the STR and SLDT instructions (fate#325790).
- x86/umip: Print a line in the boot log that UMIP has been
  enabled (fate#325790).
- x86/umip: Print a warning into the syslog if UMIP-protected
  instructions are used (fate#325790).
- x86/umip: Select X86_INTEL_UMIP by default (fate#325790).
- Update config files.
- Refresh
  patches.arch/20-x86-retpoline-add-initial-retpoline-support.patch.
- Refresh
  patches.arch/x86-cpufeatures-add-cpuid_7_edx-cpuid-leaf.patch.
- Refresh
  patches.suse/0001-x86-speculation-Add-basic-IBRS-support-infrastructur.patch.
- commit 82afe71
* Tue Sep  4 2018 mhocko@suse.com
- Revert "mm: page_alloc: skip over regions of invalid pfns
  where possible" (bnc#1107078).
- commit d6d850e
* Tue Sep  4 2018 mhocko@suse.com
- mm/huge_memory.c: fix data loss when splitting a file pmd
  (bnc#1107074).
- commit 1955309
* Tue Sep  4 2018 mgorman@suse.de
- Delete
  patches.suse/sched-numa-Evaluate-move-once-per-node.patch.
- Delete
  patches.suse/sched-numa-Remove-unused-task_capacity-from-struct-numa_stats.patch.
- commit db82b9f
* Tue Sep  4 2018 mhocko@suse.com
- Revert "vmalloc: back off when the current task is killed"
  (bnc#1107073).
- commit e8d477c
* Tue Sep  4 2018 yousaf.kaukab@suse.com
- crypto: caam - fix DMA mapping direction for RSA forms 2 & 3 (fate#326534).
- crypto: caam/qi - fix warning in init_cgr() (fate#326534).
- crypto: caam - fix rfc4543 descriptors (fate#326534).
- crypto: caam - fix MC firmware detection (fate#326534).
- crypto: caam - fix size of RSA prime factor q (fate#326534).
- crypto: caam: - Use kmemdup() function (fate#326534).
- crypto: caam - allow retrieving 'era' from register (fate#326534).
- crypto: caam - staticize caam_get_era() (fate#326534).
- crypto: caam/qi - don't leak pointers to authenc keys (fate#326534).
- crypto: caam - don't leak pointers to authenc keys (fate#326534).
- crypto: caam - do not use mem and emi_slow clock for imx7x (fate#326534).
- crypto: caam/qi - add GCM support (fate#326534).
- crypto: caam - prepare for gcm(aes) support over QI interface (fate#326534).
- crypto: caam/qi - return -EBADMSG for ICV check failure (fate#326534).
- crypto: caam - add Derived Key Protocol (DKP) support (fate#326534).
- crypto: caam - save Era in driver's private data (fate#326534).
- crypto: caam - remove needless ablkcipher key copy (fate#326534).
  Refresh patches.drivers/crypto-caam-qi-fix-error-path-in-xts-setkey.patch
- crypto: caam - constify key data (fate#326534).
- crypto: caam - remove unused param of ctx_map_to_sec4_sg() (fate#326534).
- crypto: caam - remove unneeded edesc zeroization (fate#326534).
- crypto: caam/qi - abort algorithm setup on DPAA2 parts (fate#326534).
- crypto: caam - Use GCM IV size constant (fate#326534).
- crypto: caam - fix LS1021A support on ARMv7 multiplatform kernel (fate#326534).
- crypto: caam - Remove unused dentry members (fate#326534).
- crypto: caam/jr - add support for DPAA2 parts (fate#326534).
- crypto: caam - free qman_fq after kill_fq (fate#326534).
- crypto: caam - fix condition for the jump over key(s) command (fate#326534).
- crypto: caam - clean-up in caam_init_rng() (fate#326534).
- crypto: caam - remove unused variables in caam_drv_private (fate#326534).
- crypto: caam - remove unused sg_to_sec4_sg_len() (fate#326534).
- crypto: caam/qi - lower driver verbosity (fate#326534).
- crypto: caam/qi - remove unused header sg_sw_sec4.h (fate#326534).
- crypto: caam - fix gfp allocation flags (part II) (fate#326534).
  Refresh patches.drivers/crypto-caam-strip-input-zeros-from-RSA-input-buffer
- crypto: caam - make of_device_ids const (fate#326534).
- crypto: caam - add support for RSA key form 3 (fate#326534).
- crypto: caam - add support for RSA key form 2 (fate#326534).
- crypto: caam - incapsulate dropping leading zeros into function (fate#326534).
- crypto: caam - avoid kzalloc(0) in caam_read_raw_data (fate#326534).
- commit af10056
* Tue Sep  4 2018 mhocko@suse.com
- mm: memcg: fix use after free in mem_cgroup_iter()
  (bnc#1107065).
- commit 4cee20a
* Tue Sep  4 2018 mhocko@suse.com
- blacklist.conf: 78bb920344b8 mm: hwpoison: dissolve in-use hugepage in unrecoverable memory error
- commit 8b28382
* Tue Sep  4 2018 mhocko@suse.com
- mm/vmscan: wake up flushers for legacy cgroups too
  (bnc#1107061).
- commit 98c3af9
* Tue Sep  4 2018 mhocko@suse.com
- slab: __GFP_ZERO is incompatible with a constructor
  (bnc#1107060).
- commit de0a673
* Tue Sep  4 2018 mhocko@suse.com
- blacklist.conf: f113e64121ba ("mm/vmstat.c: fix wrong comment")
- commit ad74a8e
* Tue Sep  4 2018 mhocko@suse.com
- blacklist.conf: 955c97f0859a ("mm/swapfile.c: fix swap_count comment about nonexistent SWAP_HAS_CONT")
- commit 25b7eb6
* Tue Sep  4 2018 mhocko@suse.com
- blacklist.conf: blacklist 6cc22dc08a24 ("revert "mm/memblock: add missing include <linux/bootmem.h>"")
- commit d5d76ad
* Tue Sep  4 2018 mhocko@suse.com
- blacklist.conf: blacklist a7bed27af194 ("bug: fix "cut here" location for __WARN_TAINT architectures")
- commit b1ea131
* Tue Sep  4 2018 bp@suse.de
- x86/intel_rdt/mba_sc: Feedback loop to dynamically update mem
  bandwidth (fate#325749).
- x86/intel_rdt/mba_sc: Prepare for feedback loop (fate#325749).
- x86/intel_rdt/mba_sc: Add schemata support (fate#325749).
- x86/intel_rdt/mba_sc: Add initialization support (fate#325749).
- x86/intel_rdt/mba_sc: Enable/disable MBA software controller
  (fate#325749).
- x86/intel_rdt/mba_sc: Documentation for MBA software
  controller(mba_sc) (fate#325749).
- commit 9fd2c48
* Tue Sep  4 2018 glin@suse.com
- selftests/bpf: fix a typo in map in map test (bsc#1083647).
- selftests/bpf/test_maps: exit child process without error in
  ENOMEM case (bsc#1083647).
- libbpf: Makefile set specified permission mode (bsc#1083647).
- samples/bpf: adjust rlimit RLIMIT_MEMLOCK for xdp1
  (bsc#1083647).
- commit 6dbb87a
* Tue Sep  4 2018 nborisov@suse.com
- btrfs: Handle error from btrfs_uuid_tree_rem call in _btrfs_ioctl_set_received_subvol (bsc#1097105).
- commit bac7ef9
* Tue Sep  4 2018 mhocko@suse.com
- sys: don't hold uts_sem while accessing userspace memory
  (bnc#1106995).
- commit 45c02c7
* Tue Sep  4 2018 jack@suse.cz
- errseq: Add to documentation tree (bsc#1107008).
- commit c5caa9a
* Tue Sep  4 2018 jack@suse.cz
- Documentation: add some docs for errseq_t (bsc#1107008).
- commit 4fe4598
* Tue Sep  4 2018 jack@suse.cz
- errseq: Always report a writeback error once (bsc#1107008).
- commit 59f66ac
* Tue Sep  4 2018 nborisov@suse.com
- btrfs: Fix use-after-free when cleaning up fs_devs with a single  stale device (bsc#1097105).
- commit 915f064
* Tue Sep  4 2018 nborisov@suse.com
- btrfs: round down size diff when shrinking/growing device (bsc#1097105).
- btrfs: Manually implement device_total_bytes getter/setter (bsc#1043912).
- btrfs: Round down values which are written for total_bytes_size (bsc#1043912).
- commit bd2cec0
* Tue Sep  4 2018 kbuild@suse.de
- Delete patches.kabi/* workarounds
- commit abbb599
* Mon Sep  3 2018 tiwai@suse.de
- staging: bcm2835-audio: Don't leak workqueue if open fails
  (FATE#324827).
- staging: bcm2835-audio: Check if workqueue allocation failed
  (FATE#324827).
- staging: bcm2835-audio: Disconnect and free vchi_instance on
  module_exit() (FATE#324827).
- staging: vc04_services: bcm2835-audio: Change to unsigned int *
  (FATE#324827).
- staging: vc04_services: bcm2835-audio Format multiline comment
  (FATE#324827).
- staging: vc04_services: bcm2835-audio: Add blank line after
  declaration (FATE#324827).
- staging: vc04_services: bcm2835-audio: remove redundant license
  text (FATE#324827).
- staging: vc04_services: bcm2835-audio: add SPDX identifiers
  (FATE#324827).
- staging: vc04_services: Fix platform_no_drv_owner.cocci warnings
  (FATE#324827).
- Staging: vc04_services: remove unused variables (FATE#324827).
- staging: vc04_services: please do not use multiple blank lines
  (FATE#324827).
- staging: bcm2835-audio: make snd_pcm_hardware const
  (FATE#324827).
- staging: bcm2835-audio: constify snd_pcm_ops structures
  (FATE#324827).
- commit adc465a
* Mon Sep  3 2018 ptesarik@suse.cz
- Delete kabi/ppc64le/*
- commit 5f11911
* Mon Sep  3 2018 colyli@suse.de
- Rebase for SLE15 kernel
  patches.suse/md-display-timeout-error.patch.
- Delete obsoleted patches:
  patches.suse/0001-bcache-force-trigger-gc.patch
  patches.suse/0001-bcache-only-recovery-I-O-error-for-writethrough-mode.patch
  patches.suse/0002-bcache-fix-calling-ida_simple_remove-with-incorrect-minor.patch
- commit 9783d14
* Mon Sep  3 2018 mwilck@suse.com
- scsi_debug: call resp_XXX function after setting host_scribble
  (bsc#1069138).
  git-fixes patch.
- commit 3109972
* Mon Sep  3 2018 mwilck@suse.com
- scsi_debug: reset injection flags for every_nth > 0
  (bsc#1069138).
- commit 1f1a785
* Mon Sep  3 2018 jack@suse.cz
- Fix buggy backport of
  patches.drivers/libnvdimm-btt-fix-an-incompatibility-in-the-log-layout.patch
  (bsc#1103961).
- commit 54a0405
* Mon Sep  3 2018 jdelvare@suse.de
- ACPI / bus: Only call dmi_check_system on X86 (bsc#1105597,
  bsc#1106178).
- commit 1b1a47e
* Mon Sep  3 2018 bp@suse.de
- KVM: x86: SVM: Call x86_spec_ctrl_set_guest/host() with
  interrupts disabled (git-fixes 1f50ddb4f418).
- Refresh
  patches.arch/36-x86-bugs-kvm-extend-speculation-control-for-virt_spec_ctrl.patch.
- Refresh
  patches.suse/05-x86-bugs-kvm-support-the-combination-of-guest-and-host-ibrs.patch.
- commit d04f336
* Mon Sep  3 2018 yousaf.kaukab@suse.com
- arm64: mm: check for upper PAGE_SHIFT bits in pfn_valid()
  (bsc#1106893).
- arm64: export memblock_reserve()d regions via /proc/iomem
  (bsc#1106892).
- arm64: numa: rework ACPI NUMA initialization (bsc#1106905).
- arm64: fix vmemmap BUILD_BUG_ON() triggering on !vmemmap setups
  (bsc#1106896).
- arm64: mm: Ensure writes to swapper are ordered wrt subsequent
  cache maintenance (bsc#1106906).
- arm64: dma-mapping: clear buffers allocated with
  FORCE_CONTIGUOUS flag (bsc#1106902).
- arm64: fpsimd: Avoid FPSIMD context leakage for the init task
  (bsc#1106894).
- arm64/acpi: Create arch specific cpu to acpi id helper
  (bsc#1106903).
- arm64: Make sure permission updates happen for pmd/pud
  (bsc#1106891).
- arm64: vgic-v2: Fix proxying of cpuif access (bsc#1106901).
- arm64: kasan: avoid pfn_to_nid() before page array is
  initialized (bsc#1106899).
- arm64: fix unwind_frame() for filtered out fn for function
  graph tracing (bsc#1106900).
- arm64/mm/kasan: don't use vmemmap_populate() to initialize
  shadow (bsc#1106898).
- arm64/kasan: don't allocate extra shadow memory (bsc#1106897).
- commit 4e3b581
* Mon Sep  3 2018 mgorman@suse.de
- blacklist.conf: cosmetic fix of a comment
- commit 399b823
* Mon Sep  3 2018 mgorman@suse.de
- blacklist.conf: backport did not add the problematic include
- commit 33794a5
* Mon Sep  3 2018 yousaf.kaukab@suse.com
- arm64: Enforce BBM for huge IO/VMAP mappings (bsc#1106890).
- commit 8c23103
* Mon Sep  3 2018 yousaf.kaukab@suse.com
- i2c: xlp9xx: Fix case where SSIF read transaction completes
  early (bsc#1105907).
- i2c: xlp9xx: Make sure the transfer size is not more than
  I2C_SMBUS_BLOCK_SIZE (bsc#1105907).
- i2c: xlp9xx: Fix issue seen when updating receive length
  (bsc#1105907).
- ipmi: Fix some counter issues (bsc#1105907).
- ipmi: Remove ACPI SPMI probing from the SSIF (I2C) driver
  (bsc#1105907).
- commit 108b29e
* Mon Sep  3 2018 ptesarik@suse.cz
- blacklist.conf: Remove commits that break API/ABI
- commit 724174e
* Mon Sep  3 2018 jroedel@suse.de
- KVM: VMX: Work around kABI breakage in 'enum vmx_l1d_flush_state' (bsc#1106369).
- commit f357e65
* Mon Sep  3 2018 gqjiang@suse.com
- md-cluster: release RESYNC lock after the last resync message
  (bsc#1106688).
- commit f74db00
* Mon Sep  3 2018 jroedel@suse.de
- KVM: VMX: fixes for vmentry_l1d_flush module parameter
  (bsc#1106369).
- x86/speculation: Use ARCH_CAPABILITIES to skip L1D flush on
  vmentry (bsc#1106369).
- commit 4183b24
* Mon Sep  3 2018 ptesarik@suse.cz
- Drop kabi files and patches.kabi/*
- Refresh
  patches.arch/0001-x86-speculation-l1tf-Increase-l1tf-memory-limit-for-.patch.
- Refresh
  patches.arch/17-cpu-hotplug-Boot-HT-siblings-at-least-once.patch.
- commit 26a418f
* Mon Sep  3 2018 jslaby@suse.cz
- rpm/kernel-binary.spec.in: fix call of split-modules
  split-modules is called with some parameters depending on config
  options. But since we do not use backslash consistelny, the call to
  split-modules might be evaluated so that also the following cat
  command is appended. Avoid this behaviour by using backslashes
  everywhere and add %%nil to the end.
  This perhaps never happens, but stay on the safe side.
- commit 32df888
* Sat Sep  1 2018 bp@suse.de
- acpi, nfit: Add function to look up nvdimm device and provide
  SMBIOS handle (fate#326228).
- EDAC: Add new memory type for non-volatile DIMMs (fate#326228).
- EDAC, skx_edac: Detect non-volatile DIMMs (fate#326228).
- firmware, DMI: Add function to look up a handle and return
  DIMM size (fate#326228).
- Refresh
  patches.drivers/EDAC-Add-missing-MEM_LRDDR4-entry-in-edac_mem_types.patch.
- commit 0943087
* Sat Sep  1 2018 bp@suse.de
- x86/mce: Check for alternate indication of machine check
  recovery on Skylake (fate#326230).
- commit 68d0340
* Sat Sep  1 2018 ddiss@suse.de
- target_core_rbd: break up free_device callback (bsc#1105524).
- target_core_rbd: use RCU in free_device (bsc#1105524).
- commit c86ea53
* Sat Sep  1 2018 bp@suse.de
- x86/cpufeatures: Enumerate cldemote instruction (fate#326217).
- commit 069cb59
* Fri Aug 31 2018 tiwai@suse.de
- README.BRANCH: Petr takes over the maintenance of SLE15-SP1
  Johannes and Oliver are backup co-maintainers
- commit 4f4df7e
* Fri Aug 31 2018 tiwai@suse.de
- ALSA: pcm: Workaround for weird PulseAudio behavior on rewind
  error (FATE#324827).
- ALSA: pcm: Fix possible inconsistent appl_ptr update via mmap
  (FATE#324827).
- ALSA: pcm: Skip ack callback without actual appl_ptr update
  (FATE#324827).
- ALSA: pcm: Call ack() whenever appl_ptr is updated
  (FATE#324827).
- staging: bcm2835-audio: Deliver indirect-PCM transfer error
  (FATE#324827).
- ALSA: rme32: Deliver indirect-PCM transfer error (FATE#324827).
- ALSA: emu10k1: Deliver indirect-PCM transfer error
  (FATE#324827).
- ALSA: cs46xx: Deliver indirect-PCM transfer error (FATE#324827).
- ALSA: mips: Deliver indirect-PCM transfer error (FATE#324827).
- ALSA: pcm: Fix negative appl_ptr handling in pcm-indirect
  helpers (FATE#324827).
- ALSA: pcm: Simplify forward/rewind codes (FATE#324827).
- ALSA: pcm: Use a common helper for PCM state check and hwsync
  (FATE#324827).
- commit bb024f5
* Fri Aug 31 2018 palcantara@suse.de
- cifs: check kmalloc before use (bsc#1051510).
- commit bebab77
* Fri Aug 31 2018 palcantara@suse.de
- cifs: Fix stack out-of-bounds in smb{2,3}_create_lease_buf()
  (bsc#1051510).
- commit 9edbb40
* Fri Aug 31 2018 palcantara@suse.de
- cifs: store the leaseKey in the fid on SMB2_open (bsc#1051510).
- commit 6540d4c
* Fri Aug 31 2018 mwilck@suse.com
- block: bio_iov_iter_get_pages: pin more pages for multi-segment
  IOs (bsc#1083663).
- commit cc2b437
* Fri Aug 31 2018 mwilck@suse.com
- blkdev: __blkdev_direct_IO_simple: fix leak in error case
  (bsc#1083663).
- commit f46b7e1
* Fri Aug 31 2018 mwilck@suse.com
- block: bio_iov_iter_get_pages: fix size of last iovec
  (bsc#1083663).
- commit 0c71f39
* Fri Aug 31 2018 lhenriques@suse.com
- libceph: weaken sizeof check in ceph_x_verify_authorizer_reply()
  (bsc#1096748).
- libceph: check authorizer reply/challenge length before reading
  (bsc#1096748).
- libceph: implement CEPHX_V2 calculation mode (bsc#1096748
  CVE-2018-1129).
- libceph: add authorizer challenge (bsc#1096748 CVE-2018-1128).
- libceph: factor out encrypt_authorizer() (bsc#1096748).
- libceph: factor out __ceph_x_decrypt() (bsc#1096748).
- libceph: factor out __prepare_write_connect() (bsc#1096748).
- libceph: store ceph_auth_handshake pointer in ceph_connection
  (bsc#1096748).
- commit 9961671
* Fri Aug 31 2018 tiwai@suse.de
- blacklist.conf: Add i915 blacklist commit
- commit 75ba08e
* Fri Aug 31 2018 tiwai@suse.de
- drm/i915: Increase LSPCON timeout (bsc#1051510).
- commit f6a2c2e
* Fri Aug 31 2018 tiwai@suse.de
- PM / clk: signedness bug in of_pm_clk_add_clks() (bsc#1051510).
- commit 8771052
* Fri Aug 31 2018 mwilck@suse.com
- scsi: hpsa: limit transfer length to 1MB, not 512kB
  (bsc#1102346).
- commit 8fe3be6
* Fri Aug 31 2018 jthumshirn@suse.de
- libnvdimm, nfit: move the check on nd_reserved2 to the endpoint
  (bsc#1103961).
- commit 2a0dfd3
* Fri Aug 31 2018 jthumshirn@suse.de
- scsi: lpfc: Correct MDS diag and nvmet configuration
  (bsc#1106636).
- commit 24436b8
* Fri Aug 31 2018 jthumshirn@suse.de
- scripts/git_sort/git_sort.py: Add fixes branch from mkp/scsi.git.
- commit a5cf63e
* Fri Aug 31 2018 jthumshirn@suse.de
- Update config files, make CRYPTO_CRCT10DIF_PCLMUL built-in
  (bsc#1105603).
- commit e11db61
* Fri Aug 31 2018 bpoirier@suse.com
- Update Patch-mainline tags to start with "v"
  Mainline release tags begin with a "v". Some Patch-mainline tags do and
  other don't. For consistency, use the same format as upstream. This makes
  parsing easier if some people want to grep through those tags.
- Refresh
  patches.arch/powerpc-64s-Use-emergency-stack-for-kernel-TM-Bad-Thing-program-checks.patch.
- Refresh
  patches.arch/x86-boot-KASLR-Prefer-mirrored-memory-regions-for-th.patch.
- Refresh
  patches.arch/x86-mm-Unbreak-modules-that-use-the-DMA-API.patch.
- Refresh patches.arch/x86-mm-Use-pr_cont-in-dump_pagetable.
- Refresh
  patches.drivers/0001-scsi-hpsa-limit-transfer-length-to-1MB.patch.
- Refresh
  patches.drivers/ACPI-scan-Initialize-watchdog-before-PNP.patch.
- Refresh
  patches.drivers/ACPI-x86-Add-KIOX000A-accelerometer-on-GPD-win-to-al.
- Refresh
  patches.drivers/ACPI-x86-Allow-matching-always_present_id-array-entr.
- Refresh
  patches.drivers/ACPI-x86-Extend-KIOX000A-quirk-to-cover-all-affected.
- Refresh
  patches.drivers/ALSA-caiaq-Fix-stray-URB-at-probe-error-path.
- Refresh patches.drivers/ALSA-compress-Remove-unused-variable.
- Refresh
  patches.drivers/ALSA-hda-Add-AZX_DRIVER_SKL-for-simplification.
- Refresh patches.drivers/ALSA-hda-Add-Cannonlake-PCI-ID.
- Refresh
  patches.drivers/ALSA-hda-Add-MIC_NO_PRESENCE-fixup-for-2-HP-machines.
- Refresh patches.drivers/ALSA-hda-Add-Raven-PCI-ID.
- Refresh
  patches.drivers/ALSA-hda-Add-hdmi-id-for-a-Geminilake-variant.
- Refresh
  patches.drivers/ALSA-hda-Add-vendor-id-for-Cannonlake-HDMI-codec.
- Refresh patches.drivers/ALSA-hda-Drop-useless-WARN_ON.
- Refresh
  patches.drivers/ALSA-hda-Fix-forget-to-free-resource-in-error-handli.
- Refresh
  patches.drivers/ALSA-hda-Fix-missing-COEF-init-for-ALC225-295-299.
- Refresh
  patches.drivers/ALSA-hda-Fix-regression-of-hdmi-eld-control-created-.
- Refresh
  patches.drivers/ALSA-hda-Fix-too-short-HDMI-DP-chmap-reporting.
- Refresh
  patches.drivers/ALSA-hda-Remove-superfluous-added-by-printk-conversi.
- Refresh
  patches.drivers/ALSA-hda-ca0132-Fix-memory-leak-at-error-path.
- Refresh
  patches.drivers/ALSA-hda-change-the-location-for-one-mic-on-a-Lenovo.
- Refresh
  patches.drivers/ALSA-hda-fix-headset-mic-detection-issue-on-a-Dell-m.
- Refresh
  patches.drivers/ALSA-hda-fix-headset-mic-problem-for-Dell-machines-alc274.
- Refresh
  patches.drivers/ALSA-hda-fix-headset-mic-problem-for-Dell-machines-w.
- Refresh
  patches.drivers/ALSA-hda-program-ICT-bits-to-support-HBR-audio.
- Refresh
  patches.drivers/ALSA-hda-realtek-Add-ALC256-HP-depop-function.
- Refresh
  patches.drivers/ALSA-hda-realtek-Add-default-procedure-for-suspend-a.
- Refresh
  patches.drivers/ALSA-hda-realtek-Add-headset-mic-support-for-Intel-N.
- Refresh
  patches.drivers/ALSA-hda-realtek-Add-support-for-ALC1220.
- Refresh
  patches.drivers/ALSA-hda-realtek-Add-support-for-ALC236-ALC3204.
- Refresh
  patches.drivers/ALSA-hda-realtek-Enable-jack-detection-function-for-.
- Refresh
  patches.drivers/ALSA-hda-realtek-Fix-ALC275-no-sound-issue.
- Refresh
  patches.drivers/ALSA-hda-realtek-Fix-ALC700-family-no-sound-issue.
- Refresh
  patches.drivers/ALSA-hda-realtek-Fix-Dell-AIO-LineOut-issue.
- Refresh
  patches.drivers/ALSA-hda-realtek-Fix-pincfg-for-Dell-XPS-13-9370.
- Refresh
  patches.drivers/ALSA-hda-realtek-Fix-typo-of-pincfg-for-Dell-quirk.
- Refresh
  patches.drivers/ALSA-hda-realtek-New-codec-device-ID-for-ALC1220.
- Refresh
  patches.drivers/ALSA-hda-realtek-New-codec-support-for-ALC257.
- Refresh
  patches.drivers/ALSA-hda-realtek-New-codecs-support-for-ALC215-ALC28.
- Refresh
  patches.drivers/ALSA-hda-realtek-No-loopback-on-ALC225-ALC295-codec.
- Refresh
  patches.drivers/ALSA-hda-realtek-Remove-ALC285-device-ID.
- Refresh
  patches.drivers/ALSA-hda-realtek-Support-Dell-headset-mode-for-ALC32.
- Refresh
  patches.drivers/ALSA-hda-realtek-Support-headset-mode-for-ALC234-ALC.
- Refresh
  patches.drivers/ALSA-hda-realtek-There-is-no-loopback-mixer-in-the-A.
- Refresh
  patches.drivers/ALSA-hda-realtek-Update-headset-mode-for-ALC225.
- Refresh
  patches.drivers/ALSA-hda-realtek-Update-headset-mode-for-ALC298.
- Refresh
  patches.drivers/ALSA-line6-Fix-NULL-dereference-at-podhd_disconnect.
- Refresh
  patches.drivers/ALSA-line6-Fix-leftover-URB-at-error-path-during-pro.
- Refresh
  patches.drivers/ALSA-line6-Fix-missing-initialization-before-error-p.
- Refresh patches.drivers/ALSA-pcm-prevent-UAF-in-snd_pcm_info.
- Refresh
  patches.drivers/ALSA-pcm-update-tstamp-only-if-audio_tstamp-changed.
- Refresh
  patches.drivers/ALSA-rawmidi-Avoid-racy-info-ioctl-via-ctl-device.
- Refresh
  patches.drivers/ALSA-seq-Avoid-invalid-lockdep-class-warning.
- Refresh
  patches.drivers/ALSA-seq-Cancel-pending-autoload-work-at-unbinding-d.
- Refresh
  patches.drivers/ALSA-seq-Enable-use-locking-in-all-configurations.
- Refresh
  patches.drivers/ALSA-seq-Fix-OSS-sysex-delivery-in-OSS-emulation.
- Refresh
  patches.drivers/ALSA-seq-Fix-copy_from_user-call-inside-lock.
- Refresh
  patches.drivers/ALSA-seq-Fix-nested-rwsem-annotation-for-lockdep-spl.
- Refresh
  patches.drivers/ALSA-seq-Remove-spurious-WARN_ON-at-timer-check.
- Refresh
  patches.drivers/ALSA-timer-Add-missing-mutex-lock-for-compat-ioctls.
- Refresh
  patches.drivers/ALSA-timer-Limit-max-instances-per-timer.
- Refresh
  patches.drivers/ALSA-timer-Remove-kernel-warning-at-compat-ioctl-err.
- Refresh
  patches.drivers/ALSA-usb-audio-Add-check-return-value-for-usb_string.
- Refresh
  patches.drivers/ALSA-usb-audio-Add-native-DSD-support-for-Esoteric-D.
- Refresh
  patches.drivers/ALSA-usb-audio-Add-native-DSD-support-for-Pro-Ject-P.
- Refresh
  patches.drivers/ALSA-usb-audio-Add-sanity-checks-in-v2-clock-parsers.
- Refresh
  patches.drivers/ALSA-usb-audio-Add-sanity-checks-to-FE-parser.
- Refresh
  patches.drivers/ALSA-usb-audio-Check-out-of-bounds-access-by-corrupt.
- Refresh patches.drivers/ALSA-usb-audio-Fix-out-of-bound-error.
- Refresh
  patches.drivers/ALSA-usb-audio-Fix-potential-out-of-bound-access-at-.
- Refresh
  patches.drivers/ALSA-usb-audio-Fix-the-missing-ctl-name-suffix-at-pa.
- Refresh
  patches.drivers/ALSA-usb-audio-Kill-stray-URB-at-exiting.
- Refresh
  patches.drivers/ALSA-usb-audio-support-new-Amanero-Combo384-firmware.
- Refresh
  patches.drivers/ALSA-usb-audio-uac1-Invalidate-ctl-on-interrupt.
- Refresh
  patches.drivers/ALSA-usx2y-Suppress-kernel-warning-at-page-allocatio.
- Refresh
  patches.drivers/ASoC-adau17x1-Workaround-for-noise-bug-in-ADC.
- Refresh
  patches.drivers/ASoC-atmel-classd-select-correct-Kconfig-symbol.
- Refresh
  patches.drivers/ASoC-codecs-msm8916-fix-invalid-cast-to-bool-type.
- Refresh
  patches.drivers/ASoC-codecs-msm8916-wcd-Fix-supported-formats.
- Refresh
  patches.drivers/ASoC-cs42l56-Fix-reset-GPIO-name-in-example-DT-bindi.
- Refresh patches.drivers/ASoC-da7218-fix-fix-child-node-lookup.
- Refresh
  patches.drivers/ASoC-davinci-mcasp-Fix-an-error-handling-path-in-dav.
- Refresh
  patches.drivers/ASoC-fsl_ssi-AC-97-ops-need-regmap-clock-and-cleanin.
- Refresh
  patches.drivers/ASoC-intel-include-linux-module.h-as-needed.
- Refresh
  patches.drivers/ASoC-mediatek-Fix-an-error-checking-code.
- Refresh
  patches.drivers/ASoC-rockchip-Correct-dmic-delay-property-name.
- Refresh patches.drivers/ASoC-rockchip-disable-clock-on-error.
- Refresh patches.drivers/ASoC-rsnd-avoid-duplicate-free_irq.
- Refresh
  patches.drivers/ASoC-rsnd-ssiu-clear-SSI_MODE-for-non-TDM-Extended-m.
- Refresh patches.drivers/ASoC-rt5514-fix-gcc-7-warning.
- Refresh
  patches.drivers/ASoC-rt5645-Add-jack-detection-workaround-for-GPD-Wi.
- Refresh patches.drivers/ASoC-rt5645-add-inv_jd1_1-flag.
- Refresh
  patches.drivers/ASoC-rt5645-read-jd1_1-status-for-jd-detection.
- Refresh
  patches.drivers/ASoC-rt5645-rename-jd_invert-flag-in-platform-data.
- Refresh
  patches.drivers/ASoC-rt5665-Fix-uninitialized-warning-in-rt5665_i2s_.
- Refresh patches.drivers/ASoC-rt5665-fix-gcc-7-warning.
- Refresh
  patches.drivers/ASoC-samsung-Fix-invalid-argument-when-devm_gpiod_ge.
- Refresh
  patches.drivers/ASoC-samsung-Fix-possible-double-iounmap-on-s3c24xx-.
- Refresh
  patches.drivers/ASoC-sun8i-codec-Fix-left-and-right-channels-inversi.
- Refresh
  patches.drivers/ASoC-sun8i-codec-Invert-Master-Slave-condition.
- Refresh patches.drivers/ASoC-sun8i-codec-Set-the-BCLK-divider.
- Refresh
  patches.drivers/ASoC-tlv320aic31xx-Fix-GPIO1-register-definition.
- Refresh
  patches.drivers/ASoC-topology-Fix-a-potential-NULL-pointer-dereferen.
- Refresh
  patches.drivers/ASoC-topology-Fix-a-potential-memory-leak-in-soc_tpl.
- Refresh patches.drivers/ASoC-twl4030-fix-child-node-lookup.
- Refresh
  patches.drivers/ASoC-wm_adsp-Fix-validation-of-firmware-and-coeff-le.
- Refresh
  patches.drivers/Bluetooth-Add-support-for-Intel-Bluetooth-device-946.patch.
- Refresh
  patches.drivers/Bluetooth-hci_bcm-Add-support-for-BCM2E7E.
- Refresh
  patches.drivers/Fix-serial-console-on-SNI-RM400-machines.patch.
- Refresh
  patches.drivers/Input-ims-psu-check-if-CDC-union-descriptor-is-sane.
- Refresh
  patches.drivers/Input-ti_am335x_tsc-fix-incorrect-step-config-for-5-.patch.
- Refresh
  patches.drivers/Input-ucb1400_ts-fix-suspend-and-resume-handling.patch.
- Refresh
  patches.drivers/Input-uinput-avoid-crash-when-sending-FF-request-to-.
- Refresh
  patches.drivers/PM-devfreq-Fix-memory-leak-when-fail-to-register-dev.
- Refresh
  patches.drivers/Revert-ALSA-echoaudio-purge-contradictions-between-d.
- Refresh
  patches.drivers/Revert-drm-i915-bxt-Disable-device-ready-before-shut.
- Refresh
  patches.drivers/Revert-net-bcmgenet-Remove-init-parameter-from-bcmge.patch.
- Refresh
  patches.drivers/ath10k-fix-reported-HT-MCS-rates-with-NSS-1.
- Refresh patches.drivers/b43-Add-missing-MODULE_FIRMWARE.
- Refresh
  patches.drivers/brcmfmac-Use-separate-firmware-for-revision-0-of-the.
- Refresh
  patches.drivers/brcmfmac-fix-double-free-upon-register_netdevice-fai.
- Refresh
  patches.drivers/cfg80211-honor-NL80211_RRF_NO_HT40-MINUS-PLUS.patch.
- Refresh
  patches.drivers/crypto-hmac-require-that-the-underlying-hash-algorit.
- Refresh
  patches.drivers/crypto-salsa20-fix-blkcipher_walk-API-usage.
- Refresh
  patches.drivers/drm-Add-driver-private-objects-to-atomic-state.
- Refresh patches.drivers/drm-Drop-drm_get_link_status_name.
- Refresh
  patches.drivers/drm-amd-powerplay-initialize-a-variable-before-using.
- Refresh
  patches.drivers/drm-amdgpu-Throttle-visible-VRAM-moves-separately.
- Refresh
  patches.drivers/drm-atomic-helper-Realign-function-parameters.
- Refresh
  patches.drivers/drm-bridge-sii8620-Fix-memory-corruption.
- Refresh
  patches.drivers/drm-crc-Only-open-CRC-on-atomic-drivers-when-the-CRT.
- Refresh patches.drivers/drm-doc-Fix-missing-ctx-documentation.
- Refresh
  patches.drivers/drm-dp-Add-DP-MST-helpers-to-atomically-find-and-rel.
- Refresh
  patches.drivers/drm-dp-Introduce-MST-topology-state-to-track-availab.
- Refresh
  patches.drivers/drm-dp-mst-Handle-errors-from-drm_atomic_get_private.
- Refresh
  patches.drivers/drm-edid-Don-t-send-non-zero-YQ-in-AVI-infoframe-for.
- Refresh
  patches.drivers/drm-exynos-mark-pm-functions-as-__maybe_unused.
- Refresh
  patches.drivers/drm-fsl-dcu-avoid-disabling-pixel-clock-twice-on-sus.
- Refresh patches.drivers/drm-gma500-fix-logic-error.
- Refresh
  patches.drivers/drm-handle-HDMI-2.0-VICs-in-AVI-info-frames.
- Refresh patches.drivers/drm-imx-fix-typo-in-ipu_plane_formats.
- Refresh
  patches.drivers/drm-kirin-Checking-for-IS_ERR-instead-of-NULL.
- Refresh
  patches.drivers/drm-mediatek-separate-color-module-to-fixup-error-me.
- Refresh
  patches.drivers/drm-msm-dsi-Calculate-link-clock-rates-with-updated-.
- Refresh
  patches.drivers/drm-msm-hdmi-Use-bitwise-operators-when-building-reg.
- Refresh
  patches.drivers/drm-nouveau-kms-nv50-perform-null-check-on-msto-i-ra.
- Refresh
  patches.drivers/drm-nouveau-use-proper-prototype-in-nouveau_pmops_ru.
- Refresh
  patches.drivers/drm-omap-Fix-error-handling-path-in-omap_dmm_probe.
- Refresh
  patches.drivers/drm-omap-displays-panel-dpi-add-backlight-dependency.
- Refresh
  patches.drivers/drm-omapdrm-Take-GEM-object-reference-when-exporting.
- Refresh patches.drivers/drm-panel-S6E3HA2-needs-backlight-code.
- Refresh
  patches.drivers/drm-panel-add-backlight-dependency-for-sitronix-st77.
- Refresh
  patches.drivers/drm-panel-simple-Add-missing-panel_simple_unprepare-.
- Refresh
  patches.drivers/drm-panel-simple-Fix-width-and-height-for-Olimex-LCD.
- Refresh
  patches.drivers/drm-qxl-replace-QXL_INFO-with-DRM_DEBUG_DRIVER.
- Refresh
  patches.drivers/drm-radeon-disable-hard-reset-in-hibernate-for-APUs.
- Refresh
  patches.drivers/drm-rcar-du-Use-the-VBK-interrupt-for-vblank-events.patch.
- Refresh patches.drivers/drm-rockchip-fix-Kconfig-dependencies.
- Refresh
  patches.drivers/drm-sun4i-backend-Offset-layer-buffer-address-by-DRA.
- Refresh
  patches.drivers/drm-sun4i-tcon-Unconditionally-reset-the-TCON.
- Refresh
  patches.drivers/drm-tegra-Set-MODULE_FIRMWARE-for-the-VIC.
- Refresh
  patches.drivers/drm-tegra-dc-Avoid-reset-asserts-on-Tegra20.
- Refresh
  patches.drivers/drm-tilcdc-Precalculate-total-frametime-in-tilcdc_cr.
- Refresh
  patches.drivers/drm-vc4-Account-for-interrupts-in-flight.
- Refresh
  patches.drivers/drm-vc4-Don-t-disable-DSI-clocks-on-component-unload.
- Refresh patches.drivers/drm-vc4-Fix-leak-of-HDMI-EDID.
- Refresh
  patches.drivers/gpu-host1x-Don-t-fail-on-NULL-bo-physical-address.patch.
- Refresh
  patches.drivers/gpu-host1x-Free-the-IOMMU-domain-when-there-is-no-de.patch.
- Refresh patches.drivers/gpu-ipu-v3-add-DRM-dependency.patch.
- Refresh
  patches.drivers/i2c-cadance-fix-ctrl-addr-reg-write-order.patch.
- Refresh
  patches.drivers/iio-dummy-events-Add-missing-break.patch.
- Refresh patches.drivers/iio-inkern-fix-a-static-checker-error.
- Refresh
  patches.drivers/iio-trigger-stm32-timer-fix-a-corner-case-to-write-p.
- Refresh
  patches.drivers/ipmi-Prefer-ACPI-system-interfaces-over-SMBIOS-ones.
- Refresh patches.drivers/ipmi_ssif-unlock-on-allocation-failure.
- Refresh
  patches.drivers/iwlwifi-add-new-cards-for-8260-series.patch.
- Refresh
  patches.drivers/iwlwifi-add-new-cards-for-8265-series.patch.
- Refresh
  patches.drivers/iwlwifi-add-new-cards-for-a000-series.patch.
- Refresh
  patches.drivers/iwlwifi-fix-PCI-IDs-and-configuration-mapping-for-90.patch.
- Refresh
  patches.drivers/iwlwifi-fix-TX-tracing-for-non-linear-SKBs.
- Refresh
  patches.drivers/iwlwifi-fix-firmware-names-for-9000-and-A000-series-.patch.
- Refresh
  patches.drivers/iwlwifi-fix-tracing-when-tx-only-is-enabled.
- Refresh
  patches.drivers/iwlwifi-missing-error-code-in-iwl_trans_pcie_alloc.
- Refresh patches.drivers/iwlwifi-mvm-add-missing-lq_color.patch.
- Refresh patches.drivers/iwlwifi-mvm-change-sta_id-to-u8.
- Refresh
  patches.drivers/iwlwifi-mvm-don-t-mess-the-SNAP-header-in-TSO-for-no.
- Refresh
  patches.drivers/iwlwifi-mvm-don-t-send-fetch-the-TID-from-a-non-QoS-.
- Refresh
  patches.drivers/iwlwifi-mvm-fix-TCP-CSUM-offload-with-WEP-and-A000-s.
- Refresh
  patches.drivers/iwlwifi-mvm-fix-a-NULL-pointer-dereference-of-error-.
- Refresh
  patches.drivers/iwlwifi-mvm-fix-deduplication-start-logic.
- Refresh patches.drivers/iwlwifi-mvm-fix-mac80211-queue-tracking.
- Refresh
  patches.drivers/iwlwifi-mvm-fix-reorder-buffer-for-9000-devices.patch.
- Refresh
  patches.drivers/iwlwifi-mvm-handle-IBSS-probe_queue-in-a-few-missing.
- Refresh
  patches.drivers/iwlwifi-mvm-quietly-accept-non-sta-assoc-response-fr.
- Refresh
  patches.drivers/iwlwifi-mvm-quietly-accept-non-sta-disassoc-frames.
- Refresh
  patches.drivers/iwlwifi-mvm-reset-seq-num-after-restart.patch.
- Refresh
  patches.drivers/iwlwifi-mvm-set-the-RTS_MIMO_PROT-bit-in-flag-mask-w.
- Refresh
  patches.drivers/iwlwifi-mvm-unconditionally-stop-device-after-init.
- Refresh
  patches.drivers/iwlwifi-mvm-use-IWL_HCMD_NOCOPY-for-MCAST_FILTER_CMD.patch.
- Refresh
  patches.drivers/iwlwifi-pcie-fix-TVQM-queue-ID-range-check.
- Refresh
  patches.drivers/iwlwifi-pcie-fix-command-completion-name-debug.
- Refresh
  patches.drivers/iwlwifi-pcie-reconfigure-MSI-X-HW-on-resume.
- Refresh
  patches.drivers/iwlwifi-pcie-sort-IDs-for-the-9000-series-for-easier.patch.
- Refresh
  patches.drivers/libertas-Fix-lbs_prb_rsp_limit_set.patch.
- Refresh
  patches.drivers/mac80211-agg-tx-call-drv_wake_tx_queue-in-proper-con.patch.
- Refresh
  patches.drivers/mac80211-validate-user-rate-mask-before-configuring-.patch.
- Refresh
  patches.drivers/mac80211_hwsim-Fix-memory-leak-in-hwsim_new_radio_nl.
- Refresh
  patches.drivers/media-Revert-media-et8ek8-Export-OF-device-ID-as-mod.patch.
- Refresh
  patches.drivers/media-au0828-fix-RC_CORE-dependency.patch.
- Refresh
  patches.drivers/media-devnode-Rename-mdev-argument-as-devnode.patch.
- Refresh
  patches.drivers/media-em28xx-calculate-left-volume-level-correctly.patch.
- Refresh
  patches.drivers/media-mceusb-fix-memory-leaks-in-error-path.patch.
- Refresh
  patches.drivers/media-omap_vout-Fix-a-possible-null-pointer-derefere.
- Refresh
  patches.drivers/media-rainshadow-cec-avoid-Wmaybe-uninitialized-warn.patch.
- Refresh
  patches.drivers/media-rainshadow-cec-avoid-Wmaybe-uninitialized-warn2.patch.
- Refresh
  patches.drivers/media-rainshadow-cec-use-strlcat-instead-of-strncat.patch.
- Refresh
  patches.drivers/media-usbtv-fix-brightness-and-contrast-controls.
- Refresh
  patches.drivers/media-v4l2-compat-ioctl32-Fix-timespec-conversion.patch.
- Refresh
  patches.drivers/mfd-intel_soc_pmic-Differentiate-between-Bay-and-Che.
- Refresh
  patches.drivers/mfd-intel_soc_pmic-Export-separate-mfd-cell-configs-.
- Refresh
  patches.drivers/mfd-intel_soc_pmic-Select-designware-i2c-bus-driver.
- Refresh
  patches.drivers/mfd-lpc_ich-Do-not-touch-SPI-NOR-write-protection-bi.
- Refresh patches.drivers/mfd-omap-usb-tll-Fix-register-offsets.
- Refresh
  patches.drivers/mfd-rn5t618-Unregister-restart-handler-on-remove.
- Refresh
  patches.drivers/mmc-core-prepend-0x-to-OCR-entry-in-sysfs.
- Refresh
  patches.drivers/mmc-core-prepend-0x-to-pre_eol_info-entry-in-sysfs.
- Refresh
  patches.drivers/mmc-mediatek-Fixed-size-in-dma_free_coherent.patch.
- Refresh
  patches.drivers/mmc-sdhci-acpi-Workaround-conflict-with-PCI-wifi-on-.
- Refresh
  patches.drivers/mmc-sdhci-pci-Fix-default-d3_retune-for-Intel-host-c.
- Refresh
  patches.drivers/mmc-sdhci-pci-remove-outdated-declaration.
- Refresh
  patches.drivers/mwifiex-do-not-update-MCS-set-from-hostapd.
- Refresh
  patches.drivers/mwifiex-replace-netif_carrier_on-off-by-netif_device.patch.
- Refresh
  patches.drivers/net-mlx5e-Fix-fixpoint-divide-exception-in-mlx5e_am_.patch.
- Refresh
  patches.drivers/net-usb-asix-fill-null-ptr-deref-in-asix_suspend.patch.
- Refresh
  patches.drivers/nl80211-fix-null-ptr-dereference-on-invalid-mesh-con.patch.
- Refresh
  patches.drivers/nl80211-look-for-HT-VHT-capabilities-in-beacon-s-tai.patch.
- Refresh
  patches.drivers/platform-x86-Add-driver-for-ACPI-INT0002-Virtual-GPI.
- Refresh
  patches.drivers/platform-x86-fujitsu-laptop-Fix-radio-LED-detection.
- Refresh
  patches.drivers/platform-x86-hp-wmi-Fix-tablet-mode-detection-for-co.
- Refresh
  patches.drivers/platform-x86-ideapad-laptop-Add-IdeaPad-V510-15IKB-t.
- Refresh
  patches.drivers/platform-x86-ideapad-laptop-Add-Y520-15IKBN-to-no_hw.
- Refresh
  patches.drivers/platform-x86-ideapad-laptop-Add-Y720-15IKBN-to-no_hw.
- Refresh
  patches.drivers/platform-x86-ideapad-laptop-Add-several-models-to-no.
- Refresh
  patches.drivers/platform-x86-sony-laptop-Fix-error-handling-in-sony_.
- Refresh patches.drivers/qxl-alloc-use-shadow-for-dumb-buffers.
- Refresh patches.drivers/qxl-fix-pinning.patch.
- Refresh patches.drivers/qxl-fix-primary-surface-handling.patch.
- Refresh
  patches.drivers/r8169-Do-not-increment-tx_dropped-in-TX-ring-cleanin.
- Refresh
  patches.drivers/rtc-rtc-nuc900-fix-loop-timeout-test.patch.
- Refresh
  patches.drivers/rtc-sa1100-fix-unbalanced-clk_prepare_enable-clk_dis.patch.
- Refresh
  patches.drivers/rtlwifi-rtl8821ae-Fix-HW_VAR_NAV_UPPER-operation.
- Refresh
  patches.drivers/rtlwifi-rtl8821ae-Fix-connection-lost-problem.
- Refresh
  patches.drivers/serial-8250_fintek-Fix-rs485-disablement-on-invalid-.
- Refresh
  patches.drivers/serial-8250_pci-Add-Amazon-PCI-serial-device-ID.
- Refresh
  patches.drivers/serial-8250_uniphier-fix-serial-port-index-in-privat.patch.
- Refresh
  patches.drivers/serial-pch_uart-Make-port-type-explicit.patch.
- Refresh
  patches.drivers/staging-rtl8723bs-avoid-null-pointer-dereference-on-.
- Refresh
  patches.drivers/video-console-Add-dmi-quirk-table-for-x86-systems-wh.
- Refresh
  patches.drivers/video-console-Add-new-BIOS-date-for-GPD-pocket-to-dm.
- Refresh
  patches.drivers/video-console-Update-BIOS-dates-list-for-GPD-win-con.
- Refresh patches.drivers/video-udlfb-Fix-read-EDID-timeout.
- Refresh
  patches.drivers/x86-gpu-CNL-uses-the-same-GMS-values-as-SKL.
- Refresh
  patches.drivers/xhci-Fix-perceived-dead-host-due-to-runtime-s.patch.
- Refresh
  patches.fixes/0001-CIFS-dump-IPC-tcon-in-debug-proc-file.patch.
- Refresh patches.fixes/0001-CIFS-make-IPC-a-regular-tcon.patch.
- Refresh
  patches.fixes/0001-CIFS-use-tcon_ipc-instead-of-use_ipc-parameter-of-SM.patch.
- Refresh
  patches.fixes/0001-CIFS-zero-sensitive-data-when-freeing.patch.
- Refresh
  patches.fixes/0001-cifs-Fix-autonegotiate-security-settings-mismatch.patch.
- Refresh
  patches.fixes/0001-cifs-Fix-missing-put_xid-in-cifs_file_strict_mmap.patch.
- Refresh
  patches.fixes/0001-fs-fcntl-f_setown-allow-returning-error.patch.
- Refresh
  patches.fixes/0001-ipc-shm-fix-use-after-free-of-shm-file-via-remap_fil.patch.
- Refresh
  patches.fixes/0001-kernel-exit.c-avoid-undefined-behaviour-when-calling.patch.
- Refresh
  patches.fixes/0001-kernel-signal.c-avoid-undefined-behaviour-in-kill_so.patch.
- Refresh
  patches.fixes/0001-mm-distinguish-CMA-and-MOVABLE-isolation-in-has_unmo.patch.
- Refresh
  patches.fixes/0001-mm-drop-migrate-type-checks-from-has_unmovable_pages.patch.
- Refresh
  patches.fixes/0001-mm-memory_hotplug-add-scheduling-point-to-__add_page.patch.
- Refresh
  patches.fixes/0001-mm-memory_hotplug-simplify-empty-node-mask-handling-.patch.
- Refresh
  patches.fixes/0001-mm-oom-fix-concurrent-munlock-and-oom-reaper-unmap-v.patch.
- Refresh
  patches.fixes/0001-mm-shmem-do-not-wait-for-lock_page-in-shmem_unused_h.patch.
- Refresh
  patches.fixes/0001-mm-thp-do-not-cause-memcg-oom-for-thp.patch.
- Refresh
  patches.fixes/0001-smartpqi-limit-transfer-length-to-1MB.patch.
- Refresh
  patches.fixes/0002-fs-fcntl-f_setown-avoid-undefined-behaviour.patch.
- Refresh
  patches.fixes/0002-hugetlb-memory_hotplug-prefer-to-use-reserved-pages-.patch.
- Refresh
  patches.fixes/0002-mm-page_alloc-add-scheduling-point-to-memmap_init_zo.patch.
- Refresh
  patches.fixes/0002-mm-page_alloc-fail-has_unmovable_pages-when-seeing-r.patch.
- Refresh
  patches.fixes/0003-memremap-add-scheduling-point-to-devm_memremap_pages.patch.
- Refresh
  patches.fixes/0003-mm-memory_hotplug-do-not-fail-offlining-too-early.patch.
- Refresh
  patches.fixes/0003-mm-unify-new_node_page-and-alloc_migrate_target.patch.
- Refresh
  patches.fixes/0004-mm-memory_hotplug-remove-timeout-from-__offline_memo.patch.
- Refresh
  patches.fixes/ACPI-NUMA-ia64-Parse-all-entries-of-SRAT-memory-affi.patch.
- Refresh
  patches.fixes/KEYS-don-t-revoke-uninstantiated-key-in-request_key_.
- Refresh
  patches.fixes/KEYS-fix-cred-refcount-leak-in-request_key_auth_new.
- Refresh
  patches.fixes/KEYS-fix-key-refcount-leak-in-keyctl_assume_authorit.
- Refresh
  patches.fixes/KEYS-fix-key-refcount-leak-in-keyctl_read_key.
- Refresh patches.fixes/PKCS-7-fix-certificate-blacklisting.
- Refresh patches.fixes/PKCS-7-fix-certificate-chain-verification.
- Refresh
  patches.fixes/PKCS-7-fix-direct-verification-of-SignerInfo-signatu.
- Refresh
  patches.fixes/assoc_array-Fix-a-buggy-node-splitting-case.
- Refresh patches.fixes/cfg80211-fix-cfg80211_beacon_dup.
- Refresh
  patches.fixes/drm-Handle-unexpected-holes-in-color-eviction.
- Refresh
  patches.fixes/drm-amdgpu-revert-update-tile-table-for-oland-hainan.patch.
- Refresh
  patches.fixes/drm-atomic-Fix-memleak-on-ERESTARTSYS-during-non-blo.
- Refresh patches.fixes/drm-cirrus-Load-lut-in-crtc_commit.
- Refresh
  patches.fixes/drm-edid-Add-6-bpc-quirk-for-CPT-panel-in-Asus-UX303.
- Refresh
  patches.fixes/fuse-fix-READDIRPLUS-skipping-an-entry.patch.
- Refresh patches.fixes/i2c-designware-must-wait-for-enable.
- Refresh
  patches.fixes/mac80211-fix-a-possible-leak-of-station-stats.
- Refresh
  patches.fixes/mac80211-fix-calling-sleeping-function-in-atomic-con.
- Refresh patches.fixes/mm-adaptive-hash-table-scaling.patch.
- Refresh
  patches.fixes/mm-backing-dev.c-fix-an-error-handling-path-in-cgwb_.patch.
- Refresh
  patches.fixes/mm-cma-fix-alloc_contig_range-ret-code-potential-lea.patch.
- Refresh
  patches.fixes/mm-hugetlb-fix-NULL-pointer-dereference-on-5-level-p.patch.
- Refresh
  patches.fixes/mm-madvise.c-fix-madvise-infinite-loop-under-special.patch.
- Refresh
  patches.fixes/mm-make-PR_SET_THP_DISABLE-immediately-active.patch.
- Refresh
  patches.fixes/mm-meminit-mark-init_reserved_page-as-__meminit.patch.
- Refresh
  patches.fixes/mm-memory_hotplug-change-pfn_to_section_nr-section_n.patch.
- Refresh
  patches.fixes/mm-memory_hotplug-define-find_-smallest-biggest-_sec.patch.
- Refresh
  patches.fixes/mm-memory_hotplug-do-not-back-off-draining-pcp-free-.patch.
- Refresh
  patches.fixes/mm-mmap.c-do-not-blow-on-PROT_NONE-MAP_FIXED-holes-i.patch.
- Refresh
  patches.fixes/mm-mprotect-add-a-cond_resched-inside-change_pmd_ran.patch.
- Refresh
  patches.fixes/mm-oom-fix-potential-data-corruption-when-oom_reaper.patch.
- Refresh patches.fixes/mm-oom_reaper-fix-memory-corruption.patch.
- Refresh
  patches.fixes/mm-oom_reaper-gather-each-vma-to-prevent-leaking-TLB.patch.
- Refresh
  patches.fixes/mm-page_alloc.c-broken-deferred-calculation.patch.
- Refresh
  patches.fixes/mm-page_ext.c-check-if-page_ext-is-not-prepared.patch.
- Refresh
  patches.fixes/mm-page_vma_mapped-ensure-pmd-is-loaded-with-READ_ON.patch.
- Refresh
  patches.fixes/mm-pagewalk.c-report-holes-in-hugetlb-ranges.patch.
- Refresh
  patches.fixes/mm-sparse-do-not-swamp-log-with-huge-vmemmap-allocat.patch.
- Refresh
  patches.fixes/printk-Add-console-owner-and-waiter-logic-to-load-ba.patch.
- Refresh
  patches.fixes/printk-Hide-console-waiter-logic-into-helpers.patch.
- Refresh
  patches.fixes/printk-Never-set-console_may_schedule-in-console_try.patch.
- Refresh
  patches.fixes/userfaultfd-hugetlbfs-prevent-UFFDIO_COPY-to-fill-be.patch.
- Refresh
  patches.fixes/userfaultfd-hugetlbfs-remove-superfluous-page-unlock.patch.
- Refresh
  patches.fixes/x86-paravirt-fix-spectre-v2-mitigations-for-paravirt-guests.patch.
- Refresh patches.fixes/xen-add-sysfs-node-for-guest-type.patch.
- Refresh
  patches.fixes/xen-allocate-page-for-shared-info-page-from-low-mem.patch.
- Refresh
  patches.fixes/xen-balloon-don-t-online-new-memory-initially.patch.
- Refresh patches.fixes/xen-mce-dont-issue-error-message.patch.
- Refresh patches.fixes/xen-netfront-dont-cache-skb_shinfo.patch.
- Refresh
  patches.suse/0001-futex-futex_wake_op-do-not-fail-on-invalid-op.patch.
- Refresh
  patches.suse/0001-mm-memory_hotplug-support-movable_node-for-hotplugab.patch.
- Refresh
  patches.suse/0001-mm-remove-return-value-from-init_currently_empty_zon.patch.
- Refresh
  patches.suse/0001-objtool-Don-t-report-end-of-section-error-after-an-e.patch.
- Refresh
  patches.suse/0001-objtool-Move-checking-code-to-check.c.patch.
- Refresh
  patches.suse/0001-x86-KASLR-Parse-all-memmap-boot-option-entries.patch.
- Refresh
  patches.suse/0001-x86-boot-KASLR-Wrap-e820-entries-walking-code-into-n.patch.
- Refresh
  patches.suse/0002-mm-memory_hotplug-use-node-instead-of-zone-in-can_on.patch.
- Refresh
  patches.suse/0002-objtool-x86-Add-several-functions-and-files-to-the-o.patch.
- Refresh
  patches.suse/0002-x86-KASLR-Handle-the-memory-limit-specified-by-the-m.patch.
- Refresh
  patches.suse/0002-x86-boot-KASLR-Switch-to-pass-struct-mem_vector-to-p.patch.
- Refresh
  patches.suse/0002-x86-head-Remove-confusing-comment.patch.
- Refresh
  patches.suse/0003-Documentation-kernel-parameters.txt-Update-memmap-bo.patch.
- Refresh
  patches.suse/0003-mm-drop-page_initialized-check-from-get_nid_for_pfn.patch.
- Refresh
  patches.suse/0003-x86-boot-KASLR-Rename-process_e820_entry-into-proces.patch.
- Refresh
  patches.suse/0003-x86-head-Remove-unused-bad_address-code.patch.
- Refresh
  patches.suse/0004-mm-memory_hotplug-get-rid-of-is_zone_device_section.patch.
- Refresh
  patches.suse/0004-objtool-Silence-warnings-for-functions-which-use-IRE.patch.
- Refresh
  patches.suse/0004-x86-head-Fix-head-ELF-function-annotations.patch.
- Refresh
  patches.suse/0005-mm-memory_hotplug-split-up-register_one_node.patch.
- Refresh
  patches.suse/0005-x86-boot-Annotate-verify_cpu-as-a-callable-function.patch.
- Refresh
  patches.suse/0006-mm-memory_hotplug-consider-offline-memblocks-removab.patch.
- Refresh
  patches.suse/0006-x86-xen-Fix-xen-head-ELF-annotations.patch.
- Refresh
  patches.suse/0007-mm-consider-zone-which-is-not-fully-populated-to-hav.patch.
- Refresh
  patches.suse/0007-x86-xen-Add-unwind-hint-annotations.patch.
- Refresh
  patches.suse/0008-mm-compaction-skip-over-holes-in-__reset_isolation_s.patch.
- Refresh
  patches.suse/0008-x86-head-Add-unwind-hint-annotations.patch.
- Refresh
  patches.suse/0009-mm-__first_valid_page-skip-over-offline-pages.patch.
- Refresh
  patches.suse/0010-mm-vmstat-skip-reporting-offline-pages-in-pagetypein.patch.
- Refresh
  patches.suse/0011-mm-memory_hotplug-do-not-associate-hotadded-memory-t.patch.
- Refresh
  patches.suse/0012-mm-memory_hotplug-fix-MMOP_ONLINE_KEEP-behavior.patch.
- Refresh
  patches.suse/0013-mm-memory_hotplug-do-not-assume-ZONE_NORMAL-is-defau.patch.
- Refresh
  patches.suse/0014-mm-memory_hotplug-replace-for_device-by-want_membloc.patch.
- Refresh
  patches.suse/0015-mm-memory_hotplug-fix-the-section-mismatch-warning.patch.
- Refresh
  patches.suse/0016-mm-memory_hotplug-remove-unused-cruft-after-memory-h.patch.
- Refresh
  patches.suse/btrfs-add-support-for-fallocate-s-zero-range-operati.patch.
- Refresh
  patches.suse/btrfs-fix-missing-inode-i_size-update-after-zero-ran.patch.
- Refresh
  patches.suse/btrfs-fix-reported-number-of-inode-blocks-after-buff.patch.
- Refresh
  patches.suse/btrfs-fix-space-leak-after-fallocate-and-zero-range-.patch.
- Refresh
  patches.suse/btrfs-move-definition-of-the-function-btrfs_find_new.patch.
- Refresh
  patches.suse/btrfs-remove-spurious-WARN_ON-ref-count-0-in-find_pa.patch.
- Refresh
  patches.suse/efi-Introduce-efi_early_memdesc_ptr-to-get-pointer-t.patch.
- Refresh
  patches.suse/objtool-Print-top-level-commands-on-incorrect-usage.patch.
- Refresh
  patches.suse/x86-stacktrace-Avoid-recording-save_stack_trace-wrap.patch.
- Refresh
  patches.suse/x86-unwind-Make-CONFIG_UNWINDER_ORC-y-the-default-in.patch.
- Refresh
  patches.suse/x86-unwind-Rename-unwinder-config-options-to-CONFIG_.patch.
- Refresh
  patches.suse/x86-unwinder-Make-CONFIG_UNWINDER_ORC-y-the-default-.patch.
- commit 3525f67
* Fri Aug 31 2018 bpoirier@suse.com
- Update Patch-mainline tags to include rc information
  Some Patch-mainline tags include the release candidate (rc) while others do
  not. Because of that inconsistency it is impossible to know from a
  Patch-mainline tag with no rc if it describes a commit that was added
  between the last rc and the release of a development cycle or if the rc
  part was not included in the tag. Update Patch-mainline tags of patches in
  the sorted section to include rc information consistently.
- commit 2528c74
* Fri Aug 31 2018 bpoirier@suse.com
- Fix invalid Patch-mainline tags
  Some patches have a Patch-mainline tag which does not correspond with the
  first mainline version to contain the commit mentioned in the Git-commit
  tag. Fix those Patch-mainline tags.
- Refresh
  patches.arch/kvm-fix-stack-out-of-bounds-read-in-write_mmio.
- Refresh
  patches.drivers/0001-drm-mali-dp-Uninitialized-variable-in-malidp_se_chec.patch.
- Refresh
  patches.drivers/0001-drm-msm-don-t-deref-error-pointer-in-the-msm_fbdev_c.patch.
- Refresh
  patches.drivers/0001-drm-nouveau-drm-nouveau-Fix-runtime-PM-leak-in-nv50_.patch.
- Refresh
  patches.drivers/0001-drm-rcar-du-Remove-zpos-field-from-rcar_du_vsp_plane.patch.
- Refresh
  patches.drivers/0001-drm-rcar-du-lvds-Fix-LVDCR1-for-R-Car-gen3.patch.
- Refresh
  patches.drivers/0001-drm-rockchip-Fix-build-warning-in-analogix_dp-rockch.patch.
- Refresh
  patches.drivers/0001-drm-rockchip-analogix_dp-Remove-unnecessary-init-cod.patch.
- Refresh
  patches.drivers/0001-drm-rockchip-dw_hdmi-Move-HDMI-vpll-clock-enable-to-.patch.
- Refresh
  patches.drivers/0001-drm-rockchip-inno_hdmi-Fix-error-handling-path.patch.
- Refresh
  patches.drivers/0001-drm-rockchip-inno_hdmi-reorder-clk_disable_unprepare.patch.
- Refresh
  patches.drivers/0001-drm-tegra-Acquire-a-reference-to-the-IOVA-cache.patch.
- Refresh
  patches.drivers/0001-drm-udl-fix-display-corruption-of-the-last-line.patch.
- Refresh
  patches.drivers/0001-gpu-host1x-Acquire-a-reference-to-the-IOVA-cache.patch.
- Refresh
  patches.drivers/0001-vfb-fix-video-mode-and-line_length-being-set-when-lo.patch.
- Refresh
  patches.drivers/0001-video-omap-add-module-license-tags.patch.
- Refresh
  patches.drivers/0001-video-remove-unused-kconfig-SH_LCD_MIPI_DSI.patch.
- Refresh
  patches.drivers/0001-virtio-gpu-fix-ioctl-and-expose-the-fixed-status-to-.patch.
- Refresh
  patches.drivers/0004-test_firmware-add-test-case-for-SIGCHLD-on-sync-fall.patch.
- Refresh
  patches.drivers/0005-test_firmware-add-batched-firmware-tests.patch.
- Refresh
  patches.drivers/0019-usb-hcd-constify-attribute_group-structures.patch.
- Refresh
  patches.drivers/0020-xhci-rename-temp-and-temp1-variables.patch.
- Refresh
  patches.drivers/0021-usb-Increase-root-hub-reset-signaling-time-to-preven.patch.
- Refresh
  patches.drivers/0022-xhci-rework-bus_resume-and-check-ports-are-suspended.patch.
- Refresh patches.drivers/0023-usb-make-device_type-const.patch.
- Refresh
  patches.drivers/0024-USB-core-constify-vm_operations_struct.patch.
- Refresh
  patches.drivers/0025-usb-xhci-Support-enabling-of-compliance-mode-for-xhc.patch.
- Refresh
  patches.drivers/0026-usb-misc-lvstest-add-entry-to-place-port-in-complian.patch.
- Refresh
  patches.drivers/Documentation-DMA-API-fix-a-typo-in-a-function-name.patch.
- Refresh
  patches.drivers/KVM-s390-Fix-KVM_S390_GET_CMMA_BITS-ioctl-definition.patch.
- Refresh
  patches.drivers/KVM-s390-add-proper-locking-for-CMMA-migration-bitma.patch.
- Refresh
  patches.drivers/KVM-s390-fix-cmma-migration-for-multiple-memory-slot.patch.
- Refresh
  patches.drivers/KVM-s390-prevent-buffer-overrun-on-memory-hotplug-du.patch.
- Refresh
  patches.drivers/aacraid-Fix-controller-initialization-failure.patch.
- Refresh
  patches.drivers/ahci-Add-PCI-ids-for-Intel-Bay-Trail-Cherry-Trail-an.patch.
- Refresh
  patches.drivers/ahci-Annotate-PCI-ids-for-mobile-Intel-chipsets-as-s.patch.
- Refresh
  patches.drivers/ata-pata_artop-remove-redundant-initialization-of-pi.patch.
- Refresh
  patches.drivers/blk-mq-attempt-to-fix-atomic-flag-memory-ordering.patch.
- Refresh
  patches.drivers/block-Relax-a-check-in-blk_start_queue.patch.
- Refresh
  patches.drivers/drm-amdkfd-NULL-dereference-involving-create_process.
- Refresh
  patches.drivers/ixgbe-Refactor-queue-disable-logic-to-take-completio.patch.
- Refresh
  patches.drivers/ixgbe-Reorder-Tx-Rx-shutdown-to-reduce-time-needed-t.patch.
- Refresh
  patches.drivers/kernel-doc-describe-the-literal-syntax.patch.
- Refresh
  patches.drivers/libata-sata_down_spd_limit-should-return-if-driver-h.patch.
- Refresh
  patches.drivers/s390-guarded-storage-fix-possible-memory-corruption.patch.
- Refresh
  patches.drivers/s390-mm-make-pmdp_invalidate-do-invalidation-only.patch.
- Refresh
  patches.drivers/s390-perf-fix-bug-when-creating-per-thread-event.patch.
- Refresh
  patches.drivers/s390-runtime-instrumention-fix-possible-memory-corru.patch.
- Refresh
  patches.drivers/scsi-bnx2fc-Simplify-CPU-hotplug-code.patch.
- Refresh
  patches.drivers/scsi-bnx2i-prevent-recursive-cpuhotplug-locking.
- Refresh patches.drivers/scsi-bnx2i-simplify-cpu-hotplug-code.
- Refresh
  patches.drivers/scsi-csiostor-fail-probe-if-fw-does-not-support-FCoE.patch.
- Refresh
  patches.drivers/scsi-mpt3sas-Replace-PCI-pool-old-API-1.patch.
- Refresh
  patches.drivers/scsi-mq-Always-unprepare-before-requeuing-a-req.patch.
- Refresh
  patches.drivers/scsi-qedi-fix-kernel-crash-during-port-toggle.
- Refresh
  patches.drivers/sun_esp-fix-device-reference-leaks.patch.
- Refresh
  patches.drivers/zfcp-add-handling-for-FCP_RESID_OVER-to-the-fcp.patch.
- Refresh
  patches.fixes/0001-PCMCIA-PM-Avoid-noirq-suspend-aborts-during-suspend-.patch.
- Refresh
  patches.fixes/0001-USB-serial-io_edgeport-fix-possible-sleep-in-atomic.patch.
- Refresh
  patches.fixes/0001-drm-Use-kvzalloc-for-allocating-blob-property-memory.patch.
- Refresh
  patches.fixes/0001-drm-i915-Restore-user-forcewake-domains-across-suspe.patch.
- Refresh
  patches.fixes/0001-video-uvesafb-Fix-integer-overflow-in-allocation.patch.
- Refresh
  patches.fixes/0004-iomap-report-collisions-between-directio-and-buffere.patch.
- Refresh
  patches.fixes/crypto-pcrypt-fix-freeing-pcrypt-instances.
- Refresh
  patches.fixes/scsi-isci-fix-typo-in-function-names.patch.
- Refresh
  patches.fixes/scsi-libiscsi-fix-shifting-of-did_requeue-host-byte.
- Refresh patches.fixes/st-fix-blk_get_queue-usage.patch.
- Refresh
  patches.suse/0001-firmware-send-EINTR-on-signal-abort-on-fallback-mech.patch.
- Refresh
  patches.suse/0001-locking-pvqspinlock-Relax-cmpxchg-s-to-improve-perfo.patch.
- Refresh
  patches.suse/0001-locking-refcount-Create-unchecked-atomic_t-implement.patch.
- Refresh
  patches.suse/0001-locking-rtmutex-Remove-unnecessary-priority-adjustme.patch.
- Refresh
  patches.suse/0001-smp-Avoid-sending-needless-IPI-in-smp_call_function_.patch.
- Refresh
  patches.suse/0001-smp-cpumask-Use-non-atomic-cpumask_-set-clear-_cpu.patch.
- Refresh patches.suse/0002-firmware-define-pr_fmt.patch.
- Refresh
  patches.suse/0003-firmware-enable-a-debug-print-for-batched-requests.patch.
- Refresh
  patches.suse/09-crypto-ccp-use-devres-interface-to-allocate-pci-iomap-and-cleanup.patch.
- Refresh patches.suse/block-add-a-__disk_get_part-helper.patch.
- Refresh
  patches.suse/block-cache-the-partition-index-in-struct-block_devi.patch.
- Refresh
  patches.suse/block-reject-attempts-to-allocate-more-than-DISK_MAX.patch.
- Refresh
  patches.suse/block-replace-bi_bdev-with-a-gendisk-pointer-and-par.patch.
- Refresh patches.suse/block-tolerate-tracing-of-NULL-bio.patch.
- Refresh
  patches.suse/btrfs-Take-trans-lock-before-access-running-trans-in.patch.
- Refresh
  patches.suse/btrfs-account-for-pinned-bytes-in-should_alloc_chunk.patch.
- Refresh
  patches.suse/btrfs-avoid-losing-data-raid-profile-when-deleting-a-device.patch.
- Refresh
  patches.suse/btrfs-fix-crash-due-to-not-cleaning-up-tree-log-block-s-dirty-bits.patch.
- Refresh
  patches.suse/btrfs-fix-deadlock-in-run_delalloc_nocow.patch.
- Refresh
  patches.suse/btrfs-fix-extent-state-leak-from-tree-log.patch.
- Refresh
  patches.suse/btrfs-fix-readdir-deadlock-with-pagefault.patch.
- Refresh
  patches.suse/btrfs-fix-unexpected-eexist-when-creating-new-inode.patch.
- Refresh
  patches.suse/btrfs-incremental-send-fix-emission-of-invalid-clone-operations.patch.
- Refresh
  patches.suse/btrfs-incremental-send-fix-wrong-unlink-path-after-renaming-file.patch.
- Refresh
  patches.suse/btrfs-index-check-integrity-state-hash-by-a-dev_t.patch.
- Refresh
  patches.suse/btrfs-preserve-i_mode-if-_btrfs_set_acl-fails.patch.
- Refresh
  patches.suse/cpufreq-intel_pstate-Add-Skylake-servers-support.patch.
- Refresh
  patches.suse/cpufreq-intel_pstate-Clean-up-after-performance-governor-changes.patch.
- Refresh
  patches.suse/cpufreq-intel_pstate-Drop-get-from-intel_pstate-structure.patch.
- Refresh
  patches.suse/cpufreq-intel_pstate-Fix-ratio-setting-for-min_perf_pct.patch.
- Refresh
  patches.suse/cpufreq-intel_pstate-Improve-IO-performance-with-per-core-P-states.patch.
- Refresh
  patches.suse/cpufreq-intel_pstate-Remove-max-min-fractions-to-limit-performance.patch.
- Refresh
  patches.suse/cpufreq-intel_pstate-Replace-bxt_funcs-with-core_funcs.patch.
- Refresh
  patches.suse/cpufreq-intel_pstate-constify-attribute_group-structures.patch.
- Refresh
  patches.suse/cpufreq-intel_pstate-report-correct-CPU-frequencies-during-trace.patch.
- Refresh
  patches.suse/cpufreq-schedutil-Fix-sugov_start-versus-sugov_update_shared-race.patch.
- Refresh
  patches.suse/cpuidle-menu-allow-state-0-to-be-disabled.patch.
- Refresh
  patches.suse/intel_pstate-delete-scheduler-hook-in-HWP-mode.patch.
- Refresh
  patches.suse/intel_pstate-skip-scheduler-hook-when-in-performance-mode.patch.
- Refresh
  patches.suse/intel_pstate-use-updated-msr-index.h-HWP.EPP-values.patch.
- Refresh
  patches.suse/mm-fix-the-NULL-mapping-case-in-__isolate_lru_page.patch.
- Refresh
  patches.suse/raid5-remove-a-call-to-get_start_sect.patch.
- Refresh
  patches.suse/suse-hv-hv_netvsc-enable-multicast-if-necessary.patch.
- Refresh
  patches.suse/x86-msr-index.h-define-EPB-mid-points.patch.
- Refresh
  patches.suse/x86-msr-index.h-define-HWP.EPP-values.patch.
- Refresh
  patches.suse/x86-msr-index.h-fix-shifts-to-ULL-results-in-HWP-macros.patch.
- commit 2767cf1
* Fri Aug 31 2018 bpoirier@suse.com
- Update outdated Patch-mainline tags ("next release")
- Refresh
  patches.arch/powerpc-eeh-Fix-crashes-in-eeh_report_resume.patch.
- Refresh
  patches.drivers/ACPI-watchdog-Fix-off-by-one-error-at-resource-assig.
- Refresh
  patches.drivers/ALSA-hda-Revert-power_save-option-default-value.
- Refresh
  patches.drivers/ALSA-seq-Clear-client-entry-before-deleting-else-at-.
- Refresh
  patches.drivers/ALSA-seq-Fix-possible-UAF-in-snd_seq_check_queue.
- Refresh
  patches.drivers/Bluetooth-btusb-Fix-quirk-for-Atheros-1525-QCA6174.
- Refresh
  patches.drivers/HID-debug-check-length-before-copy_to_user.
- Refresh
  patches.drivers/Partial-revert-e1000e-Avoid-receiver-overrun-interru.patch.
- Refresh
  patches.drivers/Revert-e1000e-Separate-signaling-for-link-check-link.patch.
- Refresh
  patches.drivers/drm-i915-Specify-which-engines-to-reset-following-se.
- Refresh
  patches.drivers/e1000e-Avoid-missed-interrupts-following-ICR-read.patch.
- Refresh
  patches.drivers/e1000e-Fix-check_for_link-return-value-with-autoneg-.patch.
- Refresh
  patches.drivers/e1000e-Fix-link-check-race-condition.patch.
- Refresh
  patches.drivers/e1000e-Fix-queue-interrupt-re-raising-in-Other-inter.patch.
- Refresh patches.drivers/e1000e-Remove-Other-from-EIAC.patch.
- Refresh
  patches.drivers/e1000e-allocate-ring-descriptors-with-dma_zalloc_coh.patch.
- Refresh
  patches.drivers/ibmvnic-Clean-RX-pool-buffers-during-device-close.patch.
- Refresh
  patches.drivers/ibmvnic-Clear-pending-interrupt-after-device-reset.patch.
- Refresh
  patches.drivers/ibmvnic-Define-vnic_login_client_data-name-field-as-.patch.
- Refresh
  patches.drivers/ibmvnic-Do-not-notify-peers-on-parameter-change-rese.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-NAPI-structures-memory-leak.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-login-buffer-memory-leaks.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-non-fatal-firmware-error-reset.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-pending-MAC-address-changes.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-statistics-buffers-memory-leak.patch.
- Refresh
  patches.drivers/ibmvnic-Free-RX-socket-buffer-in-case-of-adapter-err.patch.
- Refresh
  patches.drivers/ibmvnic-Free-coherent-DMA-memory-if-FW-map-failed.patch.
- Refresh
  patches.drivers/ibmvnic-Handle-all-login-error-conditions.patch.
- Refresh
  patches.drivers/ibmvnic-Wait-until-reset-is-complete-to-set-carrier-.patch.
- Refresh patches.drivers/net-hns-Fix-ethtool-private-flags.patch.
- Refresh
  patches.drivers/nvme-pci-take-sglist-coalescing-in-dma_map_sg-into-a.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-crashes-in-qla2x00_probe_one-on-pro.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Remove-FC_NO_LOOP_ID-for-FCP-and-FC-NVM.patch.
- Refresh
  patches.fixes/ipc-shm.c-add-split-function-to-shm_vm_ops.patch.
- Refresh
  patches.fixes/l2tp-don-t-use-inet_shutdown-on-ppp-session-destroy.patch.
- Refresh
  patches.fixes/l2tp-don-t-use-inet_shutdown-on-tunnel-destroy.patch.
- Refresh
  patches.fixes/l2tp-fix-race-in-pppol2tp_release-with-session-objec.patch.
- Refresh
  patches.fixes/l2tp-fix-races-with-tunnel-socket-close.patch.
- Refresh
  patches.fixes/l2tp-fix-tunnel-lookup-use-after-free-race.patch.
- Refresh
  patches.suse/bpf-array-fix-overflow-in-max_entries-and-undefined-.patch.
- commit 69f0e65
* Fri Aug 31 2018 bpoirier@suse.com
- Fix invalid Patch-mainline tags (stable)
  Some patches in the sorted section have a Patch-mainline tag indicating
  that they are backports of a stable tree commit but have a Git-commit tag
  pointing to the original mainline commit. Fix this mismatch by updating the
  Patch-mainline tag so that it corresponds with the Git-commit.
- Refresh
  patches.fixes/4.4.129-040-powerpc-powernv-Handle-unknown-OPAL-errors-in.patch.
- Refresh
  patches.fixes/4.4.129-041-powerpc-64-Fix-smp_wmb-barrier-definition-use.patch.
- Refresh
  patches.fixes/4.4.129-042-powerpc-powernv-define-a-standard-delay-for-O.patch.
- Refresh
  patches.fixes/4.4.129-043-powerpc-powernv-Fix-OPAL-NVRAM-driver-OPAL_BU.patch.
- Refresh
  patches.fixes/4.4.129-086-powerpc-eeh-Fix-enabling-bridge-MMIO-windows.patch.
- Refresh
  patches.fixes/4.4.133-056-powerpc-powernv-Fix-NVRAM-sleep-in-invalid-co.patch.
- Refresh
  patches.fixes/4.4.134-183-powerpc-mpic-Check-if-cpu_possible-in-mpic_ph.patch.
- Refresh
  patches.fixes/4.4.134-214-powerpc-Add-missing-prototype-for-arch_irq_wo.patch.
- Refresh
  patches.fixes/4.4.136-002-powerpc-64s-Clear-PCR-on-boot.patch.
- Refresh
  patches.fixes/4.4.139-043-powerpc-mm-hash-Add-missing-isync-prior-to-ke.patch.
- Refresh
  patches.fixes/4.4.139-044-powerpc-ptrace-Fix-setting-512B-aligned-break.patch.
- Refresh
  patches.fixes/4.4.139-047-powerpc-fadump-Unregister-fadump-on-kexec-dow.patch.
- Refresh
  patches.fixes/xfs-fix-incorrect-extent-state-in-xfs_bmap_ad.patch.
- Refresh
  patches.fixes/xfs-fix-log-block-underflow-during-recovery-c.patch.
- Refresh
  patches.fixes/xfs-quota-check-result-of-register_shrinker.patch.
- Refresh
  patches.fixes/xfs-quota-fix-missed-destroy-of-qi_tree_lock.patch.
- Refresh patches.fixes/xfs-ubsan-fixes.patch.
- commit 899fef6
* Fri Aug 31 2018 bpoirier@suse.com
- Fix invalid Patch-mainline tags ("next-release")
  Some patches are tagged with something of the form
  "v4.14 or v4.13-rc6 (next release)"
  When properly used, the two kernel versions in this tag should be the same.
  Additionally, in some cases, the actual tagged version is neither of the
  two listed alternatives.
  Update these patches. In all cases, enough time has passed that the
  ambiguity is lifted.
- Refresh
  patches.arch/01-x86-cpu-amd-document-amd-secure-memory-encryption-sme.patch.
- Refresh
  patches.arch/01-x86-retpoline-fill-rsb-on-context-switch-for-affected-cpus.patch.
- Refresh
  patches.arch/02-x86-mm-pat-set-write-protect-cache-mode-for-full-pat-support.patch.
- Refresh
  patches.arch/02-x86-retpoline-add-lfence-to-the-retpoline-rsb-filling-rsb-macros.patch.
- Refresh
  patches.arch/03-x86-mpparse-x86-acpi-x86-pci-x86-dmi-sfi-use-memremap-for-ram-mappings.patch.
- Refresh
  patches.arch/04-x86-cpu-amd-add-the-secure-memory-encryption-cpu-feature.patch.
- Refresh
  patches.arch/05-x86-cpu-amd-handle-sme-reduction-in-physical-address-size.patch.
- Refresh
  patches.arch/05-x86-cpufeature-move-processor-tracing-out-of-scattered-features.patch.
- Refresh
  patches.arch/06-module-add-retpoline-tag-to-vermagic.patch.
- Refresh
  patches.arch/06-x86-mm-add-secure-memory-encryption-sme-support.patch.
- Refresh
  patches.arch/07-x86-mm-remove-phys_to_virt-usage-in-ioremap.patch.
- Refresh
  patches.arch/08-x86-mm-add-support-to-enable-sme-in-early-boot-processing.patch.
- Refresh patches.arch/09-x86-mm-simplify-pd_page-macros.patch.
- Refresh
  patches.arch/10-x86-mm-provide-general-kernel-support-for-memory-encryption.patch.
- Refresh
  patches.arch/11-x86-mm-add-sme-support-for-read_cr3_pa.patch.
- Refresh
  patches.arch/12-x86-mm-extend-early_memremap-support-with-additional-attrs.patch.
- Refresh
  patches.arch/13-x86-mm-add-support-for-early-encryption-decryption-of-memory.patch.
- Refresh
  patches.arch/14-x86-mm-insure-that-boot-memory-areas-are-mapped-properly.patch.
- Refresh
  patches.arch/15-x86-boot-e820-add-support-to-determine-the-e820-type-of-an-address.patch.
- Refresh
  patches.arch/16-efi-add-an-efi-table-address-match-function.patch.
- Refresh
  patches.arch/17-efi-update-efi_mem_type-to-return-an-error-rather-than-0.patch.
- Refresh
  patches.arch/18-x86-efi-update-efi-pagetable-creation-to-work-with-sme.patch.
- Refresh
  patches.arch/19-x86-mm-add-support-to-access-boot-related-data-in-the-clear.patch.
- Refresh
  patches.arch/20-x86-boot-use-memremap-to-map-the-mpf-and-mpc-data.patch.
- Refresh
  patches.arch/21-x86-mm-add-support-to-access-persistent-memory-in-the-clear.patch.
- Refresh
  patches.arch/22-x86-mm-add-support-for-changing-the-memory-encryption-attribute.patch.
- Refresh
  patches.arch/23-x86-realmode-decrypt-trampoline-area-if-memory-encryption-is-active.patch.
- Refresh
  patches.arch/24-x86-swiotlb-add-memory-encryption-support.patch.
- Refresh
  patches.arch/25-swiotlb-add-warnings-for-use-of-bounce-buffers-with-sme.patch.
- Refresh
  patches.arch/26-x86-cpu-amd-make-the-microcode-level-available-earlier-in-the-boot.patch.
- Refresh
  patches.arch/27-iommu-amd-allow-the-amd-iommu-to-work-with-memory-encryption.patch.
- Refresh
  patches.arch/28-x86-boot-realmode-check-for-memory-encryption-on-the-aps.patch.
- Refresh
  patches.arch/29-x86-drm-fbdev-do-not-specify-encrypted-memory-for-video-mappings.patch.
- Refresh
  patches.arch/30-kvm-x86-svm-support-secure-memory-encryption-within-kvm.patch.
- Refresh
  patches.arch/31-x86-mm-kexec-allow-kexec-to-be-used-with-sme.patch.
- Refresh
  patches.arch/32-xen-x86-remove-sme-feature-in-pv-guests.patch.
- Refresh
  patches.arch/33-x86-mm-use-proper-encryption-attributes-with-dev-mem.patch.
- Refresh
  patches.arch/34-x86-mm-create-native_make_p4d-for-pgtable_levels-4.patch.
- Refresh
  patches.arch/35-x86-mm-add-support-to-encrypt-the-kernel-in-place.patch.
- Refresh
  patches.arch/36-x86-boot-add-early-cmdline-parsing-for-options-with-arguments.patch.
- Refresh
  patches.arch/37-compiler-gcc-h-introduce-_nostackprotector-function-attribute.patch.
- Refresh
  patches.arch/38-x86-mm-add-support-to-make-use-of-secure-memory-encryption.patch.
- Refresh
  patches.arch/39-x86-boot-fix-memremap-related-build-failure.patch.
- Refresh
  patches.arch/40-x86-mm-kexec-fix-memory-corruption-with-sme-on-successive-kexecs.patch.
- Refresh
  patches.arch/41-acpi-x86-mm-remove-encryption-mask-from-acpi-page-protection-type.patch.
- Refresh
  patches.arch/42-x86-mm-fix-sme-encryption-stack-ptr-handling.patch.
- Refresh
  patches.drivers/0033-scsi-libsas-align-sata_device-s-rps_resp-on-a-cachel.patch.
- Refresh
  patches.drivers/bnxt_en-Fix-population-of-flow_type-in-bnxt_hwrm_cfa.patch.
- Refresh
  patches.drivers/bnxt_en-Fix-the-Invalid-VF-id-check-in-bnxt_vf_ndo_p.patch.
- Refresh
  patches.drivers/nvme-fc-remove-double-put-reference-if-admin-connect.patch.
- Refresh
  patches.fixes/jfs-fix-inconsistency-between-memory-allocation-and-ea_buf-max_size.patch.
- Refresh
  patches.fixes/keys-return-full-count-in-keyring_read-if-buffer-is-too-small.
- Refresh
  patches.fixes/kvm-x86-fix-device-passthrough-when-sme-is-active.patch.
- Refresh
  patches.suse/btrfs-add-missing-initialization-in-btrfs_check_shared.patch.
- Refresh
  patches.suse/include-psp-sev-capitalize-invalid-length-enum.patch.
- Refresh
  patches.suse/kvm-svm-fix-sev-launch_secret-command.patch.
- Refresh
  patches.suse/kvm-svm-no-need-to-call-access_ok-in-launch_measure-command.patch.
- Refresh
  patches.suse/kvm-x86-remove-indirect-msr-op-calls-from-spec_ctrl.patch.
- commit 8ee956f
* Fri Aug 31 2018 bpoirier@suse.com
- Update outdated Patch-mainline and Git-repo tags
  Some patches which backport commits part of a mainline release are still
  tagged as "Queued ...". Update them for accuracy.
- Refresh
  patches.arch/44-x86-mm-Unbreak-modules-that-rely-on-external-PAGE_KERNEL-availability.patch.
- Refresh
  patches.drivers/IB-core-Fix-qp_sec-use-after-free-access.patch.
- Refresh
  patches.drivers/IB-core-Fix-typo-in-the-name-of-the-tag-matching-cap.patch.
- Refresh
  patches.drivers/IB-hfi1-Check-eeprom-config-partition-validity.patch.
- Refresh
  patches.drivers/IB-hfi1-Unsuccessful-PCIe-caps-tuning-should-not-fai.patch.
- Refresh
  patches.drivers/IB-ipoib-Fix-sysfs-Pkey-create-remove-possible-deadl.patch.
- Refresh
  patches.drivers/IB-mlx5-Fix-NULL-deference-on-mlx5_ib_update_xlt-fai.patch.
- Refresh
  patches.drivers/qed-Fix-reading-stale-configuration-information.patch.
- Refresh
  patches.fixes/Fix-up-non-directory-creation-in-SGID-directories.patch.
- Refresh
  patches.fixes/test_bpf-Fix-testing-with-CONFIG_BPF_JIT_ALWAYS_ON-y.patch.
- Refresh
  patches.suse/cpufreq-intel_pstate-Limit-the-scope-of-HWP-dynamic-.patch.
- commit 56146a0
* Thu Aug 30 2018 oneukum@suse.com
- blacklist.conf: only reduces memory consumption
- commit 2fe52b4
* Thu Aug 30 2018 oneukum@suse.com
- PM / runtime: Drop usage count for suppliers at device link
  removal (bsc#1100132).
- commit f99e8a2
* Thu Aug 30 2018 oneukum@suse.com
- blacklist.conf: changes semantics and profiles for PM
- commit 4cb9d15
* Thu Aug 30 2018 oneukum@suse.com
- blacklist.conf: changes semantics of PM calls
- commit e02278a
* Thu Aug 30 2018 oneukum@suse.com
- blacklist.conf: breaks sysfs users
- commit 658f5b6
* Thu Aug 30 2018 oneukum@suse.com
- blacklist.conf: breaks sysfs users
- commit 3a30808
* Thu Aug 30 2018 ykaukab@suse.de
- arm64: move patches to sorted section
- Refresh
  patches.arch/0003-arm-arm64-smccc-Add-SMCCC-specific-return-codes.patch.
- Refresh
  patches.arch/0004-arm64-Call-ARCH_WORKAROUND_2-on-transitions-between-.patch.
- Refresh
  patches.arch/0005-arm64-Add-per-cpu-infrastructure-to-call-ARCH_WORKAR.patch.
- Refresh
  patches.arch/0006-arm64-Add-ARCH_WORKAROUND_2-probing.patch.
- Refresh
  patches.arch/0007-arm64-Add-ssbd-command-line-option.patch.
- Refresh
  patches.arch/0008-arm64-ssbd-Add-global-mitigation-state-accessor.patch.
- Refresh
  patches.arch/0009-arm64-ssbd-Skip-apply_ssbd-if-not-using-dynamic-miti.patch.
- Refresh
  patches.arch/0010-arm64-ssbd-Restore-mitigation-status-on-CPU-resume.patch.
- Refresh
  patches.arch/0011-arm64-ssbd-Introduce-thread-flag-to-control-userspac.patch.
- Refresh
  patches.arch/0012-arm64-ssbd-Add-prctl-interface-for-per-thread-mitiga.patch.
- Refresh
  patches.drivers/0001-crypto-cavium-Fix-fallout-from-CONFIG_VMAP_STACK.patch.
- Refresh
  patches.drivers/0002-crypto-cavium-Limit-result-reading-attempts.patch.
- Refresh
  patches.drivers/0002-i2c-xlp9xx-return-ENXIO-on-slave-address-NACK.patch.
- Refresh
  patches.drivers/0002-phy-qcom-ufs-add-MODULE_LICENSE-tag.patch.
- Refresh
  patches.drivers/0003-crypto-cavium-Prevent-division-by-zero.patch.
- Refresh
  patches.drivers/0003-i2c-xlp9xx-Handle-transactions-with-I2C_M_RECV_LEN-p.patch.
- Refresh
  patches.drivers/0004-crypto-cavium-Fix-statistics-pending-request-value.patch.
- Refresh
  patches.drivers/0005-crypto-cavium-Fix-smp_processor_id-warnings.patch.
- Refresh
  patches.drivers/0012-PCI-Probe-for-device-reset-support-during-enumeratio.patch.
- Refresh
  patches.drivers/0013-PCI-Remove-redundant-probes-for-device-reset-support.patch.
- Refresh
  patches.drivers/0016-ACPI-IORT-Add-msi-address-regions-reservation-helper.patch.
- commit d5ee297
* Thu Aug 30 2018 tiwai@suse.de
- PCI: pciehp: Fix use-after-free on unplug (bsc#1051510).
- PCI: hotplug: Don't leak pci_slot on registration failure
  (bsc#1051510).
- commit 25eff09
* Thu Aug 30 2018 tiwai@suse.de
- lib/test_hexdump.c: fix failure on big endian cpu (bsc#1051510).
- commit 931b8a5
* Thu Aug 30 2018 tiwai@suse.de
- crypto: caam/qi - fix error path in xts setkey (bsc#1051510).
- crypto: caam/jr - fix descriptor DMA unmapping (bsc#1051510).
- commit fb8ae18
* Wed Aug 29 2018 mkubecek@suse.cz
- kernel-binary: check also bzImage on s390/s390x
  Starting with 4.19-rc1, uncompressed image is no longer built on s390x.
  If file "image" is not found in arch/s390/boot after the build, try bzImage
  instead.
  For now, install bzImage under the name image-* until we know grub2 and our
  grub2 scripts can handle correct name.
- commit 92b52c6
* Wed Aug 29 2018 pvorel@suse.cz
- Apply e666d4e9ceec crypto: vmx - Use skcipher for ctr fallback
  to SLE12-SP4 (bsc#1106464).
- Refresh
  patches.drivers/crypto-vmx-Remove-overly-verbose-printk-from-AES-ini.
- commit c922d6f
* Wed Aug 29 2018 rgoldwyn@suse.com
- Apparmor fixes from git-fixes
- apparmor: ensure that undecidable profile attachments fail (bsc#1106427).
- apparmor: fix an error code in __aa_create_ns() (bsc#1106427).
- apparmor: remove no-op permission check in policy_unpack
  (bsc#1106427).
- apparmor: Fix regression in profile conflict logic
  (bsc#1106427)
- Refreshed
  patches.apparmor/0001-apparmor-fix-profile-attachment-for-special-unconfin.patch
- commit ce5df95
* Wed Aug 29 2018 tiwai@suse.de
- thermal_hwmon: Pass the originating device down to
  hwmon_device_register_with_info (bsc#1103363).
- thermal_hwmon: Sanitize attribute name passed to hwmon
  (bsc#1103363).
- thermal: thermal_hwmon: Convert to
  hwmon_device_register_with_info() (bsc#1103363).
- commit f41fe4d
* Wed Aug 29 2018 mhocko@suse.com
- x86/init: fix build with CONFIG_SWAP=n (bnc#1106121).
- commit 15c1cf0
* Wed Aug 29 2018 mkubecek@suse.cz
- Cipso: cipso_v4_optptr enter infinite loop (CVE-2018-10938
  bsc#1106016).
- commit 4af59dd
* Wed Aug 29 2018 gqjiang@suse.com
- md-cluster: don't send msg if array is closing (bsc#1106333).
- md-cluster: show array's status more accurate (bsc#1106333).
- md-cluster: clear another node's suspend_area after the copy
  is finished (bsc#1106333).
- commit 99939e9
* Tue Aug 28 2018 rgoldwyn@suse.com
- Filesystem and FUSE fixes from upstream
- f2fs: remove unneeded memory footprint accounting (bsc#1106297).
- f2fs: validate before set/clear free nat bitmap (bsc#1106297).
- fix __legitimize_mnt()/mntput() race (bsc#1106297).
- fix mntput/mntput race (bsc#1106297).
- fs/proc/proc_sysctl.c: fix potential page fault while
  unregistering sysctl table (bsc#1106297).
- fuse: Add missed unlock_page() to fuse_readpages_fill()
  (bsc#1106291).
- fuse: Fix oops at process_init_reply() (bsc#1106291).
- fuse: fix double request_end() (bsc#1106291).
- fuse: fix initial parallel dirops (bsc#1106291).
- fuse: fix unlocked access to processing queue (bsc#1106291).
- fuse: umount should wait for all requests (bsc#1106291).
- getxattr: use correct xattr length (bsc#1106297).
- pipe: actually allow root to exceed the pipe buffer limits
  (bsc#1106297).
- root dentries need RCU-delayed freeing (bsc#1106297).
- Refresh
  patches.fixes/pipe-fix-off-by-one-error-when-checking-buffer-limit.patch.
- commit 2fb5115
* Tue Aug 28 2018 jroedel@suse.de
- x86/kvm: fix LAPIC timer drift when guest uses periodic mode (bsc#1106240).
- commit ad93d53
* Tue Aug 28 2018 jroedel@suse.de
- KVM: x86: fix APIC page invalidation (bsc#1106240).
- commit c5ec8b3
* Tue Aug 28 2018 tiwai@suse.de
- lan78xx: Lan7801 Support for Fixed PHY (bsc#1085262).
- commit 8e83fff
* Tue Aug 28 2018 jroedel@suse.de
- KVM: nVMX: Fix injection to L2 when L1 don't intercept
  external-interrupts (bsc#1106240).
- KVM: nVMX: Re-evaluate L1 pending events when running L2 and
  L1 got posted-interrupt (bsc#1106240).
- KVM: x86: Change __kvm_apic_update_irr() to also return if
  max IRR updated (bsc#1106240).
- commit d6a7729
* Tue Aug 28 2018 tiwai@suse.de
- lan78xx: remove redundant initialization of pointer 'phydev'
  (bsc#1085262).
- commit 0d9dc95
* Tue Aug 28 2018 tiwai@suse.de
- lan78xx: Set ASD in MAC_CR when EEE is enabled (bsc#1085262).
- Refresh
  patches.suse/bsc1084332-0003-lan78xx-Enable-LEDs-and-auto-negotiation.patch.
- commit 730e995
* Tue Aug 28 2018 tiwai@suse.de
- Refresh with the upstream patches for lan78xx fixes (bsc#1085262)
  Also moved to sorted section
- commit 345b729
* Tue Aug 28 2018 jroedel@suse.de
- KVM: Enforce error in ioctl for compat tasks when !KVM_COMPAT (bsc#1106240).
- commit 630d41f
* Tue Aug 28 2018 jroedel@suse.de
- KVM: nVMX: Don't flush TLB when vmcs12 uses VPID (bsc#1106240).
- commit 652ae7c
* Tue Aug 28 2018 jroedel@suse.de
- KVM: nVMX: Fix races when sending nested PI while dest enters/leaves L2 (bsc#1106240).
- commit 8141888
* Tue Aug 28 2018 msuchanek@suse.de
- KABI: tpm: do keep the cmd_ready and go_idle as pm ops
  (bsc#1082555).
- KABI: tpm: change relinquish_locality return value back to void
  (bsc#1082555).
- commit cfc9ac9
* Tue Aug 28 2018 msuchanek@suse.de
- tpm: separate cmd_ready/go_idle from runtime_pm (bsc#1082555).
- tpm: tpm_crb: relinquish locality on error path (bsc#1082555).
- tpm: cmd_ready command can be issued only after granting
  locality (bsc#1082555).
- tpm: vtpm_proxy: Implement request_locality function
  (bsc#1082555).
- tpm: Introduce flag TPM_TRANSMIT_RAW (bsc#1082555).
- commit 55c64dd
* Tue Aug 28 2018 bp@suse.de
- x86/vdso: Fix vDSO build if a retpoline is emitted (git-fixes
  76b043848fd2).
- commit b796688
* Tue Aug 28 2018 jroedel@suse.de
- kvm: x86: vmx: fix vpid leak (bsc#1106240).
- kvm: nVMX: Use nested_run_pending rather than from_vmentry
  (bsc#1106240).
- KVM/x86: remove WARN_ON() for when vm_munmap() fails
  (bsc#1106240).
- commit e9778df
* Tue Aug 28 2018 jthumshirn@suse.de
- libnvdimm, btt: fix uninitialized err_lock (bsc#1103961).
- libnvdimm: rename nd_sector_size_{show,store} to
  nd_size_select_{show,store} (bsc#1103961).
- libnvdimm, nfit: enable support for volatile ranges
  (bsc#1103961).
- commit 5166982
* Tue Aug 28 2018 jroedel@suse.de
- iommu/arm-smmu-v3: Don't free page table ops twice (bsc#1106237).
- commit b284a77
* Tue Aug 28 2018 jack@suse.cz
- block, bfq: return nbytes and not zero from struct cftype
  .write() method (bsc#1106238).
- commit bcb0c5f
* Tue Aug 28 2018 jack@suse.cz
- reiserfs: fix broken xattr handling (heap corruption, bad
  retval) (bsc#1106236).
- commit 8cb0131
* Tue Aug 28 2018 jack@suse.cz
- getxattr: use correct xattr length (bsc#1106235).
- commit 3823b92
* Tue Aug 28 2018 jack@suse.cz
- f2fs: remove unneeded memory footprint accounting (bsc#1106233).
- commit 4e0cd5b
* Tue Aug 28 2018 jack@suse.cz
- f2fs: validate before set/clear free nat bitmap (bsc#1106231).
- commit 720d1f7
* Tue Aug 28 2018 jack@suse.cz
- ubifs: Fix directory size calculation for symlinks
  (bsc#1106230).
- commit 8e56a6f
* Tue Aug 28 2018 jack@suse.cz
- ext4: sysfs: print ext4_super_block fields as little-endian
  (bsc#1106229).
- commit 3ae063e
* Tue Aug 28 2018 tiwai@suse.de
- video: fbdev: pxafb: clear allocated memory for video modes
  (bsc#1051510).
- commit e46a180
* Tue Aug 28 2018 tzimmermann@suse.de
- blacklist.conf: Add 'drm: add missing ctx argument to plane transitional helpers'
- commit 084be65
* Tue Aug 28 2018 jack@suse.cz
- blacklist.conf: Blacklist c10f778ddfc1
- commit 65e7761
* Tue Aug 28 2018 tzimmermann@suse.de
- drm/tegra: Fix comparison operator for buffer size (bsc#1100132).
- commit 120cf74
* Mon Aug 27 2018 msuchanek@suse.de
- powerpc/kprobes: Fix call trace due to incorrect preempt count
  (bsc#1065729).
- commit d9f2095
* Mon Aug 27 2018 msuchanek@suse.de
- KVM: PPC: Book3S: Fix guest DMA when guest partially backed
  by THP pages (bsc#1077761, git-fixes, bsc#1103948, bsc#1103949).
- commit f8b5434
* Mon Aug 27 2018 ohering@suse.de
- Tools: hv: vss: fix loop device detection (fate#323887).
- commit adec91f
* Mon Aug 27 2018 jroedel@suse.de
- kvm: nVMX: Fix fault vector for VMX operation at CPL > 0
  (bsc#1106105).
- iommu/amd: Finish TLB flush in amd_iommu_unmap() (bsc#1106105).
- iommu/amd: make sure TLB to be flushed before IOVA freed
  (bsc#1106105).
- iommu/vt-d: Fix a potential memory leak (bsc#1106105).
- iommu/vt-d: Ratelimit each dmar fault printing (bsc#1106105).
- blacklist.conf:
- Refresh
  patches.arch/x86-sched-allow-topologies-where-numa-nodes-share-an-llc.patch.
- commit 0278c0c
* Mon Aug 27 2018 tiwai@suse.de
- drm/armada: fix irq handling (bsc#1051510).
- drm/armada: fix colorkey mode property (bsc#1051510).
- drm/exynos: decon5433: Fix WINCONx reset value (bsc#1051510).
- drm/exynos: decon5433: Fix per-plane global alpha for XRGB modes
  (bsc#1051510).
- drm/exynos: gsc: Fix support for NV16/61, YUV420/YVU420 and
  YUV422 modes (bsc#1051510).
- drm/bridge/sii8620: Fix display of packed pixel modes
  (bsc#1051510).
- drm/arm/malidp: Preserve LAYER_FORMAT contents when setting
  format (bsc#1051510).
- drm: mali-dp: Enable Global SE interrupts mask for DP500
  (bsc#1051510).
- drm/bridge/sii8620: fix display of packed pixel modes in MHL2
  (bsc#1051510).
- drm/bridge/sii8620: fix loops in EDID fetch logic (bsc#1051510).
- commit 2fb9f1b
* Mon Aug 27 2018 tzimmermann@suse.de
- drm/tegra: Check for malformed offsets and sizes in the 'submit' IOCTL (bsc#1106170).
- commit e00a923
* Mon Aug 27 2018 tiwai@suse.de
- ARM: imx: flag failure of of_iomap (bsc#1051510).
- ARM: hisi: handle of_iomap and fix missing of_node_put
  (bsc#1051510).
- ARM: hisi: fix error handling and missing of_node_put
  (bsc#1051510).
- ARM: DRA7/OMAP5: Enable ACTLR[0] (Enable invalidates of BTB)
  for secondary cores (bsc#1051510).
- ARM: pxa: irq: fix handling of ICMR registers in suspend/resume
  (bsc#1051510).
- ARM: 8780/1: ftrace: Only set kernel memory back to read-only
  after boot (bsc#1051510).
- ARM: imx_v4_v5_defconfig: Select ULPI support (bsc#1051510).
- ARM: imx_v6_v7_defconfig: Select ULPI support (bsc#1051510).
- commit 0e3c5de
* Mon Aug 27 2018 tiwai@suse.de
- ACPI / EC: Add another entry for Thinkpad X1 Carbon 6th
  (bsc#1051510).
- ACPI / EC: Use ec_no_wakeup on ThinkPad X1 Yoga 3rd
  (bsc#1051510).
- ACPI / EC: Use ec_no_wakeup on more Thinkpad X1 Carbon 6th
  systems (bsc#1051510).
- ACPI / EC: Use ec_no_wakeup on Thinkpad X1 Carbon 6th
  (bsc#1051510).
- ACPI / EC: Add parameter to force disable the GPE on suspend
  (bsc#1051510).
- commit 1138c0c
* Mon Aug 27 2018 tiwai@suse.de
- fat: fix memory allocation failure handling of match_strdup()
  (bsc#1051510).
- commit f52e3e9
* Mon Aug 27 2018 tiwai@suse.de
- Input: edt-ft5x06 - fix error handling for factory mode on
  non-M06 (bsc#1051510).
- Input: edt-ft5x06 - implement support for the EDT-M12 series
  (bsc#1051510).
- Input: edt-ft5x06 - make distinction between m06/m09/generic
  more clear (bsc#1051510).
- commit c90db2d
* Mon Aug 27 2018 tiwai@suse.de
- irqchip/bcm7038-l1: Hide cpu offline callback when building
  for !SMP (bsc#1051510).
- commit 828545b
* Mon Aug 27 2018 tiwai@suse.de
- PM / Domains: Fix error path during attach in genpd
  (bsc#1051510).
- commit 652af00
* Mon Aug 27 2018 mbenes@suse.cz
- module: exclude SHN_UNDEF symbols from kallsyms api
  (bsc#1071995).
- commit e106f34
* Mon Aug 27 2018 tiwai@suse.de
- pwm: tiehrpwm: Fix disabling of output of PWMs (bsc#1051510).
- commit 1bfb3de
* Mon Aug 27 2018 tiwai@suse.de
- ubifs: Check data node size before truncate (bsc#1051510).
- ubifs: xattr: Don't operate on deleted inodes (bsc#1051510).
- ubifs: Fix memory leak in lprobs self-check (bsc#1051510).
- ubifs: Fix synced_i_size calculation for xattr inodes
  (bsc#1051510).
- commit 32af19d
* Mon Aug 27 2018 tiwai@suse.de
- usb: xhci: increase CRS timeout value (bsc#1051510).
- usb: gadget: dwc2: fix memory leak in gadget_init()
  (bsc#1051510).
- usb: gadget: composite: fix delayed_status race condition when
  set_interface (bsc#1051510).
- usb: dwc2: fix isoc split in transfer with no data
  (bsc#1051510).
- usb: dwc2: gadget: Fix issue in dwc2_gadget_start_isoc()
  (bsc#1051510).
- usb: dwc3: pci: add support for Intel IceLake (bsc#1051510).
- commit 615b8ac
* Mon Aug 27 2018 mhocko@suse.com
- kabi: x86/speculation/l1tf: Increase l1tf memory limit for
  Nehalem+ (bnc#1105536).
- x86/speculation/l1tf: Increase l1tf memory limit for Nehalem+
  (bnc#1105536).
- x86/speculation/l1tf: Suggest what to do on systems with too
  much RAM (bnc#1105536).
- x86/speculation/l1tf: Fix off-by-one error when warning that
  system has too much RAM (bnc#1105536).
- commit ed48a55
* Mon Aug 27 2018 mgorman@suse.de
- Delete patches.suse/x86-mm-tlb-Always-use-lazy-TLB-mode.patch.
- Delete patches.suse/x86-mm-tlb-Leave-lazy-TLB-mode-at-page-table-free-time.patch.
- Delete patches.suse/x86-mm-tlb-Make-lazy-TLB-mode-lazier.patch.
- Delete patches.suse/x86-mm-tlb-Only-send-page-table-free-TLB-flush-to-lazy-TLB-CPUs.patch.
- Delete patches.suse/x86-mm-tlb-Restructure-switch_mm_irqs_off.patch.
- Delete patches.suse/x86-mm-tlb-Skip-atomic-operations-for-init_mm-in-switch_mm_irqs_off.patch.
- commit 68ab5c6
* Mon Aug 27 2018 mbenes@suse.cz
- livepatch: Remove reliable stacktrace check in
  klp_try_switch_task() (bsc#1071995).
- commit 4e520b0
* Mon Aug 27 2018 mbenes@suse.cz
- livepatch: Validate module/old func name length (bsc#1071995).
- Refresh patches.suse/livepatch-add-atomic-replace.patch.
- commit 3dddc66
* Mon Aug 27 2018 jthumshirn@suse.de
- dax: remove VM_MIXEDMAP for fsdax and device dax (bsc#1106007).
- commit d533b73
* Mon Aug 27 2018 jslaby@suse.cz
- cls_matchall: fix tcf_unbind_filter missing
  (networking-stable-18_08_21).
- net: mvneta: fix mvneta_config_rss on armada 3700
  (networking-stable-18_08_21).
- net: ethernet: mvneta: Fix napi structure mixup on armada 3700
  (networking-stable-18_08_21).
- commit 9d95eb5
* Mon Aug 27 2018 jslaby@suse.cz
- net: stmmac: mark PM functions as __maybe_unused (git-fixes).
- netlink: Don't shift on 64 for ngroups (git-fixes).
- commit fc97ca9
* Mon Aug 27 2018 tiwai@suse.de
- staging: lustre: Use 'kvfree()' for memory allocated by
  'kvzalloc()' (bsc#1051510).
- staging: lustre: o2iblnd: Fix crash in kiblnd_handle_early_rxs()
  (bsc#1051510).
- staging: lustre: o2iblnd: fix race at kiblnd_connect_peer
  (bsc#1051510).
- staging: lustre: o2iblnd: Fix FastReg map/unmap for MLX5
  (bsc#1051510).
- staging: lustre: llite: correct removexattr detection
  (bsc#1051510).
- staging: lustre: llite: initialize xattr->xe_namelen
  (bsc#1051510).
- staging: lustre: ldlm: free resource when ldlm_lock_create()
  fails (bsc#1051510).
- staging: lustre: remove invariant in cl_io_read_ahead()
  (bsc#1051510).
- staging: lustre: statahead: remove incorrect test on
  agl_list_empty() (bsc#1051510).
- staging: lustre: fix bug in osc_enter_cache_try (bsc#1051510).
- staging: lustre: obd_mount: use correct niduuid suffix
  (bsc#1051510).
- staging: lustre: lmv: correctly iput lmo_root (bsc#1051510).
- staging: lustre: lov: use correct env in
  lov_io_data_version_end() (bsc#1051510).
- staging: lustre: libcfs: Prevent harmless read underflow
  (bsc#1051510).
- staging: lustre: disable preempt while sampling processor id
  (bsc#1051510).
- staging: lustre: ptlrpc: kfree used instead of kvfree
  (bsc#1051510).
- staging: lustre: obdclass: return -EFAULT if copy_from_user()
  fails (bsc#1051510).
- staging: lustre: libcfs: fix test for libcfs_ioctl_hdr minimum
  size (bsc#1051510).
- commit c1ade13
* Mon Aug 27 2018 neilb@suse.com
- NFSv4: Fix a sleep in atomic context in nfs4_callback_sequence()
  (git-fixes).
- NFSv4 client live hangs after live data migration recovery
  (git-fixes).
- pnfs/blocklayout: off by one in bl_map_stripe() (git-fixes).
- NFSv4: Fix possible 1-byte stack overflow in
  nfs_idmap_read_and_verify_message (git-fixes).
- nfsd: remove blocked locks on client teardown (git-fixes).
- nfs41: do not return ENOMEM on LAYOUTUNAVAILABLE (git-fixes).
- nfs/pnfs: fix nfs_direct_req ref leak when i/o falls back to
  the mds (git-fixes).
- commit b16787b
* Mon Aug 27 2018 neilb@suse.com
- blacklist.conf: blacklist lustre
- commit 8d0eb93
* Mon Aug 27 2018 ptesarik@suse.cz
- s390: fix br_r1_trampoline for machines without exrl (git-fixes,
  bsc#1103421).
- commit 7592773
* Sun Aug 26 2018 jslaby@suse.cz
- net_sched: Fix missing res info when create new tc_index filter
  (netfilter-stable-18_08_17).
- net_sched: fix NULL pointer dereference when delete tcindex
  filter (netfilter-stable-18_08_17).
- commit 26110bb
* Sun Aug 26 2018 jslaby@suse.cz
- l2tp: use sk_dst_check() to avoid race on sk->sk_dst_cache
  (netfilter-stable-18_08_17).
- commit d4e62c8
* Sun Aug 26 2018 jslaby@suse.cz
- vhost: reset metadata cache when initializing new IOTLB
  (netfilter-stable-18_08_17).
- llc: use refcount_inc_not_zero() for llc_sap_find()
  (netfilter-stable-18_08_17).
- dccp: fix undefined behavior with 'cwnd' shift in
  ccid2_cwnd_restart() (netfilter-stable-18_08_17).
- vsock: split dwork to avoid reinitializations
  (netfilter-stable-18_08_17).
- kABI: protect struct vsock_sock (kabi).
- kABI: reexport vsock_pending_work (kabi).
- mlxsw: core_acl_flex_actions: Return error for conflicting
  actions (netfilter-stable-18_08_17).
- commit 9eed15d
* Sun Aug 26 2018 jslaby@suse.cz
- rxrpc: Fix user call ID check in rxrpc_service_prealloc_one
  (netfilter-stable-18_08_04).
- net: dsa: Do not suspend/resume closed slave_dev
  (netfilter-stable-18_08_04).
- netlink: Fix spectre v1 gadget in netlink_create()
  (netfilter-stable-18_08_04).
- net: stmmac: Fix WoL for PCI-based setups
  (netfilter-stable-18_08_04).
- bonding: avoid lockdep confusion in bond_get_stats()
  (netfilter-stable-18_08_04).
- commit e43380e
* Fri Aug 24 2018 ykaukab@suse.de
- serial: make sc16is7xx driver supported
  References: bsc#1105672
- commit 2e01fee
* Fri Aug 24 2018 msuchanek@suse.de
- tpm: fix race condition in tpm_common_write() (bsc#1082555).
- commit 23bd66e
* Fri Aug 24 2018 msuchanek@suse.de
- tpm: fix use after free in tpm2_load_context() (bsc#1082555).
- commit 934d5ee
* Fri Aug 24 2018 ptesarik@suse.cz
- s390: use expoline thunks for all branches generated by the
  BPF JIT (bsc#1103421).
- commit 4690229
* Fri Aug 24 2018 msuchanek@suse.de
- cxl: Fix wrong comparison in cxl_adapter_context_get()
  (bsc#1055014, git-fixes).
- cxl: Configure PSL to not use APC virtual machines (bsc#1055014,
  git-fixes).
- commit 43f92b3
* Fri Aug 24 2018 ptesarik@suse.cz
- kabi: move s390 mm_context_t lock to mm_struct and ignore the
  change (bsc#1103421).
- s390/mm: fix race on mm->context.flush_mm (bsc#1103421).
- commit 1da3fff
* Fri Aug 24 2018 msuchanek@suse.de
- powerpc/lib: Fix the feature fixup tests to actually work
  (bsc#1065729).
- powerpc: make feature-fixup tests fortify-safe (bsc#1065729).
- commit 93d5bbb
* Fri Aug 24 2018 ptesarik@suse.cz
- s390/mm: fix local TLB flushing vs. detach of an mm address
  space (bsc#1103421).
- commit 209b523
* Fri Aug 24 2018 msuchanek@suse.de
- powerpc/64s: Default l1d_size to 64K in RFI fallback flush
  (bsc#1068032, git-fixes).
- commit 691bb4c
* Fri Aug 24 2018 ptesarik@suse.cz
- s390: fix compat system call table (bsc#1103421).
- commit da13d32
* Fri Aug 24 2018 ptesarik@suse.cz
- s390: always save and restore all registers on context switch
  (bsc#1103421).
- commit 45679c7
* Fri Aug 24 2018 tiwai@suse.de
- Fix kABI breakage due to enum addition for ath10k (bsc#1051510).
- commit 680c7d7
* Fri Aug 24 2018 jack@suse.cz
- mm: Fix devm_memremap_pages() collision handling (bsc#1104888).
- commit 45630fe
* Fri Aug 24 2018 ptesarik@suse.cz
- s390/runtime instrumentation: simplify task exit handling
  (bsc#1103421).
- commit ff79708
* Fri Aug 24 2018 jack@suse.cz
- mm: fix exports that inadvertently make put_page()
  EXPORT_SYMBOL_GPL (bsc#1104888).
- commit d9c9cf7
* Fri Aug 24 2018 ptesarik@suse.cz
- s390: fix handling of -1 in set{,fs}id16 syscalls (bsc#1103421).
- commit c15f7ae
* Fri Aug 24 2018 jack@suse.cz
- x86, memremap: fix altmap accounting at free (bsc#1104888).
- commit 4e6baf4
* Fri Aug 24 2018 jack@suse.cz
- kernel/memremap: Remove stale devres_free() call (bsc#1104888).
- commit b47b5c9
* Fri Aug 24 2018 ptesarik@suse.cz
- s390: detect etoken facility (bsc#1103421).
- commit 2a2f8e4
* Fri Aug 24 2018 ptesarik@suse.cz
- s390/entry.S: use assembler alternatives (bsc#1103421).
- Refresh
  patches.arch/s390-move-expoline-assembler-macros-to-a-header.patch.
- commit ff761b9
* Fri Aug 24 2018 tiwai@suse.de
- fbdev: omapfb: off by one in omapfb_register_client()
  (bsc#1051510).
- i2c: imx: Fix race condition in dma read (bsc#1051510).
- drm/i915/kvmgt: Fix potential Spectre v1 (bsc#1051510).
- ath10k: update the phymode along with bandwidth change request
  (bsc#1051510).
- brcmfmac: stop watchdog before detach and free everything
  (bsc#1051510).
- gpu: host1x: Check whether size of unpin isn't 0 (bsc#1051510).
- drm/amdgpu: fix swapped emit_ib_size in vce3 (bsc#1051510).
- nl80211: check nla_parse_nested() return values (bsc#1051510).
- dwc2: gadget: Fix ISOC IN DDMA PID bitfield value calculation
  (bsc#1051510).
- Input: synaptics-rmi4 - fix axis-swap behavior (bsc#1051510).
- commit 74c7c7d
* Fri Aug 24 2018 msuchanek@suse.de
- powerpc/64s: Fix DT CPU features Power9 DD2.1 logic
  (bsc#1055117).
- commit 44ff2dd
* Fri Aug 24 2018 ptesarik@suse.cz
- KVM: s390: force bp isolation for VSIE (bsc#1103421).
- commit 549f198
* Fri Aug 24 2018 ptesarik@suse.cz
- s390/lib: use expoline for all bcr instructions (git-fixes,
  bsc#1103421).
- commit 93ede07
* Fri Aug 24 2018 msuchanek@suse.de
- powerpc64s: Show ori31 availability in spectre_v1 sysfs file
  not v2 (bsc#1068032, bsc#1080157, git-fixes).
- commit 36ff604
* Fri Aug 24 2018 jslaby@suse.cz
- netlink: Don't shift with UB on nlk->ngroups
  (netfilter-stable-18_08_01).
- netlink: Do not subscribe to non-existent groups
  (netfilter-stable-18_08_01).
- NET: stmmac: align DMA stuff to largest cache line length
  (netfilter-stable-18_08_01).
- tcp_bbr: fix bw probing to raise in-flight data for very small
  BDPs (netfilter-stable-18_08_01).
- net: mdio-mux: bcm-iproc: fix wrong getter and setter pair
  (netfilter-stable-18_08_01).
- ipv4: remove BUG_ON() from fib_compute_spec_dst
  (netfilter-stable-18_08_01).
- net: ena: Fix use of uninitialized DMA address bits field
  (netfilter-stable-18_08_01).
- net: fix amd-xgbe flow-control issue
  (netfilter-stable-18_08_01).
- tcp: add one more quick ack after after ECN events
  (netfilter-stable-18_08_01).
- tcp: refactor tcp_ecn_check_ce to remove sk type cast
  (netfilter-stable-18_08_01).
- tcp: do not aggressively quick ack after ECN events
  (netfilter-stable-18_08_01).
- tcp: add max_quickacks param to tcp_incr_quickack and
  tcp_enter_quickack_mode (netfilter-stable-18_08_01).
- Refresh
  patches.suse/tcp-do-not-delay-ACK-in-DCTCP-upon-CE-status-change.patch.
- tcp: do not force quickack when receiving out-of-order packets
  (netfilter-stable-18_08_01).
- commit 6635520
* Fri Aug 24 2018 tiwai@suse.de
- Fix kABI breakage due to additional fields in drm structs
  (FATE#325208).
- drm: Add and handle new aspect ratios in DRM layer
  (FATE#325208).
- drm: Add aspect ratio parsing in DRM layer (FATE#325208).
- drm: Expose modes with aspect ratio, only if requested
  (FATE#325208).
- drm: Handle aspect ratio info in legacy modeset path
  (FATE#325208).
- drm: Add DRM client cap for aspect-ratio (FATE#325208).
- drm/modes: Introduce drm_mode_match() (FATE#325208).
- commit f0895e2
* Fri Aug 24 2018 tbogendoerfer@suse.de
- ixgbe: Refactor queue disable logic to take completion time
  into account (bsc#1101557).
- ixgbe: Reorder Tx/Rx shutdown to reduce time needed to stop
  device (bsc#1101557).
- commit e2ad5f8
* Fri Aug 24 2018 glin@suse.com
- bpf: powerpc64: pad function address loads with NOPs
  (bsc#1083647).
- bpf: fix references to free_bpf_prog_info() in comments
  (bsc#1083647).
- commit 7dcea1d
* Fri Aug 24 2018 tzimmermann@suse.de
- blacklist.conf: Add 'drm/i915: Pass hpd_pin to long_pulse_detect()'
- commit f415342
* Fri Aug 24 2018 jack@suse.cz
- ext2: auto disable dax instead of failing mount (bsc#1104888 fate#325574).
  patches.fixes/fs-allow-per-device-dax-status-checking-for-filesystems.patch:
  Refresh
  patches.kabi/kabi-fixup-bdev_dax_supported.patch: Refresh
- commit 98273dd
* Fri Aug 24 2018 jack@suse.cz
- ext4: auto disable dax instead of failing mount (bsc#1104888
  fate#325574).
  patches.fixes/fs-allow-per-device-dax-status-checking-for-filesystems.patch:
  Refresh
  patches.kabi/kabi-fixup-bdev_dax_supported.patch: Refresh
- commit 6720deb
* Fri Aug 24 2018 bpoirier@suse.com
- qlge: Fix netdev features configuration (bsc#1098822).
- commit 952d194
* Fri Aug 24 2018 bpoirier@suse.com
- Cleanup out-of-tree subsection
- commit ae7126b
* Thu Aug 23 2018 jack@suse.cz
- sched/wait: Introduce wait_var_event() (bsc#1104888).
  patches.fixes/bdi-wake-up-concurrent-wb_shutdown-callers.patch: Refresh
- commit afd0bd1
* Thu Aug 23 2018 jack@suse.cz
- mm, dax: introduce pfn_t_special() (bsc#1104888).
- commit 1544708
* Thu Aug 23 2018 jack@suse.cz
- Update config files.
- commit 9148032
* Thu Aug 23 2018 msuchanek@suse.de
- powerpc/perf: Remove sched_task function defined for thread-imc
  (bsc#1054914).
- commit fbbc745
* Thu Aug 23 2018 msuchanek@suse.de
- powerpc/perf: Fix memory allocation for core-imc based on
  num_possible_cpus() (bsc#1054914).
- powerpc/perf: Fix IMC allocation routine (bsc#1054914).
- commit 20c6b1f
* Thu Aug 23 2018 msuchanek@suse.de
- Update
  patches.fixes/4.4.139-043-powerpc-mm-hash-Add-missing-isync-prior-to-ke.patch
  (bnc#1012382, bsc#1094244).
- commit fb6d49a
* Thu Aug 23 2018 msuchanek@suse.de
- powerpc/64s: Fix compiler store ordering to SLB shadow area
  (bsc#1094244).
- commit b08b43e
* Thu Aug 23 2018 jack@suse.cz
- xfs: remove unused iolock arg from xfs_break_dax_layouts
  (bsc#1104888).
- commit a6cc644
* Thu Aug 23 2018 jack@suse.cz
- fs, dax: use page->mapping to warn if truncate collides with
  a busy page (bsc#1104888).
- commit c117b75
* Thu Aug 23 2018 jack@suse.cz
- ext2, dax: introduce ext2_dax_aops (bsc#1104888).
- commit 0f61c7b
* Thu Aug 23 2018 jack@suse.cz
- ext4, dax: introduce ext4_dax_aops (bsc#1104888).
- commit d354926
* Thu Aug 23 2018 jack@suse.cz
- xfs, dax: introduce xfs_dax_aops (bsc#1104888).
- commit c02ab50
* Thu Aug 23 2018 jack@suse.cz
- block, dax: remove dead code in blkdev_writepages()
  (bsc#1104888).
- commit 48887a7
* Thu Aug 23 2018 jack@suse.cz
- fs, dax: prepare for dax-specific address_space_operations
  (bsc#1104888).
  patches.fixes/fs-allow-per-device-dax-status-checking-for-filesystems.patch:
  Refresh
  patches.kabi/kabi-fixup-bdev_dax_supported.patch: Refresh
- commit 9ba44a9
* Thu Aug 23 2018 ykaukab@suse.de
- serial: enable spi in sc16is7xx driver
  References: bsc#1105672
- commit 3a6d5cd
* Thu Aug 23 2018 jack@suse.cz
- memremap: merge find_dev_pagemap into get_dev_pagemap
  (bsc#1104888).
- commit 68cd581
* Thu Aug 23 2018 jack@suse.cz
- memremap: change devm_memremap_pages interface to use struct
  dev_pagemap (bsc#1104888).
  patches.drivers/libnvdimm-pmem-Unconditionally-deep-flush-on-sync.patch:
  Refresh
- commit b62d686
* Thu Aug 23 2018 jack@suse.cz
- memremap: drop private struct page_map (bsc#1104888).
  patches.fixes/mm-fix-memory-size-alignment-in-devm_memremap_pages_release.patch:
  Refresh
- commit ff67bfd
* Thu Aug 23 2018 jack@suse.cz
- memremap: simplify duplicate region handling in
  devm_memremap_pages (bsc#1104888).
- commit fd7619b
* Thu Aug 23 2018 jack@suse.cz
- memremap: remove to_vmem_altmap (bsc#1104888).
- commit 089dcec
* Thu Aug 23 2018 jack@suse.cz
- mm: optimize dev_pagemap reference counting around
  get_dev_pagemap (bsc#1104888).
- commit 40975d3
* Thu Aug 23 2018 jack@suse.cz
- mm: move get_dev_pagemap out of line (bsc#1104888).
- commit b31dc43
* Thu Aug 23 2018 jack@suse.cz
- mm: merge vmem_altmap_alloc into altmap_alloc_block_buf
  (bsc#1104888).
- commit a7073cf
* Thu Aug 23 2018 jack@suse.cz
- mm: pass the vmem_altmap to memmap_init_zone (bsc#1104888).
- commit bc06e58
* Thu Aug 23 2018 jack@suse.cz
- mm: pass the vmem_altmap to arch_add_memory and __add_pages
  (bsc#1104888).
- commit 9b04ea5
* Thu Aug 23 2018 jack@suse.cz
- mm: don't export __add_pages (bsc#1104888).
- commit c791cc6
* Thu Aug 23 2018 jack@suse.cz
- mm: don't export arch_add_memory (bsc#1104888).
- commit c8f533c
* Thu Aug 23 2018 jack@suse.cz
- memremap: provide stubs for vmem_altmap_offset and
  vmem_altmap_free (bsc#1104888).
- commit 5a0f0f9
* Thu Aug 23 2018 oneukum@suse.com
- PCI: Add generic pcie_wait_for_link() interface (FATE#325195).
- commit 01cb123
* Thu Aug 23 2018 tiwai@suse.de
- mfd: lpc_ich: Do not touch SPI-NOR write protection bit on
  Apollo Lake (FATE#326580,bsc#1051510).
- spi-nor: intel-spi: Fix number of protected range registers
  for BYT/LPT (FATE#326580).
- commit abe590f
* Thu Aug 23 2018 tiwai@suse.de
- mei: me: enable asynchronous probing (FATE#326580).
- commit 87c1d7e
* Thu Aug 23 2018 tiwai@suse.de
- HID: i2c-hid: Add no-irq-after-reset quirk for 0911:5288 device
  (FATE#326580).
- commit de8b56e
* Thu Aug 23 2018 tiwai@suse.de
- drm/i915/audio: Fix audio enumeration issue on BXT
  (FATE#326580).
- commit dd947f6
* Thu Aug 23 2018 tiwai@suse.de
- Fix kABI breakage with ath9k MSI support (FATE#326580).
- commit ebcb9bb
* Thu Aug 23 2018 tiwai@suse.de
- ath9k: add MSI support (FATE#326580).
- commit f299a2d
* Thu Aug 23 2018 oneukum@suse.com
- PCI/DPC: Rename from pcie-dpc.c to dpc.c (FATE#325195).
- commit 7fdbf7d
* Thu Aug 23 2018 mbrugger@suse.com
- ACPI/IORT: Remove temporary iort_get_id_mapping_index() ACPICA
  guard (bsc#1103387).
- ACPICA: iasl: Add SMMUv3 device ID mapping index support
  (bsc#1103387).
- commit 05d48cc
* Thu Aug 23 2018 oneukum@suse.com
- thunderbolt: Notify userspace when boot_acl is changed
  (FATE#324324).
- commit b1a4243
* Thu Aug 23 2018 oneukum@suse.com
- thunderbolt: Handle NULL boot ACL entries properly
  (FATE#324324).
- commit 018604e
* Thu Aug 23 2018 oneukum@suse.com
- thunderbolt: Fix a couple right shifting to zero bugs
  (FATE#324324).
- commit df6faf4
* Thu Aug 23 2018 jthumshirn@suse.de
- s390: Prevent hotplug rwsem recursion (bsc#1105731).
- commit 2ccd2c2
* Thu Aug 23 2018 tzimmermann@suse.de
- drm/i915: Restore user forcewake domains across suspend (bsc#1100132).
- commit a5893c4
* Thu Aug 23 2018 tiwai@suse.de
- drm/i915/cfl: Add a new CFL PCI ID (FATE#322643).
- commit 28443b3
* Thu Aug 23 2018 tiwai@suse.de
- drm/i915/aml: Introducing Amber Lake platform (FATE#322643).
- drm/i915/whl: Introducing Whiskey Lake platform (FATE#322643).
- commit 0dfa448
* Thu Aug 23 2018 tiwai@suse.de
- ppp: Destroy the mutex when cleanup (bsc#1051510).
- ppp: fix __percpu annotation (bsc#1051510).
- commit 57fcad2
* Thu Aug 23 2018 tiwai@suse.de
- PM / sleep: wakeup: Fix build error caused by missing SRCU
  support (bsc#1051510).
- commit 64103cb
* Thu Aug 23 2018 tiwai@suse.de
- platform/x86: thinkpad_acpi: Proper model/release matching
  (bsc#1051510).
- commit 0d9c3c2
* Thu Aug 23 2018 tiwai@suse.de
- mfd: sm501: Set coherent_dma_mask when creating subdevices
  (bsc#1051510).
- mfd: arizona: Don't use regmap_read_poll_timeout (bsc#1051510).
- commit 963690c
* Wed Aug 22 2018 oneukum@suse.com
- thunderbolt: Handle rejected Thunderbolt devices (bsc#324324).
- Refresh
  patches.drivers/0001-thunderbolt-Add-boot-attribute-for-devices.patch.
- Refresh
  patches.drivers/0001-thunderbolt-Factor-common-ICM-add-and-update-operati.patch.
- commit 72ea76c
* Wed Aug 22 2018 oneukum@suse.com
- thunderbolt: Serialize PCIe tunnel creation with PCI rescan
  (FATE#324324).
- commit c2ec5b3
* Wed Aug 22 2018 jack@suse.cz
- dax: move all DAX radix tree defs to fs/dax.c (bsc#1104888).
  Refresh patches.fixes/dax-store-pfns-in-the-radix.patch
- commit f293da9
* Wed Aug 22 2018 jack@suse.cz
- dax: store pfns in the radix (bsc#1104888).
  patches.fixes/fs-allow-per-device-dax-status-checking-for-filesystems.patch:
  Refresh
- commit 416e9d2
* Wed Aug 22 2018 jack@suse.cz
- dax: require 'struct page' by default for filesystem dax
  (bsc#1104888 fate#325574).
  patches.fixes/fs-allow-per-device-dax-status-checking-for-filesystems.patch:
  Refresh
- commit 046aa0a
* Wed Aug 22 2018 jack@suse.cz
- dax: quiet bdev_dax_supported() (bsc#1104888).
  Refresh patches.fixes/fs-allow-per-device-dax-status-checking-for-filesystems.patch
- commit 7a8cba1
* Wed Aug 22 2018 oneukum@suse.com
- thunderbolt: Add support for preboot ACL (FATE#324324).
- Refresh
  patches.drivers/0001-thunderbolt-Add-support-for-Intel-Titan-Ridge.patch.
- Refresh
  patches.drivers/0001-thunderbolt-Introduce-USB-only-SL4-security-level.patch.
- Refresh patches.suse/0001-Thunderbolt-kABI-paddings-added.patch.
- commit 2fa1b8c
* Wed Aug 22 2018 ykaukab@suse.de
- irqdomain: Prevent potential NULL pointer dereference in
  irq_domain_push_irq() (bsc#1105378).
- commit 7f46718
* Wed Aug 22 2018 ykaukab@suse.de
- arm64: enable thunderx gpio driver
- Update config files
- supported.conf
- commit ed452df
* Wed Aug 22 2018 tiwai@suse.de
- isdn: Disable IIOCDBGVAR (bsc#1051510).
- commit f26546f
* Wed Aug 22 2018 tiwai@suse.de
- Fix kABI breakage with removing field addition to power_supply
  (bsc#1051510).
- commit c24883f
* Wed Aug 22 2018 ykaukab@suse.de
- gpio: thunderx: fix error return code in thunderx_gpio_probe()
  (bsc#1105378).
- gpio: thunderx: remove unused .map() hook from irq_domain_ops
  (bsc#1105378).
- gpio: Add gpio driver support for ThunderX and OCTEON-TX
  (bsc#1105378).
- irqdomain: Add irq_domain_{push,pop}_irq() functions
  (bsc#1105378).
- irqdomain: Check for NULL function pointer in
  irq_domain_free_irqs_hierarchy() (bsc#1105378).
- irqdomain: Factor out code to add and remove items to and from
  the revmap (bsc#1105378).
- genirq: Add handle_fasteoi_{level,edge}_irq flow handlers
  (bsc#1105378).
- genirq: Export more irq_chip_*_parent() functions (bsc#1105378).
- commit 548ef80
* Wed Aug 22 2018 tiwai@suse.de
- power: supply: max77693_charger: fix unintentional fall-through
  (bsc#1051510).
- power: generic-adc-battery: check for duplicate properties
  copied from iio channels (bsc#1051510).
- power: generic-adc-battery: fix out-of-bounds write when
  copying channel properties (bsc#1051510).
- power: supply: axp288_charger: Fix initial
  constant_charge_current value (bsc#1051510).
- power: gemini-poweroff: Avoid more spurious poweroffs
  (bsc#1051510).
- power: vexpress: fix corruption in notifier registration
  (bsc#1051510).
- power: remove possible deadlock when unregistering power_supply
  (bsc#1051510).
- commit 67e1cf7
* Wed Aug 22 2018 jack@suse.cz
- ext4: handle layout changes to pinned DAX mappings
  (bsc#1104888).
- commit dc8b598
* Wed Aug 22 2018 jack@suse.cz
- dax: dax_layout_busy_page() warn on !exceptional (bsc#1104888).
- commit 06d2e7b
* Wed Aug 22 2018 jack@suse.cz
- xfs: Close race between direct IO and xfs_break_layouts()
  (bsc#1104888).
- commit db87ab2
* Wed Aug 22 2018 jack@suse.cz
- dax: dax_insert_mapping_entry always succeeds (bsc#1104888).
- commit 499c214
* Wed Aug 22 2018 jack@suse.cz
- xfs, dax: introduce xfs_break_dax_layouts() (bsc#1104888).
- commit 6069dde
* Wed Aug 22 2018 jack@suse.cz
- xfs: prepare xfs_break_layouts() for another layout type
  (bsc#1104888).
- commit 148ca61
* Wed Aug 22 2018 jack@suse.cz
- xfs: prepare xfs_break_layouts() to be called with
  XFS_MMAPLOCK_EXCL (bsc#1104888).
- commit b731542
* Wed Aug 22 2018 jack@suse.cz
- mm, fs, dax: handle layout changes to pinned dax mappings
  (bsc#1104888).
  patches.fixes/filesystem-dax-Introduce-dax_lock_mapping_entry.patch:
  Refresh
- commit 69c2f83
* Wed Aug 22 2018 tiwai@suse.de
- serial: 8250: Don't service RX FIFO if interrupts are disabled
  (bsc#1051510).
- serial: core: mark port as initialized after successful IRQ
  change (bsc#1051510).
- commit ac2f7bc
* Wed Aug 22 2018 jack@suse.cz
- mm: introduce MEMORY_DEVICE_FS_DAX and CONFIG_DEV_PAGEMAP_OPS
  (bsc#1104888).
  patches.fixes/dax-check-for-queue_flag_dax-in-bdev_dax_supported.patch:
  Refresh
- commit 42c5ee3
* Wed Aug 22 2018 tiwai@suse.de
- serial: 8250_dw: Add ACPI support for uart on Broadcom SoC
  (bsc#1051510).
- serial: 8250_dw: always set baud rate in dw8250_set_termios
  (bsc#1051510).
- serial: sh-sci: Stop RX FIFO timer during port shutdown
  (bsc#1051510).
- serial: xuartps: fix typo in cdns_uart_startup (bsc#1051510).
- serial: pxa: Fix an error handling path in 'serial_pxa_probe()'
  (bsc#1051510).
- commit 9666db8
* Wed Aug 22 2018 tiwai@suse.de
- uprobes: Use synchronize_rcu() not synchronize_sched()
  (bsc#1051510).
- uprobes/x86: Remove incorrect WARN_ON() in uprobe_init_insn()
  (bsc#1051510).
- commit 813f7ff
* Wed Aug 22 2018 tiwai@suse.de
- iwlwifi: pcie: don't access periphery registers when not
  available (bsc#1051510).
- commit 4f7ad44
* Wed Aug 22 2018 tiwai@suse.de
- Bluetooth: avoid killing an already killed socket (bsc#1051510).
- commit 28dc173
* Wed Aug 22 2018 jslaby@suse.cz
- ip: in cmsg IP(V6)_ORIGDSTADDR call pskb_may_pull
  (netfilter-stable-18_07_27).
- ip: hash fragments consistently (netfilter-stable-18_07_27).
- vxlan: fix default fdb entry netlink notify ordering during
  netdev create (netfilter-stable-18_07_27).
- vxlan: make netlink notify in vxlan_fdb_destroy optional
  (netfilter-stable-18_07_27).
- vxlan: add new fdb alloc and create helpers
  (netfilter-stable-18_07_27).
- rtnetlink: add rtnl_link_state check in rtnl_configure_link
  (netfilter-stable-18_07_27).
- net: skb_segment() should not return NULL
  (netfilter-stable-18_07_27).
- net: phy: consider PHY_IGNORE_INTERRUPT in phy_start_aneg_priv
  (netfilter-stable-18_07_27).
- tcp: do not delay ACK in DCTCP upon CE status change
  (netfilter-stable-18_07_27).
- tcp: do not cancel delay-AcK on DCTCP special ACK
  (netfilter-stable-18_07_27).
- kABI: reexport tcp_send_ack (kabi).
- tcp: helpers to send special DCTCP ack
  (netfilter-stable-18_07_27).
- tcp: fix dctcp delayed ACK schedule (netfilter-stable-18_07_27).
- commit 9c52876
* Wed Aug 22 2018 tiwai@suse.de
- USB: serial: pl2303: add a new device id for ATEN (bsc#1051510).
- USB: option: add support for DW5821e (bsc#1051510).
- commit 87d48f9
* Wed Aug 22 2018 tiwai@suse.de
- ALSA: hda: Correct Asrock B85M-ITX power_save blacklist entry
  (bsc#1051510).
- ALSA: hda - Sleep for 10ms after entering D3 on Conexant codecs
  (bsc#1051510).
- ALSA: hda - Turn CX8200 into D3 as well upon reboot
  (bsc#1051510).
- ALSA: virmidi: Fix too long output trigger loop (bsc#1051510).
- ALSA: cs5535audio: Fix invalid endian conversion (bsc#1051510).
- ALSA: vxpocket: Fix invalid endian conversions (bsc#1051510).
- ALSA: vx222: Fix invalid endian conversions (bsc#1051510).
- ALSA: memalloc: Don't exceed over the requested size
  (bsc#1051510).
- commit 7b0ea28
* Wed Aug 22 2018 tiwai@suse.de
- ACPI / PM: save NVS memory for ASUS 1025C laptop (bsc#1051510).
- commit d252d99
* Wed Aug 22 2018 msuchanek@suse.de
- powerpc/topology: Get topology for shared processors at boot
  (bsc#1104683).
  - Refresh patches.arch/mobility-numa-Ensure-numa-update-does-not-overlap.patch.
- commit 420c8a6
* Tue Aug 21 2018 jeffm@suse.com
- xfs: repair malformed inode items during log recovery
  (bsc#1105396).
- xfs: Remove dead code from inode recover function (bsc#1105396).
- commit 6563853
* Tue Aug 21 2018 tiwai@suse.de
- Update patch tag of the upstreamed EDAC fix and move to sorted section
- commit bb0f656
* Tue Aug 21 2018 tiwai@suse.de
- random: fix possible sleeping allocation from irq context
  (bsc#1051510).
- commit 406c790
* Tue Aug 21 2018 tiwai@suse.de
- random: set up the NUMA crng instances after the CRNG is fully
  initialized (bsc#1051510).
- Refresh
  patches.drivers/random-crng_reseed-should-lock-the-crng-instance-tha.
- commit 73bf385
* Tue Aug 21 2018 mhocko@suse.com
- x86/speculation: Protect against userspace-userspace spectreRSB
  (bnc#1102517, CVE-2018-15572).
- commit 06220b2
* Tue Aug 21 2018 tiwai@suse.de
- random: mix rdrand with entropy sent in from userspace
  (bsc#1051510).
- random: add new ioctl RNDRESEEDCRNG (bsc#1051510).
- commit 47f1ea7
* Tue Aug 21 2018 jgross@suse.com
- x86/xen: Add call of speculative_store_bypass_ht_init() to PV
  paths (bnc#1065600).
- commit ca8ca94
* Tue Aug 21 2018 jgross@suse.com
- sorted series.conf
- commit ea30488
* Tue Aug 21 2018 mgorman@suse.de
- readahead: stricter check for bdi io_pages (VM Functionality,
  git fixes).
- commit 65cf459
* Tue Aug 21 2018 mgorman@suse.de
- arm/asm/tlb.h: Fix build error implicit func declaration
  (bnc#1105467 Reduce IPIs and atomic ops with improved lazy TLB).
- commit e415706
* Tue Aug 21 2018 tiwai@suse.de
- ata: Fix ZBC_OUT all bit handling (bsc#1051510).
- ata: Fix ZBC_OUT command block check (bsc#1051510).
- libata: Fix command retry decision (bsc#1051510).
- driver core: add __printf verification to __ata_ehi_pushv_desc
  (bsc#1051510).
- libata: Fix compile warning with ATA_DEBUG enabled
  (bsc#1051510).
- commit 3ebc0bd
* Tue Aug 21 2018 jthumshirn@suse.de
- kabi/severities: add qeth inter-module symbols to ignore list.
- commit 351744c
* Tue Aug 21 2018 mgorman@suse.de
- mm, page_alloc: double zone's batchsize (bnc#971975 VM
  performance -- page allocator).
- commit 8c952d8
* Tue Aug 21 2018 mgorman@suse.de
- x86/mm/tlb: Skip atomic operations for 'init_mm' in
  switch_mm_irqs_off() (bnc#1105467 Reduce IPIs and atomic ops
  with improved lazy TLB).
- x86/mm/tlb: Always use lazy TLB mode (bnc#1105467 Reduce IPIs
  and atomic ops with improved lazy TLB).
- x86/mm/tlb: Only send page table free TLB flush to lazy TLB CPUs
  (bnc#1105467 Reduce IPIs and atomic ops with improved lazy TLB).
- x86/mm/tlb: Make lazy TLB mode lazier (bnc#1105467 Reduce IPIs
  and atomic ops with improved lazy TLB).
- x86/mm/tlb: Restructure switch_mm_irqs_off() (bnc#1105467
  Reduce IPIs and atomic ops with improved lazy TLB).
- x86/mm/tlb: Leave lazy TLB mode at page table free time
  (bnc#1105467 Reduce IPIs and atomic ops with improved lazy TLB).
- commit 02a3275
* Tue Aug 21 2018 jthumshirn@suse.de
- s390/qeth: consistently re-enable device features (bsc#1104482,
  LTC#170340).
- s390/qeth: don't clobber buffer on async TX completion
  (bsc#1104482, LTC#170340).
- commit 60a7748
* Tue Aug 21 2018 jthumshirn@suse.de
- s390/qeth: rely on kernel for feature recovery (bsc#1104482,
  LTC#170340).
- Refresh
  patches.drivers/s390-qeth-fix-GSO-throughput-regression.patch.
- commit 76f7bee
* Tue Aug 21 2018 jslaby@suse.cz
- ipv6: fix useless rol32 call on hash
  (netfilter-stable-18_07_23).
- ipv6: ila: select CONFIG_DST_CACHE (netfilter-stable-18_07_23).
- tg3: Add higher cpu clock for 5762 (netfilter-stable-18_07_23).
- ipv6: make DAD fail with enhanced DAD when nonce length differs
  (netfilter-stable-18_07_23).
- net: systemport: Fix CRC forwarding check for SYSTEMPORT Lite
  (netfilter-stable-18_07_23).
- net: diag: Don't double-free TCP_NEW_SYN_RECV sockets in
  tcp_abort (netfilter-stable-18_07_23).
- net/ipv4: Set oif in fib_compute_spec_dst
  (netfilter-stable-18_07_23).
- ipv4: Return EINVAL when ping_group_range sysctl doesn't map
  to user ns (netfilter-stable-18_07_23).
- net: phy: fix flag masking in __set_phy_supported
  (netfilter-stable-18_07_23).
- gen_stats: Fix netlink stats dumping in the presence of padding
  (netfilter-stable-18_07_23).
- commit b94b51f
* Tue Aug 21 2018 jthumshirn@suse.de
- libnvdimm: fix ars_status output length calculation
  (bsc#1104890).
- commit 773d3ad
* Tue Aug 21 2018 tiwai@suse.de
- Update patch tag for rawmidi security fix (CVE-2018-10902,bsc#1105322).
- commit 88ecd0e
* Mon Aug 20 2018 tiwai@suse.de
- clk: mvebu: armada-38x: add support for missing clocks
  (bsc#1105355).
- clk: mvebu: armada-38x: add support for 1866MHz variants
  (bsc#1105355).
- commit 833d9a5
* Mon Aug 20 2018 tiwai@suse.de
- atm: zatm: fix memcmp casting (bsc#1105355).
- atm: horizon: Fix irq release error (bsc#1105355).
- commit d8acb4f
* Mon Aug 20 2018 tiwai@suse.de
- affs_lookup(): close a race with affs_remove_link()
  (bsc#1105355).
- commit e222b99
* Mon Aug 20 2018 tiwai@suse.de
- ptr_ring: prevent integer overflow when calculating size
  (bsc#1105355).
- ptr_ring: fail early if queue occupies more than
  KMALLOC_MAX_SIZE (bsc#1105355).
- ptr_ring: fix up after recent ptr_ring changes (bsc#1105355).
- commit 07c7e29
* Mon Aug 20 2018 tiwai@suse.de
- ptp: fix missing break in switch (bsc#1105355).
- commit 9a17d18
* Mon Aug 20 2018 tiwai@suse.de
- vmci: type promotion bug in qp_host_get_user_memory()
  (bsc#1105355).
- zram: fix null dereference of handle (bsc#1105355).
- commit 97aca4e
* Mon Aug 20 2018 tiwai@suse.de
- PCI: pciehp: Fix unprotected list iteration in IRQ handler
  (bsc#1051510).
- PCI: Skip MPS logic for Virtual Functions (VFs) (bsc#1051510).
- commit 3af88fd
* Mon Aug 20 2018 tiwai@suse.de
- partitions/aix: append null character to print data from disk
  (bsc#1051510).
- partitions/aix: fix usage of uninitialized lv_info and lvname
  structures (bsc#1051510).
- commit d25dc16
* Mon Aug 20 2018 tiwai@suse.de
- lib/rhashtable: consider param->min_size when setting initial
  table size (bsc#1051510).
- commit e170309
* Mon Aug 20 2018 ykaukab@suse.de
- cpufreq / CPPC: Set platform specific transition_delay_us
  (bsc#1101480).
- commit 4deee00
* Mon Aug 20 2018 tiwai@suse.de
- lib/vsprintf: Remove atomic-unsafe support for %%pCr
  (bsc#1051510).
- commit c64cd94
* Mon Aug 20 2018 tiwai@suse.de
- ima: based on policy verify firmware signatures (pre-allocated
  buffer) (bsc#1051510).
- commit 8010634
* Mon Aug 20 2018 tiwai@suse.de
- iio: adc: sun4i-gpadc: select REGMAP_IRQ (bsc#1051510).
- commit c213990
* Mon Aug 20 2018 tiwai@suse.de
- ieee802154: ca8210: fix uninitialised data read (bsc#1051510).
- ieee802154: mrf24j40: fix incorrect mask in mrf24j40_stop
  (bsc#1051510).
- ieee802154: fix gcc-4.9 warnings (bsc#1051510).
- commit ef527f0
* Mon Aug 20 2018 tiwai@suse.de
- PCI: Cleanup PCI_REBAR_CTRL_BAR_SHIFT handling (bsc#1105355).
- PCI: Restore resized BAR state on resume (bsc#1105355).
- PCI: Allow release of resources that were never assigned
  (bsc#1105355).
- PCI: Add pci_resize_resource() for resizing BARs (bsc#1105355).
- PCI: Add resizable BAR infrastructure (bsc#1105355).
- PCI: Add PCI resource type mask #define (bsc#1105355).
- commit 7bb8e6d
* Mon Aug 20 2018 jthumshirn@suse.de
- scripts/git_sort/git_sort.py: add libnvdimm-for-next branch
- commit 2a73ff8
* Mon Aug 20 2018 tiwai@suse.de
- dma-buf: remove redundant initialization of sg_table
  (bsc#1051510).
- commit 8537e5b
* Mon Aug 20 2018 tiwai@suse.de
- devicectree: bindings: fix location of leds common file
  (bsc#1051510).
- commit 2648baf
* Mon Aug 20 2018 tiwai@suse.de
- net: bcmgenet: Fix sparse warnings in bcmgenet_put_tx_csum()
  (bsc#1051510).
- net: bcmgenet: enable loopback during UniMAC sw_reset
  (bsc#1051510).
- net: bcmgenet: prevent duplicate calls of bcmgenet_dma_teardown
  (bsc#1051510).
- net: bcmgenet: correct bad merge (bsc#1051510).
- net: bcmgenet: Fix unmapping of fragments in bcmgenet_xmit()
  (bsc#1051510).
- commit f1c0f2d
* Mon Aug 20 2018 tiwai@suse.de
- audit: Fix extended comparison of GID/EGID (bsc#1051510).
- audit: allow not equal op for audit by executable (bsc#1051510).
- commit cc3b8b1
* Mon Aug 20 2018 tiwai@suse.de
- ASoC: Intel: cht_bsw_max98090: remove useless code, align with
  ChromeOS driver (bsc#1051510).
- commit f1ce77b
* Mon Aug 20 2018 ykaukab@suse.de
- cpufreq: CPPC: Don't set transition_latency (bsc#1101480).
- commit df1a5c4
* Mon Aug 20 2018 tbogendoerfer@suse.de
- IB/IPoIB: Set ah valid flag in multicast send flow (bsc#1046307
  FATE#322941).
- IB/mlx5: fix uaccess beyond "count" in debugfs read/write
  handlers (bsc#1046305 FATE#322943).
- include/rdma/opa_addr.h: Fix an endianness issue (bsc#1046306
  FATE#322942).
- net: hns3: Fix desc num set to default when setting channel
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for phy link issue when using marvell phy driver
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for information of phydev lost problem when
  down/up (bsc#1104353 FATE#326415).
- net: hns3: Fix for command format parsing error in
  hclge_is_all_function_id_zero (bsc#1104353 FATE#326415).
- net: hns3: Fix MSIX allocation issue for VF (bsc#1104353
  FATE#326415).
- net: hns3: fix return value error while hclge_cmd_csq_clean
  failed (bsc#1104353 FATE#326415).
- net: hns3: Standardize the handle of return value (bsc#1104353
  FATE#326415).
- net: hns3: Fix comments for hclge_get_ring_chain_from_mbx
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for using wrong mask and shift in
  hclge_get_ring_chain_from_mbx (bsc#1104353 FATE#326415).
- net: hns3: Fix for reset_level default assignment probelm
  (bsc#1104353 FATE#326415).
- net: hns3: remove unnecessary ring configuration operation
  while resetting (bsc#1104353 FATE#326415).
- net: hns3: Fix return value error in hns3_reset_notify_down_enet
  (bsc#1104353 FATE#326415).
- net: hns3: Prevent sending command during global or core reset
  (bsc#1104353 FATE#326415).
- net: hns3: Fix get_vector ops in hclgevf_main module
  (bsc#1104353 FATE#326415).
- net: hns3: Fix warning bug when doing lp selftest (bsc#1104353
  FATE#326415).
- net: hns3: Fix for mailbox message truncated problem
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for l4 checksum offload bug (bsc#1104353
  FATE#326415).
- net: hns3: Fix for mac pause not disable in pfc mode
  (bsc#1104353 FATE#326415).
- cxgb4: Fix the condition to check if the card is T5 (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- net: hns3: modify hnae_ to hnae3_ (bsc#1104353 FATE#326415).
- net: hns3: simplify hclge_cmd_csq_clean (bsc#1104353
  FATE#326415).
- net: hns3: remove some redundant assignments (bsc#1104353
  FATE#326415).
- net: hns3: add unlikely for error check (bsc#1104353
  FATE#326415).
- RDMA/uverbs: Expand primary and alt AV port checks (bsc#1046306
  FATE#322942).
- commit 2935983
* Mon Aug 20 2018 tiwai@suse.de
- Update patch tag for BT security issue (CVE-2018-9363,bsc#1105292)
- commit 359753e
* Mon Aug 20 2018 nborisov@suse.com
- xfs: preserve i_rdev when recycling a reclaimable inode (bsc#1095344).
- commit 15a0237
* Sun Aug 19 2018 tiwai@suse.de
- wan/fsl_ucc_hdlc: use IS_ERR_VALUE() to check return value of
  qe_muram_alloc (bsc#1051510).
- commit e88aabf
* Sun Aug 19 2018 tiwai@suse.de
- vmw_balloon: remove inflation rate limiting (bsc#1051510).
- vmw_balloon: fix VMCI use when balloon built into kernel
  (bsc#1051510).
- vmw_balloon: VMCI_DOORBELL_SET does not check status
  (bsc#1051510).
- vmw_balloon: do not use 2MB without batching (bsc#1051510).
- vmw_balloon: fix inflation of 64-bit GFNs (bsc#1051510).
- commit 3d67ae9
* Sun Aug 19 2018 tiwai@suse.de
- usb: dwc3: change stream event enable bit back to 13
  (bsc#1051510).
- USB: serial: kobil_sct: fix modem-status error handling
  (bsc#1051510).
- USB: serial: sierra: fix potential deadlock at close
  (bsc#1051510).
- USB: cdc-wdm: don't enable interrupts in USB-giveback
  (bsc#1051510).
- commit 7ef5397
* Sun Aug 19 2018 tiwai@suse.de
- uio: potential double frees if __uio_register_device() fails
  (bsc#1051510).
- commit ad06b4b
* Sun Aug 19 2018 tiwai@suse.de
- tty: serial: 8250: Revert NXP SC16C2552 workaround
  (bsc#1051510).
- tty: fix termios input-speed encoding when using BOTHER
  (bsc#1051510).
- tty: fix termios input-speed encoding (bsc#1051510).
- commit 94a3d40
* Sun Aug 19 2018 tiwai@suse.de
- security: check for kstrdup() failure in lsm_append()
  (bsc#1051510).
- commit a6ac173
* Sun Aug 19 2018 tiwai@suse.de
- staging: rts5208: fix missing error check on call to
  rtsx_write_register (bsc#1051510).
- commit b1d7e41
* Sun Aug 19 2018 tiwai@suse.de
- rndis_wlan: potential buffer overflow in
  rndis_wlan_auth_indication() (bsc#1051510).
- commit ffbc66c
* Sun Aug 19 2018 tiwai@suse.de
- mmc: tegra: prevent HS200 on Tegra 3 (bsc#1051510).
- commit 42d2798
* Sun Aug 19 2018 tiwai@suse.de
- media: v4l2-mem2mem: Fix missing v4l2_m2m_try_run call
  (bsc#1051510).
- commit a4c03c3
* Sun Aug 19 2018 tiwai@suse.de
- mailbox: xgene-slimpro: Fix potential NULL pointer dereference
  (bsc#1051510).
- commit 2da014a
* Sun Aug 19 2018 tiwai@suse.de
- irqdomain: Update the comments of fwnode field of irq_domain
  structure (bsc#1051510).
- commit 2157cb9
* Sun Aug 19 2018 tiwai@suse.de
- iio: ad9523: Fix return value for ad952x_store() (bsc#1051510).
- iio: sca3000: Fix missing return in switch (bsc#1051510).
- iio: ad9523: Fix displayed phase (bsc#1051510).
- iio: adc: ina2xx: avoid kthread_stop() with stale task_struct
  (bsc#1051510).
- iio: 104-quad-8: Fix off-by-one error in register selection
  (bsc#1051510).
- iio: sca3000: Fix an error handling path in 'sca3000_probe()'
  (bsc#1051510).
- commit f178243
* Sun Aug 19 2018 tiwai@suse.de
- Drivers: hv: vmbus: Fix the offer_in_progress in
  vmbus_process_offer() (bsc#1051510).
- Drivers: hv: vmbus: do not mark HV_PCIE as perf_device
  (bsc#1051510).
- commit af4783c
* Sun Aug 19 2018 tiwai@suse.de
- extcon: Release locking when sending the notification of
  connector state (bsc#1051510).
- gpio: Fix wrong rounding in gpio-menz127 (bsc#1051510).
- commit 1d28212
* Sun Aug 19 2018 tiwai@suse.de
- drm/i915/gvt: Off by one in intel_vgpu_write_fence()
  (bsc#1051510).
- drm/i915: Unmask user interrupts writes into HWSP on
  snb/ivb/vlv/hsw (bsc#1051510).
- commit d5ae2d9
* Sun Aug 19 2018 tiwai@suse.de
- dmaengine: mv_xor_v2: kill the tasklets upon exit (bsc#1051510).
- dmaengine: idma64: Support dmaengine_terminate_sync()
  (bsc#1051510).
- dmaengine: hsu: Support dmaengine_terminate_sync()
  (bsc#1051510).
- commit a14499a
* Sun Aug 19 2018 tiwai@suse.de
- crypto: ablkcipher - fix crash flushing dcache in error path
  (bsc#1051510).
- commit f5d4a5e
* Sun Aug 19 2018 tiwai@suse.de
- coresight: tpiu: Fix disabling timeouts (bsc#1051510).
- commit 113fb5e
* Sun Aug 19 2018 tiwai@suse.de
- binfmt_elf: Respect error return from `regset->active'
  (bsc#1051510).
- commit a1a1140
* Sun Aug 19 2018 tiwai@suse.de
- staging: bcm2835-camera: fix timeout handling in
  wait_for_completion_timeout (bsc#1051510).
- staging: bcm2835-camera: handle wait_for_completion_timeout
  return properly (bsc#1051510).
- commit 69c48bf
* Sun Aug 19 2018 tiwai@suse.de
- ASoC: Intel: cht_bsw_max98090_ti: Fix jack initialization
  (bsc#1051510).
- ASoC: msm8916-wcd-digital: fix RX2 MIX1 and RX3 MIX1
  (bsc#1051510).
- commit fa657bb
* Sun Aug 19 2018 tiwai@suse.de
- ACPI / APEI: Remove ghes_ioremap_area (bsc#1051510).
- commit cc4f7a3
* Sun Aug 19 2018 tiwai@suse.de
- blacklist.conf: Add a cherry-picked entry
- commit ddcf485
* Sat Aug 18 2018 tiwai@suse.de
- Update upstreamed patches
- commit 22ff2f4
* Fri Aug 17 2018 jgross@suse.com
- x86/paravirt: Fix spectre-v2 mitigations for paravirt guests
  (bnc#1065600).
- x86/entry/64: Remove %%ebx handling from error_entry/exit
  (bnc#1102715).
- commit a7024a7
* Fri Aug 17 2018 ykaukab@suse.de
- cpufreq: CPPC: Use transition_delay_us depending transition_latency (bsc#1101480).
- cpufreq: remove setting of policy->cpu in policy->cpus during init (bsc#1101480).
- commit 4fdd416
* Fri Aug 17 2018 msuchanek@suse.de
- Re-sort 4.4 stable patches.
- commit ef1a0c4
* Fri Aug 17 2018 hare@suse.de
- scsi: qla2xxx: Fix issue reported by static checker for
  qla2x00_els_dcmd2_sp_done() (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Update driver version to 10.00.00.08-k
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Migrate NVME N2N handling into state machine
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Save frame payload size from ICB
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Fix stalled relogin (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Fix race between switch cmd completion and
  timeout (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Fix Management Server NPort handle reservation
  logic (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Flush mailbox commands on chip reset
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Fix unintended Logout (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Fix session state stuck in Get Port DB
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Fix redundant fc_rport registration
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Silent erroneous message
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Prevent sysfs access when chip is down
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Add longer window for chip reset
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Fix login retry count (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Fix N2N link re-connect
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Cleanup for N2N code (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Fix ISP recovery on unload
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Spinlock recursion in qla_target
  (bsc#1086327,FATE#324903).
- commit 6be5935
* Fri Aug 17 2018 jslaby@suse.cz
- ipv6: sr: fix passing wrong flags to crypto_alloc_shash()
  (networking-stable-18_07_19).
- net: fix use-after-free in GRO with ESP
  (networking-stable-18_07_19).
- tcp: prevent bogus FRTO undos with non-SACK flows
  (networking-stable-18_07_19).
- atm: zatm: Fix potential Spectre v1
  (networking-stable-18_07_19).
- tcp: fix Fast Open key endianness (networking-stable-18_07_19).
- strparser: Remove early eaten to fix full tcp receive buffer
  stall (networking-stable-18_07_19).
- net/mlx5e: Avoid dealing with vport representors if not being
  e-switch manager (networking-stable-18_07_19).
- net/mlx5: E-Switch, Avoid setup attempt if not being e-switch
  manager (networking-stable-18_07_19).
- kABI: protect eswitch.h include (kabi).
- net: dccp: switch rx_tstamp_last_feedback to monotonic clock
  (networking-stable-18_07_19).
- net: dccp: avoid crash in ccid3_hc_rx_send_feedback()
  (networking-stable-18_07_19).
- net: mvneta: fix the Rx desc DMA address in the Rx path
  (networking-stable-18_07_19).
- vhost_net: validate sock before trying to put its fd
  (networking-stable-18_07_19).
- VSOCK: fix loopback on big-endian systems
  (networking-stable-18_07_19).
- net/packet: fix use-after-free (networking-stable-18_07_19).
- ipvlan: fix IFLA_MTU ignored on NEWLINK
  (networking-stable-18_07_19).
- stmmac: fix DMA channel hang in half-duplex mode
  (networking-stable-18_07_19).
- net: sungem: fix rx checksum support
  (networking-stable-18_07_19).
- net_sched: blackhole: tell upper qdisc about dropped packets
  (networking-stable-18_07_19).
- atm: Preserve value of skb->truesize when accounting to vcc
  (networking-stable-18_07_19).
- commit af535df
* Fri Aug 17 2018 tbogendoerfer@suse.de
- Refresh patches.kabi/kabi-protect_fwnode_handle.patch.
- commit 8a927a7
* Thu Aug 16 2018 oneukum@suse.com
- thunderbolt: Add tb_switch_get() (FATE#324324).
- thunderbolt: Add tb_switch_find_by_route() (FATE#324324).
- commit 8b71b54
* Thu Aug 16 2018 oneukum@suse.com
- thunderbolt: Handle connecting device in place of host properly
  (FATE#324324).
- Refresh
  patches.drivers/0001-thunderbolt-Add-boot-attribute-for-devices.patch.
- Refresh
  patches.drivers/0001-thunderbolt-Factor-common-ICM-add-and-update-operati.patch.
- commit 1ad68de
* Thu Aug 16 2018 oneukum@suse.com
- thunderbolt: Introduce USB only (SL4) security level
  (FATE#324324).
- commit 8b8b921
* Thu Aug 16 2018 oneukum@suse.com
- thunderbolt: Add documentation how Thunderbolt bus can be used
  (FATE#324324).
- commit b9b3d6e
* Thu Aug 16 2018 oneukum@suse.com
- thunderbolt: Do not overwrite error code when domain adding
  fails (FATE#324324).
- commit 61c41ab
* Thu Aug 16 2018 oneukum@suse.com
- thunderbolt: Add support for Intel Titan Ridge (FATE#324324).
- commit 9555bbe
* Thu Aug 16 2018 tiwai@suse.de
- Fix kABI breakage with libertas dev field addition
  (bsc#1051510).
- libertas: fix suspend and resume for SDIO connected cards
  (bsc#1051510).
- commit 3158a60
* Thu Aug 16 2018 oneukum@suse.com
- thunderbolt: Add tb_xdomain_find_by_route() (FATE#324324).
- commit 7fed5c1
* Thu Aug 16 2018 tiwai@suse.de
- media: rtl28xxu: be sure that it won't go past the array size
  (bsc#1051510).
- media: tw686x: Fix oops on buffer alloc failure (bsc#1051510).
- media: exynos4-is: Prevent NULL pointer dereference in
  __isp_video_try_fmt() (bsc#1051510).
- media: omap3isp: zero-initialize the isp cam_xclk{a,b} initial
  data (bsc#1051510).
- media: mem2mem: Remove excessive try_run call (bsc#1051510).
- commit f296c63
* Thu Aug 16 2018 oneukum@suse.com
- thunderbolt: Wait a bit longer for root switch config space
  (FATE#324324).
- Refresh
  patches.drivers/0001-thunderbolt-Move-driver-ready-handling-to-struct-icm.patch.
- commit 89c8863
* Thu Aug 16 2018 tiwai@suse.de
- crypto: ccp - Check for NULL PSP pointer at module unload
  (bsc#1051510).
- crypto: blkcipher - fix crash flushing dcache in error path
  (bsc#1051510).
- crypto: skcipher - fix crash flushing dcache in error path
  (bsc#1051510).
- crypto: skcipher - fix aligning block size in skcipher_copy_iv()
  (bsc#1051510).
- crypto: ccp - Fix command completion detection race
  (bsc#1051510).
- crypto: x86/sha256-mb - fix digest copy in
  sha256_mb_mgr_get_comp_job_avx2() (bsc#1051510).
- crypto: vmac - separate tfm and request context (bsc#1051510).
- crypto: vmac - require a block cipher with 128-bit block size
  (bsc#1051510).
- commit c553787
* Thu Aug 16 2018 tiwai@suse.de
- MAINTAINERS: fix location of ina2xx.txt device tree file
  (bsc#1051510).
- commit 79ba775
* Thu Aug 16 2018 tiwai@suse.de
- clk: imx6ul: fix missing of_node_put() (bsc#1051510).
- clk: core: Potentially free connection id (bsc#1051510).
- clk: rockchip: fix clk_i2sout parent selection bits on rk3399
  (bsc#1051510).
- clk: meson: gxbb: remove HHI_GEN_CLK_CTNL duplicate definition
  (bsc#1051510).
- commit da07cce
* Thu Aug 16 2018 tiwai@suse.de
- leds: max8997: use mode when calling max8997_led_set_mode
  (bsc#1051510).
- commit be431b3
* Thu Aug 16 2018 tiwai@suse.de
- drm/i915: Nuke the LVDS lid notifier (bsc#1051510).
- drm/panel: type promotion bug in s6e8aa0_read_mtp_id()
  (bsc#1051510).
- drm/i915: Only show debug for state changes when banning
  (bsc#1051510).
- drm/rockchip: lvds: add missing of_node_put (bsc#1051510).
- drm/fb-helper: Fix typo on kerneldoc (bsc#1051510).
- commit caa8e3b
* Thu Aug 16 2018 tiwai@suse.de
- brcmsmac: fix wrap around in conversion from constant to s16
  (bsc#1051510).
- commit fdcc372
* Thu Aug 16 2018 tiwai@suse.de
- Documentation: ip-sysctl.txt: document addr_gen_mode
  (bsc#1051510).
- commit 08e984b
* Thu Aug 16 2018 tiwai@suse.de
- EDAC, i7core: Fix memleaks and use-after-free on probe and
  remove (bsc#1051510).
- EDAC: Fix memleak in module init error path (bsc#1051510).
- commit 0c40b5b
* Thu Aug 16 2018 tiwai@suse.de
- Bluetooth: hidp: buffer overflow in hidp_process_report
  (bsc#1051510).
- commit 01e6c28
* Thu Aug 16 2018 tiwai@suse.de
- ath10k: prevent active scans on potential unusable channels
  (bsc#1051510).
- commit a6e8225
* Thu Aug 16 2018 oneukum@suse.com
- thunderbolt: Correct function name in kernel-doc comment
  (FATE#324324).
- commit 9b14541
* Thu Aug 16 2018 tiwai@suse.de
- Move the previous hv netvsc fix to the sorted section (bsc#1104708)
  Patch tags update, too
- commit 50ea871
* Wed Aug 15 2018 msuchanek@suse.de
- Move kabi patches into patches.kabi
  Some scrfipts depend on this to remove these patches automatically on
  configs without KABI tracking.
- commit 99e1e6d
* Wed Aug 15 2018 oneukum@suse.com
- thunderbolt: Add 'boot' attribute for devices (FATE#324324).
- commit 6753d50
* Wed Aug 15 2018 jslaby@suse.cz
- netfilter: nf_tables: disable preemption in
  nft_update_chain_stats() (netfilter-stable-18_06_27).
- netfilter: nft_meta: fix wrong value dereference in
  nft_meta_set_eval (netfilter-stable-18_06_27).
- netfilter: nf_tables: fix memory leak on error exit return
  (netfilter-stable-18_06_27).
- netfilter: nft_compat: fix handling of large matchinfo size
  (netfilter-stable-18_06_27).
- netfilter: nft_compat: prepare for indirect info storage
  (netfilter-stable-18_06_27).
- netfilter: nf_tables: don't assume chain stats are set when
  jumplabel is set (netfilter-stable-18_06_27).
- netfilter: nf_tables: nft_compat: fix refcount leak on xt module
  (netfilter-stable-18_06_27).
- netfilter: nf_tables: add missing netlink attrs to policies
  (netfilter-stable-18_06_27).
- commit 3bc4a5b
* Wed Aug 15 2018 oneukum@suse.com
- thunderbolt: Factor common ICM add and update operations out
  (FATE#324324).
- commit 4132e58
* Wed Aug 15 2018 oneukum@suse.com
- thunderbolt: Add support for XDomain discovery protocol
  (FATE#324324).
- Refresh
  patches.drivers/0001-thunderbolt-Export-ring-handling-functions-to-module.patch.
- Refresh
  patches.drivers/0001-thunderbolt-Move-driver-ready-handling-to-struct-icm.patch.
- commit eebd234
* Wed Aug 15 2018 tzimmermann@suse.de
- drm/cirrus: Use drm_framebuffer_put to avoid kernel oops in clean-up (bsc#1101822).
- commit 48dbb6a
* Wed Aug 15 2018 oneukum@suse.com
- thunderbolt: Move driver ready handling to struct icm
  (FATE#324324).
- commit e33a734
* Wed Aug 15 2018 tiwai@suse.de
- spi: spi-fsl-dspi: Fix imprecise abort on VF500 during probe
  (bsc#1051510).
- rtc: ensure rtc_set_alarm fails when alarms are not supported
  (bsc#1051510).
- commit a5f6ce9
* Wed Aug 15 2018 oneukum@suse.com
- thunderbolt: Add constant for approval timeout (FATE#324324).
- commit e36db78
* Wed Aug 15 2018 tiwai@suse.de
- PM / devfreq: rk3399_dmc: Fix duplicated opp table on reload
  (bsc#1051510).
- commit bf1544a
* Wed Aug 15 2018 tiwai@suse.de
- pinctrl: freescale: off by one in imx1_pinconf_group_dbg_show()
  (bsc#1051510).
- pinctrl: cannonlake: Fix community ordering for H variant
  (bsc#1051510).
- pinctrl: imx: off by one in imx_pinconf_group_dbg_show()
  (bsc#1051510).
- pinctrl: single: Fix group and function selector use
  (bsc#1051510).
- pinctrl: pinmux: Return selector to the pinctrl driver
  (bsc#1051510).
- pinctrl: core: Return selector to the pinctrl driver
  (bsc#1051510).
- pinctrl: qcom: spmi-gpio: Fix pmic_gpio_config_get() to be
  compliant (bsc#1051510).
- commit f8e2baa
* Wed Aug 15 2018 pmladek@suse.com
- kthread, tracing: Don't expose half-written comm when creating
  kthreads (bsc#1104897).
- commit bc336f5
* Wed Aug 15 2018 tiwai@suse.de
- gtp: Initialize 64-bit per-cpu stats correctly (bsc#1051510).
- commit 654f242
* Wed Aug 15 2018 tiwai@suse.de
- i2c: imx: Fix reinit_completion() use (bsc#1051510).
- geneve: update skb dst pmtu on tx path (bsc#1051510).
- commit b14055a
* Wed Aug 15 2018 tiwai@suse.de
- docs: zh_CN: fix location of oops-tracing.txt (bsc#1051510).
- commit 2fe224f
* Wed Aug 15 2018 tiwai@suse.de
- genirq: Fix editing error in a comment (bsc#1051510).
- genirq: Make force irq threading setup more robust
  (bsc#1051510).
- commit a8d21bd
* Wed Aug 15 2018 tiwai@suse.de
- Update tags upstreamed patches, move to upstream section
- commit 1c6a87b
* Wed Aug 15 2018 tiwai@suse.de
- ASoC: sirf: Fix potential NULL pointer dereference
  (bsc#1051510).
- ASoC: zte: Fix incorrect PCM format bit usages (bsc#1051510).
- ASoC: rsnd: cmd: Add missing newline to debug message
  (bsc#1051510).
- ASoC: es7134: remove 64kHz rate from the supported rates
  (bsc#1051510).
- ASoC: dpcm: don't merge format from invalid codec dai
  (bsc#1051510).
- ALSA: snd-aoa: add of_node_put() in error path (bsc#1051510).
- commit a36ee64
* Wed Aug 15 2018 jslaby@suse.cz
- netfilter: nf_tables: use WARN_ON_ONCE instead of BUG_ON in
  nft_do_chain() (netfilter-stable-18_06_25).
- netfilter: ip6t_rpfilter: provide input interface for route
  lookup (netfilter-stable-18_06_25).
- netfilter: don't set F_IFACE on ipv6 fib lookups
  (netfilter-stable-18_06_25).
- netfilter: nat: Revert "netfilter: nat: convert nat bysrc hash
  to rhashtable" (netfilter-stable-17_11_16).
- kABI: protect struct nf_conn (kabi).
- commit d2096e3
* Tue Aug 14 2018 tiwai@suse.de
- init: rename and re-order boot_cpu_state_init() (bsc#1104365).
- Refresh
  patches.arch/17-cpu-hotplug-Boot-HT-siblings-at-least-once.patch.
- Refresh
  patches.suse/Fix-arm64-breakage-with-this_cpu_write.patch.
- commit 070598e
* Tue Aug 14 2018 tiwai@suse.de
- Delete patches.suse/Fix-arm64-breakage-with-this_cpu_write.patch
  It's no longer needed after the upstream fix.
- commit d44e7e2
* Tue Aug 14 2018 tiwai@suse.de
- hv/netvsc: Fix NULL dereference at single queue mode fallback
  (bsc#1104708).
- commit 947aa51
* Tue Aug 14 2018 tiwai@suse.de
- media: videobuf2-core: don't call memop 'finish' when queueing
  (bsc#1051510).
- media: omap3isp: fix unbalanced dma_iommu_mapping (bsc#1051510).
- commit 3bd1bae
* Tue Aug 14 2018 tiwai@suse.de
- EDAC, altera: Fix ARM64 build warning (bsc#1051510).
- EDAC, mv64x60: Fix an error handling path (bsc#1051510).
- EDAC, octeon: Fix an uninitialized variable warning
  (bsc#1051510).
- EDAC, sb_edac: Fix missing break in switch (bsc#1051510).
- commit 9f77e18
* Tue Aug 14 2018 tiwai@suse.de
- ACPI / PCI: Bail early in acpi_pci_add_bus() if there is no
  ACPI handle (bsc#1051510).
- commit 31c51d2
* Tue Aug 14 2018 tiwai@suse.de
- xhci: Fix perceived dead host due to runtime suspend race with
  event handler (bsc#1051510).
- commit 861687b
* Tue Aug 14 2018 tiwai@suse.de
- Fix kABI breakage of kvm_x86_ops due to L1TF patches
  (bsc#1089343 CVE-2018-3646).
- commit 8a4775d
* Tue Aug 14 2018 mgorman@suse.de
- sched/numa: Move task_numa_placement() closer to
  numa_migrate_preferred() (bnc#1101669 optimise numa balancing
  for fast migrate).
- sched/numa: Use group_weights to identify if migration degrades
  locality (bnc#1101669 optimise numa balancing for fast migrate).
- sched/numa: Update the scan period without holding the
  numa_group lock (bnc#1101669 optimise numa balancing for
  fast migrate).
- sched/numa: Modify migrate_swap() to accept additional
  parameters (bnc#1101669 optimise numa balancing for fast
  migrate).
- sched/numa: Remove unused task_capacity from 'struct numa_stats'
  (bnc#1101669 optimise numa balancing for fast migrate).
- sched/numa: Skip nodes that are at 'hoplimit' (bnc#1101669
  optimise numa balancing for fast migrate).
- sched/debug: Reverse the order of printing faults (bnc#1101669
  optimise numa balancing for fast migrate).
- sched/numa: Use task faults only if numa_group is not yet set up
  (bnc#1101669 optimise numa balancing for fast migrate).
- sched/numa: Set preferred_node based on best_cpu (bnc#1101669
  optimise numa balancing for fast migrate).
- sched/numa: Simplify load_too_imbalanced() (bnc#1101669 optimise
  numa balancing for fast migrate).
- sched/numa: Evaluate move once per node (bnc#1101669 optimise
  numa balancing for fast migrate).
- sched/numa: Remove redundant field -kabi (bnc#1101669 optimise
  numa balancing for fast migrate).
- sched/numa: Remove redundant field (bnc#1101669 optimise numa
  balancing for fast migrate).
- commit 718fbcc
* Tue Aug 14 2018 mgorman@suse.de
- series.conf: Sort automatic NUMA balancing related patch
- commit 78160e1
* Tue Aug 14 2018 jgross@suse.com
- xen/netfront: don't cache skb_shinfo() (bnc#1065600).
- x86/xen: init %%gs very early to avoid page faults with stack
  protector (bnc#1104777).
- commit 7fdcb3b
* Tue Aug 14 2018 oneukum@suse.com
- typec: tcpm: fusb302: Resolve out of order messaging events
  (bsc#1087092).
- commit 2640a76
* Mon Aug 13 2018 ohering@suse.de
- hv_netvsc: Fix napi reschedule while receive completion is busy
  (fate#323887).
- commit e458677
* Mon Aug 13 2018 agraf@suse.de
- supported.conf: Enable HiSi v3 SAS adapter (FATE#326253)
- commit 760b46a
* Mon Aug 13 2018 msuchanek@suse.de
- powerpc/fadump: merge adjacent memory ranges to reduce PT_LOAD
  segements (bsc#1103269).
- powerpc/fadump: handle crash memory ranges array index overflow
  (bsc#1103269).
- commit 0d8b4a2
* Mon Aug 13 2018 oneukum@suse.com
- net: qmi_wwan: Add Netgear Aircard 779S (bsc#1090888).
- commit 8783b64
* Mon Aug 13 2018 oneukum@suse.com
- net: lan78xx: fix rx handling before first packet is send
  (bsc#1100132).
- commit d201338
* Mon Aug 13 2018 oneukum@suse.com
- net: usb: asix: replace mii_nway_restart in resume path
  (bsc#1100132).
- commit 3df7ed3
* Mon Aug 13 2018 oneukum@suse.com
- net: lan78xx: Fix race in tx pending skb size calculation
  (bsc#1100132).
- commit 748c48c
* Mon Aug 13 2018 oneukum@suse.com
- net: qmi_wwan: add BroadMobi BM806U 2020:2033 (bsc#1087092).
- commit f2aab4f
* Mon Aug 13 2018 oneukum@suse.com
- net-usb: add qmi_wwan if on lte modem wistron neweb d18q1
  (bsc#1087092).
- commit ec40a3b
* Mon Aug 13 2018 nborisov@suse.com
- xfs: move xfs_iext_insert tracepoint to report useful
  information (bsc#1095344).
- xfs: fix memory leak in xfs_iext_free_last_leaf (bsc#1095344).
- xfs: fix type usage (bsc#1095344).
- xfs: handle zero entries case in xfs_iext_rebalance_leaf
  (bsc#1095344).
- xfs: add comments documenting the rebalance algorithm
  (bsc#1095344).
- xfs: trivial indentation fixup for xfs_iext_remove_node
  (bsc#1095344).
- xfs: remove a superflous assignment in xfs_iext_remove_node
  (bsc#1095344).
- xfs: add some comments to xfs_iext_insert/xfs_iext_insert_node
  (bsc#1095344).
- xfs: fix number of records handling in xfs_iext_split_leaf
  (bsc#1095344).
- xfs: move xfs_bmbt_irec and xfs_exntst_t to xfs_types.h
  (bsc#1095344).
- xfs: pass struct xfs_bmbt_irec to  xfs_bmbt_validate_extent
  (bsc#1095344).
- xfs: remove the nr_extents argument to xfs_iext_remove
  (bsc#1095344).
- xfs: remove the nr_extents argument to xfs_iext_insert
  (bsc#1095344).
- xfs: use a b+tree for the in-core extent list (bsc#1095344).
- xfs: allow unaligned extent records in  xfs_bmbt_disk_set_all
  (bsc#1095344).
- xfs: remove support for inlining data/extents into the  inode
  fork (bsc#1095344).
- xfs: simplify xfs_reflink_convert_cow (bsc#1095344).
- xfs: iterate backwards in xfs_reflink_cancel_cow_blocks
  (bsc#1095344).
- xfs: introduce the xfs_iext_cursor abstraction (bsc#1095344).
- xfs: iterate over extents in xfs_bmap_extents_to_btree
  (bsc#1095344).
- xfs: iterate over extents in xfs_iextents_copy (bsc#1095344).
- xfs: pass an on-disk extent to xfs_bmbt_validate_extent
  (bsc#1095344).
- xfs: treat idx as a cursor in xfs_bmap_collapse_extents
  (bsc#1095344).
- xfs: treat idx as a cursor in xfs_bmap_del_extent_*
  (bsc#1095344).
- xfs: treat idx as a cursor in
  xfs_bmap_add_extent_unwritten_real (bsc#1095344).
- xfs: treat idx as a cursor in  xfs_bmap_add_extent_hole_real
  (bsc#1095344).
- xfs: treat idx as a cursor in  xfs_bmap_add_extent_hole_delay
  (bsc#1095344).
- xfs: treat idx as a cursor in  xfs_bmap_add_extent_delay_real
  (bsc#1095344).
- xfs: remove a duplicate assignment in
  xfs_bmap_add_extent_delay_real (bsc#1095344).
- xfs: don't create overlapping extents in
  xfs_bmap_add_extent_delay_real (bsc#1095344).
- xfs: add a new xfs_iext_lookup_extent_before helper
  (bsc#1095344).
- xfs: merge xfs_bmap_read_extents into xfs_iread_extents
  (bsc#1095344).
- xfs: add asserts for the mmap lock in
  xfs_{insert,collapse}_file_space (bsc#1095344).
- xfs: rewrite xfs_bmap_first_unused to make better use  of
  xfs_iext_get_extent (bsc#1095344).
- xfs: don't rely on extent indices in  xfs_bmap_insert_extents
  (bsc#1095344).
- xfs: don't rely on extent indices in  xfs_bmap_collapse_extents
  (bsc#1095344).
- xfs: update got in xfs_bmap_shift_update_extent (bsc#1095344).
- xfs: remove xfs_bmse_shift_one (bsc#1095344).
- xfs: split xfs_bmap_shift_extents (bsc#1095344).
- xfs: remove XFS_BMAP_MAX_SHIFT_EXTENTS (bsc#1095344).
- xfs: inline xfs_shift_file_space into callers (bsc#1095344).
- xfs: remove if_rdev (bsc#1095344).
- xfs: remove the never fully implemented UUID fork  format
  (bsc#1095344).
- xfs: remove XFS_BMAP_TRACE_EXLIST (bsc#1095344).
- xfs: move pre/post-bmap tracing into  xfs_iext_update_extent
  (bsc#1095344).
- xfs: remove post-bmap tracing in  xfs_bmap_local_to_extents
  (bsc#1095344).
- xfs: make better use of the 'state' variable in
  xfs_bmap_del_extent_real (bsc#1095344).
- xfs: add a xfs_bmap_fork_to_state helper (bsc#1095344).
- xfs: remove xfs_bmbt_get_state (bsc#1095344).
- xfs: remove all xfs_bmbt_set_* helpers except for
  xfs_bmbt_set_all (bsc#1095344).
- xfs: replace xfs_bmbt_lookup_ge with  xfs_bmbt_lookup_first
  (bsc#1095344).
- xfs: pass a struct xfs_bmbt_irec to xfs_bmbt_lookup_eq
  (bsc#1095344).
- xfs: pass a struct xfs_bmbt_irec to xfs_bmbt_update
  (bsc#1095344).
- xfs: refactor xfs_bmap_add_extent_unwritten_real (bsc#1095344).
- xfs: refactor delalloc accounting in
  xfs_bmap_add_extent_delay_real (bsc#1095344).
- xfs: refactor xfs_bmap_add_extent_delay_real (bsc#1095344).
- xfs: refactor xfs_bmap_add_extent_hole_real (bsc#1095344).
- xfs: refactor xfs_bmap_add_extent_hole_delay (bsc#1095344).
- xfs: refactor xfs_del_extent_real (bsc#1095344).
- xfs: use the state defines in xfs_bmap_del_extent_real
  (bsc#1095344).
- xfs: use correct state defines in
  xfs_bmap_del_extent_{cow,delay} (bsc#1095344).
- commit 2783d07
* Mon Aug 13 2018 nborisov@suse.com
- xfs: move some more code into xfs_bmap_del_extent_real
  (bsc#1095344).
- xfs: use xfs_bmap_del_extent_delay for the data fork as  well
  (bsc#1095344).
- xfs: rename bno to end in __xfs_bunmapi (bsc#1095344).
- xfs: don't set XFS_BTCUR_BPRV_WASDEL in xfs_bunmapi
  (bsc#1095344).
- xfs: use xfs_iext_get_extent instead of open coding it
  (bsc#1095344).
- xfs: simplify the xfs_getbmap interface (bsc#1095344).
- xfs: rewrite getbmap using the xfs_iext_* helpers (bsc#1095344).
- xfs: replace xfs_qm_get_rtblks with a direct call to
  xfs_bmap_count_leaves (bsc#1095344).
- xfs: rewrite xfs_bmap_count_leaves using  xfs_iext_get_extent
  (bsc#1095344).
- xfs: use xfs_iext_*_extent helpers in  xfs_bmap_split_extent_at
  (bsc#1095344).
- xfs: use xfs_iext_*_extent helpers in  xfs_bmap_shift_extents
  (bsc#1095344).
- xfs: move some code around inside  xfs_bmap_shift_extents
  (bsc#1095344).
- xfs: use xfs_iext_get_extent in xfs_bmap_first_unused
  (bsc#1095344).
- xfs: switch xfs_bmap_local_to_extents to use  xfs_iext_insert
  (bsc#1095344).
- xfs: add a xfs_iext_update_extent helper (bsc#1095344).
- xfs: refactor dir2 leaf readahead shadow buffer  cleverness
  (bsc#1095344).
- commit 24b4ed0
* Mon Aug 13 2018 jroedel@suse.de
- x86/kvm: kABI workaround for CVE-2018-10853 fix (CVE-2018-10853
  bsc#1097104).
- kvm: x86: use correct privilege level for
  sgdt/sidt/fxsave/fxrstor access (CVE-2018-10853 bsc#1097104).
- KVM: x86: pass kvm_vcpu to kvm_read_guest_virt and
  kvm_write_guest_virt_system (CVE-2018-10853 bsc#1097104).
- KVM: x86: introduce linear_{read,write}_system (CVE-2018-10853
  bsc#1097104).
- commit 65006cb
* Mon Aug 13 2018 tzimmermann@suse.de
- blacklist.conf: Add 'drm/i915/pmu: Fix PMU enable vs execlists tasklet race' #2
- commit bb04587
* Mon Aug 13 2018 tzimmermann@suse.de
- blacklist.conf: Add 'drm/i915/pmu: Fix PMU enable vs execlists tasklet race'
- commit 777d4c9
* Mon Aug 13 2018 jgross@suse.com
- xen-netback: fix input validation in xenvif_set_hash_mapping()
  (bnc#1103277).
- commit 6d2d327
* Fri Aug 10 2018 tiwai@suse.de
- hwmon: (asus_atk0110) Replace deprecated device register call
  (bsc#1103363).
- commit d786db1
* Fri Aug 10 2018 jack@suse.cz
- ext4: check for allocation block validity with block group
  locked (bsc#1104495).
- commit 687b42e
* Fri Aug 10 2018 jack@suse.cz
- ext4: fix inline data updates with checksums enabled
  (bsc#1104494).
- commit 8bd5d82
* Fri Aug 10 2018 jack@suse.cz
- ext4: fix false negatives *and* false positives in
  ext4_check_descriptors() (bsc#1103445).
- commit aae2736
* Fri Aug 10 2018 hare@suse.de
- s390/dasd: configurable IFCC handling (bsc#1097808).
- commit fa71ad6
* Fri Aug 10 2018 tbogendoerfer@suse.de
- be2net: Update the driver version to 12.0.0.0 (bsc#1086288
  FATE#324877).
- be2net: gather debug info and reset adapter (only for Lancer)
  on a tx-timeout (bsc#1086288 FATE#324877).
- commit c3595f8
* Fri Aug 10 2018 jdelvare@suse.de
- ACPI / PCI: pci_link: Allow the absence of _PRS and change
  log level (bsc#1104172).
- ACPI/PCI: pci_link: reduce verbosity when IRQ is enabled
  (bsc#1104172).
- commit d5d5a1d
* Fri Aug 10 2018 tiwai@suse.de
- EDAC: Drop duplicated array of strings for memory type names
  (bsc#1103886).
- commit 06bf79d
* Fri Aug 10 2018 ohering@suse.de
- TCM_RBD depends on BLK_DEV_RBD (fate#318836).
- commit 9847077
* Fri Aug 10 2018 lduncan@suse.com
- scsi: qedi: Send driver state to MFW (bsc#1086315).
- qedi: Add get_generic_tlv_data handler (bsc#1086315).
- qedi: Add support for populating ethernet TLVs (bsc#1086315).
- scsi: qedi: fix build regression (bsc#1086315).
- scsi: qedi: fix building with LTO (bsc#1086315).
- scsi: qedi: Fix kernel crash during port toggle (bsc#1086315).
- commit 76cd28a
* Fri Aug 10 2018 tbogendoerfer@suse.de
- Update config files.
- supported.conf: added hns-roce-hw-v1 and hns-roce-hw-v2
- commit e68ebe7
* Fri Aug 10 2018 tbogendoerfer@suse.de
- IB/hns: Use zeroing memory allocator instead of allocator/memset
  (bsc#1104427 FATE#326416).
- RDMA/hns_roce: Don't check return value of zap_vma_ptes()
  (bsc#1104427 FATE#326416).
- RDMA/hns: Implement the disassociate_ucontext API (bsc#1104427
  FATE#326416).
- RDMA/hns: Fix the illegal memory operation when cross page
  (bsc#1104427 FATE#326416).
- RDMA/hns: Add reset process for RoCE in hip08 (bsc#1104427
  FATE#326416).
- RDMA/hns: Increase checking CMQ status timeout value
  (bsc#1104427 FATE#326416).
- RDMA/hns: Modify uar allocation algorithm to avoid bitmap
  exhaust (bsc#1104427 FATE#326416).
- RDMA/hns: Rename the idx field of db (bsc#1104427 FATE#326416).
- RDMA/hns: Add 64KB page size support for hip08 (bsc#1104427
  FATE#326416).
- RDMA/hns: Drop local zgid in favor of core defined variable
  (bsc#1104427 FATE#326416).
- RDMA/hns: Move the location for initializing tmp_len
  (bsc#1104427 FATE#326416).
- RDMA/hns: Bugfix for cq record db for kernel (bsc#1104427
  FATE#326416).
- RDMA/hns: Fix the bug with NULL pointer (bsc#1104427
  FATE#326416).
- RDMA/hns: Set NULL for __internal_mr (bsc#1104427 FATE#326416).
- RDMA/hns: Enable inner_pa_vld filed of mpt (bsc#1104427
  FATE#326416).
- RDMA/hns: Set desc_dma_addr for zero when free cmq desc
  (bsc#1104427 FATE#326416).
- RDMA/hns: Fix the bug with rq sge (bsc#1104427 FATE#326416).
- RDMA/hns: Not support qp transition from reset to reset for
  hip06 (bsc#1104427 FATE#326416).
- RDMA/hns: Add return operation when configured global param fail
  (bsc#1104427 FATE#326416).
- RDMA/hns: Update convert function of endian format (bsc#1104427
  FATE#326416).
- RDMA/hns: Load the RoCE dirver automatically (bsc#1104427
  FATE#326416).
- RDMA/hns: Bugfix for rq record db for kernel (bsc#1104427
  FATE#326416).
- RDMA/hns: Add rq inline flags judgement (bsc#1104427
  FATE#326416).
- RDMA/hns: Fix a couple misspellings (bsc#1104427 FATE#326416).
- RDMA/hns: Submit bad wr (bsc#1104427 FATE#326416).
- RDMA/hns: Update assignment method for owner field of send wqe
  (bsc#1104427 FATE#326416).
- RDMA/hns: Adjust the order of cleanup hem table (bsc#1104427
  FATE#326416).
- RDMA/hns: Only assign dqpn if IB_QP_PATH_DEST_QPN bit is set
  (bsc#1104427 FATE#326416).
- RDMA/hns: Remove some unnecessary attr_mask judgement
  (bsc#1104427 FATE#326416).
- RDMA/hns: Only assign mtu if IB_QP_PATH_MTU bit is set
  (bsc#1104427 FATE#326416).
- RDMA/hns: Fix the qp context state diagram (bsc#1104427
  FATE#326416).
- RDMA/hns: Intercept illegal RDMA operation when use inline data
  (bsc#1104427 FATE#326416).
- RDMA/hns: Bugfix for init hem table (bsc#1104427 FATE#326416).
- RDMA/hns: Fix cq record doorbell enable in kernel (bsc#1104427
  FATE#326416).
- RDMA/hns: Fix init resp when alloc ucontext (bsc#1104427
  FATE#326416).
- RDMA/hns: Use structs to describe the uABI instead of opencoding
  (bsc#1104427 FATE#326416).
- RDMA/hns: Fix cqn type and init resp (bsc#1104427 FATE#326416).
- RDMA/hns: Support cq record doorbell for kernel space
  (bsc#1104427 FATE#326416).
- RDMA/hns: Support rq record doorbell for kernel space
  (bsc#1104427 FATE#326416).
- RDMA/hns: Support cq record doorbell for the user space
  (bsc#1104427 FATE#326416).
- RDMA/hns: Support rq record doorbell for the user space
  (bsc#1104427 FATE#326416).
- RDMA/hns: Replace __raw_write*(cpu_to_le*()) with LE write*()
  (bsc#1104427 FATE#326416).
- RDMA/hns: Use free_pages function instead of free_page
  (bsc#1104427 FATE#326416).
- RDMA/hns: Fix QP state judgement before receiving work requests
  (bsc#1104427 FATE#326416).
- RDMA/hns: Fix a bug with modifying mac address (bsc#1104427
  FATE#326416).
- RDMA/hns: ensure for-loop actually iterates and free's buffers
  (bsc#1104427 FATE#326416).
- RDMA/hns: Fix the endian problem for hns (bsc#1104427
  FATE#326416).
- RDMA/hns: Fix misplaced call to hns_roce_cleanup_hem_table
  (bsc#1104427 FATE#326416).
- RDMA/hns: Add names to function arguments in function pointers
  (bsc#1104427 FATE#326416).
- RDMA/hns: Remove unnecessary operator (bsc#1104427 FATE#326416).
- RDMA/hns: Remove unnecessary platform_get_resource() error check
  (bsc#1104427 FATE#326416).
- RDMA/hns: Set the guid for hip08 RoCE device (bsc#1104427
  FATE#326416).
- RDMA/hns: Update the verbs of polling for completion
  (bsc#1104427 FATE#326416).
- RDMA/hns: Assign zero for pkey_index of wc in hip08 (bsc#1104427
  FATE#326416).
- RDMA/hns: Fill sq wqe context of ud type in hip08 (bsc#1104427
  FATE#326416).
- RDMA/hns: Add gsi qp support for modifying qp in hip08
  (bsc#1104427 FATE#326416).
- RDMA/hns: Create gsi qp in hip08 (bsc#1104427 FATE#326416).
- RDMA/hns: Assign the correct value for tx_cqn (bsc#1104427
  FATE#326416).
- RDMA/hns: Fix endian problems around imm_data and rkey
  (bsc#1104427 FATE#326416).
- RDMA/hns: Assign dest_qp when deregistering mr (bsc#1104427
  FATE#326416).
- RDMA/hns: Fix QP state judgement before sending work requests
  (bsc#1104427 FATE#326416).
- RDMA/hns: Filter for zero length of sge in hip08 kernel mode
  (bsc#1104427 FATE#326416).
- RDMA/hns: Set access flags of hip08 RoCE (bsc#1104427
  FATE#326416).
- RDMA/hns: Update the usage of sr_max and rr_max field
  (bsc#1104427 FATE#326416).
- RDMA/hns: Add rq inline data support for hip08 RoCE (bsc#1104427
  FATE#326416).
- RDMA/hns: Add detailed comments for mb() call (bsc#1104427
  FATE#326416).
- RDMA/hns: Add eq support of hip08 (bsc#1104427 FATE#326416).
- RDMA/hns: Refactor eq code for hip06 (bsc#1104427 FATE#326416).
- RDMA/hns: Get rid of page operation after dma_alloc_coherent
  (bsc#1104427 FATE#326416).
- RDMA/hns: Get rid of virt_to_page and vmap calls after
  dma_alloc_coherent (bsc#1104427 FATE#326416).
- RDMA/hns: Fix the issue of IOVA not page continuous in hip08
  (bsc#1104427 FATE#326416).
- RDMA/hns: Modify the usage of cmd_sn in hip08 (bsc#1104427
  FATE#326416).
- RDMA/hns: Unify the calculation for hem index in hip08
  (bsc#1104427 FATE#326416).
- RDMA/hns: Set the owner field of SQWQE in hip08 RoCE
  (bsc#1104427 FATE#326416).
- RDMA/hns: Add sq_invld_flg field in QP context (bsc#1104427
  FATE#326416).
- RDMA/hns: Update the usage of ack timeout in hip08 (bsc#1104427
  FATE#326416).
- RDMA/hns: Set sq_cur_sge_blk_addr field in QPC in hip08
  (bsc#1104427 FATE#326416).
- RDMA/hns: Enable the cqe field of sqwqe of RC (bsc#1104427
  FATE#326416).
- RDMA/hns: Set se attribute of sqwqe in hip08 (bsc#1104427
  FATE#326416).
- RDMA/hns: Configure fence attribute in hip08 RoCE (bsc#1104427
  FATE#326416).
- RDMA/hns: Configure TRRL field in hip08 RoCE device (bsc#1104427
  FATE#326416).
- RDMA/hns: Update calculation of irrl_ba field for hip08
  (bsc#1104427 FATE#326416).
- RDMA/hns: Configure sgid type for hip08 RoCE (bsc#1104427
  FATE#326416).
- RDMA/hns: Generate gid type of RoCEv2 (bsc#1104427 FATE#326416).
- RDMA/hns: Add rereg mr support for hip08 (bsc#1104427
  FATE#326416).
- RDMA/hns: Add modify CQ support for hip08 (bsc#1104427
  FATE#326416).
- RDMA/hns: Update the PD&CQE&MTT specification in hip08
  (bsc#1104427 FATE#326416).
- RDMA/hns: Update the IRRL table chunk size in hip08 (bsc#1104427
  FATE#326416).
- RDMA/hns: Support WQE/CQE/PBL page size configurable feature
  in hip08 (bsc#1104427 FATE#326416).
- RDMA/hns: fix spelling mistake: "Reseved" -> "Reserved"
  (bsc#1104427 FATE#326416).
- IB/hns: Declare local functions 'static' (bsc#1104427
  FATE#326416).
- IB/hns: Annotate iomem pointers correctly (bsc#1104427
  FATE#326416).
- RDMA/hns: return 0 rather than return a garbage status value
  (bsc#1104427 FATE#326416).
- RDMA/hns: Fix calltrace for sleeping in atomic (bsc#1104427
  FATE#326416).
- RDMA/hns: Don't unregister a callback we didn't register
  (bsc#1104427 FATE#326416).
- RDMA/hns: Avoid NULL pointer exception (bsc#1104427
  FATE#326416).
- RDMA/hns: Set rdma_ah_attr type for querying qp (bsc#1104427
  FATE#326416).
- RDMA/hns: Only assign dest_qp if IB_QP_DEST_QPN bit is set
  (bsc#1104427 FATE#326416).
- RDMA/hns: Check return value of kzalloc (bsc#1104427
  FATE#326416).
- RDMA/hns: Refactor code for readability (bsc#1104427
  FATE#326416).
- RDMA/hns: Modify the value with rd&dest_rd of qp_attr
  (bsc#1104427 FATE#326416).
- RDMA/hns: remove redundant assignment to variable j (bsc#1104427
  FATE#326416).
- RDMA/hns: make various function static, fixes warnings
  (bsc#1104427 FATE#326416).
- RDMA/hns: Delete the unnecessary initializing enum to zero
  (bsc#1104427 FATE#326416).
- RDMA/hns: Fix inconsistent warning (bsc#1104427 FATE#326416).
- RDMA/hns: Replace condition statement using hardware version
  information (bsc#1104427 FATE#326416).
- RDMA/hns: Add releasing resource operation in error branch
  (bsc#1104427 FATE#326416).
- RDMA/hns: Configure the MTPT in hip08 (bsc#1104427 FATE#326416).
- RDMA/hns: Add support for processing send wr and receive wr
  (bsc#1104427 FATE#326416).
- RDMA/hns: Add QP operations support for hip08 SoC (bsc#1104427
  FATE#326416).
- RDMA/hns: Add CQ operations support for hip08 RoCE driver
  (bsc#1104427 FATE#326416).
- RDMA/hns: Configure mac&gid and user access region for hip08
  RoCE driver (bsc#1104427 FATE#326416).
- RDMA/hns: Support multi hop addressing for PBL in hip08
  (bsc#1104427 FATE#326416).
- RDMA/hns: Split CQE from MTT in hip08 (bsc#1104427 FATE#326416).
- RDMA/hns: Update the interfaces for MTT/CQE multi hop addressing
  in hip08 (bsc#1104427 FATE#326416).
- RDMA/hns: Configure BT BA and BT attribute for the contexts
  in hip08 (bsc#1104427 FATE#326416).
- RDMA/hns: Add the interfaces to support multi hop addressing
  for the contexts in hip08 (bsc#1104427 FATE#326416).
- RDMA/hns: Add mailbox's implementation for hip08 RoCE driver
  (bsc#1104427 FATE#326416).
- RDMA/hns: Add profile support for hip08 driver (bsc#1104427
  FATE#326416).
- RDMA/hns: Add command queue support for hip08 RoCE driver
  (bsc#1104427 FATE#326416).
- RDMA/hns: Modify assignment device variable to support both
  PCI device and platform device (bsc#1104427 FATE#326416).
- RDMA/hns: Initialize the PCI device for hip08 RoCE (bsc#1104427
  FATE#326416).
- RDMA/hns: Move priv in order to add multiple hns_roce support
  (bsc#1104427 FATE#326416).
- RDMA/hns: Split hw v1 driver from hns roce driver (bsc#1104427
  FATE#326416).
- IB/hns: Avoid compile test under non 64bit environments
  (bsc#1104427 FATE#326416).
- IB/hns: include linux/interrupt.h (bsc#1104427 FATE#326416).
- IB/hns: fix semicolon.cocci warnings (bsc#1104427 FATE#326416).
- IB/hns: fix returnvar.cocci warnings (bsc#1104427 FATE#326416).
- IB/hns: fix boolreturn.cocci warnings (bsc#1104427 FATE#326416).
- IB/hns: Support compile test for hns RoCE driver (bsc#1104427
  FATE#326416).
- IB/hns: fix memory leak on ah on error return path (bsc#1104427
  FATE#326416).
- IB/hns: Fix for checkpatch.pl comment style warnings
  (bsc#1104427 FATE#326416).
- IB/hns: Fix the bug with modifying the MAC address without
  removing the driver (bsc#1104427 FATE#326416).
- IB/hns: Fix the bug with rdma operation (bsc#1104427
  FATE#326416).
- IB/hns: Fix the bug with wild pointer when destroy rc qp
  (bsc#1104427 FATE#326416).
- IB/hns: Fix the bug of polling cq failed for loopback Qps
  (bsc#1104427 FATE#326416).
  Refresh
  patches.suse/0001-IB-hns-checking-for-IS_ERR-instead-of-NULL.patch.
- commit 869c294
* Thu Aug  9 2018 tbogendoerfer@suse.de
- supported.conf: added hns3 modules
- commit 7f097bf
* Thu Aug  9 2018 lduncan@suse.com
- scsi: qla4xxx: Use dma_pool_zalloc() (bsc#1086331).
- scsi: qla4xxx: Move an array from a .h into a .c file
  (bsc#1086331).
- scsi: qla4xxx: Remove unused symbols (bsc#1086331).
- scsi: qla4xxx: skip error recovery in case of register
  disconnect (bsc#1086331).
- scsi: qla4xxx: Use zeroing allocator rather than
  allocator/memset (bsc#1086331).
- commit fc896bf
* Thu Aug  9 2018 lduncan@suse.com
- scsi: qedf: Send the driver state to MFW (bsc#1086317).
- scsi: qedf: Update version number to 8.33.16.20 (bsc#1086317).
- scsi: qedf: Update copyright for 2018 (bsc#1086317).
- scsi: qedf: Add more defensive checks for concurrent error
  conditions (bsc#1086317).
- scsi: qedf: Set the UNLOADING flag when removing a vport
  (bsc#1086317).
- scsi: qedf: Add additional checks when restarting an rport
  due to ABTS timeout (bsc#1086317).
- scsi: qedf: If qed fails to enable MSI-X fail PCI probe
  (bsc#1086317).
- scsi: qedf: Honor default_prio module parameter even if DCBX
  does not converge (bsc#1086317).
- scsi: qedf: Improve firmware debug dump handling (bsc#1086317).
- scsi: qedf: Remove setting DCBX pending during soft context
  reset (bsc#1086317).
- scsi: qedf: Add task id to kref_get_unless_zero() debug messages
  when flushing requests (bsc#1086317).
- scsi: qedf: Check if link is already up when receiving a link
  up event from qed (bsc#1086317).
- scsi: qedf: Return request as DID_NO_CONNECT if MSI-X is not
  enabled (bsc#1086317).
- scsi: qedf: Release RRQ reference correctly when RRQ command
  times out (bsc#1086317).
- scsi: qedf: Honor priority from DCBX FCoE App tag (bsc#1086317).
- scsi: qedf: Add dcbx_not_wait module parameter so we won't
  wait for DCBX convergence to start discovery (bsc#1086317).
- scsi: qedf: Sanity check FCoE/FIP priority value to make sure
  it's between 0 and 7 (bsc#1086317).
- scsi: qedf: Add check for offload before flushing I/Os for
  target (bsc#1086317).
- scsi: qedf: Fix VLAN display when printing sent FIP frames
  (bsc#1086317).
- scsi: qedf: Add missing skb frees in error path (bsc#1086317).
- scsi: qedf: Increase the number of default FIP VLAN request
  retries to 60 (bsc#1086317).
- scsi: qedf: Synchronize rport restarts when multiple ELS
  commands time out (bsc#1086317).
- qedf: Add get_generic_tlv_data handler (bsc#1086317).
- qedf: Add support for populating ethernet TLVs (bsc#1086317).
- scsi: qedf: use correct strncpy() size (bsc#1086317).
- scsi: qedf: fix LTO-enabled build (bsc#1086317).
- scsi: qedf: remove redundant initialization of 'fcport'
  (bsc#1086317).
- commit be37185
* Thu Aug  9 2018 jroedel@suse.de
- kabi/severities: Allow kABI changes for kvm/x86 (except for kvm_x86_ops)
- commit a8cc744
* Thu Aug  9 2018 tbogendoerfer@suse.de
- Update config files.
  Enabled HNS3 ethernet drivers
- commit 5759ff3
* Thu Aug  9 2018 tbogendoerfer@suse.de
- net: hns3: Optimize PF CMDQ interrupt switching process
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for VF mailbox receiving unknown message
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for VF mailbox cannot receiving PF response
  (bsc#1104353 FATE#326415).
- net: hns3: remove unused hclgevf_cfg_func_mta_filter
  (bsc#1104353 FATE#326415).
- net: hns3: Optimize the VF's process of updating multicast MAC
  (bsc#1104353 FATE#326415).
- net: hns3: Optimize the PF's process of updating multicast MAC
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for vxlan tx checksum bug (bsc#1104353
  FATE#326415).
- net: hns3: Add missing break in misc_irq_handle (bsc#1104353
  FATE#326415).
- net: hns3: Fix for phy not link up problem after resetting
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for hclge_reset running repeatly problem
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for service_task not running problem after
  resetting (bsc#1104353 FATE#326415).
- net: hns3: Fix setting mac address error (bsc#1104353
  FATE#326415).
- net: hns3: Add repeat address checking for setting mac address
  (bsc#1104353 FATE#326415).
- net: hns3: Add support for IFF_ALLMULTI flag (bsc#1104353
  FATE#326415).
- net: hns3: Disable vf vlan filter when vf vlan table is full
  (bsc#1104353 FATE#326415).
- net: hns3: Fixes initalization of RoCE handle and makes it
  conditional (bsc#1104353 FATE#326415).
- net: hns3: Adds support for led locate command for copper port
  (bsc#1104353 FATE#326415).
- net: hns3: Remove unused led control code (bsc#1104353
  FATE#326415).
- net: hns3: Clear TX/RX rings when stopping port &
  un-initializing client (bsc#1104353 FATE#326415).
- net: hns3: Removes unnecessary check when clearing TX/RX rings
  (bsc#1104353 FATE#326415).
- net: hns3: Fixes the init of the VALID BD info in the descriptor
  (bsc#1104353 FATE#326415).
- net: hns3: Fixes the state to indicate client-type
  initialization (bsc#1104353 FATE#326415).
- net: hns3: Fix for PF mailbox receving unknown message
  (bsc#1104353 FATE#326415).
- net: hns3: Add support to enable TX/RX promisc mode for H/W
  rev(0x21) (bsc#1104353 FATE#326415).
- net: hns3: Add STRP_TAGP field support for hardware revision
  0x21 (bsc#1104353 FATE#326415).
- net: hns3: Add support for tx_accept_tag2 and tx_accept_untag2
  config (bsc#1104353 FATE#326415).
- net: hns3: Updates RX packet info fetch in case of multi BD
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for CMDQ and Misc. interrupt init order problem
  (bsc#1104353 FATE#326415).
- net: hns3: Fixes kernel panic issue during rmmod hns3 driver
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for netdev not running problem after calling
  net_stop and net_open (bsc#1104353 FATE#326415).
- net: hns3: Use enums instead of magic number in
  hclge_is_special_opcode (bsc#1104353 FATE#326415).
- net: hns3: Fix for hns3 module is loaded multiple times problem
  (bsc#1104353 FATE#326415).
- net: hns3: Fix the missing client list node initialization
  (bsc#1104353 FATE#326415).
- net: hns3: cleanup of return values in
  hclge_init_client_instance() (bsc#1104353 FATE#326415).
- net: hns3: Fixes API to fetch ethernet header length with
  kernel default (bsc#1104353 FATE#326415).
- net: hns3: Fixes error reported by Kbuild and internal review
  (bsc#1104353 FATE#326415).
- net: hns3: Fixes the missing PCI iounmap for various legs
  (bsc#1104353 FATE#326415).
- net: hns3: Add support of .sriov_configure in HNS3 driver
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for fiber link up problem (bsc#1104353
  FATE#326415).
- net: hns3: Fixes the back pressure setting when sriov is enabled
  (bsc#1104353 FATE#326415).
- net: hns3: Change return value in hnae3_register_client
  (bsc#1104353 FATE#326415).
- net: hns3: Change return type of hnae3_register_ae_algo
  (bsc#1104353 FATE#326415).
- net: hns3: Change return type of hnae3_register_ae_dev
  (bsc#1104353 FATE#326415).
- net: hns3: Add a check for client instance init state
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for the null pointer problem occurring when
  initializing ae_dev failed (bsc#1104353 FATE#326415).
- net: hns3: Fix for deadlock problem occurring when unregistering
  ae_algo (bsc#1104353 FATE#326415).
- net: hns3: refactor the loopback related function (bsc#1104353
  FATE#326415).
- net: hns3: fix for cleaning ring problem (bsc#1104353
  FATE#326415).
- net: hns3: remove add/del_tunnel_udp in hns3_enet module
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for setting mac address when resetting
  (bsc#1104353 FATE#326415).
- net: hns3: Add support of hardware rx-vlan-offload to HNS3 VF
  driver (bsc#1104353 FATE#326415).
- net: hns3: Remove packet statistics in the range of 8192~12287
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for packet loss due wrong filter config in VLAN
  tbls (bsc#1104353 FATE#326415).
- net: hns3: fix a dead loop in hclge_cmd_csq_clean (bsc#1104353
  FATE#326415).
- net: hns3: Fix to support autoneg only for port attached with
  phy (bsc#1104353 FATE#326415).
- net: hns3: fix for phy_addr error in hclge_mac_mdio_config
  (bsc#1104353 FATE#326415).
- net: hns3: Fixes the error legs in hclge_init_ae_dev function
  (bsc#1104353 FATE#326415).
- net: hns3: Fixes the out of bounds access in hclge_map_tqp
  (bsc#1104353 FATE#326415).
- net: hns3: fix to correctly fetch l4 protocol outer header
  (bsc#1104353 FATE#326415).
- net: hns3: Remove error log when getting pfc stats fails
  (bsc#1104353 FATE#326415).
- net: hns3: fix length overflow when CONFIG_ARM64_64K_PAGES
  (bsc#1104353 FATE#326415).
- net: hns3: remove unnecessary pci_set_drvdata() and devm_kfree()
  (bsc#1104353 FATE#326415).
- net: hns3: never send command queue message to IMP when reset
  (bsc#1104353 FATE#326415).
- net: hns3: fix for not initializing VF rss_hash_key problem
  (bsc#1104353 FATE#326415).
- net: hns3: fix for the wrong shift problem in
  hns3_set_txbd_baseinfo (bsc#1104353 FATE#326415).
- net: hns3: fix for returning wrong value problem in
  hns3_get_rss_indir_size (bsc#1104353 FATE#326415).
- net: hns3: fix for returning wrong value problem in
  hns3_get_rss_key_size (bsc#1104353 FATE#326415).
- net: hns3: hclge_inform_reset_assert_to_vf() can be static
  (bsc#1104353 FATE#326415).
- net: hns3: Changes required in PF mailbox to support VF reset
  (bsc#1104353 FATE#326415).
- net: hns3: Add *Asserting Reset* mailbox message & handling
  in VF (bsc#1104353 FATE#326415).
- net: hns3: Changes to support ARQ(Asynchronous Receive Queue)
  (bsc#1104353 FATE#326415).
- net: hns3: Add support to re-initialize the hclge device
  (bsc#1104353 FATE#326415).
- net: hns3: Add support to reset the enet/ring mgmt layer
  (bsc#1104353 FATE#326415).
- net: hns3: Add support to request VF Reset to PF (bsc#1104353
  FATE#326415).
- net: hns3: Add VF Reset device state and its handling
  (bsc#1104353 FATE#326415).
- net: hns3: Add VF Reset Service Task to support event handling
  (bsc#1104353 FATE#326415).
- net: hns3: Changes to make enet watchdog timeout func common
  for PF/VF (bsc#1104353 FATE#326415).
- net: hns3: fix for not returning problem in get_link_ksettings
  when phy exists (bsc#1104353 FATE#326415).
- net: hns3: add querying speed and duplex support to VF
  (bsc#1104353 FATE#326415).
- net: hns3: add get_link support to VF (bsc#1104353 FATE#326415).
- net: hns3: fix for getting wrong link mode problem (bsc#1104353
  FATE#326415).
- net: hns3: change the time interval of int_gl calculating
  (bsc#1104353 FATE#326415).
- net: hns3: change GL update rate (bsc#1104353 FATE#326415).
- net: hns3: increase the max time for IMP handle command
  (bsc#1104353 FATE#326415).
- net: hns3: export pci table of hclge and hclgevf to userspace
  (bsc#1104353 FATE#326415).
- net: hns3: fix for vlan table lost problem when resetting
  (bsc#1104353 FATE#326415).
- net: hns3: fix the VF queue reset flow error (bsc#1104353
  FATE#326415).
- net: hns3: reallocate tx/rx buffer after changing mtu
  (bsc#1104353 FATE#326415).
- net: hns3: add result checking for VF when modify unicast mac
  address (bsc#1104353 FATE#326415).
- net: hns3: add existence checking before adding unicast mac
  address (bsc#1104353 FATE#326415).
- net: hns3: fix return value error of
  hclge_get_mac_vlan_cmd_status() (bsc#1104353 FATE#326415).
- net: hns3: fix error type definition of return value
  (bsc#1104353 FATE#326415).
- net: hns3: fix for buffer overflow smatch warning (bsc#1104353
  FATE#326415).
- net: hns3: fix for loopback failure when vlan filter is enable
  (bsc#1104353 FATE#326415).
- net: hns3: add support for querying pfc puase packets statistic
  (bsc#1104353 FATE#326415).
- net: hns3: fix rx path skb->truesize reporting bug (bsc#1104353
  FATE#326415).
- net: hns3: unify the pause params setup function (bsc#1104353
  FATE#326415).
- net: hns3: fix for ipv6 address loss problem after setting
  channels (bsc#1104353 FATE#326415).
- net: hns3: fix for netdev not running problem after calling
  net_stop and net_open (bsc#1104353 FATE#326415).
- net: hns3: add existence check when remove old uc mac address
  (bsc#1104353 FATE#326415).
- net: hns3: fix for coal configuation lost when setting the
  channel (bsc#1104353 FATE#326415).
- net: hns3: refactor the coalesce related struct (bsc#1104353
  FATE#326415).
- net: hns3: fix for coalesce configuration lost during reset
  (bsc#1104353 FATE#326415).
- net: hns3: refactor the get/put_vector function (bsc#1104353
  FATE#326415).
- net: hns3: fix for use-after-free when setting ring parameter
  (bsc#1104353 FATE#326415).
- net: hns3: fix for pause configuration lost during reset
  (bsc#1104353 FATE#326415).
- net: hns3: fix for RSS configuration loss problem during reset
  (bsc#1104353 FATE#326415).
- net: hns3: refactor the hclge_get/set_rss_tuple function
  (bsc#1104353 FATE#326415).
- net: hns3: refactor the hclge_get/set_rss function (bsc#1104353
  FATE#326415).
- net: hns3: add support for VF driver inner interface
  hclgevf_ops.get_tqps_and_rss_info (bsc#1104353 FATE#326415).
- net: hns3: set the max ring num when alloc netdev (bsc#1104353
  FATE#326415).
- net: hns3: fix the queue id for tqp enable&&reset (bsc#1104353
  FATE#326415).
- net: hns3: fix endian issue when PF get mbx message flag
  (bsc#1104353 FATE#326415).
- net: hns3: set the cmdq out_vld bit to 0 after used (bsc#1104353
  FATE#326415).
- net: hns3: VF should get the real rss_size instead of
  rss_size_max (bsc#1104353 FATE#326415).
- net: hns3: add int_gl_idx setup for VF (bsc#1104353
  FATE#326415).
- net: hns3: add get/set_coalesce support to VF (bsc#1104353
  FATE#326415).
- net: hns3: converting spaces into tabs to avoid checkpatch.pl
  warning (bsc#1104353 FATE#326415).
- net: hns3: add net status led support for fiber port
  (bsc#1104353 FATE#326415).
- net: hns3: add ethtool -p support for fiber port (bsc#1104353
  FATE#326415).
- net: hns3: add manager table initialization for hardware
  (bsc#1104353 FATE#326415).
- net: hns3: add support for get_regs (bsc#1104353 FATE#326415).
- net: hns3: check for NULL function pointer in
  hns3_nic_set_features (bsc#1104353 FATE#326415).
- net: hns3: add feature check when feature changed (bsc#1104353
  FATE#326415).
- net: hns3: add int_gl_idx setup for TX and RX queues
  (bsc#1104353 FATE#326415).
- net: hns3: change the unit of GL value macro (bsc#1104353
  FATE#326415).
- net: hns3: remove unused GL setup function (bsc#1104353
  FATE#326415).
- net: hns3: refactor GL update function (bsc#1104353
  FATE#326415).
- net: hns3: refactor interrupt coalescing init function
  (bsc#1104353 FATE#326415).
- net: hns3: add ethtool_ops.set_coalesce support to PF
  (bsc#1104353 FATE#326415).
- net: hns3: add ethtool_ops.get_coalesce support to PF
  (bsc#1104353 FATE#326415).
- net: hns3: remove TSO config command from VF driver (bsc#1104353
  FATE#326415).
- net: hns3: add ethtool_ops.get_channels support for VF
  (bsc#1104353 FATE#326415).
- net: hns3: report the function type the same line with
  hns3_nic_get_stats64 (bsc#1104353 FATE#326415).
- net: hns3: Add more packet size statisctics (bsc#1104353
  FATE#326415).
- net: hns3: remove redundant semicolon (bsc#1104353 FATE#326415).
- net: hns3: fix for not setting pause parameters (bsc#1104353
  FATE#326415).
- net: hns3: add MTU initialization for hardware (bsc#1104353
  FATE#326415).
- net: hns3: fix for changing MTU (bsc#1104353 FATE#326415).
- net: hns3: fix for setting MTU (bsc#1104353 FATE#326415).
- net: hns3: fix for updating fc_mode_last_time (bsc#1104353
  FATE#326415).
- net: hns3: Fix a response data read error of tqp statistics
  query (bsc#1104353 FATE#326415).
- net: hns3: Remove a useless member of struct hns3_stats
  (bsc#1104353 FATE#326415).
- net: hns3: Fix an error macro definition of HNS3_TQP_STAT
  (bsc#1104353 FATE#326415).
- net: hns3: Fix a loop index error of tqp statistics query
  (bsc#1104353 FATE#326415).
- net: hns3: Fix an error of total drop packet statistics
  (bsc#1104353 FATE#326415).
- net: hns3: Mask the packet statistics query when NIC is down
  (bsc#1104353 FATE#326415).
- net: hns3: Modify the update period of packet statistics
  (bsc#1104353 FATE#326415).
- net: hns3: Remove repeat statistic of rx_errors (bsc#1104353
  FATE#326415).
- net: hns3: Fix spelling errors (bsc#1104353 FATE#326415).
- net: hns3: Unify the strings display of packet statistics
  (bsc#1104353 FATE#326415).
- net: hns3: Disable VFs change rxvlan offload status (bsc#1104353
  FATE#326415).
- net: hns3: Add ethtool interface for vlan filter (bsc#1104353
  FATE#326415).
- net: hns3: hns3_get_channels() can be static (bsc#1104353
  FATE#326415).
- net: hns3: change TM sched mode to TC-based mode when SRIOV
  enabled (bsc#1104353 FATE#326415).
- net: hns3: Increase the default depth of bucket for TM shaper
  (bsc#1104353 FATE#326415).
- net: hns3: add support for querying advertised pause frame by
  ethtool ethx (bsc#1104353 FATE#326415).
- net: hns3: add Asym Pause support to phy default features
  (bsc#1104353 FATE#326415).
- net: hns3: add support to update flow control settings after
  autoneg (bsc#1104353 FATE#326415).
- net: hns3: add support for set_pauseparam (bsc#1104353
  FATE#326415).
- net: hns3: fix for getting auto-negotiation state in
  hclge_get_autoneg (bsc#1104353 FATE#326415).
- net: hns3: cleanup mac auto-negotiation state query (bsc#1104353
  FATE#326415).
- net: hns3: add handling vlan tag offload in bd (bsc#1104353
  FATE#326415).
- net: hns3: add ethtool related offload command (bsc#1104353
  FATE#326415).
- net: hns3: add vlan offload config command (bsc#1104353
  FATE#326415).
- net: hns3: add a mask initialization for mac_vlan table
  (bsc#1104353 FATE#326415).
- net: hns3: get rss_size_max from configuration but not hardcode
  (bsc#1104353 FATE#326415).
- net: hns3: free the ring_data structrue when change tqps
  (bsc#1104353 FATE#326415).
- net: hns3: change the returned tqp number by ethtool -x
  (bsc#1104353 FATE#326415).
- net: hns3: add support to modify tqps number (bsc#1104353
  FATE#326415).
- net: hns3: add support to query tqps number (bsc#1104353
  FATE#326415).
- net: hns3: Add mailbox interrupt handling to PF driver
  (bsc#1104353 FATE#326415).
- net: hns3: Change PF to add ring-vect binding & resetQ to
  mailbox (bsc#1104353 FATE#326415).
- net: hns3: Add mailbox support to PF driver (bsc#1104353
  FATE#326415).
- net: hns3: Unified HNS3 {VF|PF} Ethernet Driver for hip08 SoC
  (bsc#1104353 FATE#326415).
- net: hns3: Add HNS3 VF driver to kernel build framework
  (bsc#1104353 FATE#326415).
- net: hns3: Add HNS3 VF HCL(Hardware Compatibility Layer)
  Support (bsc#1104353 FATE#326415).
- net: hns3: Add mailbox support to VF driver (bsc#1104353
  FATE#326415).
- net: hns3: Add HNS3 VF IMP(Integrated Management Proc) cmd
  interface (bsc#1104353 FATE#326415).
- net: hns3: Refactors the requested reset & pending reset
  handling code (bsc#1104353 FATE#326415).
- net: hns3: Add reset service task for handling reset requests
  (bsc#1104353 FATE#326415).
- net: hns3: Refactor of the reset interrupt handling logic
  (bsc#1104353 FATE#326415).
- net: hns3: Updates MSI/MSI-X alloc/free APIs(depricated)
  to new APIs (bsc#1104353 FATE#326415).
- net: hns3: cleanup mac auto-negotiation state query in
  hclge_update_speed_duplex (bsc#1104353 FATE#326415).
- net: hns3: fix a bug when getting phy address from NCL_config
  file (bsc#1104353 FATE#326415).
- net: hns3: fix a bug for phy supported feature initialization
  (bsc#1104353 FATE#326415).
- net: hns3: add support for nway_reset (bsc#1104353 FATE#326415).
- net: hns3: add support for set_link_ksettings (bsc#1104353
  FATE#326415).
- net: hns3: fix a bug in hns3_driv_to_eth_caps (bsc#1104353
  FATE#326415).
- net: hns3: fix for getting advertised_caps in
  hns3_get_link_ksettings (bsc#1104353 FATE#326415).
- net: hns3: fix for getting autoneg in hns3_get_link_ksettings
  (bsc#1104353 FATE#326415).
- net: hns3: hns3:fix a bug about statistic counter in reset
  process (bsc#1104353 FATE#326415).
- net: hns3: Fix a misuse to devm_free_irq (bsc#1104353
  FATE#326415).
- net: hns3: Add reset interface implementation in client
  (bsc#1104353 FATE#326415).
- net: hns3: Add timeout process in hns3_enet (bsc#1104353
  FATE#326415).
- net: hns3: Add reset process in hclge_main (bsc#1104353
  FATE#326415).
- net: hns3: Add support for misc interrupt (bsc#1104353
  FATE#326415).
- net: hns3: Refactor the initialization of command queue
  (bsc#1104353 FATE#326415).
- net: hns3: Refactor mac_init function (bsc#1104353 FATE#326415).
- net: hns3: Refactor the mapping of tqp to vport (bsc#1104353
  FATE#326415).
- net: hns3: remove a couple of redundant assignments (bsc#1104353
  FATE#326415).
- net: hns3: fix the bug when reuse command description in
  hclge_add_mac_vlan_tbl (bsc#1104353 FATE#326415).
- net: hns3: fix a bug in hclge_uninit_client_instance
  (bsc#1104353 FATE#326415).
- net: hns3: add nic_client check when initialize roce base
  information (bsc#1104353 FATE#326415).
- net: hns3: fix the bug of hns3_set_txbd_baseinfo (bsc#1104353
  FATE#326415).
- net: hns3: fix a bug about hns3_clean_tx_ring (bsc#1104353
  FATE#326415).
- net: hns3: remove redundant memset when alloc buffer
  (bsc#1104353 FATE#326415).
- net: hns3: fix the TX/RX ring.queue_index in hns3_ring_get_cfg
  (bsc#1104353 FATE#326415).
- net: hns3: get vf count by pci_sriov_get_totalvfs (bsc#1104353
  FATE#326415).
- net: hns3: fix the ops check in hns3_get_rxnfc (bsc#1104353
  FATE#326415).
- net: hns3: fix the bug when map buffer fail (bsc#1104353
  FATE#326415).
- net: hns3: fix a bug when alloc new buffer (bsc#1104353
  FATE#326415).
- net: hns3: Add mac loopback selftest support in hns3 driver
  (bsc#1104353 FATE#326415).
- net: hns3: Refactor the skb receiving and transmitting function
  (bsc#1104353 FATE#326415).
- net: hns3: make local functions static (bsc#1104353
  FATE#326415).
- net: hns3: fix the ring count for ETHTOOL_GRXRINGS (bsc#1104353
  FATE#326415).
- net: hns3: add support for ETHTOOL_GRXFH (bsc#1104353
  FATE#326415).
- net: hns3: add support for set_rxnfc (bsc#1104353 FATE#326415).
- net: hns3: add support for set_ringparam (bsc#1104353
  FATE#326415).
- net: hns3: fixes the ring index in hns3_fini_ring (bsc#1104353
  FATE#326415).
- net: hns3: Cleanup for non-static function in hns3 driver
  (bsc#1104353 FATE#326415).
- net: hns3: Cleanup for endian issue in hns3 driver (bsc#1104353
  FATE#326415).
- net: hns3: Cleanup for struct that used to send cmd to firmware
  (bsc#1104353 FATE#326415).
- net: hns3: Consistently using GENMASK in hns3 driver
  (bsc#1104353 FATE#326415).
- net: hns3: Cleanup indentation for Kconfig in the the hisilicon
  folder (bsc#1104353 FATE#326415).
- net: hns3: Add hns3_get_handle macro in hns3 driver (bsc#1104353
  FATE#326415).
- net: hns3: Cleanup for shifting true in hns3 driver (bsc#1104353
  FATE#326415).
- net: hns3: fix null pointer dereference before null check
  (bsc#1104353 FATE#326415).
- net: hns3: Add DCB support when interacting with network stack
  (bsc#1104353 FATE#326415).
- net: hns3: Setting for fc_mode and dcb enable flag in TM module
  (bsc#1104353 FATE#326415).
- net: hns3: Add dcb netlink interface for the support of DCB
  feature (bsc#1104353 FATE#326415).
- net: hns3: Add hclge_dcb module for the support of DCB feature
  (bsc#1104353 FATE#326415).
- net: hns3: Add some interface for the support of DCB feature
  (bsc#1104353 FATE#326415).
- net: hns3: Add tc-based TM support for sriov enabled port
  (bsc#1104353 FATE#326415).
- net: hns3: Add support for port shaper setting in TM module
  (bsc#1104353 FATE#326415).
- net: hns3: Add support for PFC setting in TM module (bsc#1104353
  FATE#326415).
- net: hns3: Add support for dynamically buffer reallocation
  (bsc#1104353 FATE#326415).
- net: hns3: Support for dynamically assigning tx buffer to TC
  (bsc#1104353 FATE#326415).
- net: hns3: Fix an error handling path in 'hclge_rss_init_hw()'
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for pri to tc mapping in TM (bsc#1104353
  FATE#326415).
- net: hns3: Fix for setting rss_size incorrectly (bsc#1104353
  FATE#326415).
- net: hns3: Fix typo error for feild in hclge_tm (bsc#1104353
  FATE#326415).
- net: hns3: Fix for rx priv buf allocation when DCB is not
  supported (bsc#1104353 FATE#326415).
- net: hns3: Fix for rx_priv_buf_alloc not setting rx shared
  buffer (bsc#1104353 FATE#326415).
- net: hns3: Fix for not setting rx private buffer size to zero
  (bsc#1104353 FATE#326415).
- net: hns3: Fix for DEFAULT_DV when dev doesn't support DCB
  (bsc#1104353 FATE#326415).
- net: hns3: Fix initialization when cmd is not supported
  (bsc#1104353 FATE#326415).
- net: hns3: Cleanup for ROCE capability flag in ae_dev
  (bsc#1104353 FATE#326415).
- net: hns3: Fixes the premature exit of loop when matching
  clients (bsc#1104353 FATE#326415).
- net: hns3: Fixes the default VLAN-id of PF (bsc#1104353
  FATE#326415).
- net: hns3: Fixes the ether address copy with appropriate API
  (bsc#1104353 FATE#326415).
- net: hns3: Fixes the initialization of MAC address in hardware
  (bsc#1104353 FATE#326415).
- net: hns3: Fixes ring-to-vector map-and-unmap command
  (bsc#1104353 FATE#326415).
- net: hns3: Fixes the command used to unmap ring from vector
  (bsc#1104353 FATE#326415).
- net: hns3: Fixes initialization of phy address from firmware
  (bsc#1104353 FATE#326415).
- net: hns3: Fixes the wrong IS_ERR check on the returned phydev
  value (bsc#1104353 FATE#326415).
- net: hns3: Add support to change MTU in HNS3 hardware
  (bsc#1104353 FATE#326415).
- net: hns3: fix a handful of spelling mistakes (bsc#1104353
  FATE#326415).
- net: hns3: Fixes the static check warning due to missing unsupp
  L3 proto check (bsc#1104353 FATE#326415).
- net: hns3: Fixes the static checker error warning in
  hns3_get_link_ksettings() (bsc#1104353 FATE#326415).
- net: hns3: Fixes the missing u64_stats_fetch_begin_irq in
  64-bit stats fetch (bsc#1104353 FATE#326415).
- net: hns3: ensure media_type is unitialized (bsc#1104353
  FATE#326415).
- hns3pf: Fix some harmless copy and paste bugs (bsc#1104353
  FATE#326415).
- hns3pf: fix hns3_del_tunnel_port() (bsc#1104353 FATE#326415).
- net: hns3: fix spelling mistake: "capabilty" -> "capability"
  (bsc#1104353 FATE#326415).
- hns3: fix unused function warning (bsc#1104353 FATE#326415).
- commit 0a43e3f
* Thu Aug  9 2018 msuchanek@suse.de
- Re-sort powerpc Spectre patches.
- Refresh patches.arch/powerpc-64s-Add-support-for-a-store-forwarding-barri.patch.
- Refresh patches.arch/powerpc-64s-Add-support-for-ori-barrier_nospec-patch.patch.
- commit 01a5251
* Thu Aug  9 2018 oneukum@suse.com
- media: rc: oops in ir_timer_keyup after device unplug
  (bsc#1090888).
- commit 3663882
* Thu Aug  9 2018 msuchanek@suse.de
- Build ppc64le for POWER8+ (FATE#325836).
- commit e6f52ff
* Thu Aug  9 2018 msuchanek@suse.de
- powerpc/64: Add GENERIC_CPU support for little endian (FATE#325836).
- Update config files.
- commit c8b744b
* Thu Aug  9 2018 oneukum@suse.com
- blacklist.conf: the patch changes the API
- commit c6dbfea
* Thu Aug  9 2018 hare@suse.de
- scsi: mpt3sas: Update driver version "26.100.00.00"
  (bsc#1086906,FATE#324923).
- scsi: mpt3sas: As per MPI-spec, use combined reply queue for
  SAS3.5 controllers when HBA supports more than 16 MSI-x vectors
  (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Fix, False timeout prints for ioctl
  and other internal commands during controller reset
  (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Don't access the structure after decrementing
  it's instance reference count (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Incorrect command status was set/marked as not
  used (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Don't abort I/Os issued to NVMe drives
  while processing Async Broadcast primitive event
  (bsc#1086906,FATE#324923).
- commit 60a6371
* Thu Aug  9 2018 hare@suse.de
- scsi: mpt3sas: Add an I/O barrier (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Update driver version "25.100.00.00"
  (bsc#1086906,FATE#324923).
- scsi: mpt3sas: fix possible memory leak
  (bsc#1086906,FATE#324923).
- scsi: mpt3sas: For NVME device, issue a protocol level reset
  (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Update MPI Headers (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Report Firmware Package Version from HBA Driver
  (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Cache enclosure pages during enclosure add
  (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Allow processing of events during driver unload
  (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Increase event log buffer to support 24 port
  HBA's (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Added support for SAS Device Discovery Error
  Event (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Enhanced handling of Sense Buffer
  (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Optimize I/O memory consumption in driver
  (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Lockless access for chain buffers
  (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Pre-allocate RDPQ Array at driver boot time
  (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Bug fix for big endian systems
  (bsc#1086906,FATE#324923).
- scsi: mpt3sas: fix spelling mistake: "disbale" -> "disable"
  (bsc#1086906,FATE#324923).
- scsi: mpt3sas: clarify mmio pointer types
  (bsc#1086906,FATE#324923).
- commit 840c968
* Thu Aug  9 2018 hare@suse.de
- scsi: mpt3sas: Introduce Base function for cloning
  (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Introduce function to clone mpi reply
  (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Introduce function to clone mpi request
  (bsc#1086906,FATE#324923).
- Refresh
  patches.fixes/scsi-mpt3sas-Do-not-use-32-bit-atomic-request-descri.patch.
- commit 9ba5e2b
* Thu Aug  9 2018 hare@suse.de
- scsi: mpt3sas: Introduce API to get BAR0 mapped buffer address
  (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Configure reply post queue depth, DMA and sgl
  tablesize (bsc#1086906,FATE#324923).
- scsi: mpt3sas: Add PCI device ID for Andromeda
  (bsc#1086906,FATE#324923).
- commit 4557764
* Thu Aug  9 2018 hare@suse.de
- scsi: mpt3sas: Do not mark fw_event workqueue as WQ_MEM_RECLAIM
  (bsc#1086906,FATE#324923).
- commit c0b5a3a
* Thu Aug  9 2018 tiwai@suse.de
- Fix arm64 breakage with this_cput_write() (bsc#1089343
  CVE-2018-3646).
- commit 059d25d
* Thu Aug  9 2018 msuchanek@suse.de
- selftests/powerpc: Fix ptrace-pkey for default execute
  permission change (bsc#1097577).
- selftests/powerpc: Fix core-pkey for default execute permission
  change (bsc#1097577).
- powerpc/pkeys: make protection key 0 less special (bsc#1097577).
- powerpc/pkeys: Preallocate execute-only key (bsc#1097577).
- powerpc/pkeys: Fix calculation of total pkeys (bsc#1097577).
- powerpc/pkeys: Save the pkey registers before fork
  (bsc#1097577).
- powerpc/pkeys: key allocation/deallocation must not change
  pkey registers (bsc#1097577).
- powerpc/pkeys: Deny read/write/execute by default (bsc#1097577).
- powerpc/pkeys: Give all threads control of their key permissions
  (bsc#1097577).
- commit f0b072f
* Thu Aug  9 2018 hare@suse.de
- scsi: mpt3sas: Replace PCI pool old API (bsc#1081917). - Refresh patches.drivers/scsi-mpt3sas-SGL-to-PRP-Translation-for-I-Os-to-NVMe.patch.
- commit 02a8fdb
* Thu Aug  9 2018 hare@suse.de
- scsi: qla2xxx: remove irq save in qla2x00_poll() (bsc#1086327,FATE#324903).
- commit f20c572
* Thu Aug  9 2018 hare@suse.de
- kabi/severities: ignore qla2xxx as all symbols are internal
- commit fdf79c4
* Thu Aug  9 2018 tbogendoerfer@suse.de
- Refresh
  patches.drivers/net-sched-get-rid-of-struct-tc_to_netdev.patch.
- commit e72cc42
* Thu Aug  9 2018 tbogendoerfer@suse.de
- Refresh
  patches.drivers/net-sched-change-return-value-of-ndo_setup_tc-for-dr.patch.
- commit 9aa4a5b
* Thu Aug  9 2018 tbogendoerfer@suse.de
- Refresh
  patches.drivers/net-sched-push-cls-related-args-into-cls_common-stru.patch.
- commit a721468
* Thu Aug  9 2018 tbogendoerfer@suse.de
- hns3pf: don't check handle during mqprio offload (bsc#1104353
  FATE#326415).
- commit b715ab5
* Thu Aug  9 2018 tbogendoerfer@suse.de
- Refresh
  patches.drivers/net-sched-make-type-an-argument-for-ndo_setup_tc.patch.
- commit e316e44
* Thu Aug  9 2018 tbogendoerfer@suse.de
- net: hns3: Add HNS3 driver to kernel build framework &
  MAINTAINERS (bsc#1104353 FATE#326415).
- net: hns3: Add Ethtool support to HNS3 driver (bsc#1104353
  FATE#326415).
- net: hns3: Add MDIO support to HNS3 Ethernet driver for hip08
  SoC (bsc#1104353 FATE#326415).
- net: hns3: Add support of TX Scheduler & Shaper to HNS3 driver
  (bsc#1104353 FATE#326415).
- net: hns3: Add HNS3 Acceleration Engine & Compatibility Layer
  Support (bsc#1104353 FATE#326415).
- net: hns3: Add HNS3 IMP(Integrated Mgmt Proc) Cmd Interface
  Support (bsc#1104353 FATE#326415).
- net: hns3: Add support of the HNAE3 framework (bsc#1104353
  FATE#326415).
- net: hns3: Add support of HNS3 Ethernet Driver for hip08 SoC
  (bsc#1104353 FATE#326415).
- commit aacbe50
* Thu Aug  9 2018 jack@suse.cz
- patches.fixes/reiserfs-fix-buffer-overflow-with-long-warning-messa.patch:
  Silence bogus compiler warning about unused result of strscpy().
- commit 7a69014
* Thu Aug  9 2018 hare@suse.de
- scsi: qla2xxx: Fix crash on qla2x00_mailbox_command
  (bsc#1086327,FATE#324903).
- commit b3b8f71
* Thu Aug  9 2018 hare@suse.de
- scsi: qla2xxx: Fix setting lower transfer speed if GPSC fails
  (bsc#1086327,FATE#324903).
- commit 85edfd0
* Thu Aug  9 2018 hare@suse.de
- scsi: qla2xxx: Update driver version to 10.00.00.07-k
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Fix TMF and Multi-Queue config
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Prevent relogin loop by removing stale code
  (bsc#1086327,FATE#324903).
- commit f6a2423
* Thu Aug  9 2018 hare@suse.de
- scsi: qla2xxx: Remove stale debug value for login_retry flag
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Use predefined get_datalen_for_atio() inline
  function (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Fix Inquiry command being dropped in Target mode
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Move GPSC and GFPNID out of session management
  (bsc#1086327,FATE#324903).
- commit 209318f
* Thu Aug  9 2018 hare@suse.de
- scsi: qla2xxx: Reduce redundant ADISC command for RSCNs
  (bsc#1086327,FATE#324903).
- commit cfaf492
* Thu Aug  9 2018 hare@suse.de
- Refresh
  patches.drivers/qla2xxx-Fix-Async-GPN_FT-for-FCP-and-FC-NVMe-scan.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-FC-NVMe-LUN-discovery.patch.
- commit a88ab76
* Thu Aug  9 2018 tbogendoerfer@suse.de
- qed: Make some functions static (bsc#1086314 FATE#324886).
- qed: remove redundant functions qed_get_cm_pq_idx_rl
  (bsc#1086314 FATE#324886).
- qed: remove redundant functions qed_set_gft_event_id_cm_hdr
  (bsc#1086314 FATE#324886).
- qede: Add driver callbacks for eeprom module query (bsc#1086314
  FATE#324886).
- qed: Add qed APIs for PHY module query (bsc#1086314
  FATE#324886).
- qed: remove redundant pointer 'name' (bsc#1086314 FATE#324886).
- qed: fix spelling mistake "successffuly" -> "successfully"
  (bsc#1086314 FATE#324886).
- RDMA/qedr: Fix NULL pointer dereference when running over
  iWARP without RDMA-CM (bsc#1086314 FATE#324886).
- RDMA/qedr: fix spelling mistake: "adrresses" -> "addresses"
  (bsc#1086314 FATE#324886).
- RDMA/qedr: fix spelling mistake: "failes" -> "fails"
  (bsc#1086314 FATE#324886).
- qed*: Utilize FW 8.37.2.0 (bsc#1086314 FATE#324886).
- qed: use dma_zalloc_coherent instead of allocator/memset
  (bsc#1086314 FATE#324886).
- qed: Add srq core support for RoCE and iWARP (bsc#1086314
  FATE#324886).
- qed*: Add link change count value to ethtool statistics display
  (bsc#1086314 FATE#324886).
- commit e41194d
* Thu Aug  9 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/scsi-lpfc-Correct-LCB-ACCept-payload.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-ELS-abort-on-SLI-3-adapters.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-driver-crash-when-re-registering-NVME-.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-list-corruption-on-the-completion-queu.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-sysfs-Speed-value-on-CNA-ports.patch.
- Refresh
  patches.drivers/scsi-lpfc-Limit-tracking-of-tgt-queue-depth-in-fast-.patch.
- Refresh
  patches.drivers/scsi-lpfc-Remove-lpfc_enable_pbde-as-module-paramete.patch.
- Refresh
  patches.drivers/scsi-lpfc-update-driver-version-to-12.0.0.6.patch.
- Refresh patches.fixes/nvme-use-hw-qid-in-trace-events.patch.
  Update seriers sorting
- commit 05b54b9
* Thu Aug  9 2018 jack@suse.cz
- ext4: fix check to prevent initializing reserved inodes
  (bsc#1104319).
- commit 3986094
* Thu Aug  9 2018 hare@suse.de
- scsi: qla2xxx: Fix Rport and session state getting out of sync
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Fix sending ADISC command for login
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Correct setting of SAM_STAT_CHECK_CONDITION
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: correctly shift host byte
  (bsc#1086327,FATE#324903).
- scsi: qla2xxx: Fix race condition between iocb timeout and
  initialisation (bsc#1086327,FATE#324903).
- commit 426fe6a
* Thu Aug  9 2018 jbohac@suse.cz
- kabi; ip: drop IPSTATS_MIB_REASM_OVERLAPS (bsc#1103097,
  CVE-2018-5391).
- commit 6b61716
* Thu Aug  9 2018 jthumshirn@suse.de
- xfs: catch inode allocation state mismatch corruption
  (bsc#1104211).
- commit 5512909
* Thu Aug  9 2018 glin@suse.com
- bpf, ppc64: fix unexpected r0=0 exit path inside bpf_xadd
  (bsc#1083647).
- commit d914487
* Thu Aug  9 2018 colyli@suse.de
- dm writecache: support optional offset for start of device
  (bsc#1101116,fate#324698).
- dm writecache: use 2-factor allocator arguments
  (bsc#1101116,fate#324698).
- commit 82142d5
* Thu Aug  9 2018 colyli@suse.de
- dm: add writecache target (bsc#1101116,fate#324697).
- Update config files to add CONFIG_DM_WRITECACHE=m
- supported.conf: add drivers/md/dm-writecache
- commit 1d27f06
* Thu Aug  9 2018 colyli@suse.de
- overflow.h: Add allocation size calculation helpers
  (bsc#1101116,fate#324698).
- commit d2ae9ee
* Thu Aug  9 2018 colyli@suse.de
- compiler.h: enable builtin overflow checkers and add fallback
  code (bsc#1101116,fate#324698).
- branch-check: fix long->int truncation when profiling branches
  (bsc#1101116,fate#324698).
- commit 66925e5
* Wed Aug  8 2018 tiwai@suse.de
- EDAC: Add missing MEM_LRDDR4 entry in edac_mem_types[]
  (bsc#1103886).
- commit 05dc898
* Wed Aug  8 2018 msuchanek@suse.de
- hotplug/pmt: Update topology after PMT (FATE#325308).
- mobility/numa: Ensure numa update does not overlap
  (FATE#325308).
- hotplug/cpu: Provide CPU readd operation (FATE#325308).
- hotplug/cpu: Add operation queuing function (FATE#325308).
- hotplug/cpu: Conditionally acquire/release DRC index
  (FATE#325308).
- commit fe4b5e8
* Wed Aug  8 2018 tiwai@suse.de
- clk: at91: fix clk-generated compilation (bsc#1051510).
- commit fe89fab
* Wed Aug  8 2018 msuchanek@suse.de
- ibmvnic: Update firmware error reporting with cause string
  (bsc#1104174).
- ibmvnic: Remove code to request error information (bsc#1104174).
- ibmvnic: Revise RX/TX queue error messages (bsc#1101331).
- commit ad29e0c
* Wed Aug  8 2018 jthumshirn@suse.de
- Delete
  patches.suse/0201-dax-dm-allow-device-mapper-to-operate-without-dax-su.patch (bsc#1103917).
- commit 34be890
* Wed Aug  8 2018 jthumshirn@suse.de
- linvdimm, pmem: Preserve read-only setting for pmem devices
  (git-fixes).
- commit 4caf4e0
* Wed Aug  8 2018 hare@suse.de
- scsi: smartpqi: bump driver version to 1.1.4-130 (bsc#1086274).
- scsi: smartpqi: fix critical ARM issue reading PQI index
  registers (bsc#1086274).
- scsi: smartpqi: add inspur advantech ids (bsc#1086274).
- scsi: smartpqi: improve error checking for sync requests
  (bsc#1086274).
- scsi: smartpqi: improve handling for sync requests
  (bsc#1086274).
- scsi: smartpqi: update driver version (bsc#1086274).
- scsi: smartpqi: workaround fw bug for oq deletion (bsc#1086274).
- scsi: smartpqi: add in new supported controllers (bsc#1086274).
- commit 16b2418
* Wed Aug  8 2018 hare@suse.de
- nvme: use hw qid in trace events (bsc#1102633).
- nvme-fabrics: Ignore nr_io_queues option for discovery
  controllers (bsc#1102633).
- commit 7585e24
* Wed Aug  8 2018 hare@suse.de
- nvme.h: fixup ANA group descriptor format (bsc#1104111).
- commit 8716981
* Wed Aug  8 2018 jthumshirn@suse.de
- libnvdimm, dimm: fix dpa reservation vs uninitialized label area
  (git-fixes).
- commit 19be07d
* Wed Aug  8 2018 hare@suse.de
- scsi: lpfc: update driver version to 12.0.0.6 (bsc#1102658).
- scsi: lpfc: Remove lpfc_enable_pbde as module parameter
  (bsc#1102658).
- scsi: lpfc: Correct LCB ACCept payload (bsc#1102658).
- scsi: lpfc: Limit tracking of tgt queue depth in fast path
  (bsc#1102658).
- scsi: lpfc: Fix driver crash when re-registering NVME rports
  (bsc#1102658).
- scsi: lpfc: Fix list corruption on the completion queue
  (bsc#1102658).
- scsi: lpfc: Fix sysfs Speed value on CNA ports (bsc#1102658).
- scsi: lpfc: Fix ELS abort on SLI-3 adapters (bsc#1102658).
- commit 7874701
* Wed Aug  8 2018 hare@suse.de
- scripts/git_sort/git_sort.py: Update SCSI branches from mkp
- commit 9ef0360
* Wed Aug  8 2018 hare@suse.de
- scsi: lpfc: Revise copyright for new company language
  (bsc#1102658).
- scsi: lpfc: update driver version to 12.0.0.5 (bsc#1102658).
- scsi: lpfc: devloss timeout race condition caused null pointer
  reference (bsc#1102658).
- scsi: lpfc: Fix NVME Target crash in defer rcv logic
  (bsc#1102658).
- scsi: lpfc: Support duration field in Link Cable Beacon V1
  command (bsc#1102658).
- scsi: lpfc: Make PBDE optimizations configurable (bsc#1102658).
- scsi: lpfc: Fix abort error path for NVMET (bsc#1102658).
- scsi: lpfc: Fix panic if driver unloaded when port is offline
  (bsc#1102658).
- scsi: lpfc: Fix driver not setting dpp bits correctly in
  doorbell word (bsc#1102658).
- scsi: lpfc: Add Buffer overflow check, when nvme_info larger
  than PAGE_SIZE (bsc#1102658).
- commit 76d7dc2
* Wed Aug  8 2018 tiwai@suse.de
- Update config files: update vanilla config accordingly, too
- commit 85e24ed
* Wed Aug  8 2018 hare@suse.de
- nvme: fixup crash on failed discovery (bsc#1103920).
- commit 62c671b
* Wed Aug  8 2018 tiwai@suse.de
- Enable / support pinctrl-lewisburg (FATE#325120)
- commit a75e7c4
* Wed Aug  8 2018 tiwai@suse.de
- pinctrl: intel: Add Intel Lewisburg GPIO support (FATE#325120).
- commit 8bbee0b
* Wed Aug  8 2018 jthumshirn@suse.de
- Refresh patches.kabi/kabi-fixup-bdev_dax_supported.patch.
  Fix build with CONFIG_FS_DAX=n
- commit 5e2991a
* Wed Aug  8 2018 jthumshirn@suse.de
- kabi/severities: don't complain on hisi_sas internal changes (FATE#326253).
- commit 1886299
* Wed Aug  8 2018 jthumshirn@suse.de
- scsi: hisi_sas: Mark PHY as in reset for nexus reset
  (FATE#326253).
- scsi: hisi_sas: Fix return value when get_free_slot() failed
  (FATE#326253).
- scsi: hisi_sas: Terminate STP reject quickly for v2 hw
  (FATE#326253).
- scsi: hisi_sas: Add v2 hw force PHY function for internal ATA
  command (FATE#326253).
- scsi: hisi_sas: Include TMF elements in struct hisi_sas_slot
  (FATE#326253).
- scsi: hisi_sas: Try wait commands before before controller reset
  (FATE#326253).
- scsi: hisi_sas: Init disks after controller reset (FATE#326253).
- scsi: hisi_sas: Create a scsi_host_template per HW module
  (FATE#326253).
- scsi: hisi_sas: Reset disks when discovered (FATE#326253).
- scsi: hisi_sas: Add LED feature for v3 hw (FATE#326253).
- scsi: hisi_sas: Change common allocation mode of device id
  (FATE#326253).
- scsi: hisi_sas: change slot index allocation mode (FATE#326253).
- scsi: hisi_sas: Introduce hisi_sas_phy_set_linkrate()
  (FATE#326253).
- scsi: hisi_sas: fix a typo in hisi_sas_task_prep()
  (FATE#326253).
- scsi: hisi_sas: add check of device in hisi_sas_task_exec()
  (FATE#326253).
- scsi: hisi_sas: Use device lock to protect slot alloc/free
  (FATE#326253).
- scsi: hisi_sas: Don't lock DQ for complete task sending
  (FATE#326253).
- scsi: hisi_sas: allocate slot buffer earlier (FATE#326253).
- scsi: hisi_sas: make return type of prep functions void
  (FATE#326253).
- scsi: hisi_sas: relocate smp sg map (FATE#326253).
- scsi: hisi_sas: workaround a v3 hw hilink bug (FATE#326253).
- scsi: hisi_sas: add readl poll timeout helper wrappers
  (FATE#326253).
- scsi: hisi_sas: remove redundant handling to event95 for v3
  (FATE#326253).
- scsi: hisi_sas: config ATA de-reset as an constrained command
  for v3 hw (FATE#326253).
- scsi: hisi_sas: update PHY linkrate after a controller reset
  (FATE#326253).
- scsi: hisi_sas: stop controller timer for reset (FATE#326253).
- scsi: hisi_sas: check sas_dev gone earlier in
  hisi_sas_abort_task() (FATE#326253).
- scsi: hisi_sas: fix PI memory size (FATE#326253).
- scsi: hisi_sas: check host frozen before calling "done" function
  (FATE#326253).
- scsi: hisi_sas: Add some checks to avoid free'ing a sas_task
  twice (FATE#326253).
- scsi: hisi_sas: optimise the usage of DQ locking (FATE#326253).
- scsi: hisi_sas: remove some unneeded structure members
  (FATE#326253).
- scsi: hisi_sas: print device id for errors (FATE#326253).
- scsi: hisi_sas: check IPTT is valid before using it for v3 hw
  (FATE#326253).
- scsi: hisi_sas: consolidate command check in
  hisi_sas_get_ata_protocol() (FATE#326253).
- scsi: hisi_sas: use dma_zalloc_coherent() (FATE#326253).
- scsi: hisi_sas: delete timer when removing hisi_sas driver
  (FATE#326253).
- scsi: hisi_sas: update RAS feature for later revision of v3 HW
  (FATE#326253).
- scsi: hisi_sas: make SAS address of SATA disks unique
  (FATE#326253).
- commit 159d1e6
* Wed Aug  8 2018 neilb@suse.com
- cachefiles: Wait rather than BUG'ing on "Unexpected object
  collision" (bsc#1099858).
- cachefiles: Fix missing clear of the CACHEFILES_OBJECT_ACTIVE
  flag (bsc#1099858).
- fscache: Fix reference overput in fscache_attach_object()
  error handling (bsc#1099858).
- cachefiles: Fix refcounting bug in backing-file read monitoring
  (bsc#1099858).
- fscache: Allow cancelled operations to be enqueued
  (bsc#1099858).
- commit c298ec1
* Tue Aug  7 2018 jthumshirn@suse.de
- scsi: hisi_sas: Remove depends on HAS_DMA in case of platform
  dependency (FATE#326253).
- scsi: hisi_sas: add v3 hw MODULE_DEVICE_TABLE() (FATE#326253).
- scsi: hisi_sas: modify some register config for hip08
  (FATE#326253).
- scsi: hisi_sas: Code cleanup and minor bug fixes (FATE#326253).
- scsi: hisi_sas: fix return value of hisi_sas_task_prep()
  (FATE#326253).
- scsi: hisi_sas: remove unused variable
  hisi_sas_devices.running_req (FATE#326253).
- scsi: hisi_sas: increase timer expire of internal abort task
  (FATE#326253).
- scsi: hisi_sas: fix the issue of setting linkrate register
  (FATE#326253).
- scsi: hisi_sas: fix the issue of link rate inconsistency
  (FATE#326253).
- scsi: hisi_sas: support the property of signal attenuation
  for v2 hw (FATE#326253).
- scsi: hisi_sas: dt-bindings: add an property of signal
  attenuation (FATE#326253).
- commit 7f7691c
* Tue Aug  7 2018 jack@suse.cz
- delayacct: fix crash in delayacct_blkio_end() after delayacct
  init failure (bsc#1104066).
- commit 133b2fe
* Tue Aug  7 2018 jeffm@suse.com
- btrfs: support 'btrfs device replace' (FATE#325563).
- commit ad43f7d
* Tue Aug  7 2018 jthumshirn@suse.de
- dm: prevent DAX mounts if not supported (bsc#1103917).
- Refresh patches.kabi/kabi-fixup-bdev_dax_supported.patch.
- commit 4a4646d
* Tue Aug  7 2018 jthumshirn@suse.de
- pmem: only set QUEUE_FLAG_DAX for fsdax mode (bsc#1103917).
- commit 9fd6076
* Tue Aug  7 2018 jthumshirn@suse.de
- kabi protect bdev_dax_supported (bsc#1103917).
- commit f675f2c
* Tue Aug  7 2018 msuchanek@suse.de
- Update patches.arch/KVM-PPC-Check-if-IOMMU-page-is-contained-in-the-pinn.patch (bsc#1077761, git-fixes, bsc#1103948, bsc#1103949).
- commit 0c63421
* Tue Aug  7 2018 jthumshirn@suse.de
- fs: allow per-device dax status checking for filesystems
  (bsc#1103917).
- Refresh
  patches.fixes/dax-check-for-queue_flag_dax-in-bdev_dax_supported.patch.
- Refresh patches.suse/xfs-unsupported-features.patch.
- commit d80ad0b
* Tue Aug  7 2018 jthumshirn@suse.de
- scsi: hisi_sas: re-add the lldd_port_deformed() (FATE#326253).
- Refresh
  patches.drivers/scsi-hisi_sas-directly-attached-disk-LED-feature-for.patch.
- commit 196be3a
* Tue Aug  7 2018 jthumshirn@suse.de
- scsi: ata: enhance the definition of SET MAX feature field value
  (FATE#326253).
- commit 44511b6
* Tue Aug  7 2018 jthumshirn@suse.de
- scsi: hisi_sas: fix a bug in hisi_sas_dev_gone() (FATE#326253).
- scsi: hisi_sas: make local symbol host_attrs static
  (FATE#326253).
- scsi: hisi_sas: Change frame type for SET MAX commands
  (FATE#326253).
- scsi: hisi_sas: add v3 hw suspend and resume (FATE#326253).
- scsi: hisi_sas: fix SAS_QUEUE_FULL problem while running IO
  (FATE#326253).
- scsi: hisi_sas: add internal abort dev in some places
  (FATE#326253).
- scsi: hisi_sas: judge result of internal abort (FATE#326253).
- scsi: hisi_sas: do link reset for some CHL_INT2 ints
  (FATE#326253).
- scsi: hisi_sas: use an general way to delay PHY work
  (FATE#326253).
- scsi: hisi_sas: add v2 hw port AXI error handling support
  (FATE#326253).
- scsi: hisi_sas: improve int_chnl_int_v2_hw() consistency with
  v3 hw (FATE#326253).
- scsi: hisi_sas: add some print to enhance debugging
  (FATE#326253).
- scsi: hisi_sas: add RAS feature for v3 hw (FATE#326253).
- scsi: hisi_sas: change ncq process for v3 hw (FATE#326253).
- scsi: hisi_sas: add an mechanism to do reset work synchronously
  (FATE#326253).
- scsi: hisi_sas: modify hisi_sas_dev_gone() for reset
  (FATE#326253).
- scsi: hisi_sas: some optimizations of host controller reset
  (FATE#326253).
- scsi: hisi_sas: optimise port id refresh function (FATE#326253).
- scsi: hisi_sas: relocate clearing ITCT and freeing device
  (FATE#326253).
- scsi: hisi_sas: fix dma_unmap_sg() parameter (FATE#326253).
- scsi: hisi_sas: initialize dq spinlock before use (FATE#326253).
- commit a512149
* Tue Aug  7 2018 tiwai@suse.de
- iwlwifi: add more card IDs for 9000 series (bsc#1051510).
- commit ca74914
* Tue Aug  7 2018 tiwai@suse.de
- mm/kmemleak.c: make cond_resched() rate-limiting more efficient
  (bsc#1051510).
- commit a56377a
* Tue Aug  7 2018 tiwai@suse.de
- misc: pci_endpoint_test: Avoid triggering a BUG() (bsc#1051510).
- commit c061d00
* Tue Aug  7 2018 tiwai@suse.de
- ibmasm: don't write out of bounds in read handler (bsc#1051510).
- commit 7843972
* Tue Aug  7 2018 tiwai@suse.de
- clk: renesas: cpg-mssr: Stop using printk format %%pCr
  (bsc#1051510).
- commit b9a1e6f
* Tue Aug  7 2018 tiwai@suse.de
- irqchip/gic-v3: Ignore disabled ITS nodes (bsc#1051510).
- commit a143ca9
* Tue Aug  7 2018 tiwai@suse.de
- irqchip/qcom: Fix check for spurious interrupts (bsc#1051510).
- irqchip/gic: Take lock when updating irq type (bsc#1051510).
- irqchip/gic-v3: Use wmb() instead of smb_wmb() in
  gic_raise_softirq() (bsc#1051510).
- irqchip/gic-v3: Change pr_debug message to pr_devel
  (bsc#1051510).
- irqchip/gic-v3: Fix the driver probe() fail due to disabled
  GICC entry (bsc#1051510).
- irqchip/qcom: Fix u32 comparison with value less than zero
  (bsc#1051510).
- irqchip: brcmstb-l2: Define an irq_pm_shutdown function
  (bsc#1051510).
- commit 557df2b
* Tue Aug  7 2018 tiwai@suse.de
- can: ems_usb: Fix memory leak on ems_usb_disconnect()
  (bsc#1051510).
- can: dev: increase bus-off message severity (bsc#1051510).
- can: m_can: change comparison to bitshift when dealing with
  a mask (bsc#1051510).
- commit d662b35
* Tue Aug  7 2018 tiwai@suse.de
- kbuild: Handle builtin dtb file names containing hyphens
  (bsc#1051510).
- kconfig: display recursive dependency resolution hint just once
  (bsc#1051510).
- kbuild: add '-fno-stack-check' to kernel build options
  (bsc#1051510).
- kbuild: pkg: use --transform option to prefix paths in tar
  (bsc#1051510).
- coccinelle: fix parallel build with CHECK=scripts/coccicheck
  (bsc#1051510).
- commit b792f1f
* Tue Aug  7 2018 tiwai@suse.de
- audit: fix potential null dereference 'context->module.name'
  (bsc#1051510).
- commit 402d9a9
* Tue Aug  7 2018 tiwai@suse.de
- ARM: davinci: board-omapl138-hawk: fix GPIO numbers for MMC/SD
  lookup (bsc#1051510).
- commit 8e85a14
* Tue Aug  7 2018 tiwai@suse.de
- kmemleak: add scheduling point to kmemleak_scan() (bsc#1051510).
- commit 465515e
* Tue Aug  7 2018 jslaby@suse.cz
- sctp: introduce sctp_dst_mtu (git-fixes).
- commit 2d90b81
* Mon Aug  6 2018 mkubecek@suse.cz
- ipv6: defrag: drop non-last frags smaller than min mtu
  (CVE-2018-5391 bsc#1103097).
- ip: discard IPv4 datagrams with overlapping segments
  (CVE-2018-5391 bsc#1103097).
- ipv4: frags: handle possible skb truesize change (CVE-2018-5391
  bsc#1103097).
- inet: frag: enforce memory limits earlier (CVE-2018-5391
  bsc#1103097).
- commit 232ab4a
* Mon Aug  6 2018 jslaby@suse.cz
- sctp: fix the issue that pathmtu may be set lower than
  MINSEGMENT (git-fixes).
- commit 53fce18
* Mon Aug  6 2018 tiwai@suse.de
- ARM: davinci: board-da850-evm: fix WP pin polarity for MMC/SD
  (bsc#1051510).
- ARM: 8764/1: kgdb: fix NUMREGBYTES so that gdb_regs[] is the
  correct size (bsc#1051510).
- ARM: amba: Fix wrong indentation in driver_override_store()
  (bsc#1051510).
- ARM: 8772/1: kprobes: Prohibit kprobes on get_user functions
  (bsc#1051510).
- ARM: 8771/1: kprobes: Prohibit kprobes on do_undefinstr
  (bsc#1051510).
- ARM: 8770/1: kprobes: Prohibit probing on optimized_callback
  (bsc#1051510).
- ARM: 8769/1: kprobes: Fix to use get_kprobe_ctlblk after
  irq-disabed (bsc#1051510).
- sysrq : fix Show Regs call trace on ARM (bsc#1051510).
- commit 9ceb779
* Mon Aug  6 2018 tiwai@suse.de
- arm: spear13xx: Fix dmas cells (bsc#1051510).
- commit cb84639
* Mon Aug  6 2018 tiwai@suse.de
- ARM: kexec: fix kdump register saving on panic() (bsc#1051510).
- ARM: 8758/1: decompressor: restore r1 and r2 just before
  jumping to the kernel (bsc#1051510).
- ARM: 8753/1: decompressor: add a missing parameter to the
  addruart macro (bsc#1051510).
- ARM: davinci: board-dm646x-evm: set VPIF capture card name
  (bsc#1051510).
- ARM: davinci: board-dm646x-evm: pass correct I2C adapter id
  for VPIF (bsc#1051510).
- ARM: davinci: dm646x: fix timer interrupt generation
  (bsc#1051510).
- ARM: keystone: fix platform_domain_notifier array overrun
  (bsc#1051510).
- ARM: OMAP2+: powerdomain: use raw_smp_processor_id() for trace
  (bsc#1051510).
- ARM: davinci: board-dm355-evm: fix broken networking
  (bsc#1051510).
- ARM: davinci: board-da850-evm: fix GPIO lookup for MMC/SD
  (bsc#1051510).
- ARM: davinci: board-da830-evm: fix GPIO lookup for MMC/SD
  (bsc#1051510).
- ARM: amba: Fix race condition with driver_override
  (bsc#1051510).
- ARM: amba: Make driver_override output consistent with other
  buses (bsc#1051510).
- ARM: socfpga_defconfig: Remove QSPI Sector 4K size force
  (bsc#1051510).
- ARM: OMAP: Fix SRAM W+X mapping (bsc#1051510).
- ARM: OMAP: Fix dmtimer init for omap1 (bsc#1051510).
- ARM: davinci: fix the GPIO lookup for omapl138-hawk
  (bsc#1051510).
- ARM: 8748/1: mm: Define vdso_start, vdso_end as array
  (bsc#1051510).
- ARM: 8746/1: vfp: Go back to clearing vfp_current_hw_state[]
  (bsc#1051510).
- ARM: orion5x: Revert commit 4904dbda41c8 (bsc#1051510).
- ARM: orion: fix orion_ge00_switch_board_info initialization
  (bsc#1051510).
- ARM: OMAP1: clock: Fix debugfs_create_*() usage (bsc#1051510).
- ARM: OMAP3: Fix prm wake interrupt for resume (bsc#1051510).
- ARM: OMAP2+: timer: fix a kmemleak caused in omap_get_timer_dt
  (bsc#1051510).
- ARM: mvebu: Fix broken PL310_ERRATA_753970 selects
  (bsc#1051510).
- ARM: kvm: fix building with gcc-8 (bsc#1051510).
- ARM: 8743/1: bL_switcher: add MODULE_LICENSE tag (bsc#1051510).
- ARM: pxa/tosa-bt: add MODULE_LICENSE tag (bsc#1051510).
- ARM: sunxi_defconfig: Enable CMA (bsc#1051510).
- commit 6f47878
* Mon Aug  6 2018 tiwai@suse.de
- ARM: davinci: fix mmc entries in dm365's dma_slave_map
  (bsc#1051510).
- ARM: davinci: Add dma_mask to dm365's eDMA device (bsc#1051510).
- ARM: davinci: Use platform_device_register_full() to create
  pdev for dm365's eDMA (bsc#1051510).
- ARM: 8731/1: Fix csum_partial_copy_from_user() stack mismatch
  (bsc#1051510).
- ARM: omap2: hide omap3_save_secure_ram on non-OMAP3 builds
  (bsc#1051510).
- ARM: OMAP3: hwmod_data: add missing module_offs for MMC3
  (bsc#1051510).
- ARM: AM33xx: PRM: Remove am33xx_pwrdm_read_prev_pwrst function
  (bsc#1051510).
- ARM: OMAP2+: Fix SRAM virt to phys translation for
  save_secure_ram_context (bsc#1051510).
- ARM: avoid faulting on qemu (bsc#1051510).
- ARM: BUG if jumping to usermode address in kernel mode
  (bsc#1051510).
- ARM: 8722/1: mm: make STRICT_KERNEL_RWX effective for LPAE
  (bsc#1051510).
- ARM: 8721/1: mm: dump: check hardware RO bit for LPAE
  (bsc#1051510).
- ARM: sunxi: fix the core number of V3s in sunxi README
  (bsc#1051510).
- ARM: DRA722: remove redundant definition of 1.0 device
  (bsc#1051510).
- arm-ccn: perf: Prevent module unload while PMU is in use
  (bsc#1051510).
- ARM: 8720/1: ensure dump_instr() checks addr_limit
  (bsc#1051510).
- ARM: 8715/1: add a private asm/unaligned.h (bsc#1051510).
- ARM: multi_v7_defconfig: Replace DRM_RCAR_HDMI by generic
  bridge options (bsc#1051510).
- ARM: multi_v7_defconfig: Replace SND_SOC_RSRC_CARD by
  SND_SIMPLE_SCU_CARD (bsc#1051510).
- ARM: shmobile: defconfig: Replace DRM_RCAR_HDMI by generic
  bridge options (bsc#1051510).
- ARM: shmobile: defconfig: Replace SND_SOC_RSRC_CARD by
  SND_SIMPLE_SCU_CARD (bsc#1051510).
- ARM: shmobile: defconfig: Replace USB_XHCI_RCAR by
  USB_XHCI_PLATFORM (bsc#1051510).
- ARM: shmobile: defconfig: Enable missing PCIE_RCAR dependency
  (bsc#1051510).
- ARM: OMAP4+: PRM: fix of_irq_get() result checks (bsc#1051510).
- ARM: OMAP3+: PRM: fix of_irq_get() result check (bsc#1051510).
- ARM: OMAP2+: omap_device: drop broken RPM status update from
  suspend_noirq (bsc#1051510).
- ARM: s3c24xx: Fix NAND ECC mode for mini2440 board
  (bsc#1051510).
- ARM: at91: don't select CONFIG_ARM_CPU_SUSPEND for old platforms
  (bsc#1051510).
- ARM: shmobile: rcar-gen2: Fix deadlock in regulator quirk
  (bsc#1051510).
- ARM: pxa: select both FB and FB_W100 for eseries (bsc#1051510).
- ARM: kexec: fix failure to boot crash kernel (bsc#1051510).
- arm: remove wrong CONFIG_PROC_SYSCTL ifdef (bsc#1051510).
- arm: fix return value of parse_cpu_capacity (bsc#1051510).
- commit 5d09b7e
* Mon Aug  6 2018 tiwai@suse.de
- agp: uninorth: make two functions static (bsc#1051510).
- commit 48b6c9c
* Mon Aug  6 2018 tiwai@suse.de
- af_key: Always verify length of provided sadb_key (bsc#1051510).
- af_key: fix buffer overread in parse_exthdrs() (bsc#1051510).
- af_key: fix buffer overread in verify_address_len()
  (bsc#1051510).
- commit 02d1d88
* Mon Aug  6 2018 oneukum@suse.com
- typec: tcpm: Fix a msecs vs jiffies bug (bsc#1100132).
- commit 3b8103d
* Mon Aug  6 2018 jthumshirn@suse.de
- scsi: libsas: defer ata device eh commands to libata
  (FATE#326253).
- commit 0921606
* Mon Aug  6 2018 jthumshirn@suse.de
- ata: do not schedule hot plug if it is a sas host (FATE#326253).
- commit 6431177
* Mon Aug  6 2018 jthumshirn@suse.de
- libata: ensure host is free'd on error exit paths (git-fixes).
- commit 97116c3
* Mon Aug  6 2018 jthumshirn@suse.de
- nvme: ensure forward progress during Admin passthru (git-fixes).
- Refresh
  patches.kabi/Revert-nvme-mark-nvme_queue_scan-static.patch.
- commit 7c97e5e
* Mon Aug  6 2018 jroedel@suse.de
- KVM: SVM: Implement pause loop exit logic in SVM (fate#325533).
- KVM: SVM: Add pause filter threshold (fate#325533).
- KVM: VMX: Bring the common code to header file (fate#325533).
- KVM: VMX: Remove ple_window_actual_max (fate#325533).
- KVM: VMX: Fix the module parameters for vmx (fate#325533).
- commit 077b1aa
* Mon Aug  6 2018 jthumshirn@suse.de
- scsi: qla2xxx: Return error when TMF returns (git-fixes).
- scsi: qla2xxx: Fix driver unload by shutting down chip
  (git-fixes).
- scsi: qla2xxx: Fix NPIV deletion by calling
  wait_for_sess_deletion (git-fixes).
- scsi: qla2xxx: Fix unintialized List head crash (git-fixes).
- scsi: qla2xxx: Fix NULL pointer dereference for fcport search
  (git-fixes).
- sr: pass down correctly sized SCSI sense buffer (git-fixes).
- scsi: qla2xxx: Avoid double completion of abort command
  (git-fixes).
- commit 56236cf
* Mon Aug  6 2018 tiwai@suse.de
- staging: speakup: fix wraparound in uaccess length check
  (bsc#1051510).
- pinctrl: nand: meson-gxl: fix missing data pins (bsc#1051510).
- sc16is7xx: Check for an error when the clock is enabled
  (bsc#1051510).
- commit fa6d117
* Mon Aug  6 2018 tiwai@suse.de
- nohz: Fix local_timer_softirq_pending() (bsc#1051510).
- commit 2e06012
* Mon Aug  6 2018 tiwai@suse.de
- crypto: padlock-aes - Fix Nano workaround data corruption
  (bsc#1051510).
- mfd: cros_ec: Fail early if we cannot identify the EC
  (bsc#1051510).
- crypto: authencesn - don't leak pointers to authenc keys
  (bsc#1051510).
- crypto: authenc - don't leak pointers to authenc keys
  (bsc#1051510).
- ACPI / LPSS: Only call pwm_add_table() for Bay Trail PWM if
  PMIC HRV is 2 (bsc#1051510).
- doc: Add vendor prefix for Kieback & Peter GmbH (bsc#1051510).
- staging: ks7010: Use constants from ieee80211_eid instead of
  literal ints (bsc#1051510).
- mfd: fsl-imx25: Clean up irq settings during removal
  (bsc#1051510).
- mfd: mxs-lradc: Fix error handling in mxs_lradc_probe()
  (bsc#1051510).
- MAINTAINERS: review Renesas DT bindings as well (bsc#1051510).
- commit 6529987
* Mon Aug  6 2018 jslaby@suse.cz
- blacklist.conf: add commit for APM
- commit 76c48bc
* Mon Aug  6 2018 jthumshirn@suse.de
- KABI protect structy ata_host (git-fixes).
- libata: add refcounting to ata_host (git-fixes).
- commit aebfd5b
* Mon Aug  6 2018 jslaby@suse.cz
- x86: Treat R_X86_64_PLT32 as R_X86_64_PC32 (binutils_2.31).
- commit 42ed19e
* Mon Aug  6 2018 jthumshirn@suse.de
- Refresh patches.drivers/nvme-add-ANA-support.patch.
- Refresh
  patches.drivers/nvme-move-init-of-keep_alive-work-item-to-controller.patch.
- Refresh
  patches.drivers/nvme-remove-nvme_req_needs_failover.patch.
- Refresh
  patches.drivers/nvme-simplify-the-API-for-getting-log-pages.patch.
- Refresh patches.drivers/nvme.h-add-ANA-definitions.patch.
- Refresh
  patches.drivers/nvme.h-add-support-for-the-log-specific-field.patch.
- Refresh patches.drivers/nvmet-add-minimal-ANA-support.patch.
- Refresh
  patches.drivers/nvmet-keep-a-port-pointer-in-nvmet_ctrl.patch.
- Refresh
  patches.drivers/nvmet-support-configuring-ANA-groups.patch.
- Refresh
  patches.drivers/nvmet-track-and-limit-the-number-of-namespaces-per-s.patch.
- Refresh
  patches.drivers/nvmet-use-Retain-Async-Event-bit-to-clear-AEN.patch.
- Refresh
  patches.fixes/nvmet-fixup-crash-on-NULL-device-path.patch.
- commit 7f68ba6
* Mon Aug  6 2018 ohering@suse.de
- hv/netvsc: fix handling of fallback to single queue mode
  (fate#323887).
- commit bd2b0b7
* Mon Aug  6 2018 ohering@suse.de
- hv_netvsc: split sub-channel setup into async and sync
  (fate#323887).
- hv_netvsc: set master device (fate#323887, bsc#1051979).
- hv_netvsc: Fix net device attach on older Windows hosts
  (fate#323887).
- hv_netvsc: Ensure correct teardown message sequence order
  (fate#323887).
- hv_netvsc: Split netvsc_revoke_buf() and netvsc_teardown_gpadl()
  (fate#323887).
- hv_netvsc: Use Windows version instead of NVSP version on GPAD
  teardown (fate#323887).
- commit af29dba
* Mon Aug  6 2018 tiwai@suse.de
- drm/atomic: Make atomic helper track newly assigned planes
  correctly, v2 (bsc#1051510).
- Refresh
  patches.drivers/drm-atomic-Check-for-busy-planes-connectors-before-s.
- commit d1408d2
* Mon Aug  6 2018 tiwai@suse.de
- drm/atomic: Make atomic iterators less surprising (bsc#1051510).
- commit 3192c02
* Sat Aug  4 2018 tiwai@suse.de
- drm/vc4: Reset ->{x, y}_scaling[1] when dealing with uniplanar
  formats (bsc#1051510).
- drm/atomic: Initialize variables in
  drm_atomic_helper_async_check() to make gcc happy (bsc#1051510).
- drm/atomic: Check old_plane_state->crtc in
  drm_atomic_helper_async_check() (bsc#1051510).
- drm: re-enable error handling (bsc#1051510).
- commit c3cb984
* Sat Aug  4 2018 tiwai@suse.de
- drm/atomic: Make async plane update checks work as intended,
  v2 (bsc#1051510).
- Refresh
  patches.drivers/drm-atomic-Check-for-busy-planes-connectors-before-s.
- commit da93c7a
* Fri Aug  3 2018 ggherdovich@suse.cz
- cpufreq: intel_pstate: Limit the scope of HWP dynamic boost
  platforms (bsc#1066110).
- commit fb964ec
* Fri Aug  3 2018 mbrugger@suse.com
- arm64: perf: correct PMUVer probing (bsc#1103727).
- arm64: Disable unhandled signal log messages by default
  (bsc#1103724).
- arm64: spinlock: Fix theoretical trylock() A-B-A with LSE
  atomics (bsc#1103729).
- arm64: Correct type for PUD macros (bsc#1103723).
- arm64: KVM: fix VTTBR_BADDR_MASK BUG_ON off-by-one
  (bsc#1103725).
- arm64: vdso: fix clock_getres for 4GiB-aligned res
  (bsc#1103730).
- arm64: mm: Fix set_memory_valid() declaration (bsc#1103726).
- arm64: ptrace: Avoid setting compat FPR to garbage if get_user
  fails (bsc#1103728).
- commit e9c9c2d
* Fri Aug  3 2018 tiwai@suse.de
- virtio_balloon: fix another race between migration and
  ballooning (bsc#1051510).
- thermal: exynos: fix setting rising_threshold for Exynos5433
  (bsc#1051510).
- wlcore: sdio: check for valid platform device data before
  suspend (bsc#1051510).
- tty: Fix data race in tty_insert_flip_string_fixed_flag
  (bsc#1051510).
- usbip: usbip_detach: Fix memory, udev context and udev leak
  (bsc#1051510).
- usb: hub: Don't wait for connect state at resume for powered-off
  ports (bsc#1051510).
- commit b882831
* Fri Aug  3 2018 tiwai@suse.de
- spi: pxa2xx: check clk_prepare_enable() return value
  (bsc#1051510).
- spi/bcm63xx-hspi: Enable the clock before calling clk_get_rate()
  (bsc#1051510).
- spi: bcm2835aux: ensure interrupts are enabled for shared
  handler (bsc#1051510).
- spi: bcm-qspi: Always read and set BSPI_MAST_N_BOOT_CTRL
  (bsc#1051510).
- spi: bcm-qspi: Avoid setting MSPI_CDRAM_PCS for spi-nor master
  (bsc#1051510).
- spi: pxa2xx: Allow 64-bit DMA (bsc#1051510).
- spi: cadence: Add usleep_range() for cdns_spi_fill_tx_fifo()
  (bsc#1051510).
- commit 3231b87
* Fri Aug  3 2018 tiwai@suse.de
- soc: imx: gpc: restrict register range for regmap access
  (bsc#1051510).
- soc: imx: gpcv2: correct PGC offset (bsc#1051510).
- soc: imx: gpcv2: Do not pass static memory as platform data
  (bsc#1051510).
- soc: rockchip: power-domain: Fix wrong value when power up pd
  with writemask (bsc#1051510).
- soc: bcm2835: Make !RASPBERRYPI_FIRMWARE dummies return failure
  (bsc#1051510).
- soc: bcm: raspberrypi-power: Fix use of __packed (bsc#1051510).
- soc: qcom: wcnss_ctrl: Fix increment in NV upload (bsc#1051510).
- soc: imx: gpc: de-register power domains only if initialized
  (bsc#1051510).
- soc: mediatek: pwrap: fix compiler errors (bsc#1051510).
- drivers: soc: sunxi: fix error processing on base address when
  claiming (bsc#1051510).
- soc/tegra: Fix bad of_node_put() in powergate init
  (bsc#1051510).
- soc: ti: ti_sci_pm_domains: Populate name for genpd
  (bsc#1051510).
- soc: imx: gpcv2: fix regulator deferred probe (bsc#1051510).
- soc: zte: Restrict SOC_ZTE to ARCH_ZX or COMPILE_TEST
  (bsc#1051510).
- soc/tegra: flowctrl: Fix error handling (bsc#1051510).
- commit 9cb4c4a
* Fri Aug  3 2018 tiwai@suse.de
- regulator: pfuze100: add .is_enable() for
  pfuze100_swb_regulator_ops (bsc#1051510).
- commit 6fcd164
* Fri Aug  3 2018 tiwai@suse.de
- pinctrl: at91-pio4: add missing of_node_put (bsc#1051510).
- commit 88447f1
* Fri Aug  3 2018 tiwai@suse.de
- PCI: pciehp: Request control of native hotplug only if supported
  (bsc#1051510).
- PCI: Prevent sysfs disable of device while driver is attached
  (bsc#1051510).
- PCI: pciehp: Assume NoCompl+ for Thunderbolt ports
  (bsc#1051510).
- commit fd4b739
* Fri Aug  3 2018 tiwai@suse.de
- mwifiex: handle race during mwifiex_usb_disconnect
  (bsc#1051510).
- mwifiex: correct histogram data with appropriate index
  (bsc#1051510).
- commit 213b188
* Fri Aug  3 2018 tiwai@suse.de
- mmc: dw_mmc: update actual clock for mmc debugfs (bsc#1051510).
- mmc: pwrseq: Use kmalloc_array instead of stack VLA
  (bsc#1051510).
- commit 9de6ae2
* Fri Aug  3 2018 tiwai@suse.de
- iwlwifi: pcie: fix race in Rx buffer allocator (bsc#1051510).
- hippi: Fix a Fix a possible sleep-in-atomic bug in rr_close
  (bsc#1051510).
- commit 4d9f523
* Fri Aug  3 2018 tiwai@suse.de
- HID: hid-plantronics: Re-resend Update to map button for PTT
  products (bsc#1051510).
- HID: i2c-hid: check if device is there before really probing
  (bsc#1051510).
- commit 5031b8e
* Fri Aug  3 2018 hare@suse.de
- genirq: Check __free_irq() return value for NULL (bsc#1103517).
- commit 9178bf4
* Fri Aug  3 2018 tiwai@suse.de
- drm/nouveau/fifo/gk104-: poll for runlist update completion
  (bsc#1051510).
- drm/radeon: fix mode_valid's return type (bsc#1051510).
- drm/amdgpu: Remove VRAM from shared bo domains (bsc#1051510).
- drm/atomic: Handling the case when setting old crtc for plane
  (bsc#1051510).
- drm: Add DP PSR2 sink enable bit (bsc#1051510).
- drm/gma500: fix psb_intel_lvds_mode_valid()'s return type
  (bsc#1051510).
- drm/atomic-helper: Drop plane->fb references only for
  drm_atomic_helper_shutdown() (bsc#1051510).
- drm/dp/mst: Fix off-by-one typo when dump payload table
  (bsc#1051510).
- commit 7cea46b
* Fri Aug  3 2018 tiwai@suse.de
- brcmfmac: Add support for bcm43364 wireless chipset
  (bsc#1051510).
- commit 0ffea14
* Fri Aug  3 2018 tiwai@suse.de
- Bluetooth: hci_qca: Fix "Sleep inside atomic section" warning
  (bsc#1051510).
- Bluetooth: btusb: Add a new Realtek 8723DE ID 2ff8:b011
  (bsc#1051510).
- Bluetooth: btusb: add ID for LiteOn 04ca:301a (bsc#1051510).
- commit 1558300
* Fri Aug  3 2018 tiwai@suse.de
- backlight: pwm_bl: Don't use GPIOF_* with gpiod_get_direction
  (bsc#1051510).
- commit b690254
* Fri Aug  3 2018 tiwai@suse.de
- ath: Add regulatory mapping for FCC3_ETSIC (bsc#1051510).
- ath: Add regulatory mapping for ETSI8_WORLD (bsc#1051510).
- ath: Add regulatory mapping for APL13_WORLD (bsc#1051510).
- ath: Add regulatory mapping for APL2_FCCA (bsc#1051510).
- ath: Add regulatory mapping for Uganda (bsc#1051510).
- ath: Add regulatory mapping for Tanzania (bsc#1051510).
- ath: Add regulatory mapping for Serbia (bsc#1051510).
- ath: Add regulatory mapping for Bermuda (bsc#1051510).
- ath: Add regulatory mapping for Bahamas (bsc#1051510).
- commit ef8a588
* Fri Aug  3 2018 tiwai@suse.de
- media: tw686x: Fix incorrect vb2_mem_ops GFP flags
  (bsc#1051510).
- media: rcar_jpu: Add missing clk_disable_unprepare() on error
  in jpu_open() (bsc#1051510).
- media: media-device: fix ioctl function types (bsc#1051510).
- media: saa7164: Fix driver name in debug output (bsc#1051510).
- media: siano: get rid of __le32/__le16 cast warnings
  (bsc#1051510).
- media: si470x: fix __be16 annotations (bsc#1051510).
- commit ed46958
* Fri Aug  3 2018 tiwai@suse.de
- Input: i8042 - add Lenovo LaVie Z to the i8042 reset list
  (bsc#1051510).
- Input: elan_i2c - add another ACPI ID for Lenovo Ideapad
  330-15AST (bsc#1051510).
- Input: elan_i2c - add ACPI ID for lenovo ideapad 330
  (bsc#1051510).
- commit 5f598bb
* Fri Aug  3 2018 tiwai@suse.de
- ALSA: emu10k1: add error handling for snd_ctl_add (bsc#1051510).
- ALSA: fm801: add error handling for snd_ctl_add (bsc#1051510).
- ASoC: dpcm: fix BE dai not hw_free and shutdown (bsc#1051510).
- ASoC: topology: Add missing clock gating parameter when parsing
  hw_configs (bsc#1051510).
- ASoC: topology: Fix bclk and fsync inversion in
  set_link_hw_format() (bsc#1051510).
- ALSA: emu10k1: Rate-limit error messages about page errors
  (bsc#1051510).
- ALSA: usb-audio: Apply rate limit to warning messages in URB
  complete callback (bsc#1051510).
- commit 3e4eb6b
* Fri Aug  3 2018 tiwai@suse.de
- Revert "drm/nouveau/drm/therm/fan: add a fallback if no fan
  control is specified in the vbios" (bsc#1103356).
- commit 23b40ec
* Fri Aug  3 2018 tiwai@suse.de
- rpm/config.sh: Use SUSE:SLE-15:Update project instead of GA
- commit 2813d45
* Fri Aug  3 2018 tonyj@suse.de
- perf/x86/intel/uncore: Add event constraint for BDX PCU
  (bsc#1087202).
- perf intel-pt: Always set no branch for dummy event
  (bsc#1087217).
- perf intel-pt: Set no_aux_samples for the tracking event
  (bsc#1087217).
- perf/x86/intel/uncore: Fix missing marker for
  skx_uncore_cha_extra_regs (bsc#1087233).
- perf/x86/intel/uncore: Fix SKX CHA event extra regs
  (bsc#1087233).
- perf/x86/intel/uncore: Remove invalid Skylake server CHA filter
  field (bsc#1087233).
- perf/x86/intel/uncore: Fix Skylake server CHA LLC_LOOKUP event
  umask (bsc#1087233).
- perf/x86/intel/uncore: Fix Skylake server PCU PMU event format
  (bsc#1087233).
- perf/x86/intel/uncore: Fix Skylake UPI PMU event masks
  (bsc#1087233).
- commit 9fb5cd3
* Thu Aug  2 2018 jthumshirn@suse.de
- kabi protect struct ccw_device_private (bsc#1103421).
- commit 7037da6
* Thu Aug  2 2018 mkubecek@suse.cz
- tcp: add tcp_ooo_try_coalesce() helper (CVE-2018-5390
  bsc#1102340).
- tcp: call tcp_drop() from tcp_data_queue_ofo() (CVE-2018-5390
  bsc#1102340).
- tcp: detect malicious patterns in tcp_collapse_ofo_queue()
  (CVE-2018-5390 bsc#1102340).
- tcp: avoid collapses in tcp_prune_queue() if possible
  (CVE-2018-5390 bsc#1102340).
- tcp: free batches of packets in tcp_prune_ofo_queue()
  (CVE-2018-5390 bsc#1102340).
- net: add rb_to_skb() and other rb tree helpers (bsc#1102340).
- commit b01b19a
* Thu Aug  2 2018 jthumshirn@suse.de
- s390/qdio: don't release memory in qdio_setup_irq()
  (bsc#1103421).
- s390/ipl: ensure loadparm valid flag is set (bsc#1103421).
- s390/cio: clear timer when terminating driver I/O (bsc#1103421).
- s390/cio: fix return code after missing interrupt (bsc#1103421).
- s390/dasd: fix handling of internal requests (bsc#1103421).
- s390/eadm: fix CONFIG_BLOCK include dependency (bsc#1103421).
- s390/dasd: fix wrongly assigned configuration data
  (bsc#1103421).
- s390/dasd: prevent prefix I/O error (bsc#1103421).
- s390/pci: do not require AIS facility (bsc#1103421).
- commit c4de01a
* Thu Aug  2 2018 duwe@suse.de
- powerpc/64s: Clear PCR on boot (bnc#1012382).
- powerpc/64s: Fix section mismatch warnings from
  setup_rfi_flush() (bsc#1068032, bsc#1075087, bsc#1091041).
- powerpc/64: Fix smp_wmb barrier definition use use lwsync
  consistently (bnc#1012382).
- powerpc/fadump: Unregister fadump on kexec down path
  (bnc#1012382).
- powerpc/ptrace: Fix setting 512B aligned breakpoints with
  PTRACE_SET_DEBUGREG (bnc#1012382).
- powerpc/mm/hash: Add missing isync prior to kernel stack SLB
  switch (bnc#1012382).
- powerpc: Add missing prototype for arch_irq_work_raise()
  (bnc#1012382).
- powerpc/mpic: Check if cpu_possible() in mpic_physmask()
  (bnc#1012382).
- powerpc/powernv: Fix NVRAM sleep in invalid context when
  crashing (bnc#1012382).
- powerpc/eeh: Fix enabling bridge MMIO windows (bnc#1012382).
- powerpc/powernv: Fix OPAL NVRAM driver OPAL_BUSY loops
  (bnc#1012382).
- powerpc/powernv: define a standard delay for OPAL_BUSY type
  retry loops (bnc#1012382).
- powerpc/powernv: Handle unknown OPAL errors in
  opal_nvram_write() (bnc#1012382).
- commit 6fb06ed
* Thu Aug  2 2018 ptesarik@suse.cz
- s390: use expoline thunks in the BPF JIT (git-fixes, bsc#1103421).
- commit 79a523e
* Thu Aug  2 2018 ptesarik@suse.cz
- s390: extend expoline to BC instructions (git-fixes, bsc#1103421).
- commit abc1ec1
* Thu Aug  2 2018 ptesarik@suse.cz
- s390: Correct register corruption in critical section cleanup
  (git-fixes 6dd85fbb87).
- commit ff9a3e3
* Thu Aug  2 2018 ptesarik@suse.cz
- s390: add assembler macros for CPU alternatives (git-fixes
  f19fbd5ed6).
- commit 426746b
* Thu Aug  2 2018 tonyj@suse.de
- fix kabi due to perf_event.h uapi field change (FATE#325127).
- perf/x86: Fix data source decoding for Skylake (FATE#325127).
- commit 03e4225
* Wed Aug  1 2018 mgorman@suse.de
- series.conf: Sort rq ordering, load balancing and group search optimisations
- Refresh
  patches.suse/sched-fair-Move-select_task_rq_fair-slow-path-into-its-own-function.patch.
- Refresh
  patches.suse/sched-fair-Restructure-wake_affine-to-return-a-CPU-id.patch.
- Refresh
  patches.suse/sched-fair-Use-a-recently-used-CPU-as-an-idle-candidate-and-the-basis-for-SIS.patch.
- Refresh
  patches.suse/sched-fair-Use-unsigned-long-for-utilization-consistently.patch.
- commit 41b48ae
* Wed Aug  1 2018 mgorman@suse.de
- sched/fair: Remove impossible condition from
  find_idlest_group_cpu() (bnc#1101669 optimise numa balancing
  for fast migrate).
- sched/fair: Consider RT/IRQ pressure in capacity_spare_wake()
  (bnc#1101669 optimise numa balancing for fast migrate).
- sched/fair: Use 'unsigned long' for utilization, consistently
  (bnc#1101669 optimise numa balancing for fast migrate).
- sched/fair: Fix usage of find_idlest_group() when the local
  group is idlest (bnc#1101669 optimise numa balancing for
  fast migrate).
- sched/fair: Fix usage of find_idlest_group() when no groups are
  allowed (bnc#1101669 optimise numa balancing for fast migrate).
- sched/fair: Fix find_idlest_group() when local group is not
  allowed (bnc#1101669 optimise numa balancing for fast migrate).
- sched/fair: Remove unnecessary comparison with -1 (bnc#1101669
  optimise numa balancing for fast migrate).
- sched/fair: Move select_task_rq_fair() slow-path into its own
  function (bnc#1101669 optimise numa balancing for fast migrate).
- sched/fair: Spare idle load balancing on nohz_full CPUs
  (bnc#1101669 optimise numa balancing for fast migrate).
- commit bbd0329
* Wed Aug  1 2018 ptesarik@suse.cz
- s390/gs: add compat regset for the guarded storage broadcast
  control block (git-fixes e525f8a6e696).
- commit ef8c31e
* Wed Aug  1 2018 tbogendoerfer@suse.de
- enic: do not overwrite error code (bsc#1037697).
- commit 60531ee
* Wed Aug  1 2018 ptesarik@suse.cz
- blacklist.conf: Avoid renaming IBM z13/z14 PMU counters
- commit df7d970
* Wed Aug  1 2018 ptesarik@suse.cz
- s390: remove indirect branch from do_softirq_own_stack
  (git-fixes f19fbd5ed6).
- commit ea90acb
* Wed Aug  1 2018 ptesarik@suse.cz
- s390/kernel: use expoline for indirect branches (git-fixes
  f19fbd5ed6).
- commit b07cbb8
* Wed Aug  1 2018 ptesarik@suse.cz
- s390/ftrace: use expoline for indirect branches (git-fixes
  f19fbd5ed6).
- commit bbd06c7
* Wed Aug  1 2018 ptesarik@suse.cz
- s390/crc32-vx: use expoline for indirect branches (git-fixes
  f19fbd5ed6).
- commit e803442
* Wed Aug  1 2018 ptesarik@suse.cz
- s390: move expoline assembler macros to a header (git-fixes
  f19fbd5ed6).
- commit e782f00
* Wed Aug  1 2018 ptesarik@suse.cz
- s390: correct module section names for expoline code revert
  (git-fixes f19fbd5ed6).
- commit d4b1943
* Wed Aug  1 2018 ptesarik@suse.cz
- s390/lib: use expoline for indirect branches (git-fixes
  f19fbd5ed6).
- commit 3122123
* Wed Aug  1 2018 ptesarik@suse.cz
- s390: optimize memset implementation (git-fixes f19fbd5ed6).
- commit 26a173c
* Wed Aug  1 2018 tbogendoerfer@suse.de
- net: cxgb3_main: fix potential Spectre v1 (bsc#1046533
  FATE#322936).
- IB/hfi1: Fix user context tail allocation for DMA_RTAIL
  (bsc#1060463 FATE#323043).
- IB/isert: Fix for lib/dma_debug check_sync warning (bsc#1046306
  FATE#322942).
- RDMA/cma: Do not query GID during QP state transition to RTR
  (bsc#1046306 FATE#322942).
- IB/core: Make ib_mad_client_id atomic (bsc#1046306 FATE#322942).
- IB/rxe: avoid double kfree_skb (bsc#1046306 FATE#322942).
- IB/rxe: add RXE_START_MASK for rxe_opcode
  IB_OPCODE_RC_SEND_ONLY_INV (bsc#1046306 FATE#322942).
- IB/rxe: Fix for oops in rxe_register_device on ppc64le arch
  (bsc#1046306 FATE#322942).
- RDMA/ucma: Don't allow setting RDMA_OPTION_IB_PATH without an
  RDMA device (bsc#1046306 FATE#322942).
- IB/core: Honor port_num while resolving GID for IB link layer
  (bsc#1046306 FATE#322942).
- RDMA/mlx5: Fix NULL dereference while accessing XRC_TGT QPs
  (bsc#1046305 FATE#322943).
- net/mlx5: Protect from command bit overflow (bsc#1046303
  FATE#322944).
- enic: enable rq before updating rq descriptors (bsc#1037697).
- IB/uverbs: Fix possible oops with duplicate ioctl attributes
  (bsc#1046306 FATE#322942).
- RDMA/uverbs: Use an unambiguous errno for method not supported
  (bsc#1046306 FATE#322942).
- commit ff4da97
* Wed Aug  1 2018 tbogendoerfer@suse.de
- qed*: Advance drivers' version to 8.33.0.20 (bsc#1086314
  FATE#324886).
- Refresh
  patches.suse/qed-bump-drivers-to-version-8.10.10.55.patch.
- commit 8db21aa
* Wed Aug  1 2018 jthumshirn@suse.de
- acpi, nfit: Fix scrub idle detection (bsc#1094119).
- Refresh patches.kabi/kabi-protect-struct-acpi_nfit_desc.patch.
- commit 82e4386
* Wed Aug  1 2018 tbogendoerfer@suse.de
- of: Make of_fwnode_handle() safer (bsc#1098633).
- commit cf24c8d
* Wed Aug  1 2018 wqu@suse.com
- btrfs: Don't remove block group still has pinned down bytes
  (bsc#1086457).
- commit 8838e79
* Tue Jul 31 2018 yousaf.kaukab@suse.com
- arm64: kpti: Use early_param for kpti= command-line option
  (bsc#1103220).
- commit 3380e30
* Tue Jul 31 2018 tbogendoerfer@suse.de
- device property: preserve usecount for node passed to
  of_fwnode_graph_get_port_parent() (bsc#1098633).
- device property: Introduce fwnode_call_bool_op() for ops that
  return bool (bsc#1098633).
- commit bc692e9
* Tue Jul 31 2018 tiwai@suse.de
- Fix kABI breakage for of/device change (bsc#1051510).
- commit eecd28c
* Tue Jul 31 2018 tiwai@suse.de
- spi: sh-msiof: Fix bit field overflow writes to TSCR/RSCR
  (bsc#1051510).
- spi: bcm-qspi: fIX some error handling paths (bsc#1051510).
- spi: pxa2xx: Don't touch CS pin until we have a transfer pending
  (bsc#1051510).
- spi: core: Fix devm_spi_register_master() function name in
  kerneldoc (bsc#1051510).
- commit 9891f7b
* Tue Jul 31 2018 tiwai@suse.de
- tools/power turbostat: Correct SNB_C1/C3_AUTO_UNDEMOTE defines
  (bsc#1051510).
- tools/thermal: tmon: fix for segfault (bsc#1051510).
- tools/libbpf: handle issues with bpf ELF objects containing
  .eh_frames (bsc#1051510).
- tools/usbip: fixes build with musl libc toolchain (bsc#1051510).
- tools lib traceevent: Fix get_field_str() for dynamic strings
  (bsc#1051510).
- tools lib traceevent: Simplify pointer print logic and fix %%pF
  (bsc#1051510).
- tools/lib/lockdep: Define the ARRAY_SIZE() macro (bsc#1051510).
- tools/lib/lockdep: Fix undefined symbol prandom_u32
  (bsc#1051510).
- commit 698d9e9
* Tue Jul 31 2018 mgorman@suse.de
- series.conf: Sort scheduler stats optimisations
- commit d6c308d
* Tue Jul 31 2018 mgorman@suse.de
- jump_label: Add branch hints to static_branch_{un,}likely()
  (bnc#1101669 optimise numa balancing for fast migrate).
- sched/core: Optimize update_stats_*() (bnc#1101669 optimise
  numa balancing for fast migrate).
- sched/core: Optimize ttwu_stat() (bnc#1101669 optimise numa
  balancing for fast migrate).
- commit d188bbf
* Tue Jul 31 2018 hare@suse.de
- nvmet: kABI fixes for ANA support (bsc#1054245).
- nvme: guard additional fields in nvme command structures
  (bsc#1054245).
- commit 0d43d1b
* Tue Jul 31 2018 tiwai@suse.de
- of/pci: Fix theoretical NULL dereference (bsc#1051510).
- of: restrict DMA configuration (bsc#1051510).
- of: fix DMA mask generation (bsc#1051510).
- commit 1a048c8
* Tue Jul 31 2018 tbogendoerfer@suse.de
- kabi protect fwnode_handle (bsc#1098633).
- commit 47e036d
* Tue Jul 31 2018 tiwai@suse.de
- qmi_wwan: fix interface number for DW5821e production firmware
  (bsc#1051510).
- commit 704cd75
* Tue Jul 31 2018 tiwai@suse.de
- mmc: sdhci-xenon: wait 5ms after set 1.8V signal enable
  (bsc#1051510).
- mmc: tmio: remove outdated comment (bsc#1051510).
- commit abfc8b4
* Tue Jul 31 2018 jthumshirn@suse.de
- libnvdimm: add an api to cast a 'struct nd_region' to its
  'struct device' (bsc#1094119).
- nfit, address-range-scrub: add module option to skip initial
  ars (bsc#1094119).
- nfit, address-range-scrub: determine one platform max_ars value
  (bsc#1094119).
- nfit, address-range-scrub: introduce nfit_spa->ars_state
  (bsc#1094119).
- nfit, address-range-scrub: rework and simplify ARS state machine
  (bsc#1094119).
- Refresh patches.kabi/kabi-protect-struct-acpi_nfit_desc.patch.
- commit f654227
* Tue Jul 31 2018 tiwai@suse.de
- mmc: sdhci-of-esdhc: fix the mmc error after sleep on ls1046ardb
  (bsc#1051510).
- mmc: sdhci-of-esdhc: fix eMMC couldn't work after kexec
  (bsc#1051510).
- mmc: sdhci-msm: fix issue with power irq (bsc#1051510).
- mmc: sdhci-of-esdhc: disable SD clock for clock value 0
  (bsc#1051510).
- mmc: sdhci-xenon: Fix clock resource by adding an optional
  bus clock (bsc#1051510).
- commit 52a4751
* Tue Jul 31 2018 mbrugger@suse.com
- arm64: blacklist.conf: add ids
- commit 6cc4ee8
* Tue Jul 31 2018 hare@suse.de
- nvme: kABI fix for ANA support in nvme_ctrl (bsc#1054245).
- nvme: partially revert "nvme: remove nvme_req_needs_failover"
  (bsc#1054245).
- nvme: reintruduce nvme_get_log_ext() (bsc#1054245).
- commit 95a4774
* Tue Jul 31 2018 tbogendoerfer@suse.de
- device property: Introduce fwnode_device_is_available()
  (bsc#1098633).
- device property: Move fwnode graph ops to firmware specific
  locations (bsc#1098633).
- device property: Move FW type specific functionality to FW
  specific files (bsc#1098633).
  Refresh
  patches.drivers/device-property-Track-owner-device-of-device-propert.patch.
- commit 38385a8
* Tue Jul 31 2018 hare@suse.de
- nvme: add ANA support (bsc#1054245).
- nvme: remove nvme_req_needs_failover (bsc#1054245).
- nvme: simplify the API for getting log pages (bsc#1054245).
- nvme.h: add ANA definitions (bsc#1054245).
- nvme.h: add support for the log specific field (bsc#1054245).
- nvmet: add minimal ANA support (bsc#1054245).
- nvmet: keep a port pointer in nvmet_ctrl (bsc#1054245).
- nvmet: support configuring ANA groups (bsc#1054245).
- nvmet: track and limit the number of namespaces per subsystem
  (1054245).
- nvmet: use Retain Async Event bit to clear AEN (bsc#1054245).
- nvmet: fixup crash on NULL device path (bsc#1054245).
- Refresh
  patches.kabi/Revert-nvmet-constify-struct-nvmet_fabrics_ops.patch.
- Refresh patches.kabi/nvme-kABI-fixes-for-nvme_ctrl.patch.
- Refresh patches.kabi/nvme-kABI-fixes-for-nvmet.patch.
- commit 34e8a34
* Tue Jul 31 2018 lhenriques@suse.com
- crash_dump: is_kdump_kernel can be boolean (bsc#1103230).
- commit e5aecef
* Tue Jul 31 2018 lhenriques@suse.com
- rbd: flush rbd_dev->watch_dwork after watch is unregistered
  (bsc#1103216).
- commit 4d76deb
* Tue Jul 31 2018 tiwai@suse.de
- usb: gadget: udc: renesas_usb3: disable the controller's irqs
  for reconnecting (bsc#1051510).
- usbip: Correct maximum value of CONFIG_USBIP_VHCI_HC_PORTS
  (bsc#1051510).
- commit fa44f7b
* Tue Jul 31 2018 tiwai@suse.de
- qmi_wwan: add support for Quectel EG91 (bsc#1051510).
- qmi_wwan: add support for the Dell Wireless 5821e module
  (bsc#1051510).
- qmi_wwan: set FLAG_SEND_ZLP to avoid network initiated
  disconnect (bsc#1051510).
- commit 0ff68bc
* Tue Jul 31 2018 tiwai@suse.de
- Add cherry-picked id for qmi_wwan fix
- commit 5ed8892
* Tue Jul 31 2018 tiwai@suse.de
- PCI: endpoint: Populate func_no before calling pci_epc_add_epf()
  (bsc#1051510).
- Refresh
  patches.drivers/PCI-endpoint-Fix-find_first_zero_bit-usage.
- commit 7ded3de
* Tue Jul 31 2018 hare@suse.de
- kABI fixes for
  nvme-if_ready-checks-fail-io-to-deleting-controll.patch
  (bsc#1077989).
- nvme: if_ready checks to fail io to deleting controller
  (bsc#1077989).
- commit d9c5619
* Tue Jul 31 2018 hare@suse.de
- nvme: don't enable AEN if not supported (bsc#1077989).
- commit 0b65d62
* Tue Jul 31 2018 tiwai@suse.de
- PCI: shpchp: Fix AMD POGO identification (bsc#1051510).
- PCI: ibmphp: Fix use-before-set in get_max_bus_speed()
  (bsc#1051510).
- PCI: endpoint: Fix kernel panic after put_device()
  (bsc#1051510).
- PCI: altera: Fix bool initialization in tlp_read_packet()
  (bsc#1051510).
- PCI: exynos: Fix a potential init_clk_resources NULL pointer
  dereference (bsc#1051510).
- PCI: faraday: Fix of_irq_get() error check (bsc#1051510).
- commit de6cd97
* Tue Jul 31 2018 hare@suse.de
- kABI fixes for qla2xxx-Fix-inconsistent-DMA-mem-alloc-free.patch
  (bsc#1077989).
- scsi: qla2xxx: Fix inconsistent DMA mem alloc/free
  (bsc#1077989).
- commit 7c04ff3
* Tue Jul 31 2018 hare@suse.de
- block: always set partition number to '0' in
  blk_partition_remap() (bsc#1077989).
- scsi: core: clean up generated file scsi_devinfo_tbl.c
  (bsc#1077989).
- scsi: aacraid: Correct hba_send to include iu_type
  (bsc#1077989).
- nvme: Fix sync controller reset return (bsc#1077989).
- blk-mq: fix sysfs inflight counter (bsc#1077989).
- blk-mq: count allocated but not started requests in iostats
  inflight (bsc#1077989).
- scsi: megaraid_sas: Do not log an error if FW successfully
  initializes (bsc#1077989).
- block: bio_check_eod() needs to consider partitions
  (bsc#1077989).
- block: fail op_is_write() requests to read-only partitions
  (bsc#1077989).
- block: pass 'run_queue' to blk_mq_request_bypass_insert
  (bsc#1077989).
- block: set request_list for request (bsc#1077989).
- commit 23b8135
* Tue Jul 31 2018 hare@suse.de
- Delete
  patches.drivers/block-always-set-partition-number-to-0-in-blk_partit.patch.
- commit 60c43ad
* Tue Jul 31 2018 hare@suse.de
- scripts/git_sort/git_sort.py: Add 'nvme-4.18' to the list of repositories
- commit 9c28cfd
* Mon Jul 30 2018 tiwai@suse.de
- usbip: usbip_host: refine probe and disconnect debug msgs to
  be useful (bsc#1051510).
- Refresh
  patches.fixes/0001-usbip-usbip_host-fix-NULL-ptr-deref-and-use-after-fr.patch.
- commit 97b064e
* Mon Jul 30 2018 tiwai@suse.de
- usbip: vhci_sysfs: fix potential Spectre v1 (bsc#1051510).
- usbip: usbip_event: fix to not print kernel pointer address
  (bsc#1051510).
- usbip: vhci_hcd: Fix usb device and sockfd leaks (bsc#1051510).
- commit b4db2d8
* Mon Jul 30 2018 tiwai@suse.de
- usb: core: handle hub C_PORT_OVER_CURRENT condition
  (bsc#1051510).
- usb: gadget: f_fs: Only return delayed status when len is 0
  (bsc#1051510).
- commit 2327a1e
* Mon Jul 30 2018 tiwai@suse.de
- usb: gadget: f_uac2: fix endianness of 'struct cntrl_*_lay3'
  (bsc#1051510).
- usb: dwc2: Fix DMA alignment to start at allocated boundary
  (bsc#1051510).
- usb: gadget: f_uac2: fix error handling in afunc_bind (again)
  (bsc#1051510).
- usb: cdc_acm: Add quirk for Castles VEGA3000 (bsc#1051510).
- usb: quirks: add delay quirks for Corsair Strafe (bsc#1051510).
- commit 20fffbc
* Mon Jul 30 2018 tiwai@suse.de
- USB: serial: mos7840: fix status-register error handling
  (bsc#1051510).
- USB: serial: cp210x: add another USB ID for Qivicon ZigBee stick
  (bsc#1051510).
- USB: serial: ch341: fix type promotion bug in ch341_control_in()
  (bsc#1051510).
- USB: serial: cp210x: add CESINEL device ids (bsc#1051510).
- USB: serial: cp210x: add Silicon Labs IDs for Windows Update
  (bsc#1051510).
- usb: cdc_acm: Add quirk for Uniden UBC125 scanner (bsc#1051510).
- usb: dwc2: fix the incorrect bitmaps for the ports of multi_tt
  hub (bsc#1051510).
- usb: dwc3: of-simple: fix use-after-free on remove
  (bsc#1051510).
- usb-storage: Add compatibility quirk flags for G-Technologies
  G-Drive (bsc#1051510).
- usb-storage: Add support for FL_ALWAYS_SYNC flag in the UAS
  driver (bsc#1051510).
- commit e67d0c5
* Mon Jul 30 2018 tiwai@suse.de
- Add cherry-pick commit for dwc3 gadget fix
- commit d52d858
* Mon Jul 30 2018 tiwai@suse.de
- usb: dwc2: debugfs: Don't touch RX FIFO during register dump
  (bsc#1051510).
- usb: do not reset if a low-speed or full-speed device timed out
  (bsc#1051510).
- usb: audio-v2: Correct the comment for struct
  uac_clock_selector_descriptor (bsc#1051510).
- usb: musb: fix remote wakeup racing with suspend (bsc#1051510).
- USB: serial: visor: handle potential invalid device
  configuration (bsc#1051510).
- USB: serial: option: adding support for ublox R410M
  (bsc#1051510).
- usb: musb: trace: fix NULL pointer dereference in musb_g_tx()
  (bsc#1051510).
- usb: musb: host: fix potential NULL pointer dereference
  (bsc#1051510).
- usb: dwc3: gadget: Fix list_del corruption in dwc3_ep_dequeue
  (bsc#1051510).
- USB: serial: ftdi_sio: use jtag quirk for Arrow USB Blaster
  (bsc#1051510).
- commit 3973b8d
* Mon Jul 30 2018 tiwai@suse.de
- USB: serial: cp210x: add ID for NI USB serial console
  (bsc#1051510).
- USB: serial: simple: add libtransistor console (bsc#1051510).
- USB: Increment wakeup count on remote wakeup (bsc#1051510).
- usb: musb: gadget: misplaced out of bounds check (bsc#1051510).
- USB: serial: option: reimplement interface masking
  (bsc#1051510).
- usb: gadget: udc: core: update usb_ep_queue() documentation
  (bsc#1051510).
- USB: gadget: f_midi: fixing a possible double-free in f_midi
  (bsc#1051510).
- usb: dwc3: Update DWC_usb31 GTXFIFOSIZ reg fields (bsc#1051510).
- usb: dwc3: Add SoftReset PHY synchonization delay (bsc#1051510).
- usb: dwc3: pci: Properly cleanup resource (bsc#1051510).
- usb: dwc3: Makefile: fix link error on randconfig (bsc#1051510).
- usb: dwc3: prevent setting PRTCAP to OTG from debugfs
  (bsc#1051510).
- usb: dwc2: host: Fix transaction errors in host mode
  (bsc#1051510).
- usb: dwc2: hcd: Fix host channel halt flow (bsc#1051510).
- usb: gadget: ffs: Let setup() return USB_GADGET_DELAYED_STATUS
  (bsc#1051510).
- usb: gadget: ffs: Execute copy_to_user() with USER_DS set
  (bsc#1051510).
- usb: gadget: composite: fix incorrect handling of OS desc
  requests (bsc#1051510).
- usb: gadget: udc: change comparison to bitshift when dealing
  with a mask (bsc#1051510).
- USB: serial: ftdi_sio: add support for Harman
  FirmwareHubEmulator (bsc#1051510).
- commit 76b6a9f
* Mon Jul 30 2018 tiwai@suse.de
- USB: serial: cp210x: add ELDAT Easywave RX09 id (bsc#1051510).
- USB: serial: ftdi_sio: add RT Systems VX-8 cable (bsc#1051510).
- usb: musb: Fix external abort in musb_remove on omap2430
  (bsc#1051510).
- usb: host: xhci-plat: revert "usb: host: xhci-plat: enable
  clk in resume timing" (bsc#1051510).
- usb: gadget: f_fs: Fix use-after-free in ffs_fs_kill_sb()
  (bsc#1051510).
- usb: musb: call pm_runtime_{get,put}_sync before reading vbus
  registers (bsc#1051510).
- usb: musb: fix enumeration after resume (bsc#1051510).
- USB: gadget: udc: Add missing platform_device_put() on error
  in bdc_pci_probe() (bsc#1051510).
- usb: dwc2: Fix dwc2_hsotg_core_init_disconnected()
  (bsc#1051510).
- usb: gadget: fsl_udc_core: fix ep valid checks (bsc#1051510).
- usb: dwc3: Fix GDBGFIFOSPACE_TYPE values (bsc#1051510).
- usb: gadget: core: Fix use-after-free of usb_request
  (bsc#1051510).
- usb: dwc3: omap: don't miss events during suspend/resume
  (bsc#1051510).
- usb: gadget: f_fs: Use config_ep_by_speed() (bsc#1051510).
- usb: gadget: f_fs: Process all descriptors during bind
  (bsc#1051510).
- usb: dwc3: Undo PHY init if soft reset fails (bsc#1051510).
- usb: gadget: f_uac2: fix bFirstInterface in composite gadget
  (bsc#1051510).
- usb: dwc3: ep0: Reset TRB counter for ep0 IN (bsc#1051510).
- usb: dwc3: gadget: Set maxpacket size for ep0 IN (bsc#1051510).
- usb: ldusb: add PIDs for new CASSY devices supported by this
  driver (bsc#1051510).
- USB: serial: option: Add support for Quectel EP06 (bsc#1051510).
- usb/gadget: Fix "high bandwidth" check in
  usb_gadget_ep_match_desc() (bsc#1051510).
- usb: gadget: dummy: fix nonsensical comparisons (bsc#1051510).
- usb: gadget: f_mass_storage: Fix the logic to iterate all
  common->luns (bsc#1051510).
- usb: gadget: bdc: 64-bit pointer capability check (bsc#1051510).
- commit 19504f6
* Mon Jul 30 2018 tiwai@suse.de
- blacklist.conf: Add renesas_usbhs path and another USB blacklist
- commit a00dfed
* Mon Jul 30 2018 tiwai@suse.de
- posix-timer: Properly check sigevent->sigev_notify
  (CVE-2017-18344,bsc#1102851).
- commit 2e3fc38
* Mon Jul 30 2018 tiwai@suse.de
- ubifs: Fix uninitialized variable in search_dh_cookie()
  (bsc#1051510).
- commit f7dcc38
* Mon Jul 30 2018 tiwai@suse.de
- media: dvb_frontend: fix ifnullfree.cocci warnings
  (bsc#1051510).
- commit b346b24
* Mon Jul 30 2018 tiwai@suse.de
- time: Make sure jiffies_to_msecs() preserves non-zero time
  periods (bsc#1051510).
- timekeeping: Use proper timekeeper for debug code (bsc#1051510).
- commit 74af5dd
* Mon Jul 30 2018 tiwai@suse.de
- UBIFS: Fix potential integer overflow in allocation
  (bsc#1051510).
- ubifs: Fix unlink code wrt. double hash lookups (bsc#1051510).
- ubifs: Fix data node size for truncating uncompressed nodes
  (bsc#1051510).
- commit c67abaa
* Mon Jul 30 2018 tiwai@suse.de
- vfio/pci: Fix potential Spectre v1 (bsc#1051510).
- commit eeecc47
* Mon Jul 30 2018 tiwai@suse.de
- virtio-net: Fix operstate for virtio when no VIRTIO_NET_F_STATUS
  (bsc#1051510).
- virtio_net: fix XDP code path in receive_small() (bsc#1051510).
- virtio_net: Disable interrupts if napi_complete_done rescheduled
  napi (bsc#1051510).
- virtio-net: fix module unloading (bsc#1051510).
- commit 0602b38
* Mon Jul 30 2018 tiwai@suse.de
- wlcore: add missing nvs file name info for wilink8
  (bsc#1051510).
- commit 9d3f03b
* Mon Jul 30 2018 tiwai@suse.de
- nfit: fix unchecked dereference in acpi_nfit_ctl (bsc#1051510).
- commit 3635c9e
* Mon Jul 30 2018 tiwai@suse.de
- dvb_frontend: don't use-after-free the frontend struct
  (bsc#1051510).
- media: dvb-core: always call invoke_release() in fe_free()
  (bsc#1051510).
- commit d414e4c
* Mon Jul 30 2018 tiwai@suse.de
- Move patches.drivers/ALSA-hda-realtek-Yet-another-Clevo-P950-quirk-entry into sorted section
- commit 3f37656
* Mon Jul 30 2018 tiwai@suse.de
- can: xilinx_can: fix power management handling (bsc#1051510).
- can: m_can.c: fix setup of CCCR register: clear CCCR NISO bit
  before checking can.ctrlmode (bsc#1051510).
- can: peak_canfd: fix firmware < v3.3.0: limit allocation to
  32-bit DMA addr only (bsc#1051510).
- commit 6d335ae
* Mon Jul 30 2018 tiwai@suse.de
- batman-adv: Avoid storing non-TT-sync flags on singular entries
  too (bsc#1051510).
- commit a98a77c
* Mon Jul 30 2018 tbogendoerfer@suse.de
- IB/mlx4: Fix an error handling path in 'mlx4_ib_rereg_user_mr()'
  (bsc#1046302 FATE#322945).
- commit 602a3f6
* Mon Jul 30 2018 tbogendoerfer@suse.de
- blacklist.conf
- commit 2ec9098
* Mon Jul 30 2018 tbogendoerfer@suse.de
- net/mlx4_core: Save the qpn from the input modifier in RST2INIT
  wrapper (bsc#1046300 FATE#322946).
- qed: Correct Multicast API to reflect existence of 256
  approximate buckets (bsc#1050536 FATE#322898).
- qed: Fix possible race for the link state value (bsc#1050536
  FATE#322898).
- net/mlx5e: Don't allow aRFS for encapsulated packets
  (bsc#1046303 FATE#322944).
- net/mlx5e: Fix quota counting in aRFS expire flow (bsc#1046303
  FATE#322944).
- net/mlx5: Adjust clock overflow work period (bsc#1046303
  FATE#322944).
- net/mlx4_en: Don't reuse RX page when XDP is set (bsc#1046299
  FATE#322947).
- qlogic: check kstrtoul() for errors (bsc#1050540 FATE#322896).
- bnxt_en: Fix for system hang if request_irq fails (bsc#1050242
  FATE#322914).
- bnxt_en: Do not modify max IRQ count after RDMA driver
  requests/frees IRQs (bsc#1050242 FATE#322914).
- bnxt_en: Always set output parameters in bnxt_get_max_rings()
  (bsc#1050242 FATE#322914).
- bnxt_en: Fix inconsistent BNXT_FLAG_AGG_RINGS logic (bsc#1050242
  FATE#322914).
- net/sched: act_tunnel_key: fix NULL dereference when 'goto
  chain' is used (bsc#1056787).
- IB/hfi1: Fix incorrect mixing of ERR_PTR and NULL return values
  (bsc#1060463 FATE#323043).
- RDMA/uverbs: Protect from attempts to create flows on
  unsupported QP (bsc#1046306 FATE#322942).
- iw_cxgb4: correctly enforce the max reg_mr depth (bsc#1046543
  FATE#322927).
- qede: Adverstise software timestamp caps when PHC is not
  available (bsc#1050538 FATE#322897).
- qed: Fix use of incorrect size in memcpy call (bsc#1050536
  FATE#322898).
- qed: Fix setting of incorrect eswitch mode (bsc#1050536
  FATE#322898).
- qed: Limit msix vectors in kdump kernel to the minimum required
  count (bsc#1050536 FATE#322898).
- net/mlx5: Fix command interface race in polling mode
  (bsc#1046300 FATE#322946).
- net/mlx5: Fix incorrect raw command length parsing (bsc#1046300
  FATE#322946).
- net/mlx5: Fix wrong size allocation for QoS ETC TC regitster
  (bsc#1046300 FATE#322946).
- net/mlx5e: Don't attempt to dereference the ppriv struct if
  not being eswitch manager (bsc#1046300 FATE#322946).
- qed: Do not advertise DCBX_LLD_MANAGED capability (bsc#1050536
  FATE#322898).
- qed: Add sanity check for SIMD fastpath handler (bsc#1050536
  FATE#322898).
- qed: Fix possible memory leak in Rx error path handling
  (bsc#1050536 FATE#322898).
- infiniband: fix a possible use-after-free bug (bsc#1046306
  FATE#322942).
- IB/isert: fix T10-pi check mask setting (bsc#1046306
  FATE#322942).
- RDMA/mlx4: Discard unknown SQP work requests (bsc#1046302
  FATE#322945).
- IB/iser: Do not reduce max_sectors (bsc#1046306 FATE#322942).
- IB/mlx4: Mark user MR as writable if actual virtual memory is
  writable (bsc#1046302 FATE#322945).
- IB/core: Make testing MR flags for writability a static inline
  function (bsc#1046306 FATE#322942).
- IB/mlx5: Fetch soft WQE's on fatal error state (bsc#1046305
  FATE#322943).
- RDMA/ipoib: Update paths on CLIENT_REREG/SM_CHANGE events
  (bsc#1046307 FATE#322941).
- IB/hfi1: Fix fault injection init/exit issues (bsc#1060463
  FATE#323043).
- IB/hfi1: Return actual error value from program_rcvarray()
  (bsc#1060463 FATE#323043).
- sfc: stop the TX queue before pushing new buffers (bsc#1058169
  FATE#322922).
- net/mlx5: Eswitch, Use 'kvfree()' for memory allocated by
  'kvzalloc()' (bsc#1046303 FATE#322944).
- net/mlx5: Vport, Use 'kvfree()' for memory allocated by
  'kvzalloc()' (bsc#1046303 FATE#322944).
- net/mlx5e: Remove redundant vport context vlan update
  (bsc#1046303 FATE#322944).
- net/mlx5: Fix dump_command mailbox length printed (bsc#1046303
  FATE#322944).
- net/mlx5: Refactor num of blocks in mailbox calculation
  (bsc#1046303 FATE#322944).
- igb: Fix queue selection on MAC filters on i210 (bsc#1056651
  FATE#322191).
- igb: Fix not adding filter elements to the list (bsc#1056651
  FATE#322191).
- IB/core: Fix error code for invalid GID entry (bsc#1046306
  FATE#322942).
- IB/umem: Use the correct mm during ib_umem_release (bsc#1046306
  FATE#322942).
- RDMA/i40iw: Avoid reference leaks when processing the AEQ
  (bsc#1058659 FATE#322535).
- RDMA/i40iw: Avoid panic when objects are being created and
  destroyed (bsc#1058659 FATE#322535).
- i40iw: Use correct address in dst_neigh_lookup for IPv6
  (bsc#1058659 FATE#322535).
- i40iw: Fix memory leak in error path of create QP (bsc#1058659
  FATE#322535).
- net: sched: red: avoid hashing NULL child (bsc#1056787).
- net/mlx4_core: Fix error handling in mlx4_init_port_info
  (bsc#1046300 FATE#322946).
- RDMA/iwpm: fix memory leak on map_info (bsc#1046306
  FATE#322942).
- RDMA/cma: Fix use after destroy access to net namespace for
  IPoIB (bsc#1046306 FATE#322942).
- net/mlx5: Properly deal with flow counters when deleting rules
  (bsc#1046303 FATE#322944).
- i40iw: Tear-down connection after CQP Modify QP failure
  (bsc#1058659 FATE#322535).
- i40iw: Refactor of driver generated AEs (bsc#1058659
  FATE#322535).
- net/sched: fix NULL dereference in the error path of
  tcf_sample_init() (bsc#1056787).
- commit 2fd2c4f
* Mon Jul 30 2018 tbogendoerfer@suse.de
- qed: Fix link flap issue due to mismatching EEE capabilities
  (bsc#1050536 FATE#322898).
- net/mlx5e: Refine ets validation function (bsc#1075360).
- IB/mlx5: Use 'kvfree()' for memory allocated by 'kvzalloc()'
  (bsc#1046305 FATE#322943).
- RDMA/mlx5: Use proper spec flow label type (bsc#1046305
  FATE#322943).
- RDMA/mlx5: Don't assume that medium blueFlame register exists
  (bsc#1046305 FATE#322943).
- RDMA/mlx5: Protect from shift operand overflow (bsc#1046305
  FATE#322943).
- RDMA/mlx5: Fix multiple NULL-ptr deref errors in rereg_mr flow
  (bsc#1046305 FATE#322943).
- commit 3c5e0f0
* Mon Jul 30 2018 jthumshirn@suse.de
- nvmet-fc: fix target sgl list on large transfers (FATE#323952,
  FATE#322506).
- nvme: fix handling of metadata_len for NVME_IOCTL_IO_CMD
  (FATE#323952, FATE#322506).
- scsi: qla2xxx: Fix kernel crash due to late workqueue allocation
  (bsc#1077338).
- s390/qeth: fix race when setting MAC address (bnc#1093148,
  LTC#167307).
- s390: move spectre sysfs attribute code (bsc#1090098).
- commit de2cde0
* Mon Jul 30 2018 tzimmermann@suse.de
- blacklist.conf: Add 'drm/nouveau: Set DRIVER_ATOMIC cap earlier to fix debugfs'
- commit 4f3c523
* Mon Jul 30 2018 tzimmermann@suse.de
- drm/nouveau/drm/nouveau: Fix runtime PM leak in nv50_disp_atomic_commit() (bsc#1090888).
- commit ab6beb7
* Mon Jul 30 2018 tzimmermann@suse.de
- drm/tegra: Acquire a reference to the IOVA cache (bsc#1090888).
- commit 50421a8
* Fri Jul 27 2018 tbogendoerfer@suse.de
- net: mvmdio: simplify the smi read and write error paths
  (bsc#1098633).
- net: mvmdio: add xmdio xsmi support (bsc#1098633).
- net: mvmdio: check the MII_ADDR_C45 bit is not set for smi
  operations (bsc#1098633).
- net: mvmdio: put the poll intervals in the ops structure
  (bsc#1098633).
- net: mvmdio: introduce an ops structure (bsc#1098633).
- net: mvmdio: remove duplicate locking (bsc#1098633).
  Refresh
  patches.suse/net-mvmdio-disable-unprepare-clocks-in-EPROBE_DEFER-.patch.
- net: mvmdio: use GENMASK for masks (bsc#1098633).
- net: mvmdio: use tabs for defines (bsc#1098633).
- net: mvmdio: reorder headers alphabetically (bsc#1098633).
- commit 6bef56f
* Fri Jul 27 2018 tiwai@suse.de
- driver core: Partially revert "driver core: correct device's
  shutdown order" (bsc#1051510).
- commit 0015fab
* Fri Jul 27 2018 jroedel@suse.de
- iommu/vt-d: Clear Page Request Overflow fault bit (fate#326306).
- commit 5c2fc8a
* Fri Jul 27 2018 msuchanek@suse.de
- KABI: powerpc: mmu_context: provide old version of
  mm_iommu_ua_to_hpa (bsc#1077761, git-fixes).
- commit f19fb74
* Fri Jul 27 2018 tiwai@suse.de
- audit: Fix wrong task in comparison of session ID (bsc#1051510).
- audit: return on memory error to avoid null pointer dereference
  (bsc#1051510).
- audit: ensure that 'audit=1' actually enables audit for PID 1
  (bsc#1051510).
- commit 7cd7838
* Fri Jul 27 2018 tiwai@suse.de
- batman-adv: Fix debugfs path for renamed softif (bsc#1051510).
- batman-adv: Fix debugfs path for renamed hardif (bsc#1051510).
- batman-adv: Fix bat_v best gw refcnt after netlink dump
  (bsc#1051510).
- batman-adv: Fix bat_ogm_iv best gw refcnt after netlink dump
  (bsc#1051510).
- batman-adv: Fix TT sync flags for intermediate TT responses
  (bsc#1051510).
- batman-adv: Avoid race in TT TVLV allocator helper
  (bsc#1051510).
- batman-adv: fix packet loss for broadcasted DHCP packets to
  a server (bsc#1051510).
- batman-adv: fix multicast-via-unicast transmission with AP
  isolation (bsc#1051510).
- batman-adv: Fix skbuff rcsum on packet reroute (bsc#1051510).
- batman-adv: fix header size check in batadv_dbg_arp()
  (bsc#1051510).
- batman-adv: update data pointers after skb_cow() (bsc#1051510).
- batman-adv: Fix multicast packet loss with a single
  WANT_ALL_IPV4/6 flag (bsc#1051510).
- batman-adv: Fix internal interface indices types (bsc#1051510).
- batman-adv: Fix netlink dumping of BLA backbones (bsc#1051510).
- batman-adv: Fix netlink dumping of BLA claims (bsc#1051510).
- batman-adv: Ignore invalid batadv_v_gw during netlink send
  (bsc#1051510).
- batman-adv: Ignore invalid batadv_iv_gw during netlink send
  (bsc#1051510).
- batman-adv: invalidate checksum on fragment reassembly
  (bsc#1051510).
- batman-adv: fix packet checksum in receive path (bsc#1051510).
- batman-adv: Fix lock for ogm cnt access in batadv_iv_ogm_calc_tq
  (bsc#1051510).
- batman-adv: Fix check of retrieved orig_gw in
  batadv_v_gw_is_eligible (bsc#1051510).
- batman-adv: Always initialize fragment header priority
  (bsc#1051510).
- batman-adv: fix TT sync flag inconsistencies (bsc#1051510).
- batman-adv: Accept only filled wifi station info (bsc#1051510).
- batman-adv: Use default throughput value on cfg80211 error
  (bsc#1051510).
- commit 87be7cb
* Fri Jul 27 2018 tiwai@suse.de
- KEYS: DNS: fix parsing multiple options (bsc#1051510).
- commit 41e75ac
* Fri Jul 27 2018 tiwai@suse.de
- Add cherry-picked id for KEYS DNS fix
- commit bcaf0a3
* Fri Jul 27 2018 tiwai@suse.de
- smsc75xx: Add workaround for gigabit link up hardware errata
  (bsc#1051510).
- serial: sh-sci: Use spin_{try}lock_irqsave instead of open
  coding version (bsc#1051510).
- serial: sirf: Fix out-of-bounds access through DT alias
  (bsc#1051510).
- serial: pxa: Fix out-of-bounds access through serial port index
  (bsc#1051510).
- serial: imx: drop if that always evaluates to true
  (bsc#1051510).
- smsc75xx: fix smsc75xx_set_features() (bsc#1051510).
- staging: sm750fb: Fix parameter mistake in poke32 (bsc#1051510).
- smsc95xx: Configure pause time to 0xffff when tx flow control
  enabled (bsc#1051510).
- serial: earlycon: Only try fdt when specify 'earlycon' exactly
  (bsc#1051510).
- serial: sh-sci: Update warning message in sci_request_dma_chan()
  (bsc#1051510).
- commit eb9cf00
* Fri Jul 27 2018 msuchanek@suse.de
- vfio/spapr: Use IOMMU pageshift rather than pagesize
  (bsc#1077761, git-fixes).
- commit 2ffee0f
* Fri Jul 27 2018 tiwai@suse.de
- scripts/gdb/linux/tasks.py: fix get_thread_info (bsc#1051510).
- scripts/kernel-doc: Don't fail with status != 0 if error
  encountered with -none (bsc#1051510).
- scripts/dtc: fix '%%zx' warning (bsc#1051510).
- commit cc42476
* Fri Jul 27 2018 tiwai@suse.de
- rtc: pxa: fix probe function (bsc#1051510).
- rtc: ac100: Fix ac100 determine rate bug (bsc#1051510).
- commit 6ceb12c
* Fri Jul 27 2018 tiwai@suse.de
- fuse: don't keep dead fuse_conn at fuse_fill_super()
  (bsc#1051510).
- fuse: fix control dir setup and teardown (bsc#1051510).
- fuse: fix congested state leak on aborted connections
  (bsc#1051510).
- fuse: Remove the buggy retranslation of pids in fuse_dev_do_read
  (bsc#1051510).
- fuse: atomic_o_trunc should truncate pagecache (bsc#1051510).
- commit f20a33c
* Fri Jul 27 2018 tiwai@suse.de
- staging: fbtft: array underflow in fbtft_request_gpios_match()
  (bsc#1051510).
- commit 7b263e0
* Fri Jul 27 2018 tiwai@suse.de
- drbd: fix access after free (bsc#1051510).
- drm/bridge/sii8620: fix potential buffer overflow (bsc#1051510).
- dp83640: Ensure against premature access to PHY registers
  after reset (bsc#1051510).
- commit 5a3d4a5
* Fri Jul 27 2018 tiwai@suse.de
- Add cherry-picked id for i915 patch
- commit a4af68a
* Fri Jul 27 2018 tiwai@suse.de
- bus: arm-ccn: fix module unloading Error: Removing state 147
  which has instances left (bsc#1051510).
- bus: arm-cci: Fix use of smp_processor_id() in preemptible
  context (bsc#1051510).
- bus: arm-ccn: Fix use of smp_processor_id() in preemptible
  context (bsc#1051510).
- bus: arm-ccn: Check memory allocation failure (bsc#1051510).
- commit fb5baef
* Fri Jul 27 2018 tiwai@suse.de
- ahci: Disable LPM on Lenovo 50 series laptops with a too old
  BIOS (bsc#1051510).
- alx: take rtnl before calling __alx_open from resume
  (bsc#1051510).
- staging: comedi: quatech_daqp_cs: fix no-op loop
  daqp_ao_insn_write() (bsc#1051510).
- clockevents/drivers/cs5535: Improve resilience to spurious
  interrupts (bsc#1051510).
- cpufreq: docs: Drop intel-pstate.txt from index.txt
  (bsc#1051510).
- cpufreq: docs: Add missing cpuinfo_cur_freq description
  (bsc#1051510).
- commit 2fe0a57
* Thu Jul 26 2018 tiwai@suse.de
- clk: at91: PLL recalc_rate() now using cached MUL and DIV values
  (bsc#1051510).
- clk: mvebu: use correct bit for 98DX3236 NAND (bsc#1051510).
- clk: imx7d: fix mipi dphy div parent (bsc#1051510).
- clk: qcom: Base rcg parent rate off plan frequency
  (bsc#1051510).
- clk: honor CLK_MUX_ROUND_CLOSEST in generic clk mux
  (bsc#1051510).
- clk: bcm2835: De-assert/assert PLL reset signal when appropriate
  (bsc#1051510).
- clk: rockchip: Fix wrong parent for SDMMC phase clock for rk3228
  (bsc#1051510).
- clk: rockchip: Prevent calculating mmc phase if clock rate is
  zero (bsc#1051510).
- clk: fix false-positive Wmaybe-uninitialized warning
  (bsc#1051510).
- clk: hisilicon: fix potential NULL dereference in
  hisi_clk_alloc() (bsc#1051510).
- clk: hisilicon: mark wdt_mux_p[] as const (bsc#1051510).
- clk: Don't show the incorrect clock phase (bsc#1051510).
- commit 4b2acbb
* Thu Jul 26 2018 tiwai@suse.de
- clk: samsung: exynos5250: Add missing clocks for FIMC LITE
  SYSMMU devices (bsc#1051510).
- clk: samsung: s3c2410: Fix PLL rates (bsc#1051510).
- clk: samsung: exynos7: Fix PLL rates (bsc#1051510).
- clk: samsung: exynos5433: Fix PLL rates (bsc#1051510).
- clk: samsung: exynos5260: Fix PLL rates (bsc#1051510).
- clk: samsung: exynos5250: Fix PLL rates (bsc#1051510).
- clk: samsung: exynos3250: Fix PLL rates (bsc#1051510).
- clk: tegra: Fix pll_u rate configuration (bsc#1051510).
- clk: meson: remove unnecessary rounding in the pll clock
  (bsc#1051510).
- clk: fix mux clock documentation (bsc#1051510).
- clk: sunxi-ng: a31: Fix CLK_OUT_* clock ops (bsc#1051510).
- clk: meson: mpll: use 64-bit maths in params_from_rate
  (bsc#1051510).
- clk: meson: gxbb: fix wrong clock for SARADC/SANA (bsc#1051510).
- clk: si5351: Rename internal plls to avoid name collisions
  (bsc#1051510).
- clk: axi-clkgen: Correctly handle nocount bit in recalc_rate()
  (bsc#1051510).
- commit bc48bc7
* Thu Jul 26 2018 tiwai@suse.de
- clk: fix set_rate_range when current rate is out of range
  (bsc#1051510).
- clk: qcom: msm8916: fix mnd_width for codec_digcodec
  (bsc#1051510).
- clk: ti: dra7-atl-clock: fix child-node lookups (bsc#1051510).
- clk: qcom: common: fix legacy board-clock registration
  (bsc#1051510).
- clk: uniphier: fix DAPLL2 clock rate of Pro5 (bsc#1051510).
- clk: mediatek: add the option for determining PLL source clock
  (bsc#1051510).
- clk: mediatek: mark mtk_infrasys_init_early __init
  (bsc#1051510).
- clk: imx6: refine hdmi_isfr's parent to make HDMI work on
  i.MX6 SoCs w/o VPU (bsc#1051510).
- clk: sunxi: fix build warning (bsc#1051510).
- clk: hi3660: fix incorrect uart3 clock freqency (bsc#1051510).
- clk: hi6220: mark clock cs_atb_syspll as critical (bsc#1051510).
- clk: tegra: Use readl_relaxed_poll_timeout_atomic() in
  tegra210_clock_init() (bsc#1051510).
- commit 64b2885
* Thu Jul 26 2018 tiwai@suse.de
- clk: tegra: Fix cclk_lp divisor register (bsc#1051510).
- clk: sunxi-ng: nm: Check if requested rate is supported by
  fractional clock (bsc#1051510).
- clk: sunxi-ng: sun5i: Fix bit offset of audio PLL post-divider
  (bsc#1051510).
- clk: sunxi-ng: sun6i: Rename HDMI DDC clock to avoid name
  collision (bsc#1051510).
- clk: sunxi-ng: sun6i: Export video PLLs (bsc#1051510).
- clk: sunxi-ng: add CLK_SET_RATE_PARENT flag to H3 GPU clock
  (bsc#1051510).
- clk: sunxi-ng: add CLK_SET_RATE_UNGATE to all H3 PLLs
  (bsc#1051510).
- clk: samsung: Fix m2m scaler clock on Exynos542x (bsc#1051510).
- clk: si5351: fix PLL reset (bsc#1051510).
- clk: Don't write error code into divider register (bsc#1051510).
- clk: hi6220: change watchdog clock source (bsc#1051510).
- clk: sunxi: fix uninitialized access (bsc#1051510).
- clk: qcom: msm8916: Fix bimc gpu clock ops (bsc#1051510).
- clk: renesas: div6: Document fields used for parent selection
  (bsc#1051510).
- commit 05d0c03
* Thu Jul 26 2018 tiwai@suse.de
- clk: sunxi-ng: allow set parent clock (PLL_CPUX) for CPUX
  clock on H3 (bsc#1051510).
- clk: sunxi-ng: h3: gate then ungate PLL CPU clk after rate
  change (bsc#1051510).
- clk: sunxi-ng: Wait for lock when using fractional mode
  (bsc#1051510).
- clk: sunxi-ng: Make fractional helper less chatty (bsc#1051510).
- clk: sunxi-ng: multiplier: Fix fractional mode (bsc#1051510).
- clk: sunxi-ng: Fix fractional mode for N-M clocks (bsc#1051510).
- clk: meson: gxbb: fix clk_mclk_i958 divider flags (bsc#1051510).
- clk: meson: gxbb: fix meson cts_amclk divider flags
  (bsc#1051510).
- clk: qcom: clk-smd-rpm: Fix the reported rate of branches
  (bsc#1051510).
- clk: meson: meson8b: fix protection against undefined clks
  (bsc#1051510).
- clk: meson: mpll: fix mpll0 fractional part ignored
  (bsc#1051510).
- clk: x86: Do not gate clocks enabled by the firmware
  (bsc#1051510).
- clk: scpi: error when clock fails to register (bsc#1051510).
- clk: socfpga: Fix the smplsel on Arria10 and Stratix10
  (bsc#1051510).
- clk: renesas: r8a7795: Correct pwm, gpio, and i2c parent clocks
  on ES2.0 (bsc#1051510).
- clk: renesas: r8a7745: Remove PLL configs for MD19=0
  (bsc#1051510).
- clk: renesas: r8a7745: Remove nonexisting scu-src[0789] clocks
  (bsc#1051510).
- clk: renesas: rcar-gen2: Fix PLL0 on R-Car V2H and E2
  (bsc#1051510).
- clk: Fix __set_clk_rates error print-string (bsc#1051510).
- clk: scpi: fix return type of __scpi_dvfs_round_rate
  (bsc#1051510).
- clk: at91: fix clk-generated parenting (bsc#1051510).
- commit 210a5b3
* Thu Jul 26 2018 msuchanek@suse.de
- KVM: PPC: Check if IOMMU page is contained in the pinned
  physical page (bsc#1077761, git-fixes).
- commit 061ef8b
* Thu Jul 26 2018 tiwai@suse.de
- can: xilinx_can: fix incorrect clear of non-processed interrupts
  (bsc#1051510).
- can: xilinx_can: fix RX overflow interrupt not being enabled
  (bsc#1051510).
- can: xilinx_can: keep only 1-2 frames in TX FIFO to fix TX
  accounting (bsc#1051510).
- can: xilinx_can: fix recovery from error states not being
  propagated (bsc#1051510).
- can: xilinx_can: fix RX loop if RXNEMP is asserted without RXOK
  (bsc#1051510).
- can: xilinx_can: fix device dropping off bus on RX overrun
  (bsc#1051510).
- can: mpc5xxx_can: check of_iomap return before use
  (bsc#1051510).
- atl1c: reserve min skb headroom (bsc#1051510).
- backlight: as3711_bl: Fix Device Tree node leaks (bsc#1051510).
- can: bcm: check for null sk before deferencing it via the call
  to sock_net (bsc#1051510).
- b44: Initialize 64-bit stats seqcount (bsc#1051510).
- commit a560d0a
* Thu Jul 26 2018 tiwai@suse.de
- drm/nouveau: Avoid looping through fake MST connectors
  (bsc#1051510).
- drm/nouveau: Use drm_connector_list_iter_* for iterating
  connectors (bsc#1051510).
- drm/i915: Fix hotplug irq ack on i965/g4x (bsc#1051510).
- drm/i915/dp: Send DPCD ON for MST before phy_up (bsc#1051510).
- drm/i915: Only call tasklet_kill() on the first prepare_reset
  (bsc#1051510).
- drm/exynos: Fix dma-buf import (bsc#1051510).
- commit 8e5e15f
* Thu Jul 26 2018 tiwai@suse.de
- Add another cherry-picked id for i915 patches
- commit b09d939
* Thu Jul 26 2018 tiwai@suse.de
- blacklist.conf: Add amdgpu cherry-picked entry
- commit 3eb7296
* Thu Jul 26 2018 tiwai@suse.de
- blacklist.conf: Add pinctrl, regulator and thermal entries
- commit 8b683f1
* Thu Jul 26 2018 tiwai@suse.de
- iio: pressure: zpa2326: Remove always-true check which confuses
  gcc (bsc#1051510).
- IIO: BME280: Updates to Humidity readings need ctrl_reg
  write! (bsc#1051510).
- commit 7657094
* Thu Jul 26 2018 tiwai@suse.de
- media: staging: omap4iss: Include asm/cacheflush.h after
  generic includes (bsc#1051510).
- commit 8b6cf4f
* Thu Jul 26 2018 tiwai@suse.de
- pinctrl: nsp: Fix potential NULL dereference (bsc#1051510).
- pinctrl: nand: meson-gxbb: fix missing data pins (bsc#1051510).
- pinctrl: mvebu: use correct MPP sel value for dev pins
  (bsc#1051510).
- pinctrl: pinctrl-single: Fix pcs_request_gpio() when
  bits_per_mux != 0 (bsc#1051510).
- pinctrl: sh-pfc: r8a7790: Add missing TX_ER pin to avb_mii group
  (bsc#1051510).
- pinctrl: sh-pfc: r8a7796: Fix IPSR and MOD_SEL register pin
  assignment for NDFC pins group (bsc#1051510).
- pinctrl: sh-pfc: r8a7795: Fix MOD_SEL register pin assignment
  for SSI pins group (bsc#1051510).
- pinctrl: sh-pfc: r8a7796: Fix to delete A20..A25 pins function
  definitions (bsc#1051510).
- pinctrl: sh-pfc: r8a7795: Fix to delete A20..A25 pins function
  definitions (bsc#1051510).
- pinctrl: uniphier: fix members of rmii group for Pro4
  (bsc#1051510).
- pinctrl: intel: Read back TX buffer state (bsc#1051510).
- pinctrl: sh-pfc: r8a7796: Fix to delete FSCLKST pin and IPSR7
  bit[15:12] register definitions (bsc#1051510).
- pinctrl: sunxi: fix wrong irq_banks number for H5 pinctrl
  (bsc#1051510).
- pinctrl: sunxi: fix V3s pinctrl driver IRQ bank base
  (bsc#1051510).
- pinctrl: uniphier: fix pin_config_get() for input-enable
  (bsc#1051510).
- pinctrl: bcm2835: Avoid warning from __irq_do_set_handler
  (bsc#1051510).
- pinctrl: meson-gxbb: remove non-existing pin GPIOX_22
  (bsc#1051510).
- pinctrl: meson-gxl: Fix typo in AO SPDIF pins (bsc#1051510).
- pinctrl: meson-gxl: Fix typo in AO I2S pins (bsc#1051510).
- pinctrl: imx: fix debug message for SHARE_MUX_CONF_REG case
  (bsc#1051510).
- commit 6a8019e
* Thu Jul 26 2018 oneukum@suse.com
- USB: OHCI: Fix NULL dereference in HCDs using HCD_LOCAL_MEM
  (bsc#1087092).
- commit 70842f1
* Thu Jul 26 2018 tiwai@suse.de
- power: gemini-poweroff: Avoid spurious poweroff (bsc#1051510).
- power: supply: act8945a_charger: fix of_irq_get() error check
  (bsc#1051510).
- power: supply: cpcap-charger: add OMAP_USB2 dependency
  (bsc#1051510).
- commit fe4a95d
* Thu Jul 26 2018 tiwai@suse.de
- pwm: stm32: Enforce dependency on CONFIG_MFD_STM32_TIMERS
  (bsc#1051510).
- pwm: meson: Fix allocation of PWM channel array (bsc#1051510).
- pwm: stm32: Remove unused struct device (bsc#1051510).
- pwm: tiehrpwm: fix clock imbalance in probe error path
  (bsc#1051510).
- pwm: tiehrpwm: Fix runtime PM imbalance at unbind (bsc#1051510).
- pwm: meson: Improve PWM calculation precision (bsc#1051510).
- commit 1c7ced7
* Thu Jul 26 2018 tiwai@suse.de
- r8152: napi hangup fix after disconnect (bsc#1051510).
- r8152: fix tx packets accounting (bsc#1051510).
- r8169: Be drop monitor friendly (bsc#1051510).
- commit 1b2cfed
* Thu Jul 26 2018 oneukum@suse.com
- usb: cdc_acm: prevent race at write to acm while system resumes
  (bsc#1087092).
- commit d6fbae7
* Thu Jul 26 2018 tiwai@suse.de
- regulator: max8998: Fix platform data retrieval (bsc#1051510).
- regulator: tps65218: Fix strobe assignment (bsc#1051510).
- regulator: qcom_spmi: Include offset when translating voltages
  (bsc#1051510).
- commit b4b762e
* Thu Jul 26 2018 tiwai@suse.de
- thermal/drivers/hisi: Fix multiple alarm interrupts firing
  (bsc#1051510).
- thermal/drivers/hisi: Simplify the temperature/step computation
  (bsc#1051510).
- thermal/drivers/hisi: Fix kernel panic on alarm interrupt
  (bsc#1051510).
- thermal/drivers/hisi: Fix missing interrupt enablement
  (bsc#1051510).
- thermal: fix INTEL_SOC_DTS_IOSF_CORE dependencies (bsc#1051510).
- thermal: bcm2835: fix an error code in probe() (bsc#1051510).
- commit 42a543a
* Thu Jul 26 2018 oneukum@suse.com
- blacklist.conf: the fix was wrong and and correct fix applied later
- commit e6efac2
* Thu Jul 26 2018 jthumshirn@suse.de
- libnvdimm, label: fix index block size calculation
  (bsc#1102147).
- commit bc246c4
* Thu Jul 26 2018 oneukum@suse.com
- blacklist.conf: change for preparation of changes in Kconfig
- commit f8c9976
* Thu Jul 26 2018 oneukum@suse.com
- usb: option: Add support for FS040U modem (bsc#1087092).
- commit c3dbb73
* Thu Jul 26 2018 jthumshirn@suse.de
- scsi: zfcp: fix missing REC trigger trace on enqueue without
  ERP thread (bsc#1102088, LTC#169699).
- scsi: zfcp: fix missing REC trigger trace for all objects in
  ERP_FAILED (bsc#1102088, LTC#169699).
- scsi: zfcp: fix missing REC trigger trace on terminate_rport_io
  for ERP_FAILED (bsc#1102088, LTC#169699).
- scsi: zfcp: fix missing REC trigger trace on terminate_rport_io
  early return (bsc#1102088, LTC#169699).
- scsi: zfcp: fix misleading REC trigger trace where erp_action
  setup failed (bsc#1102088, LTC#169699).
- scsi: zfcp: fix missing SCSI trace for retry of abort /
  scsi_eh TMF (bsc#1102088, LTC#169699).
- scsi: zfcp: fix missing SCSI trace for result of
  eh_host_reset_handler (bsc#1102088, LTC#169699).
- scsi: zfcp: fix infinite iteration on ERP ready list
  (bsc#1102088, LTC#169699).
- s390/qeth: fix error handling in adapter command callbacks
  (bsc#1102088, LTC#169699).
- s390/qdio: don't retry EQBS after CCQ 96 (bsc#1102088,
  LTC#169699).
- commit 58163cf
* Thu Jul 26 2018 oneukum@suse.com
- blacklist.conf: fix for feature we don't use
- commit c9a9251
* Thu Jul 26 2018 oneukum@suse.com
- usb: dwc2: Improve gadget state disconnection handling
  (bsc#1085539).
- commit 275701e
* Thu Jul 26 2018 oneukum@suse.com
- Revert "xhci: plat: Register shutdown for xhci_plat"
  (bsc#1090888).
- commit aaf661a
* Thu Jul 26 2018 jgross@suse.com
- xen/grant-table: log the lack of grants (bnc#1085042).
- commit 940699f
* Thu Jul 26 2018 oneukum@suse.com
- pinctrl: nsp: off by ones in nsp_pinmux_enable() (bsc#1100132).
- commit 4b1905b
* Thu Jul 26 2018 oneukum@suse.com
- pinctrl: intel: Initialize GPIO properly when used through
  irqchip (bsc#1087092).
- commit 859155e
* Thu Jul 26 2018 tbogendoerfer@suse.de
- kabi mvpp2 10gkr support (bsc#1098633).
- commit b960ffb
* Thu Jul 26 2018 tiwai@suse.de
- ALSA: rawmidi: Change resized buffers atomically (bsc#1051510).
- ALSA: hda/realtek - Add Panasonic CF-SZ6 headset jack quirk
  (bsc#1051510).
- ALSA: hda: add mute led support for HP ProBook 455 G5
  (bsc#1051510).
- commit 70b340b
* Wed Jul 25 2018 tbogendoerfer@suse.de
- net: mvpp2: Fix clock resource by adding missing mg_core_clk
  (bsc#1098633).
- net: mvpp2: Fix clk error path in mvpp2_probe (bsc#1098633).
- net: mvpp2: Fix DMA address mask size (bsc#1098633).
- net: mvpp2: Fix TCAM filter reserved range (bsc#1098633).
- net: mvpp2: Fix parser entry init boundary check (bsc#1098633).
- net: mvpp2: Use relaxed I/O in data path (bsc#1098633).
- net: mvpp2: Don't use dynamic allocs for local variables
  (bsc#1098633).
- net: mvpp2: Make mvpp2_prs_hw_read a parser entry init function
  (bsc#1098633).
- net: mvpp2: use correct index on array mvpp2_pools
  (bsc#1098633).
- net: mvpp2: Add support for unicast filtering (bsc#1098633).
- net: mvpp2: Simplify MAC filtering function parameters
  (bsc#1098633).
- net: mvpp2: mvpp2_check_hw_buf_num() can be static
  (bsc#1098633).
- net: mvpp2: jumbo frames support (bsc#1098633).
- net: mvpp2: enable UDP/TCP checksum over IPv6 (bsc#1098633).
- net: mvpp2: use a data size of 10kB for Tx FIFO on port 0
  (bsc#1098633).
- net: mvpp2: update the BM buffer free/destroy logic
  (bsc#1098633).
- net: mvpp2: use the same buffer pool for all ports
  (bsc#1098633).
- net: mvpp2: Add hardware offloading for VLAN filtering
  (bsc#1098633).
- mvpp2: fix multicast address filter (bsc#1098633).
- net: mvpp2: enable ACPI support in the driver (bsc#1098633).
- net: mvpp2: use device_*/fwnode_* APIs instead of of_*
  (bsc#1098633).
- net: mvpp2: simplify maintaining enabled ports' list
  (bsc#1098633).
- device property: Allow iterating over available child fwnodes
  (bsc#1098633).
- device property: Introduce fwnode_irq_get() (bsc#1098633).
- device property: Introduce fwnode_get_phy_mode() (bsc#1098633).
- device property: Introduce fwnode_get_mac_address()
  (bsc#1098633).
- net: mvpp2: adjust the coalescing parameters (bsc#1098633).
- net: mvpp2: report the tx-usec coalescing information to ethtool
  (bsc#1098633).
- net: mvpp2: align values in ethtool get_coalesce (bsc#1098633).
- net: mvpp2: split the max ring size from the default one
  (bsc#1098633).
- net: mvpp2: only free the TSO header buffers when it was
  allocated (bsc#1098633).
- net: mvpp2: fix the RSS table entry offset (bsc#1098633).
- net: mvpp2: allocate zeroed tx descriptors (bsc#1098633).
- net: mvpp2: check ethtool sets the Tx ring size is to a valid
  min value (bsc#1098633).
- net: mvpp2: do not disable GMAC padding (bsc#1098633).
- net: mvpp2: cleanup probed ports in the probe error path
  (bsc#1098633).
- net: mvpp2: fix the txq_init error path (bsc#1098633).
- net: mvpp2: fix GOP statistics loop start and stop conditions
  (bsc#1098633).
- net: mvpp2: add ethtool GOP statistics (bsc#1098633).
- net: mvpp2: simplify the Tx desc set DMA logic (bsc#1098633).
- net: mvpp2: use the aggr txq size define everywhere
  (bsc#1098633).
- net: mvpp2: limit TSO segments and use stop/wake thresholds
  (bsc#1098633).
- net: mvpp2: initialize the RSS tables (bsc#1098633).
- net: mvpp2: initialize the Tx FIFO size (bsc#1098633).
- net: mvpp2: set the Rx FIFO size depending on the port speeds
  for PPv2.2 (bsc#1098633).
- net: mvpp2: remove useless goto (bsc#1098633).
- net: mvpp2: Prevent userspace from changing TX affinities
  (bsc#1098633).
- net: mvpp2: do not sleep in set_rx_mode (bsc#1098633).
- net: mvpp2: fix invalid parameters order when calling the tcam
  init (bsc#1098633).
- net: mvpp2: fix typo in the tcam setup (bsc#1098633).
- net: mvpp2: do not call txq_done from the Tx path when Tx irqs
  are used (bsc#1098633).
- net: mvpp2: do not unmap TSO headers buffers (bsc#1098633).
- net: mvpp2: fix TSO headers allocation and management
  (bsc#1098633).
- net: mvpp2: Fix clock resource by adding an optional bus clock
  (bsc#1098633).
- net: mvpp2: do not select the internal source clock
  (bsc#1098633).
- net: mvpp2: fix port list indexing (bsc#1098633).
- net: mvpp2: fix parsing fragmentation detection (bsc#1098633).
- net: mvpp2: fallback using h/w and random mac if the dt one
  isn't valid (bsc#1098633).
- net: mvpp2: fix use of the random mac address for PPv2.2
  (bsc#1098633).
- net: mvpp2: move the mac retrieval/copy logic into its own
  function (bsc#1098633).
- net: mvpp2: use the GoP interrupt for link status changes
  (bsc#1098633).
- net: mvpp2: make the phy optional (bsc#1098633).
- net: mvpp2: take advantage of the is_rgmii helper (bsc#1098633).
- net: mvpp2: dynamic reconfiguration of the comphy/GoP/MAC
  (bsc#1098633).
- net: mvpp2: do not set GMAC autoneg when using XLG MAC
  (bsc#1098633).
- net: mvpp2: improve the link management function (bsc#1098633).
- net: mvpp2: simplify the link_event function (bsc#1098633).
- net: mvpp2: initialize the comphy (bsc#1098633).
- phy: add sgmii and 10gkr modes to the phy_mode enum
  (bsc#1098633).
- net: mvpp2: fix the packet size configuration for 10G
  (bsc#1098633).
- net: mvpp2: software tso support (bsc#1098633).
- net: mvpp2: unify the txq size define use (bsc#1098633).
- net: define the TSO header size in net/tso.h (bsc#1098633).
- net: mvpp2: initialize the GoP (bsc#1098633).
- net: mvpp2: set maximum packet size for 10G ports (bsc#1098633).
- net: mvpp2: initialize the XLG MAC when using a port
  (bsc#1098633).
- net: mvpp2: initialize the GMAC when using a port (bsc#1098633).
- net: mvpp2: move the mii configuration in the ndo_open path
  (bsc#1098633).
- net: mvpp2: fix the synchronization module bypass macro name
  (bsc#1098633).
- net: mvpp2: unify register definitions coding style
  (bsc#1098633).
- net: mvpp2: add support for TX interrupts and RX queue
  distribution modes (bsc#1098633).
- net: mvpp2: introduce queue_vector concept (bsc#1098633).
- net: mvpp2: move from cpu-centric naming to "software thread"
  naming (bsc#1098633).
- net: mvpp2: introduce per-port nrxqs/ntxqs variables
  (bsc#1098633).
- net: mvpp2: remove RX queue group reset code (bsc#1098633).
- net: mvpp2: fix MVPP21_ISR_RXQ_GROUP_REG definition
  (bsc#1098633).
- net: mvpp2: remove mvpp2_pool_refill() (bsc#1098633).
- net: mvpp2: remove unused mvpp2_bm_cookie_pool_set() function
  (bsc#1098633).
- net: mvpp2: add comments about smp_processor_id() usage
  (bsc#1098633).
- net: mvpp2: enable basic 10G support (bsc#1098633).
- net: phy: add XAUI and 10GBASE-KR PHY connection types
  (bsc#1098633).
- commit bb14fdc
* Wed Jul 25 2018 oneukum@suse.com
- USB: yurex: fix out-of-bounds uaccess in read handler
  (bsc#1100132).
- commit 5759570
* Wed Jul 25 2018 oneukum@suse.com
- xhci: Fix kernel oops in trace_xhci_free_virt_device
  (bsc#1100132).
- commit 330f69f
* Wed Jul 25 2018 tbogendoerfer@suse.de
- kabi mlx5 hide cpu_rmap (bsc#1046303 FATE#322944).
- commit 29d90f9
* Wed Jul 25 2018 tbogendoerfer@suse.de
- bnxt_en: Fix the vlan_tci exact match check (bsc#1050242
  FATE#32291).
- qed: off by one in qed_parse_mcp_trace_buf() (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- commit 51ed532
* Wed Jul 25 2018 oneukum@suse.com
- xhci: Fix USB3 NULL pointer dereference at logical disconnect
  (bsc#1090888).
- commit 78c4386
* Wed Jul 25 2018 tbogendoerfer@suse.de
- RDMA/mlx5: Fix memory leak in mlx5_ib_create_srq() error path
  (bsc#1046305 FATE#322943).
- Refresh
  patches.kabi/kabi-IB-mlx5-Fix-integer-overflows-in-mlx5_ib_create_srq.patch.
- commit 825ce31
* Wed Jul 25 2018 tbogendoerfer@suse.de
- IB/hfi1: Add bypass register defines and replace blind constants
  (bsc#1060463 FATE#323043).
- IB/core: Remove duplicate declaration of gid_cache_wq
  (bsc#1046306 FATE#322942).
- net/mlx5: FPGA, Call DMA unmap with the right size (bsc#1046303
  FATE#322944).
- net/mlx5: IPSec, Fix a race between concurrent sandbox QP
  commands (bsc#1046303 FATE#322944).
- net/mlx5: Free IRQs in shutdown path (bsc#1046303 FATE#322944).
- RDMA/ucma: ucma_context reference leak in error path
  (bsc#1046306 FATE#322942).
- commit 80081f9
* Wed Jul 25 2018 oneukum@suse.com
- blacklist.conf: only build warning
- commit 062a7b0
* Wed Jul 25 2018 oneukum@suse.com
- xhci: xhci-mem: off by one in xhci_stream_id_to_ring()
  (bsc#1100132).
- commit 6e13d7e
* Wed Jul 25 2018 oneukum@suse.com
- usb: host: ehci: use correct device pointer for dma ops
  (bsc#1087092).
- commit 9a2a851
* Wed Jul 25 2018 oneukum@suse.com
- USB: serial: keyspan_pda: fix modem-status error handling
  (bsc#1100132).
- commit 8f55964
* Wed Jul 25 2018 oneukum@suse.com
- PCI: dwc: Fix enumeration end when reaching root subordinate
  (bsc#1100132).
- commit a63089d
* Wed Jul 25 2018 nstange@suse.de
- x86/KVM/VMX: Initialize the vmx_l1d_flush_pages' content
  (bsc#1089343 CVE-2018-3646).
- commit 8564424
* Wed Jul 25 2018 oneukum@suse.com
- xhci: Fix use-after-free in xhci_free_virt_device (bsc#1100132).
- commit 5defecc
* Wed Jul 25 2018 jkosina@suse.cz
- cpu/hotplug: detect SMT disabled by BIOS (bsc#1089343
  CVE-2018-3646).
- commit 0968980
* Wed Jul 25 2018 mhocko@suse.com
- ipc/shm: fix use-after-free of shm file via remap_file_pages()
  (bnc#1102512).
- commit a10faea
* Wed Jul 25 2018 oneukum@suse.com
- PCI: Account for all bridges on bus when distributing bus
  numbers (bsc#1100132).
- commit 09fe2a5
* Tue Jul 24 2018 tiwai@suse.de
- mfd: tps65911-comparator: Fix an off by one bug (bsc#1051510).
- mfd: tps65911-comparator: Fix a build error (bsc#1051510).
- mfd: tps65218: Reorder tps65218_regulator_id enum (bsc#1051510).
- kernel/params.c: downgrade warning for unsafe parameters
  (bsc#1051510).
- hwrng: stm32 - add reset during probe (bsc#1051510).
- mdio-sun4i: Fix a memory leak (bsc#1051510).
- gpio: brcmstb: switch to handle_level_irq flow (bsc#1051510).
- fsi: core: register with postcore_initcall (bsc#1051510).
- commit c4e6ac9
* Tue Jul 24 2018 tiwai@suse.de
- dmaengine: k3dma: Off by one in k3_of_dma_simple_xlate()
  (bsc#1051510).
- dmaengine: pl330: report BURST residue granularity
  (bsc#1051510).
- dmaengine: rcar-dmac: Check the done lists in
  rcar_dmac_chan_get_residue() (bsc#1051510).
- dmaengine: qcom: bam_dma: get num-channels and num-ees from dt
  (bsc#1051510).
- dmaengine: pl330: fix a race condition in case of threaded irqs
  (bsc#1051510).
- dmaengine: mv_xor_v2: Fix clock resource by adding a register
  clock (bsc#1051510).
- dmaengine: rcar-dmac: fix max_chunk_size for R-Car Gen3
  (bsc#1051510).
- dmaengine: zynqmp_dma: Fix race condition in the probe
  (bsc#1051510).
- dmaengine: qcom_hidma: check pending interrupts (bsc#1051510).
- clocksource/drivers/stm32: Fix kernel panic with multiple timers
  (bsc#1051510).
- dmaengine: fsl-edma: disable clks on all error paths
  (bsc#1051510).
- crypto: ccp - remove unused variable qim (bsc#1051510).
- dmaengine: xilinx_dma: Fix error code format specifier
  (bsc#1051510).
- dmaengine: tegra210-adma: fix of_irq_get() error check
  (bsc#1051510).
- dmaengine: tegra-apb: Really fix runtime-pm usage (bsc#1051510).
- dmaengine: omap-dma: port_window support correction for both
  direction (bsc#1051510).
- commit 1cc5a1e
* Tue Jul 24 2018 tiwai@suse.de
- checkpatch: add 6 missing types to --list-types (bsc#1051510).
- commit c9616bd
* Tue Jul 24 2018 tiwai@suse.de
- mmc: dw_mmc: fix card threshold control configuration
  (bsc#1051510).
- mailbox: bcm2835: Fix of_xlate return value (bsc#1051510).
- mmc: cavium: Fix use-after-free in of_platform_device_destroy
  (bsc#1051510).
- mmc: meson-gx: remove CLK_DIVIDER_ALLOW_ZERO clock flag
  (bsc#1051510).
- commit d19f009
* Tue Jul 24 2018 tiwai@suse.de
- hwmon: (ltc2990) Fix incorrect conversion of negative
  temperatures (bsc#1051510).
- hwmon: (nct6683) Enable EC access if disabled at boot
  (bsc#1051510).
- hwmon: Deal with errors from the thermal subsystem
  (bsc#1051510).
- hwmon: (tmp102) Fix first temperature reading (bsc#1051510).
- hwmon: (aspeed-pwm) add THERMAL dependency (bsc#1051510).
- hwmon: (stts751) buffer overrun on wrong chip configuration
  (bsc#1051510).
- hwmon: (ftsteutates) Fix clearing alarm sysfs entries
  (bsc#1051510).
- commit 3061bd4
* Tue Jul 24 2018 tiwai@suse.de
- iio: pressure: bmp280: fix relative humidity unit (bsc#1051510).
- iio: tsl2583: correct values in integration_time_available
  (bsc#1051510).
- staging:iio:ade7854: Fix the wrong number of bits to read
  (bsc#1051510).
- staging:iio:ade7854: Fix error handling on read/write
  (bsc#1051510).
- iio: humidity: hts221: remove warnings in
  hts221_parse_{temp,rh}_caldata() (bsc#1051510).
- staging: iio: ade7759: fix signed extension bug on shift of a u8
  (bsc#1051510).
- iio: adc: twl4030: Return an error if we can not enable the
  vusb3v1 regulator in 'twl4030_madc_probe()' (bsc#1051510).
- iio: magnetometer: st_magn: fix drdy line configuration for
  LIS3MDL (bsc#1051510).
- iio: accel: st_accel: fix data-ready line configuration
  (bsc#1051510).
- iio: pressure: st_pressure: fix drdy configuration for LPS22HB
  and LPS25H (bsc#1051510).
- iio: accel: st_accel_i2c: fix i2c_device_id table (bsc#1051510).
- iio: magnetometer: st_magn_core: enable multiread by default
  for LIS3MDL (bsc#1051510).
- iio: gyro: st_gyro: fix L3GD20H support (bsc#1051510).
- iio: trigger: stm32-timer: fix write_raw return value
  (bsc#1051510).
- iio: trigger: stm32-timer: fix quadrature mode get routine
  (bsc#1051510).
- iio: adc: sun4i-gpadc-iio: fix unbalanced irq enable/disable
  (bsc#1051510).
- iio: imu: inv_mpu6050: test whoami first and against all known
  values (bsc#1051510).
- iio: magnetometer: st_magn_spi: fix spi_device_id table
  (bsc#1051510).
- iio: accel: st_accel_spi: fix spi_device_id table (bsc#1051510).
- iio: pressure: zpa2326: report interrupted case as failure
  (bsc#1051510).
- commit fafe9ca
* Tue Jul 24 2018 tiwai@suse.de
- doc: Rename .system_keyring to .builtin_trusted_keys
  (bsc#1051510).
- docs: segmentation-offloads.txt: Fix ref to
  SKB_GSO_TUNNEL_REMCSUM (bsc#1051510).
- efi/efi_test: Prevent an Oops in efi_runtime_query_capsulecaps()
  (bsc#1051510).
- doc: SKB_GSO_[IPIP|SIT] have been replaced (bsc#1051510).
- docs-rst: fix broken links to dynamic-debug-howto in
  kernel-parameters (bsc#1051510).
- commit 8a72bfa
* Tue Jul 24 2018 tiwai@suse.de
- blacklist.conf: Add firmware/vpd entries
- commit f132923
* Tue Jul 24 2018 tiwai@suse.de
- blacklist.conf: Add an i2c mlxcpld entry that isn't applicable
- commit 93b4768
* Tue Jul 24 2018 tiwai@suse.de
- i2c: tegra: Fix NACK error handling (bsc#1051510).
- i2c: axxia: enable clock before calling clk_get_rate()
  (bsc#1051510).
- i2c: designware: Round down ACPI provided clk to nearest
  supported clk (bsc#1051510).
- i2c: mux: pinctrl: mention correct module name in Kconfig help
  text (bsc#1051510).
- commit 303e2ea
* Tue Jul 24 2018 tiwai@suse.de
- blacklist.conf: Add atomisp entries
- commit b0875d8
* Tue Jul 24 2018 tiwai@suse.de
- media: vivid: potential integer overflow in vidioc_g_edid()
  (bsc#1051510).
- media: cx88: Get rid of spurious call to cx8800_start_vbi_dma()
  (bsc#1051510).
- media: omap3isp/isp: remove an unused static var (bsc#1051510).
- media: dt-bindings: media: rcar_vin: Use status "okay"
  (bsc#1051510).
- media: cxusb: restore RC_MAP for MyGica T230 (bsc#1051510).
- media: dvb_net: ensure that dvb_net_ule_handle is fully
  initialized (bsc#1051510).
- media: s5p-mfc: Fix lock contention - request_firmware() once
  (bsc#1051510).
- media: dvb_frontend: only use kref after initialized
  (bsc#1051510).
- media: mxl111sf: Fix potential null pointer dereference
  (bsc#1051510).
- media: coda/imx-vdoa: Check for platform_get_resource() error
  (bsc#1051510).
- media: s5p-jpeg: fix number of components macro (bsc#1051510).
- commit c613c11
* Tue Jul 24 2018 tiwai@suse.de
- PM / hibernate: Use CONFIG_HAVE_SET_MEMORY for include condition
  (bsc#1051510).
- Refresh
  patches.suse/0007-PM-hibernate-encrypt-hidden-area.patch.
- Refresh
  patches.suse/0008-PM-hibernate-Generate-and-verify-signature-for-snaps.patch.
- commit 68d869a
* Tue Jul 24 2018 tiwai@suse.de
- NFC: pn533: Fix wrong GFP flag usage (bsc#1051510).
- NFC: nfcmrvl_uart: fix device-node leak during probe
  (bsc#1051510).
- commit eaa5baf
* Tue Jul 24 2018 tiwai@suse.de
- nfit, address-range-scrub: fix scrub in-progress reporting
  (bsc#1051510).
- nfit: fix region registration vs block-data-window ranges
  (bsc#1051510).
- commit 8ef3e7d
* Tue Jul 24 2018 tiwai@suse.de
- PM / core: Fix supplier device runtime PM usage counter
  imbalance (bsc#1051510).
- PM / wakeup: Only update last time for active wakeup sources
  (bsc#1051510).
- commit 8aece32
* Tue Jul 24 2018 tiwai@suse.de
- staging: rtl8723bs: fix u8 less than zero check (bsc#1051510).
- staging: rts5208: Fix "seg_no" calculation in reset_ms_card()
  (bsc#1051510).
- staging: rtl8723bs: add missing range check on id (bsc#1051510).
- commit d214912
* Tue Jul 24 2018 tiwai@suse.de
- Fix kABI for rtl_deinit_deferred_work() rewrite (bsc#1051510).
- rtlwifi: rtl8821ae: fix firmware is not ready to run
  (bsc#1051510).
- rtlwifi: Fix kernel Oops "Fw download fail!!" (bsc#1051510).
- commit b06d80b
* Tue Jul 24 2018 tiwai@suse.de
- blacklist.conf: Add a cherry-picked entry for X.509
- commit 9236b0e
* Tue Jul 24 2018 tiwai@suse.de
- X.509: unpack RSA signatureValue field from BIT STRING
  (bsc#1051510).
- commit 3af927a
* Tue Jul 24 2018 tiwai@suse.de
- gpio: pca953x: fix vendor prefix for PCA9654 (bsc#1051510).
- gpio: brcmstb: correct the configuration of level interrupts
  (bsc#1051510).
- gpio: brcmstb: release the bgpio lock during irq handlers
  (bsc#1051510).
- gpio: brcmstb: allow all instances to be wakeup sources
  (bsc#1051510).
- gpio: acpi: work around false-positive -Wstring-overflow warning
  (bsc#1051510).
- gpio: brcmstb: check return value of gpiochip_irqchip_add()
  (bsc#1051510).
- gpio: reject invalid gpio before getting gpio_desc
  (bsc#1051510).
- gpio: tegra: fix unbalanced chained_irq_enter/exit
  (bsc#1051510).
- commit 2f3dbef
* Tue Jul 24 2018 tiwai@suse.de
- Documentation: admin-guide: intel_pstate: Fix sysfs path
  (bsc#1051510).
- Fix English in description of GCC_PLUGIN_STRUCTLEAK
  (bsc#1051510).
- commit 4c0dc28
* Tue Jul 24 2018 tiwai@suse.de
- firewire: net: max MTU off by one (bsc#1051510).
- commit f72f64d
* Tue Jul 24 2018 tiwai@suse.de
- firmware: dmi: Optimize dmi_matches (bsc#1051510).
- drivers/firmware: psci_checker: Add missing
  destroy_timer_on_stack() (bsc#1051510).
- firmware: arm_scpi: fix endianness of dev_id in struct
  dev_pstate_set (bsc#1051510).
- firmware: tegra: Fix locking bugs in BPMP (bsc#1051510).
- commit 393951c
* Tue Jul 24 2018 tiwai@suse.de
- crypto: crypto4xx - fix crypto4xx_build_pdr, crypto4xx_build_sdr
  leak (bsc#1051510).
- crypto: crypto4xx - remove bad list_del (bsc#1051510).
- commit 0748ab4
* Tue Jul 24 2018 tiwai@suse.de
- cfg80211: initialize sinfo in cfg80211_get_station
  (bsc#1051510).
- commit 0935d8b
* Tue Jul 24 2018 tiwai@suse.de
- backlight: lm3630a: Bump REG_MAX value to 0x50 instead of 0x1F
  (bsc#1051510).
- commit 23c61f3
* Tue Jul 24 2018 tiwai@suse.de
- acpi/nfit: fix cmd_rc for acpi_nfit_ctl to always return a value
  (bsc#1051510).
- ACPI / processor: Finish making acpi_processor_ppc_has_changed()
  void (bsc#1051510).
- ACPI, APEI, EINJ: Subtract any matching Register Region from
  Trigger resources (bsc#1051510).
- commit 7857a8e
* Tue Jul 24 2018 tzimmermann@suse.de
- drm/rockchip: Fix build warning in analogix_dp-rockchip.c (bsc#1085536).
- commit 0917bc0
* Tue Jul 24 2018 tbogendoerfer@suse.de
- kabi cxgb4 MU (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588
  bsc#1097583 bsc#1097584).
- commit 7879068
* Tue Jul 24 2018 mbrugger@suse.com
- blacklist.conf: ignore dts folders
- commit 03e4f62
* Mon Jul 23 2018 tiwai@suse.de
- drm/nouveau/gem: off by one bugs in
  nouveau_gem_pushbuf_reloc_apply() (bsc#1051510).
- commit 564220d
* Mon Jul 23 2018 tiwai@suse.de
- driver core: Fix link to device power management documentation
  (bsc#1051510).
- commit 6e0eb75
* Mon Jul 23 2018 tiwai@suse.de
- crypto: caam/qi - explicitly set dma_ops (bsc#1051510).
- crypto: sha512-mb - add some missing unlock on error
  (bsc#1051510).
- commit b1cd3b8
* Mon Jul 23 2018 tzimmermann@suse.de
- gpu: host1x: Acquire a reference to the IOVA cache (bsc#1090888).
- commit efcb635
* Mon Jul 23 2018 tiwai@suse.de
- ath9k_htc: Add a sanity check in ath9k_htc_ampdu_action()
  (bsc#1051510).
- Bluetooth: avoid recursive locking in hci_send_to_channel()
  (bsc#1051510).
- Bluetooth: hci_ll: Add support for the external clock
  (bsc#1051510).
- Bluetooth: hci_ll: Fix download_firmware() return when
  __hci_cmd_sync fails (bsc#1051510).
- Bluetooth: hci_nokia: select BT_HCIUART_H4 (bsc#1051510).
- Bluetooth: hci_uart: fix kconfig dependency (bsc#1051510).
- commit fb47ea2
* Mon Jul 23 2018 tzimmermann@suse.de
- drm: mali-dp: Uninitialized variable in malidp_se_check_scaling() (bsc#1087092).
- commit 0bee75b
* Mon Jul 23 2018 tzimmermann@suse.de
- drm: rcar-du: Remove zpos field from rcar_du_vsp_plane_state structure (bsc#1085539).
- commit c4ffb3c
* Mon Jul 23 2018 tzimmermann@suse.de
- drm/rockchip: dw_hdmi: Move HDMI vpll clock enable to bind() (bsc#1087092).
- commit fc6a9be
* Mon Jul 23 2018 tzimmermann@suse.de
- drm/rockchip: inno_hdmi: Fix error handling path (bsc#1087092).
- commit dde76a1
* Mon Jul 23 2018 tiwai@suse.de
- rpm/kernel-source.spec.in: Add more stuff to Recommends
  ... and move bc to Recommends as well.  All these packages are needed for
  building a kernel manually from scratch with kernel-source files.
- commit 6fcec9a
* Mon Jul 23 2018 tzimmermann@suse.de
- drm: rcar-du: lvds: Fix LVDCR1 for R-Car gen3 (bsc#1085539).
- Refresh
  patches.drivers/drm-rcar-du-lvds-Fix-LVDS-startup-on-R-Car-Gen3.
- commit d852350
* Mon Jul 23 2018 aaptel@suse.com
- cifs: do not allow creating sockets except with SMB1 posix
  exensions (bsc#1102097).
- commit b26635c
* Mon Jul 23 2018 aaptel@suse.com
- fix Patch-mainline header
- commit c1a1fcb
* Mon Jul 23 2018 msuchanek@suse.de
- Refresh patches.drivers/nvme-move-init-of-keep_alive-work-item-to-controller.patch.
  fix commit hash
- commit b98a0c9
* Mon Jul 23 2018 msuchanek@suse.de
- ibmvnic: Fix error recovery on login failure (bsc#1101789).
- commit 7f0b6bd
* Mon Jul 23 2018 tzimmermann@suse.de
- blacklist.conf: Add 'drm/atomic: Fix memleak on ERESTARTSYS during non-blocking commits'
- commit 4a60e21
* Mon Jul 23 2018 tzimmermann@suse.de
- video/omap: add module license tags (bsc#1090888).
- commit ca9d8b9
* Mon Jul 23 2018 tbogendoerfer@suse.de
- cxgb4: Fix error handling path in 'init_one()' (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- commit 500b966
* Mon Jul 23 2018 tzimmermann@suse.de
- video: remove unused kconfig SH_LCD_MIPI_DSI (bsc#1087092).
- commit d5f1814
* Mon Jul 23 2018 tzimmermann@suse.de
- drm/rockchip: analogix_dp: Remove unnecessary init code (bsc#1085536).
- commit db1b65e
* Mon Jul 23 2018 tzimmermann@suse.de
- drm/rockchip: inno_hdmi: reorder clk_disable_unprepare call in unbind (bsc#1087092).
- commit 9c4f194
* Mon Jul 23 2018 lma@suse.com
- KVM: x86: fix vcpu initialization with userspace lapic
  (bsc#1101564).
- KVM: x86: move LAPIC initialization after VMCS creation
  (bsc#1101564).
- commit 5f3893e
* Sun Jul 22 2018 tiwai@suse.de
- rpm/kernel-source.spec.in: require bc for kernel-source
  This is needed for building include/generated/timeconst.h from
  kernel/time/timeconst.bc.
- commit d725e3b
* Fri Jul 20 2018 tbogendoerfer@suse.de
- Update config files.
- commit fd12fef
* Fri Jul 20 2018 aaptel@suse.com
- cifs: Fix infinite loop when using hard mount option
  (bsc#1091171).
- commit 7f265ee
* Fri Jul 20 2018 tbogendoerfer@suse.de
- cxgb4: enable ZLIB_DEFLATE when building cxgb4 (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- commit 3203abb
* Fri Jul 20 2018 tbogendoerfer@suse.de
- cxgb4: Add FORCE_PAUSE bit to 32 bit port caps (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4/cxgb4vf: Notify link changes to OS-dependent code
  (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583
  bsc#1097584).
- cxgb4: clean up init_one (bsc#1097585 bsc#1097586 bsc#1097587
  bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4/cxgb4vf: link management changes for new SFP (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: Check for kvzalloc allocation failure (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: do L1 config when module is inserted (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: change the port capability bits definition (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: Add new T6 device ids (bsc#1097585 bsc#1097586
  bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: copy the length of cpl_tx_pkt_core to fw_wr (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: collect SGE PF/VF queue map (bsc#1097585 bsc#1097586
  bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: update LE-TCAM collection for T6 (bsc#1097585 bsc#1097586
  bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- commit 2e58888
* Fri Jul 20 2018 tbogendoerfer@suse.de
- cxgb4: do not fail vf instatiation in slave mode (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: collect hardware dump in second kernel (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- vmcore: add API to collect hardware dump in second kernel
  (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583
  bsc#1097584).
- cxgb4: avoid schedule while atomic (bsc#1097585 bsc#1097586
  bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: enable inner header checksum calculation (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: Fix {vxlan/geneve}_port initialization (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: Add new T5 device id (bsc#1097585 bsc#1097586 bsc#1097587
  bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: fix the wrong conversion of Mbps to Kbps (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: update latest firmware version supported (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: add new T5 device id's (bsc#1097585 bsc#1097586
  bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4vf: display pause settings (bsc#1097585 bsc#1097586
  bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: copy mbox log size to PF0-3 adap instances (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: zero the HMA memory (bsc#1097585 bsc#1097586 bsc#1097587
  bsc#1097588 bsc#1097583 bsc#1097584).
- RDMA/cxgb4: release hw resources on device removal (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- scsi: cxgb4i: silence overflow warning in t4_uld_rx_handler()
  (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583
  bsc#1097584).
- iw_cxgb4: Add ib_device->get_netdev support (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- RDMA/cxgb4: Use structs to describe the uABI instead of
  opencoding (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588
  bsc#1097583 bsc#1097584).
- iw_cxgb4: initialize ib_mr fields for user mrs (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- crypto: chelsio - don't leak pointers to authenc keys
  (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583
  bsc#1097584).
- crypto: chelsio - Fix iv passed in fallback path for rfc3686
  (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583
  bsc#1097584).
- crypto: chelsio - Update IV before sending request to HW
  (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583
  bsc#1097584).
- crypto: chelsio - Fix src buffer dma length (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- crypto: chelsio - Use kernel round function to align lengths
  (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583
  bsc#1097584).
- crypto: chelsio - Make function aead_ccm_validate_input static
  (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583
  bsc#1097584).
- cxgb4: support new ISSI flash parts (bsc#1097585 bsc#1097586
  bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: depend on firmware event for link status (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: copy vlan_id in ndo_get_vf_config (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: Setup FW queues before registering netdev (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: Support firmware rdma write completion work request
  (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583
  bsc#1097584).
- cxgb4: Support firmware rdma write with immediate work request
  (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583
  bsc#1097584).
- cxgb4: Add support to query HW SRQ parameters (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: Add support to initialise/read SRQ entries (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: Adds CPL support for Shared Receive Queues (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: Fix queue free path of ULD drivers (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: notify fatal error to uld drivers (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: Add HMA support (bsc#1097585 bsc#1097586 bsc#1097587
  bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4/cxgb4vf: check fw caps to set link mode mask (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: do not display 50Gbps as unsupported speed (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: increase max tx rate limit to 100 Gbps (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4vf: Forcefully link up virtual interfaces (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: Add TP Congestion map entry for single-port (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: remove dead code when allocating filter (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: rework on-chip memory read (bsc#1097585 bsc#1097586
  bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: do not set needs_free_netdev for mgmt dev's (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: copy adap index to PF0-3 adapter instances (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: free up resources of pf 0-3 (bsc#1097585 bsc#1097586
  bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgbit: call neigh_event_send() to update MAC address
  (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583
  bsc#1097584).
- cxgb4/cxgb4vf: add support for ndo_set_vf_vlan (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: IPv6 filter takes 2 tids (bsc#1097585 bsc#1097586
  bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- commit 121447a
* Fri Jul 20 2018 tbogendoerfer@suse.de
- cxgb4: use zlib deflate to compress firmware dump (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- Refresh
  patches.drivers/cxgb4-properly-initialize-variables.patch.
- commit 0f81869
* Fri Jul 20 2018 tbogendoerfer@suse.de
- cxgb4: update dump collection logic to use compression
  (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583
  bsc#1097584).
- cxgb4: restructure VF mgmt code (bsc#1097585 bsc#1097586
  bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: Check alignment constraint for T6 (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: use CLIP with LIP6 on T6 for TCAM filters (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: Add support for ethtool i2c dump (bsc#1097585 bsc#1097586
  bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- crypto: chelsio - Fix indentation warning (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- crypto: chelsio - Remove dst sg size zero check (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- crypto: chelsio - Add authenc versions of ctr and sha
  (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583
  bsc#1097584).
- crypto: chelsio - Fix IV updated in XTS operation (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- crypto: chelsio - check for sg null (bsc#1097585 bsc#1097586
  bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- crypto: chelsio - Fix Indentation (bsc#1097585 bsc#1097586
  bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- crypto: chelsio - Fix an error code in chcr_hash_dma_map()
  (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583
  bsc#1097584).
- crypto: change transient busy return code to -ENOSPC
  (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583
  bsc#1097584).
- crypto: chelsio - Move DMA un/mapping to chcr from lld cxgb4
  driver (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588
  bsc#1097583 bsc#1097584).
- crypto: chelsio - Remove allocation of sg list to implement
  2K limit of dsgl header (bsc#1097585 bsc#1097586 bsc#1097587
  bsc#1097588 bsc#1097583 bsc#1097584).
- crypto: chelsio - Use x8_ble gf multiplication to calculate IV
  (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583
  bsc#1097584).
- crypto: gf128mul - The x8_ble multiplication functions
  (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583
  bsc#1097584).
- crypto: chelsio - Check error code with IS_ERR macro
  (bsc#1097585 bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583
  bsc#1097584).
- crypto: chelsio - Remove unused parameter (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- cxgb4: update latest firmware version supported (bsc#1097585
  bsc#1097586 bsc#1097587 bsc#1097588 bsc#1097583 bsc#1097584).
- commit de850aa
* Fri Jul 20 2018 tbogendoerfer@suse.de
- qed: Fix reading stale configuration information (bsc#1086314
  FATE#324886).
- commit 3f9fc3d
* Fri Jul 20 2018 tbogendoerfer@suse.de
- i40e: use the more traditional 'i' loop variable (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: add function doc headers for ethtool stats functions
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: update data pointer directly when copying to the buffer
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: fold prefix strings directly into stat names (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: use WARN_ONCE to replace the commented BUG_ON size check
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: split i40e_get_strings() into smaller functions
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: always return all queue stat strings (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: always return VEB stat strings (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: free skb after clearing lock in ptp_stop (bsc#1101816
  FATE#325147 FATE#325149).
- i40evf: Fix a hardware reset support in VF driver (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: free the skb after clearing the bitlock (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: cleanup wording in a header comment (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: add tx_busy to ethtool stats (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: Fix recalculation of MSI-X vectors for VMDq (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: cleanup whitespace for some ethtool stat definitions
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: remove duplicate pfc stats (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: calculate ethtool stats size in a separate function
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: avoid overflow in i40e_ptp_adjfreq() (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: Fix multiple issues with UDP tunnel offload filter
  configuration (bsc#1101816 FATE#325147 FATE#325149).
- i40evf: Fix turning TSO, GSO and GRO on after (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: Add advertising 10G LR mode (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: fix reading LLDP configuration (bsc#1101816 FATE#325147
  FATE#325149).
- i40e/i40evf: cleanup incorrect function doxygen comments
  (bsc#1101816 FATE#325147 FATE#325149).
- i40evf: Replace GFP_ATOMIC with GFP_KERNEL in i40evf_add_vlan
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: re-number feature flags to remove gaps (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: stop using cmpxchg flow in i40e_set_priv_flags()
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: hold the RTNL lock while changing interrupt schemes
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: move client flags into state bits (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: move I40E_FLAG_TEMP_LINK_POLLING to state field
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: move AUTO_DISABLED flags into the state field (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: move I40E_FLAG_UDP_FILTER_SYNC to the state field
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: move I40E_FLAG_FILTER_SYNC to a state bit (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: Fix the polling mechanism of GLGEN_RSTAT.DEVSTATE
  (bsc#1101816 FATE#325147 FATE#325149).
- i40evf: remove flags that are never used (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: Prevent setting link speed on I40E_DEV_ID_25G_B
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: add doxygen comment for new mode parameter (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: Prevent setting link speed on KX_X722 (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: restore TCPv4 input set when re-enabling ATR (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: fix for wrong partition id calculation on OCP mezz cards
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: factor out re-enable functions for ATR and SB (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: track filter type statistics when deleting invalid filters
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: Fix permission check for VF MAC filters (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: Cleanup i40e_vlan_rx_register (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: remove i40e_fcoe files (bsc#1101816 FATE#325147
  FATE#325149).
- i40e/i40evf: use SW variables for hang detection (bsc#1101816
  FATE#325147 FATE#325149).
- i40evf: Fix double locking the same resource (bsc#1101816
  FATE#325147 FATE#325149).
- i40evf: Fix link up issue when queues are disabled (bsc#1101816
  FATE#325147 FATE#325149).
- i40evf: Make VF reset warning message more clear (bsc#1101816
  FATE#325147 FATE#325149).
- i40evf: use __dev_c_sync routines in .set_rx_mode (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: do not force filter failure in overflow promiscuous
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: refactor promisc_changed in i40e_sync_vsi_filters
  (bsc#1101816 FATE#325147 FATE#325149).
- i40evf: Use an iterator of the same type as the list
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: broadcast filters can trigger overflow promiscuous
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: don't leak memory addresses (bsc#1101816 FATE#325147
  FATE#325149).
- i40evf: use GFP_ATOMIC under spin lock (bsc#1101816 FATE#325147
  FATE#325149).
- i40e/i40evf: Add support for new mechanism of updating adaptive
  ITR (bsc#1101816 FATE#325147 FATE#325149).
- i40e/i40evf: Split container ITR into current_itr and target_itr
  (bsc#1101816 FATE#325147 FATE#325149).
- i40evf: Correctly populate rxitr_idx and txitr_idx (bsc#1101816
  FATE#325147 FATE#325149).
- i40e/i40evf: Use usec value instead of reg value for ITR defines
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e/i40evf: Don't bother setting the CLEARPBA bit (bsc#1101816
  FATE#325147 FATE#325149).
- i40e/i40evf: Clean-up of bits related to using q_vector->reg_idx
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: Add delay after EMP reset for firmware to recover
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e/i40evf: Clean up logic for adaptive ITR (bsc#1101816
  FATE#325147 FATE#325149).
- i40e/i40evf: Only track one ITR setting per ring instead of
  Tx/Rx (bsc#1101816 FATE#325147 FATE#325149).
- i40e: fix typo in function description (bsc#1101816 FATE#325147
  FATE#325149).
- i40e/i40evf: Update DESC_NEEDED value to reflect larger value
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e/i40evf: Record ITR register location in the q_vector
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: disallow programming multiple filters with same criteria
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: Fix kdump failure (bsc#1101816 FATE#325147 FATE#325149).
- i40e: cleanup unnecessary parens (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: change flags to use 64 bits (bsc#1101816 FATE#325147
  FATE#325149).
- i40e/i40evf: Use ring pointers to clean up _set_itr_per_queue
  (bsc#1101816 FATE#325147 FATE#325149).
- i40evf: Allow turning off offloads when the VF has VLAN set
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: Fix for adding multiple ethtool filters on the same
  location (bsc#1101816 FATE#325147 FATE#325149).
- i40e: Add returning AQ critical error to SW (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: Delete an error message for a failed memory allocation
  in i40e_init_interrupt_scheme() (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: Disable iWARP VSI PETCP_ENA flag on netdev down events
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: check for invalid DCB config (bsc#1101816 FATE#325147
  FATE#325149).
- i40e/i40evf: Detect and recover hung queue scenario (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: Fix for blinking activity instead of link LEDs
  (bsc#1101816 FATE#325147 FATE#325149).
- i40evf: remove flush_scheduled_work call in i40evf_remove
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: avoid divide by zero (bsc#1101816 FATE#325147
  FATE#325149).
- i40e/i40evf: Enable NVMUpdate to retrieve AdminQ and add
  preservation flags for NVM update (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: track id can be 0 (bsc#1101816 FATE#325147 FATE#325149).
- i40e: change ppp name to ddp (bsc#1101816 FATE#325147
  FATE#325149).
- i40evf: Drop i40evf_fire_sw_int as it is prone to races
  (bsc#1101816 FATE#325147 FATE#325149).
- i40evf: Clean-up flags for promisc mode to avoid high polling
  rate (bsc#1101816 FATE#325147 FATE#325149).
- i40evf: Do not clear MSI-X PBA manually (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: remove redundant initialization of read_size (bsc#1101816
  FATE#325147 FATE#325149).
- i40e/i40evf: Bump driver versions (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: add helper conversion function for link_speed (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: update VFs of link state after GET_VF_RESOURCES
  (bsc#1101816 FATE#325147 FATE#325149).
- i40evf: hold the critical task bit lock while opening
  (bsc#1101816 FATE#325147 FATE#325149).
- i40evf: release bit locks in reverse order (bsc#1101816
  FATE#325147 FATE#325149).
- i40evf: use spinlock to protect (mac|vlan)_filter_list
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: display priority_xon and priority_xoff stats (bsc#1101816
  FATE#325147 FATE#325149).
- commit 15c69f4
* Fri Jul 20 2018 hare@suse.de
- nvme-loop: add support for multiple ports (bsc#1054245).
- Refresh
  patches.kabi/Revert-nvmet-constify-struct-nvmet_fabrics_ops.patch.
- commit 703b658
* Fri Jul 20 2018 glin@suse.com
- x86/efi: Access EFI MMIO data as unencrypted when SEV is active
  (bsc#1099193).
- commit bef90b1
* Thu Jul 19 2018 jack@suse.cz
- ext4: include the illegal physical block in the bad map
  ext4_error msg (bsc#1101903).
- commit e425529
* Thu Jul 19 2018 jack@suse.cz
- ext4: check superblock mapped prior to committing (bsc#1101902).
- commit 29e6b6d
* Thu Jul 19 2018 jack@suse.cz
- ext4: add more mount time checks of the superblock
  (bsc#1101900).
- commit e5fffd9
* Thu Jul 19 2018 tbogendoerfer@suse.de
- i40e/virtchnl: fix application of sizeof to pointer (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: restore promiscuous after reset (bsc#1101816 FATE#325147
  FATE#325149).
- i40evf: fix client notify of l2 params (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: Fix FLR reset timeout issue (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: Remove limit of 64 max queues per channel (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: Fix for NUP NVM image downgrade failure (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: mark PM functions as __maybe_unused (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: convert i40e_set_link_ksettings to new API (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: rename 'change' variable to 'autoneg_changed' (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: convert i40e_get_settings_link_up to new API (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: convert i40e_phy_type_to_ethtool to new API (bsc#1101816
  FATE#325147 FATE#325149).
- ethtool: add ethtool_intersect_link_masks (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: Add new PHY types for 25G AOC and ACC support (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: group autoneg PHY types together (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: fix whitespace issues in i40e_ethtool.c (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: fix comment typo (bsc#1101816 FATE#325147 FATE#325149).
- i40e: fix i40e_phy_type_to_ethtool function header (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: fix clearing link masks in i40e_get_link_ksettings
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: add function header for i40e_get_rxfh (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: remove ifdef SPEED_25000 (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: rename 'cmd' variables in ethtool interface (bsc#1101816
  FATE#325147 FATE#325149).
- i40e/i40evf: don't trust VF to reset itself (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: fix link reporting (bsc#1101816 FATE#325147 FATE#325149).
- i40e: make const array patterns static, reduces object code size
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: Add infrastructure for queue channel support (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: Add macro for PF reset bit (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: fix a typo (bsc#1101816 FATE#325147 FATE#325149).
- i40e: use a local variable instead of calculating multiple times
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: Retry AQC GetPhyAbilities to overcome I2CRead hangs
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: add check for return from find_first_bit call (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: allow XPS with QoS enabled (bsc#1101816 FATE#325147
  FATE#325149).
- i40e/i40evf: bundle more descriptors when allocating buffers
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: reduce lrxqthresh from 2 to 1 (bsc#1101816 FATE#325147
  FATE#325149).
- i40e/i40evf: always set the CLEARPBA flag when re-enabling
  interrupts (bsc#1101816 FATE#325147 FATE#325149).
- i40e/i40evf: fix incorrect default ITR values on driver load
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: fix flags declaration (bsc#1101816 FATE#325147
  FATE#325149).
- i40e/i40evf: organize and re-number feature flags (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: ignore skb->xmit_more when deciding to set RS bit
  (bsc#1101816 FATE#325147 FATE#325149).
- i40evf: enable support for VF VLAN tag stripping control
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: do not enter PHY debug mode while setting LEDs behaviour
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: implement split PCI error reset handler (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: Properly maintain flow director filters list (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: Display error message if module does not meet thermal
  requirements (bsc#1101816 FATE#325147 FATE#325149).
- i40e: fix merge error (bsc#1101816 FATE#325147 FATE#325149).
- i40e/i40evf: use DECLARE_BITMAP for state (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: fix incorrect register definition (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: redfine I40E_PHY_TYPE_MAX (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: re-enable PTP L4 capabilities for XL710 if FW >6.0
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: fix a typo in i40e_pf documentation (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: Stop dropping 802.1ad tags - eth proto 0x88a8 (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: fix handling of vf_states variable (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: make i40evf_map_rings_to_vectors void (bsc#1101816
  FATE#325147 FATE#325149).
- i40evf: Enable VF to request an alternate queue allocation
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: ensure reset occurs when disabling VF (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: make use of i40e_vc_disable_vf (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: drop i40e_pf *pf from i40e_vc_disable_vf() (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: don't hold spinlock while resetting VF (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: use admin queue for setting LEDs behavior (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: Add support for 'ethtool -m' (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: Fix reporting of supported link modes (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: Fix a potential NULL pointer dereference (bsc#1101816
  FATE#325147 FATE#325149).
- i40e: remove logically dead code (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: limit lan queue count in large CPU count machine
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: refactor FW version checking (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: Enable VF to negotiate number of allocated queues
  (bsc#1101816 FATE#325147 FATE#325149).
- i40evf: fix ring to vector mapping (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: shutdown all IRQs and disable MSI-X when suspended
  (bsc#1101816 FATE#325147 FATE#325149).
- commit 8375c42
* Thu Jul 19 2018 jack@suse.cz
- ext4: add more inode number paranoia checks (bsc#1099849
  cve-2018-10882).
- commit 2ef082c
* Thu Jul 19 2018 jack@suse.cz
- ext4: never move the system.data xattr out of the inode body
  (bsc#1099845 cve-2018-10880).
- commit 4f35458
* Thu Jul 19 2018 jack@suse.cz
- ext4: clear i_data in ext4_inode_info when removing inline data
  (bsc#1099864 cve-2018-10881).
- commit baa7a04
* Thu Jul 19 2018 jack@suse.cz
- ext4: verify the depth of extent tree in ext4_find_extent()
  (bsc#1099846 cve-2018-10877).
- commit 721d277
* Thu Jul 19 2018 jack@suse.cz
- ext4: only look at the bg_flags field if it is valid
  (bsc#1099811 cve-2018-10876).
- commit 956ddb3
* Thu Jul 19 2018 jack@suse.cz
- ext4: make sure bitmaps and the inode table don't overlap with
  bg descriptors (bsc#1099813 cve-2018-10878).
- commit c2af81d
* Thu Jul 19 2018 jack@suse.cz
- ext4: always check block group bounds in
  ext4_init_block_bitmap() (bsc#1099813 cve-2018-10878).
- commit 31a8e5b
* Thu Jul 19 2018 jack@suse.cz
- ext4: avoid running out of journal credits when appending to
  an inline file (bsc#1099863 cve-2018-10883).
- commit 4772e39
* Thu Jul 19 2018 jack@suse.cz
- ext4: always verify the magic number in xattr blocks
  (bsc#1099844 cve-2018-10879).
- commit 60a5dc5
* Thu Jul 19 2018 jack@suse.cz
- ext4: add corruption check in ext4_xattr_set_entry()
  (bsc#1099844 cve-2018-10879).
- commit 235be78
* Thu Jul 19 2018 jack@suse.cz
- ext4: bubble errors from ext4_find_inline_data_nolock() up to
  ext4_iget() (bsc#1101896).
- commit d7be984
* Thu Jul 19 2018 jack@suse.cz
- blacklist.conf: blacklist 117166efb1ee
- commit 70a37d4
* Thu Jul 19 2018 jack@suse.cz
- ext4: update mtime in ext4_punch_hole even if no blocks are
  released (bsc#1101895).
- commit 70e3fb4
* Thu Jul 19 2018 tbogendoerfer@suse.de
- i40e: don't clear suspended state until we finish resuming
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: prevent service task from running while we're suspended
  (bsc#1101816 FATE#325147 FATE#325149).
- Refresh
  patches.drivers/i40e-Close-client-on-suspend-and-restore-client-MSIx.patch.
- commit 9df198c
* Thu Jul 19 2018 jack@suse.cz
- blacklist.conf: blacklist 0d9366d67bcf
- commit a5ffaff
* Thu Jul 19 2018 jack@suse.cz
- blacklist.conf: blacklist 98c4f78dcdd8
- commit 87712ae
* Thu Jul 19 2018 jack@suse.cz
- Force log to disk before reading the AGF during a fstrim
  (bsc#1101893).
- commit 71f938b
* Thu Jul 19 2018 jack@suse.cz
- udf: Detect incorrect directory size (bsc#1101891).
- commit 8391b7e
* Thu Jul 19 2018 jack@suse.cz
- udf: Provide saner default for invalid uid / gid (bsc#1101890).
- commit ebbf597
* Thu Jul 19 2018 jack@suse.cz
- jbd2: don't mark block as modified if the handle is out of
  credits (bsc#1099863 cve-2018-10883).
- commit 2926ea8
* Thu Jul 19 2018 jack@suse.cz
- isofs: fix potential memory leak in mount option parsing
  (bsc#1101887).
- commit ad29748
* Thu Jul 19 2018 jack@suse.cz
- blacklist.conf: blacklist 174d1232ebc8
- commit 31a31ab
* Thu Jul 19 2018 tbogendoerfer@suse.de
- i40e: use newer generic PM support instead of legacy PM
  callbacks (bsc#1101816 FATE#325147 FATE#325149).
- i40e: use separate state bit for miscellaneous IRQ setup
  (bsc#1101816 FATE#325147 FATE#325149).
- i40evf: lower message level (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: fix for flow director counters not wrapping as expected
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: relax warning message in case of version mismatch
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: simplify member variable accesses (bsc#1101816 FATE#325147
  FATE#325149).
- i40e: Fix link down message when interface is brought up
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e: Fix unqualified module message while bringing link up
  (bsc#1101816 FATE#325147 FATE#325149).
- i40e/i40evf: rename bytes_per_int to bytes_per_usec (bsc#1101816
  FATE#325147 FATE#325149).
- drivers: net: i40evf: use setup_timer() helper (bsc#1101816
  FATE#325147 FATE#325149).
- net: ethtool: Add macro to clear a link mode setting
  (bsc#1101816 FATE#325147 FATE#325149).
- commit 71db825
* Thu Jul 19 2018 jack@suse.cz
- blacklist.conf: blacklist 92183a42898d
- commit 186b50c
* Thu Jul 19 2018 jack@suse.cz
- fscache: Fix hanging wait on page discarded by writeback
  (bsc#1101885).
- commit e791421
* Thu Jul 19 2018 jack@suse.cz
- fs: don't scan the inode cache before SB_BORN is set
  (bsc#1101883).
- commit b10f1e5
* Thu Jul 19 2018 jack@suse.cz
- fs: clear writeback errors in inode_init_always (bsc#1101882).
- commit b940b30
* Thu Jul 19 2018 jack@suse.cz
- ext2: fix a block leak (bsc#1101875).
- commit 20f71c9
* Thu Jul 19 2018 jack@suse.cz
- blacklist.conf: blacklist 80660f20252d
- commit 2a35b88
* Thu Jul 19 2018 jack@suse.cz
- block: Fix transfer when chunk sectors exceeds max
  (bsc#1101874).
- commit f2d6c9c
* Thu Jul 19 2018 jack@suse.cz
- cdrom: do not call check_disk_change() inside cdrom_open()
  (bsc#1101872).
- commit 326588f
* Thu Jul 19 2018 jack@suse.cz
- bdi: Move cgroup bdi_writeback to a dedicated low concurrency
  workqueue (bsc#1101867).
- commit 7ad957c
* Thu Jul 19 2018 jack@suse.cz
- blacklist.conf: blacklist 428edade4e6c7
- commit 2ea951e
* Thu Jul 19 2018 jack@suse.cz
- blacklist.conf: blacklist a86b06d1ccd21
- commit 8715af2
* Thu Jul 19 2018 jack@suse.cz
- ext4: fix fencepost error in check for inode count overflow
  during resize (bsc#1101853).
- commit f80d662
* Thu Jul 19 2018 jack@suse.cz
- fix io_destroy()/aio_complete() race (bsc#1101852).
- commit 8e12bc8
* Thu Jul 19 2018 jack@suse.cz
- reiserfs: fix buffer overflow with long warning messages
  (bsc#1101847).
- commit 681d5b3
* Thu Jul 19 2018 jack@suse.cz
- orangefs: set i_size on new symlink (bsc#1101845).
- commit 14d9484
* Thu Jul 19 2018 jack@suse.cz
- befs_lookup(): use d_splice_alias() (bsc#1101844).
- commit a42c37f
* Thu Jul 19 2018 jack@suse.cz
- ext4: report delalloc reserve as non-free in statfs for project
  quota (bsc#1101843).
- commit b3fc4b1
* Thu Jul 19 2018 jack@suse.cz
- ext4: factor out helper ext4_sample_last_mounted()
  (bsc#1101841).
- commit c06c679
* Thu Jul 19 2018 jack@suse.cz
- vfs: add the sb_start_intwrite_trylock() helper (bsc#1101841).
- commit 83d517b
* Thu Jul 19 2018 jack@suse.cz
- ext4: do not update s_last_mounted of a frozen fs (bsc#1101841).
- commit 7692686
* Thu Jul 19 2018 jack@suse.cz
- mm: fix __gup_device_huge vs unmap (bsc#1101839).
- commit df63a9f
* Thu Jul 19 2018 jack@suse.cz
- f2fs: call unlock_new_inode() before d_instantiate()
  (bsc#1101837).
- commit ed52048
* Thu Jul 19 2018 jack@suse.cz
- blacklist.conf: blacklist a9af3fdcc425
- commit 9fb6929
* Thu Jul 19 2018 jack@suse.cz
- xfs: prevent creating negative-sized file via INSERT_RANGE
  (bsc#1101833).
- commit bdcecc6
* Thu Jul 19 2018 jack@suse.cz
- orangefs: report attributes_mask and attributes for statx
  (bsc#1101832).
- commit 80952d7
* Thu Jul 19 2018 jack@suse.cz
- afs: Fix directory permissions check (bsc#1101828).
- blacklist.conf: Blacklist 001ab5a67ee5
- commit 008ca23
* Thu Jul 19 2018 tbogendoerfer@suse.de
- fm10k: don't protect fm10k_queue_mac_request by
  fm10k_host_mbx_ready (bsc#1101813 FATE#325148).
- fm10k: warn if the stat size is unknown (bsc#1101813
  FATE#325148).
- fm10k: use macro to avoid passing the array and size separately
  (bsc#1101813 FATE#325148).
- fm10k: use variadic arguments to fm10k_add_stat_strings
  (bsc#1101813 FATE#325148).
- fm10k: reduce duplicate fm10k_stat macro code (bsc#1101813
  FATE#325148).
- fm10k: setup VLANs for l2 accelerated macvlan interfaces
  (bsc#1101813 FATE#325148).
- fm10k: bump version number (bsc#1101813 FATE#325148).
- fm10k: fix incorrect warning for function prototype (bsc#1101813
  FATE#325148).
- fm10k: fix function doxygen comments (bsc#1101813 FATE#325148).
- fm10k: clarify action when updating the VLAN table (bsc#1101813
  FATE#325148).
- fm10k: correct typo in fm10k_pf.c (bsc#1101813 FATE#325148).
- fm10k: don't assume VLAN 1 is enabled (bsc#1101813 FATE#325148).
- fm10k: stop adding VLAN 0 to the VLAN table (bsc#1101813
  FATE#325148).
- fm10k: fix "failed to kill vid" message for VF (bsc#1101813
  FATE#325148).
- fm10k: cleanup unnecessary parenthesis in fm10k_iov.c
  (bsc#1101813 FATE#325148).
- fm10k: Fix configuration for macvlan offload (bsc#1101813
  FATE#325148).
- fm10k: mark PM functions as __maybe_unused (bsc#1101813
  FATE#325148).
- fm10k: prefer %%s and __func__ for diagnostic prints (bsc#1101813
  FATE#325148).
- fm10k: Fix misuse of net_ratelimit() (bsc#1101813 FATE#325148).
- fm10k: bump version number (bsc#1101813 FATE#325148).
- fm10k: use the MAC/VLAN queue for VF<->PF MAC/VLAN requests
  (bsc#1101813 FATE#325148).
- fm10k: introduce a message queue for MAC/VLAN messages
  (bsc#1101813 FATE#325148).
- fm10k: use generic PM hooks instead of legacy PCIe power hooks
  (bsc#1101813 FATE#325148).
- fm10k: use spinlock to implement mailbox lock (bsc#1101813
  FATE#325148).
- fm10k: prepare_for_reset() when we lose PCIe Link (bsc#1101813
  FATE#325148).
- fm10k: prevent race condition of __FM10K_SERVICE_SCHED
  (bsc#1101813 FATE#325148).
- fm10k: move fm10k_prepare_for_reset and fm10k_handle_reset
  (bsc#1101813 FATE#325148).
- fm10k: avoid divide by zero in rare cases when device is
  resetting (bsc#1101813 FATE#325148).
- fm10k: don't loop while resetting VFs due to VFLR event
  (bsc#1101813 FATE#325148).
- fm10k: simplify reading PFVFLRE register (bsc#1101813
  FATE#325148).
- fm10k: avoid needless delay when loading driver (bsc#1101813
  FATE#325148).
- fm10k: add missing fall through comment (bsc#1101813
  FATE#325148).
- fm10k: avoid possible truncation of q_vector->name (bsc#1101813
  FATE#325148).
- fm10k: fix typos on fall through comments (bsc#1101813
  FATE#325148).
- fm10k: stop spurious link down messages when Tx FIFO is full
  (bsc#1101813 FATE#325148).
- fm10k: Use seq_putc() in fm10k_dbg_desc_break() (bsc#1101813
  FATE#325148).
- fm10k: reschedule service event if we stall the PF<->SM mailbox
  (bsc#1101813 FATE#325148).
- commit c3d0148
* Wed Jul 18 2018 tbogendoerfer@suse.de
- ixgbe: Fix setting of TC configuration for macvlan case
  (bsc#1101674 FATE#325150 FATE#325151).
- commit 93b5927
* Wed Jul 18 2018 tiwai@suse.de
- ALSA: hda/realtek - Yet another Clevo P950 quirk entry
  (bsc#1101143).
- commit 3e12cbc
* Wed Jul 18 2018 tbogendoerfer@suse.de
- ixgbe: fix possible race in reset subtask (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbe: introduce a helper to simplify code (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbevf: fix possible race in the reset subtask (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbevf: fix MAC address changes through ixgbevf_set_mac()
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: force VF to grab new MAC on driver reload (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbe/ixgbevf: Free IRQ when PCI error recovery removes the
  device (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: Drop support for macvlan specific unicast lists
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbevf: fix ixgbevf_xmit_frame()'s return type (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbe: return error on unsupported SFP module when resetting
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: fix read-modify-write in x550 phy setup (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbe: add status reg reads to ixgbe_check_remove (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbe: fix disabling hide VLAN on VF reset (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbevf: fix unused variable warning (bsc#1101674 FATE#325150
  FATE#325151).
- ixgbe: Add receive length error counter (bsc#1101674 FATE#325150
  FATE#325151).
- ixgbevf: remove redundant initialization of variable 'dma'
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbevf: add build_skb support (bsc#1101674 FATE#325150
  FATE#325151).
- ixgbevf: break out Rx buffer page management (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbevf: allocate the rings as part of q_vector (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbevf: make sure all frames fit minimum size requirements
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbevf: add support for padding packet (bsc#1101674 FATE#325150
  FATE#325151).
- ixgbevf: setup queue counts (bsc#1101674 FATE#325150
  FATE#325151).
- ixgbevf: add support for using order 1 pages to receive large
  frames (bsc#1101674 FATE#325150 FATE#325151).
- ixgbevf: add ethtool private flag for legacy Rx (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbevf: use page_address offset from page (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbe: Avoid to write the RETA table when unnecessary
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: remove redundant initialization of 'pool' (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbe: Fix && vs || typo (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: add support for reporting 5G link speed (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbe: Don't report unsupported timestamping filters for X550
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: use ARRAY_SIZE for array sizing calculation on array buf
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbevf: use ARRAY_SIZE for various array sizing calculations
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbevf: don't bother clearing tx_buffer_info in
  ixgbevf_clean_tx_ring() (bsc#1101674 FATE#325150 FATE#325151).
- ixgbevf: improve performance and reduce size of ixgbevf_tx_map()
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbevf: clear rx_buffer_info in configure instead of clean
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbevf: add counters for Rx page allocations (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbevf: update code to better handle incrementing page count
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbevf: add support for DMA_ATTR_SKIP_CPU_SYNC/WEAK_ORDERING
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbevf: use length to determine if descriptor is done
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbevf: only DMA sync frame length (bsc#1101674 FATE#325150
  FATE#325151).
- ixgbevf: add function for checking if we can reuse page
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbevf: Fix kernel-doc format warnings (bsc#1101674 FATE#325150
  FATE#325151).
- ixgbe: Fix kernel-doc format warnings (bsc#1101674 FATE#325150
  FATE#325151).
- ixgbe: Fix handling of macvlan Tx offload (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbe: avoid bringing rings up/down as macvlans are
  added/removed (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: Do not manipulate macvlan Tx queues when performing
  macvlan offload (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe/fm10k: Record macvlan stats instead of Rx queue for
  macvlan offloaded rings (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: Don't assume dev->num_tc is equal to hardware TC config
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: Default to 1 pool always being allocated (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbe: Assume provided MAC filter has been verified by macvlan
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: Drop l2_accel_priv data pointer from ring struct
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: Use ring values to test for Tx pending (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbe: Fix limitations on macvlan so we can support up to 63
  offloaded devices (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: There is no need to update num_rx_pools in L2 fwd offload
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: Add support for macvlan offload RSS on X550 and clean-up
  pool handling (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: Perform reinit any time number of VFs change (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbe: Fix interaction between SR-IOV and macvlan offload
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbevf: remove redundant setting of xcast_mode (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbe: Remove an obsolete comment about ITR (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbe: extend firmware version support (bsc#1101674 FATE#325150
  FATE#325151).
- ixgbe: advertise highest capable link speed (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbe: remove unused enum latency_range (bsc#1101674 FATE#325150
  FATE#325151).
- ixgbe: enable multicast on shutdown for WOL (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbe: fix crash when injecting AER after failed reset
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: Update adaptive ITR algorithm (bsc#1101674 FATE#325150
  FATE#325151).
- ixgbe: fix the FWSM.PT check in ixgbe_mng_present() (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbe: add counter for times Rx pages gets allocated, not
  recycled (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: split Tx/Rx ring clearing for ethtool loopback test
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: add error checks when initializing the PHY (bsc#1101674
  FATE#325150 FATE#325151).
- ixgbe: restore normal RSS after last macvlan offload is removed
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: declare ixgbe_mac_operations structures as const
  (bsc#1101674 FATE#325150 FATE#325151).
- ixgbe: Clear SWFW_SYNC register during init (bsc#1101674
  FATE#325150 FATE#325151).
- cnic: Fix an error handling path in 'cnic_alloc_bnx2x_resc()'
  (bsc#1086324 FATE#324900).
- commit 5bb101f
* Wed Jul 18 2018 tbogendoerfer@suse.de
- kabi/severities: add qed inter module symbols to kabi ignore list
- commit afcb65f
* Wed Jul 18 2018 tbogendoerfer@suse.de
- qed: Fix use of incorrect shmem address (bsc#1086314 FATE#324886
  bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Fix shared memory inconsistency between driver and the MFW
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- commit 9364aa7
* Wed Jul 18 2018 tbogendoerfer@suse.de
- qed*: Support drop action classification (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qede: Support flow classification to the VFs (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed*: Support other classification modes (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qede: Validate unsupported configurations (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qede: Refactor ethtool rx classification flow (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qede: Add support for populating ethernet TLVs (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Add driver infrastucture for handling mfw requests
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- qed: Add support for processing iscsi tlv request (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Add support for processing fcoe tlv request (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Add support for tlv request processing (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Add MFW interfaces for TLV request support (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qede: Add build_skb() support (bsc#1086314 FATE#324886
  bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Fix LL2 race during connection terminate (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Fix possibility of list corruption during rmmod flows
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- qed: Add support for Unified Fabric Port (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Add support for multi function mode with 802.1ad tagging
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- qed: Remove unused data member 'is_mf_default' (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed*: Refactor mf_mode to consist of bits (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- commit b2ad2ff
* Wed Jul 18 2018 hare@suse.de
- Revert "nvme: mark nvme_queue_scan static" (bsc#1054245).
- commit 4eef6f0
* Wed Jul 18 2018 hare@suse.de
- nvme: kabi fixes for nvme_ctrl (bsc#1054245).
- commit dbcdf9b
* Wed Jul 18 2018 jslaby@suse.cz
- tcp: verify the checksum of the first data segment in a new
  connection (networking-stable-18_06_20).
- net: dsa: add error handling for pskb_trim_rcsum
  (networking-stable-18_06_20).
- ipv6: allow PMTU exceptions to local routes
  (networking-stable-18_06_20).
- net: phy: dp83822: use BMCR_ANENABLE instead of BMSR_ANEGCAPABLE
  for DP83620 (networking-stable-18_06_20).
- socket: close race condition between sock_close() and
  sockfs_setattr() (networking-stable-18_06_20).
- udp: fix rx queue len reported by diag and proc interface
  (networking-stable-18_06_20).
- cdc_ncm: avoid padding beyond end of skb
  (networking-stable-18_06_20).
- net/sched: act_simple: fix parsing of TCA_DEF_DATA
  (networking-stable-18_06_20).
- bonding: re-evaluate force_primary when the primary slave name
  changes (networking-stable-18_06_20).
- net: in virtio_net_hdr only add VLAN_HLEN to csum_start if
  payload holds vlan (networking-stable-18_06_20).
- commit 5e9362d
* Tue Jul 17 2018 tzimmermann@suse.de
- blacklist.conf: Add 'drm/omap: check return value from soc_device_match'
- commit 57b6835
* Tue Jul 17 2018 jeyu@suse.de
- module: make it clear when we're handling the module copy in
  info->hdr (bsc#1093666).
- module: setup load info before module_sig_check() (bsc#1093666).
- modsign: log module name in the event of an error (bsc#1093666).
- ARM: module: fix modsign build error (bsc#1093666).
- modsign: print module name along with error message
  (bsc#1093666).
- Refresh
  patches.drivers/0001-module-warn-if-module-init-probe-takes-long.patch.
- Refresh
  patches.suse/0004-MODSIGN-checking-the-blacklisted-hash-before-loading.patch.
- Refresh
  patches.suse/0042-Enforce-module-signatures-if-the-kernel-is-locked-do.patch.
- scripts/git_sort/git_sort.py: add modules-next tree
- commit 31d0a45
* Tue Jul 17 2018 hare@suse.de
- nvme: kABI fixes for nvmet_ctrl (bsc#1054245).
- Revert 'nvmet: constify struct nvmet_fabrics_ops' (bsc#1054245).
- commit 6d617e4
* Tue Jul 17 2018 yousaf.kaukab@suse.com
- mailbox: PCC: erroneous error message when parsing ACPI PCCT
  (bsc#1096330).
- commit 0791116
* Tue Jul 17 2018 tzimmermann@suse.de
- blacklist.conf: Add 'drm/amdgpu: Refactor amdgpu_vram_mgr_bo_invisible_size helper'
- commit 1cc7869
* Tue Jul 17 2018 tzimmermann@suse.de
- blacklist.conf: Add 'drm/amdgpu: fix the missed vcn fw version report'
- commit 67c198b
* Tue Jul 17 2018 hare@suse.de
- nvmet: reset keep alive timer in controller enable
  (bsc#1054245).
- nvme: don't rely on the changed namespace list log
  (bsc#1054245).
- nvme: add bio remapping tracepoint (bsc#1054245).
- nvme: cleanup double shift issue (bsc#1054245).
- nvmet: filter newlines from user input (bsc#1054245).
- nvme: don't hold nvmf_transports_rwsem for more than transport
  lookups (bsc#1054245).
- nvmet: return all zeroed buffer when we can't find an active
  namespace (bsc#1054245).
- block: always set partition number to '0' in
  blk_partition_remap() (bsc#1054245).
- nvme: use the changed namespaces list log to clear ns data
  changed AENs (bsc#1054245).
- nvme: mark nvme_queue_scan static (bsc#1054245).
- nvme: submit AEN event configuration on startup (bsc#1054245).
- nvmet: mask pending AENs (bsc#1054245).
- nvmet: add AEN configuration support (bsc#1054245).
- nvmet: implement the changed namespaces log (bsc#1054245).
- nvmet: split log page implementation (bsc#1054245).
- nvmet: add a new nvmet_zero_sgl helper (bsc#1054245).
- nvme.h: add AEN configuration symbols (bsc#1054245).
- nvme.h: add the changed namespace list log (bsc#1054245).
- nvme.h: untangle AEN notice definitions (bsc#1054245).
- nvme: host: core: fix precedence of ternary operator
  (bsc#1054245).
- nvme: fix use-after-free in nvme_free_ns_head (bsc#1054245).
- nvme/multipath: Disable runtime writable enabling parameter
  (bsc#1054245).
- nvme: enforce 64bit offset for nvme_get_log_ext fn
  (bsc#1054245).
- nvme: make nvme_get_log_ext non-static (bsc#1054245).
- nvmet: constify struct nvmet_fabrics_ops (bsc#1054245).
- nvme: centralize ctrl removal prints (bsc#1054245).
- nvme: implement log page low/high offset and dwords
  (bsc#1054245).
- commit cad5ae8
* Tue Jul 17 2018 tbogendoerfer@suse.de
- qed: Fix copying 2 strings (bsc#1086314 FATE#324886 bsc#1086313
  FATE#324885 bsc#1086301 FATE#3248881).
- qed: Add configuration information to register dump and
  debug data (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885
  bsc#1086301 FATE#3248881).
- qed: Delete unused parameter p_ptt from mcp APIs (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed* : Add new TLV to request PF to update MAC in bulletin board
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- qed* : use trust mode to allow VF to override forced MAC
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- RDMA/qedr: Fix doorbell bar mapping for dpi > 1 (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: LL2 flush isles when connection is closed (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qede: Fix ref-cnt usage count (bsc#1086314 FATE#324886
  bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: fix spelling mistake: "taskelt" -> "tasklet" (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: fix spelling mistake: "offloded" -> "offloaded"
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- qed: fix spelling mistake: "checksumed" -> "checksummed"
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- RDMA/qedr: Fix wmb usage in qedr (bsc#1086314 FATE#324886
  bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- RDMA/qedr: Zero stack memory before copying to user space
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- IB/qedr: Remove GID add/del dummy routines (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qedr: Fix spelling mistake: "hanlde" -> "handle" (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- RDMA/qedr: eliminate duplicate barriers on weakly-ordered archs
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- qede: Ethtool flash update support (bsc#1086314 FATE#324886
  bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Adapter flash update support (bsc#1086314 FATE#324886
  bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Add APIs for flash access (bsc#1086314 FATE#324886
  bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Fix PTT entry leak in the selftest error flow (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Populate nvm image attribute shadow (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed*: Utilize FW 8.33.11.0 (bsc#1086314 FATE#324886 bsc#1086313
  FATE#324885 bsc#1086301 FATE#3248881).
- qed: Use true and false for boolean values (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qlogic/qed: Constify *pkt_type_str (bsc#1086314 FATE#324886
  bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qede: Do not drop rx-checksum invalidated packets (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qede: Fix barrier usage after tx doorbell write (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qede: fix spelling mistake: "registeration" -> "registration"
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- RDMA/qedr: Fix iWARP write and send with immediate (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- RDMA/qedr: Fix kernel panic when running fio over NFSoRDMA
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- RDMA/qedr: Fix iWARP connect with port mapper (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- RDMA/qedr: Fix ipv6 destination address resolution (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- net: qed: use correct strncpy() size (bsc#1086314 FATE#324886
  bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: code indent should use tabs where possible (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Use zeroing memory allocator than allocator/memset
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- qed*: Utilize FW 8.33.1.0 (bsc#1086314 FATE#324886 bsc#1086313
  FATE#324885 bsc#1086301 FATE#3248881).
- qed*: HSI renaming for different types of HW (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed*: Refactoring and rearranging FW API with no functional
  impact (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885
  bsc#1086301 FATE#3248881).
- qede: Use NETIF_F_GRO_HW (bsc#1086314 FATE#324886 bsc#1086313
  FATE#324885 bsc#1086301 FATE#3248881).
- RDMA/qedr: lower print level of flushed CQEs (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- RDMA/qedr: Fix endian problems around imm_data (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- RDMA/qedr: Use zeroing memory allocator than allocator/memset
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- drivers/net/ethernet/qlogic/qed: Fix __qed_spq_block() ordering
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- commit c78531b
* Tue Jul 17 2018 tiwai@suse.de
- ubi: fastmap: Correctly handle interrupted erasures in EBA
  (bsc#1051510).
- commit fbbfe4a
* Tue Jul 17 2018 tiwai@suse.de
- staging: rtl8723bs: Prevent an underflow in
  rtw_check_beacon_data() (bsc#1051510).
- commit 54445f4
* Tue Jul 17 2018 tiwai@suse.de
- PM / hibernate: Fix oops at snapshot_write() (bsc#1051510).
- commit 3cdeea9
* Tue Jul 17 2018 tiwai@suse.de
- media: cx25840: Use subdev host data for PLL override
  (bsc#1051510).
- commit b1d91d2
* Tue Jul 17 2018 tiwai@suse.de
- ASoC: mediatek: preallocate pages use platform device
  (bsc#1051510).
- commit 44a01c9
* Tue Jul 17 2018 tiwai@suse.de
- ALSA: hda/realtek - two more lenovo models need fixup of
  MIC_LOCATION (bsc#1051510).
- ALSA: hda - Handle pm failure during hotplug (bsc#1051510).
- commit 4922c4e
* Tue Jul 17 2018 tbogendoerfer@suse.de
- qed: Free reserved MR tid (bsc#1086314 FATE#324886 bsc#1086313
  FATE#324885 bsc#1086301 FATE#3248881).
- Refresh
  patches.drivers/qed-Free-RoCE-ILT-Memory-on-rmmod-qedr.patch.
- Refresh
  patches.drivers/qed-Use-after-free-in-qed_rdma_free.patch.
- commit 826659e
* Tue Jul 17 2018 tbogendoerfer@suse.de
- qed: Remove reserveration of dpi for kernel (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: Fix potential use-after-free in qed_spq_post() (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- qed: use kzalloc instead of kmalloc and memset (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- RDMA/qedr: Remove set-but-not-used variables (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- RDMA/qedr: Annotate iomem pointers correctly (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- RDMA/qedr: Declare local functions static (bsc#1086314
  FATE#324886 bsc#1086313 FATE#324885 bsc#1086301 FATE#3248881).
- RDMA/qedr: Use NULL instead of 0 to represent a pointer
  (bsc#1086314 FATE#324886 bsc#1086313 FATE#324885 bsc#1086301
  FATE#3248881).
- commit 9ffb606
* Tue Jul 17 2018 jslaby@suse.cz
- netdev-FAQ: clarify DaveM's position for stable backports
  (networking-stable-18_06_08).
- rtnetlink: validate attributes in do_setlink()
  (networking-stable-18_06_08).
- net: metrics: add proper netlink validation
  (networking-stable-18_06_08).
- sctp: not allow transport timeout value less than HZ/5 for
  hb_timer (networking-stable-18_06_08).
- team: use netdev_features_t instead of u32
  (networking-stable-18_06_08).
- net/packet: refine check for priv area size
  (networking-stable-18_06_08).
- vrf: check the original netdevice for generating redirect
  (networking-stable-18_06_08).
- net: usb: cdc_mbim: add flag FLAG_SEND_ZLP
  (networking-stable-18_06_08).
- ip6_tunnel: remove magic mtu value 0xFFF8
  (networking-stable-18_06_08).
- kcm: Fix use-after-free caused by clonned sockets
  (networking-stable-18_06_08).
- net-sysfs: Fix memory leak in XPS configuration
  (networking-stable-18_06_08).
- net: ethernet: davinci_emac: fix error handling in probe()
  (networking-stable-18_06_08).
- mlxsw: spectrum: Forbid creation of VLAN 1 over port/LAG
  (networking-stable-18_06_08).
- ipv6: sr: fix memory OOB access in seg6_do_srh_encap/inline
  (networking-stable-18_06_08).
- enic: set DMA mask to 47 bit (networking-stable-18_06_08).
- ipv4: remove warning in ip_recv_error
  (networking-stable-18_06_08).
- vhost: synchronize IOTLB message with dev cleanup
  (networking-stable-18_06_08).
- net/mlx5e: When RXFCS is set, add FCS data into checksum
  calculation (networking-stable-18_06_08).
- net/mlx4: Fix irq-unsafe spinlock usage
  (networking-stable-18_06_08).
- net: phy: broadcom: Fix bcm_write_exp()
  (networking-stable-18_06_08).
- net: phy: broadcom: Fix auxiliary control register reads
  (networking-stable-18_06_08).
- net: ipv4: add missing RTA_TABLE to rtm_ipv4_policy
  (networking-stable-18_06_08).
- virtio-net: fix leaking page for gso packet during mergeable
  XDP (networking-stable-18_06_08).
- virtio-net: correctly transmit XDP buff after linearizing
  (networking-stable-18_06_08).
- qed: Fix mask for physical address in ILT entry
  (networking-stable-18_06_08).
- ipmr: properly check rhltable_init() return value
  (networking-stable-18_06_08).
- dccp: don't free ccid2_hc_tx_sock struct in dccp_disconnect()
  (networking-stable-18_06_08).
- net: ethernet: ti: cpdma: correct error handling for chan create
  (networking-stable-18_06_08).
- commit 659a5fd
* Tue Jul 17 2018 tbogendoerfer@suse.de
- RDMA/bnxt_re: Fix broken RoCE driver due to recent L2 driver
  changes (bsc#1086283 FATE#324874).
- RDMA/bnxt_re: Remove redundant bnxt_qplib_disable_nq() call
  (bsc#1086283 FATE#324874).
- commit 6b2af6f
* Tue Jul 17 2018 tbogendoerfer@suse.de
- bnxt_en: Always forward VF MAC address to the PF (bsc#1086282
  FATE#324873).
- bnxt_en: Read phy eeprom A2h address only when optical
  diagnostics is supported (bsc#1086282 FATE#324873).
- bnxt_en: Check unsupported speeds in bnxt_update_link() on PF
  only (bsc#1086282 FATE#324873).
- bnxt_en: Fix firmware message delay loop regression (bsc#1086282
  FATE#324873).
- bnxt_en: Reserve rings at driver open if none was reserved at
  probe time (bsc#1086282 FATE#324873).
- bnxt_en: Reserve RSS and L2 contexts for VF (bsc#1086282
  FATE#324873).
- bnxt_en: Don't reserve rings on VF when min rings were not
  provisioned by PF (bsc#1086282 FATE#324873).
- bnxt_en: Reserve rings in bnxt_set_channels() if device is down
  (bsc#1086282 FATE#324873).
- bnxt_en: reduce timeout on initial HWRM calls (bsc#1086282
  FATE#324873).
- bnxt_en: Increase RING_IDLE minimum threshold to 50 (bsc#1086282
  FATE#324873).
- bnxt_en: Do not allow VF to read EEPROM (bsc#1086282
  FATE#324873).
- bnxt_en: Display function level rx/tx_discard_pkts via ethtool
  (bsc#1086282 FATE#324873).
- bnxt_en: Simplify ring alloc/free error messages (bsc#1086282
  FATE#324873).
- bnxt_en: Do not set firmware time from VF driver on older
  firmware (bsc#1086282 FATE#324873).
- bnxt_en: Check the lengths of encapsulated firmware responses
  (bsc#1086282 FATE#324873).
- bnxt_en: Remap TC to hardware queues when configuring PFC
  (bsc#1086282 FATE#324873).
- bnxt_en: Add TC to hardware QoS queue mapping logic (bsc#1086282
  FATE#324873).
- bpf: make bnxt compatible w/ bpf_xdp_adjust_tail (bsc#1086282
  FATE#324873).
- bnxt_en: Fix NULL pointer dereference at bnxt_free_irq()
  (bsc#1086282 FATE#324873).
- bnxt_en: Need to include RDMA rings in bnxt_check_rings()
  (bsc#1086282 FATE#324873).
- bnxt_en: Support max-mtu with VF-reps (bsc#1086282 FATE#324873).
- bnxt_en: Fix ethtool -x crash when device is down (bsc#1086282
  FATE#324873).
- bnxt_en: Add ULP calls to stop and restart IRQs (bsc#1086282
  FATE#324873).
- bnxt_en: Reserve completion rings and MSIX for bnxt_re RDMA
  driver (bsc#1086282 FATE#324873).
- bnxt_en: Refactor bnxt_need_reserve_rings() (bsc#1086282
  FATE#324873).
- bnxt_en: Add IRQ remapping logic (bsc#1086282 FATE#324873).
- bnxt_en: Change IRQ assignment for RDMA driver (bsc#1086282
  FATE#324873).
- bnxt_en: Improve ring allocation logic (bsc#1086282
  FATE#324873).
- bnxt_en: Improve valid bit checking in firmware response message
  (bsc#1086282 FATE#324873).
- bnxt_en: Improve resource accounting for SRIOV (bsc#1086282
  FATE#324873).
- bnxt_en: Check max_tx_scheduler_inputs value from firmware
  (bsc#1086282 FATE#324873).
- bnxt_en: Add extended port statistics support (bsc#1086282
  FATE#324873).
- bnxt_en: Include additional hardware port statistics in ethtool
  - S (bsc#1086282 FATE#324873).
- bnxt_en: Add support for ndo_set_vf_trust (bsc#1086282
  FATE#324873).
- bnxt_en: Use a dedicated VNIC mode for RDMA (bsc#1086282
  FATE#324873).
- bnxt_en: Adjust default rings for multi-port NICs (bsc#1086282
  FATE#324873).
- bnxt_en: Update firmware interface to 1.9.1.15 (bsc#1086282
  FATE#324873).
- bnxt_en: Eliminate duplicate barriers on weakly-ordered archs
  (bsc#1086282 FATE#324873).
- bnxt_en: close & open NIC, only when the interface is in
  running state (bsc#1086282 FATE#324873).
- bnxt_en: Fix regressions when setting up MQPRIO TX rings
  (bsc#1086282 FATE#324873).
- bnxt_en: Pass complete VLAN TCI to the stack (bsc#1086282
  FATE#324873).
- bnxt_en: Fix vnic accounting in the bnxt_check_rings() path
  (bsc#1086282 FATE#324873).
- bnxt_en: Refactor the functions to reserve hardware rings
  (bsc#1086282 FATE#324873).
- bnxt_en: export a common switchdev PARENT_ID for all reps of
  an adapter (bsc#1086282 FATE#324873).
- bnxt_en: Add cache line size setting to optimize performance
  (bsc#1086282 FATE#324873).
- bnxt_en: Forward VF MAC address to the PF (bsc#1086282
  FATE#324873).
- bnxt_en: Add BCM5745X NPAR device IDs (bsc#1086282 FATE#324873).
- bnxt_en: Expand bnxt_check_rings() to check all resources
  (bsc#1086282 FATE#324873).
- bnxt_en: Implement new method for the PF to assign SRIOV
  resources (bsc#1086282 FATE#324873).
- bnxt_en: Reserve resources for RFS (bsc#1086282 FATE#324873).
- bnxt_en: Implement new method to reserve rings (bsc#1086282
  FATE#324873).
- bnxt_en: Set initial default RX and TX ring numbers the same
  in combined mode (bsc#1086282 FATE#324873).
- bnxt_en: Add the new firmware API to query hardware resources
  (bsc#1086282 FATE#324873).
- bnxt_en: Refactor hardware resource data structures (bsc#1086282
  FATE#324873).
- bnxt_en: Restore MSIX after disabling SRIOV (bsc#1086282
  FATE#324873).
- bnxt_en: Refactor bnxt_close_nic() (bsc#1086282 FATE#324873).
- bnxt_en: Update firmware interface to 1.9.0 (bsc#1086282
  FATE#324873).
- ethernet/broadcom: Use zeroing memory allocator than
  allocator/memset (bsc#1086282 FATE#324873).
- commit 4f4d8d1
* Tue Jul 17 2018 nborisov@suse.com
- kmod: fix wait on recursive loop (bsc#1099792).
- wait: add wait_event_killable_timeout() (bsc#1099792).
- kmod: throttle kmod thread limit (bsc#1099792).
- kmod: reduce atomic operations on kmod_concurrent and simplify
  (bsc#1099792).
- commit d8a7e2c
* Mon Jul 16 2018 rgoldwyn@suse.com
- restore cond_resched() in shrink_dcache_parent() (bsc#1098599).
- Refresh patches.fixes/dcache-add-cond_resched-in-shrink_dentry_list.patch.
- commit 460aaf6
* Mon Jul 16 2018 tzimmermann@suse.de
- drm: Use kvzalloc for allocating blob property memory (bsc#1101352).
- commit f1b9fcd
* Mon Jul 16 2018 tiwai@suse.de
- HID: add backlight level quirk for Asus ROG laptops
  (bsc#1101324).
- commit bbee3e0
* Mon Jul 16 2018 tzimmermann@suse.de
- drm/udl: fix display corruption of the last line (bsc#1101337).
- commit dd004cb
* Mon Jul 16 2018 tiwai@suse.de
- nl80211: relax ht operation checks for mesh (bsc#1051510).
- commit 7bed2e0
* Mon Jul 16 2018 tiwai@suse.de
- vmw_balloon: fix inflation with batching (bsc#1051510).
- commit 6791362
* Mon Jul 16 2018 jthumshirn@suse.de
- blacklist.conf: blacklist 68c59fcea1f2 ("scsi: sg: fix SG_DXFER_FROM_DEV transfers")
- commit 3748a31
* Mon Jul 16 2018 jthumshirn@suse.de
- dax: check for QUEUE_FLAG_DAX in bdev_dax_supported()
  (bsc#1101315).
- commit a8f6b16
* Mon Jul 16 2018 msuchanek@suse.de
- Pass x86 as architecture on x86_64 and i386 (bsc#1093118).
- commit 5f24fb0
* Mon Jul 16 2018 tiwai@suse.de
- Fix the build of da9063_wdt module (bsc#1100843)
  Backport the missing prerequisite commit, move the previous fixes into
  the sorted section and refresh.
- commit b022133
* Mon Jul 16 2018 jthumshirn@suse.de
- scsi: sg: mitigate read/write abuse (bsc#1101296).
- commit fb00485
* Mon Jul 16 2018 jthumshirn@suse.de
- vfio: Use get_user_pages_longterm correctly (bsc#1095337).
- commit 8e5df06
* Fri Jul 13 2018 jkosina@suse.cz
- Documentation: Add section about CPU vulnerabilities
  (bsc#1089343 CVE-2018-3646).
- x86/bugs, kvm: Introduce boot-time control of L1TF mitigations
  (bsc#1089343 CVE-2018-3646).
- cpu/hotplug: Set CPU_SMT_NOT_SUPPORTED early (bsc#1089343
  CVE-2018-3646).
- cpu/hotplug: Expose SMT control init function (bsc#1089343
  CVE-2018-3646).
- x86/kvm: Allow runtime control of L1D flush (bsc#1089343
  CVE-2018-3646).
- x86/kvm: Serialize L1D flush parameter setter (bsc#1089343
  CVE-2018-3646).
- x86/kvm: Add static key for flush always (bsc#1089343
  CVE-2018-3646).
- x86/kvm: Move l1tf setup function (bsc#1089343 CVE-2018-3646).
- x86/l1tf: Handle EPT disabled state proper (bsc#1089343
  CVE-2018-3646).
- x86/kvm: Drop L1TF MSR list approach (bsc#1089343
  CVE-2018-3646).
- x86/litf: Introduce vmx status variable (bsc#1089343
  CVE-2018-3646).
- commit 002bf03
* Fri Jul 13 2018 tiwai@suse.de
- HID: wacom: Add support for One by Wacom (CTL-472 / CTL-672)
  (bsc#1100633).
- commit e78ab26
* Fri Jul 13 2018 tiwai@suse.de
- Correct bug reference in the patch (bnc#1095155)
  Refreshed patches.suse/mremap-Remove-LATENCY_LIMIT-from-mremap-to-reduce-the-number-of-TLB-shootdowns.patch
- commit f9d8d21
* Thu Jul 12 2018 hare@suse.de
- nvme-rdma: don't override opts->queue_size (bsc#1099041).
- nvme-rdma: Fix command completion race at error recovery
  (bsc#1099041).
- nvme-rdma: fix possible double free condition when failing to
  create a controller (bsc#1099041).
- nvme-rdma: fix error flow during mapping request data
  (bsc#1099041).
- nvme-rdma: correctly check for target keyed sgl support
  (bsc#1099041).
- commit 9801f97
* Thu Jul 12 2018 hare@suse.de
- nvme: move init of keep_alive work item to controller
  initialization (bsc#1098706).
- commit 2640b14
* Thu Jul 12 2018 hare@suse.de
- scripts/git_sort/git_sort.py: Update nvme git repository
- commit c956504
* Thu Jul 12 2018 hare@suse.de
- nvme-fc: release io queues to allow fast fail (bsc#1098706).
- commit b66476d
* Wed Jul 11 2018 ggherdovich@suse.cz
- cpuidle: powernv: Fix promotion from snooze if next state
  disabled (bsc#1100884).
- commit e7f4bcc
* Wed Jul 11 2018 ggherdovich@suse.cz
- cpufreq: governors: Fix long idle detection logic in load
  calculation (bsc#1100884).
- commit 2312a75
* Wed Jul 11 2018 ggherdovich@suse.cz
- cpufreq: Fix new policy initialization during limits updates
  via sysfs (bsc#1100884).
- commit eafbeaa
* Wed Jul 11 2018 ggherdovich@suse.cz
- cpufreq: powernv: Fix hardlockup due to synchronous smp_call
  in timer interrupt (bsc#1100884).
- commit 2f2e403
* Wed Jul 11 2018 ggherdovich@suse.cz
- cpufreq: CPPC: Initialize shared perf capabilities of CPUs
  (bsc#1100884).
- commit 1731fd4
* Wed Jul 11 2018 ggherdovich@suse.cz
- cpufreq: cppc_cpufreq: Fix cppc_cpufreq_init() failure path
  (bsc#1100884).
- commit ea23b9f
* Wed Jul 11 2018 ydfan@suse.com
- watchdog: da9063: Fix timeout handling during probe
  (bsc#1100843).
- watchdog: da9063: Fix updating timeout value (bsc#1100843).
- watchdog: da9063: Fix setting/changing timeout (bsc#1100843).
- commit 5377bd8
* Wed Jul 11 2018 tiwai@suse.de
- HID: hiddev: fix potential Spectre v1 (bsc#1051510).
- HID: i2c-hid: Fix "incomplete report" noise (bsc#1051510).
- HID: wacom: Correct touch maximum XY of 2nd-gen Intuos
  (bsc#1051510).
- HID: debug: check length before copy_to_user() (bsc#1051510).
- commit cdce397
* Tue Jul 10 2018 msuchanek@suse.de
- powerpc: Machine check interrupt is a non-maskable interrupt
  (bsc#1094244).
- powerpc/64s: Fix mce accounting for powernv (bsc#1094244).
- commit b198316
* Tue Jul 10 2018 tiwai@suse.de
- hwtracing: stm: fix build error on some arches (bsc#1051510).
- commit 7ee2bee
* Tue Jul 10 2018 tiwai@suse.de
- hwmon: (nct6775) Fix writing pwmX_mode (bsc#1051510).
- hwmon: (pmbus/adm1275) Accept negative page register values
  (bsc#1051510).
- hwmon: (pmbus/max8688) Accept negative page register values
  (bsc#1051510).
- hwmon: (jc42) optionally try to disable the SMBUS timeout
  (bsc#1051510).
- commit fd457f0
* Tue Jul 10 2018 tiwai@suse.de
- libata: Drop SanDisk SD7UB3Q*G1001 NOLPM quirk (bsc#1051510).
- libata: zpodd: small read overflow in eject_tray()
  (bsc#1051510).
- libata: blacklist Micron 500IT SSD with MU01 firmware
  (bsc#1051510).
- libata: Blacklist some Sandisk SSDs for NCQ (bsc#1051510).
- libata: Apply NOLPM quirk for SanDisk SD7UB3Q*G1001 SSDs
  (bsc#1051510).
- libata: zpodd: make arrays cdb static, reduces object code size
  (bsc#1051510).
- commit f52a8e4
* Tue Jul 10 2018 tiwai@suse.de
- mailbox: mailbox-test: don't rely on rx_buffer content to
  signal data ready (bsc#1051510).
- mailbox: bcm-flexrm-mailbox: Fix FlexRM ring flush sequence
  (bsc#1051510).
- mailbox: bcm-flexrm-mailbox: Fix mask used in
  CMPL_START_ADDR_VALUE() (bsc#1051510).
- commit b53502f
* Tue Jul 10 2018 tiwai@suse.de
- NFC: pn533: don't send USB data off of the stack (bsc#1051510).
- NFC: llcp: Limit size of SDP URI (bsc#1051510).
- commit 5478f9f
* Tue Jul 10 2018 tiwai@suse.de
- pwm: lpss: platform: Save/restore the ctrl register over a
  suspend/resume (bsc#1051510).
- commit ee4bbfb
* Tue Jul 10 2018 tiwai@suse.de
- pwm: rcar: Fix a condition to prevent mismatch value setting
  to duty (bsc#1051510).
- pwm: stmpe: Fix wrong register offset for hwpwm=2 case
  (bsc#1051510).
- commit fa9b53a
* Tue Jul 10 2018 tiwai@suse.de
- stm class: Use vmalloc for the master map (bsc#1051510).
- stm class: Fix a use-after-free (bsc#1051510).
- commit 93b84cc
* Tue Jul 10 2018 tiwai@suse.de
- tty/serial: atmel: use port->name as name in request_irq()
  (bsc#1051510).
- tty: pl011: Avoid spuriously stuck-off interrupts (bsc#1051510).
- tty: n_gsm: Fix DLCI handling for ADM mode if debug & 2 is
  not set (bsc#1051510).
- tty: n_gsm: Fix long delays with control frame timeouts in
  ADM mode (bsc#1051510).
- tty: n_gsm: Allow ADM response in addition to UA for control
  dlci (bsc#1051510).
- commit ed20bf1
* Tue Jul 10 2018 rgoldwyn@suse.com
- rmdir(),rename(): do shrink_dcache_parent() only on success (bsc#1100340).
- commit 9a4b149
* Mon Jul  9 2018 tiwai@suse.de
- drm/i915: Fix context ban and hang accounting for client
  (bsc#1051510).
- drm/i915/gvt: fix memory leak of a cmd_entry struct on error
  exit path (bsc#1051510).
- drm/i915/psr: Chase psr.enabled only under the psr.lock
  (bsc#1051510).
- drm/i915: Remove unbannable context spam from reset
  (bsc#1051510).
- commit f8dc375
* Mon Jul  9 2018 tiwai@suse.de
- selinux: KASAN: slab-out-of-bounds in xattr_getsecurity
  (bsc#1051510).
- selinux: skip bounded transition processing if the policy
  isn't loaded (bsc#1051510).
- selinux: ensure the context is NUL terminated in
  security_context_to_sid_core() (bsc#1051510).
- commit 5ec0bfb
* Mon Jul  9 2018 jkosina@suse.cz
- cpu/hotplug: Online siblings when SMT control is turned on
  (bsc#1089343 CVE-2018-3646).
- commit a1d8880
* Mon Jul  9 2018 tiwai@suse.de
- blacklist.conf: Add IMA kconfig stable entry
- commit a8ff557
* Mon Jul  9 2018 tiwai@suse.de
- vt: prevent leaking uninitialized data to userspace via
  /dev/vcs* (bsc#1051510).
- commit ef62f0b
* Mon Jul  9 2018 tiwai@suse.de
- vmw_balloon: fixing double free when batching mode is off
  (bsc#1051510).
- commit 5807b07
* Mon Jul  9 2018 tiwai@suse.de
- virtio_console: reset on out of memory (bsc#1051510).
- virtio_console: move removal code (bsc#1051510).
- virtio_console: drop custom control queue cleanup (bsc#1051510).
- virtio_console: free buffers after reset (bsc#1051510).
- virtio: add ability to iterate over vqs (bsc#1051510).
- virtio_console: don't tie bufs to a vq (bsc#1051510).
- virtio_ring: fix num_free handling in error case (bsc#1051510).
- commit f104319
* Mon Jul  9 2018 tiwai@suse.de
- thermal: bcm2835: Stop using printk format %%pCr (bsc#1051510).
- thermal: exynos: Propagate error value from tmu_read()
  (bsc#1051510).
- thermal: exynos: Reading temperature makes sense only when
  TMU is turned on (bsc#1051510).
- thermal: int3403_thermal: Fix NULL pointer deref on module
  load / probe (bsc#1051510).
- thermal: int3400_thermal: fix error handling in
  int3400_thermal_probe() (bsc#1051510).
- commit f4975a6
* Mon Jul  9 2018 tiwai@suse.de
- tee: check shm references are consistent in offset/size
  (bsc#1051510).
- tee: shm: fix use-after-free via temporarily dropped reference
  (bsc#1051510).
- commit 45e76d0
* Mon Jul  9 2018 tiwai@suse.de
- swap: divide-by-zero when zero length swap file on ssd
  (bsc#1051510).
- commit c0e3326
* Mon Jul  9 2018 tiwai@suse.de
- rtc: snvs: Fix usage of snvs_rtc_enable (bsc#1051510).
- rtc: hctosys: Ensure system time doesn't overflow time_t
  (bsc#1051510).
- rtc: tx4939: avoid unintended sign extension on a 24 bit shift
  (bsc#1051510).
- commit 72b2a6a
* Mon Jul  9 2018 tiwai@suse.de
- pty: cancel pty slave port buf's work in tty_release
  (bsc#1051510).
- commit 0a7a1c8
* Mon Jul  9 2018 tiwai@suse.de
- pinctrl: adi2: Fix Kconfig build problem (bsc#1051510).
- commit 1474c28
* Mon Jul  9 2018 tiwai@suse.de
- n_tty: Access echo_* variables carefully (bsc#1051510).
- n_tty: Fix stall at n_tty_receive_char_special() (bsc#1051510).
- commit 5d3649d
* Mon Jul  9 2018 tiwai@suse.de
- lsm: fix smack_inode_removexattr and xattr_getsecurity memleak
  (bsc#1051510).
- commit 8570266
* Mon Jul  9 2018 tiwai@suse.de
- lib/test_bitmap.c: fix bitmap optimisation tests to report
  errors correctly (bsc#1051510).
- commit f2d1c09
* Mon Jul  9 2018 tiwai@suse.de
- cpufreq: intel_pstate: Fix scaling max/min limits with Turbo
  3.0 (bsc#1051510).
- Refresh
  patches.suse/cpufreq-intel_pstate-use-setpoint-of-10-on-servers.patch.
- commit a4772b7
* Mon Jul  9 2018 sndirsch@suse.de
- video: uvesafb: Fix integer overflow in allocation (bsc#1100418,
  CVE-2018-13406).
- commit 0efb882
* Mon Jul  9 2018 pmladek@suse.com
- printk: fix possible reuse of va_list variable (bsc#1100602).
- commit 794ace8
* Mon Jul  9 2018 tiwai@suse.de
- backlight: tps65217_bl: Fix Device Tree node lookup
  (bsc#1051510).
- backlight: max8925_bl: Fix Device Tree node lookup
  (bsc#1051510).
- backlight: as3711_bl: Fix Device Tree node lookup (bsc#1051510).
- pinctrl/amd: Fix build dependency on pinmux code (bsc#1051510).
- commit 4f3ead9
* Mon Jul  9 2018 tiwai@suse.de
- platform/x86: asus-wmi: Fix NULL pointer dereference
  (bsc#1051510).
- platform/chrome: cros_ec_lpc: remove redundant pointer request
  (bsc#1051510).
- commit 87ccf0d
* Mon Jul  9 2018 tiwai@suse.de
- pipe: fix off-by-one error when checking buffer limits
  (bsc#1051510).
- commit 32c6460
* Mon Jul  9 2018 tiwai@suse.de
- pinctrl: sh-pfc: r8a7796: Fix MOD_SEL register pin assignment
  for SSI pins group (bsc#1051510).
- pinctrl: artpec6: dt: add missing pin group uart5nocts
  (bsc#1051510).
- pinctrl: sx150x: Add a static gpio/pinctrl pin range mapping
  (bsc#1051510).
- pinctrl: sx150x: Register pinctrl before adding the gpiochip
  (bsc#1051510).
- pinctrl: sx150x: Unregister the pinctrl on release
  (bsc#1051510).
- pinctrl: sh-pfc: r8a7795-es1: Fix MOD_SEL1 bit[25:24] to 0x3
  when using STP_ISEN_1_D (bsc#1051510).
- pinctrl: rockchip: enable clock when reading pin direction
  register (bsc#1051510).
- pinctrl: pxa: pxa2xx: add missing
  MODULE_DESCRIPTION/AUTHOR/LICENSE (bsc#1051510).
- pinctrl: sunxi: Fix A64 UART mux value (bsc#1051510).
- pinctrl: sunxi: Fix A80 interrupt pin bank (bsc#1051510).
- pinctrl: armada-37xx: Fix direction_output() callback behavior
  (bsc#1051510).
- pinctrl/amd: save pin registers over suspend/resume
  (bsc#1051510).
- pinctrl: samsung: Fix invalid register offset used for
  Exynos5433 external interrupts (bsc#1051510).
- pinctrl: samsung: Fix NULL pointer exception on external
  interrupts on S3C24xx (bsc#1051510).
- commit 49874e4
* Mon Jul  9 2018 tiwai@suse.de
- Refresh patches.kabi/iio-kabi-fix-for-iio_buffer.patch.
- commit 9df6e15
* Mon Jul  9 2018 tiwai@suse.de
- iio: buffer: fix the function signature to match implementation
  (bsc#1051510).
- commit 5729024
* Mon Jul  9 2018 tiwai@suse.de
- sunrpc: remove incorrect HMAC request initialization
  (bsc#1051510).
- commit 1fa4951
* Mon Jul  9 2018 tiwai@suse.de
- serdev: fix memleak on module unload (bsc#1051510).
- commit e508309
* Mon Jul  9 2018 tiwai@suse.de
- PCI: aardvark: Fix PCIe Max Read Request Size setting
  (bsc#1051510).
- PCI: aardvark: Use ISR1 instead of ISR0 interrupt in legacy
  irq mode (bsc#1051510).
- PCI: aardvark: Set PIO_ADDR_LS correctly in advk_pcie_rd_conf()
  (bsc#1051510).
- PCI: aardvark: Fix logic in advk_pcie_{rd,wr}_conf()
  (bsc#1051510).
- p54: don't unregister leds when they are not initialized
  (bsc#1051510).
- commit 4572716
* Mon Jul  9 2018 tiwai@suse.de
- mmc: dw_mmc: exynos: fix the suspend/resume issue for exynos5433
  (bsc#1051510).
- commit 4780889
* Mon Jul  9 2018 tiwai@suse.de
- Fix kABI breakage of iio_buffer (bsc#1051510).
- iio:buffer: make length types match kfifo types (bsc#1051510).
- commit 9adbd1a
* Mon Jul  9 2018 tiwai@suse.de
- drm/atmel-hlcdc: check stride values in the first plane
  (bsc#1051510).
- drm/i915: Enable provoking vertex fix on Gen9 systems
  (bsc#1051510).
- drm/amdgpu: Use kvmalloc_array for allocating VRAM manager
  nodes array (bsc#1051510).
- drm/amdgpu: Add APU support in vi_set_vce_clocks (bsc#1051510).
- drm/amdgpu: Add APU support in vi_set_uvd_clocks (bsc#1051510).
- commit ded63ff
* Mon Jul  9 2018 tiwai@suse.de
- alarmtimer: Prevent overflow for relative nanosleep
  (CVE-2018-13053 bsc#1099924).
- commit d4f1d04
* Mon Jul  9 2018 colyli@suse.de
- Revert "scsi: core: return BLK_STS_OK for DID_OK in
  __scsi_error_from_host_byte()" (bsc#1099918).
- blk-mq: make sure that correct hctx->next_cpu is set
  (bsc#1099918).
- macvlan: fix memory hole in macvlan_dev (bsc#1099918).
- blk-mq: make sure hctx->next_cpu is set correctly (bsc#1099918).
- commit 9f84d4b
* Mon Jul  9 2018 tiwai@suse.de
- ARM: amba: Don't read past the end of sysfs "driver_override"
  buffer (CVE-2018-9385,bsc#1100491).
- commit 96313ba
* Fri Jul  6 2018 jkosina@suse.cz
- README.BRANCH: add Takashi as co-maintainer
- commit a08c187
* Fri Jul  6 2018 rgoldwyn@suse.com
- Fix up non-directory creation in SGID directories (CVE-2018-13405, bsc#1100416).
- commit ca27a26
* Fri Jul  6 2018 jkosina@suse.cz
- Update
  patches.arch/02-x86-KVM-VMX-Add-module-argument-for-L1TF-mitigation.patch
  (bsc#1089343 CVE-2018-3646): fix patch metadata
- commit fb616a7
* Fri Jul  6 2018 jkosina@suse.cz
- x86/cpufeatures: Add detection of L1D cache flush support
  (bsc#1089343 CVE-2018-3646).
- commit bd2b58e
* Fri Jul  6 2018 tbogendoerfer@suse.de
- IB/ipoib: Fix for notify send CQ failure messages (bsc#1096793
  FATE#325050).
- IB/ipoib: Change number of TX wqe to 64 (bsc#1096793
  FATE#325050).
- IB/ipoib: Use NAPI in UD/TX flows (bsc#1096793 FATE#325050).
- IB/ipoib: Get rid of the tx_outstanding variable in all modes
  (bsc#1096793 FATE#325050).
- commit 3ef2fb9
* Fri Jul  6 2018 jkosina@suse.cz
- x86/KVM/VMX: Use MSR save list for IA32_FLUSH_CMD if required
  (bsc#1089343 CVE-2018-3646).
- kabi/severities: ignore x86_kvm_ops; lttng-modules would have to
  be adjusted in case they depend on this particular change
- x86/KVM/VMX: Extend add_atomic_switch_msr() to allow VMENTER
  only MSRs (bsc#1089343 CVE-2018-3646).
- x86/KVM/VMX: Separate the VMX AUTOLOAD guest/host number
  accounting (bsc#1089343 CVE-2018-3646).
- x86/KVM/VMX: Add find_msr() helper function (bsc#1089343
  CVE-2018-3646).
- x86/KVM/VMX: Split the VMX MSR LOAD structures to have an
  host/guest numbers (bsc#1089343 CVE-2018-3646).
- x86/KVM/VMX: Add L1D flush logic (bsc#1089343 CVE-2018-3646).
- x86/KVM/VMX: Add L1D MSR based flush (bsc#1089343
  CVE-2018-3646).
- x86/KVM/VMX: Add L1D flush algorithm (bsc#1089343
  CVE-2018-3646).
- x86/KVM/VMX: Add module argument for L1TF mitigation.
- x86/KVM: Warn user if KVM is loaded SMT and L1TF CPU bug being
  present (bsc#1089343 CVE-2018-3646).
- commit 0c0fd37
* Fri Jul  6 2018 jkosina@suse.cz
- Reorder patch stack to have L1TF bare metal preceed further mitigations
- commit f74742c
* Fri Jul  6 2018 jkosina@suse.cz
- cpu/hotplug: Boot HT siblings at least once (bsc#1089343
  CVE-2018-3646).
- commit dbb874a
* Fri Jul  6 2018 tbogendoerfer@suse.de
- bnx2x: use the right constant (bsc#1086323 FATE#324899).
- bnx2x: Collect the device debug information during Tx timeout
  (bsc#1086323 FATE#324899).
- bnx2x: Replace doorbell barrier() with wmb() (bsc#1086323
  FATE#324899).
- bnx2x: fix spelling mistake: "registeration" -> "registration"
  (bsc#1086323 FATE#324899).
- bnx2x: Deprecate pci_get_bus_and_slot() (bsc#1086323
  FATE#324899).
- bnx2x: Use NETIF_F_GRO_HW (bsc#1086323 FATE#324899).
- bnx2x: fix slowpath null crash (bsc#1086323 FATE#324899).
- bnx2x: Use pci_ari_enabled() instead of local copy (bsc#1086323
  FATE#324899).
- drivers: net: bnx2x: use setup_timer() helper (bsc#1086323
  FATE#324899).
- commit 8804b46
* Fri Jul  6 2018 tbogendoerfer@suse.de
- IB/hfi1: Show fault stats in both TX and RX directions
  (bsc#1096793 FATE#325050).
- commit 9714ec8
* Fri Jul  6 2018 tzimmermann@suse.de
- virtio-gpu: fix ioctl and expose the fixed status to userspace (bsc#1100382).
- commit eeb6b0b
* Fri Jul  6 2018 tbogendoerfer@suse.de
- IB/hfi1: Ensure VL index is within bounds (bsc#1096793
  FATE#325050).
- IB/{rdmavt,hfi1}: Change hrtimer add to use pinned version
  (bsc#1096793 FATE#325050).
- IB/hfi1: Set port number for errorinfo MAD response (bsc#1096793
  FATE#325050).
- IB/hfi1: Create common functions for affinity CPU mask
  operations (bsc#1096793 FATE#325050).
- IB/hfi1: Optimize kthread pointer locking when queuing CQ
  entries (bsc#1096793 FATE#325050).
- IB/Hfi1: Read CCE Revision register to verify the device is
  responsive (bsc#1096793 FATE#325050).
- IB/{hfi1, qib}: Add handling of kernel restart (bsc#1096793
  FATE#325050).
- IB/hfi1: Reorder incorrect send context disable (bsc#1096793
  FATE#325050).
- IB/hfi1: Return correct value for device state (bsc#1096793
  FATE#325050).
- IB/hfi1: Complete check for locally terminated smp (bsc#1096793
  FATE#325050).
- IB/hfi1: Prevent LNI hang when LCB can't obtain lanes
  (bsc#1096793 FATE#325050).
- IB/hfi1: Use after free race condition in send context error
  path (bsc#1096793 FATE#325050).
- IB/hfi1: Fix memory leak in exception path in get_irq_affinity()
  (bsc#1096793 FATE#325050).
- IB/{hfi1, rdmavt}: Fix memory leak in hfi1_alloc_devdata()
  upon failure (bsc#1096793 FATE#325050).
- IB/hfi1: Fix loss of BECN with AHG (bsc#1096793 FATE#325050).
- IB/hfi1 Use correct type for num_user_context (bsc#1096793
  FATE#325050).
- IB/hfi1: Convert PortXmitWait/PortVLXmitWait counters to flit
  times (bsc#1096793 FATE#325050).
- IB/hfi1: Do not override given pcie_pset value (bsc#1096793
  FATE#325050).
- IB/hfi1: Look up ibport using a pointer in receive path
  (bsc#1096793 FATE#325050).
- IB/hfi1: Optimize packet type comparison using 9B and bypass
  code paths (bsc#1096793 FATE#325050).
- IB/hfi1: Compute BTH only for RDMA_WRITE_LAST/SEND_LAST packet
  (bsc#1096793 FATE#325050).
- IB/hfi1: Fix for early release of sdma context (bsc#1096793
  FATE#325050).
- IB/rdmavt: Add trace for RNRNAK timer (bsc#1096793 FATE#325050).
- IB/rdmavt: Use correct numa node for SRQ allocation (bsc#1096793
  FATE#325050).
- IB/rdmavt: No need to cancel RNRNAK retry timer when it is
  running (bsc#1096793 FATE#325050).
- IB/hfi1: Handle initial value of 0 for CCTI setting (bsc#1096793
  FATE#325050).
- IB/hfi1: Send 'reboot' as planned down remote reason
  (bsc#1096793 FATE#325050).
- IB/hfi1: Prohibit invalid Init to Armed state transition
  (bsc#1096793 FATE#325050).
- IB/hfi1: Do not allocate PIO send contexts for VNIC (bsc#1096793
  FATE#325050).
- IB/hfi1: Fix a wrapping test to insure the correct timeout
  (bsc#1096793 FATE#325050).
- IB/hfi1: Don't modify num_user_contexts module parameter
  (bsc#1096793 FATE#325050).
- IB/hfi1: Insure int mask for in-kernel receive contexts is clear
  (bsc#1096793 FATE#325050).
- IB/hfi1: Add tx_opcode_stats like the opcode_stats (bsc#1096793
  FATE#325050).
- IB/hfi1: Validate PKEY for incoming GSI MAD packets (bsc#1096793
  FATE#325050).
- commit a7b94f5
* Fri Jul  6 2018 tbogendoerfer@suse.de
- IB/hfi1: Race condition between user notification and driver
  state (bsc#1096793 FATE#325050).
- Refresh
  patches.drivers/IB-hfi1-Allow-MgmtAllowed-on-B2B-setups.patch.
- commit 8ad721b
* Fri Jul  6 2018 tbogendoerfer@suse.de
- IB/hfi1: Fix serdes loopback set-up (bsc#1096793 FATE#325050).
- IB/hfi1: Refactor get_user() IOCTLs (bsc#1096793 FATE#325050).
- IB/hfi1: Refactor hfi_user_exp_rcv_invalid() IOCTLs (bsc#1096793
  FATE#325050).
- IB/hfi1: Refactor hfi_user_exp_rcv_clear() IOCTLs (bsc#1096793
  FATE#325050).
- IB/hfi1: Refactor hfi_user_exp_rcv_setup() IOCTL (bsc#1096793
  FATE#325050).
- IB/hfi1: Refactor get_base_info (bsc#1096793 FATE#325050).
- IB/hfi1: Refactor get_ctxt_info (bsc#1096793 FATE#325050).
- IB/hfi1: Refactor assign_ctxt() IOCTL (bsc#1096793 FATE#325050).
- IB/hfi1: Add a safe wrapper for _rcd_get_by_index (bsc#1096793
  FATE#325050).
- IB/hfi1: Remove unused hfi1_cpulist variables (bsc#1096793
  FATE#325050).
- IB/hfi1: Inline common calculation (bsc#1096793 FATE#325050).
- IB/hfi1: Update HFI to use the latest PCI API (bsc#1096793
  FATE#325050).
- commit c714f7b
* Fri Jul  6 2018 tzimmermann@suse.de
- vfb: fix video mode and line_length being set when loaded (bsc#1100362).
- commit 4b5f7c9
* Fri Jul  6 2018 tzimmermann@suse.de
- drm/msm: don't deref error pointer in the msm_fbdev_create error path (bsc#1100209).
- commit 96e00a5
* Fri Jul  6 2018 tiwai@suse.de
- drm/i915: Try GGTT mmapping whole object as partial
  (bsc#1051510).
- commit fcad981
* Thu Jul  5 2018 tbogendoerfer@suse.de
- net: qlge: use memmove instead of skb_copy_to_linear_data
  (bsc#1050529 FATE#322902 bsc#1086319 FATE#324895).
- commit 911a2e8
* Thu Jul  5 2018 jthumshirn@suse.de
- nvme-multipath: fix sysfs dangerously created links
  (bsc#1096529).
- Refresh
  patches.drivers/Revert-nvme-create-slaves-and-holders-entries-for-hi.patch.
- Refresh
  patches.drivers/nvme-multipath-Fix-multipath-disabled-naming-collisi.patch.
- commit db0cfa2
* Thu Jul  5 2018 colyli@suse.de
- drbd: Fix drbd_request_prepare() discard handling (bsc#1099918).
- block: Fix cloning of requests with a special payload
  (bsc#1099918).
- dm raid: don't use 'const' in function return (bsc#1099918).
- dm zoned: avoid triggering reclaim from inside dmz_map()
  (bsc#1099918).
- dm: use bio_split() when splitting out the already processed
  bio (bsc#1099918).
- block: sed-opal: Fix a couple off by one bugs (bsc#1099918).
- blk-mq: reinit q->tag_set_list entry only after grace period
  (bsc#1099918).
- arch/*: Kconfig: fix documentation for NMI watchdog
  (bsc#1099918).
- lib/string_helpers: Add missed declaration of struct task_struct
  (bsc#1099918).
- vfio: platform: Fix reset module leak in error path
  (bsc#1099918).
- mtd: cmdlinepart: Update comment for introduction of
  OFFSET_CONTINUOUS (bsc#1099918).
- media: smiapp: fix timeout checking in smiapp_read_nvm
  (bsc#1099918).
- powerpc/ptrace: Fix enforcement of DAWR constraints
  (bsc#1099918).
- nbd: fix nbd device deletion (bsc#1099918).
- tracing: Make the snapshot trigger work with instances
  (bsc#1099918).
- dm integrity: use kvfree for kvmalloc'd memory (bsc#1099918).
- earlycon: Use a pointer table to fix __earlycon_table stride
  (bsc#1099918).
- tracing: Fix missing tab for hwlat_detector print format
  (bsc#1099918).
- scsi: target: fix crash with iscsi target and dvd (bsc#1099918).
- block/swim: Remove extra put_disk() call from error path
  (bsc#1099918).
- tracing/uprobe_event: Fix strncpy corner case (bsc#1099918).
- blk-mq: don't keep offline CPUs mapped to hctx 0 (bsc#1099918).
- mtd: jedec_probe: Fix crash in jedec_read_mfr() (bsc#1099918).
- tracing: probeevent: Fix to support minus offset from symbol
  (bsc#1099918).
- mtd: nand: fsl_ifc: Fix eccstat array overflow for IFC ver >=
  2.0.0 (bsc#1099918).
- scsi: core: return BLK_STS_OK for DID_OK in
  __scsi_error_from_host_byte() (bsc#1099918).
- nbd: fix return value in error handling path (bsc#1099918).
- userns: Don't fail follow_automount based on s_user_ns
  (bsc#1099918).
- nubus: Fix up header split (bsc#1099918).
- nubus: Avoid array underflow and overflow (bsc#1099918).
- block: Fix __bio_integrity_endio() documentation (bsc#1099918).
- blk-mq: simplify queue mapping & schedule with each possisble
  CPU (bsc#1099918).
- block, bfq: fix occurrences of request finish method's old name
  (bsc#1099918).
- pktcdvd: Fix a recently introduced NULL pointer dereference
  (bsc#1099918).
- pktcdvd: Fix pkt_setup_dev() error path (bsc#1099918).
- tracing: Fix converting enum's from the map in
  trace_event_eval_update() (bsc#1099918).
- commit dd2c7b5
* Thu Jul  5 2018 colyli@suse.de
- dm mpath: fix bio-based multipath queue_if_no_path handling
  (bsc#1099918).
- Refresh patches.suse/dm-mpath-accept-failed-paths for above change.
- commit 1713506
* Thu Jul  5 2018 colyli@suse.de
- timekeeping: Eliminate the stale declaration of
  ktime_get_raw_and_real_ts64() (bsc#1099918).
- block, bfq: add missing invocations of
  bfqg_stats_update_io_add/remove (bsc#1099918).
- ide: Make ide_cdrom_prep_fs() initialize the sense buffer
  pointer (bsc#1099918).
- driver core: Move device_links_purge() after bus_remove_device()
  (bsc#1099918).
- macvlan: remove unused fields in struct macvlan_dev
  (bsc#1099918).
- tracing: Kconfig text fixes for CONFIG_HWLAT_TRACER
  (bsc#1099918).
- ide: ide-atapi: fix compile error with defining macro DEBUG
  (bsc#1099918).
- nbd: don't start req until after the dead connection logic
  (bsc#1099918).
- nbd: wait uninterruptible for the dead timeout (bsc#1099918).
- block: cope with WRITE ZEROES failing in blkdev_issue_zeroout()
  (bsc#1099918).
- block: factor out __blkdev_issue_zero_pages() (bsc#1099918).
- ide:ide-cd: fix kernel panic resulting from missing
  scsi_req_init (bsc#1099918).
- blk-mq-debugfs: fix device sched directory for default scheduler
  (bsc#1099918).
- nbd: fix -ERESTARTSYS handling (bsc#1099918).
- mm, oom_reaper: skip mm structs with mmu notifiers
  (bsc#1099918).
- Btrfs: use btrfs_op instead of bio_op in __btrfs_map_block
  (bsc#1099918).
- f2fs: fix to wake up all sleeping flusher (bsc#1099918).
- ftrace: Fix selftest goto location on error (bsc#1099918).
- mq-deadline: Enable auto-loading when built as module
  (bsc#1099918).
- bfq: Re-enable auto-loading when built as a module
  (bsc#1099918).
- dm: fix printk() rate limiting code (bsc#1099918).
- mtd: partitions: remove sysfs files when deleting all master's
  partitions (bsc#1099918).
- mtd: partitions: add helper for deleting partition
  (bsc#1099918).
- dm: convert DM printk macros to pr_<level> macros (bsc#1099918).
- commit 2c24b02
* Wed Jul  4 2018 jslaby@suse.cz
- net sched actions: fix refcnt leak in skbmod
  (networking-stable-18_05_15).
- net: sched: fix error path in tcf_proto_create() when modules
  are not configured (networking-stable-18_05_15).
- net/mlx5e: Err if asked to offload TC match on frag being first
  (networking-stable-18_05_15).
- net/mlx5: E-Switch, Include VF RDMA stats in vport statistics
  (networking-stable-18_05_15).
- ipv4: fix memory leaks in udp_sendmsg, ping_v4_sendmsg
  (networking-stable-18_05_15).
- bonding: send learning packets for vlans on slave
  (networking-stable-18_05_15).
- bonding: do not allow rlb updates to invalid mac
  (networking-stable-18_05_15).
- sctp: remove sctp_chunk_put from fail_mark err path in
  sctp_ulpevent_make_rcvmsg (networking-stable-18_05_15).
- net/mlx4_en: Fix an error handling path in
  'mlx4_en_init_netdev()' (networking-stable-18_05_15).
- net/mlx4_en: Verify coalescing parameters are in range
  (networking-stable-18_05_15).
- llc: better deal with too small mtu
  (networking-stable-18_05_15).
- sctp: delay the authentication for the duplicated cookie-echo
  chunk (networking-stable-18_05_15).
- net: ethernet: sun: niu set correct packet size in skb
  (networking-stable-18_05_15).
- net: atm: Fix potential Spectre v1 (networking-stable-18_05_15
  bsc#1068032 CVE-2017-5753).
- atm: zatm: Fix potential Spectre v1
  (networking-stable-18_05_15 bsc#1068032 CVE-2017-5753).
- openvswitch: Don't swap table in nlattr_set() after
  OVS_ATTR_NESTED is found (networking-stable-18_05_15).
- dccp: fix tasklet usage (networking-stable-18_05_15).
- rds: do not leak kernel memory to user land
  (networking-stable-18_05_15).
- ipv4: fix fnhe usage by non-cached routes
  (networking-stable-18_05_15).
- net_sched: fq: take care of throttled flows before reuse
  (networking-stable-18_05_15).
- 8139too: Use disable_irq_nosync() in rtl8139_poll_controller()
  (networking-stable-18_05_15).
- sctp: fix the issue that the cookie-ack with auth can't get
  processed (networking-stable-18_05_15).
- sctp: use the old asoc when making the cookie-ack chunk in
  dupcook_d (networking-stable-18_05_15).
- tcp_bbr: fix to zero idle_restart only upon S/ACKed data
  (networking-stable-18_05_15).
- net: ethernet: ti: cpsw: fix packet leaking in dual_mac mode
  (networking-stable-18_05_15).
- bridge: check iface upper dev when setting master via ioctl
  (networking-stable-18_05_15).
- net: support compat 64-bit time in {s,g}etsockopt
  (networking-stable-18_05_15).
- net/mlx5e: TX, Use correct counter in dma_map error flow
  (networking-stable-18_05_15).
- tcp: ignore Fast Open on repair mode
  (networking-stable-18_05_15).
- commit df113d5
* Wed Jul  4 2018 tbogendoerfer@suse.de
- vmxnet3: use DMA memory barriers where required (bsc#1091860).
- vmxnet3: set the DMA mask before the first DMA map operation
  (bsc#1091860).
- vmxnet3: fix incorrect dereference when rxvlan is disabled
  (bsc#1091860).
- vmxnet3: use correct flag to indicate LRO feature (bsc#1091860).
- vmxnet3: avoid xmit reset due to a race in vmxnet3
  (bsc#1091860).
- vmxnet3: increase default rx ring sizes (bsc#1091860).
- commit 662f8d1
* Wed Jul  4 2018 oneukum@suse.com
- acpi: Add helper for deactivating memory region (bsc#1100132).
- commit 1e0c4c4
* Wed Jul  4 2018 jthumshirn@suse.de
- KABI protect struct nd_region (FATE#324634).
- commit cf06bba
* Wed Jul  4 2018 tiwai@suse.de
- 1wire: family module autoload fails because of upper/lower
  case mismatch (bsc#1051510).
- commit 7c78f2c
* Wed Jul  4 2018 jthumshirn@suse.de
- kabi/severities: add nvdimm internal symbols to kabi ignore list
- commit 4b2c247
* Wed Jul  4 2018 oneukum@suse.com
- usb: typec: ucsi: Fix for incorrect status data issue
  (bsc#1100132).
- commit 10b6319
* Wed Jul  4 2018 oneukum@suse.com
- usb: typec: ucsi: acpi: Workaround for cache mode issue
  (bsc#1100132).
- commit 1dbd373
* Wed Jul  4 2018 jthumshirn@suse.de
- libnvdimm, pmem: Add sysfs notifications to badblocks
  (FATE#324634).
- libnvdimm, region, pmem: fix 'badblocks' sysfs_get_dirent()
  reference lifetime (FATE#324634).
- Refresh
  patches.drivers/x86-libnvdimm-pmem-move-arch_invalidate_pmem-to-libn.patch.
- commit 2582e83
* Wed Jul  4 2018 oneukum@suse.com
- video/fbdev/stifb: Return -ENOMEM after a failed kzalloc()
  in stifb_init_fb() (bsc#1090888 bsc#1099966).
- commit 9bf1f34
* Wed Jul  4 2018 bpoirier@suse.com
- tg3: Fix vunmap() BUG_ON() triggered from tg3_free_consistent()
  (bsc#1086286 FATE#324876).
- tg3: prevent scheduling while atomic splat (bsc#1086286
  FATE#324876).
- tg3: APE heartbeat changes (bsc#1086286 FATE#324876).
- tg3: Add Macronix NVRAM support (bsc#1086286 FATE#324876).
- commit b446739
* Wed Jul  4 2018 jslaby@suse.cz
- sctp: handle two v4 addrs comparison in sctp_inet6_cmp_addr
  (git-fixes).
- commit dfa0d20
* Wed Jul  4 2018 bpoirier@suse.com
- Move build fixes before sorted section
  Otherwise it is very inconvenient to build with a partially applied series
  and gcc-8.
- commit 6125496
* Wed Jul  4 2018 jslaby@suse.cz
- packet: fix bitfield update race (networking-stable-18_04_26).
- team: fix netconsole setup over team
  (networking-stable-18_04_26).
- amd-xgbe: Only use the SFP supported transceiver signals
  (networking-stable-18_04_26).
- amd-xgbe: Improve KR auto-negotiation and training
  (networking-stable-18_04_26).
- amd-xgbe: Add pre/post auto-negotiation phy hooks
  (networking-stable-18_04_26).
- pppoe: check sockaddr length in pppoe_connect()
  (networking-stable-18_04_26).
- l2tp: check sockaddr length in pppol2tp_connect()
  (networking-stable-18_04_26).
- ipv6: add RTA_TABLE and RTA_PREFSRC to rtm_ipv6_policy
  (networking-stable-18_04_26).
- bonding: do not set slave_dev npinfo before slave_enable_netpoll
  in bond_enslave (networking-stable-18_04_26).
- tcp: don't read out-of-bounds opsize
  (networking-stable-18_04_26).
- net: sched: ife: check on metadata length
  (networking-stable-18_04_26).
- net: sched: ife: handle malformed tlv length
  (networking-stable-18_04_26).
- kABI: protect ife_tlv_meta_decode (kabi).
- net: sched: ife: signal not finding metaid
  (networking-stable-18_04_26).
- strparser: Do not call mod_delayed_work with a timeout of
  LONG_MAX (networking-stable-18_04_26).
- llc: fix NULL pointer deref for SOCK_ZAPPED
  (networking-stable-18_04_26).
- net: ethernet: ti: cpsw: fix tx vlan priority mapping
  (networking-stable-18_04_26).
- llc: delete timers synchronously in llc_sk_free()
  (networking-stable-18_04_26).
- virtio_net: fix adding vids on big-endian
  (networking-stable-18_04_26).
- virtio_net: split out ctrl buffer (networking-stable-18_04_26).
- llc: hold llc_sap before release_sock()
  (networking-stable-18_04_26).
- KEYS: DNS: limit the length of option strings
  (networking-stable-18_04_26).
- vlan: Fix reading memory beyond skb->tail in
  skb_vlan_tagged_multi (networking-stable-18_04_26).
- tipc: add policy for TIPC_NLA_NET_ADDR
  (networking-stable-18_04_26).
- net: af_packet: fix race in PACKET_{R|T}X_RING
  (networking-stable-18_04_26).
- team: avoid adding twice the same option to the event list
  (networking-stable-18_04_26).
- net: fix deadlock while clearing neighbor proxy table
  (networking-stable-18_04_26).
- sctp: do not check port in sctp_inet6_cmp_addr
  (networking-stable-18_04_26).
- strparser: Fix incorrect strp->need_bytes value
  (networking-stable-18_04_26).
- net: validate attribute sizes in neigh_dump_table()
  (networking-stable-18_04_26).
- tcp: md5: reject TCP_MD5SIG or TCP_MD5SIG_EXT on established
  sockets (networking-stable-18_04_26).
- commit b2a5626
* Tue Jul  3 2018 tiwai@suse.de
- test_firmware: fix setting old custom fw path back on exit,
  second try (bsc#1051510).
- commit e469a2d
* Tue Jul  3 2018 tiwai@suse.de
- watchdog: f71808e_wdt: Fix magic close handling (bsc#1051510).
- watchdog: sp5100_tco: Fix watchdog disable bit (bsc#1051510).
- commit d1c96bd
* Tue Jul  3 2018 tiwai@suse.de
- tty: Use __GFP_NOFAIL for tty_ldisc_get() (bsc#1051510).
- tty: Don't call panic() at tty_ldisc_init() (bsc#1051510).
- tty: Avoid possible error pointer dereference at
  tty_ldisc_restore() (bsc#1051510).
- commit fbaa1b6
* Tue Jul  3 2018 tiwai@suse.de
- test_firmware: fix missing unlock on error in
  config_num_requests_store() (bsc#1051510).
- test_firmware: fix setting old custom fw path back on exit
  (bsc#1051510).
- commit d9210c3
* Tue Jul  3 2018 tiwai@suse.de
- regulator: of: Add a missing 'of_node_put()' in an error
  handling path of 'of_regulator_match()' (bsc#1051510).
- commit 66aa83f
* Tue Jul  3 2018 tiwai@suse.de
- PCI: Add ACS quirk for Intel 300 series (bsc#1051510).
- PCI: Add ACS quirk for Intel 7th & 8th Gen mobile (bsc#1051510).
- PCI: pciehp: Clear Presence Detect and Data Link Layer Status
  Changed on resume (bsc#1051510).
- commit eec6d57
* Tue Jul  3 2018 tiwai@suse.de
- of: platform: stop accessing invalid dev in
  of_platform_device_destroy (bsc#1051510).
- of: overlay: validate offset from property fixups (bsc#1051510).
- of: unittest: for strings, account for trailing \0 in property
  length field (bsc#1051510).
- commit 3b3a1ed
* Tue Jul  3 2018 tiwai@suse.de
- mfd: intel-lpss: Fix Intel Cannon Lake LPSS I2C input clock
  (bsc#1051510).
- mfd: intel-lpss: Program REMAP register in PIO mode
  (bsc#1051510).
- commit a981b43
* Tue Jul  3 2018 tiwai@suse.de
- media: cx231xx: Add support for AverMedia DVD EZMaker 7
  (bsc#1051510).
- media: v4l2-compat-ioctl32: prevent go past max size
  (bsc#1051510).
- media: dvb_frontend: fix locking issues at
  dvb_frontend_get_event() (bsc#1051510).
- commit 8ac41a1
* Tue Jul  3 2018 tiwai@suse.de
- kernel/relay.c: limit kmalloc size to KMALLOC_MAX_SIZE
  (bsc#1051510).
- commit 5080000
* Tue Jul  3 2018 tiwai@suse.de
- Input: elan_i2c_smbus - fix more potential stack buffer
  overflows (bsc#1051510).
- Input: elan_i2c - add ELAN0618 (Lenovo v330 15IKB) ACPI ID
  (bsc#1051510).
- Input: elantech - fix V4 report decoding for module with middle
  key (bsc#1051510).
- Input: elantech - enable middle button of touchpads on ThinkPad
  P52 (bsc#1051510).
- commit 5144ba7
* Tue Jul  3 2018 tiwai@suse.de
- idr: fix invalid ptr dereference on item delete (bsc#1051510).
- commit be80860
* Tue Jul  3 2018 tiwai@suse.de
- Bluetooth: hci_qca: Avoid missing rampatch failure with
  userspace fw loader (bsc#1051510).
- commit 89da3e9
* Tue Jul  3 2018 tiwai@suse.de
- auxdisplay: fix broken menu (bsc#1051510).
- auxdisplay: img-ascii-lcd: add missing
  MODULE_DESCRIPTION/AUTHOR/LICENSE (bsc#1051510).
- auxdisplay: img-ascii-lcd: Only build on archs that have IOMEM
  (bsc#1051510).
- commit 215cae7
* Tue Jul  3 2018 tiwai@suse.de
- ACPI / LPSS: Add missing prv_offset setting for byt/cht PWM
  devices (bsc#1051510).
- commit aa3e853
* Tue Jul  3 2018 tiwai@suse.de
- ASoC: cs35l35: Add use_single_rw to regmap config (bsc#1051510).
- ASoC: dapm: delete dapm_kcontrol_data paths list before freeing
  it (bsc#1051510).
- ASoC: cirrus: i2s: Fix {TX|RX}LinCtrlData setup (bsc#1051510).
- ASoC: cirrus: i2s: Fix LRCLK configuration (bsc#1051510).
- commit 8e9fd2f
* Tue Jul  3 2018 tiwai@suse.de
- ALSA: seq: Fix UBSAN warning at
  SNDRV_SEQ_IOCTL_QUERY_NEXT_CLIENT ioctl (bsc#1051510).
- ALSA: timer: Fix UBSAN warning at SNDRV_TIMER_IOCTL_NEXT_DEVICE
  ioctl (bsc#1051510).
- commit 545ff8d
* Mon Jul  2 2018 lhenriques@suse.com
- ceph: fix dentry leak in splice_dentry() (bsc#1098236).
- commit 3b8a702
* Mon Jul  2 2018 tiwai@suse.de
- Input: xpad - fix GPD Win 2 controller name (bsc#1051510).
- iwlwifi: pcie: compare with number of IRQs requested for,
  not number of CPUs (bsc#1051510).
- PCI: Mark Broadcom HT1100 and HT2000 Root Port Extended Tags
  as broken (bsc#1051510).
- PCI: Add function 1 DMA alias quirk for Marvell 88SE9220
  (bsc#1051510).
- PCI: Restore config space on runtime resume despite being
  unbound (bsc#1051510).
- ACPI / watchdog: properly initialize resources (bsc#1051510).
- commit bd85685
* Mon Jul  2 2018 tiwai@suse.de
- ALSA: hda/realtek - Fix the problem of two front mics on more
  machines (bsc#1051510).
- ALSA: hda/realtek - Add a quirk for FSC ESPRIMO U9210
  (bsc#1051510).
- ALSA: hda/realtek - Fix pop noise on Lenovo P50 & co
  (bsc#1051510).
- commit 091cd56
* Mon Jul  2 2018 tiwai@suse.de
- ALSA: hda/ca0132: make array ca0132_alt_chmaps static
  (bsc#1051510).
- ALSA: hda/ca0132: Fix DMic data rate for Alienware M17x R4
  (bsc#1051510).
- ALSA: hda/ca0132: Restore PCM Analog Mic-In2 (bsc#1051510).
- ALSA: hda/ca0132: Don't test for QUIRK_NONE (bsc#1051510).
- ALSA: hda/ca0132: Restore behavior of QUIRK_ALIENWARE
  (bsc#1051510).
- ALSA: hda/ca0132: Delete redundant UNSOL event requests
  (bsc#1051510).
- ALSA: hda/ca0132: Delete pointless assignments to struct
  auto_pin_cfg fields (bsc#1051510).
- commit ae06174
* Mon Jul  2 2018 tiwai@suse.de
- ALSA: hda/ca0132 - use ARRAY_SIZE (bsc#1051510).
- Refresh
  patches.drivers/ALSA-hda-ca0132-Add-PCI-region2-iomap-for-SBZ.
- commit 5d7aadb
* Mon Jul  2 2018 jthumshirn@suse.de
- s390/qdio: don't merge ERROR output buffers (bsc#1099715).
- s390/qeth: lock read device while queueing next buffer
  (bsc#1099715).
- s390/qeth: when thread completes, wake up all waiters
  (bsc#1099715).
- s390/qeth: free netdevice when removing a card (bsc#1099715).
- s390/qeth: fix IPA command submission race (bsc#1099715).
- s390/qeth: fix overestimated count of buffer elements
  (bsc#1099715).
- s390/qeth: don't dump control cmd twice (bsc#1099715).
- commit e1ac104
* Mon Jul  2 2018 jslaby@suse.cz
- vhost: fix vhost_vq_access_ok() log check
  (networking-stable-18_04_13).
- vhost: Fix vhost_copy_to_user() (networking-stable-18_04_13).
- cdc_ether: flag the Cinterion AHS8 modem by gemalto as WWAN
  (networking-stable-18_04_13).
- slip: Check if rstate is initialized before uncompressing
  (networking-stable-18_04_13).
- kABI: protect struct cstate (kabi).
- rds: MP-RDS may use an invalid c_path
  (networking-stable-18_04_13).
- commit eec5545
* Mon Jul  2 2018 jslaby@suse.cz
- Update upstream status.
- commit baa4fcf
* Mon Jul  2 2018 jslaby@suse.cz
- sctp: sctp_sockaddr_af must check minimal addr length for
  AF_INET6 (networking-stable-18_04_10).
- sctp: do not leak kernel memory to user space
  (networking-stable-18_04_10).
- net/ipv6: Increment OUTxxx counters after netfilter hook
  (networking-stable-18_04_10).
- arp: fix arp_filter on l3slave devices
  (networking-stable-18_04_10).
- vti6: better validate user provided tunnel names
  (networking-stable-18_04_10).
- ip6_tunnel: better validate user provided tunnel names
  (networking-stable-18_04_10).
- ip6_gre: better validate user provided tunnel names
  (networking-stable-18_04_10).
- ipv6: sit: better validate user provided tunnel names
  (networking-stable-18_04_10).
- ip_tunnel: better validate user provided tunnel names
  (networking-stable-18_04_10).
- net: fool proof dev_valid_name() (networking-stable-18_04_10).
- pptp: remove a buggy dst release in pptp_connect()
  (networking-stable-18_04_10).
- route: check sysctl_fib_multipath_use_neigh earlier than hash
  (networking-stable-18_04_10).
- vlan: also check phy_driver ts_info for vlan's real device
  (networking-stable-18_04_10).
- net/ipv6: Fix route leaking between VRFs
  (networking-stable-18_04_10).
- vrf: Fix use after free and double free in vrf_finish_output
  (networking-stable-18_04_10).
- ipv6: sr: fix seg6 encap performances with TSO enabled
  (networking-stable-18_04_10).
- vhost: validate log when IOTLB is enabled
  (networking-stable-18_04_10).
- lan78xx: Crash in lan78xx_writ_reg (Workqueue: events
  lan78xx_deferred_multicast_write) (networking-stable-18_04_10).
- vhost: correctly remove wait queue during poll failure
  (networking-stable-18_04_10).
- strparser: Fix sign of err codes (networking-stable-18_04_10).
- net: fix possible out-of-bound read in skb_network_protocol()
  (networking-stable-18_04_10).
- vhost_net: add missing lock nesting notation
  (networking-stable-18_04_10).
- team: move dev_mc_sync after master_upper_dev_link in
  team_port_add (networking-stable-18_04_10).
- bonding: process the err returned by dev_set_allmulti properly
  in bond_enslave (networking-stable-18_04_10).
- bonding: move dev_mc_sync after master_upper_dev_link in
  bond_enslave (networking-stable-18_04_10).
- bonding: fix the err path for dev hwaddr sync in bond_enslave
  (networking-stable-18_04_10).
- ipv6: the entire IPv6 header chain must fit the first fragment
  (networking-stable-18_04_10).
- netlink: make sure nladdr has correct size in netlink_connect()
  (networking-stable-18_04_10).
- commit bd99c84
* Mon Jul  2 2018 neilb@suse.com
- NFSv4: Revert commit 5f83d86cf531d ("NFSv4.x: Fix wraparound
  issues..") (git-fixes).
- xprtrdma: Return -ENOBUFS when no pages are available
  (git-fixes).
- ip6mr: only set ip6mr_table from setsockopt when ip6mr_new_table
  succeeds (git-fixes).
- xprtrdma: Fix list corruption / DMAR errors during MR recovery
  (git-fixes).
- commit c72bef4
* Sat Jun 30 2018 bp@suse.de
- Delete
  patches.arch/15-x86-apic-ignore-secondary-threads-if-nosmt-force.patch.
- commit b32c883
* Fri Jun 29 2018 hare@suse.de
- nvme: fix NULL pointer dereference in nvme_init_subsystem
  (bsc#1098706).
- nvmet: switch loopback target state to connecting when resetting
  (bsc#1098706).
- commit dc833e9
* Fri Jun 29 2018 bp@suse.de
- Update config files.
- commit 6ab6e84
* Fri Jun 29 2018 bp@suse.de
- x86/CPU/AMD: Move TOPOEXT reenablement before reading
  smp_num_siblings (bsc#1089343).
- x86/apic: Ignore secondary threads if nosmt=force (bsc#1089343).
- x86/cpu/AMD: Evaluate smp_num_siblings early (bsc#1089343).
- x86/CPU/AMD: Do not check CPUID max ext level before parsing
  SMP info (bsc#1089343).
- x86/cpu/intel: Evaluate smp_num_siblings early (bsc#1089343).
- x86/cpu/topology: Provide detect_extended_topology_early()
  (bsc#1089343).
- x86/cpu/common: Provide detect_ht_early() (bsc#1089343).
- x86/cpu/AMD: Remove the pointless detect_ht() call
  (bsc#1089343).
- x86/cpu: Remove the pointless CPU printout (bsc#1089343).
- cpu/hotplug: Provide knobs to control SMT (bsc#1089343).
- cpu/hotplug: Split do_cpu_down() (bsc#1089343).
- cpu/hotplug: Make bringup/teardown of smp threads symmetric
  (bsc#1089343).
- x86/topology: Provide topology_smt_supported() (bsc#1089343).
- x86/smp: Provide topology_is_primary_thread() (bsc#1089343).
- sched/smt: Update sched_smt_present at runtime (bsc#1089343).
- jump_label: Provide hotplug context variants (bsc#1089343).
- jump_label: Fix concurrent static_key_enable/disable()
  (bsc#1089343).
- jump_label: Reorder hotplug lock and jump_label_lock
  (bsc#1089343).
- commit 0ff8503
* Fri Jun 29 2018 hare@suse.de
- nvme-fabrics: fix and refine state checks in __nvmf_check_ready
  (bsc#1098706).
- nvme-fabrics: handle the admin-only case properly in
  nvmf_check_ready (bsc#1098706).
- nvme-fabrics: refactor queue ready check (bsc#1098706).
- nvme-fc: fix nulling of queue data on reconnect (bsc#1098706).
- nvme-fc: remove reinit_request routine (bsc#1098706).
- nvme-fc: change controllers first connect to use reconnect path
  (bsc#1098706).
- nvme-fabrics: allow internal passthrough command on deleting
  controllers (bsc#1098706).
- nvme: allow duplicate controller if prior controller being
  deleted (bsc#1098706).
- nvmet-fc: increase LS buffer count per fc port (bsc#1098706).
- nvme-fabrics: allow duplicate connections to the discovery
  controller (bsc#1098706).
- nvme-fabrics: centralize discovery controller defaults
  (bsc#1098706).
- nvme-fabrics: remove unnecessary controller subnqn validation
  (bsc#1098706).
- nvme-fc: remove setting DNR on exception conditions
  (bsc#1098706).
- nvme/multipath: Fix multipath disabled naming collisions
  (bsc#1098706).
- nvme: Set integrity flag for user passthrough commands
  (bsc#1098706).
- nvme: fix potential memory leak in option parsing (bsc#1098706).
- nvme: expand nvmf_check_if_ready checks (bsc#1098706).
- nvme: Use admin command effects for admin commands
  (bsc#1098706).
- nvme: check return value of init_srcu_struct function
  (bsc#1098706).
- nvme: Skip checking heads without namespaces (bsc#1098706).
- commit 410877f
* Fri Jun 29 2018 tbogendoerfer@suse.de
- i40e: Close client on suspend and restore client MSIx on resume
  (bsc#1088821).
- commit 2475198
* Fri Jun 29 2018 jthumshirn@suse.de
- scsi: lpfc: update driver version to 12.0.0.4 (bsc#1088866).
- scsi: lpfc: Fix crash in blk_mq layer when executing modprobe
  - r lpfc (bsc#1088866).
- scsi: lpfc: correct oversubscription of nvme io requests for
  an adapter (bsc#1088866).
- scsi: lpfc: Fix MDS diagnostics failure (Rx < Tx) (bsc#1088866).
- scsi: lpfc: fix spelling mistakes: "mabilbox" and "maibox"
  (bsc#1088866).
- scsi: lpfc: Comment cleanup regarding Broadcom copyright header
  (bsc#1088866).
- scsi: lpfc: update driver version to 12.0.0.3 (bsc#1088866).
- scsi: lpfc: Enhance log messages when reporting CQE errors
  (bsc#1088866).
- scsi: lpfc: Fix up log messages and stats counters in IO submit
  code path (bsc#1088866).
- scsi: lpfc: Driver NVME load fails when CPU cnt > WQ resource
  cnt (bsc#1088866).
- scsi: lpfc: Handle new link fault code returned by adapter
  firmware (bsc#1088866).
- scsi: lpfc: Correct fw download error message (bsc#1088866).
- scsi: lpfc: enhance LE data structure copies to hardware
  (bsc#1088866).
- scsi: lpfc: Change IO submit return to EBUSY if remote port
  is recovering (bsc#1088866).
- scsi: lpfc: update driver version to 12.0.0.2 (bsc#1088866).
- scsi: lpfc: Correct missing remoteport registration during
  link bounces (bsc#1088866).
- scsi: lpfc: Fix NULL pointer reference when resetting adapter
  (bsc#1088866).
- scsi: lpfc: Fix nvme remoteport registration race conditions
  (bsc#1088866).
- scsi: lpfc: Fix driver not recovering NVME rports during target
  link faults (bsc#1088866).
- scsi: lpfc: Fix NULL pointer access in lpfc_nvme_info_show
  (bsc#1088866).
- scsi: lpfc: Fix lingering lpfc_wq resource after driver unload
  (bsc#1088866).
- scsi: lpfc: Fix Abort request WQ selection (bsc#1088866).
- scsi: lpfc: Enlarge nvmet asynchronous receive buffer counts
  (bsc#1088866).
- scsi: lpfc: Add per io channel NVME IO statistics (bsc#1088866).
- scsi: lpfc: Correct target queue depth application changes
  (bsc#1088866).
- scsi: lpfc: Fix multiple PRLI completion error path
  (bsc#1088866).
- commit 8c78da4
* Fri Jun 29 2018 jthumshirn@suse.de
- scsi: lpfc: Fix 16gb hbas failing cq create (bsc#1093290).
- scsi: lpfc: Fix port initialization failure (bsc#1093290).
- commit 0ee922c
* Fri Jun 29 2018 jslaby@suse.cz
- net: ipv4: avoid unused variable warning for sysctl (git-fixes).
- commit 7a52639
* Fri Jun 29 2018 jslaby@suse.cz
- x86/spectre_v1: Disable compiler optimizations over
  array_index_mask_nospec() (bsc#1068032 CVE-2017-5753).
- ipv6: sr: fix NULL pointer dereference in seg6_do_srh_encap()-
  v4 pkts (git-fixes).
- netlink: avoid a double skb free in genlmsg_mcast() (git-fixes).
- commit 22bc1da
* Thu Jun 28 2018 jslaby@suse.cz
- ppp: avoid loop in xmit recursion detection code
  (networking-stable-18_03_28).
- ipv6: sr: fix NULL pointer dereference when setting encap
  source address (networking-stable-18_03_28).
- ipv6: sr: fix scheduling in RCU when creating seg6 lwtunnel
  state (networking-stable-18_03_28).
- s390/qeth: lock read device while queueing next buffer
  (networking-stable-18_03_28).
- s390/qeth: when thread completes, wake up all waiters
  (networking-stable-18_03_28).
- s390/qeth: free netdevice when removing a card
  (networking-stable-18_03_28).
- ipv6: old_dport should be a __be16 in __ip6_datagram_connect()
  (networking-stable-18_03_28).
- net: ethernet: arc: Fix a potential memory leak if an optional
  regulator is deferred (networking-stable-18_03_28).
- devlink: Remove redundant free on error path
  (networking-stable-18_03_28).
- net: fec: Fix unbalanced PM runtime calls
  (networking-stable-18_03_28).
- net: ethernet: ti: cpsw: add check for in-band mode setting
  with RGMII PHY interface (networking-stable-18_03_28).
- commit ae40f43
* Thu Jun 28 2018 jslaby@suse.cz
- mlxsw: spectrum_buffers: Set a minimum quota for CPU port
  traffic (networking-stable-18_03_28).
- skbuff: Fix not waking applications when errors are enqueued
  (networking-stable-18_03_28).
- net/iucv: Free memory obtained by kzalloc
  (networking-stable-18_03_28).
- net: systemport: Rewrite __bcm_sysport_tx_reclaim()
  (networking-stable-18_03_28).
- kcm: lock lower socket in kcm_attach
  (networking-stable-18_03_28).
- dpaa_eth: remove duplicate increment of the tx_errors counter
  (networking-stable-18_03_28).
- dpaa_eth: increment the RX dropped counter when needed
  (networking-stable-18_03_28).
- dpaa_eth: remove duplicate initialization
  (networking-stable-18_03_28).
- soc/fsl/qbman: fix issue in qman_delete_cgr_safe()
  (networking-stable-18_03_28).
- net: use skb_to_full_sk() in skb_update_prio()
  (networking-stable-18_03_28).
- net: ipv6: keep sk status consistent after datagram connect
  failure (networking-stable-18_03_28).
- net: phy: Tell caller result of phy_change()
  (networking-stable-18_03_28).
- macvlan: filter out unsupported feature flags
  (networking-stable-18_03_28).
- ieee802154: 6lowpan: fix possible NULL deref in
  lowpan_device_event() (networking-stable-18_03_28).
- ipv6: fix access to non-linear packet in
  ndisc_fill_redirect_hdr_option() (networking-stable-18_03_28).
- team: Fix double free in error path
  (networking-stable-18_03_28).
- net: Fix hlist corruptions in inet_evict_bucket()
  (networking-stable-18_03_28).
- sch_netem: fix skb leak in netem_enqueue()
  (networking-stable-18_03_28).
- net: Only honor ifindex in IP_PKTINFO if non-0
  (networking-stable-18_03_28).
- commit 510e182
* Thu Jun 28 2018 jslaby@suse.cz
- ppp: prevent unregistered channels from connecting to PPP units
  (networking-stable-18_03_07).
- mlxsw: spectrum_switchdev: Check success of FDB add operation
  (networking-stable-18_03_07).
- tcp: revert F-RTO extension to detect more spurious timeouts
  (networking-stable-18_03_07).
- s390/qeth: fix IPA command submission race
  (networking-stable-18_03_07).
- s390/qeth: fix overestimated count of buffer elements
  (networking-stable-18_03_07).
- net: ipv4: don't allow setting net.ipv4.route.min_pmtu below 68
  (networking-stable-18_03_07).
- hdlc_ppp: carrier detect ok, don't turn off negotiation
  (networking-stable-18_03_07).
- ipv6 sit: work around bogus gcc-8 -Wrestrict warning
  (networking-stable-18_03_07).
- rxrpc: Fix send in rxrpc_send_data_packet()
  (networking-stable-18_03_07).
- amd-xgbe: Restore PCI interrupt enablement setting on resume
  (networking-stable-18_03_07).
- net: sched: report if filter is too large to dump
  (networking-stable-18_03_07).
- fib_semantics: Don't match route with mismatching tclassid
  (networking-stable-18_03_07).
- mlxsw: spectrum_router: Fix error path in mlxsw_sp_vr_create
  (networking-stable-18_03_07).
- net: phy: fix phy_start to consider PHY_IGNORE_INTERRUPT
  (networking-stable-18_03_07).
- net/sched: cls_u32: fix cls_u32 on filter replace
  (networking-stable-18_03_07).
- netlink: ensure to loop over all netns in
  genlmsg_multicast_allns() (networking-stable-18_03_07).
- net: ethernet: ti: cpsw: fix net watchdog timeout
  (networking-stable-18_03_07).
- sctp: fix dst refcnt leak in sctp_v6_get_dst()
  (networking-stable-18_03_07).
- commit 020b588
* Thu Jun 28 2018 bpoirier@suse.com
- e1000e: Ignore TSYNCRXCTL when getting I219 clock attributes
  (bsc#1075876).
- commit abb70b0
* Wed Jun 27 2018 jslaby@suse.cz
- soreuseport: fix mem leak in reuseport_add_sock()
  (networking-stable-18_02_06).
- rocker: fix possible null pointer dereference in
  rocker_router_fib_event_work (networking-stable-18_02_06).
- ip6mr: fix stale iterator (networking-stable-18_02_06).
- qmi_wwan: Add support for Quectel EP06
  (networking-stable-18_02_06).
- tcp: release sk_frag.page in tcp_disconnect
  (networking-stable-18_02_06).
- vhost_net: stop device during reset owner
  (networking-stable-18_02_06).
- commit b7048a3
* Wed Jun 27 2018 jslaby@suse.cz
- dccp: don't restart ccid2_hc_tx_rto_expire() if sk in closed
  state (networking-stable-18_01_28).
- net: vrf: Add support for sends to local broadcast address
  (networking-stable-18_01_28).
- net: tcp: close sock if net namespace is exiting
  (networking-stable-18_01_28).
- mlxsw: spectrum_router: Don't log an error on missing neighbor
  (networking-stable-18_01_28).
- pppoe: take ->needed_headroom of lower device into account on
  xmit (networking-stable-18_01_28).
- net: qdisc_pkt_len_init() should be more robust
  (networking-stable-18_01_28).
- ip6_gre: init dev->mtu and dev->hard_header_len correctly
  (networking-stable-18_01_28).
- flow_dissector: properly cap thoff field
  (networking-stable-18_01_28).
- netlink: reset extack earlier in netlink_rcv_skb
  (networking-stable-18_01_28).
- ipv4: Make neigh lookup keys for loopback/point-to-point
  devices be INADDR_ANY (networking-stable-18_01_28).
- net: Allow neigh contructor functions ability to modify the
  primary_key (networking-stable-18_01_28).
- netlink: extack needs to be reset each time through loop
  (networking-stable-18_01_28).
- tipc: fix a memory leak in tipc_nl_node_get_link()
  (networking-stable-18_01_28).
- ipv6: fix udpv6 sendmsg crash caused by too small MTU
  (networking-stable-18_01_28).
- ppp: unlock all_ppp_mutex before registering device
  (networking-stable-18_01_28).
- commit 7a88b2e
* Wed Jun 27 2018 jroedel@suse.de
- kvm: nVMX: Enforce cpl=0 for VMX instructions (bsc#1099183).
- commit a1ac0dc
* Wed Jun 27 2018 neilb@suse.com
- NFS: Revert "NFS: Move the flock open mode check into
  nfs_flock()" (bsc#1098983).
- commit 11f1646
* Tue Jun 26 2018 dbueso@suse.de
- locking/qspinlock: Ensure node->count is updated before
  initialising node (bsc#1050549).
- locking/qspinlock: Ensure node is initialised before updating
  prev->next (bsc#1050549).
- locking: Remove smp_read_barrier_depends() from
  queued_spin_lock_slowpath() (bsc#1050549).
- commit 0699d86
* Tue Jun 26 2018 rgoldwyn@suse.com
- procfs: add tunable for fd/fdinfo dentry retention
  (bsc#1086652).
- commit a552a50
* Tue Jun 26 2018 tiwai@suse.de
- serial: sh-sci: Stop using printk format %%pCr (bsc#1051510).
- serial: 8250: omap: Fix idling of clocks for unused uarts
  (bsc#1051510).
- serial: samsung: fix maxburst parameter for DMA transactions
  (bsc#1051510).
- serial: xuartps: Fix out-of-bounds access through DT alias
  (bsc#1051510).
- serial: sh-sci: Fix out-of-bounds access through DT alias
  (bsc#1051510).
- serial: samsung: Fix out-of-bounds access through serial port
  index (bsc#1051510).
- serial: mxs-auart: Fix out-of-bounds access through serial
  port index (bsc#1051510).
- serial: imx: Fix out-of-bounds access through serial port index
  (bsc#1051510).
- serial: fsl_lpuart: Fix out-of-bounds access through DT alias
  (bsc#1051510).
- serial: arc_uart: Fix out-of-bounds access through DT alias
  (bsc#1051510).
- serial: altera: ensure port->regshift is honored consistently
  (bsc#1051510).
- commit 88d8bc4
* Tue Jun 26 2018 tiwai@suse.de
- kobject: don't use WARN for registration failures (bsc#1051510).
- lib/kobject: Join string literals back (bsc#1051510).
- commit 7847332
* Tue Jun 26 2018 tiwai@suse.de
- kconfig: Fix expr_free() E_NOT leak (bsc#1051510).
- kconfig: Fix automatic menu creation mem leak (bsc#1051510).
- kconfig: Don't leak main menus during parsing (bsc#1051510).
- commit c9d208f
* Tue Jun 26 2018 tiwai@suse.de
- kconfig: Avoid format overflow warning from GCC 8.1
  (bsc#1051510).
- commit 362ff21
* Tue Jun 26 2018 tiwai@suse.de
- iio:kfifo_buf: check for uint overflow (bsc#1051510).
- iio: ad7793: implement IIO_CHAN_INFO_SAMP_FREQ (bsc#1051510).
- commit 16858f3
* Tue Jun 26 2018 tiwai@suse.de
- i2c: viperboard: return message count on master_xfer success
  (bsc#1051510).
- i2c: pmcmsp: fix error return from master_xfer (bsc#1051510).
- i2c: pmcmsp: return message count on master_xfer success
  (bsc#1051510).
- commit e8e6bb6
* Tue Jun 26 2018 tiwai@suse.de
- can: hi311x: Work around TX complete interrupt erratum
  (bsc#1051510).
- can: hi311x: Acquire SPI lock on ->do_get_berr_counter
  (bsc#1051510).
- commit 611da87
* Tue Jun 26 2018 ggherdovich@suse.cz
- cpufreq: intel_pstate: enable boost for Skylake Xeon
  (bsc#1066110).
- commit 263c6ed
* Tue Jun 26 2018 ggherdovich@suse.cz
- cpufreq: intel_pstate: New sysfs entry to control HWP boost
  (bsc#1066110).
- commit 27d65e5
* Tue Jun 26 2018 ggherdovich@suse.cz
- cpufreq: intel_pstate: HWP boost performance on IO wakeup
  (bsc#1066110).
- commit 31b1def
* Tue Jun 26 2018 ggherdovich@suse.cz
- cpufreq: intel_pstate: Add HWP boost utility and sched util
  hooks (bsc#1066110).
- commit 4c5d4c5
* Tue Jun 26 2018 jthumshirn@suse.de
- libnvdimm, pmem: Do not flush power-fail protected CPU caches
  (bsc#1091424).
- libnvdimm, pmem: Unconditionally deep flush on *sync
  (bsc#1091424).
- commit 7fc6830
* Tue Jun 26 2018 lhenriques@suse.com
- fs/binfmt_misc.c: do not allow offset overflow (bsc#1099142).
- commit efa14c2
* Tue Jun 26 2018 tiwai@suse.de
- HID: intel_ish-hid: ipc: register more pm callbacks to support
  hibernation (bsc#1051510).
- HID: intel-ish-hid: use put_device() instead of kfree()
  (bsc#1051510).
- HID: wacom: Release device resource data obtained by
  devres_alloc() (bsc#1051510).
- HID: lenovo: Add support for IBM/Lenovo Scrollpoint mice
  (bsc#1051510).
- commit f6bebf1
* Tue Jun 26 2018 tiwai@suse.de
- HID: wacom: Correct logical maximum Y for 2nd-gen Intuos Pro
  large (bsc#1051510).
- iwlwifi: fw: harden page loading code (bsc#1051510).
- driver core: Don't ignore class_dir_create_and_add() failure
  (bsc#1051510).
- w1: mxc_w1: Enable clock before calling clk_get_rate() on it
  (bsc#1051510).
- commit fabed48
* Tue Jun 26 2018 tiwai@suse.de
- media: uvcvideo: Support realtek's UVC 1.5 device (bsc#1099109).
- commit 72d7cdf
* Tue Jun 26 2018 tiwai@suse.de
- dell_rbu: make firmware payload memory uncachable (bsc#1087978).
- commit 810fc1b
* Tue Jun 26 2018 tiwai@suse.de
- Downgrade printk level for MMC SDHCI host version error
  (bsc#1097941).
- commit 3226bd3
* Tue Jun 26 2018 tiwai@suse.de
- Move upstreamed ideapad-laptop patch to sorted section (bsc#1093035)
- commit eac2cbe
* Tue Jun 26 2018 tiwai@suse.de
- platform/x86: ideapad-laptop: Apply no_hw_rfkill to Y20-15IKBM,
  too (bsc#1098626).
- commit a10c509
* Mon Jun 25 2018 tiwai@suse.de
- Refresh
  patches.drivers/drm-msm-Fix-possible-null-dereference-on-failure-of-.
  Add the no-fix tag
- commit 7a9b29c
* Mon Jun 25 2018 tiwai@suse.de
- drm/i915: Apply batch location restrictions before pinning
  (bsc#1051510).
- drm/qxl: Call qxl_bo_unref outside atomic context (bsc#1051510).
- commit c810981
* Mon Jun 25 2018 lhenriques@suse.com
- regulator: Don't return or expect -errno from of_map_mode()
  (bsc#1099029).
- commit ba7726f
* Mon Jun 25 2018 msuchanek@suse.de
- rpm/kernel-source.changes.old: Add pre-SLE15 history (bsc#1098995).
- commit 9340111
* Mon Jun 25 2018 tbogendoerfer@suse.de
- i40e: Fix the number of queues available to be mapped for use
  (bsc#1094978).
- i40e: Do not allow use more TC queue pairs than MSI-X vectors
  exist (bsc#1094978).
- commit d111601
* Mon Jun 25 2018 bp@suse.de
- vhost: fix info leak due to uninitialized memory (bsc#1092472
  CVE-2018-1118).
- commit 600e954
* Mon Jun 25 2018 ohering@suse.de
- add mainline tag to one hyperv patch
- commit 0287ab4
* Sat Jun 23 2018 jslaby@suse.cz
- x86/stacktrace: Do not unwind after user regs (bnc#1058115).
- x86/stacktrace: Remove STACKTRACE_DUMP_ONCE (bnc#1058115).
- x86/stacktrace: Clarify the reliable success paths
  (bnc#1058115).
- x86/stacktrace: Do not fail for ORC with regs on stack
  (bnc#1058115).
- x86/unwind/orc: Detect the end of the stack (bnc#1058115).
- x86/stacktrace: Enable HAVE_RELIABLE_STACKTRACE for the ORC
  unwinder (bnc#1058115).
- Delete
  patches.suse/0001-x86-stacktrace-do-now-unwind-after-user-regs.patch.
- Delete
  patches.suse/0002-x86-stacktrace-make-clear-the-success-paths.patch.
- Delete
  patches.suse/0003-x86-stacktrace-remove-STACKTRACE_DUMP_ONCE-from-__sa.patch.
- Delete
  patches.suse/0004-x86-stacktrace-do-not-fail-for-ORC-with-regs-on-stac.patch.
- Delete
  patches.suse/0005-x86-stacktrace-orc-mark-it-as-reliable.patch.
  Replace the ORC patches by the upstream patches. Finally...
  0005 is disabled here by a guard in series.conf, but should be enabled
  in 12-sp4 definitely.
- commit 9925d74
* Fri Jun 22 2018 aaptel@suse.com
- cifs: Check for timeout on Negotiate stage (bsc#1091171).
- commit 5c8f09d
* Fri Jun 22 2018 msuchanek@suse.de
- Refresh patches.arch/mm-powerpc-x86-introduce-an-additional-vma-bit-for-p.patch.
- commit d28cd3d
* Fri Jun 22 2018 msuchanek@suse.de
- Refresh patches.arch/mm-powerpc-x86-define-VM_PKEY_BITx-bits-if-CONFIG_AR.patch.
- commit b94492f
* Fri Jun 22 2018 msuchanek@suse.de
- scsi: ipr: Format HCAM overlay ID 0x41 (bsc#1097961).
- commit f0c061b
* Fri Jun 22 2018 msuchanek@suse.de
- mm/pkeys, x86, powerpc: Display pkey in smaps if arch supports
  pkeys (FATE#322447, bsc#1078248).
- mm/pkeys: Add an empty arch_pkeys_enabled() (FATE#322447,
  bsc#1078248).
- mm/pkeys: Remove include of asm/mmu_context.h from pkeys.h
  (FATE#322447, bsc#1078248).
- mm/pkeys, powerpc, x86: Provide an empty vma_pkey() in
  linux/pkeys.h (FATE#322447, bsc#1078248).
- x86/pkeys: Add arch_pkeys_enabled() (FATE#322447, bsc#1078248).
- x86/pkeys: Move vma_pkey() into asm/pkeys.h (FATE#322447,
  bsc#1078248).
- Delete patches.arch/mm-x86-powerpc-display-pkey-in-smaps-only-if-arch-su.patch.
- commit d9483bb
* Fri Jun 22 2018 msuchanek@suse.de
- powerpc/pkeys: Detach execute_only key on !PROT_EXEC
  (FATE#322447, bsc#1078248, git-fixes).
- powerpc/mm: Fix thread_pkey_regs_init() (FATE#322447,
  bsc#1078248, git-fixes).
- powerpc/pkeys: Drop private VM_PKEY definitions (FATE#322447,
  bsc#1078248).
- commit a8be076
* Thu Jun 21 2018 jgross@suse.com
- xen: don't print error message in case of missing Xenstore entry
  (bnc#1065600).
- commit ec662c5
* Thu Jun 21 2018 tiwai@suse.de
- staging: wilc1000: Fix bssid buffer offset in Txq (bsc#1051510).
- commit 64122fd
* Thu Jun 21 2018 tiwai@suse.de
- mac80211: use timeout from the AddBA response instead of the
  request (bsc#1051510).
- mac80211: Adjust SAE authentication timeout (bsc#1051510).
- commit e651094
* Thu Jun 21 2018 tiwai@suse.de
- crypto: vmx - Remove overly verbose printk from AES XTS init
  (bsc#1051510).
- crypto: vmx - Remove overly verbose printk from AES init
  routines (bsc#1051510).
- crypto: omap-sham - fix memleak (bsc#1051510).
- commit 2e10430
* Thu Jun 21 2018 tiwai@suse.de
- crypto: caam - strip input zeros from RSA input buffer
  (bsc#1051510).
- commit f8a4c3c
* Thu Jun 21 2018 tiwai@suse.de
- crypto: caam - fix IV DMA mapping and updating (bsc#1051510).
- crypto: caam - fix DMA mapping dir for generated IV
  (bsc#1051510).
- commit bdb533c
* Thu Jun 21 2018 glin@suse.com
- bpf: properly enforce index mask to prevent out-of-bounds
  speculation (bsc#1098425).
- kabi: add struct bpf_map back (References: bsc#1098425).
- Refresh
  patches.kabi/bpf-prevent-memory-disambiguation-attack.patch.
- Refresh
  patches.suse/bpf-prevent-memory-disambiguation-attack.patch.
- commit 63c00fe
* Thu Jun 21 2018 tiwai@suse.de
- ASoC: topology: Check widget kcontrols before deref
  (bsc#1051510).
- Refresh
  patches.drivers/ASoC-topology-Check-widget-kcontrols-before-deref.
- commit f36a345
* Thu Jun 21 2018 tiwai@suse.de
- drm/dumb-buffers: Integer overflow in drm_mode_create_ioctl()
  (bsc#1051510).
- drm/omap: handle alloc failures in omap_connector (bsc#1051510).
- drm/omap: fix possible NULL ref issue in tiler_reserve_2d
  (bsc#1051510).
- drm/omap: fix uninitialized ret variable (bsc#1051510).
- drm/omap: silence unititialized variable warning (bsc#1051510).
- drm/msm/dsi: use correct enum in dsi_get_cmd_fmt (bsc#1051510).
- drm/amdkfd: fix clock counter retrieval for node without GPU
  (bsc#1051510).
- commit cccb30d
* Thu Jun 21 2018 tiwai@suse.de
- gpio: fix aspeed_gpio unmask irq (bsc#1051510).
- gpio: No NULL owner (bsc#1051510).
- commit c6dac49
* Thu Jun 21 2018 tiwai@suse.de
- ACPI / watchdog: Prefer iTCO_wdt on Lenovo Z50-70 (bsc#1051510).
- commit c72ccee
* Thu Jun 21 2018 tiwai@suse.de
- Input: elan_i2c - add ELAN0612 (Lenovo v330 14IKB) ACPI ID
  (bsc#1051510).
- Input: goodix - add new ACPI id for GPD Win 2 touch screen
  (bsc#1051510).
- Input: xpad - add GPD Win 2 Controller USB IDs (bsc#1051510).
- Input: atmel_mxt_ts - fix the firmware update (bsc#1051510).
- Input: synaptics-rmi4 - fix an unchecked out of memory error
  path (bsc#1051510).
- commit 1ccaca3
* Thu Jun 21 2018 tiwai@suse.de
- Input: xpad - sync supported devices with XBCD (bsc#1051510).
- commit 070cc49
* Thu Jun 21 2018 tiwai@suse.de
- Input: xpad - sync supported devices with 360Controller
  (bsc#1051510).
- Refresh
  patches.drivers/Input-xpad-add-support-for-PDP-Xbox-One-controllers.
- commit b065ed1
* Thu Jun 21 2018 dchang@suse.com
- ethernet: Use octal not symbolic permissions (bsc#1086288
  FATE#324877).
- emulex/benet: Constify *be_misconfig_evt_port_state (bsc#1086288
  FATE#324877).
- be2net: Handle transmit completion errors in Lancer (bsc#1086288
  FATE#324877).
- be2net: Fix HW stall issue in Lancer (bsc#1086288 FATE#324877).
- commit 43a7f05
* Wed Jun 20 2018 jeffm@suse.com
- ext4: fix unsupported feature message formatting (bsc#1098435).
- commit 54744d1
* Wed Jun 20 2018 mbrugger@suse.com
- irqchip/gic-v3-its: Ensure nr_ites >= nr_lpis (bsc#1098401).
- commit efcaaf4
* Wed Jun 20 2018 mhocko@suse.com
- mm, l1tf: Disallow non privileged high MMIO PROT_NONE mappings
  (bnc#1087081, CVE-2018-3620).
- x86, l1tf: Limit swap file size to MAX_PA/2 (bnc#1087081,
  CVE-2018-3620).
- x86, l1tf: Add sysfs report for l1tf (bnc#1087081,
  CVE-2018-3620).
- x86, l1tf: Make sure the first page is always reserved
  (bnc#1087081, CVE-2018-3620).
- x86, l1tf: Protect PROT_NONE PTEs against speculation
  (bnc#1087081, CVE-2018-3620).
- x86, l1tf: Protect swap entries against L1TF (bnc#1087081,
  CVE-2018-3620).
- x86/speculation/l1tf: Change order of offset/type in swap entry
  (bnc#1087081, CVE-2018-3620).
- x86, l1tf: Increase 32bit PAE __PHYSICAL_PAGE_MASK (bnc#1087081,
  CVE-2018-3620).
- commit 56f4d90
* Wed Jun 20 2018 vbabka@suse.cz
- mm, swap: fix false error message in __swp_swapcount()
  (VM Functionality, bsc#1098043).
- commit 329f690
* Tue Jun 19 2018 lhenriques@suse.com
- ceph: fix alignment of rasize (bsc#1098236).
- ceph: fix use-after-free in ceph_statfs() (bsc#1098236).
- ceph: prevent i_version from going back (bsc#1098236).
- ceph: fix wrong check for the case of updating link count
  (bsc#1098236).
- ceph: support file lock on directory (bsc#1098236).
- commit f97eb64
* Tue Jun 19 2018 jkosina@suse.cz
- x86/pti: don't report XenPV as vulnerable (bsc#1097551).
- scripts/git_sort/git_sort.py:
- commit 39b6104
* Tue Jun 19 2018 gqjiang@suse.com
- md: fix two problems with setting the "re-add" device state
  (bsc#1098176).
- raid10: check bio in r10buf_pool_free to void NULL pointer
  dereference (bsc#1098174).
- commit 1a6926b
* Tue Jun 19 2018 nborisov@suse.com
- jfs: Fix inconsistency between memory allocation and
  ea_buf->max_size (bsc#1097234, CVE-2018-12233).
- Delete patches.suse/jfs-Fix-buffer-overrun-in-ea_get.patch.
- commit 871f006
* Mon Jun 18 2018 msuchanek@suse.de
- macros.kernel-source: define linux_arch for KMPs (boo#1098050).
  CONFIG_64BIT is no longer defined so KMP spec files need to include
  %%{?linux_make_arch} in any make call to build modules or descent into
  the kernel directory for any reason.
- commit 5dc40af
* Mon Jun 18 2018 msuchanek@suse.de
- scsi: ipr: new IOASC update (bsc#1097961).
- commit 7f29a4f
* Mon Jun 18 2018 tiwai@suse.de
- Refresh patches.drivers/ACPI-scan-Initialize-watchdog-before-PNP.patch
  Moved to the upstream section, too.
- commit 57124fc
* Mon Jun 18 2018 vbabka@suse.cz
- blacklist.conf: blacklist some mm git-fixes that are not needed in our kernels
- commit 18461bb
* Mon Jun 18 2018 mgorman@suse.de
- Refresh
  patches.suse/sched-numa-Stagger-NUMA-balancing-scan-periods-for-new-threads.patch.
- commit eaea181
* Mon Jun 18 2018 oneukum@suse.com
- xhci: add port speed ID to portsc tracing (FATE#325103).
- xhci: add port status tracing (FATE#325103).
- commit b0a7d42
* Mon Jun 18 2018 oneukum@suse.com
- xhci: Add port status decoder for tracing purposes
  (FATE#325103).
- commit b31aeac
* Mon Jun 18 2018 oneukum@suse.com
- xhci: add definitions for all port link states (FATE#325103).
- commit 7b825fb
* Mon Jun 18 2018 nborisov@suse.com
- jfs: Fix buffer overrun in ea_get (bsc#1097234, CVE-2018-12233).
- commit f7cd7d0
* Mon Jun 18 2018 mgorman@suse.de
- Refresh
  patches.suse/mremap-Remove-LATENCY_LIMIT-from-mremap-to-reduce-the-number-of-TLB-shootdowns.patch.
- commit fdc45b2
* Mon Jun 18 2018 nborisov@suse.com
- Sort series.conf
- commit 4d4f556
* Mon Jun 18 2018 nborisov@suse.com
- Refresh
  patches.drivers/0001-qla2xxx-Mask-off-Scope-bits-in-retry-delay.patch.
- commit e944492
* Mon Jun 18 2018 jgross@suse.com
- xen/netfront: raise max number of slots in
  xennet_get_responses() (bnc#1076049).
- commit 1b73c5e
* Mon Jun 18 2018 mkubecek@suse.cz
- rpm: ignore CONFIG_GCC_VERSION when checking for oldconfig changes
  Since 4.18-rc1, "make oldconfig" writes gcc version and capabilities into
  generated .config. Thus whenever we build the package or run checks with
  different gcc version than used to update config/*/*, check for "outdated
  configs" fails.
  As a quick band-aid, omit the lines with CONFIG_GCC_VERSION from both
  configs before comparing them. This way, the check won't fail unless run
  with newer gcc which would add new capabilities. More robust solution will
  require a wider discussion.
- commit 546ef32
* Fri Jun 15 2018 lhenriques@suse.com
- Refresh patches.fixes/ceph-fix-st_nlink-stat-for-directories.patch.
- commit 031bfc5
* Fri Jun 15 2018 jslaby@suse.cz
- Update
  patches.fixes/vti-fix-use-after-free-in-vti_tunnel_xmit-vti6_tnl_x.patch
  (bsc#1076830 networking-stable-17_10_09).
- commit 5da2974
* Fri Jun 15 2018 ptesarik@suse.cz
- x86/setup: Do not reserve a crash kernel region if booted on
  Xen PV (bsc#1085626).
- commit 90613d9
* Fri Jun 15 2018 tiwai@suse.de
- blacklist.conf: Add ASoC entry breaking kABI
- commit a377ffd
* Fri Jun 15 2018 tiwai@suse.de
- drm/i915: Remove stale asserts from
  i915_gem_find_active_request() (bsc#1051510).
- ubi: fastmap: Cancel work upon detach (bsc#1051510).
- drm/i915: Restore planes after load detection (bsc#1051510).
- crypto: caam/qi - fix IV DMA mapping and updating (bsc#1051510).
- iio: trigger: stm32-timer: fix get/set down count direction
  (bsc#1051510).
- drm/i915: Remove stale asserts from
  i915_gem_find_active_request() (bsc#1051510).
- ubi: fastmap: Cancel work upon detach (bsc#1051510).
- drm/i915: Restore planes after load detection (bsc#1051510).
- crypto: caam/qi - fix IV DMA mapping and updating (bsc#1051510).
- iio: trigger: stm32-timer: fix get/set down count direction
  (bsc#1051510).
- commit 6238d67
* Fri Jun 15 2018 jroedel@suse.de
- iommu/vt-d: Fix race condition in add_unmap() (bsc#1096790, bsc#1097034).
- commit 5296753
* Fri Jun 15 2018 tiwai@suse.de
- isdn: eicon: fix a missing-check bug (bsc#1051510).
- drm: set FMODE_UNSIGNED_OFFSET for drm files (bsc#1051510).
- i2c: mv64xxx: Apply errata delay only in standard mode
  (bsc#1051510).
- crypto: sunxi-ss - Add MODULE_ALIAS to sun4i-ss (bsc#1051510).
- rtlwifi: rtl8192cu: Remove variable self-assignment in rf.c
  (bsc#1051510).
- gpu: ipu-v3: prg: avoid possible array underflow (bsc#1051510).
- gpu: ipu-v3: prg: fix device node leak in
  ipu_prg_lookup_by_phandle (bsc#1051510).
- gpu: ipu-v3: pre: fix device node leak in
  ipu_pre_lookup_by_phandle (bsc#1051510).
- commit b2aeaf7
* Fri Jun 15 2018 tiwai@suse.de
- ALSA: usb-audio: simplify set_sync_ep_implicit_fb_quirk
  (bsc#1051510).
- commit 520d40f
* Fri Jun 15 2018 tiwai@suse.de
- ALSA: usb-audio: Remove explicitly listed Mytek devices
  (bsc#1051510).
- ALSA: usb-audio: Generic DSD detection for XMOS-based
  implementations (bsc#1051510).
- ALSA: usb-audio: Add native DSD support for Mytek DACs
  (bsc#1051510).
- commit 1407c17
* Fri Jun 15 2018 tiwai@suse.de
- ALSA: usb-audio: Disable the quirk for Nura headset
  (bsc#1051510).
- commit 8a928b8
* Fri Jun 15 2018 tiwai@suse.de
- ALSA: usb-audio: add boot quirk for Axe-Fx III (bsc#1051510).
- commit d9745dc
* Fri Jun 15 2018 tiwai@suse.de
- ALSA: usb-audio: add more quirks for DSD interfaces
  (bsc#1051510).
- ALSA: usb-audio: Integrate native DSD support for ITF-USB
  based DACs (bsc#1051510).
- commit 6b13495
* Fri Jun 15 2018 tiwai@suse.de
- ALSA: usb-audio: FIX native DSD support for TEAC UD-501 DAC
  (bsc#1051510).
- commit a4151ea
* Fri Jun 15 2018 tiwai@suse.de
- ALSA: usb-audio: Support changing input on Sound Blaster E1
  (bsc#1051510).
- Refresh
  patches.drivers/ALSA-usb-audio-Initialize-Dell-Dock-playback-volumes.
- commit 7cdbbde
* Fri Jun 15 2018 tiwai@suse.de
- ALSA: usb-audio: Add a quirk for Nura's first gen headset
  (bsc#1051510).
- commit 6bf51b8
* Fri Jun 15 2018 tiwai@suse.de
- ALSA: usb-audio: Change the semantics of the enable option
  (bsc#1051510).
- ALSA: line6: Add yet more sanity checks for invalid EPs
  (bsc#1051510).
- ALSA: hiface: Add sanity checks for invalid EPs (bsc#1051510).
- ALSA: usb-audio: Add sanity checks for invalid EPs
  (bsc#1051510).
- commit a5f919f
* Fri Jun 15 2018 tiwai@suse.de
- ALSA: usb-audio: Apply vendor ID matching for sample rate quirk
  (bsc#1051510).
- commit 0ebc179
* Fri Jun 15 2018 tiwai@suse.de
- ALSA: line6: add support for POD HD DESKTOP (bsc#1051510).
- commit d06b8f4
* Fri Jun 15 2018 tiwai@suse.de
- ALSA: usb-audio: Add sample rate quirk for Plantronics P610
  (bsc#1051510).
- ALSA: usb-audio: Add sample rate quirk for Plantronics
  C310/C520-M (bsc#1051510).
- commit 051d536
* Fri Jun 15 2018 tiwai@suse.de
- ALSA: line6: remove unnecessary initialization to PODHD500X
  (bsc#1051510).
- ALSA: line6: add support for POD HD500X (bsc#1051510).
- commit 48fb9b8
* Fri Jun 15 2018 tiwai@suse.de
- ALSA: hda/realtek - Add shutup hint (bsc#1051510).
- ALSA: hda: add dock and led support for HP ProBook 640 G4
  (bsc#1051510).
- ALSA: hda: add dock and led support for HP EliteBook 830 G5
  (bsc#1051510).
- commit 5517119
* Fri Jun 15 2018 vbabka@suse.cz
- mm/huge_memory.c: __split_huge_page() use atomic
  ClearPageDirty() (VM Functionality, bsc#1097800).
- commit f3662c4
* Fri Jun 15 2018 vbabka@suse.cz
- mm, slab: reschedule cache_reap() on the same CPU (VM
  Functionality, bsc#1097796).
- commit a6231a1
* Fri Jun 15 2018 vbabka@suse.cz
- mm/ksm.c: fix inconsistent accounting of zero pages (VM
  Functionality, bsc#1097780).
- commit 392d0c5
* Thu Jun 14 2018 vbabka@suse.cz
- blacklist.conf: blacklist stable fix 880cd276dff1 ("mm, slab:
  memcg_link the SLAB's kmem_cache"), bsc#1097471
- commit bc9af26
* Wed Jun 13 2018 vbabka@suse.cz
- mm/page_owner: fix recursion bug after changing skip entries
  (VM Functionality, bsc#1097472).
- commit bfb3aeb
* Wed Jun 13 2018 vbabka@suse.cz
- mm/thp: do not wait for lock_page() in deferred_split_scan()
  (VM Functionality, bsc#1097470).
- commit 23a211a
* Wed Jun 13 2018 vbabka@suse.cz
- mm/khugepaged.c: convert VM_BUG_ON() to collapse fail (VM
  Functionality, bsc#1097468).
- commit 854b555
* Wed Jun 13 2018 vbabka@suse.cz
- mm/mempolicy.c: avoid use uninitialized preferred_node (VM
  Functionality, bsc#1097465).
- commit aba0b63
* Wed Jun 13 2018 vbabka@suse.cz
- mm: Fix memory size alignment in devm_memremap_pages_release()
  (VM Functionality, bsc#1097439).
- commit 245e5a1
* Wed Jun 13 2018 vbabka@suse.cz
- mm, swap: fix race between swap count continuation operations
  (VM Functionality, bsc#1097373).
  mm, swap: fix race between swap count continuation operations -
  KABI fix (VM Functionality, bsc#1097373).
- commit 2e5c587
* Wed Jun 13 2018 tiwai@suse.de
- wil6210: missing length check in wmi_set_ie
  (CVE-2018-5848,bsc#1097356).
- commit e7f0b07
* Tue Jun 12 2018 mhocko@suse.com
- ACPI / NUMA: ia64: Parse all entries of SRAT memory affinity
  table (bnc#1088796, fate#325665).
- commit 9176a12
* Tue Jun 12 2018 nborisov@suse.com
- btrfs: return error value if create_io_em failed in
  cow_file_range (bsc#1097105).
- Btrfs: fix xattr loss after power failure (bsc#1097105).
- btrfs: Take trans lock before access running trans in
  check_delayed_ref (bsc#1097105).
- Btrfs: fix copy_items() return value when logging an inode
  (bsc#1097105).
- commit 04ec4bc
* Tue Jun 12 2018 jgross@suse.com
- xen/acpi: off by one in read_acpi_id() (bnc#1065600).
- commit d86994a
* Tue Jun 12 2018 colyli@suse.de
- bcache: return 0 from bch_debug_init() if CONFIG_DEBUG_FS=n
  (bsc#1093023).
- dm bufio: fix buffer alignment (bsc#1093023).
- tools headers: Restore READ_ONCE() C++ compatibility
  (bsc#1093023).
- commit 59a0dc1
* Tue Jun 12 2018 colyli@suse.de
- bcache: use pr_info() to inform duplicated CACHE_SET_IO_DISABLE
  set (bsc#1093023).
- bcache: set dc->io_disable to true in
  conditional_stop_bcache_device() (bsc#1093023).
- bcache: add wait_for_kthread_stop() in bch_allocator_thread()
  (bsc#1093023).
- bcache: count backing device I/O error for writeback I/O
  (bsc#1093023).
- bcache: set CACHE_SET_IO_DISABLE in bch_cached_dev_error()
  (bsc#1093023).
- bcache: store disk name in struct cache and struct cached_dev
  (bsc#1093023).
- raid1: copy write hint from master bio to behind bio
  (bsc#1093023).
- md/raid1: exit sync request if MD_RECOVERY_INTR is set
  (bsc#1093023).
- md-cluster: don't update recovery_offset for faulty device
  (bsc#1093023).
- dax, dm: allow device-mapper to operate without dax support
  (bsc#1093023).
- dm raid: fix parse_raid_params() variable range issue
  (bsc#1093023).
- dm bufio: don't embed a bio in the dm_buffer structure
  (bsc#1093023).
- dm bufio: support non-power-of-two block sizes (bsc#1093023).
- dm bufio: use slab cache for dm_buffer structure allocations
  (bsc#1093023).
- dm bufio: reorder fields in dm_buffer structure (bsc#1093023).
- dm bufio: relax alignment constraint on slab cache
  (bsc#1093023).
- dm bufio: remove code that merges slab caches (bsc#1093023).
- dm bufio: get rid of slab cache name allocations (bsc#1093023).
- dm bufio: move dm-bufio.h to include/linux/ (bsc#1093023).
- dm bufio: delete outdated comment (bsc#1093023).
- dm raid: fix nosync status (bsc#1093023).
- dm stripe: get rid of a Variable Length Array (VLA)
  (bsc#1093023).
- dm log writes: record metadata flag for better flags record
  (bsc#1093023).
- dm integrity: fail early if required HMAC key is not available
  (bsc#1093023).
- dm: remove unused macro DM_MOD_NAME_SIZE (bsc#1093023).
- dm crypt: limit the number of allocated pages (bsc#1093023).
- scsi: raid_class: Add 'JBOD' RAID level (bsc#1093023).
- bcache: Fix a compiler warning in bcache_device_init()
  (bsc#1093023).
- bcache: Reduce the number of sparse complaints about lock
  imbalances (bsc#1093023).
- bcache: Suppress more warnings about set-but-not-used variables
  (bsc#1093023).
- bcache: Remove an unused variable (bsc#1093023).
- bcache: Fix kernel-doc warnings (bsc#1093023).
- bcache: Annotate switch fall-through (bsc#1093023).
- bcache: Add __printf annotation to __bch_check_keys()
  (bsc#1093023).
- bcache: Fix indentation (bsc#1093023).
- bcache: add io_disable to struct cached_dev (bsc#1093023).
- bcache: add backing_request_endio() for bi_end_io (bsc#1093023).
- bcache: move closure debug file into debug directory
  (bsc#1093023).
- bcache: fix using of loop variable in memory shrink
  (bsc#1093023).
- bcache: fix error return value in memory shrink (bsc#1093023).
- bcache: fix incorrect sysfs output value of strip size
  (bsc#1093023).
- bcache: fix inaccurate io state for detached bcache devices
  (bsc#1093023).
- bcache: add stop_when_cache_set_failed option to backing device
  (bsc#1093023).
- bcache: add CACHE_SET_IO_DISABLE to struct cache_set flags
  (bsc#1093023).
- bcache: stop dc->writeback_rate_update properly (bsc#1093023).
- bcache: quit dc->writeback_thread when BCACHE_DEV_DETACHING
  is set (bsc#1093023).
- bcache: fix cached_dev->count usage for bch_cache_set_error()
  (bsc#1093023).
- md: Delete gendisk before cleaning up the request queue
  (bsc#1093023).
- raid: remove tile specific raid6 implementation (bsc#1093023).
- dm raid: fix incorrect sync_ratio when degraded (bsc#1093023).
- bcache: fix kcrashes with fio in RAID5 backend dev
  (bsc#1093023).
- bcache: correct flash only vols (check all uuids) (bsc#1093023).
- md/raid1: fix NULL pointer dereference (bsc#1093023).
- md: fix a potential deadlock of raid5/raid10 reshape
  (bsc#1093023).
- md-cluster: choose correct label when clustered layout is not
  supported (bsc#1093023).
- md: raid5: avoid string overflow warning (bsc#1093023).
- raid5-ppl: fix handling flush requests (bsc#1093023).
- md: only allow remove_and_add_spares when no sync_thread running
  (bsc#1093023).
- md: document lifetime of internal rdev pointer (bsc#1093023).
- MD: Free bioset when md_run fails (bsc#1093023).
- md-multipath: Use seq_putc() in multipath_status()
  (bsc#1093023).
- md/raid1: Fix trailing semicolon (bsc#1093023).
- md/raid5: simplify uninitialization of shrinker (bsc#1093023).
- dm: correctly handle chained bios in dec_pending()
  (bsc#1093023).
- bcache: fix for data collapse after re-attaching an attached
  device (bsc#1093023).
- bcache: return attach error when no cache set exist
  (bsc#1093023).
- bcache: set writeback_rate_update_seconds in range [1, 60]
  seconds (bsc#1093023).
- bcache: fix for allocator and register thread race
  (bsc#1093023).
- bcache: set error_limit correctly (bsc#1093023).
- bcache: properly set task state in bch_writeback_thread()
  (bsc#1093023).
- bcache: fix high CPU occupancy during journal (bsc#1093023).
- bcache: add journal statistic (bsc#1093023).
- dm thin: fix trailing semicolon in __remap_and_issue_shared_cell
  (bsc#1093023).
- dm log writes: fix max length used for kstrndup (bsc#1093023).
- dm: backfill missing calls to mutex_destroy() (bsc#1093023).
- dm flakey: check for null arg_name in parse_features()
  (bsc#1093023).
- dm: move dm_table_destroy() to same header as dm_table_create()
  (bsc#1093023).
- dm raid: make raid_sets symbol static (bsc#1093023).
- dm bufio: eliminate unnecessary labels in
  dm_bufio_client_create() (bsc#1093023).
- dm bufio: check result of register_shrinker() (bsc#1093023).
- dm bufio: add missed destroys of client mutex (bsc#1093023).
- dm bufio: use REQ_OP_READ and REQ_OP_WRITE (bsc#1093023).
- dm: simplify start of block stats accounting for bio-based
  (bsc#1093023).
- dm: rename 'bio' member of dm_io structure to 'orig_bio'
  (bsc#1093023).
- dm: remove stale comment blocks (bsc#1093023).
- dm: set QUEUE_FLAG_DAX accordingly in
  dm_table_set_restrictions() (bsc#1093023).
- dm: fix __send_changing_extent_only() to send first bio and
  chain remainder (bsc#1093023).
- dm: ensure bio-based DM's bioset and io_pool support targets'
  maximum IOs (bsc#1093023).
- dm: remove BIOSET_NEED_RESCUER based dm_offload infrastructure
  (bsc#1093023).
- dm: safely allocate multiple bioset bios (bsc#1093023).
- dm: remove unused 'num_write_bios' target interface
  (bsc#1093023).
- dm: ensure bio submission follows a depth-first tree walk
  (bsc#1093023).
- dm io: remove BIOSET_NEED_RESCUER flag from bios bioset
  (bsc#1093023).
- dm crypt: remove BIOSET_NEED_RESCUER flag (bsc#1093023).
- dm: fix comment above dm_accept_partial_bio (bsc#1093023).
- dm raid: use rs_is_raid*() (bsc#1093023).
- dm raid: simplify rs_get_progress() (bsc#1093023).
- dm raid: ensure 'a' chars during reshape (bsc#1093023).
- dm raid: stop keeping raid set frozen altogether (bsc#1093023).
- dm raid: validate current raid sets redundancy (bsc#1093023).
- dm raid: bump target version to reflect numerous fixes
  (bsc#1093023).
- dm raid: small cleanup and remove unsed "struct raid_set"
  member (bsc#1093023).
- dm raid: fix rs_get_progress() synchronization state/ratio
  (bsc#1093023).
- dm raid: avoid passing array_in_sync variable to raid_status()
  callees (bsc#1093023).
- dm raid: display a consistent copy of the MD status via
  raid_status() (bsc#1093023).
- dm raid: fix raid_resume() to keep raid set frozen as needed
  (bsc#1093023).
- dm raid: add component device size checks to avoid runtime
  failure (bsc#1093023).
- dm raid: fix raid set size revalidation (bsc#1093023).
- dm raid: correct resizing state relative to reshape space in
  ctr (bsc#1093023).
- dm raid: consume sizes after md_finish_reshape() completes
  changing them (bsc#1093023).
- dm raid: fix deadlock caused by premature md_stop_writes()
  (bsc#1093023).
- raid5-ppl: PPL support for disks with write-back cache enabled
  (bsc#1093023).
- md/r5cache: print more info of log recovery (bsc#1093023).
- md/raid1,raid10: silence warning about wait-within-wait
  (bsc#1093023).
- bcache: closures: move control bits one bit right (bsc#1093023).
- bcache: fix writeback target calc on large devices
  (bsc#1093023).
- bcache: fix misleading error message in bch_count_io_errors()
  (bsc#1093023).
- bcache: reduce cache_set devices iteration by devices_max_used
  (bsc#1093023).
- bcache: fix unmatched generic_end_io_acct() &
  generic_start_io_acct() (bsc#1093023).
- bcache: mark closure_sync() __sched (bsc#1093023).
- bcache: Fix, improve efficiency of closure_sync() (bsc#1093023).
- kabi/severities: add 'drivers/md/bcache/* PASS' for above change.
- bcache: allow quick writeback when backing idle (bsc#1093023).
- bcache: writeback: properly order backing device IO
  (bsc#1093023).
- bcache: fix wrong return value in bch_debug_init()
  (bsc#1093023).
- bcache: segregate flash only volume write streams (bsc#1093023).
- bcache: Use PTR_ERR_OR_ZERO() (bsc#1093023).
- bcache: stop writeback thread after detaching (bsc#1093023).
- bcache: ret IOERR when read meets metadata error (bsc#1093023).
- dm-crypt: don't clear bvec->bv_page in crypt_free_buffer_pages()
  (bsc#1093023).
- bcache: comment on direct access to bvec table (bsc#1093023).
- dm: limit the max bio size as BIO_MAX_PAGES * PAGE_SIZE
  (bsc#1093023).
- dm crypt: fix error return code in crypt_ctr() (bsc#1093023).
- dm crypt: wipe kernel key copy after IV initialization
  (bsc#1093023).
- dm integrity: don't store cipher request on the stack
  (bsc#1093023).
- dm crypt: fix crash by adding missing check for auth key size
  (bsc#1093023).
- dm btree: fix serious bug in btree_split_beneath()
  (bsc#1093023).
- dm thin metadata: THIN_MAX_CONCURRENT_LOCKS should be 6
  (bsc#1093023).
- dm bufio: fix shrinker scans when (nr_to_scan < retain_target)
  (bsc#1093023).
- dm: fix various targets to dm_register_target after module
  __init resources created (bsc#1093023).
- commit 6ccf1e3
* Tue Jun 12 2018 colyli@suse.de
- dm table: fix regression from improper dm_dev_internal.count
  refcount_t conversion (bsc#1093023).
- Refresh for above change,
  patches.fixes/dm-table-switch-to-readonly.
- commit 244a17e
* Tue Jun 12 2018 colyli@suse.de
- md/raid1/10: add missed blk plug (bsc#1093023).
- md: limit mdstat resync progress to max_sectors (bsc#1093023).
- md/r5cache: move mddev_lock() out of r5c_journal_mode_set()
  (bsc#1093023).
- md/raid5: correct degraded calculation in raid5_error
  (bsc#1093023).
- dm bufio: fix integer overflow when limiting maximum cache size
  (bsc#1093023).
- dm: clear all discard attributes in queue_limits when discards
  are disabled (bsc#1093023).
- dm: do not set 'discards_supported' in targets that do not
  need it (bsc#1093023).
- dm: discard support requires all targets in a table support
  discards (bsc#1093023).
- bitops: Introduce assign_bit() (bsc#1093023).
- md: free unused memory after bitmap resize (bsc#1093023).
- md: release allocated bitset sync_set (bsc#1093023).
- md/bitmap: clear BITMAP_WRITE_ERROR bit before writing it to sb
  (bsc#1093023).
- md: be cautious about using ->curr_resync_completed for
  - >recovery_offset (bsc#1093023).
- md: don't check MD_SB_CHANGE_CLEAN in md_allow_write
  (bsc#1093023).
- md: remove redundant variable q (bsc#1093023).
- raid1: remove obsolete code in raid1_write_request
  (bsc#1093023).
- md: use lockdep_assert_held (bsc#1093023).
- raid1: prevent freeze_array/wait_all_barriers deadlock
  (bsc#1093023).
- md: use TASK_IDLE instead of blocking signals (bsc#1093023).
- md: remove special meaning of ->quiesce(.., 2) (bsc#1093023).
- md: allow metadata update while suspending (bsc#1093023).
- commit aae3f35
* Tue Jun 12 2018 colyli@suse.de
- md: use mddev_suspend/resume instead of ->quiesce()
  (bsc#1093023).
- Update for above change
  patches.drivers/0003-md-cluster-Suspend-writes-in-RAID10-if-within-range.patch
  (fate#323171, bsc#1093023).
- commit 23a5e8e
* Tue Jun 12 2018 colyli@suse.de
- md: move suspend_hi/lo handling into core md code (bsc#1093023).
- md: don't call bitmap_create() while array is quiesced
  (bsc#1093023).
- md: always hold reconfig_mutex when calling mddev_suspend()
  (bsc#1093023).
- md: forbid a RAID5 from having both a bitmap and a journal
  (bsc#1093023).
- raid5: Set R5_Expanded on parity devices as well as data
  (bsc#1093023).
- md: raid10: remove a couple of redundant variables and
  initializations (bsc#1093023).
- md: rename some drivers/md/ files to have an "md-" prefix
  (bsc#1093023).
- md: raid10: remove VLAIS (bsc#1093023).
- md-cluster: make function cluster_check_sync_size static
  (bsc#1093023).
- md/bitmap: revert a patch (bsc#1093023).
- commit 7554ed8
* Tue Jun 12 2018 colyli@suse.de
- md: fix deadlock error in recent patch (bsc#1093023).
- Refresh for above change
  patches.fixes/0003-md-fix-md_write_start-deadlock-w-o-metadata-devices.patch.
- commit d173846
* Tue Jun 12 2018 colyli@suse.de
- dm cache: lift common migration preparation code to
  alloc_migration() (bsc#1093023).
- dm cache: remove usused deferred_cells member from struct cache
  (bsc#1093023).
- dm cache policy smq: allocate cache blocks in order
  (bsc#1093023).
- dm cache policy smq: change max background work from 10240 to
  4096 blocks (bsc#1093023).
- dm cache background tracker: limit amount of background work
  that may be issued at once (bsc#1093023).
- dm cache policy smq: take origin idle status into account when
  queuing writebacks (bsc#1093023).
- dm cache policy smq: handle races with queuing background_work
  (bsc#1093023).
- dm raid: fix panic when attempting to force a raid to sync
  (bsc#1093023).
- dm integrity: allow unaligned bv_offset (bsc#1093023).
- dm crypt: allow unaligned bv_offset (bsc#1093023).
- dm: small cleanup in dm_get_md() (bsc#1093023).
- dm zoned: ignore last smaller runt zone (bsc#1093023).
- dm space map metadata: use ARRAY_SIZE (bsc#1093023).
- dm log writes: add support for DAX (bsc#1093023).
- dm log writes: add support for inline data buffers
  (bsc#1093023).
- dm cache: simplify get_per_bio_data() by removing data_size
  argument (bsc#1093023).
- dm cache: remove all obsolete writethrough-specific code
  (bsc#1093023).
- dm cache: submit writethrough writes in parallel to origin
  and cache (bsc#1093023).
- dm cache: pass cache structure to mode functions (bsc#1093023).
- dm cache: fix race condition in the writeback mode overwrite_bio
  optimisation (bsc#1093023).
- dm cache: convert dm_cache_metadata.ref_count from atomic_t
  to refcount_t (bsc#1093023).
- dm: convert table_device.count from atomic_t to refcount_t
  (bsc#1093023).
- commit a328660
* Tue Jun 12 2018 colyli@suse.de
- dm: convert dm_dev_internal.count from atomic_t to refcount_t
  (bsc#1093023).
- Refresh for above change,
  patches.fixes/dm-table-switch-to-readonly.
- commit a0f5f3e
* Tue Jun 12 2018 colyli@suse.de
- locking/atomics: COCCINELLE/treewide: Convert trivial
  ACCESS_ONCE() patterns to READ_ONCE()/WRITE_ONCE()
  (bsc#1093023).
- Refresh for above change,
  patches.arch/s390-sles15-03-01-rwlock.patch.
- commit 34f3b87
* Tue Jun 12 2018 colyli@suse.de
- locking/atomics, dm-integrity: Convert ACCESS_ONCE() to
  READ_ONCE()/WRITE_ONCE() (bsc#1093023).
- dm raid: fix incorrect status output at the end of a "recover"
  process (bsc#1093023).
- dm crypt: reject sector_size feature if device length is not
  aligned to it (bsc#1093023).
- dm crypt: fix memory leak in crypt_ctr_cipher_old()
  (bsc#1093023).
- md/raid5: cap worker count (bsc#1093023).
- dm-raid: fix a race condition in request handling (bsc#1093023).
- md: fix a race condition for flush request handling
  (bsc#1093023).
- md: separate request handling (bsc#1093023).
- dm integrity: use init_completion instead of
  COMPLETION_INITIALIZER_ONSTACK (bsc#1093023).
- dm integrity: make blk_integrity_profile structure const
  (bsc#1093023).
- dm integrity: do not check integrity for failed read operations
  (bsc#1093023).
- dm log writes: fix >512b sectorsize support (bsc#1093023).
- dm log writes: don't use all the cpu while waiting to log blocks
  (bsc#1093023).
- dm ioctl: constify ioctl lookup table (bsc#1093023).
- dm integrity: count and display checksum failures (bsc#1093023).
- dm integrity: optimize writing dm-bufio buffers that are
  partially changed (bsc#1093023).
- dm rq: do not update rq partially in each ending bio
  (bsc#1093023).
- dm rq: make dm-sq requeuing behavior consistent with dm-mq
  behavior (bsc#1093023).
- md/raid0: attach correct cgroup info in bio (bsc#1093023).
- raid5: remove raid5_build_block (bsc#1093023).
- md/r5cache: call mddev_lock/unlock() in r5c_journal_mode_show
  (bsc#1093023).
- md: replace seq_release_private with seq_release (bsc#1093023).
- md/bitmap: copy correct data for bitmap super (bsc#1093023).
- dm-crypt: don't mess with BIP_BLOCK_INTEGRITY (bsc#1093023).
- commit 52a2220
* Tue Jun 12 2018 colyli@suse.de
- Refresh with upstream version
  patches.fixes/0001-md-use-a-separate-bio_set-for-synchronous-IO.patch.
- commit c20af71
* Tue Jun 12 2018 colyli@suse.de
- bio-integrity: move the bio integrity profile check earlier
  in bio_integrity_prep (bsc#1093023).
- Refresh for above change,
  patches.suse/block-replace-bi_bdev-with-a-gendisk-pointer-and-par.patch.
- commit e3db737
* Tue Jun 12 2018 colyli@suse.de
- block: Add comment to submit_bio_wait() (bsc#1093023).
- md/r5cache: fix io_unit handling in r5l_log_endio()
  (bsc#1093023).
- commit 405d1a4
* Mon Jun 11 2018 jthumshirn@suse.de
- scsi: qla2xxx: Delete session for nport id change (bsc#1077338).
- commit 91c8931
* Mon Jun 11 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/scsi-lpfc-fix-wq-cq-creation-for-older-asic-s.patch.
- commit 4c60141
* Mon Jun 11 2018 ohering@suse.de
- hv_netvsc: Fix a network regression after ifdown/ifup (bsc#1094420).
- commit 37bf478
* Mon Jun 11 2018 jthumshirn@suse.de
- s390/zcrypt: Fix CCA and EP11 CPRB processing failure memory
  leak (bnc#1096753, LTC#168037).
- s390/archrandom: Rework arch random implementation (bnc#1096753,
  LTC#168037).
- s390/qdio: fix access to uninitialized qdio_q fields
  (bnc#1096753, LTC#168037).
- s390/cpum_sf: ensure sample frequency of perf event attributes
  is non-zero (bnc#1096753, LTC#168037).
- s390/archrandom: Reconsider s390 arch random implementation
  (bnc#1096753, LTC#168037).
- commit 1f5f124
* Mon Jun 11 2018 jthumshirn@suse.de
- scsi: sg: allocate with __GFP_ZERO in sg_build_indirect()
  (bsc#1096728 CVE-2018-1000204).
- commit 36bd58c
* Fri Jun  8 2018 mcgrof@suse.com
- blacklist.conf: blacklist tools specific change bsc#1085941
- commit ed8a770
* Fri Jun  8 2018 mcgrof@suse.com
- firmware: provide helpers for registering the syfs loader
  (bsc#1085937).
- commit 3adefef
* Fri Jun  8 2018 mcgrof@suse.com
- firmware: fix capturing errors on fw_cache_init() on early init
  (bsc#1085937).
- commit 70c4a7b
* Fri Jun  8 2018 mcgrof@suse.com
- firmware: always enable the reboot notifier (bsc#1085937).
- commit 1871033
* Fri Jun  8 2018 mcgrof@suse.com
- firmware: share fw fallback killing on reboot/suspend
  (bsc#1085937).
- commit 56fccb7
* Fri Jun  8 2018 mcgrof@suse.com
- firmware: move kill_requests_without_uevent() up above
  (bsc#1085937).
- commit 94ab276
* Fri Jun  8 2018 mcgrof@suse.com
- firmware: add helper to unregister pm ops (bsc#1085937).
- commit 1e37b1e
* Fri Jun  8 2018 mcgrof@suse.com
- firmware: fix detecting error on register_reboot_notifier()
  (bsc#1085936).
- commit 0e1bbe6
* Fri Jun  8 2018 mcgrof@suse.com
- blacklist.conf: add tools commits to blacklist
- commit 2de7366
* Fri Jun  8 2018 mcgrof@suse.com
- blacklist.conf: blacklist further commits not needed (bsc#1085933,
  bsc#1085938, bsc#1085939)
- commit 77e477f
* Fri Jun  8 2018 mcgrof@suse.com
- blacklist.conf: blacklist 3a0b3bbbff0f
  This will not be backported as we don't use rcutorture on selftetsts.
- commit debceb0
* Fri Jun  8 2018 mbenes@suse.cz
- powerpc/livepatch: Fix build error with kprobes disabled
  (bsc#1071995 fate#323487).
- commit 74a0947
* Fri Jun  8 2018 mbenes@suse.cz
- Refresh
  patches.suse/powerpc-livepatch-implement-reliable-stack-tracing-for-the-consistency-model.patch.
- commit 5218a66
* Fri Jun  8 2018 vbabka@suse.cz
- mm, page_alloc: do not break __GFP_THISNODE by zonelist reset
  (bsc#1079152, VM Functionality).
- commit e7f5d20
* Fri Jun  8 2018 tiwai@suse.de
- ALSA: hda/realtek - Fixup for HP x360 laptops with B&O speakers
  (bsc#1096705).
- ALSA: hda/realtek - Refactor alc269_fixup_hp_mute_led_mic*()
  (bsc#1096705).
- ALSA: hda/realtek - Fixup mute led on HP Spectre x360
  (bsc#1096705).
- commit 16e47dd
* Fri Jun  8 2018 tiwai@suse.de
- ALSA: hda/ca0132: constify parameter table for effects
  (bsc#1096696).
- ALSA: hda/ca0132: merge strings just for printk (bsc#1096696).
- ALSA: hda/ca0132: constify read-only members of string array
  (bsc#1096696).
- ALSA: hda/ca0132: constify templates for control element set
  (bsc#1096696).
- ALSA: hda/ca0132: fix array_size.cocci warnings (bsc#1096696).
- ALSA: hda/ca0132: Add new control changes for SBZ + R3Di
  (bsc#1096696).
- ALSA: hda/ca0132: add ca0132_alt_set_vipsource (bsc#1096696).
- ALSA: hda/ca0132: Add DSP Volume set and New mixers for SBZ +
  R3Di (bsc#1096696).
- ALSA: hda/ca0132: add alt_select_in/out for R3Di + SBZ
  (bsc#1096696).
- ALSA: hda/ca0132: add the ability to set src_id on scp commands
  (bsc#1096696).
- ALSA: hda/ca0132: Add dsp setup + gpio functions for r3di
  (bsc#1096696).
- ALSA: hda/ca0132: add dsp setup related commands for the sbz
  (bsc#1096696).
- ALSA: hda/ca0132: update core functions for sbz + r3di
  (bsc#1096696).
- ALSA: hda/ca0132: add extra init functions for r3di + sbz
  (bsc#1096696).
- ALSA: hda/ca0132: Add extra exit functions for R3Di and SBZ
  (bsc#1096696).
- ALSA: hda/ca0132: Add PCI region2 iomap for SBZ (bsc#1096696).
- ALSA: hda/ca0132: Add pincfg for SBZ + R3Di, add fp hp
  auto-detect (bsc#1096696).
- ALSA: hda/ca0132: R3Di and SBZ quirk entires + alt firmware
  loading (bsc#1096696).
- commit 720c517
* Fri Jun  8 2018 tiwai@suse.de
- ALSA: usx2y: Fix invalid stream URBs (bsc#1051510).
- ALSA: caiaq: Add yet more sanity checks for invalid EPs
  (bsc#1051510).
- ALSA: usx2y: Add sanity checks for invalid EPs (bsc#1051510).
- commit 2ba7058
* Fri Jun  8 2018 tiwai@suse.de
- ALSA: hda - Handle kzalloc() failure in
  snd_hda_attach_pcm_stream() (bsc#1051510).
- ALSA: hda: Add Intel NUC5i7RY to the power_save blacklist
  (bsc#1051510).
- ALSA: hda: Add ASRock H81M-HDS to the power_save blacklist
  (bsc#1051510).
- ALSA: hda: Add Gigabyte P55A-UD3 and Z87-D3HP to the power_save
  blacklist (bsc#1051510).
- ALSA: hda: Add Clevo W35xSS_370SS to the power_save blacklist
  (bsc#1051510).
- ALSA: hda: Add Intel NUC7i3BNB to the power_save blacklist
  (bsc#1051510).
- ALSA: hda/realtek - Clevo P950ER ALC1220 Fixup (bsc#1051510).
- commit cc2998f
* Fri Jun  8 2018 mkubecek@suse.cz
- bpf: fix bpf_skb_adjust_net/bpf_skb_proto_xlat to deal with
  gso sctp skbs (bsc#1076830).
- l2tp: do not accept arbitrary sockets (bsc#1076830).
- netfilter: use skb_to_full_sk in ip6_route_me_harder
  (bsc#1076830).
- rds: Incorrect reference counting in TCP socket creation
  (bsc#1076830).
- tcp: revert F-RTO middle-box workaround (bsc#1076830).
- ip_gre: fix IFLA_MTU ignored on NEWLINK (bsc#1076830).
- vti: fix use after free in vti_tunnel_xmit/vti6_tnl_xmit
  (bsc#1076830).
- commit 413a62a
* Fri Jun  8 2018 mkubecek@suse.cz
- refresh sorted section
- update ustream references:
  patches.arch/powerpc-64-Use-barrier_nospec-in-syscall-entry.patch.
  patches.arch/powerpc-64-kexec-fix-race-in-kexec-when-XIVE-is-shut.patch.
  patches.arch/powerpc-64s-Add-barrier_nospec.patch.
  patches.arch/powerpc-64s-Add-support-for-ori-barrier_nospec-patch.patch.
  patches.arch/powerpc-64s-Enable-barrier_nospec-based-on-firmware-.patch.
  patches.arch/powerpc-64s-Patch-barrier_nospec-in-modules.patch.
  patches.arch/powerpc-Use-barrier_nospec-in-copy_from_user.patch.
  patches.arch/powerpc-fadump-Do-not-use-hugepages-when-fadump-is-a.patch.
  patches.arch/powerpc-fadump-exclude-memory-holes-while-reserving-.patch.
  patches.arch/powerpc-xive-fix-hcall-H_INT_RESET-to-support-long-b.patch.
  patches.arch/powerpc-xive-prepare-all-hcalls-to-support-long-busy.patch.
  patches.arch/powerpc-xive-shutdown-XIVE-when-kexec-or-kdump-is-pe.patch.
  patches.arch/powerpc-xmon-Also-setup-debugger-hooks-when-single-stepping.patch.
  patches.arch/powerpc64-ftrace-Add-a-field-in-paca-to-disable-ftra.patch.
  patches.arch/powerpc64-ftrace-Add-helpers-to-hard-disable-ftrace.patch.
  patches.arch/powerpc64-ftrace-Delay-enabling-ftrace-on-secondary-.patch.
  patches.arch/powerpc64-ftrace-Disable-ftrace-during-hotplug.patch.
  patches.arch/powerpc64-ftrace-Disable-ftrace-during-kvm-entry-exi.patch.
  patches.arch/powerpc64-ftrace-Rearrange-ifdef-sections-in-ftrace..patch.
  patches.arch/powerpc64-kexec-Hard-disable-ftrace-before-switching.patch.
  patches.arch/powerpc64-module-Tighten-detection-of-mcount-call-si.patch.
  patches.suse/powerpc-64s-Enhance-the-information-in-cpu_show_spec.patch.
- commit 6b2c486
* Fri Jun  8 2018 jslaby@suse.cz
- ipv6: sr: fix TLVs not being copied using setsockopt
  (networking-stable-18_01_12).
- 8021q: fix a memory leak for VLAN 0 device
  (networking-stable-18_01_12).
- net: core: fix module type in sock_diag_bind
  (networking-stable-18_01_12).
- sctp: fix the handling of ICMP Frag Needed for too small MTUs
  (networking-stable-18_01_12).
- sctp: do not retransmit upon FragNeeded if PMTU discovery is
  disabled (networking-stable-18_01_12).
- sh_eth: fix SH7757 GEther initialization
  (networking-stable-18_01_12).
- net: fec: free/restore resource in related probe error pathes
  (networking-stable-18_01_12).
- sh_eth: fix TSU resource handling (networking-stable-18_01_12).
- net: stmmac: enable EEE in MII, GMII or RGMII only
  (networking-stable-18_01_12).
- net: fec: defer probe if regulator is not ready
  (networking-stable-18_01_12).
- net: fec: restore dev_id in the cases of probe error
  (networking-stable-18_01_12).
- ethtool: do not print warning for applications using legacy API
  (networking-stable-18_01_12).
- mlxsw: spectrum: Relax sanity checks during enslavement
  (networking-stable-18_01_12).
- mlxsw: spectrum_router: Fix NULL pointer deref
  (networking-stable-18_01_12).
- commit 072d5d2
* Fri Jun  8 2018 wqu@suse.com
- objtool, perf: Fix GCC 8 -Wrestrict error (Fix gcc 8 restrict
  error).
- tools/lib/subcmd/pager.c: do not alias select() params (Fix
  gcc 8 restrict error).
- commit 83717be
* Thu Jun  7 2018 msuchanek@suse.de
- scsi: cxlflash: Isolate external module dependencies
  (FATE#325192).
- scsi: cxlflash: Abstract hardware dependent assignments
  (FATE#325192).
- scsi: cxlflash: Add include guards to backend.h (FATE#325192).
- scsi: cxlflash: Use local mutex for AFU serialization
  (FATE#325192).
- scsi: cxlflash: Acquire semaphore before invoking ioctl services
  (FATE#325192).
- scsi: cxlflash: Limit the debug logs in the IO path
  (FATE#325192).
- scsi: cxlflash: Yield to active send threads (FATE#325192).
- scsi: cxlflash: Handle spurious interrupts (FATE#325192).
- scsi: cxlflash: Remove commmands from pending list on timeout
  (FATE#325192).
- scsi: cxlflash: Synchronize reset and remove ops (FATE#325192).
- scsi: cxlflash: Enable OCXL operations (FATE#325192).
- scsi: cxlflash: Support AFU reset (FATE#325192).
- scsi: cxlflash: Register for translation errors (FATE#325192).
- scsi: cxlflash: Introduce OCXL context state machine
  (FATE#325192).
- scsi: cxlflash: Update synchronous interrupt status bits
  (FATE#325192).
- scsi: cxlflash: Setup LISNs for master contexts (FATE#325192).
- scsi: cxlflash: Setup LISNs for user contexts (FATE#325192).
- scsi: cxlflash: Introduce object handle fop (FATE#325192).
- scsi: cxlflash: Support file descriptor mapping (FATE#325192).
- scsi: cxlflash: Support adapter context mmap and release
  (FATE#325192).
- scsi: cxlflash: Support adapter context reading (FATE#325192).
- scsi: cxlflash: Support adapter context polling (FATE#325192).
- scsi: cxlflash: Support starting user contexts (FATE#325192).
- scsi: cxlflash: Support AFU interrupt mapping and registration
  (FATE#325192).
- scsi: cxlflash: Support AFU interrupt management (FATE#325192).
- scsi: cxlflash: Support process element lifecycle (FATE#325192).
- scsi: cxlflash: Setup OCXL transaction layer (FATE#325192).
- scsi: cxlflash: Setup function OCXL link (FATE#325192).
- scsi: cxlflash: Support reading adapter VPD data (FATE#325192).
- scsi: cxlflash: Support AFU state toggling (FATE#325192).
- scsi: cxlflash: Support process specific mappings (FATE#325192).
- scsi: cxlflash: Support starting an adapter context
  (FATE#325192).
- scsi: cxlflash: MMIO map the AFU (FATE#325192).
- scsi: cxlflash: Support image reload policy modification
  (FATE#325192).
- scsi: cxlflash: Support adapter context discovery (FATE#325192).
- scsi: cxlflash: Support adapter file descriptors for OCXL
  (FATE#325192).
- scsi: cxlflash: Use IDR to manage adapter contexts
  (FATE#325192).
- scsi: cxlflash: Adapter context support for OCXL (FATE#325192).
- scsi: cxlflash: Setup AFU PASID (FATE#325192).
- scsi: cxlflash: Setup AFU acTag range (FATE#325192).
- scsi: cxlflash: Read host AFU configuration (FATE#325192).
- scsi: cxlflash: Setup function acTag range (FATE#325192).
- scsi: cxlflash: Read host function configuration (FATE#325192).
- scsi: cxlflash: Hardware AFU for OCXL (FATE#325192).
- scsi: cxlflash: Introduce OCXL backend (FATE#325192).
- scsi: cxlflash: Add argument identifier names (FATE#325192).
- scsi: cxlflash: Avoid clobbering context control register value
  (FATE#325192).
- scsi: cxlflash: Preserve number of interrupts for master
  contexts (FATE#325192).
- scsi: cxlflash: Staging to support future accelerators
  (FATE#325192).
- scsi: cxlflash: Adapter context init can return error
  (FATE#325192).
- scsi: cxlflash: Remove embedded CXL work structures
  (FATE#325192).
- scsi: cxlflash: Explicitly cache number of interrupts per
  context (FATE#325192).
- scsi: cxlflash: Update cxl-specific arguments to generic cookie
  (FATE#325192).
- commit 69ce72c
* Thu Jun  7 2018 oneukum@suse.com
- usbip: usbip_host: fix bad unlock balance during stub_probe()
  (bsc#1096480).
- commit 19a6a6f
* Thu Jun  7 2018 oneukum@suse.com
- usbip: usbip_host: fix NULL-ptr deref and use-after-free errors
  (bsc#1096480).
- commit 946c4ab
* Thu Jun  7 2018 oneukum@suse.com
- usbip: usbip_host: run rebind from exit when module is removed
  (bsc#1096480).
- commit 2af8d93
* Thu Jun  7 2018 oneukum@suse.com
- usbip: usbip_host: delete device from busid_table after rebind
  (bsc#1096480).
- commit ce8aa81
* Thu Jun  7 2018 oneukum@suse.com
- usbip: usbip_host: fix to hold parent lock for device_attach()
  calls (bsc#1096480).
- commit f09fb5d
* Thu Jun  7 2018 oneukum@suse.com
- USB:fix USB3 devices behind USB3 hubs not resuming at hibernate
  thaw (bsc#1090888).
- commit 5b0d550
* Thu Jun  7 2018 oneukum@suse.com
- usb: core: Add quirk for HP v222w 16GB Mini (bsc#1090888).
- USB: serial: pl2303: new device id for Chilitag (bsc#1087092).
- commit ae105f8
* Thu Jun  7 2018 oneukum@suse.com
- USB: serial: simple: add Motorola Tetra driver (bsc#1087092).
- commit bac2d92
* Thu Jun  7 2018 mgorman@suse.de
- mm: fix the NULL mapping case in __isolate_lru_page()
  (bnc#971975 VM -- git fixes).
- commit 49e56df
* Thu Jun  7 2018 oneukum@suse.com
- NET: usb: qmi_wwan: add support for ublox R410M PID 0x90b2
  (bsc#1090888).
- commit 831f20c
* Thu Jun  7 2018 oneukum@suse.com
- net/usb/qmi_wwan.c: Add USB id for lt4120 modem (bsc#1087092).
- commit a542d6f
* Thu Jun  7 2018 oneukum@suse.com
- blacklist.conf: fix for 32bit only
- commit d4d6158
* Thu Jun  7 2018 oneukum@suse.com
- xhci: Fix USB ports for Dell Inspiron 5775 (bsc#1090888).
- commit 21f554a
* Thu Jun  7 2018 oneukum@suse.com
- blacklist.conf: patch changes only debug messages
- commit a0e9d38
* Thu Jun  7 2018 oneukum@suse.com
- xhci: zero usb device slot_id member when disabling and freeing
  a xhci slot (bsc#1090888).
- commit d1a948e
* Thu Jun  7 2018 jslaby@suse.cz
- ip6_tunnel: disable dst caching if tunnel is dual-stack
  (networking-stable-18_01_12).
- mlxsw: spectrum_router: Simplify a piece of code
  (networking-stable-18_01_12).
- commit ca8f732
* Thu Jun  7 2018 jslaby@suse.cz
- mlxsw: spectrum: Forbid linking to devices that have uppers FIX
  (stable-fixes).
- commit b0f5584
* Thu Jun  7 2018 mkubecek@suse.cz
- ipv6: omit traffic class when calculating flow hash
  (bsc#1095042).
- commit 6cd0f9a
* Thu Jun  7 2018 mkubecek@suse.cz
- Refresh sorted section
- update upstream references:
  patches.drivers/ibmvnic-Check-CRQ-command-return-codes.patch
  patches.drivers/ibmvnic-Create-separate-initialization-routine-for-r.patch
  patches.drivers/ibmvnic-Handle-error-case-when-setting-link-state.patch
  patches.drivers/ibmvnic-Introduce-active-CRQ-state.patch
  patches.drivers/ibmvnic-Introduce-hard-reset-recovery.patch
  patches.drivers/ibmvnic-Mark-NAPI-flag-as-disabled-when-released.patch
  patches.drivers/ibmvnic-Return-error-code-if-init-interrupted-by-tra.patch
  patches.drivers/ibmvnic-Set-resetting-state-at-earliest-possible-poi.patch
- commit 97cb00f
* Thu Jun  7 2018 tiwai@suse.de
- blacklist.conf: Add entry for ALSA core change in 4.18-rc1
- commit 143726f
* Thu Jun  7 2018 tiwai@suse.de
- drm/exynos: Fix default value for zpos plane property
  (bsc#1051510).
- drm/exynos/dsi: mask frame-done interrupt (bsc#1051510).
- drm/i915: Don't request a bug report for unsafe module
  parameters (bsc#1051510).
- drm/exynos: Allow DRM_EXYNOS on s5pv210 (bsc#1051510).
- commit 206e486
* Thu Jun  7 2018 tiwai@suse.de
- iwlwifi: fix non_shared_ant for 9000 devices (bsc#1051510).
- iwlwifi: mvm: fix race in queue notification wait (bsc#1051510).
- iwlwifi: mvm: honor the max_amsdu_subframes limit (bsc#1051510).
- iwlwifi: mvm: fix TSO with highly fragmented SKBs (bsc#1051510).
- iwlmvm: tdls: Check TDLS channel switch support (bsc#1051510).
- ath10k: search all IEs for variant before falling back
  (bsc#1051510).
- ath10k: correct target assert problem due to CE5 stuck
  (bsc#1051510).
- mwifiex: pcie: tighten a check in
  mwifiex_pcie_process_event_ready() (bsc#1051510).
- commit ed01b8d
* Thu Jun  7 2018 tiwai@suse.de
- ASoC: omap: Remove OMAP_MUX dependency from Nokia N810 audio
  support (bsc#1051510).
- ALSA: hda/realtek - Enable mic-mute hotkey for several Lenovo
  AIOs (bsc#1051510).
- ALSA: hda/ca0132: fix build failure when a local macro is
  defined (bsc#1051510).
- commit d28606d
* Thu Jun  7 2018 tiwai@suse.de
- Move btusb patch to upstream sorted section
- commit 46f18a1
* Thu Jun  7 2018 ghe@suse.com
- dlm: remove O_NONBLOCK flag in sctp_connect_to_sock
  (bsc#1080542).
- commit 33c1136
* Thu Jun  7 2018 ghe@suse.com
- dlm: make sctp_connect_to_sock() return in specified time
  (bsc#1080542).
- commit 4f3fe6a
* Thu Jun  7 2018 ghe@suse.com
- dlm: fix a clerical error when set SCTP_NODELAY (bsc#1091594).
- commit 9f84e4d
* Wed Jun  6 2018 mgorman@suse.de
- mremap: Remove LATENCY_LIMIT from mremap to reduce the number
  of TLB shootdowns (bnc#1095115).
- commit b11f786
* Wed Jun  6 2018 tiwai@suse.de
- Move HD-audio and USB-audio patches to sorted section
  They've merged to 4.18-rc1 upstream
- commit cfd715d
* Wed Jun  6 2018 jack@suse.cz
- blacklist.conf: Blacklist 8a2b307c21
- commit 43a6f85
* Wed Jun  6 2018 jack@suse.cz
- blacklist.conf: Blacklist e254d1afac83
- commit 551f89f
* Wed Jun  6 2018 jack@suse.cz
- rpm/config.sh: Fixup BUGZILLA_PRODUCT variable
- commit 5129d49
* Wed Jun  6 2018 jack@suse.cz
- Update tags in
  patches.fixes/ext4-Fix-hole-length-detection-in-ext4_ind_map_block.patch.
- commit a589549
* Wed Jun  6 2018 tiwai@suse.de
- media: lgdt3306a: Fix a double kfree on i2c device remove
  (bsc#1051510).
- media: lgdt3306a: Fix module count mismatch on usb unplug
  (bsc#1051510).
- commit 9b281a7
* Wed Jun  6 2018 tiwai@suse.de
- media: cx23885: Override 888 ImpactVCBe crystal frequency
  (bsc#1051510).
- media: cx23885: Set subdev host data to clk_freq pointer
  (bsc#1051510).
- media: em28xx: Add Hauppauge SoloHD/DualHD bulk models
  (bsc#1051510).
- media: em28xx: USB bulk packet size fix (bsc#1051510).
- media: dmxdev: fix error code for invalid ioctls (bsc#1051510).
- commit 12ffd09
* Wed Jun  6 2018 jslaby@suse.cz
- kABI: protect struct ipv6_pinfo (kabi).
- commit a562dc4
* Wed Jun  6 2018 jslaby@suse.cz
- net: igmp: add a missing rcu locking section (git-fixes).
- ipv6: Fix getsockopt() for sockets with default
  IPV6_AUTOFLOWLABEL (git-fixes).
- net: igmp: fix source address check for IGMPv3 reports
  (git-fixes).
- commit c29e781
* Wed Jun  6 2018 jslaby@suse.cz
- netlink: put module reference if dump start fails (git-fixes).
- sctp: use right member as the param of list_for_each_entry
  (git-fixes).
- commit 02cc0e2
* Wed Jun  6 2018 jslaby@suse.cz
- tipc: fix hanging poll() for stream sockets
  (networking-stable-17_12_31).
- net: fec: unmap the xmit buffer that are not transferred by DMA
  (networking-stable-17_12_31).
- RDS: Check cmsg_len before dereferencing CMSG_DATA
  (networking-stable-17_12_31).
- net: phy: micrel: ksz9031: reconfigure autoneg after phy
  autoneg workaround (networking-stable-17_12_31).
- ip6_gre: fix device features for ioctl setup
  (networking-stable-17_12_31).
- net: reevalulate autoflowlabel setting after sysctl setting
  (networking-stable-17_12_31).
- ipv4: Fix use-after-free when flushing FIB tables
  (networking-stable-17_12_31).
- net: bridge: fix early call to br_stp_change_bridge_id and
  plug newlink leaks (networking-stable-17_12_31).
- net: phy: marvell: Limit 88m1101 autoneg errata to 88E1145 as
  well (networking-stable-17_12_31).
- sock: free skb in skb_complete_tx_timestamp on error
  (networking-stable-17_12_31).
- mlxsw: spectrum: Disable MAC learning for ovs port
  (networking-stable-17_12_31).
- net: igmp: Use correct source address on IGMPv3 reports
  (networking-stable-17_12_31).
- ipv6: mcast: better catch silly mtu values
  (networking-stable-17_12_31).
- ptr_ring: add barriers (networking-stable-17_12_31).
- tcp_bbr: reset long-term bandwidth sampling on loss recovery
  undo (networking-stable-17_12_31).
- tcp_bbr: reset full pipe detection on loss recovery undo
  (networking-stable-17_12_31).
- tcp_bbr: record "full bw reached" decision in new
  full_bw_reached bit (networking-stable-17_12_31).
- adding missing rcu_read_unlock in ipxip6_rcv
  (networking-stable-17_12_31).
- net: mvmdio: disable/unprepare clocks in EPROBE_DEFER case
  (networking-stable-17_12_31).
- net: dsa: bcm_sf2: Clear IDDQ_GLOBAL_PWR bit for PHY
  (networking-stable-17_12_31).
- commit db31b88
* Wed Jun  6 2018 nborisov@suse.com
- f2fs: fix a panic caused by NULL flush_cmd_control (bsc#1086400).
- commit b95c39c
* Wed Jun  6 2018 jslaby@suse.cz
- kABI: protect tap_create_cdev (kabi).
- commit d6151ad
* Wed Jun  6 2018 bpoirier@suse.com
- Empty out-of-tree section
  Tags were updated for the simple cases. Others are moved to subsystem
  appropriate sections after the sorted section.
- scsi: qla2xxx: Add FC-NVMe abort processing (bsc#1084570).
- scsi: qla2xxx: Add changes for devloss timeout in driver
  (bsc#1084570).
- scsi: qla2xxx: Cleanup code to improve FC-NVMe error handling
  (bsc#1084570).
- scsi: qla2xxx: Fix Async GPN_FT for FCP and FC-NVMe scan
  (bsc#1084570).
- scsi: qla2xxx: Fix FC-NVMe IO abort during driver reset
  (bsc#1084570).
- scsi: qla2xxx: Fix n2n_ae flag to prevent dev_loss on PDB change
  (bsc#1084570).
- scsi: qla2xxx: Fix retry for PRLI RJT with reason of BUSY
  (bsc#1084570).
- scsi: qla2xxx: Remove nvme_done_list (bsc#1084570).
- scsi: qla2xxx: Remove unneeded message and minor cleanup for
  FC-NVMe (bsc#1084570).
- scsi: qla2xxx: Restore ZIO threshold setting (bsc#1084570).
- scsi: qla2xxx: Return busy if rport going away (bsc#1084570).
- scsi: qla2xxx: Set IIDMA and fcport state before
  qla_nvme_register_remote() (bsc#1084570).
- scsi: qla2xxx: Update driver version to 10.00.00.06-k
  (bsc#1084570).
- ext4: fix hole length detection in ext4_ind_map_blocks()
  (bsc#1090953).
- ext4: fix offset overflow on 32-bit archs in ext4_iomap_begin()
  (bsc#1079747).
- commit 4eed96d
* Wed Jun  6 2018 dchang@suse.com
- be2net: Fix error detection logic for BE3 (bsc#1050252
  FATE#322920).
- commit 2961002
* Tue Jun  5 2018 bp@suse.de
- KVM/VMX: Expose SSBD properly to guests (bsc#1087082
  CVE-2018-3639).
- commit 605f9fd
* Tue Jun  5 2018 bp@suse.de
- kvm: x86: IA32_ARCH_CAPABILITIES is always supported
  (bsc#1087082 CVE-2018-3639).
- commit b26e2f7
* Tue Jun  5 2018 rgoldwyn@suse.com
- ovl: fix lookup with middle layer opaque dir and absolute path
  redirects (bsc#1090605).
- ovl: Return -ENOMEM if an allocation fails ovl_lookup()
  (bsc#1096065).
- commit b8d2af2
* Tue Jun  5 2018 bp@suse.de
- kabi: Fix kvm kABI (bsc#1087082 CVE-2018-3639).
- commit d619bbf
* Tue Jun  5 2018 rgoldwyn@suse.com
- apparmor: fix memory leak on buffer on error exit path
  (bsc#1095893).
- apparmor: fix logging of the existence test for signals
  (bsc#1095893).
- apparmor: fix dangling symlinks to policy rawdata after
  replacement (bsc#1095893).
- apparmor: fix display of .ns_name for containers (bsc#1095893).
- commit 322e0cf
* Tue Jun  5 2018 tiwai@suse.de
- ACPICA: Events: add a return on failure from
  acpi_hw_register_read (bsc#1051510).
- ACPICA: Fix memory leak on unusual memory leak (bsc#1051510).
- ACPICA: acpi: acpica: fix acpi operand cache leak in nseval.c
  (bsc#1051510).
- commit f7ec8c5
* Tue Jun  5 2018 tiwai@suse.de
- ACPI / button: make module loadable when booted in non-ACPI mode
  (bsc#1051510).
- ACPI: acpi_pad: Fix memory leak in power saving threads
  (bsc#1051510).
- ACPI: processor_perflib: Do not send _PPC change notification
  if not ready (bsc#1051510).
- ACPI / scan: Use acpi_bus_get_status() to initialize
  ACPI_TYPE_DEVICE devs (bsc#1051510).
- ACPI / bus: Do not call _STA on battery devices with unmet
  dependencies (bsc#1051510).
- commit 3422612
* Tue Jun  5 2018 bp@suse.de
- x86/bugs: Rename SSBD_NO to SSB_NO (bsc#1087082 CVE-2018-3639).
- KVM: SVM: Implement VIRT_SPEC_CTRL support for SSBD (bsc#1087082
  CVE-2018-3639).
- x86/speculation, KVM: Implement support for
  VIRT_SPEC_CTRL/LS_CFG (bsc#1087082 CVE-2018-3639).
- x86/bugs: Rework spec_ctrl base and mask logic (bsc#1087082
  CVE-2018-3639).
- x86/bugs: Remove x86_spec_ctrl_set() (bsc#1087082
  CVE-2018-3639).
- x86/bugs: Expose x86_spec_ctrl_base directly (bsc#1087082
  CVE-2018-3639).
- x86/bugs: Unify x86_spec_ctrl_{set_guest,restore_host}
  (bsc#1087082 CVE-2018-3639).
- x86/speculation: Rework speculative_store_bypass_update()
  (bsc#1087082 CVE-2018-3639).
- x86/speculation: Add virtualized speculative store bypass
  disable support (bsc#1087082 CVE-2018-3639).
- x86/bugs, KVM: Extend speculation control for VIRT_SPEC_CTRL
  (bsc#1087082 CVE-2018-3639).
- x86/speculation: Handle HT correctly on AMD (bsc#1087082
  CVE-2018-3639).
- x86/cpufeatures: Add FEATURE_ZEN (bsc#1087082 CVE-2018-3639).
- x86/cpufeatures: Disentangle SSBD enumeration (bsc#1087082
  CVE-2018-3639).
- x86/cpufeatures: Disentangle MSR_SPEC_CTRL enumeration from IBRS
  (bsc#1087082 CVE-2018-3639).
- x86/speculation: Use synthetic bits for IBRS/IBPB/STIBP
  (bsc#1087082 CVE-2018-3639).
- x86/bugs: Fix the parameters alignment and missing void
  (bsc#1087082 CVE-2018-3639).
- x86/bugs: Make cpu_show_common() static (bsc#1087082
  CVE-2018-3639).
- x86/bugs: Fix __ssb_select_mitigation() return type (bsc#1087082
  CVE-2018-3639).
- commit f950281
* Tue Jun  5 2018 msuchanek@suse.de
- Refresh patches.arch/powerpc-64s-Add-support-for-a-store-forwarding-barri.patch.
- commit a862707
* Tue Jun  5 2018 tiwai@suse.de
- Revert "rt2800: use TXOP_BACKOFF for probe frames"
  (bsc#1051510).
- commit 40efa74
* Tue Jun  5 2018 tiwai@suse.de
- r8169: fix powering up RTL8168h (bsc#1051510).
- r8169: fix setting driver_data after register_netdev
  (bsc#1051510).
- commit 61dd159
* Tue Jun  5 2018 tiwai@suse.de
- mac80211: drop frames with unexpected DS bits from fast-rx to
  slow path (bsc#1051510).
- mac80211: Fix sending ADDBA response for an ongoing session
  (bsc#1051510).
- mac80211: Do not disconnect on invalid operating class
  (bsc#1051510).
- mac80211: round IEEE80211_TX_STATUS_HEADROOM up to multiple of 4
  (bsc#1051510).
- mac80211: mesh: fix wrong mesh TTL offset calculation
  (bsc#1051510).
- commit 2171580
* Tue Jun  5 2018 tiwai@suse.de
- drm/i915: Disable LVDS on Radiant P845 (bsc#1051510).
- drm/amd/powerplay: Fix enum mismatch (bsc#1051510).
- commit 8db260d
* Tue Jun  5 2018 tiwai@suse.de
- ASoC: Intel: sst: remove redundant variable dma_dev_name
  (bsc#1051510).
- commit c43b27a
* Tue Jun  5 2018 tiwai@suse.de
- Input: elan_i2c_smbus - fix corrupted stack (bsc#1051510).
- Input: synaptics - add Lenovo 80 series ids to SMBus
  (bsc#1051510).
- Input: synaptics - add Intertouch support on X1 Carbon 6th
  and X280 (bsc#1051510).
- Input: synaptics - Lenovo Thinkpad X1 Carbon G5 (2017) with
  Elantech trackpoints should use RMI (bsc#1051510).
- Input: synaptics - Lenovo Carbon X1 Gen5 (2017) devices should
  use RMI (bsc#1051510).
- commit 12d3278
* Tue Jun  5 2018 tiwai@suse.de
- drm/psr: Fix missed entry in PSR setup time table (bsc#1051510).
- drm/i915/lvds: Move acpi lid notification registration to
  registration phase (bsc#1051510).
- intel_th: Use correct device when freeing buffers (bsc#1051510).
- drm/i915/userptr: reject zero user_size (bsc#1051510).
- crypto: caam - fix incorrect define (bsc#1051510).
- commit c659f07
* Tue Jun  5 2018 jslaby@suse.cz
- net: remove hlist_nulls_add_tail_rcu()
  (networking-stable-17_12_12).
- tipc: fix memory leak in tipc_accept_from_sock()
  (networking-stable-17_12_12).
- stmmac: reset last TSO segment size after device open
  (networking-stable-17_12_12).
- sit: update frag_off info (networking-stable-17_12_12).
- net: realtek: r8169: implement set_link_ksettings()
  (networking-stable-17_12_12).
- commit df7b21a
* Tue Jun  5 2018 tiwai@suse.de
- kabi/severities: Ignore kABI incompatibility for meson drm
  The symbols are used only between meson modules, so mostly internal.
- commit c4375de
* Tue Jun  5 2018 jslaby@suse.cz
- net/sctp: Always set scope_id in sctp_inet6_skb_msgname
  (networking-stable-17_11_20).
- fealnx: Fix building error on MIPS (networking-stable-17_11_20).
- vxlan: fix the issue that neigh proxy blocks all icmpv6 packets
  (networking-stable-17_11_20).
- af_netlink: ensure that NLMSG_DONE never fails in dumps
  (networking-stable-17_11_20).
- vlan: fix a use-after-free in vlan_device_event()
  (networking-stable-17_11_20).
- qmi_wwan: Add missing skb_reset_mac_header-call
  (networking-stable-17_11_20).
- bonding: discard lowest hash bit for 802.3ad layer3+4
  (networking-stable-17_11_20).
- netfilter/ipvs: clear ipvs_property flag when SKB net namespace
  changed (networking-stable-17_11_20).
- net: systemport: Correct IPG length settings
  (networking-stable-17_11_20).
- tcp_nv: fix division by zero in tcpnv_acked()
  (networking-stable-17_11_20).
- commit 5de7a3f
* Tue Jun  5 2018 tiwai@suse.de
- drm: rcar-du: lvds: Fix LVDS startup on R-Car Gen3
  (bsc#1051510).
- drm: rcar-du: lvds: Fix LVDS startup on R-Car Gen2
  (bsc#1051510).
- drm/meson: Fix some error handling paths in
  'meson_drv_bind_master()' (bsc#1051510).
- drm/meson: Fix an un-handled error path in
  'meson_drv_bind_master()' (bsc#1051510).
- drm/rockchip: Respect page offset for PRIME mmap calls
  (bsc#1051510).
- drm/imx: move arming of the vblank event to atomic_flush
  (bsc#1051510).
- drm/tegra: Shutdown on driver unbind (bsc#1051510).
- drm/sun4i: Fix dclk_set_phase (bsc#1051510).
- drm/meson: fix vsync buffer update (bsc#1051510).
- drm/exynos: fix comparison to bitshift when dealing with a mask
  (bsc#1051510).
- drm/exynos: g2d: use monotonic timestamps (bsc#1051510).
- commit 9cb4eb7
* Tue Jun  5 2018 tiwai@suse.de
- ASoC: topology: create TLV data for dapm widgets (bsc#1051510).
- ASoC: samsung: odroid: Fix 32000 sample rate handling
  (bsc#1051510).
- ASoC: samsung: odroid: Drop requirement of clocks in the sound
  node (bsc#1051510).
- ASoC: samsung: odroid: Fix EPLL frequency values (bsc#1051510).
- commit 98a5562
* Tue Jun  5 2018 tiwai@suse.de
- drm/amdgpu: Fix deadlock on runtime suspend (bsc#1051510).
- blacklist.conf: Remove the entry
- commit 8b2b629
* Tue Jun  5 2018 tiwai@suse.de
- drm/radeon: Fix deadlock on runtime suspend (bsc#1051510).
- blacklist.conf: Remove the entry
- commit 35caacb
* Tue Jun  5 2018 tiwai@suse.de
- drm/nouveau: Fix deadlock on runtime suspend (bsc#1051510).
- blacklist.conf: Remove the entry
- commit 97d81e2
* Tue Jun  5 2018 tiwai@suse.de
- drm: Allow determining if current task is output poll worker
  (bsc#1051510).
- blacklist.conf: Remove the entry
- commit ecce7e0
* Tue Jun  5 2018 tiwai@suse.de
- workqueue: use put_device() instead of kfree() (bsc#1051510).
- workqueue: Allow retrieval of current task's work struct
  (bsc#1051510).
- commit aacc423
* Tue Jun  5 2018 jthumshirn@suse.de
- nvme: fix lockdep warning in nvme_mpath_clear_current_path
  (FATE#323952, FATE#322506).
- commit 320c37c
* Tue Jun  5 2018 lhenriques@suse.com
- blacklist.conf: blacklist fc218544fbc8
  This commit requires major changes from 4.17, namely commit
  b9e281c2b388 ("libceph: introduce BVECS data type")
- commit 2a0450b
* Tue Jun  5 2018 oneukum@suse.com
- xhci: fix endpoint context tracer output (bsc#1087092).
- commit 2a9b0d2
* Tue Jun  5 2018 jslaby@suse.cz
- tun/tap: sanitize TUNSETSNDBUF input
  (networking-stable-17_11_14).
- sctp: reset owner sk for data chunks on out queues when
  migrating a sock (networking-stable-17_11_14).
- tap: reference to KVA of an unloaded module causes kernel panic
  (networking-stable-17_11_14).
- ip6_gre: update dst pmtu if dev mtu has been updated by toobig
  in __gre6_xmit (networking-stable-17_11_14).
- ip6_gre: only increase err_count for some certain type icmpv6
  in ip6gre_err (networking-stable-17_11_14).
- ipip: only increase err_count for some certain type icmp in
  ipip_err (networking-stable-17_11_14).
- tun: allow positive return values on dev_get_valid_name() call
  (networking-stable-17_11_14).
- net/unix: don't show information about sockets from other
  namespaces (networking-stable-17_11_14).
- net: dsa: check master device before put
  (networking-stable-17_11_14).
- sctp: full support for ipv6 ip_nonlocal_bind & IP_FREEBIND
  (networking-stable-17_11_14).
- ipv6: flowlabel: do not leave opt->tot_len with garbage
  (networking-stable-17_11_14).
- net: bridge: fix returning of vlan range op errors
  (networking-stable-17_11_14).
- tun: call dev_get_valid_name() before register_netdevice()
  (networking-stable-17_11_14).
- netlink: do not set cb_running if dump's start() errs
  (networking-stable-17_11_14).
- ppp: fix race in ppp device destruction
  (networking-stable-17_11_14).
- commit 218b0d9
* Tue Jun  5 2018 jslaby@suse.cz
- iwlwifi: mvm: don't warn in queue sync on RF-kill (bsc#1051510
  FATE#322675).
- Delete
  patches.drivers/0065-iwlwifi-mvm-don-t-warn-in-queue-sync-on-RF-kill.patch.
- Delete
  patches.drivers/iwlwifi-mvm-don-t-warn-in-queue-sync-on-RF-kill.
  Merge two semi-patches into the one real. This was 1 upstream commit
  dissected into two semi-patches. It must have been a mistake.
- commit dc38de7
* Tue Jun  5 2018 jslaby@suse.cz
- iwlwifi: mvm: remove DQA non-STA client mode special case
  (bsc#1051510 FATE#322675).
- Delete
  patches.drivers/0125-iwlwifi-mvm-remove-DQA-non-STA-client-mode-special-c.patch.
- Delete
  patches.drivers/iwlwifi-mvm-remove-DQA-non-STA-client-mode-special-c.
  Merge two semi-patches into the one real. This was 1 upstream commit
  dissected into two semi-patches. It must have been a mistake.
- commit e688642
* Tue Jun  5 2018 jslaby@suse.cz
- Refresh
  patches.suse/0012-btrfs-allow-backref-search-checks-for-shared-extents.patch.
  Fix invalid SHA.
- commit db29e43
* Mon Jun  4 2018 mbrugger@suse.com
- thermal: enable broadcom menu for arm64 bcm2835 (bsc#1095573).
- Update config files.
- supported.conf: fix folder of the driver module
- commit 6072587
* Mon Jun  4 2018 msuchanek@suse.de
- Refresh powerpc nospec patches.
- Refresh patches.arch/powerpc-64-Use-barrier_nospec-in-syscall-entry.patch.
- Refresh patches.arch/powerpc-64s-Add-barrier_nospec.patch.
- Refresh patches.arch/powerpc-64s-Add-support-for-ori-barrier_nospec-patch.patch.
- Refresh patches.arch/powerpc-64s-Enable-barrier_nospec-based-on-firmware-.patch.
- Refresh patches.suse/powerpc-64s-Enhance-the-information-in-cpu_show_spec.patch.
- Refresh patches.arch/powerpc-64s-Patch-barrier_nospec-in-modules.patch
- Refresh patches.arch/powerpc-Use-barrier_nospec-in-copy_from_user.patch.
- commit 23825dd
* Mon Jun  4 2018 msuchanek@suse.de
- Refresh sorted patches.
- commit e2bcb54
* Mon Jun  4 2018 tiwai@suse.de
- Fix kABI breakage for iwl_fw_runtime_ops change (bsc#1051510).
- commit 4324b93
* Mon Jun  4 2018 oneukum@suse.com
- xhci: workaround for AMD Promontory disabled ports wakeup
  (bsc#1087092).
- Refresh
  patches.fixes/0001-xhci-Fix-front-USB-ports-on-ASUS-PRIME-B350M-A.patch.
- commit 94fc9ba
* Mon Jun  4 2018 tiwai@suse.de
- drm/vmwgfx: Fix 32-bit VMW_PORT_HB_[IN|OUT] macros
  (bsc#1051510).
- drm/vmwgfx: Set dmabuf_size when vmw_dmabuf_init is successful
  (bsc#1051510).
- rfkill: gpio: fix memory leak in probe error path (bsc#1051510).
- can: kvaser_usb: Increase correct stats counter in
  kvaser_usb_rx_can_msg() (bsc#1051510).
- firmware: dmi_scan: Fix UUID length safety check (bsc#1051510).
- ALSA: vmaster: Propagate slave error (bsc#1051510).
- staging: rtl8192u: return -ENOMEM on failed allocation of
  priv->oldaddr (bsc#1051510).
- ath9k: fix crash in spectral scan (bsc#1051510).
- ath10k: Fix kernel panic while using worker
  (ath10k_sta_rc_update_wk) (bsc#1051510).
- drm/vmwgfx: Unpin the screen object backup buffer when not used
  (bsc#1051510).
- drm/amdgpu: disable GFX ring and disable PQ wptr in hw_fini
  (bsc#1051510).
- drm/amdgpu: adjust timeout for ib_ring_tests(v2) (bsc#1051510).
- brcmfmac: Fix check for ISO3166 code (bsc#1051510).
- iwlwifi: mvm: fix array out of bounds reference (bsc#1051510).
- iwlwifi: mvm: make sure internal station has a valid id
  (bsc#1051510).
- iwlwifi: mvm: clear tx queue id when unreserving aggregation
  queue (bsc#1051510).
- iwlwifi: mvm: Increase session protection time after CS
  (bsc#1051510).
- iwlwifi: mvm: fix error checking for multi/broadcast sta
  (bsc#1051510).
- iwlwifi: mvm: Correctly set IGTK for AP (bsc#1051510).
- iwlwifi: mvm: set the correct tid when we flush the MCAST sta
  (bsc#1051510).
- drm/ast: Fixed 1280x800 Display Issue (bsc#1051510).
- iwlwifi: mvm: Correctly set the tid for mcast queue
  (bsc#1051510).
- iwlwifi: mvm: Direct multicast frames to the correct station
  (bsc#1051510).
- iwlwifi: mvm: fix "failed to remove key" message (bsc#1051510).
- iwlwifi: avoid collecting firmware dump if not loaded
  (bsc#1051510).
- iwlwifi: mvm: fix assert 0x2B00 on older FWs (bsc#1051510).
- iwlwifi: mvm: Fix channel switch for count 0 and 1
  (bsc#1051510).
- iwlwifi: mvm: fix TX of CCMP 256 (bsc#1051510).
- iwlwifi: mvm: always init rs with 20mhz bandwidth rates
  (bsc#1051510).
- iwlwifi: mvm: fix IBSS for devices that support station type
  API (bsc#1051510).
- cfg80211: clear wep keys after disconnection (bsc#1051510).
- coresight: Fix disabling of CoreSight TPIU (bsc#1051510).
- commit ff636ab
* Mon Jun  4 2018 jthumshirn@suse.de
- radix tree: fix multi-order iteration race (bsc#1095467).
- radix tree test suite: multi-order iteration race (bsc#1095467).
- radix tree test suite: add item_delete_rcu() (bsc#1095467).
- radix tree test suite: fix compilation issue (bsc#1095467).
- radix tree test suite: fix mapshift build target (bsc#1095467).
- commit 6cf3aa4
* Mon Jun  4 2018 jthumshirn@suse.de
- libnvdimm, namespace: use a safe lookup for dimm device name
  (bsc#1095321).
- vfio: disable filesystem-dax page pinning (bsc#1095337).
- commit 1b4ae46
* Mon Jun  4 2018 jthumshirn@suse.de
- nvme: fix extended data LBA supported setting (FATE#323952,
  FATE#322506).
- commit 8095826
* Mon Jun  4 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/ibmvnic-Fix-partial-success-login-retries.patch.
- Refresh
  patches.drivers/ibmvnic-Only-do-H_EOI-for-mobility-events.patch.
- Refresh
  patches.drivers/nvme_fc-fix-abort-race-on-teardown-with-lld-reject.patch.
- Refresh
  patches.drivers/nvme_fc-fix-ctrl-create-failures-racing-with-workq-i.patch.
- Refresh
  patches.drivers/nvme_fc-io-timeout-should-defer-abort-to-ctrl-reset.patch.
- Refresh
  patches.drivers/nvme_fc-on-remoteport-reuse-set-new-nport_id-and-rol.patch.
- Refresh
  patches.drivers/nvmet_fc-prevent-new-io-rqsts-in-possible-isr-comple.patch.
- Refresh
  patches.fixes/0001-iov_iter-fix-return-type-of-_pipe_get_pages.patch.
- Refresh
  patches.fixes/0002-iov_iter-fix-memory-leak-in-pipe_get_pages_alloc.patch.
- commit 1a86fbf
* Sun Jun  3 2018 jslaby@suse.cz
- ip6_tunnel: update mtu properly for ARPHRD_ETHER tunnel device
  in tx path (networking-stable-17_10_09).
- ip6_gre: ip6gre_tap device should keep dst
  (networking-stable-17_10_09).
- netlink: do not proceed if dump's start() errs
  (networking-stable-17_10_09).
- net: Set sk_prot_creator when cloning sockets to the right proto
  (networking-stable-17_10_09).
- net: dsa: mv88e6xxx: lock mutex when freeing IRQs
  (networking-stable-17_10_09).
- tun: bail out from tun_get_user() if the skb is empty
  (networking-stable-17_10_09).
- net: qcom/emac: specify the correct size when mapping a DMA
  buffer (networking-stable-17_10_09).
- net: emac: Fix napi poll list corruption
  (networking-stable-17_10_09).
- 8139too: revisit napi_complete_done() usage
  (networking-stable-17_10_09).
- ip6_tunnel: do not allow loading ip6_tunnel if ipv6 is disabled
  in cmdline (networking-stable-17_10_09).
- net: phy: Fix mask value write on gmii2rgmii converter speed
  register (networking-stable-17_10_09).
- ip6_gre: skb_push ipv6hdr before packing the header in
  ip6gre_header (networking-stable-17_10_09).
- tcp: fix data delivery rate (networking-stable-17_10_09).
- tcp: update skb->skb_mstamp more carefully
  (networking-stable-17_10_09).
- sctp: potential read out of bounds in
  sctp_ulpevent_type_enabled() (networking-stable-17_10_09).
- net: bonding: fix tlb_dynamic_lb default value
  (networking-stable-17_10_09).
- mlxsw: spectrum: Prevent mirred-related crash on removal
  (networking-stable-17_10_09).
- net: bonding: Fix transmit load balancing in balance-alb mode
  if specified by sysfs (networking-stable-17_10_09).
- commit 6a14623
* Fri Jun  1 2018 tiwai@suse.de
- Revert "drm/i915/edp: Allow alternate fixed mode for eDP if
  available." (bsc#1093604).
- commit 1425838
* Fri Jun  1 2018 yousaf.kaukab@suse.com
- config: arm64: enable Spectre-v4 per-thread mitigation
- commit a71e164
* Fri Jun  1 2018 yousaf.kaukab@suse.com
- arm64: ssbd: Add prctl interface for per-thread mitigation
  (bsc#1085308).
- arm64: ssbd: Introduce thread flag to control userspace
  mitigation (bsc#1085308).
- arm64: ssbd: Restore mitigation status on CPU resume
  (bsc#1085308).
- arm64: ssbd: Skip apply_ssbd if not using dynamic mitigation
  (bsc#1085308).
- arm64: ssbd: Add global mitigation state accessor (bsc#1085308).
- arm64: Add 'ssbd' command-line option (bsc#1085308).
- arm64: Add ARCH_WORKAROUND_2 probing (bsc#1085308).
- arm64: Add per-cpu infrastructure to call ARCH_WORKAROUND_2
  (bsc#1085308).
- arm64: Call ARCH_WORKAROUND_2 on transitions between EL0 and
  EL1 (bsc#1085308).
- arm/arm64: smccc: Add SMCCC-specific return codes (bsc#1085308).
- arm64: alternatives: Add dynamic patching feature (bsc#1085308).
- arm64: fix endianness annotation for
  __apply_alternatives()/get_alt_insn() (bsc#1085308).
- commit e864b8a
* Fri Jun  1 2018 bpoirier@suse.com
- Refresh patch order (and some tags) in sorted section
  Patch patches.drivers/i40iw-Avoid-panic-when-reading-back-the-IRQ-aff.patch
  seems to have been misplaced from the start.
  The git-commit tags in the nvme patches needed to be updated, the nvme-4.17
  branch was rebased :'(
- Refresh
  patches.drivers/ibmvnic-Fix-partial-success-login-retries.patch.
- Refresh
  patches.drivers/ibmvnic-Only-do-H_EOI-for-mobility-events.patch.
- Refresh
  patches.drivers/nvme_fc-fix-abort-race-on-teardown-with-lld-reject.patch.
- Refresh
  patches.drivers/nvme_fc-fix-ctrl-create-failures-racing-with-workq-i.patch.
- Refresh
  patches.drivers/nvme_fc-io-timeout-should-defer-abort-to-ctrl-reset.patch.
- Refresh
  patches.drivers/nvme_fc-on-remoteport-reuse-set-new-nport_id-and-rol.patch.
- Refresh
  patches.drivers/nvmet_fc-prevent-new-io-rqsts-in-possible-isr-comple.patch.
- Refresh
  patches.fixes/0001-iov_iter-fix-return-type-of-_pipe_get_pages.patch.
- Refresh
  patches.fixes/0002-iov_iter-fix-memory-leak-in-pipe_get_pages_alloc.patch.
- commit 6c54b6a
* Thu May 31 2018 dbond@suse.com
- qla2xxx: Mask off Scope bits in retry delay (bsc#1068054).
- commit 08dc2b1
* Thu May 31 2018 jslaby@suse.cz
- kernel/sys.c: fix potential Spectre v1 issue (bnc#1068032
  CVE-2017-5753).
- commit 3a70d9d
* Thu May 31 2018 jroedel@suse.de
- iommu/vt-d: Clear pasid table entry when memory unbound
  (bsc#1087214).
- commit 2081b9a
* Thu May 31 2018 jslaby@suse.cz
- n_tty: fix EXTPROC vs ICANON interaction with TIOCINQ (aka
  FIONREAD) (bnc#1094825).
- commit f8b3f75
* Thu May 31 2018 jroedel@suse.de
- KVM: MMU: consider host cache mode in MMIO page check
  (bsc#1087213).
- x86/mm: add a function to check if a pfn is UC/UC-/WC
  (bsc#1087213).
- commit e4370ae
* Thu May 31 2018 jroedel@suse.de
- Refresh
  patches.drivers/nvme_fc-fix-abort-race-on-teardown-with-lld-reject.patch.
- Refresh
  patches.drivers/nvme_fc-fix-ctrl-create-failures-racing-with-workq-i.patch.
- Refresh
  patches.drivers/nvme_fc-io-timeout-should-defer-abort-to-ctrl-reset.patch.
- Refresh
  patches.drivers/nvme_fc-on-remoteport-reuse-set-new-nport_id-and-rol.patch.
- Refresh
  patches.drivers/nvmet_fc-prevent-new-io-rqsts-in-possible-isr-comple.patch.
- commit dc86362
* Thu May 31 2018 tiwai@suse.de
- drm/i915: Adjust eDP's logical vco in a reliable place
  (bsc#1095265).
- drm/i915/glk: Add MODULE_FIRMWARE for Geminilake (bsc#1095265).
- drm/i915/audio: set minimum CD clock to twice the BCLK
  (bsc#1095265).
- commit a5b2c85
* Thu May 31 2018 tiwai@suse.de
- Input: synaptics: Add intertouch blacklist for Thinkpad Helix
  (bsc#1090457).
- commit 722c30b
* Wed May 30 2018 bp@suse.de
- kabi/severities: Ignore removed bugs.c symbols
  The second wave of SSBD patches drops those symbols and we can ignore them
  from kABI because nothing external should use them - they were exported only
  for kvm.
- commit 61bc32c
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau/bl: fix backlight regression (bsc#1095094).
- commit 40a8de9
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau/disp/gf119: add missing drive vfunc ptr
  (bsc#1095094).
- blacklist.conf:
- commit 57c1f66
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau: silence suspend/resume debugging messages
  (bsc#1095094).
- drm/nouveau/kms/nv04-nv4x: fix exposed format list
  (bsc#1095094).
- drm/nouveau/kms/nv10-nv40: add NV21 support to overlay
  (bsc#1095094).
- drm/nouveau/kms/nv04-nv40: improve overlay error detection,
  fix pitch setting (bsc#1095094).
- drm/nouveau/kms/nv04-nv40: prevent undisplayable framebuffers
  from creation (bsc#1095094).
- drm/nouveau/mpeg: print more debug info when rejecting dma
  objects (bsc#1095094).
- drm/nouveau/fb/gf100-: zero mmu debug buffers (bsc#1095094).
- drm/nouveau/bar/gf100: add config option to limit BAR2 to 16MiB
  (bsc#1095094).
- initial support (display-only) for GP108 (bsc#1095094).
- drm/nouveau/falcon: use a more reasonable msgqueue timeout value
  (bsc#1095094).
- drm/nouveau/disp: Silence DCB warnings (bsc#1095094).
- drm/nouveau/bios: Demote missing fp table message to NV_DEBUG
  (bsc#1095094).
- drm/nouveau/pmu/gt215-: abstract detection of whether reset
  is needed (bsc#1095094).
- drm/nouveau/pmu/gt215: fix reset (bsc#1095094).
- commit 95d8fc2
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau/mc/gf100: add pmu to reset mask (bsc#1095094).
- drm/nouveau/disp/gf119-: avoid creating non-existent heads
  (bsc#1095094).
- drm/nouveau/therm/gm200: Added (bsc#1095094).
- drm/nouveau/therm: fix spelling mistake on array thresolds
  (bsc#1095094).
- commit b0a0bab
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau: Fix merge commit (bsc#1095094).
- drm/nouveau/disp/nv04: avoid creation of output paths
  (bsc#1095094).
- commit c534f7b
* Wed May 30 2018 tiwai@suse.de
- drm: nouveau: remove dead code and pointless local lut storage
  (bsc#1095094).
- drm/nouveau/disp: add tv encoders to output resource mapping
  (bsc#1095094).
- commit a23a7b7
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau: Convert nouveau to use new iterator macros, v2
  (bsc#1095094).
- commit 8406e59
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau: Use the drm_driver.dumb_destroy default
  (bsc#1095094).
- drm/nouveau: Handle drm_atomic_helper_swap_state failure
  (bsc#1095094).
- drm/nouveau/disp/nv50-: avoid creating ORs that aren't present
  on HW (bsc#1095094).
- drm/nouveau: Skip vga_fini on non-PCI device (bsc#1095094).
- drm/nouveau/tegra: Don't leave GPU in reset (bsc#1095094).
- drm/nouveau/tegra: Skip manual unpowergating when not necessary
  (bsc#1095094).
- commit 60c1e20
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau/hwmon: Change permissions to numeric (bsc#1095094).
- drm/nouveau/hwmon: expose the auto_point and pwm_min/max attrs
  (bsc#1095094).
- drm/nouveau/hwmon: Remove old code, add .write/.read operations
  (bsc#1095094).
- drm/nouveau/hwmon: Add nouveau_hwmon_ops structure with
  .is_visible/.read_string (bsc#1095094).
- drm/nouveau/hwmon: Add config for all sensors and their settings
  (bsc#1095094).
- drm/nouveau/disp/gm200-: allow non-identity mapping of SOR <->
  macro links (bsc#1095094).
- drm/nouveau/disp/nv50-: implement a common supervisor 3.0
  (bsc#1095094).
- drm/nouveau/disp/nv50-: implement a common supervisor 2.2
  (bsc#1095094).
- drm/nouveau/disp/nv50-: implement a common supervisor 2.1
  (bsc#1095094).
- drm/nouveau/disp/nv50-: implement a common supervisor 2.0
  (bsc#1095094).
- commit 31b3d5f
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau/disp/nv50-: implement a common supervisor 1.0
  (bsc#1095094).
- drm/nouveau/disp/nv50-gt21x: remove workaround for dp->tmds
  hotplug issues (bsc#1095094).
- drm/nouveau/disp/dp: use new devinit script interpreter
  entry-point (bsc#1095094).
- drm/nouveau/disp/dp: determine link bandwidth requirements
  from head state (bsc#1095094).
- drm/nouveau/disp: introduce acquire/release display path methods
  (bsc#1095094).
- drm/nouveau/disp: remove hw-specific customisation of output
  paths (bsc#1095094).
- drm/nouveau/disp/gf119-: port OR DP VCPI control to nvkm_ior
  (bsc#1095094).
- drm/nouveau/disp/gt215-: port HDA ELD controls to nvkm_ior
  (bsc#1095094).
- drm/nouveau/disp/g94-: port OR DP drive setting control to
  nvkm_ior (bsc#1095094).
- drm/nouveau/disp/g94-: port OR DP training pattern control to
  nvkm_ior (bsc#1095094).
- commit da64444
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau/disp/g94-: port OR DP link power control to nvkm_ior
  (bsc#1095094).
- drm/nouveau/disp/g94-: port OR DP link setup to nvkm_ior
  (bsc#1095094).
- drm/nouveau/disp/g94-: port OR DP lane mapping to nvkm_ior
  (bsc#1095094).
- drm/nouveau/disp/g84-: port OR HDMI control to nvkm_ior
  (bsc#1095094).
- drm/nouveau/disp/nv50-: port OR manual sink detection to
  nvkm_ior (bsc#1095094).
- drm/nouveau/disp/nv50-: port OR power state control to nvkm_ior
  (bsc#1095094).
- drm/nouveau/disp/nv50-: fetch head/OR state at beginning of
  supervisor (bsc#1095094).
- drm/nouveau/disp/nv50-: execute supervisor on its own workqueue
  (bsc#1095094).
- drm/nouveau/disp/dp: train link only when actively displaying
  an image (bsc#1095094).
- drm/nouveau/disp/dp: only check for re-train when the link is
  active (bsc#1095094).
- commit b83eb1a
* Wed May 30 2018 tbogendoerfer@suse.de
- iw_cxgb4: Fix an error handling path in 'c4iw_get_dma_mr()'
  (bsc#1064802 bsc#1066129).
- cxgb4: fix offset in collecting TX rate limit info
  (bsc#1073513).
- net/mlx5: Fix build break when CONFIG_SMP=n (bsc#1046303
  FATE#322944).
- cxgb4: Correct ntuple mask validation for hash filters
  (bsc#1064802 bsc#1066129).
- commit 6609289
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau: Pass mode-dependent AVI and Vendor HDMI InfoFrames
  to NVKM (bsc#1095094).
- Refresh
  patches.drivers/drm-handle-HDMI-2.0-VICs-in-AVI-info-frames.
- commit 1df105c
* Wed May 30 2018 jroedel@suse.de
- iommu/amd: Take into account that alloc_dev_data() may return
  NULL (bsc#975772).
- commit 4a16421
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau/disp/dp: determine a failsafe link training rate
  (bsc#1095094).
- drm/nouveau/disp/dp: use cached link configuration when checking
  link status (bsc#1095094).
- drm/nouveau/disp/dp: no need for lt_state except during manual
  link training (bsc#1095094).
- drm/nouveau/disp/dp: store current link configuration in
  nvkm_ior (bsc#1095094).
- drm/nouveau/disp/dp: remove DP_PWR method (bsc#1095094).
- drm/nouveau/disp: identity-map display paths to output resources
  (bsc#1095094).
- drm/nouveau/disp: fork off some new hw-specific implementations
  (bsc#1095094).
- drm/nouveau/disp: introduce input/output resource abstraction
  (bsc#1095094).
- commit 04c0581
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau/disp: common implementation of scanoutpos method
  in nvkm_head (bsc#1095094).
- commit 56aaa7a
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau/disp: move vblank_{get,put} methods into nvkm_head
  (bsc#1095094).
- commit 326cea3
* Wed May 30 2018 msuchanek@suse.de
- Delete patches.arch/powerpc64-ftrace-Use-the-generic-version-of-ftrace_r.patch (bsc#1088804).
- commit 054e09e
* Wed May 30 2018 oneukum@suse.com
- usb: xhci: Make some static functions global (FATE#325197).
- commit 7f391e4
* Wed May 30 2018 mkubecek@suse.cz
- disable patches.drivers/s390-qeth-use-Read-device-to-query-hypervisor-for-MA.patch
  Backport of mainline commit b7493e91c11a ("s390/qeth: use Read device to
  query hypervisor for MAC") changes assigned MAC address (and breaks
  networking) on one of our machines and it's not clear which address is
  actually correct (bsc#1094575). Disable the patch for now with a marker so
  that we prevent releasing a maintenance update incompatible with GM. Once
  the bug is resolved, we will either reenable the patch or drop it.
- commit 9da59a6
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau/disp: introduce object to track per-head
  functions/state (bsc#1095094).
- drm/nouveau/disp: delay output path / connector construction
  until oneinit() (bsc#1095094).
- drm/nouveau/disp: s/nvkm_connector/nvkm_conn/ (bsc#1095094).
- drm/nouveau/disp: rename nvkm_output_dp to nvkm_dp
  (bsc#1095094).
- drm/nouveau/disp: rename nvkm_output to nvkm_outp (bsc#1095094).
- drm/nouveau/disp: shuffle functions around (bsc#1095094).
- commit 6fbaf71
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau/kms/nv04: use new devinit script interpreter
  entry-point (bsc#1095094).
- drm/nouveau/fb/ram/nv40-: use new devinit script interpreter
  entry-point (bsc#1095094).
- drm/nouveau/devinit: use new devinit script interpreter
  entry-point (bsc#1095094).
- drm/nouveau/bios/init: add a new devinit script interpreter
  entry-point (bsc#1095094).
- commit 2ec036f
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau/bios/init: add or/link args separate from output
  path (bsc#1095094).
- drm/nouveau/bios/init: bump script offset to 32-bits
  (bsc#1095094).
- drm/nouveau/bios/init: rename 'crtc' to 'head' (bsc#1095094).
- drm/nouveau/bios/init: remove internal use of nvbios_init.bios
  (bsc#1095094).
- drm/nouveau/bios/init: rename nvbios_init() to nvbios_devinit()
  (bsc#1095094).
- drm/nouveau/tmr: remove nvkm_timer_alarm_cancel() (bsc#1095094).
- drm/nouveau/bios/iccsense: rails for power sensors have a mask
  of 0xf8 for version 0x10 (bsc#1095094).
- drm/nouveau/bios/volt: Parse min and max for Version 0x40
  (bsc#1095094).
- drm/nouveau: Enable stereoscopic 3D output over HDMI
  (bsc#1095094).
- drm/nouveau: Handle frame-packing mode geometry and timing
  effects (bsc#1095094).
- commit 1d38f1a
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau: Drop drm_vblank_cleanup (bsc#1095094).
- drm/nouveau/disp/gk104-: Use supplied HDMI InfoFrames
  (bsc#1095094).
- drm/nouveau/disp/gf119: Use supplied HDMI InfoFrames
  (bsc#1095094).
- drm/nouveau/disp/gt215: Use supplied HDMI InfoFrames
  (bsc#1095094).
- drm/nouveau/disp/g84-gt200: Use supplied HDMI InfoFrames
  (bsc#1095094).
- drm/nouveau/disp: Add mechanism to convert HDMI InfoFrames to
  hardware format (bsc#1095094).
- drm/nouveau/disp/g84-: Extend NVKM HDMI power control method
  to set InfoFrames (bsc#1095094).
- drm/nouveau: Clean up nv50_head_atomic_check_mode() and fix
  blankus calculation (bsc#1095094).
- commit cbc811b
* Wed May 30 2018 tiwai@suse.de
- drm/nouveau: use drm_for_each_connector_iter() (bsc#1095094).
- commit e658e6c
* Wed May 30 2018 jthumshirn@suse.de
- nfit: skip region registration for incomplete control regions
  (bsc#1091666).
- libnvdimm, label: change min label storage size per UEFI 2.7
  (bsc#1091666).
- commit 0745987
* Wed May 30 2018 tiwai@suse.de
- Bluetooth: Apply QCA Rome patches for some ATH3012 models
  (bsc#1082504).
- commit 683b865
* Tue May 29 2018 jeffm@suse.com
- rpm: fix typo, SUSE_KERNEL_RELEASE -> SUSE_KERNEL_RELEASED (bsc#1095104).
  This causes release kernels to report as (unreleased).
- commit cd0437b
* Tue May 29 2018 mbenes@suse.cz
- powerpc/livepatch: Fix KABI breaker in stacktrace.c (bsc#1071995
  bsc#1072856 bsc#1087458 bsc#1089664 bsc#1089669).
- commit eaac7dc
* Tue May 29 2018 jroedel@suse.de
- PCI/DPC: Do not enable DPC if AER control is not allowed by
  the BIOS (bsc#1093184).
- commit 17be4d4
* Tue May 29 2018 mbenes@suse.cz
- Delete patches.suse/ppc64le-fix-idle-stacktrace.patch.
- Delete
  patches.suse/ppc64le-stacktrace-fix-graph-ftrace-interaction.patch.
- Delete patches.suse/ppc64le-stacktrace-fix-text-check.patch.
- Delete
  patches.suse/ppc64le-stacktrace-mark-exception-stacks-unreliable.patch.
- Delete
  patches.suse/ppc64le-stacktrace-mark-kretprobe-stacks-unreliable.patch.
- commit f051f84
* Tue May 29 2018 oneukum@suse.com
- usb: xhci: Disable slot even when virt-dev is null
  (bsc#1085539).
- Refresh
  patches.fixes/0001-usb-xhci-Fix-potential-memory-leak-in-xhci_disable_s.patch.
- commit 8097e68
* Tue May 29 2018 oneukum@suse.com
- usb: quirks: add control message delay for 1b1c:1b20
  (bsc#1087092).
- commit d7fe2fb
* Tue May 29 2018 oneukum@suse.com
- usb: xhci: Fix potential memory leak in xhci_disable_slot()
  (bsc#1085539).
- commit 2cb4035
* Tue May 29 2018 oneukum@suse.com
- usbip: vudc: fix null pointer dereference on udc->lock
  (bsc#1087092).
- commit 9e8764b
* Tue May 29 2018 oneukum@suse.com
- blacklist.conf: cosmetic build fix irrelevant to our configs
- commit b16d3f1
* Mon May 28 2018 msuchanek@suse.de
- ibmvnic: Introduce hard reset recovery (bsc#1094840).
- ibmvnic: Set resetting state at earliest possible point
  (bsc#1094840).
- ibmvnic: Create separate initialization routine for resets
  (bsc#1094840).
- ibmvnic: Handle error case when setting link state
  (bsc#1094840).
- ibmvnic: Return error code if init interrupted by transport
  event (bsc#1094840).
- ibmvnic: Check CRQ command return codes (bsc#1094840).
- ibmvnic: Introduce active CRQ state (bsc#1094840).
- ibmvnic: Mark NAPI flag as disabled when released (bsc#1094840).
- ibmvnic: Fix partial success login retries (bsc#1094840).
- commit dc74a91
* Mon May 28 2018 jthumshirn@suse.de
- nvme: add quirk to force medium priority for SQ creation
  (FATE#323952, FATE#322506).
- commit c3c65dd
* Mon May 28 2018 jthumshirn@suse.de
- nvme: target: fix buffer overflow (FATE#323952, FATE#322506).
- nvme: don't send keep-alives to the discovery controller
  (FATE#323952, FATE#322506).
- commit b661970
* Mon May 28 2018 jthumshirn@suse.de
- libnvdimm, dimm: handle EACCES failures from label reads
  (FATE#324505).
- commit 58ba8f8
* Mon May 28 2018 jthumshirn@suse.de
- scsi: qla2xxx: Fix small memory leak in qla2x00_probe_one on
  probe failure (bsc#1077338).
- nvmet: fix space padding in serial number (FATE#323952,
  FATE#322506).
- commit dfc7ea1
* Mon May 28 2018 ohering@suse.de
- PCI: hv: Fix a __local_bh_enable_ip warning in
  hv_compose_msi_msg() (bnc#1094541).
- commit 93066c8
* Sun May 27 2018 tiwai@suse.de
- cfg80211: further limit wiphy names to 64 bytes (bsc#1051510).
- commit 95eb5e7
* Sun May 27 2018 tiwai@suse.de
- cfg80211: limit wiphy names to 128 bytes (bsc#1051510).
- ASoC: rockchip: Fix dai_name for HDMI codec (bsc#1051510).
- staging: bcm2835-audio: Release resources on module_exit()
  (bsc#1051510).
- Bluetooth: btusb: Add USB ID 7392:a611 for Edimax EW-7611ULB
  (bsc#1051510).
- Bluetooth: btusb: Add device ID for RTL8822BE (bsc#1051510).
- commit 077bc0e
* Sun May 27 2018 tiwai@suse.de
- ASoC: rockchip: rk3288-hdmi-analog: Select needed codecs
  (bsc#1051510).
- ASoC: samsung: i2s: Ensure the RCLK rate is properly determined
  (bsc#1051510).
- ALSA: usb-audio: Add native DSD support for Luxman DA-06
  (bsc#1051510).
- ASoC: hdmi-codec: Fix module unloading caused kernel crash
  (bsc#1051510).
- ASoC: hdmi-codec: remove multi detection support (bsc#1051510).
- ASoC: hdmi-codec: fix spelling mistake: "deteced" -> "detected"
  (bsc#1051510).
- commit 1f38e74
* Sun May 27 2018 tiwai@suse.de
- mmc: sdhci-iproc: add SDHCI_QUIRK2_HOST_OFF_CARD_ON for cygnus
  (bsc#1051510).
- mmc: sdhci-iproc: fix 32bit writes for TRANSFER_MODE register
  (bsc#1051510).
- mmc: sdhci-iproc: remove hard coded mmc cap 1.8v (bsc#1051510).
- commit 59892a6
* Sun May 27 2018 tiwai@suse.de
- drm/nouveau/fbcon: fix oops without fbdev emulation
  (bsc#1094751).
- commit 6458fdb
* Sat May 26 2018 tiwai@suse.de
- ALSA: timer: Fix pause event notification (bsc#1051510).
- commit 74fed8d
* Fri May 25 2018 mfleming@suse.de
- cpufreq: schedutil: Avoid using invalid next_freq (git-fixes).
- commit d9c2ab8
* Fri May 25 2018 ppyu@suse.com
- RDMA/i40iw: Avoid panic when reading back the IRQ affinity hint
  (bsc#1084001).
- commit ff5f957
* Fri May 25 2018 msuchanek@suse.de
- powerpc/xmon: Also setup debugger hooks when single-stepping
  (bsc#1072829).
- commit d585167
* Fri May 25 2018 hare@suse.de
- lpfc: Fix port initialization failure (bsc#1093290).
- lpfc: Fix 16gb hbas failing cq create (bsc#1093290).
- commit e7cee22
* Thu May 24 2018 mbenes@suse.cz
- Refresh
  patches.suse/livepatch-allow-to-call-a-custom-callback-when-freeing-shadow-variables.patch.
- Refresh
  patches.suse/livepatch-initialize-shadow-variables-safely-by-a-custom-callback.patch.
- commit a7102df
* Thu May 24 2018 lhenriques@suse.com
- ceph: fix st_nlink stat for directories (bsc#1093904).
- commit a584927
* Thu May 24 2018 bp@suse.de
- x86/cpuinfo: Ignore ->initialized member (bsc#1091543).
- commit e40c5a4
* Thu May 24 2018 bp@suse.de
- x86/smpboot: Fix uncore_pci_remove() indexing bug when
  hot-removing a physical CPU (bsc#1091543).
- x86/topology: Avoid wasting 128k for package id array
  (bsc#1091543).
- Refresh
  patches.arch/x86-smpboot-fix-_max_logical_packages-estimate.patch.
- commit 7e6af23
* Thu May 24 2018 msuchanek@suse.de
- ibmvnic: Only do H_EOI for mobility events (bsc#1094356).
- commit cb5fb4c
* Wed May 23 2018 msuchanek@suse.de
- mkspec: only build docs for default variant kernel.
- commit 045f5ac
* Wed May 23 2018 tiwai@suse.de
- firmware: fix checking for return values for fw_add_devm_name()
  (bsc#1051510).
- crypto: atmel-aes - fix the keys zeroing on errors
  (bsc#1051510).
- drm/panel: simple: Fix the bus format for the Ontat panel
  (bsc#1051510).
- KEYS: Use individual pages in big_key for crypto buffers
  (bsc#1051510).
- PCI: designware-ep: Fix find_first_zero_bit() usage
  (bsc#1051510).
- commit 809527b
* Wed May 23 2018 tiwai@suse.de
- drm/i915/gen9: Add WaClearHIZ_WM_CHICKEN3 for bxt and glk
  (bsc#1051510).
- drm: Match sysfs name in link removal to link creation
  (bsc#1051510).
- ALSA: usb: mixer: volume quirk for CM102-A+/102S+ (bsc#1051510).
- ALSA: hda: Add Lenovo C50 All in one to the power_save blacklist
  (bsc#1051510).
- ALSA: control: fix a redundant-copy issue (bsc#1051510).
- commit c91847f
* Wed May 23 2018 tiwai@suse.de
- blacklist.conf: Add 4.14.x stable and git-fixes entries
- commit 2e0c8f6
* Wed May 23 2018 tiwai@suse.de
- i2c: designware: fix poll-after-enable regression (bsc#1051510).
- drm/i915/execlists: Use rmb() to order CSB reads (bsc#1051510).
- gpio: fix error path in lineevent_create (bsc#1051510).
- gpioib: do not free unrequested descriptors (bsc#1051510).
- PCI: Remove messages about reassigning resources (bsc#1051510).
- iwlwifi: mvm: fix security bug in PN checking (bsc#1051510).
- PCI/ASPM: Calculate LTR_L1.2_THRESHOLD from device
  characteristics (bsc#1051510).
- ACPI: sysfs: Make ACPI GPE mask kernel parameter cover all GPEs
  (bsc#1051510).
- PCI/ASPM: Add L1 Substates definitions (bsc#1051510).
- crypto: qat - remove unused and redundant pointer vf_info
  (bsc#1051510).
- PM: docs: Drop an excess character from devices.rst
  (bsc#1051510).
- Bluetooth: btrtl: Fix a error code in rtl_load_config()
  (bsc#1051510).
- commit 0ab3e88
* Wed May 23 2018 jkosina@suse.cz
- patches.suse/bpf-prevent-memory-disambiguation-attack.patch: update
  upstream references
- commit 4896c66
* Tue May 22 2018 jthumshirn@suse.de
- libnvdimm, nfit: fix persistence domain reporting (bsc#1091424).
- libnvdimm, region: hide persistence_domain when unknown
  (bsc#1091424).
- commit 77c2ab1
* Tue May 22 2018 mhocko@suse.com
- proc: do not access cmdline nor environ from file-backed areas
  (bnc#1093158, CVE-2018-1120).
- commit ea6dcee
* Tue May 22 2018 jthumshirn@suse.de
- kabi protect struct acpi_nfit_desc (bsc#1091424).
- commit 7ebc432
* Tue May 22 2018 jthumshirn@suse.de
- libnvdimm: re-enable deep flush for pmem devices via fsync()
  (bsc#1091424).
- nfit-test: Add platform cap support from ACPI 6.2a to test
  (bsc#1091424).
- libnvdimm: expose platform persistence attribute for nd_region
  (bsc#1091424).
- acpi: nfit: add persistent memory control flag for nd_region
  (bsc#1091424).
- acpi: nfit: Add support for detect platform CPU cache flush
  on power loss (bsc#1091424).
- ACPICA: ACPI 6.0A: Changes to the NFIT ACPI table (bsc#1091424).
- commit b0e80fc
* Mon May 21 2018 msuchanek@suse.de
- powerpc/fadump: Do not use hugepages when fadump is active
  (bsc#1092772).
- powerpc/fadump: exclude memory holes while reserving memory
  in second kernel (bsc#1092772).
- ibmvnic: Fix statistics buffers memory leak (bsc#1093990).
- ibmvnic: Fix non-fatal firmware error reset (bsc#1093990).
- ibmvnic: Free coherent DMA memory if FW map failed
  (bsc#1093990).
- commit ceb9040
* Mon May 21 2018 glin@suse.com
- bpf, x64: fix memleak when not converging after image
  (bsc#1083647).
- commit 8c0d872
* Fri May 18 2018 tbogendoerfer@suse.de
- RDMA/core: Reduce poll batch for direct cq polling (bsc#1046306
  FATE#322942).
- commit e6718a9
* Fri May 18 2018 tbogendoerfer@suse.de
- blacklist.conf: not applicable patch
- commit 9c0c786
* Fri May 18 2018 tbogendoerfer@suse.de
- IB/hfi1: Fix NULL pointer dereference when invalid num_vls is
  used (bsc#1060463 FATE#323043).
- commit a03f34c
* Fri May 18 2018 tbogendoerfer@suse.de
- iw_cxgb4: Atomically flush per QP HW CQEs (bsc#1046543
  FATE#322927).
- IB/mlx5: Use unlimited rate when static rate is not supported
  (bsc#1046305 FATE#322943).
- IB/srp: Fix srp_abort() (bsc#1046306 FATE#322942).
- i40e: Fix attach VF to VM issue (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- IB/ipoib: Fix for potential no-carrier state (bsc#1046307
  FATE#322941).
- IB/hfi1: Re-order IRQ cleanup to address driver cleanup race
  (bsc#1060463 FATE#323043).
- i40e: program fragmented IPv4 filter input set (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- ixgbe: don't set RXDCTL.RLPML for 82599 (bsc#1056657
  FATE#322189).
- igb: Clear TXSTMP when ptp_tx_work() is timeout (bsc#1056651
  FATE#322191).
- igb: Allow to remove administratively set MAC on VFs
  (bsc#1056651 FATE#322191).
- i40evf: ignore link up if not running (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- i40evf: Don't schedule reset_task when device is being removed
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- IB/cq: Don't force IB_POLL_DIRECT poll context for
  ib_process_cq_direct (bsc#1046306 FATE#322942).
- i40iw: Zero-out consumer key on allocate stag for FMR
  (bsc#1058659 FATE#322535).
- commit 478a78b
* Fri May 18 2018 tbogendoerfer@suse.de
- qede: Fix gfp flags sent to rdma event node allocation
  (bsc#1050538 FATE#322897 bsc#1050545 FATE#322893).
- qed: Fix l2 initializations over iWARP personality (bsc#1050536
  FATE#322898 bsc#1050545 FATE#322893).
- IB/mlx4: Fix integer overflow when calculating optimal MTT size
  (bsc#1071218).
- IB/hfi1: Fix handling of FECN marked multicast packet
  (bsc#1060463 FATE#323043).
- IB/uverbs: Fix validating mandatory attributes (bsc#1046306
  FATE#322942).
- RDMA/ucma: Allow resolving address w/o specifying source address
  (bsc#1046306 FATE#322942).
- net/mlx5: Fix mlx5_get_vector_affinity function (bsc#1046303
  FATE#322944).
- net/mlx5e: Allow offloading ipv4 header re-write for icmp
  (bsc#1046303 FATE#322944).
- net: ethtool: Add missing kernel doc for FEC parameters
  (bsc#1046540 FATE#322930).
- s390/qeth: use Read device to query hypervisor for MAC
  (bsc#1061024 FATE#323301).
- commit 22f22c5
* Fri May 18 2018 jkosina@suse.cz
- bpf: prevent memory disambiguation attack (bsc#1087082
  CVE-2018-3639).
- commit f1ac4a9
* Fri May 18 2018 tbogendoerfer@suse.de
- IB/mlx5: Respect new UMR capabilities (bsc#1093205).
- IB/mlx5:: pr_err() and mlx5_ib_dbg() strings should end with
  newlines (bsc#1093205).
- commit 16e6605
* Fri May 18 2018 tiwai@suse.de
- ALSA: hda/conexant - Add hp-mic-fix model string (bsc#1092975).
- ALSA: hda/conexant - Add fixup for HP Z2 G4 workstation
  (bsc#1092975).
- commit 5d0df0f
* Fri May 18 2018 jack@suse.cz
- blacklist.conf: Blacklist 191eac33009e
- commit 1b481a4
* Thu May 17 2018 dbueso@suse.de
- kvm: Introduce nopvspin kernel parameter (bsc#1056427).
- commit 570c828
* Thu May 17 2018 lduncan@suse.com
- target: transport should handle st FM/EOM/ILI reads
  (bsc#1081599).
- commit ca764ea
* Thu May 17 2018 jack@suse.cz
- ext4: Make checks for metadata_csum feature safer (bsc#1087007
  CVE-2018-1094).
- commit 6181ff6
* Thu May 17 2018 msuchanek@suse.de
- Re-sort some patches to match SLE15
- commit 6a7749f
* Thu May 17 2018 tiwai@suse.de
- platform/x86: ideapad-laptop: Add MIIX 720-12IKB to no_hw_rfkill
  (bsc#1093035).
- commit 6221bce
* Thu May 17 2018 lhenriques@suse.com
- rbd: use GFP_NOIO for parent stat and data requests
  (bsc#1093728).
- commit 44d096a
* Thu May 17 2018 yousaf.kaukab@suse.com
- init: fix false positives in W+X checking (bsc#1093721).
- commit a677380
* Thu May 17 2018 jack@suse.cz
- udf: Fix leak of UTF-16 surrogates into encoded strings
  (bsc#1052766).
- commit e33d1c5
* Thu May 17 2018 jack@suse.cz
- ubifs: Check ubifs_wbuf_sync() return code (bsc#1052766).
- commit a179714
* Thu May 17 2018 jack@suse.cz
- ocfs2/acl: use 'ip_xattr_sem' to protect getting extended
  attribute (bsc#1052766).
- commit c0afed7
* Thu May 17 2018 jack@suse.cz
- ocfs2: return -EROFS to mount.ocfs2 if inode block is invalid
  (bsc#1052766).
- commit da97770
* Thu May 17 2018 jack@suse.cz
- mm/fadvise: discard partial page if endbyte is also EOF
  (bsc#1052766).
- commit 3f997d0
* Thu May 17 2018 jack@suse.cz
- jffs2_kill_sb(): deal with failed allocations (bsc#1052766).
- commit de4aa95
* Thu May 17 2018 jack@suse.cz
- jbd2: if the journal is aborted then don't allow update of
  the log tail (bsc#1052766).
- commit 67b57ee
* Thu May 17 2018 jack@suse.cz
- fs/reiserfs/journal.c: add missing resierfs_warning() arg
  (bsc#1052766).
- commit 7822e11
* Thu May 17 2018 jack@suse.cz
- f2fs: avoid hungtask when GC encrypted block if io_bits is set
  (bsc#1052766).
- commit 7911426
* Thu May 17 2018 msuchanek@suse.de
- kernel-{binary,docs}.spec sort dependencies.
- commit d2ab971
* Thu May 17 2018 jack@suse.cz
- f2fs: fix heap mode to reset it back (bsc#1052766).
- commit 465478b
* Thu May 17 2018 jack@suse.cz
- ext4: add bounds checking to ext4_xattr_find_entry()
  (bsc#1052766).
- commit 4d6bdef
* Thu May 17 2018 jack@suse.cz
- ext4: move call to ext4_error() into ext4_xattr_check_block()
  (bsc#1052766).
- commit 965aee5
* Thu May 17 2018 jack@suse.cz
- ext4: fail ext4_iget for root directory if unallocated
  (bsc#1087012 cve-2018-1092).
- commit f34f410
* Thu May 17 2018 jack@suse.cz
- ext4: add MODULE_SOFTDEP to ensure crc32c is included in the
  initramfs (bsc#1087007 cve-2018-1094).
- commit 35cde8f
* Thu May 17 2018 jack@suse.cz
- ext4: fix bitmap position validation (bsc#1087095
  cve-2018-1093).
- commit 1c6e15e
* Thu May 17 2018 jack@suse.cz
- ext4: add validity checks for bitmap block numbers (bsc#1087095
  cve-2018-1093).
- commit 7cf212c
* Thu May 17 2018 jack@suse.cz
- ext4: always initialize the crc32c checksum driver (bsc#1087007
  cve-2018-1094).
- commit 6b4bb4d
* Thu May 17 2018 jack@suse.cz
- ext4: don't allow r/w mounts if metadata blocks overlap the
  superblock (bsc#1087007 CVE-2018-1094).
- commit b6c942a
* Thu May 17 2018 jack@suse.cz
- ext4: protect i_disksize update by i_data_sem in direct write
  path (bsc#1052766).
- commit 2c7821b
* Thu May 17 2018 jack@suse.cz
- ext4: don't update checksum of new initialized bitmaps
  (bsc#1052766).
- commit 01962a6
* Thu May 17 2018 jack@suse.cz
- ext4: pass -ESHUTDOWN code to jbd2 layer (bsc#1052766).
- commit dfe0ff7
* Thu May 17 2018 jack@suse.cz
- ext4: eliminate sleep from shutdown ioctl (bsc#1052766).
- commit dcd32a5
* Thu May 17 2018 jack@suse.cz
- ext4: shutdown should not prevent get_write_access
  (bsc#1052766).
- commit b753cba
* Thu May 17 2018 jack@suse.cz
- block: Set BIO_TRACE_COMPLETION on new bio during split
  (bsc#1052766).
- commit 2f880da
* Thu May 17 2018 jack@suse.cz
- block/loop: fix deadlock after loop_set_status (bsc#1052766).
- commit 475b06c
* Thu May 17 2018 jack@suse.cz
- blacklist.conf: Blacklist 6e2fb22103b9
- commit 605d806
* Thu May 17 2018 jack@suse.cz
- block, bfq: put async queues for root bfq groups too
  (bsc#1052766).
- commit ac0e526
* Thu May 17 2018 jack@suse.cz
- afs: Connect up the CB.ProbeUuid (bsc#1052766).
- commit d895d36
* Thu May 17 2018 jack@suse.cz
- afs: Fix missing error handling in afs_write_end()
  (bsc#1052766).
- commit 2e06e76
* Thu May 17 2018 jack@suse.cz
- 9p/trans_virtio: discard zero-length reply (bsc#1052766).
- commit 0110526
* Thu May 17 2018 jack@suse.cz
- delayacct: Account blkio completion on the correct task
  (bsc#1052766).
- commit 2e845da
* Thu May 17 2018 jack@suse.cz
- f2fs: fix to clear CP_TRIMMED_FLAG (bsc#1052766).
- blacklist.conf: Blacklist 3172485f4f80
- commit 38f8eeb
* Thu May 17 2018 jack@suse.cz
- blacklist.conf: Blacklist 2e898e4c0a38
- commit db7d2b4
* Thu May 17 2018 jack@suse.cz
- loop: handle short DIO reads (bsc#1052766).
- commit 5da5b57
* Thu May 17 2018 jack@suse.cz
- bfq-iosched: ensure to clear bic/bfqq pointers when preparing
  request (bsc#1052766).
- commit b6992de
* Thu May 17 2018 jack@suse.cz
- ext4: set h_journal if there is a failure starting a reserved
  handle (bsc#1052766).
- commit ea7ff62
* Thu May 17 2018 jack@suse.cz
- bdi: Fix oops in wb_workfn() (bsc#1052766).
- commit 9cf4d8d
* Thu May 17 2018 jack@suse.cz
- bdi: wake up concurrent wb_shutdown() callers (bsc#1052766).
- commit b3bf0f2
* Thu May 17 2018 tiwai@suse.de
- Bluetooth: btusb: Add Dell XPS 13 9360 to
  btusb_needs_reset_resume_table (bsc#1051510).
- Bluetooth: btusb: Only check needs_reset_resume DMI table for
  QCA rome chipsets (bsc#1051510).
- Revert "Bluetooth: btusb: Fix quirk for Atheros 1525/QCA6174"
  (bsc#1051510).
- drm/nouveau: Fix deadlock in nv50_mstm_register_connector()
  (bsc#1051510).
- drm/vc4: Fix scaling of uni-planar formats (bsc#1051510).
- drm/atomic: Clean old_state/new_state in
  drm_atomic_state_default_clear() (bsc#1051510).
- drm/i915: Fix drm:intel_enable_lvds ERROR message in kernel log
  (bsc#1051510).
- Bluetooth: Set HCI_QUIRK_SIMULTANEOUS_DISCOVERY for
  BTUSB_QCA_ROME (bsc#1051510).
- commit 717100e
* Thu May 17 2018 bpoirier@suse.com
- Move patches.arch/powerpc-64-kexec-fix-race-in-kexec-when-XIVE-is-shut.patch back into sorted section.
  Using the --upstream option of series_sort was needed to move the patch out
  of the out-of-tree section after having updated its tags.
- commit 8000f4d
* Wed May 16 2018 jack@suse.cz
- fsnotify: Hide kABI changes in fsnotify_mark_connector
  (bsc#1052766).
- commit 9542f03
* Wed May 16 2018 tiwai@suse.de
- drm/msm: Fix possible null dereference on failure of get_pages()
  (bsc#1051510).
- commit 6e060f3
* Wed May 16 2018 tiwai@suse.de
- supported.conf: Remove external flag from iwlwifi modules (bsc#1093273)
- commit 6601bf3
* Wed May 16 2018 jack@suse.cz
- ocfs2/dlm: Fix up kABI in dlm_ctxt (bsc#1052766).
- commit 4fb2c31
* Wed May 16 2018 ppyu@suse.com
- x86/cpu_entry_area: Map also trace_idt_table (bsc#1089878).
- commit 84c016e
* Wed May 16 2018 jack@suse.cz
- blacklist.conf: Blacklist a09acf4b43b905
- commit b015d58
* Wed May 16 2018 jack@suse.cz
- blacklist.conf: Blacklist 8a1ac5dc7be0
- commit 2e356a2
* Wed May 16 2018 jack@suse.cz
- eCryptfs: don't pass up plaintext names when using filename
  encryption (bsc#1052766).
- commit 4218bd8
* Wed May 16 2018 jack@suse.cz
- <linux/uaccess.h>: Fix copy_in_user() declaration (bsc#1052766).
- commit 1bf0eca
* Wed May 16 2018 jack@suse.cz
- fsnotify: Fix fsnotify_mark_connector race (bsc#1052766).
- commit 27c3d64
* Wed May 16 2018 jack@suse.cz
- mm/filemap.c: fix NULL pointer in page_cache_tree_insert()
  (bsc#1052766).
- commit 6efc69c
* Wed May 16 2018 jack@suse.cz
- ocfs2/dlm: wait for dlm recovery done when migrating all lock
  resources (bsc#1052766).
- commit 4a66c16
* Wed May 16 2018 jack@suse.cz
- fanotify: fix logic of events on child (bsc#1052766).
- commit 898aece
* Wed May 16 2018 jack@suse.cz
- ext4: prevent right-shifting extents beyond EXT_MAX_BLOCKS
  (bsc#1052766).
- blacklist.conf: blacklist 1202d4ba2899
- commit ec5f585
* Wed May 16 2018 jack@suse.cz
- device-dax: allow MAP_SYNC to succeed (bsc#1052766).
- commit ae5091e
* Wed May 16 2018 mhocko@suse.com
- mm/shmem: do not wait for lock_page() in
  shmem_unused_huge_shrink() (bnc#1089667).
- commit d867479
* Wed May 16 2018 mhocko@suse.com
- mm, oom: fix concurrent munlock and oom reaper unmap, v3
  (bnc#1090150, CVE-2018-1000200).
- commit 47447cd
* Wed May 16 2018 mkubecek@suse.cz
- dccp: check sk for closed state in dccp_sendmsg() (CVE-2018-1130
  bsc#1092904).
- commit ceeb802
* Wed May 16 2018 mkubecek@suse.cz
- Refresh series.conf
  Update upstream reference:
  patches.fixes/vti6-Change-minimum-MTU-to-IPV4_MIN_MTU-vti6-can-car.patch
- commit 6528141
* Wed May 16 2018 msuchanek@suse.de
- macros.kernel-source: Fix building non-x86 KMPs
- commit 8631d05
* Wed May 16 2018 mgorman@suse.de
- sched/numa: Stagger NUMA balancing scan periods for new threads
  (Automatic NUMA Balancing (fate#315482)).
- commit 4201a3f
* Wed May 16 2018 oneukum@suse.com
- USB: Accept bulk endpoints with 1024-byte maxpacket
  (bsc#1092888).
- commit 9797940
* Tue May 15 2018 msuchanek@suse.de
- powerpc/64s: Add support for a store forwarding barrier at
  kernel entry/exit (CVE-2018-3639, bsc#1087082).
- commit 908c138
* Tue May 15 2018 jlee@suse.com
- acpi, nfit: rework NVDIMM leaf method detection (bsc#1091782).
- commit 87ec38c
* Tue May 15 2018 jeffm@suse.com
- reiserfs: package in separate KMP (FATE#323394).
- commit d14f152
* Tue May 15 2018 jeffm@suse.com
- reiserfs: mark read-write mode unsupported (FATE#323394).
- commit 0e79976
* Tue May 15 2018 jeffm@suse.com
- allow_unsupported: add module tainting on feature use (FATE#323394).
- commit 41cd8e7
* Tue May 15 2018 palcantara@suse.de
- blacklist.conf: add cifs commit
  RDMA is unsupported in all SLE versions.
- commit 5b79c0d
* Tue May 15 2018 jlee@suse.com
- update series.conf
- commit aca3df0
* Tue May 15 2018 oneukum@suse.com
- qmi_wwan: do not steal interfaces from class drivers
  (bsc#1092888).
- commit c28e58a
* Tue May 15 2018 oneukum@suse.com
- blacklist.conf: would break kABI
- commit da58da7
* Tue May 15 2018 oneukum@suse.com
- blacklist.conf: build bug not hitting us
- commit a0086b1
* Tue May 15 2018 oneukum@suse.com
- usb: typec: ucsi: Increase command completion timeout value
  (bsc#1090888).
- commit 01614a9
* Tue May 15 2018 jthumshirn@suse.de
- s390/cio: update chpid descriptor after resource accessibility
  event (bnc#1093148, LTC#167307).
- s390/dasd: fix IO error for newly defined devices (bnc#1093148,
  LTC#167307).
- s390/qeth: fix MAC address update sequence (bnc#1093148,
  LTC#167307).
- s390/qeth: translate SETVLAN/DELVLAN errors (bnc#1093148,
  LTC#167307).
- s390/uprobes: implement arch_uretprobe_is_alive() (bnc#1093148,
  LTC#167307).
- commit a741d19
* Tue May 15 2018 jroedel@suse.de
- KVM: SVM: Move spec control call after restore of GS
  (bsc#1087082 CVE-2018-3639).
- commit 65e82a4
* Tue May 15 2018 bpoirier@suse.com
- Refresh patch order in sorted section
- commit 3005f35
* Tue May 15 2018 bpoirier@suse.com
- Fix patch order in sorted section
  Problem introduced in
  bd8adff3d4 Merge branch 'SLE15' into SLE15-UPDATE
- commit 9d5f51b
* Mon May 14 2018 msuchanek@suse.de
- Move 0008-kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch
  Patches in patches.kabi are removed when kabi files are deleted.
  This is not wanted for padding patches.
- commit 0ee5d8b
* Mon May 14 2018 msuchanek@suse.de
- macros.kernel-source: ignore errors when using make to print kernel release
  There is no way to handle the errors anyway and including the error into
  package version does not give good results.
- commit 282e9a6
* Mon May 14 2018 tiwai@suse.de
- ALSA: emu10k1: Fix kABI breakage (bsc#1093027).
- ALSA: emu10k1: add a IOMMU workaround (bsc#1093027).
- ALSA: emu10k1: make sure synth DMA pages are allocated with
  DMA functions (bsc#1093027).
- ALSA: emu10k1: add optional debug printouts with DMA addresses
  (bsc#1093027).
- ALSA: emu10k1: use dma_set_mask_and_coherent() (bsc#1093027).
- ALSA: emu10k1: remove reserved_page (bsc#1093027).
- commit 851a387
* Mon May 14 2018 tiwai@suse.de
- Move to sorted section
  Refresh patches.drivers/ALSA-hda-Fix-incorrect-usage-of-IS_REACHABLE.
- commit d2d47c0
* Mon May 14 2018 lhenriques@suse.com
- ceph: fix rsize/wsize capping in ceph_direct_read_write()
  (bsc#1089115).
- commit ea924b0
* Mon May 14 2018 tiwai@suse.de
- ALSA: aloop: Add missing cable lock to ctl API callbacks
  (bsc#1051510).
- commit dff1fc0
* Mon May 14 2018 tiwai@suse.de
- mac80211: Fix condition validating WMM IE (bsc#1051510).
- drm/atomic: Clean private obj old_state/new_state in
  drm_atomic_state_default_clear() (bsc#1051510).
- platform/x86: asus-wireless: Fix NULL pointer dereference
  (bsc#1051510).
- drm/vmwgfx: Fix a buffer object leak (bsc#1051510).
- drm/bridge: vga-dac: Fix edid memory leak (bsc#1051510).
- ALSA: pcm: Check PCM state at xfern compat ioctl (bsc#1051510).
- ALSA: dice: fix kernel NULL pointer dereference due to invalid
  calculation for array index (bsc#1051510).
- ALSA: seq: Fix races at MIDI encoding in
  snd_virmidi_output_trigger() (bsc#1051510).
- Input: atmel_mxt_ts - add touchpad button mapping for Samsung
  Chromebook Pro (bsc#1051510).
- Input: leds - fix out of bound access (bsc#1051510).
- ALSA: aloop: Mark paused device as inactive (bsc#1051510).
- regulator: cpcap: Fix standby mode (bsc#1051510).
- commit a0aac68
* Mon May 14 2018 tiwai@suse.de
- Preliminary series sort
- commit e06d957
* Mon May 14 2018 msuchanek@suse.de
- Refresh powerpc ftrace patches
- commit 74a0e90
* Mon May 14 2018 msuchanek@suse.de
- powerpc/64/kexec: fix race in kexec when XIVE is shutdown (bsc#1088273).
  Refresh patchset with upstream patches
- Refresh patches.arch/powerpc-64-kexec-fix-race-in-kexec-when-XIVE-is-shut.patch
- Refresh patches.arch/powerpc-xive-fix-hcall-H_INT_RESET-to-support-long-b.patch.
- Refresh patches.arch/powerpc-xive-prepare-all-hcalls-to-support-long-busy.patch.
- Refresh patches.arch/powerpc-xive-shutdown-XIVE-when-kexec-or-kdump-is-pe.patch.
- commit 39957bd
* Mon May 14 2018 bp@suse.de
- blacklist.conf:
- commit a76527a
* Fri May 11 2018 msuchanek@suse.de
- Revert "kernel-binary: do not package extract-cert when not signing modules"
  This reverts commit 10a8bc496a553b8069d490a8ae7508bdb19f58d9.
- commit 1f7acca
* Fri May 11 2018 bp@suse.de
- proc: Use underscores for SSBD in 'status' (bsc#1087082
  CVE-2018-3639).
- x86/bugs: Rename _RDS to _SSBD (bsc#1087082 CVE-2018-3639).
- x86/speculation: Make "seccomp" the default mode for Speculative
  Store Bypass (bsc#1087082 CVE-2018-3639).
- seccomp: Move speculation migitation control to arch code
  (bsc#1087082 CVE-2018-3639).
- seccomp: Add filter flag to opt-out of SSB mitigation
  (bsc#1087082 CVE-2018-3639).
- seccomp: Use PR_SPEC_FORCE_DISABLE (bsc#1087082 CVE-2018-3639).
- prctl: Add force disable speculation (bsc#1087082
  CVE-2018-3639).
- x86/bugs: Make boot modes __ro_after_init (bsc#1087082
  CVE-2018-3639).
- seccomp: Enable speculation flaw mitigations (bsc#1087082
  CVE-2018-3639).
- proc: Provide details on speculation flaw mitigations
  (bsc#1087082 CVE-2018-3639).
- nospec: Allow getting/setting on non-current task (bsc#1087082
  CVE-2018-3639).
- x86/speculation: Add prctl for Speculative Store Bypass
  mitigation (bsc#1087082 CVE-2018-3639).
- x86/process: Allow runtime control of Speculative Store Bypass
  (bsc#1087082 CVE-2018-3639).
- prctl: Add speculation control prctls (bsc#1087082
  CVE-2018-3639).
- x86/speculation: Create spec-ctrl.h to avoid include hell
  (bsc#1087082 CVE-2018-3639).
- x86/KVM/VMX: Expose SPEC_CTRL Bit(2) to the guest (bsc#1087082
  CVE-2018-3639).
- x86/bugs/AMD: Add support to disable RDS on Fam[15,16,17]h if
  requested (bsc#1087082 CVE-2018-3639).
- x86/bugs: Whitelist allowed SPEC_CTRL MSR values (bsc#1087082
  CVE-2018-3639).
- x86/bugs/intel: Set proper CPU features and setup RDS
  (bsc#1087082 CVE-2018-3639).
- x86/bugs: Provide boot parameters for the
  spec_store_bypass_disable mitigation (bsc#1087082
  CVE-2018-3639).
- x86/cpufeatures: Add X86_FEATURE_RDS (bsc#1087082
  CVE-2018-3639).
- x86/bugs: Expose /sys/../spec_store_bypass (bsc#1087082
  CVE-2018-3639).
- x86/bugs, KVM: Support the combination of guest and host IBRS
  (bsc#1087082 CVE-2018-3639).
- x86/bugs: Read SPEC_CTRL MSR during boot and re-use reserved
  bits (bsc#1087082 CVE-2018-3639).
- x86/bugs: Concentrate bug reporting into a separate function
  (bsc#1087082 CVE-2018-3639).
- x86/bugs: Concentrate bug detection into a separate function
  (bsc#1087082 CVE-2018-3639).
- x86/nospec: Simplify alternative_msr_write() (bsc#1087082
  CVE-2018-3639).
- commit 62d3255
* Fri May 11 2018 wqu@suse.com
- btrfs: Fix wrong first_key parameter in replace_path (follow
  up fix for bsc#1084721).
- commit 4346da1
* Fri May 11 2018 jeffm@suse.com
- btrfs: suspend qgroups during relocation recovery (bsc#1086467).
- commit f0b899a
* Fri May 11 2018 jeffm@suse.com
- Refresh
  patches.suse/btrfs-qgroups-fix-rescan-worker-running-races.patch.
  The previous version reintroduced the race that upstream commit 8d9eddad194
  was intended to fix.  This version addresses that issue as well as fixing
  a separate issue where the rescan worker might not have resumed on mount.
- commit 3847d2d
* Fri May 11 2018 jeffm@suse.com
- Delete
  patches.suse/btrfs-push-relocation-recovery-into-helper-thread.patch.
  Pushing relocation recovery into a thread allowed mounts to proceed
  but the file system would end up being unable to be unmounted for some
  time.
- commit a456afe
* Thu May 10 2018 jack@suse.cz
- ext4: Fix hole length detection in ext4_ind_map_blocks()
  (bsc#1090953).
- commit 6264cfb
* Thu May 10 2018 lhenriques@suse.com
- iov_iter: fix memory leak in pipe_get_pages_alloc()
  (bsc#1092710).
- iov_iter: fix return type of __pipe_get_pages() (bsc#1092710).
- commit 0ace052
* Thu May 10 2018 lhenriques@suse.com
- scripts/git_sort/git_sort.py: add Viro's vfs git
- commit 82df85f
* Thu May 10 2018 lhenriques@suse.com
- run series_sort.py
- commit c46ab68
* Thu May 10 2018 jkosina@suse.cz
- scripts/git_sort/git_sort.py: Remove duplicated repo entry
- commit 5449163
* Thu May 10 2018 msuchanek@suse.de
- powerpc/64s: Enhance the information in cpu_show_spectre_v1()
  (bsc#1068032).
- commit 447e243
* Thu May 10 2018 mgorman@suse.de
- Delete
  patches.suse/sched-numa-Delay-retrying-placement-for-automatic-NUMA-balance-after-wake_affine.patch.
- commit d676b29
* Wed May  9 2018 msuchanek@suse.de
- Enable uniput driver (bsc#1092566).
- commit 7e93d22
* Wed May  9 2018 nborisov@suse.com
- Refresh
  patches.suse/revert-btrfs-qgroup-move-half-of-the-qgroup-accounting-time-out-of-commit-trans.patch.
- commit 6bb3a77
* Wed May  9 2018 jthumshirn@suse.de
- libnvdimm, btt: fix format string warnings (bsc#1087205).
- commit 840b821
* Wed May  9 2018 jthumshirn@suse.de
- libnvdimm, btt: add a couple of missing kernel-doc lines
  (bsc#1087210).
- Refresh
  patches.drivers/libnvdimm-btt-fix-an-incompatibility-in-the-log-layout.patch.
- commit a3acfa5
* Wed May  9 2018 jthumshirn@suse.de
- libnvdimm, btt: clean up warning and error messages
  (bsc#1087205).
- Refresh
  patches.drivers/libnvdimm-btt-fix-an-incompatibility-in-the-log-layout.patch.
- commit f89db23
* Tue May  8 2018 msuchanek@suse.de
- powerpc/lib: Fix off-by-one in alternate feature patching
  (bsc#1065729).
- commit 64ed10b
* Tue May  8 2018 msuchanek@suse.de
- ibmvnic: Clean actual number of RX or TX pools (bsc#1092289).
- commit 87e794b
* Mon May  7 2018 jthumshirn@suse.de
- acpi, nfit: quiet invalid block-aperture-region warnings
  (bsc#1091781).
- commit 02372d1
* Fri May  4 2018 rgoldwyn@suse.com
- ovl: treat btrfs mounts as different superblocks (bsc#1059336).
- commit f3a38b6
* Fri May  4 2018 tbogendoerfer@suse.de
- net/mlx5: Avoid cleaning flow steering table twice during
  error flow (bsc#1091532).
- commit 62f9ca0
* Fri May  4 2018 bp@suse.de
- x86/xen: Calculate __max_logical_packages on PV domains
  (bsc#1091543).
- x86/smpboot: Do not use smp_num_siblings in
  __max_logical_packages calculation (bsc#1091543).
- xen/vcpu: Handle xen_vcpu_setup() failure at boot (bsc#1091543).
- commit bbde611
* Fri May  4 2018 lhenriques@suse.com
- regulator: gpio: Fix some error handling paths in
  'gpio_regulator_probe()' (bsc#1091960).
- commit 11d5f9c
* Fri May  4 2018 tiwai@suse.de
- ALSA: hda - Fix incorrect usage of IS_REACHABLE() (bsc#1051510).
- commit 80496e0
* Thu May  3 2018 tiwai@suse.de
- ACPI / video: Only default only_lcd to true on Win8-ready
  _desktops_ (bsc#1051510).
- commit 0fc9eb6
* Thu May  3 2018 tiwai@suse.de
- Bluetooth: hci_bcm: Remove DMI quirk for the MINIX Z83-4
  (bsc#1051510).
- Bluetooth: hci_bcm: Add 6 new ACPI HIDs (bsc#1051510).
- commit b8563e2
* Thu May  3 2018 tiwai@suse.de
- Bluetooth: hci_bcm: Treat Interrupt ACPI resources as always
  being active-low (bsc#1051510).
- Bluetooth: hci_bcm: Add support for BCM2E72 (bsc#1051510).
- commit a0d1341
* Thu May  3 2018 tiwai@suse.de
- Bluetooth: hci_bcm: Add support for MINIX Z83-4 based devices
  (bsc#1051510).
- Refresh
  patches.drivers/Bluetooth-hci_bcm-Add-support-for-BCM2E7E.
- commit 72f23eb
* Thu May  3 2018 msuchanek@suse.de
- powerpc/64s: Enable barrier_nospec based on firmware settings
  (bsc#1068032, bsc#1080157).
  Delete patches.arch/powerpc-64-barrier_nospec-Add-commandline-trigger.patch.
  Delete patches.arch/powerpc-64s-barrier_nospec-Add-hcall-trigger.patch.
- commit a3f6f3e
* Thu May  3 2018 tiwai@suse.de
- Bluetooth: hci_bcm: Fix setting of irq trigger type
  (bsc#1051510).
- commit 4e523f8
* Thu May  3 2018 tiwai@suse.de
- Bluetooth: hci_bcm: Handle empty packet after firmware loading
  (bsc#1051510).
- Bluetooth: hci_bcm: Make bcm_request_irq fail if no IRQ resource
  (bsc#1051510).
- Bluetooth: hci_bcm: Add active_low irq polarity quirk for Asus
  T100CHI (bsc#1051510).
- commit c5294d7
* Thu May  3 2018 tiwai@suse.de
- ima: Fallback to the builtin hash algorithm (bsc#1091686).
- commit f2a7590
* Thu May  3 2018 msuchanek@suse.de
- Delete patches.arch/powerpc-64s-Use-barrier_nospec-in-RFI_FLUSH_SLOT.patch.
- commit f4a4c12
* Thu May  3 2018 msuchanek@suse.de
- Refresh patches.arch/powerpc-64-Use-barrier_nospec-in-syscall-entry.patch.
- commit 238866b
* Thu May  3 2018 msuchanek@suse.de
- powerpc: Use barrier_nospec in copy_from_user() (bsc#1068032,
  bsc#1080157).
- commit 080b1ec
* Thu May  3 2018 msuchanek@suse.de
- Refresh patches.arch/powerpc-Add-barrier_nospec.patch
  Refresh patches.arch/powerpc-64s-Add-support-for-ori-barrier_nospec-patch.patch
  Refresh patches.arch/powerpc-64-Patch-barrier_nospec-in-modules.patch
  Delete patches.arch/powerpc-64-barrier_nospec-Add-debugfs-trigger.patch
- commit 40ed6a0
* Thu May  3 2018 tiwai@suse.de
- Delete patches.drivers/ASoC-rt5514-Add-the-missing-register-in-the-readable
  This is not really needed for SLE15 kernel (yet).
- commit 5784e60
* Thu May  3 2018 tiwai@suse.de
- Fix the build error in adau17x1 soc driver (bsc#1051510)
  Refreshed patch:
  patches.drivers/ASoC-adau17x1-Handling-of-DSP_RUN-register-during-fw
- commit 50449fc
* Thu May  3 2018 mkubecek@suse.cz
- vti6: Change minimum MTU to IPV4_MIN_MTU, vti6 can carry IPv4
  too (bsc#1082869).
- commit 2585ed1
* Thu May  3 2018 mkubecek@suse.cz
- vti6: Fix dev->max_mtu setting (bsc#1082869).
- commit 0b18cdf
* Thu May  3 2018 mkubecek@suse.cz
- vti6: Keep set MTU on link creation or change, validate it
  (bsc#1082869).
- commit 4b40c7c
* Thu May  3 2018 mkubecek@suse.cz
- vti6: Properly adjust vti6 MTU from MTU of lower device
  (bsc#1082869).
- commit 68cda33
* Thu May  3 2018 mkubecek@suse.cz
- ip6_vti: adjust vti mtu according to mtu of lower device
  (bsc#1082869).
- commit 3a6c0fa
* Thu May  3 2018 mkubecek@suse.cz
- ipv4: igmp: guard against silly MTU values (bsc#1082869).
- commit 82d3d2c
* Thu May  3 2018 mkubecek@suse.cz
- Update mainline reference:
  patches.fixes/netfilter-ebtables-fix-erroneous-reject-of-last-rule.patch
- commit 5d4c7dd
* Thu May  3 2018 mkubecek@suse.cz
- sctp: verify size of a new chunk in _sctp_make_chunk()
  (CVE-2018-5803 bsc#1083900).
- commit 51d8978
* Thu May  3 2018 mkubecek@suse.cz
- rds: Fix NULL pointer dereference in __rds_rdma_map
  (CVE-2018-7492 bsc#1082962).
- commit 23bba58
* Wed May  2 2018 tiwai@suse.de
- crypto: drbg - set freed buffers to NULL (bsc#1051510).
- drm/i915: Enable display WA#1183 from its correct spot
  (bsc#1051510).
- drm/virtio: fix vq wait_event condition (bsc#1051510).
- drm/amdgpu: set COMPUTE_PGM_RSRC1 for SGPR/VGPR clearing shaders
  (bsc#1051510).
- thermal: imx: Fix race condition in imx_thermal_probe()
  (bsc#1051510).
- thunderbolt: Resume control channel after hibernation image
  is created (bsc#1051510).
- thermal: power_allocator: fix one race condition issue for
  thermal_instances list (bsc#1051510).
- pinctrl: baytrail: Enable glitch filter for GPIOs used as
  interrupts (bsc#1051510).
- omapdrm: panel: fix compatible vendor string for td028ttec1
  (bsc#1051510).
- pinctrl: denverton: Fix UART2 RTS pin mode (bsc#1051510).
- thermal/drivers/step_wise: Fix temperature regulation
  misbehavior (bsc#1051510).
- commit d15623c
* Wed May  2 2018 msuchanek@suse.de
- Refresh patches.drivers/ibmvfc-avoid-unnecessary-port-relogin.patch
- commit d88d95f
* Wed May  2 2018 tiwai@suse.de
- Fix kABI breakage due to snd_usb_audio_quirk profile_name
  addition (bsc#1091678).
- ALSA: usb-audio: Give proper vendor/product name for Dell WD15
  Dock (bsc#1091678).
- ALSA: usb-audio: Allow to override the longname string
  (bsc#1091678).
- ALSA: usb-audio: Add "Keep Interface" control (bsc#1089467).
- ALSA: usb-audio: Add keep_iface flag (bsc#1089467).
- ALSA: usb-audio: Avoid superfluous usb_set_interface() calls
  (bsc#1089467).
- ALSA: usb-audio: Initialize Dell Dock playback volumes
  (bsc#1089467).
- commit fe9e40b
* Wed May  2 2018 tiwai@suse.de
- blacklist.conf: Add drm/i915/gvt entries
- commit 608a429
* Wed May  2 2018 tiwai@suse.de
- drm/i915/bios: filter out invalid DDC pins from VBT child
  devices (bsc#1051510).
- commit 45ac78f
* Wed May  2 2018 bp@suse.de
- x86/smpboot: Fix __max_logical_packages estimate (bsc#1091543).
- commit 2eb7ead
* Wed May  2 2018 msuchanek@suse.de
- kernel-binary: also default klp_symbols to 0 here.
- commit e35f14a
* Wed May  2 2018 msuchanek@suse.de
- klp_symbols: make --klp-symbols argument semantic sane
  It selects build of klp symbols and defaults to off
- commit 0e53042
* Wed May  2 2018 jthumshirn@suse.de
- qla2xxx: Enable T10-DIF with FC-NVMe enabled (bsc#1091264).
- commit fa61ec8
* Wed May  2 2018 msuchanek@suse.de
- powerpc/perf: fix bug references.
- commit 9413630
* Wed May  2 2018 lhenriques@suse.com
- libceph: validate con->state at the top of try_write()
  (bsc#1089115).
- libceph: reschedule a tick in finish_hunting() (bsc#1089115).
- libceph: un-backoff on tick when we have a authenticated session
  (bsc#1089115).
- commit bafc6da
* Wed May  2 2018 lhenriques@suse.com
- ceph: check if mds create snaprealm when setting quota
  (FATE#323422 bsc#1089115).
- commit c1584f3
* Wed May  2 2018 jlee@suse.com
- kexec_file: do not add extra alignment to efi memmap
  (bsc#1089268).
- commit b74811e
* Mon Apr 30 2018 bp@suse.de
- x86,sched: Allow topologies where NUMA nodes share an LLC
  (bsc#1091158).
- commit a8d2942
* Mon Apr 30 2018 jeffm@suse.com
- Refresh patches.suse/btrfs-use-kvzalloc-to-allocate-btrfs_fs_info.patch
  - Fixed References (bsc#1062897).
  - Updated patch tags.
- commit aeff055
* Mon Apr 30 2018 tiwai@suse.de
- spi: atmel: init FIFOs before spi enable (bsc#1051510).
- spi: Fix scatterlist elements size in spi_map_buf (bsc#1051510).
- spi: sun6i: disable/unprepare clocks on remove (bsc#1051510).
- spi: imx: do not access registers while clocks disabled
  (bsc#1051510).
- spi: xilinx: Detect stall with Unknown commands (bsc#1051510).
- spi: sun4i: disable clocks in the remove function (bsc#1051510).
- spi: atmel: fixed spin_lock usage inside atmel_spi_remove
  (bsc#1051510).
- spi: a3700: Fix clk prescaling for coefficient over 15
  (bsc#1051510).
- spi: spi-axi: fix potential use-after-free after deregistration
  (bsc#1051510).
- spi: sh-msiof: Fix DMA transfer size check (bsc#1051510).
- spi: bcm-qspi: Fix use after free in bcm_qspi_probe() in error
  path (bsc#1051510).
- spi: a3700: Return correct value on timeout detection
  (bsc#1051510).
- spi: armada-3700: Fix failing commands with quad-SPI
  (bsc#1051510).
- commit e6b76f4
* Mon Apr 30 2018 tiwai@suse.de
- partitions/msdos: Unable to mount UFS 44bsd partitions
  (bsc#1051510).
- commit 5e36816
* Mon Apr 30 2018 tiwai@suse.de
- iio: st_pressure: st_accel: pass correct platform data to init
  (bsc#1051510).
- hwmon: (ina2xx) Fix access to uninitialized mutex (bsc#1051510).
- hwmon: (ina2xx) Make calibration register value fixed
  (bsc#1051510).
- iio: st_pressure: st_accel: Initialise sensor platform data
  properly (bsc#1051510).
- commit a13dfdc
* Mon Apr 30 2018 tiwai@suse.de
- etnaviv: fix gem object list corruption (bsc#1051510).
- etnaviv: fix submit error path (bsc#1051510).
- commit b019495
* Mon Apr 30 2018 tiwai@suse.de
- dmaengine: ti-dma-crossbar: Fix possible race condition with
  dma_inuse (bsc#1051510).
- commit 419987b
* Mon Apr 30 2018 tiwai@suse.de
- dmaengine: at_xdmac: fix rare residue corruption (bsc#1051510).
- crypto: arm,arm64 - Fix random regeneration of S_shipped
  (bsc#1051510).
- dmaengine: ti-dma-crossbar: Fix event mapping for
  TPCC_EVT_MUX_60_63 (bsc#1051510).
- dmaengine: dmatest: fix container_of member in dmatest_callback
  (bsc#1051510).
- dmaengine: jz4740: disable/unprepare clk if probe fails
  (bsc#1051510).
- dmaengine: dmatest: move callback wait queue to thread context
  (bsc#1051510).
- dmaengine: at_hdmac: fix potential NULL pointer dereference
  in atc_prep_dma_interleaved (bsc#1051510).
- dmaengine: ioat: Fix error handling path (bsc#1051510).
- dmaengine: ti-dma-crossbar: Correct am335x/am43xx mux value type
  (bsc#1051510).
- dmaengine: dmatest: warn user when dma test times out
  (bsc#1051510).
- dmaengine: edma: Align the memcpy acnt array size with the
  transfer (bsc#1051510).
- commit a771c38
* Mon Apr 30 2018 tiwai@suse.de
- mtd: ubi: wl: Fix error return code in ubi_wl_init()
  (bsc#1051510).
- commit 25a7288
* Mon Apr 30 2018 tiwai@suse.de
- ubi: Reject MLC NAND (bsc#1051510).
- ubi: Fix error for write access (bsc#1051510).
- ubi: fastmap: Don't flush fastmap work on detach (bsc#1051510).
- ubi: block: Fix locking for idr_alloc/idr_remove (bsc#1051510).
- ubi: fastmap: Erase outdated anchor PEBs during attach
  (bsc#1051510).
- ubi: Fix race condition between ubi volume creation and udev
  (bsc#1051510).
- commit 5d7894b
* Mon Apr 30 2018 tiwai@suse.de
- blacklist.conf: Add a blacklist entry for geneve
- commit b5d829a
* Mon Apr 30 2018 tiwai@suse.de
- cdrom: information leak in cdrom_ioctl_media_changed()
  (bsc#1051510).
- watchdog: f71808e_wdt: Fix WD_EN register read (bsc#1051510).
- Revert "ath10k: send (re)assoc peer command when NSS changed"
  (bsc#1051510).
- drm: bridge: dw-hdmi: Fix overflow workaround for Amlogic
  Meson GX SoCs (bsc#1051510).
- platform/x86: thinkpad_acpi: suppress warning about palm
  detection (bsc#1051510).
- PCI: Add function 1 DMA alias quirk for Marvell 9128
  (bsc#1051510).
- firmware: dmi_scan: Fix handling of empty DMI strings
  (bsc#1051510).
- efi/esrt: Use memunmap() instead of kfree() to free the
  remapping (bsc#1051510).
- geneve: fix fill_info when link down (bsc#1051510).
- geneve: Fix function matching VNI and tunnel ID on big-endian
  (bsc#1051510).
- commit 330b2a7
* Mon Apr 30 2018 tiwai@suse.de
- Delete patches.drivers/pinctrl-intel-Initialize-GPIO-properly-when-used-thr
  It's reverted in the stable tree due to reported regression
- commit 3133199
* Sat Apr 28 2018 tiwai@suse.de
- ALSA: dice: fix error path to destroy initialized stream data
  (bsc#1051510).
- ALSA: hda - Skip jack and others for non-existing PCM streams
  (bsc#1051510).
- ASoC: topology: Check widget kcontrols before deref
  (bsc#1051510).
- ASoC: topology: Fix bugs of freeing soc topology (bsc#1051510).
- ASoC: rt5514: Add the missing register in the readable table
  (bsc#1051510).
- ASoC: adau17x1: Handling of DSP_RUN register during fw setup
  (bsc#1051510).
- ASoC: topology: fix some tiny memory leaks (bsc#1051510).
- ASoC: rsnd: mark PM functions __maybe_unused (bsc#1051510).
- ASoC: fsl_esai: Fix divisor calculation failure at lower ratio
  (bsc#1051510).
- ALSA: hda/realtek - change the location for one of two front
  mics (bsc#1051510).
- ALSA: rme9652: Hardening for potential Spectre v1 (bsc#1051510).
- ALSA: hdspm: Hardening for potential Spectre v1 (bsc#1051510).
- ALSA: asihpi: Hardening for potential Spectre v1 (bsc#1051510).
- ALSA: opl3: Hardening for potential Spectre v1 (bsc#1051510).
- ALSA: hda: Hardening for potential Spectre v1 (bsc#1051510).
- ALSA: control: Hardening for potential Spectre v1 (bsc#1051510).
- ALSA: seq: oss: Hardening for potential Spectre v1
  (bsc#1051510).
- ALSA: seq: oss: Fix unbalanced use lock for synth MIDI device
  (bsc#1051510).
- ALSA: hda/realtek - Update ALC255 depop optimize (bsc#1051510).
- ALSA: hda/realtek - Add some fixes for ALC233 (bsc#1051510).
- ALSA: dice: fix OUI for TC group (bsc#1051510).
- ALSA: core: Report audio_tstamp in snd_pcm_sync_ptr
  (bsc#1051510).
- commit c706327
* Fri Apr 27 2018 tiwai@suse.de
- Sort & update the upstreamed patch
- commit 073ffc8
* Fri Apr 27 2018 tiwai@suse.de
- PM / wakeirq: Fix unbalanced IRQ enable for wakeirq
  (bsc#1051510).
- firewire-ohci: work around oversized DMA reads on JMicron
  controllers (bsc#1051510).
- Input: synaptics - reset the ABS_X/Y fuzz after initializing
  MT axes (bsc#1051510).
- HID: roccat: prevent an out of bounds read in
  kovaplus_profile_activated() (bsc#1051510).
- commit 33bdbae
* Fri Apr 27 2018 tiwai@suse.de
- drm/i915/audio: Fix audio detection issue on GLK (bsc#1051510).
- drm/i915/gvt: throw error on unhandled vfio ioctls
  (bsc#1051510).
- drm/i915: Fix LSPCON TMDS output buffer enabling from low-power
  state (bsc#1051510).
- drm/vc4: Fix memory leak during BO teardown (bsc#1051510).
- drm/nouveau/pmu/fuc: don't use movw directly anymore
  (bsc#1051510).
- commit 51fec3e
* Fri Apr 27 2018 tiwai@suse.de
- staging: comedi: ni_mio_common: ack ai fifo error interrupts
  (bsc#1051510).
- rhashtable: Fix rhlist duplicates insertion (bsc#1051510).
- staging: comedi: fix comedi_nsamples_left (bsc#1051510).
- commit 9211443
* Fri Apr 27 2018 tiwai@suse.de
- tty: vt: fix up tabstops properly (bsc#1051510).
- tty/serial: atmel: add new version check for usart
  (bsc#1051510).
- tty: make n_tty_read() always abort if hangup is in progress
  (bsc#1051510).
- vmxnet3: repair memory leak (bsc#1051510).
- virtio: release virtio index when fail to device_register
  (bsc#1051510).
- tty: fix tty_ldisc_receive_buf() documentation (bsc#1051510).
- tty fix oops when rmmod 8250 (bsc#1051510).
- tty: fix __tty_insert_flip_char regression (bsc#1051510).
- tty: improve tty_insert_flip_char() slow path (bsc#1051510).
- tty: improve tty_insert_flip_char() fast path (bsc#1051510).
- commit f0d5a29
* Fri Apr 27 2018 tiwai@suse.de
- random: crng_reseed() should lock the crng instance that it
  is modifying (bsc#1051510).
- random: use a different mixing algorithm for
  add_device_randomness() (bsc#1051510).
- ACPI / hotplug / PCI: Check presence of slot itself in
  get_slot_status() (bsc#1051510).
- random: use a tighter cap in credit_entropy_bits_safe()
  (bsc#1051510).
- ACPI / video: Add quirk to force acpi-video backlight on
  Samsung 670Z5E (bsc#1051510).
- radeon: hide pointless #warning when compile testing
  (bsc#1051510).
- commit 12b5734
* Fri Apr 27 2018 palcantara@suse.de
- cifs: silence compiler warnings showing up with gcc-8.0.0
  (bsc#1090734).
- commit 13d9001
* Fri Apr 27 2018 msuchanek@suse.de
- kernel-binary: only install modules.fips on modular kernels.
- commit 6408562
* Thu Apr 26 2018 msuchanek@suse.de
- powerpc/64s/idle: Fix restore of AMOR on POWER9 after deep sleep
  (bsc#1055186, fate#323286).
- commit 6368307
* Thu Apr 26 2018 msuchanek@suse.de
- Update config files.
- commit 6174b6c
* Thu Apr 26 2018 msuchanek@suse.de
- powerpc/mm/radix: Fix checkstops caused by invalid tlbiel
  (bsc#1055186, fate#323286).
- powerpc/mm/radix: Update command line parsing for disable_radix
  (bsc#1055186, fate#323286).
- powerpc/mm/radix: Parse disable_radix commandline correctly
  (bsc#1055186, fate#323286).
- powerpc/mm/radix: Update pte fragment count from 16 to 256 on
  radix (bsc#1055186, fate#323286).
- powerpc/mm/radix: Fix always false comparison against
  MMU_NO_CONTEXT (bsc#1055186, fate#323286).
- powerpc/mm: Add a CONFIG option to choose if radix is used by
  default (bsc#1055186, fate#323286).
- commit e9d987c
* Thu Apr 26 2018 msuchanek@suse.de
- powerpc/xive: Fix wrong xmon output caused by typo
  (bsc#1088273).
- commit f3598fe
* Thu Apr 26 2018 jeffm@suse.com
- btrfs: qgroups, fix rescan worker running races (bsc#1091101).
- commit 3c4b9ba
* Thu Apr 26 2018 tiwai@suse.de
- Fix kABI breakage for iwlwifi (bsc#1051510).
- commit 6a7a6df
* Thu Apr 26 2018 tiwai@suse.de
- cros_ec: fix nul-termination for firmware build info
  (bsc#1051510).
- commit 174eb4e
* Thu Apr 26 2018 tiwai@suse.de
- extcon: intel-cht-wc: Set direction and drv flags for V5 boost
  GPIO (bsc#1051510).
- commit 64fbab3
* Thu Apr 26 2018 tiwai@suse.de
- HID: wacom: bluetooth: send exit report for recent Bluetooth
  devices (bsc#1051510).
- HID: hidraw: Fix crash on HIDIOCGFEATURE with a destroyed device
  (bsc#1051510).
- HID: i2c-hid: fix size check and type usage (bsc#1051510).
- commit 993f9a1
* Thu Apr 26 2018 tiwai@suse.de
- iwlwifi: add a bunch of new 9000 PCI IDs (1051510).
- iwlwifi: add shared clock PHY config flag for some devices
  (bsc#1051510).
- commit 7b9cdea
* Wed Apr 25 2018 duwe@suse.de
- supported.conf: mark new FIPS modules as supported:
  sha2-mb, sha3, crc32 and crypto_engine (bsc#1074984)
- commit 9e8aa4a
* Wed Apr 25 2018 tiwai@suse.de
- random: fix crng_ready() test (CVE-2018-1108,bsc#1090818).
- commit 8c55b94
* Wed Apr 25 2018 jeffm@suse.com
- btrfs: use spinlock to protect ->caching_block_groups list
  (bsc#1083684).
- commit bb913e1
* Wed Apr 25 2018 oneukum@suse.com
- thunderbolt: Prevent crash when ICM firmware is not running
  (bsc#1090888).
- commit 55c6570
* Wed Apr 25 2018 oneukum@suse.com
- thunderbolt: Wait a bit longer for ICM to authenticate the
  active NVM (bsc#1090888).
- commit 6659ddb
* Wed Apr 25 2018 oneukum@suse.com
- thunderbolt: Serialize PCIe tunnel creation with PCI rescan
  (bsc#1090888).
- commit a096906
* Wed Apr 25 2018 tbogendoerfer@suse.de
- bnxt_en: Fix memory fault in bnxt_ethtool_init() (bsc#1050242
  FATE#322914).
- commit 65193fa
* Wed Apr 25 2018 jroedel@suse.de
- kvm/x86: fix icebp instruction handling (bsc#1087088).
- commit 364bcca
* Wed Apr 25 2018 mbrugger@suse.com
- crypto: cavium - Fix smp_processor_id() warnings (bsc#1089141).
- crypto: cavium - Fix statistics pending request value (bsc#1089141).
- crypto: cavium - Prevent division by zero (bsc#1089141).
- crypto: cavium - Limit result reading attempts (bsc#1089141).
- crypto: cavium - Fix fallout from CONFIG_VMAP_STACK (bsc#1089141).
- commit 6ff9496
* Wed Apr 25 2018 mgalbraith@suse.de
- timers: Unconditionally check deferrable base (Git-fixes).
- commit 037afa6
* Wed Apr 25 2018 mgalbraith@suse.de
- timers: Invoke timer_start_debug() where it makes sense (Git-fixes).
- commit 5e14924
* Wed Apr 25 2018 mgalbraith@suse.de
- timers: Reinitialize per cpu bases on hotplug (Git-fixes).
- commit c719ba1
* Wed Apr 25 2018 mgalbraith@suse.de
- timers: Use deferrable base independent of base::nohz_active (Git-fixes).
- commit 022b1b5
* Wed Apr 25 2018 mgalbraith@suse.de
- kernel/relay.c: revert "kernel/relay.c: fix potential memory leak" (Git-fixes).
- commit 430af9e
* Wed Apr 25 2018 mgalbraith@suse.de
- kernel/async.c: revert "async: simplify lowest_in_progress()" (Git-fixes).
- commit ed38813
* Wed Apr 25 2018 mgalbraith@suse.de
- kernel/acct.c: fix the acct->needcheck check in check_free_space() (Git-fixes).
- commit 9e7e582
* Wed Apr 25 2018 mgalbraith@suse.de
- kernel/signal.c: remove the no longer needed SIGNAL_UNKILLABLE check in complete_signal() (Git-fixes).
- commit 93f2736
* Wed Apr 25 2018 mgalbraith@suse.de
- kernel/signal.c: protect the SIGNAL_UNKILLABLE tasks from !sig_kernel_only() signals (Git-fixes).
- commit 639bb8b
* Wed Apr 25 2018 mgalbraith@suse.de
- kernel/signal.c: protect the traced SIGNAL_UNKILLABLE tasks from SIGKILL (Git-fixes).
- commit dec725f
* Wed Apr 25 2018 mgalbraith@suse.de
- cpuidle: fix broadcast control when broadcast can not be entered (Git-fixes).
- commit ff8d2ee
* Wed Apr 25 2018 mgalbraith@suse.de
- cgroup: Fix deadlock in cpu hotplug path (Git-fixes).
- commit 9b3c11e
* Wed Apr 25 2018 mgalbraith@suse.de
- cgroup: Reinit cgroup_taskset structure before cgroup_migrate_execute() returns (Git-fixes).
- commit 283d1e4
* Wed Apr 25 2018 mgalbraith@suse.de
- sched: Stop switched_to_rt() from sending IPIs to offline CPUs (Git-fixes).
- commit ee6573f
* Wed Apr 25 2018 mgalbraith@suse.de
- sched: Stop resched_cpu() from sending IPIs to offline CPUs (Git-fixes).
- commit 73d0b6a
* Wed Apr 25 2018 mgalbraith@suse.de
- sched: Make resched_cpu() unconditional (Git-fixes).
- commit 3dbb06c
* Tue Apr 24 2018 msuchanek@suse.de
- split-modules: use MAKE_ARGS
- commit d8fe174
* Tue Apr 24 2018 mcgrof@suse.com
- xfs: set format back to extents if xfs_bmap_extents_to_btree (bsc#1090717, CVE-2018-10323).
- commit cd127e8
* Tue Apr 24 2018 msuchanek@suse.de
- powerpc/kvm: Fix lockups when running KVM guests on Power8
  (bsc#1061840).
- KVM: PPC: Book3S HV: trace_tlbie must not be called in realmode
  (bsc#1061840).
- powerpc/64s/idle: avoid sync for KVM state when waking from idle
  (bsc#1061840).
- commit 80221b7
* Tue Apr 24 2018 msuchanek@suse.de
- kernel-binary: pass MAKE_ARGS to install script as well.
- commit ce62ae7
* Tue Apr 24 2018 tiwai@suse.de
- mmc: sdhci-pci: Only do AMD tuning for HS200 (bsc#1051510).
- mmc: jz4740: Fix race condition in IRQ mask update
  (bsc#1051510).
- media: atomisp_fops.c: disable atomisp_compat_ioctl32
  (bsc#1051510).
- media: vivid: check if the cec_adapter is valid (bsc#1051510).
- commit ee04250
* Tue Apr 24 2018 tiwai@suse.de
- i2c: i801: Restore configuration at shutdown (bsc#1051510).
- i2c: i801: Save register SMBSLVCMD value only once
  (bsc#1051510).
- commit 471916c
* Tue Apr 24 2018 tiwai@suse.de
- drm/rockchip: Clear all interrupts before requesting the IRQ
  (bsc#1051510).
- commit e5e94e3
* Tue Apr 24 2018 tiwai@suse.de
- drm/radeon: add PX quirk for Asus K73TK (bsc#1051510).
- drm/amdgpu: Fix PCIe lane width calculation (bsc#1051510).
- drm/radeon: Fix PCIe lane width calculation (bsc#1051510).
- drm/amdgpu/si: implement get/set pcie_lanes asic callback
  (bsc#1051510).
- drm/amdgpu/sdma: fix mask in emit_pipeline_sync (bsc#1051510).
- drm/amdgpu: Add an ATPX quirk for hybrid laptop (bsc#1051510).
- drm/amdgpu: Fix always_valid bos multiple LRU insertions
  (bsc#1051510).
- drm/radeon: make MacBook Pro d3_delay quirk more generic
  (bsc#1051510).
- commit 1eaebf1
* Tue Apr 24 2018 tiwai@suse.de
- ASoC: topology: Fix kcontrol name string handling (bsc#1051510).
- ASoC: ssm2602: Replace reg_default_raw with reg_default
  (bsc#1051510).
- commit 633441a
* Tue Apr 24 2018 tiwai@suse.de
- ALSA: usb-audio: Skip broken EU on Dell dock USB-audio
  (bsc#1090658).
- commit e97ea42
* Tue Apr 24 2018 msuchanek@suse.de
- kernel-binary: pass ARCH= to kernel build
  Recent kernel does not save CONFIG_64BIT so it has to be specified by
  arch.
- commit fb21b73
* Tue Apr 24 2018 tiwai@suse.de
- Remove the old fallback for iTCO/WDAT conflict (bsc#1073960)
  Now the upstream fix is included, so let's rip off the old trickery.
- commit da64882
* Tue Apr 24 2018 tiwai@suse.de
- ACPI / scan: Initialize watchdog before PNP (bsc#1073960).
- commit 263ebe9
* Tue Apr 24 2018 tiwai@suse.de
- Patch tag update for UDL security fix (CVE-2018-8781, bsc#1090643).
- commit d84720c
* Tue Apr 24 2018 msuchanek@suse.de
- supported.conf: remove obsolete entry
  drivers/tty/serial/of_serial -> drivers/tty/serial/8250/8250_of
- commit 8e4b38c
* Mon Apr 23 2018 mcgrof@suse.com
- xfs: convert XFS_AGFL_SIZE to a helper function (bsc#1090534).
- commit 027dd64
* Mon Apr 23 2018 mcgrof@suse.com
- xfs: detect agfl count corruption and reset agfl (bsc#1090534).
- commit b1c0509
* Mon Apr 23 2018 mcgrof@suse.com
- xfs: allow CoW remap transactions to use reserve blocks (bsc#1090535).
- commit 03d1b76
* Mon Apr 23 2018 mcgrof@suse.com
- xfs: fix transaction allocation deadlock in IO path (bsc#1090535).
- commit 8697899
* Mon Apr 23 2018 nstange@suse.de
- ppc64le: reliable stacktrace: mark stacktraces with
  kretprobe_trampoline as unreliable (bsc#1090522).
- commit ed9151a
* Mon Apr 23 2018 lhenriques@suse.com
- ceph: always update atime/mtime/ctime for new inode
  (bsc#1089115).
- commit eca01ee
* Mon Apr 23 2018 tiwai@suse.de
- resource: fix integer overflow at reallocation (bsc#1086739).
- commit 2ed06e1
* Mon Apr 23 2018 tiwai@suse.de
- drm/i915: Call i915_perf_fini() on init_hw error unwind
  (bsc#1051510).
- drm/i915: Do no use kfree() to free a kmem_cache_alloc()
  return value (bsc#1051510).
- ALSA: rawmidi: Fix missing input substream checks in compat
  ioctls (bsc#1051510).
- ALSA: hda/realtek - adjust the location of one mic
  (bsc#1051510).
- ALSA: hda/realtek - set PINCFG_HEADSET_MIC to parse_flags
  (bsc#1051510).
- ALSA: hda - New VIA controller suppor no-snoop path
  (bsc#1051510).
- ALSA: line6: Use correct endpoint type for midi output
  (bsc#1051510).
- commit 2ac2d9f
* Mon Apr 23 2018 tiwai@suse.de
- Refresh patches.drivers/gpio-fix-gpio-line-names-property-retrieval
  Fix the trivial compile warnings due to const.
- commit 0fa7c5f
* Mon Apr 23 2018 nborisov@suse.com
- Refresh
  patches.suse/btrfs-fix-race-condition-between-delayed-refs-and-blockgroup-removal.patch.
- commit 1ba0893
* Mon Apr 23 2018 neilb@suse.com
- xprtrdma: Fix corner cases when handling device removal
  (git-fixes).
- nfsd: fix incorrect umasks (git-fixes).
- fs: Teach path_connected to handle nfs filesystems with multiple
  roots (git-fixes).
- md raid10: fix NULL deference in handle_write_completed()
  (git-fixes).
- fix kabi breaker in md.h (git-fixes).
- md: fix md_write_start() deadlock w/o metadata devices
  (git-fixes).
- nfs: system crashes after NFS4ERR_MOVED recovery (git-fixes).
- commit 69e2c71
* Fri Apr 20 2018 jeffm@suse.com
- Refresh
  patches.suse/btrfs-push-relocation-recovery-into-helper-thread.patch.
  There was a missing variable initialization due a stale patch refresh.
- commit 297fd49
* Fri Apr 20 2018 msuchanek@suse.de
- powerpc: Add ppc_breakpoint_available() (bsc#1055117).
- commit 0b632a4
* Fri Apr 20 2018 msuchanek@suse.de
- selftests/powerpc: Fix copyloops build since Power4 assembler
  change (bsc#1055117).
- commit e26f88f
* Fri Apr 20 2018 msuchanek@suse.de
- powerpc/64s: Fix CPU_FTRS_ALWAYS vs DT CPU features
  (bsc#1055117).
- powerpc/64s: Fix POWER9 DD2.2 and above in cputable features
  (bsc#1055117).
- powerpc/64s: Fix pkey support in dt_cpu_ftrs, add CPU_FTR_PKEY
  bit (bsc#1055117).
- powerpc/64s: Fix dt_cpu_ftrs to have restore_cpu clear unwanted
  LPCR bits (bsc#1055117).
- powerpc/64s: Refine feature sets for little endian builds
  (bsc#1055117).
- powerpc/64s: Remove POWER4 support (bsc#1055117).
- powerpc: Remove unused CPU_FTR_ARCH_201 (bsc#1055117).
- powerpc/64s: Fix POWER9 DD2.2 and above in DT CPU features
  (bsc#1055117).
- powerpc/64s: Set assembler machine type to POWER4 (bsc#1055117).
- powerpc/64s: Explicitly add vector features to CPU_FTRS_POSSIBLE
  (bsc#1055117).
- powerpc/64s: Add all POWER9 features to CPU_FTRS_ALWAYS
  (bsc#1055117).
- commit d8e1408
* Fri Apr 20 2018 mcgrof@suse.com
- xfs: fix intent use-after-free on abort (bsc#1085400).
- commit a15e224
* Fri Apr 20 2018 tiwai@suse.de
- platform/x86: fujitsu-laptop: Support Lifebook U7x7 hotkeys
  (bsc#1087284).
- commit 603de09
* Fri Apr 20 2018 msuchanek@suse.de
- powerpc/pseries: Restore default security feature flags on setup
  (bsc#1068032).
  Refresh
  patches.arch/powerpc-64s-barrier_nospec-Add-hcall-trigger.patch.
- commit ff6c8ce
* Fri Apr 20 2018 msuchanek@suse.de
- Refresh patches.drivers/scsi-lpfc-fix-wq-cq-creation-for-older-asic-s.patch.
  fix commit hash
- commit bbbc951
* Fri Apr 20 2018 mhocko@suse.com
- kernel/signal.c: avoid undefined behaviour in
  kill_something_info (bnc1089752, CVE-2018-10124).
- commit 00e311c
* Fri Apr 20 2018 nborisov@suse.com
- btrfs: Fix race condition between delayed refs and blockgroup
  removal (bsc#1086224).
- commit ff195d7
* Fri Apr 20 2018 nborisov@suse.com
- Refresh
  patches.apparmor/apparmor-fix-resource-audit-messages-when-auditing-peer.patch.
- Refresh
  patches.drivers/ibmvnic-Do-not-reset-CRQ-for-Mobility-driver-resets.patch.
- Refresh patches.drivers/ibmvnic-Fix-DMA-mapping-mistakes.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-failover-case-for-non-redundant-configur.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-reset-scheduler-error-handling.patch.
- Refresh
  patches.drivers/ibmvnic-Zero-used-TX-descriptor-counter-on-reset.patch.
- commit c920800
* Fri Apr 20 2018 jthumshirn@suse.de
- Refresh
  patches.apparmor/apparmor-fix-resource-audit-messages-when-auditing-peer.patch.
- Refresh
  patches.drivers/ibmvnic-Do-not-reset-CRQ-for-Mobility-driver-resets.patch.
- Refresh patches.drivers/ibmvnic-Fix-DMA-mapping-mistakes.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-failover-case-for-non-redundant-configur.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-reset-scheduler-error-handling.patch.
- Refresh
  patches.drivers/ibmvnic-Zero-used-TX-descriptor-counter-on-reset.patch.
- Refresh
  patches.drivers/scsi-lpfc-fix-wq-cq-creation-for-older-asic-s.patch.
- commit 853016c
* Fri Apr 20 2018 mbenes@suse.cz
- kabi/severities: Ignore klp_shadow_* kABI changes
- commit a1324c3
* Fri Apr 20 2018 mbenes@suse.cz
- livepatch: Allow to call a custom callback when freeing shadow
  variables (bsc#1071995 fate#323487).
- commit add477a
* Fri Apr 20 2018 mbenes@suse.cz
- livepatch: Initialize shadow variables safely by a custom
  callback (bsc#1071995 fate#323487).
- commit ae78a45
* Fri Apr 20 2018 mbenes@suse.cz
- Refresh
  patches.apparmor/apparmor-fix-resource-audit-messages-when-auditing-peer.patch.
- Refresh
  patches.drivers/ibmvnic-Do-not-reset-CRQ-for-Mobility-driver-resets.patch.
- Refresh patches.drivers/ibmvnic-Fix-DMA-mapping-mistakes.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-failover-case-for-non-redundant-configur.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-reset-scheduler-error-handling.patch.
- Refresh
  patches.drivers/ibmvnic-Zero-used-TX-descriptor-counter-on-reset.patch.
- commit 98517c6
* Thu Apr 19 2018 tiwai@suse.de
- gpio: stmpe: i2c transfer are forbiden in atomic context
  (bsc#1051510).
- gpio: label descriptors using the device name (bsc#1051510).
- leds: pm8058: Silence pointer to integer size warning
  (bsc#1051510).
- gpio: fix "gpio-line-names" property retrieval (bsc#1051510).
- gpio: davinci: Assign first bank regs for unbanked case
  (bsc#1051510).
- docs: disable KASLR when debugging kernel (bsc#1051510).
- commit af0230a
* Thu Apr 19 2018 tiwai@suse.de
- Update patch tag and move into sorted section
  Refresh patches.suse/brcmsmac-allocate-ucode-with-GFP_KERNEL.patch
- commit 7f5e814
* Thu Apr 19 2018 jthumshirn@suse.de
- Update config files, add CONFIG_EXPOLINE_AUTO=y for s390x (bsc#1090098).
- commit 5c5cecd
* Thu Apr 19 2018 tiwai@suse.de
- iio: buffer: check if a buffer has been set up when poll is
  called (bsc#1051510).
- iio: adis_lib: Initialize trigger before requesting interrupt
  (bsc#1051510).
- staging: iio: ad5933: switch buffer mode to software
  (bsc#1051510).
- staging: iio: adc: ad7192: fix external frequency setting
  (bsc#1051510).
- iio: adc: stm32: fix scan of multiple channels with DMA
  (bsc#1051510).
- iio: imu: st_lsm6dsx: fix endianness in
  st_lsm6dsx_read_oneshot() (bsc#1051510).
- iio: ABI: Fix name of timestamp sysfs file (bsc#1051510).
- iio: health: max30102: Add power enable parameter to get_temp
  function (bsc#1051510).
- iio: adc/accel: Fix up module licenses (bsc#1051510).
- iio: health: max30102: Temperature should be in milli Celsius
  (bsc#1051510).
- iio: fix kernel-doc build errors (bsc#1051510).
- iio: adc: meson-saradc: fix the bit_idx of the adc_en clock
  (bsc#1051510).
- iio: adc: cpcap: fix incorrect validation (bsc#1051510).
- iio: adc: ti-ads1015: add 10%% to conversion wait time
  (bsc#1051510).
- staging: iio: ad7192: Fix - use the dedicated reset function
  avoiding dma from stack (bsc#1051510).
- iio: core: Return error for failed read_reg (bsc#1051510).
- iio: ad7793: Fix the serial interface reset (bsc#1051510).
- iio: ad_sigma_delta: Implement a dedicated reset function
  (bsc#1051510).
- iio: adc: mcp320x: Fix readout of negative voltages
  (bsc#1051510).
- iio: adc: mcp320x: Fix oops on module unload (bsc#1051510).
- iio: trigger: stm32-timer: preset shouldn't be buffered
  (bsc#1051510).
- iio: adc: twl4030: Disable the vusb3v1 rugulator in the error
  handling path of 'twl4030_madc_probe()' (bsc#1051510).
- iio: adc: twl4030: Fix an error handling path in
  'twl4030_madc_probe()' (bsc#1051510).
- commit 157dcf9
* Thu Apr 19 2018 jthumshirn@suse.de
- s390: add automatic detection of the spectre defense
  (bsc#1090098).
- s390: add sysfs attributes for spectre (bsc#1090098).
- s390: correct nospec auto detection init order (bsc#1090098).
- s390/crypto: Adjust s390 aes and paes cipher priorities
  (bsc#1090098).
- s390: move nobp parameter functions to nospec-branch.c
  (bsc#1090098).
- s390: report spectre mitigation via syslog (bsc#1090098).
- Refresh patches.arch/s390-sles15-05-01-gmb.patch.
- commit 14f6493
* Thu Apr 19 2018 tiwai@suse.de
- media: v4l2-compat-ioctl32: don't oops on overlay (bsc#1051510).
- rtl8187: Fix NULL pointer dereference in priv->conf_mutex
  (bsc#1051510).
- commit 46d4cfb
* Thu Apr 19 2018 jthumshirn@suse.de
- Refresh
  patches.apparmor/apparmor-fix-resource-audit-messages-when-auditing-peer.patch.
- Refresh
  patches.drivers/ibmvnic-Do-not-reset-CRQ-for-Mobility-driver-resets.patch.
- Refresh patches.drivers/ibmvnic-Fix-DMA-mapping-mistakes.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-failover-case-for-non-redundant-configur.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-reset-scheduler-error-handling.patch.
- Refresh
  patches.drivers/ibmvnic-Zero-used-TX-descriptor-counter-on-reset.patch.
- Refresh
  patches.drivers/scsi-lpfc-fix-wq-cq-creation-for-older-asic-s.patch.
- commit 287c94f
* Wed Apr 18 2018 jeffm@suse.com
- btrfs: push relocation recovery into a helper thread
  (bsc#1086467).
- commit 37d11e6
* Wed Apr 18 2018 mgorman@suse.de
- run series_sort.py
- commit eb1f119
* Wed Apr 18 2018 mgorman@suse.de
- Refresh
  patches.suse/sched-numa-avoid-trapping-faults-and-attempting-migration-of-file-backed-dirty-pages.patch.
- commit 8af5d8d
* Wed Apr 18 2018 mgorman@suse.de
- Refresh
  patches.suse/sched-numa-Delay-retrying-placement-for-automatic-NUMA-balance-after-wake_affine.patch.
- commit 6d0019c
* Wed Apr 18 2018 mgorman@suse.de
- Refresh
  patches.suse/sched-fair-Do-not-migrate-on-wake_affine_weight-if-weights-are-equal.patch.
- commit ddeae7e
* Wed Apr 18 2018 mgorman@suse.de
- Refresh
  patches.suse/sched-fair-Do-not-migrate-due-to-a-sync-wakeup-on-exit.patch.
- commit 809ffb9
* Wed Apr 18 2018 mgorman@suse.de
- Refresh
  patches.suse/sched-fair-Defer-calculation-of-prev_eff_load-in-wake_affine-until-needed.patch.
- commit 5fcf087
* Wed Apr 18 2018 mgorman@suse.de
- Refresh
  patches.suse/sched-fair-Consider-SD_NUMA-when-selecting-the-most-idle-group-to-schedule-on.patch.
- commit 60ba15e
* Wed Apr 18 2018 mgorman@suse.de
- Refresh
  patches.suse/sched-fair-Avoid-an-unnecessary-lookup-of-current-CPU-ID-during-wake_affine.patch.
- commit 9343174
* Wed Apr 18 2018 mgorman@suse.de
- run series_sort.py
- commit 56bd2a7
* Wed Apr 18 2018 mgorman@suse.de
- Refresh
  patches.suse/mm-free_pcppages_bulk-prefetch-buddy-while-not-holding-lock.patch.
- commit bfb478c
* Wed Apr 18 2018 mgorman@suse.de
- Refresh
  patches.suse/mm-free_pcppages_bulk-update-pcp-count-inside.patch.
- commit 6f08862
* Wed Apr 18 2018 mgorman@suse.de
- Refresh
  patches.suse/mm-free_pcppages_bulk-do-not-hold-lock-when-picking-pages-to-free.patch.
- commit 4f66e2c
* Wed Apr 18 2018 jthumshirn@suse.de
- nvme-rdma: Don't flush delete_wq by default during remove_one
  (bsc#1089977).
- commit c185cad
* Wed Apr 18 2018 jthumshirn@suse.de
- nvmet-rdma: Don't flush system_wq by default during remove_one
  (bsc#1089977).
- commit 902e88b
* Wed Apr 18 2018 jthumshirn@suse.de
- supported.conf: add arch/s390/crypto/crc32-vx_s390 (bsc#1089889).
- commit 3e7cb03
* Wed Apr 18 2018 glin@suse.com
- mm, percpu: add support for __GFP_NOWARN flag (bsc#1089753).
- commit b007d55
* Tue Apr 17 2018 bp@suse.de
- x86/tsc: Future-proof native_calibrate_tsc() (bsc#1074873).
- blacklist.conf:
- commit 407f4fc
* Tue Apr 17 2018 bp@suse.de
- x86/mm/64: Fix vmapped stack syncing on very-large-memory
  4-level systems (bsc#1088374).
- commit 2ccb700
* Tue Apr 17 2018 nstange@suse.de
- ppc64le: reliable stacktrace: mark stacktraces with exception
  frames as unreliable (bsc#1089669).
- commit 6716d08
* Tue Apr 17 2018 bp@suse.de
- Sort series.conf
- Refresh
  patches.apparmor/apparmor-fix-resource-audit-messages-when-auditing-peer.patch.
- Refresh
  patches.drivers/ibmvnic-Do-not-reset-CRQ-for-Mobility-driver-resets.patch.
- Refresh patches.drivers/ibmvnic-Fix-DMA-mapping-mistakes.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-failover-case-for-non-redundant-configur.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-reset-scheduler-error-handling.patch.
- Refresh
  patches.drivers/ibmvnic-Zero-used-TX-descriptor-counter-on-reset.patch.
- commit 5e8c6bc
* Tue Apr 17 2018 nstange@suse.de
- ppc64le: reliable stacktrace: handle graph traced functions (bsc#1089664).
- commit df850c8
* Tue Apr 17 2018 jlee@suse.com
- ACPI / scan: Send change uevent with offine environmental data
  (bsc#1082485).
- commit e28a6c2
* Tue Apr 17 2018 glin@suse.com
- bpf, ppc64: fix out of bounds access in tail call (bsc#1083647).
- commit f682288
* Tue Apr 17 2018 wqu@suse.com
- btrfs: Only check first key for committed tree blocks
  (bsc#1084721).
- btrfs: Validate child tree block's level and first key
  (bsc#1084721).
- commit 82a46d9
* Mon Apr 16 2018 msuchanek@suse.de
- ibmvnic: Clear pending interrupt after device reset
  (bsc#1089644).
- commit 7d7ebab
* Mon Apr 16 2018 dbueso@suse.de
- sched/rt: Fix rq->clock_update_flags < RQCF_ACT_SKIP warning (bsc#1022476).
- commit 6643f8c
* Mon Apr 16 2018 dbueso@suse.de
- run series_sort.py
- commit 5f59a40
* Mon Apr 16 2018 tbogendoerfer@suse.de
- virtio_net: fix return value check in receive_mergeable()
  (bsc#1089271).
- commit e169907
* Mon Apr 16 2018 tbogendoerfer@suse.de
- Re-sorted patches
- Refresh
  patches.apparmor/apparmor-fix-resource-audit-messages-when-auditing-peer.patch.
- Refresh
  patches.drivers/ibmvnic-Do-not-reset-CRQ-for-Mobility-driver-resets.patch.
- Refresh patches.drivers/ibmvnic-Fix-DMA-mapping-mistakes.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-failover-case-for-non-redundant-configur.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-reset-scheduler-error-handling.patch.
- Refresh
  patches.drivers/ibmvnic-Zero-used-TX-descriptor-counter-on-reset.patch.
- commit 18304f1
* Mon Apr 16 2018 tbogendoerfer@suse.de
- drivers/infiniband/ulp/srpt/ib_srpt.c: fix build with gcc-4.4.4
  (bsc#1046306 FATE#322942).
- drivers/infiniband/core/verbs.c: fix build with gcc-4.4.4
  (bsc#1046306 FATE#322942).
- qed: Use after free in qed_rdma_free() (bsc#1050536 FATE#322898
  bsc#1050545 FATE#322893).
- commit cce8e1a
* Mon Apr 16 2018 tbogendoerfer@suse.de
- net/sched: fix NULL dereference in the error path of
  tcf_bpf_init() (bsc#1056787).
- iw_cxgb4: print mapped ports correctly (bsc#1046543
  FATE#322927).
- IB/core: Refer to RoCE port property instead of GID table
  property (bsc#1046306 FATE#322942).
- IB/core: Generate GID change event regardless of RoCE GID
  table property (bsc#1046306 FATE#322942).
- IB/mlx5: Enable ECN capable bits for UD RoCE v2 QPs (bsc#1046305
  FATE#322943).
- IB/mlx5: Set the default active rate and width to QDR and 4X
  (bsc#1046305 FATE#322943).
- commit 7e03b32
* Mon Apr 16 2018 tbogendoerfer@suse.de
- RDMA/mlx5: Protect from NULL pointer derefence (bsc#1046305
  FATE#322943).
- IB/srpt: Fix an out-of-bounds stack access in
  srpt_zerolength_write() (bsc#1046306 FATE#322942).
- RDMA/rxe: Fix an out-of-bounds read (bsc#1050662 FATE#323951).
- RDMA/core: Avoid that ib_drain_qp() triggers an out-of-bounds
  stack access (bsc#1046306 FATE#322942).
- IB/srp: Fix completion vector assignment algorithm (bsc#1046306
  FATE#322942).
- nfp: use full 40 bits of the NSP buffer address (bsc#1055968).
- net/mlx5: Eliminate query xsrq dead code (bsc#1046303
  FATE#322944).
- commit 592e964
* Mon Apr 16 2018 tbogendoerfer@suse.de
- net/mlx5e: Do not reset Receive Queue params on every type
  change (bsc#1046303 FATE#322944).
- net/mlx5e: Remove unused define MLX5_MPWRQ_STRIDES_PER_PAGE
  (bsc#1046303 FATE#322944).
- ixgbe: prevent ptp_rx_hang from running when in FILTER_ALL mode
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- commit 33533e8
* Mon Apr 16 2018 tbogendoerfer@suse.de
- igb: Fix a test with HWTSTAMP_TX_ON (bsc#1056651 FATE#322191
  bsc#1056643 FATE#322192).
- RDMA/ucma: Introduce safer rdma_addr_size() variants
  (bsc#1046306 FATE#322942).
- net/sched: fix NULL dereference on the error path of
  tcf_skbmod_init() (bsc#1056787).
- net/sched: fix NULL dereference in the error path of
  tunnel_key_init() (bsc#1056787).
- qede: Fix qedr link update (bsc#1050538 FATE#322897 bsc#1050545
  FATE#322893).
- qed: Fix non TCP packets should be dropped on iWARP ll2
  connection (bsc#1050545 FATE#322893).
- net sched actions: return explicit error when tunnel_key mode
  is not specified (bsc#1056787).
- qed: Free RoCE ILT Memory on rmmod qedr (bsc#1050536 FATE#322898
  bsc#1050545 FATE#322893).
- RDMA/mlx5: Fix crash while accessing garbage pointer and freed
  memory (bsc#1046305 FATE#322943).
- RDMAVT: Fix synchronization around percpu_ref (bsc#1058717
  FATE#322789).
- i40evf: don't rely on netif_running() outside rtnl_lock()
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- cxgb4vf: Fix SGE FL buffer initialization logic for 64K pages
  (bsc#1046542 FATE#322928).
- IB/rdmavt: Allocate CQ memory on the correct node (bsc#1058717
  FATE#322789).
- infiniband: drop unknown function from core_priv.h (bsc#1046306
  FATE#322942).
- RDMA/ocrdma: Fix permissions for OCRDMA_RESET_STATS (bsc#1058513
  FATE#322520).
- IB/ipoib: Avoid memory leak if the SA returns a different DGID
  (bsc#1046307 FATE#322941).
- commit b05ce6b
* Mon Apr 16 2018 tiwai@suse.de
- blacklist.conf: update for drm/i915 entry
- commit 1fbdf2d
* Mon Apr 16 2018 tiwai@suse.de
- HID: intel-ish-hid: Enable Gemini Lake ish driver
  (bsc#1073765,FATE#322842).
- commit f77cff5
* Mon Apr 16 2018 tbogendoerfer@suse.de
- blacklist.conf: added duplicate patches
- commit 097f3d3
* Mon Apr 16 2018 tbogendoerfer@suse.de
- bnxt_en: Ignore src port field in decap filter nodes
  (bsc#1050242 FATE#322914).
- bnxt_en: do not allow wildcard matches for L2 flows (bsc#1050242
  FATE#32291).
- RDMA/mlx4: Fix uABI structure layouts for 32/64 compat
  (bsc#1071218).
- IB/mlx4: Move mlx4_uverbs_ex_query_device_resp to include/uapi/
  (bsc#1071218).
- bnxt_en: fix clear flags in ethtool reset handling (bsc#1050242
  FATE#322914).
- cxgb4: fix error return code in adap_init0() (bsc#1064802
  bsc#1066129).
- net/mlx5e: Fixed sleeping inside atomic context (bsc#1046303
  FATE#322944).
- commit ba767aa
* Mon Apr 16 2018 mhocko@suse.com
- mm, thp: do not cause memcg oom for thp (bnc#1089663).
- commit 9d99b2b
* Mon Apr 16 2018 mhocko@suse.com
- series_sort.py: update the ordering
- commit 7021d9e
* Mon Apr 16 2018 mhocko@suse.com
- kernel/exit.c: avoid undefined behaviour when calling wait4()
  (bnc#1089608, CVE-2018-10087).
- commit 3052efc
* Mon Apr 16 2018 hare@suse.de
- Revert "scsi: make 'state' device attribute pollable"
  (bsc#1085341).
- commit aab4000
* Mon Apr 16 2018 hare@suse.de
- Refresh
  patches.apparmor/apparmor-fix-resource-audit-messages-when-auditing-peer.patch.
- Refresh
  patches.drivers/ibmvnic-Do-not-reset-CRQ-for-Mobility-driver-resets.patch.
- Refresh patches.drivers/ibmvnic-Fix-DMA-mapping-mistakes.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-failover-case-for-non-redundant-configur.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-reset-scheduler-error-handling.patch.
- Refresh
  patches.drivers/ibmvnic-Zero-used-TX-descriptor-counter-on-reset.patch.
- commit 30e2159
* Mon Apr 16 2018 ptesarik@suse.cz
- kexec: export PG_swapbacked to VMCOREINFO (bsc#1088354).
- Refresh
  patches.apparmor/apparmor-fix-resource-audit-messages-when-auditing-peer.patch.
- commit f31c123
* Mon Apr 16 2018 glin@suse.com
- bpf, x64: implement retpoline for tail call (bsc#1068032
  CVE-2017-5715).
- Refresh
  patches.suse/x86-speculation-Move-firmware_restrict_branch_specul.patch.
- commit c383630
* Mon Apr 16 2018 glin@suse.com
- bpf: fix mlock precharge on arraymaps (bsc#1083647).
- commit 521f8f2
* Fri Apr 13 2018 tiwai@suse.de
- vt: change SGR 21 to follow the standards (bsc#1051510).
- serial: sh-sci: prevent lockup on full TTY buffers
  (bsc#1051510).
- platform/chrome: Use proper protocol transfer function
  (bsc#1051510).
- rtc-opal: Fix handling of firmware error codes, prevent busy
  loops (bsc#1051510).
- HID: wacom: Fix reporting of touch toggle
  (WACOM_HID_WD_MUTE_DEVICE) events (bsc#1051510).
- HID: wacom: EKR: ensure devres groups at higher indexes are
  released (bsc#1051510).
- gpio: ath79: add missing MODULE_DESCRIPTION/LICENSE
  (bsc#1051510).
- gpio: iop: add missing MODULE_DESCRIPTION/AUTHOR/LICENSE
  (bsc#1051510).
- sdhci: Advertise 2.0v supply on SDIO host controller
  (bsc#1051510).
- mfd: cros ec: spi: Don't send first message too soon
  (bsc#1051510).
- rtc: pcf8563: fix output clock rate (bsc#1051510).
- rtc: pl031: make interrupt optional (bsc#1051510).
- fbdev: controlfb: Add missing modes to fix out of bounds access
  (bsc#1051510).
- HID: cp2112: fix broken gpio_direction_input callback
  (bsc#1051510).
- vt6655: Fix a possible sleep-in-atomic bug in vt6655_suspend
  (bsc#1051510).
- staging: vchiq_2835_arm: Fix NULL ptr dereference in
  free_pagelist (bsc#1051510).
- commit 402c02c
* Fri Apr 13 2018 tiwai@suse.de
- drm/msm: fix leak in failed get_pages (bsc#1051510).
- drm/omap: DMM: Check for DMM readiness after successful
  transaction commit (bsc#1051510).
- drm/tilcdc: ensure nonatomic iowrite64 is not used
  (bsc#1051510).
- drm/armada: fix leak of crtc structure (bsc#1051510).
- drm/sun4i: Fix error path handling (bsc#1051510).
- drm/bridge: analogix dp: Fix runtime PM state in get_modes()
  callback (bsc#1051510).
- drm/bridge: tc358767: fix 1-lane behavior (bsc#1051510).
- drm/bridge: tc358767: fix AUXDATAn registers access
  (bsc#1051510).
- drm/bridge: tc358767: fix timing calculations (bsc#1051510).
- drm/bridge: tc358767: fix DP0_MISC register set (bsc#1051510).
- drm/bridge: tc358767: filter out too high modes (bsc#1051510).
- drm/bridge: tc358767: do no fail on hi-res displays
  (bsc#1051510).
- drm/rockchip: dw-mipi-dsi: fix possible un-balanced runtime
  PM enable (bsc#1051510).
- drm/fsl-dcu: enable IRQ before drm_atomic_helper_resume()
  (bsc#1051510).
- drm/hisilicon: Ensure LDI regs are properly configured
  (bsc#1051510).
- commit bbe4533
* Fri Apr 13 2018 tiwai@suse.de
- Fix kABI breakage due to acpi_ec gpe field change (bsc#1051510).
- commit 230712a
* Fri Apr 13 2018 tiwai@suse.de
- crypto: aes-generic - fix aes-generic regression on powerpc
  (bsc#1051510).
- commit c74537a
* Fri Apr 13 2018 tiwai@suse.de
- wcn36xx: Fix dynamic power saving (bsc#1051510).
- wcn36xx: Introduce mutual exclusion of fw configuration
  (bsc#1051510).
- commit 9464f21
* Fri Apr 13 2018 tiwai@suse.de
- wl1251: check return from call to wl1251_acx_arp_ip_filter
  (bsc#1051510).
- crypto: aes-generic - build with -Os on gcc-7+ (bsc#1051510).
- commit 567b06d
* Fri Apr 13 2018 tiwai@suse.de
- can: cc770: Fix use after free in cc770_tx_interrupt()
  (bsc#1051510).
- can: cc770: Fix queue stall & dropped RTR reply (bsc#1051510).
- can: cc770: Fix stalls on rt-linux, remove redundant IRQ ack
  (bsc#1051510).
- can: peak/pcie_fd: remove useless code when interface starts
  (bsc#1051510).
- can: peak/pcie_fd: fix echo_skb is occupied! bug (bsc#1051510).
- can: ifi: Repair the error handling (bsc#1051510).
- can: ifi: Check core revision upon probe (bsc#1051510).
- can: af_can: canfd_rcv(): replace WARN_ONCE by pr_warn_once
  (bsc#1051510).
- can: af_can: can_rcv(): replace WARN_ONCE by pr_warn_once
  (bsc#1051510).
- can: peak: fix potential bug in packet fragmentation
  (bsc#1051510).
- can: flex_can: Correct the checking for frame length in
  flexcan_start_xmit() (bsc#1051510).
- can: gs_usb: fix return value of the "set_bittiming" callback
  (bsc#1051510).
- can: vxcan: improve handling of missing peer name attribute
  (bsc#1051510).
- can: peak/pcie_fd: fix potential bug in restarting tx queue
  (bsc#1051510).
- can: usb_8dev: cancel urb on -EPIPE and -EPROTO (bsc#1051510).
- can: kvaser_usb: cancel urb on -EPIPE and -EPROTO (bsc#1051510).
- can: esd_usb2: cancel urb on -EPIPE and -EPROTO (bsc#1051510).
- can: ems_usb: cancel urb on -EPIPE and -EPROTO (bsc#1051510).
- can: mcba_usb: cancel urb on -EPROTO (bsc#1051510).
- can: mcba_usb: fix device disconnect bug (bsc#1051510).
- can: flexcan: fix VF610 state transition issue (bsc#1051510).
- can: peak/pci: fix potential bug when probe() fails
  (bsc#1051510).
- can: ti_hecc: Fix napi poll return value for repoll
  (bsc#1051510).
- can: kvaser_usb: ratelimit errors if incomplete messages are
  received (bsc#1051510).
- can: kvaser_usb: Fix comparison bug in
  kvaser_usb_read_bulk_callback() (bsc#1051510).
- can: kvaser_usb: free buf in error paths (bsc#1051510).
- can: ifi: Fix transmitter delay calculation (bsc#1051510).
- can: peak: Add support for new PCIe/M2 CAN FD interfaces
  (bsc#1051510).
- can: sun4i: handle overrun in RX FIFO (bsc#1051510).
- can: c_can: don't indicate triple sampling support for D_CAN
  (bsc#1051510).
- can: kvaser_usb: Ignore CMD_FLUSH_QUEUE_REPLY messages
  (bsc#1051510).
- can: kvaser_usb: Correct return value in printout (bsc#1051510).
- can: sun4i: fix loopback mode (bsc#1051510).
- can: gs_usb: fix busy loop if no more TX context is available
  (bsc#1051510).
- can: esd_usb2: Fix can_dlc value for received RTR, frames
  (bsc#1051510).
- can: af_can: can_pernet_init(): add missing error handling
  for kzalloc returning NULL (bsc#1051510).
- can: flexcan: fix p1010 state transition issue (bsc#1051510).
- can: flexcan: fix i.MX28 state transition issue (bsc#1051510).
- can: flexcan: fix i.MX6 state transition issue (bsc#1051510).
- can: flexcan: implement error passive state quirk (bsc#1051510).
- can: flexcan: rename legacy error state quirk (bsc#1051510).
- can: flexcan: fix state transition regression (bsc#1051510).
- commit dedd27d
* Fri Apr 13 2018 tiwai@suse.de
- bitmap: fix memset optimization on big-endian systems
  (bsc#1051510).
- commit 2760afb
* Fri Apr 13 2018 tiwai@suse.de
- backlight: tdo24m: Fix the SPI CS between transfers
  (bsc#1051510).
- commit 4e744b2
* Fri Apr 13 2018 tiwai@suse.de
- ACPI / video: Default lcd_only to true on Win8-ready and newer
  machines (bsc#1051510).
- ACPI: EC: Fix debugfs_create_*() usage (bsc#1051510).
- commit f76ac0e
* Fri Apr 13 2018 tiwai@suse.de
- ACPI / APEI: Replace ioremap_page_range() with fixmap
  (bsc#1051510).
- Refresh
  patches.arch/0015-arm64-mm-Map-entry-trampoline-into-trampoline-and-ke.patch.
- Refresh
  patches.arch/0051-arm64-kaslr-Put-kernel-vectors-address-in-separate-d.patch.
- Refresh
  patches.arch/08-x86-mm-fixmap-generalize-the-gdt-fixmap-mechanism-introduce-struct-cpu_entry_area.patch.
- Refresh
  patches.arch/22-x86-cpu_entry_area-move-it-out-of-the-fixmap.patch.
- commit f14230c
* Fri Apr 13 2018 msuchanek@suse.de
- ibmvnic: Do not notify peers on parameter change resets
  (bsc#1089198).
- ibmvnic: Handle all login error conditions (bsc#1089198).
- ibmvnic: Define vnic_login_client_data name field as unsized
  array (bsc#1089198).
- commit 6882e8d
* Fri Apr 13 2018 yousaf.kaukab@suse.com
- kabi: arm64: update crc for cpu_hwcaps and cpu_hwcap_keys
  References: bsc#1089086
- commit e99d689
* Fri Apr 13 2018 glin@suse.com
- bpf: add schedule points in percpu arrays management
  (bsc#1083647).
- commit 34ad2d8
* Thu Apr 12 2018 tiwai@suse.de
- power: supply: axp288_charger: Properly stop work on probe-error
  / remove (bsc#1051510).
- power: supply: ab8500_charger: Bail out in case of error in
  'ab8500_charger_init_hw_registers()' (bsc#1051510).
- power: supply: ab8500_charger: Fix an error handling path
  (bsc#1051510).
- commit 181aab3
* Thu Apr 12 2018 tiwai@suse.de
- mei: remove dev_err message on an unsupported ioctl
  (bsc#1051510).
- mei: me: add cannon point device ids for 4th device
  (FATE#321195).
- mei: me: add cannon point device ids (FATE#321195).
- commit 4fdb929
* Thu Apr 12 2018 tiwai@suse.de
- parport_pc: Add support for WCH CH382L PCI-E single parallel
  port card (bsc#1051510).
- sky2: Increase D3 delay to sky2 stops working after suspend
  (bsc#1051510).
- media: videobuf2-core: don't go out of the buffer range
  (bsc#1051510).
- rt2x00: do not pause queue unconditionally on error path
  (bsc#1051510).
- mac80211: Fix setting TX power on monitor interfaces
  (bsc#1051510).
- commit 93068e8
* Thu Apr 12 2018 tiwai@suse.de
- PM / devfreq: Fix potential NULL pointer dereference in
  governor_store (bsc#1051510).
- PM / s2idle: Clear the events_check_enabled flag (bsc#1051510).
- PM / OPP: Add missing of_node_put(np) (bsc#1051510).
- PM / OPP: Move error message to debug level (bsc#1051510).
- PM / OPP: Call notifier without holding opp_table->lock
  (bsc#1051510).
- commit 45e6113
* Thu Apr 12 2018 tiwai@suse.de
- PCI: Add function 1 DMA alias quirk for Highpoint RocketRAID
  644L (bsc#1051510).
- PCI: Detach driver before procfs & sysfs teardown on device
  remove (bsc#1051510).
- PCI: Create SR-IOV virtfn/physfn links before attaching driver
  (bsc#1051510).
- PCI/PME: Handle invalid data when reading Root Status
  (bsc#1051510).
- PCI: shpchp: Enable bridge bus mastering if MSI is enabled
  (bsc#1051510).
- commit c099ae3
* Thu Apr 12 2018 tiwai@suse.de
- Input: goodix - disable IRQs while suspended (bsc#1051510).
- commit d982e27
* Thu Apr 12 2018 tiwai@suse.de
- Bluetooth: Add a new 04ca:3015 QCA_ROME device (bsc#1051510).
- commit 3086838
* Thu Apr 12 2018 tiwai@suse.de
- Bluetooth: btusb: add ID for LiteOn 04ca:3016 (bsc#1051510).
- Refresh patches.drivers/Bluetooth-btusb-Add-new-NFA344A-entry.
- commit 4961eba
* Thu Apr 12 2018 tiwai@suse.de
- ASoC: Intel: cht_bsw_rt5645: Analog Mic support (bsc#1051510).
- ASoC: Intel: Skylake: Disable clock gating during firmware
  and library download (bsc#1051510).
- commit 105df12
* Thu Apr 12 2018 jack@suse.cz
- mm: fix device-dax pud write-faults triggered by
  get_user_pages() (bsc#1052766).
- commit 388d581
* Thu Apr 12 2018 jack@suse.cz
- srcu: Provide ordering for CPU not involved in grace period
  (bsc#1052766).
- commit 3dfab13
* Thu Apr 12 2018 jack@suse.cz
- sget(): handle failures of register_shrinker() (bsc#1052766).
- commit 71c7f1c
* Thu Apr 12 2018 jack@suse.cz
- udf: Avoid overflow when session starts at large offset
  (bsc#1052766).
- commit 6389cee
* Thu Apr 12 2018 jack@suse.cz
- ubifs: free the encrypted symlink target (bsc#1052766).
- commit cc5da14
* Thu Apr 12 2018 jack@suse.cz
- mbcache: initialize entry->e_referenced in
  mb_cache_entry_create() (bsc#1052766).
- commit d322665
* Thu Apr 12 2018 jack@suse.cz
- lock_parent() needs to recheck if dentry got __dentry_kill'ed
  under it (bsc#1052766).
- commit 3079da3
* Thu Apr 12 2018 jack@suse.cz
- GFS2: Take inode off order_write list when setting jdata flag
  (bsc#1052766).
- commit e6bc04f
* Thu Apr 12 2018 jack@suse.cz
- gfs2: Fix debugfs glocks dump (bsc#1052766).
- commit 2fec0ed
* Thu Apr 12 2018 jack@suse.cz
- fs/fat/inode.c: fix sb_rdonly() change (bsc#1052766).
- commit eddf3bd
* Thu Apr 12 2018 jack@suse.cz
- f2fs: expose some sectors to user in inline data or dentry case
  (bsc#1052766).
- commit 9d854aa
* Thu Apr 12 2018 jack@suse.cz
- direct-io: Prevent NULL pointer access in submit_page_section
  (bsc#1052766).
- commit 163ef37
* Thu Apr 12 2018 jack@suse.cz
- blacklist.conf: Blacklist 0a3ff78699d1
- commit 3442c44
* Thu Apr 12 2018 lhenriques@suse.com
- Update ceph quota patchset after being merged into mainline
- Update patches.suse/ceph-don-t-check-quota-for-snap-inode.patch
  (FATE#323422 bsc#1089115).
- Update patches.suse/ceph-fix-root-quota-realm-check.patch
  (FATE#323422 bsc#1089115).
- Update
  patches.suse/ceph-quota-add-counter-for-snaprealms-with-quota.patch
  (FATE#323422 bsc#1089115).
- Update
  patches.suse/ceph-quota-add-initial-infrastructure-to-support-cephfs-quotas.patch
  (FATE#323422 bsc#1089115).
- Update
  patches.suse/ceph-quota-cache-inode-pointer-in-ceph_snap_realm.patch
  (FATE#323422 bsc#1089115).
- Update
  patches.suse/ceph-quota-don-t-allow-cross-quota-renames.patch
  (FATE#323422 bsc#1089115).
- Update
  patches.suse/ceph-quota-support-for-ceph-quota-max_bytes.patch
  (FATE#323422 bsc#1089115).
- Update
  patches.suse/ceph-quota-support-for-ceph-quota-max_files.patch
  (FATE#323422 bsc#1089115).
- Update
  patches.suse/ceph-quota-update-mds-when-max_bytes-is-approaching.patch
  (FATE#323422 bsc#1089115).
- ceph: quota: report root dir quota usage in statfs (FATE#323422
  bsc#1089115).
- Delete
  patches.suse/ceph-quota-add-quotas-to-the-in-tree-cephfs-documentation.patch.
- commit d624342
* Thu Apr 12 2018 jack@suse.cz
- brd: fix overflow in __brd_direct_access (bsc#1052766).
- commit eee7c77
* Thu Apr 12 2018 lhenriques@suse.com
- ceph: fix invalid point dereference for error case in mdsc
  destroy (bsc#1089115).
- ceph: return proper bool type to caller instead of pointer
  (bsc#1089115).
- ceph: optimize memory usage (bsc#1089115).
- ceph: optimize mds session register (bsc#1089115).
- ceph: filter out used flags when printing unused open flags
  (bsc#1089115).
- ceph: don't wait on writeback when there is no more dirty pages
  (bsc#1089115).
- ceph: mark the cap cache as unreclaimable (bsc#1089115).
- ceph: change variable name to follow common rule (bsc#1089115).
- ceph: optimizing cap reservation (bsc#1089115).
- ceph: release unreserved caps if having enough available caps
  (bsc#1089115).
- ceph: optimizing cap allocation (bsc#1089115).
- ceph: adding protection for showing cap reservation info
  (bsc#1089115).
- libceph: adding missing message types to ceph_msg_type_name()
  (bsc#1089115).
- ceph: use seq_show_option for string type options (bsc#1089115).
- libceph: fix misjudgement of maximum monitor number
  (bsc#1089115).
- libceph, ceph: change permission for readonly debugfs entries
  (bsc#1089115).
- ceph: keep consistent semantic in fscache related option
  combination (bsc#1089115).
- commit 5b07ad7
* Wed Apr 11 2018 tiwai@suse.de
- serial: 8250_pci: Add Brainboxes UC-260 4 port serial device
  (bsc#1051510).
- serial: core: mark port as initialized in autoconfig
  (bsc#1051510).
- serial: imx: Only wakeup via RTSDEN bit if the system has
  RTS/CTS (bsc#1051510).
- serial: 8250_dw: Disable clock on error (bsc#1051510).
- serial: omap: Fix EFR write on RTS deassertion (bsc#1051510).
- serial: 8250_fintek: Fix finding base_port with activated
  SuperIO (bsc#1051510).
- serial: 8250: Preserve DLD[7:4] for PORT_XR17V35X (bsc#1051510).
- commit 79fc869
* Wed Apr 11 2018 tiwai@suse.de
- serdev: ttyport: fix tty locking in close (bsc#1051510).
- serdev: ttyport: fix NULL-deref on hangup (bsc#1051510).
- serdev: fix receive_buf return value when no callback
  (bsc#1051510).
- serdev: ttyport: add missing receive_buf sanity checks
  (bsc#1051510).
- serdev: fix registration of second slave (bsc#1051510).
- serdev: ttyport: add missing open() error handling
  (bsc#1051510).
- serdev: ttyport: enforce tty-driver open() requirement
  (bsc#1051510).
- commit 8a2b23b
* Wed Apr 11 2018 tiwai@suse.de
- X.509: fix NULL dereference when restricting key with
  unsupported_sig (bsc#1051510).
- X.509: fix BUG_ON() when hash algorithm is unsupported
  (bsc#1051510).
- X.509: fix comparisons of ->pkey_algo (bsc#1051510).
- X.509: reject invalid BIT STRING for subjectPublicKey
  (bsc#1051510).
- commit 06f6b64
* Wed Apr 11 2018 yousaf.kaukab@suse.com
- mmc: dw_mmc: Fix the DTO/CTO timeout overflow calculation for
  32-bit systems (bsc#1088713).
- commit 0b4165d
* Wed Apr 11 2018 tiwai@suse.de
- ALSA: hda: Add Icelake PCI ID (bsc#1051510).
- commit 2b421f6
* Wed Apr 11 2018 tiwai@suse.de
- Bluetooth: Fix missing encryption refresh on Security Request
  (bsc#1051510).
- commit 436757d
* Wed Apr 11 2018 yousaf.kaukab@suse.com
- kabi: arm64: reserve space in cpu_hwcaps and cpu_hwcap_keys
  arrays (bsc#1089086).
- KVM: arm64: Fix HYP idmap unmap when using 52bit PA
  (bsc#1089074).
- ipmi_ssif: Fix kernel panic at msg_done_handler (bsc#1088872).
- commit 8c1d75d
* Wed Apr 11 2018 tiwai@suse.de
- Fix kABI breakage due to sound/timer.h inclusion (bsc#1051510).
- commit b419498
* Wed Apr 11 2018 rgoldwyn@suse.com
- Refresh
  patches.arch/KVM-PPC-Book3S-HV-Work-around-TEXASR-bug-in-fake-sus.patch.
- Refresh
  patches.arch/KVM-PPC-Book3S-HV-Work-around-XER-SO-bug-in-fake-sus.patch.
- Refresh
  patches.arch/KVM-PPC-Book3S-HV-Work-around-transactional-memory-b.patch.
- Refresh
  patches.arch/PCI-hotplug-ppc-correct-a-php_slot-usage-after-free.patch.
- Refresh
  patches.arch/cxl-Check-if-PSL-data-cache-is-available-before-issu.patch.
- Refresh
  patches.arch/cxl-Enable-NORST-bit-in-PSL_DEBUG-register-for-PSL9.patch.
- Refresh
  patches.arch/cxl-Fix-possible-deadlock-when-processing-page-fault.patch.
- Refresh
  patches.arch/cxl-Fix-timebase-synchronization-status-on-P9.patch.
- Refresh
  patches.arch/cxl-Remove-function-write_timebase_ctrl_psl9-for-PSL.patch.
- Refresh
  patches.arch/cxl-read-PHB-indications-from-the-device-tree.patch.
- Refresh
  patches.arch/powerpc-64-Call-H_REGISTER_PROC_TBL-when-running-as-.patch.
- Refresh
  patches.arch/powerpc-64s-Enhance-the-information-in-cpu_show_melt.patch.
- Refresh patches.arch/powerpc-64s-Move-cpu_show_meltdown.patch.
- Refresh
  patches.arch/powerpc-64s-Wire-up-cpu_show_spectre_v1.patch.
- Refresh
  patches.arch/powerpc-64s-Wire-up-cpu_show_spectre_v2.patch.
- Refresh
  patches.arch/powerpc-Add-CPU-feature-bits-for-TM-bug-workarounds-.patch.
- Refresh
  patches.arch/powerpc-Add-security-feature-flags-for-Spectre-Meltd.patch.
- Refresh
  patches.arch/powerpc-Book-E-Remove-unused-CPU_FTR_L2CSR-bit.patch.
- Refresh
  patches.arch/powerpc-Free-up-CPU-feature-bits-on-64-bit-machines.patch.
- Refresh
  patches.arch/powerpc-Move-default-security-feature-flags.patch.
- Refresh
  patches.arch/powerpc-Remove-unused-flush_dcache_phys_range.patch.
- Refresh
  patches.arch/powerpc-Rename-plapr-routines-to-plpar.patch.
- Refresh
  patches.arch/powerpc-Use-feature-bit-for-RTC-presence-rather-than.patch.
- Refresh
  patches.arch/powerpc-kexec_file-Fix-error-code-when-trying-to-loa.patch.
- Refresh
  patches.arch/powerpc-lpar-debug-Initialize-flags-before-printing-.patch.
- Refresh
  patches.arch/powerpc-mm-Drop-the-function-native_register_proc_ta.patch.
- Refresh
  patches.arch/powerpc-mm-slice-Remove-intermediate-bitmap-copy.patch.
- Refresh
  patches.arch/powerpc-powernv-Fix-SMT4-forcing-idle-code.patch.
- Refresh
  patches.arch/powerpc-powernv-Provide-a-way-to-force-a-core-into-S.patch.
- Refresh
  patches.arch/powerpc-powernv-Set-or-clear-security-feature-flags.patch.
- Refresh
  patches.arch/powerpc-powernv-Use-the-security-flags-in-pnv_setup_.patch.
- Refresh
  patches.arch/powerpc-pseries-Add-new-H_GET_CPU_CHARACTERISTICS-fl.patch.
- Refresh
  patches.arch/powerpc-pseries-Fix-clearing-of-security-feature-fla.patch.
- Refresh
  patches.arch/powerpc-pseries-Set-or-clear-security-feature-flags.patch.
- Refresh
  patches.arch/powerpc-pseries-Use-the-security-flags-in-pseries_se.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Always-enable-fallback-flush-on-ps.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Call-setup_rfi_flush-after-LPM-mig.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Differentiate-enabled-and-patched-.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Make-it-possible-to-call-setup_rfi.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Move-the-logic-to-avoid-a-redo-int.patch.
- Refresh
  patches.arch/powerpc-xmon-Clear-all-breakpoints-when-xmon-is-disa.patch.
- Refresh
  patches.arch/powerpc-xmon-Setup-debugger-hooks-when-first-break-p.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Fix-2-hang-issues-in-hv_compose_msi_msg.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Fix-a-comment-typo-in-_hv_pcifront_read_confi.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Only-queue-new-work-items-in-hv_pci_devices_p.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Remove-the-bogus-test-in-hv_eject_device_work.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Serialize-the-present-and-eject-work-items.patch.
- commit 2d4fe34
* Wed Apr 11 2018 tiwai@suse.de
- mmc: sdhci-pci: Fix voltage switch for some Intel host
  controllers (bsc#1051510).
- commit 4661208
* Wed Apr 11 2018 tiwai@suse.de
- NFC: fix device-allocation error return (bsc#1051510).
- commit 2eaf698
* Wed Apr 11 2018 tiwai@suse.de
- swiotlb: suppress warning when __GFP_NOWARN is set
  (bsc#1051510).
- commit 85b3818
* Wed Apr 11 2018 tiwai@suse.de
- video: fbdev/mmp: add MODULE_LICENSE (bsc#1051510).
- video: fbdev: atmel_lcdfb: fix display-timings lookup
  (bsc#1051510).
- video/hdmi: Allow "empty" HDMI infoframes (bsc#1051510).
- video: fbdev: au1200fb: Release some resources if a memory
  allocation fails (bsc#1051510).
- video: fbdev: au1200fb: Return an error code if a memory
  allocation fails (bsc#1051510).
- video: fbdev: aty: do not leak uninitialized padding in clk
  to userspace (bsc#1051510).
- commit 7d3cb87
* Wed Apr 11 2018 tiwai@suse.de
- Input: i8042 - enable MUX on Sony VAIO VGN-CS series to fix
  touchpad (bsc#1051510).
- Input: ALPS - fix TrackStick detection on Thinkpad L570 and
  Latitude 7370 (bsc#1051510).
- Input: i8042 - add Lenovo ThinkPad L460 to i8042 reset list
  (bsc#1051510).
- commit c7e202c
* Wed Apr 11 2018 tiwai@suse.de
- crypto: ahash - Fix early termination in hash walk
  (bsc#1051510).
- crypto: lrw - Free rctx->ext with kzfree (bsc#1051510).
- crypto: caam - Fix null dereference at error path (bsc#1051510).
- crypto: x86/cast5-avx - fix ECB encryption when long sg follows
  short one (bsc#1051510).
- i2c: ismt: Separate I2C block read from SMBus block read
  (bsc#1051510).
- crypto: AF_ALG - remove SGL terminator indicator when chaining
  (bsc#1051510).
- commit dcd2df3
* Wed Apr 11 2018 tiwai@suse.de
- ALSA: usb-audio: Add native DSD support for TEAC UD-301
  (bsc#1051510).
- commit 544a3cf
* Wed Apr 11 2018 tiwai@suse.de
- media: au0828: add VIDEO_V4L2 dependency (bsc#1051510).
- Refresh patches.drivers/media-au0828-fix-VIDEO_V4L2-dependency.
- commit 3fa947d
* Wed Apr 11 2018 tiwai@suse.de
- crypto: af_alg - fix possible uninit-value in alg_bind()
  (bsc#1051510).
- commit 2c2b1cd
* Wed Apr 11 2018 tiwai@suse.de
- Fix kABI incompatibility by snd_pcm_oss_runtime.rw_ref addition
  (bsc#1051510).
- commit 5677dde
* Wed Apr 11 2018 tiwai@suse.de
- ALSA: pcm: Fix endless loop for XRUN recovery in OSS emulation
  (bsc#1051510).
- ALSA: pcm: Fix UAF at PCM release via PCM timer access
  (bsc#1051510).
- ALSA: pcm: Fix mutex unbalance in OSS emulation ioctls
  (bsc#1051510).
- ALSA: pcm: Return -EBUSY for OSS ioctls changing busy streams
  (bsc#1051510).
- ALSA: pcm: Avoid potential races between OSS ioctls and
  read/write (bsc#1051510).
- ALSA: pcm: potential uninitialized return values (bsc#1051510).
- commit 8b415be
* Wed Apr 11 2018 tiwai@suse.de
- blacklist.conf: Fix merge conflict leftover
- commit 7ce640a
* Wed Apr 11 2018 tiwai@suse.de
- Preliminary patch sort & update
- commit f1cd84a
* Wed Apr 11 2018 acho@suse.com
- ima: Add cgroups2 to the defaults list (bsc#1073915).
- commit aa0be85
* Wed Apr 11 2018 nborisov@suse.com
- Update config files. (fate#321934)
- commit 15c0ffc
* Wed Apr 11 2018 glin@suse.com
- bpf: skip unnecessary capability check (bsc#1083647).
- bpf, x64: increase number of passes (bsc#1083647).
- bpf: fix corruption on concurrent perf_event_output calls
  (bsc#1083647).
- bpf: avoid excessive stack usage for perf_sample_data
  (bsc#1083647).
- commit 22e80bf
* Tue Apr 10 2018 msuchanek@suse.de
- rpm/package-descriptions: fix typo in kernel-azure
- Add azure kernel description.
- commit 6fdfcf9
* Tue Apr 10 2018 jthumshirn@suse.de
- scsi: lpfc: Fix WQ/CQ creation for older asic's (bsc#1085241).
- commit d8f53e9
* Tue Apr 10 2018 jthumshirn@suse.de
- Add mkp's queue to git_sort.py
- commit 96f199e
* Tue Apr 10 2018 jthumshirn@suse.de
- Refresh
  patches.arch/KVM-PPC-Book3S-HV-Work-around-TEXASR-bug-in-fake-sus.patch.
- Refresh
  patches.arch/KVM-PPC-Book3S-HV-Work-around-XER-SO-bug-in-fake-sus.patch.
- Refresh
  patches.arch/KVM-PPC-Book3S-HV-Work-around-transactional-memory-b.patch.
- Refresh
  patches.arch/PCI-hotplug-ppc-correct-a-php_slot-usage-after-free.patch.
- Refresh
  patches.arch/cxl-Check-if-PSL-data-cache-is-available-before-issu.patch.
- Refresh
  patches.arch/cxl-Enable-NORST-bit-in-PSL_DEBUG-register-for-PSL9.patch.
- Refresh
  patches.arch/cxl-Fix-possible-deadlock-when-processing-page-fault.patch.
- Refresh
  patches.arch/cxl-Fix-timebase-synchronization-status-on-P9.patch.
- Refresh
  patches.arch/cxl-Remove-function-write_timebase_ctrl_psl9-for-PSL.patch.
- Refresh
  patches.arch/cxl-read-PHB-indications-from-the-device-tree.patch.
- Refresh
  patches.arch/powerpc-64-Call-H_REGISTER_PROC_TBL-when-running-as-.patch.
- Refresh
  patches.arch/powerpc-64s-Enhance-the-information-in-cpu_show_melt.patch.
- Refresh patches.arch/powerpc-64s-Move-cpu_show_meltdown.patch.
- Refresh
  patches.arch/powerpc-64s-Wire-up-cpu_show_spectre_v1.patch.
- Refresh
  patches.arch/powerpc-64s-Wire-up-cpu_show_spectre_v2.patch.
- Refresh
  patches.arch/powerpc-Add-CPU-feature-bits-for-TM-bug-workarounds-.patch.
- Refresh
  patches.arch/powerpc-Add-security-feature-flags-for-Spectre-Meltd.patch.
- Refresh
  patches.arch/powerpc-Book-E-Remove-unused-CPU_FTR_L2CSR-bit.patch.
- Refresh
  patches.arch/powerpc-Free-up-CPU-feature-bits-on-64-bit-machines.patch.
- Refresh
  patches.arch/powerpc-Move-default-security-feature-flags.patch.
- Refresh
  patches.arch/powerpc-Remove-unused-flush_dcache_phys_range.patch.
- Refresh
  patches.arch/powerpc-Rename-plapr-routines-to-plpar.patch.
- Refresh
  patches.arch/powerpc-Use-feature-bit-for-RTC-presence-rather-than.patch.
- Refresh
  patches.arch/powerpc-kexec_file-Fix-error-code-when-trying-to-loa.patch.
- Refresh
  patches.arch/powerpc-lpar-debug-Initialize-flags-before-printing-.patch.
- Refresh
  patches.arch/powerpc-mm-Drop-the-function-native_register_proc_ta.patch.
- Refresh
  patches.arch/powerpc-mm-slice-Remove-intermediate-bitmap-copy.patch.
- Refresh
  patches.arch/powerpc-powernv-Fix-SMT4-forcing-idle-code.patch.
- Refresh
  patches.arch/powerpc-powernv-Provide-a-way-to-force-a-core-into-S.patch.
- Refresh
  patches.arch/powerpc-powernv-Set-or-clear-security-feature-flags.patch.
- Refresh
  patches.arch/powerpc-powernv-Use-the-security-flags-in-pnv_setup_.patch.
- Refresh
  patches.arch/powerpc-pseries-Add-new-H_GET_CPU_CHARACTERISTICS-fl.patch.
- Refresh
  patches.arch/powerpc-pseries-Fix-clearing-of-security-feature-fla.patch.
- Refresh
  patches.arch/powerpc-pseries-Set-or-clear-security-feature-flags.patch.
- Refresh
  patches.arch/powerpc-pseries-Use-the-security-flags-in-pseries_se.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Always-enable-fallback-flush-on-ps.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Call-setup_rfi_flush-after-LPM-mig.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Differentiate-enabled-and-patched-.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Make-it-possible-to-call-setup_rfi.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Move-the-logic-to-avoid-a-redo-int.patch.
- Refresh
  patches.arch/powerpc-xmon-Clear-all-breakpoints-when-xmon-is-disa.patch.
- Refresh
  patches.arch/powerpc-xmon-Setup-debugger-hooks-when-first-break-p.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Fix-2-hang-issues-in-hv_compose_msi_msg.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Fix-a-comment-typo-in-_hv_pcifront_read_confi.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Only-queue-new-work-items-in-hv_pci_devices_p.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Remove-the-bogus-test-in-hv_eject_device_work.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Serialize-the-present-and-eject-work-items.patch.
- commit d96e797
* Tue Apr 10 2018 msuchanek@suse.de
- KABI: hide ftrace_enabled in paca (bsc#1088804).
- commit 1cab22b
* Tue Apr 10 2018 msuchanek@suse.de
- powerpc64/ftrace: Use the generic version of
  ftrace_replace_code() (bsc#1088804).
- powerpc64/module: Tighten detection of mcount call sites with
  - mprofile-kernel (bsc#1088804).
- powerpc64/kexec: Hard disable ftrace before switching to the
  new kernel (bsc#1088804).
- powerpc64/ftrace: Disable ftrace during hotplug (bsc#1088804).
- powerpc64/ftrace: Delay enabling ftrace on secondary cpus
  (bsc#1088804).
- powerpc64/ftrace: Add helpers to hard disable ftrace
  (bsc#1088804).
- powerpc64/ftrace: Rearrange #ifdef sections in ftrace.h
  (bsc#1088804).
- powerpc64/ftrace: Disable ftrace during kvm guest entry/exit
  (bsc#1088804).
- powerpc64/ftrace: Add a field in paca to disable ftrace in
  unsafe code paths (bsc#1088804).
- commit 31f7f1f
* Tue Apr 10 2018 msuchanek@suse.de
- KVM: PPC: Book3S HV: Fix ppc_breakpoint_available compile error
  (bsc#1061840).
- powerpc: Don't write to DABR on >= Power8 if DAWR is disabled
  (bsc#1055117).
- commit a548bd0
* Mon Apr  9 2018 msuchanek@suse.de
- powerpc/hw_breakpoint: Only disable hw breakpoint if cpu
  supports it (bsc#1055117).
- commit e44aa5c
* Mon Apr  9 2018 msuchanek@suse.de
- powerpc/kvm: Fix guest boot failure on Power9 since DAWR changes
  (bsc#1061840).
- KVM: PPC: Book3S HV: Handle migration with POWER9 disabled DAWR
  (bsc#1061840).
- KVM: PPC: Book3S HV: Return error from h_set_dabr() on POWER9
  (bsc#1061840).
- KVM: PPC: Book3S HV: Return error from h_set_mode(SET_DAWR)
  on POWER9 (bsc#1061840).
- powerpc: Disable DAWR in the base POWER9 CPU features
  (bsc#1055117).
- powerpc: Disable DAWR on POWER9 via CPU feature quirk
  (bsc#1055117).
- powerpc: Update xmon to use ppc_breakpoint_available()
  (bsc#1072829).
- powerpc: Update ptrace to use ppc_breakpoint_available()
  (bsc#1056686).
- commit 5f644fa
* Mon Apr  9 2018 rgoldwyn@suse.com
- fs/aio: Use RCU accessors for kioctx_table->table[]
  (bsc#1088722).
- fs/aio: Add explicit RCU grace period when freeing  kioctx
  (bsc#1088722).
- commit a91dfd2
* Mon Apr  9 2018 bp@suse.de
- x86/intel_rdt: Add command line parameter to control L2_CDP
  (fate#325152).
- x86/intel_rdt: Add two new resources for L2 Code and Data
  Prioritization (CDP) (fate#325152).
- x86/intel_rdt: Enable L2 CDP in MSR IA32_L2_QOS_CFG
  (fate#325152).
- x86/intel_rdt: Enumerate L2 Code and Data Prioritization (CDP)
  feature (fate#325152).
- crypto: ccp - Fix sparse, use plain integer as NULL pointer
  (git-fixes 200664d5237f).
- Refresh
  patches.arch/KVM-PPC-Book3S-HV-Work-around-TEXASR-bug-in-fake-sus.patch.
- Refresh
  patches.arch/KVM-PPC-Book3S-HV-Work-around-XER-SO-bug-in-fake-sus.patch.
- Refresh
  patches.arch/KVM-PPC-Book3S-HV-Work-around-transactional-memory-b.patch.
- Refresh
  patches.arch/PCI-hotplug-ppc-correct-a-php_slot-usage-after-free.patch.
- Refresh
  patches.arch/cxl-Check-if-PSL-data-cache-is-available-before-issu.patch.
- Refresh
  patches.arch/cxl-Enable-NORST-bit-in-PSL_DEBUG-register-for-PSL9.patch.
- Refresh
  patches.arch/cxl-Fix-possible-deadlock-when-processing-page-fault.patch.
- Refresh
  patches.arch/cxl-Fix-timebase-synchronization-status-on-P9.patch.
- Refresh
  patches.arch/cxl-Remove-function-write_timebase_ctrl_psl9-for-PSL.patch.
- Refresh
  patches.arch/cxl-read-PHB-indications-from-the-device-tree.patch.
- Refresh
  patches.arch/powerpc-64-Call-H_REGISTER_PROC_TBL-when-running-as-.patch.
- Refresh
  patches.arch/powerpc-64s-Enhance-the-information-in-cpu_show_melt.patch.
- Refresh patches.arch/powerpc-64s-Move-cpu_show_meltdown.patch.
- Refresh
  patches.arch/powerpc-64s-Wire-up-cpu_show_spectre_v1.patch.
- Refresh
  patches.arch/powerpc-64s-Wire-up-cpu_show_spectre_v2.patch.
- Refresh
  patches.arch/powerpc-Add-CPU-feature-bits-for-TM-bug-workarounds-.patch.
- Refresh
  patches.arch/powerpc-Add-security-feature-flags-for-Spectre-Meltd.patch.
- Refresh
  patches.arch/powerpc-Book-E-Remove-unused-CPU_FTR_L2CSR-bit.patch.
- Refresh
  patches.arch/powerpc-Free-up-CPU-feature-bits-on-64-bit-machines.patch.
- Refresh
  patches.arch/powerpc-Move-default-security-feature-flags.patch.
- Refresh
  patches.arch/powerpc-Remove-unused-flush_dcache_phys_range.patch.
- Refresh
  patches.arch/powerpc-Rename-plapr-routines-to-plpar.patch.
- Refresh
  patches.arch/powerpc-Use-feature-bit-for-RTC-presence-rather-than.patch.
- Refresh
  patches.arch/powerpc-kexec_file-Fix-error-code-when-trying-to-loa.patch.
- Refresh
  patches.arch/powerpc-lpar-debug-Initialize-flags-before-printing-.patch.
- Refresh
  patches.arch/powerpc-mm-Drop-the-function-native_register_proc_ta.patch.
- Refresh
  patches.arch/powerpc-mm-slice-Remove-intermediate-bitmap-copy.patch.
- Refresh
  patches.arch/powerpc-powernv-Fix-SMT4-forcing-idle-code.patch.
- Refresh
  patches.arch/powerpc-powernv-Provide-a-way-to-force-a-core-into-S.patch.
- Refresh
  patches.arch/powerpc-powernv-Set-or-clear-security-feature-flags.patch.
- Refresh
  patches.arch/powerpc-powernv-Use-the-security-flags-in-pnv_setup_.patch.
- Refresh
  patches.arch/powerpc-pseries-Add-new-H_GET_CPU_CHARACTERISTICS-fl.patch.
- Refresh
  patches.arch/powerpc-pseries-Fix-clearing-of-security-feature-fla.patch.
- Refresh
  patches.arch/powerpc-pseries-Set-or-clear-security-feature-flags.patch.
- Refresh
  patches.arch/powerpc-pseries-Use-the-security-flags-in-pseries_se.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Always-enable-fallback-flush-on-ps.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Call-setup_rfi_flush-after-LPM-mig.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Differentiate-enabled-and-patched-.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Make-it-possible-to-call-setup_rfi.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Move-the-logic-to-avoid-a-redo-int.patch.
- Refresh
  patches.arch/powerpc-xmon-Clear-all-breakpoints-when-xmon-is-disa.patch.
- Refresh
  patches.arch/powerpc-xmon-Setup-debugger-hooks-when-first-break-p.patch.
- Refresh
  patches.arch/x86-cpufeatures-add-cpuid_7_edx-cpuid-leaf.patch.
- Refresh
  patches.arch/x86-cpufeatures-clean-up-spectre-v2-related-cpuid-flags.patch.
- commit 0256417
* Mon Apr  9 2018 rgoldwyn@suse.com
- ovl: Put upperdentry if ovl_check_origin() fails (bsc#1088704).
- commit 810661d
* Mon Apr  9 2018 rgoldwyn@suse.com
- ovl: fix failure to fsync lower dir (bsc#108871).
- commit 271d2b4
* Mon Apr  9 2018 rgoldwyn@suse.com
- fuse: fix READDIRPLUS skipping an entry (bsc#1088690).
- commit c80f4bb
* Mon Apr  9 2018 oneukum@suse.com
- usb: dwc3: Fix lock-up on ID change during system suspend/resume
  (bsc#1087092).
- commit d535713
* Mon Apr  9 2018 oneukum@suse.com
- Refresh
  patches.arch/KVM-PPC-Book3S-HV-Work-around-TEXASR-bug-in-fake-sus.patch.
- Refresh
  patches.arch/KVM-PPC-Book3S-HV-Work-around-XER-SO-bug-in-fake-sus.patch.
- Refresh
  patches.arch/KVM-PPC-Book3S-HV-Work-around-transactional-memory-b.patch.
- Refresh
  patches.arch/PCI-hotplug-ppc-correct-a-php_slot-usage-after-free.patch.
- Refresh
  patches.arch/cxl-Check-if-PSL-data-cache-is-available-before-issu.patch.
- Refresh
  patches.arch/cxl-Enable-NORST-bit-in-PSL_DEBUG-register-for-PSL9.patch.
- Refresh
  patches.arch/cxl-Fix-possible-deadlock-when-processing-page-fault.patch.
- Refresh
  patches.arch/cxl-Fix-timebase-synchronization-status-on-P9.patch.
- Refresh
  patches.arch/cxl-Remove-function-write_timebase_ctrl_psl9-for-PSL.patch.
- Refresh
  patches.arch/cxl-read-PHB-indications-from-the-device-tree.patch.
- Refresh
  patches.arch/powerpc-64-Call-H_REGISTER_PROC_TBL-when-running-as-.patch.
- Refresh
  patches.arch/powerpc-64s-Enhance-the-information-in-cpu_show_melt.patch.
- Refresh patches.arch/powerpc-64s-Move-cpu_show_meltdown.patch.
- Refresh
  patches.arch/powerpc-64s-Wire-up-cpu_show_spectre_v1.patch.
- Refresh
  patches.arch/powerpc-64s-Wire-up-cpu_show_spectre_v2.patch.
- Refresh
  patches.arch/powerpc-Add-CPU-feature-bits-for-TM-bug-workarounds-.patch.
- Refresh
  patches.arch/powerpc-Add-security-feature-flags-for-Spectre-Meltd.patch.
- Refresh
  patches.arch/powerpc-Book-E-Remove-unused-CPU_FTR_L2CSR-bit.patch.
- Refresh
  patches.arch/powerpc-Free-up-CPU-feature-bits-on-64-bit-machines.patch.
- Refresh
  patches.arch/powerpc-Move-default-security-feature-flags.patch.
- Refresh
  patches.arch/powerpc-Remove-unused-flush_dcache_phys_range.patch.
- Refresh
  patches.arch/powerpc-Rename-plapr-routines-to-plpar.patch.
- Refresh
  patches.arch/powerpc-Use-feature-bit-for-RTC-presence-rather-than.patch.
- Refresh
  patches.arch/powerpc-kexec_file-Fix-error-code-when-trying-to-loa.patch.
- Refresh
  patches.arch/powerpc-lpar-debug-Initialize-flags-before-printing-.patch.
- Refresh
  patches.arch/powerpc-mm-Drop-the-function-native_register_proc_ta.patch.
- Refresh
  patches.arch/powerpc-mm-slice-Remove-intermediate-bitmap-copy.patch.
- Refresh
  patches.arch/powerpc-powernv-Fix-SMT4-forcing-idle-code.patch.
- Refresh
  patches.arch/powerpc-powernv-Provide-a-way-to-force-a-core-into-S.patch.
- Refresh
  patches.arch/powerpc-powernv-Set-or-clear-security-feature-flags.patch.
- Refresh
  patches.arch/powerpc-powernv-Use-the-security-flags-in-pnv_setup_.patch.
- Refresh
  patches.arch/powerpc-pseries-Add-new-H_GET_CPU_CHARACTERISTICS-fl.patch.
- Refresh
  patches.arch/powerpc-pseries-Fix-clearing-of-security-feature-fla.patch.
- Refresh
  patches.arch/powerpc-pseries-Set-or-clear-security-feature-flags.patch.
- Refresh
  patches.arch/powerpc-pseries-Use-the-security-flags-in-pseries_se.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Always-enable-fallback-flush-on-ps.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Call-setup_rfi_flush-after-LPM-mig.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Differentiate-enabled-and-patched-.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Make-it-possible-to-call-setup_rfi.patch.
- Refresh
  patches.arch/powerpc-rfi-flush-Move-the-logic-to-avoid-a-redo-int.patch.
- Refresh
  patches.arch/powerpc-xmon-Clear-all-breakpoints-when-xmon-is-disa.patch.
- Refresh
  patches.arch/powerpc-xmon-Setup-debugger-hooks-when-first-break-p.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Fix-2-hang-issues-in-hv_compose_msi_msg.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Fix-a-comment-typo-in-_hv_pcifront_read_confi.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Only-queue-new-work-items-in-hv_pci_devices_p.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Remove-the-bogus-test-in-hv_eject_device_work.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Serialize-the-present-and-eject-work-items.patch.
  Linus has pulled. Take over the ordering.
- commit 1ad4e83
* Mon Apr  9 2018 oneukum@suse.com
- blacklist.conf: not a bug fix, optimization
- commit 5e5824b
* Mon Apr  9 2018 oneukum@suse.com
- blacklist.conf: cosmetic issue
- commit 4b47d7a
* Mon Apr  9 2018 jthumshirn@suse.de
- Update config files, enable CONFIG_SMARTPQI on arm64 (bsc#1088634).
- commit fb9aa6d
* Mon Apr  9 2018 msuchanek@suse.de
- ibmvnic: Do not reset CRQ for Mobility driver resets
  (bsc#1088600).
- ibmvnic: Fix failover case for non-redundant configuration
  (bsc#1088600).
- ibmvnic: Fix reset scheduler error handling (bsc#1088600).
- ibmvnic: Zero used TX descriptor counter on reset (bsc#1088600).
- ibmvnic: Fix DMA mapping mistakes (bsc#1088600).
- commit ec5530d
* Mon Apr  9 2018 msuchanek@suse.de
- ibmvnic: Disable irqs before exiting reset from closed state
  (bsc#1084610).
- commit 3658918
* Mon Apr  9 2018 msuchanek@suse.de
- powerpc/perf: Add blacklisted events for Power9 DD2.2
  (bsc1056686).
- powerpc/perf: Add blacklisted events for Power9 DD2.1
  (bsc1056686).
- powerpc/perf: Infrastructure to support addition of blacklisted
  events (bsc1056686).
- powerpc/perf: Prevent kernel address leak via
  perf_get_data_addr() (bsc1056686).
- powerpc/perf: Prevent kernel address leak to userspace via
  BHRB buffer (bsc1056686).
- powerpc/perf: Fix kernel address leak via sampling registers
  (bsc1056686).
- commit 78dc81b
* Mon Apr  9 2018 msuchanek@suse.de
- Remove broken cpu hotplug patch.
  Delete patches.arch/cpu-hotplug-Convert-hotplug-locking-to-percpu-rwsem.patch.
- commit 2a2ffef
* Mon Apr  9 2018 msuchanek@suse.de
- Revert "Remove patces for bug 1087405 due to regression"
  This reverts commit f91a2ea5192d9e933c41600da5d1543155df381c.
- commit c2ecc06
* Mon Apr  9 2018 msuchanek@suse.de
- Update kabi files from RC3 submission.
- commit 43a8c6f
* Mon Apr  9 2018 ohering@suse.de
- add mainline tag to various patches to be able to get further work done
- commit 500958e
* Sat Apr  7 2018 bp@suse.de
- Refresh
  patches.suse/suse-hv-PCI-hv-Fix-2-hang-issues-in-hv_compose_msi_msg.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Fix-a-comment-typo-in-_hv_pcifront_read_confi.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Only-queue-new-work-items-in-hv_pci_devices_p.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Remove-the-bogus-test-in-hv_eject_device_work.patch.
- Refresh
  patches.suse/suse-hv-PCI-hv-Serialize-the-present-and-eject-work-items.patch.
- commit 8cb0a2a
* Sat Apr  7 2018 dbueso@suse.de
- futex: Fix OWNER_DEAD fixup (bsc#1067665).
- futex: Avoid violating the 10th rule of futex (bsc#1067665).
- commit 820eb95
* Sat Apr  7 2018 dbueso@suse.de
- run series_sort.py
- commit 9b0b8df
* Fri Apr  6 2018 msuchanek@suse.de
- Update arm kabi files to reflect changes in iProc driver.
- commit 5c17dc1
* Fri Apr  6 2018 msuchanek@suse.de
- Update ppc kabi files to reflect kabi fixes.
- commit d584de6
* Fri Apr  6 2018 msuchanek@suse.de
- Remove patces for bug 1087405 due to regression
- Refresh patches.arch/powerpc-numa-Invalidate-numa_cpu_lookup_table-on-cpu.patch.
- Delete patches.arch/cpu-hotplug-Convert-hotplug-locking-to-percpu-rwsem.patch.
- Delete patches.arch/cpu-hotplug-Provide-cpus_read-write_-un-lock.patch.
- Delete patches.arch/cpu-hotplug-Provide-lockdep_assert_cpus_held.patch.
- Delete patches.arch/powerpc-Don-t-call-lockdep_assert_cpus_held-from-arc.patch.
- Delete patches.arch/powerpc-Only-obtain-cpu_hotplug_lock-if-called-by-rt.patch.
- Delete patches.arch/stop_machine-Provide-stop_machine_cpuslocked.patch.
- Delete patches.arch/workqueue-Work-around-edge-cases-for-calc-of-pool-s-.patch.
- Delete patches.suse/KABI-cpu-hotplug-provide-the-old-get-put_online_cpus.patch.
- commit f91a2ea
* Fri Apr  6 2018 msuchanek@suse.de
- Update ppc kabi files.
  A change in mm_context_t
- commit 4e5f64a
* Fri Apr  6 2018 mhocko@suse.com
- mm, sparse: do not swamp log with huge vmemmap allocation (bnc#1082184, bnc#1087928).
- commit 080516f
* Fri Apr  6 2018 msuchanek@suse.de
- powerpc/mm: Fixup tlbie vs store ordering issue on POWER9
  (bsc#1087908).
- powerpc/mm/radix: Move the functions that does the actual tlbie closer (bsc#1087908).
- Refresh patches.arch/powerpc-Add-CPU-feature-bits-for-TM-bug-workarounds-.patch.
- Refresh patches.arch/powerpc-Free-up-CPU-feature-bits-on-64-bit-machines.patch.
- commit 9f17cf2
* Fri Apr  6 2018 msuchanek@suse.de
- powerpc/mm: Workaround Nest MMU bug with TLB invalidations
  (bsc#1087908).
- commit 2dc45cc
* Fri Apr  6 2018 msuchanek@suse.de
- powerpc/64s/radix: Optimize TLB range flush barriers
  (bsc#1087908).
- commit ab0534b
* Fri Apr  6 2018 duwe@suse.de
- powerpc/kprobes: Fix warnings from __this_cpu_read() on preempt
  kernels (bsc#1088321).
- powerpc/kprobes: Clean up jprobe detection in livepatch handler
  (bsc#1088321).
- commit de980ac
* Fri Apr  6 2018 duwe@suse.de
- powerpc/modules: Don't try to restore r2 after a sibling call
  (bsc#1088321).
- powerpc/modules: Add REL24 relocation support of livepatch
  symbols (bsc#1088321).
- commit 2e9366a
* Fri Apr  6 2018 tiwai@suse.de
- Fix kABI for musb flush_irq_work field addition (bsc#1085536).
- commit bd7d8c7
* Fri Apr  6 2018 jkosina@suse.cz
- kABI: protect struct mlx5_core_srq (bsc#1046305 FATE#322943).
- Delete
  patches.suse/kabi-IB-mlx5-Fix-integer-overflows-in-mlx5_ib_create_srq.patch.
  Move kABI workaround to patches.kabi/
- commit 8b4c573
* Fri Apr  6 2018 tbogendoerfer@suse.de
- kABI: protect struct mlx5_core_srq (bsc#1046305 FATE#322943).
- commit 722e1e3
* Fri Apr  6 2018 mbenes@suse.cz
- kabi/severities: Ignore livepatching kABI changes
  Namely klp_*_patch symbols (enable, disable, (un)register).
- commit 1162b94
* Fri Apr  6 2018 msuchanek@suse.de
- powerpc/lib/xor_vmx: Ensure no altivec code executes before
  enable_kernel_altivec() (bsc#1065729).
- commit a384ead
* Fri Apr  6 2018 msuchanek@suse.de
- powerpc: Fix check for copy/paste instructions in alignment
  handler (bsc#1055117).
- commit d9df9cc
* Fri Apr  6 2018 mbenes@suse.cz
- livepatch: Add an extra flag to distinguish registered patches
  (bsc#1071995 fate#323487).
- livepatch: Remove Nop structures when unused (bsc#1071995
  fate#323487).
- livepatch: Remove replaced patches from the stack (bsc#1071995
  fate#323487).
- Refresh patches.suse/livepatch-add-atomic-replace.patch.
- Refresh
  patches.suse/livepatch-allow-to-replace-even-disabled-patches.patch.
- Refresh
  patches.suse/livepatch-atomic-replace-and-cumulative-patches-documentation.patch.
- Refresh
  patches.suse/livepatch-free-only-structures-with-initialized-kobject.patch.
- Refresh
  patches.suse/livepatch-use-lists-to-manage-patches-objects-and-functions.patch.
- Delete
  patches.suse/livepatch-allow-to-unpatch-only-functions-of-the-given-type.patch.
- Delete
  patches.suse/livepatch-correctly-handle-atomic-replace-for-not-yet-loaded-modules.patch.
- Delete
  patches.suse/livepatch-improve-dynamic-struct-klp_object-detection-and-manipulation.patch.
- Delete
  patches.suse/livepatch-initial-support-for-dynamic-structures.patch.
- Delete
  patches.suse/livepatch-support-separate-list-for-replaced-patches.patch.
  Atomic replace, update to v11.
- commit 25ee7a3
* Fri Apr  6 2018 mbenes@suse.cz
- Refresh
  patches.drivers/crypto-ccp-add-check-to-get-psp-master-only-when-psp-is-detected.patch.
- Refresh
  patches.drivers/scsi-csiostor-add-support-for-32-bit-port-capabiliti.patch.
- Refresh
  patches.drivers/scsi-lpfc-Add-64G-link-speed-support.patch.
- Refresh
  patches.drivers/scsi-lpfc-Add-PCI-Ids-for-if_type-6-hardware.patch.
- Refresh
  patches.drivers/scsi-lpfc-Add-SLI-4-if_type-6-support-to-the-code-ba.patch.
- Refresh
  patches.drivers/scsi-lpfc-Add-WQ-Full-Logic-for-NVME-Target.patch.
- Refresh
  patches.drivers/scsi-lpfc-Add-embedded-data-pointers-for-enhanced-pe.patch.
- Refresh
  patches.drivers/scsi-lpfc-Add-if_type-6-support-for-cycling-valid-bi.patch.
- Refresh
  patches.drivers/scsi-lpfc-Add-push-to-adapter-support-to-sli4.patch.
- Refresh
  patches.drivers/scsi-lpfc-Allow-set-of-maximum-outstanding-SCSI-cmd-.patch.
- Refresh
  patches.drivers/scsi-lpfc-Change-Copyright-of-12.0.0.0-modified-file.patch.
- Refresh
  patches.drivers/scsi-lpfc-Enable-fw-download-on-if_type-6-devices.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-IO-failure-during-hba-reset-testing-wi.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-PRLI-handling-when-topology-type-chang.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-RQ-empty-firmware-trap.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-SCSI-io-host-reset-causing-kernel-cras.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-frequency-of-Release-WQE-CQEs.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-header-inclusion-in-lpfc_nvmet.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-issue_lip-if-link-is-disabled.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-nonrecovery-of-NVME-controller-after-c.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-nvme-embedded-io-length-on-new-hardwar.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-soft-lockup-in-lpfc-worker-thread-duri.patch.
- Refresh
  patches.drivers/scsi-lpfc-Increase-CQ-and-WQ-sizes-for-SCSI.patch.
- Refresh
  patches.drivers/scsi-lpfc-Indicate-CONF-support-in-NVMe-PRLI.patch.
- Refresh
  patches.drivers/scsi-lpfc-Rework-lpfc-to-allow-different-sli4-cq-and.patch.
- Refresh
  patches.drivers/scsi-lpfc-Rework-sli4-doorbell-infrastructure.patch.
- Refresh
  patches.drivers/scsi-lpfc-Treat-SCSI-Write-operation-Underruns-as-an.patch.
- Refresh
  patches.drivers/scsi-lpfc-Update-11.4.0.7-modified-files-for-2018-Co.patch.
- Refresh
  patches.drivers/scsi-lpfc-Validate-adapter-support-for-SRIU-option.patch.
- Refresh
  patches.drivers/scsi-lpfc-Work-around-NVME-cmd-iu-SGL-type.patch.
- Refresh
  patches.drivers/scsi-lpfc-change-copyright-of-12.0.0.1-modified-files-to.patch.
- Refresh
  patches.drivers/scsi-lpfc-code-cleanup-for-128byte-wqe-data-type.patch.
- Refresh
  patches.drivers/scsi-lpfc-correct-debug-counters-for-abort.patch.
- Refresh
  patches.drivers/scsi-lpfc-fix-mailbox-wait-for-post_sgl-mbox-command.patch.
- Refresh
  patches.drivers/scsi-lpfc-fix-scsi-lun-discovery-when-port-configured-for.patch.
- Refresh
  patches.drivers/scsi-lpfc-make-several-unions-static-fix-non-ansi.patch.
- Refresh
  patches.drivers/scsi-lpfc-memory-allocation-error-during-driver-start-up-on.patch.
- Refresh
  patches.drivers/scsi-lpfc-move-placement-of-target-destroy-on-driver.patch.
- Refresh
  patches.drivers/scsi-lpfc-streamline-nvme-initiator-wqe-setup.patch.
- Refresh
  patches.drivers/scsi-lpfc-streamline-nvme-targe6t-wqe-setup.patch.
- Refresh
  patches.drivers/scsi-lpfc-update-driver-version-to-11.4.0.7.patch.
- Refresh
  patches.drivers/scsi-lpfc-update-driver-version-to-12.0.0.0.patch.
- Refresh
  patches.drivers/scsi-lpfc-update-driver-version-to-12.0.0.1.patch.
  Move patches to the sorted section.
- commit fbb5005
* Fri Apr  6 2018 tiwai@suse.de
- intel_th: Use correct method of finding hub (FATE#325099).
- commit 0af4c94
* Fri Apr  6 2018 tiwai@suse.de
- Preliminary patch sort & update
- commit 1073359
* Fri Apr  6 2018 jthumshirn@suse.de
- scsi: lpfc: Add missing unlock in WQ full logic (bsc#1077989).
- scsi: lpfc: use __raw_writeX on DPP copies (bsc#1077989).
- commit 62cee1d
* Fri Apr  6 2018 jthumshirn@suse.de
- s390/qeth: on channel error, reject further cmd requests
  (bnc#1088343, LTC#165985).
- commit 5b6cf5f
* Fri Apr  6 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/scsi-csiostor-add-support-for-32-bit-port-capabiliti.patch.
- Refresh
  patches.drivers/scsi-lpfc-Add-64G-link-speed-support.patch.
- Refresh
  patches.drivers/scsi-lpfc-Add-PCI-Ids-for-if_type-6-hardware.patch.
- Refresh
  patches.drivers/scsi-lpfc-Add-SLI-4-if_type-6-support-to-the-code-ba.patch.
- Refresh
  patches.drivers/scsi-lpfc-Add-WQ-Full-Logic-for-NVME-Target.patch.
- Refresh
  patches.drivers/scsi-lpfc-Add-embedded-data-pointers-for-enhanced-pe.patch.
- Refresh
  patches.drivers/scsi-lpfc-Add-if_type-6-support-for-cycling-valid-bi.patch.
- Refresh
  patches.drivers/scsi-lpfc-Add-push-to-adapter-support-to-sli4.patch.
- Refresh
  patches.drivers/scsi-lpfc-Allow-set-of-maximum-outstanding-SCSI-cmd-.patch.
- Refresh
  patches.drivers/scsi-lpfc-Change-Copyright-of-12.0.0.0-modified-file.patch.
- Refresh
  patches.drivers/scsi-lpfc-Enable-fw-download-on-if_type-6-devices.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-IO-failure-during-hba-reset-testing-wi.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-PRLI-handling-when-topology-type-chang.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-RQ-empty-firmware-trap.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-SCSI-io-host-reset-causing-kernel-cras.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-frequency-of-Release-WQE-CQEs.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-header-inclusion-in-lpfc_nvmet.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-issue_lip-if-link-is-disabled.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-nonrecovery-of-NVME-controller-after-c.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-nvme-embedded-io-length-on-new-hardwar.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-soft-lockup-in-lpfc-worker-thread-duri.patch.
- Refresh
  patches.drivers/scsi-lpfc-Increase-CQ-and-WQ-sizes-for-SCSI.patch.
- Refresh
  patches.drivers/scsi-lpfc-Indicate-CONF-support-in-NVMe-PRLI.patch.
- Refresh
  patches.drivers/scsi-lpfc-Rework-lpfc-to-allow-different-sli4-cq-and.patch.
- Refresh
  patches.drivers/scsi-lpfc-Rework-sli4-doorbell-infrastructure.patch.
- Refresh
  patches.drivers/scsi-lpfc-Treat-SCSI-Write-operation-Underruns-as-an.patch.
- Refresh
  patches.drivers/scsi-lpfc-Update-11.4.0.7-modified-files-for-2018-Co.patch.
- Refresh
  patches.drivers/scsi-lpfc-Validate-adapter-support-for-SRIU-option.patch.
- Refresh
  patches.drivers/scsi-lpfc-Work-around-NVME-cmd-iu-SGL-type.patch.
- Refresh
  patches.drivers/scsi-lpfc-change-copyright-of-12.0.0.1-modified-files-to.patch.
- Refresh
  patches.drivers/scsi-lpfc-code-cleanup-for-128byte-wqe-data-type.patch.
- Refresh
  patches.drivers/scsi-lpfc-correct-debug-counters-for-abort.patch.
- Refresh
  patches.drivers/scsi-lpfc-fix-mailbox-wait-for-post_sgl-mbox-command.patch.
- Refresh
  patches.drivers/scsi-lpfc-fix-scsi-lun-discovery-when-port-configured-for.patch.
- Refresh
  patches.drivers/scsi-lpfc-make-several-unions-static-fix-non-ansi.patch.
- Refresh
  patches.drivers/scsi-lpfc-memory-allocation-error-during-driver-start-up-on.patch.
- Refresh
  patches.drivers/scsi-lpfc-move-placement-of-target-destroy-on-driver.patch.
- Refresh
  patches.drivers/scsi-lpfc-streamline-nvme-initiator-wqe-setup.patch.
- Refresh
  patches.drivers/scsi-lpfc-streamline-nvme-targe6t-wqe-setup.patch.
- Refresh
  patches.drivers/scsi-lpfc-update-driver-version-to-11.4.0.7.patch.
- Refresh
  patches.drivers/scsi-lpfc-update-driver-version-to-12.0.0.0.patch.
- Refresh
  patches.drivers/scsi-lpfc-update-driver-version-to-12.0.0.1.patch.
- commit 78112c4
* Fri Apr  6 2018 ohering@suse.de
- hv_balloon: fix bugs in num_pages_onlined accounting
  (fate#323887).
- hv_balloon: simplify hv_online_page()/hv_page_online_one()
  (fate#323887).
- hv_balloon: fix printk loglevel (fate#323887).
- commit 0be921f
* Fri Apr  6 2018 ohering@suse.de
- PCI: hv: Only queue new work items in hv_pci_devices_present()
  if necessary (fate#323887, bsc#1087659).
- PCI: hv: Remove the bogus test in hv_eject_device_work()
  (fate#323887, bsc#1087659).
- PCI: hv: Fix a comment typo in _hv_pcifront_read_config()
  (fate#323887, bsc#1087659).
- PCI: hv: Fix 2 hang issues in hv_compose_msi_msg() (fate#323887,
  bsc#1087659, bsc#1087906).
- PCI: hv: Serialize the present and eject work items
  (fate#323887, bsc#1087659).
- commit ae18380
* Fri Apr  6 2018 ohering@suse.de
- add mainline tag to various patches to be able to get further work done
- commit 6ad1ff6
* Fri Apr  6 2018 lduncan@suse.com
- iscsi-target: Fix non-immediate TMR reference leak
  (bsc#1088381).
- iscsi-target: Make TASK_REASSIGN use proper se_cmd->cmd_kref
  (bsc#1088381).
- iscsi-target: fix memory leak in lio_target_tiqn_addtpg()
  (bsc#1088381).
- commit 34e6573
* Thu Apr  5 2018 lduncan@suse.com
- Ran series_sort.py prior to adding my patches.
- commit da61622
* Thu Apr  5 2018 msuchanek@suse.de
- kabi/severities: ignore PPC KVM
- commit 71279f0
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc/traps: Use SRR1 defines for program check reasons
  (bsc#1061840).
- commit ea11890
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc: Add PPC_FEATURE2_HTM_NO_SUSPEND (bsc#1055117).
- commit 7ef8218
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc/xive: prepare all hcalls to support long busy delays
  (bsc#1088273).
- powerpc/xive: shutdown XIVE when kexec or kdump is performed
  (bsc#1088273).
- powerpc/xive: fix hcall H_INT_RESET to support long busy delays
  (bsc#1088273).
- powerpc/64/kexec: fix race in kexec when XIVE is shutdowned
  (bsc#1088273).
- commit 61f67a6
* Thu Apr  5 2018 msuchanek@suse.de
- KVM: PPC: Book3S HV: Work around TEXASR bug in fake suspend
  state (bsc#1061840).
- KVM: PPC: Book3S HV: Work around XER[SO] bug in fake suspend
  mode (bsc#1061840).
- KVM: PPC: Book3S HV: Work around transactional memory bugs in
  POWER9 (bsc#1061840).
- powerpc/powernv: Provide a way to force a core into SMT4 mode
  (bsc#1061840).
- powerpc: Add CPU feature bits for TM bug workarounds on POWER9
  v2.2 (bsc#1061840).
- powerpc: Free up CPU feature bits on 64-bit machines
  (bsc#1061840).
- powerpc: Book E: Remove unused CPU_FTR_L2CSR bit (bsc#1061840).
- powerpc: Use feature bit for RTC presence rather than timebase
  presence (bsc#1061840).
- powerpc/pseries: Fix clearing of security feature flags
  (bsc#1068032).
- commit acbd042
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc/powernv: Enable TM without suspend if possible
  (bsc#1055117).
- Refresh patches.arch/powerpc-powernv-Check-device-tree-for-RFI-flush-sett.patch.
- Refresh patches.arch/powerpc-powernv-Set-or-clear-security-feature-flags.patch.
- commit 53035ed
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc/tm: Add commandline option to disable hardware
  transactional memory (bsc#1055117).
- commit d4945ad
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc/64s: msgclr when handling doorbell exceptions from
  system reset (bsc#1065729).
- commit 920b4d2
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc/64s: Avoid cpabort in context switch when possible
  (bsc#1055117).
- Refresh patches.arch/powerpc-64s-Replace-CONFIG_PPC_STD_MMU_64-with-CONFI.patch.
- Refresh patches.arch/powerpc-store-and-restore-the-pkey-state-across-cont.patch.
- commit 4153120
* Thu Apr  5 2018 brogers@suse.com
- fw_cfg: write vmcoreinfo details (bsc#1077919).
- crash: export paddr_vmcoreinfo_note() (bsc#1077919).
- fw_cfg: add DMA register (bsc#1077919).
- fw_cfg: add a public uapi header (bsc#1077919).
- fw_cfg: handle fw_cfg_read_blob() error (bsc#1077919).
- fw_cfg: remove inline from fw_cfg_read_blob() (bsc#1077919).
- fw_cfg: fix sparse warnings around FW_CFG_FILE_DIR read
  (bsc#1077919).
- fw_cfg: fix sparse warning reading FW_CFG_ID (bsc#1077919).
- fw_cfg: fix sparse warnings with fw_cfg_file (bsc#1077919).
- fw_cfg: fix sparse warnings in fw_cfg_sel_endianness()
  (bsc#1077919).
- commit d4b3f19
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc/64: Drop explicit hwsync in context switch
  (bsc#1065729).
- Refresh patches.arch/powerpc-64s-Add-support-for-ori-barrier_nospec-patch.patch.
- Refresh patches.arch/powerpc-Add-barrier_nospec.patch.
- commit e5a5881
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc/64: Drop reservation-clearing ldarx in context switch
  (bsc#1065729).
- commit 6038e82
* Thu Apr  5 2018 brogers@suse.com
- fw_cfg: fix driver remove (bsc#1077919).
- fw_cfg: fix the command line module name (bsc#1077919).
- commit e296044
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc/powernv: Fix SMT4 forcing idle code (bsc#1061840).
- powerpc/lpar/debug: Initialize flags before printing debug
  message (bsc#1065729).
- powerpc: Move default security feature flags (bsc#1068032).
- commit a13eef9
* Thu Apr  5 2018 brogers@suse.com
- Refresh
  patches.drivers/crypto-ccp-add-check-to-get-psp-master-only-when-psp-is-detected.patch.
- commit 6ad4507
* Thu Apr  5 2018 jroedel@suse.de
- x86/platform/UV: Fix critical UV MMR address error
  (bsc#1087542).
- x86/platform/UV: Fix GAM Range Table entries less than 1GB
  (bsc#1087542).
- commit 1ed61f7
* Thu Apr  5 2018 jroedel@suse.de
- Refresh
  patches.drivers/crypto-ccp-add-check-to-get-psp-master-only-when-psp-is-detected.patch.
- commit 8376280
* Thu Apr  5 2018 dbueso@suse.de
- ipc/shm: Fix pid freeing (bsc#1088323).
- ipc/sem: Fix semctl(..., GETPID, ...) between pid namespaces
  (bsc#1088323).
- ipc/msg: Fix msgctl(..., IPC_STAT, ...) between pid namespaces
  (bsc#1088323).
- ipc/shm: Fix shmctl(..., IPC_STAT, ...) between pid namespaces
  (bsc#1088323).
- ipc/util: Helpers for making the sysvipc operations pid
  namespace aware (bsc#1088323).
- commit 834881a
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc/64: Call H_REGISTER_PROC_TBL when running as a HPT
  guest on POWER9 (bsc#1055117).
- commit d22d56e
* Thu Apr  5 2018 msuchanek@suse.de
- cxl: Fix possible deadlock when processing page faults from
  cxllib (bsc#1055014).
- cxl: Fix timebase synchronization status on P9 (bsc#1055014).
- commit 97da1b3
* Thu Apr  5 2018 dbueso@suse.de
- run series_sort.py
- commit dcd8dad
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc/64s: Wire up cpu_show_spectre_v2() (bsc#1068032).
- powerpc/64s: Wire up cpu_show_spectre_v1() (bsc#1068032).
- powerpc/64s: Enhance the information in cpu_show_meltdown()
  (bsc#1068032).
- commit 63a2f99
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc/64s: Move cpu_show_meltdown() (bsc#1068032).
  Refresh patches.arch/powerpc-64-barrier_nospec-Add-debugfs-trigger.patch.
- commit e6621ab
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc/powernv: Use the security flags in pnv_setup_rfi_flush()
  (bsc#1068032).
- powerpc/powernv: Set or clear security feature flags
  (bsc#1068032).
- commit 88dba39
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc/pseries: Set or clear security feature flags
  (bsc#1068032).
- powerpc/pseries: Use the security flags in
  pseries_setup_rfi_flush() (bsc#1068032).
- Refresh
  patches.arch/powerpc-64s-barrier_nospec-Add-hcall-trigger.patch.
- commit a943584
* Thu Apr  5 2018 jack@suse.cz
- FS-Cache: fix dereference of NULL user_key_payload
  (bsc#1052766).
- commit 55e6fcf
* Thu Apr  5 2018 jack@suse.cz
- nilfs2: fix race condition that causes file system corruption
  (bsc#1052766).
- commit a722fb7
* Thu Apr  5 2018 jack@suse.cz
- ocfs2: fix cluster hang after a node dies (bsc#1052766).
- commit 4120511
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc: Add security feature flags for Spectre/Meltdown
  (bsc#1068032).
- commit 5f230fd
* Thu Apr  5 2018 jack@suse.cz
- quota: propagate error from __dquot_initialize (bsc#1052766).
- commit cb9d963
* Thu Apr  5 2018 jack@suse.cz
- fsnotify: fix pinning group in fsnotify_prepare_user_wait()
  (bsc#1052766).
- commit c437982
* Thu Apr  5 2018 jack@suse.cz
- fscrypt: lock mutex before checking for bounce page pool
  (bsc#1052766).
- commit 209ee5e
* Thu Apr  5 2018 jack@suse.cz
- fscrypt: fix dereference of NULL user_key_payload (bsc#1052766).
- commit f373382
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc/pseries: Add new H_GET_CPU_CHARACTERISTICS flags
  (bsc#1068032).
- commit b7a53a4
* Thu Apr  5 2018 jack@suse.cz
- isofs: fix timestamps beyond 2027 (bsc#1052766).
- commit a587b63
* Thu Apr  5 2018 msuchanek@suse.de
- Refresh rfi patches
  patches.arch/powerpc-rfi-flush-Always-enable-fallback-flush-on-ps.patch
  patches.arch/powerpc-rfi-flush-Call-setup_rfi_flush-after-LPM-mig.patch
  patches.arch/powerpc-rfi-flush-Differentiate-enabled-and-patched-.patch
- commit d7870ce
* Thu Apr  5 2018 oneukum@suse.com
- NET: usb: qmi_wwan: add support for YUGA CLM920-NC5 PID 0x9625
  (bsc#1085539).
- commit 1d9d091
* Thu Apr  5 2018 jack@suse.cz
- jbd2: fix sphinx kernel-doc build warnings (bsc#1052766).
- commit fc5bd65
* Thu Apr  5 2018 jack@suse.cz
- ext4: correct documentation for grpid mount option
  (bsc#1052766).
- commit 93f8b5b
* Thu Apr  5 2018 jack@suse.cz
- ext4: save error to disk in __ext4_grp_locked_error()
  (bsc#1052766).
- commit 3dda242
* Thu Apr  5 2018 oneukum@suse.com
- net: usb: qmi_wwan: add Telit ME910 PID 0x1101 support
  (bsc#1085539).
- commit c074125
* Thu Apr  5 2018 jack@suse.cz
- ext4: fix a race in the ext4 shutdown path (bsc#1052766).
- commit 51e6374
* Thu Apr  5 2018 jack@suse.cz
- ext4: fix crash when a directory's i_size is too small
  (bsc#1052766).
- commit 7d7ac9f
* Thu Apr  5 2018 jack@suse.cz
- ext4: fix fdatasync(2) after fallocate(2) operation
  (bsc#1052766).
- commit 887455a
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc/64s: Relax PACA address limitations (bsc#1065729).
  Refresh patches.arch/powerpc-rfi-flush-Make-it-possible-to-call-setup_rfi.patch
- commit 16255f0
* Thu Apr  5 2018 oneukum@suse.com
- net: qmi_wwan: add Sierra EM7565 1199:9091 (bsc#1085539).
- commit d8901e2
* Thu Apr  5 2018 msuchanek@suse.de
- powerpc/64s/radix: Remove bolted-SLB address limit for per-cpu
  stacks (bsc#1055186, fate#323286).
- commit 79fc554
* Thu Apr  5 2018 oneukum@suse.com
- net: qmi_wwan: add Quectel BG96 2c7c:0296 (bsc#1085539).
- commit 78209a8
* Thu Apr  5 2018 jack@suse.cz
- ext4: fix interaction between i_size, fallocate, and delalloc
  after a crash (bsc#1052766).
- commit cbe1a44
* Thu Apr  5 2018 jack@suse.cz
- ext4: fix quota inconsistency during orphan cleanup for
  read-only mounts (bsc#1052766).
- commit f8cbe3f
* Thu Apr  5 2018 jack@suse.cz
- ext4: fix incorrect quotaoff if the quota feature is enabled
  (bsc#1052766).
- commit 5e83762
* Thu Apr  5 2018 jack@suse.cz
- run series_sort.py
- commit b8d67c7
* Thu Apr  5 2018 msuchanek@suse.de
- Refresh patches.arch/powerpc-rfi-flush-Move-the-logic-to-avoid-a-redo-int.patch
- commit 0f4792f
* Thu Apr  5 2018 msuchanek@suse.de
- lkdtm: fix handle_irq_event symbol for INT_HW_IRQ_EN
  (bsc#1052766).
- cpu/hotplug: Remove unused check_for_tasks() function
  (bsc#1087405).
- commit aff55d7
* Thu Apr  5 2018 jthumshirn@suse.de
- scsi: aacraid: remove redundant setting of variable c
  (bsc#1077989).
- commit 46a3cd8
* Thu Apr  5 2018 msuchanek@suse.de
- eeprom: at24: fix reading from 24MAC402/24MAC602 (bsc#1052766).
- commit e377943
* Thu Apr  5 2018 ohering@suse.de
- scripts/git_sort/git_sort.py: helgas/pci.git
  bsc#1087659
- commit 718b019
* Thu Apr  5 2018 ohering@suse.de
- add mainline tag to one crypto patch to be able to get further work done
- commit ce6483f
* Thu Apr  5 2018 jthumshirn@suse.de
- libata: Modify quirks for MX100 to limit NCQ_TRIM quirk to
  MU01 version (bsc#1077989).
- libata: Make Crucial BX100 500GB LPM quirk apply to all firmware
  versions (bsc#1077989).
- libata: Apply NOLPM quirk to Crucial M500 480 and 960GB SSDs
  (bsc#1077989).
- libata: Enable queued TRIM for Samsung SSD 860 (bsc#1077989).
- ahci: Add PCI-id for the Highpoint Rocketraid 644L card
  (bsc#1077989).
- libata: disable LPM for Crucial BX100 SSD 500GB drive
  (bsc#1077989).
- libata: Apply NOLPM quirk to Crucial MX100 512GB SSDs
  (bsc#1077989).
- libata: don't try to pass through NCQ commands to non-NCQ
  devices (bsc#1077989).
- libata: remove WARN() for DMA or PIO command without data
  (bsc#1077989).
- libata: fix length validation of ATAPI-relayed SCSI commands
  (bsc#1077989).
- libata: apply MAX_SEC_1024 to all LITEON EP1 series devices
  (bsc#1077989).
- commit c6aedf4
* Thu Apr  5 2018 jthumshirn@suse.de
- libnvdimm: passthru functions clear to send (FATE#324636).
- Refresh
  patches.drivers/libnvdimm-fix-integer-overflow-static-analysis-warni.patch.
- commit 9f63ca3
* Thu Apr  5 2018 jthumshirn@suse.de
- scsi: ibmvfc: fix misdefined reserved field in
  ibmvfc_fcp_rsp_info (bsc#1077989).
- scsi: core: scsi_get_device_flags_keyed(): Always return device
  flags (bsc#1077989).
- scsi: core: Fix a scsi_show_rq() NULL pointer dereference
  (bsc#1077989).
- scsi: ufs: ufshcd: fix potential NULL pointer dereference in
  ufshcd_config_vreg (bsc#1077989).
- commit 56f0ee6
* Thu Apr  5 2018 jthumshirn@suse.de
- scsi: aacraid: Fix udev inquiry race condition (bsc#1077989).
- Refresh patches.drivers/scsi-aacraid-Fix-hang-in-kdump.patch.
- commit 2a83436
* Thu Apr  5 2018 hare@suse.de
- scsi: mpt3sas: wait for and flush running commands on
  shutdown/unload (bsc#1081917).
- scsi: mpt3sas: fix oops in error handlers after shutdown/unload
  (bsc#1081917).
- commit a349d88
* Thu Apr  5 2018 hare@suse.de
- scsi: mpt3sas: Do not use 32-bit atomic request descriptor
  for Ventura controllers (bsc#1081917).
- scsi: mpt3sas: make function _get_st_from_smid static
  (bsc#1081917).
- scsi: mpt3sas: lockless command submission (bsc#1081917).
- scsi: mpt3sas: simplify _wait_for_commands_to_complete()
  (bsc#1081917).
- scsi: mpt3sas: simplify mpt3sas_scsi_issue_tm() (bsc#1081917).
- scsi: mpt3sas: simplify task management functions (bsc#1081917).
- scsi: mpt3sas: always use first reserved smid for ioctl
  passthrough (bsc#1081917).
- scsi: mpt3sas: check command status before attempting abort
  (bsc#1081917).
- scsi: mpt3sas: Introduce mpt3sas_get_st_from_smid()
  (bsc#1081917).
- scsi: mpt3sas: open-code _scsih_scsi_lookup_get() (bsc#1081917).
- scsi: mpt3sas: separate out _base_recovery_check()
  (bsc#1081917).
- scsi: mpt3sas: use list_splice_init() (bsc#1081917).
- scsi: mpt3sas: set default value for cb_idx (bsc#1081917).
- scsi: mpt3sas: Remove unused variable requeue_event
  (bsc#1081917).
- scsi: mpt3sas: Replace PCI pool old API (bsc#1081917).
- commit cb50073
* Thu Apr  5 2018 jthumshirn@suse.de
- libnvdimm, {btt, blk}: do integrity setup before add_disk()
  (FATE#323731).
- libnvdimm, btt: Fix an incompatibility in the log layout
  (FATE#323731).
- libnvdimm, namespace: fix label initialization to use valid
  seq numbers (FATE#323731).
- libnvdimm, dimm: clear 'locked' status on successful DIMM enable
  (FATE#323731).
- commit d622fe7
* Thu Apr  5 2018 lhenriques@suse.com
- ceph: only dirty ITER_IOVEC pages for direct read (bsc#1084898).
- commit 39d3e00
* Thu Apr  5 2018 lhenriques@suse.com
- Refresh
  patches.drivers/crypto-ccp-add-check-to-get-psp-master-only-when-psp-is-detected.patch.
- commit 0eac7e1
* Thu Apr  5 2018 hare@suse.de
- Refresh
  patches.drivers/crypto-ccp-add-check-to-get-psp-master-only-when-psp-is-detected.patch.
- commit 31ba015
* Thu Apr  5 2018 colyli@suse.de
- dm: bump DM_VERSION_MINOR in response to target method error
  code changes (fate#322738,fate#322919,fate#322950,fate#323773).
- dm ioctl: fix alignment of event number in the device list
  (fate#322738,fate#322919,fate#322950,fate#323773).
- bcache: don't attach backing with duplicate UUID (bsc#1076110).
- bcache: fix crashes in duplicate cache device register
  (bsc#1076110).
- Refresh with patch-mainline info from upstream
  patches.drivers/crypto-ccp-add-check-to-get-psp-master-only-when-psp-is-detected.patch.
- commit d9ed9f7
* Thu Apr  5 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/crypto-ccp-add-check-to-get-psp-master-only-when-psp-is-detected.patch.
- commit 3c722f3
* Thu Apr  5 2018 ohering@suse.de
- hv_netvsc: enable multicast if necessary (fate#323887).
- commit 8ac01bc
* Thu Apr  5 2018 bpoirier@suse.com
- i40evf: fix mac filter removal timing issue (bsc#1085952).
- commit 77d77ad
* Thu Apr  5 2018 rgoldwyn@suse.com
- Check all profiles attached to the label (bsc#1085996).
- commit bdb6960
* Wed Apr  4 2018 bp@suse.de
- EDAC, sb_edac: Fix missing DIMM sysfs entries with KNL SNC2/SNC4
  mode (bsc#1087398).
- commit 379aede
* Wed Apr  4 2018 mbrugger@suse.com
- clk: bcm2835: Protect sections updating shared registers
  (bsc#1085535).
- clk: bcm2835: Fix ana->maskX definitions (bsc#1085535).
- clk: migrate the count of orphaned clocks at init (bsc#1085535).
- i2c: bcm2835: Set up the rising/falling edge delays
  (bsc#1085535).
- clk: Don't touch hardware when reparenting during registration
  (bsc#1085535).
- clk: fix a panic error caused by accessing NULL pointer
  (bsc#1085535).
- clk: imx: imx7d: Fix parent clock for OCRAM_CLK (bsc#1085535).
- clocksource/drivers/arm_arch_timer: Validate CNTFRQ after
  enabling frame (bsc#1085535).
- clocksource/drivers/arm_arch_timer: Fix mem frame loop
  initialization (bsc#1085535).
- commit 99eb15b
* Wed Apr  4 2018 bp@suse.de
- perf/x86/intel/uncore: Fix multi-domain PCI CHA enumeration
  bug on Skylake servers (bsc#1086359).
- commit e6b5922
* Wed Apr  4 2018 mbrugger@suse.com
- arm64: Relax ARM_SMCCC_ARCH_WORKAROUND_1 discovery
  (bsc#1088051).
- arm64: mm: fix thinko in non-global page table attribute check
  (bsc#1088049).
- arm64: Remove unimplemented syscall log message (bsc#1085535).
- arm64: cpufeature: Fix CTR_EL0 field definitions (bsc#1085535).
- arm64: proc: Set PTE_NG for table entries to avoid traversing
  them twice (bsc#1085535).
- arm64: fix CONFIG_DEBUG_WX address reporting (bsc#1085535).
- arm64: mm: Fix false positives in set_pte_at access/dirty race
  detection (bsc#1085535).
- arm64: Initialise high_memory global variable earlier
  (bsc#1085535).
- arm64: fpsimd: Prevent registers leaking from dead tasks
  (bsc#1085535).
- arm64: prevent regressions in compressed kernel image size
  when upgrading to binutils 2.27 (bsc#1085535).
- arm64: Implement arch-specific pte_access_permitted()
  (bsc#1085535).
- arm64: ensure __dump_instr() checks addr_limit (bsc#1085535).
- arm64: fault: Route pte translation faults via
  do_translation_fault (bsc#1085535).
- arm64: mm: Use READ_ONCE when dereferencing pointer to pte table
  (bsc#1085535).
- arm64: Make sure SPsel is always set (bsc#1085535).
- commit 9ca6ca7
* Wed Apr  4 2018 tiwai@suse.de
- mmc: block: fix updating ext_csd caches on ioctl call
  (bsc#1051510).
- commit 750d5f5
* Wed Apr  4 2018 tiwai@suse.de
- blacklist.conf: update mmc entry
- commit 2ee5678
* Wed Apr  4 2018 oneukum@suse.com
- usb: usbmon: Read text within supplied buffer size
  (bsc#1087092).
- commit 86b2669
* Wed Apr  4 2018 oneukum@suse.com
- USB: storage: Add JMicron bridge 152d:2567 to unusual_devs.h
  (bsc#1087092).
- commit 1ed8de7
* Wed Apr  4 2018 oneukum@suse.com
- Revert "usb: musb: host: don't start next rx urb if current
  one failed" (bsc#1087092).
- commit b079d8b
* Wed Apr  4 2018 oneukum@suse.com
- usb: ohci: Proper handling of ed_rm_list to handle race
  condition between usb_kill_urb() and finish_unlinks()
  (bsc#1087092).
- commit 5b90439
* Wed Apr  4 2018 oneukum@suse.com
- xhci: Fix front USB ports on ASUS PRIME B350M-A (bsc#1087092).
- commit f61cb1b
* Wed Apr  4 2018 mfleming@suse.de
- nohz: Prevent a timer interrupt storm in
  tick_nohz_stop_sched_tick() (bsc#1051510).
- Refresh
  patches.suse/kernel-add-release-status-to-kernel-build.patch.
- Refresh patches.suse/sched-throttle-nohz.patch.
- commit a31081c
* Wed Apr  4 2018 tiwai@suse.de
- blacklist.conf: Add mac80211 entry
- commit 8a71e13
* Wed Apr  4 2018 tiwai@suse.de
- media: s3c-camif: fix out-of-bounds array access (bsc#1051510).
- media: vivid: fix incorrect capabilities for radio
  (bsc#1051510).
- media: cx25821: prevent out-of-bounds read on array card
  (bsc#1051510).
- media: au0828: fix VIDEO_V4L2 dependency (bsc#1051510).
- ath10k: fix recent bandwidth conversion bug (bsc#1051510).
- ath10k: advertize beacon_int_min_gcd (bsc#1051510).
- iwlwifi: mvm: check if mac80211_queue is valid in
  iwl_mvm_disable_txq (bsc#1051510).
- ath9k: Protect queue draining by rcu_read_lock() (bsc#1051510).
- mac80211: don't WARN on bad WMM parameters from buggy APs
  (bsc#1051510).
- mt7601u: let mac80211 validate rx CCMP PN (bsc#1051510).
- regmap: Format data for raw write in regmap_bulk_write
  (bsc#1051510).
- regmap: Don't use format_val in regmap_bulk_read (bsc#1051510).
- regmap: Correct offset handling in regmap_volatile_range
  (bsc#1051510).
- regmap-i2c: Off by one in regmap_i2c_smbus_i2c_read/write()
  (bsc#1051510).
- regmap: Fix reversed bounds check in regmap_raw_write()
  (bsc#1051510).
- regmap: Correct comparison in regmap_cached (bsc#1051510).
- commit f0366d2
* Wed Apr  4 2018 tiwai@suse.de
- add a cherry-picked id to earlycon fix patch
- commit c41f9b4
* Wed Apr  4 2018 bp@suse.de
- x86/cpu/amd: Derive L3 shared_cpu_map from cpu_llc_shared_mask
  (stable fixes).
- x86/efi: Fix kernel param add_efi_memmap regression (stable
  fixes).
- x86: Make X86_BUG_FXSAVE_LEAK detectable in CPUID on AMD
  (stable fixes).
- x86/microcode/intel: Disable late loading on model 79 (stable
  fixes).
- x86/microcode/intel: Extend BDW late-loading further with LLC
  size check (stable fixes).
- x86/microcode/intel: Extend BDW late-loading with a revision
  check (stable fixes).
- x86/mm, mm/hwpoison: Clear PRESENT bit for kernel 1:1 mappings
  of poison pages (stable fixes).
- x86/mm, mm/hwpoison: Don't unconditionally unmap kernel 1:1
  pages (stable fixes).
- blacklist.conf:
- Refresh
  patches.arch/x86-cpufeatures-add-amd-feature-bits-for-speculation-control.patch.
- Refresh
  patches.arch/x86-cpufeatures-clean-up-spectre-v2-related-cpuid-flags.patch.
- commit 6fad1e8
* Wed Apr  4 2018 oneukum@suse.com
- HID: multitouch: Support PTP Stick and Touchpad device
  (bsc#1085535).
- commit 121a18f
* Wed Apr  4 2018 mbrugger@suse.com
- blacklist.conf: arm64: ignore compiler warning fix
- commit f435aeb
* Wed Apr  4 2018 oneukum@suse.com
- HID: quirks: Fix keyboard + touchpad on Toshiba Click Mini
  not working (bsc#1087092).
- commit c28bdad
* Wed Apr  4 2018 aaptel@suse.com
- Fix encryption labels and lengths for SMB3.1.1 (bsc#1085536).
- commit 1064d6b
* Wed Apr  4 2018 oneukum@suse.com
- HID: multitouch: Only look at non touch fields in first packet
  of a frame (bsc#1087092).
- commit d86f5f8
* Wed Apr  4 2018 aaptel@suse.com
- Fix SMB3.1.1 guest authentication to Samba (bsc#1085536).
- commit 1a6f5eb
* Wed Apr  4 2018 aaptel@suse.com
- SMB3: Don't ignore O_SYNC/O_DSYNC and O_DIRECT flags
  (bsc#1085536).
- commit b7e7367
* Wed Apr  4 2018 aaptel@suse.com
- SMB3: handle new statx fields (bsc#1085536).
- commit 137a353
* Wed Apr  4 2018 aaptel@suse.com
- SMB: Validate negotiate (to protect against downgrade) even
  if signing off (bsc#1085536).
- commit 4cd7fa4
* Wed Apr  4 2018 aaptel@suse.com
- SMB3: Warn user if trying to sign connection that authenticated
  as guest (bsc#1085536).
- commit 17be9ec
* Wed Apr  4 2018 oneukum@suse.com
- PCMCIA / PM: Avoid noirq suspend aborts during suspend-to-idle
  (bsc#1087092).
- commit c4ccc7e
* Wed Apr  4 2018 agraf@suse.de
- Refresh patches.suse/0001-lan78xx-Connect-phy-early.patch.
- commit 1f9e0fb
* Tue Apr  3 2018 yousaf.kaukab@suse.com
- arm64: assembler: Change order of macro arguments in
  phys_to_ttbr (bsc#1087414).
- commit 50ba314
* Tue Apr  3 2018 tbogendoerfer@suse.de
- net/mlx4_core: Fix memory leak while delete slave's resources
  (bsc#1046300 FATE#322946).
- net/mlx4_en: Fix mixed PFC and Global pause user control
  requests (bsc#1046299 FATE#322947).
- net/mlx5e: Avoid using the ipv6 stub in the TC offload neigh
  update path (bsc#1046303 FATE#322944).
- net/mlx5e: Fix memory usage issues in offloading TC flows
  (bsc#1046303 FATE#322944).
- net/mlx5e: Fix traffic being dropped on VF representor
  (bsc#1046303 FATE#322944).
- net/mlx5e: Don't override vport admin link state in switchdev
  mode (bsc#1046303 FATE#322944).
- RDMA/ucma: Check that device exists prior to accessing it
  (bsc#1046306 FATE#322942).
- RDMA/ucma: Check that device is connected prior to access it
  (bsc#1046306 FATE#322942).
- RDMA/qedr: Fix QP state initialization race (bsc#1050545
  FATE#322893).
- RDMA/qedr: Fix rc initialization on CNQ allocation failure
  (bsc#1050545 FATE#322893).
- RDMA/qedr: fix QP's ack timeout configuration (bsc#1050545
  FATE#322893).
- bnxt_en: Check valid VNIC ID in bnxt_hwrm_vnic_set_tpa()
  (bsc#1050242 FATE#322914).
- RDMA/ucma: Ensure that CM_ID exists prior to access it
  (bsc#1046306 FATE#322942).
- RDMA/ucma: Fix use-after-free access in ucma_close (bsc#1046306
  FATE#322942).
- RDMA/ucma: Fix access to non-initialized CM_ID object
  (bsc#1046306 FATE#322942).
- commit bacc3ae
* Tue Apr  3 2018 tbogendoerfer@suse.de
- net/mlx5e: Sync netdev vxlan ports at open (bsc#1046303
  FATE#322944).
- RDMA/core: Do not use invalid destination in determining port
  reuse (bsc#1046306 FATE#322942).
- IB/mlx5: Fix integer overflows in mlx5_ib_create_srq
  (bsc#1046305 FATE#322943).
- IB/mlx5: Fix incorrect size of klms in the memory region
  (bsc#1046305 FATE#322943).
- commit 78a69dd
* Tue Apr  3 2018 tbogendoerfer@suse.de
- net/mlx5: Make eswitch support to depend on switchdev
  (bsc#1046305 FATE#322943).
- RDMA/rdma_cm: Fix use after free race with process_one_req
  (bsc#1046306 FATE#322942).
- RDMA/ucma: Correct option size check using optlen (bsc#1046306
  FATE#322942).
- RDMA/ucma: Check AF family prior resolving address (bsc#1046306
  FATE#322942).
- RDMA/ucma: Don't allow join attempts for unsupported AF family
  (bsc#1046306 FATE#322942).
- IB/mlx5: Fix out-of-bounds read in create_raw_packet_qp_rq
  (bsc#1046305 FATE#322943).
- commit 9a507f9
* Tue Apr  3 2018 tiwai@suse.de
- Move a few upstreamed i915 patches into sorted section
- commit 31b54c4
* Tue Apr  3 2018 tbogendoerfer@suse.de
- Re-sorted sorted section.
- Refresh
  patches.arch/powerpc-64s-Fix-NULL-AT_BASE_PLATFORM-when-using-DT-.patch.
- Refresh
  patches.arch/powerpc-64s-Fix-lost-pending-interrupt-due-to-race-c.patch.
- Refresh
  patches.arch/powerpc-mm-Add-tracking-of-the-number-of-coprocessor.patch.
- Refresh patches.arch/powerpc-mm-radix-Remove-unused-code.patch.
- Refresh
  patches.drivers/drm-i915-Fix-DPLCLKA_CFGCR0-bits-for-Port-F.
- Refresh
  patches.drivers/drm-i915-For-HPD-connected-port-use-hpd_pin-instead-.
- Refresh patches.drivers/drm-i915-cnl-Add-AUX-F-support.
- Refresh
  patches.drivers/drm-i915-cnl-Add-Cannonlake-PCI-IDs-for-another-SKU.
- Refresh patches.drivers/drm-i915-cnl-Add-HPD-support-for-Port-F.
- Refresh patches.drivers/drm-i915-cnl-Add-Port-F-definition.
- Refresh
  patches.drivers/drm-i915-cnl-Add-right-GMBUS-pin-number-for-HDMI-on-.
- Refresh patches.drivers/drm-i915-cnl-Enable-DDI-F-on-Cannonlake.
- Refresh patches.drivers/drm-i915-cnl-Extend-Wa-1178-to-Aux-F.
- Refresh
  patches.drivers/drm-i915-cnl-Fix-DP-max-rate-for-Cannonlake-with-por.
- Refresh
  patches.drivers/drm-i915-cnl-Fix-_CNL_PORT_TX_DW2_LN0_F-definition.
- Refresh
  patches.drivers/drm-i915-cnl-Fix-aux-selection-for-WA-1178.
- Refresh
  patches.drivers/drm-i915-cnl-WaPipeControlBefore3DStateSamplePattern.
- Refresh
  patches.drivers/drm-i915-cnl-apply-Display-WA-1178-to-fix-type-C-don.
- Refresh patches.drivers/drm-i915-dmc-DMC-1.07-for-Cannonlake.
- Refresh
  patches.drivers/drm-i915-dp-abstract-rate-array-length-limiting.
- Refresh
  patches.drivers/drm-i915-dp-clean-up-source-rate-limiting-for-cnl.
- Refresh
  patches.drivers/drm-i915-dp-limit-DP-link-rate-based-on-VBT-on-CNL.
- commit 7eebb19
* Tue Apr  3 2018 msuchanek@suse.de
- powerpc/kexec_file: Fix error code when trying to load kdump
  kernel (bsc#1065729).
- powerpc: Fix invalid use of register expressions (bsc#1065729).
- commit 7f76cbc
* Tue Apr  3 2018 tiwai@suse.de
- drm/i915: Fix hibernation with ACPI S0 target state
  (bsc#1051510).
- drm/i915/execlists: Use a locked clear_bit() for synchronisation
  with interrupt (bsc#1051510).
- drm/i915: Wrap engine->schedule in RCU locks for set-wedge
  protection (bsc#1051510).
- drm/i915/psr: Check for the specific AUX_FRAME_SYNC cap bit
  (bsc#1051510).
- drm/i915: Correctly handle limited range YCbCr data on VLV/CHV
  (bsc#1051510).
- ALSA: pcm: Use dma_bytes as size parameter in
  dma_mmap_coherent() (bsc#1051510).
- ASoC: mt8173-rt5650: fix child-node lookup (bsc#1051510).
- commit 2b920b8
* Tue Apr  3 2018 tiwai@suse.de
- Preliminary patch sort and update
- commit 7e40132
* Tue Apr  3 2018 tiwai@suse.de
- blacklist.conf: Update drm and ath9k blacklist
- commit cd79980
* Tue Apr  3 2018 yousaf.kaukab@suse.com
- arm64: mm: ignore memory above supported physical address size (bsc#1087414).
- commit 492164f
* Tue Apr  3 2018 yousaf.kaukab@suse.com
- arm64: fix comment above tcr_compute_pa_size (bsc#1087414).
- commit 084a935
* Tue Apr  3 2018 yousaf.kaukab@suse.com
- KVM: arm/arm64: fix HYP ID map extension to 52 bits (bsc#1087414).
- commit 816eb92
* Tue Apr  3 2018 yousaf.kaukab@suse.com
- arm64: fix ID map extension to 52 bits (bsc#1087414).
- commit 08c26ef
* Mon Apr  2 2018 jslaby@suse.cz
- objtool: Fix 32-bit build (bnc#1058115 git-fixes).
- commit 17df039
* Mon Apr  2 2018 jlee@suse.com
- acpi, numa: fix pxm to online numa node associations
  (bsc#1087144).
- commit cc55a09
* Mon Apr  2 2018 jlee@suse.com
- Refresh
  patches.arch/powerpc-64s-Fix-NULL-AT_BASE_PLATFORM-when-using-DT-.patch.
- Refresh
  patches.arch/powerpc-64s-Fix-lost-pending-interrupt-due-to-race-c.patch.
- Refresh
  patches.arch/powerpc-mm-Add-tracking-of-the-number-of-coprocessor.patch.
- Refresh patches.arch/powerpc-mm-radix-Remove-unused-code.patch.
- commit 8e8e208
* Sun Apr  1 2018 nstange@suse.de
- ppc64le: reliable stacktrace: fix .text check (bsc#1087458).
- commit 1aa954a
* Sat Mar 31 2018 nstange@suse.de
- ppc64le: reliable stacktrace: fix stacktrace for idle tasks (bsc#1087458).
- commit 5938588
* Thu Mar 29 2018 bp@suse.de
- x86/entry/64: Don't use IST entry for #BP stack (bsc#1087088).
- commit 10d3c90
* Thu Mar 29 2018 jslaby@suse.cz
- posix-timers: Protect posix clock array access against
  speculation (bnc#1081358 CVE-2017-5715).
- commit 5a1acc8
* Thu Mar 29 2018 msuchanek@suse.de
- KABI: cpu/hotplug: provide the old get|put_online_cpus()
  (bsc#1087405).
- commit f687c6d
* Thu Mar 29 2018 msuchanek@suse.de
- Import kabi files from RC2
- commit 3f5879f
* Thu Mar 29 2018 aaptel@suse.com
- run series_sort.py
- commit d353f7c
* Thu Mar 29 2018 msuchanek@suse.de
- powerpc: Don't call lockdep_assert_cpus_held() from
  arch_update_cpu_topology() (bsc#1087405).
- workqueue: Work around edge cases for calc of pool's cpumask
  (bsc#1087405).
- powerpc: Only obtain cpu_hotplug_lock if called by rtasd
  (bsc#1087405).
  Refresh patches.arch/powerpc-numa-Invalidate-numa_cpu_lookup_table-on-cpu.patch.
- cpu/hotplug: Convert hotplug locking to percpu rwsem
  (bsc#1087405).
- stop_machine: Provide stop_machine_cpuslocked() (bsc#1087405).
- cpu/hotplug: Provide lockdep_assert_cpus_held() (bsc#1087405).
- cpu/hotplug: Provide cpus_read|write_[un]lock() (bsc#1087405).
- commit 47384e4
* Thu Mar 29 2018 jack@suse.cz
- ipc/shm.c: add split function to shm_vm_ops (bsc#1052766).
- commit 4d132c0
* Thu Mar 29 2018 jack@suse.cz
- dax: fix vma_is_fsdax() helper (bsc#1052766).
- commit b56bd6f
* Thu Mar 29 2018 jack@suse.cz
- Run series_sort.py:
  patches.arch/powerpc-64s-Fix-NULL-AT_BASE_PLATFORM-when-using-DT-.patch.
  patches.arch/powerpc-64s-Fix-lost-pending-interrupt-due-to-race-c.patch.
  patches.arch/powerpc-mm-Add-tracking-of-the-number-of-coprocessor.patch.
  patches.arch/powerpc-mm-radix-Remove-unused-code.patch.
- commit d6d2551
* Thu Mar 29 2018 oneukum@suse.com
- blacklist.conf: config only
- commit 80e80db
* Thu Mar 29 2018 oneukum@suse.com
- HID: wacom: generic: Recognize WACOM_HID_WD_PEN as a type of
  pen collection (bsc#1085539).
- commit 45e56be
* Thu Mar 29 2018 oneukum@suse.com
- HID: hid-elecom: extend to fix descriptor for HUGE trackball
  (bsc#1085536).
- commit 31aa2e9
* Thu Mar 29 2018 yousaf.kaukab@suse.com
- Update config files.
- commit f6b4573
* Thu Mar 29 2018 oneukum@suse.com
- HID: usbhid: fix out-of-bounds bug (bsc#1085536).
- commit 8c5a469
* Thu Mar 29 2018 yousaf.kaukab@suse.com
- arm64: Fix TTBR + PAN + 52-bit PA logic in cpu_do_switch_mm (bsc#1087414).
- commit 78c2b65
* Thu Mar 29 2018 oneukum@suse.com
- HID: wacom: Always increment hdev refcount within
  wacom_get_hdev_data (bsc#1085536).
- commit 928bfef
* Thu Mar 29 2018 yousaf.kaukab@suse.com
- arm64: enable 52-bit physical address support (bsc#1087414).
- commit 19c75f1
* Thu Mar 29 2018 oneukum@suse.com
- HID: wacom: generic: Clear ABS_MISC when tool leaves proximity
  (bsc#1085536).
- commit 52ce6f1
* Thu Mar 29 2018 oneukum@suse.com
- HID: wacom: generic: Send MSC_SERIAL and ABS_MISC when leaving
  prox (bsc#1085536).
- commit 7d14c4c
* Thu Mar 29 2018 oneukum@suse.com
- HID: i2c-hid: allocate hid buffers for real worst case
  (bsc#1085536).
- commit 8469205
* Thu Mar 29 2018 oneukum@suse.com
- HID: wacom: Correct coordinate system of touchring and pen twist
  (bsc#1085536).
- HID: wacom: Properly report negative values from Intuos Pro
  2 Bluetooth (bsc#1085536).
- commit 3415c32
* Thu Mar 29 2018 oneukum@suse.com
- HID: wacom: leds: Don't try to control the EKR's read-only LEDs
  (bsc#1085536).
- commit 9dd7e47
* Thu Mar 29 2018 oneukum@suse.com
- HID: wacom: bits shifted too much for 9th and 10th buttons
  (bsc#1085536).
- commit 981162e
* Thu Mar 29 2018 oneukum@suse.com
- isdn/i4l: fetch the ppp_write buffer in one shot (bsc#1085536).
- commit b48a9e9
* Thu Mar 29 2018 yousaf.kaukab@suse.com
- arm64: allow ID map to be extended to 52 bits (bsc#1087414).
- commit 6c68c5d
* Thu Mar 29 2018 yousaf.kaukab@suse.com
- arm64: handle 52-bit physical addresses in page table entries (bsc#1087414).
- commit b24364b
* Thu Mar 29 2018 oneukum@suse.com
- ohci-hcd: Fix race condition caused by ohci_urb_enqueue()
  and io_watchdog_func() (bsc#1087092).
- commit 9648543
* Thu Mar 29 2018 yousaf.kaukab@suse.com
- arm64: don't open code page table entry creation (bsc#1087414).
- commit d140261
* Thu Mar 29 2018 yousaf.kaukab@suse.com
- arm64: head.S: handle 52-bit PAs in PTEs in early page table setup (bsc#1087414).
- Delete out-of-tree patch
  patches.suse/arm64-add-PTE_ADDR_MASK.patch
- commit a185a0c
* Thu Mar 29 2018 yousaf.kaukab@suse.com
- arm64: handle 52-bit addresses in TTBR (bsc#1087414).
- Refresh
  patches.suse/0010-arm64-Move-post_ttbr_update_workaround-to-C-code.patch.
- Refresh
  patches.suse/0012-arm64-KVM-Use-per-CPU-vector-when-BP-hardening-is-en.patch
- Refresh
  patches.suse/arm64-Add-software-workaround-for-Falkor-erratum-104.patch
- Refresh
  patches.suse/v2-4-9-arm64-kpti-Add---enable-callback-to-remap-swapper-using-nG-mappings.patch.
- commit 2db3dd8
* Thu Mar 29 2018 tiwai@suse.de
- mfd: lpc_ich: Avoton/Rangeley uses SPI_BYT method (bsc#1051510).
- commit 4767d8c
* Thu Mar 29 2018 tiwai@suse.de
- ima/policy: fix parsing of fsuuid (bsc#1051510).
- ima: relax requiring a file signature for new files with zero
  length (bsc#1051510).
- commit 2cdd97f
* Thu Mar 29 2018 yousaf.kaukab@suse.com
- arm64: limit PA size to supported range (bsc#1087414).
- commit 70ee670
* Thu Mar 29 2018 yousaf.kaukab@suse.com
- arm64: add kconfig symbol to configure physical address size (bsc#1087414).
- commit d185b34
* Thu Mar 29 2018 tiwai@suse.de
- earlycon: add reg-offset to physical address before mapping
  (bsc#1051510).
- commit 4cbd533
* Thu Mar 29 2018 tiwai@suse.de
- brcmfmac: fix P2P_DEVICE ethernet address generation
  (bsc#1051510).
- commit f59d048
* Thu Mar 29 2018 tiwai@suse.de
- Bluetooth: btusb: Add Dell OptiPlex 3060 to
  btusb_needs_reset_resume_table (bsc#1051510).
- commit f568264
* Thu Mar 29 2018 tiwai@suse.de
- Preliminary series sort / update
- commit 50c4a36
* Thu Mar 29 2018 oneukum@suse.com
- usb: Don't print a warning if interface driver rebind is
  deferred at resume (bsc#1087211).
- commit a2c4fdd
* Thu Mar 29 2018 oneukum@suse.com
- USB: usbip: remove useless call in usbip_recv (bsc#1087092).
- commit 01880ff
* Thu Mar 29 2018 tiwai@suse.de
- Input: matrix_keypad - fix race when disabling interrupts
  (bsc#1051510).
- commit e958019
* Thu Mar 29 2018 ohering@suse.de
- Drivers: hv: vmbus: Fix ring buffer signaling (fate#323887).
- hv_netvsc: common detach logic (fate#323887).
- hv_netvsc: change GPAD teardown order on older versions
  (fate#323887).
- hv_netvsc: use RCU to fix concurrent rx and queue changes
  (fate#323887).
- hv_netvsc: disable NAPI before channel close (fate#323887).
- hv_netvsc: fix locking during VF setup (fate#323887).
- hv_netvsc: fix locking for rx_mode (fate#323887).
- hv_netvsc: avoid repeated updates of packet filter
  (fate#323887).
- hv_netvsc: fix filter flags (fate#323887).
- scsi: storvsc: Spread interrupts when picking a channel for
  I/O requests (fate#323887).
- hv_netvsc: propagate rx filters to VF (fate#323887).
- hv_netvsc: filter multicast/broadcast (fate#323887).
- hv_netvsc: defer queue selection to VF (fate#323887).
- hv_netvsc: use napi_schedule_irqoff (fate#323887).
- hv_netvsc: fix race in napi poll when rescheduling
  (fate#323887).
- hv_netvsc: cancel subchannel setup before halting device
  (fate#323887).
- hv_netvsc: fix error unwind handling if vmbus_open fails
  (fate#323887).
- hv_netvsc: only wake transmit queue if link is up (fate#323887).
- hv_netvsc: avoid retry on send during shutdown (fate#323887).
- scsi: storvsc: Increase cmd_per_lun for higher speed devices
  (fate#323887).
- commit c2c371a
* Wed Mar 28 2018 tiwai@suse.de
- rtlwifi: rtl8723be: Fix loss of signal (bsc#1051510).
- mmc: dw_mmc: fix falling from idmac to PIO mode when
  dw_mci_reset occurs (bsc#1051510).
- mmc: core: Disable HPI for certain Micron (Numonyx) eMMC cards
  (bsc#1051510).
- mmc: dw_mmc: Avoid accessing registers in runtime suspended
  state (bsc#1051510).
- mmc: sdhci-pci: Fix S0i3 for Intel BYT-based controllers
  (bsc#1051510).
- mmc: avoid removing non-removable hosts during suspend
  (bsc#1051510).
- mmc: mmc_test: Ensure command queue is disabled for testing
  (bsc#1051510).
- commit f5a53da
* Wed Mar 28 2018 tiwai@suse.de
- ALSA: aloop: Fix access to not-yet-ready substream via cable
  (bsc#1051510).
- ALSA: aloop: Sync stale timer before release (bsc#1051510).
- ALSA: hda/realtek - Fix speaker no sound after system resume
  (bsc#1051510).
- ALSA: hda/realtek - Fix Dell headset Mic can't record
  (bsc#1051510).
- ALSA: hda - Force polling mode on CFL for fixing codec
  communication (bsc#1051510).
- ALSA: usb-audio: Fix parsing descriptor of UAC2 processing unit
  (bsc#1051510).
- ALSA: hda/realtek - Always immediately update mute LED with
  pin VREF (bsc#1051510).
- drm: udl: Properly check framebuffer mmap offsets (bsc#1051510).
- drm: Reject getfb for multi-plane framebuffers (bsc#1051510).
- drm/vmwgfx: Fix a destoy-while-held mutex problem (bsc#1051510).
- drm/vmwgfx: Fix black screen and device errors when running
  without fbdev (bsc#1051510).
- drm/radeon: Don't turn off DP sink when disconnected
  (bsc#1051510).
- commit f5e4005
* Wed Mar 28 2018 enadolski@suse.com
- btrfs: add missing initialization in btrfs_check_shared
  (bsc#1087185).
- commit 0dc4dff
* Wed Mar 28 2018 tiwai@suse.de
- mei: me: allow runtime pm for platform with D0i3 (bsc#1087204).
- commit 91f0e9a
* Wed Mar 28 2018 oneukum@suse.com
- usbip: keep usbip_device sockfd state in sync with tcp_socket
  (bsc#1087092).
- commit a9c0193
* Wed Mar 28 2018 aaptel@suse.com
- CIFS: zero sensitive data when freeing (bsc#1087092).
- commit 342e490
* Wed Mar 28 2018 oneukum@suse.com
- usbip: list: don't list devices attached to vhci_hcd
  (bsc#1087092).
- commit 80e4e06
* Wed Mar 28 2018 oneukum@suse.com
- usbip: prevent bind loops on devices attached to vhci_hcd
  (bsc#1087092).
- commit 1b1531b
* Wed Mar 28 2018 aaptel@suse.com
- cifs: Fix autonegotiate security settings mismatch (bsc#1087092).
- commit 7bd8fc2
* Wed Mar 28 2018 aaptel@suse.com
- cifs: Fix missing put_xid in cifs_file_strict_mmap (bsc#1087092).
- commit 15a395c
* Wed Mar 28 2018 aaptel@suse.com
- cifs: fix NULL deref in SMB2_read (bsc#1085539).
- commit a05b05d
* Wed Mar 28 2018 aaptel@suse.com
- cifs: check MaxPathNameComponentLength != 0 before using it
  (bsc#1085536).
- commit 5af1893
* Wed Mar 28 2018 oneukum@suse.com
- usbip: vudc_tx: fix v_send_ret_submit() vulnerability to null
  xfer buffer (bsc#1085539).
- commit cba3218
* Wed Mar 28 2018 aaptel@suse.com
- cifs: Select all required crypto modules (bsc#1085536).
- commit 23399f9
* Wed Mar 28 2018 aaptel@suse.com
- cifs: release auth_key.response for reconnect (bsc#1085536).
- commit 0221ea3
* Wed Mar 28 2018 aaptel@suse.com
- cifs: release cifs root_cred after exit_cifs (bsc#1085536).
- commit 5fcee93
* Wed Mar 28 2018 aaptel@suse.com
- cifs: check rsp for NULL before dereferencing in SMB2_open
  (bsc#1085536).
- commit bb4352e
* Wed Mar 28 2018 oneukum@suse.com
- usbip: remove kernel addresses from usb device and urb debug
  msgs (bsc#1085539).
- usbip: fix vudc_rx: harden CMD_SUBMIT path to handle malicious
  input (bsc#1085539).
- commit 6015ddb
* Wed Mar 28 2018 oneukum@suse.com
- usbip: fix usbip bind writing random string after command in
  match_busid (bsc#1085539).
- commit 251451b
* Wed Mar 28 2018 msuchanek@suse.de
- powerpc/64s: Fix i-side SLB miss bad address handler saving
  nonvolatile GPRs (bsc#1065729).
- commit 5dca109
* Wed Mar 28 2018 oneukum@suse.com
- usbip: prevent leaking socket pointer address in messages
  (bsc#1085539).
- commit c149b42
* Wed Mar 28 2018 lpechacek@suse.com
- powerpc/livepatch: Fix livepatch stack access (bsc#1086660).
- commit 37df8c9
* Wed Mar 28 2018 oneukum@suse.com
- usbip: stub: stop printing kernel pointer addresses in messages
  (bsc#1085539).
- commit 9f24363
* Wed Mar 28 2018 oneukum@suse.com
- usbip: vhci: stop printing kernel pointer addresses in messages
  (bsc#1085539).
- commit dbda174
* Wed Mar 28 2018 oneukum@suse.com
- blacklist.conf: we do not build the tools
- commit 24b7f9c
* Wed Mar 28 2018 msuchanek@suse.de
- Update patches.arch/powerpc-tm-Flush-TM-only-if-CPU-has-TM-feature.patch
  (bsc#1075746, bsc#1087231, CVE-2018-1091).
- commit 7102e9a
* Wed Mar 28 2018 oneukum@suse.com
- blacklist.conf: false positive
- commit d595303
* Wed Mar 28 2018 oneukum@suse.com
- usbnet: fix alignment for frames with no ethernet header
  (bsc#1085539).
- Refresh
  patches.suse/0002-Add-a-void-suse_kabi_padding-placeholder-to-some-USB.patch.
- commit 45660b1
* Wed Mar 28 2018 oneukum@suse.com
- uwb: properly check kthread_run return value (bsc#1085536).
- commit f546456
* Wed Mar 28 2018 oneukum@suse.com
- uwb: ensure that endpoint is interrupt (bsc#1085536).
- commit 5aba24e
* Wed Mar 28 2018 oneukum@suse.com
- xhci: Don't add a virt_dev to the devs array before it's fully
  allocated (bsc#1085539).
- commit df88c42
* Wed Mar 28 2018 oneukum@suse.com
- xhci: Cleanup current_cmd in xhci_cleanup_command_queue()
  (bsc#1085536).
- commit b7e5b94
* Wed Mar 28 2018 oneukum@suse.com
- xhci: Identify USB 3.1 capable hosts by their port protocol
  capability (bsc#1085536).
- commit bd7eec8
* Wed Mar 28 2018 oneukum@suse.com
- Revert "xhci: Limit USB2 port wake support for AMD Promontory
  hosts" (bsc#1085536).
- commit 6bc0fd3
* Wed Mar 28 2018 oneukum@suse.com
- xhci: Fix sleeping with spin_lock_irq() held in ASmedia 1042A
  workaround (bsc#1085536).
- commit bb7b728
* Wed Mar 28 2018 neilb@suse.com
- staging: ncpfs: memory corruption in ncp_read_kernel()
  (bsc#1086162, CVE-2018-8822).
- commit 4da6eb3
* Tue Mar 27 2018 jgross@suse.com
- /pirq: fix error path cleanup when binding MSIs (bnc#1065600).
- commit 01219ee
* Tue Mar 27 2018 jgross@suse.com
- x86/mm: Fix {pmd,pud}_{set,clear}_flags() (bnc#1065600).
- commit f6df79c
* Tue Mar 27 2018 jgross@suse.com
- xen/balloon: Mark unallocated host memory as UNUSABLE
  (bnc#1065600).
- commit d2ace39
* Tue Mar 27 2018 jgross@suse.com
- x86-64/Xen: eliminate W+X mappings (bnc#1065600).
- commit df523b5
* Tue Mar 27 2018 oneukum@suse.com
- xhci: fix wrong endpoint ESIT value shown in tracing
  (bsc#1085536).
- commit 33411cf
* Tue Mar 27 2018 oneukum@suse.com
- xhci: fix finding correct bus_state structure for USB 3.1 hosts
  (bsc#1085536).
- commit 85ca58c
* Tue Mar 27 2018 oneukum@suse.com
- blacklist.conf: we do not buil the tools
- commit a686bd3
* Tue Mar 27 2018 oneukum@suse.com
- uas: fix comparison for error code (bsc#1051943).
- commit 3e3561a
* Tue Mar 27 2018 oneukum@suse.com
- usb: uas: unconditionally bring back host after reset
  (bsc#1051943).
- commit 323a206
* Tue Mar 27 2018 oneukum@suse.com
- blacklist.conf: patch changes only logging
- commit ac5efdb
* Tue Mar 27 2018 oneukum@suse.com
- blacklist.conf:subsystem not used
- commit 695a5dd
* Tue Mar 27 2018 msuchanek@suse.de
- net: ibm: ibmveth: constify vio_device_id (bsc#1061843).
- ibmveth: properly unwind on init errors (bsc#1061843).
- net: ibm: ibmveth: constify dev_pm_ops structures (bsc#1061843).
- commit da73308
* Tue Mar 27 2018 oneukum@suse.com
- USB: serial: io_edgeport: fix possible sleep-in-atomic
  (bsc#1085539).
- usb: misc: usb3503: make sure reset is low for at least 100us
  (bsc#1085539).
- commit 4030478
* Tue Mar 27 2018 oneukum@suse.com
- USB: serial: cp210x: add new device ID ELV ALC 8xxx
  (bsc#1085539).
- commit 885cc1c
* Tue Mar 27 2018 jthumshirn@suse.de
- Update
  patches.drivers/nvmet_fc-prevent-new-io-rqsts-in-possible-isr-comple.patch
  (bsc#1083575).
- commit 44b0542
* Tue Mar 27 2018 oneukum@suse.com
- USB: serial: cp210x: add IDs for LifeScan OneTouch Verio IQ
  (bsc#1085539).
- commit de14177
* Tue Mar 27 2018 oneukum@suse.com
- blacklist.conf: subsystem not used
- commit 0406ef2
* Tue Mar 27 2018 oneukum@suse.com
- USB: fix usbmon BUG trigger (bsc#1085539).
- commit 4896206
* Tue Mar 27 2018 oneukum@suse.com
- usb: xhci: Add XHCI_TRUST_TX_LENGTH for Renesas uPD720201
  (bsc#1085539).
- commit 4a1b6e3
* Tue Mar 27 2018 oneukum@suse.com
- USB: serial: ftdi_sio: add id for Airbus DS P8GR (bsc#10855539).
- commit 8912afa
* Tue Mar 27 2018 oneukum@suse.com
- USB: serial: option: adding support for YUGA CLM920-NC5
  (bsc#1085539).
- commit 651ceb3
* Tue Mar 27 2018 oneukum@suse.com
- USB: serial: qcserial: add Sierra Wireless EM7565 (bsc#1085539).
- commit 814b845
* Tue Mar 27 2018 oneukum@suse.com
- USB: serial: option: add support for Telit ME910 PID 0x1101
  (bsc#1085539).
- commit ccecbba
* Tue Mar 27 2018 oneukum@suse.com
- blacklist.conf: not needed in our configuration
- commit 192f439
* Tue Mar 27 2018 oneukum@suse.com
- usb: Add device quirk for Logitech HD Pro Webcam C925e
  (bsc#1085539).
- commit 2db4499
* Tue Mar 27 2018 oneukum@suse.com
- usb: add RESET_RESUME for ELSA MicroLink 56K (bsc#1085539).
- commit fdc4f36
* Tue Mar 27 2018 mgorman@suse.de
- sched/numa: avoid trapping faults and attempting migration
  of file-backed dirty pages (bnc#1064414 reduce unnecessary
  migrations and numab conflicts).
- commit ca8fdbf
* Tue Mar 27 2018 jeffm@suse.com
- audit: fix memleak in auditd_send_unicast_skb (bsc#1086997).
- commit a70d9a2
* Tue Mar 27 2018 jeffm@suse.com
- crypto: dh - fix memleak in setkey (bsc#1086994).
- commit e6b64ce
* Mon Mar 26 2018 tiwai@suse.de
- sched/sysctl: Check user input value of sysctl_sched_time_avg
  (bsc#1086946).
- commit b6afd97
* Mon Mar 26 2018 tiwai@suse.de
- brcmsmac: allocate ucode with GFP_KERNEL (bsc#1085174).
- commit f82808c
* Mon Mar 26 2018 bp@suse.de
- crypto: ccp - add check to get PSP master only when PSP is
  detected (bsc#1063068).
- KVM: x86: Fix device passthrough when SME is active
  (bsc#1084912).
- x86/efi: Free efi_pgd with free_pages() (git-fixes
  d9e9a6418065).
- x86/vsyscall/64: Use proper accessor to update P4D entry
  (git-fixes 49275fef986a).
- scripts/git_sort/git_sort.py:
- commit 0188aa6
* Mon Mar 26 2018 msuchanek@suse.de
- blacklist
  c179ea270100 powerpc/kprobes: Fix warnings from __this_cpu_read() on preempt kernels
  94d3084a0f8c powerpc/32s: Fix compile error with CONFIG_PPC_PTDUMP
- commit f6243d1
* Mon Mar 26 2018 msuchanek@suse.de
- powerpc/bpf/jit: Fix 32-bit JIT for seccomp_data access
  (bsc#1065729).
- commit b6d0e6a
* Mon Mar 26 2018 oneukum@suse.com
- usb: dwc3: of-simple: fix missing clk_disable_unprepare
  (bsc#1085539).
- commit c383569
* Mon Mar 26 2018 oneukum@suse.com
- usb: dwc3: gadget: Wait longer for controller to end command
  processing (bsc#1085539).
- commit ccd154d
* Mon Mar 26 2018 oneukum@suse.com
- usb: xhci: fix TDS for MTK xHCI1.1 (bsc#1085539).
- commit 9eac7a6
* Mon Mar 26 2018 oneukum@suse.com
- USB: uas and storage: Add US_FL_BROKEN_FUA for another JMicron
  JMS567 ID (bsc#1085539).
- commit 23cc14b
* Mon Mar 26 2018 msuchanek@suse.de
- Refresh patches.drivers/ibmvnic-Potential-NULL-dereference-in-clean_one_tx_p.patch.
- commit c83e9b6
* Mon Mar 26 2018 oneukum@suse.com
- usb: musb: da8xx: fix babble condition handling (bsc#1085539).
- commit 1be976d
* Mon Mar 26 2018 tiwai@suse.de
- drm/amdgpu: fix prime teardown order (bsc#1051510).
- watchdog: hpwdt: Remove legacy NMI sourcing (bsc#1051510).
- Revert "drm/radeon/pm: autoswitch power state when in balanced
  mode" (bsc#1051510).
- PM / runtime: Update links_count also if !CONFIG_SRCU
  (bsc#1051510).
- watchdog: imx2_wdt: restore previous timeout after
  suspend+resume (bsc#1051510).
- watchdog: hpwdt: fix unused variable warning (bsc#1051510).
- watchdog: hpwdt: Check source of NMI (bsc#1051510).
- watchdog: hpwdt: SMBIOS check (bsc#1051510).
- watchdog: Fix potential kref imbalance when opening watchdog
  (bsc#1051510).
- media: [RESEND] media: dvb-frontends: Add delay to Si2168
  restart (bsc#1051510).
- media: bt8xx: Fix err 'bt878_probe()' (bsc#1051510).
- PCI: designware-ep: Fix ->get_msi() to check MSI_EN bit
  (bsc#1051510).
- PCI: endpoint: Fix find_first_zero_bit() usage (bsc#1051510).
- vgacon: Set VGA struct resource types (bsc#1051510).
- pinctrl: Really force states during suspend/resume
  (bsc#1051510).
- pinctrl: intel: Initialize GPIO properly when used through
  irqchip (bsc#1051510).
- agp/intel: Flush all chipset writes after updating the GGTT
  (bsc#1051510).
- ath10k: handling qos at STA side based on AP WMM enable/disable
  (bsc#1051510).
- rtlwifi: rtl_pci: Fix the bug when inactiveps is enabled
  (bsc#1051510).
- Bluetooth: btqcomsmd: Fix skb double free corruption
  (bsc#1051510).
- Bluetooth: hci_qca: Avoid setup failure on missing rampatch
  (bsc#1051510).
- crypto: cavium - fix memory leak on info (bsc#1051510).
- PM / devfreq: Propagate error from devfreq_add_device()
  (bsc#1051510).
- pinctrl: cherryview: Mask all interrupts on Intel_Strago based
  systems (bsc#1051510).
- drm/exynos: gem: Drop NONCONTIG flag for buffers allocated
  without IOMMU (bsc#1051510).
- PM / runtime: Fix handling of suppliers with disabled runtime PM
  (bsc#1051510).
- crypto: brcm - Explicity ACK mailbox message (bsc#1051510).
- rtl8188eu: Fix a possible sleep-in-atomic bug in
  rtw_disassoc_cmd (bsc#1051510).
- PM: core: Fix device_pm_check_callbacks() (bsc#1051510).
- commit 6b1c180
* Mon Mar 26 2018 oneukum@suse.com
- usb: xhci: fix panic in xhci_free_virt_devices_depth_first
  (bsc#1085539).
- commit 821249d
* Mon Mar 26 2018 tbogendoerfer@suse.de
- qed: Fix MPA unalign flow in case header is split across two
  packets (bsc#1050536 FATE#322898 bsc#1050545 FATE#322893).
- bnxt_en: Return standard Linux error codes for hwrm flow cmds
  (bsc#1050242 FATE#32291).
- bnxt_en: Remove unwanted ovs-offload messages in some conditions
  (bsc#1050242 FATE#32291).
- infiniband: bnxt_re: use BIT_ULL() for 64-bit bit masks
  (bsc#1050244 FATE#322915).
- infiniband: qplib_fp: fix pointer cast (bsc#1050244
  FATE#322915).
- commit 72c0fdb
* Mon Mar 26 2018 oneukum@suse.com
- blacklist.conf: subsystem not used
- commit c778a11
* Mon Mar 26 2018 oneukum@suse.com
- blacklist.conf: subsystem not used
- commit 11379a6
* Mon Mar 26 2018 oneukum@suse.com
- blacklist.conf: subsystem not used
- commit 1fab475
* Mon Mar 26 2018 oneukum@suse.com
- blacklist.conf: subsystem not used
- commit 506214b
* Mon Mar 26 2018 oneukum@suse.com
- blacklist.conf: subsystem not used
- commit 5d07732
* Mon Mar 26 2018 oneukum@suse.com
- USB: serial: usb_debug: add new USB device id (bsc#1085539).
- USB: serial: option: add Quectel BG96 id (bsc#1085539).
- commit c98442a
* Mon Mar 26 2018 tbogendoerfer@suse.de
- svcrdma: Estimate Send Queue depth properly (bsc#1081515).
- svcrdma: Limit RQ depth (bsc#1081515).
- commit 8eb6546
* Mon Mar 26 2018 oneukum@suse.com
- usb: quirks: Add no-lpm quirk for KY-688 USB 3.1 Type-C Hub
  (bsc#1085539).
- commit 4176e03
* Mon Mar 26 2018 oneukum@suse.com
- blacklist.conf: not applicable change to Makefiles
- commit a0544d1
* Mon Mar 26 2018 oneukum@suse.com
- usb: hub: Cycle HUB power when initialization fails
  (bsc#1085539).
- commit d1a83ef
* Mon Mar 26 2018 jroedel@suse.de
- PCI/DPC: Enable DPC only if AER is available (bsc#1082368).
- commit 654d5a4
* Mon Mar 26 2018 msuchanek@suse.de
- powerpc: System reset avoid interleaving oops using die
  synchronisation (bsc#1086791).
- commit 715df69
* Mon Mar 26 2018 msuchanek@suse.de
- powerpc/crash: Remove the test for cpu_online in the IPI
  callback (bsc#1086791).
- powerpc: Do not send system reset request through the oops path
  (bsc#1086791).
- commit fe60432
* Mon Mar 26 2018 msuchanek@suse.de
- get_fs_type: Validate fs type string argument (bsc#1082943).
- commit 709e045
* Mon Mar 26 2018 nborisov@suse.com
- dcache: Add cond_resched in shrink_dentry_list (bsc#1086194).
- commit 413a765
* Mon Mar 26 2018 bpoirier@suse.com
- net: phy: mdio-bcm-unimac: fix potential NULL dereference in
  unimac_mdio_probe() (bsc#1084829 CVE-2018-8043).
- commit 4836f39
* Mon Mar 26 2018 bpoirier@suse.com
- Fix whitespace breakage in series.conf
  Commit ceb4998ac05a ("s390: scrub registers on kernel entry and KVM exit
  (LTC#164304, bsc#1084911).") changed the first line of series.conf.
  Incidentally, the scripts in scripts/git_sort/quilt-mode.sh rely on this
  line being present for the replacement (via the modified quilt) of the
  simple series file in the expanded tree with a link to series.conf.
- commit d49c5e2
* Fri Mar 23 2018 mcgrof@suse.com
- Refresh patches.drivers/0001-module-warn-if-module-init-probe-takes-long.patch.
- commit caebf3e
* Fri Mar 23 2018 msuchanek@suse.de
- KVM: PPC: Book3S HV: Disable tb_offset (bsc#1086196).
- commit 529e36c
* Fri Mar 23 2018 tiwai@suse.de
- drm/amdgpu/dce: Don't turn off DP sink when disconnected
  (bsc#1051510).
- commit 15ae848
* Fri Mar 23 2018 tiwai@suse.de
- drm/i915: Disable tv output on i9x5gm (bsc#1086657).
- drm/i915: Specify which engines to reset following
  semaphore/event lockups (FATE#322643 bsc#1055900).
- commit 0838c05
* Fri Mar 23 2018 msuchanek@suse.de
- powerpc: Remove unused flush_dcache_phys_range() (bsc#1065729).
- powerpc/mm/radix: Remove unused code (bsc#1055186, fate#323286,
  git-fixes).
- powerpc/mm: Add tracking of the number of coprocessors using
  a context (bsc#1055014).
- powerpc/64s: Fix lost pending interrupt due to race causing
  lost update to irq_happened (bsc#1065729).
- commit ff3617a
* Fri Mar 23 2018 tiwai@suse.de
- drm/i915/dp: Write to SET_POWER dpcd to enable MST hub
  (bsc#1051510).
- ACPI / watchdog: Fix off-by-one error at resource assignment
  (bsc#1073960).
- Bluetooth: btusb: Fix quirk for Atheros 1525/QCA6174
  (bsc#1082504).
- Bluetooth: btusb: Remove Yoga 920 from the
  btusb_needs_reset_resume_table (bsc#1051510).
- commit ce5f883
* Fri Mar 23 2018 tiwai@suse.de
- Preliminary patch sort / update (again)
- commit 805d5d7
* Fri Mar 23 2018 msuchanek@suse.de
- ibmvnic: Potential NULL dereference in clean_one_tx_pool()
  (bsc#1085224, git-fixes).
- commit 7acb565
* Fri Mar 23 2018 tiwai@suse.de
- supported.conf: Add AMDGPU driver (bsc#1069343)
- commit 591ff59
* Fri Mar 23 2018 mhocko@suse.com
- hugetlbfs: check for pgoff value overflow (bnc#1084353,
  CVE-2018-7740).
- commit 621f100
* Fri Mar 23 2018 glin@suse.com
- test_bpf: Fix testing with CONFIG_BPF_JIT_ALWAYS_ON=y on other
  arches (bsc#1083647).
- commit 4714d41
* Fri Mar 23 2018 glin@suse.com
- Move bpf-introduce-ARG_PTR_TO_MEM_OR_NULL.patch to the sorted section
  The patch was added to the KABI section mistakenly.
- commit 638bcf0
* Fri Mar 23 2018 oneukum@suse.com
- USB: Fix off by one in type-specific length check of BOS SSP
  capability (bsc#1085539).
- commit f57a20f
* Thu Mar 22 2018 mcgrof@suse.com
- xfs: disable per-inode DAX flag (bsc#1085535).
- commit 30f0d9f
* Thu Mar 22 2018 jeffm@suse.com
- Btrfs: fix blk_status_t/errno confusion (bsc#1086457).
- commit 25d99b4
* Thu Mar 22 2018 jeffm@suse.com
- build: fix incompatible pointer warnings with PROVE_RCU=y (bsc#1086527).
- Refresh
  patches.fixes/tcp-dccp-fix-lockdep-splat-in-inet_csk_route_req.patch.
- Refresh
  patches.fixes/tcp-dccp-fix-other-lockdep-splats-accessing-ireq_opt.patch.
- commit 956c819
* Thu Mar 22 2018 oneukum@suse.com
- uas: ignore UAS for Norelsys NS1068(X) chips (bsc#1085539).
- commit e48778e
* Thu Mar 22 2018 oneukum@suse.com
- uas: Always apply US_FL_NO_ATA_1X quirk to Seagate devices
  (bsc#1085539).
- commit 20d01c9
* Thu Mar 22 2018 oneukum@suse.com
- USB: core: Add type-specific length check of BOS descriptors
  (bsc#1085539).
- commit 4eca3f0
* Thu Mar 22 2018 oneukum@suse.com
- usb: host: fix incorrect updating of offset (bsc#1085539).
- commit 1c87c04
* Thu Mar 22 2018 oneukum@suse.com
- USB: ulpi: fix bus-node lookup (bsc#1085539).
- commit 4dc623a
* Thu Mar 22 2018 oneukum@suse.com
- USB: usbfs: Filter flags passed in from user space
  (bsc#1085539).
- commit 489cccb
* Thu Mar 22 2018 oneukum@suse.com
- blacklist.conf: subsystem not used
- commit 371489f
* Thu Mar 22 2018 oneukum@suse.com
- USB: usbfs: compute urb->actual_length for isochronous
  (bsc#1085539).
- commit 5677c73
* Thu Mar 22 2018 oneukum@suse.com
- USB: serial: Change DbC debug device binding ID (bsc#1085539).
- commit 2d8a16d
* Thu Mar 22 2018 oneukum@suse.com
- USB: early: Use new USB product ID and strings for DbC device
  (bsc#1085539).
- commit 6d94237
* Thu Mar 22 2018 oneukum@suse.com
- USB: Add delay-init quirk for Corsair K70 LUX keyboards
  (bsc#1085539).
- commit 8a8f7d0
* Thu Mar 22 2018 oneukum@suse.com
- USB: serial: qcserial: add pid/vid for Sierra Wireless EM7355
  fw update (bsc#1085539).
- commit d2e8e71
* Thu Mar 22 2018 oneukum@suse.com
- USB: serial: metro-usb: stop I/O after failed open
  (bsc#1085539).
- commit 1ee3a90
* Thu Mar 22 2018 tiwai@suse.de
- ath10k: fix invalid STS_CAP_OFFSET_MASK (bsc#1051510).
- ath10k: update tdls teardown state to target (bsc#1051510).
- commit 76d759a
* Thu Mar 22 2018 oneukum@suse.com
- USB: serial: garmin_gps: fix memory leak on probe errors
  (bsc#1085539).
- commit 313cabb
* Thu Mar 22 2018 tiwai@suse.de
- ASoC: wm_adsp: For TLV controls only register TLV get/set
  (bsc#1051510).
- ASoC: sgtl5000: Fix suspend/resume (bsc#1051510).
- ASoC: rt5651: Fix regcache sync errors on resume (bsc#1051510).
- ASoC: nau8825: fix issue that pop noise when start capture
  (bsc#1051510).
- ASoC: rsnd: fixup ADG register mask (bsc#1051510).
- commit 775374f
* Thu Mar 22 2018 oneukum@suse.com
- USB: serial: garmin_gps: fix I/O after failed probe and remove
  (bsc#1085539).
- commit 687813c
* Thu Mar 22 2018 oneukum@suse.com
- usb: phy: tahvo: fix error handling in tahvo_usb_probe()
  (bsc#1085539).
- commit 72163b1
* Thu Mar 22 2018 tiwai@suse.de
- drm/nouveau/kms: remove call to drm_crtc_vblank_off() during
  unload/suspend (FATE#322643,bsc#1055900).
- commit 7187702
* Thu Mar 22 2018 tiwai@suse.de
- drm/nouveau/kms/nv50: update vblank state in response to
  modeset actions (FATE#322643,bsc#1055900).
- Refresh patches.drivers/drm-vblank-Consistent-drm_crtc_-prefix.
- commit d257cff
* Thu Mar 22 2018 tiwai@suse.de
- Preliminary sort/update
- commit edc6792
* Thu Mar 22 2018 oneukum@suse.com
- usb: mtu3: fix error return code in ssusb_gadget_init()
  (bsc#1085539).
- commit 122a412
* Thu Mar 22 2018 oneukum@suse.com
- usb: xhci: Return error when host is dead in xhci_disable_slot()
  (bsc#1085539).
- commit 191f47b
* Thu Mar 22 2018 oneukum@suse.com
- usb: hub: Allow reset retry for USB2 devices on connect bounce
  (bsc#1085536).
- commit 94358bf
* Thu Mar 22 2018 oneukum@suse.com
- USB: serial: metro-usb: add MS7820 device id (bsc#1085536).
- commit 5244c71
* Thu Mar 22 2018 oneukum@suse.com
- usb: quirks: add quirk for WORLDE MINI MIDI keyboard
  (bsc#1085536).
- commit 65b36d5
* Thu Mar 22 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/scsi-qla2xxx-Remove-FC_NO_LOOP_ID-for-FCP-and-FC-NVM.patch.
- commit 5dec0d7
* Thu Mar 22 2018 mcgrof@suse.com
- vfs: Return -ENXIO for negative SEEK_HOLE / SEEK_DATA offsets
  (bsc#1085535).
- commit 9c22a97
* Wed Mar 21 2018 jeffm@suse.com
- btrfs: minimal conversion to errseq_t writeback error reporting
  on fsync (bsc#1086149 bsc#1086285).
- xfs: minimal conversion to errseq_t writeback error reporting
  (bsc#1086285).
- ext4: use errseq_t based error handling for reporting data
  writeback errors (bsc#1086285).
- fs: convert __generic_file_fsync to use errseq_t based reporting
  (bsc#1086149 bsc#1086285).
- block: convert to errseq_t based writeback error tracking
  (bsc#1086285).
- dax: set errors in mapping when writeback fails (bsc#1086149
  bsc#1086285).
- Documentation: flesh out the section in vfs.txt on storing
  and reporting writeback errors (bsc#1086285).
- mm: set both AS_EIO/AS_ENOSPC and errseq_t in mapping_set_error
  (bsc#1086149 bsc#1086285).
- commit 12c97b8
* Wed Mar 21 2018 jeffm@suse.com
- mm: don't TestClearPageError in __filemap_fdatawait_range
  (bsc#1086149 bsc#1086285).
- commit 328af1b
* Wed Mar 21 2018 jeffm@suse.com
- mm: clear AS_EIO/AS_ENOSPC when writeback initiation fails
  (bsc#1086149 bsc#1086285).
- jbd2: don't clear and reset errors after waiting on writeback
  (bsc#1086285).
- buffer: set errors in mapping at the time that the error occurs
  (bsc#1086149 bsc#1086285).
- fs: check for writeback errors after syncing out buffers in
  generic_file_fsync (bsc#1086149 bsc#1086285).
- buffer: use mapping_set_error instead of setting the flag
  (bsc#1086149 bsc#1086285).
- mm: fix mapping_set_error call in me_pagecache_dirty
  (bsc#1086149 bsc#1086285).
- commit 09f9abc
* Wed Mar 21 2018 oneukum@suse.com
- usb: musb: sunxi: Explicitly release USB PHY on exit
  (bsc#1085536).
- commit 04fa959
* Wed Mar 21 2018 oneukum@suse.com
- usb: musb: Check for host-mode using is_host_active() on reset
  interrupt (bsc#1085536).
- commit 3803e19
* Wed Mar 21 2018 oneukum@suse.com
- usb: musb: musb_cppi41: Configure the number of channels for
  DA8xx (bsc#1085536).
- commit 3bbded4
* Wed Mar 21 2018 oneukum@suse.com
- usb: musb: musb_cppi41: Fix cppi41_set_dma_mode() for DA8xx
  (bsc#1085536).
- commit e037007
* Wed Mar 21 2018 oneukum@suse.com
- usb: musb: musb_cppi41: Fix the address of teardown and autoreq
  registers (bsc#1085536).
- commit cd326ce
* Wed Mar 21 2018 oneukum@suse.com
- USB: musb: fix late external abort on suspend (bsc#1085536).
- commit 76b398a
* Wed Mar 21 2018 tiwai@suse.de
- drm/nouveau: Merge pre/postclose hooks (FATE#322643
  bsc#1055900).
- commit 4be949d
* Wed Mar 21 2018 oneukum@suse.com
- USB: musb: fix session-bit runtime-PM quirk (bsc#1085536).
- commit 83d81a2
* Wed Mar 21 2018 oneukum@suse.com
- usb: cdc_acm: Add quirk for Elatec TWN3 (bsc#1085536).
- commit db32900
* Wed Mar 21 2018 oneukum@suse.com
- USB: devio: Revert "USB: devio: Don't corrupt user memory"
  (bsc#1085536).
- commit b735c95
* Wed Mar 21 2018 oneukum@suse.com
- usb: xhci: Handle error condition in xhci_stop_device()
  (bsc#1085536).
- commit 9884645
* Wed Mar 21 2018 oneukum@suse.com
- usb: xhci: Reset halted endpoint if trb is noop (bsc#1085536).
- commit 2b4bd6f
* Wed Mar 21 2018 oneukum@suse.com
- usb: usbtest: fix NULL pointer dereference (bsc#1085536).
- commit ddf19a6
* Wed Mar 21 2018 oneukum@suse.com
- blacklist.conf:
  subsystem not used
- commit f6c209c
* Wed Mar 21 2018 oneukum@suse.com
- blacklist.conf:
  subsystem not used
- commit c1380cf
* Wed Mar 21 2018 oneukum@suse.com
- usb: renesas_usbhs: Fix DMAC sequence for receiving zero-length
  packet (bsc#1085536).
- commit 08c1674
* Wed Mar 21 2018 oneukum@suse.com
- blacklist.conf:
  subsystem not used
- commit 609c138
* Wed Mar 21 2018 oneukum@suse.com
- USB: serial: qcserial: add Dell DW5818, DW5819 (bsc#1085536).
- commit 572bd85
* Wed Mar 21 2018 oneukum@suse.com
- USB: serial: cp210x: add support for ELV TFD500 (bsc#1085536).
- commit 36d66d3
* Wed Mar 21 2018 oneukum@suse.com
- USB: serial: cp210x: fix partnum regression (bsc#1085536).
- commit ef7a186
* Wed Mar 21 2018 oneukum@suse.com
- USB: serial: option: add support for TP-Link LTE module
  (bsc#1085536).
- commit 7e4d166
* Wed Mar 21 2018 oneukum@suse.com
- USB: serial: ftdi_sio: add id for Cypress WICED dev board
  (bsc#1085536).
- commit 60faefa
* Wed Mar 21 2018 oneukum@suse.com
- blacklist.conf:
  subsystem not used
- commit 66cadf8
* Wed Mar 21 2018 oneukum@suse.com
- blacklist.conf:
  we do not compiler the driver these patches are for
- commit 3dd4c55
* Wed Mar 21 2018 glin@suse.com
- blacklist.conf: update for minor bpf selftest Makefile change
- commit 2b3dbb0
* Wed Mar 21 2018 ptesarik@suse.cz
- supported.conf: Enable s390-trng (bsc#1085820)
- commit 5ced6c1
* Wed Mar 21 2018 glin@suse.com
- bpf: allow xadd only on aligned memory (bsc#1083647).
- commit e79d0c8
* Wed Mar 21 2018 glin@suse.com
- bpf, arm64: fix out of bounds access in tail call (bsc#1083647).
- commit 4b4e122
* Wed Mar 21 2018 glin@suse.com
- bpf: fix rcu lockdep warning for lpm_trie map_free callback
  (bsc#1083647).
- commit 5acee86
* Wed Mar 21 2018 glin@suse.com
- bpf: fix memory leak in lpm_trie map_free callback function
  (bsc#1083647).
- commit 22440c4
* Wed Mar 21 2018 jeffm@suse.com
- Btrfs: fix log replay failure after unlink and link combination
  (bsc#1086151).
- Btrfs: fix log replay failure after linking special file and
  fsync (bsc#1086150).
- commit 8ea5a6a
* Wed Mar 21 2018 neilb@suse.com
- autofs: revert "autofs: take more care to not update last_used
  on path walk" (git-fixes).
- commit 68bbdc6
* Wed Mar 21 2018 neilb@suse.com
- blacklist.conf:
  Add some unwanted fixes.
- commit 5c4df93
* Tue Mar 20 2018 jeffm@suse.com
- btrfs: fix error handling in free_log_tree (bsc#1086116).
- commit 094871b
* Tue Mar 20 2018 jeffm@suse.com
- btrfs: defer adding raid type kobject until after chunk relocation
  (bsc#1086086).
- btrfs: remove dead create_space_info calls (bsc#1086086).
- btrfs: Remove redundant argument of __link_block_group
  (bsc#1086086).
- btrfs: Refactor update_space_info (bsc#1086086).
- btrfs: Separate space_info create/update (bsc#1086086).
- commit 375db74
* Tue Mar 20 2018 jeffm@suse.com
- REVERT: btrfs: qgroup: Move half of the qgroup accounting time
  out of commit trans (bsc#1083684).
- commit 0442bf4
* Tue Mar 20 2018 tiwai@suse.de
- seccomp: make function __get_seccomp_filter static
  (bsc#1051510).
- commit 0b7ff10
* Tue Mar 20 2018 tiwai@suse.de
- rtc: set the alarm to the next expiring timer (bsc#1051510).
- seccomp: fix the usage of get/put_seccomp_filter() in
  seccomp_get_filter() (bsc#1051510).
- commit 9202bc2
* Tue Mar 20 2018 tiwai@suse.de
- PCI: dwc: Fix enumeration end when reaching root subordinate
  (bsc#1051510).
- PCI: keystone: Fix interrupt-controller-node lookup
  (bsc#1051510).
- PCI: iproc: Fix NULL pointer dereference for BCMA (bsc#1051510).
- PCI: Disable MSI for HiSilicon Hip06/Hip07 only in Root Port
  mode (bsc#1051510).
- mac80211: remove BUG() when interface type is invalid
  (bsc#1051510).
- mac80211_hwsim: enforce PS_MANUAL_POLL to be set after
  PS_ENABLED (bsc#1051510).
- iwlwifi: mvm: avoid dumping assert log when device is stopped
  (bsc#1051510).
- mwifiex: cfg80211: do not change virtual interface during scan
  processing (bsc#1051510).
- iwlwifi: mvm: rs: don't override the rate history in the search
  cycle (bsc#1051510).
- PCI / PM: Force devices to D0 in pci_pm_thaw_noirq()
  (bsc#1051510).
- PCI/ASPM: Use correct capability pointer to program
  LTR_L1.2_THRESHOLD (bsc#1051510).
- PCI/ASPM: Account for downstream device's Port
  Common_Mode_Restore_Time (bsc#1051510).
- PCI/ASPM: Deal with missing root ports in link state handling
  (bsc#1051510).
- PCI/AER: Report non-fatal errors only to the affected endpoint
  (bsc#1051510).
- PCI: Fix race condition with driver_override (bsc#1051510).
- commit 9f73db8
* Tue Mar 20 2018 tiwai@suse.de
- drm/amdgpu:Always save uvd vcpu_bo in VM Mode (bsc#1051510).
- drm/amdgpu:Correct max uvd handles (bsc#1051510).
- drm/amdgpu: Notify sbios device ready before send request
  (bsc#1051510).
- drm/amdgpu: fix KV harvesting (bsc#1051510).
- drm/amdgpu: used cached pcie gen info for SI (v2) (bsc#1051510).
- drm/amd/powerplay: fix power over limit on Fiji (bsc#1051510).
- drm/nouveau: prefer XBGR2101010 for addfb ioctl (bsc#1051510).
- drm/radeon: insist on 32-bit DMA for Cedar on PPC64/PPC64LE
  (bsc#1051510).
- drm/amd/powerplay/smu7: allow mclk switching with no displays
  (bsc#1051510).
- drm/amd/powerplay/vega10: allow mclk switching with no displays
  (bsc#1051510).
- drm/amdkfd: Fix memory leaks in kfd topology (bsc#1051510).
- drm/amdgpu: fix get_max_engine_clock_in_mhz (bsc#1051510).
- drm/amdgpu: always cancel uvd idle handler in uvd suspend
  (bsc#1051510).
- drm/amdgpu:fix virtual dce bug (bsc#1051510).
- drm/edid: set ELD connector type in drm_edid_to_eld()
  (bsc#1051510).
- drm/amdgpu: rename rdev to adev (bsc#1051510).
- commit b85f5b3
* Tue Mar 20 2018 jslaby@suse.cz
- x86/speculation: Remove Skylake C2 from Speculation Control
  microcode blacklist (bnc#1068032 bnc#1085823 CVE-2017-5715).
- x86/spectre_v2: Don't check microcode versions when running
  under hypervisors (bnc#1068032 bnc#1085823 CVE-2017-5715).
- x86/speculation: Correct Speculation Control microcode blacklist
  again (bnc#1068032 bnc#1085823 CVE-2017-5715).
- x86/speculation: Update Speculation Control microcode blacklist
  (bnc#1068032 bnc#1085823 CVE-2017-5715).
- commit 1b63bae
* Tue Mar 20 2018 oneukum@suse.com
- blacklist.conf:
  subsystem not used
- commit ab9f3ef
* Tue Mar 20 2018 oneukum@suse.com
- USB: cdc-wdm: ignore -EPIPE from GetEncapsulatedResponse
  (bsc#1085536).
- commit 8f1dae7
* Tue Mar 20 2018 jslaby@suse.cz
- x86/enter: Use IBRS on syscall and interrupts (bsc#1068032
  CVE-2017-5753).
- x86/enter: Create macros to restrict/unrestrict Indirect Branch
  Speculation (bsc#1068032 CVE-2017-5753).
- x86/idle: Control Indirect Branch Speculation in idle
  (bsc#1068032 CVE-2017-5753).
- x86/speculation: Add inlines to control Indirect Branch
  Speculation (bsc#1068032 CVE-2017-5753).
- x86/speculation: Add basic IBRS support infrastructure
  (bsc#1068032 CVE-2017-5753).
- x86/spectre: Check CONFIG_RETPOLINE in command line parser
  (bnc#1068032 bnc#1085823 CVE-2017-5715).
- commit d36b0df
* Tue Mar 20 2018 oneukum@suse.com
- USB: devio: Don't corrupt user memory (bsc#1085536).
- commit b67cff4
* Tue Mar 20 2018 oneukum@suse.com
- USB: devio: Prevent integer overflow in proc_do_submiturb()
  (bnc#1085536).
- commit 05a6bea
* Tue Mar 20 2018 oneukum@suse.com
- blacklist.conf: driver is not used
- commit 9e98cbf
* Tue Mar 20 2018 oneukum@suse.com
- blacklist.conf: driver is not used
- commit 5ab00b7
* Tue Mar 20 2018 oneukum@suse.com
- usb-storage: unusual_devs entry to fix write-access regression
  for Seagate external drives (bsc#1085536).
- commit 978c2cc
* Tue Mar 20 2018 oneukum@suse.com
- usb-storage: fix bogus hardware error messages for ATA pass-thru
  devices (bsc#1085536).
- commit b53e42c
* Tue Mar 20 2018 oneukum@suse.com
- blacklist.conf: driver is not compiled
- commit d28686d
* Tue Mar 20 2018 oneukum@suse.com
- usb: dwc3: ep0: fix DMA starvation by assigning req->trb on ep0
  (bsc#1085536).
- commit 3bc98c7
* Tue Mar 20 2018 oneukum@suse.com
- usb: host: xhci-plat: allow sysdev to inherit from ACPI
  (bsc#1085536).
- commit f97459a
* Tue Mar 20 2018 jslaby@suse.cz
- x86/speculation: Move firmware_restrict_branch_speculation_*()
  from C to CPP (bnc#1068032 bnc#1085823 CVE-2017-5715).
- commit 0e9f8e3
* Tue Mar 20 2018 oneukum@suse.com
- usb: pci-quirks.c: Corrected timeout values used in handshake
  (bsc#1085536).
- commit dd7714b
* Tue Mar 20 2018 oneukum@suse.com
- usb: xhci: Free the right ring in xhci_add_endpoint()
  (bsc#1085336).
- commit a4d34c5
* Tue Mar 20 2018 jslaby@suse.cz
- x86/cpu/bugs: Make retpoline module warning conditional
  (bnc#1068032 CVE-2017-5715).
- x86/speculation: Use IBRS if available before calling into
  firmware (bnc#1068032 CVE-2017-5715).
- Refresh
  patches.arch/x86-cpufeatures-clean-up-spectre-v2-related-cpuid-flags.patch.
  This is only IBRS_FW from upstream. The out-of-tree IBRS proper will
  come as a separate PR later. (bnc#1085823)
- commit 04d2542
* Tue Mar 20 2018 oneukum@suse.com
- usb: Increase quirk delay for USB devices (bsc#1085536).
- commit 5e12030
* Tue Mar 20 2018 ptesarik@suse.cz
- KVM: s390: provide only a single function for setting the tod
  (fix SCK) (bsc#1085269).
- commit 8b5d3bf
* Tue Mar 20 2018 ptesarik@suse.cz
- KVM: s390: consider epoch index on TOD clock syncs
  (bsc#1085269).
- commit a15ff18
* Tue Mar 20 2018 ptesarik@suse.cz
- KVM: s390: consider epoch index on hotplugged CPUs
  (bsc#1085269).
- commit 9a02e48
* Tue Mar 20 2018 ptesarik@suse.cz
- KVM: s390: take care of clock-comparator sign control
  (bsc#1085269).
- commit 6c10fe8
* Tue Mar 20 2018 jkosina@suse.cz
- series.conf: re-sort after script bugfix
- commit 91f9daf
* Tue Mar 20 2018 mbrugger@suse.com
- arm64: Run enable method for errata work arounds on late CPUs
  (bsc#1068032).
- arm64: cpufeature: __this_cpu_has_cap() shouldn't stop early
  (bsc#1068032).
- arm64: capabilities: Handle duplicate entries for a capability
  (bsc#1068032).
- commit c010a8c
* Tue Mar 20 2018 bpoirier@suse.com
- rpm/config.sh: Enable checking the sorted patches section of series.conf in pre-commit hook
- commit f9b47cc
* Tue Mar 20 2018 bpoirier@suse.com
- Refresh
  patches.drivers/scsi-lpfc-change-copyright-of-12.0.0.1-modified-files-to.patch.
- Refresh
  patches.drivers/scsi-lpfc-code-cleanup-for-128byte-wqe-data-type.patch.
- Refresh
  patches.drivers/scsi-lpfc-fix-mailbox-wait-for-post_sgl-mbox-command.patch.
- Refresh
  patches.drivers/scsi-lpfc-fix-scsi-lun-discovery-when-port-configured-for.patch.
- Refresh
  patches.drivers/scsi-lpfc-memory-allocation-error-during-driver-start-up-on.patch.
- Refresh
  patches.drivers/scsi-lpfc-streamline-nvme-initiator-wqe-setup.patch.
- Refresh
  patches.drivers/scsi-lpfc-streamline-nvme-targe6t-wqe-setup.patch.
- Refresh
  patches.drivers/scsi-lpfc-update-driver-version-to-12.0.0.1.patch.
- commit e04e333
* Mon Mar 19 2018 tiwai@suse.de
- Input: mms114 - fix license module information (bsc#1051510).
- platform/x86: mlx-platform: fix module aliases (bsc#1051510).
- media: c8sectpfe: fix potential NULL pointer dereference in
  c8sectpfe_timer_interrupt (bsc#1051510).
- Input: psmouse - fix Synaptics detection when protocol is
  disabled (bsc#1051510).
- crypto: seqiv - Remove unused alg/spawn variable (bsc#1051510).
- crypto: caam/qi - use correct print specifier for size_t
  (bsc#1051510).
- PM / runtime: Drop children check from __pm_runtime_set_status()
  (bsc#1051510).
- Input: adxl34x - do not treat FIFO_MODE() as boolean
  (bsc#1051510).
- media: coda: disable BWB only while decoding on CODA 960
  (bsc#1051510).
- crypto: caam/qi - fix AD length endianness in S/G entry
  (bsc#1051510).
- crypto: caam/qi - handle large number of S/Gs case
  (bsc#1051510).
- ACPI / PM / EC: Flush all EC work in acpi_freeze_sync()
  (bsc#1051510).
- crypto: testmgr - Reenable sha1/aes in FIPS mode (bsc#1051510).
- commit 49cf21e
* Mon Mar 19 2018 mkubecek@suse.cz
- netfilter: ebtables: fix erroneous reject of last rule
  (CVE-2018-1068 bsc#1085107).
- netfilter: ebtables: CONFIG_COMPAT: don't trust userland offsets
  (CVE-2018-1068 bsc#1085107).
- commit caa60e7
* Mon Mar 19 2018 mkubecek@suse.cz
- series.conf: refresh
  Ran series_sort.py (no effect on expanded tree).
- commit c5e3798
* Mon Mar 19 2018 msuchanek@suse.de
- kernel-*.spec: remove remaining occurences of %%release from dependencies
  There is a mix of %%release and %%source_rel in manually added
  dependencies and the %%release dependencies tend to fail due to rebuild
  sync issues. So get rid of them.
- commit b4ec514
* Mon Mar 19 2018 msuchanek@suse.de
- ibmvnic: Remove unused TSO resources in TX pool structure
  (bsc#1085224).
- commit c081465
* Mon Mar 19 2018 msuchanek@suse.de
- ibmvnic: Update TX pool cleaning routine (bsc#1085224).
- commit 9804de0
* Mon Mar 19 2018 msuchanek@suse.de
- Refresh metadata of ibmvnic patches
  Refresh patches.drivers/ibmvnic-Generalize-TX-pool-structure.patch.
  Refresh patches.drivers/ibmvnic-Update-and-clean-up-reset-TX-pool-routine.patch.
  Refresh patches.drivers/ibmvnic-Update-release-TX-pool-routine.patch
  Refresh patches.drivers/ibmvnic-Update-TX-pool-initialization-routine.patch.
  Refresh patches.drivers/ibmvnic-Update-TX-and-TX-completion-routines.patch.
  Refresh patches.drivers/ibmvnic-Improve-TX-buffer-accounting.patch.
- commit 36929d0
* Mon Mar 19 2018 yousaf.kaukab@suse.com
- PCI: Remove redundant probes for device reset support
  (bsc#1084889).
- PCI: Probe for device reset support during enumeration
  (bsc#1084889).
- ACPI / CPPC: Use 64-bit arithmetic instead of 32-bit
  (bsc#1084771).
- ACPI: CPPC: remove initial assignment of pcc_ss_data
  (bsc#1084771).
- ACPI / CPPC: Fix KASAN global out of bounds warning
  (bsc#1084771).
- PCI: Avoid slot reset if bridge itself is broken (bsc#1084918).
- PCI: Avoid bus reset if bridge itself is broken (bsc#1084918).
- ACPI / CPPC: Make CPPC ACPI driver aware of PCC subspace IDs
  (bsc#1084771).
- mailbox: PCC: Move the MAX_PCC_SUBSPACES definition to header
  file (bsc#1084771).
- mailbox: pcc: Drop uninformative output during boot
  (bsc#1084771).
- ACPI: processor: use dev_dbg() instead of dev_warn() when CPPC
  probe failed (bsc#1084771).
- mailbox: pcc: Fix crash when request PCC channel 0
  (bsc#1084771).
- ACPICA: Add support for new PCCT subtables (bsc#1084771).
- commit 7fecb4d
* Sun Mar 18 2018 mbrugger@suse.com
- Refresh patches.drivers/net-hns-Fix-ethtool-private-flags.patch.
- commit 30b4cfe
* Sat Mar 17 2018 tiwai@suse.de
- ALSA: hda: add dock and led support for HP ProBook 640 G2
  (bsc#1052235).
- ALSA: hda: add dock and led support for HP EliteBook 820 G3
  (bsc#1052235).
- commit d23a5b8
* Sat Mar 17 2018 tiwai@suse.de
- drm/radeon: fix prime teardown order (bsc#1051510).
- drm/radeon: fix KV harvesting (bsc#1051510).
- commit dbeae71
* Sat Mar 17 2018 tiwai@suse.de
- drm/i915/gvt: Correct the privilege shadow batch buffer address
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: keep oa config in shadow ctx (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Add runtime_pm_get/put into gvt_switch_mmio
  (FATE#322643 bsc#1055900).
- drm/nouveau/bl: Fix oops on driver unbind (bsc#1051510).
- drm/i915: Kick the rps worker when changing the boost frequency
  (FATE#322643 bsc#1055900).
- drm/i915: Only prune fences after wait-for-all (FATE#322643
  bsc#1055900).
- drm/i915: Enable VBT based BL control for DP (FATE#322643
  bsc#1055900).
- drm/i915: Suspend submission tasklets around wedging
  (FATE#322643 bsc#1055900).
- drm/i915/perf: fix perf stream opening lock (FATE#322643
  bsc#1055900).
- commit 7928411
* Sat Mar 17 2018 mcgrof@suse.com
- buffer: use mapping_set_error instead of setting the flag (bsc#1085535).
- commit e58067e
* Sat Mar 17 2018 mcgrof@suse.com
- buffer: set errors in mapping at the time that the error occurs (bsc#1085535).
- commit 98a5540
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: Properly retry failed dquot items in case of error during buffer writeback (bsc#1085535, bsc#1085737).
- commit bd133bd
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: fortify xfs_alloc_buftarg error handling (bsc#1085535).
- commit 6d33267
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: fix forgotten rcu read unlock when skipping inode reclaim (bsc#1085535).
- commit 045fde2
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: check if an inode is cached and allocated (bsc#1085535).
- commit 4678d27
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: return a distinct error code value for IGET_INCORE cache misses (bsc#1085535)
- commit d7b171e
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: move two more RT specific functions into CONFIG_XFS_RT (bsc#1085535, bsc#1073411).
- commit 92df594
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: trim writepage mapping to within eof (bsc#1085535, bsc#1073411).
- commit e28559b
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: cancel dirty pages on invalidation (bsc#1085535, bsc#1073406).
- commit 459af78
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: don't change inode mode if ACL update fails (bsc#1085535, bsc#1073406).
- commit a513898
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: move more RT specific code under CONFIG_XFS_RT (bsc#1085535).
- commit d9135ff
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: Don't log uninitialised fields in inode structures (bsc#1085535). - Refresh patches.fixes/xfs-convert-to-new-i_version-API.patch.
- commit ab8d0ef
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: handle racy AIO in xfs_reflink_end_cow (bsc#1085535).
- commit 928bee7
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: always swap the cow forks when swapping extents (bsc#1085535)
- commit 900bc36
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: Capture state of the right inode in xfs_iflush_done (bsc#1085535, bsc#1070682).
- commit b235462
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: perag initialization should only touch m_ag_max_usable for AG 0 (bsc#1085535).
- commit 16cf407
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: update i_size after unwritten conversion in dio completion (bsc#1085535).
- commit 93c9c20
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: validate bdev support for DAX inode flag (bsc#1085535).
- commit eb71679
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: report zeroed or not correctly in xfs_zero_range() (bsc#1085535).
- commit 6298786
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: evict CoW fork extents when performing finsert/fcollapse (bsc#1085535).
- commit dc06c2e
* Fri Mar 16 2018 jeffm@suse.com
- iomap_dio_rw: Allocate AIO completion queue before submitting
  dio (bsc#1085711).
- commit 3211750
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: don't unconditionally clear the reflink flag on zero-block files (bsc#1085535).
- commit bcb1820
* Fri Mar 16 2018 jeffm@suse.com
- btrfs: fix lockdep splat in btrfs_alloc_subvolume_writers
  (bsc#1085699).
- commit 73b177a
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: use kmem_free to free return value of kmem_zalloc (bsc#1085535).
- commit 8d1ab0c
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: open code end_buffer_async_write in xfs_finish_page_writeback (bsc#1085535).
- commit 5dc9796
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: don't set v3 xflags for v2 inodes (bsc#1085535).
- commit 2e1a433
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: fix compiler warnings (bsc#1085535).
- commit 231ac4b
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: fix incorrect log_flushed on fsync (bsc#1085535).
- commit 55862a4
* Fri Mar 16 2018 jeffm@suse.com
- btrfs: propagate error to btrfs_cmp_data_prepare caller
  (bsc#1076088).
- commit 20a82e4
* Fri Mar 16 2018 msuchanek@suse.de
- Refresh patches.arch/powerpc-64-Use-barrier_nospec-in-syscall-entry.patch.
- Refresh patches.arch/powerpc-Use-barrier_nospec-in-copy_from_user.patch.
  move barrier after branch
- commit bace443
* Fri Mar 16 2018 jthumshirn@suse.de
- scsi: sg: Re-fix off by one in sg_fill_request_table()
  (bsc#1085654).
- scsi: sg: fixup infoleak when using SG_GET_REQUEST_TABLE
  (bsc#1085654).
- scsi: sg: factor out sg_fill_request_table() (bsc#1085654).
- commit d70aad9
* Fri Mar 16 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/scsi-lpfc-change-copyright-of-12.0.0.1-modified-files-to.patch.
- Refresh
  patches.drivers/scsi-lpfc-code-cleanup-for-128byte-wqe-data-type.patch.
- Refresh
  patches.drivers/scsi-lpfc-fix-mailbox-wait-for-post_sgl-mbox-command.patch.
- Refresh
  patches.drivers/scsi-lpfc-fix-scsi-lun-discovery-when-port-configured-for.patch.
- Refresh
  patches.drivers/scsi-lpfc-memory-allocation-error-during-driver-start-up-on.patch.
- Refresh
  patches.drivers/scsi-lpfc-streamline-nvme-initiator-wqe-setup.patch.
- Refresh
  patches.drivers/scsi-lpfc-streamline-nvme-targe6t-wqe-setup.patch.
- Refresh
  patches.drivers/scsi-lpfc-update-driver-version-to-12.0.0.1.patch.
- commit 7b6b825
* Fri Mar 16 2018 jthumshirn@suse.de
- loop: fix concurrent lo_open/lo_release (bsc#1085643).
- commit ec3edfb
* Fri Mar 16 2018 hare@suse.de
- nvmet_fc: prevent new io rqsts in possible isr completions
  (FATE#323952, FATE#322506).
- commit 03750dd
* Fri Mar 16 2018 hare@suse.de
- nvme_fc: on remoteport reuse, set new nport_id and role
  (bsc#1076760).
- commit 18875d5
* Fri Mar 16 2018 hare@suse.de
- nvme_fc: fix abort race on teardown with lld reject
  (bsc#1083750).
- nvme_fc: io timeout should defer abort to ctrl reset
  (bsc#1085054).
- commit fcde440
* Fri Mar 16 2018 hare@suse.de
- nvme_fc: fix ctrl create failures racing with workq items
  (bsc#1083750).
- commit 9b8dc65
* Fri Mar 16 2018 hare@suse.de
- scripts/git_sort/git_sort.py: Update nvme tree to 4.17
- commit 99db2a2
* Fri Mar 16 2018 jthumshirn@suse.de
- virtio_blk: Fix an SG_IO regression (bsc#1085636).
- commit 2954f97
* Fri Mar 16 2018 jthumshirn@suse.de
- scsi: scsi_transport_fc: fix NULL pointer dereference in
  fc_bsg_job_timeout (bsc#1085634).
- commit 68473f0
* Fri Mar 16 2018 hare@suse.de
- nvme_fc: rework sqsize handling (bsc#1083750).
- nvme-pci: Fix EEH failure on ppc (bsc#1085342).
- commit e100d7e
* Fri Mar 16 2018 hare@suse.de
- nvmet: fix PSDT field check in command format (FATE#323952,
  FATE#322506).
- nvme-pci: Fix nvme queue cleanup if IRQ setup fails
  (FATE#323952, FATE#322506).
- nvmet-loop: use blk_rq_payload_bytes for sgl selection
  (FATE#323952, FATE#322506).
- nvme-rdma: use blk_rq_payload_bytes instead of blk_rq_bytes
  (FATE#323952, FATE#322506).
- nvme-fabrics: don't check for non-NULL module in
  nvmf_register_transport (FATE#323952, FATE#322506).
- nvme-rdma: fix sysfs invoked reset_ctrl error flow (FATE#323952,
  FATE#322506).
- nvmet: Change return code of discard command if not supported
  (FATE#323952, FATE#322506).
- nvme: fix the deadlock in nvme_update_formats (bsc#1083750).
- nvme: Don't use a stack buffer for keep-alive command
  (FATE#323952, FATE#322506).
- nvme: Fix discard buffer overrun (FATE#323952, FATE#322506).
- nvme: delete NVME_CTRL_LIVE --> NVME_CTRL_CONNECTING transition
  (FATE#323952, FATE#322506).
- nvme-rdma: use NVME_CTRL_CONNECTING state to mark init process
  (FATE#323952, FATE#322506).
- commit 5a5189c
* Fri Mar 16 2018 jthumshirn@suse.de
- bsg-lib: don't free job in bsg_prepare_job (bsc#1085630).
- commit 5645dd9
* Fri Mar 16 2018 tiwai@suse.de
- supported.conf: Enable pinctrl/intel modules (FATE#325095,FATE#325124,FATE#322647,FATE#321356)
- commit 34f89b2
* Fri Mar 16 2018 tiwai@suse.de
- Update config files: Enable CONFIG_PINCTRL_DENVERTON for x86_64 (FATE#325124)
- commit 32e2f2c
* Fri Mar 16 2018 tiwai@suse.de
- pinctrl: intel: Add Intel Denverton pin controller support
  (FATE#325124).
- commit 63c5269
* Fri Mar 16 2018 msuchanek@suse.de
- ibmvnic: Fix reset return from closed state (bsc#1084610).
- commit 07460ad
* Fri Mar 16 2018 hare@suse.de
- kabi/severities: Do not blacklist drivers/message/fusion
- commit f791f8f
* Fri Mar 16 2018 hare@suse.de
- block: kyber: fix domain token leak during requeue
  (bsc#1077989).
- blk-mq: don't call io sched's .requeue_request when requeueing
  rq to ->dispatch (bsc#1077989).
- blk-wbt: account flush requests correctly (bsc#1077989).
- blk_rq_map_user_iov: fix error override (bsc#1077989).
- blk-mq: quiesce queue before freeing queue (bsc#1077989).
- block: drain queue before waiting for q_usage_counter becoming
  zero (bsc#1077989).
- block-throttle: avoid double charge (bsc#1077989).
- block: don't let passthrough IO go into .make_request_fn()
  (bsc#1077989).
- ata: fixes kernel crash while tracing ata_eh_link_autopsy event
  (bsc#1077989).
- blk-mq-sched: dispatch from scheduler IFF progress is made in
  - >dispatch (bsc#1077989).
- block,bfq: Disable writeback throttling (bsc#1077989).
- bio_copy_user_iov(): don't ignore ->iov_offset (bsc#1077989).
- more bio_map_user_iov() leak fixes (bsc#1077989).
- block: directly insert blk-mq request from
  blk_insert_cloned_request() (bsc#1077989).
- commit 755e323
* Fri Mar 16 2018 tbogendoerfer@suse.de
- scsi: csiostor: add support for 32 bit port capabilities
  (bsc#1084463).
- commit 2a6691d
* Fri Mar 16 2018 hare@suse.de
- Update config files.
- commit 8f7bcb9
* Fri Mar 16 2018 jthumshirn@suse.de
- dm mpath: fix passing integrity data (bsc#1085599).
- commit 079d71d
* Fri Mar 16 2018 hare@suse.de
- ahci: Add PCI ids for Intel Bay Trail, Cherry Trail and Apollo Lake AHCI (bsc#1077989). - ahci: Allow setting a default LPM policy for mobile chipsets (bsc#1079088). - ahci: Annotate PCI ids for mobile Intel chipsets as such (bsc#1077989). - ata: ahci_brcm: Avoid writing to read-only registers (1079088). - libata: Add the AHCI_HFLAG_NO_WRITE_TO_RO flag (1079088). - libata: Add the AHCI_HFLAG_YES_ALPM flag (1079088). - libata: sata_down_spd_limit should return if driver has not recorded sstatus speed (bsc#1079088). - Refresh patches.fixes/0001-ahci-Add-Intel-Cannon-Lake-PCH-H-PCI-ID.patch.
- commit 20e9c8c
* Fri Mar 16 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-crashes-in-qla2x00_probe_one-on-pro.patch.
  Refresh Patch-mainline
- commit 83e7885
* Fri Mar 16 2018 tiwai@suse.de
- Move sound patches into the sorted section
- commit 9e5a89a
* Fri Mar 16 2018 neilb@suse.com
- NFSv4: handle EINVAL from EXCHANGE_ID better (bsc#1074661).
- commit 328ecd0
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: remove double-underscore integer types (bsc#1085535).
- commit bad7273
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: relog dirty buffers during swapext bmbt owner change (bsc#1085535).
- commit d182840
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: disallow marking previously dirty buffers as ordered (bsc#1085535).
- commit fbe5afe
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: move bmbt owner change to last step of extent swap (bsc#1085535).
- commit b1ccefc
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: don't log dirty ranges for ordered buffers (bsc#1085535).
- commit 1059f79
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: refactor buffer logging into buffer dirtying helper (bsc#1085535).
- commit c4ad563
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: ordered buffer log items are never formatted (bsc#1085535).
- commit bf9d73a
* Fri Mar 16 2018 mcgrof@suse.com
- xfs: remove bli from AIL before release on transaction abort (bsc#1085400).
- commit fe017ba
* Thu Mar 15 2018 brogers@suse.com
- KVM: nVMX: Fix bug of injecting L2 exception into L1
  (bsc#1082743).
- commit c911389
* Thu Mar 15 2018 msuchanek@suse.de
- powerpc/64: barrier_nospec: Add commandline trigger
  (bsc#1068032, bsc#1080157).
- powerpc/64s: barrier_nospec: Add hcall trigger (bsc#1068032,
  bsc#1080157).
- powerpc/64: barrier_nospec: Add debugfs trigger (bsc#1068032,
  bsc#1080157).
- powerpc/64: Patch barrier_nospec in modules (bsc#1068032,
  bsc#1080157).
- powerpc/64s: Add support for ori barrier_nospec patching
  (bsc#1068032, bsc#1080157).
- powerpc/64s: Use barrier_nospec in RFI_FLUSH_SLOT (bsc#1068032,
  bsc#1080157).
- powerpc/64: Use barrier_nospec in syscall entry (bsc#1068032,
  bsc#1080157).
- powerpc: Use barrier_nospec in copy_from_user (bsc#1068032,
  bsc#1080157).
- powerpc: Add barrier_nospec (bsc#1068032, bsc#1080157).
- commit 61e5a68
* Thu Mar 15 2018 msuchanek@suse.de
- rfi-flush: Always enable fallback flush on pseries
  (bsc#1068032).
- rfi-flush: Call setup_rfi_flush() after LPM migration
  (bsc#1068032).
- rfi-flush: Differentiate enabled and patched flush types
  (bsc#1068032).
- rfi-flush: Make it possible to call setup_rfi_flush() again
  (bsc#1068032).
- Delete
  patches.arch/powerpc-pseries-rfi-flush-Call-setup_rfi_flush-after.patch.
- commit bedae0a
* Thu Mar 15 2018 oneukum@suse.com
- Refresh
  patches.suse/0001-Add-a-void-suse_kabi_padding-placeholder-to-some-USB.patch.
  Refresh
  patches.suse/0002-Add-a-void-suse_kabi_padding-placeholder-to-some-USB.patch.
  Added placeholders to new structures and structures likely to see
  additions with USB 3.2
- commit 2e13f72
* Thu Mar 15 2018 mcgrof@suse.com
- xfs: remove unnecessary dirty bli format check for ordered bufs (bsc#1085535, bsc#1085400).
- commit 878b923
* Thu Mar 15 2018 msuchanek@suse.de
- Refresh patches.arch/powerpc-rfi-flush-Move-the-logic-to-avoid-a-redo-int.patch
- commit 15d094c
* Thu Mar 15 2018 msuchanek@suse.de
- Delete patches.arch/powerpc-rfi-flush-Add-DEBUG_RFI-config-option.patch.
- commit c144715
* Thu Mar 15 2018 mcgrof@suse.com
- xfs: release bli from transaction properly on fs shutdown (bsc#1085400).
- commit d1eb889
* Thu Mar 15 2018 mcgrof@suse.com
- xfs: open-code xfs_buf_item_dirty() (bsc#1085535, bsc#1085400).
- commit 0219f88
* Thu Mar 15 2018 mcgrof@suse.com
- xfs: check for race with xfs_reclaim_inode() in xfs_ifree_cluster() (bsc#1085535).
- commit 63625ee
* Thu Mar 15 2018 ptesarik@suse.cz
- s390/entry.S: fix spurious zeroing of r0 (LTC#164304,
  bsc#1084911).
- commit 385e43e
* Thu Mar 15 2018 ptesarik@suse.cz
- s390: do not bypass BPENTER for interrupt system calls
  (LTC#164304, bsc#1084911).
- commit ed1afdf
* Thu Mar 15 2018 mcgrof@suse.com
- xfs: handle -EFSCORRUPTED during head/tail verification (bsc#1085535).
- commit adcbd09
* Thu Mar 15 2018 ptesarik@suse.cz
- s390: Replace IS_ENABLED(EXPOLINE_*) with
  IS_ENABLED(CONFIG_EXPOLINE_*) (LTC#164304, bsc#1084911).
- commit 8bea736
* Thu Mar 15 2018 mcgrof@suse.com
- xfs: fix log recovery corruption error due to tail overwrite (bsc#1085535).
- commit 504e04b
* Thu Mar 15 2018 ptesarik@suse.cz
- s390: introduce execute-trampolines for branches (LTC#164304,
  bsc#1084911).
- commit 8b70679
* Thu Mar 15 2018 oneukum@suse.com
- Thunderbolt: kABI paddings added (bsc#1070681).
- commit 211b2ae
* Thu Mar 15 2018 mcgrof@suse.com
- xfs: always verify the log tail during recovery (bsc#1085535).
- commit 24a67e9
* Thu Mar 15 2018 ptesarik@suse.cz
- s390: run user space and KVM guests with modified branch
  prediction (LTC#164304, bsc#1084911).
- commit 2450b20
* Thu Mar 15 2018 ptesarik@suse.cz
- s390: add optimized array_index_mask_nospec (LTC#164304,
  bsc#1084911).
- commit b8c619a
* Thu Mar 15 2018 mcgrof@suse.com
- xfs: fix recovery failure when log record header wraps log end (bsc#1085535).
- commit 7ffd57a
* Thu Mar 15 2018 ptesarik@suse.cz
- s390: scrub registers on kernel entry and KVM exit (LTC#164304,
  bsc#1084911).
- commit ceb4998
* Thu Mar 15 2018 oneukum@suse.com
- PCI: pciehp: Do not clear Presence Detect Changed during
  initialization (bsc#1070681).
- PCI: pciehp: Fix race condition handling surprise link down
  (bsc#1070681).
- commit c6224de
* Thu Mar 15 2018 ptesarik@suse.cz
- s390: add options to change branch prediction behaviour for
  the kernel (LTC#164304, bsc#1068032, bsc#1084911).
- Delete patches.arch/s390-sles15-99-02-nobp.patch.
- commit ab35499
* Thu Mar 15 2018 oneukum@suse.com
- PCI: Distribute available resources to hotplug-capable bridges
  (bsc#1070681).
- commit c7a131a
* Thu Mar 15 2018 oneukum@suse.com
- PCI: Distribute available buses to hotplug-capable bridges
  (bsc#1070681).
- commit f245576
* Thu Mar 15 2018 mbrugger@suse.com
- watchdog: sbsa: use 32-bit read for WCV (bsc#1083411).
- commit 95be6a2
* Thu Mar 15 2018 mbrugger@suse.com
- scsi: hisi_sas: directly attached disk LED feature for v2 hw
  (bsc#1083411).
- commit 82b07af
* Thu Mar 15 2018 ptesarik@suse.cz
- s390/alternative: use a copy of the facility bit mask
  (LTC#164304, bsc#1084911).
- commit a6eeafb
* Thu Mar 15 2018 mbrugger@suse.com
- net: hns: Fix ethtool private flags (bsc#1085511).
- commit db6e0ea
* Thu Mar 15 2018 ptesarik@suse.cz
- s390/spinlock: add gmb memory barrier (LTC#164304, bsc#1084911).
- commit 60f06f8
* Thu Mar 15 2018 oneukum@suse.com
- PCI: Open-code the two pass loop when scanning bridges
  (bsc#1070681).
- PCI: Add for_each_pci_bridge() helper (bsc#1070681).
- commit 7ef9727
* Thu Mar 15 2018 hare@suse.de
- loop: Fix lost writes caused by missing flag (bsc#1077989).
- block: fix a typo (bsc#1077989).
- block: display the correct diskname for bio (bsc#1077989).
- block: fix the count of PGPGOUT for WRITE_SAME (bsc#1077989).
- genhd: Fix leaked module reference for NVME devices (bsc#1077989).
- scsi: mpt3sas: fix an out of bound write (bsc#1077989).
- scsi: libsas: fix memory leak in sas_smp_get_phy_events() (bsc#1077989).
- block: only bdi_unregister() in del_gendisk() if !GENHD_FL_HIDDEN (bsc#1077989).
- block: wake up all tasks blocked in get_request() (bsc#1077989).
- commit 11bfaef
* Thu Mar 15 2018 jthumshirn@suse.de
- scsi: lpfc: make several unions static, fix non-ANSI prototype
  (bsc#1085387).
- scsi: lpfc: Change Copyright of 12.0.0.1 modified files to 2018
  (bsc#1085387).
- scsi: lpfc: update driver version to 12.0.0.1 (bsc#1085387).
- scsi: lpfc: Memory allocation error during driver start-up on
  power8 (bsc#1085387).
- scsi: lpfc: Fix mailbox wait for POST_SGL mbox command
  (bsc#1085387).
- scsi: lpfc: Fix SCSI lun discovery when port configured for
  both SCSI and NVME (bsc#1085387).
- scsi: lpfc: Streamline NVME Targe6t WQE setup (bsc#1085387).
- scsi: lpfc: Streamline NVME Initiator WQE setup (bsc#1085387).
- scsi: lpfc: Code cleanup for 128byte wqe data type
  (bsc#1085387).
- commit 1cb568e
* Thu Mar 15 2018 yousaf.kaukab@suse.com
- Update config files.
- commit c93abb9
* Thu Mar 15 2018 oneukum@suse.com
- PCI: Move pci_hp_add_bridge() to drivers/pci/probe.c
  (bsc#1070681).
- commit 1eea5d4
* Thu Mar 15 2018 hare@suse.de
- scsi: libsas: notify event PORTE_BROADCAST_RCVD in
  sas_enable_revalidation() (bsc#1085000).
- scsi: libsas: direct call probe and destruct (bsc#1085000).
- scsi: libsas: use flush_workqueue to process disco events
  synchronously (bsc#1085000).
- scsi: libsas: Use new workqueue to run sas event and disco event
  (bsc#1085000).
- scsi: libsas: make the event threshold configurable
  (bsc#1085000).
- scsi: libsas: shut down the PHY if events reached the threshold
  (bsc#1085000).
- scsi: libsas: Use dynamic alloced work to avoid sas event lost
  (bsc#1085000).
- commit 23a9718
* Thu Mar 15 2018 jthumshirn@suse.de
- scsi: qla2xxx: Fix crashes in qla2x00_probe_one on probe failure
  (bsc#1077338).
- commit faf79cf
* Thu Mar 15 2018 rgoldwyn@suse.com
- Correct placement of apparmor-next patches
  This needed a new section for jj/linux-apparmor for apparmor-next
  branch.
- commit 70d2dc4
* Thu Mar 15 2018 hare@suse.de
- qla2xxx: Update driver version to 10.00.00.06-k (bsc#1084570).
- qla2xxx: Fix Async GPN_FT for FCP and FC-NVMe scan
  (bsc#1084570).
- qla2xxx: Cleanup code to improve FC-NVMe error handling
  (bsc#1084570).
- qla2xxx: Fix FC-NVMe IO abort during driver reset (bsc#1084570).
- qla2xxx: Fix retry for PRLI RJT with reason of BUSY
  (bsc#1084570).
- qla2xxx: Remove nvme_done_list (bsc#1084570).
- qla2xxx: Return busy if rport going away (bsc#1084570).
- qla2xxx: Fix n2n_ae flag to prevent dev_loss on PDB change
  (bsc#1084570).
- qla2xxx: Add FC-NVMe abort processing (bsc#1084570).
- qla2xxx: Restore ZIO threshold setting (bsc#1084570).
- qla2xxx: Add changes for devloss timeout in driver
  (bsc#1084570).
- qla2xxx: Set IIDMA and fcport state before
  qla_nvme_register_remote() (bsc#1084570).
- qla2xxx: Remove unneeded message and minor cleanup for FC-NVMe
  (bsc#1084570).
- scsi: qla2xxx: Remove FC_NO_LOOP_ID for FCP and FC-NVMe
  Discovery (bsc#1084569).
- scsi: qla2xxx: Fix NULL pointer crash due to active timer for
  ABTS (bsc#1082979).
- commit b0e8cae
* Thu Mar 15 2018 oneukum@suse.com
- thunderbolt: Mask ring interrupt properly when polling starts
  (bsc#1070681).
- commit 3a626f5
* Thu Mar 15 2018 jthumshirn@suse.de
- s390/qeth: fix IP address lookup for L3 devices (bsc#1085486).
- s390/qeth: fix double-free on IP add/remove race (bsc#1085486).
- s390/qeth: fix IP removal on offline cards (bsc#1085486).
- s390/qeth: improve error reporting on IP add/removal
  (bsc#1085486).
- commit 7ed1eb8
* Thu Mar 15 2018 oneukum@suse.com
- thunderbolt: Allocate ring HopID automatically if requested
  (bsc#1070681).
- commit 70ae42d
* Thu Mar 15 2018 oneukum@suse.com
- thunderbolt: Add polling mode for rings (bsc#1070681).
- commit 3c69806
* Thu Mar 15 2018 tiwai@suse.de
- security/keys: BIG_KEY requires CONFIG_CRYPTO (bsc#1051510).
- commit 1e8d44b
* Thu Mar 15 2018 jthumshirn@suse.de
- Fix sorting
- commit 0515713
* Thu Mar 15 2018 hare@suse.de
- Update patch-header with upstream commit ID
- Refresh
  patches.drivers/qla2xxx-Fixup-locking-for-session-deletion.patch.
- Refresh
  patches.drivers/qla2xxx-do-not-check-login_state-if-no-loop-id-is-as.patch.
- Refresh
  patches.drivers/qla2xxx-ensure-async-flags-are-reset-correctly.patch.
- commit 6ceddbd
* Thu Mar 15 2018 tiwai@suse.de
- staging: rtl8188eu: Fix incorrect response to SIOCGIWESSID
  (bsc#1051510).
- ima: do not update security.ima if appraisal status is not
  INTEGRITY_PASS (bsc#1051510).
- staging: rtl8188eu: avoid a null dereference on pmlmepriv
  (bsc#1051510).
- ima: fix hash algorithm initialization (bsc#1051510).
- staging: bcm2835-audio: Fix memory corruption (bsc#1051510).
- security/keys: rewrite all of big_key crypto (bsc#1051510).
- security/keys: properly zero out sensitive key material in
  big_key (bsc#1051510).
- commit 6649606
* Thu Mar 15 2018 oneukum@suse.com
- thunderbolt: Use spinlock in NHI serialization (bsc#1070681).
- thunderbolt: Use spinlock in ring serialization (bsc#1070681).
- thunderbolt: Move ring descriptor flags to thunderbolt.h
  (bsc#1070681).
- commit a02064a
* Thu Mar 15 2018 msuchanek@suse.de
- ipmi: use dynamic memory for DMI driver override (bsc#1085477).
- workqueue: avoid hard lockups in show_workqueue_state()
  (bsc#1085474).
- kdump: write correct address of mem_section into vmcoreinfo
  (bsc#1052766).
- genirq: Guard handle_bad_irq log messages (bsc#1070194).
- ipmi: Stop timers before cleaning up the module (bsc#1085477).
- kdb: Fix handling of kallsyms_symbol_next() return value
  (bsc#1052766).
- smp/hotplug: Move step CPUHP_AP_SMPCFD_DYING to the correct
  place (bsc#1052766).
- workqueue: Fix NULL pointer dereference (bsc#1085474).
- workqueue: replace pool->manager_arb mutex with a flag
  (bsc#1085474).
- irq/generic-chip: Don't replace domain's name (bsc#1070194).
- smp/hotplug: Handle removal correctly in cpuhp_store_callbacks()
  (bsc#1052766).
- commit 2d0ceb8
* Thu Mar 15 2018 msuchanek@suse.de
- Sort apparmor patch.
- commit 1285305
* Thu Mar 15 2018 tbogendoerfer@suse.de
- RDMA/rxe: Fix rxe_qp_cleanup() (bsc#1050662 FATE#323951).
- RDMA/rxe: Fix a race condition in rxe_requester() (bsc#1050662
  FATE#323951).
- RDMA/rxe: Fix a race condition related to the QP error state
  (bsc#1050662 FATE#323951).
- i40e: don't remove netdev->dev_addr when syncing uc list
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e/i40evf: Account for frags split over multiple descriptors
  in check linearize (bsc#1056658 FATE#322188 bsc#1056662
  FATE#322186).
- IB/srpt: Disable RDMA access by the initiator (bsc#1046306
  FATE#322942).
- IB/core: Init subsys if compiled to vmlinuz-core (bsc#1046306
  FATE#322942).
- RDMA/cma: Make sure that PSN is not over max allowed
  (bsc#1046306 FATE#322942).
- i40evf: Use smp_rmb rather than read_barrier_depends
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: Use smp_rmb rather than read_barrier_depends (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- Ib/hfi1: Return actual operational VLs in port info query
  (bsc#1060463 FATE#323043).
- RDMA/cma: Avoid triggering undefined behavior (bsc#1046306
  FATE#322942).
- IB/opa_vnic: Properly clear Mac Table Digest (bsc#1060463
  FATE#323043).
- IB/opa_vnic: Properly return the total MACs in UC MAC list
  (bsc#1060463 FATE#323043).
- i40e: use the safe hash table iterator when deleting mac filters
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e/i40evf: spread CPU affinity hints across online CPUs only
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: fix client notify of VF reset (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- commit be14663
* Thu Mar 15 2018 tbogendoerfer@suse.de
- Fix sorting
- commit 99f04f6
* Thu Mar 15 2018 jroedel@suse.de
- PCI: Mark AMD Stoney GPU ATS as broken (bsc#1085438).
- x86/platform/uv/BAU: Disable BAU on single hub configurations
  (bsc#1085438).
- x86/platform/uv/BAU: Fix congested_response_us not taking effect
  (bsc#1085438).
- commit f016967
* Thu Mar 15 2018 jroedel@suse.de
- Refresh patches.fixes/x86-mm-pkeys-fix-fill_sig_info_pkey.patch.
- commit be26314
* Thu Mar 15 2018 msuchanek@suse.de
- ibmvfc: Avoid unnecessary port relogin (bsc#1085404).
- commit 0423e5a
* Thu Mar 15 2018 oneukum@suse.com
- thunderbolt: Export ring handling functions to modules
  (bsc#1070681).
- commit 0c97603
* Thu Mar 15 2018 oneukum@suse.com
- thunderbolt: Add support for frame mode (bsc#1070681).
- commit 78125e0
* Thu Mar 15 2018 oneukum@suse.com
- thunderbolt: Configure interrupt throttling for all interrupts
  (bsc#1070681).
- commit c6505dc
* Thu Mar 15 2018 jkosina@suse.cz
- Update config files: run oldconfig on arm64, ppc64le, s390x
- commit 92d9f93
* Thu Mar 15 2018 bpoirier@suse.com
- e1000e: Fix link check race condition (bsc#1056664 FATE#322185).
- Revert "e1000e: Separate signaling for link check/link up"
  (bsc#1056664 FATE#322185).
- e1000e: allocate ring descriptors with dma_zalloc_coherent
  (bsc#1056664 FATE#322185).
- e1000e: Fix check_for_link return value with autoneg off
  (bsc#1056664 FATE#322185).
- e1000e: Avoid missed interrupts following ICR read (bsc#1056664
  FATE#322185).
- e1000e: Fix queue interrupt re-raising in Other interrupt
  (bsc#1056664 FATE#322185).
- Partial revert "e1000e: Avoid receiver overrun interrupt bursts"
  (bsc#1056664 FATE#322185).
- e1000e: Remove Other from EIAC (bsc#1056664 FATE#322185).
- e1000e: Alert the user that C-states will be disabled by
  enabling jumbo frames (bsc#1056664 FATE#322185).
- e1000e: Set HTHRESH when PTHRESH is used (bsc#1056664
  FATE#322185).
- e1000e: Be drop monitor friendly (bsc#1056664 FATE#322185).
- e1000e: apply burst mode settings only on default (bsc#1056664
  FATE#322185).
- drivers: net: e1000e: use setup_timer() helper (bsc#1056664
  FATE#322185).
- commit fd1dad2
* Thu Mar 15 2018 gqjiang@suse.com
- md-cluster: fix wrong condition check in raid1_write_request
  (bsc#1085402).
- commit de51b30
* Thu Mar 15 2018 mcgrof@suse.com
- xfs: quota: fix missed destroy of qi_tree_lock (bnc#1012382, bsc#1085525).
- commit 64fa650
* Thu Mar 15 2018 mcgrof@suse.com
- xfs: ubsan fixes (bnc#1012382, bsc#1085525).
- commit d7cba96
* Thu Mar 15 2018 mcgrof@suse.com
- xfs: quota: check result of register_shrinker() (bnc#1012382, bsc#1085525).
- commit 98da9d7
* Thu Mar 15 2018 mcgrof@suse.com
- xfs: fix log block underflow during recovery cycle verification (bnc#1012382, bsc#1085525).
- commit 967d992
* Thu Mar 15 2018 mcgrof@suse.com
- xfs: fix incorrect extent state in xfs_bmap_add_extent_unwritten_real (bsc#1085525, bnc#1012382).
- commit e1a9c24
* Thu Mar 15 2018 mcgrof@suse.com
- iomap: report collisions between directio and buffered writes
  to userspace (bsc#1074275).
- commit 065d584
* Thu Mar 15 2018 mcgrof@suse.com
- errseq: rename __errseq_set to errseq_set (bsc#1074275).
- commit 76c35ea
* Thu Mar 15 2018 mcgrof@suse.com
- fs: new infrastructure for writeback error handling and
  reporting (bsc#1074275).
- commit 592f3a3
* Thu Mar 15 2018 mcgrof@suse.com
- lib: add errseq_t type and infrastructure for handling it
  (bsc#1074275).
- commit 2949364
* Wed Mar 14 2018 jkosina@suse.cz
- Update config files: qcom=m
- commit 2552aaa
* Wed Mar 14 2018 rgoldwyn@suse.com
- git-sort: correct branch of apparmor repository
  Change branch name from v4.8-aa2.8-out-of-tree to apparmor-next.
- commit d8d3200
* Wed Mar 14 2018 msuchanek@suse.de
- KVM: PPC: Book3S HV: Drop locks before reading guest memory
  (bsc#1061840).
- KVM: PPC: Book3S HV: Make sure we don't re-enter guest without
  XIVE loaded (bsc#1061840).
- commit f67f69d
* Wed Mar 14 2018 msuchanek@suse.de
- powerpc/kernel: Change retrieval of pci_dn (bsc#1078720).
- commit 5779938
* Wed Mar 14 2018 msuchanek@suse.de
- tpm: fix potential buffer overruns caused by bit glitches on
  the bus (bsc#1082555).
- tpm: st33zp24: fix potential buffer overruns caused by bit
  glitches on the bus (bsc#1082555).
- tpm_i2c_infineon: fix potential buffer overruns caused by bit
  glitches on the bus (bsc#1082555).
- tpm_i2c_nuvoton: fix potential buffer overruns caused by bit
  glitches on the bus (bsc#1082555).
- tpm_tis: fix potential buffer overruns caused by bit glitches
  on the bus (bsc#1082555).
- tpm-dev-common: Reject too short writes (bsc#1082555).
- commit e071d12
* Wed Mar 14 2018 msuchanek@suse.de
- powerpc/mm/radix: Split linear mapping on hot-unplug
  (bsc#1065729).
- proc: fix coredump vs read /proc/*/stat race (bsc#1052766).
- powerpc/perf: Fix oops when grouping different pmu events
  (bsc#1065729).
- powerpc/perf: Fix pmu_count to count only nest imc pmus
  (bsc#1065729).
- powerpc/64s: Fix masking of SRR1 bits on instruction fault
  (bsc#1065729).
- powerpc/powernv/idle: Round up latency and residency values
  (bsc#1065729).
- powerpc/kprobes: Disable preemption before invoking probe
  handler for optprobes (bsc#1065729).
- powerpc/ipic: Fix status get and status clear (bsc#1065729).
- powerpc/perf/hv-24x7: Fix incorrect comparison in memord
  (bsc#1065729).
- powerpc/xmon: Avoid tripping SMP hardlockup watchdog
  (bsc#1065729).
- powerpc: Fix DAR reporting when alignment handler faults
  (bsc#1065729).
- powerpc/mm: Use symbolic constants for filtering SRR1 bits on
  ISIs (bsc#1065729).
- commit e8616ce
* Wed Mar 14 2018 tiwai@suse.de
- Re-enable patches.suse/tpm-Downgrade-error-level (bsc#1042535)
  False-positive errors still appear on many machines
- commit 3708692
* Wed Mar 14 2018 tiwai@suse.de
- Move shpinx fix patch into the sorted section
- commit 49924e7
* Wed Mar 14 2018 tiwai@suse.de
- crypto: s5p-sss - Fix kernel Oops in AES-ECB mode (bsc#1051510).
- crypto: caam - fix endless loop when DECO acquire fails
  (bsc#1051510).
- crypto: talitos - fix Kernel Oops on hashing an empty file
  (bsc#1051510).
- crypto: sha512-mb - initialize pending lengths correctly
  (bsc#1051510).
- crypto: aesni - handle zero length dst buffer (bsc#1051510).
- crypto: hash - prevent using keyed hashes without setting key
  (bsc#1051510).
- crypto: hash - annotate algorithms taking optional key
  (bsc#1051510).
- crypto: poly1305 - remove ->setkey() method (bsc#1051510).
- crypto: mcryptd - pass through absence of ->setkey()
  (bsc#1051510).
- crypto: cryptd - pass through absence of ->setkey()
  (bsc#1051510).
- crypto: hash - introduce crypto_hash_alg_has_setkey()
  (bsc#1051510).
- crypto: af_alg - whitelist mask and type (bsc#1051510).
- crypto: x86/twofish-3way - Fix %%rbp usage (bsc#1051510).
- crypto: tcrypt - fix S/G table for test_aead_speed()
  (bsc#1051510).
- crypto: algapi - fix NULL dereference in crypto_remove_spawns()
  (bsc#1051510).
- crypto: n2 - cure use after free (bsc#1051510).
- crypto: mcryptd - protect the per-CPU queue with a lock
  (bsc#1051510).
- crypto: dh - Fix double free of ctx->p (bsc#1051510).
- crypto: tcrypt - fix buffer lengths in test_aead_speed()
  (bsc#1051510).
- crypto: talitos - fix ctr-aes-talitos (bsc#1051510).
- crypto: talitos - fix use of sg_link_tbl_len (bsc#1051510).
- crypto: talitos - fix AEAD for sha224 on non sha224 capable
  chips (bsc#1051510).
- crypto: talitos - fix setkey to check key weakness
  (bsc#1051510).
- crypto: talitos - fix memory corruption on SEC2 (bsc#1051510).
- crypto: talitos - fix AEAD test failures (bsc#1051510).
- crypto: crypto4xx - increase context and scatter ring buffer
  elements (bsc#1051510).
- crypto: aesni - Use GCM IV size constant (bsc#1051510).
- crypto: gcm - add GCM IV size constant (bsc#1051510).
- crypto: ccm - preserve the IV buffer (bsc#1051510).
- crypto: x86/sha1-mb - fix panic due to unaligned access
  (bsc#1051510).
- crypto: x86/sha256-mb - fix panic due to unaligned access
  (bsc#1051510).
- crypto: shash - Fix zero-length shash ahash digest crash
  (bsc#1051510).
- crypto: talitos - Don't provide setkey for non hmac hashing algs
  (bsc#1051510).
- crypto: talitos - fix hashing (bsc#1051510).
- crypto: talitos - fix sha224 (bsc#1051510).
- crypto: drbg - fix freeing of resources (bsc#1051510).
- crypto: ccp - Fix XTS-AES-128 support on v5 CCPs (bsc#1051510).
- crypto: scompress - don't sleep with preemption disabled
  (bsc#1051510).
- crypto: caam/qi - properly set IV after {en,de}crypt
  (bsc#1051510).
- crypto: caam/qi - fix typo in authenc alg driver name
  (bsc#1051510).
- commit 72727a1
* Wed Mar 14 2018 yousaf.kaukab@suse.com
- Update config files.
- commit 36b5fce
* Wed Mar 14 2018 yousaf.kaukab@suse.com
- phy: qcom-ufs: add MODULE_LICENSE tag (bsc#1085301).
- power: reset: zx-reboot: add missing
  MODULE_DESCRIPTION/AUTHOR/LICENSE (bsc#1085301).
- cpufreq: mediatek: add missing MODULE_DESCRIPTION/AUTHOR/LICENSE
  (bsc#1085301).
- commit cfc93a7
* Wed Mar 14 2018 yousaf.kaukab@suse.com
- mmc: mmci: stop building qcom dml as module (bsc#1085301).
- supported.conf:
- commit 5a9b68a
* Wed Mar 14 2018 msuchanek@suse.de
- hwmon: (pmbus) Use 64bit math for DIRECT format values
  (bsc#1052766).
- hwmon: (pmbus/core) Prevent unintentional setting of page to
  0xFF (bsc#1052766).
- commit 54a3243
* Wed Mar 14 2018 msuchanek@suse.de
- cpufreq: powernv: Dont assume distinct pstate values for
  nominal and pmin (bsc#1065729).
- backlight: pwm_bl: Fix overflow condition (bsc#1052766).
- device property: Track owner device of device property
  (bsc#1052766).
- auxdisplay: charlcd: properly restore atomic counter on error
  path (bsc#1052766).
- commit 96648fb
* Wed Mar 14 2018 oneukum@suse.com
- thunderbolt: Move tb_switch_phy_port_from_link() to
  thunderbolt.h (bsc#1070681).
- commit e0e498b
* Wed Mar 14 2018 agraf@suse.de
- lan78xx: Connect phy early (bsc#1085262).
- commit 7b14d88
* Wed Mar 14 2018 msuchanek@suse.de
- KVM: PPC: Book3S HV: Fix guest time accounting with
  VIRT_CPU_ACCOUNTING_GEN (bsc#1061840).
- KVM: PPC: Book3S PR: Fix broken select due to misspelling
  (bsc#1061840).
- commit 31b626e
* Wed Mar 14 2018 oneukum@suse.com
- thunderbolt: Move thunderbolt domain structure to thunderbolt.h
  (bsc#1070681).
- thunderbolt: Move enum tb_cfg_pkg_type to thunderbolt.h
  (bsc#1070681).
- commit 7ab081a
* Wed Mar 14 2018 oneukum@suse.com
- thunderbolt: Add support for XDomain properties (bsc#1070681).
- commit 30b5374
* Wed Mar 14 2018 oneukum@suse.com
- thunderbolt: Remove __packed from ICM message structures
  (bsc#1070681).
- commit 9d00945
* Wed Mar 14 2018 oneukum@suse.com
- byteorder: Move {cpu_to_be32, be32_to_cpu}_array() from
  Thunderbolt to core (bsc#1070681).
- commit e4d3505
* Wed Mar 14 2018 jeffm@suse.com
- rpm/kernel-source.spec.in: Add check-module-license to Sources
  The package builds in the build service but the script won't make it
  into the SRPM if it's not in the Sources list.
- commit 031ed9e
* Wed Mar 14 2018 msuchanek@suse.de
- ibmvnic: Improve TX buffer accounting (bsc#1085224).
- ibmvnic: Update TX and TX completion routines (bsc#1085224).
- ibmvnic: Update TX pool initialization routine (bsc#1085224).
- ibmvnic: Update release RX pool routine (bsc#1085224).
- ibmvnic: Update and clean up reset TX pool routine
  (bsc#1085224).
- ibmvnic: Generalize TX pool structure (bsc#1085224).
- ibmvnic: Fix recent errata commit (bsc#1085239).
- ibmvnic: Handle TSO backing device errata (bsc#1085239).
- ibmvnic: Pad small packets to minimum MTU size (bsc#1085239).
- ibmvnic: Account for VLAN header length in TX buffers
  (bsc#1085239).
- ibmvnic: Account for VLAN tag in L2 Header descriptor
  (bsc#1085239).
- powerpc/xive: Use hw CPU ids when configuring the CPU queues
  (bsc#1085030).
- KVM: PPC: Book3S HV: Enable use of the new XIVE "single
  escalation" feature (bsc#1085030).
- powerpc/xive: Add interrupt flag to disable automatic EOI
  (bsc#1085030).
- powerpc/xive: Remove incorrect debug code (bsc#1085030).
- treewide: make "nr_cpu_ids" unsigned (bsc#1085030).
- commit 32f736d
* Wed Mar 14 2018 agraf@suse.de
- supported.conf: Add lan78xx as supported (bsc#1085262)
- commit 315bd24
* Wed Mar 14 2018 msuchanek@suse.de
- cxl: read PHB indications from the device tree (bsc#1055014).
- cxl: Check if PSL data-cache is available before issue flush
  request (bsc#1055014).
- cxl: Remove function write_timebase_ctrl_psl9() for PSL9
  (bsc#1055014).
- cxl: Enable NORST bit in PSL_DEBUG register for PSL9
  (bsc#1055014).
- commit 0894623
* Wed Mar 14 2018 msuchanek@suse.de
- powerpc/mm: Drop the function native_register_proc_table()
  (bsc#1065729).
- commit 8669224
* Wed Mar 14 2018 msuchanek@suse.de
- powerpc/mm/slice: Remove intermediate bitmap copy (bsc#1065729).
- commit 2120582
* Wed Mar 14 2018 msuchanek@suse.de
- PCI/hotplug: ppc: correct a php_slot usage after free
  (bsc#1065729).
- commit 64ebfbc
* Wed Mar 14 2018 msuchanek@suse.de
- powerpc: Rename plapr routines to plpar (bsc#1065729).
- commit c4bc3eb
* Wed Mar 14 2018 msuchanek@suse.de
- powerpc/64s: Fix NULL AT_BASE_PLATFORM when using DT CPU
  features (bsc#1065729).
- commit ea2ff2c
* Wed Mar 14 2018 msuchanek@suse.de
- powerpc/xmon: Clear all breakpoints when xmon is disabled via
  debugfs (bsc#1072829).
- powerpc/xmon: Setup debugger hooks when first break-point is
  set (bsc#1072829).
- commit b18a100
* Wed Mar 14 2018 msuchanek@suse.de
- Delete patches.arch/powerpc-xmon-Dont-register-sysrq-key-when-kernel-param-xmon-off.patch.
- commit 732f3c8
* Wed Mar 14 2018 rgoldwyn@suse.com
- apparmor: fix resource audit messages when auditing peer (bsc#1084839).
- Refresh patches.apparmor/apparmor-basic-networking-rules.patch.
- commit 18e0246
* Wed Mar 14 2018 tiwai@suse.de
- mac80211_hwsim: fix possible memory leak in hwsim_new_radio_nl()
  (CVE-2018-8087,bsc#1085053).
- commit f65296f
* Wed Mar 14 2018 dchang@suse.com
- r8169: fix RTL8168EP take too long to complete driver
  initialization (bsc#1051510).
- r8169: fix memory corruption on retrieval of hardware statistics
  (bsc#1051510).
- commit 7a2625d
* Tue Mar 13 2018 msuchanek@suse.de
- mkspec: fix perl warning
- commit f15670f
* Tue Mar 13 2018 tiwai@suse.de
- drivers/fsi: Add module license to core driver (bsc#1085115).
- commit 3e3aa12
* Tue Mar 13 2018 tbogendoerfer@suse.de
- RDMA/mlx5: Fix integer overflow while resizing CQ (bsc#1046305
  FATE#322943).
- RDMA/ucma: Check that user doesn't overflow QP state
  (bsc#1046306 FATE#322942).
- RDMA/ucma: Limit possible option size (bsc#1046306 FATE#322942).
- IB/core: Fix possible crash to access NULL netdev (bsc#1046306
  FATE#322942).
- IB/mlx5: Fix an error code in __mlx5_ib_modify_qp() (bsc#1046305
  FATE#322943).
- IB/mlx4: Include GID type when deleting GIDs from HW table
  under RoCE (bsc#1046302 FATE#322945).
- IB/mlx4: Fix corruption of RoCEv2 IPv4 GIDs (bsc#1046302
  FATE#322945).
- commit 0097c5e
* Tue Mar 13 2018 tbogendoerfer@suse.de
- IB/core : Add null pointer check in addr_resolve (bsc#1046306
  FATE#322942).
- IB/core: Fix missing RDMA cgroups release in case of failure
  to register device (bsc#1046306 FATE#322942).
- IB/mlx: Set slid to zero in Ethernet completion struct
  (bsc#1046306 FATE#322942).
- IB/mlx5: Avoid passing an invalid QP type to firmware
  (bsc#1046305 FATE#322943).
- commit 8343347
* Tue Mar 13 2018 tiwai@suse.de
- ALSA: hda/realtek - Make dock sound work on ThinkPad L570
  (bsc#1051510).
- ALSA: hda/realtek - Fix dock line-out volume on Dell Precision
  7520 (bsc#1051510).
- ALSA: hda/realtek: Limit mic boost on T480 (bsc#1051510).
- ALSA: hda/realtek - Add headset mode support for Dell laptop
  (bsc#1051510).
- ALSA: hda/realtek - Add support headset mode for DELL WYSE
  (bsc#1051510).
- ALSA: hda - Fix a wrong FIXUP for alc289 on Dell machines
  (bsc#1051510).
- commit 0199631
* Tue Mar 13 2018 tbogendoerfer@suse.de
- RDMA/bnxt_re: Avoid Hard lockup during error CQE processing
  (bsc#1050244 FATE#322915).
- RDMA/bnxt_re: Fix the ib_reg failure cleanup (bsc#1050244
  FATE#322915).
- RDMA/bnxt_re: Fix incorrect DB offset calculation (bsc#1050244
  FATE#322915).
- RDMA/bnxt_re: Unconditionly fence non wire memory operations
  (bsc#1050244 FATE#322915).
- RDMA/bnxt_re: Avoid system hang during device un-reg
  (bsc#1050244 FATE#322915).
- RDMA/bnxt_re: Fix system crash during load/unload (bsc#1050244
  FATE#322915).
- RDMA/bnxt_re: Synchronize destroy_qp with poll_cq (bsc#1050244
  FATE#322915).
- RDMA/bnxt_re: Unpin SQ and RQ memory if QP create fails
  (bsc#1050244 FATE#322915).
- RDMA/bnxt_re: Disable atomic capability on bnxt_re adapters
  (bsc#1050244 FATE#322915).
- commit a191f43
* Tue Mar 13 2018 tiwai@suse.de
- ALSA: seq: Clear client entry before deleting else at closing
  (CVE-2018-1000004,bsc#1076017).
- ALSA: seq: Fix possible UAF in snd_seq_check_queue()
  (CVE-2018-1000004,bsc#1076017).
- ALSA: hda - Revert power_save option default value
  (bsc#1052235).
- ALSA: seq: Remove superfluous snd_seq_queue_client_leave_cells()
  call (CVE-2018-1000004,bsc#1076017).
- ALSA: seq: More protection for concurrent write and ioctl races
  (CVE-2018-1000004,bsc#1076017).
- ALSA: seq: Don't allow resizing pool in use
  (CVE-2018-1000004,bsc#1076017).
- commit d35b672
* Tue Mar 13 2018 tiwai@suse.de
- i2c: piix4: Fix port number check on release (bsc#1051510).
- commit 0c59e1d
* Tue Mar 13 2018 tiwai@suse.de
- media: m88ds3103: don't call a non-initalized function
  (bsc#1051510).
- mmc: bcm2835: Don't overwrite max frequency unconditionally
  (bsc#1051510).
- ACPI: sbshc: remove raw pointer from printk() message
  (bsc#1051510).
- Revert "apple-gmux: lock iGP IO to protect from vgaarb changes"
  (bsc#1051510).
- media: cxusb, dib0700: ignore XC2028_I2C_FLUSH (bsc#1051510).
- media: dvb-frontends: fix i2c access helpers for KASAN
  (bsc#1051510).
- media: r820t: fix r820t_write_reg for KASAN (bsc#1051510).
- media: pvrusb2: properly check endpoint types (bsc#1051510).
- media: dvb-usb-v2: lmedm04: move ts2020 attach to
  dm04_lme2510_tuner (bsc#1051510).
- media: soc_camera: soc_scale_crop: add missing
  MODULE_DESCRIPTION/AUTHOR/LICENSE (bsc#1051510).
- media: mtk-vcodec: add missing MODULE_LICENSE/DESCRIPTION
  (bsc#1051510).
- gpio: Fix kernel stack leak to userspace (bsc#1051510).
- mac80211: mesh: drop frames appearing to be from us
  (bsc#1051510).
- nl80211: Check for the required netlink attribute presence
  (bsc#1051510).
- leds: core: Fix regression caused by commit 2b83ff96f51d
  (bsc#1051510).
- drm/ttm: check the return value of kzalloc (bsc#1051510).
- led: core: Fix brightness setting when setting delay_off=0
  (bsc#1051510).
- drm/nouveau/pci: do a msi rearm on init (bsc#1051510).
- mac80211_hwsim: Fix a possible sleep-in-atomic bug in
  hwsim_get_radio_nl (bsc#1051510).
- media: dvb: i2c transfers over usb cannot be done from stack
  (bsc#1051510).
- media: s5k6aa: describe some function parameters (bsc#1051510).
- media: usbtv: add a new usbid (bsc#1051510).
- media: rc: sir_ir: detect presence of port (bsc#1051510).
- i2c: i2c-boardinfo: fix memory leaks on devinfo (bsc#1051510).
- i2c: i801: Fix Failed to allocate irq -2147483648 error
  (bsc#1051510).
- mmc: core: Do not leave the block driver in a suspended state
  (bsc#1051510).
- ACPI / EC: Fix regression related to PM ops support in ECDT
  device (bsc#1051510).
- ACPI / bus: Leave modalias empty for devices which are not
  present (bsc#1051510).
- media: Don't do DMA on stack for firmware upload in the AS102
  driver (bsc#1051510).
- media: v4l2-ctrl: Fix flags field on Control events
  (bsc#1051510).
- media: rc: check for integer overflow (bsc#1051510).
- ACPI / EC: Fix regression related to triggering source of EC
  event handling (bsc#1051510).
- ACPI / APEI: remove the unused dead-code for SEA/NMI
  notification type (bsc#1051510).
- ACPI / APEI: adjust a local variable type in
  ghes_ioremap_pfn_irq() (bsc#1051510).
- ACPI / PM: Fix acpi_pm_notifier_lock vs flush_workqueue()
  deadlock (bsc#1051510).
- i2c: piix4: Fix SMBus port selection for AMD Family 17h chips
  (bsc#1051510).
- media: cec: Respond to unregistered initiators, when applicable
  (bsc#1051510).
- media: s5p-cec: add NACK detection support (bsc#1051510).
- media: dvb: i2c transfers over usb cannot be done from stack
  (bsc#1051510).
- nl80211: Define policy for packet pattern attributes
  (bsc#1051510).
- media: uvcvideo: Prevent heap overflow when accessing mapped
  controls (bsc#1051510).
- media: adv7180: add missing adv7180cp, adv7180st i2c device IDs
  (bsc#1051510).
- ACPI: EC: Fix possible issues related to EC initialization order
  (bsc#1051510).
- commit 2fdde9f
* Tue Mar 13 2018 tiwai@suse.de
- Refresh / move APEI ERST fix with upstream version (bsc#1072556).
- commit d6f15a6
* Tue Mar 13 2018 mbenes@suse.cz
- livepatch: Allow to replace even disabled patches (bsc#1071995
  fate#323487).
  Atomic replace, update to v10.
- commit 8ab47ee
* Tue Mar 13 2018 mbenes@suse.cz
- livepatch: Improve dynamic struct klp_object detection and
  manipulation (bsc#1071995 fate#323487).
  Atomic replace, update to v10.
- commit 8dbcd34
* Tue Mar 13 2018 mbenes@suse.cz
- livepatch: Correctly handle atomic replace for not yet loaded
  modules (bsc#1071995 fate#323487).
  Atomic replace, update to v10.
- commit 21d8f42
* Tue Mar 13 2018 mbenes@suse.cz
- Refresh
  patches.drivers/scsi-megaraid_sas-Do-not-use-32-bit-atomic-request-d.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-FC-NVMe-LUN-discovery.patch.
  Move patches to the sorted section.
- commit c676d27
* Tue Mar 13 2018 jlee@suse.com
- Update config files.
  Add CONFIG_IMA_KEYRINGS_PERMIT_SIGNED_BY_BUILTIN_OR_SECONDARY=y
  (bsc#1075517)
- commit f8bf472
* Tue Mar 13 2018 lhenriques@suse.com
- ceph: fix potential memory leak in init_caches() (bsc#1084898).
- ceph: fix dentry leak when failing to init debugfs
  (bsc#1084898).
- libceph, ceph: avoid memory leak when specifying same option
  several times (bsc#1084898).
- ceph: flush dirty caps of unlinked inode ASAP (bsc#1084898).
- commit 0065157
* Tue Mar 13 2018 mbenes@suse.cz
- Refresh patches.suse/livepatch-add-atomic-replace.patch.
  Atomic replace, update to v10.
- commit 01ce0f9
* Tue Mar 13 2018 mbenes@suse.cz
- Refresh
  patches.suse/livepatch-support-separate-list-for-replaced-patches.patch.
  Atomic replace, update to v10.
- commit 4d5d788
* Tue Mar 13 2018 mbenes@suse.cz
- Refresh
  patches.suse/livepatch-initial-support-for-dynamic-structures.patch.
  Atomic replace, update to v10.
- commit 1476fb6
* Tue Mar 13 2018 dchang@suse.com
- e1000e: fix the use of magic numbers for buffer overrun issue
  (bsc#1056664 FATE#322185).
- fm10k: Use smp_rmb rather than read_barrier_depends (bsc#1056660
  FATE#322187).
- ixgbevf: Use smp_rmb rather than read_barrier_depends
  (bsc#1056653 FATE#322190).
- ixgbe: Fix skb list corruption on Power systems (bsc#1056657
  FATE#322189).
- e1000e: fix buffer overrun while the I219 is processing DMA
  transactions (bsc#1056664 FATE#322185).
- e1000e: Avoid receiver overrun interrupt bursts (bsc#1056664
  FATE#322185).
- ixgbe: fix use of uninitialized padding (bsc#1056657
  FATE#322189).
- fm10k: fix mis-ordered parameters in declaration for
  .ndo_set_vf_bw (bsc#1056660 FATE#322187).
- fm10k: ensure we process SM mbx when processing VF mbx
  (bsc#1056660 FATE#322187).
- commit 40b77c1
* Tue Mar 13 2018 dchang@suse.com
- qlcnic: fix deadlock bug (bsc#1050540 FATE#322896).
- e1000: fix disabling already-disabled warning (bsc#1056665
  FATE#322184).
- bnx2x: Improve reliability in case of nested PCI errors
  (bsc#1050319 FATE#322906).
- tg3: Enable PHY reset in MTU change path for 5720 (bsc#1050260
  FATE#322917).
- tg3: Add workaround to restrict 5762 MRRS to 2048 (bsc#1050260
  FATE#322917).
- tg3: Fix rx hang on MTU change with 5717/5719 (bsc#1050260
  FATE#322917).
- igb: Use smp_rmb rather than read_barrier_depends (bsc#1056651
  FATE#322191).
- igbvf: Use smp_rmb rather than read_barrier_depends (bsc#1056643
  FATE#322192).
- sfc: don't warn on successful change of MAC (bsc#1058169
  FATE#322922).
- igb: check memory allocation failure (bsc#1056651 FATE#322191).
- commit cb56e2c
* Tue Mar 13 2018 glin@suse.com
- bpf: one perf event close won't free bpf program attached by
  another perf event (bsc#1083647).
- commit 742d87d
* Mon Mar 12 2018 bp@suse.de
- perf/core: Fix memory leak triggered by perf --namespace
  (git-fixes e422267322cd).
- blacklist.conf:
- commit 049df66
* Mon Mar 12 2018 bp@suse.de
- blacklist.conf:
- Refresh
  patches.drivers/scsi-megaraid_sas-Do-not-use-32-bit-atomic-request-d.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-FC-NVMe-LUN-discovery.patch.
- commit e089071
* Mon Mar 12 2018 rgoldwyn@suse.com
- direct-io: Fix sleep in atomic due to sync AIO (bsc#1084888).
- commit 9abf20b
* Mon Mar 12 2018 jthumshirn@suse.de
- Revert "nvme: create 'slaves' and 'holders' entries for hidden
  controllers" (bsc#1082241).
- commit 7ca03c6
* Sat Mar 10 2018 jeffm@suse.com
- kernel: add release status to kernel build (FATE#325281).
- commit 420b4de
* Sat Mar 10 2018 jeffm@suse.com
- rpm: use %%_sourcedir prefix for release-projects
- rpm: set SUSE_KERNEL_RELEASED based on project name
  Set SUSE_KERNEL_RELEASED in the config only if the project name matches
  a list of projects that are part of official release channels.  This
  list of projects is maintained per-branch.
- commit a391a5b
* Fri Mar  9 2018 jeffm@suse.com
- config: added new 'kvmsmall' flavor
  This flavor is an unreleased internal configuration intended for kernel
  developers to use in simple virtual machines.  It contains only the
  device drivers necessary to use a KVM virtual machine *without* device
  passthrough enabled.  Common local and network file systems are enabled.
  All device mapper targets are enabled.  Only the network and graphics
  drivers for devices that qemu emulates are enabled.  Many subsystems
  enabled in the default kernel are entirely disabled.  This kernel is
  meant to be small and to build very quickly.  There will be no kABI
  stability and its configuration may be changed arbitrarily.
- commit 088f1da
* Fri Mar  9 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/scsi-megaraid_sas-Do-not-use-32-bit-atomic-request-d.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-FC-NVMe-LUN-discovery.patch.
- commit 2532eab
* Fri Mar  9 2018 tiwai@suse.de
- blacklist.conf: Add entries from stable 4.13.x/4.14.x
- commit 2c9c302
* Fri Mar  9 2018 tiwai@suse.de
- iwlwifi: add a new a000 device (bsc#1051510).
- Refresh
  patches.drivers/iwlwifi-add-new-cards-for-a000-series.patch.
- commit 6a92cc7
* Fri Mar  9 2018 tiwai@suse.de
- iwlwifi: mvm: fix the TX queue hang timeout for MONITOR vif type
  (bsc#1051510).
- mac80211: fix the update of path metric for RANN frame
  (bsc#1051510).
- mac80211: use QoS NDP for AP probing (bsc#1051510).
- mac80211: flush hw_roc_start work before cancelling the ROC
  (bsc#1051510).
- mac80211_hwsim: Use proper TX power (bsc#1051510).
- mac80211: fix VLAN handling with TXQs (bsc#1051510).
- commit d44c253
* Fri Mar  9 2018 tiwai@suse.de
- drivers: base: cacheinfo: fix cache type for non-architected
  system cache (bsc#1051510).
- driver core: platform: Don't read past the end of
  "driver_override" buffer (bsc#1051510).
- commit 84a3ffe
* Fri Mar  9 2018 tiwai@suse.de
- Input: synaptics-rmi4 - do not delete interrupt memory too early
  (bsc#1051510).
- Input: trackpoint - force 3 buttons if 0 button is reported
  (bsc#1051510).
- Input: xpad - add support for PDP Xbox One controllers
  (bsc#1051510).
- Input: synaptics-rmi4 - prevent UAF reported by KASAN
  (bsc#1051510).
- Input: ALPS - fix multi-touch decoding on SS4 plus touchpads
  (bsc#1051510).
- Input: elantech - add new icbody type 15 (bsc#1051510).
- dynamic-debug-howto: fix optional/omitted ending line number
  to be LARGE instead of 0 (bsc#1051510).
- Input: elan_i2c - add ELAN060C to the ACPI table (bsc#1051510).
- Input: elan_i2c - add ELAN0611 to the ACPI table (bsc#1051510).
- Input: i8042 - add Gigabyte P57 to the keyboard reset table
  (bsc#1051510).
- Input: xpad - validate USB endpoint type during probe
  (bsc#1051510).
- commit c7a5d22
* Fri Mar  9 2018 tiwai@suse.de
- platform/x86: wmi: Call acpi_wmi_init() later (bsc#1051510).
- platform/x86: asus-wireless: send an EV_SYN/SYN_REPORT between
  state changes (bsc#1051510).
- platform/x86: dell-laptop: Fix keyboard max lighting for Dell
  Latitude E6410 (bsc#1051510).
- platform/x86: intel_punit_ipc: Fix resource ioremap warning
  (bsc#1051510).
- platform/x86: hp_accel: Add quirk for HP ProBook 440 G4
  (bsc#1051510).
- commit 3e187f3
* Fri Mar  9 2018 tiwai@suse.de
- rt2x00usb: mark device removed when get ENOENT usb error
  (bsc#1051510).
- rtlwifi: fix uninitialized rtlhal->last_suspend_sec time
  (bsc#1051510).
- rtlwifi: rtl8192ee: Fix memory leak when loading firmware
  (bsc#1051510).
- rtl8188eu: Fix a possible sleep-in-atomic bug in
  rtw_createbss_cmd (bsc#1051510).
- commit 235d38c
* Fri Mar  9 2018 tiwai@suse.de
- drm/amdgpu: add new device to use atpx quirk (bsc#1051510).
- drm/radeon: adjust tested variable (bsc#1051510).
- drm/amdgpu: Avoid leaking PM domain on driver unbind (v2)
  (bsc#1051510).
- drm/ttm: Don't add swapped BOs to swap-LRU list (bsc#1051510).
- drm/amdgpu: add atpx quirk handling (v2) (bsc#1051510).
- drm/amdgpu: Add dpm quirk for Jet PRO (v2) (bsc#1051510).
- drm/radeon: Add dpm quirk for Jet PRO (v2) (bsc#1051510).
- drm/qxl: unref cursor bo when finished with it (bsc#1051510).
- drm/vmwgfx: Potential off by one in vmw_view_add()
  (bsc#1051510).
- drm/vmwgfx: Don't cache framebuffer maps (bsc#1051510).
- drm/amdgpu: don't try to move pinned BOs (bsc#1051510).
- drm/amdkfd: Fix SDMA oversubsription handling (bsc#1051510).
- drm/amdkfd: Fix SDMA ring buffer size calculation (bsc#1051510).
- drm/amdgpu: Fix SDMA load/unload sequence on HWS disabled mode
  (bsc#1051510).
- drm/amd/pp: fix typecast error in powerplay (bsc#1051510).
- drm/amdgpu: Properly allocate VM invalidate eng v2
  (bsc#1051510).
- drm/amdgpu: Remove check which is not valid for certain VBIOS
  (bsc#1051510).
- drm/vblank: Tune drm_crtc_accurate_vblank_count() WARN down
  to a debug (bsc#1051510).
- drm: Add retries for lspcon mode detection (bsc#1051510).
- commit 3372213
* Fri Mar  9 2018 tiwai@suse.de
- drm/radeon: fix atombios on big endian (bsc#1051510).
- drm/amdgpu: fix error handling in amdgpu_bo_do_create
  (bsc#1051510).
- drm/ttm: once more fix ttm_buffer_object_transfer (bsc#1051510).
- drm/amdgpu: correct reference clock value on vega10
  (bsc#1051510).
- drm/vblank: Fix flip event vblank count (bsc#1051510).
- drm/vmwgfx: Fix Ubuntu 17.10 Wayland black screen issue
  (bsc#1051510).
- drm/amdgpu: allow harvesting check for Polaris VCE
  (bsc#1051510).
- drm/amdgpu: return -ENOENT from uvd 6.0 early init for
  harvesting (bsc#1051510).
- drm/amd/powerplay: fix uninitialized variable (bsc#1051510).
- drm/nouveau/kms/nv50: fix oops during DP IRQ handling on
  non-MST boards (bsc#1051510).
- drm/nouveau/bsp/g92: disable by default (bsc#1051510).
- drm/nouveau/mmu: flush tlbs before deleting page tables
  (bsc#1051510).
- drm/amdgpu: read reg in each iterator of psp_wait_for loop
  (bsc#1051510).
- commit 1358bbc
* Fri Mar  9 2018 tiwai@suse.de
- Bluetooth: btusb: Use DMI matching for QCA reset_resume quirking
  (bsc#1051510).
- Bluetooth: BT_HCIUART now depends on SERIAL_DEV_BUS
  (bsc#1051510).
- commit 8e5482b
* Fri Mar  9 2018 tiwai@suse.de
- console/dummy: leave .con_font_get set to NULL (bsc#1051510).
- Bluetooth: btusb: Restore QCA Rome suspend/resume fix with a
  "rewritten" version (bsc#1051510).
- Bluetooth: btsdio: Do not bind to non-removable BCM43341
  (bsc#1051510).
- brcmfmac: Avoid build error with make W=1 (bsc#1051510).
- brcmfmac: change driver unbind order of the sdio function
  devices (bsc#1051510).
- ath9k: fix tx99 potential info leak (bsc#1051510).
- Bluetooth: hci_ldisc: Fix another race when closing the tty
  (bsc#1051510).
- Bluetooth: btusb: Add new NFA344A entry (bsc#1051510).
- Bluetooth: hci_uart_set_flow_control: Fix NULL deref when
  using serdev (bsc#1051510).
- Bluetooth: btqcomsmd: Add support for BD address setup
  (bsc#1051510).
- cfg80211: fix connect/disconnect edge cases (bsc#1051510).
- brcmsmac: make some local variables 'static const' to reduce
  stack size (bsc#1051510).
- brcmfmac: Add check for short event packets (bsc#1051510).
- brcmfmac: setup passive scan if requested by user-space
  (bsc#1051510).
- brcmfmac: add length check in brcmf_cfg80211_escan_handler()
  (bsc#1051510).
- Bluetooth: btusb: Add support for 0489:e0a2 QCA_ROME device
  (bsc#1051510).
- Bluetooth: hci_ldisc: Use rwlocking to avoid closing proto races
  (bsc#1051510).
- commit f42c236
* Fri Mar  9 2018 msuchanek@suse.de
- ibmvnic: Do not disable device during failover or partition
  migration (bsc#1084610).
- ibmvnic: Reorganize device close (bsc#1084610).
- ibmvnic: Clean up device close (bsc#1084610).
- commit d14516e
* Fri Mar  9 2018 glin@suse.com
- bpf, arm64: fix stack_depth tracking in combination with tail
  calls (bsc#1083647).
- bpf: take advantage of stack_depth tracking in powerpc JIT
  (bsc#1083647).
- s390/bpf: take advantage of stack_depth tracking (bsc#1083647).
- commit 1d58a6a
* Fri Mar  9 2018 glin@suse.com
- x86: bpf_jit: small optimization in emit_bpf_tail_call()
  (bsc#1083647).
- Refresh patches.drivers/bpf-fix-bpf_tail_call-x64-JIT.patch.
- commit 2e51427
* Fri Mar  9 2018 glin@suse.com
- bpf, arm64: take advantage of stack_depth tracking
  (bsc#1083647).
- bpf: take advantage of stack_depth tracking in x64 JIT
  (bsc#1083647).
- bpf: change x86 JITed program stack layout (bsc#1083647).
- commit a045c8c
* Thu Mar  8 2018 msuchanek@suse.de
- mkspec: do not build dtbs for architectures with no kernel.
- commit 8394abf
* Thu Mar  8 2018 tiwai@suse.de
- ASoC: ux500: add MODULE_LICENSE tag (bsc#1051510).
- ASoC: pcm512x: add missing MODULE_DESCRIPTION/AUTHOR/LICENSE
  (bsc#1051510).
- ASoC: skl: Fix kernel warning due to zero NHTL entry
  (bsc#1051510).
- ASoC: codecs: msm8916-wcd-analog: fix module autoload
  (bsc#1051510).
- ASoC: img-parallel-out: Add pm_runtime_get/put to set_fmt
  callback (bsc#1051510).
- ASoC: rsnd: rsnd_ssi_run_mods() needs to care ssi_parent_mod
  (bsc#1051510).
- ASoC: Intel: Skylake: Fix uuid_module memory leak in failure
  case (bsc#1051510).
- commit 0dddbdc
* Thu Mar  8 2018 tiwai@suse.de
- ALSA: usb: add more device quirks for USB DSD devices
  (bsc#1051510).
- ALSA: usb-audio: add implicit fb quirk for Behringer UFX1204
  (bsc#1051510).
- ALSA: line6: Add a sanity check for invalid EPs (bsc#1051510).
- ALSA: caiaq: Add a sanity check for invalid EPs (bsc#1051510).
- ALSA: bcd2000: Add a sanity check for invalid EPs (bsc#1051510).
- usb: core: Add a helper function to check the validity of EP
  type in URB (bsc#1051510).
- commit 4d4a9cb
* Thu Mar  8 2018 duwe@suse.de
- Update config files.
- commit c87ae8c
* Thu Mar  8 2018 yousaf.kaukab@suse.com
- Update config files.
- commit e355af1
* Thu Mar  8 2018 mbrugger@suse.com
- arm64: Update config files. (bsc#1084143)
  Build ARM_MT8173_CPUFREQ as a module
- commit 0db2cc6
* Thu Mar  8 2018 duwe@suse.de
- On ppc64le we HAVE_RELIABLE_STACKTRACE (bsc#1072856).
- commit a4da14c
* Thu Mar  8 2018 oneukum@suse.com
- supported.conf: declared thunderbolt.ko supported
  This used to be an Apple only driver. It has been changed to generic
  thunderbolt support. We want this on SLES, too. (bsc#1084516)
- commit b51cbd2
* Thu Mar  8 2018 tiwai@suse.de
- drm/i915/cnl: Add WaRsDisableCoarsePowerGating (FATE#322643
  bsc#1055900).
- commit 3b71519
* Thu Mar  8 2018 tiwai@suse.de
- drm/i915: Apply headless DMC workaround for CNL (FATE#322643
  bsc#1055900).
- commit 1e7e0de
* Thu Mar  8 2018 yousaf.kaukab@suse.com
- ACPI/IORT: Add msi address regions reservation helper
  (bsc#1084475).
- ACPI/IORT: Enable SMMUv3/PMCG IORT MSI domain set-up
  (bsc#1084475).
- ACPI/IORT: Add SMMUv3 specific special index mapping handling
  (bsc#1084475).
- ACPI/IORT: Enable special index ITS group mappings for IORT
  nodes (bsc#1084475).
- ACPI/IORT: Look up IORT node through struct fwnode_handle
  pointer (bsc#1084475).
- ACPI/IORT: Make platform devices initialization code SMMU
  agnostic (bsc#1084475).
- ACPI/IORT: Improve functions return type/storage class specifier
  indentation (bsc#1084475).
- ACPI/IORT: Remove leftover ACPI_IORT_SMMU_V3_PXM_VALID guard
  (bsc#1084475).
- acpi/arm64: pr_err() strings should end with newlines
  (bsc#1084475).
- ACPI/IORT: Fix PCI ACS enablement (bsc#1084475).
- commit 4f0cd1c
* Thu Mar  8 2018 yousaf.kaukab@suse.com
- ACPI/IORT: Fix build regression without IOMMU (bsc#1084475).
- ACPI/IORT: Handle PCI aliases properly for IOMMUs (bsc#1084475).
- commit a805c57
* Thu Mar  8 2018 yousaf.kaukab@suse.com
- iommu/arm-smmu-v3, acpi: Add temporary Cavium SMMU-V3 IORT
  model number definitions (bsc#1084475).
- Refresh
  patches.suse/iommu-arm-smmu-v3-Enable-ACPI-based-HiSilicon-CMD_PR.patch.
- commit 80781a3
* Thu Mar  8 2018 yousaf.kaukab@suse.com
- ACPI/IORT: Remove iort_node_match() (bsc#1084475).
- commit edbe598
* Thu Mar  8 2018 yousaf.kaukab@suse.com
- i2c: xlp9xx: Add support for SMBAlert (bsc#1084310).
- i2c: xlp9xx: Handle NACK on DATA properly (bsc#1084310).
- i2c: xlp9xx: Check for Bus state before every transfer
  (bsc#1084310).
- i2c: xlp9xx: Handle transactions with I2C_M_RECV_LEN properly
  (bsc#1060799).
- i2c: xlp9xx: return ENXIO on slave address NACK (bsc#1060799).
- ahci: thunderx2: update stop engine errata delay values
  (bsc#1084308).
- arm64: Add missing Falkor part number for branch predictor
  hardening (bsc#1068032).
- ARM64 / cpuidle: Use new cpuidle macro for entering retention
  state (bsc#1084328).
- cpuidle: Add new macro to enter a retention idle state
  (bsc#1084328).
- ipmi: fix unsigned long underflow (bsc#1060799).
- tpm/tpm_crb: Use start method value from ACPI table directly
  (bsc#1084452).
- char: ipmi: constify bmc_dev_attr_group and bmc_device_type
  (bsc#1060799).
- ipmi:ssif: Check dev before setting drvdata (bsc#1060799).
- ipmi: Convert DMI handling over to a platform device
  (bsc#1060799).
- ipmi: Create a platform device for a DMI-specified IPMI
  interface (bsc#1060799).
- ipmi:ssif: Use i2c_adapter_id instead of adapter->nr
  (bsc#1060799).
- ipmi: Use the proper default value for register size in ACPI
  (bsc#1060799).
- ipmi_ssif: remove redundant null check on array
  client->adapter->name (bsc#1060799).
- ACPICA: Add header support for TPM2 table changes (bsc#1084452).
- cpufreq / CPPC: Initialize policy->min to lowest nonlinear
  performance (bsc#1084342).
- commit 9834636
* Thu Mar  8 2018 glin@suse.com
- bpf: introduce ARG_PTR_TO_MEM_OR_NULL (bsc#1083647).
- commit e744b9e
* Thu Mar  8 2018 msuchanek@suse.de
- config.sh: build against SLE-15 in OBS.
- commit e4aa6f4
* Thu Mar  8 2018 tiwai@suse.de
- intel_th: pci: Add Lewisburg PCH support (FATE#325099).
- intel_th: pci: Add Cedar Fork PCH support (FATE#325099).
- intel_th: Perform time resync on capture start (FATE#325099).
- intel_th: Add global activate/deactivate callbacks for the
  glue layers (FATE#325099).
- intel_th: pci: Use drvdata for quirks (FATE#325099).
- intel_th: pti: Support Low Power Path output port type
  (FATE#325099).
- intel_th: Enumerate Low Power Path output port type
  (FATE#325099).
- intel_th: msu: Use the real device in case of IOMMU domain
  allocation (FATE#325099).
- intel_th: Make the switch allocate its subdevices (FATE#325099).
- intel_th: Make SOURCE devices children of the root device
  (FATE#325099).
- intel_th: Streamline the subdevice tree accessors (FATE#325099).
- intel_th: Output devices without ports don't need assigning
  (FATE#325099).
- intel_th: pci: Enable bus mastering (FATE#325099).
- commit e948cb6
* Thu Mar  8 2018 tiwai@suse.de
- Preliminary series.conf sort and update
- commit e372e1c
* Thu Mar  8 2018 glin@suse.com
- bpf: remove explicit handling of 0 for arg2 in bpf_probe_read
  (bsc#1083647).
- bpf: change helper bpf_probe_read arg2 type to
  ARG_CONST_SIZE_OR_ZERO (bsc#1083647).
- commit c81cbaf
* Thu Mar  8 2018 glin@suse.com
- selftests/bpf: add tests for recent bugfixes (bsc#1083647).
- bpf: change bpf_probe_write_user to bpf_trace_printk in
  test_verifier (bsc#1083647).
- bpf: fix and add test cases for ARG_CONST_SIZE_OR_ZERO semantics
  change (bsc#1083647).
- commit 3eadeee
* Wed Mar  7 2018 mbrugger@suse.com
- net: hns: add ACPI mode support for ethtool -p (bsc#1084041).
- commit 1534335
* Wed Mar  7 2018 agraf@suse.de
- lan78xx: Avoid spurious kevent 4 "error" (bsc#1084332).
- lan78xx: Enable LEDs and auto-negotiation (bsc#1084332).
- lan78xx: Correctly indicate invalid OTP (bsc#1084332).
- lan78xx: Read MAC address from DT if present (bsc#1084332).
- lan78xx: Fix failure in USB Full Speed (bsc#1084332).
- lan78xx: Use default values loaded from EEPROM/OTP after reset
  (bsc#1084332).
- lan78xx: Allow EEPROM write for less than MAX_EEPROM_SIZE
  (bsc#1084332).
- lan78xx: Fix for eeprom read/write when device auto suspend
  (bsc#1084332).
- lan78xx: Fix to handle hard_header_len update (bsc#1084332).
- lan78xx: USB fast connect/disconnect crash fix (bsc#1084332).
- commit a355989
* Wed Mar  7 2018 tiwai@suse.de
- rpm/kernel-binary.spec.in: Check module licenses (bsc#1083215,bsc#1083527)
- commit e41de0c
* Wed Mar  7 2018 tiwai@suse.de
- x86/kvm/vmx: do not use vm-exit instruction length for fast
  MMIO when running nested (bsc#1081431).
- commit 0b3a20a
* Wed Mar  7 2018 oneukum@suse.com
- usbip: prevent vhci_hcd driver from leaking a socket pointer address (bsc#1078674 CVE-2017-16911).
- commit d07e5b4
* Wed Mar  7 2018 pmladek@suse.com
- printk: Wake klogd when passing console_lock owner
  (bsc#1084301).
- commit 7dbb932
* Wed Mar  7 2018 dchang@suse.com
- net: dst: move cpu inside ifdef to avoid compilation warning
  (bsc#1083647).
- commit dcdefd8
* Wed Mar  7 2018 dchang@suse.com
- bpf: don't rely on the verifier lock for metadata_dst allocation
  (bsc#1083647).
- commit 4fec793
* Wed Mar  7 2018 dchang@suse.com
- bpf: allow access to skb->len from offloads (bsc#1083647).
- commit 6cb18cc
* Tue Mar  6 2018 tbogendoerfer@suse.de
- ixgbe: fix crash in build_skb Rx code path (bsc#1056657
  FATE#322189).
- RDMA/uverbs: Protect from command mask overflow (bsc#1046306
  FATE#322942).
- IB/uverbs: Improve lockdep_check (bsc#1046306 FATE#322942).
- RDMA/uverbs: Protect from races between lookup and destroy of
  uobjects (bsc#1046306 FATE#322942).
- IB/ipoib: Do not warn if IPoIB debugfs doesn't exist
  (bsc#1046307 FATE#322941).
- net: fix race on decreasing number of TX queues (bsc#1056787).
- s390/qeth: fix SETIP command handling (bsc#1061024 FATE#323301).
- net/mlx5e: Remove timestamp set from netdevice open flow
  (bsc#1046303 FATE#322944).
- commit bbd85ba
* Tue Mar  6 2018 msuchanek@suse.de
- scsi: sr: workaround VMware ESXi cdrom emulation bug
  (bsc#1080813).
- commit d2067fc
* Tue Mar  6 2018 glin@suse.com
- bpf, ppc64: implement jiting of BPF_J{LT, LE, SLT, SLE}
  (bsc#1083647).
- bpf, s390x: implement jiting of BPF_J{LT, LE, SLT, SLE}
  (bsc#1083647).
- bpf, arm64: implement jiting of BPF_J{LT, LE, SLT, SLE}
  (bsc#1083647).
- bpf, x86: implement jiting of BPF_J{LT,LE,SLT,SLE}
  (bsc#1083647).
- commit a245dfe
* Tue Mar  6 2018 tbogendoerfer@suse.de
- net: ethtool: don't ignore return from driver get_fecparam
  method (bsc#1046540 FATE#322930).
- commit 90a64af
* Tue Mar  6 2018 nborisov@suse.com
- btrfs: preserve i_mode if __btrfs_set_acl() fails (bsc#1083000).
- commit 1eddbfd
* Tue Mar  6 2018 nborisov@suse.com
- Btrfs: incremental send, fix wrong unlink path after renaming
  file (bsc#1083000).
- Btrfs: incremental send, fix emission of invalid clone
  operations (bsc#1083000).
- commit 0e8595f
* Tue Mar  6 2018 nborisov@suse.com
- Btrfs: fix unexpected -EEXIST when creating new inode
  (bsc#1083000).
- Btrfs: fix extent state leak from tree log (bsc#1083000).
- Btrfs: fix crash due to not cleaning up tree log block's dirty
  bits (bsc#1083000).
- Btrfs: fix deadlock in run_delalloc_nocow (bsc#1083000).
- Btrfs: avoid losing data raid profile when deleting a device
  (bsc#1083000).
- Btrfs: fix stale entries in readdir (bsc#1083000).
- btrfs: Fix possible off-by-one in btrfs_search_path_in_tree
  (bsc#1083000).
- btrfs: clear ordered flag on cleaning up ordered extents
  (bsc#1083000).
- btrfs: fix readdir deadlock with pagefault (bsc#1083000).
- commit 1e19d87
* Tue Mar  6 2018 jslaby@suse.cz
- x86/speculation: Add <asm/msr-index.h> dependency (bnc#1058115).
- commit 3d60a5f
* Tue Mar  6 2018 tiwai@suse.de
- Update the usptreamed tag for i915 patch
  Also moved to sorted section:
  patches.drivers/drm-i915-cnl-Fix-PORT_TX_DW5-7-register-address
- commit d4f2341
* Tue Mar  6 2018 tiwai@suse.de
- Sort patches / update tags
- commit 8fad596
* Tue Mar  6 2018 jslaby@suse.cz
- objtool: Add module specific retpoline rules (bnc#1058115).
- objtool: Add retpoline validation (bnc#1058115).
- objtool: Use existing global variables for options
  (bnc#1058115).
- x86/mm/sme, objtool: Annotate indirect call in
  sme_encrypt_execute() (bnc#1058115).
- x86/boot, objtool: Annotate indirect jump in
  secondary_startup_64() (bnc#1058115).
- x86/paravirt, objtool: Annotate indirect calls (bnc#1058115).
- x86/speculation, objtool: Annotate indirect calls/jumps for
  objtool (bnc#1058115).
- commit bacb170
* Tue Mar  6 2018 jslaby@suse.cz
- objtool: Fix switch-table detection (bnc#1058115).
- commit deefb76
* Tue Mar  6 2018 jslaby@suse.cz
- Refresh
  patches.fixes/l2tp-don-t-use-inet_shutdown-on-ppp-session-destroy.patch.
- Refresh
  patches.fixes/l2tp-don-t-use-inet_shutdown-on-tunnel-destroy.patch.
- Refresh
  patches.fixes/l2tp-fix-race-in-pppol2tp_release-with-session-objec.patch.
- Refresh
  patches.fixes/l2tp-fix-races-with-tunnel-socket-close.patch.
- Refresh
  patches.fixes/l2tp-fix-tunnel-lookup-use-after-free-race.patch.
  Ran series_sort.
- commit 18a48e4
* Tue Mar  6 2018 nborisov@suse.com
- Refresh
  patches.fixes/l2tp-don-t-use-inet_shutdown-on-ppp-session-destroy.patch.
- Refresh
  patches.fixes/l2tp-don-t-use-inet_shutdown-on-tunnel-destroy.patch.
- Refresh
  patches.fixes/l2tp-fix-race-in-pppol2tp_release-with-session-objec.patch.
- Refresh
  patches.fixes/l2tp-fix-races-with-tunnel-socket-close.patch.
- Refresh
  patches.fixes/l2tp-fix-tunnel-lookup-use-after-free-race.patch.
- commit bd5bc11
* Tue Mar  6 2018 glin@suse.com
- bpf: fix selftests/bpf test_kmod.sh failure when
  CONFIG_BPF_JIT_ALWAYS_ON=y (bsc#1083647).
- selftests/bpf: make 'dubious pointer arithmetic' test useful
  (bsc#1083647).
- bpf: fix stack state printing in verifier log (bsc#1083647).
- commit 9391768
* Mon Mar  5 2018 neilb@suse.com
- dm: fix race between dm_get_from_kobject() and __dm_destroy()
  (bsc#1083242, CVE-2017-18203).
- commit 1b6ebbf
* Mon Mar  5 2018 msuchanek@suse.de
- rpm: provide %%name%%-srchash = <kernel-source commit hash> (FATE#325312).
  - Also use for kernel-obs-build dependency.
- commit b6fccdf
* Mon Mar  5 2018 tbogendoerfer@suse.de
- net: ena: increase ena driver version to 1.5.0 (bsc#1083548).
- net: ena: add detection and recovery mechanism for handling
  missed/misrouted MSI-X (bsc#1083548).
- net: ena: fix error handling in ena_down() sequence
  (bsc#1083548).
- net: ena: unmask MSI-X only after device initialization is
  completed (bsc#1083548).
- net: ena: fix race condition between device reset and link up
  setup (bsc#1083548).
- net: ena: increase ena driver version to 1.3.0 (bsc#1083548).
- net: ena: add new admin define for future support of IPv6 RSS
  (bsc#1083548).
- net: ena: add statistics for missed tx packets (bsc#1083548).
- net: ena: add power management ops to the ENA driver
  (bsc#1083548).
- net: ena: remove legacy suspend suspend/resume support
  (bsc#1083548).
- net: ena: improve ENA driver boot time (bsc#1083548).
- net: ena: Remove redundant unlikely() (bsc#1083548).
- net: ena: fix wrong max Tx/Rx queues on ethtool (bsc#1083548).
- net: ena: fix rare kernel crash when bar memory remap fails
  (bsc#1083548).
- net: ena: reduce the severity of some printouts (bsc#1083548).
- commit 46c382b
* Mon Mar  5 2018 jgross@suse.com
- x86/xen: Zero MSR_IA32_SPEC_CTRL before suspend (bnc#1065600).
- commit 0c69d71
* Mon Mar  5 2018 tbogendoerfer@suse.de
- Drop patches, because new notifier semantic is not in SLE15 (bsc#1082743)
- Delete
  patches.drivers/IB-hfi1-update-to-new-mmu_notifier-semantic.patch.
- Delete
  patches.drivers/IB-umem-update-to-new-mmu_notifier-semantic.patch.
- commit c8f3eed
* Mon Mar  5 2018 glin@suse.com
- selftests/bpf: fix test_align (bsc#1083647).
- selftests/bpf: add test for bogus operations on pointers
  (bsc#1083647).
- selftests/bpf: add a test to test_align (bsc#1083647).
- selftests/bpf: rewrite test_align (bsc#1083647).
- bpf: allow to specify log level and reduce it for test_verifier
  (bsc#1083647).
- selftests/bpf: make correct use of exit codes in bpf selftests
  (bsc#1083647).
- bpf, tests: set rlimit also for test_align, so it doesn't fail
  (bsc#1083647).
- commit 623858a
* Mon Mar  5 2018 mkubecek@suse.cz
- Update
  patches.fixes/netfilter-add-back-stackpointer-size-checks.patch
  references (add CVE-2018-1065 bsc#1083650).
- commit 603dd8a
* Mon Mar  5 2018 mkubecek@suse.cz
- Update
  patches.fixes/net-ipv6-fix-regression-of-no-RTM_DELADDR-sent-after.patch
  references (add bsc#1083557).
- commit 0c85cde
* Mon Mar  5 2018 mkubecek@suse.cz
- doc: Change the min default value of tcp_wmem/tcp_rmem
  (bsc#1076830).
- commit 2dfc414
* Mon Mar  5 2018 mkubecek@suse.cz
- Fix upstream reference:
  patches.drivers/scsi-qla2xxx-Fix-FC-NVMe-LUN-discovery.patch.
- commit 5b6cf57
* Mon Mar  5 2018 gqjiang@suse.com
- raid10: change the size of resync window for clustered raid
  (bsc#1076343).
- commit d4d2d17
* Mon Mar  5 2018 mgalbraith@suse.de
- x86/platform/intel-mid: Handle Intel Edison reboot correctly (Git-fixes).
- blacklist.conf:
- timers: Forward timer base before migrating timers (Git-fixes).
- commit d95fda8
* Mon Mar  5 2018 glin@suse.com
- bpf: mark dst unknown on inconsistent {s, u}bounds adjustments
  (bsc#1083647).
- bpf: reject stores into ctx via st and xadd (bsc#1083647).
- bpf: fix 32-bit divide by zero (bsc#1083647).
- bpf: fix divides by zero (bsc#1083647).
- bpf: arsh is not supported in 32 bit alu thus reject it
  (bsc#1083647).
- bpf: fix spelling mistake: "obusing" -> "abusing" (bsc#1083647).
- bpf: introduce BPF_JIT_ALWAYS_ON config (bsc#1083647).
  Update config files to set CONFIG_BPF_JIT_ALWAYS_ON to y
- bpf: do not allow root to mangle valid pointers (bsc#1083647).
- commit 81ce49e
* Mon Mar  5 2018 glin@suse.com
- bpf: guarantee r1 to be ctx in case of
  bpf_helper_changes_pkt_data (bsc#1083647).
- bpf: add schedule points to map alloc/free (bsc#1083647).
- commit 2ff84f7
* Mon Mar  5 2018 glin@suse.com
- bpf: improve verifier ARG_CONST_SIZE_OR_ZERO semantics
  (bsc#1083647).
- bpf: fix verifier NULL pointer dereference (bsc#1083647).
- bpf: fix out-of-bounds access warning in bpf_check
  (bsc#1083647).
- bpf: fix link error without CONFIG_NET (bsc#1083647).
- bpf: fix verifier memory leaks (bsc#1083647).
- bpf: reduce verifier memory consumption (bsc#1083647).
  Refresh patches.fixes/bpf-fix-branch-pruning-logic.patch.
  Refresh
  patches.fixes/bpf-fix-incorrect-tracking-of-register-size-truncati.patch.
- bpf: move knowledge about post-translation offsets out of
  verifier (bsc#1083647).
- bpf: remove the verifier ops from program structure
  (bsc#1083647).
- bpf: split verifier and program ops (bsc#1083647).
- tracing: bpf: Hide bpf trace events when they are not used
  (bsc#1083647).
- bpf: verifier: set reg_type on context accesses in second pass
  (bsc#1083647).
- bpf: write back the verifier log buffer as it gets filled
  (bsc#1083647).
- bpf: move instruction printing into a separate file
  (bsc#1083647).
- bpf: Optimize lpm trie delete (bsc#1083647).
- bpf: Implement map_delete_elem for BPF_MAP_TYPE_LPM_TRIE
  (bsc#1083647).
- bpf: Allow cgroup sock filters to use get_current_uid_gid helper
  (bsc#1083647).
- selftests/bpf: don't try to access past MAX_PACKET_OFF in
  test_verifier (bsc#1083647).
- selftests/bpf: change test_verifier expectations (bsc#1083647).
  Refresh
  patches.drivers/bpf-verifier-reject-BPF_ALU64-BPF_END.patch.
- commit ea80b65
* Sun Mar  4 2018 msuchanek@suse.de
- arch-symbols: use bash as interpreter since the script uses bashism.
- commit 4cdfb23
* Fri Mar  2 2018 mcgrof@suse.com
- xfs: truncate pagecache before writeback in xfs_setattr_size() (bsc#1073412).
- commit 73496e4
* Fri Mar  2 2018 dbueso@suse.de
- ipc/msg: introduce msgctl(MSG_STAT_ANY) (bsc#1072689).
- ipc/sem: introduce semctl(SEM_STAT_ANY) (bsc#1072689).
- ipc/shm: introduce shmctl(SHM_STAT_ANY) (bsc#1072689).
- commit c31f2e1
* Fri Mar  2 2018 vbabka@suse.cz
- fs/hugetlbfs/inode.c: change put_page/unlock_page order in
  hugetlbfs_fallocate() (git-fixes, bsc#1083745).
- commit 22c8c94
* Fri Mar  2 2018 agraf@suse.de
- Delete
  patches.suse/KVM-update-to-new-mmu_notifier-semantic-v2.patch. (bsc#1082743)
- Delete patches.suse/KVM-x86-fix-APIC-page-invalidation.patch. (bsc#1082743)
- commit 8dfc569
* Fri Mar  2 2018 vbabka@suse.cz
- mm: do not rely on preempt_count in print_vma_addr (git-fixes,
  bsc#1083704).
- commit 6b725d8
* Fri Mar  2 2018 msuchanek@suse.de
- kernel-binary: do not BuildIgnore m4.
  It is actually needed for regenerating zconf when it is not up-to-date
  due to merge.
- commit 967b28b
* Fri Mar  2 2018 mkubecek@suse.cz
- rpm/kernel-binary.spec.in: add build requirement for flex
  In addition to bison, we also need flex for "make oldconfig".
- commit 83d831c
* Fri Mar  2 2018 mkubecek@suse.cz
- rpm/kernel-binary.spec.in: remove m4 from BuildIgnore list
  As bison depends on m4, we cannot set !BuildIgnore for it any more.
- commit d7695e1
* Fri Mar  2 2018 tiwai@suse.de
- Documentation/sphinx: Fix Directive import error (bsc#1083694).
- commit 1407e51
* Fri Mar  2 2018 bp@suse.de
- include: psp-sev: Capitalize invalid length enum (bsc#1063068).
- KVM/nVMX: Set the CPU_BASED_USE_MSR_BITMAPS if we have a valid
  L02 MSR bitmap (bsc#1068032 CVE-2017-5754).
- KVM: SVM: Fix SEV LAUNCH_SECRET command (bsc#1063068).
- KVM: SVM: no need to call access_ok() in LAUNCH_MEASURE command
  (bsc#1063068).
- KVM/x86: Reduce retpoline performance impact in
  slot_handle_level_range(), by always inlining iterator helper
  methods (bsc#1068032 CVE-2017-5754).
- KVM/x86: Remove indirect MSR op calls from SPEC_CTRL
  (bsc#1063068).
- nospec: Move array_index_nospec() parameter checking into
  separate macro (bsc#1068032 CVE-2017-5754).
- objtool: Fix segfault in ignore_unreachable_insn() (bsc#1068032
  CVE-2017-5754).
- x86/debug, objtool: Annotate WARN()-related UD2 as reachable
  (bsc#1068032 CVE-2017-5754).
- x86/debug: Use UD2 for WARN() (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Clear extra registers beyond syscall arguments, to
  reduce speculation attack surface (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Clear registers for exceptions/interrupts, to
  reduce speculation attack surface (bsc#1068032 CVE-2017-5754).
- x86/entry/64/compat: Clear registers for compat syscalls, to
  reduce speculation attack surface (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Fix CR3 restore in paranoid_exit() (bsc#1068032
  CVE-2017-5754).
- x86/entry/64: Fix paranoid_entry() frame pointer warning
  (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Get rid of the ALLOC_PT_GPREGS_ON_STACK and
  SAVE_AND_CLEAR_REGS macros (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Indent PUSH_AND_CLEAR_REGS and POP_REGS properly
  (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Interleave XOR register clearing with PUSH
  instructions (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Introduce the PUSH_AND_CLEAN_REGS macro
  (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Merge SAVE_C_REGS and SAVE_EXTRA_REGS, remove
  unused extensions (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Merge the POP_C_REGS and POP_EXTRA_REGS macros
  into a single POP_REGS macro (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Remove the unused 'icebp' macro (bsc#1068032
  CVE-2017-5754).
- x86/entry/64: Use PUSH_AND_CLEAN_REGS in more cases (bsc#1068032
  CVE-2017-5754).
- x86/mm: Rename flush_tlb_single() and flush_tlb_one() to
  __flush_tlb_one_[user|kernel]() (bsc#1068032 CVE-2017-5754).
- X86/nVMX: Properly set spec_ctrl and pred_cmd before merging
  MSRs (bsc#1068032 CVE-2017-5754).
- x86/speculation: Clean up various Spectre related details
  (bsc#1068032 CVE-2017-5754).
- x86/speculation: Fix up array_index_nospec_mask() asm constraint
  (bsc#1068032 CVE-2017-5754).
- Refresh
  patches.arch/09.0-x86-spectre-fix-an-error-message.patch.
- commit f83739a
* Fri Mar  2 2018 mgorman@suse.de
- mm/free_pcppages_bulk: prefetch buddy while not holding lock
  (bnc#971975 VM performance -- page allocator).
- mm/free_pcppages_bulk: do not hold lock when picking pages to
  free (bnc#971975 VM performance -- page allocator).
- mm/free_pcppages_bulk: update pcp->count inside (bnc#971975
  VM performance -- page allocator).
- commit b395d98
* Fri Mar  2 2018 mgorman@suse.de
- x86/cpu: Remove unused and undefined __generic_processor_info()
  declaration (bnc#1056230).
- commit 112c00f
* Fri Mar  2 2018 vbabka@suse.cz
- x86/mm/pkeys: Fix fill_sig_info_pkey (git-fixes, bsc#1083529).
- commit 2c7fc72
* Fri Mar  2 2018 tiwai@suse.de
- media: v4l2-compat-ioctl32.c: make ctrl_is_pointer work for
  subdevs (CVE-2017-13166,bsc#1072865).
- media: v4l2-compat-ioctl32.c: refactor compat ioctl32 logic
  (CVE-2017-13166,bsc#1072865).
- media: v4l2-compat-ioctl32.c: don't copy back the result for
  certain errors (CVE-2017-13166,bsc#1072865).
- media: v4l2-compat-ioctl32.c: drop pr_info for unknown buffer
  type (CVE-2017-13166,bsc#1072865).
- media: v4l2-compat-ioctl32.c: copy clip list in
  put_v4l2_window32 (CVE-2017-13166,bsc#1072865).
- media: v4l2-compat-ioctl32.c: fix ctrl_is_pointer
  (CVE-2017-13166,bsc#1072865).
- media: v4l2-compat-ioctl32.c: copy m.userptr in put_v4l2_plane32
  (CVE-2017-13166,bsc#1072865).
- media: v4l2-compat-ioctl32.c: avoid sizeof(type)
  (CVE-2017-13166,bsc#1072865).
- media: v4l2-compat-ioctl32.c: move 'helper' functions to
  __get/put_v4l2_format32 (CVE-2017-13166,bsc#1072865).
- media: v4l2-compat-ioctl32.c: fix the indentation
  (CVE-2017-13166,bsc#1072865).
- media: v4l2-compat-ioctl32.c: add missing VIDIOC_PREPARE_BUF
  (CVE-2017-13166,bsc#1072865).
- media: v4l2-ioctl.c: don't copy back the result for -ENOTTY
  (CVE-2017-13166,bsc#1072865).
- media: v4l2-ioctl.c: use check_fmt for enum/g/s/try_fmt
  (CVE-2017-13166,bsc#1072865).
- commit 5d9eae0
* Fri Mar  2 2018 tiwai@suse.de
- drm/i915: Make global seqno known in i915_gem_request_execute
  tracepoint (FATE#322643 bsc#1055900).
- drm/i915: Clear the in-use marker on execbuf failure
  (FATE#322643 bsc#1055900).
- drm/i915/audio: fix check for av_enc_map overflow (FATE#322643
  bsc#1055900).
- drm/i915: Fix rsvd2 mask when out-fence is returned (FATE#322643
  bsc#1055900).
- ALSA: hda - Fix pincfg at resume on Lenovo T470 dock
  (bsc#1052235).
- ALSA: usb-audio: Add a quirck for B&W PX headphones
  (bsc#1051510).
- ALSA: hda: Add a power_save blacklist (bsc#1052235).
- commit b784bf6
* Thu Mar  1 2018 mwilck@suse.com
- fs: aio: fix the increment of aio-nr and counting against
  aio-max-nr (bsc#1068075, bsc#1078921).
- commit e2a476e
* Thu Mar  1 2018 tiwai@suse.de
- Update config files: re-enable CONFIG_CRYPTO_FIPS=y (bsc#1083512)
- commit c380188
* Thu Mar  1 2018 tiwai@suse.de
- 9p: add missing module license for xen transport (bsc#1083527).
- commit c36c39b
* Thu Mar  1 2018 hare@suse.de
- supported.conf: Add dm-zoned (FATE#318724)
- commit e97e249
* Thu Mar  1 2018 msuchanek@suse.de
- Include ACPI button driver in base kernel (bsc#1062056).
- commit 412fabd
* Thu Mar  1 2018 hare@suse.de
- Enable dm-zoned (FATE#318724).
- commit 6098432
* Thu Mar  1 2018 mhocko@suse.com
- Update
  patches.fixes/mm-madvise.c-fix-madvise-infinite-loop-under-special.patch
  (bnc#1070964, bnc#1083494, CVE-2017-18208).
- commit b82f489
* Thu Mar  1 2018 bp@suse.de
- Refresh
  patches.drivers/ibmvnic-Fix-early-release-of-login-buffer.patch.
- commit 9aac42a
* Thu Mar  1 2018 mkubecek@suse.cz
- Delete
  patches.suse/0001-kabi-Lift-ifdefs-for-some-disabled-network-protocols.patch.
  When DCCP was disabled in SLE12-SP2, this patch was added to make it
  possible to build it as a KMP in case it would turn out someone is actually
  using it. As there have been no sign of that since, let's drop the patch.
- commit 285564e
* Thu Mar  1 2018 hare@suse.de
- scsi: qla2xxx: Fix FC-NVMe LUN discovery (bsc#1083224).
- commit 58d375c
* Thu Mar  1 2018 hare@suse.de
- Fixup patch description for patches.drivers/ibmvnic-Fix-early-release-of-login-buffer.patch
- commit 95e3c32
* Thu Mar  1 2018 tiwai@suse.de
- ALSA: seq: Fix racy pool initializations
  (CVE-2018-7566,bsc#1083483).
- commit c7a35b5
* Thu Mar  1 2018 mkubecek@suse.cz
- l2tp: fix tunnel lookup use-after-free race (bsc#1076830).
- l2tp: fix race in pppol2tp_release with session object destroy
  (bsc#1076830).
- l2tp: fix races with tunnel socket close (bsc#1076830).
- l2tp: don't use inet_shutdown on ppp session destroy
  (bsc#1076830).
- l2tp: don't use inet_shutdown on tunnel destroy (bsc#1076830).
- regulatory: add NUL to request alpha2 (bsc#1076830).
- net: ipv4: Set addr_type in hash_keys for forwarded case
  (bsc#1076830).
- tcp_bbr: better deal with suboptimal GSO (bsc#1076830).
- netfilter: IDLETIMER: be syzkaller friendly (bsc#1076830).
- netfilter: nat: cope with negative port range (bsc#1076830).
- netfilter: x_tables: fix missing timer initialization in xt_LED
  (bsc#1076830).
- netfilter: ipt_CLUSTERIP: fix a refcount bug in
  clusterip_config_find_get() (bsc#1076830).
- netfilter: add back stackpointer size checks (bsc#1076830).
- netfilter: drop outermost socket lock in getsockopt()
  (bsc#1076830).
- netfilter: ipt_CLUSTERIP: fix a race condition of proc file
  creation (bsc#1076830).
- udplite: fix partial checksum initialization (bsc#1076830).
- dn_getsockoptdecnet: move nf_{get/set}sockopt outside sock lock
  (bsc#1076830).
- tcp: Honor the eor bit in tcp_mtu_probe (bsc#1076830).
- sctp: do not pr_err for the duplicated node in transport rhlist
  (bsc#1076830).
- bridge: check brport attr show in brport_show (bsc#1076830).
- ipv6: set all.accept_dad to 0 by default (bsc#1076830).
- l2tp: remove l2tp_tunnel_count and l2tp_session_count
  (bsc#1076830).
  Refresh patches.fixes/l2tp-don-t-close-sessions-in-l2tp_tunnel_destruct.patch
- l2tp: remove ->ref() and ->deref() (bsc#1076830).
- l2tp: initialise PPP sessions before registering them
  (bsc#1076830).
- l2tp: protect sock pointer of struct pppol2tp_session with RCU
  (bsc#1076830).
- ipv6: addrconf: increment ifp refcount before ipv6_del_addr()
  (bsc#1076830).
- l2tp: hold tunnel in pppol2tp_connect() (bsc#1076830).
- ipv6: fix net.ipv6.conf.all.accept_dad behaviour for real
  (bsc#1076830).
  Refresh
  patches.fixes/net-ipv6-send-unsolicited-NA-after-DAD.patch
- l2tp: fix race between l2tp_session_delete() and
  l2tp_tunnel_closeall() (bsc#1076830).
- l2tp: ensure sessions are freed after their PPPOL2TP socket
  (bsc#1076830).
- ipv6: fix net.ipv6.conf.all interface DAD handlers
  (bsc#1076830).
- net: ipv6: fix regression of no RTM_DELADDR sent after DAD
  failure (bsc#1076830).
- net: don't decrement kobj reference count on init failure
  (bsc#1076830).
- netfilter: ipt_CLUSTERIP: do not hold dev (bsc#1076830).
- commit 5f23ad9
* Thu Mar  1 2018 mhocko@suse.com
- Remove page cache limit (fate#323778)
- Delete patches.suse/mm-uninline-add-to-page-cache.patch.
- Delete patches.suse/pagecache-limit-dirty.diff.
- Delete patches.suse/pagecache-limit-fix-get_nr_swap_pages.patch.
- Delete patches.suse/pagecache-limit-fix-shmem-deadlock.patch.
- Delete
  patches.suse/pagecache-limit-reduce-zone-lrulock-bouncing.patch.
- Delete patches.suse/pagecache-limit-unmapped.diff.
- Delete patches.suse/pagecache-limit-warn-on-usage.patch.
- Delete patches.suse/pagecache-limit.patch.
- Delete patches.suse/pagecachelimit_batch_huge_nr_to_scan.patch.
- commit d39d94a
* Thu Mar  1 2018 mkubecek@suse.cz
- blacklist.conf: add two commits
  d5902f6d1fbd - a merge commit (we have both commits from the branch)
  fae8b6f4a6be - fixes comments
- commit 9b213a5
* Thu Mar  1 2018 mkubecek@suse.cz
- Update upstream reference:
  patches.drivers/ibmvnic-Fix-early-release-of-login-buffer.patch.
- commit df1695c
* Thu Mar  1 2018 bpoirier@suse.com
- Refresh
  patches.drivers/ibmvnic-Fix-early-release-of-login-buffer.patch.
- commit 70a1572
* Wed Feb 28 2018 jack@suse.cz
- ocfs2: should wait dio before inode lock in ocfs2_setattr()
  (bsc#1083244 CVE-2017-18204).
- commit f78f4f7
* Wed Feb 28 2018 oneukum@suse.com
- xhci: Don't show incorrect WARN message about events for empty
  rings (bsc#1068674).
- commit 2728c81
* Wed Feb 28 2018 msuchanek@suse.de
- bs-upload-kernel: do not set %%opensuse_bs
  Since SLE15 it is not set in the distribution project so do not set it
  for kernel projects either.
- commit d696aa0
* Wed Feb 28 2018 msuchanek@suse.de
- ibmvnic: Do not attempt to login if RX or TX queues are not
  allocated (bsc#1082993).
- ibmvnic: Report queue stops and restarts as debug output
  (bsc#1082993).
- ibmvnic: Harden TX/RX pool cleaning (bsc#1082993).
- ibmvnic: Allocate statistics buffers during probe (bsc#1082993).
- ibmvnic: Fix TX descriptor tracking again (bsc#1082993).
- commit 953c6c5
* Wed Feb 28 2018 oneukum@suse.com
- media: usbtv: prevent double free in error case (bsc#1074426
  CVE-2017-17975).
- commit b36e4d6
* Wed Feb 28 2018 msuchanek@suse.de
- Move cdrom patches to storage section.
- cdrom: turn off autoclose by default (bsc#1080813).
- commit 3c15342
* Wed Feb 28 2018 jack@suse.cz
- fs/dax.c: release PMD lock even when there is no PMD support
  in DAX (bsc#1052766).
- commit 4806870
* Wed Feb 28 2018 jack@suse.cz
- ocfs2: return error when we attempt to access a dirty bh in jbd2
  (bsc#1052766).
- commit aeb7ce9
* Wed Feb 28 2018 jack@suse.cz
- fscache: Fix the default for fscache_maybe_release_page()
  (bsc#1052766).
- commit 45cac8c
* Wed Feb 28 2018 jack@suse.cz
- orangefs: off by ones in xattr size checks (bsc#1052766).
- commit caf695e
* Wed Feb 28 2018 jack@suse.cz
- f2fs: trigger normal fsync for non-atomic_write file
  (bsc#1052766).
- commit 8f867cc
* Wed Feb 28 2018 oneukum@suse.com
- HID: rmi: Make sure the HID device is opened on resume
  (bsc#1081188).
- commit c315d03
* Wed Feb 28 2018 tbogendoerfer@suse.de
- net: mvneta: eliminate wrong call to handle rx descriptor error
  (fate#319899).
- net: mvneta: use proper rxq_number in loop on rx queues
  (fate#319899).
- net: mvneta: fix handling of the Tx descriptor counter
  (fate#319899).
- commit 24508d7
* Wed Feb 28 2018 tbogendoerfer@suse.de
- ip6_gre: remove the incorrect mtu limit for ipgre tap
  (bsc#1056787).
- ip_gre: remove the incorrect mtu limit for ipgre tap
  (bsc#1056787).
- i40iw: Reinitialize IEQ on MTU change (bsc#1058659 FATE#322535).
- commit 426bcab
* Wed Feb 28 2018 tiwai@suse.de
- drm: fix tainted kernel caused by drm_panel_orientation_quirks.c
  (bsc#1083215).
- commit b67ad61
* Wed Feb 28 2018 jeffm@suse.com
- kernel: add product-identifying information to kernel build (FATE#325281).
- commit b163d4a
* Wed Feb 28 2018 jeffm@suse.com
- kconfig: move SUSE options from init/Kconfig to init/Kconfig.suse
- commit 8aa8057
* Wed Feb 28 2018 bpoirier@suse.com
- Refresh patch order in sorted section
- Refresh
  patches.drivers/ibmvnic-Check-for-NULL-skb-s-in-NAPI-poll-routine.patch.
- Refresh
  patches.drivers/scsi-megaraid_sas-Do-not-use-32-bit-atomic-request-d.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Avoid-triggering-undefined-behavior-in-.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-a-locking-imbalance-in-qlt_24xx_han.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-double-free-bug-after-firmware-time.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-incorrect-handle-for-abort-IOCB.patch.
- commit 63c83e7
* Wed Feb 28 2018 lduncan@suse.com
- KEYS: reject NULL restriction string when type is specified
  (bsc#1082623).
- Fix misannotated out-of-line _copy_to_user() (bsc#1082625).
- commit bbdb58c
* Tue Feb 27 2018 neilb@suse.com
- Delete patches.suse/blk-timeout-no-round.
  The flag isn't actually being using, and
  probably isn't needed.
  Bug 768084 has lots of discussion about delays being a little too long,
  but I cannot find anything specific about this patch.
  I suspect the real concern what that the delay
  was longer than expected, and that maybe in different circumstances it
  could end up being much longer.  As the extra unexpected delay is
  limited to 1 second, it is probably safe.
- commit 7adce7e
* Tue Feb 27 2018 jack@suse.cz
- Update tags in
  patches.fixes/ext4-Fix-ENOSPC-handling-in-DAX-page-fault-handler.patch.
- commit 2d083b7
* Tue Feb 27 2018 jbohac@suse.cz
- x86/platform/UV: Add check of TSC state set by UV BIOS
  (bsc#1082579).
- x86/tsc: Add option that TSC on Socket 0 being non-zero is valid
  (bsc#1082579).
- x86/tsc: Drastically reduce the number of firmware bug warnings
  (bsc#1082579).
- x86/tsc: Make CONFIG_X86_TSC=n build work again (bsc#1082579).
- x86/tsc: Provide a means to disable TSC ART (bsc#1082579).
- x86/tsc: Skip TSC test and error messages if already unstable
  (bsc#1082579).
- commit 9667786
* Tue Feb 27 2018 ddiss@suse.de
- target/rbd: use target_configure_unmap_from_queue() helper
  (bsc#1064320).
- target/rbd: handle zero length UNMAP requests early
  (bsc#1064320).
- commit 15a71ab
* Tue Feb 27 2018 ddiss@suse.de
- ceph: fix rebased xattr and cmpext support (bsc#1082443)
- Refresh
  patches.drivers/ceph-osd_client-add-support-for-CEPH_OSD_OP_GETXATTR.patch.
- Refresh
  patches.drivers/libceph-add-support-for-CMPEXT-compare-extent-reques.patch.
- Refresh
  patches.suse/rbd-do-away-with-obj_request-in-cmpsetxattr.patch.
- Refresh
  patches.suse/rbd-do-away-with-obj_request-in-setxattr.patch.
- commit 8add4f9
* Tue Feb 27 2018 msuchanek@suse.de
- ibmvnic: Fix early release of login buffer (bsc#1081134,
  git-fixes).
- commit c7b7dcd
* Tue Feb 27 2018 msuchanek@suse.de
- Revert "rpm/kernel-binary.spec.in: Also require m4 for build."
  This reverts commit 0d7b4b3f948c2efb67b7d1b95b5e1dcae225991c.
- commit f5686d2
* Tue Feb 27 2018 jeffm@suse.com
- btrfs: account for pinned bytes in should_alloc_chunk
  (bsc#1040182).
- commit fc228ad
* Tue Feb 27 2018 jeffm@suse.com
- housekeeping: move suse-only out-of-tree patches after sorted section
- commit 2b8141c
* Tue Feb 27 2018 mhocko@suse.com
- Update
  patches.fixes/mm-oom_reaper-gather-each-vma-to-prevent-leaking-TLB.patch
  (bnc#1073258, bnc#1083088, CVE-2017-18202).
- commit f906298
* Tue Feb 27 2018 jeffm@suse.com
- housekeeping: move kABI fixes after sorted section
- commit ed8c9b1
* Tue Feb 27 2018 jthumshirn@suse.de
- nvme-pci: Fix timeouts in connecting state (FATE#323952,
  FATE#322506).
- commit 10ad0a0
* Tue Feb 27 2018 jthumshirn@suse.de
- nvme: rename NVME_CTRL_RECONNECTING state to
  NVME_CTRL_CONNECTING (FATE#323952, FATE#322506).
- Refresh patches.drivers/nvme_fc-cleanup-io-completion.patch.
- Refresh
  patches.drivers/nvme_fc-correct-abort-race-condition-on-resets.patch.
- commit c1726a2
* Tue Feb 27 2018 nborisov@suse.com
- btrfs: finish ordered extent cleaning if no progress is found (bsc#1082964).
- commit d584b06
* Tue Feb 27 2018 tiwai@suse.de
- kernel-binary: do not package extract-cert when not signing modules
  (boo#1080250).
- commit 10a8bc4
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: move kbuild/supported patches after sorted section
- commit 20e13fb
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: moved SUSE-specific performance fixes after sorted section
- commit e4df9c8
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: move driver core patch after sorted section
- commit c3bf010
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: move cpufreq patches to sorted section
- commit 689ded1
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: remove empty sections
- commit 96041ef
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: move scheduler/core patches to sorted section
- commit c8094ad
* Mon Feb 26 2018 tbogendoerfer@suse.de
- net_sched: gen_estimator: fix broken estimators based on percpu
  stats (bsc#1056787).
- net/mlx5: Add header re-write to the checks for conflicting
  actions (bsc#1046305 FATE#322943).
- net/mlx5: Use 128B cacheline size for 128B or larger cachelines
  (bsc#1081944).
- net/mlx5e: Specify numa node when allocating drop rq
  (bsc#1046305 FATE#322943).
- net/mlx5e: Return error if prio is specified when offloading
  eswitch vlan push (bsc#1046305 FATE#322943).
- net/mlx5e: Verify inline header size do not exceed SKB linear
  size (bsc#1046305 FATE#322943).
- net/mlx5e: Fix loopback self test when GRO is off (bsc#1046305
  FATE#322943).
- net/mlx5e: Fix TCP checksum in LRO buffers (bsc#1046305
  FATE#322943).
- RDMA/vmw_pvrdma: Fix usage of user response structures in ABI
  file (bsc#1046306 FATE#322942).
- RDMA/uverbs: Sanitize user entered port numbers prior to access
  it (bsc#1046306 FATE#322942).
- RDMA/uverbs: Fix circular locking dependency (bsc#1046306
  FATE#322942).
- RDMA/uverbs: Fix bad unlock balance in ib_uverbs_close_xrcd
  (bsc#1046306 FATE#322942).
- IB/uverbs: Fix unbalanced unlock on error path for
  rdma_explicit_destroy (bsc#1046306 FATE#322942).
- IB/uverbs: Hold the uobj write lock after allocate (bsc#1046306
  FATE#322942).
- IB/uverbs: Fix method merging in uverbs_ioctl_merge (bsc#1046306
  FATE#322942).
- PCI/cxgb4: Extend T3 PCI quirk to T4+ devices (bsc#1064802
  bsc#1066129).
- cxgb4: fix trailing zero in CIM LA dump (bsc#1064802
  bsc#1066129).
- commit 2727999
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: move locking/core patches to sorted section
- commit 023fb41
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: moved s390 patches to sorted section
- commit fba6ff3
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: move x86 patches to sorted section
- commit 484f12c
* Mon Feb 26 2018 tbogendoerfer@suse.de
- Re-sorted series
- Refresh
  patches.drivers/ibmvnic-Check-for-NULL-skb-s-in-NAPI-poll-routine.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Avoid-triggering-undefined-behavior-in-.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-a-locking-imbalance-in-qlt_24xx_han.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-double-free-bug-after-firmware-time.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-incorrect-handle-for-abort-IOCB.patch.
- commit 9b71c59
* Mon Feb 26 2018 tiwai@suse.de
- nl80211: take RCU read lock when calling ieee80211_bss_get_ie()
  (bsc#1051510).
- nl80211: fix nl80211_send_iface() error paths (bsc#1051510).
- commit d8941e6
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: move VM/FS patches to sorted section
- commit 1fd8e1f
* Mon Feb 26 2018 tiwai@suse.de
- blacklist.conf: add a media blacklist
- commit a3cbc5c
* Mon Feb 26 2018 tiwai@suse.de
- extcon: int3496: process id-pin first so that we start with
  the right status (bsc#1051510).
- ALSA: usb-audio: Fix UAC2 get_ctl request with a RANGE attribute
  (bsc#1051510).
- media: exynos4-is: properly initialize frame format
  (bsc#1051510).
- media: cpia2: Fix a couple off by one bugs (bsc#1051510).
- Input: 88pm860x-ts - fix child-node lookup (bsc#1051510).
- Input: twl6040-vibra - fix child-node lookup (bsc#1051510).
- Input: twl4030-vibra - fix sibling-node lookup (bsc#1051510).
- cfg80211: fix station info handling bugs (bsc#1051510).
- cfg80211: check dev_set_name() return value (bsc#1051510).
- mfd: twl6040: Fix child-node lookup (bsc#1051510).
- mfd: twl4030-audio: Fix sibling-node lookup (bsc#1051510).
- nl80211: don't expose wdev->ssid for most interfaces
  (bsc#1051510).
- Documentation/sphinx: fix kernel-doc decode for non-utf-8 locale
  (bsc#1051510).
- [media] dvb uapi docs: enums are passed by value, not reference
  (bsc#1051510).
- Docs: Fix breakage with Sphinx 1.5 and upper (bsc#1051510).
- Docs: Include the Latex "ifthen" package (bsc#1051510).
- commit d06484d
* Mon Feb 26 2018 tiwai@suse.de
- drm/vmwgfx: fix memory corruption with legacy/sou connectors
  (bsc#1051510).
- drm/atomic: Unref duplicated drm_atomic_state in
  drm_atomic_helper_resume() (bsc#1051510).
- commit 18be9dc
* Mon Feb 26 2018 tiwai@suse.de
- blacklist.conf: add duplicated (cherry-picked) commits
- commit 4abafa8
* Mon Feb 26 2018 tiwai@suse.de
- blacklist.conf: Update drm blacklists
  They can't be applied because of the lack of some DRM stuff
- commit 92abf6d
* Mon Feb 26 2018 tiwai@suse.de
- mac80211: fix calling sleeping function in atomic context
  (bsc#1051510).
- mac80211: fix a possible leak of station stats (bsc#1051510).
- cfg80211: fix cfg80211_beacon_dup (bsc#1051510).
- PKCS#7: fix direct verification of SignerInfo signature
  (bsc#1051510).
- PKCS#7: fix certificate blacklisting (bsc#1051510).
- PKCS#7: fix certificate chain verification (bsc#1051510).
- i2c: designware: must wait for enable (bsc#1051510).
- drm: Handle unexpected holes in color-eviction (bsc#1051510).
- drm/edid: Add 6 bpc quirk for CPT panel in Asus UX303LA
  (bsc#1051510).
- drm/atomic: Fix memleak on ERESTARTSYS during non-blocking
  commits (bsc#1051510).
- drm/cirrus: Load lut in crtc_commit (bsc#1051510).
- drm: cirrus: remove dead code and pointless local lut storage
  (bsc#1051510).
- commit ff526a9
* Mon Feb 26 2018 tiwai@suse.de
- Preliminary series sort / updates
- commit 91ac254
* Mon Feb 26 2018 msuchanek@suse.de
- powerpc/powernv: Support firmware disable of RFI flush
  (bsc#1068032).
- powerpc/pseries: Support firmware disable of RFI flush
  (bsc#1068032).
- commit cfd8a20
* Mon Feb 26 2018 msuchanek@suse.de
- powerpc/mm/drmem: Fix unexpected flag value in
  ibm,dynamic-memory-v2 (FATE#324825, bsc#1077428).
- commit 2c4ae37
* Mon Feb 26 2018 bp@suse.de
- media: hdpvr: Fix an error handling path in hdpvr_probe()
  (bsc#1067118 CVE-2017-16644).
- commit 487f60d
* Mon Feb 26 2018 jlee@suse.com
- KEYS: prevent creating a different user's keyrings
  (bnc#1065999).
- commit 29ba1a4
* Mon Feb 26 2018 nborisov@suse.com
- f2fs: fix a bug caused by NULL extent tree (bsc#1082478).
- commit 1902646
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: move IPC patches to sorted section
- commit 3d6c0d8
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: moved small misc fixes to sorted section
- commit 2dae190
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: moved ACPI patches to sorted section
- commit 6332c79
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: move hyperv patches to sorted section
- commit 0cbd157
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: move ocfs2/dlm patches to sorted section
- commit 7a0f77b
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: move arm patches into sorted section
  There is a code change here, but it matches what the upstream ordering is.
- commit e55cbe7
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: move driver patches to sorted section
- commit 2167086
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: move cifs patches to sorted section
- commit 648f4e7
* Mon Feb 26 2018 jeffm@suse.com
- housekeeping: move epoll and lib patches to sorted section
- commit 435924b
* Sun Feb 25 2018 jeffm@suse.com
- housekeeping: move powerpc patches to sorted section
- commit 5f0255b
* Sun Feb 25 2018 jthumshirn@suse.de
- scsi: lpfc: Change Copyright of 12.0.0.0 modified files to 2018
  (bsc#1082595).
- scsi: lpfc: update driver version to 12.0.0.0 (bsc#1082595).
- scsi: lpfc: Work around NVME cmd iu SGL type (bsc#1082595).
- scsi: lpfc: Fix nvme embedded io length on new hardware
  (bsc#1082595).
- scsi: lpfc: Add embedded data pointers for enhanced performance
  (bsc#1082595).
- scsi: lpfc: Enable fw download on if_type=6 devices
  (bsc#1082595).
- scsi: lpfc: Add if_type=6 support for cycling valid bits
  (bsc#1082595).
- scsi: lpfc: Add 64G link speed support (bsc#1082595).
- scsi: lpfc: Add PCI Ids for if_type=6 hardware (bsc#1082595).
- scsi: lpfc: Add push-to-adapter support to sli4 (bsc#1082595).
- scsi: lpfc: Add SLI-4 if_type=6 support to the code base
  (bsc#1082595).
- scsi: lpfc: Rework sli4 doorbell infrastructure (bsc#1082595).
- scsi: lpfc: Rework lpfc to allow different sli4 cq and eq
  handlers (bsc#1082595).
- scsi: scsi_transport_fc: fix typos on 64/128 GBit define names
  (bsc#1082595).
- commit baa2a7f
* Sun Feb 25 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/ibmvnic-Check-for-NULL-skb-s-in-NAPI-poll-routine.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Avoid-triggering-undefined-behavior-in-.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-a-locking-imbalance-in-qlt_24xx_han.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-double-free-bug-after-firmware-time.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-incorrect-handle-for-abort-IOCB.patch.
- commit fae1c5f
* Sun Feb 25 2018 jeffm@suse.com
- housekeeping: move storage patches into sorted section
- commit cab2152
* Sun Feb 25 2018 jeffm@suse.com
- housekeeping: move v4l patches to sorted section
- commit 5947eb8
* Sun Feb 25 2018 jeffm@suse.com
- housekeeping: move random patch to sorted section
- commit f7c56ff
* Sun Feb 25 2018 jeffm@suse.com
- housekeeping: move spectre/meltdown fixes to sorted section
- commit 425c053
* Sun Feb 25 2018 jeffm@suse.com
- housekeeping: move xen patches to sorted section
- commit 193f238
* Sun Feb 25 2018 jeffm@suse.com
- housekeeping: move livepatching to sorted section
- commit 32b7773
* Sun Feb 25 2018 jeffm@suse.com
- housekeeping: movw sysctl selftests to sorted section
- commit 21d7c50
* Sun Feb 25 2018 jeffm@suse.com
- housekeeping: move sysctl patches to sorted section
- commit 5453ebc
* Sun Feb 25 2018 jeffm@suse.com
- housekeeping: move iommu patches to sorted section
- commit 5ed331f
* Sun Feb 25 2018 jeffm@suse.com
- housekeeping: move perf patches to sorted section
- commit e4f7f31
* Sun Feb 25 2018 jeffm@suse.com
- housekeeping: move kdump patches to sorted section
- commit 32d312b
* Sun Feb 25 2018 jeffm@suse.com
- housekeeping: move objtool patches to sorted section
- commit cb30180
* Sat Feb 24 2018 jeffm@suse.com
- housekeeping: move some modsign patches into sorted section
- commit 69f402d
* Sat Feb 24 2018 jeffm@suse.com
- housekeeping: move crypto patches to sorted section
- commit 2f5e73f
* Sat Feb 24 2018 jeffm@suse.com
- housekeeping: move security patches to sorted section
- commit 7826f37
* Sat Feb 24 2018 jeffm@suse.com
- housekeeping: move md patches to sorted section
- commit 0d60c5b
* Sat Feb 24 2018 jeffm@suse.com
- housekeeping: move suspend/resume patches to sorted section
- commit eb55162
* Sat Feb 24 2018 jeffm@suse.com
- housekeeping: moved other drivers to sorted section
- commit d00ddbb
* Sat Feb 24 2018 jeffm@suse.com
- housekeeping: move printk patches to sorted section
- commit a3b711d
* Sat Feb 24 2018 jeffm@suse.com
- housekeeping: moved input patches to sorted section
- commit e6a3294
* Sat Feb 24 2018 jeffm@suse.com
- housekeeping: move serial patches to sorted section
- commit 7439018
* Sat Feb 24 2018 jeffm@suse.com
- housekeeping: move I2C patches to sorted section
- commit 81970be
* Sat Feb 24 2018 jeffm@suse.com
- housekeeping: move PCI patches to sorted section
- commit bc33814
* Sat Feb 24 2018 jeffm@suse.com
- housekeeping: move thunderbolt patches to sorted section
- commit ceb04da
* Sat Feb 24 2018 jeffm@suse.com
- housekeeping: move USB to sorted section
- commit 6f2b28e
* Fri Feb 23 2018 jeffm@suse.com
- housekeeping: move intel-drm to sorted section
- commit ad78bb9
* Fri Feb 23 2018 jeffm@suse.com
- housekeeping: rename some fs patches
- commit 14854d5
* Fri Feb 23 2018 jeffm@suse.com
- housekeeping: move other file system patches into sorted section
- commit d6e80d0
* Fri Feb 23 2018 jeffm@suse.com
- housekeeping: move apparmor to sorted section
- commit eb353f7
* Fri Feb 23 2018 jeffm@suse.com
- housekeeping: move NFS to sorted section
- commit eb19955
* Fri Feb 23 2018 jeffm@suse.com
- housekeeping: move cephfs patches into sorted section
- commit c1e3883
* Fri Feb 23 2018 msuchanek@suse.de
- git_sort: add powerpc/fixes branch.
- commit efaef8c
* Fri Feb 23 2018 jeffm@suse.com
- housekeeping: relocate xfs, btrfs, reiserfs, and ext4 patches to sorted
- commit 667c204
* Fri Feb 23 2018 mwilck@suse.com
- Update and enable
  patches.suse/scsi-do-not-print-reservation-conflict-for-TEST-UNIT.patch
  (bsc#1027054, bsc#1082587).
- commit c6ccd44
* Fri Feb 23 2018 mwilck@suse.com
- Enable patches.fixes/sd-always-scan-VPD-pages-if-thin-provisioning-is-ena.patch (bsc#1013792, bsc#1082587).
- commit 83c00c1
* Fri Feb 23 2018 jeffm@suse.com
- housekeeping: update tags and resort series
- commit 1f975c7
* Fri Feb 23 2018 mwilck@suse.com
- Refresh and enable
  patches.fixes/sd-always-retry-READ-CAPACITY-for-ALUA-state-transit.patch (bsc#1082587, bsc#895814).
- commit 426325e
* Fri Feb 23 2018 aaptel@suse.com
- refresh patch to fix build when SMB2 disabled
- commit e54b17e
* Fri Feb 23 2018 mwilck@suse.com
- Refresh and enable
  patches.fixes/scsi-disable-VPD-page-check-on-error.patch (bsc#1082587,
  bsc#981854).
- commit 53727b5
* Fri Feb 23 2018 mwilck@suse.com
- Delete
  patches.suse/scsi-always-retry-internal-target-error.patch (bsc#1082587).
  This one is superseded by
  patches.fixes/scsi-handle-special-return-codes-for-ABORTED-COMM.patch
- commit 62ad20c
* Fri Feb 23 2018 mwilck@suse.com
- Delete patches.suse/aacraid-export-fixed-module-param (bsc#1082587).
  This patch has a comment: "should be dropped in SLES13".
  Thus dropping it.
- commit 5794c6c
* Fri Feb 23 2018 mwilck@suse.com
- Refresh and enable
  patches.fixes/scsi_scan-Send-TEST-UNIT-READY-to-LUN0-before-LUN-sc.patch (bnc#843236, bnc#893377, bsc#1063043).
- commit 1972fc8
* Fri Feb 23 2018 msuchanek@suse.de
- blacklist
  171360d7800c tpm: fix type of a local variable in tpm2_get_cc_attrs_tbl()
  1a7a9b26c69d tpm: fix type of a local variables in tpm_tis_spi.c
  4557d4bedc9c tpm: fix type of a local variable in tpm2_map_command()
  These only add endian annotation to variables.
- commit 5804018
* Fri Feb 23 2018 msuchanek@suse.de
- tpm_tis_spi: Use DMA-safe memory for SPI transfers
  (bsc#1082555).
- tpm: constify transmit data pointers (bsc#1082555).
- tpm/tpm_crb: fix priv->cmd_size initialisation (bsc#1082555).
- tpm_tis: Use platform_get_irq (bsc#1082555).
- tpm_tis: Fix IRQ autoprobing when using platform_device
  (bsc#1082555).
- commit 8ed9550
* Fri Feb 23 2018 mwilck@suse.com
- scsi: handle special return codes for ABORTED COMMAND
  (bsc#1069138, bnc#745640, bnc#825227).
- commit 291f96e
* Fri Feb 23 2018 mwilck@suse.com
- Refresh
  patches.drivers/scsi-megaraid_sas-Do-not-use-32-bit-atomic-request-d.patch.
- commit d3bb77b
* Fri Feb 23 2018 mbrugger@suse.com
- drivers/fbdev/efifb: Allow BAR to be moved instead of claiming
  it (fate#323912).
- IB/hns: checking for IS_ERR() instead of NULL (fate#323912).
- arm64: sysreg: Fix unprotected macro argmuent in write_sysreg
  (fate#323912).
- efi/fb: Correct PCI_STD_RESOURCE_END usage (fate#323912).
- commit 8bc4586
* Fri Feb 23 2018 jthumshirn@suse.de
- nfit_test Make private definitions to command emulation
  (bsc#1082491).
- commit 05aa73b
* Fri Feb 23 2018 jthumshirn@suse.de
- Re-sort series.conf
- commit 5d633e1
* Fri Feb 23 2018 jkosina@suse.cz
- Update config files: KEXEC_VERIFY_SIG=n for x86 vanilla
- commit c240e03
* Fri Feb 23 2018 mkubecek@suse.cz
- bpf: fix stack_depth usage by test_bpf.ko (bsc#1081174
  bsc#1081380).
- bpf: track stack depth of classic bpf programs (bsc#1081174
  bsc#1081380).
- commit 78f0fd9
* Fri Feb 23 2018 mkubecek@suse.cz
- series.conf: refresh
  Ran series_sort.py (no effect on expanded tree).
- commit 8f7ddd5
* Fri Feb 23 2018 bp@suse.de
- EDAC, thunderx: Fix error handling path in thunderx_lmc_probe()
  (bsc#1057038).
- blacklist.conf:
- EDAC, thunderx: Fix a warning during l2c debugfs node creation
  (bsc#1057038).
- EDAC, sb_edac: Don't create a second memory controller if HA1
  is not present (bsc#1061721).
- EDAC, sb_edac: Classify memory mirroring modes (bsc#1061721).
- EDAC, sb_edac: Avoid creating SOCK memory controller
  (bsc#1061721).
- EDAC, sb_edac: Bump driver version and do some cleanups
  (bsc#1061721).
- EDAC, sb_edac: Check if ECC enabled when at least one DIMM is
  present (bsc#1061721).
- EDAC, sb_edac: Carve out dimm-populating loop (bsc#1061721).
- EDAC, sb_edac: Assign EDAC memory controller per h/w controller
  (bsc#1061721).
- EDAC, sb_edac: Don't use "Socket#" in the memory controller name
  (bsc#1061721).
- EDAC, sb_edac: Classify PCI-IDs by topology (bsc#1061721).
- EDAC, skx_edac: Handle systems with segmented PCI busses
  (bsc#1076447).
- EDAC, skx_edac: Fix detection of single-rank DIMMs
  (bsc#1076447).
- x86/cpu/amd: Limit cpu_core_id fixup to families older than F17h
  (bsc#1060229).
- commit 8fc298f
* Fri Feb 23 2018 hare@suse.de
- dm mpath: remove annoying message of 'blk_get_request()
  returned -11' (bsc#1077989).
- Refresh patches.suse/dm-mpath-accept-failed-paths.
- commit a7c32d7
* Fri Feb 23 2018 jthumshirn@suse.de
- acpi, nfit: fix register dimm error handling (bsc#1082491).
- acpi, nfit: fix health event notification (bsc#1082491).
- acpi/nfit: Issue Start ARS to retrieve existing records
  (bsc#1082491).
- acpi/nfit: Add support of NVDIMM memory error notification in
  ACPI 6.2 (bsc#1082491).
- commit 1a9ab53
* Fri Feb 23 2018 hare@suse.de
- scsi: bnx2fc: Simplify CPU hotplug code (bsc#1077989). - Refresh patches.drivers/scsi-bnx2i-simplify-cpu-hotplug-code.
- commit c6b20e3
* Fri Feb 23 2018 hare@suse.de
- scsi: scsi_dh: suppress errors from unsupported devices (bsc#1077989).
- scsi: scsi_dh: Return SCSI_DH_XX error code from ->attach() (bsc#1077989).
- scsi: fc: check for rport presence in fc_block_scsi_eh (bsc#1077989).
- scsi: scsi_transport_fc: Also check for NOTPRESENT in fc_remote_port_add() (bsc#1077989).
- scsi: scsi_transport_fc: set scsi_target_id upon rescan (bsc#1077989).
- commit ca27253
* Fri Feb 23 2018 jthumshirn@suse.de
- scsi: aacraid: Fix hang in kdump (bsc#1077989).
- scsi: aacraid: Check for PCI state of device in a generic way
  (bsc#1077989).
- commit 9736167
* Fri Feb 23 2018 hare@suse.de
- Drop superseded SUSE-specific patches
- Delete
  patches.drivers/qla2xxx-0040-Add-module-parameter-for-interrupt-mode.patch.
- Delete patches.fixes/scsi-Add-AIX-VDASD-to-blacklist.patch.
- Delete
  patches.fixes/scsi-Handle-power-on-reset-unit-attention.patch.
- Delete patches.fixes/scsi-Modify-HITACHI-OPEN-V-blacklist.patch.
- Delete
  patches.fixes/scsi-do-not-retry-invalid-function-error.patch.
- commit 2f21950
* Fri Feb 23 2018 jthumshirn@suse.de
- scsi: lpfc: Use after free in lpfc_rq_buf_free() (bsc#1077989).
- Refresh
  patches.drivers/scsi-lpfc-Fix-RQ-empty-firmware-trap.patch.
- commit dba777c
* Fri Feb 23 2018 hare@suse.de
- scsi: qedf: Fix error return code in __qedf_probe()
  (bsc#1077989).
- scsi: mpt3sas: Proper handling of set/clear of "ATA command
  pending" flag (bsc#1077989).
- scsi: fnic: add a space after %%p in printf format (bsc#1077989).
- scsi: devinfo: replace "Dell PV 650F" with "EMC CLARiiON"
  (bsc#1077989).
- scsi: dh: add new rdac devices (bsc#1077989).
- scsi: devinfo: apply to HP XP the same flags as Hitachi VSP
  (bsc#1077989).
- scsi: devinfo: Apply to HP-rebranded the same flags as Hitachi
  (bsc#1077989).
- scsi: pmcraid: use correct size unit when calling
  find_first_zero_bit() (bsc#1077989).
- scsi: ibmvscsis: add DRC indices to debug statements
  (bsc#1077989).
- block: fix blk_rq_append_bio (bsc#1077989).
- scsi: aacraid: Fix I/O drop during reset (bsc#1077989).
- scsi: aacraid: Prevent crash in case of free interrupt during
  scsi EH path (bsc#1077989).
- scsi: aacraid: Perform initialization reset only once
  (bsc#1077989).
- scsi: aacraid: Check for PCI state of device in a generic way
  (bsc#1077989).
- scsi: bnx2fc: Fix hung task messages when a cleanup response
  is not received during abort (bsc#1077989).
- cxlflash: get rid of pointless access_ok() (bsc#1077989).
- scsi: scsi_error: DID_SOFT_ERROR comment clean up (bsc#1077989).
- scsi: cxlflash: Derive pid through accessors (bsc#1077989).
- scsi: cxlflash: Allow cards without WWPN VPD to configure
  (bsc#1077989).
- scsi: cxlflash: Use derived maximum write same length
  (bsc#1077989).
- scsi: scsi_devinfo: Add scsi_devinfo_tbl.c (bsc#1077989).
- scsi: hpsa: bump driver version (bsc#1077989).
- scsi: hpsa: add enclosure logical identifier (bsc#1077989).
- scsi: hpsa: correct logical volume removal (bsc#1077989).
- scsi: hpsa: reduce warning messages on device removal
  (bsc#1077989).
- scsi: hpsa: update queue depth for externals (bsc#1077989).
- scsi: hpsa: correct smart path enabled (bsc#1077989).
- scsi: hpsa: change timeout for internal cmds (bsc#1077989).
- scsi: hpsa: update discovery polling (bsc#1077989).
- scsi: hpsa: add controller checkpoint (bsc#1077989).
- scsi: hpsa: clear tmpdevice in scan thread (bsc#1077989).
- scsi: hpsa: cleanup sas_phy structures in sysfs when unloading
  (bsc#1077989).
- scsi: hpsa: destroy sas transport properties before scsi_host
  (bsc#1077989).
- scsi: scsi_error: Handle power-on reset unit attention
  (bsc#1077989).
- scsi: scsi_error: Do not retry illegal function error
  (bsc#1077989).
- scsi: sd: change manage_start_stop to bool in sysfs interface
  (bsc#1077989).
- scsi: sd: change allow_restart to bool in sysfs interface
  (bsc#1077989).
- scsi: scsi: Export blacklist flags to sysfs (bsc#1077989).
- scsi: sd_zbc: Fix sd_zbc_read_zoned_characteristics()
  (bsc#1077989).
- scsi: sd_zbc: Use well defined macros (bsc#1077989).
- scsi: sd_zbc: Rearrange code (bsc#1077989).
- scsi: sd_zbc: Fix comments and indentation (bsc#1077989).
- scsi: sd_zbc: Move ZBC declarations to scsi_proto.h
  (bsc#1077989).
- scsi: libcxgbi: in case of vlan pass 0 as ifindex to find route
  (bsc#1077989).
- scsi: sd: Align maximum write same blocks to physical block size
  (bsc#1077989).
- scsi: csiostor: enable PCIe relaxed ordering if supported
  (bsc#1077989).
- scsi: libcxgbi: remove redundant check and close on csk
  (bsc#1077989).
- scsi: fcoe: open-code fcoe_destroy_work() for NETDEV_UNREGISTER
  (bsc#1077989).
- scsi: fcoe: separate out fcoe_vport_remove() (bsc#1077989).
- scsi: fcoe: move fcoe_interface_remove() out of
  fcoe_interface_cleanup() (bsc#1077989).
- scsi: bnx2i: Clean up unused pointers in bnx2i_hwi
  (bsc#1077989).
- block: Make q_usage_counter also track legacy requests
  (bsc#1077989).
- =?UTF-8?q?scsi:=20hpsa:=20Fix=20configured=5Flogical=5Fdr?=
  =?UTF-8?q?ive=5Fcount=C2=B7check?= (bsc#1077989).
- scsi: ibmvscsis: Fix write_pending failure path (bsc#1077989).
- scsi: libiscsi: Remove iscsi_destroy_session (bsc#1077989).
- scsi: libiscsi: Fix use-after-free race during
  iscsi_session_teardown (bsc#1077989).
- scsi: sd: Implement blacklist option for WRITE SAME w/ UNMAP
  (bsc#1077989).
- scsi: ILLEGAL REQUEST + ASC==27 => target failure (bsc#1077989).
- scsi: aacraid: Fix 2T+ drives on SmartIOC-2000 (bsc#1077989).
- scsi: Fix the kerneldoc for scsi_initialize_rq() (bsc#1077989).
- scsi: Use blk_mq_rq_to_pdu() to convert a request to a SCSI
  command pointer (bsc#1077989).
- scsi: Document which queue type a function is intended for
  (bsc#1077989).
- scsi: Convert a strncmp() call into a strcmp() call
  (bsc#1077989).
- scsi: Suppress gcc 7 fall-through warnings reported with W=1
  (bsc#1077989).
- scsi: ufs: reqs and tasks were put in the wrong order
  (bsc#1077989).
- scsi: pmcraid: fix duplicated code for different branches
  (bsc#1077989).
- scsi: sym53c8xx: Avoid undefined behaviour (bsc#1077989).
- scsi: virtio: virtio_scsi: Set can_queue to the length of the
  virtqueue (bsc#1077989).
- scsi: mvsas: replace kfree with scsi_host_put (bsc#1077989).
- scsi: esp_scsi: Always clear msg_out_len after MESSAGE OUT phase
  (bsc#1077989).
- scsi: esp_scsi: Avoid sending ABORT TASK SET messages
  (bsc#1077989).
- scsi: esp_scsi: Clean up control flow and dead code
  (bsc#1077989).
- scsi: libcxgbi: use ndev->ifindex to find route (bsc#1077989).
- scsi: mpt3sas: Fix memory allocation failure test in
  'mpt3sas_base_attach()' (bsc#1077989).
- scsi: mpt3sas: fix format overflow warning (bsc#1077989).
- scsi: sg: off by one in sg_ioctl() (bsc#1077989).
- scsi: cxgb4i: call neigh_event_send() to update MAC address
  (bsc#1077989).
- scsi: bnx2fc: Prevent recursive cpuhotplug locking
  (bsc#1077989).
- scsi: bnx2fc: Plug CPU hotplug race (bsc#1077989).
- ibmvscsis: Use tpgt passed in by user (bsc#1077989).
- ibmvscsis: Enable Logical Partition Migration Support
  (bsc#1077989).
- scsi: hpsa: fix spelling mistake: "encrypytion" -> "encryption"
  (bsc#1077989).
- scsi: hptiop: make function hptiop_iop_request_callback_itl
  static (bsc#1077989).
- scsi: esas2r: Replace semaphore fs_api_semaphore with mutex
  (bsc#1077989).
- scsi: esas2r: Replace semaphore fm_api_semaphore with mutex
  (bsc#1077989).
- scsi: libiscsi: use kvzalloc for iscsi_pool_init (bsc#1077989).
- scsi: ibmvscsi_tgt: remove use of class_attrs (bsc#1077989).
- commit eb5e851
* Fri Feb 23 2018 jslaby@suse.cz
- blacklist.conf: add some fixes from 12SP3
- commit 3559625
* Fri Feb 23 2018 ddiss@suse.de
- Update config files (bsc#1082443).
- commit ae8d93d
* Fri Feb 23 2018 ddiss@suse.de
- target/rbd: rebase and reapply LIO+RBD patch set (bsc#1082443).
- Refresh
  patches.drivers/ceph-osd_client-add-support-for-CEPH_OSD_OP_GETXATTR.patch.
- Refresh
  patches.drivers/libceph-add-scatterlist-messenger-data-type.patch.
- Refresh
  patches.drivers/libceph-add-support-for-CMPEXT-compare-extent-reques.patch.
- Refresh
  patches.drivers/libceph-add-support-for-write-same-requests.patch.
- Refresh patches.drivers/libceph-fix-pr_fmt-compile-issues.patch.
- Refresh
  patches.drivers/rbd-add-cmpsetattr-device-attribute-for-debugging.patch.
- Refresh
  patches.drivers/rbd-add-getxattr-device-attribute-for-debugging.patch.
- Refresh patches.drivers/rbd-add-lio-specific-data-area.patch.
- Refresh patches.drivers/rbd-add-num-ops-calculator-helper.patch.
- Refresh
  patches.drivers/rbd-add-rbd_dev_cmpsetxattr-helper.patch.
- Refresh patches.drivers/rbd-add-rbd_dev_getxattr-helper.patch.
- Refresh patches.drivers/rbd-add-rbd_dev_setxattr-helper.patch.
- Refresh
  patches.drivers/rbd-add-setxattr-device-attribute-for-debugging.patch.
- Refresh
  patches.drivers/rbd-add-support-for-COMPARE_AND_WRITE-CMPEXT.patch.
- Refresh
  patches.drivers/rbd-add-support-for-scatterlist-obj_request_type.patch.
- Refresh
  patches.drivers/rbd-add-support-for-writesame-requests.patch.
- Refresh patches.drivers/rbd-add-write-test-helper.patch.
- Refresh
  patches.drivers/rbd-export-some-functions-used-by-lio-rbd-backend.patch.
- Refresh
  patches.drivers/rbd-move-structs-used-by-lio-rbd-to-new-header.patch.
- Refresh
  patches.drivers/target-add-COMPARE_AND_WRITE-sg-creation-helper.patch.
- Refresh
  patches.drivers/target-add-compare-and-write-callback.patch.
- Refresh
  patches.drivers/target-add-lio-rbd-to-makefile-Kconfig.patch.
- Refresh patches.drivers/target-add-rbd-backend.patch.
- Refresh
  patches.drivers/target-compare-and-write-backend-driver-sense-handli.patch.
- Refresh
  patches.drivers/target-configfs-add-device-vendor_id-attribute.patch.
- Refresh
  patches.drivers/target-pr-add-backend-API-for-reservation-handling.patch.
- Refresh
  patches.drivers/target-pr-fix-core_scsi3_pr_seq_non-caller.patch.
- Refresh
  patches.drivers/target-pr-split-out-and-export-core_scsi3_pr_seq_non.patch.
- Refresh
  patches.drivers/target-rbd-SCSI3-check-conflict-support.patch.
- Refresh
  patches.drivers/target-rbd-add-SCSI2-reservation-entry-to-PR-info.patch.
- Refresh patches.drivers/target-rbd-add-pr_clear-support.patch.
- Refresh patches.drivers/target-rbd-add-pr_preempt-support.patch.
- Refresh
  patches.drivers/target-rbd-add-pr_read_reservation-support.patch.
- Refresh patches.drivers/target-rbd-add-pr_release-support.patch.
- Refresh
  patches.drivers/target-rbd-add-pr_report_capabilities-support.patch.
- Refresh patches.drivers/target-rbd-add-pr_reserve-support.patch.
- Refresh
  patches.drivers/target-rbd-add-stubbed-out-pr_read_full_status.patch.
- Refresh
  patches.drivers/target-rbd-add-stubbed-out-pr_register_and_move.patch.
- Refresh
  patches.drivers/target-rbd-add-support-for-PR-register-read-keys.patch.
- Refresh
  patches.drivers/target-rbd-fix-PR-info-memory-leaks.patch.
- Refresh
  patches.drivers/target-rbd-handle-SCSI2-reservation-release-on-reset.patch.
- Refresh
  patches.drivers/target-rbd-implement-SCSI2-reservation-handling.patch.
- Refresh
  patches.fixes/0001-rbd-drop-extra-rbd_img_request_get.patch.
- Refresh
  patches.fixes/0002-rbd-make-sure-pages-are-freed-by-libceph.patch.
- Refresh
  patches.fixes/libceph-fix-scatterlist-last_piece-calculation.patch.
- Refresh
  patches.fixes/libceph-use-upstream-write-same-opcode.patch.
- Refresh
  patches.fixes/rbd-copy-compare-and-write-osd-requests-before-resub.patch.
- Refresh
  patches.fixes/rbd-don-t-log-miscompare-as-an-error.patch.
- Refresh
  patches.fixes/rbd-handle-OBJ_REQUEST_SG-types-for-copyup.patch.
- Refresh
  patches.fixes/rbd-helper-to-copy-compare-and-write-osd-requests.patch.
- Refresh
  patches.fixes/rbd-truncate-objects-on-cmpext-short-reads.patch.
- Refresh
  patches.fixes/target-fix-tcm_rbd_gen_it_nexus-for-emulated-XCOPY-s.patch.
- Refresh
  patches.fixes/target-rbd-don-t-put-snap_context-twice.patch.
- Refresh patches.fixes/target-rbd-remove-caw_mutex-usage.patch.
- Refresh
  patches.suse/rbd-do-away-with-obj_request-in-cmpsetxattr.patch.
- Refresh
  patches.suse/rbd-do-away-with-obj_request-in-getxattr.patch.
- Refresh
  patches.suse/rbd-do-away-with-obj_request-in-setxattr.patch.
- Delete
  patches.drivers/libceph-support-bidirectional-requests.patch.
- Delete
  patches.drivers/target-rbd-fix-COMPARE-AND-WRITE-page-vector-leak.patch.
- Delete
  patches.fixes/ceph-memory-leak-in-ceph_direct_read_write-callback.patch.
- Delete
  patches.fixes/rbd-ensure-r_request-is-allocated-for-creatrunc.patch.
- Delete
  patches.fixes/rbd-fix-and-simplify-rbd_osd_req_format_rw.patch.
- Delete
  patches.suse/libceph-handle-writefull-for-OSD-op-extent-init.patch.
- commit 813747a
* Fri Feb 23 2018 neilb@suse.com
- seq_file: fix incomplete reset on read from zero offset
  (git-fixes).
- kernfs: fix regression in kernfs_fop_write caused by wrong type
  (git-fixes).
- jffs2: Fix use-after-free bug in jffs2_iget()'s error handling
  path (git-fixes).
- xprtrdma: Fix BUG after a device removal (git-fixes).
- xprtrdma: Fix calculation of ri_max_send_sges (git-fixes).
- xprtrdma: Fix "bytes registered" accounting (git-fixes).
- xprtrdma: Fix backchannel allocation of extra rpcrdma_reps
  (git-fixes).
- NFS: Fix a race between mmap() and O_DIRECT (git-fixes).
- NFS: reject request for id_legacy key without auxdata
  (git-fixes).
- nfs: Do not convert nfs_idmap_cache_timeout to jiffies
  (git-fixes).
- nfsd: fix panic in posix_unblock_lock called from
  nfs4_laundromat (git-fixes).
- lockd: lost rollback of set_grace_period() in lockd_down_net()
  (git-fixes).
- lockd: double unregister of inetaddr notifiers (git-fixes).
- nfs: Fix ugly referral attributes (git-fixes).
- NFS: Optimize fallocate by refreshing mapping when needed
  (bsc#1033587).
- commit 3cc1a0a
* Fri Feb 23 2018 mcgrof@suse.com
- kernel/sysctl_binary.c: check name array length in
  deprecated_sysctl_warning() (FATE#323821).
- commit da77fbb
* Fri Feb 23 2018 mcgrof@suse.com
- Refresh
  patches.drivers/0006-test_sysctl-add-simple-proc_dointvec-case.patch.
- commit 9426899
* Fri Feb 23 2018 jbohac@suse.cz
- x86/gart: Exclude GART aperture from vmcore (bsc#1046513).
- commit 3a49197
* Thu Feb 22 2018 mcgrof@suse.com
- scripts/sequence-patch.sh: bump patch version req to v2.7
  While at it also update the way we compute the version so a way
  which is much more easier to read and maintain. We borrow the
  kernel's scripts/ld-version.sh which has been in use for ages.
- commit 8fe4408
* Thu Feb 22 2018 msuchanek@suse.de
- Refresh patches.drivers/ibmvnic-Split-counters-for-scrq-pools-napi.patch.
  Add upstream commit hash
- commit 9eac9cb
* Thu Feb 22 2018 msuchanek@suse.de
- ibmvnic: Fix TX descriptor tracking (bsc#1081491).
- commit 87f9261
* Thu Feb 22 2018 jbohac@suse.cz
- kexec_file: Restrict at runtime if the kernel is locked down
  (fate#314486).
- kexec_file: split KEXEC_VERIFY_SIG into KEXEC_SIG and
  KEXEC_SIG_FORCE (fate#314486).
- Update config files.
- normalize return values of load_module with kernel lockdown
  patches.suse/0042-Enforce-module-signatures-if-the-kernel-is-locked-do.patch.
- Delete
  patches.suse/0047-kexec_file-Disable-at-runtime-if-securelevel-has-bee.patch.
- commit 61ff520
* Thu Feb 22 2018 rgoldwyn@suse.com
- userfaultfd: non-cooperative: fix fork use after free.
- commit 6637734
* Thu Feb 22 2018 jgross@suse.com
- xen/pvh*: Support > 32 VCPUs at domain restore (bnc#1065600).
- xen/vcpu: Simplify xen_vcpu related code (bnc#1065600).
- commit ed8f926
* Thu Feb 22 2018 msuchanek@suse.de
- mm, x86, powerpc: display pkey in smaps only if arch supports pkeys (FATE#322447, bsc#1078248).
- Refresh to current upstream submit
- Refresh patches.suse/mm-fix-KSM-data-corruption.patch.
- commit 6c82a45
* Thu Feb 22 2018 lpechacek@suse.com
- rpm/kernel-spec-macros: Try harder to detect Build Service environment (bsc#1078788)
- commit a5f1a4a
* Thu Feb 22 2018 hare@suse.de
- qla2xxx: ensure async flags are reset correctly (bsc#1081681).
- qla2xxx: do not check login_state if no loop id is assigned
  (bsc#1081681).
- qla2xxx: Fixup locking for session deletion (bsc#1081681).
- commit 9d633ab
* Thu Feb 22 2018 hare@suse.de
- qla2xxx: Fix incorrect tcm_qla2xxx_free_cmd use during TMR ABORT
  (v2) (bsc#1077989).
- commit eafbfa7
* Thu Feb 22 2018 hare@suse.de
- qla2xxx: Convert QLA_TGT_ABTS to TARGET_SCF_LOOKUP_LUN_FROM_TAG
  (bsc#1077989).
- Refresh
  patches.drivers/0071-scsi-qla2xxx-Fix-task-mgmt-handling-for-NPIV.patch.
- commit 0f758c5
* Thu Feb 22 2018 enadolski@suse.com
- btrfs: remove spurious WARN_ON(ref->count < 0) in
  find_parent_nodes (bsc#1081248).
- commit 8d9dca0
* Thu Feb 22 2018 hare@suse.de
- Refresh mainline tags
- Refresh
  patches.drivers/ibmvnic-Clean-RX-pool-buffers-during-device-close.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-NAPI-structures-memory-leak.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-login-buffer-memory-leaks.patch.
- Refresh
  patches.drivers/ibmvnic-Free-RX-socket-buffer-in-case-of-adapter-err.patch.
- Refresh
  patches.drivers/ibmvnic-Wait-until-reset-is-complete-to-set-carrier-.patch.
- commit 54182ed
* Thu Feb 22 2018 tiwai@suse.de
- crypto: skcipher - set walk.iv for zero-length inputs
  (bsc#1051510).
- commit fc489a6
* Thu Feb 22 2018 tiwai@suse.de
- rtlwifi: rtl8821ae: Fix connection lost problem correctly
  (bsc#1051510).
- Input: synaptics-rmi4 - unmask F03 interrupts when port is
  opened (bsc#1051510).
- crypto: sha3-generic - fixes for alignment and big endian
  operation (bsc#1051510).
- crypto: echainiv - Remove unused alg/spawn variable
  (bsc#1051510).
- crypto: ecdh - fix typo in KPP dependency of CRYPTO_ECDH
  (bsc#1051510).
- crypto: chacha20poly1305 - validate the digest size
  (bsc#1051510).
- crypto: rsa - fix buffer overread when stripping leading zeroes
  (bsc#1051510).
- pkcs7: return correct error code if pkcs7_check_authattrs()
  fails (bsc#1051510).
- crypto: skcipher - Fix skcipher_walk_aead_common (bsc#1051510).
- crypto: dh - Don't permit 'key' or 'g' size longer than 'p'
  (bsc#1051510).
- crypto: dh - Don't permit 'p' to be 0 (bsc#1051510).
- crypto: lrw - Check for incorrect cipher name (bsc#1051510).
- crypto: lrw - Fix an error handling path in 'create()'
  (bsc#1051510).
- pkcs7: Prevent NULL pointer dereference, since sinfo is not
  always set (bsc#1051510).
- KEYS: Fix the wrong index when checking the existence of second
  id (bsc#1051510).
- crypto: skcipher - Fix crash on zero-length input (bsc#1051510).
- crypto: xts - Fix an error handling path in 'create()'
  (bsc#1051510).
- commit d6282f2
* Thu Feb 22 2018 mbenes@suse.cz
- livepatch: send a fake signal periodically (fate#323487).
- commit 3f8b70f
* Thu Feb 22 2018 jthumshirn@suse.de
- s390/qeth: fix underestimated count of buffer elements
  (bnc#1082087, LTC#164529).
- commit 379f1f8
* Thu Feb 22 2018 mbrugger@suse.com
- arm64: entry: Apply BP hardening for suspicious interrupts
  from EL0 (bsc#1068032).
- arm64: entry: Apply BP hardening for high-priority synchronous
  exceptions (bsc#1068032).
- arm64: futex: Mask __user pointers prior to dereference
  (bsc#1068032).
- arm64: uaccess: Mask __user pointers for __arch_{clear,
  copy_*}_user (bsc#1068032).
- arm64: uaccess: Don't bother eliding access_ok checks in __{get,
  put}_user (bsc#1068032).
- arm64: uaccess: Prevent speculative use of the current
  addr_limit (bsc#1068032).
- arm64: entry: Ensure branch through syscall table is bounded
  under speculation (bsc#1068032).
- arm64: Use pointer masking to limit uaccess speculation
  (bsc#1068032).
- arm64: Make USER_DS an inclusive limit (bsc#1068032).
- arm64: Implement array_index_mask_nospec() (bsc#1068032).
- arm64: barrier: Add CSDB macros to control data-value prediction
  (bsc#1068032).
- arm64: move TASK_* definitions to <asm/processor.h>
  (bsc#1068032).
- commit 679bb40
* Thu Feb 22 2018 aaptel@suse.com
- CIFS: Fix NULL pointer deref on SMB2_tcon() failure
  (bsc#1071009).
- commit 6f343af
* Thu Feb 22 2018 lhenriques@suse.com
- quota: report root dir quota usage in statfs (FATE#323422).
- ceph: quota: add counter for snaprealms with quota
  (FATE#323422).
- ceph: quota: cache inode pointer in ceph_snap_realm
  (FATE#323422).
- ceph: fix root quota realm check (FATE#323422).
- ceph: don't check quota for snap inode (FATE#323422).
- ceph: quota: add quotas to the in-tree cephfs documentation
  (FATE#323422).
- ceph: quota: update MDS when max_bytes is approaching
  (FATE#323422).
- ceph: quota: support for ceph.quota.max_bytes (FATE#323422).
- ceph: quota: don't allow cross-quota renames (FATE#323422).
- ceph: quota: support for ceph.quota.max_files (FATE#323422).
- ceph: quota: add initial infrastructure to support cephfs quotas
  (FATE#323422).
- commit 06ea255
* Thu Feb 22 2018 msuchanek@suse.de
- ibmvnic: Split counters for scrq/pools/napi (bsc#1082223).
- ibmvnic: Correct goto target for tx irq initialization failure
  (bsc#1082223).
- ibmvnic: Allocate max queues stats buffers (bsc#1081498).
- ibmvnic: Make napi usage dynamic (bsc#1081498).
- ibmvnic: Free and re-allocate scrqs when tx/rx scrqs change
  (bsc#1081498).
- ibmvnic: Move active sub-crq count settings (bsc#1081498).
- ibmvnic: Rename active queue count variables (bsc#1081498).
- commit 11616b1
* Thu Feb 22 2018 tiwai@suse.de
- drm/i915/cnl: Sync PCI ID with Spec (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix PORT_TX_DW5/7 register address (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Remove alpha_support protection (FATE#322643
  bsc#1055900).
- drm/i915/cnl: WaPipeControlBefore3DStateSamplePattern
  (FATE#322643 bsc#1055900).
- drm/i915/dp: limit DP link rate based on VBT on CNL+
  (FATE#322643 bsc#1055900).
- drm/i915/dp: clean up source rate limiting for cnl (FATE#322643
  bsc#1055900).
- drm/i915/dp: abstract rate array length limiting (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix DP max rate for Cannonlake with port F
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Enable DDI-F on Cannonlake (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add HPD support for Port F (FATE#322643
  bsc#1055900).
- drm/i915: For HPD connected port use hpd_pin instead of port
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add right GMBUS pin number for HDMI on Port F
  (FATE#322643 bsc#1055900).
- drm/i915: Fix DPLCLKA_CFGCR0 bits for Port F (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix _CNL_PORT_TX_DW2_LN0_F definition (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Extend Wa 1178 to Aux F (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add AUX-F support (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add Cannonlake PCI IDs for another SKU
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix aux selection for WA 1178 (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add Port F definition (FATE#322643 bsc#1055900).
- drm/i915/cnl: apply Display WA #1178 to fix type C dongles
  (FATE#322643 bsc#1055900).
- drm/i915/dmc: DMC 1.07 for Cannonlake (FATE#322643 bsc#1055900).
- commit 3d0b03e
* Thu Feb 22 2018 tiwai@suse.de
- ALSA: hda/realtek: PCI quirk for Fujitsu U7x7 (bsc#1052235).
- ALSA: hda/realtek - Enable Thinkpad Dock device for ALC298
  platform (bsc#1052235).
- ALSA: hda/realtek - Add headset mode support for Dell laptop
  (bsc#1052235).
- ALSA: hda - Fix headset mic detection problem for two Dell
  machines (bsc#1052235).
- ALSA: hda/realtek - update ALC215 depop optimize (bsc#1052235).
- ALSA: hda/realtek - Support headset mode for
  ALC215/ALC285/ALC289 (bsc#1052235).
- ALSA: hda/realtek - update ALC225 depop optimize (bsc#1052235).
- ALSA: hda - Clean up ALC299 init code (bsc#1052235).
- ALSA: hda - Fix yet remaining issue with vmaster 0dB
  initialization (bsc#1052235).
- ALSA: hda - silence uninitialized variable warning in
  activate_amp_in() (bsc#1052235).
- ALSA: hda - Fix incorrect TLV callback check introduced during
  set_fs() removal (bsc#1052235).
- ALSA: hda - Fix unbalance of i915 module refcount (bsc#1052235).
- ALSA: hda/realtek - Remove GPIO_MASK (bsc#1052235).
- ALSA: hda - Fix doubly initialization of i915 component
  (bsc#1052235).
- ALSA: hda - Minor code refactoring for Intel HDMI codec parsers
  (bsc#1052235).
- ALSA: hda - Bind with i915 component before codec binding
  (bsc#1052235).
- ALSA: hda - Skip card registration when no codec is found
  (bsc#1052235).
- ALSA: hda - Remove superfluous header inclusions (bsc#1052235).
- ALSA: hda - Fix a typo in comment (bsc#1052235).
- ALSA: hda - Remove the use of set_fs() (bsc#1052235).
- ALSA: hda - Remove the generic bind ctl helpers (bsc#1052235).
- ALSA: hda - Move bind-mixer switch codes to generic parser
  (bsc#1052235).
- ALSA: hda - Simplify bound-beep mute control for ALC268
  (bsc#1052235).
- commit d0f912f
* Thu Feb 22 2018 tiwai@suse.de
- ALSA: hda: Abort capability probe on invalid capability
  (bsc#1051510).
- ALSA: hda: Avoid racy recreation of widget kobjects
  (bsc#1051510).
- ALSA: hda: Fix potential race at unregistration and unsol events
  (bsc#1051510).
- commit 34b6b53
* Thu Feb 22 2018 tiwai@suse.de
- spi-nor: intel-spi: Fix broken software sequencing codes
  (bsc#1073836).
- commit ae5adb4
* Thu Feb 22 2018 nborisov@suse.com
- btrfs: Fix quota reservation leak on preallocated files
  (bsc#1079989).
- commit 8af1c31
* Thu Feb 22 2018 tiwai@suse.de
- KEYS: fix key refcount leak in keyctl_read_key() (bsc#1031717).
- KEYS: fix key refcount leak in keyctl_assume_authority()
  (bsc#1031717).
- KEYS: don't revoke uninstantiated key in request_key_auth_new()
  (bsc#1031717).
- KEYS: fix cred refcount leak in request_key_auth_new()
  (bsc#1031717).
- Input: uinput - avoid crash when sending FF request to device
  going away (bsc#1031717).
- r8169: Do not increment tx_dropped in TX ring cleaning
  (bsc#1031717).
- platform/x86: ideapad-laptop: Add several models to no_hw_rfkill
  (bsc#1051022).
- platform/x86: ideapad-laptop: Add IdeaPad V510-15IKB to
  no_hw_rfkill (bsc#1051022).
- platform/x86: ideapad-laptop: Add Y720-15IKBN to no_hw_rfkill
  (bsc#1051022).
- platform/x86: ideapad-laptop: Add Y520-15IKBN to no_hw_rfkill
  (bsc#1051022).
- commit 016b076
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915: Fix DSI panels with v1 MIPI sequences without a
  DEASSERT sequence v3 (FATE#322643 bsc#1055900).
- drm/i915: Free memdup-ed DSI VBT data structures on
  driver_unload (FATE#322643 bsc#1055900).
- drm/i915: Add intel_bios_cleanup() function (FATE#322643
  bsc#1055900).
- drm/i915/vlv: Add cdclk workaround for DSI (FATE#322643
  bsc#1055900).
- drm/i915/gvt: fix one typo of render_mmio trace (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Support BAR0 8-byte reads/writes (FATE#322643
  bsc#1055900).
- drm/i915/gvt: add 0xe4f0 into gen9 render list (FATE#322643
  bsc#1055900).
- drm/i915: Lock out execlist tasklet while peeking inside for
  busy-stats (FATE#322643 bsc#1055900).
- drm/i915/breadcrumbs: Ignore unsubmitted signalers (FATE#322643
  bsc#1055900).
- drm/i915: Don't wake the device up to check if the engine is
  asleep (FATE#322643 bsc#1055900).
- commit 9b8a688
* Wed Feb 21 2018 tiwai@suse.de
- Add no-fix tags to cherry-picked ids in drm patches
- commit fbe9d22
* Wed Feb 21 2018 msuchanek@suse.de
- kernel-binary undefine unique_debug_names
  Some tools do not understand names like
  usr/lib/debug/boot/vmlinux-4.12.14-11.10-default-4.12.14-11.10.ppc64le.debug
- commit 2b90c1e
* Wed Feb 21 2018 tiwai@suse.de
- supported.conf: add drm_panel_orientation_quirks
- commit e6a774c
* Wed Feb 21 2018 mbrugger@suse.com
- Refresh
  patches.drivers/ibmvnic-Clean-RX-pool-buffers-during-device-close.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-NAPI-structures-memory-leak.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-login-buffer-memory-leaks.patch.
- Refresh
  patches.drivers/ibmvnic-Free-RX-socket-buffer-in-case-of-adapter-err.patch.
- Refresh
  patches.drivers/ibmvnic-Wait-until-reset-is-complete-to-set-carrier-.patch.
- commit f8e8ff0
* Wed Feb 21 2018 tiwai@suse.de
- Refresh
  patches.drivers/drm-i915-Move-dev_priv-mm.-un-bound_list-to-its-own-.
  Fix the regression with unblanaced list.
- commit 0ae1532
* Wed Feb 21 2018 msuchanek@suse.de
- ibmvnic: Keep track of supplementary TX descriptors
  (bsc#1081491).
- commit 5bf3dc8
* Wed Feb 21 2018 msuchanek@suse.de
- ibmvnic: Check for NULL skb's in NAPI poll routine (bsc#1081134,
  git-fixes).
- commit 092ca14
* Wed Feb 21 2018 msuchanek@suse.de
- Refresh sorted section.
- Refresh patches.drivers/ibmvnic-Clean-RX-pool-buffers-during-device-close.patch.
- Refresh patches.drivers/ibmvnic-Fix-NAPI-structures-memory-leak.patch.
- Refresh patches.drivers/ibmvnic-Fix-login-buffer-memory-leaks.patch.
- Refresh patches.drivers/ibmvnic-Free-RX-socket-buffer-in-case-of-adapter-err.patch.
- Refresh patches.drivers/ibmvnic-Wait-until-reset-is-complete-to-set-carrier-.patch.
- Refresh patches.drivers/scsi-lpfc-Add-WQ-Full-Logic-for-NVME-Target.patch.
- Refresh patches.drivers/scsi-lpfc-Allow-set-of-maximum-outstanding-SCSI-cmd-.patch.
- Refresh patches.drivers/scsi-lpfc-Fix-IO-failure-during-hba-reset-testing-wi.patch.
- Refresh patches.drivers/scsi-lpfc-Fix-PRLI-handling-when-topology-type-chang.patch.
- Refresh patches.drivers/scsi-lpfc-Fix-RQ-empty-firmware-trap.patch.
- Refresh patches.drivers/scsi-lpfc-Fix-SCSI-io-host-reset-causing-kernel-cras.patch.
- Refresh patches.drivers/scsi-lpfc-Fix-frequency-of-Release-WQE-CQEs.patch.
- Refresh patches.drivers/scsi-lpfc-Fix-header-inclusion-in-lpfc_nvmet.patch.
- Refresh patches.drivers/scsi-lpfc-Fix-issue_lip-if-link-is-disabled.patch.
- Refresh patches.drivers/scsi-lpfc-Fix-nonrecovery-of-NVME-controller-after-c.patch.
- Refresh patches.drivers/scsi-lpfc-Fix-soft-lockup-in-lpfc-worker-thread-duri.patch.
- Refresh patches.drivers/scsi-lpfc-Increase-CQ-and-WQ-sizes-for-SCSI.patch.
- Refresh patches.drivers/scsi-lpfc-Indicate-CONF-support-in-NVMe-PRLI.patch.
- Refresh patches.drivers/scsi-lpfc-Treat-SCSI-Write-operation-Underruns-as-an.patch.
- Refresh patches.drivers/scsi-lpfc-Update-11.4.0.7-modified-files-for-2018-Co.patch.
- Refresh patches.drivers/scsi-lpfc-Validate-adapter-support-for-SRIU-option.patch.
- Refresh patches.drivers/scsi-lpfc-correct-debug-counters-for-abort.patch.
- Refresh patches.drivers/scsi-lpfc-move-placement-of-target-destroy-on-driver.patch.
- Refresh patches.drivers/scsi-lpfc-update-driver-version-to-11.4.0.7.patch.
- commit d2121ce
* Wed Feb 21 2018 mfleming@suse.de
- cpufreq: schedutil: Reset cached_raw_freq when not in sync
  with next_freq (git-fixes).
- commit 45b8f64
* Wed Feb 21 2018 msuchanek@suse.de
- powerpc/eeh: Fix crashes in eeh_report_resume() (FATE#324970,
  bsc#1078720).
- commit a168aa8
* Wed Feb 21 2018 tiwai@suse.de
- blacklist.conf: add drm blacklists
- commit e3024ca
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915: Avoid truncation before clamping userspace's priority
  value (FATE#322643 bsc#1055900).
- drm/i915/perf: Fix compiler warning for string truncation
  (FATE#322643 bsc#1055900).
- drm/ast: Load lut in crtc_commit (FATE#322643 bsc#1055900).
- commit 81092f7
* Wed Feb 21 2018 tiwai@suse.de
- drm: Fix PANEL_ORIENTATION_QUIRKS breaking the Kconfig DRM
  menuconfig (FATE#322643 bsc#1055900).
- Update config files.
- commit a55f11f
* Wed Feb 21 2018 tiwai@suse.de
- documentation/gpu/i915: fix docs build error after file rename
  (FATE#322643 bsc#1055900).
- drm: rcar-du: Don't set connector DPMS property (FATE#322643
  bsc#1055900).
- drm/fb_helper: Disable all crtc's when initial setup fails
  (FATE#322643 bsc#1055900).
- drm/fsl-dcu: Don't set connector DPMS property (FATE#322643
  bsc#1055900).
- commit 3c20f19
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915: Hold rcu_read_lock when iterating over the radixtree
  (vma idr) (FATE#322643 bsc#1055900).
- Refresh
  patches.drivers/drm-i915-Reorder-context-close-to-avoid-calling-i915.
- commit dd5076b
* Wed Feb 21 2018 tiwai@suse.de
- drm/atomic: Check for busy planes/connectors before setting
  the commit (FATE#322643 bsc#1055900).
- drm/i915: Don't use BIT() in UAPI section (FATE#322643
  bsc#1055900).
- drm: Make __drm_object_property_get_value() static (FATE#322643
  bsc#1055900).
- drm: Make syncobj import/export functions static (FATE#322643
  bsc#1055900).
- commit 3c66d76
* Wed Feb 21 2018 tiwai@suse.de
- drm: rename u32 in __u32 in uapi (FATE#322643 bsc#1055900).
- drm: Shift wrap bug in create_in_format_blob() (FATE#322643
  bsc#1055900).
- drm: Fix kerneldoc for atomic_async_update (FATE#322643
  bsc#1055900).
- commit a2db442
* Wed Feb 21 2018 tiwai@suse.de
- dma-buf/sync_file: Allow multiple sync_files to wrap a single
  dma-fence (FATE#322643 bsc#1055900).
- commit dbff788
* Wed Feb 21 2018 tiwai@suse.de
- Re-enable downstream DRM patches
  Refresh
  patches.drivers/drm-mgag200-Add-command-line-option-to-specify-preferred-depth.patch.
- commit 61ea818
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915/kbl: Change a KBL pci id to GT2 from GT1.5 (FATE#322643
  bsc#1055900).
- commit 46445eb
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915/bios: add DP max link rate to VBT child device struct
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: Properly handle VBT ddc pin out of bounds
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: Ignore VBT request for know invalid DDC pin
  (FATE#322643 bsc#1055900).
- drm/i915/cmdparser: Do not check past the cmd length
  (FATE#322643 bsc#1055900).
- drm/i915/cmdparser: Check reg_table_count before derefencing
  (FATE#322643 bsc#1055900).
- drm/i915/bxt, glk: Increase PCODE timeouts during CDCLK freq
  changing (FATE#322643 bsc#1055900).
- drm/i915/gvt: Use KVM r/w to access guest opregion (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Fix aperture read/write emulation when enable
  x-no-mmap=on (FATE#322643 bsc#1055900).
- drm/i915/gvt: only reset execlist state of one engine during
  VM engine reset (FATE#322643 bsc#1055900).
- drm/i915/gvt: refine intel_vgpu_submission_ops as per engine
  ops (FATE#322643 bsc#1055900).
- drm/i915/ppgtt: Pin page directories before allocation
  (FATE#322643 bsc#1055900).
- drm/i915: Always run hangcheck while the GPU is busy
  (FATE#322643 bsc#1055900).
- Revert "drm/i915: mark all device info struct with __initconst"
  (FATE#322643 bsc#1055900).
- drm/i915/edp: Do not do link training fallback or prune modes
  on EDP (FATE#322643 bsc#1055900).
- drm/i915: Check for fused or unused pipes (FATE#322643
  bsc#1055900).
- drm/i915: Protect WC stash allocation against direct reclaim
  (FATE#322643 bsc#1055900).
- drm/i915: Always call to intel_display_set_init_power() in
  resume_early (FATE#322643 bsc#1055900).
- drm/i915/gvt: cancel scheduler timer when no vGPU exists
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: cancel virtual vblank timer when no vGPU exists
  (FATE#322643 bsc#1055900).
- drm/i915/pmu: Reconstruct active state on starting busy-stats
  (FATE#322643 bsc#1055900).
- drm/i915: Stop getting the fault address from RING_FAULT_REG
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Add uc_fini_wq in gem_init unwind path
  (FATE#322643 bsc#1055900).
- drm/i915: Fix using BIT_ULL() vs. BIT() for power domain masks
  (FATE#322643 bsc#1055900).
- drm/i915: Try EDID bitbanging on HDMI after failed read
  (FATE#322643 bsc#1055900).
- drm/i915/glk: Disable Guc and HuC on GLK (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Do not use I915_NUM_ENGINES to iterate over the
  mocs regs array (FATE#322643 bsc#1055900).
- drm/i915/gvt: validate gfn before set shadow page entry
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: add PLANE_KEYMAX regs to mmio track list
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Fix gen8/9_render_mmio_list[0] don't take effect
  (FATE#322643 bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20171222 (FATE#322643
  bsc#1055900).
- drm/i915: Assert that the request is on the execution queue
  before being removed (FATE#322643 bsc#1055900).
- drm/i915/execlists: Show preemption progress in GEM_TRACE
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: move write protect handler out of mmio emulation
  function (FATE#322643 bsc#1055900).
- drm/i915/gvt: cleanup usage for typed mmio reg vs. offset
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: always use i915_reg_t for MMIO handler definition
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: load host render mocs once in mocs switch
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: refine mocs save restore policy (FATE#322643
  bsc#1055900).
- drm/i915/gvt: optimize for vGPU mmio switch (FATE#322643
  bsc#1055900).
- drm/i915/gvt: refine trace_render_mmio (FATE#322643
  bsc#1055900).
- drm/i915: Disable GMBUS clock gating around GMBUS transfers
  on gen9+ (FATE#322643 bsc#1055900).
- drm/i915: Clean up the PNV bit banging vs. GMBUS clock gating
  w/a (FATE#322643 bsc#1055900).
- drm/i915: No need to power up PG2 for GMBUS on BXT (FATE#322643
  bsc#1055900).
- drm/i915: Do not enable movntdqa optimization in hypervisor
  guest (FATE#322643 bsc#1055900).
- drm/i915: Dump device info at once (FATE#322643 bsc#1055900).
- drm/i915: Add pretty printer for runtime part of
  intel_device_info (FATE#322643 bsc#1055900).
- drm/i915: Update intel_device_info_runtime_init() parameter
  (FATE#322643 bsc#1055900).
- drm/i915: Move intel_device_info definitions to its own header
  (FATE#322643 bsc#1055900).
- drm/i915: Move opregion definitions to dedicated
  intel_opregion.h (FATE#322643 bsc#1055900).
- drm/i915: Move display related definitions to dedicated header
  (FATE#322643 bsc#1055900).
- drm/i915: Move some utility functions to i915_util.h
  (FATE#322643 bsc#1055900).
- drm/i915: Disable all planes for load detection, v2 (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Adding more Coffee Lake PCI IDs (FATE#322643
  bsc#1055900).
- drm/i915: Tidy up GEM_TRACE around execlists (FATE#322643
  bsc#1055900).
- drm/i915: Avoid context dereference inside
  execlists_submission_tasklet (FATE#322643 bsc#1055900).
- drm/i915: Remove pointer indirection for hangcheck_state local
  (FATE#322643 bsc#1055900).
- drm/i915: Show if we consider the engine is idle in the GPU
  error state (FATE#322643 bsc#1055900).
- drm/i915: Implement WaDisableEarlyEOT (FATE#322643 bsc#1055900).
- drm/i915: Implement WaDisableVFclkgate (FATE#322643
  bsc#1055900).
- drm/i915: Add pretty printer for modparams (FATE#322643
  bsc#1055900).
- drm/i915: Convert intel_device_info_dump into pretty printer
  (FATE#322643 bsc#1055900).
- drm/i915: Add pretty printer for device info flags (FATE#322643
  bsc#1055900).
- drm/i915: Fix indentation for intel_ddi_clk_select (FATE#322643
  bsc#1055900).
- drm/i915: Add a strong mb to resetting the has-CS-interrupt bit
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add support for horizontal plane flipping
  (FATE#322643 bsc#1055900).
- drm/i915/trace: add hw_id to gem requests trace points
  (FATE#322643 bsc#1055900).
- drm/i915: reorder field in gem_request tracepoints (FATE#322643
  bsc#1055900).
- drm/i915: Show IPEIR and IPEHR in the engine dump (FATE#322643
  bsc#1055900).
- drm/i915: Re-enable GGTT earlier after GPU reset (FATE#322643
  bsc#1055900).
- drm/i915: Unifying debugfs return codes for unsupported features
  (FATE#322643 bsc#1055900).
- drm/i915: Restore the kernel context after a GPU reset on an
  idle engine (FATE#322643 bsc#1055900).
- drm/i915: Skip an engine reset if it recovered before our
  preparations (FATE#322643 bsc#1055900).
- x86/gpu: add CFL to early quirks (FATE#322643 bsc#1055900).
- drm/i915: Allow internal page allocations to fail (FATE#322643
  bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20171214 (FATE#322643
  bsc#1055900).
- drm/i915/gvt/fb_decoder: Fix out-of-bounds read (FATE#322643
  bsc#1055900).
- drm/i915/gvt: refine function emulate_mmio_read/write
  (FATE#322643 bsc#1055900).
- drm/i915/gvt/kvmgt: fill info for ROM/VGA region (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Rename file render.{c, h} to mmio_context.{c, h}
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Remove MMIO barrier in MMIO switch (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Select appropriate mmio list at initialization
  time (FATE#322643 bsc#1055900).
- drm/i915/gvt: Refine the ring mmio list definition (FATE#322643
  bsc#1055900).
- drm/i915/gvt: fix off-by-one comparison of ring_id (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Add missing breaks in switch statement
  (FATE#322643 bsc#1055900).
- drm/i915: properly init lockdep class (FATE#322643 bsc#1055900).
- drm/i915: make CS frequency read support missing more obvious
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Extract doorbell verification into a function
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Extract clients allocation to submission_init
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Extract doorbell creation from client allocation
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Call invalidate after changing the vfunc
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Extract guc_init from guc_init_hw (FATE#322643
  bsc#1055900).
- drm/i915/guc: Move GuC workqueue allocations outside of the
  mutex (FATE#322643 bsc#1055900).
- drm/i915/guc: Move shared data allocation away from submission
  path (FATE#322643 bsc#1055900).
- drm/i915: Unwind i915_gem_init() failure (FATE#322643
  bsc#1055900).
- drm/i915: Ratelimit request allocation under oom (FATE#322643
  bsc#1055900).
- drm/i915: Allow fence allocations to fail (FATE#322643
  bsc#1055900).
- drm/i915: Mark up potential allocation paths within
  i915_sw_fence as might_sleep (FATE#322643 bsc#1055900).
- drm/i915: Don't check #active_requests from
  i915_gem_wait_for_idle() (FATE#322643 bsc#1055900).
- drm/i915: Bump timeout for wait_for_engines() (FATE#322643
  bsc#1055900).
- drm/i915: Downgrade misleading "Memory usable" message
  (FATE#322643 bsc#1055900).
- drm/i915: Print an error message for a reset failure on gen2
  (FATE#322643 bsc#1055900).
- drm/i915: prefer resource_size_t for everything stolen
  (FATE#322643 bsc#1055900).
- drm/i915: give stolen_usable_size a more suitable home
  (FATE#322643 bsc#1055900).
- drm/i915: make mappable struct resource centric (FATE#322643
  bsc#1055900).
- drm/i915: make reserved struct resource centric (FATE#322643
  bsc#1055900).
- drm/i915: make dsm struct resource centric (FATE#322643
  bsc#1055900).
- drm/i915: nuke the duplicated stolen discovery (FATE#322643
  bsc#1055900).
- x86/early-quirks: export the stolen region as a resource
  (FATE#322643 bsc#1055900).
- drm/i915: Only report a wakeup if the waiter was truly asleep
  (FATE#322643 bsc#1055900).
- commit cd3b46b
* Wed Feb 21 2018 mhocko@suse.com
- mm: drop migrate type checks from has_unmovable_pages
  (bnc#1074195).
- commit 4ff7604
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915: Keep a small stash of preallocated WC pages
  (FATE#322643 bsc#1055900).
- Refresh
  patches.drivers/drm-i915-Mark-vm_free_page-as-a-potential-sleeper-ag.
- Refresh
  patches.drivers/drm-i915-Only-free-the-oldest-stale-object-before-a-.
- commit 4f7f6f9
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915: Use snprintf to avoid line-break when pretty-printing
  engines (FATE#322643 bsc#1055900).
- commit ac105dc
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915: Add "panel orientation" property to the panel
  connector, v6 (FATE#322643 bsc#1055900).
- commit 71dce14
* Wed Feb 21 2018 tiwai@suse.de
- Update config files: new configs for drm / fb stuff
- commit 4865016
* Wed Feb 21 2018 tiwai@suse.de
- intel/atomic: Stop updating legacy fb parameters (FATE#322643
  bsc#1055900).
- drm/i915: Restore GT performance in headless mode with DMC
  loaded (FATE#322643 bsc#1055900).
- drm/i915/execlists: Cache ELSP register offset (FATE#322643
  bsc#1055900).
- drm/i915: Refactor common list iteration over GGTT vma
  (FATE#322643 bsc#1055900).
- drm/i915: Track GGTT writes on the vma (FATE#322643
  bsc#1055900).
- drm/i915: Remove vma from object on destroy, not close
  (FATE#322643 bsc#1055900).
- drm/i915/huc: Load HuC only if requested (FATE#322643
  bsc#1055900).
- commit e564912
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915/guc: Combine enable_guc_loading|submission modparams
  (FATE#322643 bsc#1055900).
- drm/i915/uc: Don't use -EIO to report missing firmware
  (FATE#322643 bsc#1055900).
- drm/i915/uc: Don't fetch GuC firmware if no plan to use GuC
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Introduce USES_GUC_xxx helper macros (FATE#322643
  bsc#1055900).
- drm/i915/guc: Move firmware selection to init_early (FATE#322643
  bsc#1055900).
- drm/i915/huc: Move firmware selection to init_early (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Kick scheduler when new workload queued
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Convert macro queue_workload to a function
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Add framebuffer decoder support (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Add opregion support (FATE#322643 bsc#1055900).
- drm/i915/gvt: Alloc and Init guest opregion at vgpu creation
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Fix out-of-bounds buffer write into
  opregion->signature[] (FATE#322643 bsc#1055900).
- drm/i915/gvt: Cleanup unwanted public symbols (FATE#322643
  bsc#1055900).
- drm/i915: add platform tag to WA (FATE#322643 bsc#1055900).
- drm/i915: follow single notation for workaround number
  (FATE#322643 bsc#1055900).
- drm/i915: Taint (TAINT_WARN) the kernel if the GPU reset fails
  (FATE#322643 bsc#1055900).
- drm/i915/skl: DMC firmware for skylake v1.27 (FATE#322643
  bsc#1055900).
- drm/i915/cnl: only divide up base frequency with crystal source
  (FATE#322643 bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20171201 (FATE#322643
  bsc#1055900).
- drm/i915: Remove unsafe i915.enable_rc6 (FATE#322643
  bsc#1055900).
- drm/i915: Sleep and retry a GPU reset if at first we don't
  succeed (FATE#322643 bsc#1055900).
- drm/i915: Interlaced DP output doesn't work on VLV/CHV
  (FATE#322643 bsc#1055900).
- drm/i915: Pass crtc state to intel_pipe_{enable,disable}()
  (FATE#322643 bsc#1055900).
- drm/i915: Wait for pipe to start on i830 as well (FATE#322643
  bsc#1055900).
- drm/i915: Fix has_audio readout for DDI A (FATE#322643
  bsc#1055900).
- drm/i915: Don't add the "force audio" property to DP connectors
  that don't support audio (FATE#322643 bsc#1055900).
- drm/i915: Disable DP audio for g4x (FATE#322643 bsc#1055900).
- drm/i915/selftests: Wake the device before executing requests
  on the GPU (FATE#322643 bsc#1055900).
- drm/i915: Set fake_vma.size as well as fake_vma.node.size for
  capture (FATE#322643 bsc#1055900).
- drm/i915: Tidy up signed/unsigned comparison (FATE#322643
  bsc#1055900).
- drm/i915: Enable IPS with only sprite plane visible too, v4
  (FATE#322643 bsc#1055900).
- drm/i915: Make ips_enabled a property depending on whether
  IPS is enabled, v3 (FATE#322643 bsc#1055900).
- drm/i915: Avoid PPS HW/SW state mismatch due to rounding
  (FATE#322643 bsc#1055900).
- drm/i915/glk: Apply WaProgramL3SqcReg1DefaultForPerf for GLK
  too (FATE#322643 bsc#1055900).
- drm/i915/guc: Change default GuC FW for KBL to v9.39
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Change default GuC FW for BXT to v9.29
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Change default GuC FW for SKL to v9.33
  (FATE#322643 bsc#1055900).
- drm/i915: Consolidate checks for engine stats availability
  (FATE#322643 bsc#1055900).
- drm/i915: Move engine->needs_cmd_parser to engine->flags
  (FATE#322643 bsc#1055900).
- drm/i915: Enable hotplug polling after registering the outputs
  (FATE#322643 bsc#1055900).
- drm/i915: Rename i915_gem_timelines_mark_idle (FATE#322643
  bsc#1055900).
- drm/i915: Rename shrinker init/cleanup to match driver
  initialisation phase (FATE#322643 bsc#1055900).
- drm/i915: Record default HW state in the GPU error state
  (FATE#322643 bsc#1055900).
- drm/i915: Flush everything on switching to the kernel_context
  (FATE#322643 bsc#1055900).
- drm/i915: hide unused intel_panel_set_backlight function
  (FATE#322643 bsc#1055900).
- drm/i915/fbdev: Serialise early hotplug events with async
  fbdev config (FATE#322643 bsc#1055900).
- drm/i915/guc: Use consistent name for scratch register count
  (FATE#322643 bsc#1055900).
- drm/i915: Use exponential backoff for wait_for() (FATE#322643
  bsc#1055900).
- drm/i915/guc: Tidy ELSP port assignment (FATE#322643
  bsc#1055900).
- drm/i915/guc: Advance over port[0] if set and not preempting
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Rename i915_guc_reg.h to intel_guc_reg.h
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Update header guard name of intel_guc_submission.h
  (FATE#322643 bsc#1055900).
- drm/i915: Move mi_set_context() into the legacy ringbuffer
  submission (FATE#322643 bsc#1055900).
- drm/i915: Unwind incomplete legacy context switches (FATE#322643
  bsc#1055900).
- drm/i915: remove stale comment from sanitize_encoder
  (FATE#322643 bsc#1055900).
- drm/i915: sync dp link status checks against atomic commmits
  (FATE#322643 bsc#1055900).
- drm/i915/dmc: DMC 1.04 for Kabylake (FATE#322643 bsc#1055900).
- drm/i915: Save/restore irq state for vlv_residency_raw()
  (FATE#322643 bsc#1055900).
- drm/i915: Remove success dmesg noise for intel_rotate_pages()
  (FATE#322643 bsc#1055900).
- drm/i915: Convert intel_rc6_residency_us to ns (FATE#322643
  bsc#1055900).
- drm/i915: Engine busy time tracking (FATE#322643 bsc#1055900).
- drm/i915: Wrap context schedule notification (FATE#322643
  bsc#1055900).
- drm/i915: Extract intel_get_cagf (FATE#322643 bsc#1055900).
- drm/i915/selftests: Avoid drm_gem_handle_create under
  struct_mutex (FATE#322643 bsc#1055900).
- drm/i915: Add rudimentary plane state verification (FATE#322643
  bsc#1055900).
- drm/i915: Use plane->get_hw_state() for initial plane fb readout
  (FATE#322643 bsc#1055900).
- drm/i915: Nuke crtc->plane (FATE#322643 bsc#1055900).
- drm/i915: Switch fbc over to for_each_new_intel_plane_in_state()
  (FATE#322643 bsc#1055900).
- drm/i915: Nuke ironlake_get_initial_plane_config() (FATE#322643
  bsc#1055900).
- drm/i915: Cleanup enum pipe/enum plane_id/enum i9xx_plane_id
  in initial fb readout (FATE#322643 bsc#1055900).
- drm/i915: Use enum i9xx_plane_id for the .get_fifo_size()
  hooks (FATE#322643 bsc#1055900).
- drm/i915: s/enum plane/enum i9xx_plane_id/ (FATE#322643
  bsc#1055900).
- drm/i915: Don't use GEN6_RC_VIDEO_FREQ on gen10+ (FATE#322643
  bsc#1055900).
- drm/i915/selftests: Declare we allocated the guc clients
  (FATE#322643 bsc#1055900).
- drm/i915: Remove i915.semaphores modparam (FATE#322643
  bsc#1055900).
- drm/i915: Move debugfs/i915_semaphore_status to i915_engine_info
  (FATE#322643 bsc#1055900).
- drm/i915: Disable semaphores on Sandybridge (FATE#322643
  bsc#1055900).
- drm/i915: Remove obsolete ringbuffer emission for gen8+
  (FATE#322643 bsc#1055900).
- drm/i915: Remove i915.enable_execlists module parameter
  (FATE#322643 bsc#1055900).
- drm/i915/execlists: Delay writing to ELSP until HW has processed
  the previous write (FATE#322643 bsc#1055900).
- drm/i915/selftest: Make guc clients static (FATE#322643
  bsc#1055900).
- drm/i915/perf: reuse timestamp frequency from device info
  (FATE#322643 bsc#1055900).
- drm/i915: Automatic i915_switch_context for legacy (FATE#322643
  bsc#1055900).
- drm/i915: Pull the unconditional GPU cache invalidation into
  request construction (FATE#322643 bsc#1055900).
- drm/i915/perf: replace .reg accesses with i915_mmio_reg_offset
  (FATE#322643 bsc#1055900).
- drm/i915/execlists: Assert that we don't get mixed IDLE_ACTIVE |
  COMPLETE events (FATE#322643 bsc#1055900).
- drm/i915/execlists: Reduce completed event mask to COMPLETE |
  PREEMPTED (FATE#322643 bsc#1055900).
- drm/i915/execlists: Listen to COMPLETE context event not
  ACTIVE_IDLE (FATE#322643 bsc#1055900).
- drm/fb-helper: Apply panel orientation connector prop to the
  primary plane, v6 (FATE#322643 bsc#1055900).
- drm: Add support for a panel-orientation connector property,
  v6 (FATE#322643 bsc#1055900).
- drm: Add panel orientation quirks, v6 (FATE#322643 bsc#1055900).
- fbcon: Add fbcon_rotate_hint to struct fb_info (FATE#322643
  bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20171117 (FATE#322643
  bsc#1055900).
- drm/i915: Add a policy note for removing workarounds
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Report ENOMEM clearly for an allocation
  failure (FATE#322643 bsc#1055900).
- drm/i915: Calculate g4x intermediate watermarks correctly
  (FATE#322643 bsc#1055900).
- drm/i915: Calculate vlv/chv intermediate watermarks correctly,
  v3 (FATE#322643 bsc#1055900).
- drm/i915: Pass crtc_state to ips toggle functions, v2
  (FATE#322643 bsc#1055900).
- drm/i915: Pass idle crtc_state to intel_dp_sink_crc (FATE#322643
  bsc#1055900).
- drm/i915: Enable FIFO underrun reporting after initial fastset,
  v4 (FATE#322643 bsc#1055900).
- commit c55e1d3
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915: Mark the userptr invalidate workqueue as
  WQ_MEM_RECLAIM (FATE#322643 bsc#1055900).
- drm/i915: Add might_sleep() check to wait_for() (FATE#322643
  bsc#1055900).
- drm/i915/selftests: Add a GuC doorbells selftest (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Let each vgpu has separate opregion memory
  (FATE#322643 bsc#1055900).
- Revert "drm/i915/gvt: Refine broken PPGTT scratch" (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Make gvt_vgpu_err use pr_err (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Don't dump partial state in cmd parser
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Reduce rcs mocs switch latency (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Add new debugfs tool mmio_diff (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Add mmio iterator
  intel_gvt_for_each_tracked_mmio() (FATE#322643 bsc#1055900).
- drm/i915/gvt: opregion virtualization for win guest (FATE#322643
  bsc#1055900).
- drm/i915/gvt: update CSB and CSB write pointer in virtual HWSP
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Refine broken PPGTT scratch (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Introduce ops->set_present() (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Introduce page table type of current level in
  GTT type enumerations (FATE#322643 bsc#1055900).
- drm/i915/gvt: Fix a bug of unexpectedly clear scratch page table
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Let the caller choose if a shadow page should
  be put into hash table (FATE#322643 bsc#1055900).
- drm/i915/gvt: Use I915_GTT_PAGE_SIZE (FATE#322643 bsc#1055900).
- drm/i915/gvt: Factor intel_vgpu_page_track (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Refine shadow batch buffer (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Refine find_bb_size() (FATE#322643 bsc#1055900).
- drm/i915/gvt: Use BIT() to make klockwork happy (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Add basic debugfs infrastructure (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Refactor vGPU type code in kvmgt part (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Move vGPU type related code into gvt file
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Move clean_workloads() into scheduler.c
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Introduce intel_vgpu_reset_submission (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Introduce vGPU submission ops (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Remove one extra declaration in scheduler.h
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Move common vGPU workload creation into
  scheduler.c (FATE#322643 bsc#1055900).
- drm/i915/gvt: Move common workload preparation into
  prepare_workload() (FATE#322643 bsc#1055900).
- drm/i915/gvt: Factor out prepare_workload() (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Factor out vGPU workload creation/destroy
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Use dyndbg for gvt debug info (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Add VM healthy check for submit_context
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Add VM healthy check for workload_thread
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Change the return type during command scan
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Do not allocate initial ring scan buffer
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Move ring scan buffers into intel_vgpu_submission
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Rename reserved ring buffer (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Fix a memory leak in cmd_parser.c (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Move tlb_handle_pending into intel_vgpu_submission
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Introduce intel_vgpu_submission (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Move workload cache init/clean into
  intel_vgpu_{setup, clean}_submission() (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Rename intel_vgpu_{init, clean}_gvt_context()
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Make elsp_dwords in the right order (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Add support for opregion virtualization
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Extend HDMI 2.0 support to CNL (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Simplify dco_fraction calculation (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Don't blindly replace qdiv (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix wrpll math for higher freqs (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix, simplify and unify wrpll variable sizes
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Remove useless conversion (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Remove spurious central_freq (FATE#322643
  bsc#1055900).
- drm/i915/selftests: exercise_ggtt may have nothing to do
  (FATE#322643 bsc#1055900).
- drm/i915: Don't sanitize frame start delay if the pipe is off
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Rename i915_guc_submission.c|h to
  intel_guc_submission.c|h (FATE#322643 bsc#1055900).
- drm/i915/guc: Rename i915_guc_client struct to intel_guc_client
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Update name and prototype of GuC submission
  interface functions (FATE#322643 bsc#1055900).
- drm/i915/guc: Update names of submission related static
  functions (FATE#322643 bsc#1055900).
- drm/i915: Update execlists tasklet naming (FATE#322643
  bsc#1055900).
- drm/i915: Prevent overflow of execbuf.buffer_count and
  num_cliprects (FATE#322643 bsc#1055900).
- drm/i915: Print the condition causing GEM_BUG_ON (FATE#322643
  bsc#1055900).
- drm/i915: Remove pre-production pooled-EU w/a for Broxton
  (FATE#322643 bsc#1055900).
- drm/i915: Make request's wait-for-space explicit (FATE#322643
  bsc#1055900).
- drm/i915/selftests: Increase size for mock ringbuffer
  (FATE#322643 bsc#1055900).
- drm/i915: Initialise entry in intel_ppat_get() for older
  compilers (FATE#322643 bsc#1055900).
- drm/i915/selftests: Markup __iomem for igt_gem_coherency
  (FATE#322643 bsc#1055900).
- drm/i915: Use ELK stolen memory reserved detection for ILK
  (FATE#322643 bsc#1055900).
- drm/i915: Make the report about a bogus stolen reserved area
  an error (FATE#322643 bsc#1055900).
- drm/i915: Check if the stolen memory "reserved" area is enabled
  or not (FATE#322643 bsc#1055900).
- drm/i915: Fix kerneldocs for intel_audio.c (FATE#322643
  bsc#1055900).
- drm/i915: Call uncore_suspend before platform suspend handlers
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Always initialise err (FATE#322643
  bsc#1055900).
- drm/i915: Resume GuC before using GEM (FATE#322643 bsc#1055900).
- drm/i915: Display WA #1185 WaDisableDARBFClkGating:cnl, glk
  (FATE#322643 bsc#1055900).
- drm/i915: Unconditionally apply the Broxton register workaround
  set (FATE#322643 bsc#1055900).
- drm/i915: Remove pre-production Broxton register workarounds
  (FATE#322643 bsc#1055900).
- drm/i915: Unify SLICE_UNIT_LEVEL_CLKGATE w/a for cnl
  (FATE#322643 bsc#1055900).
- drm/i915: fix 64bit divide (FATE#322643 bsc#1055900).
- drm/i915: Generalize transcoder looping (FATE#322643
  bsc#1055900).
- drm/i915/glk: Refactor handling of PLANE_COLOR_CTL for GLK+
  (FATE#322643 bsc#1055900).
- drm/i915: Introduce GEM proxy (FATE#322643 bsc#1055900).
- drm/i915: Object w/o backing storage is banned by -ENXIO
  (FATE#322643 bsc#1055900).
- drm/i915: Fix function name in comment (FATE#322643
  bsc#1055900).
- drm/i915: There is only one fault register from GEN8 onwards
  (FATE#322643 bsc#1055900).
- drm/i915: Clear per-engine fault register as early as possible
  (FATE#322643 bsc#1055900).
- drm/i915: expose command stream timestamp frequency to userspace
  (FATE#322643 bsc#1055900).
- drm/i915/perf: enable perf support on CNL (FATE#322643
  bsc#1055900).
- drm/i915: fix register naming (FATE#322643 bsc#1055900).
- drm/i915/perf: refactor perf setup (FATE#322643 bsc#1055900).
- drm/i915/perf: add support for Coffeelake GT3 (FATE#322643
  bsc#1055900).
- drm/i915/perf: complete whitelisting for OA programming on HSW
  (FATE#322643 bsc#1055900).
- drm/i915: Handle adjust better in intel_pipe_config_compare
  (FATE#322643 bsc#1055900).
- drm/i915: Check boolean options in intel_pipe_config_compare
  with its own macro (FATE#322643 bsc#1055900).
- drm/i915: Remove bogus ips_enabled check (FATE#322643
  bsc#1055900).
- drm/i915: Remove Gen9 WAs with no effect (FATE#322643
  bsc#1055900).
- drm/i915: Remove redundant intel_autoenable_gt_powersave()
  (FATE#322643 bsc#1055900).
- drm/i915: Update watermark state correctly in
  sanitize_watermarks (FATE#322643 bsc#1055900).
- drm/i915/selftests: Yet another forgotten mock_i915->mm
  initialiser (FATE#322643 bsc#1055900).
- commit ac7993e
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915: Kerneldoc typo s/rps/rps_client/ (FATE#322643
  bsc#1055900).
- drm/i915: Stop caching the "golden" renderstate (FATE#322643
  bsc#1055900).
- drm/i915: Record the default hw state after reset upon load
  (FATE#322643 bsc#1055900).
- drm/i915: Mark the context state as dirty/written (FATE#322643
  bsc#1055900).
- drm/i915: Inline intel_modeset_gem_init() (FATE#322643
  bsc#1055900).
- drm/i915: Move intel_init_clock_gating() to i915_gem_init()
  (FATE#322643 bsc#1055900).
- drm/i915: Move GT powersaving init to i915_gem_init()
  (FATE#322643 bsc#1055900).
- drm/i915: Force the switch to the i915->kernel_context
  (FATE#322643 bsc#1055900).
- drm/i915: Define an engine class enum for the uABI (FATE#322643
  bsc#1055900).
- drm/i915/selftests: Initialise mock_i915->mm.obj_lock
  (FATE#322643 bsc#1055900).
- drm/i915: Restore the wait for idle engine after flushing
  interrupts (FATE#322643 bsc#1055900).
- drm/i915: Move irqs enabled assertion deeper for mock
  breadcrumbs (FATE#322643 bsc#1055900).
- drm/i915/selftests: Reduce the volume of the timeout message
  (FATE#322643 bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20171109 (FATE#322643
  bsc#1055900).
- drm/i915: Mark up i915_vma_unbind() as a potential sleeper
  (FATE#322643 bsc#1055900).
- drm/i915: Mark vm_free_page() as a potential sleeper agent
  (FATE#322643 bsc#1055900).
- drm/i915: Use trace_printk to provide a death rattle for GEM
  (FATE#322643 bsc#1055900).
- drm/i915: Clean up DP code local variables and calling
  conventions (FATE#322643 bsc#1055900).
- drm/i915: Clean up PPS code calling conventions (FATE#322643
  bsc#1055900).
- drm/i915: Nuke intel_digital_port->port (FATE#322643
  bsc#1055900).
- drm/i915: Replace dig_port->port with encoder port for BXT
  DPLL selection (FATE#322643 bsc#1055900).
- drm/i915: Eliminate crtc->config usage from CRT code
  (FATE#322643 bsc#1055900).
- drm/i915: Pass crtc state to DPIO PHY functions (FATE#322643
  bsc#1055900).
- drm/i915: Eliminate some encoder->crtc usage from TV code
  (FATE#322643 bsc#1055900).
- drm/i915: Eliminate some encoder->crtc usage from SDVO code
  (FATE#322643 bsc#1055900).
- drm/i915: Eliminate some encoder->crtc usage from DSI code
  (FATE#322643 bsc#1055900).
- drm/i915: Eliminate some encoder->crtc usage from DP code
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Simplify programming of GUC_SHIM_CONTROL
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Drop legacy workarounds from guc_prepare_xfer
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Wait for ucode DMA transfer completion
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Split GuC firmware xfer function into clear steps
  (FATE#322643 bsc#1055900).
- drm/i915: Implement ReadHitWriteOnlyDisable (FATE#322643
  bsc#1055900).
- drm/i915: Include intel_engine_is_idle() status in engine
  pretty-printer (FATE#322643 bsc#1055900).
- drm/i915: Read ilk FDI PLL frequency once during initialisation
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Take rpm wakeref around partial tiling tests
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Take rpm wakeref around GGTT lowlevel tests
  (FATE#322643 bsc#1055900).
- drm/i915: Prevent unbounded wm results in g4x_compute_wm()
  (FATE#322643 bsc#1055900).
- drm/i915: Simplify onion for bxt_ddi_phy_init() (FATE#322643
  bsc#1055900).
- drm/i915: Silence compiler for csr_load_work_fn() (FATE#322643
  bsc#1055900).
- drm/i915: Silence smatch for cmdparser (FATE#322643
  bsc#1055900).
- drm/i915: Handle error-state modparams in dedicated functions
  (FATE#322643 bsc#1055900).
- drm/i915: Make GuC log part of the uC error state (FATE#322643
  bsc#1055900).
- drm/i915: Add Guc/HuC firmware details to error state
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Assert ctch->vma is allocated (FATE#322643
  bsc#1055900).
- drm/i915/guc: Assert guc->stage_desc_pool is allocated
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Hide dangerous tests (FATE#322643
  bsc#1055900).
- drm/i915: Assert vma->flags are updated correctly during binding
  (FATE#322643 bsc#1055900).
- drm/i915: Set up mocs tables before restarting the engines
  (FATE#322643 bsc#1055900).
- drm/i915: Warn in debug builds of incorrect usages of
  ptr_pack_bits (FATE#322643 bsc#1055900).
- drm/i915: ensure oa config uuid is null terminated (FATE#322643
  bsc#1055900).
- drm/i915: Flush the irq and tasklets before asserting engine
  is idle (FATE#322643 bsc#1055900).
- drm/i915: Use fallback forcewake if primary ack missing
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Add support for reset engine using GuC commands
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Rename the function that resets the GuC
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Clear terminated attribute bit on GuC preemption
  context (FATE#322643 bsc#1055900).
- drm/i915/cnl: Symmetric scalers for each pipe (FATE#322643
  bsc#1055900).
- drm/i915: Give more details for the active-when-parking warning
  for the engines (FATE#322643 bsc#1055900).
- drm/i915: Move parking-while-active warning to
  intel_engines_park() (FATE#322643 bsc#1055900).
- drm/i915: Check that the breadcrumb wasn't disarmed
  automatically before parking (FATE#322643 bsc#1055900).
- drm/i915/cnl: Remove unnecessary check in cnl_setup_private_ppat
  (FATE#322643 bsc#1055900).
- drm/i915: Remove most encoder->type uses from the audio code
  (FATE#322643 bsc#1055900).
- drm/i915: Pass around crtc and connector states for audio
  (FATE#322643 bsc#1055900).
- drm/i915: Replace "cc-option -Wno-foo" with "cc-disable-warning
  foo" (FATE#322643 bsc#1055900).
- drm/i915: Use intel_ddi_get_config() for MST (FATE#322643
  bsc#1055900).
- drm/i915: Pass a crtc state to ddi post_disable from MST code
  (FATE#322643 bsc#1055900).
- drm/i915: Eliminate pll->state usage from bxt_calc_pll_link()
  (FATE#322643 bsc#1055900).
- drm/i915: Nuke intel_ddi_get_encoder_port() (FATE#322643
  bsc#1055900).
- drm/i915: Stop frobbing with DDI encoder->type (FATE#322643
  bsc#1055900).
- drm/i915: Populate output_types from .get_config() (FATE#322643
  bsc#1055900).
- drm/i915: Parse max HDMI TMDS clock from VBT (FATE#322643
  bsc#1055900).
- drm/i915/vbt: Fix HDMI level shifter and max data rate bitfield
  sizes (FATE#322643 bsc#1055900).
- drm/i915: Clean up the mess around hdmi_12bpc_possible()
  (FATE#322643 bsc#1055900).
- drm/i915: Improve DP downstream HPD handling (FATE#322643
  bsc#1055900).
- drm/i915: Fix BXT lane latency optimal setting with MST
  (FATE#322643 bsc#1055900).
- drm/i915: Stop using encoder->type in
  intel_ddi_enable_transcoder_func() (FATE#322643 bsc#1055900).
- drm/i915: Start using output_types for DPLL selection
  (FATE#322643 bsc#1055900).
- drm/i915: Pass crtc state to intel_prepare_dp_ddi_buffers()
  (FATE#322643 bsc#1055900).
- drm/i915: Don't use encoder->type in
  intel_ddi_set_pipe_settings() (FATE#322643 bsc#1055900).
- drm/i915: Empty the ring before disabling (FATE#322643
  bsc#1055900).
- drm/i915/edp: clean up code and comments around eDP DPCD read
  (FATE#322643 bsc#1055900).
- drm/i915: Add -Wall -Wextra to our build, set warnings to full
  (FATE#322643 bsc#1055900).
- drm/i915: Include RING_MODE when dumping the engine state
  (FATE#322643 bsc#1055900).
- drm/i915/huc: Use helper function while waiting for DMA
  completion (FATE#322643 bsc#1055900).
- drm/i915/guc: Preemption! With GuC (FATE#322643 bsc#1055900).
- drm/i915: Rename helpers used for unwinding, use macro for
  can_preempt (FATE#322643 bsc#1055900).
- drm/i915/guc: Keep request->priority for its lifetime
  (FATE#322643 bsc#1055900).
- drm/i915: Add information needed to track engine preempt state
  (FATE#322643 bsc#1055900).
- drm/i915: Extract "emit write" part of emit breadcrumb functions
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Split guc_wq_item_append (FATE#322643
  bsc#1055900).
- drm/i915/guc: Add a second client, to be used for preemption
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Add preemption action to GuC firmware interface
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Allocate separate shared data object for GuC
  communication (FATE#322643 bsc#1055900).
- drm/i915/guc: Extract GuC stage desc pool creation into a helper
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Do not use 0 for GuC doorbell cookie (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix SSEU Device Status (FATE#322643 bsc#1055900).
- drm/i915/guc: Initialize GuC before restarting engines
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Always enable the breadcrumbs irq (FATE#322643
  bsc#1055900).
- drm/i915: Add a hook for making the engines idle (parking)
  and unparking (FATE#322643 bsc#1055900).
- drm/i915/cnl: Allow 2 pixel per clock on Cannonlake (FATE#322643
  bsc#1055900).
- Revert "drm/i915/selftests: Convert timers to use timer_setup()"
  (FATE#322643 bsc#1055900).
- commit dc0515f
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915/selftests: Convert timers to use timer_setup()
  (FATE#322643 bsc#1055900).
- drm/i915: Use same test for eviction and submitting kernel
  context (FATE#322643 bsc#1055900).
- drm/i915: Call cond_resched() before repeating
  i915_gem_evict_something() (FATE#322643 bsc#1055900).
- drm/i915: Perform a central cdclk state sanity check
  (FATE#322643 bsc#1055900).
- drm/i915: Sanity check cdclk in vlv_set_cdclk() (FATE#322643
  bsc#1055900).
- drm/i915: Adjust system agent voltage on CNL if required by
  DDI ports (FATE#322643 bsc#1055900).
- drm/i915: Use cdclk_state->voltage on CNL (FATE#322643
  bsc#1055900).
- drm/i915: Use cdclk_state->voltage on BXT/GLK (FATE#322643
  bsc#1055900).
- drm/i915: Use cdclk_state->voltage on SKL/KBL/CFL (FATE#322643
  bsc#1055900).
- drm/i915: Use cdclk_state->voltage on BDW (FATE#322643
  bsc#1055900).
- drm/i915: Use cdclk_state->voltage on VLV/CHV (FATE#322643
  bsc#1055900).
- drm/i915: Start tracking voltage level in the cdclk state
  (FATE#322643 bsc#1055900).
- drm/i915: Clean up some cdclk switch statements (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Update the DMC version on CNL (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Get RC6 working (FATE#322643 bsc#1055900).
- drm/i915/cnl: Force DDI_A_4_LANES when needed (FATE#322643
  bsc#1055900).
- drm/i915: Synchronize irq before parking each engine
  (FATE#322643 bsc#1055900).
- drm/i915: Bump wait-times for the final CS interrupt before
  parking (FATE#322643 bsc#1055900).
- drm/i915: Fix deadlock in i830_disable_pipe() (FATE#322643
  bsc#1055900).
- drm/i915: Redo plane sanitation during readout (FATE#322643
  bsc#1055900).
- drm/i915: Add .get_hw_state() method for planes (FATE#322643
  bsc#1055900).
- drm/i915: Don't adjust priority on an already signaled fence
  (FATE#322643 bsc#1055900).
- drm/i915: Whitelist SLICE_COMMON_ECO_CHICKEN1 on Geminilake
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Fix stack-out-of-bounds bug in cmd parser
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Clear the shadow page table entry after post-sync
  (FATE#322643 bsc#1055900).
- drm/i915: Apply Display WA #1183 on skl, kbl, and cfl
  (FATE#322643 bsc#1055900).
- drm/i915: Put all non-blocking modesets onto an ordered wq
  (FATE#322643 bsc#1055900).
- drm/i915: Disable DC states around GMBUS on GLK (FATE#322643
  bsc#1055900).
- drm/i915/psr: Fix register name mess up (FATE#322643
  bsc#1055900).
- i915: Reject CCS modifiers for pipe C on Geminilake (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Fix pipe A enable as default for vgpu (FATE#322643
  bsc#1055900).
- drm/i915: Protect DDI port to DPLL map from theoretical race
  (FATE#322643 bsc#1055900).
- drm/i915/lpe: Remove double-encapsulation of info string
  (FATE#322643 bsc#1055900).
- drm/i915/fence: Use rcu to defer freeing of irq_work
  (FATE#322643 bsc#1055900).
- drm/i915: Stop listening to request resubmission from the
  signaler kthread (FATE#322643 bsc#1055900).
- drm/i915: Drop fb reference on load_detect_pipe failure path
  (FATE#322643 bsc#1055900).
- drm/i915: Flush pending GTT writes before unbinding (FATE#322643
  bsc#1055900).
- drm: rework delayed connector cleanup in connector_iter
  (bsc#1051510).
- drm/i915/gvt: set max priority for gvt context (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Don't mark vgpu context as inactive when preempted
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Limit read hw reg to active vgpu (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Export intel_gvt_render_mmio_to_ring_id()
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Emulate PCI expansion ROM base address register
  (FATE#322643 bsc#1055900).
- Revert "drm/i915: Display WA #1133 WaFbcSkipSegments:cnl, glk"
  (FATE#322643 bsc#1055900).
- drm/i915: Call i915_gem_init_userptr() before taking
  struct_mutex (FATE#322643 bsc#1055900).
- drm/i915/cnl: Mask previous DDI - PLL mapping (FATE#322643
  bsc#1055900).
- drm/i915: Fix vblank timestamp/frame counter jumps on gen2
  (FATE#322643 bsc#1055900).
- drm/i915: Skip switch-to-kernel-context on suspend when wedged
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Correct ADDR_4K/2M/1G_MASK definition (FATE#322643
  bsc#1055900).
- drm/i915/gvt: enabled pipe A default on creating vgpu
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Move request alloc to dispatch_workload path only
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: remove skl_misc_ctl_write handler (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Fix unsafe locking caused by spin_unlock_bh
  (FATE#322643 bsc#1055900).
- drm/i915: fix intel_backlight_device_register declaration
  (FATE#322643 bsc#1055900).
- drm/i915: Prevent zero length "index" write (FATE#322643
  bsc#1055900).
- drm/i915: Don't try indexed reads to alternate slave addresses
  (FATE#322643 bsc#1055900).
- drm/edid: Don't send non-zero YQ in AVI infoframe for HDMI
  1.x sinks (bsc#1051510).
- drm/i915: Fix init_clock_gating for resume (FATE#322643
  bsc#1055900).
- drm/i915: Clear breadcrumb node when cancelling signaling
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: ensure -ve return value is handled correctly
  (FATE#322643 bsc#1055900).
- drm/i915: Re-register PMIC bus access notifier on runtime resume
  (FATE#322643 bsc#1055900).
- drm/i915: Fix false-positive assert_rpm_wakelock_held in
  i915_pmic_bus_access_notifier v2 (FATE#322643 bsc#1055900).
- drm/i915: Reorder context-close to avoid calling
  i915_vma_close() under RCU (FATE#322643 bsc#1055900).
- drm/i915: Move init_clock_gating() back to where it was
  (FATE#322643 bsc#1055900).
- drm/i915: Prune the reservation shared fence array (FATE#322643
  bsc#1055900).
- drm/i915: Idle the GPU before shinking everything (FATE#322643
  bsc#1055900).
- drm/i915: Lock llist_del_first() vs llist_del_all() (FATE#322643
  bsc#1055900).
- drm/i915: Calculate ironlake intermediate watermarks correctly,
  v2 (FATE#322643 bsc#1055900).
- drm/i915: Disable lazy PPGTT page table optimization for vGPU
  (FATE#322643 bsc#1055900).
- drm/i915/execlists: Remove the priority "optimisation"
  (FATE#322643 bsc#1055900).
- drm/i915: Filter out spurious execlists context-switch
  interrupts (FATE#322643 bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20171023 (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Map VBT DDC Pin to BSpec DDC Pin (FATE#322643
  bsc#1055900).
- drm/i915: Let's use more enum intel_dpll_id pll_id (FATE#322643
  bsc#1055900).
- drm/i915: Use existing DSI backlight ports info (FATE#322643
  bsc#1055900).
- drm/i915: Parse DSI backlight/cabc ports (FATE#322643
  bsc#1055900).
- drm/i915: Skip waking the device to service pwrite (FATE#322643
  bsc#1055900).
- drm/i915/crt: split compute_config hook by platforms
  (FATE#322643 bsc#1055900).
- drm/i915: remove g4x lowfreq_avail and has_pipe_cxsr
  (FATE#322643 bsc#1055900).
- drm/i915: Drop the redundant hdmi prefix/suffix from a lot of
  variables (FATE#322643 bsc#1055900).
- drm/i915: Unify error handling for missing DDI buf trans tables
  (FATE#322643 bsc#1055900).
- drm/i915: Centralize the SKL DDI A/E vs. B/C/D buf trans
  handling (FATE#322643 bsc#1055900).
- drm/i915: Kill off the BXT buf_trans default_index (FATE#322643
  bsc#1055900).
- drm/i915: Pass encoder type to cnl_ddi_vswing_sequence()
  explicitly (FATE#322643 bsc#1055900).
- drm/i915: Integrate BXT into intel_ddi_dp_voltage_max()
  (FATE#322643 bsc#1055900).
- drm/i915: Pass the level to intel_prepare_hdmi_ddi_buffers()
  (FATE#322643 bsc#1055900).
- drm/i915: Pass the encoder type explicitly to skl_set_iboost()
  (FATE#322643 bsc#1055900).
- drm/i915: Extract intel_ddi_get_buf_trans_hdmi() (FATE#322643
  bsc#1055900).
- drm/i915: Relocate intel_ddi_get_buf_trans_*() functions
  (FATE#322643 bsc#1055900).
- drm/i915: Flush the idle-worker for debugfs/i915_drop_caches
  (FATE#322643 bsc#1055900).
- drm/i915: adjust get_crtc_fence_y_offset() to use base.y
  instead of crtc.y (FATE#322643 bsc#1055900).
- drm/i915: Unify skylake plane disable (FATE#322643 bsc#1055900).
- drm/i915: Unify skylake plane update (FATE#322643 bsc#1055900).
- drm/i915: dspaddr_offset doesn't need to be more than local
  variable (FATE#322643 bsc#1055900).
- drm/i915: move adjusted_x/y from crtc to cache (FATE#322643
  bsc#1055900).
- drm/i915: Fixup userptr mmu notifier registration error handling
  (FATE#322643 bsc#1055900).
- drm/i915: No need for RING_MAX_NONPRIV_SLOTS space (FATE#322643
  bsc#1055900).
- drm/i915/uc: Add pretty printer for uc firmware (FATE#322643
  bsc#1055900).
- drm/i915: Handle drm-layer errors in intel_dp_add_mst_connector
  (FATE#322643 bsc#1055900).
- drm/i915: Remove mostly duplicated video DIP handling from
  PSR code (FATE#322643 bsc#1055900).
- commit 7e86bee
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915: Add in-flight request details to intel_engine_dump()
  (FATE#322643 bsc#1055900).
- drm/i915: Skip HW reinitialisation on resume if still wedged
  (FATE#322643 bsc#1055900).
- drm/i915: Trim struct_mutex hold duration for
  i915_gem_free_objects (FATE#322643 bsc#1055900).
- drm/i915: Only free the oldest stale object before a fresh
  allocation (FATE#322643 bsc#1055900).
- drm/i915: Set our shrinker->batch to 4096 (~16MiB) (FATE#322643
  bsc#1055900).
- drm/i915: Move dev_priv->mm.[un]bound_list to its own lock
  (FATE#322643 bsc#1055900).
- drm/i915: Remove walk over obj->vma_list for the shrinker
  (FATE#322643 bsc#1055900).
- drm/i915: Drop debugfs/i915_gem_pin_display (FATE#322643
  bsc#1055900).
- drm/i915: Rename obj->pin_display to obj->pin_global
  (FATE#322643 bsc#1055900).
- drm/i915: Refactor testing obj->mm.pages (FATE#322643
  bsc#1055900).
- drm/i915/cnl: WaRsUseTimeoutMode (FATE#322643 bsc#1055900).
- drm/i915/huc: Move fw select function (FATE#322643 bsc#1055900).
- drm/i915/guc: Update Guc messages on load failure (FATE#322643
  bsc#1055900).
- drm/i915/uc: Unify firmware loading (FATE#322643 bsc#1055900).
- drm/i915: Update DMC firmware load error messages (FATE#322643
  bsc#1055900).
- drm/i915/uc: Add message with firmware url (FATE#322643
  bsc#1055900).
- drm/i915/uc: Improve debug messages in firmware fetch
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Pick better place for Guc final status message
  (FATE#322643 bsc#1055900).
- drm/i915/uc: Check all firmwares against WOPCM size (FATE#322643
  bsc#1055900).
- drm/i915/guc: Reorder functions in intel_guc_fw.c (FATE#322643
  bsc#1055900).
- drm/i915/guc: Rename intel_guc_loader.c to intel_guc_fw.c
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Move doc near related definitions (FATE#322643
  bsc#1055900).
- drm/i915/guc: Small fixups post code move (FATE#322643
  bsc#1055900).
- drm/i915/guc: Move GuC boot param initialization out of xfer
  (FATE#322643 bsc#1055900).
- drm/i915: Move intel_guc_wopcm_size to intel_guc.c (FATE#322643
  bsc#1055900).
- drm/i915: enable to read CSB and CSB write pointer from HWSP
  in GVT-g VM (FATE#322643 bsc#1055900).
- drm/i915: Always stop the rings before a missing GPU reset
  (FATE#322643 bsc#1055900).
- drm/i915: Keep the rings stopped until they have been
  re-initialized (FATE#322643 bsc#1055900).
- drm/i915: Stop asserting on set-wedged vs nop_submit_request
  ordering (FATE#322643 bsc#1055900).
- drm/i915: Split intel_enable_ddi() into DP and HDMI variants
  (FATE#322643 bsc#1055900).
- drm/i915: Plumb crtc_state etc. directly to
  intel_ddi_pre_enable_{dp,hdmi}() (FATE#322643 bsc#1055900).
- drm/i915: Split intel_disable_ddi() into DP vs. HDMI variants
  (FATE#322643 bsc#1055900).
- drm/i915: Remove useless eDP check from
  intel_ddi_pre_enable_dp() (FATE#322643 bsc#1055900).
- drm/i915: Split intel_ddi_post_disable() into DP vs. HDMI
  variants (FATE#322643 bsc#1055900).
- drm/i915: Inline the required bits of intel_ddi_post_disable()
  into intel_ddi_fdi_post_disable() (FATE#322643 bsc#1055900).
- drm/i915: Extract intel_disable_ddi_buf() (FATE#322643
  bsc#1055900).
- drm/i915: Extract intel_ddi_clk_disable() (FATE#322643
  bsc#1055900).
- drm/i915: Dump 'output_types' in crtc state dump (FATE#322643
  bsc#1055900).
- drm/i915: Replace *_reference/unreference() or *_ref/unref
  with _get/put() (FATE#322643 bsc#1055900).
- drm/i915: Get rid of hardcoded pipes (FATE#322643 bsc#1055900).
- drm/i915: Add retries for LSPCON detection (FATE#322643
  bsc#1055900).
- drm/i915: Don't give up waiting on INVALID_MODE (FATE#322643
  bsc#1055900).
- drm/i915/bdw: Fix DP_AUX_CH_CTL_TIME_OUT setting (FATE#322643
  bsc#1055900).
- drm/i915: Fix DP_AUX_CH_CTL_TIME_OUT naming (FATE#322643
  bsc#1055900).
- drm/i915/selftests: Wrap a timer into a i915_sw_fence
  (FATE#322643 bsc#1055900).
- drm/i915: Start tracking PSR state in crtc state (FATE#322643
  bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20171012 (FATE#322643
  bsc#1055900).
- drm/i915: Simplify intel_sanitize_enable_ppgtt (FATE#322643
  bsc#1055900).
- drm/i915/userptr: Drop struct_mutex before cleanup (FATE#322643
  bsc#1055900).
- drm/i915/dp: limit sink rates based on rate (FATE#322643
  bsc#1055900).
- drm/i915/dp: centralize max source rate conditions more
  (FATE#322643 bsc#1055900).
- drm/i915: Allow PCH platforms fall back to BIOS LVDS mode
  (FATE#322643 bsc#1055900).
- drm/i915: Reuse normal state readout for LVDS/DVO fixed mode
  (FATE#322643 bsc#1055900).
- drm/i915: Use rcu instead of stop_machine in set_wedged
  (FATE#322643 bsc#1055900).
- drm/i915: Introduce separate status variable for RC6 and LLC
  ring frequency setup (FATE#322643 bsc#1055900).
- drm/i915: Create generic functions to control RC6, RPS
  (FATE#322643 bsc#1055900).
- drm/i915: Create generic function to setup LLC ring frequency
  table (FATE#322643 bsc#1055900).
- drm/i915: Rename intel_enable_rc6 to intel_rc6_enabled
  (FATE#322643 bsc#1055900).
- drm/i915: Name structure in dev_priv that contains RPS/RC6
  state as "gt_pm" (FATE#322643 bsc#1055900).
- drm/i915: Move rps.hw_lock to dev_priv and s/hw_lock/pcu_lock
  (FATE#322643 bsc#1055900).
- drm/i915: Name i915_runtime_pm structure in dev_priv as
  "runtime_pm" (FATE#322643 bsc#1055900).
- drm/i915: Separate RPS and RC6 handling for CHV (FATE#322643
  bsc#1055900).
- drm/i915: Separate RPS and RC6 handling for VLV (FATE#322643
  bsc#1055900).
- drm/i915: Separate RPS and RC6 handling for BDW (FATE#322643
  bsc#1055900).
- drm/i915: Remove superfluous IS_BDW checks and non-BDW changes
  from gen8_enable_rps (FATE#322643 bsc#1055900).
- drm/i915: Separate RPS and RC6 handling for gen6+ (FATE#322643
  bsc#1055900).
- drm/i915: Cleanup South Error Interrupts (FATE#322643
  bsc#1055900).
- drm/i915: Favor for_each_pipe() macro (FATE#322643 bsc#1055900).
- drm/i915: Fold IRQ pipe masks (FATE#322643 bsc#1055900).
- drm/i915: Remove I915_MAX_PIPES dependency for DDB allocation
  (FATE#322643 bsc#1055900).
- drm/i915: Don't relay on I915_MAX_PIPES (FATE#322643
  bsc#1055900).
- drm/i915: Nuke the bogus kernel doc for i9xx_disable_pll()
  (FATE#322643 bsc#1055900).
- drm/i915: Pass crtc state to i9xx_enable_pll() (FATE#322643
  bsc#1055900).
- drm/i915: Parametrize CBR_DPLLBMD_PIPE defines (FATE#322643
  bsc#1055900).
- drm/i915: Use enum pipe for PCH transcoders (FATE#322643
  bsc#1055900).
- drm/i915: Increase atomic update vblank evasion time with
  lockdep (FATE#322643 bsc#1055900).
- drm/i915: Use execlists_num_ports instead of size of array
  (FATE#322643 bsc#1055900).
- drm/i915: Preallocate our mmu notifier workequeu to unbreak
  cpu hotplug deadlock (FATE#322643 bsc#1055900).
- drm/i915/bios: don't pass bdb to parsers that don't parse VBT
  directly (FATE#322643 bsc#1055900).
- drm/i915/bios: parse SDVO device mapping from pre-parsed child
  devices (FATE#322643 bsc#1055900).
- drm/i915/bios: merge parse_device_mapping() into
  parse_general_definitions() (FATE#322643 bsc#1055900).
- drm/i915/bios: cleanup comments and useless return (FATE#322643
  bsc#1055900).
- drm/i915/bios: remove an unnecessary temp variable (FATE#322643
  bsc#1055900).
- drm/i915/bios: don't initialize fields based on vbt version
  (FATE#322643 bsc#1055900).
- drm/i915/bios: refactor parse general definitions (FATE#322643
  bsc#1055900).
- drm/i915: avoid division by zero on cnl_calc_wrpll_link
  (FATE#322643 bsc#1055900).
- drm/i915: add the BXT and CNL DPLL registers to
  pipe_config_compare (FATE#322643 bsc#1055900).
- drm/i915: Early rejection of mappable GGTT pin attempts for
  large bo (FATE#322643 bsc#1055900).
- drm/i915: Avoid evicting user fault mappable vma for
  pread/pwrite (FATE#322643 bsc#1055900).
- drm/i915: Try a minimal attempt to insert the whole object
  for relocations (FATE#322643 bsc#1055900).
- drm/i915: Check PIN_NONFAULT overlaps in evict_for_node
  (FATE#322643 bsc#1055900).
- drm/i915: Track user GTT faulting per-vma (FATE#322643
  bsc#1055900).
- drm/i915: Consolidate get_fence with pin_fence (FATE#322643
  bsc#1055900).
- drm/i915: Pin fence for iomap (FATE#322643 bsc#1055900).
- drm/i915: Provide an assert for when we expect forcewake to
  be held (FATE#322643 bsc#1055900).
- drm/i915/selftests: Hold the rpm wakeref for the reset tests
  (FATE#322643 bsc#1055900).
- drm/i915: Hold forcewake for the duration of reset+restart
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Pretty print engine state when requests
  fail to start (FATE#322643 bsc#1055900).
- drm/i915: Make i915_engine_info pretty printer to standalone
  (FATE#322643 bsc#1055900).
- drm/i915: Use intel_get_pipe_timings() and
  intel_mode_from_pipe_config() in intel_crtc_mode_get()
  (FATE#322643 bsc#1055900).
- commit 128dfbb
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915/execlists: Add a comment for the extra MI_ARB_ENABLE
  (FATE#322643 bsc#1055900).
- drm/i915: Try harder to finish the idle-worker (FATE#322643
  bsc#1055900).
- drm/i915: Fix pointer-to-int conversion (FATE#322643
  bsc#1055900).
- drm/i915/huc: Fix includes in intel_huc.c (FATE#322643
  bsc#1055900).
- drm/i915: Unify uC variable types to avoid flooding
  checkpatch.pl (FATE#322643 bsc#1055900).
- drm/i915/crt: clean up encoder hook assignment (FATE#322643
  bsc#1055900).
- drm/i915: push DDI FDI link training on enable to CRT encoder
  (FATE#322643 bsc#1055900).
- drm/i915: push DDI and DSI underrun reporting on enable to
  encoder (FATE#322643 bsc#1055900).
- drm/i915: push DDI CRT underrun reporting on disable to encoder
  (FATE#322643 bsc#1055900).
- drm/i915: push DDI CRT underrun reporting on enable to encoder
  (FATE#322643 bsc#1055900).
- drm/i915/uc: Unify initialization of the uC firmware helper
  (FATE#322643 bsc#1055900).
- drm/i915/uc: Fix includes order (FATE#322643 bsc#1055900).
- drm/i915/guc: Move GuC core definitions into dedicated files
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Move GuC submission declarations into dedicated
  header (FATE#322643 bsc#1055900).
- drm/i915/guc: Move GuC log declarations into dedicated header
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Do not add an extra page for precaution in the
  Gen10 LRC size (FATE#322643 bsc#1055900).
- drm/i915: avoid potential uninitialized variable use
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: fix check for intel IOMMU (FATE#322643
  bsc#1055900).
- drm/i915/selftests: Remember to create the fake preempt context
  (FATE#322643 bsc#1055900).
- drm/i915/mst: Use MST sideband message transactions for dpms
  control (FATE#322643 bsc#1055900).
- drm/i915/scheduler: Support user-defined priorities (FATE#322643
  bsc#1055900).
- drm/i915/execlists: Preemption! (FATE#322643 bsc#1055900).
- drm/i915: Expand I915_PARAM_HAS_SCHEDULER into a capability
  bitmask (FATE#322643 bsc#1055900).
- drm/i915/execlists: Keep request->priority for its lifetime
  (FATE#322643 bsc#1055900).
- drm/i915/execlists: Move bdw GPGPU w/a to emit_bb (FATE#322643
  bsc#1055900).
- drm/i915: Introduce a preempt context (FATE#322643 bsc#1055900).
- drm/i915/execlists: Distinguish the incomplete context notifies
  (FATE#322643 bsc#1055900).
- drm/i915/preempt: Default to disabled mid-command preemption
  levels (FATE#322643 bsc#1055900).
- drm/i915/preempt: Fix WaEnablePreemptionGranularityControlByUMD
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Move Guc early init into own function (FATE#322643
  bsc#1055900).
- drm/i915/huc: Move HuC declarations into dedicated header
  (FATE#322643 bsc#1055900).
- drm/i915/uc: Move uC fw helper code into dedicated files
  (FATE#322643 bsc#1055900).
- drm/i915/uc: Create intel_uc_init_mmio (FATE#322643
  bsc#1055900).
- drm/i915/uc: Drop unnecessary forward declaration (FATE#322643
  bsc#1055900).
- drm/i915: Make intel_uncore.h header self-contained (FATE#322643
  bsc#1055900).
- drm/i915: Remove defunct trace points (FATE#322643 bsc#1055900).
- drm/i915: Fix some tracepoints to capture full 64b (FATE#322643
  bsc#1055900).
- drm/i915: Remove WA_(SET|CLR)_BIT (FATE#322643 bsc#1055900).
- drm/i915: Move MMCD_MISC_CTRL from context w/a to standard
  (FATE#322643 bsc#1055900).
- drm/i915: Transform whitelisting WAs into a simple reg write
  (FATE#322643 bsc#1055900).
- drm/i915: Remove use_mmio_flip modparm, v2 (FATE#322643
  bsc#1055900).
- drm/i915: Skip vblank waits for cursor updates when watermarks
  dont need updating (FATE#322643 bsc#1055900).
- drm/i915: Unset legacy_cursor_update early in
  intel_atomic_commit, v3 (FATE#322643 bsc#1055900).
- drm/i915: Organize GLK_COLORS (FATE#322643 bsc#1055900).
- drm/i915: Organize GEN features inheritance (FATE#322643
  bsc#1055900).
- drm/i915/skl: Fix has_ipc on skl and document WaDisableIPC
  (FATE#322643 bsc#1055900).
- drm/i915/glk, cnl: Implement WaDisableScalarClockGating
  (FATE#322643 bsc#1055900).
- drm/i915: Add has_psr-flag to gen9lp (FATE#322643 bsc#1055900).
- drm/i915/gen8+: Init/reset display interrupts only if i915
  IRQs are enabled (FATE#322643 bsc#1055900).
- drm/i915/gen9+: Set same power state before hibernation image
  save/restore (FATE#322643 bsc#1055900).
- drm/i915/execlists: Cache the last priolist lookup (FATE#322643
  bsc#1055900).
- drm/i915: Give the invalid priority a magic name (FATE#322643
  bsc#1055900).
- drm/i915/execlists: Move request unwinding to a separate
  function (FATE#322643 bsc#1055900).
- drm/i915: Move i915_gem_restore_fences to i915_gem_resume
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Replace wmb() with i915_gem_chipset_flush()
  (FATE#322643 bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20170929 (FATE#322643
  bsc#1055900).
- drm/i915: Also discard second CRC on gen8+ platforms
  (FATE#322643 bsc#1055900).
- drm/i915/psr: Set frames before SU entry for psr2 (FATE#322643
  bsc#1055900).
- drm/dp: Add defines for latency in sink (FATE#322643
  bsc#1055900).
- drm/i915: Allow optimized platform checks (FATE#322643
  bsc#1055900).
- drm/i915: Avoid using dev_priv->info.gen directly (FATE#322643
  bsc#1055900).
- i915: Use %%pS printk format for direct addresses (FATE#322643
  bsc#1055900).
- drm/i915/execlists: Notify context-out for lost requests
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add support slice/subslice/eu configs (FATE#322643
  bsc#1055900).
- drm/i915: Compact device info access by a small re-ordering
  (FATE#322643 bsc#1055900).
- drm/i915: Add IS_PLATFORM macro (FATE#322643 bsc#1055900).
- drm/i915/selftests: Try to recover from a wedged GPU during
  reset tests (FATE#322643 bsc#1055900).
- drm/i915/huc: Reorganize HuC authentication (FATE#322643
  bsc#1055900).
- drm/i915: Fix default values of some modparams (FATE#322643
  bsc#1055900).
- drm/i915: Extend I915_PARAMS_FOR_EACH with default member value
  (FATE#322643 bsc#1055900).
- drm/i915: Make I915_PARAMS_FOR_EACH macro more flexible
  (FATE#322643 bsc#1055900).
- drm/i915: Enable scanline read based on frame timestamps
  (FATE#322643 bsc#1055900).
- drm/i915/execlists: Microoptimise
  execlists_cancel_port_request() (FATE#322643 bsc#1055900).
- drm/i915: Don't rmw PIPESTAT enable bits (FATE#322643
  bsc#1055900).
- drm/i915: Speed up DMC firmware loading (FATE#322643
  bsc#1055900).
- drm/i915/dp: Remove useless debug about TPS3 support
  (FATE#322643 bsc#1055900).
- drm/i915/dp: Fix buffer size for sink_irq_esi read (FATE#322643
  bsc#1055900).
- drm/i915/mst: Print active mst links after update (FATE#322643
  bsc#1055900).
- drm/i915/mst: Debug log connector name in destroy_connector()
  (FATE#322643 bsc#1055900).
- drm/i915/lrc: Skip no-op per-bb buffer on gen9 (FATE#322643
  bsc#1055900).
- drm/i915/lrc: Only enable per-context and per-bb buffers if set
  (FATE#322643 bsc#1055900).
- drm/i915: Make execlist port count variable (FATE#322643
  bsc#1055900).
- drm/i915: Add execlist_port_complete (FATE#322643 bsc#1055900).
- drm/i915: Wrap port cancellation into a function (FATE#322643
  bsc#1055900).
- drm/i915: Move execlist initialization into intel_engine_cs.c
  (FATE#322643 bsc#1055900).
- drm/i915: Make own struct for execlist items (FATE#322643
  bsc#1055900).
- drm/i915: Make i915_spin_request() static (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add Gen10 LRC size (FATE#322643 bsc#1055900).
- drm/i915: Rename global i915 to i915_modparams (FATE#322643
  bsc#1055900).
- drm/i915: Confirm request->global_seqno after spin completion
  (FATE#322643 bsc#1055900).
- drm/i915: Check waiter->seqno carefully in case of preemption
  (FATE#322643 bsc#1055900).
- drm/i915: Only wake the waiter from the interrupt if passed
  (FATE#322643 bsc#1055900).
- drm/i915: Document the split in internal and public execbuf
  flags (FATE#322643 bsc#1055900).
- drm/i915: Reorganize .disable hooks for pre-DDI DP (FATE#322643
  bsc#1055900).
- drm/i915: Drop useless HAS_PSR() check (FATE#322643
  bsc#1055900).
- drm/i915: Stop engines before reset (FATE#322643 bsc#1055900).
- drm/i915/cfl: Remove alpha support protection (FATE#322643
  bsc#1055900).
- drm/i915/cnp: Display Wa #1179: WaHardHangonHotPlug (FATE#322643
  bsc#1055900).
- drm/i915: Shrink cnl_ddi_buf_trans (FATE#322643 bsc#1055900).
- drm/i915: Shrink bxt_ddi_buf_trans (FATE#322643 bsc#1055900).
- commit 50db074
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915: Replace some spaces with tabs (FATE#322643
  bsc#1055900).
- drm/i915/fence: Avoid del_timer_sync() from inside a timer
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Only touch archdata.iommu when it exists
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: Don't touch other PCH clock gating bits
  (FATE#322643 bsc#1055900).
- drm/i915: Do not enable DRRS when PSR is enabled (FATE#322643
  bsc#1055900).
- drm/i915/perf: add support for Coffeelake GT2 (FATE#322643
  bsc#1055900).
- drm/i915/perf: disable clk ratio reports on gen9 (FATE#322643
  bsc#1055900).
- drm/i915/selftests: Disable iommu for the mock device
  (FATE#322643 bsc#1055900).
- drm/i915: Return the correct score in i915_ppat_get()
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Cleanup adding GuC work items (FATE#322643
  bsc#1055900).
- drm/i915/guc: Simplify GuC doorbell logic (FATE#322643
  bsc#1055900).
- drm/i915/guc: Submit GuC workitems containing coalesced requests
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Remove obsolete comments and remove unused
  variable (FATE#322643 bsc#1055900).
- drm/i915/execlists: Unwind incomplete requests on resets
  (FATE#322643 bsc#1055900).
- drm/i915/execlists: Split insert_request() (FATE#322643
  bsc#1055900).
- drm/i915/execlists: Move insert_request() (FATE#322643
  bsc#1055900).
- drm/i915/execlists: Kick start request processing after a reset
  (FATE#322643 bsc#1055900).
- drm/i915: Cancel all ready but queued requests when wedging
  (FATE#322643 bsc#1055900).
- drm/i915: Reinstate GMBUS and AUX interrupts on gen4/g4x
  (FATE#322643 bsc#1055900).
- drm/i915: Remove duplicated irq_preinstall/uninstall hooks
  (FATE#322643 bsc#1055900).
- drm/i915: Clean up the HWSTAM mess (FATE#322643 bsc#1055900).
- drm/i915: Mask everything in ring HWSTAM on gen6+ in ringbuffer
  mode (FATE#322643 bsc#1055900).
- drm/i915: Extend private i915_param_named macro with description
  (FATE#322643 bsc#1055900).
- drm/i915: Introduce custom variant of module_param_named macro
  (FATE#322643 bsc#1055900).
- drm/i915: Rename lvds_use_ssc modparam to panel_use_ssc
  (FATE#322643 bsc#1055900).
- drm/i915: Mark the userptr invalidate workqueue as
  WQ_MEM_RECLAIM (FATE#322643 bsc#1055900).
- drm/i915/cnl: Change the macro name to
  DPLL_CFGCR0_DCO_FRACTION_SHIFT (FATE#322643 bsc#1055900).
- drm/i915: Gen3 HWSTAM is actually 32 bits (FATE#322643
  bsc#1055900).
- drm/i915: Rewrite GMCH irq handlers to avoid loops (FATE#322643
  bsc#1055900).
- drm/i915: Extract PIPESTAT irq handling into separate functions
  (FATE#322643 bsc#1055900).
- drm/i915: Remove NULL dev_priv checks from irq_uninstall
  (FATE#322643 bsc#1055900).
- drm/i915: Unify the appearance of gen3/4 irq_postistall hooks
  (FATE#322643 bsc#1055900).
- drm/i915: Eliminate PORT_HOTPLUG_EN setup from gen3/4
  irq_postinstall (FATE#322643 bsc#1055900).
- drm/i915: Setup EMR first on all gen2-4 (FATE#322643
  bsc#1055900).
- drm/i915: Introduce GEN2_IRQ_RESET/INIT (FATE#322643
  bsc#1055900).
- drm/i915: Use GEN3_IRQ_RESET/INIT on gen3/4 (FATE#322643
  bsc#1055900).
- drm/i915: s/GEN5/GEN3/ (FATE#322643 bsc#1055900).
- drm/i915: Clear pipestat consistently (FATE#322643 bsc#1055900).
- drm/i915: Don't enable/unmask flip interrupts (FATE#322643
  bsc#1055900).
- drm/i915: Remove the "INDEX" suffix from PPAT marcos
  (FATE#322643 bsc#1055900).
- drm/i915: Introduce private PAT management (FATE#322643
  bsc#1055900).
- drm/i915: Switch over to the LLC/eLLC hotspot avoidance hash
  mode for CCS (FATE#322643 bsc#1055900).
- drm/i915: Simplify i915_reg_read_ioctl (FATE#322643
  bsc#1055900).
- drm/i915: Introduce INTEL_GEN_MASK (FATE#322643 bsc#1055900).
- drm/i915: Refresh VLV/CHV PSR comments on HW PSR_state machine
  (FATE#322643 bsc#1055900).
- drm/i915/execlists: Read the context-status HEAD from the HWSP
  (FATE#322643 bsc#1055900).
- drm/i915/execlists: Read the context-status buffer from the HWSP
  (FATE#322643 bsc#1055900).
- drm/i915: Allow HW status page to be bound high (FATE#322643
  bsc#1055900).
- drm/i915/lrc: allocate separate page for HWSP (FATE#322643
  bsc#1055900).
- drm/i915/guc: Don't make assumptions while getting the lrca
  offset (FATE#322643 bsc#1055900).
- drm/i915/lrc: Clarify the format of the context image
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Use mul_u32_u32() for 32b x 32b -> 64b
  result (FATE#322643 bsc#1055900).
- drm/i915: Use mul_u32_u32() for 32b x 32b -> 64b result
  (FATE#322643 bsc#1055900).
- drm/i915: Squelch smatch warning for statement with no effect
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Small improvements to guc_wq_item_append
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Remove WQ_WORKLOAD_SHIFT define (FATE#322643
  bsc#1055900).
- drm/i915/guc: Name the default GuC scheduling policy
  (FATE#322643 bsc#1055900).
- drm/i915: Move the context descriptor to an inline helper
  (FATE#322643 bsc#1055900).
- drm/i915/dsi: Replace MIPI command error message with debug
  message (FATE#322643 bsc#1055900).
- drm/i915: Cleanup error paths through eb_lookup_vma()
  (FATE#322643 bsc#1055900).
- drm/i915/spt+: Don't reset invalid AUX channel interrupt bits
  in SDEIMR (FATE#322643 bsc#1055900).
- drm/i915: Name the IPS_PCODE_CONTROL bit (FATE#322643
  bsc#1055900).
- drm/i915: Nuke some bogus tabs from the pcode defines
  (FATE#322643 bsc#1055900).
- drm/i915: Factor out setup_private_pat() (FATE#322643
  bsc#1055900).
- drm/i915: Increase poll time for BDW FCLK_DONE (FATE#322643
  bsc#1055900).
- drm/i915/psr: Add enable_source vfunc (FATE#322643 bsc#1055900).
- drm/i915/psr: Add enable_sink vfunc (FATE#322643 bsc#1055900).
- drm/i915/psr: Add setup VSC vfunc (FATE#322643 bsc#1055900).
- drm/i915/psr: Re-org Activate after enable (FATE#322643
  bsc#1055900).
- drm/i915/psr: Move hsw_enable_source after enabling sink
  (FATE#322643 bsc#1055900).
- drm/i915/psr: Re-create a hsw_psr_enable_source (FATE#322643
  bsc#1055900).
- drm/i915/psr: Unify VSC setup functions (FATE#322643
  bsc#1055900).
- drm/i915/psr: Add activate vfunc (FATE#322643 bsc#1055900).
- drm/i915/psr: hsw_psr_activate (FATE#322643 bsc#1055900).
- drm/i915/psr: vfunc for disabling source (FATE#322643
  bsc#1055900).
- drm/i915/psr: Avoid any PSR stuff on platforms without support
  (FATE#322643 bsc#1055900).
- drm/i915: Only initialize partially filled pagetables
  (FATE#322643 bsc#1055900).
- drm/i915: Make PAT macros more robust (FATE#322643 bsc#1055900).
- drm/i915: Add a default case in gen7 hwsp switch-case
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Add support for PCIe extended configuration space
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Refine error handling for perform_bb_shadow
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Refine error handling in dispatch_workload
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Refine error handling for intel_vgpu_pin_mm
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Refine error handling for
  prepare_execlist_workload (FATE#322643 bsc#1055900).
- drm/i915/gvt: Add error handling for
  intel_gvt_scan_and_shadow_workload (FATE#322643 bsc#1055900).
- drm/i915/gvt: Separate cmd scan from request allocation
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Add emulation for BAR2 (aperture) with normal
  file RW approach (FATE#322643 bsc#1055900).
- drm/i915/kvmgt: Sanitize PCI bar emulation (FATE#322643
  bsc#1055900).
- drm/i915: Transform WaDisablePooledEuLoadBalancingFix into a
  simple register write (FATE#322643 bsc#1055900).
- drm/i915: Transform WaDisableDynamicCreditSharing into a simple
  register write (FATE#322643 bsc#1055900).
- drm/i915: Transform WaDisableGafsUnitClkGating into a simple
  reg write (FATE#322643 bsc#1055900).
- drm/i915: WaPushConstantDereferenceHoldDisable needs to modify
  a masked register (FATE#322643 bsc#1055900).
- drm/i915: Transform WaDisableI2mCycleOnWRPort into a simple
  reg write (FATE#322643 bsc#1055900).
- drm/i915: Transform WaInPlaceDecompressionHang into a simple
  reg write (FATE#322643 bsc#1055900).
- drm/i915: Apply the GTT write flush for all !llc machines
  (FATE#322643 bsc#1055900).
- i915: Fix obj size vs. alignment for drm_pci_alloc()
  (FATE#322643 bsc#1055900).
- drm/i915: Disable mmio debugging during user access (FATE#322643
  bsc#1055900).
- drm/i915/skl+: debugfs entry to control IPC (FATE#322643
  bsc#1055900).
- drm/i915/bxt+: Enable IPC support (FATE#322643 bsc#1055900).
- drm/i915/gen9+: Add has_ipc flag in device info structure
  (FATE#322643 bsc#1055900).
- commit 77f9c1e
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915/cnl: Extend WM workaround with IPC for CNL (FATE#322643
  bsc#1055900).
- drm/i915/glk: IPC linetime watermark workaround for GLK
  (FATE#322643 bsc#1055900).
- drm/i915/gen10: Calculate and enable transition WM (FATE#322643
  bsc#1055900).
- drm/i915/skl+: Optimize WM calculation (FATE#322643
  bsc#1055900).
- drm/i915: Fixed point fixed16 wrapper cleanup (FATE#322643
  bsc#1055900).
- drm/i915: Disable snooping (userptr, set-cache-level) on gen4
  (FATE#322643 bsc#1055900).
- drm: Pass struct drm_file * to __drm_mode_object_find [v2]
  (FATE#322643 bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20170907 (FATE#322643
  bsc#1055900).
- drm/i915/cnl:
  WaThrottleEUPerfToAvoidTDBackPressure:cnl(pre-prod) (FATE#322643
  bsc#1055900).
- drm/i915: Lift has-pinned-pages assert to caller of
  ____i915_gem_object_get_pages (FATE#322643 bsc#1055900).
- drm/i915: Display WA #1133 WaFbcSkipSegments:cnl, glk
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Allow the reg_read ioctl to read the RCS TIMESTAMP
  register (FATE#322643 bsc#1055900).
- drm/i915: Move device_info.has_snoop into the static tables
  (FATE#322643 bsc#1055900).
- drm/i915: Disable MI_STORE_DATA_IMM for i915g/i915gm
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: Wa 1181: Fix Backlight issue (FATE#322643
  bsc#1055900).
- drm/i915: Constify load detect mode (FATE#322643 bsc#1055900).
- drm/i915: io unmap functions want __iomem (FATE#322643
  bsc#1055900).
- drm/i915: Wake up the device for the fbdev setup (FATE#322643
  bsc#1055900).
- drm/i915: Add interface to reserve fence registers for vGPU
  (FATE#322643 bsc#1055900).
- drm/i915: Use correct path to trace include (FATE#322643
  bsc#1055900).
- drm/i915: Eliminate crtc->state usage from
  intel_atomic_commit_tail and .crtc_update() (FATE#322643
  bsc#1055900).
- drm/i915: Eliminate crtc->state usage from
  intel_update_pipe_config() (FATE#322643 bsc#1055900).
- drm/i915: Eliminate obj->state usage from pre/post plane update
  (FATE#322643 bsc#1055900).
- drm/i915: Pass proper old/new states to
  intel_plane_atomic_check_with_state() (FATE#322643 bsc#1055900).
- drm/i915: rework IS_*_GT* macros (FATE#322643 bsc#1055900).
- drm/i915: mark all device info struct with __initconst
  (FATE#322643 bsc#1055900).
- drm/i915: add GT number to intel_device_info (FATE#322643
  bsc#1055900).
- drm/i915: Eliminate obj->state usage in g4x/vlv/chv wm
  computation (FATE#322643 bsc#1055900).
- drm/i915: Pass the crtc state explicitly to
  intel_pipe_update_start/end() (FATE#322643 bsc#1055900).
- drm/i915: Pass the new crtc state to color management code
  (FATE#322643 bsc#1055900).
- drm/i915: Consolidate max_cdclk_freq check in
  intel_crtc_compute_min_cdclk() (FATE#322643 bsc#1055900).
- drm/i915: Track minimum acceptable cdclk instead of "minimum
  dotclock" (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix DP max voltage (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix DDI hdmi level selection (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Move ddi buf trans related functions up
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Move voltage check into ddi buf trans functions
  (FATE#322643 bsc#1055900).
- drm/i915: Enable voltage swing before enabling DDI_BUF_CTL
  (FATE#322643 bsc#1055900).
- drm/i915: Align vswing sequences with old ddi buffer registers
  (FATE#322643 bsc#1055900).
- drm/i915: decouple gen9 and gen10 dp signal levels (FATE#322643
  bsc#1055900).
- drm/i915: Introduce intel_ddi_dp_level (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Avoid ioremap_wc on Cannonlake as well
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: WaDisableI2mCycleOnWRPort (FATE#322643
  bsc#1055900).
- drm/i915/cnl: WA FtrEnableFastAnisoL1BankingFix (FATE#322643
  bsc#1055900).
- drm/i915: Stop using long platform names on clock gating
  functions (FATE#322643 bsc#1055900).
- drm/i915: Discard the request queue if we fail to sleep before
  suspend (FATE#322643 bsc#1055900).
- drm/i915: Clear wedged status upon resume (FATE#322643
  bsc#1055900).
- drm/i915: Always sanity check engine state upon idling
  (FATE#322643 bsc#1055900).
- drm/i915: Don't use GPU relocations prior to cmdparser stalls
  (FATE#322643 bsc#1055900).
- drm/i915: Remove excess indent in intel_finish_reset() caught
  by sparse (FATE#322643 bsc#1055900).
- drm/i915: Beef up of Beef up the IPS vs. CRC workaround
  (FATE#322643 bsc#1055900).
- drm/i915/bios: amend edp block based on intel_vbt_decode
  (FATE#322643 bsc#1055900).
- drm/i915/bios: amend child device flags based on
  intel_vbt_decode (FATE#322643 bsc#1055900).
- drm/i915/bios: amend bdb_general_features (FATE#322643
  bsc#1055900).
- drm/i915/bios: split up iboost to hdmi and dp bitfields
  (FATE#322643 bsc#1055900).
- drm/i915: Fix FBC cfb stride programming for non X-tiled FB
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: don't hardcode DPCLKA_CFGCR0_DDI_CLK_SEL_SHIFT
  (FATE#322643 bsc#1055900).
- drm/i915/bios: drop the rest of the p_ prefixes from pointers
  (FATE#322643 bsc#1055900).
- drm/i915/bios: throw away unused DVO_* macros (FATE#322643
  bsc#1055900).
- drm/i915/bios: group device type definitions together
  (FATE#322643 bsc#1055900).
- drm/i915/bios: document child device config dvo_port values
  a bit better (FATE#322643 bsc#1055900).
- drm/i915/bios: throw away struct old_child_dev_config
  (FATE#322643 bsc#1055900).
- drm/i915/bios: throw away high level child device union
  (FATE#322643 bsc#1055900).
- drm/i915/bios: add legacy contents to common child device config
  (FATE#322643 bsc#1055900).
- drm/i915/bios: remove the raw version of child device config
  (FATE#322643 bsc#1055900).
- drm/i915/bios: document BDB versions of child device config
  fields (FATE#322643 bsc#1055900).
- drm/i915/bios: amend child device config parameters (FATE#322643
  bsc#1055900).
- drm/i915: Beef up the IPS vs. CRC workaround (FATE#322643
  bsc#1055900).
- drm/i915: Make some RPS functions static (FATE#322643
  bsc#1055900).
- drm/i915: Assert that the handle->vma lut is empty on object
  close (FATE#322643 bsc#1055900).
- drm/i915/cnl: WaForceContextSaveRestoreNonCoherent (FATE#322643
  bsc#1055900).
- drm/i915/cnl: WaPushConstantDereferenceHoldDisable (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Coffee Lake works on Kaby Lake PCH (FATE#322643
  bsc#1055900).
- drm/i915/cnl: extract cnl_set_procmon_ref_values (FATE#322643
  bsc#1055900).
- drm/i915/cnl: simplify cnl_procmon_values handling (FATE#322643
  bsc#1055900).
- drm/i915: Boost GPU clocks if we miss the pageflip's vblank
  (FATE#322643 bsc#1055900).
- drm/i915: Constify states passed to enable/disable/etc. encoder
  hooks (FATE#322643 bsc#1055900).
- drm/i915: Plumb crtc_state to PSR enable/disable (FATE#322643
  bsc#1055900).
- drm/i915: Init infoframe vfuncs for DP encoders as well
  (FATE#322643 bsc#1055900).
- drm/i915: Move infoframe vfuncs into intel_digital_port
  (FATE#322643 bsc#1055900).
- drm/i915: Disable infoframes when shutting down DDI HDMI
  (FATE#322643 bsc#1055900).
- drm/i915: Check has_infoframes when enabling infoframes
  (FATE#322643 bsc#1055900).
- drm/i915: Re-enable per-engine reset for Broxton (FATE#322643
  bsc#1055900).
- drm/i915/dp: make is_edp non-static and rename to
  intel_dp_is_edp (FATE#322643 bsc#1055900).
- drm/i915/dp: rename intel_dp_is_edp to intel_dp_is_port_edp
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Apply large line width optimization (FATE#322643
  bsc#1055900).
- drm/i915/cnl: WaDisableEnhancedSBEVertexCaching (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add
  WaDisableReplayBufferBankArbitrationOptimization (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Introduce initial Cannonlake Workarounds
  (FATE#322643 bsc#1055900).
- drm/dp/mst: Sideband message transaction to power up/down nodes
  (FATE#322643 bsc#1055900).
- drm/atomic: Fix freeing connector/plane state too early by
  tracking commits, v3 (FATE#322643 bsc#1055900).
- drm/atomic: Move drm_crtc_commit to drm_crtc_state, v4
  (FATE#322643 bsc#1055900).
- drm/atomic: Return commit in drm_crtc_commit_get for better
  annotation (FATE#322643 bsc#1055900).
- drm/i915: Always wait for flip_done, v2 (FATE#322643
  bsc#1055900).
- drm/dp: Add defines for DP SDP types (FATE#322643 bsc#1055900).
- drm/i915: Deconstruct struct sgt_dma initialiser (FATE#322643
  bsc#1055900).
- drm/i915: Reject unknown syncobj flags (FATE#322643
  bsc#1055900).
- drm/i915: Check incoming alignment for unfenced buffers (on
  i915gm) (FATE#322643 bsc#1055900).
- drm/i915: Hold rcu_read_lock when iterating over the radixtree
  (objects) (FATE#322643 bsc#1055900).
- drm/i915/edp: read edp display control registers unconditionally
  (FATE#322643 bsc#1055900).
- drm/i915: Do not rely on wm preservation for ILK watermarks
  (FATE#322643 bsc#1055900).
- commit 1559905
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915: Cancel the modeset retry work during modeset cleanup
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Adding ACTHD mmio read handler (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Extract mmio_read_from_hw() common function
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Refine MMIO_RING_F() (FATE#322643 bsc#1055900).
- drm/i915/gvt: properly check per_ctx bb valid state (FATE#322643
  bsc#1055900).
- drm/i915/perf: fix perf enable/disable ioctls with 32bits
  userspace (FATE#322643 bsc#1055900).
- drm/i915: Use a mask when applying WaProgramL3SqcReg1Default
  (FATE#322643 bsc#1055900).
- drm/i915: Report -EFAULT before pwrite fast path into shmemfs
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix PLL initialization for HDMI (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix PLL mapping (FATE#322643 bsc#1055900).
- drm/i915: Use bdw_ddi_translations_fdi for Broadwell
  (FATE#322643 bsc#1055900).
- drm/i915: Fix eviction when the GGTT is idle but full
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Fix GPU hang after reusing vGPU instance across
  different guest OS (FATE#322643 bsc#1055900).
- drm/i915/bios: parse DDI ports also for CHV for HDMI DDC pin
  and DP AUX channel (FATE#322643 bsc#1055900).
- drm/i915: Read timings from the correct transcoder in
  intel_crtc_mode_get() (FATE#322643 bsc#1055900).
- drm/i915: Order two completing nop_submit_request (FATE#322643
  bsc#1055900).
- drm/i915: Silence compiler warning for hsw_power_well_enable()
  (FATE#322643 bsc#1055900).
- drm/i915: Use crtc_state_is_legacy_gamma in intel_color_check
  (FATE#322643 bsc#1055900).
- drm/i915/edp: Increase the T12 delay quirk to 1300ms
  (FATE#322643 bsc#1055900).
- drm/i915/edp: Get the Panel Power Off timestamp after panel
  is off (FATE#322643 bsc#1055900).
- drm/i915/glk: Fix DMC/DC state idleness calculation (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Reprogram DMC firmware after S3/S4 resume
  (FATE#322643 bsc#1055900).
- drm/i915: Fix DDI PHY init if it was already on (FATE#322643
  bsc#1055900).
- drm/i915/bios: ignore HDMI on port A (FATE#322643 bsc#1055900).
- drm/i915: remove redundant variable hw_check (FATE#322643
  bsc#1055900).
- drm/i915: always update ELD connector type after get modes
  (FATE#322643 bsc#1055900).
- drm/i915: Remove unused 'in_vbl' from i915_get_crtc_scanoutpos()
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: set min brightness from VBT (FATE#322643
  bsc#1055900).
- Revert "drm/i915/bxt: Disable device ready before shutdown
  command" (bsc#1051510).
- drm/i915/bxt: set min brightness from VBT (FATE#322643
  bsc#1055900).
- drm/i915: Fix an error handling in 'intel_framebuffer_init()'
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Fix incorrect PCI BARs reporting (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Remove one duplicated MMIO (FATE#322643
  bsc#1055900).
- drm/i915: Re-enable GTT following a device reset (FATE#322643
  bsc#1055900).
- drm/i915: Annotate user relocs with __user (FATE#322643
  bsc#1055900).
- drm/i915: Silence sparse by using gfp_t (FATE#322643
  bsc#1055900).
- drm/i915: Add __rcu to radix tree slot pointer (FATE#322643
  bsc#1055900).
- drm/i915: Fix the missing PPAT cache attributes on CNL
  (FATE#322643 bsc#1055900).
- drm/i915: Fix enum pipe vs. enum transcoder for the PCH
  transcoder (FATE#322643 bsc#1055900).
- drm/i915: Make i2c lock ops static (FATE#322643 bsc#1055900).
- drm/i915: Make i9xx_load_ycbcr_conversion_matrix() static
  (FATE#322643 bsc#1055900).
- drm/i915/edp: Increase T12 panel delay to 900 ms to fix DP
  AUX CH timeouts (FATE#322643 bsc#1055900).
- drm/i915: Ignore duplicate VMA stored within the per-object
  handle LUT (FATE#322643 bsc#1055900).
- drm/i915: Skip fence alignemnt check for the CCS plane
  (FATE#322643 bsc#1055900).
- drm/i915: Treat fb->offsets[] as a raw byte offset instead of
  a linear offset (FATE#322643 bsc#1055900).
- drm/i915: Always wake the device to flush the GTT (FATE#322643
  bsc#1055900).
- drm/i915: Recreate vmapping even when the object is pinned
  (FATE#322643 bsc#1055900).
- drm/i915: Quietly cancel FBC activation if CRTC is turned off
  before worker (FATE#322643 bsc#1055900).
- i915: Use drm_syncobj_fence_get (FATE#322643 bsc#1055900).
- drm/syncobj: Add a race-free drm_syncobj_fence_get helper (v2)
  (FATE#322643 bsc#1055900).
- drm/syncobj: Rename fence_get to find_fence (FATE#322643
  bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20170818 (FATE#322643
  bsc#1055900).
- drm/i915: Mark the GT as busy before idling the previous request
  (FATE#322643 bsc#1055900).
- drm/i915: Trivial grammar fix s/opt of/opt out of/ in comment
  (FATE#322643 bsc#1055900).
- drm/i915: Replace execbuf vma ht with an idr (FATE#322643
  bsc#1055900).
- drm/i915: Simplify eb_lookup_vmas() (FATE#322643 bsc#1055900).
- drm/i915: Convert execbuf to use struct-of-array packing for
  critical fields (FATE#322643 bsc#1055900).
- drm/i915: Check context status before looking up our obj/vma
  (FATE#322643 bsc#1055900).
- drm/i915: Don't use MI_STORE_DWORD_IMM on Sandybridge/vcs
  (FATE#322643 bsc#1055900).
- drm/i915: Stop touching forcewake following a gen6+ engine reset
  (FATE#322643 bsc#1055900).
- drm/i915: Split pin mapping into per platform functions
  (FATE#322643 bsc#1055900).
- drm/i915/opregion: let user specify override VBT via firmware
  load (FATE#322643 bsc#1055900).
- drm/i915/cnl: Reuse skl_wm_get_hw_state on Cannonlake
  (FATE#322643 bsc#1055900).
- drm/i915/gen10: implement gen 10 watermarks calculations
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Setup PAT Index (FATE#322643 bsc#1055900).
- drm/i915/edp: Allow alternate fixed mode for eDP if available
  (FATE#322643 bsc#1055900).
- drm/i915: Add support for drm syncobjs (FATE#322643
  bsc#1055900).
- drm/i915: Handle full s64 precision for wait-ioctl (FATE#322643
  bsc#1055900).
- drm/i915: Split obj->cache_coherent to track r/w (FATE#322643
  bsc#1055900).
- drm/i915/hsw+: Add support for multiple power well regs
  (FATE#322643 bsc#1055900).
- drm/i915: Work around GCC anonymous union initialization bug
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Fix guest i915 full ppgtt blocking issue
  (FATE#322643 bsc#1055900).
- drm/i915: Enable guest i915 full ppgtt functionality
  (FATE#322643 bsc#1055900).
- drm/i915: Disconnect 32 and 48 bit ppGTT support (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Add shadow context descriptor updating
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: expose vGPU context hw id (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Refine the intel_vgpu_reset_gtt reset function
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Add carefully checking in GTT walker paths
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Remove duplicated MMIO entries (FATE#322643
  bsc#1055900).
- drm/i915/gvt: take runtime pm when do early scan and shadow
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Replace duplicated code with exist function
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: To check whether workload scan and shadow has
  mutex hold (FATE#322643 bsc#1055900).
- drm/i915/gvt: Audit and shadow workload during ELSP writing
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Factor out scan and shadow from workload dispatch
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Optimize ring siwtch 2x faster again by light
  weight mmio access wrapper (FATE#322643 bsc#1055900).
- drm/i915/gvt: Optimize ring siwtch 2x faster by removing
  unnecessary POSTING_READ (FATE#322643 bsc#1055900).
- drm/i915/gvt: Use gvt_err to print the resource not enough error
  (FATE#322643 bsc#1055900).
- drm/i915/dp: Validate the compliance test link parameters
  (FATE#322643 bsc#1055900).
- drm/i915/dp: Generalize intel_dp_link_params function to accept
  arguments to be validated (FATE#322643 bsc#1055900).
- drm/i915: More surgically unbreak the modeset vs reset deadlock
  (FATE#322643 bsc#1055900).
- drm/i915: Push i915_sw_fence_wait into the nonblocking atomic
  commit (FATE#322643 bsc#1055900).
- drm/i915/gen9: Send all components in VF state (FATE#322643
  bsc#1055900).
- drm/i915/guc: Rename GuC irq trigger function (FATE#322643
  bsc#1055900).
- drm/i915: Add SW_SYNC to our recommend testing Kconfig
  (FATE#322643 bsc#1055900).
- drm/i915: Introduce intel_hpd_pin function (FATE#322643
  bsc#1055900).
- drm/i915: Simplify hpd pin to port (FATE#322643 bsc#1055900).
- drm/i915/cnl: Dump the right pll registers when dumping pipe
  config (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add allowed DP rates for Cannonlake (FATE#322643
  bsc#1055900).
- drm/i915: make structure intel_sprite_plane_funcs static
  (FATE#322643 bsc#1055900).
- drm/i915/fbc: only update no_fbc_reason when active (FATE#322643
  bsc#1055900).
- commit bb1995e
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915/gen10: fix WM latency printing (FATE#322643
  bsc#1055900).
- drm/i915/gen10: fix the gen 10 SAGV block time (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Enable SAGV for Cannonlake (FATE#322643
  bsc#1055900).
- drm/i915/gen10+: use the SKL code for reading WM latencies
  (FATE#322643 bsc#1055900).
- drm/i915: Avoid null dereference if mst_port is unset
  (FATE#322643 bsc#1055900).
- drm/i915/perf: Drop redundant check for perf.initialised on
  reset (FATE#322643 bsc#1055900).
- drm/i915/perf: Drop lockdep assert for i915_oa_init_reg_state()
  (FATE#322643 bsc#1055900).
- drm/i915/perf: Initialise dynamic sysfs group before creation
  (FATE#322643 bsc#1055900).
- drm/i915: enum i915_power_well_id is not proper kernel-doc
  (FATE#322643 bsc#1055900).
- drm/i915: Add format modifiers for Intel (FATE#322643
  bsc#1055900).
- drm/i915: Add render decompression support (FATE#322643
  bsc#1055900).
- drm/i915: Implement .get_format_info() hook for CCS (FATE#322643
  bsc#1055900).
- drm/i915: Supply the engine-id for our mock_engine()
  (FATE#322643 bsc#1055900).
- drm/i915/psr: Preserve SRD_CTL bit 29 on PSR init (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Removing missing DDI_E bits from CNL (FATE#322643
  bsc#1055900).
- drm/i915/selftests: Retarget igt_render_engine_reset_fallback()
  (FATE#322643 bsc#1055900).
- drm/i915/perf: Initialise the dynamic sysfs attr (FATE#322643
  bsc#1055900).
- drm/i915: enable WaDisableDopClkGating for skl (FATE#322643
  bsc#1055900).
- drm/i915: Fix PCH names for KBP and CNP (FATE#322643
  bsc#1055900).
- drm/i915/perf: Implement I915_PERF_ADD/REMOVE_CONFIG interface
  (FATE#322643 bsc#1055900).
- drm/i915: reorder NOA register definition to follow addresses
  (FATE#322643 bsc#1055900).
- drm/i915/perf: disable NOA logic when not used (FATE#322643
  bsc#1055900).
- drm/i915/perf: leave GDT_CHICKEN_BITS programming in configs
  (FATE#322643 bsc#1055900).
- drm/i915/perf: prune OA configs (FATE#322643 bsc#1055900).
- drm/i915: add const to bin_attribute (FATE#322643 bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20170731 (FATE#322643
  bsc#1055900).
- drm/i915: Remove unused i915_err_print_instdone (FATE#322643
  bsc#1055900).
- drm/i915: Include mbox details for pcode read/write failures
  (FATE#322643 bsc#1055900).
- drm/i915/sdvo: Shut up state checker with hdmi cards on gen3
  (FATE#322643 bsc#1055900).
- drm/i915: Rework sdvo proxy i2c locking (FATE#322643
  bsc#1055900).
- drm/i915: Call the unlocked version of
  i915_gem_object_get_pages() (FATE#322643 bsc#1055900).
- drm/i915: Move i915_gem_object_phys_attach() (FATE#322643
  bsc#1055900).
- drm/i915: Pin the pages before acquiring struct_mutex for
  display (FATE#322643 bsc#1055900).
- drm/i915: Make i915_gem_object_phys_attach() use obj->mm.lock
  more appropriately (FATE#322643 bsc#1055900).
- drm/i915: Trim struct_mutex usage for kms (FATE#322643
  bsc#1055900).
- drm/i915: Handle msr read failure gracefully (FATE#322643
  bsc#1055900).
- drm/i915/fbc: add comments to the FBC auxiliary structs
  (FATE#322643 bsc#1055900).
- drm/i915: cleanup the CHICKEN_MISC_2 (re)definitions
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Fix kbuild error (FATE#322643 bsc#1055900).
- drm/i915: Squelch reset messages during selftests (FATE#322643
  bsc#1055900).
- drm/i915/selftest: Refactor reset locking (FATE#322643
  bsc#1055900).
- drm/i915: Don't touch fence->error when resetting an innocent
  request (FATE#322643 bsc#1055900).
- drm/i915: Enforce that CS packets are qword aligned (FATE#322643
  bsc#1055900).
- drm/i915/glk: set HDMI 2.0 identifier (FATE#322643 bsc#1055900).
- drm/i915: set colorspace for YCBCR420 outputs (FATE#322643
  bsc#1055900).
- drm/i915: prepare csc unit for YCBCR420 output (FATE#322643
  bsc#1055900).
- drm/i915: prepare pipe for YCBCR420 output (FATE#322643
  bsc#1055900).
- drm/i915: prepare scaler for YCBCR420 modeset (FATE#322643
  bsc#1055900).
- drm/i915: add config function for YCBCR420 outputs (FATE#322643
  bsc#1055900).
- drm/i915: Gather all the power well->domain mappings to one
  place (FATE#322643 bsc#1055900).
- drm/i915: Move hsw_power_well_enable() next to the rest of
  HSW helpers (FATE#322643 bsc#1055900).
- drm/i915/gen9+: Unify the HSW/BDW and GEN9+ power well helpers
  (FATE#322643 bsc#1055900).
- drm/i915/hsw+: Add has_fuses power well attribute (FATE#322643
  bsc#1055900).
- drm/i915/hsw, bdw: Wait for the power well disabled state
  (FATE#322643 bsc#1055900).
- drm/i915/hsw, bdw: Add irq_pipe_mask, has_vga power well
  attributes (FATE#322643 bsc#1055900).
- drm/i915/hsw+: Unify the hsw/bdw and gen9+ power well req/state
  macros (FATE#322643 bsc#1055900).
- drm/i915/hsw, bdw: Split power well set to enable/disable
  helpers (FATE#322643 bsc#1055900).
- drm/i915/hsw, bdw: Remove redundant state check during power
  well toggling (FATE#322643 bsc#1055900).
- drm/i915/gen9+: Remove redundant state check during power well
  toggling (FATE#322643 bsc#1055900).
- drm/i915/gen9+: Remove redundant power well state assert during
  enabling (FATE#322643 bsc#1055900).
- drm/i915/bxt, glk: Give a proper name to the power well struct
  phy field (FATE#322643 bsc#1055900).
- drm/i915: Check for duplicated power well IDs (FATE#322643
  bsc#1055900).
- drm/i915/hsw, bdw: Add an ID for the global display power well
  (FATE#322643 bsc#1055900).
- drm/i915/gen2: Add an ID for the display pipes power well
  (FATE#322643 bsc#1055900).
- drm/i915: Assign everywhere the always-on power well ID
  (FATE#322643 bsc#1055900).
- drm/i915: Unify power well ID enums (FATE#322643 bsc#1055900).
- drm/i915/chv: Add unique power well ID for the pipe A power well
  (FATE#322643 bsc#1055900).
- drm/i915: Simplify scaler init during CRTC HW readout
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Exercise independence of per-engine resets
  (FATE#322643 bsc#1055900).
- drm/i915: Disable per-engine reset for Broxton (FATE#322643
  bsc#1055900).
- drm/i915: Emit a user level message when resetting the GPU
  (or engine) (FATE#322643 bsc#1055900).
- drm/i915: Make i915_gem_context_mark_guilty() safe for unlocked
  updates (FATE#322643 bsc#1055900).
- drm/i915: Clear engine irq posted following a reset (FATE#322643
  bsc#1055900).
- drm/i915: Assert that machine is wedged for nop_submit_request
  (FATE#322643 bsc#1055900).
- drm/i915: Wake up waiters after setting the WEDGED bit
  (FATE#322643 bsc#1055900).
- drm/i915: Move idle checks before
  intel_engine_init_global_seqno() (FATE#322643 bsc#1055900).
- drm/i915: Clear execlist port[] before updating seqno on wedging
  (FATE#322643 bsc#1055900).
- drm/i915: Check the execlist queue for pending requests before
  declaring idle (FATE#322643 bsc#1055900).
- drm/i915: Check execlist/ring status during hangcheck
  (FATE#322643 bsc#1055900).
- drm/i915: Flush the execlist ports if idle (FATE#322643
  bsc#1055900).
- drm/i915: Serialize per-engine resets against new requests
  (FATE#322643 bsc#1055900).
- drm/i915: Reset context image on engines after triggering the
  reset (FATE#322643 bsc#1055900).
- drm/i915: Report execlists irq bit in debugfs (FATE#322643
  bsc#1055900).
- Revert "drm/i915: Add heuristic to determine better way to
  adjust brightness" (FATE#322643 bsc#1055900).
- Revert "drm/i915: Add option to support dynamic backlight via
  DPCD" (FATE#322643 bsc#1055900).
- drm/i915: Drop unpin stall in atomic_prepare_commit (FATE#322643
  bsc#1055900).
- drm/i915: Remove intel_flip_work infrastructure (FATE#322643
  bsc#1055900).
- drm/i915: adjust has_pending_fb_unpin to atomic (FATE#322643
  bsc#1055900).
- drm/i915: Rip out legacy page_flip completion/irq handling
  (FATE#322643 bsc#1055900).
- drm/i915: s/INTEL_INFO(dev_priv)->gen/INTEL_GEN(dev_priv)
  in i915_irq (FATE#322643 bsc#1055900).
- drm/i915: Nuke legacy flip queueing code (FATE#322643
  bsc#1055900).
- drm/i915: Pass enum pipe to
  intel_set_pch_fifo_underrun_reporting() (FATE#322643
  bsc#1055900).
- drm/i915/selftests: Mark contexts as lost during freeing of
  mock device (FATE#322643 bsc#1055900).
- drm/i915: unregister interfaces first in unload (FATE#322643
  bsc#1055900).
- drm/i915: Fix fbdev unload sequence (FATE#322643 bsc#1055900).
- drm/atomic-helper: Fix leak in disable_all (FATE#322643
  bsc#1055900).
- drm/i915/selftests: Attach a stub pm_domain (FATE#322643
  bsc#1055900).
- drm/i915: Drain the device workqueue on unload (FATE#322643
  bsc#1055900).
- drm/i915: More stolen quirking (FATE#322643 bsc#1055900).
- drm/i915: Explicit the connector name for DP link training
  result (FATE#322643 bsc#1055900).
- commit d7aac3c
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915: Consistently use enum pipe for PCH transcoders
  (FATE#322643 bsc#1055900).
- drm/i915: Fix error checking/locking in perf/lookup_context()
  (FATE#322643 bsc#1055900).
- drm: Handle properties in the core for atomic drivers
  (FATE#322643 bsc#1055900).
- drm: Don't update property values for atomic drivers
  (FATE#322643 bsc#1055900).
- drm/i915: Use the drm_driver.dumb_destroy default (FATE#322643
  bsc#1055900).
- drm/fb-helper: pass physical dimensions to fbdev (FATE#322643
  bsc#1055900).
- drm: i915: remove dead code and pointless local lut storage
  (FATE#322643 bsc#1055900).
- drm/fb-helper: add new drm_setup_crtcs_fb() function
  (FATE#322643 bsc#1055900).
- drm/fb: Fix pointer dereference before null check (FATE#322643
  bsc#1055900).
- drm: Create a format/modifier blob (FATE#322643 bsc#1055900).
- drm: Plumb modifiers through plane init (FATE#322643
  bsc#1055900).
- drm: Fix warning when building docs for scdc_helper (FATE#322643
  bsc#1055900).
- drm/modes: Fix drm_mode_is_420_only() comment (FATE#322643
  bsc#1055900).
- drm/dumb-buffers: Add defaults for .dumb_map_offset and
  .dumb_destroy (FATE#322643 bsc#1055900).
- drm/gem: Add drm_gem_dumb_map_offset() (FATE#322643
  bsc#1055900).
- drm/atomic: implement drm_atomic_helper_commit_tail for
  runtime_pm users (FATE#322643 bsc#1055900).
- drm: Improve kerneldoc for drm_modeset_lock (FATE#322643
  bsc#1055900).
- drm/fb-helper: Support deferred setup (FATE#322643 bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20170717 (FATE#322643
  bsc#1055900).
- drm/i915: Protect against deferred fbdev setup (FATE#322643
  bsc#1055900).
- drm/i915/fbdev: Always forward hotplug events (FATE#322643
  bsc#1055900).
- drm/i915/skl+: unify cpp value in WM calculation (FATE#322643
  bsc#1055900).
- drm/i915/skl+: WM calculation don't require height (FATE#322643
  bsc#1055900).
- drm/i915: Addition wrapper for fixed16.16 operation (FATE#322643
  bsc#1055900).
- drm/i915: cleanup fixed-point wrappers naming (FATE#322643
  bsc#1055900).
- drm/i915: Always perform internal fixed16 division in 64 bits
  (FATE#322643 bsc#1055900).
- drm/i915: take-out common clamping code of fixed16 wrappers
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add missing type case (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add max allowed Cannonlake DC (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Get DDI clock based on PLLs (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Inherit RPS stuff from previous platforms
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Gen10 render context size (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Don't trust VBT's alternate pin for port D for
  now (FATE#322643 bsc#1055900).
- drm/i915: Fix the kernel panic when using aliasing ppgtt
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Cannonlake color init (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add force wake for gen10+ (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix comment about AUX IO power well enable/disable
  (FATE#322643 bsc#1055900).
- drm/i915/gen9+: Don't remove secondary power well requests
  (FATE#322643 bsc#1055900).
- drm/i915/bxt, glk: Fix assert on conditions for DC9 enabling
  (FATE#322643 bsc#1055900).
- drm/i915/skl: Don't disable misc IO power well during display
  uninit (FATE#322643 bsc#1055900).
- drm/i915/gen9+: Add 10 us delay after power well 1/AUX IO pw
  disabling (FATE#322643 bsc#1055900).
- drm/i915: Only free the oldest stale context before allocating
  (FATE#322643 bsc#1055900).
- drm/i915: Drop request retirement before reaping stale contexts
  (FATE#322643 bsc#1055900).
- drm/i915: Move stale context reaping to common
  i915_gem_context_create (FATE#322643 bsc#1055900).
- drm/i915: Check new context against kernel_context after
  reporting an error (FATE#322643 bsc#1055900).
- drm/i915: Setting pch_id for HSW/BDW in virtual environment
  (FATE#322643 bsc#1055900).
- drm: i915: sysfs: constify attribute_group structures
  (FATE#322643 bsc#1055900).
- drm/i915/edp: Add a T12 panel delay quirk to fix DP AUX CH
  timeouts (FATE#322643 bsc#1055900).
- drm/i915/skl+: Scaling not supported in IF-ID Interlace mode
  (FATE#322643 bsc#1055900).
- drm/i915/skl+: Check for supported plane configuration in
  Interlace mode (FATE#322643 bsc#1055900).
- drm/i915: Fix use-after-free of context during free_contexts
  (FATE#322643 bsc#1055900).
- drm/i915: Prevent kernel panic when reading/writing compliance
  debugfs files, v2 (FATE#322643 bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20170703 (FATE#322643
  bsc#1055900).
- drm/i915: Avoid keeping waitboost active for signaling threads
  (FATE#322643 bsc#1055900).
- drm/i915: Drop flushing of the object free list/worker from
  i915_gem_suspend (FATE#322643 bsc#1055900).
- drm/i915: Cancel pending execlists irq handler upon idling
  (FATE#322643 bsc#1055900).
- drm/i915/selftests: Fix mutex imbalance for
  igt_render_engine_reset_fallback (FATE#322643 bsc#1055900).
- drm/i915/dp: Remove -1/+1 from t11_t12 for Gen9_LP/CNP case
  (FATE#322643 bsc#1055900).
- drm/i915/dp: Fix the t11_t12 panel power cycle delay from VBT
  read (FATE#322643 bsc#1055900).
- drm/i915: Add option to support dynamic backlight via DPCD
  (FATE#322643 bsc#1055900).
- drm/i915: Add heuristic to determine better way to adjust
  brightness (FATE#322643 bsc#1055900).
- drm/i915: Set PWM divider to match desired frequency in vbt
  (FATE#322643 bsc#1055900).
- drm/i915: Always use 9 bits of the LPC bridge device ID for
  PCH detection (FATE#322643 bsc#1055900).
- drm/i915: Clean up some expressions (FATE#322643 bsc#1055900).
- drm/i915: Document that PPT==CPT and WPT==LPT (FATE#322643
  bsc#1055900).
- drm/i915: s/Couar/Cougar/ (FATE#322643 bsc#1055900).
- drm/i915: Use HAS_PCH_CPT() everywhere (FATE#322643
  bsc#1055900).
- drm/i915: pass the vma to insert_entries (FATE#322643
  bsc#1055900).
- drm/i915: Cancel pending execlist tasklet upon wedging
  (FATE#322643 bsc#1055900).
- drm/i915: Assert the vma's active tracking is clear before free
  (FATE#322643 bsc#1055900).
- drm/i915: select CRC32 (FATE#322643 bsc#1055900).
- drm/i915: Enable Engine reset and recovery support (FATE#322643
  bsc#1055900).
- drm/i915/selftests: reset engine self tests (FATE#322643
  bsc#1055900).
- drm/i915: Export per-engine reset count info to debugfs
  (FATE#322643 bsc#1055900).
- drm/i915: Add engine reset count to error state (FATE#322643
  bsc#1055900).
- drm/i915: Add support for per engine reset recovery (FATE#322643
  bsc#1055900).
- drm/i915: Modify error handler for per engine hang recovery
  (FATE#322643 bsc#1055900).
- drm/i915: Update i915.reset to handle engine resets (FATE#322643
  bsc#1055900).
- drm/i915: Look for active requests earlier in the reset path
  (FATE#322643 bsc#1055900).
- drm/i915: Wait for concurrent global resets to complete
  (FATE#322643 bsc#1055900).
- drm/i915: Enable rcu-only context lookups (FATE#322643
  bsc#1055900).
- drm/i915: Allow contexts to be unreferenced locklessly
  (FATE#322643 bsc#1055900).
- drm/i915: Group all the global context information together
  (FATE#322643 bsc#1055900).
- drm/i915: Do not re-calculate num_rings locally (FATE#322643
  bsc#1055900).
- drm/i915: Simplify intel_engines_init (FATE#322643 bsc#1055900).
- drm/i915: Make intel_digital_port_connected() work for any port
  (FATE#322643 bsc#1055900).
- drm/syncobj: Fix kerneldoc (FATE#322643 bsc#1055900).
- drm/atomic: Allow drm_atomic_helper_swap_state to fail
  (FATE#322643 bsc#1055900).
- drm/i915: Handle drm_atomic_helper_swap_state failure
  (FATE#322643 bsc#1055900).
- drm/atomic: Change drm_atomic_helper_swap_state to return an
  error (FATE#322643 bsc#1055900).
- drm: Update docs around gem_free_object (FATE#322643
  bsc#1055900).
- drm: Don't complain too much about struct_mutex (FATE#322643
  bsc#1055900).
- drm: add helper functions for YCBCR420 handling (FATE#322643
  bsc#1055900).
- drm/edid: parse ycbcr 420 deep color information (FATE#322643
  bsc#1055900).
- drm/edid: parse YCBCR420 videomodes from EDID (FATE#322643
  bsc#1055900).
- drm: add helper to validate YCBCR420 modes (FATE#322643
  bsc#1055900).
- drm/edid: cleanup patch for CEA extended-tag macro (FATE#322643
  bsc#1055900).
- drm/edid: parse sink information before CEA blocks (FATE#322643
  bsc#1055900).
- drm/edid: complete CEA modedb(VIC 1-107) (FATE#322643
  bsc#1055900).
- drm/fb-helper: separate the fb_setcmap helper into atomic and
  legacy paths (FATE#322643 bsc#1055900).
- commit 963a693
* Wed Feb 21 2018 tiwai@suse.de
- drm/atomic-helper: update lut props directly in
  ..._legacy_gamma_set (FATE#322643 bsc#1055900).
- drm: rename, adjust and export drm_atomic_replace_property_blob
  (FATE#322643 bsc#1055900).
- drm/dp/mst: Use memchr_inv() instead of memcmp() against a
  zeroed array (FATE#322643 bsc#1055900).
- drm/atomic: Make private objs proper objects (FATE#322643
  bsc#1055900).
- drm/atomic: Remove pointless private object NULL state check
  (FATE#322643 bsc#1055900).
- drm/i915: Use correct iterator macro (FATE#322643 bsc#1055900).
- drm/atomic: Use new iterator macros in
  drm_atomic_helper_wait_for_flip_done (FATE#322643 bsc#1055900).
- drm/atomic: Use the new helpers in
  drm_atomic_helper_disable_all() (FATE#322643 bsc#1055900).
- drm/atomic: Use the correct iterator macro in atomic_remove_fb
  (FATE#322643 bsc#1055900).
- drm: inhibit drm drivers register to uninitialized drm core
  (FATE#322643 bsc#1055900).
- drm/fb-helper: remove drm_fb_helper_save_lut_atomic (FATE#322643
  bsc#1055900).
- drm/fb-helper: keep the .gamma_store updated in
  drm_fb_helper_setcmap (FATE#322643 bsc#1055900).
- drm/fb-helper: factor out pseudo-palette (FATE#322643
  bsc#1055900).
- drm/fb-helper: Split dpms handling into legacy and atomic paths
  (FATE#322643 bsc#1055900).
- drm/fb-helper: Stop using mode_config.mutex for internals
  (FATE#322643 bsc#1055900).
- drm/fb-helper: Push locking into
  restore_fbdev_mode_atomic|legacy (FATE#322643 bsc#1055900).
- drm/fb-helper: Push locking into pan_display_atomic|legacy
  (FATE#322643 bsc#1055900).
- drm/fb-helper: Drop locking from the vsync wait ioctl code
  (FATE#322643 bsc#1055900).
- drm/fb-helper: Push locking in fb_is_bound (FATE#322643
  bsc#1055900).
- drm/fb-helper: Add top-level lock (FATE#322643 bsc#1055900).
- drm/i915: Drop FBDEV #ifdev in mst code (FATE#322643
  bsc#1055900).
- drm/fb-helper: Push down modeset lock into FB helpers
  (FATE#322643 bsc#1055900).
- drm: Remove pending_read_domains and pending_write_domain
  (FATE#322643 bsc#1055900).
- drm/fb-helper: Remove drm_mode_config_fb (FATE#322643
  bsc#1055900).
- drm/atomic: initial support for asynchronous plane update
  (FATE#322643 bsc#1055900).
- drm/core: Fail atomic IOCTL with no CRTC state but with
  signaling (FATE#322643 bsc#1055900).
- drm/atomic-helper: Simplify commit tracking locking (FATE#322643
  bsc#1055900).
- drm/i915: Drop drm_vblank_cleanup (FATE#322643 bsc#1055900).
- drm: Add drm_atomic_helper_wait_for_flip_done() (FATE#322643
  bsc#1055900).
- drm: Check for drm_device->dev in drm_set_busid (FATE#322643
  bsc#1055900).
- drm: Convert CMA fbdev console suspend helpers to use bool
  (FATE#322643 bsc#1055900).
- drm: More links for gamma support helpers (FATE#322643
  bsc#1055900).
- drm/doc: Improve ioctl/fops docs a bit more (FATE#322643
  bsc#1055900).
- drm/pci: Deprecate drm_pci_init/exit completely (FATE#322643
  bsc#1055900).
- drm: Remove drm_driver->set_busid hook (FATE#322643
  bsc#1055900).
- drm/vblank: Consistent drm_crtc_ prefix (FATE#322643
  bsc#1055900).
- drm/vblank: _ioctl posfix for ioctl handler (FATE#322643
  bsc#1055900).
- drm/doc: vblank cleanup (FATE#322643 bsc#1055900).
- drm/i915: Clear lost context-switch interrupts across reset
  (FATE#322643 bsc#1055900).
- drm/i915/bxt: use NULL for GPIO connection ID (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix LSPCON support (FATE#322643 bsc#1055900).
- drm/i915: Initialize 'data' in intel_dsi_dcs_backlight.c
  (FATE#322643 bsc#1055900).
- drm/i915: Avoid the gpu reset vs. modeset deadlock (FATE#322643
  bsc#1055900).
- drm/i915: Suppress switch_mm emission between the same
  aliasing_ppgtt (FATE#322643 bsc#1055900).
- drm/i915: Return correct EDP voltage swing table for 0.85V
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add slice and subslice information to debugfs
  (FATE#322643 bsc#1055900).
- drm/i915: remove unused function declaration (FATE#322643
  bsc#1055900).
- drm/i915: fix backlight invert for non-zero minimum brightness
  (FATE#322643 bsc#1055900).
- drm/i915/shrinker: Wrap need_resched() inside preempt-disable
  (FATE#322643 bsc#1055900).
- drm/i915/perf: fix flex eu registers programming (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Change the max length of mmio_reg_rw from 4 to 8
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Initialize MMIO Block with HW state (FATE#322643
  bsc#1055900).
- drm/i915/gvt: clean workload queue if error happened
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: change resetting to resetting_eng (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Extend KBL platform support in GVT-g (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Fix the vblank timer close issue after shutdown
  VMs in reverse (FATE#322643 bsc#1055900).
- drm/i915: Fix bad comparison in skl_compute_plane_wm
  (FATE#322643 bsc#1055900).
- drm/i915: Force CPU synchronisation even if userspace requests
  ASYNC (FATE#322643 bsc#1055900).
- drm/i915: Only skip updating execobject.offset after error
  (FATE#322643 bsc#1055900).
- drm/i915: Only mark the execobject as pinned on success
  (FATE#322643 bsc#1055900).
- drm/i915: Remove assertion from raw __i915_vma_unpin()
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix loadgen select programming on ddi vswing
  sequence (FATE#322643 bsc#1055900).
- drm/i915/selftests: Fix an error handling path in
  'mock_gem_device()' (FATE#322643 bsc#1055900).
- drm/i915: Unbreak gpu reset vs. modeset locking (FATE#322643
  bsc#1055900).
- drm/i915: Fix cursor updates on some platforms (FATE#322643
  bsc#1055900).
- drm/i915: Fix user ptr check size in eb_relocate_vma()
  (FATE#322643 bsc#1055900).
- drm: vblank: Fix vblank timestamp update (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Use fence error from GVT request for workload
  status (FATE#322643 bsc#1055900).
- drm/i915/gvt: remove scheduler_mutex in per-engine
  workload_thread (FATE#322643 bsc#1055900).
- drm/i915/gvt: Revert "drm/i915/gvt: Fix possible recursive
  locking issue" (FATE#322643 bsc#1055900).
- drm/i915/gvt: Audit the command buffer address (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Fix a memory leak in intel_gvt_init_gtt()
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix the CURSOR_COEFF_MASK used in DDI Vswing
  Programming (FATE#322643 bsc#1055900).
- drm/i915/cfl: Fix Workarounds (FATE#322643 bsc#1055900).
- drm/i915: Avoid undefined behaviour of "u32 >> 32" (FATE#322643
  bsc#1055900).
- drm/i915: Fix an error checking test (FATE#322643 bsc#1055900).
- drm/i915/gvt: Make function dpy_reg_mmio_readx safe (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Don't read ADPA_CRT_HOTPLUG_MONITOR from host
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Set initial PORT_CLK_SEL vreg for BDW (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Fix possible recursive locking issue (FATE#322643
  bsc#1055900).
- drm: Remove unused drm_file parameter to
  drm_syncobj_replace_fence() (FATE#322643 bsc#1055900).
- drm/i915: Clear execbuf's vma backpointer upon release
  (FATE#322643 bsc#1055900).
- drm/i915: Pass the right flags to i915_vma_move_to_active()
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix RMW on ddi vswing sequence (FATE#322643
  bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20170619 (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Introduce Coffee Lake workarounds (FATE#322643
  bsc#1055900).
- drm/i915: Store 9 bits of PCI Device ID for platforms with a
  LP PCH (FATE#322643 bsc#1055900).
- drm/i915: Stash a pointer to the obj's resv in the vma
  (FATE#322643 bsc#1055900).
- drm/i915: Async GPU relocation processing (FATE#322643
  bsc#1055900).
- drm/i915: Allow execbuffer to use the first object as the batch
  (FATE#322643 bsc#1055900).
- drm/i915: Wait upon userptr get-user-pages within execbuffer
  (FATE#322643 bsc#1055900).
- drm/i915: First try the previous execbuffer location
  (FATE#322643 bsc#1055900).
- drm/i915: Store a persistent reference for an object in the
  execbuffer cache (FATE#322643 bsc#1055900).
- drm/i915: Eliminate lots of iterations over the execobjects
  array (FATE#322643 bsc#1055900).
- drm/i915: Disable EXEC_OBJECT_ASYNC when doing relocations
  (FATE#322643 bsc#1055900).
- drm/i915: Pass vma to relocate entry (FATE#322643 bsc#1055900).
- drm/i915: Store a direct lookup from object handle to vma
  (FATE#322643 bsc#1055900).
- drm/i915: Fix retrieval of hangcheck stats (FATE#322643
  bsc#1055900).
- drm/i915: Store i915_gem_object_is_coherent() as a bit next
  to cache-dirty (FATE#322643 bsc#1055900).
- drm/i915: Mark CPU cache as dirty on every transition for CPU
  writes (FATE#322643 bsc#1055900).
- commit b736327
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915: Make i915_vma_destroy() static (FATE#322643
  bsc#1055900).
- drm/i915: Actually attach the tv_format property to the SDVO
  connector (FATE#322643 bsc#1055900).
- drm/i915/gvt: Refine virtual reset function (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Fix GDRST vreg state after reset (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Tuning the size of MMIO hash lookup table to 2048
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Add helper for tuning MMIO hash table (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Make the MMIO attribute wrappers be inline
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Make mmio_attribute as type u8 to save 1.5MB
  memory (FATE#322643 bsc#1055900).
- drm/i915/gvt: Cleanup struct intel_gvt_mmio_info (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Optimize MMIO register handling for some large
  MMIO blocks (FATE#322643 bsc#1055900).
- drm/i915/gvt: add gtt_invalidate API to flush the GTT TLB
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Add runtime_pm get/put to proctect MMIO accessing
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: remove redundant -Wall (FATE#322643 bsc#1055900).
- drm/i915/gvt: Legacy HSW related MMIO handler clean up
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Trigger scheduling after context complete
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Support event based scheduling (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Delete gvt_dbg_cmd() in cmd_parser_exec()
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: Change flood gvt dmesg into trace (FATE#322643
  bsc#1055900).
- drm/i915/gvt: clean up the unused last_ctx_submit_time of
  struct intel_vgpu (FATE#322643 bsc#1055900).
- drm/i915/gvt: add RING_INSTDONE and SC_INSTDONE mmio handler
  in GVT-g (FATE#322643 bsc#1055900).
- drm/i915/gvt: implement per-vm mmio switching optimization
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: refactor function intel_vgpu_submit_execlist
  (FATE#322643 bsc#1055900).
- drm/i915/gvt: rewrite the trace gvt:gvt_command using trace
  style approach (FATE#322643 bsc#1055900).
- Revert "drm/i915/skl: New ddb allocation algorithm" (FATE#322643
  bsc#1055900).
- drm/i915/glk: Add cold boot sequence for GLK DSI (FATE#322643
  bsc#1055900).
- drm/i915/glk: Split GLK DSI device ready functionality
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: make function cnl_ddi_dp_set_dpll_hw_state static
  (FATE#322643 bsc#1055900).
- drm/i915: Remove pipe A quirk remnants (FATE#322643
  bsc#1055900).
- drm/i915: Drop pipe A quirk for Thinkapd T60 (FATE#322643
  bsc#1055900).
- drm/i915: Drop pipe A quirk for Toshiba Protege R205-S209
  (FATE#322643 bsc#1055900).
- drm/i915: Add i830 "pipes power well" (FATE#322643 bsc#1055900).
- drm/i915: Use a loop for the "three times for luck" DPLL
  procedure (FATE#322643 bsc#1055900).
- drm/i915: Split vma exec_link/evict_link (FATE#322643
  bsc#1055900).
- drm/i915: Use vma->exec_entry as our double-entry placeholder
  (FATE#322643 bsc#1055900).
- drm/i915: Amalgamate execbuffer parameter structures
  (FATE#322643 bsc#1055900).
- drm/i915/perf: add GLK support (FATE#322643 bsc#1055900).
- drm/i915/perf: add KBL support (FATE#322643 bsc#1055900).
- drm/i915: add KBL GT2/GT3 check macros (FATE#322643
  bsc#1055900).
- drm/i915/perf: remove perf.hook_lock (FATE#322643 bsc#1055900).
- drm/i915/perf: per-gen timebase for checking sample freq
  (FATE#322643 bsc#1055900).
- drm/i915/perf: Add more OA configs for BDW, CHV, SKL + BXT
  (FATE#322643 bsc#1055900).
- drm/i915/perf: Add OA unit support for Gen 8+ (FATE#322643
  bsc#1055900).
- drm/i915/perf: Add 'render basic' Gen8+ OA unit configs
  (FATE#322643 bsc#1055900).
- drm/i915/perf: rework mux configurations queries (FATE#322643
  bsc#1055900).
- drm/i915: expose _SUBSLICE_MASK GETPARM (FATE#322643
  bsc#1055900).
- drm/i915: expose _SLICE_MASK GETPARM (FATE#322643 bsc#1055900).
- drm/i915: Reinstate reservation_object zapping for batch_pool
  objects (FATE#322643 bsc#1055900).
- drm/i915: Spin for struct_mutex inside shrinker (FATE#322643
  bsc#1055900).
- drm/i915: Only restrict noreclaim in the early shrink passes
  (FATE#322643 bsc#1055900).
- drm/i915/cfl: Basic DDI plumbing for Coffee Lake (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Enable wrpll computation for CNL (FATE#322643
  bsc#1055900).
- drm/i915/cnl: LSPCON support is gen9+ (FATE#322643 bsc#1055900).
- drm/i915/cnl: Enable fifo underrun for Cannonlake (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix Cannonlake scaler mode programing (FATE#322643
  bsc#1055900).
- drm/i915: Use HAS_CSR instead of gen number on DMC load
  (FATE#322643 bsc#1055900).
- drm/i915/DMC/CNL: Load DMC on CNL (FATE#322643 bsc#1055900).
- drm/i915/cnl: Enable loadgen_select bit for vswing sequence
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Implement voltage swing sequence (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add DDI Buffer translation tables for Cannonlake
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add registers related to voltage swing sequences
  (FATE#322643 bsc#1055900).
- drm/i915: Add MMIO helper for 6 ports with different offsets
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Initialize PLLs (FATE#322643 bsc#1055900).
- drm/i915: Configure DPLL's for Cannonlake (FATE#322643
  bsc#1055900).
- drm/i915/cnl: DDI - PLL mapping (FATE#322643 bsc#1055900).
- drm/i915/cnl: Allow dynamic cdclk changes on CNL (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Implement CNL display init/unit sequence
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Implement .set_cdclk() for CNL (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Implement .get_display_clock_speed() for CNL
  (FATE#322643 bsc#1055900).
- drm/i915: Pass atomic state to backlight enable/disable/set
  callbacks (FATE#322643 bsc#1055900).
- drm/i915: Pass connector state to intel_panel_set_backlight_acpi
  (FATE#322643 bsc#1055900).
- drm/i915: Pass crtc_state and connector state to backlight
  enable/disable functions (FATE#322643 bsc#1055900).
- drm/i915/cfl: Coffee Lake reuses Kabylake DMC (FATE#322643
  bsc#1055900).
- drm/i915/huc: Load HuC on Coffee Lake (FATE#322643 bsc#1055900).
- drm/i915/guc: Load GuC on Coffee Lake (FATE#322643 bsc#1055900).
- drm/i915/cfl: Add Coffee Lake PCI IDs for U Sku (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Add Coffee Lake PCI IDs for H Sku (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Add Coffee Lake PCI IDs for S Skus (FATE#322643
  bsc#1055900).
- drm/i915/glk: Remove the alpha_support flag (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Introduce Display workarounds for Coffee Lake
  (FATE#322643 bsc#1055900).
- drm/i915/cfl: Coffee Lake uses CNP PCH (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Introduce Coffee Lake platform definition
  (FATE#322643 bsc#1055900).
- drm/i915: Remove the spin-request during execbuf await_request
  (FATE#322643 bsc#1055900).
- drm/i915: Skip adding the request to the signal tree is complete
  (FATE#322643 bsc#1055900).
- drm/i915: Report back whether the irq was armed when adding
  the waiter (FATE#322643 bsc#1055900).
- drm/i915: Check signaled state after enabling signaling
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Clear enable_guc_loading in case of init failure
  (FATE#322643 bsc#1055900).
- drm/i915: Move the unclaimed mmio detection into the powerwell
  for KMS (FATE#322643 bsc#1055900).
- drm/i915: Unify GT* and GT3 definitions (FATE#322643
  bsc#1055900).
- drm/i915: Remove unnecessary PORT3 definition (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Also need power well sanitize (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add power wells for CNL (FATE#322643 bsc#1055900).
- drm/i915/gen10: Set value of Indirect Context Offset for gen10
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Cannonlake has same MOCS table than Skylake
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Configure EU slice power gating (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Cannonlake has 4 planes (3 sprites) per pipe
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: add IS_CNL_REVID macro (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add Cannonlake PCI IDs for Y-skus (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add Cannonlake PCI IDs for U-skus (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Cannonlake uses CNP PCH (FATE#322643 bsc#1055900).
- drm/i915/cnl: Introduce Cannonlake platform defition
  (FATE#322643 bsc#1055900).
- commit 35f6167
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915: s/fbc_fc/fbc_false_color/ (FATE#322643 bsc#1055900).
- drm/i915: Implement fbc_status "Compressing" info for all
  platforms (FATE#322643 bsc#1055900).
- drm/i915: Remove dead code from runtime resume handler
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: Panel Power sequence changes for CNP PCH
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: add CNP gmbus support (FATE#322643 bsc#1055900).
- drm/i915/cnp: Backlight support for CNP (FATE#322643
  bsc#1055900).
- drm/i915/cnp: Get/set proper Raw clock frequency on CNP
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: Add PCI ID for Cannonpoint LP PCH (FATE#322643
  bsc#1055900).
- drm/i915/cnp: Introduce Cannonpoint PCH (FATE#322643
  bsc#1055900).
- drm/i915: Allow kswapd to pause the device whilst reaping
  (FATE#322643 bsc#1055900).
- drm/i915: return the correct usable aperture size under gvt
  environment (FATE#322643 bsc#1055900).
- drm/i915: Check the ring is empty when declaring the engines
  are idle (FATE#322643 bsc#1055900).
- drm/i915/guc: Assert that we switch between known
  ggtt->invalidate functions (FATE#322643 bsc#1055900).
- drm/i915/dvo: fix debug logging on unknown DID (FATE#322643
  bsc#1055900).
- drm/i915/ddi: Avoid long delays during system suspend / eDP
  disabling (FATE#322643 bsc#1055900).
- drm/i915/glk: Fix dotclock calculation in
  skl_check_pipe_max_pixel_rate (FATE#322643 bsc#1055900).
- drm/i915/skl+: consider max supported plane pixel rate while
  scaling (FATE#322643 bsc#1055900).
- drm/i915/skl: New ddb allocation algorithm (FATE#322643
  bsc#1055900).
- drm/i915/guc: Fix doorbell id selection (FATE#322643
  bsc#1055900).
- drm/i915/gvt: Return -EIO if host GuC submission is enabled
  when loading GVT-g (FATE#322643 bsc#1055900).
- drm/i915/gvt: Return -EIO if host enable_execlists not enabled
  when loading GVT-g (FATE#322643 bsc#1055900).
- drm/i915/gvt: Add gvt options sanitize function (FATE#322643
  bsc#1055900).
- drm/i915: Remove toplevel struct_mutex locking from
  debugfs/i915_drop_caches (FATE#322643 bsc#1055900).
- drm/i915: Add kerneldoc to describe i915_gem_object.vma_list
  (FATE#322643 bsc#1055900).
- drm/i915: Convert intel_sdvo connector properties to atomic
  (FATE#322643 bsc#1055900).
- drm/i915: Handle force_audio correctly in intel_sdvo
  (FATE#322643 bsc#1055900).
- drm/i915: Convert intel_hdmi connector properties to atomic
  (FATE#322643 bsc#1055900).
- drm/i915: Convert intel_dp properties to atomic, v2 (FATE#322643
  bsc#1055900).
- drm/i915: Make intel_dp->has_audio reflect hw state only
  (FATE#322643 bsc#1055900).
- drm/i915: Convert LVDS connector properties to atomic
  (FATE#322643 bsc#1055900).
- drm/i915: Convert DSI connector properties to atomic
  (FATE#322643 bsc#1055900).
- drm/i915: Add plumbing for digital connector state, v3
  (FATE#322643 bsc#1055900).
- drm/i915: Use per-connector scaling mode property (FATE#322643
  bsc#1055900).
- drm/i915: Use atomic scaling_mode instead of panel.fitting_mode
  (FATE#322643 bsc#1055900).
- drm/i915: Remove decoupled MMIO code (FATE#322643 bsc#1055900).
- drm: Reduce scope of 'state' variable (FATE#322643 bsc#1055900).
- drm: Remove duplicate forward declaration (FATE#322643
  bsc#1055900).
- drm: Add const to name field declaration in struct
  drm_prop_enum_list (FATE#322643 bsc#1055900).
- drm/syncobj: add sync_file interaction. (v1.2) (FATE#322643
  bsc#1055900).
- drm: introduce sync objects (v4) (FATE#322643 bsc#1055900).
- drm: remove writeq/readq function definitions (FATE#322643
  bsc#1055900).
- drm/doc: Polish irq helper documentation (FATE#322643
  bsc#1055900).
- drm: Extract drm_vblank.[hc] (FATE#322643 bsc#1055900).
- drm/atomic: Consitfy mode parameter to
  drm_atomic_set_mode_for_crtc() (FATE#322643 bsc#1055900).
- drm: better document how to send out the crtc disable event
  (FATE#322643 bsc#1055900).
- drm: Use vsnprintf extension %%ph (FATE#322643 bsc#1055900).
- drm/doc: move printf helpers out of drmP.h (FATE#322643
  bsc#1055900).
- drm: Use mode_valid() in atomic modeset (FATE#322643
  bsc#1055900).
- drm: Use new mode_valid() helpers in connector probe helper
  (FATE#322643 bsc#1055900).
- drm: Introduce drm_bridge_mode_valid() (FATE#322643
  bsc#1055900).
- drm: Add drm_{crtc/encoder/connector}_mode_valid() (FATE#322643
  bsc#1055900).
- drm: Remove drm_device->virtdev (FATE#322643 bsc#1055900).
- drm/i915: use drm_for_each_connector_iter() (FATE#322643
  bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20170529 (FATE#322643
  bsc#1055900).
- drm/i915: Keep the forcewake timer alive for 1ms past the most
  recent use (FATE#322643 bsc#1055900).
- drm/i915/guc: capture GuC logs if FW fails to load (FATE#322643
  bsc#1055900).
- drm/i915/guc: Introduce buffer based cmd transport (FATE#322643
  bsc#1055900).
- drm/i915/guc: Disable send function on fini (FATE#322643
  bsc#1055900).
- drm: Add definition for eDP backlight frequency (FATE#322643
  bsc#1055900).
- drm/i915: Drop AUX backlight enable check for backlight control
  (FATE#322643 bsc#1055900).
- drm/i915: Consolidate #ifdef CONFIG_INTEL_IOMMU (FATE#322643
  bsc#1055900).
- drm/i915: Only GGTT vma may be pinned and prevent shrinking
  (FATE#322643 bsc#1055900).
- drm/i915: Convert i915_gem_object_ops->flags values to use BIT()
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Skip port assign on first iteration of GuC dequeue
  (FATE#322643 bsc#1055900).
- drm/i915: Remove misleading comment in request_alloc
  (FATE#322643 bsc#1055900).
- drm/i915/g33: Improve reset reliability (FATE#322643
  bsc#1055900).
- drm/i915/huc: Update GLK HuC version (FATE#322643 bsc#1055900).
- drm/i915: Check for allocation failure (FATE#322643
  bsc#1055900).
- drm/i915/guc: Remove action status and statistics from debugfs
  (FATE#322643 bsc#1055900).
- drm/i915/g4x: Improve gpu reset reliability (FATE#322643
  bsc#1055900).
- drm/i915/guc: Remove last submission result from debugfs
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Remove failed doorbell stat from debugfs
  (FATE#322643 bsc#1055900).
- drm/i915: Reorder media/render reset on g4x (FATE#322643
  bsc#1055900).
- drm/i915: Try harder to reset the GPU (FATE#322643 bsc#1055900).
- drm/i915/selftests: Pretend to be a gfx pci device (FATE#322643
  bsc#1055900).
- drm/i915: Check C for null pointer rather than B (FATE#322643
  bsc#1055900).
- drm/i915/skl+: use linetime latency if ddb size is not available
  (FATE#322643 bsc#1055900).
- drm/i915/skl+: Perform wm level calculations in separate
  function (FATE#322643 bsc#1055900).
- drm/i915/skl+: Watermark calculation cleanup (FATE#322643
  bsc#1055900).
- drm/i915/skl+: Fail the flip if ddb min requirement exceeds
  pipe allocation (FATE#322643 bsc#1055900).
- drm/i915/skl+: no need to memset again (FATE#322643
  bsc#1055900).
- drm/i915/skl: Fail the flip if no FB for WM calculation
  (FATE#322643 bsc#1055900).
- drm/i915/skl+: calculate pixel_rate & relative_data_rate in
  fixed point (FATE#322643 bsc#1055900).
- drm/i915: Use fixed_16_16 wrapper for division operation
  (FATE#322643 bsc#1055900).
- drm/i915: Add more wrapper for fixed_point_16_16 operations
  (FATE#322643 bsc#1055900).
- drm/i915: fix naming of fixed_16_16 wrapper (FATE#322643
  bsc#1055900).
- drm/i915: Don't force serialisation on marking up execlists
  irq posted (FATE#322643 bsc#1055900).
- drm/i915: Stop inlining the execlists IRQ handler (FATE#322643
  bsc#1055900).
- drm/i915/execlists: Reduce lock contention between
  schedule/submit_request (FATE#322643 bsc#1055900).
- drm/i915: Create a kmem_cache to allocate struct i915_priolist
  from (FATE#322643 bsc#1055900).
- drm/i915: Split execlist priority queue into rbtree + linked
  list (FATE#322643 bsc#1055900).
- drm/i915: Use a define for the default priority [0] (FATE#322643
  bsc#1055900).
- drm/i915: Don't mark an execlists context-switch when idle
  (FATE#322643 bsc#1055900).
- drm/i915/execlists: Pack the count into the low bits of the
  port.request (FATE#322643 bsc#1055900).
- drm/i915: Redefine ptr_pack_bits() and friends (FATE#322643
  bsc#1055900).
- drm/i915: Make ptr_unpack_bits() more function-like (FATE#322643
  bsc#1055900).
- drm/i915: Import the kfence selftests for i915_sw_fence
  (FATE#322643 bsc#1055900).
- drm/i915: Remove kref from i915_sw_fence (FATE#322643
  bsc#1055900).
- drm/i915/gen9: Reintroduce WaEnableYV12BugFixInHalfSliceChicken7
  (FATE#322643 bsc#1055900).
- gpu: drm: i915: compress logic into one line (FATE#322643
  bsc#1055900).
- commit 8d45858
* Wed Feb 21 2018 tiwai@suse.de
- gpu: drm: i915: remove dead code (FATE#322643 bsc#1055900).
- drm/i915/guc:fix spelling mistake: "adddress" -> "address"
  (FATE#322643 bsc#1055900).
- drm/i915/glk: Calculate high/low switch count for GLK
  (FATE#322643 bsc#1055900).
- drm/i915: Fixup 64bit divides in timelines selftest (FATE#322643
  bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20170515 (FATE#322643
  bsc#1055900).
- drm/i915/perf: rate limit spurious oa report notice (FATE#322643
  bsc#1055900).
- drm/i915/perf: better pipeline aged/aging tail updates
  (FATE#322643 bsc#1055900).
- drm/i915/perf: improve invalid OA format debug message
  (FATE#322643 bsc#1055900).
- drm/i915/perf: improve tail race workaround (FATE#322643
  bsc#1055900).
- drm/i915/perf: no head/tail ref in gen7_oa_read (FATE#322643
  bsc#1055900).
- drm/i915/perf: avoid read back of head register (FATE#322643
  bsc#1055900).
- drm/i915/perf: avoid poll, read, EAGAIN busy loops (FATE#322643
  bsc#1055900).
- drm/i915/perf: fix gen7_append_oa_reports comment (FATE#322643
  bsc#1055900).
- drm/i915: Restore brightness level in aux backlight driver
  (FATE#322643 bsc#1055900).
- drm/i915: Set backlight mode before enable backlight
  (FATE#322643 bsc#1055900).
- drm/i915: Correctly enable backlight brightness adjustment
  via DPCD (FATE#322643 bsc#1055900).
- drm/i915: Fix cap check for intel_dp_aux_backlight driver
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Make scratch register base and count flexible
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Move notification code into virtual function
  (FATE#322643 bsc#1055900).
- drm/i915: Remove vma unpin in intel_plane_destroy (FATE#322643
  bsc#1055900).
- drm/i915: Fix hw state verifier access to crtc->state
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Dump the GuC stage descriptor pool in debugfs
  (FATE#322643 bsc#1055900).
- drm/i915: Fix __intel_wait_for_register_fw to not sleep in
  atomic (FATE#322643 bsc#1055900).
- drm/i915: Simplify cursor register write sequence (FATE#322643
  bsc#1055900).
- drm/i915: Relax 845/865 CURBASE alignemnt requirement to 32
  bytes (FATE#322643 bsc#1055900).
- drm/i915: Handle fb offset and src coordinates for cursors
  (FATE#322643 bsc#1055900).
- drm/i915: Fix gen3 physical cursor alignment requirements
  (FATE#322643 bsc#1055900).
- drm/i915: Support variable cursor height on ivb+ (FATE#322643
  bsc#1055900).
- drm/i915: Use fb->pitches[0] in cursor code (FATE#322643
  bsc#1055900).
- drm/i915: Generalize cursor size checks a bit (FATE#322643
  bsc#1055900).
- drm/i915: Split cursor check_plane into i845 and i9xx variants
  (FATE#322643 bsc#1055900).
- drm/i915: Drop useless posting reads from cursor commit
  (FATE#322643 bsc#1055900).
- drm/i915: Move cursor position and base handling into the
  platform specific functions (FATE#322643 bsc#1055900).
- drm/i915: Refactor CURPOS calculation (FATE#322643 bsc#1055900).
- drm/i915: Clean up cursor junk from intel_crtc (FATE#322643
  bsc#1055900).
- drm/i915: Refactor CURBASE calculation (FATE#322643
  bsc#1055900).
- drm/i915: Pass intel_plane and intel_crtc to plane hooks
  (FATE#322643 bsc#1055900).
- drm/i915: Parametrize cursor/primary pipe select bits
  (FATE#322643 bsc#1055900).
- drm/i915: Add support for sprites on g4x (FATE#322643
  bsc#1055900).
- drm/i915: Add g4x watermark tracepoint (FATE#322643
  bsc#1055900).
- drm/i915: Enable HPLL watermarks on g4x (FATE#322643
  bsc#1055900).
- drm/i915: Two stage watermarks for g4x (FATE#322643
  bsc#1055900).
- drm/i915: Apply the g4x TLB miss w/a to SR watermarks as well
  (FATE#322643 bsc#1055900).
- drm/i915: Refactor wm calculations (FATE#322643 bsc#1055900).
- drm/i915: Refactor the g4x TLB miss w/a to a helper (FATE#322643
  bsc#1055900).
- drm/i915: Fix the g4x watermark TLB miss workaround (FATE#322643
  bsc#1055900).
- drm/i915: Fix cursor 'cpp' in watermark calculatins for old
  platforms (FATE#322643 bsc#1055900).
- drm/i915: Document CxSR (FATE#322643 bsc#1055900).
- drm/i915: Make vlv/chv watermark debug print less cryptic
  (FATE#322643 bsc#1055900).
- drm/i915: Rename bunch of vlv_ watermark structures to g4x_
  (FATE#322643 bsc#1055900).
- drm/i915: s/vlv_num_wm_levels/intel_wm_num_levels/ (FATE#322643
  bsc#1055900).
- drm/i915: Drop the debug message from vlv_get_fifo_size()
  (FATE#322643 bsc#1055900).
- drm/i915: s/vlv_plane_wm_compute/vlv_raw_plane_wm_compute/
  etc (FATE#322643 bsc#1055900).
- drm/i915/lvds: Remove magic from PLL programming (FATE#322643
  bsc#1055900).
- drm/i915: Sanitize stolen memory size calculation (FATE#322643
  bsc#1055900).
- drm/i915: Check error return when converting pipe to connector
  (FATE#322643 bsc#1055900).
- drm/i915: Check error return when setting DMA mask (FATE#322643
  bsc#1055900).
- drm/i915/sdvo: Check error return from intel_sdvo_get_value()
  (FATE#322643 bsc#1055900).
- drm/i915/dp: Check error return during DPCD capability queries
  (FATE#322643 bsc#1055900).
- drm/i915/vlv: Fix port B PLL opamp initialization (FATE#322643
  bsc#1055900).
- drm/i915: Show dmc debug registers on Kabylake (FATE#322643
  bsc#1055900).
- drm/i915: Move uncore definitions into a separate header
  (FATE#322643 bsc#1055900).
- drm/i915: use memdup_user_nul (FATE#322643 bsc#1055900).
- drm/i915: Micro-optimise hotpath through intel_ring_begin()
  (FATE#322643 bsc#1055900).
- drm/i915: Report the ring->space from intel_ring_update_space()
  (FATE#322643 bsc#1055900).
- drm/i915: Avoid the branch in computing intel_ring_space()
  (FATE#322643 bsc#1055900).
- drm/i915: Use engine->context_pin() to report the intel_ring
  (FATE#322643 bsc#1055900).
- drm/i915: Implement dma_buf_ops->kmap (FATE#322643 bsc#1055900).
- drm/i915: Clean up the LPE audio platform data (FATE#322643
  bsc#1055900).
- drm/i915: Reorganize intel_lpe_audio_notify() arguments
  (FATE#322643 bsc#1055900).
- drm/i915: Remove hdmi_connected from LPE audio pdata
  (FATE#322643 bsc#1055900).
- drm/i915: Replace tmds_clock_speed and link_rate with just
  ls_clock (FATE#322643 bsc#1055900).
- drm/i915: Remove the unused pending_notify from LPE platform
  data (FATE#322643 bsc#1055900).
- drm/i915: Switch the global i915.semaphores check to a local
  predicate (FATE#322643 bsc#1055900).
- drm/i915: Do not record a successful syncpoint for a dma-await
  (FATE#322643 bsc#1055900).
- drm/i915: Rename intel_timeline.sync_seqno[] to .global_sync[]
  (FATE#322643 bsc#1055900).
- drm/i915: Squash repeated awaits on the same fence (FATE#322643
  bsc#1055900).
- drm/i915: Lift timeline ordering to await_dma_fence (FATE#322643
  bsc#1055900).
- drm/i915: Unwrap top level fence-array (FATE#322643
  bsc#1055900).
- drm/i915: Mark up clflushes as belonging to an unordered
  timeline (FATE#322643 bsc#1055900).
- drm/i915: Use wait_for_atomic_us when waiting for gt fifo
  (FATE#322643 bsc#1055900).
- drm/i915: Move the GTFIFODBG to the common mmio dbg framework
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Enable send function only after successful init
  (FATE#322643 bsc#1055900).
- drm/i915: Do not leak dev_priv->l3_parity.remap_info[]
  (FATE#322643 bsc#1055900).
- drm/i915: Update DRIVER_DATE to 20170502 (FATE#322643
  bsc#1055900).
- drm/i915: Capture CCID on ILK (FATE#322643 bsc#1055900).
- drm/i915: Reset ILK during GEM sanitization (FATE#322643
  bsc#1055900).
- drm/i915: Eliminate HAS_HW_CONTEXTS (FATE#322643 bsc#1055900).
- drm/i915: Sanitize engine context sizes (FATE#322643
  bsc#1055900).
- drm/i915/guc: Fix sleep under spinlock during reset (FATE#322643
  bsc#1055900).
- drm/i915: Defer context state allocation for legacy ring
  submission (FATE#322643 bsc#1055900).
- drm/i915: Rename gen8_(un)request_engine_reset to
  gen8_reset_engine_start/cancel (FATE#322643 bsc#1055900).
- drm/i915: Fix stale comment about I915_RESET_IN_PROGRESS flag
  (FATE#322643 bsc#1055900).
- drm/i915/glk: Don't allow 12 bpc when htotal is too big
  (FATE#322643 bsc#1055900).
- drm/i915: Skip waking the signaler when enabling before request
  submission (FATE#322643 bsc#1055900).
- drm/i915: Poison the request before emitting commands
  (FATE#322643 bsc#1055900).
- drm/i915: Report request restarts for both execlists/guc
  (FATE#322643 bsc#1055900).
- drm/i915: Include interesting seqno in the missed breadcrumb
  debug (FATE#322643 bsc#1055900).
- drm/i915: Avoid format string expansion from engine names
  (FATE#322643 bsc#1055900).
- drm/i915: Fix GCC 4.4 build issue with
  __intel_wait_for_register_fw (FATE#322643 bsc#1055900).
- commit 60934e6
* Wed Feb 21 2018 tiwai@suse.de
- drm/i915: Update DRIVER_DATE to 20170418 (FATE#322643
  bsc#1055900).
- drm/i915: Copy user requested buffers into the error state
  (FATE#322643 bsc#1055900).
- drm/i915: set "ret" correctly on error paths (FATE#322643
  bsc#1055900).
- drm/i915: Implement Link Rate fallback on Link training failure
  (FATE#322643 bsc#1055900).
- drm/i915/guc: write wopcm related register once during uc init
  (FATE#322643 bsc#1055900).
- drm/i915/dp: Validate cached link rate and lane count before
  retraining (FATE#322643 bsc#1055900).
- drm/i915: Wake device for emitting request during selftest
  (FATE#322643 bsc#1055900).
- drm/i915: Pretend the engine is always idle when mocking
  (FATE#322643 bsc#1055900).
- drm/i915: Add stub mmio read/write routines to mock device
  (FATE#322643 bsc#1055900).
- drm/i915: Treat WC a separate cache domain (FATE#322643
  bsc#1055900).
- drm/i915: Combine write_domain flushes to a single function
  (FATE#322643 bsc#1055900).
- drm/i915: Do not use lock all in hsw_trans_edp_pipe_A_crc_wa
  (FATE#322643 bsc#1055900).
- Revert "drm/i915: Lock mode_config.mutex in
  intel_display_resume." (FATE#322643 bsc#1055900).
- drm/i915: Convert intel DVO connector to atomic (FATE#322643
  bsc#1055900).
- drm/i915: Convert intel_crt connector properties to atomic
  (FATE#322643 bsc#1055900).
- drm/i915: Convert intel_dp_mst connector properties to atomic
  (FATE#322643 bsc#1055900).
- drm/i915: Remove unused dp properties for dp-mst (FATE#322643
  bsc#1055900).
- drm/i915: Convert intel_tv connector properties to atomic, v5
  (FATE#322643 bsc#1055900).
- drm/i915: Remove unused members from intel_tv.c (FATE#322643
  bsc#1055900).
- drm/i915/execlists: Document runtime pm for
  intel_lrc_irq_handler() (FATE#322643 bsc#1055900).
- drm/i915: Lie and treat all engines as idle if wedged
  (FATE#322643 bsc#1055900).
- drm/i915: Use the engine class to get the context size
  (FATE#322643 bsc#1055900).
- drm/i915: Bail if we do not setup the RCS engine (FATE#322643
  bsc#1055900).
- drm/i915/dp: read sink count to a temporary variable first
  (FATE#322643 bsc#1055900).
- drm/i915/dp: use readb and writeb calls for single byte DPCD
  access (FATE#322643 bsc#1055900).
- drm/i915/dp: localize link rate index variable more (FATE#322643
  bsc#1055900).
- drm/i915/mst: use max link not sink lane count (FATE#322643
  bsc#1055900).
- drm/i915/dp: add functions for max common link rate and lane
  count (FATE#322643 bsc#1055900).
- drm/i915/dp: don't call the link parameters sink parameters
  (FATE#322643 bsc#1055900).
- drm/i915/dp: do not limit rate seek when not needed (FATE#322643
  bsc#1055900).
- drm/i915/dp: cache common rates with sink rates (FATE#322643
  bsc#1055900).
- drm/i915/dp: use the sink rates array for max sink rates
  (FATE#322643 bsc#1055900).
- drm/i915: Rename intel_engine_cs.exec_id to uabi_id (FATE#322643
  bsc#1055900).
- drm/i915: Split the engine info table in two levels, using
  class + instance (FATE#322643 bsc#1055900).
- drm/i915: Generate the engine name based on the instance number
  (FATE#322643 bsc#1055900).
- drm/i915: Use the same vfunc for BSD2 ring init (FATE#322643
  bsc#1055900).
- drm/i915: Classify the engines in class + instance (FATE#322643
  bsc#1055900).
- drm/i915: Use safer intel_uncore_wait_for_register in ring-init
  (FATE#322643 bsc#1055900).
- drm/i915: Use __intel_uncore_wait_for_register_fw for
  sandybride_pcode_read (FATE#322643 bsc#1055900).
- drm/i915: Acquire uncore.lock over
  intel_uncore_wait_for_register() (FATE#322643 bsc#1055900).
- drm/i915: Stop sleeping from inside gen6_bsd_submit_request()
  (FATE#322643 bsc#1055900).
- drm/i915: Stop second guessing the caller for
  intel_uncore_wait_for_register() (FATE#322643 bsc#1055900).
- drm/i915: Don't allow overuse of __intel_wait_for_register_fw()
  (FATE#322643 bsc#1055900).
- drm/i915: Drop const qualifiers from params in
  wait_for_register() (FATE#322643 bsc#1055900).
- drm/i915: Use drm_i915_private directly from debugfs
  (FATE#322643 bsc#1055900).
- drm/i915/guc: Use wait_for_register_fw() while waiting for
  MMIO response (FATE#322643 bsc#1055900).
- drm/i915: Extend intel_wait_for_register_fw() with fast timeout
  (FATE#322643 bsc#1055900).
- drm/i915: Fix type of timeout_ms parameter in
  intel_wait_for_register_fw() (FATE#322643 bsc#1055900).
- drm/i915: Insert cond_resched() into i915_gem_free_objects
  (FATE#322643 bsc#1055900).
- drm/i915: Break up long runs of freeing objects (FATE#322643
  bsc#1055900).
- drm/i915: Simplify shrinker locking (FATE#322643 bsc#1055900).
- drm/i915: Drain any freed objects prior to hibernation
  (FATE#322643 bsc#1055900).
- drm/i915: The shrinker already acquires struct_mutex, so call
  it unlocked (FATE#322643 bsc#1055900).
- i915: initialize the free_list of the fencing atomic_helper
  (FATE#322643 bsc#1055900).
- drm/i915: Advance ring->head fully when idle (FATE#322643
  bsc#1055900).
- drm/i915: Assert the engine is idle before overwiting the HWS
  (FATE#322643 bsc#1055900).
- drm/i915/GLK/HuC: Load HuC on GLK (FATE#322643 bsc#1055900).
- drm/i915/GuC/GLK: Load GuC on GLK (FATE#322643 bsc#1055900).
- drm/i915/glk: limit pixel clock to 99%% of cdclk workaround
  (FATE#322643 bsc#1055900).
- drm/i915/dp: generate and cache sink rate array for all DP,
  not just eDP 1.4 (FATE#322643 bsc#1055900).
- drm/i915/dp: cache source rates at init (FATE#322643
  bsc#1055900).
- drm/i915/dp: rename rate_to_index() to intel_dp_rate_index()
  and reuse (FATE#322643 bsc#1055900).
- drm/i915/dp: return errors from rate_to_index() (FATE#322643
  bsc#1055900).
- drm/i915/dp: use known correct array size in rate_to_index
  (FATE#322643 bsc#1055900).
- drm/i915: Enable atomic on VLV/CHV (FATE#322643 bsc#1055900).
- drm/i915: Use intel_wm_plane_visible() on VLV/CHV as well
  (FATE#322643 bsc#1055900).
- drm/i915: Check for id==PLANE_CURSOR instead of
  type==DRM_PLANE_TYPE_CURSOR (FATE#322643 bsc#1055900).
- drm/i915/guc: Use GUC prefix for CORE_FAMILY definitions
  (FATE#322643 bsc#1055900).
- drm/i915: Typo fix - 'pipe bpc' to 'pipe bpp' (FATE#322643
  bsc#1055900).
- drm/i915/huc: Simplify intel_huc_init_hw() (FATE#322643
  bsc#1055900).
- drm/i915: Remove user-triggerable WARN from
  i915_gem_object_create (FATE#322643 bsc#1055900).
- drm/i915: Onion unwind for intel_init_ring_common() (FATE#322643
  bsc#1055900).
- drm/i915: intel_ring.engine is unused (FATE#322643 bsc#1055900).
- drm/doc: Clarify mode_fixup vs. atomic_check a bit more
  (FATE#322643 bsc#1055900).
- drm/doc: Document adjusted/request modes a bit better
  (FATE#322643 bsc#1055900).
- drm: Add crtc/encoder/bridge->mode_valid() callbacks
  (FATE#322643 bsc#1055900).
- drm: Add DRM_MODE_ROTATE_ and DRM_MODE_REFLECT_ to UAPI
  (FATE#322643 bsc#1055900).
- drm: trivial documentation fix to drm_for_each_connector_iter
  (FATE#322643 bsc#1055900).
- drm: add missing declaration to drm_blend.h (FATE#322643
  bsc#1055900).
- drm/dp: Wait up all outstanding tx waiters (FATE#322643
  bsc#1055900).
- drm/dp: Read the tx msg state once after checking for an event
  (FATE#322643 bsc#1055900).
- drm/prime: Forward declare struct device (FATE#322643
  bsc#1055900).
- drm/vblank: Lock down vblank->hwmode more (FATE#322643
  bsc#1055900).
- drm/vblank: drop the mode argument from
  drm_calc_vbltimestamp_from_scanoutpos (FATE#322643 bsc#1055900).
- drm/vblank: Add FIXME comments about moving the vblank ts hooks
  (FATE#322643 bsc#1055900).
- drm/vblank: Switch to bool in_vblank_irq in get_vblank_timestamp
  (FATE#322643 bsc#1055900).
- drm/vblank: Switch drm_driver->get_vblank_timestamp to return
  a bool (FATE#322643 bsc#1055900).
- drm: Nerf the preclose callback for modern drivers (FATE#322643
  bsc#1055900).
- drm: Remove redundant NULL check during atomic plane commit
  (FATE#322643 bsc#1055900).
- drm/atomic: Add support for custom scaling mode properties,
  v2 (FATE#322643 bsc#1055900).
- drm/atomic: Handle picture_aspect_ratio in atomic core
  (FATE#322643 bsc#1055900).
- drm/prime: Introduce drm_gem_prime_import_dev (FATE#322643
  bsc#1055900).
- drm/i915: Track MST link bandwidth (FATE#322643 bsc#1055900).
- drm/atomic: fix doc to use new name for commit types
  (FATE#322643 bsc#1055900).
- drm: Make drm_atomic_replace_property_blob_from_id() more
  generic (FATE#322643 bsc#1055900).
- drm: drm_color_mgmt.h needs struct drm_crtc declaration
  (FATE#322643 bsc#1055900).
- drm/cec: Add CEC over Aux register definitions (FATE#322643
  bsc#1055900).
- drm: Add DPCD definitions for DP 1.4 DSC feature (FATE#322643
  bsc#1055900).
- drm/doc: Interlink color manager docs better (FATE#322643
  bsc#1055900).
- drm: fix spelling mistake: "committing" (FATE#322643
  bsc#1055900).
- commit bb6495e
* Wed Feb 21 2018 tiwai@suse.de
- Disable downstream DRM patches temporarily for upgrading the base codes
- commit bc652a8
* Tue Feb 20 2018 msuchanek@suse.de
- blacklist
  7a074fc08389 powerpc/64s: Fix ps3 build error due to tlbiel_all()
  015eb1b89e95 powerpc/mm/radix: Fix build error when RADIX_MMU=n
- commit 5a608da
* Tue Feb 20 2018 msuchanek@suse.de
- powerpc/64s/radix: Boot-time NULL pointer protection using a
  guard-PID (bsc#1055117).
- powerpc/64s: Improve local TLB flush for boot and MCE on POWER9
  (bsc#1055117).
- powerpc/64s: Initialize ISAv3 MMU registers before setting
  partition table (bsc#1055117).
- commit 67f5cce
* Tue Feb 20 2018 jack@suse.cz
- ext4: Fix offset overflow on 32-bit archs in ext4_iomap_begin()
  (bsc#1079747).
- commit bbceb80
* Tue Feb 20 2018 bp@suse.de
- objtool: Improve retpoline alternative handling (bsc#1068032
  CVE-2017-5754).
- objtool: Add support for alternatives at the end of a section
  (bsc#1068032 CVE-2017-5754).
- objtool: Warn on stripped section symbol (bsc#1068032
  CVE-2017-5754).
- x86/entry/64: Remove the SYSCALL64 fast path (bsc#1068032
  CVE-2017-5754).
- x86/entry/64: Push extra regs right away (bsc#1068032
  CVE-2017-5754).
- x86/asm: Move 'status' from thread_struct to thread_info
  (bsc#1068032 CVE-2017-5754).
- x86/speculation: Use Indirect Branch Prediction Barrier in
  context switch (bsc#1068032 CVE-2017-5754).
- x86/retpoline: Avoid retpolines for built-in __init functions
  (bsc#1068032 CVE-2017-5754).
- x86/spectre: Simplify spectre_v2 command line parsing
  (bsc#1068032 CVE-2017-5754).
- KVM: nVMX: Eliminate vmcs02 pool (bsc#1068032 CVE-2017-5754).
- KVM: VMX: introduce alloc_loaded_vmcs (bsc#1068032
  CVE-2017-5754).
- KVM: VMX: make MSR bitmaps per-VCPU (bsc#1068032 CVE-2017-5754).
- KVM/x86: Update the reverse_cpuid list to include CPUID_7_EDX
  (bsc#1068032 CVE-2017-5754).
- KVM/x86: Add IBPB support (bsc#1068032 CVE-2017-5754).
- KVM/VMX: Emulate MSR_IA32_ARCH_CAPABILITIES (bsc#1068032
  CVE-2017-5754).
- KVM/VMX: Allow direct access to MSR_IA32_SPEC_CTRL (bsc#1068032
  CVE-2017-5754).
- KVM/SVM: Allow direct access to MSR_IA32_SPEC_CTRL (bsc#1068032
  CVE-2017-5754).
- perf/x86/amd/power: Do not load AMD power module on !AMD
  platforms (git-fixes c7ab62bfbe0e).
- blacklist.conf:
- Delete
  patches.arch/x86-retpoline-simplify-vmexit_fill_rsb.patch.
- commit ac25421
* Tue Feb 20 2018 nborisov@suse.com
- Btrfs: fix kernel oops while reading compressed data
  (bsc#1081671).
- Refresh
  patches.suse/0023-block-switch-bios-to-blk_status_t.patch.
- commit 565ea00
* Tue Feb 20 2018 jthumshirn@suse.de
- scsi: megaraid_sas: Do not use 32-bit atomic request descriptor
  for Ventura controllers (bsc#1081737).
- commit 4e60173
* Tue Feb 20 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/ibmvnic-Clean-RX-pool-buffers-during-device-close.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-NAPI-structures-memory-leak.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-login-buffer-memory-leaks.patch.
- Refresh
  patches.drivers/ibmvnic-Free-RX-socket-buffer-in-case-of-adapter-err.patch.
- Refresh
  patches.drivers/ibmvnic-Wait-until-reset-is-complete-to-set-carrier-.patch.
- commit ba71f73
* Tue Feb 20 2018 npajkovsky@suse.cz
- bsc#1053298 oracleasm
  patches.suse/0001-oracleasm-4.0-compat-changes.patch
- commit def7601
* Tue Feb 20 2018 neilb@suse.com
- nfs: fix a deadlock in nfs client initialization (bsc#1074198).
- commit 913cb84
* Tue Feb 20 2018 jroedel@suse.de
- blacklist.conf: da391d640c528bc5bb227ea5b39c882b75ac3167
  Comment-only fix
- commit be9480e
* Tue Feb 20 2018 jroedel@suse.de
- iommu/exynos: Remove initconst attribute to avoid potential
  kernel oops (bsc#975772).
- commit ad7bb7b
* Mon Feb 19 2018 jroedel@suse.de
- iommu/mediatek: Fix driver name (bsc#975772).
- iommu/vt-d: Use domain instead of cache fetching (bsc#975772).
- iommu/amd: Limit the IOVA page range to the specified addresses
  (bsc#975772).
- iommu/amd: Fix alloc_irq_index() increment (bsc#975772).
- iommu/amd: Enforce alignment for MSI IRQs (bsc#975772).
- iommu/amd: Add align parameter to alloc_irq_index()
  (bsc#975772).
- commit 69050a0
* Mon Feb 19 2018 mkubecek@suse.cz
- netfilter: xt_RATEEST: acquire xt_rateest_mutex for hash insert
  (bsc#1076830).
- netfilter: xt_cgroup: initialize info->priv in
  cgroup_mt_check_v1() (bsc#1076830).
- iscsi-target: make sure to wake up sleeping login worker
  (bsc#1076830).
- sctp: fix dst refcnt leak in sctp_v4_get_dst (bsc#1076830).
- media: ts2020: avoid integer overflows on 32 bit machines
  (bsc#1076830).
- Revert "defer call to mem_cgroup_sk_alloc()" (bsc#1076830).
- net: ipv6: send unsolicited NA after DAD (bsc#1076830).
- xfrm: Add SA to hardware at the end of xfrm_state_construct()
  (bsc#1076830).
- sctp: do not allow the v4 socket to bind a v4mapped v6 address
  (bsc#1076830).
- strparser: Call sock_owned_by_user_nocheck (bsc#1076830).
- sock: Add sock_owned_by_user_nocheck (bsc#1076830).
- sctp: add SCTP_CID_RECONF conversion in sctp_cname
  (bsc#1076830).
- tcp: invalidate rate samples during SACK reneging (bsc#1076830).
- Revert "tcp: must block bh in __inet_twsk_hashdance()"
  (bsc#1076830).
- tcp: add tcp_v4_fill_cb()/tcp_v4_restore_cb() (bsc#1076830).
- tipc: call tipc_rcv() only if bearer is up in tipc_udp_recv()
  (bsc#1076830).
- tcp/dccp: block bh before arming time_wait timer (bsc#1076830).
- sctp: set sender next_tsn for the old result with ctsn_ack_point
  plus 1 (bsc#1076830).
- tcp: when scheduling TLP, time of RTO should account for
  current ACK (bsc#1076830).
- ipvlan: NULL pointer dereference panic in ipvlan_port_destroy
  (bsc#1076830).
- route: update fnhe_expires for redirect when the fnhe exists
  (bsc#1076830).
- Refresh
  patches.fixes/route-also-update-fnhe_genid-when-updating-a-route-c.patch.
- sctp: check stream reset info len before making reconf chunk
  (bsc#1076830).
- l2tp: don't close sessions in l2tp_tunnel_destruct()
  (bsc#1076830).
- l2tp: initialise l2tp_eth sessions before registering them
  (bsc#1076830).
- l2tp: don't register sessions in l2tp_session_create()
  (bsc#1076830).
- sctp: fix a type cast warnings that causes a_rwnd gets the
  wrong value (bsc#1076830).
- sctp: fix some type cast warnings introduced by transport
  rhashtable (bsc#1076830).
- sctp: add the missing sock_owned_by_user check in
  sctp_icmp_redirect (bsc#1076830).
- net: call cgroup_sk_alloc() earlier in sk_clone_lock()
  (bsc#1076830).
- net: memcontrol: defer call to mem_cgroup_sk_alloc()
  (bsc#1076830).
- netfilter: x_tables: avoid stack-out-of-bounds read in
  xt_copy_counters_from_user (bsc#1076830).
- netfilter: ipset: pernet ops must be unregistered last
  (bsc#1076830).
- xfrm: Fix deletion of offloaded SAs on failure (bsc#1076830).
- packet: only test po->has_vnet_hdr once in packet_snd
  (bsc#1076830).
- net: dsa: Fix network device registration order (bsc#1076830).
- net: set tb->fast_sk_family (bsc#1076830).
- net: vrf: avoid gcc-4.6 warning (bsc#1076830).
- tcp/dccp: remove reqsk_put() from inet_child_forget()
  (bsc#1076830).
- tcp: fix a request socket leak (bsc#1076830).
- l2tp: pass tunnel pointer to ->session_create() (bsc#1076830).
- Refresh patches.fixes/l2tp-fix-l2tp_eth-module-loading.patch.
- l2tp: prevent creation of sessions on terminated tunnels
  (bsc#1076830).
  Refresh
  patches.fixes/l2tp-fix-race-condition-in-l2tp_tunnel_delete.patch.
- l2tp: hold tunnel used while creating sessions with netlink
  (bsc#1076830).
- tcp: fix possible deadlock in TCP stack vs BPF filter
  (bsc#1076830).
- tcp: fix xmit timer to only be reset if data ACKed/SACKed
  (bsc#1076830).
- netfilter: nf_ct_dccp/sctp: fix memory leak after netns cleanup
  (bsc#1076830).
- tcp: Add a tcp_filter hook before handle ack packet
  (bsc#1076830).
- vxlan: dont migrate permanent fdb entries during learn
  (bsc#1076830).
- commit f1b2d26
* Mon Feb 19 2018 msuchanek@suse.de
- powerpc/64s: Improve RFI L1-D cache flush fallback (bsc#1068032).
  Update to upstream patch.
- Refresh
  patches.arch/powerpc-pseries-rfi-flush-Call-setup_rfi_flush-after.patch.
- Refresh
  patches.arch/powerpc-xmon-Add-RFI-flush-related-fields-to-paca-du.patch.
- commit deca5e6
* Mon Feb 19 2018 msuchanek@suse.de
- Refresh RFI LPM migration patches with upstream status.
- Refresh patches.arch/powerpc-pseries-rfi-flush-Call-setup_rfi_flush-after.patch.
- rfi-flush: Move the logic to avoid a redo into the debugfs code
  (bsc#1068032).
- commit 42d34e2
* Mon Feb 19 2018 mbrugger@suse.com
- iommu/io-pgtable-arm-v7s: Need dma-sync while there is no
  QUIRK_NO_DMA (fate#321947).
- iommu/arm-smmu: Reintroduce locking around TLB sync operations
  (fate#321947).
- commit 0427583
* Mon Feb 19 2018 mbrugger@suse.com
- Reorder patches
- commit 0771c78
* Mon Feb 19 2018 msuchanek@suse.de
- powerpc/pseries: Check for zero filled ibm,dynamic-memory
  property (FATE#324825, bsc#1077428, bsc#1080789).
- commit ccf669c
* Mon Feb 19 2018 mfleming@suse.de
- cpumask: Make for_each_cpu_wrap() available on UP as well
  (git-fixes).
- commit e4d0ff0
* Mon Feb 19 2018 msuchanek@suse.de
- blacklist c1e150ceb61e powerpc/pseries: Add empty update_numa_cpu_lookup_table() for NUMA=n
  blacklist 82343484a2d4 powerpc/pseries: Fix build break for SPLPAR=n and CPU hotplug
- commit 2993802
* Mon Feb 19 2018 mgorman@suse.de
- mm: pin address_space before dereferencing it while isolating
  an LRU page (bnc#1081500).
- commit 93762be
* Mon Feb 19 2018 mkubecek@suse.cz
- series.conf: refresh
  Ran series_sort.py (no effect on expanded tree).
- Update upstream reference:
  patches.drivers/nvme_fc-cleanup-io-completion.patch.
  patches.drivers/nvme_fc-correct-abort-race-condition-on-resets.patch.
- Fix patch metadata:
  patches.drivers/scsi-qla2xxx-Fix-double-free-bug-after-firmware-time.patch.
- commit 24a578f
* Mon Feb 19 2018 lhenriques@suse.com
- ceph: improving efficiency of syncfs (FATE#324714).
- libceph: check kstrndup() return value (FATE#324714).
- ceph: try to allocate enough memory for reserved caps
  (FATE#324714).
- ceph: fix race of queuing delayed caps (FATE#324714).
- ceph: delete unreachable code in ceph_check_caps()
  (FATE#324714).
- ceph: limit rate of cap import/export error messages
  (FATE#324714).
- ceph: fix incorrect snaprealm when adding caps (FATE#324714).
- ceph: fix un-balanced fsc->writeback_count update (FATE#324714).
- ceph: track read contexts in ceph_file_info (FATE#324714).
- ceph: avoid dereferencing invalid pointer during cached readdir
  (FATE#324714).
- ceph: use atomic_t for ceph_inode_info::i_shared_gen
  (FATE#324714).
- ceph: cleanup traceless reply handling for rename (FATE#324714).
- ceph: voluntarily drop Fx cap for readdir request (FATE#324714).
- ceph: properly drop caps for setattr request (FATE#324714).
- ceph: voluntarily drop Lx cap for link/rename requests
  (FATE#324714).
- ceph: voluntarily drop Ax cap for requests that create new inode
  (FATE#324714).
- commit 33131fd
* Mon Feb 19 2018 mgorman@suse.de
- buffer: Avoid setting buffer bits that are already set
  (bnc#971975 VM performance -- buffers).
- commit ca2f72a
* Mon Feb 19 2018 jack@suse.cz
- iversion: Rename make inode_cmp_iversion{+raw} to
  inode_eq_iversion{+raw} (bsc#1081186).
- commit d89d8c5
* Mon Feb 19 2018 jack@suse.cz
- iversion: make inode_cmp_iversion{+raw} return bool instead
  of s64 (bsc#1081186).
- commit 625951e
* Mon Feb 19 2018 jack@suse.cz
- fs: handle inode->i_version more efficiently (bsc#1081186).
- commit b5b1ede
* Mon Feb 19 2018 jack@suse.cz
- btrfs: only dirty the inode in btrfs_update_time if something
  was changed (bsc#1081186).
- commit 509a5c3
* Mon Feb 19 2018 jack@suse.cz
- xfs: avoid setting XFS_ILOG_CORE if i_version doesn't need
  incrementing (bsc#1081186).
- commit f466f92
* Mon Feb 19 2018 jack@suse.cz
- fs: only set S_VERSION when updating times if necessary
  (bsc#1081186).
- commit 2f39cae
* Mon Feb 19 2018 jack@suse.cz
- IMA: switch IMA over to new i_version API (bsc#1081186).
- commit f5c04bb
* Mon Feb 19 2018 jack@suse.cz
- xfs: convert to new i_version API (bsc#1081186).
- commit e0e201b
* Mon Feb 19 2018 jack@suse.cz
- ufs: use new i_version API (bsc#1081186).
- commit bb021c0
* Mon Feb 19 2018 jack@suse.cz
- ocfs2: convert to new i_version API (bsc#1081186).
- commit 5b5fa6e
* Mon Feb 19 2018 jack@suse.cz
- nfsd: convert to new i_version API (bsc#1081186).
- commit ed53100
* Mon Feb 19 2018 jack@suse.cz
- nfs: convert to new i_version API (bsc#1081186).
- commit 55bd438
* Mon Feb 19 2018 jack@suse.cz
- ext4: convert to new i_version API (bsc#1081186).
- commit 437c1ef
* Mon Feb 19 2018 jack@suse.cz
- ext2: convert to new i_version API (bsc#1081186).
- commit 2cd1049
* Mon Feb 19 2018 jack@suse.cz
- exofs: switch to new i_version API (bsc#1081186).
- commit 225c244
* Mon Feb 19 2018 jack@suse.cz
- btrfs: convert to new i_version API (bsc#1081186).
- commit ae27f85
* Mon Feb 19 2018 jack@suse.cz
- afs: convert to new i_version API (bsc#1081186).
- commit 2fa658c
* Mon Feb 19 2018 jack@suse.cz
- affs: convert to new i_version API (bsc#1081186).
- commit 0a73f1a
* Mon Feb 19 2018 jack@suse.cz
- fat: convert to new i_version API (bsc#1081186).
- commit 75908ef
* Mon Feb 19 2018 jack@suse.cz
- fs: don't take the i_lock in inode_inc_iversion (bsc#1081186).
- commit 3ecc67b
* Mon Feb 19 2018 jack@suse.cz
- fs: new API for handling inode->i_version (bsc#1081186).
- commit 4e364de
* Mon Feb 19 2018 jack@suse.cz
- ntfs: remove i_version handling (bsc#1081186).
- commit 3636058
* Mon Feb 19 2018 jack@suse.cz
- lustre: don't set f_version in ll_readdir (bsc#1081186).
- commit 052b4c4
* Mon Feb 19 2018 jack@suse.cz
- ima: Use i_version only when filesystem supports it
  (bsc#1081186).
- commit 5e28e82
* Mon Feb 19 2018 jthumshirn@suse.de
- nvme-pci: Remap CMB SQ entries on every controller reset
  (FATE#323952, FATE#322506).
- commit 37d7f9b
* Mon Feb 19 2018 jack@suse.cz
- Fix up tags in
  patches.drivers/scsi-qla2xxx-Fix-double-free-bug-after-firmware-time.patch.
- commit 7dc8b66
* Mon Feb 19 2018 jthumshirn@suse.de
- Refresh patches.drivers/nvme_fc-cleanup-io-completion.patch.
- Refresh
  patches.drivers/nvme_fc-correct-abort-race-condition-on-resets.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-double-free-bug-after-firmware-time.patch.
- commit 54909a8
* Mon Feb 19 2018 mgalbraith@suse.de
- sched/rt: Up the root domain ref count when passing it around
  via IPIs (bnc#1022476).
- sched/rt: Use container_of() to get root domain in
  rto_push_irq_work_func() (bnc#1022476).
- hrtimer: Ensure POSIX compliance (relative CLOCK_REALTIME
  hrtimers) (bnc#1022476).
- hrtimer: Reset hrtimer cpu base proper on CPU hotplug
  (bnc#1022476).
- commit e19e122
* Fri Feb 16 2018 tiwai@suse.de
- blacklist.conf: Remove i915 entries
- commit c8a167f
* Fri Feb 16 2018 mbrugger@suse.com
- arm64: Update config files.
  enable ARCH_PROC_KCORE_TEXT
- commit 5f62bc2
* Fri Feb 16 2018 mbrugger@suse.com
- net: ethernet: cavium: Correct Cavium Thunderx NIC driver
  names accordingly to module name (fate#321947).
- iommu/arm-smmu-v3: Cope with duplicated Stream IDs
  (fate#321947).
- ACPICA: iasl: Update to IORT SMMUv3 disassembling (fate#321947).
- ACPI/IORT: numa: Add numa node mapping for smmuv3 devices
  (fate#321947).
- iommu/arm-smmu-v3: Remove io-pgtable spinlock (fate#321947).
- iommu/arm-smmu: Remove io-pgtable spinlock (fate#321947).
- iommu/io-pgtable-arm-v7s: Support lockless operation
  (fate#321947).
- iommu/io-pgtable-arm: Support lockless operation (fate#321947).
- iommu/io-pgtable: Introduce explicit coherency (fate#321947).
- iommu/io-pgtable-arm-v7s: Refactor split_blk_unmap
  (fate#321947).
- iommu/io-pgtable-arm: Improve split_blk_unmap (fate#321947).
- iommu/io-pgtable-arm-v7s: Check table PTEs more precisely
  (fate#321947).
- arm64: mm: select CONFIG_ARCH_PROC_KCORE_TEXT (fate#321947).
- fs/proc: kcore: use kcore_list type to check for vmalloc/module
  address (fate#321947).
- arm64: kernel: restrict /dev/mem read() calls to linear region
  (bsc#1081310).
- commit 4267f13
* Fri Feb 16 2018 tiwai@suse.de
- Preliminary roll-back of drm/i915 patches for the further updates
- commit dbb70d2
* Fri Feb 16 2018 jeffm@suse.com
- btrfs: use kvzalloc to allocate btrfs_fs_info (bsc#1059336).
- commit 1d89bd7
* Thu Feb 15 2018 mcgrof@suse.com
- xfs: stop searching for free slots in an inode chunk when there are none (bsc#1072739).
- commit 80d1325
* Thu Feb 15 2018 jack@suse.cz
- jfs: remove increment of i_version counter (bsc#1081186).
- commit 5e24fbb
* Thu Feb 15 2018 jack@suse.cz
- reiserfs: remove unneeded i_version bump (bsc#1081186).
- commit 5aba66b
* Thu Feb 15 2018 jack@suse.cz
- hpfs: don't bother with the i_version counter or f_version (bsc#1081186).
- commit 337ee72
* Thu Feb 15 2018 jack@suse.cz
- ecryptfs: remove unnecessary i_version bump (bsc#1081186).
- commit 2a56f3b
* Thu Feb 15 2018 jack@suse.cz
- f2fs: don't bother with inode->i_version (bsc#1081186).
- commit 13fcbd3
* Thu Feb 15 2018 jack@suse.cz
- nilfs2: remove inode->i_version initialization (bsc#1081186).
- commit 17fcbba
* Thu Feb 15 2018 jack@suse.cz
- orangefs: remove initialization of i_version (bsc#1081186).
- commit 5f1d1e2
* Thu Feb 15 2018 jack@suse.cz
- ceph: remove the bump of i_version (bsc#1081186).
- commit ea139ef
* Thu Feb 15 2018 mgorman@suse.de
- writeback: eliminate work item allocation in
  bd_start_writeback() (bnc#1081213).
- writeback: only allow one inflight and pending full flush
  (bnc#1081213).
- writeback: move nr_pages == 0 logic to one location
  (bnc#1081213).
- writeback: make wb_start_writeback() static (bnc#1081213).
- writeback: pass in '0' for nr_pages writeback in laptop mode
  (bnc#1081213).
- writeback: provide a wakeup_flusher_threads_bdi() (bnc#1081213).
- writeback: remove 'range_cyclic' argument for
  wb_start_writeback() (bnc#1081213).
- writeback: switch wakeup_flusher_threads() to cyclic writeback
  (bnc#1081213).
- fs: kill 'nr_pages' argument from wakeup_flusher_threads()
  (bnc#1081213).
- buffer: eliminate the need to call free_more_memory() in
  __getblk_slow() (bnc#971975 VM performance -- memory usage
  during reclaim).
- buffer: grow_dev_page() should use __GFP_NOFAIL for all cases
  (bnc#971975 VM performance -- memory usage during reclaim).
- buffer: have alloc_page_buffers() use __GFP_NOFAIL (bnc#971975
  VM performance -- memory usage during reclaim).
- commit ff7bae7
* Thu Feb 15 2018 mbrugger@suse.com
- Refresh
  patches.suse/arm64-Add-software-workaround-for-Falkor-erratum-104.patch.
- commit 709299d
* Thu Feb 15 2018 msuchanek@suse.de
- powerpc/mm/hash64: Zero PGD pages on allocation (FATE#322447,
  bsc#1078248).
- powerpc/mm/hash64: Store the slot information at the right
  offset for hugetlb (FATE#322447, bsc#1078248).
- powerpc/mm/hash64: Allocate larger PMD table if hugetlb config
  is enabled (FATE#322447, bsc#1078248).
- powerpc/mm: Fix crashes with 16G huge pages (FATE#322447,
  bsc#1078248).
- commit c53ee68
* Thu Feb 15 2018 msuchanek@suse.de
- powerpc/numa: Invalidate numa_cpu_lookup_table on cpu remove
  (FATE#323746, bsc#1079524).
- commit f1632b3
* Thu Feb 15 2018 agraf@suse.de
- KVM: s390: add vcpu stat counters for many instruction
  (bsc#1081178).
- KVM: s390: diagnoses are instructions as well (bsc#1081178).
- commit 801cf55
* Thu Feb 15 2018 msuchanek@suse.de
- powerpc/mm: Flush radix process translations when setting MMU
  type (bsc#1061840).
- commit 6d1b9f9
* Thu Feb 15 2018 msuchanek@suse.de
- powerpc/pseries: Enable RAS hotplug events later (FATE#322022,
  bsc#1065729).
- commit 445a309
* Thu Feb 15 2018 jeffm@suse.com
- btrfs: copy fsid to super_block s_uuid (bsc#1080774).
- commit 8d21561
* Thu Feb 15 2018 jmoreira@suse.de
- Add kernel livepatch-devel package
  Resolving non-exported static symbols in kernel livepatches cannot
  be done implicitly. For such, the relocations of these symbols must
  follow a specially crafted format in the respective elf file. Willing
  to make the task of converting the elf into the right format, a tool
  named klp-convert was proposed. Through a file that maps all kernel
  symbols into their respective kernel object, this tool infers which
  non-exported symbol is relative to a livepatch relocation and
  automatically formats the final elf file.
  Add support to the generation of a map file right after the kernel
  compilation.
  Add the package kernel-<flavour>-livepatch-devel that brings
  the map file.
- commit 0b1b4d3
* Thu Feb 15 2018 jthumshirn@suse.de
- scsi: lpfc: Update 11.4.0.7 modified files for 2018 Copyright
  (bsc#1080657).
- scsi: lpfc: update driver version to 11.4.0.7 (bsc#1080657).
- scsi: lpfc: Fix nonrecovery of NVME controller after cable swap
  (bsc#1080657).
- scsi: lpfc: Treat SCSI Write operation Underruns as an error
  (bsc#1080657).
- scsi: lpfc: Fix header inclusion in lpfc_nvmet (bsc#1080657).
- scsi: lpfc: Validate adapter support for SRIU option
  (bsc#1080657).
- scsi: lpfc: Fix SCSI io host reset causing kernel crash
  (bsc#1080657).
- scsi: lpfc: Indicate CONF support in NVMe PRLI (bsc#1080657).
- scsi: lpfc: Fix issue_lip if link is disabled (bsc#1080657).
- scsi: lpfc: Fix soft lockup in lpfc worker thread during LIP
  testing (bsc#1080657).
- scsi: lpfc: Allow set of maximum outstanding SCSI cmd limit
  for a target (bsc#1080657).
- scsi: lpfc: Fix RQ empty firmware trap (bsc#1080657).
- scsi: lpfc: Fix IO failure during hba reset testing with nvme io
  (bsc#1080657).
- scsi: lpfc: Fix PRLI handling when topology type changes
  (bsc#1080657).
- scsi: lpfc: Add WQ Full Logic for NVME Target (bsc#1080657).
- scsi: lpfc: correct debug counters for abort (bsc#1080657).
- scsi: lpfc: move placement of target destroy on driver detach
  (bsc#1080657).
- scsi: lpfc: Increase CQ and WQ sizes for SCSI (bsc#1080657).
- scsi: lpfc: Fix frequency of Release WQE CQEs (bsc#1080657).
- commit 7226e76
* Thu Feb 15 2018 ohering@suse.de
- hv_netvsc: Use the num_online_cpus() for channel limit
  (fate#323887).
- scsi: storvsc: missing error code in storvsc_probe()
  (fate#323887).
- uio_hv_generic: fix new type mismatch warnings (fate#323887).
- uio_hv_generic: fix type mismatch warnings (fate#323887).
- uio_hv_generic: add rescind support (fate#323887).
- uio_hv_generic: check that host supports monitor page
  (fate#323887).
- uio_hv_generic: create send and receive buffers (fate#323887).
- vmbus: add monitor_id and subchannel_id to sysfs per channel
  (fate#323887).
- uio_hv_generic: use ISR callback method (fate#323887).
- uio_hv_generic: use standard mmap for resources (fate#323887).
- uio_hv_generic: fix configuration comments (fate#323887).
- vmbus: make channel attributes static (fate#323887).
- hv_netvsc: empty current transmit aggregation if flow blocked
  (fate#323887).
- hv_netvsc: remove open_cnt reference count (fate#323887).
- hv_netvsc: pass netvsc_device to receive callback (fate#323887).
- hv_netvsc: simplify function args in receive status path
  (fate#323887).
- hv_netvsc: track memory allocation failures in ethtool stats
  (fate#323887).
- hv_netvsc: copy_to_send buf can be void (fate#323887).
- hv_netvsc: Fix the TX/RX buffer default sizes (fate#323887).
- hv_netvsc: Fix the receive buffer size limit (fate#323887).
- vmbus: make hv_get_ringbuffer_availbytes local (fate#323887).
- hv_netvsc: optimize initialization of RNDIS header
  (fate#323887).
- hv_netvsc: use reciprocal divide to speed up percent calculation
  (fate#323887).
- hv_netvsc: replace divide with mask when computing padding
  (fate#323887).
- hv_netvsc: don't need local xmit_more (fate#323887).
- hv_netvsc: drop unused macros (fate#323887).
- commit 72e1a3c
* Thu Feb 15 2018 ohering@suse.de
- add mainline tag to hv-X86_FEATURE_PCID patch
- commit 258a152
* Thu Feb 15 2018 tiwai@suse.de
- drm/vc4: Flush the caches before the bin jobs, as well
  (bsc#1051510).
- commit 81ad369
* Thu Feb 15 2018 tiwai@suse.de
- drm: rework delayed connector cleanup in connector_iter
  (bsc#1051510).
- commit cc83f2f
* Thu Feb 15 2018 tiwai@suse.de
- drm/i915: Always call to intel_display_set_init_power() in
  resume_early (bsc#1051510).
- commit f91d13e
* Thu Feb 15 2018 tiwai@suse.de
- drm/i915: Always run hangcheck while the GPU is busy
  (bsc#1051510).
- commit 09cdfcc
* Thu Feb 15 2018 tiwai@suse.de
- drm/i915/cmdparser: Check reg_table_count before derefencing
  (bsc#1051510).
- commit 3a43a70
* Thu Feb 15 2018 tiwai@suse.de
- drm: safely free connectors from connector_iter (bsc#1051510).
- commit 8a5bb42
* Thu Feb 15 2018 tiwai@suse.de
- drm/i915/lpe: Remove double-encapsulation of info string
  (bsc#1051510).
- commit c91a5f4
* Thu Feb 15 2018 tiwai@suse.de
- drm/qxl: reapply cursor after resetting primary (bsc#1051510).
- commit 579b46a
* Thu Feb 15 2018 tiwai@suse.de
- drm/i915/ppgtt: Pin page directories before allocation
  (bsc#1051510).
- commit ec22aec
* Thu Feb 15 2018 tiwai@suse.de
- drm/i915: Fix using BIT_ULL() vs. BIT() for power domain masks
  (bsc#1051510).
- commit 2fd6f13
* Thu Feb 15 2018 tiwai@suse.de
- drm/amdgpu: only check mmBIF_IOV_FUNC_IDENTIFIER on tonga/fiji
  (bsc#1051510).
- commit 9861962
* Thu Feb 15 2018 msuchanek@suse.de
- ibmvnic: Clean RX pool buffers during device close
  (bsc#1081134).
- ibmvnic: Free RX socket buffer in case of adapter error
  (bsc#1081134).
- ibmvnic: Fix NAPI structures memory leak (bsc#1081134).
- ibmvnic: Fix login buffer memory leaks (bsc#1081134).
- ibmvnic: Wait until reset is complete to set carrier on
  (bsc#1081134).
- commit 93a2616
* Thu Feb 15 2018 msuchanek@suse.de
- Refresh sorted section.
- Refresh patches.drivers/scsi-qla2xxx-Avoid-triggering-undefined-behavior-in-.patch.
- Refresh patches.drivers/scsi-qla2xxx-Fix-a-locking-imbalance-in-qlt_24xx_han.patch.
- Refresh patches.drivers/scsi-qla2xxx-Fix-double-free-bug-after-firmware-time.patch.
- Refresh patches.drivers/scsi-qla2xxx-Fix-incorrect-handle-for-abort-IOCB.patch.
- commit 83ae805
* Thu Feb 15 2018 tiwai@suse.de
- drm/i915: Drop fb reference on load_detect_pipe failure path
  (bsc#1051510).
- drm/i915: Replace *_reference/unreference() or *_ref/unref
  with _get/put() (bsc#1051510).
- commit c6b993a
* Thu Feb 15 2018 msuchanek@suse.de
- Refresh patches.drivers/scsi-qla2xxx-Fix-double-free-bug-after-firmware-time.patch.
- Refresh patches.drivers/scsi-qla2xxx-Fix-incorrect-handle-for-abort-IOCB.patch.
  fix commit hash
- commit 94790ed
* Thu Feb 15 2018 tiwai@suse.de
- drm/vc4: Fix NULL pointer dereference in vc4_save_hang_state()
  (bsc#1051510).
- commit 1603569
* Thu Feb 15 2018 tiwai@suse.de
- drm/i915/psr: Fix register name mess up (bsc#1051510).
- commit 6ce9707
* Thu Feb 15 2018 tiwai@suse.de
- drm/vc4: Move IRQ enable to PM path (bsc#1051510).
- commit 4fd629c
* Thu Feb 15 2018 tiwai@suse.de
- serial: 8250_uniphier: fix error return code in
  uniphier_uart_probe() (bsc#1051510).
- commit 5b3310e
* Thu Feb 15 2018 tiwai@suse.de
- drm/edid: kerneldoc for is_hdmi2_sink (bsc#1051510).
- commit 072edca
* Thu Feb 15 2018 tiwai@suse.de
- drm/i915/cnp: Properly handle VBT ddc pin out of bounds
  (bsc#1051510).
- drm/i915/cnp: Ignore VBT request for know invalid DDC pin
  (bsc#1051510).
- commit 1b039a5
* Thu Feb 15 2018 tiwai@suse.de
- drm/i915/glk: Disable Guc and HuC on GLK (bsc#1051510).
- commit b8eaf51
* Thu Feb 15 2018 tiwai@suse.de
- Add no-fix tag to i915 patches
- commit 1c45058
* Thu Feb 15 2018 tiwai@suse.de
- platform/x86: dell-laptop: Filter out spurious keyboard
  backlight change events (bsc#1051510).
- commit 104f7af
* Thu Feb 15 2018 tiwai@suse.de
- ASoC: au1x: Fix timeout tests in au1xac97c_ac97_read()
  (bsc#1051510).
- ASoC: Intel: sst: Fix the return value of
  'sst_send_byte_stream_mrfld()' (bsc#1051510).
- ASoC: rockchip: i2s: fix playback after runtime resume
  (bsc#1051510).
- ASoC: nuc900: Fix a loop timeout test (bsc#1051510).
- ASoC: amd: Add error checking to probe function (bsc#1051510).
- commit d9748ce
* Thu Feb 15 2018 tiwai@suse.de
- ALSA: hda - Reduce the suspend time consumption for ALC256
  (bsc#1051510).
- commit 6999499
* Thu Feb 15 2018 tiwai@suse.de
- ALSA: hda - Use IS_REACHABLE() for dependency on input
  (bsc#1051510).
- commit 016c820
* Thu Feb 15 2018 mbenes@suse.cz
- livepatch: Atomic replace and cumulative patches documentation
  (bsc#1071995 fate#323487).
- commit e40f006
* Thu Feb 15 2018 mbenes@suse.cz
- livepatch: Add atomic replace (bsc#1071995 fate#323487).
- commit bf08cda
* Thu Feb 15 2018 mbenes@suse.cz
- livepatch: Support separate list for replaced patches
  (bsc#1071995 fate#323487).
- commit 1f2a166
* Thu Feb 15 2018 mbenes@suse.cz
- livepatch: Allow to unpatch only functions of the given type
  (bsc#1071995 fate#323487).
- commit 9895789
* Thu Feb 15 2018 mbenes@suse.cz
- livepatch: Initial support for dynamic structures (bsc#1071995
  fate#323487).
- commit c46efc1
* Thu Feb 15 2018 mbenes@suse.cz
- livepatch: Free only structures with initialized kobject
  (bsc#1071995 fate#323487).
- commit c2ef814
* Thu Feb 15 2018 mbenes@suse.cz
- livepatch: Use lists to manage patches, objects and functions
  (bsc#1071995 fate#323487).
- commit 3385ca3
* Thu Feb 15 2018 bpoirier@suse.com
- Refresh patch order in sorted section
- Refresh
  patches.drivers/scsi-qla2xxx-Avoid-triggering-undefined-behavior-in-.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-a-locking-imbalance-in-qlt_24xx_han.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-double-free-bug-after-firmware-time.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-incorrect-handle-for-abort-IOCB.patch.
- commit cea0d55
* Wed Feb 14 2018 mbrugger@suse.com
- arm64: Kill PSCI_GET_VERSION as a variant-2 workaround
  (bsc#1068032).
- arm64: Add ARM_SMCCC_ARCH_WORKAROUND_1 BP hardening support
  (bsc#1068032).
- arm/arm64: smccc: Implement SMCCC v1.1 inline primitive
  (bsc#1068032).
- arm/arm64: smccc: Make function identifiers an unsigned quantity
  (bsc#1068032).
- firmware/psci: Expose SMCCC version through psci_ops
  (bsc#1068032).
- firmware/psci: Expose PSCI conduit (bsc#1068032).
- arm64: KVM: Add SMCCC_ARCH_WORKAROUND_1 fast handling
  (bsc#1068032).
- arm64: KVM: Report SMCCC_ARCH_WORKAROUND_1 BP hardening support
  (bsc#1068032).
- arm/arm64: KVM: Turn kvm_psci_version into a static inline
  (bsc#1068032).
- arm/arm64: KVM: Advertise SMCCC v1.1 (bsc#1068032).
- arm/arm64: KVM: Implement PSCI 1.0 support (bsc#1068032).
- arm/arm64: KVM: Add smccc accessors to PSCI code (bsc#1068032).
- arm/arm64: KVM: Add PSCI_VERSION helper (bsc#1068032).
- arm/arm64: KVM: Consolidate the PSCI include files
  (bsc#1068032).
- arm64: KVM: Increment PC after handling an SMC trap
  (bsc#1068032).
- arm: KVM: Fix SMCCC handling of unimplemented SMC/HVC calls
  (bsc#1068032).
- commit e769a19
* Wed Feb 14 2018 mbrugger@suse.com
- Refresh
  patches.suse/0019-arm64-KVM-Fix-SMCCC-handling-of-unimplemented-SMC-HV.patch.
- commit a856f51
* Wed Feb 14 2018 jthumshirn@suse.de
- scripts/git_sort/git_sort.py: Add mkp/4.17/scsi-queue
- commit 41390e8
* Wed Feb 14 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-double-free-bug-after-firmware-time.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-incorrect-handle-for-abort-IOCB.patch.
  Upstream Commit IDs have changed due to re-base.
- commit 6cd1846
* Wed Feb 14 2018 jslaby@suse.cz
- pipe: avoid round_pipe_size() nr_pages overflow on 32-bit
  (bnc#1006867).
- commit e550396
* Wed Feb 14 2018 tiwai@suse.de
- futex: Prevent overflow by strengthen input validation
  (CVE-2018-6927,bsc#1080757).
- commit 6fd37c0
* Wed Feb 14 2018 jack@suse.cz
- ext4: reduce lock contention in __ext4_new_inode (bsc#1080989).
- commit bcf743f
* Wed Feb 14 2018 jack@suse.cz
- ext4: do not unnecessarily allocate buffer in recently_deleted()
  (bsc#1080989).
- commit 3ae1700
* Wed Feb 14 2018 jack@suse.cz
- ext4: cleanup goto next group (bsc#1080989).
- commit 13de627
* Wed Feb 14 2018 mbrugger@suse.com
- Fix series.conf sort-order
- commit 6668be5
* Tue Feb 13 2018 msuchanek@suse.de
- ibmvnic: Remove skb->protocol checks in ibmvnic_xmit
  (bsc#1080384).
- ibmvnic: Reset long term map ID counter (bsc#1080364).
- commit 8c6ee76
* Tue Feb 13 2018 msuchanek@suse.de
- powerpc/xmon: Dont register sysrq key when kernel param xmon=off
  (bsc#1072829).
- commit 3e326cd
* Tue Feb 13 2018 jthumshirn@suse.de
- nvme_fc: cleanup io completion (bsc#1079628).
- nvme_fc: correct abort race condition on resets (bsc#1079628).
- commit 3347e8d
* Tue Feb 13 2018 mgorman@suse.de
- sched/numa: Delay retrying placement for automatic NUMA balance
  after wake_affine (bnc#1064414).
- sched/fair: Consider SD_NUMA when selecting the most idle
  group to schedule on (bnc#1064414).
- sched/fair: Do not migrate due to a sync wakeup on exit
  (bnc#1064414).
- sched/fair: Do not migrate on wake_affine_weight if weights
  are equal (bnc#1064414).
- sched/fair: Defer calculation of prev_eff_load in wake_affine
  until needed (bnc#1064414).
- sched/fair: Avoid an unnecessary lookup of current CPU ID
  during wake_affine (bnc#1064414).
- commit 5c70670
* Tue Feb 13 2018 jthumshirn@suse.de
- scripts/git_sort/git_sort.py: add nvme/nvme-4.16-rc
- commit 40fc9c6
* Tue Feb 13 2018 msuchanek@suse.de
- KVM: PPC: Book3S PR: Fix svcpu copying with preemption enabled
  (bsc#1077761, git-fixes).
- commit b909d20
* Tue Feb 13 2018 jthumshirn@suse.de
- scsi: libsas: fix error when getting phy events (bsc#1061782).
- commit 7b1f578
* Tue Feb 13 2018 fdmanana@suse.com
- Btrfs: fix space leak after fallocate and zero range operations
  (fate#323233).
- commit 12996c5
* Tue Feb 13 2018 fdmanana@suse.com
- Btrfs: fix missing inode i_size update after zero range
  operation (fate#323233).
- commit a150fc9
* Tue Feb 13 2018 fdmanana@suse.com
- Refresh
  patches.suse/btrfs-add-support-for-fallocate-s-zero-range-operati.patch.
- commit 18b5788
* Tue Feb 13 2018 jthumshirn@suse.de
- scsi: libsas: Disable asynchronous aborts for SATA devices
  (bsc#1061782).
- commit fd6cd11
* Tue Feb 13 2018 jthumshirn@suse.de
- Re-sort series.conf
- commit 3e66481
* Tue Feb 13 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/libnvdimm-fix-integer-overflow-static-analysis-warni.patch.
  Fix compiler warning due to bad backport.
- commit b178056
* Tue Feb 13 2018 mcgrof@suse.com
- xfs: write unmount record for ro mounts (bsc#1073401).
- xfs: toggle readonly state around xfs_log_mount_finish (bsc#1073401).
- commit d6cbdb2
* Mon Feb 12 2018 jthumshirn@suse.de
- libnvdimm, dax: fix 1GB-aligned namespaces vs physical
  misalignment (FATE#323731).
- libnvdimm, pfn: fix start_pad handling for aligned namespaces
  (FATE#323731).
- libnvdimm, pfn: make 'resource' attribute only readable by root
  (FATE#323731).
- libnvdimm, namespace: make 'resource' attribute only readable
  by root (FATE#323731).
- libnvdimm, region : make 'resource' attribute only readable
  by root (FATE#323731).
- libnvdimm: fix integer overflow static analysis warning
  (FATE#323731).
- commit 1f72f5a
* Mon Feb 12 2018 oneukum@suse.com
- usbip: fix stub_send_ret_submit() vulnerability to null
  transfer_buffer (bsc#1078669 CVE-2017-16914).
- commit 55a35d1
* Mon Feb 12 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/ibmvnic-Ensure-that-buffers-are-NULL-after-free.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-rx-queue-cleanup-for-non-fatal-resets.patch.
- Refresh
  patches.drivers/ibmvnic-queue-reset-when-CRQ-gets-closed-during-rese.patch.
- Refresh
  patches.suse/v2-2-9-arm64-kpti-Make-use-of-nG-dependent-on-arm64_kernel_unmapped_at_el0.patch.
- commit 44586d4
* Mon Feb 12 2018 tbogendoerfer@suse.de
- cxgb4: properly initialize variables (bsc#1064802 bsc#1066129).
- IB/core: Perform modify QP on real one (bsc#1046306
  FATE#322942).
- IB/hfi1: Fix infinite loop in 8051 command error path
  (bsc#1060463 FATE#323043).
- commit bfc5374
* Mon Feb 12 2018 mgorman@suse.de
- x86 / CPU: Avoid unnecessary IPIs in arch_freq_get_on_cpu()
  (bnc#1073583 cpufreq reporting).
- cpufreq: x86: Disable interrupts during MSRs reading
  (bnc#1073583 cpufreq reporting).
- commit f714afd
* Mon Feb 12 2018 jkosina@suse.cz
- README.BRANCH: remove Jeff Mahoney as temporary comaintainer
- commit 718ae6f
* Mon Feb 12 2018 mgorman@suse.de
- cpufreq: x86: Make scaling_cur_freq behave more as expected
  (bnc#1073583 cpufreq reporting).
- commit 7670904
* Mon Feb 12 2018 mgorman@suse.de
- x86: use common aperfmperf_khz_on_cpu() to calculate KHz using
  APERF/MPERF (bnc#1073583 cpufreq reporting).
- commit 529bfe4
* Mon Feb 12 2018 bp@suse.de
- x86/cpuid: Fix up "virtual" IBRS/IBPB/STIBP feature bits on
  Intel (bsc#1068032 CVE-2017-5754).
- x86/pti: Mark constant arrays as __initconst (bsc#1068032
  CVE-2017-5754).
- x86/microcode: Fix again accessing initrd after having been
  freed (git-fixes f26483eaedec).
- x86/tsc: Fix erroneous TSC rate on Skylake Xeon (bsc#1074873).
- commit 8d39e42
* Mon Feb 12 2018 tbogendoerfer@suse.de
- bnx2x: disable GSO where gso_size is too big for hardware
  (bsc#1079384).
- net: create skb_gso_validate_mac_len() (bsc#1079384).
- commit d647fd1
* Mon Feb 12 2018 tbogendoerfer@suse.de
- Re-sorted series.conf
- Refresh
  patches.drivers/ibmvnic-Ensure-that-buffers-are-NULL-after-free.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-rx-queue-cleanup-for-non-fatal-resets.patch.
- Refresh
  patches.drivers/ibmvnic-queue-reset-when-CRQ-gets-closed-during-rese.patch.
- Refresh
  patches.suse/v2-2-9-arm64-kpti-Make-use-of-nG-dependent-on-arm64_kernel_unmapped_at_el0.patch.
- commit d67c239
* Mon Feb 12 2018 jthumshirn@suse.de
- blacklist.conf: Blacklist 007a61ae2f35 ("nvme: fix visibility of "uuid" ns
  attribute")
- commit 94a7b7f
* Sat Feb 10 2018 bp@suse.de
- Documentation/virtual/kvm: Add AMD Secure Encrypted
  Virtualization (SEV) (bsc#1063068).
- x86/CPU/AMD: Add the Secure Encrypted Virtualization CPU feature
  (bsc#1063068).
- kvm: svm: prepare for new bit definition in nested_ctl
  (bsc#1063068).
- kvm: svm: Add SEV feature definitions to KVM (bsc#1063068).
- KVM: SVM: Prepare to reserve asid for SEV guest (bsc#1063068).
- KVM: X86: Extend CPUID range to include new leaf (bsc#1063068).
- KVM: Introduce KVM_MEMORY_ENCRYPT_OP ioctl (bsc#1063068).
- KVM: Introduce KVM_MEMORY_ENCRYPT_{UN,}REG_REGION ioctl
  (bsc#1063068).
- crypto: ccp - Use devres interface to allocate PCI/iomap and
  cleanup (bsc#1063068).
- crypto: ccp - Introduce the AMD Secure Processor device
  (bsc#1063068).
- crypto: ccp - Abstract interrupt registeration (bsc#1063068).
- crypto: ccp - rename ccp driver initialize files as sp device
  (bsc#1063068).
- crypto: ccp - remove ccp_present() check from device initialize
  (bsc#1063068).
- crypto: ccp - remove duplicate module version and author entry
  (bsc#1063068).
- crypto: ccp: Build the AMD secure processor driver only with
  AMD CPU support (bsc#1063068).
- crypto: ccp: Define SEV userspace ioctl and command id
  (bsc#1063068).
- crypto: ccp: Define SEV key management command id (bsc#1063068).
- crypto: ccp: Add Platform Security Processor (PSP) device
  support (bsc#1063068).
- crypto: ccp: Add Secure Encrypted Virtualization (SEV) command
  support (bsc#1063068).
- crypto: ccp: Implement SEV_FACTORY_RESET ioctl command
  (bsc#1063068).
- crypto: ccp: Implement SEV_PLATFORM_STATUS ioctl command
  (bsc#1063068).
- crypto: ccp: Implement SEV_PEK_GEN ioctl command (bsc#1063068).
- crypto: ccp: Implement SEV_PDH_GEN ioctl command (bsc#1063068).
- crypto: ccp: Implement SEV_PEK_CSR ioctl command (bsc#1063068).
- crypto: ccp: Implement SEV_PEK_CERT_IMPORT ioctl command
  (bsc#1063068).
- crypto: ccp: Implement SEV_PDH_CERT_EXPORT ioctl command
  (bsc#1063068).
- KVM: X86: Add CONFIG_KVM_AMD_SEV (bsc#1063068).
- KVM: SVM: Reserve ASID range for SEV guest (bsc#1063068).
- KVM: SVM: Add sev module_param (bsc#1063068).
- KVM: Define SEV key management command id (bsc#1063068).
- KVM: SVM: Add KVM_SEV_INIT command (bsc#1063068).
- KVM: SVM: VMRUN should use associated ASID when SEV is enabled
  (bsc#1063068).
- KVM: SVM: Add support for KVM_SEV_LAUNCH_START command
  (bsc#1063068).
- KVM: SVM: Add support for KVM_SEV_LAUNCH_UPDATE_DATA command
  (bsc#1063068).
- KVM: SVM: Add support for KVM_SEV_LAUNCH_MEASURE command
  (bsc#1063068).
- KVM: SVM: Add support for SEV LAUNCH_FINISH command
  (bsc#1063068).
- KVM: SVM: Add support for SEV GUEST_STATUS command
  (bsc#1063068).
- KVM: SVM: Add support for SEV DEBUG_DECRYPT command
  (bsc#1063068).
- KVM: SVM: Add support for SEV DEBUG_ENCRYPT command
  (bsc#1063068).
- KVM: SVM: Add support for SEV LAUNCH_SECRET command
  (bsc#1063068).
- KVM: SVM: Pin guest memory when SEV is active (bsc#1063068).
- KVM: SVM: Clear C-bit from the page fault address (bsc#1063068).
- KVM: SVM: Do not install #UD intercept when SEV is enabled
  (bsc#1063068).
- KVM: X86: Restart the guest when insn_len is zero and SEV is
  enabled (bsc#1063068).
- Update config files.
- Refresh
  patches.arch/01-x86-retpoline-fill-rsb-on-context-switch-for-affected-cpus.patch.
- Refresh
  patches.arch/x86-cpufeatures-clean-up-spectre-v2-related-cpuid-flags.patch.
- Refresh
  patches.arch/x86-speculation-add-basic-ibpb-indirect-branch-prediction-barrier-support.patch.
- Refresh
  patches.drivers/ibmvnic-Ensure-that-buffers-are-NULL-after-free.patch.
- Refresh
  patches.drivers/ibmvnic-Fix-rx-queue-cleanup-for-non-fatal-resets.patch.
- Refresh
  patches.drivers/ibmvnic-queue-reset-when-CRQ-gets-closed-during-rese.patch.
- Refresh
  patches.suse/0002-objtool-x86-Add-several-functions-and-files-to-the-o.patch.
- Refresh
  patches.suse/v2-2-9-arm64-kpti-Make-use-of-nG-dependent-on-arm64_kernel_unmapped_at_el0.patch.
- scripts/git_sort/git_sort.py:
- commit 9adbb9d
* Sat Feb 10 2018 lduncan@suse.com
- qedi: Cleanup local str variable (bsc#1079977).
- qedi: Fix truncation of CHAP name and secret (bsc#1079977).
- scsi: qedi: Drop cqe response during connection recovery
  (bsc#1079977).
- scsi: qedi: Use zeroing allocator instead of allocator/memset
  (bsc#1079977).
- scsi: qedi: Fix a possible sleep-in-atomic bug in
  qedi_process_tmf_resp (bsc#1079977).
- cxgbit: Abort the TCP connection in case of data out timeout
  (bsc#1080021).
- scsi: qedi: Delete redundant variables (bsc#1079977).
- commit e417c01
* Fri Feb  9 2018 jeffm@suse.com
- config: resync arm64/vanilla
- commit e129956
* Fri Feb  9 2018 jdelvare@suse.de
- x86/acpi: Reduce code duplication in mp_override_legacy_irq()
  (bsc#1061680 bsc#1068984 bsc#1074099).
- x86/acpi: Handle SCI interrupts above legacy space gracefully
  (bsc#1061680 bsc#1068984 bsc#1074099).
- commit d3814df
* Fri Feb  9 2018 duwe@suse.de
- crypto: pcrypt - fix freeing pcrypt instances
  (bsc#1077402,CVE-2017-18075).
- commit 8e9d0d1
* Fri Feb  9 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/scsi-qla2xxx-Add-XCB-counters-to-debugfs.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Add-ability-to-send-PRLO.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Add-ability-to-use-GPNFT-GNNFT-for-RSCN.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Add-boundary-checks-for-exchanges-to-be.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Add-lock-protection-around-host-lookup.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Add-option-for-use-reserve-exch-for-ELS.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Add-retry-limit-for-fabric-scan-logic.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Add-switch-command-to-simplify-fabric-d.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Allow-relogin-and-session-creation-afte.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Allow-target-mode-to-accept-PRLI-in-dua.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Chip-reset-uses-wrong-lock-during-IO-fl.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Clear-loop-id-after-delete.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Defer-processing-of-GS-IOCB-calls.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Delay-loop-id-allocation-at-login.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Don-t-call-dma_free_coherent-with-IRQ-d.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Enable-ATIO-interrupt-handshake-for-ISP.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-Firmware-dump-size-for-Extended-log.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-GPNFT-GNNFT-error-handling.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-NPIV-host-cleanup-in-target-mode.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-NULL-pointer-access-for-fcport-stru.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-NULL-pointer-crash-due-to-probe-fai.patch.
- Refresh patches.drivers/scsi-qla2xxx-Fix-PRLI-state-check.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-Relogin-being-triggered-too-fast.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-abort-command-deadlock-due-to-spinl.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-gpnid-error-processing.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-login-state-machine-freeze.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-login-state-machine-stuck-at-GPDB.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-logo-flag-for-qlt_free_session_done.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-memory-leak-in-dual-target-mode.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-queue-ID-for-async-abort-with-Multi.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-re-login-for-Nport-Handle-in-use.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-scan-state-field-for-fcport.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-session-cleanup-for-N2N.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-smatch-warning-in-qla25xx_delete_-r.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-system-crash-for-Notify-ack-timeout.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-system-crash-in-qlt_plogi_ack_unref.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-warning-during-port_name-debug-prin.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-warning-for-code-intentation-in-__q.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-warning-in-qla2x00_async_iocb_timeo.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Increase-verbosity-of-debug-messages-lo.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Migrate-switch-registration-commands-aw.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Move-session-delete-to-driver-work-queu.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Move-work-element-processing-out-of-DPC.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Prevent-multiple-active-discovery-comma.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Prevent-relogin-trigger-from-sending-to.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Properly-extract-ADISC-error-codes.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Reduce-the-use-of-terminate-exchange.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Reduce-trace-noise-for-Async-Events.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Relogin-to-target-port-on-a-cable-swap.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Remove-aborting-ELS-IOCB-call-issued-as.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Remove-session-creation-redundant-code.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Remove-unused-argument-from-qlt_schedul.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Replace-GPDB-with-async-ADISC-command.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Replace-fcport-alloc-with-qla2x00_alloc.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Retry-switch-command-on-time-out.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Serialize-GPNID-for-multiple-RSCN.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Serialize-session-deletion-by-using-wor.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Serialize-session-free-in-qlt_free_sess.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Skip-IRQ-affinity-for-Target-QPairs.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Suppress-gcc-7-fall-through-warnings.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Tweak-resource-count-dump.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Update-driver-version-to-10.00.00.03-k.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Update-driver-version-to-10.00.00.04-k.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Update-driver-version-to-10.00.00.05-k.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Use-IOCB-path-to-submit-Control-VP-MBX-.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Use-chip-reset-to-bring-down-laser-on-u.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Use-known-NPort-ID-for-Management-Serve.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Use-shadow-register-for-ISP27XX.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Use-zeroing-allocator-rather-than-alloc.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-remove-duplicate-includes.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-remove-redundant-assignment-of-d.patch.
- commit 8ad9d97
* Fri Feb  9 2018 jthumshirn@suse.de
- scsi: qla2xxx: Fix incorrect handle for abort IOCB
  (bsc#1077338).
- scsi: qla2xxx: Fix double free bug after firmware timeout
  (bsc#1077338).
- scsi: qla2xxx: Fix a locking imbalance in qlt_24xx_handle_els()
  (bsc#1077338).
- scsi: qla2xxx: Avoid triggering undefined behavior in
  qla2x00_mbx_completion() (bsc#1077338).
- commit 920953f
* Fri Feb  9 2018 jthumshirn@suse.de
- scripts/git_sort/git_sort.py: add mkp/scsi.git 4.16/scsi-fixes
- commit db9b61f
* Fri Feb  9 2018 jthumshirn@suse.de
- scsi: qla2xxx: Fix logo flag for qlt_free_session_done()
  (bsc#1077338).
- scsi: qla2xxx: Update driver version to 10.00.00.05-k
  (bsc#1077338).
- scsi: qla2xxx: Add XCB counters to debugfs (bsc#1077338).
- scsi: qla2xxx: Fix queue ID for async abort with Multiqueue
  (bsc#1077338).
- scsi: qla2xxx: Fix warning for code intentation in
  __qla24xx_handle_gpdb_event() (bsc#1077338).
- scsi: qla2xxx: Fix warning during port_name debug print
  (bsc#1077338).
- scsi: qla2xxx: Fix warning in qla2x00_async_iocb_timeout()
  (bsc#1077338).
- scsi: qla2xxx: Fix NULL pointer crash due to probe failure
  (bsc#1077338).
- scsi: qla2xxx: remove redundant assignment of d (bsc#1077338).
- scsi: qla2xxx: Use zeroing allocator rather than
  allocator/memset (bsc#1077338).
- scsi: qla2xxx: Update driver version to 10.00.00.04-k
  (bsc#1077338).
- scsi: qla2xxx: Serialize session free in qlt_free_session_done
  (bsc#1077338).
- scsi: qla2xxx: Serialize session deletion by using work_lock
  (bsc#1077338).
- scsi: qla2xxx: Remove unused argument from
  qlt_schedule_sess_for_deletion() (bsc#1077338).
- scsi: qla2xxx: Prevent relogin trigger from sending too many
  commands (bsc#1077338).
- scsi: qla2xxx: Prevent multiple active discovery commands per
  session (bsc#1077338).
- scsi: qla2xxx: Add retry limit for fabric scan logic
  (bsc#1077338).
- scsi: qla2xxx: Delay loop id allocation at login (bsc#1077338).
- scsi: qla2xxx: Increase verbosity of debug messages logged
  (bsc#1077338).
- scsi: qla2xxx: Allow relogin and session creation after reset
  (bsc#1077338).
- scsi: qla2xxx: Add ability to use GPNFT/GNNFT for RSCN handling
  (bsc#1077338).
- scsi: qla2xxx: Properly extract ADISC error codes (bsc#1077338).
- scsi: qla2xxx: Fix GPNFT/GNNFT error handling (bsc#1077338).
- scsi: qla2xxx: Remove session creation redundant code
  (bsc#1077338).
- scsi: qla2xxx: Migrate switch registration commands away from
  mailbox interface (bsc#1077338).
- scsi: qla2xxx: Fix login state machine freeze (bsc#1077338).
- scsi: qla2xxx: Reduce trace noise for Async Events
  (bsc#1077338).
- scsi: qla2xxx: Reduce the use of terminate exchange
  (bsc#1077338).
- scsi: qla2xxx: Add lock protection around host lookup
  (bsc#1077338).
- scsi: qla2xxx: Add switch command to simplify fabric discovery
  (bsc#1077338).
- scsi: qla2xxx: Use known NPort ID for Management Server login
  (bsc#1077338).
- scsi: qla2xxx: Fix session cleanup for N2N (bsc#1077338).
- scsi: qla2xxx: Tweak resource count dump (bsc#1077338).
- scsi: qla2xxx: Allow target mode to accept PRLI in dual mode
  (bsc#1077338).
- scsi: qla2xxx: Don't call dma_free_coherent with IRQ disabled
  (bsc#1077338).
- scsi: qla2xxx: Add ability to send PRLO (bsc#1077338).
- scsi: qla2xxx: Add option for use reserve exch for ELS
  (bsc#1077338).
- scsi: qla2xxx: Use shadow register for ISP27XX (bsc#1077338).
- scsi: qla2xxx: Enable ATIO interrupt handshake for ISP27XX
  (bsc#1077338).
- scsi: qla2xxx: Move work element processing out of DPC thread
  (bsc#1077338).
- scsi: qla2xxx: Replace GPDB with async ADISC command
  (bsc#1077338).
- scsi: qla2xxx: Fix Firmware dump size for Extended login and
  Exchange Offload (bsc#1077338).
- scsi: qla2xxx: Chip reset uses wrong lock during IO flush
  (bsc#1077338).
- scsi: qla2xxx: Add boundary checks for exchanges to be offloaded
  (bsc#1077338).
- scsi: qla2xxx: Use chip reset to bring down laser on unload
  (bsc#1077338).
- scsi: qla2xxx: Use IOCB path to submit Control VP MBX command
  (bsc#1077338).
- scsi: qla2xxx: Fix NULL pointer access for fcport structure
  (bsc#1077338).
- scsi: qla2xxx: Fix smatch warning in
  qla25xx_delete_{rsp|req}_que (bsc#1077338).
- scsi: qla2xxx: remove duplicate includes (bsc#1077338).
- scsi: qla2xxx: Suppress gcc 7 fall-through warnings
  (bsc#1077338).
- scsi: qla2xxx: Update driver version to 10.00.00.03-k
  (bsc#1077338).
- scsi: qla2xxx: Fix memory leak in dual/target mode
  (bsc#1077338).
- scsi: qla2xxx: Fix system crash in qlt_plogi_ack_unref
  (bsc#1077338).
- scsi: qla2xxx: Remove aborting ELS IOCB call issued as part
  of timeout (bsc#1077338).
- scsi: qla2xxx: Defer processing of GS IOCB calls (bsc#1077338).
- scsi: qla2xxx: Clear loop id after delete (bsc#1077338).
- scsi: qla2xxx: Fix scan state field for fcport (bsc#1077338).
- scsi: qla2xxx: Replace fcport alloc with qla2x00_alloc_fcport
  (bsc#1077338).
- scsi: qla2xxx: Fix abort command deadlock due to spinlock
  (bsc#1077338).
- scsi: qla2xxx: Fix PRLI state check (bsc#1077338).
- scsi: qla2xxx: Fix Relogin being triggered too fast
  (bsc#1077338).
- scsi: qla2xxx: Relogin to target port on a cable swap
  (bsc#1077338).
- scsi: qla2xxx: Fix NPIV host cleanup in target mode
  (bsc#1077338).
- scsi: qla2xxx: Fix login state machine stuck at GPDB
  (bsc#1077338).
- scsi: qla2xxx: Serialize GPNID for multiple RSCN (bsc#1077338).
- scsi: qla2xxx: Retry switch command on time out (bsc#1077338).
- scsi: qla2xxx: Fix re-login for Nport Handle in use
  (bsc#1077338).
- scsi: qla2xxx: Skip IRQ affinity for Target QPairs
  (bsc#1077338).
- scsi: qla2xxx: Move session delete to driver work queue
  (bsc#1077338).
- scsi: qla2xxx: Fix gpnid error processing (bsc#1077338).
- scsi: qla2xxx: Fix system crash for Notify ack timeout handling
  (bsc#1077338).
- scsi: qla2xxx: Fix oops in qla2x00_probe_one error path
  (bsc#1077338).
- scsi: qla2xxx: Fix system crash while triggering FW dump
  (bsc#1077338).
- commit e0a937c
* Fri Feb  9 2018 mkubecek@suse.cz
- tap: fix use-after-free (bsc#1076830).
- l2tp: don't use l2tp_tunnel_find() in l2tp_ip and l2tp_ip6
  (bsc#1076830).
- l2tp: fix l2tp_eth module loading (bsc#1076830).
- tipc: use only positive error codes in messages (bsc#1076830).
- tcp: fastopen: fix on syn-data transmit failure (bsc#1076830).
- sctp: do not mark sk dumped when inet_sctp_diag_fill returns
  err (bsc#1076830).
- media: rc: simplify ir_raw_event_store_edge() (bsc#1076830).
- l2tp: hold tunnel while handling genl tunnel updates
  (bsc#1076830).
- l2tp: hold tunnel while processing genl delete command
  (bsc#1076830).
- l2tp: initialise session's refcount before making it reachable
  (bsc#1076830).
- tcp: enable xmit timer fix by having TLP use time when RTO
  should fire (bsc#1076830).
- tcp: introduce tcp_rto_delta_us() helper for xmit timer fix
  (bsc#1076830).
- ipvlan: Fix 64-bit statistics seqcount initialization
  (bsc#1076830).
- commit 56fda6b
* Fri Feb  9 2018 agraf@suse.de
- Update config files (bsc#1080294)
- commit 54e4b16
* Fri Feb  9 2018 mkubecek@suse.cz
- netfilter: on sockopt() acquire sock lock only in the required
  scope (bsc#1076830).
- netfilter: ipt_CLUSTERIP: fix out-of-bounds accesses in
  clusterip_tg_check() (bsc#1076830).
- netfilter: x_tables: fix pointer leaks to userspace
  (bsc#1076830).
- tcp_bbr: fix pacing_gain to always be unity when using lt_bw
  (bsc#1076830).
- ipv6: Fix SO_REUSEPORT UDP socket with implicit sk_ipv6only
  (bsc#1076830).
- bridge: return boolean instead of integer in
  br_multicast_is_router (bsc#1076830).
- vxlan: Fix trailing semicolon (bsc#1076830).
- l2tp: fix missing print session offset info (bsc#1076830).
- xfrm: Fix xfrm_replay_overflow_offload_esn (bsc#1076830).
- rds: tcp: correctly sequence cleanup on netns deletion
  (bsc#1076830).
- rds: tcp: remove redundant function rds_tcp_conn_paths_destroy()
  (bsc#1076830).
- gso: validate gso_type in GSO handlers (bsc#1076830).
- tun: fix a memory leak for tfile->tx_array (bsc#1076830).
- mac80211_hwsim: validate number of different channels
  (bsc#1076830).
- sctp: reinit stream if stream outcnt has been change by sinit
  in sendmsg (bsc#1076830).
- esp: Fix GRO when the headers not fully in the linear part of
  the skb (bsc#1076830).
- xfrm: skip policies marked as dead while rehashing
  (bsc#1076830).
- tcp: remove buggy call to tcp_v6_restore_cb() (bsc#1076830).
- ipvlan: always use the current L2 addr of the master
  (bsc#1076830).
- tcp: do not mangle skb->cb in tcp_make_synack() (bsc#1076830).
- l2tp: check ps->sock before running pppol2tp_session_ioctl()
  (bsc#1076830).
- l2tp: fix race condition in l2tp_tunnel_delete (bsc#1076830).
- net: use inet6_rcv_saddr to compare sockets (bsc#1076830).
- tcp: remove two unused functions (bsc#1076830).
- xfrm_user: fix info leak in copy_user_offload() (bsc#1076830).
- l2tp: hold tunnel while handling genl TUNNEL_GET commands
  (bsc#1076830).
- l2tp: hold tunnel while looking up sessions in l2tp_netlink
  (bsc#1076830).
- tipc: reassign pointers after skb reallocation / linearization
  (bsc#1076830).
- tipc: remove subscription references only for pending timers
  (bsc#1076830).
- bridge: allow ext learned entries to change ports (bsc#1076830).
- net: reflect mark on tcp syn ack packets (bsc#1076830).
- rds: tcp: set linger to 1 when unloading a rds-tcp
  (bsc#1076830).
- rds: tcp: Set linger when rejecting an incoming conn in
  rds_tcp_accept_one (bsc#1076830).
- commit bd4b81f
* Fri Feb  9 2018 agraf@suse.de
- s390/perf: fix problem state detection (bsc#1077761).
- commit da7a2a3
* Fri Feb  9 2018 agraf@suse.de
- Run scripts/series_sort.py.
- commit 22e3d2b
* Fri Feb  9 2018 agraf@suse.de
- Update config files: Enable CONFIG_HISILICON_ERRATUM_161600802 on arm64
- commit cceb161
* Fri Feb  9 2018 msuchanek@suse.de
- ibmvnic: queue reset when CRQ gets closed during reset
  (bsc#1080263).
- commit 75132a4
* Fri Feb  9 2018 mbrugger@suse.com
- arm64: idmap: Use "awx" flags for .idmap.text .pushsection
  directives (bsc#1068032).
- Update config files.
- arm64: entry: Reword comment about post_ttbr_update_workaround
  (bsc#1068032).
- arm64: Force KPTI to be disabled on Cavium ThunderX
  (bsc#1068032).
- patches.suse/arm64-add-PTE_ADDR_MASK.patch: (bsc#1068032).
- arm64: kpti: Add ->enable callback to remap swapper using nG
  mappings (bsc#1068032).
- arm64: mm: Permit transitioning from Global to Non-Global
  without BBM (bsc#1068032).
- arm64: kpti: Make use of nG dependent on
  arm64_kernel_unmapped_at_el0() (bsc#1068032).
- arm64: Add software workaround for Falkor erratum 1041
  (bsc#1068032).
- commit 057a1ba
* Fri Feb  9 2018 agraf@suse.de
- arm64: Use physical counter for in-kernel reads when booted
  in EL2 (bsc#1077761).
- arm64: Implement arch_counter_get_cntpct to read the physical
  counter (bsc#1077761).
- commit 9467ba3
* Fri Feb  9 2018 jthumshirn@suse.de
- fix unbalanced page refcounting in bio_map_user_iov (bsc#1062568
  CVE-2017-12190).
- commit a42b8fb
* Fri Feb  9 2018 agraf@suse.de
- KVM: PPC: Book3S HV: Branch inside feature section
  (bsc#1077761).
- commit 3577581
* Fri Feb  9 2018 agraf@suse.de
- irqchip/gic-v4: Add forward definition of struct irq_domain_ops
  (FATE#323954).
- commit 286a0c1
* Fri Feb  9 2018 agraf@suse.de
- irqchip/gic-v3: pr_err() strings should end with newlines
  (FATE#323954).
- commit eac0d6c
* Fri Feb  9 2018 agraf@suse.de
- irqchip/gic-v3: Fix ppi-partitions lookup (FATE#323954).
- commit 8fafdca
* Fri Feb  9 2018 agraf@suse.de
- irqchip/gic-v4: Clear IRQ_DISABLE_UNLAZY again if mapping fails
  (FATE#323954).
- commit fe1e3f4
* Fri Feb  9 2018 agraf@suse.de
- KVM: arm/arm64: Check that system supports split eoi/deactivate
  (FATE#323954).
- commit 595c1eb
* Fri Feb  9 2018 agraf@suse.de
- arm64/sve: System register and exception syndrome definitions
  (FATE#323954).
- commit f07e79a
* Fri Feb  9 2018 agraf@suse.de
- irqchip/gic-v3-its: Fix VPE activate callback return value
  (FATE#323954).
- commit a04ec1d
* Fri Feb  9 2018 agraf@suse.de
- irqchip/gic: Deal with broken firmware exposing only 4kB of
  GICv2 CPU interface (FATE#323954).
- commit 01bd7b0
* Fri Feb  9 2018 agraf@suse.de
- irqchip/gic-v3-its: Setup VLPI properties at map time
  (FATE#323954).
- commit a21da0f
* Fri Feb  9 2018 agraf@suse.de
- irqchip/gic-v3-its: Update effective affinity on VPE mapping
  (FATE#323954).
- commit dc3a515
* Fri Feb  9 2018 agraf@suse.de
- irqchip/gic-v3-its: Only send VINVALL to a single ITS
  (FATE#323954).
- commit 5ecdea0
* Fri Feb  9 2018 agraf@suse.de
- irqchip/gic-v3-its: Limit scope of VPE mapping to be per ITS
  (FATE#323954).
- commit 413611f
* Fri Feb  9 2018 agraf@suse.de
- irqchip/gic-v3-its: Make its_send_vmapp operate on a single ITS
  (FATE#323954).
- commit 9941246
* Fri Feb  9 2018 agraf@suse.de
- irqchip/gic-v3-its: Make its_send_vinvall operate on a single
  ITS (FATE#323954).
- commit 70b8ac8
* Fri Feb  9 2018 agraf@suse.de
- irqchip/gic-v3-its: Make GICv4_ITS_LIST_MAX globally available
  (FATE#323954).
- commit 23467c3
* Fri Feb  9 2018 agraf@suse.de
- irqchip/gic-v3-its: Track per-ITS list number (FATE#323954).
- commit 4bd7058
* Fri Feb  9 2018 agraf@suse.de
- irqchip/gic-v3-its: Workaround HiSilicon Hip07 redistributor
  addressing (FATE#323954).
- Refresh
  patches.suse/arm64-Add-software-workaround-for-Falkor-erratum-104.patch.
- commit 0a26906
* Thu Feb  8 2018 brogers@suse.com
- supported.conf: add drivers/firmware/qemu_fw_cfg
  It enables ability for handling of guest crash analysis
  (KVM), along with other uses. (bsc#1077919)
- commit 36c01d0
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Pass its_node pointer to each command
  builder (FATE#323954).
- commit d719157
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3: Add support for Range Selector (RS) feature
  (FATE#323954).
- commit 706f089
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Add missing changes to support 52bit
  physical address (FATE#323954).
- commit e8e419f
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Fix the incorrect parsing of VCPU table size
  (FATE#323954).
- commit 511523a
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Fix the incorrect BUG_ON in
  its_init_vpe_domain() (FATE#323954).
- commit f0aa0ed
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v4: Fix building with ancient gcc (FATE#323954).
- commit 1d16c51
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3: Iterate over possible CPUs by
  for_each_possible_cpu() (FATE#323954).
- commit ebcfbbc
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic: Make irq_chip const (FATE#323954).
- commit 2d5ac36
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3: Advertise GICv4 support to KVM (FATE#323954).
- commit 40f9623
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v4: Enable low-level GICv4 operations (FATE#323954).
- commit 84b3f27
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v4: Add some basic documentation (FATE#323954).
- commit ec6f959
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v4: Add VLPI configuration interface (FATE#323954).
- commit 86e4f8e
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v4: Add VPE command interface (FATE#323954).
- commit 73856c3
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v4: Add per-VM VPE domain creation (FATE#323954).
- commit 187e199
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Set implementation defined bit to enable
  VLPIs (FATE#323954).
- commit 3df2699
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Allow doorbell interrupts to be
  injected/cleared (FATE#323954).
- commit 4a1320e
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Move pending doorbell after VMOVP
  (FATE#323954).
- commit 7bf8955
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Add device proxy for VPE management if
  !DirectLpi (FATE#323954).
- commit 7814bf0
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Make LPI allocation optional on device
  creation (FATE#323954).
- commit af01bb0
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Add VPE interrupt masking (FATE#323954).
- commit 3e0e018
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Add VPE affinity changes (FATE#323954).
- commit d562b75
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Add VPE invalidation hook (FATE#323954).
- commit 0ab99d4
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Add VPE scheduling (FATE#323954).
- commit 886a69b
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Add VPENDBASER/VPROPBASER accessors
  (FATE#323954).
- commit a555020
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Add VPE irq domainactivation (FATE#323954).
- commit 1e0a736
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Add VPE irq domain allocation/teardown
  (FATE#323954).
- commit 5012fa3
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Add VPE domain infrastructure (FATE#323954).
- commit b171b80
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Add VLPI configuration handling
  (FATE#323954).
- commit 1a53a79
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Add VLPI map/unmap operations (FATE#323954).
- commit 39bdd8c
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Add VLPI configuration hook (FATE#323954).
- commit 1df4f9e
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Add GICv4 ITS command definitions
  (FATE#323954).
- commit 754bd85
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v4: Add management structure definitions
  (FATE#323954).
- commit 3e4d038
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Generalize LPI configuration (FATE#323954).
- commit c322f9d
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Generalize device table allocation
  (FATE#323954).
- commit d807afe
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Rework LPI freeing (FATE#323954).
- commit f77ae34
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Split out pending table allocation
  (FATE#323954).
- commit 94bff76
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Allow use of indirect VCPU tables
  (FATE#323954).
- commit e7ee4bb
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Split out property table allocation
  (FATE#323954).
- commit af26837
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Implement irq_set_irqchip_state for pending
  state (FATE#323954).
- Refresh
  patches.suse/irqchip-gic-v3-its-Add-post-mortem-info-on-command-t.patch.
- commit 321d3a8
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Macro-ize its_send_single_command
  (FATE#323954).
- Refresh
  patches.suse/irqchip-gic-v3-Add-workaround-for-Synquacer-pre-ITS-558b0165.patch.
- Refresh
  patches.suse/irqchip-gic-v3-its-Add-post-mortem-info-on-command-t.patch.
- commit d80fdde
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Add probing for VLPI properties
  (FATE#323954).
- Refresh
  patches.suse/irqchip-gic-v3-Probe-device-ID-space-before-quirks-h.patch.
- Refresh
  patches.suse/irqchip-gic-v3-Add-workaround-for-Synquacer-pre-ITS-558b0165.patch
- commit a385b0d
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Move LPI definitions around (FATE#323954).
- commit 29c36a2
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3: Add VLPI/DirectLPI discovery (FATE#323954).
- commit 6babec0
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3: Add redistributor iterator (FATE#323954).
- commit ee41ab4
* Thu Feb  8 2018 agraf@suse.de
- genirq: Let irq_set_vcpu_affinity() iterate over hierarchy
  (FATE#323954).
- commit bb7657a
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Properly handle command queue wrapping
  (FATE#323954).
- commit b883322
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Report that effective affinity is a single
  target (FATE#323954).
- commit 6f8bd53
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3: Report that effective affinity is a single
  target (FATE#323954).
- commit 8954ba3
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic: Report that effective affinity is a single target
  (FATE#323954).
- commit 7ca4347
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its-platform-msi: Fix msi-parent parsing loop
  (FATE#323954).
- commit b0e243c
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Allow GIC ITS number more than MAX_NUMNODES
  (FATE#323954).
- commit 36735a4
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic: Ensure we have an ISB between ack and ->handle_irq
  (FATE#323954).
- commit f7f8f59
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Remove ACPICA version check for ACPI NUMA
  (FATE#323954).
- commit ad1cbf1
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3: Honor forced affinity setting (FATE#323954).
- commit 76565c7
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3: Report failures in gic_irq_domain_alloc
  (FATE#323954).
- commit a5ca30a
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v2: Report failures in gic_irq_domain_alloc
  (FATE#323954).
- commit cc989f5
* Thu Feb  8 2018 agraf@suse.de
- iommu/arm-smmu-v3: Enable ACPI based HiSilicon CMD_PREFETCH
  quirk(erratum 161010701) (FATE#323954).
- commit c2ed429
* Thu Feb  8 2018 agraf@suse.de
- arm64: Add MIDR values for Cavium cn83XX SoCs (FATE#323954).
- commit 3d86f32
* Thu Feb  8 2018 agraf@suse.de
- arm64: Add a facility to turn an ESR syndrome into a sysreg
  encoding (FATE#323954).
- commit b7a0ad9
* Thu Feb  8 2018 brogers@suse.com
- Update config files.
- commit 038084e
* Thu Feb  8 2018 agraf@suse.de
- ACPICA: Add support for new SRAT subtable (FATE#323954).
- commit 107759b
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Don't assume GICv3 hardware supports 16bit
  INTID (FATE#323954).
- commit 41c997a
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Add ACPI NUMA node mapping (FATE#323954).
- commit e83e0cc
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its-platform-msi: Make of_device_ids const
  (FATE#323954).
- commit ac4f6c8
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Make of_device_ids const (FATE#323954).
- commit cdca6a2
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gicv3-its: Skip irq affinity setting when target cpu
  is the same as current setting (FATE#323954).
- commit 8566246
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Fix MSI alias accounting (FATE#323954).
- commit 90ccab5
* Thu Feb  8 2018 agraf@suse.de
- genirq/irqdomain: Remove auto-recursive hierarchy support
  (FATE#323954).
- commit b4e692f
* Thu Feb  8 2018 agraf@suse.de
- irqchip/MSI: Use irq_domain_update_bus_token instead of an
  open coded access (FATE#323954).
- Refresh
  patches.suse/irqchip-gic-v3-Add-workaround-for-Synquacer-pre-ITS-558b0165.patch.
- commit c2912d8
* Thu Feb  8 2018 agraf@suse.de
- genirq/irqdomain: Add irq_domain_update_bus_token helper
  (FATE#323954).
- commit bbab0e5
* Thu Feb  8 2018 agraf@suse.de
- s390/mm: remove incorrect _REGION3_ENTRY_ORIGIN define
  (bsc#1077761).
- commit 7a77b31
* Thu Feb  8 2018 agraf@suse.de
- Add stubs to ignore effective IRQ affinity (FATE#323954).
- commit ffd094d
* Thu Feb  8 2018 brogers@suse.com
- s390: fix alloc_pgste check in init_new_context again
  (bsc#1077706).
- s390/kvm: avoid global config of vm.alloc_pgste=1 (bsc#1077706).
- commit 504a71f
* Thu Feb  8 2018 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Also require m4 for build.
- commit 0d7b4b3
* Thu Feb  8 2018 msuchanek@suse.de
- ibmvnic: Ensure that buffers are NULL after free (bsc#1080014).
- ibmvnic: Fix rx queue cleanup for non-fatal resets
  (bsc#1080014).
- commit 9627b8d
* Thu Feb  8 2018 msuchanek@suse.de
- Refresh patches.drivers/ibmvnic-fix-empty-firmware-version-and-errors-cleanu.patch.
- commit 83a5eee
* Thu Feb  8 2018 agraf@suse.de
- Move ARM IOMMU patches to sorted section
- commit 3aa94a7
* Thu Feb  8 2018 jslaby@suse.cz
- Documentation: Document array_index_nospec (bsc#1068032
  CVE-2017-5753).
- array_index_nospec: Sanitize speculative array de-references
  (bsc#1068032 CVE-2017-5753).
- x86: Implement array_index_mask_nospec (bsc#1068032
  CVE-2017-5753).
- x86: Introduce barrier_nospec (bsc#1068032 CVE-2017-5753).
- x86: Introduce __uaccess_begin_nospec() and uaccess_try_nospec
  (bsc#1068032 CVE-2017-5753).
- x86/usercopy: Replace open coded stac/clac with
  __uaccess_{begin, end} (bsc#1068032 CVE-2017-5753).
- x86/syscall: Sanitize syscall table de-references under
  speculation (bsc#1068032 CVE-2017-5753).
- nl80211: Sanitize array index in parse_txq_params (bsc#1068032
  CVE-2017-5753).
- x86/spectre: Report get_user mitigation for spectre_v1
  (bsc#1068032 CVE-2017-5753).
- Refresh
  patches.arch/23-x86-retpoline-entry-convert-entry-assembler-indirect-jumps.patch.
- Refresh
  patches.suse/0002-objtool-x86-Add-several-functions-and-files-to-the-o.patch.
- Refresh
  patches.suse/0007-x86-entry-64-Add-unwind-hint-annotations.patch.
- Delete patches.suse/0001-Documentation-document-array_ptr.patch.
- Delete
  patches.suse/0002-asm-nospec-array_ptr-sanitize-speculative-array-de-r.patch.
- Delete
  patches.suse/0003-locking-barriers-introduce-new-observable-speculatio.patch.
- Delete patches.suse/0003-x86-implement-array_ptr_mask.patch.
- Delete
  patches.suse/0004-x86-introduce-__uaccess_begin_nospec-and-ifence.patch.
- Delete
  patches.suse/0005-x86-bpf-jit-prevent-speculative-execution-when-JIT-i.patch.
- Delete
  patches.suse/0006-uvcvideo-prevent-speculative-execution.patch.
- Delete
  patches.suse/0007-carl9170-prevent-speculative-execution.patch.
- Delete
  patches.suse/0007-x86-narrow-out-of-bounds-syscalls-to-sys_read-under-.patch.
- Delete
  patches.suse/0008-p54-prevent-speculative-execution.patch.
- Delete
  patches.suse/0009-qla2xxx-prevent-speculative-execution.patch.
- Delete
  patches.suse/0010-cw1200-prevent-speculative-execution.patch.
- Delete
  patches.suse/0010-nl80211-sanitize-array-index-in-parse_txq_params.patch.
- Delete
  patches.suse/0011-Thermal-int340x-prevent-speculative-execution.patch.
- Delete
  patches.suse/0012-ipv4-prevent-speculative-execution.patch.
- Delete
  patches.suse/0013-ipv6-prevent-speculative-execution.patch.
- Delete patches.suse/0014-fs-prevent-speculative-execution.patch.
- Delete
  patches.suse/0015-net-mpls-prevent-speculative-execution.patch.
- Delete
  patches.suse/0016-udf-prevent-speculative-execution.patch.
- Delete
  patches.suse/0017-userns-prevent-speculative-execution.patch.
  Replace spectre v1 by the upstream solution.
  /sys/devices/system/cpu/vulnerabilities/spectre_v1 now also has the
  proper text.
- commit fa33561
* Thu Feb  8 2018 bp@suse.de
- kprobes/x86: Blacklist indirect thunk functions for kprobes
  (bsc#1068032 CVE-2017-5754).
- kprobes/x86: Disable optimizing on the function jumps to
  indirect thunk (bsc#1068032 CVE-2017-5754).
- KVM: VMX: Make indirect call speculation safe (bsc#1068032
  CVE-2017-5754).
- KVM: x86: Make indirect calls in emulator speculation safe
  (bsc#1068032 CVE-2017-5754).
- module/retpoline: Warn about missing retpoline in module
  (bsc#1068032 CVE-2017-5754).
- retpoline: Introduce start/end markers of indirect thunk
  (bsc#1068032 CVE-2017-5754).
- x86/cpufeature: Blacklist SPEC_CTRL/PRED_CMD on early Spectre
  v2 microcodes (bsc#1068032 CVE-2017-5754).
- x86/cpufeatures: Add AMD feature bits for Speculation Control
  (bsc#1068032 CVE-2017-5754).
- x86/cpufeatures: Clean up Spectre v2 related CPUID flags
  (bsc#1068032 CVE-2017-5754).
- x86/msr: Add definitions for new speculation control MSRs
  (bsc#1068032 CVE-2017-5754).
- x86/pti: Do not enable PTI on CPUs which are not vulnerable
  to Meltdown (bsc#1068032 CVE-2017-5754).
- x86/retpoline: Optimize inline assembler for vmexit_fill_RSB
  (bsc#1068032 CVE-2017-5754).
- x86/retpoline: Simplify vmexit_fill_RSB() (bsc#1068032
  CVE-2017-5754).
- x86/speculation: Add basic IBPB (Indirect Branch Prediction
  Barrier) support (bsc#1068032 CVE-2017-5754).
- blacklist.conf:
- Refresh
  patches.arch/x86-bugs-drop-one-mitigation-from-dmesg.patch.
- Refresh
  patches.arch/x86-mce-make-machine-check-speculation-protected.patch.
- commit 4d56a2a
* Thu Feb  8 2018 jthumshirn@suse.de
- kernel: fix rwlock implementation (bnc#1079840, LTC#164371).
- commit bcb7294
* Thu Feb  8 2018 jthumshirn@suse.de
- fs/proc/kcore.c: use probe_kernel_read() instead of memcpy()
  (bsc#1079840).
- commit 45c8725
* Thu Feb  8 2018 hare@suse.de
- KVM: s390: add proper locking for CMMA migration bitmap (bsc#1079840).
- KVM: s390: prevent buffer overrun on memory hotplug during migration (bsc#1079840).
- KVM: s390: fix cmma migration for multiple memory slots (bsc#1079840).
- ata: pata_artop: remove redundant initialization of pio (bsc#1079840).
- blk-mq: attempt to fix atomic flag memory ordering
  (bsc#1079840).
- s390/guarded storage: fix possible memory corruption
  (bsc#1079840).
- s390/runtime instrumention: fix possible memory corruption
  (bsc#1079840).
- s390/mm: make pmdp_invalidate() do invalidation only
  (bsc#1079840).
- s390/perf: fix bug when creating per-thread event (bsc#1079840).
- block: Relax a check in blk_start_queue() (bsc#1079840).
- Documentation: DMA API: fix a typo in a function name
  (bsc#1079840).
- kernel-doc: describe the ``literal`` syntax (bsc#1079840).
- commit 51ba0ad
* Thu Feb  8 2018 jthumshirn@suse.de
- PCI: vmd: Remove IRQ affinity so we can allocate more IRQs
  (bsc#1079887).
- commit 2023869
* Thu Feb  8 2018 oneukum@suse.com
- usbip: fix stub_rx: get_pipe() to validate endpoint number
  (bsc#1078673 CVE-2017-16912).
- commit 32f2c09
* Thu Feb  8 2018 agraf@suse.de
- Update config files.
- commit 68baef6
* Thu Feb  8 2018 hare@suse.de
- scsi: megaraid_sas: NVMe passthrough command support
  (bsc#1077408).
- scsi: megaraid_sas: driver version upgrade (bsc#1077408).
- scsi: megaraid_sas: re-work DCMD refire code (bsc#1077408).
- scsi: megaraid_sas: Expose fw_cmds_outstanding through sysfs
  (bsc#1077408).
- scsi: megaraid_sas: Selectively apply stream detection based
  on IO type (bsc#1077408).
- scsi: megaraid_sas: Update LD map after populating drv_map
  driver map copy (bsc#1077408).
- scsi: megaraid_sas: Use megasas_wait_for_adapter_operational
  to detect controller state in IOCTL path (bsc#1077408).
- scsi: megaraid_sas: Avoid firing DCMDs while OCR is in progress
  (bsc#1077408).
- scsi: megaraid_sas: unload flag should be set after
  scsi_remove_host is called (bsc#1077408).
- scsi: megaraid_sas: Error handling for invalid ldcount provided
  by firmware in RAID map (bsc#1077408).
- scsi: megaraid_sas: Reset ldio_outstanding in megasas_resume
  (bsc#1077408).
- scsi: megaraid_sas: Return the DCMD status from
  megasas_get_seq_num (bsc#1077408).
- scsi: megaraid_sas: memset IOC INIT frame using correct size
  (bsc#1077408).
- scsi: megaraid_sas: zero out IOC INIT and stream detection
  memory (bsc#1077408).
- commit 60410e5
* Thu Feb  8 2018 hare@suse.de
- Drop non-standard megaraid_sas patches
- Delete
  patches.drivers/megaraid_sas-Fallback-to-older-scanning-if-not-disks.patch.
- Delete
  patches.drivers/megaraid_sas-boot-hangs-while-LD-is-offline.patch.
- commit 4400510
* Thu Feb  8 2018 hare@suse.de
- Refresh
  patches.drivers/ibmvnic-fix-empty-firmware-version-and-errors-cleanu.patch.
- commit b3b1ac0
* Thu Feb  8 2018 hare@suse.de
- blacklist.conf: ignore mac_esp patch (bsc#1077989)
- commit efe494e
* Thu Feb  8 2018 hare@suse.de
- Refresh patches.fixes/st-fix-blk_get_queue-usage.patch.
- commit 5541263
* Thu Feb  8 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/ibmvnic-fix-empty-firmware-version-and-errors-cleanu.patch.
- commit b3e021a
* Thu Feb  8 2018 hare@suse.de
- scsi: libfc: fix ELS request handling (bsc#1077989).
- scsi: bfa: integer overflow in debugfs (bsc#1077989).
- scsi: aacraid: Fix controller initialization failure
  (bsc#1077989).
- scsi: scsi-mq: Always unprepare before requeuing a request
  (bsc#1077989).
- scsi: zfcp: add handling for FCP_RESID_OVER to the fcp ingress
  path (bsc#1077989).
- scsi: sun_esp: fix device reference leaks (bsc#1077989).
- commit e90d3ec
* Thu Feb  8 2018 neilb@suse.com
- Refresh
  patches.fixes/0003-NFSv4-always-set-NFS_LOCK_LOST-when-a-lock-is-lost.patch.
  Add git-commit tag
- commit 1ef434c
* Thu Feb  8 2018 agraf@suse.de
- KVM: s390: add proper locking for CMMA migration bitmap
  (bsc#1077761).
- commit 9a8fac9
* Thu Feb  8 2018 agraf@suse.de
- KVM: s390: wire up bpb feature (bsc#1077761).
- commit d14cb22
* Thu Feb  8 2018 agraf@suse.de
- KVM: PPC: Book3S: Provide information about hardware/firmware
  CVE workarounds (bsc#1077761).
- commit 1e687f0
* Thu Feb  8 2018 agraf@suse.de
- KVM/x86: Fix wrong macro references of X86_CR0_PG_BIT and
  X86_CR4_PAE_BIT in kvm_valid_sregs() (bsc#1077761).
- commit 0863a2e
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm64: Fix GICv4 init when called from vgic_its_create
  (bsc#1077761).
- commit 54f74da
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Check pagesize when allocating a hugepage at
  Stage 2 (bsc#1077761).
- commit db3eec9
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: Add memory barrier on vmcs field lookup (bsc#1077761).
- commit 973bff3
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: emulate #UD while in guest mode (bsc#1077761).
- commit 9b6aa90
* Thu Feb  8 2018 agraf@suse.de
- x86: kvm: propagate register_shrinker return code (bsc#1077761).
- commit 39dc997
* Thu Feb  8 2018 agraf@suse.de
- KVM: PPC: Book3S PR: Fix WIMG handling under pHyp (bsc#1077761).
- commit d5a5c70
* Thu Feb  8 2018 agraf@suse.de
- KVM MMU: check pending exception before injecting APF
  (bsc#1077761).
- commit dbd1b43
* Thu Feb  8 2018 agraf@suse.de
- KVM: s390: prevent buffer overrun on memory hotplug during
  migration (bsc#1077761).
- commit ce5730c
* Thu Feb  8 2018 agraf@suse.de
- KVM: s390: fix cmma migration for multiple memory slots
  (bsc#1077761).
- commit 7f0eaab
* Thu Feb  8 2018 agraf@suse.de
- kvm: vmx: Scrub hardware GPRs at VM-exit (bsc#1077761).
- commit 3ae582d
* Thu Feb  8 2018 agraf@suse.de
- kvm: x86: fix RSM when PCID is non-zero (bsc#1077761).
- commit b9c326f
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Fix timer enable flow (bsc#1077761).
- commit e5afd2e
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Properly handle arch-timer IRQs after
  vtimer_save_state (bsc#1077761).
- commit c3b0312
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: timer: Don't set irq as forwarded if no usable
  GIC (bsc#1077761).
- commit f3c1476
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Fix HYP unmapping going off limits
  (bsc#1077761).
- commit d158077
* Thu Feb  8 2018 agraf@suse.de
- arm64: kvm: Prevent restoring stale PMSCR_EL1 for vcpu
  (bsc#1077761).
- commit 4363ba1
* Thu Feb  8 2018 agraf@suse.de
- KVM/x86: Check input paging mode when cs.l is set (bsc#1077761).
- commit ccf0181
* Thu Feb  8 2018 agraf@suse.de
- kvm: x86: fix WARN due to uninitialized guest FPU state
  (bsc#1077761).
- commit 35f63bf
* Thu Feb  8 2018 agraf@suse.de
- KVM: X86: Fix load RFLAGS w/o the fixed bit (bsc#1077761).
- commit 6700cda
* Thu Feb  8 2018 agraf@suse.de
- KVM: MMU: Fix infinite loop when there is no available mmu page
  (bsc#1077761).
- commit 13275e4
* Thu Feb  8 2018 agraf@suse.de
- arm64: Add software workaround for Falkor erratum 1041
  (bsc#1077761).
- commit e4dbbd7
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: fix APIC page invalidation (bsc#1077761).
- commit 4c9f820
* Thu Feb  8 2018 agraf@suse.de
- KVM: s390: Fix skey emulation permission check (bsc#1077761).
- commit 2763160
* Thu Feb  8 2018 agraf@suse.de
- KVM: s390: mark irq_state.flags as non-usable (bsc#1077761).
- commit d864d9d
* Thu Feb  8 2018 agraf@suse.de
- KVM: s390: Remove redundant license text (bsc#1077761).
- commit ed05681
* Thu Feb  8 2018 agraf@suse.de
- KVM: s390: add SPDX identifiers to the remaining files
  (bsc#1077761).
- commit 592f87d
* Thu Feb  8 2018 agraf@suse.de
- KVM: VMX: fix page leak in hardware_setup() (bsc#1077761).
- commit a03952e
* Thu Feb  8 2018 agraf@suse.de
- KVM: VMX: remove I/O port 0x80 bypass on Intel hosts
  (bsc#1077761).
- commit 2c4af04
* Thu Feb  8 2018 agraf@suse.de
- x86,kvm: remove KVM emulator get_fpu / put_fpu (bsc#1077761).
- commit abbfb8e
* Thu Feb  8 2018 agraf@suse.de
- x86,kvm: move qemu/guest FPU switching out to vcpu_run
  (bsc#1077761).
- commit 473f3e5
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Fix broken GICH_ELRSR big endian conversion
  (bsc#1077761).
- commit 36535a5
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: kvm_arch_destroy_vm cleanups (bsc#1077761).
- commit 3ac49a7
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Fix spinlock acquisition in vgic_set_owner
  (bsc#1077761).
- commit 0be83be
* Thu Feb  8 2018 agraf@suse.de
- kvm: arm: don't treat unavailable HYP mode as an error
  (bsc#1077761).
- commit a44e98a
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Avoid attempting to load timer vgic state
  without a vgic (bsc#1077761).
- commit d6f7f9c
* Thu Feb  8 2018 agraf@suse.de
- kvm: arm64: handle single-step of hyp emulated mmio instructions
  (bsc#1077761).
- commit 3b2c220
* Thu Feb  8 2018 agraf@suse.de
- kvm: arm64: handle single-step during SError exceptions
  (bsc#1077761).
- commit b1b7578
* Thu Feb  8 2018 agraf@suse.de
- kvm: arm64: handle single-step of userspace mmio instructions
  (bsc#1077761).
- commit fd1574f
* Thu Feb  8 2018 agraf@suse.de
- kvm: arm64: handle single-stepping trapped instructions
  (bsc#1077761).
- commit a578072
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: debug: Introduce helper for single-step
  (bsc#1077761).
- commit eedd8be
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: vgic-v4: Only perform an unmap for valid vLPIs
  (bsc#1077761).
- commit df09a13
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: vgic-its: Check result of allocation before use
  (bsc#1077761).
- commit 62a3243
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: vgic-its: Preserve the revious read from the
  pending table (bsc#1077761).
- commit 0f4fbdc
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: vgic: Preserve the revious read from the
  pending table (bsc#1077761).
- commit 4aa2aa4
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: vgic-irqfd: Fix MSI entry allocation
  (bsc#1077761).
- commit 901d4a5
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: VGIC: extend !vgic_is_initialized guard
  (bsc#1077761).
- commit 0b58110
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Don't enable/disable physical timer access on
  VHE (bsc#1077761).
- commit 3a8bf70
* Thu Feb  8 2018 agraf@suse.de
- KVM: Let KVM_SET_SIGNAL_MASK work as advertised (bsc#1077761).
- commit c9e7305
* Thu Feb  8 2018 agraf@suse.de
- KVM: VMX: Fix vmx->nested freeing when no SMI handler
  (bsc#1077761).
- commit fc76735
* Thu Feb  8 2018 agraf@suse.de
- KVM: VMX: Fix rflags cache during vCPU reset (bsc#1077761).
- commit 0fa5b65
* Thu Feb  8 2018 agraf@suse.de
- KVM: X86: Fix softlockup when get the current kvmclock
  (bsc#1077761).
- commit ae72d3e
* Thu Feb  8 2018 agraf@suse.de
- KVM: lapic: Fixup LDR on load in x2apic (bsc#1077761).
- commit 6dfe4f7
* Thu Feb  8 2018 agraf@suse.de
- KVM: lapic: Split out x2apic ldr calculation (bsc#1077761).
- commit fbbbd35
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: Fix CPUID function for word 6 (80000001_ECX)
  (bsc#1077761).
- commit 77b9fea
* Thu Feb  8 2018 agraf@suse.de
- KVM: nVMX: Fix vmx_check_nested_events() return value in case
  an event was reinjected to L2 (bsc#1077761).
- commit 8723e44
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: ioapic: Preserve read-only values in the redirection
  table (bsc#1077761).
- commit 5afc781
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: ioapic: Clear Remote IRR when entry is switched to
  edge-triggered (bsc#1077761).
- commit 42ed301
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: ioapic: Remove redundant check for Remote IRR in
  ioapic_set_irq (bsc#1077761).
- commit e540bbf
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: ioapic: Don't fire level irq when Remote IRR set
  (bsc#1077761).
- commit 76995b3
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: ioapic: Fix level-triggered EOI and IOAPIC reconfigure
  race (bsc#1077761).
- commit 3f52b3a
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: inject exceptions produced by x86_decode_insn
  (bsc#1077761).
- commit 529f2d4
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: Allow suppressing prints on RDMSR/WRMSR of unhandled
  MSRs (bsc#1077761).
- commit de7dd6f
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: fix em_fxstor() sleeping while in atomic
  (bsc#1077761).
- commit 7dbd3d6
* Thu Feb  8 2018 agraf@suse.de
- KVM: nVMX: Fix mmu context after VMLAUNCH/VMRESUME failure
  (bsc#1077761).
- commit 0ae6cb9
* Thu Feb  8 2018 agraf@suse.de
- KVM: nVMX: Validate the IA32_BNDCFGS on nested VM-entry
  (bsc#1077761).
- commit 2fbfa04
* Thu Feb  8 2018 agraf@suse.de
- KVM: X86: Fix operand/address-size during instruction decoding
  (bsc#1077761).
- commit d6d9f45
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: Don't re-execute instruction when not passing CR2
  value (bsc#1077761).
- commit e06fcac
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: emulator: Return to user-mode on L1 CPL=0 emulation
  failure (bsc#1077761).
- commit 25a36b8
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: Exit to user-mode on #UD intercept when emulator
  requires (bsc#1077761).
- commit 7d63739
* Thu Feb  8 2018 agraf@suse.de
- KVM: nVMX/nSVM: Don't intercept #UD when running L2
  (bsc#1077761).
- commit 2d12ec9
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: pvclock: Handle first-time write to pvclock-page
  contains random junk (bsc#1077761).
- commit a009110
* Thu Feb  8 2018 agraf@suse.de
- kvm: vmx: Allow disabling virtual NMI support (bsc#1077761).
- Refresh
  patches.arch/18-x86-mm-kvm-teach-kvm-s-vmx-code-that-cr3-isn-t-a-constant.patch.
- Refresh
  patches.arch/18.2-kvm-nvmx-fix-host_cr3-host_cr4-cache.patch.
- commit e88d160
* Thu Feb  8 2018 agraf@suse.de
- kvm: vmx: Reinstate support for CPUs without virtual NMI
  (bsc#1077761).
- Refresh
  patches.arch/18-x86-mm-kvm-teach-kvm-s-vmx-code-that-cr3-isn-t-a-constant.patch.
- Refresh
  patches.arch/18.2-kvm-nvmx-fix-host_cr3-host_cr4-cache.patch.
- commit aab882b
* Thu Feb  8 2018 agraf@suse.de
- KVM: SVM: obey guest PAT (bsc#1077761).
- commit e2a37d5
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Don't queue VLPIs on INV/INVALL (bsc#1077761).
- commit 06b20fe
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Fix GICv4 ITS initialization issues
  (bsc#1077761).
- commit 3a973bd
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Theory of operations (bsc#1077761).
- commit 6853074
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Enable VLPI support (bsc#1077761).
- commit b1aeb7c
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Prevent userspace from changing doorbell
  affinity (bsc#1077761).
- commit ff6fe51
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Prevent a VM using GICv4 from being saved
  (bsc#1077761).
- commit 72575b0
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Enable virtual cpuif if VLPIs can be
  delivered (bsc#1077761).
- commit 36a8d5b
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Hook vPE scheduling into vgic flush/sync
  (bsc#1077761).
- commit aef44e6
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Use the doorbell interrupt as an
  unblocking source (bsc#1077761).
- commit 2e2478b
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Add doorbell interrupt handling
  (bsc#1077761).
- commit 4a7ec1c
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Use pending_last as a scheduling hint
  (bsc#1077761).
- commit ea6aa7c
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Handle INVALL applied to a vPE
  (bsc#1077761).
- commit 81503da
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Propagate property updates to VLPIs
  (bsc#1077761).
- commit e61dccd
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Handle MOVALL applied to a vPE
  (bsc#1077761).
- commit 87310a5
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Handle CLEAR applied to a VLPI
  (bsc#1077761).
- commit 4d71627
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Propagate affinity changes to the
  physical ITS (bsc#1077761).
- commit bed266d
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Unmap VLPI when freeing an LPI
  (bsc#1077761).
- commit 54f9ab4
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Handle INT command applied to a VLPI
  (bsc#1077761).
- commit dd48bea
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Wire mapping/unmapping of VLPIs in VFIO
  irq bypass (bsc#1077761).
- commit 0df7b76
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Add init/teardown of the per-VM vPE
  irq domain (bsc#1077761).
- commit f3fa7a9
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: GICv4: Add property field and per-VM predicate
  (bsc#1077761).
- commit b3cf419
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: vITS: Add a helper to update the affinity of
  an LPI (bsc#1077761).
- commit 67e2fb3
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: vITS: Add MSI translation helpers (bsc#1077761).
- commit 2cfbfd2
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: vgic: Move kvm_vgic_destroy call around
  (bsc#1077761).
- commit c72e631
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm: Select ARM_GIC_V3 and ARM_GIC_V3_ITS (bsc#1077761).
- commit 60f0eba
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: vgic: restructure kvm_vgic_(un)map_phys_irq
  (bsc#1077761).
- commit 17738e1
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: register irq bypass consumer on ARM/ARM64
  (bsc#1077761).
- commit eef5148
* Thu Feb  8 2018 agraf@suse.de
- KVM: s390: provide a capability for AIS state migration
  (bsc#1077761).
- commit a45393d
* Thu Feb  8 2018 agraf@suse.de
- KVM: s390: clear_io_irq() requests are not expected for adapter
  interrupts (bsc#1077761).
- commit c161531
* Thu Feb  8 2018 agraf@suse.de
- KVM: s390: abstract conversion between isc and enum irq_types
  (bsc#1077761).
- commit 51df92d
* Thu Feb  8 2018 agraf@suse.de
- KVM: s390: vsie: use common code functions for pinning
  (bsc#1077761).
- commit 307cbae
* Thu Feb  8 2018 agraf@suse.de
- KVM: s390: document memory ordering for kvm_s390_vcpu_wakeup
  (bsc#1077761).
- commit ebccffe
* Thu Feb  8 2018 agraf@suse.de
- KVM: PPC: Book3S HV: Cosmetic post-merge cleanups (bsc#1077761).
- commit 59839b5
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Unify 32bit fault injection (bsc#1077761).
- commit 37ff111
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: vgic-its: Implement KVM_DEV_ARM_ITS_CTRL_RESET
  (bsc#1077761).
- commit 24e7c77
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: vgic-its: Free caches when GITS_BASER Valid
  bit is cleared (bsc#1077761).
- commit 00d0a4f
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: vgic-its: New helper functions to free the
  caches (bsc#1077761).
- commit ef1d37c
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: vgic-its: Remove kvm_its_unmap_device
  (bsc#1077761).
- commit 5660535
* Thu Feb  8 2018 agraf@suse.de
- arm/arm64: KVM: Load the timer state when enabling the timer
  (bsc#1077761).
- commit fee14c5
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Rework kvm_timer_should_fire (bsc#1077761).
- commit 3f72f82
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Get rid of kvm_timer_flush_hwstate
  (bsc#1077761).
- commit 979f853
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Avoid phys timer emulation in vcpu entry/exit
  (bsc#1077761).
- commit 02b2fcf
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Move phys_timer_emulate function (bsc#1077761).
- commit f3f29b2
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Use kvm_arm_timer_set/get_reg for guest register
  traps (bsc#1077761).
- commit 8796db5
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Support EL1 phys timer register access in
  set/get reg (bsc#1077761).
- commit 254a94f
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Avoid timer save/restore in vcpu entry/exit
  (bsc#1077761).
- commit 73ba9e1
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Set VCPU affinity for virt timer irq
  (bsc#1077761).
- commit 9327afa
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Move timer save/restore out of the hyp code
  (bsc#1077761).
- commit 61110ab
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Use separate timer for phys timer emulation
  (bsc#1077761).
- commit f6a35de
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Move timer/vgic flush/sync under disabled irq
  (bsc#1077761).
- commit dc41fde
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Rename soft timer to bg_timer (bsc#1077761).
- commit 9264d9d
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Make timer_arm and timer_disarm helpers more
  generic (bsc#1077761).
- commit 2b2c5a2
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Support calling vgic_update_irq_pending from
  irq context (bsc#1077761).
- commit 18a1bd2
* Thu Feb  8 2018 agraf@suse.de
- KVM: arm/arm64: Guard kvm_vgic_map_is_active against
  !vgic_initialized (bsc#1077761).
- commit ba7e655
* Thu Feb  8 2018 agraf@suse.de
- KVM: PPC: Book3S HV: Run HPT guests on POWER9 radix hosts
  (bsc#1077761).
- commit 13d7989
* Thu Feb  8 2018 agraf@suse.de
- KVM: PPC: Book3S HV: Allow for running POWER9 host in
  single-threaded mode (bsc#1077761).
- commit 04bf875
* Thu Feb  8 2018 agraf@suse.de
- KVM: PPC: Book3S: Fix gas warning due to using r0 as immediate 0
  (bsc#1077761).
- commit 375f419
* Thu Feb  8 2018 agraf@suse.de
- KVM: PPC: Book3S PR: Only install valid SLBs during
  KVM_SET_SREGS (bsc#1077761).
- commit 767b8b7
* Thu Feb  8 2018 agraf@suse.de
- KVM: PPC: Book3S PR: Enable in-kernel TCE handlers for PR KVM
  (bsc#1077761).
- commit 60c4ea7
* Thu Feb  8 2018 agraf@suse.de
- KVM: PPC: Book3S HV: Delete an error message for a failed
  memory allocation in kvmppc_allocate_hpt() (bsc#1077761).
- commit 8ad1a63
* Thu Feb  8 2018 agraf@suse.de
- KVM: PPC: BookE: Use vma_pages function (bsc#1077761).
- commit d6571ba
* Thu Feb  8 2018 agraf@suse.de
- KVM: PPC: Book3S HV: Use ARRAY_SIZE macro (bsc#1077761).
- commit 5cbbfdd
* Thu Feb  8 2018 agraf@suse.de
- KVM: PPC: Book3S HV: Handle unexpected interrupts better
  (bsc#1077761).
- commit 636eaa8
* Thu Feb  8 2018 agraf@suse.de
- KVM: X86: #GP when guest attempts to write MCi_STATUS register
  w/o 0 (bsc#1077761).
- commit 7d66248
* Thu Feb  8 2018 agraf@suse.de
- KVM: VMX: Fix VPID capability detection (bsc#1077761).
- commit d2fac0a
* Thu Feb  8 2018 agraf@suse.de
- KVM: nVMX: Fix EPT switching advertising (bsc#1077761).
- commit f7d3e41
* Thu Feb  8 2018 agraf@suse.de
- KVM: SVM: detect opening of SMI window using STGI intercept
  (bsc#1077761).
- commit b1d58d1
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: extend usage of RET_MMIO_PF_* constants (bsc#1077761).
- commit f9e03bb
* Thu Feb  8 2018 agraf@suse.de
- KVM: nSVM: fix SMI injection in guest mode (bsc#1077761).
- commit 906e480
* Thu Feb  8 2018 agraf@suse.de
- KVM: nSVM: refactor nested_svm_vmrun (bsc#1077761).
- commit f20f8d1
* Thu Feb  8 2018 agraf@suse.de
- KVM: nVMX: fix SMI injection in guest mode (bsc#1077761).
- commit 864bea5
* Thu Feb  8 2018 agraf@suse.de
- KVM: nVMX: set IDTR and GDTR limits when loading L1 host state
  (bsc#1077761).
- commit 9755543
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: introduce ISA specific smi_allowed callback
  (bsc#1077761).
- commit d5dea7a
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: introduce ISA specific SMM entry/exit callbacks
  (bsc#1077761).
- commit 504d250
* Thu Feb  8 2018 agraf@suse.de
- KVM: SVM: limit kvm_handle_page_fault to #PF handling
  (bsc#1077761).
- commit 078dc47
* Thu Feb  8 2018 agraf@suse.de
- KVM: SVM: unconditionally wake up VCPU on IOMMU interrupt
  (bsc#1077761).
- commit af2e0bd
* Thu Feb  8 2018 agraf@suse.de
- arch/x86: remove redundant null checks before kmem_cache_destroy
  (bsc#1077761).
- commit 790a8df
* Thu Feb  8 2018 agraf@suse.de
- KVM: VMX: Don't expose unrestricted_guest is enabled if ept
  is disabled (bsc#1077761).
- commit 7b71997
* Thu Feb  8 2018 agraf@suse.de
- KVM: X86: Processor States following Reset or INIT
  (bsc#1077761).
- commit 6a51165
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: thoroughly disarm LAPIC timer around TSC deadline
  switch (bsc#1077761).
- commit eca3693
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: really disarm lapic timer when clearing TMICT
  (bsc#1077761).
- commit 9623514
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: handle 0 write to TSC_DEADLINE MSR (bsc#1077761).
- commit 0be4ae2
* Thu Feb  8 2018 agraf@suse.de
- kvm, mm: account kvm related kmem slabs to kmemcg (bsc#1077761).
- commit a513a0a
* Thu Feb  8 2018 agraf@suse.de
- KVM: VMX: rename RDSEED and RDRAND vmx ctrls to reflect exiting
  (bsc#1077761).
- commit 8efad65
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: allow setting identity map addr with no vcpus only
  (bsc#1077761).
- commit 87d5593
* Thu Feb  8 2018 agraf@suse.de
- KVM: VMX: cleanup init_rmode_identity_map() (bsc#1077761).
- commit 4829c2a
* Thu Feb  8 2018 agraf@suse.de
- KVM: nVMX: no need to set ept/vpid caps to 0 (bsc#1077761).
- commit 5bfbc6a
* Thu Feb  8 2018 agraf@suse.de
- KVM: nVMX: no need to set vcpu->cpu when switching vmcs
  (bsc#1077761).
- commit 32ffbc8
* Thu Feb  8 2018 agraf@suse.de
- KVM: VMX: drop unnecessary function declarations (bsc#1077761).
- commit 724a966
* Thu Feb  8 2018 agraf@suse.de
- KVM: VMX: require INVEPT GLOBAL for EPT (bsc#1077761).
- commit a44c9d8
* Thu Feb  8 2018 agraf@suse.de
- KVM: VMX: call ept_sync_global() with enable_ept only
  (bsc#1077761).
- commit 7c47e21
* Thu Feb  8 2018 agraf@suse.de
- KVM: VMX: drop enable_ept check from ept_sync_context()
  (bsc#1077761).
- commit fbddd95
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: no need to inititalize vcpu members to 0
  (bsc#1077761).
- commit 9d148ad
* Thu Feb  8 2018 agraf@suse.de
- KVM: VMX: vmx_vcpu_setup() cannot fail (bsc#1077761).
- commit a5cab9a
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: drop BUG_ON(vcpu->kvm) (bsc#1077761).
- commit 6eb942e
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: mmu: free_page can handle NULL (bsc#1077761).
- commit 3f89823
* Thu Feb  8 2018 agraf@suse.de
- KVM: x86: mmu: returning void in a void function is strange
  (bsc#1077761).
- commit 6efd205
* Thu Feb  8 2018 agraf@suse.de
- KVM: LAPIC: Apply change to TDCR right away to the timer
  (bsc#1077761).
- commit 666609a
* Thu Feb  8 2018 agraf@suse.de
- KVM: LAPIC: Keep timer running when switching between one-shot
  and periodic mode (bsc#1077761).
- commit 55c6d5a
* Thu Feb  8 2018 agraf@suse.de
- KVM: LAPIC: Introduce limit_periodic_timer_frequency
  (bsc#1077761).
- commit 7c581b3
* Thu Feb  8 2018 agraf@suse.de
- KVM: LAPIC: Fix lapic timer mode transition (bsc#1077761).
- commit b52714f
* Thu Feb  8 2018 agraf@suse.de
- KVM: VMX: Don't expose PLE enable if there is no hardware
  support (bsc#1077761).
- commit 6186087
* Thu Feb  8 2018 agraf@suse.de
- KVM: PPC: Book3S HV: Handle host system reset in guest mode
  (bsc#1077761).
- commit 1118068
* Thu Feb  8 2018 agraf@suse.de
- Revert "KVM: PPC: Book3S HV: POWER9 does not require secondary
  thread management" (bsc#1077761).
- commit a334af4
* Thu Feb  8 2018 agraf@suse.de
- arm64/sve: KVM: Hide SVE from CPU features exposed to guests
  (bsc#1077761).
- commit de772e4
* Thu Feb  8 2018 agraf@suse.de
- arm64/sve: KVM: Treat guest SVE use as undefined instruction
  execution (bsc#1077761).
- commit 5fb9a5a
* Thu Feb  8 2018 agraf@suse.de
- arm64: KVM: Hide unsupported AArch64 CPU features from guests
  (bsc#1077761).
- commit 8bbe83e
* Thu Feb  8 2018 agraf@suse.de
- arm64: sysreg: Move SPE registers and PSB into common header
  files (bsc#1077761).
- commit c7d961a
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3-its: Add post-mortem info on command timeout
  (bsc#1077761).
- commit b376906
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3: Add workaround for Synquacer pre-ITS
  (bsc#1077761).
- commit 1ff37f4
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic: Make quirks matching conditional on init return
  value (bsc#1077761).
- commit 9f48672
* Thu Feb  8 2018 agraf@suse.de
- irqchip/gic-v3: Probe device ID space before quirks handling
  (bsc#1077761).
- commit 61afdc5
* Wed Feb  7 2018 mgorman@suse.de
- Refresh
  patches.suse/sched-fair-Do-not-migrate-if-the-prev_cpu-is-idle.patch.
- Refresh
  patches.suse/sched-fair-Remove-unnecessary-parameters-from-wake_affine_idle.patch.
- Refresh
  patches.suse/sched-fair-Restructure-wake_affine-to-return-a-CPU-id.patch.
- Refresh
  patches.suse/sched-fair-Use-a-recently-used-CPU-as-an-idle-candidate-and-the-basis-for-SIS.patch.
- commit 6bb11d2
* Wed Feb  7 2018 rgoldwyn@suse.com
- apparmor: fix possible recursive lock warning in  __aa_create_ns
  (bsc#1079834).
- apparmor: fix ptrace label match when matching stacked labels
  (bsc#1079851).
- apparmor: fix regression in mount mediation when feature  set
  is pinned (bsc#1079828).
- Update
  patches.apparmor/apparmor-fix-oops-in-audit_signal_cb-hook.patch
  (bsc#1070227).
- commit d71c37d
* Wed Feb  7 2018 tbogendoerfer@suse.de
- IB/hfi1: Remove blind constants from 16B update (bsc#1060463
  FATE#323043).
- IB/hfi1: Remove dependence on qp->s_hdrwords (bsc#1060463
  FATE#323043).
- IB/hfi1: Add RQ/SRQ information to QP stats (bsc#1060463
  FATE#323043).
- commit 5e5aecf
* Wed Feb  7 2018 tbogendoerfer@suse.de
- RDMA/cma: Check existence of netdevice during port validation
  (bsc#1046306 FATE#322942).
- RDMA/cma: Introduce API to read GIDs for multiple transports
  (bsc#1046306 FATE#322942).
- RDMA/cma: Fix rdma_cm path querying for RoCE (bsc#1046306
  FATE#322942).
- RDMA/cma: Fix rdma_cm raw IB path setting for RoCE (bsc#1046306
  FATE#322942).
- RDMA/{cma, ucma}: Simplify and rename rdma_set_ib_paths
  (bsc#1046306 FATE#322942).
- RDMA/cma: Provide a function to set RoCE path record L2
  parameters (bsc#1046306 FATE#322942).
- RDMA/cma: Use the right net namespace for the rdma_cm_id
  (bsc#1046306 FATE#322942).
- RDMA/cma: Introduce and use helper functions to init work
  (bsc#1046306 FATE#322942).
- RDMA/cma: Avoid setting path record type twice (bsc#1046306
  FATE#322942).
- RDMA/cma: Simplify netdev check (bsc#1046306 FATE#322942).
- RDMA/cma: Set default GID type as RoCE when resolving RoCE route
  (bsc#1046306 FATE#322942).
- commit 82aa918
* Wed Feb  7 2018 agraf@suse.de
- s390/ctl_reg: move control register definitions to ctl_reg.h
  (bsc#1077761).
- commit 0ecc113
* Wed Feb  7 2018 agraf@suse.de
- s390/runtime_instrumentation: clean up struct runtime_instr_cb
  (bsc#1077761).
- commit 51c2ad5
* Wed Feb  7 2018 agraf@suse.de
- KVM: arm/arm64: vgic-its: Check GITS_BASER Valid bit before
  saving tables (bsc#1077761).
- commit c657664
* Wed Feb  7 2018 agraf@suse.de
- KVM: arm/arm64: vgic-its: Check CBASER/BASER validity before
  enabling the ITS (bsc#1077761).
- commit 3e240a3
* Wed Feb  7 2018 agraf@suse.de
- KVM: arm/arm64: vgic-its: Fix vgic_its_restore_collection_table
  returned value (bsc#1077761).
- commit f6dcef1
* Wed Feb  7 2018 agraf@suse.de
- KVM: arm/arm64: vgic-its: Fix return value for device table
  restore (bsc#1077761).
- commit e5ec1bc
* Wed Feb  7 2018 agraf@suse.de
- arm/arm64: kvm: Disable branch profiling in HYP code
  (bsc#1077761).
- commit bea11c5
* Wed Feb  7 2018 agraf@suse.de
- arm/arm64: kvm: Move initialization completion message
  (bsc#1077761).
- commit 32dee34
* Wed Feb  7 2018 agraf@suse.de
- arm/arm64: KVM: set right LR register value for 32 bit guest
  when inject abort (bsc#1077761).
- commit 1f9a389
* Wed Feb  7 2018 agraf@suse.de
- KVM: arm64: its: Fix missing dynamic allocation check in
  scan_its_table (bsc#1077761).
- commit b1a2351
* Wed Feb  7 2018 msuchanek@suse.de
- rpm/kernel-binary.spec.in: install ksym-provides tool (bsc#1077692).
- commit 679f5c5
* Wed Feb  7 2018 agraf@suse.de
- KVM: x86: Update APICv on APIC reset (bsc#1077761).
- commit 81a4412
* Wed Feb  7 2018 agraf@suse.de
- KVM: VMX: Do not fully reset PI descriptor on vCPU reset
  (bsc#1077761).
- commit 780175d
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: fix guest CR4 loading when emulating L2 to L1 exit
  (bsc#1077761).
- commit 6272cb9
* Wed Feb  7 2018 agraf@suse.de
- KVM: MMU: always terminate page walks at level 1 (bsc#1077761).
- commit 012351b
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: update last_nonleaf_level when initializing nested
  EPT (bsc#1077761).
- commit fba7c5e
* Wed Feb  7 2018 agraf@suse.de
- KVM: add X86_LOCAL_APIC dependency (bsc#1077761).
- commit b0c57c5
* Wed Feb  7 2018 agraf@suse.de
- kvm/x86: Avoid async PF preempting the kernel incorrectly
  (bsc#1077761).
- commit 33e3762
* Wed Feb  7 2018 agraf@suse.de
- kvm/x86: Handle async PF in RCU read-side critical sections
  (bsc#1077761).
- commit d538f32
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: Fix nested #PF intends to break L1's vmlauch/vmresume
  (bsc#1077761).
- commit e5c273a
* Wed Feb  7 2018 agraf@suse.de
- KVM: VMX: use cmpxchg64 (bsc#1077761).
- commit ccea3eb
* Wed Feb  7 2018 agraf@suse.de
- KVM: VMX: simplify and fix vmx_vcpu_pi_load (bsc#1077761).
- commit 9131f7c
* Wed Feb  7 2018 agraf@suse.de
- KVM: VMX: avoid double list add with VT-d posted interrupts
  (bsc#1077761).
- commit efab819
* Wed Feb  7 2018 agraf@suse.de
- KVM: VMX: extract __pi_post_block (bsc#1077761).
- commit 6de20b1
* Wed Feb  7 2018 agraf@suse.de
- KVM: PPC: Book3S HV: Check for updated HDSISR on P9 HDSI
  exception (bsc#1077761).
- commit 1bf0fea
* Wed Feb  7 2018 agraf@suse.de
- KVM: x86: Fix the NULL pointer parameter in check_cr_write()
  (bsc#1077761).
- commit ac5bf85
* Wed Feb  7 2018 agraf@suse.de
- Revert "KVM: Don't accept obviously wrong gsi values via
  KVM_IRQFD" (bsc#1077761).
- commit 7ff728f
* Wed Feb  7 2018 agraf@suse.de
- kvm: nVMX: Handle deferred early VMLAUNCH/VMRESUME failure
  properly (bsc#1077761).
- commit 3210b1f
* Wed Feb  7 2018 agraf@suse.de
- kvm: vmx: Handle VMLAUNCH/VMRESUME failure properly
  (bsc#1077761).
- commit 23509b2
* Wed Feb  7 2018 agraf@suse.de
- kvm: nVMX: Remove nested_vmx_succeed after successful VM-entry
  (bsc#1077761).
- commit 8fb1583
* Wed Feb  7 2018 agraf@suse.de
- KVM: Don't accept obviously wrong gsi values via KVM_IRQFD
  (bsc#1077761).
- commit 9441090
* Wed Feb  7 2018 msuchanek@suse.de
- rpm/kernel-binary.spec.in: require bison for build.
  linux-next tends to have outdated generated files so it needs bison to
  regenerate them.
- commit 4ad1ede
* Wed Feb  7 2018 agraf@suse.de
- KVM: trace events: update list of exit reasons (bsc#1077761).
- commit ebca120
* Wed Feb  7 2018 agraf@suse.de
- KVM: X86: Don't block vCPU if there is pending exception
  (bsc#1077761).
- commit c6a59bd
* Wed Feb  7 2018 agraf@suse.de
- KVM: x86: fix clang build (bsc#1077761).
- commit bde54e4
* Wed Feb  7 2018 agraf@suse.de
- KVM: fix rcu warning on VM_CREATE errors (bsc#1077761).
- commit 8b38d86
* Wed Feb  7 2018 agraf@suse.de
- KVM: x86: Fix handling of pending signal on uninitialized AP
  (bsc#1077761).
- commit f17cb3c
* Wed Feb  7 2018 agraf@suse.de
- KVM: PPC: Book3S HV: Protect updates to spapr_tce_tables list
  (bsc#1077761).
- commit 4fb91d2
* Wed Feb  7 2018 agraf@suse.de
- KVM: PPC: Book3S HV: Fix invalid use of register expression
  (bsc#1077761).
- commit 3d56d7a
* Wed Feb  7 2018 agraf@suse.de
- KVM: PPC: Book3S HV: Fix H_REGISTER_VPA VPA size validation
  (bsc#1077761).
- commit dd5bcf7
* Wed Feb  7 2018 agraf@suse.de
- KVM: PPC: Book3S HV: Fix setting of storage key in H_ENTER
  (bsc#1077761).
- commit 41b5422
* Wed Feb  7 2018 agraf@suse.de
- KVM: PPC: e500mc: Fix a NULL dereference (bsc#1077761).
- commit ece8d3c
* Wed Feb  7 2018 agraf@suse.de
- KVM: PPC: e500: Fix some NULL dereferences on error
  (bsc#1077761).
- commit b7887fb
* Wed Feb  7 2018 agraf@suse.de
- KVM: arm/arm64: Support uaccess of GICC_APRn (bsc#1077761).
- commit 9a096e3
* Wed Feb  7 2018 agraf@suse.de
- KVM: arm/arm64: Extract GICv3 max APRn index calculation
  (bsc#1077761).
- commit ebeb5d5
* Wed Feb  7 2018 agraf@suse.de
- KVM: arm/arm64: vITS: Drop its_ite->lpi field (bsc#1077761).
- commit 5cf62bb
* Wed Feb  7 2018 agraf@suse.de
- KVM: arm/arm64: vgic: constify seq_operations and
  file_operations (bsc#1077761).
- commit dafbaeb
* Wed Feb  7 2018 agraf@suse.de
- KVM: arm/arm64: Fix guest external abort matching (bsc#1077761).
- commit 403db45
* Wed Feb  7 2018 agraf@suse.de
- KVM: s390: vsie: cleanup mcck reinjection (bsc#1077761).
- commit a25bb09
* Wed Feb  7 2018 agraf@suse.de
- KVM: s390: use WARN_ON_ONCE only for checking (bsc#1077761).
- commit 10b882b
* Wed Feb  7 2018 agraf@suse.de
- KVM: s390: guestdbg: fix range check (bsc#1077761).
- commit e525cc4
* Wed Feb  7 2018 agraf@suse.de
- KVM: s390: we are always in czam mode (bsc#1077761).
- commit 2e46f1e
* Wed Feb  7 2018 msuchanek@suse.de
- Add ksym-provides tool (bsc#1077692).
- commit ee8ebe0
* Wed Feb  7 2018 agraf@suse.de
- KVM: s390: sthyi: remove invalid guest write access
  (bsc#1077761).
- patches.arch/s390-sles15-00-10-01-kernel-sthyi-reorganize-sthyi-implementation.patch:
  (FATE#324258, LTC#160415, bsc#1068273).
- commit 0a9d7cd
* Wed Feb  7 2018 tbogendoerfer@suse.de
- mlx5: fix mlx5_get_vector_affinity to start from completion
  vector 0 (bsc#1046303 FATE#322944).
- IB/core: Avoid a potential OOPs for an unused optional parameter
  (bsc#1046306 FATE#322942).
- IB/core: Map iWarp AH type to undefined in rdma_ah_find_type
  (bsc#1046306 FATE#322942).
- IB/hfi1: Fix for potential refcount leak in hfi1_open_file()
  (bsc#1060463 FATE#323043).
- RDMA/bnxt_re: Fix an error code in bnxt_qplib_create_srq()
  (bsc#1050244 FATE#322915).
- net_sched: gen_estimator: fix lockdep splat (bsc#1056787).
- i40e: fix reported mask for ntuple filters (bsc#1056658
  FATE#322188).
- igb: Free IRQs when device is hotplugged (bsc#1056651
  FATE#322191).
- net/mlx5: Separate ingress/egress namespaces for each vport
  (bsc#1046303 FATE#322944).
- net/mlx5: Fix ingress/egress naming mistake (bsc#1046303
  FATE#322944).
- net/mlx5e: E-Switch, Use the name of static array instead of
  its address (bsc#1046303 FATE#322944).
- net/mlx4_en: Change default QoS settings (bsc#1046299
  FATE#322947).
- net/mlx4_core: Cleanup FMR unmapping flow (bsc#1046300
  FATE#322946).
- RDMA/mlx5: Avoid memory leak in case of XRCD dealloc failure
  (bsc#1046305 FATE#322943).
- IB/umad: Fix use of unprotected device pointer (bsc#1046306
  FATE#322942).
- i40iw: Free IEQ resources (bsc#1058659 FATE#322535).
- i40iw: Remove limit on re-posting AEQ entries to HW (bsc#1058659
  FATE#322535).
- RDMA/core: Clarify rdma_ah_find_type (bsc#1046306 FATE#322942).
- IB/mlx4: Fix incorrectly releasing steerable UD QPs when have
  only ETH ports (bsc#1046302 FATE#322945).
- IB/srpt: Remove an unused structure member (bsc#1046306
  FATE#322942).
- IB/core: Fix two kernel warnings triggered by rxe registration
  (bsc#1046306 FATE#322942).
- i40iw: Fix the connection ORD value for loopback (bsc#1058659
  FATE#322535).
- i40iw: Validate correct IRD/ORD connection parameters
  (bsc#1058659 FATE#322535).
- i40iw: Fix sequence number for the first partial FPDU
  (bsc#1058659 FATE#322535).
- i40iw: Selectively teardown QPs on IP addr change event
  (bsc#1058659 FATE#322535).
- i40iw: Correct Q1/XF object count equation (bsc#1058659
  FATE#322535).
- IB/SA: Check dlid before SA agent queries for ClassPortInfo
  (bsc#1046306 FATE#322942).
- IB/umem: Fix use of npages/nmap fields (bsc#1046306
  FATE#322942).
- RDMA/cma: Use correct size when writing netlink stats
  (bsc#1046306 FATE#322942).
- RDMA/iwpm: Fix uninitialized error code in iwpm_send_mapinfo()
  (bsc#1046306 FATE#322942).
- IB/mlx5: revisit -Wmaybe-uninitialized warning (bsc#1046305
  FATE#322943).
- commit 5f2318b
* Wed Feb  7 2018 agraf@suse.de
- KVM: s390: Multiple Epoch Facility support (bsc#1077761).
- patches.arch/s390-sles15-00-10-01-kernel-sthyi-reorganize-sthyi-implementation.patch:
  (FATE#324258, LTC#160415, bsc#1068273).
- commit 69d2bea
* Wed Feb  7 2018 agraf@suse.de
- kvm: nVMX: Validate the virtual-APIC address on nested VM-entry
  (bsc#1077761).
- commit 02cdfc0
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: Fix trying to cancel vmlauch/vmresume (bsc#1077761).
- commit d7cc599
* Wed Feb  7 2018 agraf@suse.de
- KVM: X86: Fix loss of exception which has not yet been injected
  (bsc#1077761).
- commit 0c65010
* Wed Feb  7 2018 agraf@suse.de
- KVM: VMX: use kvm_event_needs_reinjection (bsc#1077761).
- commit c9110ef
* Wed Feb  7 2018 agraf@suse.de
- KVM: MMU: speedup update_permission_bitmask (bsc#1077761).
- commit 6c779fb
* Wed Feb  7 2018 agraf@suse.de
- KVM: MMU: Expose the LA57 feature to VM (bsc#1077761).
- commit 6626022
* Wed Feb  7 2018 agraf@suse.de
- KVM: MMU: Add 5 level EPT & Shadow page table support
  (bsc#1077761).
- commit 02cce94
* Wed Feb  7 2018 agraf@suse.de
- KVM: MMU: Rename PT64_ROOT_LEVEL to PT64_ROOT_4LEVEL
  (bsc#1077761).
- commit 5957c99
* Wed Feb  7 2018 agraf@suse.de
- KVM: MMU: check guest CR3 reserved bits based on its physical
  address width (bsc#1077761).
- commit 74530a7
* Wed Feb  7 2018 agraf@suse.de
- KVM: x86: Add return value to kvm_cpuid() (bsc#1077761).
- commit 2260172
* Wed Feb  7 2018 agraf@suse.de
- kvm: vmx: Raise #UD on unsupported XSAVES/XRSTORS (bsc#1077761).
- commit 1ca81c7
* Wed Feb  7 2018 agraf@suse.de
- kvm: vmx: Raise #UD on unsupported RDSEED (bsc#1077761).
- commit 416b7c0
* Wed Feb  7 2018 agraf@suse.de
- kvm: vmx: Raise #UD on unsupported RDRAND (bsc#1077761).
- commit d990f93
* Wed Feb  7 2018 agraf@suse.de
- KVM: VMX: cache secondary exec controls (bsc#1077761).
- commit aee234d
* Wed Feb  7 2018 agraf@suse.de
- KVM: VMX: always require WB memory type for EPT (bsc#1077761).
- commit 004c65c
* Wed Feb  7 2018 agraf@suse.de
- KVM: VMX: cleanup EPTP definitions (bsc#1077761).
- commit a0416af
* Wed Feb  7 2018 agraf@suse.de
- KVM: x86: fix use of L1 MMIO areas in nested guests
  (bsc#1077761).
- commit 5c78d98
* Wed Feb  7 2018 agraf@suse.de
- KVM: x86: Avoid guest page table walk when gpa_available is set
  (bsc#1077761).
- commit 9101925
* Wed Feb  7 2018 agraf@suse.de
- KVM: x86: simplify ept_misconfig (bsc#1077761).
- commit c81e473
* Wed Feb  7 2018 agraf@suse.de
- kvm: avoid uninitialized-variable warnings (bsc#1077761).
- commit 138f617
* Wed Feb  7 2018 agraf@suse.de
- kvm: x86: Disallow illegal IA32_APIC_BASE MSR values
  (bsc#1077761).
- commit 41bb0d9
* Wed Feb  7 2018 agraf@suse.de
- KVM: MMU: Bail out immediately if there is no available mmu page
  (bsc#1077761).
- commit a95ac0e
* Wed Feb  7 2018 agraf@suse.de
- KVM: MMU: Fix softlockup due to mmu_lock is held too long
  (bsc#1077761).
- commit 2e9e45e
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: validate eptp pointer (bsc#1077761).
- commit b202868
* Wed Feb  7 2018 agraf@suse.de
- kvm: nVMX: Add support for fast unprotection of nested guest
  page tables (bsc#1077761).
- commit dbe7eff
* Wed Feb  7 2018 agraf@suse.de
- KVM: X86: Fix residual mmio emulation request to userspace
  (bsc#1077761).
- commit ba3cd5b
* Wed Feb  7 2018 agraf@suse.de
- KVM: arm: implements the kvm_arch_vcpu_in_kernel()
  (bsc#1077761).
- commit bc61a6f
* Wed Feb  7 2018 agraf@suse.de
- KVM: s390: implements the kvm_arch_vcpu_in_kernel()
  (bsc#1077761).
- commit ccf0426
* Wed Feb  7 2018 agraf@suse.de
- KVM: X86: implement the logic for spinlock optimization
  (bsc#1077761).
- commit cd89a32
* Wed Feb  7 2018 agraf@suse.de
- KVM: add spinlock optimization framework (bsc#1077761).
- commit 9be0d73
* Wed Feb  7 2018 agraf@suse.de
- KVM: x86: use general helpers for some cpuid manipulation
  (bsc#1077761).
- commit 7c96559
* Wed Feb  7 2018 agraf@suse.de
- KVM: x86: generalize guest_cpuid_has_ helpers (bsc#1077761).
- commit 6253831
* Wed Feb  7 2018 agraf@suse.de
- KVM: x86: X86_FEATURE_NRIPS is not scattered anymore
  (bsc#1077761).
- commit 8fc76c4
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: Emulate EPTP switching for the L1 hypervisor
  (bsc#1077761).
- commit 41af192
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: Enable VMFUNC for the L1 hypervisor (bsc#1077761).
- commit 03e08c3
* Wed Feb  7 2018 agraf@suse.de
- KVM: vmx: Enable VMFUNCs (bsc#1077761).
- commit febad7f
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: get rid of nested_release_page* (bsc#1077761).
- commit 8dfa692
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: get rid of nested_get_page() (bsc#1077761).
- commit 18480de
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: INVPCID support (bsc#1077761).
- commit c42b719
* Wed Feb  7 2018 agraf@suse.de
- KVM: hyperv: support HV_X64_MSR_TSC_FREQUENCY and
  HV_X64_MSR_APIC_FREQUENCY (bsc#1077761).
- commit 3211c0a
* Wed Feb  7 2018 agraf@suse.de
- KVM: PPC: Book3S HV: POWER9 does not require secondary thread
  management (bsc#1077761).
- commit c66a49a
* Wed Feb  7 2018 agraf@suse.de
- powerpc/mm: Update definitions of DSISR bits (bsc#1077761).
- commit 67bca61
* Wed Feb  7 2018 agraf@suse.de
- arm64: Remove the !CONFIG_ARM64_HW_AFDBM alternative code paths
  (bsc#1077761).
- commit 6e5f833
* Wed Feb  7 2018 agraf@suse.de
- kvm/x86: Avoid clearing the C-bit in rsvd_bits() (bsc#1077761).
- commit 420d917
* Wed Feb  7 2018 agraf@suse.de
- KVM: update to new mmu_notifier semantic v2 (bsc#1077761).
- commit 20cbd84
* Wed Feb  7 2018 agraf@suse.de
- KVM: PPC: Book3S: Fix race and leak in
  kvm_vm_ioctl_create_spapr_tce() (bsc#1077761).
- commit 7e876d5
* Wed Feb  7 2018 agraf@suse.de
- KVM: arm/arm64: vgic: Use READ_ONCE fo cmpxchg (bsc#1077761).
- commit 0963889
* Wed Feb  7 2018 agraf@suse.de
- KVM: arm/arm64: PMU: Fix overflow interrupt injection
  (bsc#1077761).
- commit 0e13c71
* Wed Feb  7 2018 agraf@suse.de
- KVM: arm/arm64: Fix bug in advertising KVM_CAP_MSI_DEVID
  capability (bsc#1077761).
- commit f588e1d
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: Fix interrupt window request with "Acknowledge
  interrupt on exit" (bsc#1077761).
- commit 96a9aa1
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: mark vmcs12 pages dirty on L2 exit (bsc#1077761).
- commit d690017
* Wed Feb  7 2018 agraf@suse.de
- kvm: nVMX: don't flush VMCS12 during VMXOFF or VCPU teardown
  (bsc#1077761).
- commit 7f92ce5
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: do not pin the VMCS12 (bsc#1077761).
- commit 9c1a723
* Wed Feb  7 2018 agraf@suse.de
- KVM: avoid using rcu_dereference_protected (bsc#1077761).
- commit d8f2f42
* Wed Feb  7 2018 agraf@suse.de
- KVM: X86: init irq->level in kvm_pv_kick_cpu_op (bsc#1077761).
- commit daa60bc
* Wed Feb  7 2018 agraf@suse.de
- KVM: X86: Fix loss of pending INIT due to race (bsc#1077761).
- commit 0c6ceeb
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: fixes to nested virt interrupt injection
  (bsc#1077761).
- commit a1131d2
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: do not fill vm_exit_intr_error_code in prepare_vmcs12
  (bsc#1077761).
- commit 483e7f3
* Wed Feb  7 2018 agraf@suse.de
- KVM: LAPIC: Fix reentrancy issues with preempt notifiers
  (bsc#1077761).
- commit 1f7a6ad
* Wed Feb  7 2018 agraf@suse.de
- KVM: s390: take srcu lock when getting/setting storage keys
  (bsc#1077761).
- commit 4f1fa14
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: Fix loss of L2's NMI blocking state (bsc#1077761).
- commit b30d4e0
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: Fix posted intr delivery when vcpu is in guest mode
  (bsc#1077761).
- Refresh
  patches.arch/0002-kvm-vmx-remove-warn_on_once-in-kvm_vcpu_trigger_posted_interrupt.
- commit 1d74271
* Wed Feb  7 2018 agraf@suse.de
- x86: irq: Define a global vector for nested posted interrupts
  (bsc#1077761).
- commit 1a7d98c
* Wed Feb  7 2018 agraf@suse.de
- KVM: x86: do mask out upper bits of PAE CR3 (bsc#1077761).
- commit 2851b3a
* Wed Feb  7 2018 agraf@suse.de
- KVM: VMX: remove unused field (bsc#1077761).
- commit c2fa409
* Wed Feb  7 2018 agraf@suse.de
- kvm: x86: hyperv: avoid livelock in oneshot SynIC timers
  (bsc#1077761).
- commit e399bf8
* Wed Feb  7 2018 agraf@suse.de
- KVM: VMX: Fix invalid guest state detection after task-switch
  emulation (bsc#1077761).
- commit 2f44a61
* Wed Feb  7 2018 agraf@suse.de
- x86: add MULTIUSER dependency for KVM (bsc#1077761).
- commit 12a5533
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: Disallow VM-entry in MOV-SS shadow (bsc#1077761).
- commit 77d8ab1
* Wed Feb  7 2018 agraf@suse.de
- KVM: nVMX: track NMI blocking state separately for each VMCS
  (bsc#1077761).
- Refresh
  patches.arch/18.2-kvm-nvmx-fix-host_cr3-host_cr4-cache.patch.
- commit 080adef
* Wed Feb  7 2018 agraf@suse.de
- KVM: x86: masking out upper bits (bsc#1077761).
- commit 78f98d2
* Wed Feb  7 2018 agraf@suse.de
- kvm: x86: hyperv: make VP_INDEX managed by userspace
  (bsc#1077761).
- commit b7577ef
* Wed Feb  7 2018 agraf@suse.de
- KVM: async_pf: Let guest support delivery of async_pf from
  guest mode (bsc#1077761).
- Refresh
  patches.arch/0003-kvm-async_pf-fix-df-due-to-inject-page-not-present-and-page-ready-exceptions-simultaneously.
- commit 421024f
* Wed Feb  7 2018 agraf@suse.de
- KVM: async_pf: Force a nested vmexit if the injected #PF is
  async_pf (bsc#1077761).
  Refresh
  patches.arch/0003-kvm-async_pf-fix-df-due-to-inject-page-not-present-and-page-ready-exceptions-simultaneously.
- commit 0c8c65c
* Wed Feb  7 2018 agraf@suse.de
- KVM: async_pf: Add L1 guest async_pf #PF vmexit handler
  (bsc#1077761).
- commit 05fcb6b
* Wed Feb  7 2018 agraf@suse.de
- KVM: x86: Simplify kvm_x86_ops->queue_exception parameter list
  (bsc#1077761).
- commit b0fb424
* Wed Feb  7 2018 agraf@suse.de
- kvm: x86: hyperv: add KVM_CAP_HYPERV_SYNIC2 (bsc#1077761).
- commit 56fe2cc
* Wed Feb  7 2018 agraf@suse.de
- KVM: x86: make backwards_tsc_observed a per-VM variable
  (bsc#1077761).
- commit c612bf5
* Wed Feb  7 2018 agraf@suse.de
- KVM: SVM: handle singlestep exception when skipping emulated
  instructions (bsc#1077761).
- Refresh patches.arch/0007-kvm-svm-enable-virtual-gif-feature.
- Refresh
  patches.arch/kvm-svm-delete-avic_vm_id_bitmap-2-megabyte-static-array.
- commit 77f3e25
* Wed Feb  7 2018 msuchanek@suse.de
- blacklist acb1feab320e powerpc/64: Don't trace irqs-off at interrupt
  return to soft-disabled context
- commit ef64ee1
* Wed Feb  7 2018 jslaby@suse.cz
- Refresh
  patches.suse/0002-futex-futex_wake_op-fix-sign_extend32-sign-bits.patch.
  Update upstream status.
- commit a44be7b
* Wed Feb  7 2018 jslaby@suse.cz
- x86/dumpstack: Avoid uninitlized variable (git-fixes).
- commit 7668118
* Wed Feb  7 2018 tbogendoerfer@suse.de
- net/mlx5e: IPoIB, Use correct timestamp in child receive flow
  (bsc#1075020).
- net/mlx5: Update ptp_clock_event foreach PPS event
  (bsc#1075020).
- IB/ipoib: Fix lockdep issue found on ipoib_ib_dev_heavy_flush
  (bsc#1075020).
- commit 6acdbe8
* Wed Feb  7 2018 tbogendoerfer@suse.de
- net/mlx5e: IPoIB, Modify rdma netdev allocate and free to
  support PKEY (bsc#1075020).
- net/mlx5e: IPoIB, Add PKEY child interface ethtool ops
  (bsc#1075020).
- net/mlx5e: IPoIB, Add PKEY child interface ndos (bsc#1075020).
- net/mlx5e: IPoIB, Add PKEY child interface nic profile
  (bsc#1075020).
- net/mlx5e: IPoIB, Use hash-table to map between QPN to child
  netdev (bsc#1075020).
- net/mlx5e: IPoIB, Support for setting PKEY index to underlay QP
  (bsc#1075020).
- IB/ipoib: Add ability to set PKEY index to lower device driver
  (bsc#1075020).
- IB/ipoib: Grab rtnl lock on heavy flush when calling
  ndo_open/stop (bsc#1075020).
- net/mlx5: Support for attaching multiple underlay QPs to root
  flow table (bsc#1075020).
- net/mlx5e: IPoIB, Move underlay QP init/uninit to separate
  functions (bsc#1075020).
- net/mlx5: PTP code migration to driver core section
  (bsc#1075020).
  Refresh
  patches.drivers/Revert-mlx5-move-affinity-hints-assignments-to-gener.patch.
- net/mlx5: File renaming towards ptp core implementation
  (bsc#1075020).
- commit e473354
* Wed Feb  7 2018 agraf@suse.de
- Move KVM patches to sorted section
  Refresh
  patches.arch/0001-kvm-nVMX-Don-t-allow-L2-to-access-the-hardware-CR8.patch.
- commit 5d643b3
* Wed Feb  7 2018 jthumshirn@suse.de
- s390/zcrypt: externalize AP queue interrupt control
  (FATE#324118, LTC#158322).
- s390/zcrypt: externalize AP config info query (FATE#324118,
  LTC#158322).
- s390/zcrypt: externalize test AP queue (FATE#324118,
  LTC#158322).
- commit 0c2b243
* Tue Feb  6 2018 msuchanek@suse.de
- rfi-flush: Switch to new linear fallback flush (bsc#1068032).
  Refresh patches.arch/powerpc-xmon-Add-RFI-flush-related-fields-to-paca-du.patch.
- commit 0b9f66c
* Tue Feb  6 2018 msuchanek@suse.de
- powerpc/radix: Remove trace_tlbie call from radix__flush_tlb_all
  (bsc#1055117, fate#323286, git-fixes).
- commit e6674e9
* Tue Feb  6 2018 tbogendoerfer@suse.de
- iw_cxgb4: Change error/warn prints to pr_debug (bsc#1079355).
- iser-target: avoid reinitializing rdma contexts for isert
  commands (bsc#1079355).
- iw_cxgb4: Only validate the MSN for successful completions
  (bsc#1079355).
- commit f364c92
* Tue Feb  6 2018 tbogendoerfer@suse.de
- cxgb4: add geneve offload support for T6 (bsc#1074220).
- cxgb4: implement ndo_features_check (bsc#1074220).
- cxgb4: add support for vxlan segmentation offload (bsc#1074220).
- cxgb4: implement udp tunnel callbacks (bsc#1074220).
- cxgb4: add data structures to support vxlan (bsc#1074220).
- IB/qib: Fix comparison error with qperf compare/swap test
  (bsc#1027067 FATE#322649).
- commit a50f30f
* Tue Feb  6 2018 mgorman@suse.de
- cpufreq: intel_pstate: Add Skylake servers support (bnc#1068680
  Update schedutil and intel_pstate to default to load-based
  policy).
- cpufreq: intel_pstate: Replace bxt_funcs with core_funcs
  (bnc#1068680 Update schedutil and intel_pstate to default to
  load-based policy).
- commit 5047ebd
* Tue Feb  6 2018 mgorman@suse.de
- Refresh
  patches.suse/mm-numa-do-not-trap-faults-on-shared-data-section-pages.patch.
- commit 8c37e01
* Tue Feb  6 2018 msuchanek@suse.de
- ibmvnic: fix empty firmware version and errors cleanup
  (bsc#1079038).
- commit 0b2f959
* Tue Feb  6 2018 msuchanek@suse.de
- Refresh sorted section.
- Refresh patches.drivers/ibmvnic-Wait-for-device-response-when-changing-MAC.patch.
- Refresh patches.drivers/ibmvnic-fix-firmware-version-when-no-firmware-level-.patch.
- Refresh patches.drivers/scsi-cxlflash-Reset-command-ioasc.patch.
- Refresh patches.fixes/ipvlan-remove-excessive-packet-scrubbing.patch.
- commit f04d16a
* Tue Feb  6 2018 pmladek@suse.com
- printk: Never set console_may_schedule in console_trylock()
  (bnc#744692, bnc#789311, bsc#1078391).
- commit d2af2e6
* Tue Feb  6 2018 pmladek@suse.com
- printk: Hide console waiter logic into helpers (bnc#744692,
  bnc#789311, bsc#1078391).
- commit 9d02b3e
* Tue Feb  6 2018 pmladek@suse.com
- printk: Add console owner and waiter logic to load balance
  console writes (bnc#744692, bnc#789311, bsc#1078391).
- commit 5d9e509
* Tue Feb  6 2018 pmladek@suse.com
- Remove the SUSE-specific print-softlockup fix (bnc#744692, bnc#789311)
  It is going to be replaced by the upstream solution using console waiter
  logic.
- Delete
  patches.suse/printk-Switch-to-the-sync-mode-when-an-emergency-mes.patch.
- Delete patches.suse/printk-default-to-async-printing.patch.
- Delete patches.suse/printk-fix-suspend-hang.patch.
- Delete patches.suse/printk-make-async.patch.
- Delete patches.suse/printk-make-kthread-priority-normal.patch.
- Delete patches.suse/printk-make-synchronous-param-rw.patch.
- Delete patches.suse/printk-make-wakeup-klogd-async-fixup.patch.
- Delete patches.suse/printk-make-wakeup-klogd-async.patch.
- Delete
  patches.suse/printk-xen-Force-printk-sync-mode-when-migrating-Xen.patch.
- commit 3ed9739
* Tue Feb  6 2018 tbogendoerfer@suse.de
- cxgb4: add new T5 and T6 device id's (bsc#1079352).
- scsi: libcxgbi: use GFP_ATOMIC in cxgbi_conn_alloc_pdu()
  (bsc#1079355).
- commit e0eecbf
* Tue Feb  6 2018 msuchanek@suse.de
- powerpc/pseries: Add Initialization of VF Bars (FATE#324970,
  bsc#1078720).
- powerpc/pseries/pci: Associate PEs to VFs in configure SR-IOV
  (FATE#324970, bsc#1078720).
- powerpc/eeh: Add EEH notify resume sysfs (FATE#324970,
  bsc#1078720).
- powerpc/eeh: Add EEH operations to notify resume (FATE#324970,
  bsc#1078720).
- powerpc/pseries: Set eeh_pe of EEH_PE_VF type (FATE#324970,
  bsc#1078720).
- PCI/AER: Add uevents in AER and EEH error/resume (FATE#324970,
  bsc#1078720).
- powerpc/eeh: Update VF config space after EEH (FATE#324970,
  bsc#1078720).
- PCI/IOV: Add pci_vf_drivers_autoprobe() interface (FATE#324970,
  bsc#1078720).
- powerpc/pseries: Add pseries SR-IOV Machine dependent calls
  (FATE#324970, bsc#1078720).
- powerpc/pci: Separate SR-IOV Calls (FATE#324970, bsc#1078720).
- PCI: Remove reset argument from pci_iov_{add,remove}_virtfn()
  (FATE#324970, bsc#1078720).
- commit 57512c6
* Tue Feb  6 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/nvme-don-t-free-uuid-pointer-before-printing-it.patch.
- Refresh
  patches.drivers/nvme-fabrics-fix-memory-leak-when-parsing-host-ID-op.patch.
- Refresh
  patches.drivers/nvme-fabrics-protect-against-module-unload-during-cr.patch.
- Refresh
  patches.drivers/nvme-fix-comment-typos-in-nvme_create_io_queues.patch.
- Refresh
  patches.drivers/nvme-fix-subsystem-multiple-controllers-support-chec.patch.
- Refresh
  patches.drivers/nvme-host-delete_work-and-reset_work-on-separate-wor.patch.
- Refresh
  patches.drivers/nvme-modify-the-debug-level-for-setting-shutdown-tim.patch.
- Refresh
  patches.drivers/nvme-pci-Fix-queue-double-allocations.patch.
- Refresh
  patches.drivers/nvme-pci-Suspend-queues-after-deleting-them.patch.
- Refresh
  patches.drivers/nvme-pci-allocate-device-queues-storage-space-at-pro.patch.
- Refresh
  patches.drivers/nvme-pci-clean-up-CMB-initialization.patch.
- Refresh
  patches.drivers/nvme-pci-clean-up-SMBSZ-bit-definitions.patch.
- Refresh
  patches.drivers/nvme-pci-don-t-open-code-nvme_reset_ctrl.patch.
- Refresh
  patches.drivers/nvme-pci-fix-NULL-pointer-reference-in-nvme_alloc_ns.patch.
- Refresh
  patches.drivers/nvme-pci-introduce-RECONNECTING-state-to-mark-initia.patch.
- Refresh
  patches.drivers/nvme-pci-remove-an-unnecessary-initialization-in-HMB.patch.
- Refresh patches.drivers/nvme-pci-serialize-pci-resets.patch.
- Refresh
  patches.drivers/nvme-rdma-remove-redundant-boolean-for-inline_data.patch.
- Refresh
  patches.drivers/nvme-take-refcount-on-transport-module.patch.
- Refresh
  patches.drivers/nvme_fcloop-disassocate-local-port-structs.patch.
- Refresh
  patches.drivers/nvme_fcloop-fix-abort-race-condition.patch.
- Refresh
  patches.drivers/nvme_fcloop-refactor-host-target-io-job-access.patch.
- Refresh
  patches.drivers/nvme_fcloop-rework-to-remove-xxx_IN_ISR-feature-flag.patch.
- Refresh
  patches.drivers/nvmet-fix-error-flow-in-nvmet_alloc_ctrl.patch.
- Refresh
  patches.drivers/nvmet-lower-log-level-for-each-queue-creation.patch.
- Refresh
  patches.drivers/nvmet-rdma-lowering-log-level-for-chatty-debug-messa.patch.
- Refresh
  patches.drivers/nvmet-rdma-removed-queue-cleanup-from-module-exit.patch.
- Refresh patches.drivers/nvmet-rearrange-nvmet_ctrl_free.patch.
- Refresh
  patches.drivers/nvmet-release-a-ns-reference-in-nvmet_req_uninit-if-.patch.
- nvme-fc: correct hang in nvme_ns_remove() (bsc#1075811).
- nvme-fc: fix rogue admin cmds stalling teardown (bsc#1075811).
- commit dc349bb
* Tue Feb  6 2018 jthumshirn@suse.de
- nvme-pci: introduce RECONNECTING state to mark initializing
  procedure (FATE#323952, FATE#322506).
- nvme-rdma: remove redundant boolean for inline_data
  (FATE#323952, FATE#322506).
- nvme: don't free uuid pointer before printing it (FATE#323952,
  FATE#322506).
- nvme-pci: Suspend queues after deleting them (FATE#323952,
  FATE#322506).
- nvme-pci: Fix queue double allocations (FATE#323952,
  FATE#322506).
- nvme-pci: clean up SMBSZ bit definitions (FATE#323952,
  FATE#322506).
- nvme-pci: clean up CMB initialization (FATE#323952,
  FATE#322506).
- nvmet: release a ns reference in nvmet_req_uninit if needed
  (FATE#323952, FATE#322506).
- nvme-fabrics: fix memory leak when parsing host ID option
  (FATE#323952, FATE#322506).
- nvme: fix comment typos in nvme_create_io_queues (FATE#323952,
  FATE#322506).
- nvme: host delete_work and reset_work on separate workqueues
  (FATE#323952, FATE#322506).
- nvme-pci: allocate device queues storage space at probe
  (FATE#323952, FATE#322506).
- nvme-pci: serialize pci resets (FATE#323952, FATE#322506).
- nvme: fix subsystem multiple controllers support check
  (FATE#323952, FATE#322506).
- nvme: take refcount on transport module (FATE#323952,
  FATE#322506).
- nvme-pci: fix NULL pointer reference in nvme_alloc_ns
  (FATE#323952, FATE#322506).
- nvme: modify the debug level for setting shutdown timeout
  (FATE#323952, FATE#322506).
- nvme-pci: don't open-code nvme_reset_ctrl (FATE#323952,
  FATE#322506).
- nvmet: rearrange nvmet_ctrl_free() (FATE#323952, FATE#322506).
- nvmet: fix error flow in nvmet_alloc_ctrl() (FATE#323952,
  FATE#322506).
- nvme-pci: remove an unnecessary initialization in HMB code
  (FATE#323952, FATE#322506).
- nvme-fabrics: protect against module unload during create_ctrl
  (FATE#323952, FATE#322506).
- nvme_fcloop: refactor host/target io job access (FATE#323952,
  FATE#322506).
- nvme_fcloop: rework to remove xxx_IN_ISR feature flags
  (FATE#323952, FATE#322506).
- nvme_fcloop: disassocate local port structs (FATE#323952,
  FATE#322506).
- nvme_fcloop: fix abort race condition (FATE#323952,
  FATE#322506).
- nvmet: lower log level for each queue creation (FATE#323952,
  FATE#322506).
- nvmet-rdma: lowering log level for chatty debug messages
  (FATE#323952, FATE#322506).
- nvmet-rdma: removed queue cleanup from module exit (FATE#323952,
  FATE#322506).
- commit be5f8ed
* Tue Feb  6 2018 jthumshirn@suse.de
- nvme-pci: check segement valid for SGL use (FATE#323952,
  FATE#322506).
- nvme-pci: move use_sgl initialization to nvme_init_iod()
  (FATE#323952, FATE#322506).
- Refresh
  patches.drivers/nvme-pci-take-sglist-coalescing-in-dma_map_sg-into-a.patch.
- commit ccc76c3
* Tue Feb  6 2018 msuchanek@suse.de
- powerpc/pseries: Fix cpu hotplug crash with memoryless nodes
  (FATE#323746, bsc#1079524).
- powerpc/numa: Ensure nodes initialized for hotplug (FATE#323746,
  bsc#1079524).
- powerpc/numa: Use ibm,max-associativity-domains to discover
  possible nodes (FATE#323746, bsc#1079524).
- commit a5a5351
* Tue Feb  6 2018 jthumshirn@suse.de
- nvme-fabrics: initialize default host->id in nvmf_host_default()
  (FATE#323952, FATE#322506).
- nvme-fcloop: avoid possible uninitialized variable warning
  (FATE#323952, FATE#322506).
- nvme-rdma: fix concurrent reset and reconnect (FATE#323952,
  FATE#322506).
- nvme: fix sector units when going between formats (FATE#323952,
  FATE#322506).
- nvme: setup streams after initializing namespace head
  (FATE#323952, FATE#322506).
- nvme: check hw sectors before setting chunk sectors
  (FATE#323952, FATE#322506).
- nvme: call blk_integrity_unregister after queue is cleaned up
  (FATE#323952, FATE#322506).
- nvme: set discard_alignment to zero (FATE#323952, FATE#322506).
- nvme-pci: fix NULL pointer dereference in nvme_free_host_mem()
  (FATE#323952, FATE#322506).
- nvme-rdma: fix memory leak during queue allocation (FATE#323952,
  FATE#322506).
- commit 4cd5e8f
* Tue Feb  6 2018 jthumshirn@suse.de
- nvme: Suppress static analyis warning (FATE#323952,
  FATE#322506).
- Refresh
  patches.drivers/nvme-mpath-fix-last-path-removal-during-traffic.patch.
- commit 8ff7b73
* Tue Feb  6 2018 jthumshirn@suse.de
- nvme-rdma: Use mr pool (FATE#323952, FATE#322506).
- nvme-rdma: Check remotely invalidated rkey matches our expected
  rkey (FATE#323952, FATE#322506).
- nvme-rdma: wait for local invalidation before completing a
  request (FATE#323952, FATE#322506).
- nvme-rdma: don't complete requests before a send work request
  has completed (FATE#323952, FATE#322506).
- nvme-rdma: don't suppress send completions (FATE#323952,
  FATE#322506).
- nvme-pci: add quirk for delay before CHK RDY for WDC SN200
  (FATE#323952, FATE#322506).
- nvme: fix spelling mistake: "requeing" -> "requeuing"
  (FATE#323952, FATE#322506).
- nvme-pci: avoid hmb desc array idx out-of-bound when hmmaxd set
  (FATE#323952, FATE#322506).
- nvme-pci: disable APST on Samsung SSD 960 EVO + ASUS PRIME
  B350M-A (FATE#323952, FATE#322506).
- commit 98c37e8
* Tue Feb  6 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/ibmvnic-Wait-for-device-response-when-changing-MAC.patch.
- Refresh
  patches.drivers/ibmvnic-fix-firmware-version-when-no-firmware-level-.patch.
- Refresh patches.drivers/scsi-cxlflash-Reset-command-ioasc.patch.
- Refresh
  patches.fixes/ipvlan-remove-excessive-packet-scrubbing.patch.
  Re-sort series.conf
- commit ff52d23
* Tue Feb  6 2018 bpoirier@suse.com
- Refresh patch order in sorted section
- Refresh
  patches.drivers/ibmvnic-Wait-for-device-response-when-changing-MAC.patch.
- Refresh
  patches.drivers/ibmvnic-fix-firmware-version-when-no-firmware-level-.patch.
- Refresh patches.drivers/scsi-cxlflash-Reset-command-ioasc.patch.
- Refresh
  patches.fixes/ipvlan-remove-excessive-packet-scrubbing.patch.
- scripts/git_sort/git_sort.py:
- scripts/git_sort/tests/test_git_sort.py:
- commit afdc520
* Mon Feb  5 2018 mbenes@suse.cz
- livepatch: Remove immediate feature (bsc#1071995 fate#323487).
  From upstream klp tree, branch for-4.16/remove-immediate.
- commit b4083e7
* Mon Feb  5 2018 mbenes@suse.cz
- livepatch: add locking to force and signal functions
  (bsc#1071995 fate#323487).
  Coming from upstream klp tree, branch for-4.16/signal-sysfs-force-v2.
- commit a2bfaf3
* Mon Feb  5 2018 mbenes@suse.cz
- livepatch: force transition to finish (bsc#1071995 fate#323487).
  Coming from upstream klp tree, branch for-4.16/signal-sysfs-force-v2.
- commit 15e3f65
* Mon Feb  5 2018 mbenes@suse.cz
- livepatch: send a fake signal to all blocking tasks (bsc#1071995
  fate#323487).
  Fake signal support. Coming from upstream klp tree, branch
  for-4.16/signal-sysfs-force-v2.
- commit c16c12d
* Mon Feb  5 2018 tbogendoerfer@suse.de
- iser-target: Fix possible use-after-free in connection
  establishment error (bsc#1046306 FATE#322942).
- net/mlx5e: Check support before TC swap in ETS init (bsc#1046303
  FATE#322944).
- net/mlx5e: Add error print in ETS init (bsc#1046303
  FATE#322944).
- IB/core: Fix unable to change lifespan entry for hw_counters
  (bsc#1046306 FATE#322942).
- commit 14a58fe
* Mon Feb  5 2018 tbogendoerfer@suse.de
- Re-sorted with series_sort
- Refresh
  patches.drivers/ibmvnic-Wait-for-device-response-when-changing-MAC.patch.
- Refresh
  patches.drivers/ibmvnic-fix-firmware-version-when-no-firmware-level-.patch.
- Refresh patches.drivers/scsi-cxlflash-Reset-command-ioasc.patch.
- Refresh
  patches.fixes/ipvlan-remove-excessive-packet-scrubbing.patch.
- commit 6db6f83
* Mon Feb  5 2018 oneukum@suse.com
- usbip: fix stub_rx: harden CMD_SUBMIT path to handle malicious
  input (bsc#1078672 CVE-2017-16913).
- commit 317c5b6
* Mon Feb  5 2018 oneukum@suse.com
- ahci: Add Intel Cannon Lake PCH-H PCI ID (bsc#1079088
  FATE#321195 FATE#322631).
- commit 1ad2ccd
* Mon Feb  5 2018 bp@suse.de
- x86/cpufeatures: Add Intel feature bits for Speculation Control
  (bsc#1068032 CVE-2017-5754).
- commit f45d5d3
* Mon Feb  5 2018 oneukum@suse.com
- Refresh
  patches.drivers/ibmvnic-Wait-for-device-response-when-changing-MAC.patch.
- Refresh
  patches.drivers/ibmvnic-fix-firmware-version-when-no-firmware-level-.patch.
- Refresh patches.drivers/scsi-cxlflash-Reset-command-ioasc.patch.
- Refresh
  patches.fixes/ipvlan-remove-excessive-packet-scrubbing.patch.
- commit 41ae0d8
* Mon Feb  5 2018 bp@suse.de
- x86/cpufeatures: Add CPUID_7_EDX CPUID leaf (bsc#1068032
  CVE-2017-5754).
- commit 914add9
* Mon Feb  5 2018 bp@suse.de
- x86/bugs: Drop one "mitigation" from dmesg (bsc#1068032
  CVE-2017-5754).
- commit 53d0557
* Mon Feb  5 2018 bp@suse.de
- blacklist.conf:
- commit f67c619
* Mon Feb  5 2018 tbogendoerfer@suse.de
- enic: add wq clean up budget (bsc#1075697).
- commit 245a193
* Mon Feb  5 2018 ghe@suse.com
- ocfs2: try a blocking lock before return AOP_TRUNCATED_PAGE
  (bsc#1073440).
- commit 26c40f8
* Mon Feb  5 2018 neilb@suse.com
- NFS: Add a cond_resched() to nfs_commit_release_pages()
  (bsc#1077779).
- commit 012a157
* Sun Feb  4 2018 neilb@suse.com
- nfsd: auth: Fix gid sorting when rootsquash enabled
  (CVE-2018-1000028, bsc#1078287).
- commit dda492e
* Fri Feb  2 2018 lduncan@suse.com
- rbd: set max_segments to USHRT_MAX (bsc#1078861).
- rbd: reacquire lock should update lock owner client id
  (bsc#1078873).
- netfilter: uapi: correct UNTRACKED conntrack state bit number
  (bsc#1078865).
- scsi: libiscsi: fix shifting of DID_REQUEUE host byte
  (bsc#1078875).
- commit 9a95b4e
* Fri Feb  2 2018 lduncan@suse.com
- ASN.1: fix out-of-bounds read when parsing indefinite length
  item (bsc#1078868).
- ASN.1: check for error from ASN1_OP_END__ACT actions
  (bsc#1078867).
- KEYS: fix NULL pointer dereference during ASN.1 parsing
  (bsc#1078866).
- KEYS: fix out-of-bounds read during ASN.1 parsing (bsc#1078862).
- commit 49124a8
* Fri Feb  2 2018 lduncan@suse.com
- lib/digsig: fix dereference of NULL user_key_payload
  (bsc#1078860).
- commit e74597f
* Fri Feb  2 2018 msuchanek@suse.de
- Update config files.
- commit 9008ce2
* Fri Feb  2 2018 jkosina@suse.cz
- README.BRANCH: make Jeff co-maintainer during my absence
- commit a8ed74e
* Fri Feb  2 2018 bp@suse.de
- x86/retpoline: Remove the esp/rsp thunk (bsc#1068032
  CVE-2017-5754).
- x86/intel_rdt/cqm: Prevent use after free (fate#323965).
- commit e562833
* Fri Feb  2 2018 msuchanek@suse.de
- ibmvnic: fix firmware version when no firmware level has been
  provided by the VIOS server (bsc#1079038).
- commit 3aa382e
* Fri Feb  2 2018 ohering@suse.de
- x86/hyper-v: stop suppressing X86_FEATURE_PCID (bsc#1077499).
- commit d007750
* Thu Feb  1 2018 msuchanek@suse.de
- ibmvnic: Wait for device response when changing MAC
  (bsc#1078681).
- commit 4a4b78c
* Thu Feb  1 2018 msuchanek@suse.de
- blacklist 070e004912fe powerpc/4xx: Fix compile error with 64K pages on 40x, 44x
- commit cafc1fc
* Thu Feb  1 2018 msuchanek@suse.de
- scsi: cxlflash: Reset command ioasc (fate#322239, git-fixes).
- commit 930f93e
* Thu Feb  1 2018 agraf@suse.de
- KVM: x86: take slots_lock in kvm_free_pit (bsc#1077761).
- commit 5c47320
* Thu Feb  1 2018 agraf@suse.de
- kvm: vmx: Properly handle machine check during VM-entry
  (bsc#1077761).
- commit 630935e
* Thu Feb  1 2018 agraf@suse.de
- KVM: x86: update master clock before computing kvmclock_offset
  (bsc#1077761).
- commit 5546449
* Thu Feb  1 2018 agraf@suse.de
- kvm: nVMX: Shadow "high" parts of shadowed 64-bit VMCS fields
  (bsc#1077761).
- commit 9c9cd12
* Thu Feb  1 2018 agraf@suse.de
- Move patches.fixes/kvm-nvmx-fix-nested_vmx_check_msr_bitmap_controls into sorted section
- commit 597672f
* Thu Feb  1 2018 agraf@suse.de
- kvm: nVMX: Validate the I/O bitmaps on nested VM-entry
  (bsc#1077761).
- commit ae097f9
* Thu Feb  1 2018 agraf@suse.de
- kvm: nVMX: Don't set vmcs12 to "launched" when VMLAUNCH fails
  (bsc#1077761).
- commit fb500c7
* Thu Feb  1 2018 agraf@suse.de
- KVM: use correct accessor function for __kvm_memslots
  (bsc#1077761).
- commit e6f2939
* Thu Feb  1 2018 agraf@suse.de
- KVM: mark memory slots as rcu (bsc#1077761).
- commit a4d1b3d
* Thu Feb  1 2018 agraf@suse.de
- KVM: mark kvm->busses as rcu protected (bsc#1077761).
- commit ba3fd3a
* Thu Feb  1 2018 agraf@suse.de
- KVM: use rcu access function for irq routing (bsc#1077761).
- commit d866df7
* Thu Feb  1 2018 agraf@suse.de
- KVM: mark vcpu->pid pointer as rcu protected (bsc#1077761).
- commit f2e0948
* Thu Feb  1 2018 agraf@suse.de
- KVM: vmx: expose more information for
  KVM_INTERNAL_ERROR_DELIVERY_EV exits (bsc#1077761).
- commit 0622f81
* Thu Feb  1 2018 agraf@suse.de
- kvm: avoid unused variable warning for UP builds (bsc#1077761).
- commit 2e79598
* Thu Feb  1 2018 agraf@suse.de
- x86: kvm: mmu: use ept a/d in vmcs02 iff used in vmcs12
  (bsc#1077761).
- commit b81235c
* Thu Feb  1 2018 agraf@suse.de
- kvm: x86: mmu: allow A/D bits to be disabled in an mmu
  (bsc#1077761).
- commit aa98336
* Thu Feb  1 2018 agraf@suse.de
- x86: kvm: mmu: make spte mmio mask more explicit (bsc#1077761).
- commit 05b622d
* Thu Feb  1 2018 agraf@suse.de
- x86: kvm: mmu: dead code thanks to access tracking
  (bsc#1077761).
- commit 8c29652
* Thu Feb  1 2018 agraf@suse.de
- KVM: PPC: Book3S HV: Add capability to report possible virtual
  SMT modes (bsc#1077761).
- commit ff30e98
* Thu Feb  1 2018 agraf@suse.de
- KVM: PPC: Book3S HV: Virtualize doorbell facility on POWER9
  (bsc#1077761).
- commit 73e258b
* Thu Feb  1 2018 agraf@suse.de
- KVM: PPC: Book3S HV: Allow userspace to set the desired SMT mode
  (bsc#1077761).
- commit ef28960
* Thu Feb  1 2018 agraf@suse.de
- KVM: PPC: Book3S HV: Context-switch HFSCR between host and
  guest on POWER9 (bsc#1077761).
- commit f4ba5c4
* Thu Feb  1 2018 agraf@suse.de
- KVM: PPC: Book3S HV: Enable guests to use large decrementer
  mode on POWER9 (bsc#1077761).
- commit 5e26c30
* Thu Feb  1 2018 agraf@suse.de
- KVM: x86: remove ignored type attribute (bsc#1077761).
- commit f488813
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: Signal SIGBUS when stage2 discovers hwpoison
  memory (bsc#1077761).
- commit 94ecc41
* Thu Feb  1 2018 agraf@suse.de
- arm64/kvm: vgic: use SYS_DESC() (bsc#1077761).
- commit 35d3070
* Thu Feb  1 2018 agraf@suse.de
- arm64/kvm: sysreg: fix typo'd SYS_ICC_IGRPEN*_EL1 (bsc#1077761).
- commit 4396c4d
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: Log an error if trapping a write-to-read-only
  GICv3 access (bsc#1077761).
- commit f14efa3
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: Log an error if trapping a read-from-write-only
  GICv3 access (bsc#1077761).
- commit e878ccd
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: vgic-v3: Log which GICv3 system registers are
  trapped (bsc#1077761).
- commit c2ec271
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: Enable GICv3 common sysreg trapping via command-line
  (bsc#1077761).
- commit 83b2209
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: vgic-v3: Add ICV_PMR_EL1 handler (bsc#1077761).
- commit b32111f
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: vgic-v3: Add ICV_CTLR_EL1 handler (bsc#1077761).
- commit c6056fb
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: vgic-v3: Add ICV_RPR_EL1 handler (bsc#1077761).
- commit 4d8e18a
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: vgic-v3: Add ICV_DIR_EL1 handler (bsc#1077761).
- commit dc81a76
* Thu Feb  1 2018 agraf@suse.de
- arm64: Add workaround for Cavium Thunder erratum 30115
  (bsc#1077761).
- Refresh
  patches.drivers/0003-iommu-arm-smmu-v3-Add-workaround-for-Cavium-ThunderX.patch.
- Refresh
  patches.drivers/0004-iommu-arm-smmu-v3-Add-workaround-for-Cavium-ThunderX.patch.
- commit 672e3a4
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: Enable GICv3 Group-0 sysreg trapping via
  command-line (bsc#1077761).
- commit a43257d
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: vgic-v3: Enable trapping of Group-0 system registers
  (bsc#1077761).
- commit 6704cd7
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: vgic-v3: Add misc Group-0 handlers (bsc#1077761).
- commit f366ea5
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: vgic-v3: Add ICV_IGNREN0_EL1 handler (bsc#1077761).
- commit 843e1f8
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: vgic-v3: Add ICV_BPR0_EL1 handler (bsc#1077761).
- commit 4da31c6
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: Enable GICv3 Group-1 sysreg trapping via
  command-line (bsc#1077761).
- commit 11e3aa3
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: vgic-v3: Enable trapping of Group-1 system registers
  (bsc#1077761).
- commit 98ed82e
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: vgic-v3: Add ICV_HPPIR1_EL1 handler (bsc#1077761).
- commit ae8c87c
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: vgic-v3: Add ICV_AP1Rn_EL1 handler (bsc#1077761).
- commit 43c6bc4
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: vgic-v3: Add ICV_EOIR1_EL1 handler (bsc#1077761).
- commit ceeaa18
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: vgic-v3: Add ICV_IAR1_EL1 handler (bsc#1077761).
- commit 12da559
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: vgic-v3: Add ICV_IGRPEN1_EL1 handler (bsc#1077761).
- commit e1b4ec3
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: vgic-v3: Add ICV_BPR1_EL1 handler (bsc#1077761).
- commit 559ee43
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: vgic-v3: Add hook to handle guest GICv3 sysreg
  accesses at EL2 (bsc#1077761).
- commit 08361be
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: Make kvm_condition_valid32() accessible from EL2
  (bsc#1077761).
- commit accb6b5
* Thu Feb  1 2018 aaptel@suse.com
- CIFS: dump IPC tcon in debug proc file (bsc#1071306).
- commit e844d61
* Thu Feb  1 2018 aaptel@suse.com
- CIFS: use tcon_ipc instead of use_ipc parameter of SMB2_ioctl
  (bsc#1071306).
- commit 31e7d7b
* Thu Feb  1 2018 aaptel@suse.com
- CIFS: make IPC a regular tcon (bsc#1071306).
- commit baba794
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: vgic-v3: Add accessors for the ICH_APxRn_EL2
  registers (bsc#1077761).
- commit e0e50a9
* Thu Feb  1 2018 lhenriques@suse.com
- xfs: reinit btree pointer on attr tree inactivation walk
  (bsc#1078787).
- commit 00accea
* Thu Feb  1 2018 tbogendoerfer@suse.de
- cxgb4: make symbol pedits static (bsc#1064802 bsc#1066129).
- nfp: fix error return code in nfp_pci_probe() (bsc#1055968).
- IB/core: Fix ib_wc structure size to remain in 64 bytes boundary
  (bsc#1046306 FATE#322942).
- net/mlx5: Fix race for multiple RoCE enable (bsc#1046303
  FATE#322944).
- RDMA/cma: Mark end of CMA ID messages (bsc#1046306 FATE#322942).
- RDMA/vmw_pvrdma: Add UAR SRQ macros in ABI header file
  (bsc#1046306 FATE#322942).
- iw_cxgb4: make pointer reg_workq static (bsc#1064802
  bsc#1066129).
- net/mlx5e: Fix ETS BW check (bsc#1075360).
- commit 76cecfb
* Thu Feb  1 2018 tbogendoerfer@suse.de
- Re-sorted series and Updated patch-mainline
- Refresh
  patches.drivers/IB-CM-Change-sgid-to-IB-GID-when-handling-CM-request.patch.
- Refresh
  patches.drivers/IB-hfi1-Mask-the-path-bits-with-the-LMC-for-16B-RC-A.patch.
- Refresh
  patches.drivers/IB-hfi1-Use-4096-for-default-active-MTU-in-query_qp.patch.
- Refresh
  patches.drivers/RDMA-bnxt_re-Add-SRQ-support-for-Broadcom-adapters.patch.
- Refresh
  patches.drivers/RDMA-bnxt_re-Add-support-for-MRs-with-Huge-pages.patch.
- Refresh
  patches.drivers/RDMA-bnxt_re-Add-support-for-query-firmware-version.patch.
- Refresh
  patches.drivers/RDMA-bnxt_re-Enable-RoCE-on-virtual-functions.patch.
- Refresh
  patches.drivers/RDMA-bnxt_re-expose-detailed-stats-retrieved-from-HW.patch.
- Refresh patches.drivers/bnxt_en-Add-ETH_RESET_AP-support.patch.
- Refresh
  patches.drivers/bnxt_en-Don-t-print-Link-speed-1-no-longer-supported.patch.
- Refresh
  patches.drivers/bnxt_en-Uninitialized-variable-in-bnxt_tc_parse_acti.patch.
- Refresh patches.drivers/bnxt_en-Use-NETIF_F_GRO_HW.patch.
- Refresh patches.drivers/cxgb4-RSS-table-is-4k-for-T6.patch.
- Refresh patches.drivers/cxgb4-collect-HMA-memory-dump.patch.
- Refresh patches.drivers/cxgb4-collect-MC-memory-dump.patch.
- Refresh
  patches.drivers/cxgb4-collect-PCIe-configuration-logs.patch.
- Refresh
  patches.drivers/cxgb4-collect-TX-rate-limit-info-in-UP-CIM-logs.patch.
- Refresh
  patches.drivers/cxgb4-collect-egress-and-ingress-SGE-queue-contexts.patch.
- Refresh
  patches.drivers/cxgb4-collect-on-chip-memory-information.patch.
- Refresh
  patches.drivers/cxgb4-skip-TX-and-RX-payload-regions-in-memory-dumps.patch.
- Refresh
  patches.drivers/ibmvnic-Don-t-handle-RX-interrupts-when-not-up.patch.
- Refresh
  patches.drivers/ibmvnic-Include-header-descriptor-support-for-ARP-pa.patch.
- Refresh
  patches.drivers/ibmvnic-Increase-maximum-number-of-RX-TX-queues.patch.
- Refresh
  patches.drivers/ibmvnic-Rename-IBMVNIC_MAX_TX_QUEUES-to-IBMVNIC_MAX_.patch.
- Refresh
  patches.drivers/lpfc-Adjust-default-value-of-lpfc_nvmet_mrq.patch.
- Refresh
  patches.drivers/lpfc-Beef-up-stat-counters-for-debug.patch.
- Refresh
  patches.drivers/lpfc-Correct-driver-deregistrations-with-host-n.patch.
- Refresh
  patches.drivers/lpfc-Driver-fails-to-detect-direct-attach-stora.patch.
- Refresh
  patches.drivers/lpfc-Expand-WQE-capability-of-every-NVME-hardwa.patch.
- Refresh
  patches.drivers/lpfc-FLOGI-failures-are-reported-when-connected.patch.
- Refresh
  patches.drivers/lpfc-Fix-EOVERFLOW-behavior-for-NVMET-and-defer.patch.
- Refresh patches.drivers/lpfc-Fix-NVME-LS-abort_xri.patch.
- Refresh
  patches.drivers/lpfc-Fix-SCSI-LUN-discovery-when-SCSI-and-NVME-.patch.
- Refresh
  patches.drivers/lpfc-Fix-crash-after-bad-bar-setup-on-driver-at.patch.
- Refresh
  patches.drivers/lpfc-Fix-crash-during-driver-unload-with-runnin.patch.
- Refresh
  patches.drivers/lpfc-Fix-display-for-debugfs-queInfo.patch.
- Refresh
  patches.drivers/lpfc-Fix-driver-handling-of-nvme-resources-duri.patch.
- Refresh
  patches.drivers/lpfc-Fix-infinite-wait-when-driver-unregisters-.patch.
- Refresh
  patches.drivers/lpfc-Fix-issues-connecting-with-nvme-initiator.patch.
- Refresh
  patches.drivers/lpfc-Fix-ndlp-ref-count-for-pt2pt-mode-issue-RS.patch.
- Refresh
  patches.drivers/lpfc-Fix-random-heartbeat-timeouts-during-heavy.patch.
- Refresh patches.drivers/lpfc-Fix-receive-PRLI-handling.patch.
- Refresh
  patches.drivers/lpfc-Handle-XRI_ABORTED_CQE-in-soft-IRQ.patch.
- Refresh
  patches.drivers/lpfc-Increase-SCSI-CQ-and-WQ-sizes.patch.
- Refresh
  patches.drivers/lpfc-Linux-LPFC-driver-does-not-process-all-RSC.patch.
- Refresh
  patches.drivers/lpfc-Raise-maximum-NVME-sg-list-size-for-256-el.patch.
- Refresh
  patches.drivers/lpfc-correct-port-registrations-with-nvme_fc.patch.
- Refresh
  patches.drivers/lpfc-correct-sg_seg_cnt-attribute-min-vs-defaul.patch.
- Refresh
  patches.drivers/lpfc-don-t-dereference-localport-before-it-has-.patch.
- Refresh
  patches.drivers/lpfc-fix-a-couple-of-minor-indentation-issues.patch.
- Refresh patches.drivers/lpfc-small-sg-cnt-cleanup.patch.
- Refresh
  patches.drivers/lpfc-update-driver-version-to-11.4.0.5.patch.
- Refresh
  patches.drivers/lpfc-update-driver-version-to-11.4.0.6.patch.
- Refresh
  patches.drivers/net-Disable-GRO_HW-when-generic-XDP-is-installed-on-.patch.
- Refresh patches.drivers/net-Introduce-NETIF_F_GRO_HW.patch.
- Refresh
  patches.drivers/net-ethtool-add-support-for-reset-of-AP-inside-NIC-i.patch.
- Refresh
  patches.drivers/scsi-libiscsi-allow-sd_shutdown-on-bad-transport.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-recursion-while-sending-terminate-e.patch.
- commit f6992cb
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: Don't assume initialized vgic when setting
  PMU IRQ (bsc#1077761).
- commit e46c7d2
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: Disallow userspace control of in-kernel IRQ
  lines (bsc#1077761).
- commit 17a802a
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: Check if irq lines to the GIC are already used
  (bsc#1077761).
- commit c6c6bff
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: Introduce an allocator for in-kernel irq lines
  (bsc#1077761).
- commit 3904963
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: Allow setting the timer IRQ numbers from
  userspace (bsc#1077761).
- commit 46f128d
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: Move timer IRQ default init to arch_timer.c
  (bsc#1077761).
- commit e809754
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: Move irq_is_ppi() to header file (bsc#1077761).
- commit e5a67f0
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm: Handle VCPU device attributes in guest.c
  (bsc#1077761).
- commit 550f6bb
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: Allow creating the PMU without the in-kernel GIC
  (bsc#1077761).
- commit ed17f94
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: timer: remove request-less vcpu kick
  (bsc#1077761).
- commit c014526
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: PMU: remove request-less vcpu kick
  (bsc#1077761).
- commit fd61d9a
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: use vcpu requests for irq injection
  (bsc#1077761).
- commit 9f686bf
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: change exit request to sleep request
  (bsc#1077761).
- commit e8990de
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: optimize VCPU RUN (bsc#1077761).
- commit 5d5c02d
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: use vcpu requests for power_off (bsc#1077761).
- commit 3b24c3f
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: replace pause checks with vcpu request checks
  (bsc#1077761).
- commit 1df0a22
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: properly use vcpu requests (bsc#1077761).
- commit c19d6ba
* Thu Feb  1 2018 agraf@suse.de
- KVM: add kvm_request_pending (bsc#1077761).
- commit 7d071ca
* Thu Feb  1 2018 agraf@suse.de
- KVM: improve arch vcpu request defining (bsc#1077761).
- commit fcdd37e
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: Use uaccess functions for GICv3 {sc}active
  (bsc#1077761).
- commit a6aa308
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: Simplify active_change_prepare and plug race
  (bsc#1077761).
- commit 5f251f5
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: Separate guest and uaccess writes to dist
  {sc}active (bsc#1077761).
- commit 06c1e27
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm/arm64: Allow GICv2 to supply a uaccess register
  function (bsc#1077761).
- commit a828f2c
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm64: Restore host physical timer access on hyp_panic()
  (bsc#1077761).
- commit 3c9a486
* Thu Feb  1 2018 agraf@suse.de
- KVM: arm: Restore banked registers and physical timer access
  on hyp_panic() (bsc#1077761).
- commit 81c5b15
* Thu Feb  1 2018 agraf@suse.de
- KVM: LAPIC: Fix lapic timer injection delay (bsc#1077761).
- commit 2887434
* Thu Feb  1 2018 agraf@suse.de
- KVM: lapic: reorganize restart_apic_timer (bsc#1077761).
- commit b3c54e2
* Thu Feb  1 2018 agraf@suse.de
- KVM: lapic: reorganize start_hv_timer (bsc#1077761).
- commit d1ec16e
* Thu Feb  1 2018 agraf@suse.de
- KVM: s390: avoid packed attribute (bsc#1077761).
- Refresh
  patches.drivers/kvm-Inject-machine-check-into-the-nested-guest.patch.
- commit 0fb9b38
* Thu Feb  1 2018 agraf@suse.de
- KVM: S390: add new group for flic (bsc#1077761).
- commit 957f3a8
* Thu Feb  1 2018 agraf@suse.de
- KVM: s390: implement instruction execution protection for
  emulated ifetch (bsc#1077761).
- commit 9f7e596
* Thu Feb  1 2018 agraf@suse.de
- kvm: nVMX: Check memory operand to INVVPID (bsc#1077761).
- commit a142483
* Thu Feb  1 2018 agraf@suse.de
- KVM: explain missing kvm_put_kvm in case of failure
  (bsc#1077761).
- commit f859907
* Thu Feb  1 2018 agraf@suse.de
- KVM: Replaces symbolic permissions with numeric (bsc#1077761).
- commit c981562
* Thu Feb  1 2018 agraf@suse.de
- KVM: nVMX: Don't update vmcs12->xss_exit_bitmap on nested
  VM-exit (bsc#1077761).
- commit 334fe01
* Thu Feb  1 2018 agraf@suse.de
- KVM: x86: avoid large stack allocations in em_fxrstor
  (bsc#1077761).
- commit 2980e35
* Thu Feb  1 2018 agraf@suse.de
- KVM: white space cleanup in nested_vmx_setup_ctls_msrs()
  (bsc#1077761).
- commit 4ba3a7c
* Thu Feb  1 2018 agraf@suse.de
- KVM: Tidy the whitespace in nested_svm_check_permissions()
  (bsc#1077761).
- commit 8351f67
* Thu Feb  1 2018 agraf@suse.de
- s390: rename struct psw_bits members (bsc#1077761).
- commit b1352ea
* Thu Feb  1 2018 agraf@suse.de
- s390: rename psw_bits enums (bsc#1077761).
- commit df2b8ca
* Thu Feb  1 2018 msuchanek@suse.de
- Refresh patches.arch/powerpc-pseries-rfi-flush-Call-setup_rfi_flush-after.patch.
  Fix return value
- commit b1d44b2
* Wed Jan 31 2018 jslaby@suse.cz
- ftrace, orc, x86: Handle ftrace dynamically allocated
  trampolines (bnc#1058115).
- objtool: Fix seg fault caused by missing parameter
  (bnc#1058115).
- objtool: Move synced files to their original relative locations
  (bnc#1058115).
- objtool: Fix seg fault with clang-compiled objects
  (bnc#1058115).
- objtool: Move kernel headers/code sync check to a script
  (bnc#1058115).
- tracing: Update stack trace skipping for ORC unwinder
  (bnc#1058115).
- objtool: Fix 64-bit build on 32-bit host (bnc#1058115).
- objtool: Fix Clang enum conversion warning (bnc#1058115).
- objtool: Fix cross-build (bnc#1058115).
- tools/objtool/Makefile: don't assume sync-check.sh is executable
  (bnc#1058115).
- x86/ftrace: Add one more ENDPROC annotation (bnc#1058115).
- x86/ftrace: Fix ORC unwinding from ftrace handlers
  (bnc#1058115).
- x86/stacktrace: Make zombie stack traces reliable (bnc#1058115).
- Refresh
  patches.arch/10-x86-dumpstack-handle-stack-overflow-on-all-stacks.patch.
- Refresh
  patches.arch/11-x86-entry-rename-sysenter_stack-to-cpu_entry_area_entry_stack.patch.
- Refresh
  patches.arch/24-x86-retpoline-ftrace-convert-ftrace-assembler-indirect-jumps.patch.
- Refresh
  patches.suse/0002-x86-stacktrace-make-clear-the-success-paths.patch.
  Update ORC to the upstream status.
- commit 3cd5617
* Wed Jan 31 2018 msuchanek@suse.de
- include/linux/mm.h: fix typo in VM_MPX definition (FATE#322447,
  bsc#1078248).
- commit 981f4b2
* Wed Jan 31 2018 msuchanek@suse.de
- Update config files.
- commit c74eda6
* Wed Jan 31 2018 msuchanek@suse.de
- selftests/powerpc: Add core file test for Protection Key
  register (FATE#322447, bsc#1078248).
- selftests/powerpc: Add ptrace tests for Protection Key register
  (FATE#322447, bsc#1078248).
- selftests/vm: Fix deadlock in protection_keys.c (FATE#322447,
  bsc#1078248).
- selftests/vm: sub-page allocator (FATE#322447, bsc#1078248).
- selftests/vm: testcases must restore pkey-permissions
  (FATE#322447, bsc#1078248).
- selftests/vm: detect write violation on a mapped
  access-denied-key page (FATE#322447, bsc#1078248).
- selftests/vm: associate key on a mapped page and detect write
  violation (FATE#322447, bsc#1078248).
- selftests/vm: associate key on a mapped page and detect access
  violation (FATE#322447, bsc#1078248).
- selftests/vm: fix an assertion in test_pkey_alloc_exhaust()
  (FATE#322447, bsc#1078248).
- selftests/vm: powerpc implementation to check support for pkey
  (FATE#322447, bsc#1078248).
- selftests/vm: clear the bits in shadow reg when a pkey is freed
  (FATE#322447, bsc#1078248).
- selftests/vm: powerpc implementation for generic abstraction
  (FATE#322447, bsc#1078248).
- selftests/vm: generic cleanup (FATE#322447, bsc#1078248).
- selftests/vm: pkey register should match shadow pkey
  (FATE#322447, bsc#1078248).
- selftests/vm: introduce two arch independent abstraction
  (FATE#322447, bsc#1078248).
- selftests/vm: fix alloc_random_pkey() to make it really random
  (FATE#322447, bsc#1078248).
- selftests/vm: clear the bits in shadow reg when a pkey is freed
  (FATE#322447, bsc#1078248).
- selftests/vm: fixed bugs in pkey_disable_clear() (FATE#322447,
  bsc#1078248).
- selftests/vm: fix the wrong assert in pkey_disable_set()
  (FATE#322447, bsc#1078248).
- selftests/vm: generic function to handle shadow key register
  (FATE#322447, bsc#1078248).
- selftests/vm: typecast the pkey register (FATE#322447,
  bsc#1078248).
- selftests/vm: move generic definitions to header file
  (FATE#322447, bsc#1078248).
- selftests/vm: rename all references to pkru to a generic name
  (FATE#322447, bsc#1078248).
- selftests/x86: Move protecton key selftest to arch neutral
  directory (FATE#322447, bsc#1078248).
- x86/pkeys/selftests: Fix protection keys write() warning
  (FATE#322447, bsc#1078248).
- x86/pkeys/selftests: Rename 'si_pkey' to 'siginfo_pkey'
  (FATE#322447, bsc#1078248).
- selftests/x86/protection_keys: Fix syscall NR redefinition
  warnings (FATE#322447, bsc#1078248).
- signal/testing: Don't look for __SI_FAULT in userspace
  (FATE#322447, bsc#1078248).
- Documentation/vm: PowerPC specific updates to memory protection
  keys (FATE#322447, bsc#1078248).
- Documentation/x86: Move protecton key documentation to arch
  neutral directory (FATE#322447, bsc#1078248).
- mm, x86: display pkey in smaps only if arch supports pkeys
  (FATE#322447, bsc#1078248).
- Refresh patches.suse/mm-fix-KSM-data-corruption.patch.
- powerpc: sys_pkey_mprotect() system call (FATE#322447,
  bsc#1078248).
- powerpc: sys_pkey_alloc() and sys_pkey_free() system calls
  (FATE#322447, bsc#1078248).
- powerpc: Enable pkey subsystem (FATE#322447, bsc#1078248).
- powerpc/ptrace: Add memory protection key regset (FATE#322447,
  bsc#1078248).
- powerpc: Deliver SEGV signal on pkey violation (FATE#322447,
  bsc#1078248).
- powerpc: introduce get_mm_addr_key() helper (FATE#322447,
  bsc#1078248).
- powerpc: Handle exceptions caused by pkey violation
  (FATE#322447, bsc#1078248).
- powerpc: implementation for arch_vma_access_permitted()
  (FATE#322447, bsc#1078248).
- powerpc: check key protection for user page access (FATE#322447,
  bsc#1078248).
- powerpc: helper to validate key-access permissions of a pte
  (FATE#322447, bsc#1078248).
- powerpc: Program HPTE key protection bits (FATE#322447,
  bsc#1078248).
- powerpc: map vma key-protection bits to pte key bits
  (FATE#322447, bsc#1078248).
- powerpc: implementation for arch_override_mprotect_pkey()
  (FATE#322447, bsc#1078248).
- powerpc: ability to associate pkey to a vma (FATE#322447,
  bsc#1078248).
- powerpc: introduce execute-only pkey (FATE#322447, bsc#1078248).
- powerpc: store and restore the pkey state across context
  switches (FATE#322447, bsc#1078248).
- powerpc: ability to create execute-disabled pkeys (FATE#322447,
  bsc#1078248).
- powerpc: implementation for arch_set_user_pkey_access()
  (FATE#322447, bsc#1078248).
- powerpc: cleanup AMR, IAMR when a key is allocated or freed
  (FATE#322447, bsc#1078248).
- powerpc: helper functions to initialize AMR, IAMR and UAMOR
  registers (FATE#322447, bsc#1078248).
- powerpc: helper function to read, write AMR, IAMR, UAMOR
  registers (FATE#322447, bsc#1078248).
- powerpc: track allocation status of all pkeys (FATE#322447,
  bsc#1078248).
- powerpc: initial pkey plumbing (FATE#322447, bsc#1078248).
- mm, powerpc, x86: introduce an additional vma bit for powerpc
  pkey (FATE#322447, bsc#1078248).
- mm, powerpc, x86: define VM_PKEY_BITx bits if
  CONFIG_ARCH_HAS_PKEYS is enabled (FATE#322447, bsc#1078248).
- powerpc: capture the PTE format changes in the dump pte report
  (FATE#322447, bsc#1078248).
- powerpc: use helper functions to get and set hash slots
  (FATE#322447, bsc#1078248).
- powerpc: Swizzle around 4K PTE bits to free up bit 5 and bit 6
  (FATE#322447, bsc#1078248).
- powerpc: shifted-by-one hidx value (FATE#322447, bsc#1078248).
- powerpc: Free up four 64K PTE bits in 64K backed HPTE pages
  (FATE#322447, bsc#1078248).
- powerpc: Free up four 64K PTE bits in 4K backed HPTE pages
  (FATE#322447, bsc#1078248).
- powerpc: introduce pte_get_hash_gslot() helper (FATE#322447,
  bsc#1078248).
- powerpc: introduce pte_set_hidx() helper (FATE#322447,
  bsc#1078248).
- powerpc/mm/book3s/64: Add proper pte access check helper
  (FATE#322447, bsc#1078248).
- powerpc/mm: Don't lose "major" fault indication on retry
  (FATE#322447, bsc#1078248).
- powerpc/mm: Set fault flags earlier (FATE#322447, bsc#1078248).
- powerpc/mm: Evaluate user_mode(regs) only once in
  do_page_fault() (FATE#322447, bsc#1078248).
- powerpc/mm: Remove a redundant test in do_page_fault()
  (FATE#322447, bsc#1078248).
- powerpc/mm: Only call store_updates_sp() on stores in
  do_page_fault() (FATE#322447, bsc#1078248).
- powerpc: Fix DABR match on hash based systems (FATE#322447,
  bsc#1078248).
- powerpc/64s: Replace CONFIG_PPC_STD_MMU_64 with
  CONFIG_PPC_BOOK3S_64 (FATE#322447, bsc#1078248).
- powerpc/mm: Update bits used to skip hash_page (FATE#322447,
  bsc#1078248).
- powerpc/mm: Update definitions of DSISR bits (FATE#322447,
  bsc#1078248).
- x86,mpx: make mpx depend on x86-64 to free up VMA flag
  (FATE#322447, bsc#1078248).
- commit 90fbf25
* Wed Jan 31 2018 yousaf.kaukab@suse.com
- arm64: Branch predictor hardening for Cavium ThunderX2
  (bsc#1068032).
- commit c0ea639
* Wed Jan 31 2018 mgorman@suse.de
- Refresh
  patches.fixes/mm-Batch-radix-tree-operations-when-truncating-pages.patch.
- Refresh
  patches.fixes/mm-Factor-out-checks-and-accounting-from-__delete_fr.patch.
- Refresh
  patches.fixes/mm-Factor-out-page-cache-page-freeing-into-a-separat.patch.
- Refresh
  patches.fixes/mm-Move-accounting-updates-before-page_cache_tree_de.patch.
- Refresh
  patches.fixes/mm-Move-clearing-of-page-mapping-to-page_cache_tree_.patch.
- Refresh patches.fixes/mm-Refactor-truncate_complete_page.patch.
- Refresh
  patches.fixes/mm-Speedup-cancel_dirty_page-for-clean-pages.patch.
- Refresh
  patches.suse/sched-Only-immediately-migrate-tasks-due-to-interrupts-if-prev-and-target-CPUs-share-cache.patch.
- Refresh
  patches.suse/sched-wait-fix-add_wait_queue-behavior-change.patch.
- commit c2de752
* Wed Jan 31 2018 jthumshirn@suse.de
- scsi: qla2xxx: Initialize Work element before requesting IRQs
  (bsc#1050313).
- scsi: qla2xxx: Fix uninitialized work element (bsc#1050313).
- commit 20470eb
* Wed Jan 31 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/block-Provide-blk_status_t-decoding-for-path-errors.patch.
- Refresh patches.drivers/dm-mpath-Use-blk_path_error.patch.
- Refresh
  patches.drivers/nvme-Add-more-command-status-translation.patch.
- Refresh
  patches.drivers/nvme-add-tracepoint-for-nvme_complete_rq.patch.
- Refresh
  patches.drivers/nvme-add-tracepoint-for-nvme_setup_cmd.patch.
- Refresh
  patches.drivers/nvme-also-expose-the-namespace-identification-sysfs-.patch.
- Refresh
  patches.drivers/nvme-fix-visibility-of-uuid-ns-attribute.patch.
- Refresh
  patches.drivers/nvme-introduce-a-nvme_ns_ids-structure.patch.
- Refresh
  patches.drivers/nvme-multipath-Consult-blk_status_t-for-failover.patch.
- Refresh patches.drivers/nvme-multipath-Use-blk_path_error.patch.
- Refresh patches.drivers/nvme-track-shared-namespaces.patch.
- Refresh
  patches.drivers/nvmet-fc-cleanup-nvmet-add_port-remove_port.patch.
  Re-sort series.conf
- commit 2edda93
* Tue Jan 30 2018 lhenriques@suse.com
- Refresh
  patches.fixes/ceph-drop-negative-child-dentries-before-try-pruning-inode-s-alias.patch.
- commit 66812af
* Tue Jan 30 2018 lhenriques@suse.com
- libceph: don't WARN() if user tries to add invalid key
  (FATE#324714).
- ceph: silence sparse endianness warning in encode_caps_cb
  (FATE#324714).
- ceph: present consistent fsid, regardless of arch endianness
  (FATE#324714).
- ceph: clean up spinlocking and list handling around
  cleanup_cap_releases() (FATE#324714).
- ceph: remove unused and redundant variable dropping
  (FATE#324714).
- ceph: mark expected switch fall-throughs (FATE#324714).
- ceph: -EINVAL on decoding failure in ceph_mdsc_handle_fsmap()
  (FATE#324714).
- ceph: disable cached readdir after dropping positive dentry
  (FATE#324714).
- ceph: fix bool initialization/comparison (FATE#324714).
- ceph: handle 'session get evicted while there are file locks'
  (FATE#324714).
- ceph: optimize flock encoding during reconnect (FATE#324714).
- ceph: make lock_to_ceph_filelock() static (FATE#324714).
- ceph: keep auth cap when inode has flocks or posix locks
  (FATE#324714).
- commit b22d2c0
* Tue Jan 30 2018 lhenriques@suse.com
- ceph: unlock dangling spinlock in try_flush_caps()
  (FATE#324714).
- ceph: fix __choose_mds() for LSSNAP request (FATE#324714).
- ceph: properly queue cap snap for newly created snap realm
  (FATE#324714).
- ceph: avoid panic in create_session_open_msg() if utsname()
  returns NULL (FATE#324714).
- libceph: don't allow bidirectional swap of pg-upmap-items
  (FATE#324714).
- ceph: stop on-going cached readdir if mds revokes FILE_SHARED
  cap (FATE#324714).
- ceph: wait on writeback after writing snapshot data
  (FATE#324714).
- ceph: fix capsnap dirty pages accounting (FATE#324714).
- ceph: ignore wbc->range_{start,end} when write back snapshot
  data (FATE#324714).
- ceph: fix "range cyclic" mode writepages (FATE#324714).
- ceph: cleanup local variables in ceph_writepages_start()
  (FATE#324714).
- ceph: optimize pagevec iterating in ceph_writepages_start()
  (FATE#324714).
- ceph: make writepage_nounlock() invalidate page that beyonds
  EOF (FATE#324714).
- ceph: properly get capsnap's size in get_oldest_context()
  (FATE#324714).
- ceph: remove stale check in ceph_invalidatepage() (FATE#324714).
- ceph: queue cap snap only when snap realm's context changes
  (FATE#324714).
- ceph: handle race between vmtruncate and queuing cap snap
  (FATE#324714).
- ceph: fix message order check in handle_cap_export()
  (FATE#324714).
- ceph: fix NULL pointer dereference in ceph_flush_snaps()
  (FATE#324714).
- ceph: adjust 36 checks for NULL pointers (FATE#324714).
- ceph: delete an unnecessary return statement in
  update_dentry_lease() (FATE#324714).
- ceph: ENOMEM pr_err in __get_or_create_frag() is redundant
  (FATE#324714).
- ceph: check negative offsets in ceph_llseek() (FATE#324714).
- ceph: more accurate statfs (FATE#324714).
- ceph: properly set snap follows for cap reconnect (FATE#324714).
- ceph: don't use CEPH_OSD_FLAG_ORDERSNAP (FATE#324714).
- ceph: include snapc in debug message of write (FATE#324714).
- ceph: make sure flushsnap messages are sent in proper order
  (FATE#324714).
- ceph: fix -EOLDSNAPC handling (FATE#324714).
- ceph: send LSSNAP request to auth mds of directory inode
  (FATE#324714).
- ceph: don't fill readdir cache for LSSNAP reply (FATE#324714).
- ceph: cleanup ceph_readdir_prepopulate() (FATE#324714).
- ceph: new cap message flags indicate if there is pending capsnap
  (FATE#324714).
- ceph: nuke startsync op (FATE#324714).
- ceph: validate correctness of some mount options (FATE#324714).
- ceph: limit osd write size (FATE#324714).
- ceph: limit osd read size to CEPH_MSG_MAX_DATA_LEN
  (FATE#324714).
- ceph: remove unused cap_release_safety mount option
  (FATE#324714).
- commit a10585c
* Tue Jan 30 2018 lhenriques@suse.com
- libceph: make RECOVERY_DELETES feature create a new interval
  (FATE#324714).
- libceph: upmap semantic changes (FATE#324714).
- crush: assume weight_set != null imples weight_set_size > 0
  (FATE#324714).
- libceph: fallback for when there isn't a pool-specific
  choose_arg (FATE#324714).
- libceph: don't call ->reencode_message() more than once per
  message (FATE#324714).
- libceph: make encode_request_*() work with r_mempool requests
  (FATE#324714).
- libceph: potential NULL dereference in ceph_msg_data_create()
  (FATE#324714).
- libceph: don't call encode_request_finish() on MOSDBackoff
  messages (FATE#324714).
- libceph: use alloc_pg_mapping() in __decode_pg_upmap_items()
  (FATE#324714).
- libceph: set -EINVAL in one place in crush_decode()
  (FATE#324714).
- libceph: NULL deref on osdmap_apply_incremental() error path
  (FATE#324714).
- libceph: fix old style declaration warnings (FATE#324714).
- libceph: advertise support for NEW_OSDOP_ENCODING and
  SERVER_LUMINOUS (FATE#324714).
- libceph: osd_state is 32 bits wide in luminous (FATE#324714).
- crush: remove an obsolete comment (FATE#324714).
- crush: crush_init_workspace starts with struct crush_work
  (FATE#324714).
- libceph, crush: per-pool crush_choose_arg_map for
  crush_do_rule() (FATE#324714).
- crush: implement weight and id overrides for straw2
  (FATE#324714).
- libceph: apply_upmap() (FATE#324714).
- libceph: compute actual pgid in ceph_pg_to_up_acting_osds()
  (FATE#324714).
- libceph: pg_upmap[_items] infrastructure (FATE#324714).
- libceph: ceph_decode_skip_* helpers (FATE#324714).
- libceph: kill __{insert,lookup,remove}_pg_mapping()
  (FATE#324714).
- libceph: introduce and switch to decode_pg_mapping()
  (FATE#324714).
- libceph: don't pass pgid by value (FATE#324714).
- libceph: respect RADOS_BACKOFF backoffs (FATE#324714).
- libceph: make DEFINE_RB_* helpers more general (FATE#324714).
- libceph: avoid unnecessary pi lookups in calc_target()
  (FATE#324714).
- libceph: use target pi for calc_target() calculations
  (FATE#324714).
- libceph: always populate t->target_{oid,oloc} in calc_target()
  (FATE#324714).
- libceph: make sure need_resend targets reflect latest map
  (FATE#324714).
- libceph: delete from need_resend_linger before
  check_linger_pool_dne() (FATE#324714).
- libceph: resend on PG splits if OSD has RESEND_ON_SPLIT
  (FATE#324714).
- libceph: drop need_resend from calc_target() (FATE#324714).
- libceph: MOSDOp v8 encoding (actual spgid + full hash)
  (FATE#324714).
- libceph: ceph_connection_operations::reencode_message() method
  (FATE#324714).
- libceph: encode_{pgid,oloc}() helpers (FATE#324714).
- libceph: introduce ceph_spg, ceph_pg_to_primary_shard()
  (FATE#324714).
- libceph: new pi->last_force_request_resend (FATE#324714).
- libceph: foldreq->last_force_resend into ceph_osd_request_target
  (FATE#324714).
- libceph: support SERVER_JEWEL feature bits (FATE#324714).
- libceph: advertise support for OSD_POOLRESEND (FATE#324714).
- libceph: handle non-empty dest in ceph_{oloc,oid}_copy()
  (FATE#324714).
- libceph: new features macros (FATE#324714).
- libceph: remove ceph_sanitize_features() workaround
  (FATE#324714).
- ceph: update ceph_dentry_info::lease_session when necessary
  (FATE#324714).
- ceph: new mount option that specifies fscache uniquifier
  (FATE#324714).
- ceph: avoid accessing freeing inode in ceph_check_delayed_caps()
  (FATE#324714).
- ceph: avoid invalid memory dereference in the middle of umount
  (FATE#324714).
- ceph: getattr before read on ceph.* xattrs (FATE#324714).
- ceph: don't re-send interrupted flock request (FATE#324714).
- ceph: cleanup writepage_nounlock() (FATE#324714).
- ceph: redirty page when writepage_nounlock() skips unwritable
  page (FATE#324714).
- ceph: remove useless page->mapping check in writepage_nounlock()
  (FATE#324714).
- ceph: update the 'approaching max_size' code (FATE#324714).
- ceph: re-request max size after importing caps (FATE#324714).
- ceph: ensure RNG is seeded before using (FATE#324714).
- commit f96ea6d
* Tue Jan 30 2018 mhocko@suse.com
- Documentation/kernel-parameters.txt: Update 'memmap=' boot
  option description (bnc#1077917).
- Update
  patches.suse/0001-x86-KASLR-Parse-all-memmap-boot-option-entries.patch
  (bnc#1071680, bnc#1077917, fate#323473).
- Update
  patches.suse/0002-x86-KASLR-Handle-the-memory-limit-specified-by-the-m.patch
  (bnc#1071680, bnc#1077917, fate#323473).
- commit 139f441
* Tue Jan 30 2018 mkubecek@suse.cz
- RDS: Heap OOB write in rds_message_alloc_sgs() (CVE-2018-5332
  bsc#1075621).
- commit 8848928
* Tue Jan 30 2018 mkubecek@suse.cz
- RDS: null pointer dereference in rds_atomic_free_op
  (CVE-2018-5333 bsc#1075617).
- commit 4d458e8
* Tue Jan 30 2018 mkubecek@suse.cz
- net: Fix double free and memory corruption in get_net_ns_by_id()
  (CVE-2017-15129 bsc#1074839).
- commit 249e5ac
* Tue Jan 30 2018 mkubecek@suse.cz
- net: ipv4: emulate READ_ONCE() on ->hdrincl bit-field in
  raw_sendmsg() (CVE-2017-17712 bsc#1073229).
- net: ipv4: fix for a race condition in raw_sendmsg
  (CVE-2017-17712 bsc#1073229).
- commit 34b8075
* Tue Jan 30 2018 mgorman@suse.de
- sched/fair: Use a recently used CPU as an idle candidate and
  the basis for SIS (bnc#1066110).
- sched/fair: Do not migrate if the prev_cpu is idle
  (bnc#1066110).
- sched/fair: Restructure wake_affine to return a CPU id
  (bnc#1066110).
- sched/fair: Remove unnecessary parameters from wake_affine_idle
  (bnc#1066110).
- sched/fair: Sync task util before slow-path wakeup
  (bnc#1066110).
- commit f574d1e
* Tue Jan 30 2018 mkubecek@suse.cz
- ipvlan: remove excessive packet scrubbing (bsc#1070799).
- commit 0cc2da1
* Tue Jan 30 2018 mkubecek@suse.cz
- tipc: improve link resiliency when rps is activated
  (bsc#1068038).
- commit edad3d6
* Tue Jan 30 2018 mkubecek@suse.cz
- series.conf: refresh
  (ran series_sort.py)
- Refresh
  patches.drivers/nvme-also-expose-the-namespace-identification-sysfs-.patch.
  patches.drivers/nvme-fix-visibility-of-uuid-ns-attribute.patch.
  patches.drivers/nvme-introduce-a-nvme_ns_ids-structure.patch.
  patches.drivers/nvme-track-shared-namespaces.patch.
- Update upstream reference:
  patches.drivers/block-Provide-blk_status_t-decoding-for-path-errors.patch.
  patches.drivers/dm-mpath-Use-blk_path_error.patch.
  patches.drivers/nvme-Add-more-command-status-translation.patch.
  patches.drivers/nvme-add-tracepoint-for-nvme_complete_rq.patch.
  patches.drivers/nvme-add-tracepoint-for-nvme_setup_cmd.patch.
  patches.drivers/nvme-multipath-Consult-blk_status_t-for-failover.patch.
  patches.drivers/nvme-multipath-Use-blk_path_error.patch.
  patches.drivers/nvmet-fc-cleanup-nvmet-add_port-remove_port.patch.
- commit 8073960
* Mon Jan 29 2018 jeffm@suse.com
- btrfs: fix btrfs_evict_inode to handle abnormal inodes correctly (bsc#1078019).
- commit 776dc75
* Mon Jan 29 2018 jeffm@suse.com
- Btrfs: fix unexpected return value of bio_readpage_error
  (bsc#1067598).
- commit 30d5aee
* Mon Jan 29 2018 hare@suse.de
- scsi: lpfc: fix a couple of minor indentation issues
  (bsc#1076693,bsc#1076672).
- scsi: lpfc: don't dereference localport before it has been
  null checked (bsc#1076693,bsc#1076672).
- scsi: lpfc: correct sg_seg_cnt attribute min vs default
  (bsc#1076693,bsc#1076672).
- commit 5817551
* Mon Jan 29 2018 hare@suse.de
- scsi: lpfc: update driver version to 11.4.0.6 (bsc#1076693).
- scsi: lpfc: Beef up stat counters for debug (bsc#1076693).
- scsi: lpfc: Fix infinite wait when driver unregisters a remote
  NVME port (bsc#1076693).
- scsi: lpfc: Fix issues connecting with nvme initiator
  (bsc#1076693).
- scsi: lpfc: Fix SCSI LUN discovery when SCSI and NVME enabled
  (bsc#1076693).
- scsi: lpfc: Increase SCSI CQ and WQ sizes (bsc#1076693).
- scsi: lpfc: Fix receive PRLI handling (bsc#1076693).
- scsi: lpfc: Fix -EOVERFLOW behavior for NVMET and defer_rcv
  (bsc#1076693).
- scsi: lpfc: Fix random heartbeat timeouts during heavy IO
  (bsc#1076693).
- commit 89d95b9
* Mon Jan 29 2018 jthumshirn@suse.de
- nvme: add tracepoint for nvme_complete_rq (FATE#323952,
  FATE#322506).
- nvme: add tracepoint for nvme_setup_cmd (FATE#323952,
  FATE#322506).
- commit 870ce83
* Mon Jan 29 2018 hare@suse.de
- Update patch header for ibmvnic patches
- Refresh
  patches.drivers/ibmvnic-Allocate-and-request-vpd-in-init_resources.patch.
- Refresh
  patches.drivers/ibmvnic-Modify-buffer-size-and-number-of-queues-on-f.patch.
- Refresh
  patches.drivers/ibmvnic-Revert-to-previous-mtu-when-unsupported-valu.patch.
- commit ac37059
* Mon Jan 29 2018 hare@suse.de
- scsi: lpfc: update driver version to 11.4.0.5 (bsc#1076693).
- scsi: lpfc: small sg cnt cleanup (bsc#1076693).
- scsi: lpfc: Fix driver handling of nvme resources during unload
  (bsc#1076693).
- scsi: lpfc: Fix crash during driver unload with running nvme
  traffic (bsc#1076693).
- scsi: lpfc: Correct driver deregistrations with host nvme
  transport (bsc#1076693).
- scsi: lpfc: correct port registrations with nvme_fc
  (bsc#1076693).
- scsi: lpfc: Linux LPFC driver does not process all RSCNs
  (bsc#1076693).
- scsi: lpfc: Fix ndlp ref count for pt2pt mode issue RSCN
  (bsc#1076693).
- scsi: lpfc: Adjust default value of lpfc_nvmet_mrq
  (bsc#1076693).
- scsi: lpfc: Fix display for debugfs queInfo (bsc#1076693).
- scsi: lpfc: Driver fails to detect direct attach storage array
  (bsc#1076693).
- scsi: lpfc: Raise maximum NVME sg list size for 256 elements
  (bsc#1076693).
- scsi: lpfc: Fix NVME LS abort_xri (bsc#1076693).
- scsi: lpfc: Fix crash after bad bar setup on driver attachment
  (bsc#1076693).
- scsi: lpfc: Handle XRI_ABORTED_CQE in soft IRQ (bsc#1076693).
- scsi: lpfc: Expand WQE capability of every NVME hardware queue
  (bsc#1076693).
- scsi: lpfc: FLOGI failures are reported when connected to a
  private loop (bsc#1076693).
- commit 1f4d880
* Mon Jan 29 2018 tbogendoerfer@suse.de
- net/mlx5e: Keep updating ethtool statistics when the interface
  is down (bsc#1046303 FATE#322944).
- commit 4075ba4
* Mon Jan 29 2018 msuchanek@suse.de
- KEYS: Fix race between updating and finding a negative key
  (CVE-2017-15951, bsc#1065615, bsc#1071927).
- KEYS: don't let add_key() update an uninstantiated key
  (CVE-2017-15951, bsc#1065615, bsc#1071927).
- commit d6cb5a2
* Mon Jan 29 2018 tbogendoerfer@suse.de
- net/mlx5: Fix memory leak in bad flow of mlx5_alloc_irq_vectors
  (bsc#1046303 FATE#322944).
- commit c5e8efb
* Mon Jan 29 2018 mhocko@suse.com
- mm/mprotect: add a cond_resched() inside change_pmd_range()
  (bnc#1077871).
- commit e2d94df
* Mon Jan 29 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/nvme-fix-visibility-of-uuid-ns-attribute.patch.
  Fix upstream commit-id.
- commit 4210304
* Mon Jan 29 2018 mkubecek@suse.cz
- blacklist.conf: add 040ee69226f8
- commit bc8f9b1
* Mon Jan 29 2018 mkubecek@suse.cz
- ipv6: ip6_make_skb() needs to clear cork.base.dst (bsc#1076830).
- xfrm: Use __skb_queue_tail in xfrm_trans_queue (bsc#1076830).
- tcp/dccp: fix other lockdep splats accessing ireq_opt
  (bsc#1076830).
- tcp/dccp: fix lockdep splat in inet_csk_route_req()
  (bsc#1076830).
- udp: fix bcast packet reception (bsc#1076830).
- vti: fix NULL dereference in xfrm_input() (bsc#1076830).
- sctp: Fix a big endian bug in sctp_diag_dump() (bsc#1076830).
- commit 08c4a13
* Mon Jan 29 2018 mkubecek@suse.cz
- Update upstream reference:
  patches.drivers/ibmvnic-Allocate-and-request-vpd-in-init_resources.patch.
  patches.drivers/ibmvnic-Modify-buffer-size-and-number-of-queues-on-f.patch.
  patches.drivers/ibmvnic-Revert-to-previous-mtu-when-unsupported-valu.patch.
- commit 3fd778c
* Sun Jan 28 2018 mcgrof@suse.com
- xfs: validate sb_logsunit is a multiple of the fs blocksize (bsc#1077513).
- commit b3bd89b
* Fri Jan 26 2018 yousaf.kaukab@suse.com
- config: arm64: enable ARM64_HW_AFDBM and ARM64_PAN
- commit 45aa9c3
* Fri Jan 26 2018 hare@suse.de
- lpfc: Fix hard lock up NMI in els timeout handling
  (bsc#1076672).
- commit 203b3e9
* Fri Jan 26 2018 hare@suse.de
- lpfc: tie in to new dev_loss_tmo interface in nvme transport
  (bsc#1076672).
- commit ccb6905
* Fri Jan 26 2018 hare@suse.de
- scsi: qla2xxx: Fix recursion while sending terminate exchange
  (bsc#1076093).
- commit e94594b
* Fri Jan 26 2018 tbogendoerfer@suse.de
- qed* - bump drivers to version 8.10.10.55 (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- commit c7852cd
* Thu Jan 25 2018 msuchanek@suse.de
- powerpc: Don't preempt_disable() in show_cpuinfo()
  (bsc#1065729).
- commit 54d3151
* Thu Jan 25 2018 msuchanek@suse.de
- genirq/msi: Fix populating multiple interrupts (bsc#1070194).
- genirq: Track whether the trigger type has been set
  (bsc#1070194).
- genirq: Fix for_each_action_of_desc() macro (bsc#1070194).
- genirq: Make sparse_irq_lock protect what it should protect
  (bsc#1070194).
- powerpc/xmon: Check before calling xive functions (FATE#322438,
  bsc#1065729).
- powerpc/powernv/cpufreq: Fix the frequency read by /proc/cpuinfo
  (bsc#1065729).
- powerpc/jprobes: Disable preemption when triggered through
  ftrace (bsc#1065729).
- KVM: PPC: Book3S HV: Always flush TLB in
  kvmppc_alloc_reset_hpt() (bsc#1061840).
- KVM: PPC: Book3S HV: Fix use after free in case of multiple
  resize requests (bsc#1061840).
- KVM: PPC: Book3S HV: Drop prepare_done from struct
  kvm_resize_hpt (bsc#1061840).
- genirq/msi: Fix populating multiple interrupts (bsc#1070194).
- genirq: Track whether the trigger type has been set
  (bsc#1070194).
- genirq: Fix for_each_action_of_desc() macro (bsc#1070194).
- genirq: Make sparse_irq_lock protect what it should protect
  (bsc#1070194).
- powerpc/xmon: Check before calling xive functions (FATE#322438,
  bsc#1065729).
- powerpc/powernv/cpufreq: Fix the frequency read by /proc/cpuinfo
  (bsc#1065729).
- powerpc/jprobes: Disable preemption when triggered through
  ftrace (bsc#1065729).
- KVM: PPC: Book3S HV: Always flush TLB in
  kvmppc_alloc_reset_hpt() (bsc#1061840).
- KVM: PPC: Book3S HV: Fix use after free in case of multiple
  resize requests (bsc#1061840).
- KVM: PPC: Book3S HV: Drop prepare_done from struct
  kvm_resize_hpt (bsc#1061840).
- commit 265931d
* Thu Jan 25 2018 mcgrof@suse.com
- fs: Avoid invalidation in interrupt context in dio_complete() (bsc#1073407 bsc#1069135).
- Refresh patches.suse/0023-block-switch-bios-to-blk_status_t.patch.
- commit 4cb0a08
* Thu Jan 25 2018 yousaf.kaukab@suse.com
- arm64: Move BP hardening to check_and_switch_context
  (bsc#1068032).
- commit 45ddc1d
* Thu Jan 25 2018 tbogendoerfer@suse.de
- RDMA/bnxt_re: Add SRQ support for Broadcom adapters (bsc#1050244
  FATE#322915).
- RDMA/bnxt_re: expose detailed stats retrieved from HW
  (bsc#1050244 FATE#322915).
- RDMA/bnxt_re: Add support for MRs with Huge pages (bsc#1050244
  FATE#322915).
- RDMA/bnxt_re: Add support for query firmware version
  (bsc#1050244 FATE#322915).
- RDMA/bnxt_re: Enable RoCE on virtual functions (bsc#1050244
  FATE#322915).
- RDMA/bnxt_re: Add SRQ support for Broadcom adapters (bsc#1050244
  FATE#322915).
- RDMA/bnxt_re: expose detailed stats retrieved from HW
  (bsc#1050244 FATE#322915).
- RDMA/bnxt_re: Add support for MRs with Huge pages (bsc#1050244
  FATE#322915).
- RDMA/bnxt_re: Add support for query firmware version
  (bsc#1050244 FATE#322915).
- RDMA/bnxt_re: Enable RoCE on virtual functions (bsc#1050244
  FATE#322915).
- commit 75e0deb
* Thu Jan 25 2018 tbogendoerfer@suse.de
- be2net: restore properly promisc mode after queues
  reconfiguration (bsc#1050252 FATE#322920).
- net/mlx5e: Fix fixpoint divide exception in
  mlx5e_am_stats_compare (bsc#1071289).
- be2net: restore properly promisc mode after queues
  reconfiguration (bsc#1050252 FATE#322920).
- net/mlx5e: Fix fixpoint divide exception in
  mlx5e_am_stats_compare (bsc#1071289).
- commit 8395ca0
* Thu Jan 25 2018 jslaby@suse.cz
- Documentation: document array_ptr (bsc#1068032 CVE-2017-5753).
- asm/nospec, array_ptr: sanitize speculative array de-references
  (bsc#1068032 CVE-2017-5753).
- x86: implement array_ptr_mask() (bsc#1068032 CVE-2017-5753).
- x86: introduce __uaccess_begin_nospec and ifence (bsc#1068032
  CVE-2017-5753).
- x86, __get_user: use __uaccess_begin_nospec (bsc#1068032
  CVE-2017-5753).
- x86, get_user: use pointer masking to limit speculation
  (bsc#1068032 CVE-2017-5753).
- x86: narrow out of bounds syscalls to sys_read under speculation
  (bsc#1068032 CVE-2017-5753).
- vfs, fdtable: prevent bounds-check bypass via speculative
  execution (bsc#1068032 CVE-2017-5753).
- kvm, x86: update spectre-v1 mitigation (bsc#1068032
  CVE-2017-5753).
- nl80211: sanitize array index in parse_txq_params (bsc#1068032
  CVE-2017-5753).
- KVM: x86: Add memory barrier on vmcs field lookup (bsc#1068032
  CVE-2017-5753).
- Refresh
  patches.arch/23-x86-retpoline-entry-convert-entry-assembler-indirect-jumps.patch.
- Refresh
  patches.suse/0002-objtool-x86-Add-several-functions-and-files-to-the-o.patch.
- Refresh
  patches.suse/0003-locking-barriers-introduce-new-observable-speculatio.patch.
- Refresh
  patches.suse/0007-x86-entry-64-Add-unwind-hint-annotations.patch.
- Refresh
  patches.suse/0014-fs-prevent-speculative-execution.patch.
  Usee array_ptr on x86. This should put things back to normal.
- commit 469e0d1
* Thu Jan 25 2018 oneukum@suse.com
- PCI: Do not allocate more buses than available in parent
  (FATE#323948).
- Refresh
  patches.drivers/0001-thunderbolt-tb-fix-use-after-free-in-tb_activate_pci.patch.
- commit 4836e10
* Thu Jan 25 2018 tbogendoerfer@suse.de
- Delete
  patches.suse/net-mlx5-Fix-fixpoint-divide-exception-in-mlx5e_am_s.patch.
  replace with upstreamed patch
- commit 4970de8
* Wed Jan 24 2018 msuchanek@suse.de
- powerpc/pseries: rfi-flush: Call setup_rfi_flush() after LPM migration (bsc#1068032).
  Really fix the migration patch
- Delete patches.arch/powerpc-rfi-flush-Make-setup_rfi_flush-not-__init.patch.
- Delete patches.arch/powerpc-rfi-flush-prevent-crash-when-changing-flush-.patch.
- commit 4efb860
* Wed Jan 24 2018 msuchanek@suse.de
- Fix build error in drmem.c (bsc#1077428).
- commit 522031e
* Wed Jan 24 2018 msuchanek@suse.de
- Move fadump patches to powerpc section.
- commit d2c2ae6
* Wed Jan 24 2018 msuchanek@suse.de
- powerpc/pseries: Enable support of ibm,dynamic-memory-v2
  (bsc#1077428).
- powerpc/drmem: Add support for ibm, dynamic-memory-v2 property
  (bsc#1077428).
- powerpc: Move of_drconf_cell struct to asm/drmem.h
  (bsc#1077428).
- powerpc/pseries: Update memory hotplug code to use drmem LMB
  array (bsc#1077428).
- powerpc/numa: Update numa code use walk_drmem_lmbs
  (bsc#1077428).
- powerpc/mm: Separate ibm, dynamic-memory data from DT format
  (bsc#1077428).
- powerpc/numa: Look up associativity array in
  of_drconf_to_nid_single (bsc#1077428).
- powerpc/numa: Look up device node in of_get_usable_memory()
  (bsc#1077428).
- powerpc/numa: Look up device node in of_get_assoc_arrays()
  (bsc#1077428).
- powerpc/pseries: Enable support of ibm,dynamic-memory-v2
  (bsc#1077428).
- powerpc/drmem: Add support for ibm, dynamic-memory-v2 property
  (bsc#1077428).
- powerpc: Move of_drconf_cell struct to asm/drmem.h
  (bsc#1077428).
- powerpc/pseries: Update memory hotplug code to use drmem LMB
  array (bsc#1077428).
- powerpc/numa: Update numa code use walk_drmem_lmbs
  (bsc#1077428).
- powerpc/mm: Separate ibm, dynamic-memory data from DT format
  (bsc#1077428).
- powerpc/numa: Look up associativity array in
  of_drconf_to_nid_single (bsc#1077428).
- powerpc/numa: Look up device node in of_get_usable_memory()
  (bsc#1077428).
- powerpc/numa: Look up device node in of_get_assoc_arrays()
  (bsc#1077428).
- commit 25a4560
* Wed Jan 24 2018 mgorman@suse.de
- mm: numa: do not trap faults on shared data section pages
  (Automatic NUMA Balancing (fate#315482)).
- commit ccce19f
* Wed Jan 24 2018 mcgrof@suse.com
- fs: invalidate page cache after end_io() in dio completion (bsc#1073407 bsc#1069135).
- fs: Fix page cache inconsistency when mixing buffered and AIO DIO (bsc#1073407 bsc#1069135).
- commit fcc82bf
* Tue Jan 23 2018 msuchanek@suse.de
- Refresh
  patches.drivers/ibmvnic-Allocate-and-request-vpd-in-init_resources.patch.
- Refresh
  patches.drivers/ibmvnic-Modify-buffer-size-and-number-of-queues-on-f.patch.
- Refresh
  patches.drivers/ibmvnic-Revert-to-previous-mtu-when-unsupported-valu.patch.
  Add commit hash
- commit 917e6ff
* Tue Jan 23 2018 msuchanek@suse.de
- powerpc/64s: Wire up cpu_show_meltdown() (bsc#1068032).
- commit 066f80a
* Tue Jan 23 2018 oneukum@suse.com
- CDC-ACM: apply quirk for card reader (bsc#1060279).
- commit b9670bb
* Mon Jan 22 2018 bp@suse.de
- x86/mce: Make machine check speculation protected (bsc#1068032
  CVE-2017-5754).
- commit 6961313
* Mon Jan 22 2018 msuchanek@suse.de
- ibmvnic: Allocate and request vpd in init_resources
  (bsc#1076872).
- ibmvnic: Revert to previous mtu when unsupported value requested
  (bsc#1076872).
- ibmvnic: Modify buffer size and number of queues on failover
  (bsc#1076872).
- commit 2ae4beb
* Mon Jan 22 2018 msuchanek@suse.de
- ibmvnic: Fix IPv6 packet descriptors (bsc#1076899).
- ibmvnic: Fix IP offload control buffer (bsc#1076899).
- commit b164618
* Mon Jan 22 2018 msuchanek@suse.de
- Refresh
  patches.drivers/nvmet-fc-cleanup-nvmet-add_port-remove_port.patch.
- commit 04a2099
* Mon Jan 22 2018 yousaf.kaukab@suse.com
- arm64: Turn on KPTI only on CPUs that need it (bsc#1076187).
- arm64: kpti: Fix the interaction between ASID switching and
  software PAN (bsc#1068032).
- arm64: SW PAN: Update saved ttbr0 value on enter_lazy_tlb
  (bsc#1068032).
- arm64: SW PAN: Point saved ttbr0 at the zero page when switching
  to init_mm (bsc#1068032).
- arm64: KVM: Fix SMCCC handling of unimplemented SMC/HVC calls
  (bsc#1068032).
- arm64: cputype: Add MIDR values for Cavium ThunderX2 CPUs
  (bsc#1068032).
- arm64: Implement branch predictor hardening for Falkor
  (bsc#1068032).
- arm64: Implement branch predictor hardening for affected
  Cortex-A CPUs (bsc#1068032).
- drivers/firmware: Expose psci_get_version through psci_ops
  structure (bsc#1068032).
- arm64: cputype: Add missing MIDR values for Cortex-A72 and
  Cortex-A75 (bsc#1068032).
- arm64: KVM: Make PSCI_VERSION a fast path (bsc#1068032).
- arm64: KVM: Use per-CPU vector when BP hardening is enabled
  (bsc#1068032).
- arm64: Add skeleton to harden the branch predictor against
  aliasing attacks (bsc#1068032).
- arm64: Move post_ttbr_update_workaround to C code (bsc#1068032).
- arm64: cpufeature: Pass capability structure to ->enable
  callback (bsc#1068032).
- arm64: Take into account ID_AA64PFR0_EL1.CSV3 (bsc#1068032).
- arm64: Kconfig: Reword UNMAP_KERNEL_AT_EL0 kconfig entry
  (bsc#1068032).
- arm64: use RET instruction for exiting the trampoline
  (bsc#1068032).
- arm64: Define cputype macros for Falkor CPU (bsc#1068032).
- arm64: entry.S: convert elX_irq (bsc#1068032).
- arm64: entry.S convert el0_sync (bsc#1068032).
- arm64: entry.S: convert el1_sync (bsc#1068032).
- arm64: entry.S: Remove disable_dbg (bsc#1068032).
- commit ff2c728
* Mon Jan 22 2018 bp@suse.de
- x86: Use __nostackprotect for sme_encrypt_kernel (fate#322123).
- commit 26b52c7
* Mon Jan 22 2018 jthumshirn@suse.de
- scsi: fnic: do not call host reset from command abort
  (bsc#1075700).
- commit d6f2a44
* Mon Jan 22 2018 bp@suse.de
- x86/mm: Rework wbinvd, hlt operation in stop_this_cpu()
  (fate#322123).
- x86/mm: Encrypt the initrd earlier for BSP microcode update
  (fate#322123).
- x86/mm: Prepare sme_encrypt_kernel() for PAGE aligned encryption
  (fate#322123).
- x86/mm: Centralize PMD flags in sme_encrypt_kernel()
  (fate#322123).
- x86/mm: Use a struct to reduce parameters for SME PGD mapping
  (fate#322123).
- x86/mm: Clean up register saving in the __enc_copy() assembly
  code (fate#322123).
- commit 1891f37
* Mon Jan 22 2018 yousaf.kaukab@suse.com
- config: arm64: enable HARDEN_BRANCH_PREDICTOR
- commit 4d0bfd9
* Mon Jan 22 2018 tbogendoerfer@suse.de
- RDMA/mlx5: Fix out-of-bound access while querying AH
  (bsc#1046305 FATE#322943).
- IB/hfi1: Prevent a NULL dereference (bsc#1060463 FATE#323043).
- nfp: use the correct index for link speed table (bsc#1055968).
- net/mlx5e: Don't override netdev features field unless in
  error flow (bsc#1046303 FATE#322944).
- net/mlx5: Fix error handling in load one (bsc#1046303
  FATE#322944).
- net/mlx5: Fix mlx5_get_uars_page to return error code
  (bsc#1046303 FATE#322944).
- net/mlx5: Fix get vector affinity helper function (bsc#1046303
  FATE#322944 bsc#1075185).
- {net,ib}/mlx5: Don't disable local loopback multicast traffic
  when needed (bsc#1046303 FATE#322944).
- commit f819e2e
* Mon Jan 22 2018 msuchanek@suse.de
- rpm/mkspec-dtb: Remove COPYING file (bsc#1076905).
  It conflicts between different versions of dtb package.
- commit 0e5fcf9
* Mon Jan 22 2018 jthumshirn@suse.de
- scsi: core: check for device state in __scsi_remove_target()
  (bsc#1071302).
- scsi: fixup kernel warning during rmmod() (bsc#1071302).
- commit df49e29
* Mon Jan 22 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/block-Provide-blk_status_t-decoding-for-path-errors.patch.
- Refresh patches.drivers/dm-mpath-Use-blk_path_error.patch.
- Refresh
  patches.drivers/nvme-Add-more-command-status-translation.patch.
- Refresh
  patches.drivers/nvme-multipath-Consult-blk_status_t-for-failover.patch.
- Refresh patches.drivers/nvme-multipath-Use-blk_path_error.patch.
- Refresh
  patches.drivers/nvme-pci-take-sglist-coalescing-in-dma_map_sg-into-a.patch.
  Re-sort series.conf
- commit b506849
* Mon Jan 22 2018 bpoirier@suse.com
- Delete
  patches.suse/e1000e-Avoid-receiver-overrun-interrupt-bursts.patch.
  See bsc#1075428 comment 24.
  A workaround is being discussed upstream. Remove this patch for now. I'll
  re-add it once the workaround lands upstream.
- commit 5a22940
* Sun Jan 21 2018 bp@suse.de
- module: Add retpoline tag to VERMAGIC (bsc#1068032
  CVE-2017-5754).
- x86/cpufeature: Move processor tracing out of scattered features
  (bsc#1068032 CVE-2017-5754).
- objtool: Improve error message for bad file argument
  (bsc#1068032 CVE-2017-5754).
- objtool: Fix seg fault with gold linker (bsc#1068032
  CVE-2017-5754).
- x86/retpoline: Add LFENCE to the retpoline/RSB filling RSB
  macros (bsc#1068032 CVE-2017-5754).
- x86/retpoline: Fill RSB on context switch for affected CPUs
  (bsc#1068032 CVE-2017-5754).
- commit ffce37e
* Sat Jan 20 2018 bp@suse.de
- x86/retpoline: Remove compile time warning (bsc#1068032
  CVE-2017-5754).
- Update config files.
- x86/retpoline: Fill return stack buffer on vmexit (bsc#1068032
  CVE-2017-5754).
- x86/retpoline/xen: Convert Xen hypercall indirect jumps
  (bsc#1068032 CVE-2017-5754).
- x86/retpoline/hyperv: Convert assembler indirect jumps
  (bsc#1068032 CVE-2017-5754).
- x86/retpoline/ftrace: Convert ftrace assembler indirect jumps
  (bsc#1068032 CVE-2017-5754).
- x86/retpoline/entry: Convert entry assembler indirect jumps
  (bsc#1068032 CVE-2017-5754).
- x86/retpoline/crypto: Convert crypto assembler indirect jumps
  (bsc#1068032 CVE-2017-5754).
- x86/spectre: Add boot time option to select Spectre v2
  mitigation (bsc#1068032 CVE-2017-5754).
- x86/retpoline: Add initial retpoline support (bsc#1068032
  CVE-2017-5754).
- objtool: Allow alternatives to be ignored (bsc#1068032
  CVE-2017-5754).
- objtool: Detect jumps to retpoline thunks (bsc#1068032
  CVE-2017-5754).
- x86/alternatives: Fix optimize_nops() checking (bsc#1068032
  CVE-2017-5754).
- sysfs/cpu: Fix typos in vulnerability documentation (bsc#1068032
  CVE-2017-5754).
- x86/cpu: Implement CPU vulnerabilites sysfs functions
  (bsc#1068032 CVE-2017-5754).
- sysfs/cpu: Add vulnerability folder (bsc#1068032 CVE-2017-5754).
- x86/cpufeatures: Add X86_BUG_SPECTRE_V (bsc#1068032
  CVE-2017-5754).
- x86/Documentation: Add PTI description (bsc#1068032
  CVE-2017-5754).
- x86/pti: Unbreak EFI old_memmap (bsc#1068032 CVE-2017-5754).
- x86/pti: Rename BUG_CPU_INSECURE to BUG_CPU_MELTDOWN
  (bsc#1068032 CVE-2017-5754).
- x86/alternatives: Add missing '\n' at end of ALTERNATIVE inline
  asm (bsc#1068032 CVE-2017-5754).
- x86/mm: Map cpu_entry_area at the same place on 4/5 level
  (bsc#1068032 CVE-2017-5754).
- x86/mm: Set MODULES_END to 0xffffffffff000000 (bsc#1068032
  CVE-2017-5754).
- x86/dumpstack: Print registers for first stack frame
  (bsc#1068032 CVE-2017-5754).
- x86/cpu, x86/pti: Do not enable PTI on AMD processors
  (bsc#1068032 CVE-2017-5754).
- x86/pti: Enable PTI by default (bsc#1068032 CVE-2017-5754).
- x86/ldt: Make LDT pgtable free conditional (bsc#1068032
  CVE-2017-5754).
- x86/mm: Remove preempt_disable/enable() from
  __native_flush_tlb() (bsc#1068032 CVE-2017-5754).
- x86/smpboot: Remove stale TLB flush invocations (bsc#1068032
  CVE-2017-5754).
- commit 1c37e0f
* Sat Jan 20 2018 bp@suse.de
- x86/cpu/AMD: Make LFENCE a serializing instruction (bsc#1068032
  CVE-2017-5753).
- x86/cpu/AMD: Use LFENCE_RDTSC in preference to MFENCE_RDTSC
  (bsc#1068032 CVE-2017-5753).
- Delete
  patches.suse/0001-x86-cpu-AMD-Make-the-LFENCE-instruction-serialized.patch.
- Delete
  patches.suse/0002-x86-cpu-AMD-Remove-now-unused-definition-of-MFENCE_R.patch.
- commit 739d51a
* Fri Jan 19 2018 mkubecek@suse.cz
- ipv6: fix possible mem leaks in ipv6_make_skb() (bsc#1076830).
- sctp: Replace use of sockets_allocated with specified macro
  (bsc#1076830).
- xfrm: Reinject transport-mode packets through tasklet
  (bsc#1076830).
- xfrm: Fix xfrm_input() to verify state is valid when (encap_type
  < 0) (bsc#1076830).
- openvswitch: Fix pop_vlan action for double tagged frames
  (bsc#1076830).
- tcp: fix potential underestimation on rcv_rtt (bsc#1076830).
- netfilter: xt_bpf: add overflow checks (bsc#1076830).
- tcp md5sig: Use skb's saddr when replying to an incoming segment
  (bsc#1076830).
- fou: fix some member types in guehdr (bsc#1076830).
- sctp: make sure stream nums can match optlen in
  sctp_setsockopt_reset_streams (bsc#1076830).
- tcp: use current time in tcp_rcv_space_adjust() (bsc#1076830).
- tcp: use IPCB instead of TCP_SKB_CB in inet_exact_dif_match()
  (bsc#1076830).
- net/packet: fix a race in packet_bind() and packet_notifier()
  (bsc#1076830).
- packet: fix crash in fanout_demux_rollover() (bsc#1076830).
- ipv6: Do not consider linkdown nexthops during multipath
  (bsc#1076830).
- route: also update fnhe_genid when updating a route cache
  (bsc#1076830).
- ipv6: avoid zeroing per cpu data again (bsc#1076830).
- tcp: fix tcp_fastretrans_alert warning (bsc#1076830).
- net: vrf: correct FRA_L3MDEV encode type (bsc#1076830).
- tcp: fix tcp_mtu_probe() vs highest_sack (bsc#1076830).
- xfrm: Fix GSO for IPsec with GRE tunnel (bsc#1076830).
- xfrm: Clear sk_dst_cache when applying per-socket policy
  (bsc#1076830).
- tap: double-free in error path in tap_open() (bsc#1076830).
- packet: avoid panic in packet_getsockopt() (bsc#1076830).
- tcp/dccp: fix ireq->opt races (bsc#1076830).
- netfilter: xt_bpf: Fix XT_BPF_MODE_FD_PINNED mode of
  'xt_bpf_info_v1' (bsc#1076830).
- netfilter: nf_tables: fix update chain error (bsc#1076830).
- netfilter: xt_socket: Restore mark from full sockets only
  (bsc#1076830).
- xfrm: Fix negative device refcount on offload failure
  (bsc#1076830).
- udp: perform source validation for mcast early demux
  (bsc#1076830).
- IPv4: early demux can return an error code (bsc#1076830).
- udpv6: Fix the checksum computation when HW checksum does not
  apply (bsc#1076830).
- sctp: fix an use-after-free issue in sctp_sock_dump
  (bsc#1076830).
- ip_tunnel: fix ip tunnel lookup in collect_md mode
  (bsc#1076830).
- ip_tunnel: fix setting ttl and tos value in collect_md mode
  (bsc#1076830).
- netfilter: ipvs: fix the issue that sctp_conn_schedule drops
  non-INIT packet (bsc#1076830).
- xfrm: Clear RX SKB secpath xfrm_offload (bsc#1076830).
- ip/options: explicitly provide net ns to __ip_options_echo()
  (bsc#1076830).
- net/netfilter/nf_conntrack_core: Fix net_conntrack_lock()
  (bsc#1076830).
- xfrm_user: fix info leak in build_aevent() (bsc#1076830).
- xfrm_user: fix info leak in xfrm_notify_sa() (bsc#1076830).
- netfilter: nf_tables: Fix nft limit burst handling
  (bsc#1076830).
- netfilter: ipt_CLUSTERIP: fix use-after-free of proc entry
  (bsc#1076830).
- esp: Fix error handling on layer 2 xmit (bsc#1076830).
- net/packet: Fix Tx queue selection for AF_PACKET (bsc#1076830).
- netfilter: ebt_nflog: fix unexpected truncated packet
  (bsc#1076830).
- commit a12e319
* Fri Jan 19 2018 msuchanek@suse.de
- powerpc/rfi-flush: prevent crash when changing flush type to
  fallback after system boot (bsc#1068032).
- commit 8b07c66
* Fri Jan 19 2018 mkubecek@suse.cz
- tcp: refresh tcp_mstamp from timers callbacks (bsc#1061739).
- tcp: refresh tp timestamp before tcp_mtu_probe() (bsc#1061739).
- tcp: do tcp_mstamp_refresh before retransmits on TSQ handler
  (bsc#1061739).
- tcp: fix TCP_SYNCNT flakes (bsc#1061739).
- tcp: fix tcp_probe_timer() for TCP_USER_TIMEOUT (bsc#1061739).
- tcp: fix tcp_rearm_rto() (bsc#1061739).
- tcp: switch TCP TS option (RFC 7323) to 1ms clock (bsc#1061739).
- tcp: replace misc tcp_time_stamp to tcp_jiffies32 (bsc#1061739).
- tcp_lp: cache tcp_time_stamp (bsc#1061739).
- tcp_westwood: use tcp_jiffies32 instead of tcp_time_stamp
  (bsc#1061739).
- tcp: use tcp_jiffies32 in __tcp_oow_rate_limited()
  (bsc#1061739).
- tcp: uses jiffies_32 to feed tp->chrono_start (bsc#1061739).
- tcp: use tcp_jiffies32 to feed probe_timestamp (bsc#1061739).
- tcp: use tcp_jiffies32 for rcv_tstamp and lrcvtime
  (bsc#1061739).
- tcp: bic, cubic: use tcp_jiffies32 instead of tcp_time_stamp
  (bsc#1061739).
- tcp_bbr: use tcp_jiffies32 instead of tcp_time_stamp
  (bsc#1061739).
- tcp: use tcp_jiffies32 to feed tp->snd_cwnd_stamp (bsc#1061739).
- tcp: use tcp_jiffies32 to feed tp->lsndtime (bsc#1061739).
- dccp: do not use tcp_time_stamp (bsc#1061739).
- tcp: introduce tcp_jiffies32 (bsc#1061739).
- tcp: use tp->tcp_mstamp in output path (bsc#1061739).
- commit a53ef41
* Fri Jan 19 2018 mkubecek@suse.cz
- Update upstream reference:
  patches.drivers/nvme-pci-take-sglist-coalescing-in-dma_map_sg-into-a.patch.
- commit 5fce852
* Fri Jan 19 2018 jkosina@suse.cz
- s390: add ppa to system call and program check path
  (bsc#1068032).
- commit 0642e4e
* Fri Jan 19 2018 jthumshirn@suse.de
- nvme-pci: take sglist coalescing in dma_map_sg into account
  (FATE#323952, FATE#322506).
- commit d73f2b8
* Fri Jan 19 2018 tiwai@suse.de
- Update config files: refresh arm64, ppc64le and s390x configs
  Some configs got removed from default but only in vanilla:
  CONFIG_TREE_RCU_TRACE and CONFIG_PPC_ICSWX*
- commit b9e21dc
* Thu Jan 18 2018 tiwai@suse.de
- Update config files: fix x86_64/vanilla build breakage
- commit 9c77b4d
* Thu Jan 18 2018 bp@suse.de
- x86/pti: Make unpoison of pgd for trusted boot work for real
  (bsc#1068032 CVE-2017-5754).
- blacklist.conf:
- commit 3bf8f4e
* Thu Jan 18 2018 bp@suse.de
- x86,perf: Disable intel_bts when PTI (bsc#1068032
  CVE-2017-5754).
- Update config files.
- x86/pti: Fix !PCID and sanitize defines (bsc#1068032
  CVE-2017-5754).
- x86/mm/pti: Remove dead logic in pti_user_pagetable_walk*()
  (bsc#1068032 CVE-2017-5754).
- x86/tboot: Unbreak tboot with PTI enabled (bsc#1068032
  CVE-2017-5754).
- x86/tlb: Drop the _GPL from the cpu_tlbstate export (bsc#1068032
  CVE-2017-5754).
- x86/events/intel/ds: Use the proper cache flush method for
  mapping ds buffers (bsc#1068032 CVE-2017-5754).
- x86/pti: Switch to kernel CR3 at early in entry_SYSCALL_compat()
  (bsc#1068032 CVE-2017-5754).
- x86/pti: Make sure the user/kernel PTEs match (bsc#1068032
  CVE-2017-5754).
- x86/ldt: Plug memory leak in error path (bsc#1068032
  CVE-2017-5754).
- x86/ldt: Make the LDT mapping RO (bsc#1068032 CVE-2017-5754).
- x86/mm/dump_pagetables: Allow dumping current pagetables
  (bsc#1068032 CVE-2017-5754).
- x86/mm/dump_pagetables: Check user space page table for WX pages
  (bsc#1068032 CVE-2017-5754).
- x86/mm/dump_pagetables: Add page table directory to the debugfs
  VFS hierarchy (bsc#1068032 CVE-2017-5754).
- x86/mm/pti: Add Kconfig (bsc#1068032 CVE-2017-5754).
- x86/dumpstack: Indicate in Oops whether PTI is configured and
  enabled (bsc#1068032 CVE-2017-5754).
- x86/mm: Clarify the whole ASID/kernel PCID/user PCID naming
  (bsc#1068032 CVE-2017-5754).
- x86/mm: Use INVPCID for __native_flush_tlb_single() (bsc#1068032
  CVE-2017-5754).
- x86/mm: Optimize RESTORE_CR3 (bsc#1068032 CVE-2017-5754).
- x86/mm: Use/Fix PCID to optimize user/kernel switches
  (bsc#1068032 CVE-2017-5754).
- x86/mm: Abstract switching CR3 (bsc#1068032 CVE-2017-5754).
- x86/mm: Allow flushing for future ASID switches (bsc#1068032
  CVE-2017-5754).
- x86/pti: Map the vsyscall page if needed (bsc#1068032
  CVE-2017-5754).
- x86/pti: Put the LDT in its own PGD if PTI is on (bsc#1068032
  CVE-2017-5754).
- x86/mm/64: Make a full PGD-entry size hole in the memory map
  (bsc#1068032 CVE-2017-5754).
- x86/events/intel/ds: Map debug buffers in cpu_entry_area
  (bsc#1068032 CVE-2017-5754).
- x86/cpu_entry_area: Add debugstore entries to cpu_entry_area
  (bsc#1068032 CVE-2017-5754).
- x86/mm/pti: Map ESPFIX into user space (bsc#1068032
  CVE-2017-5754).
- x86/mm/pti: Share entry text PMD (bsc#1068032 CVE-2017-5754).
- irq: Make the irqentry text section unconditional (bsc#1068032
  CVE-2017-5754).
- x86/entry: Align entry text section to PMD boundary (bsc#1068032
  CVE-2017-5754).
- x86/mm/pti: Share cpu_entry_area with user space page tables
  (bsc#1068032 CVE-2017-5754).
- x86/mm/pti: Force entry through trampoline when PTI active
  (bsc#1068032 CVE-2017-5754).
- x86/mm/pti: Add functions to clone kernel PMDs (bsc#1068032
  CVE-2017-5754).
- x86/mm/pti: Populate user PGD (bsc#1068032 CVE-2017-5754).
- x86/mm/pti: Allocate a separate user PGD (bsc#1068032
  CVE-2017-5754).
- x86/mm/pti: Allow NX poison to be set in p4d/pgd (bsc#1068032
  CVE-2017-5754).
- x86/mm/pti: Add mapping helper functions (bsc#1068032
  CVE-2017-5754).
- x86/pti: Add the pti= cmdline option and documentation
  (bsc#1068032 CVE-2017-5754).
- x86/mm/pti: Add infrastructure for page table isolation
  (bsc#1068032 CVE-2017-5754).
- drivers/misc/intel/pti: Rename the header file to free up the
  namespace (bsc#1068032 CVE-2017-5754).
- x86/mm/pti: Prepare the x86/entry assembly code for entry/exit
  CR3 switching (bsc#1068032 CVE-2017-5754).
- x86/mm/pti: Disable global pages if PAGE_TABLE_ISOLATION=y
  (bsc#1068032 CVE-2017-5754).
- x86/cpufeatures: Add X86_BUG_CPU_INSECURE (bsc#1068032
  CVE-2017-5754).
- commit b8791ed
* Thu Jan 18 2018 msuchanek@suse.de
- powerpc/rfi-flush: Add DEBUG_RFI config option (bsc#1068032).
- commit ff01a26
* Thu Jan 18 2018 jroedel@suse.de
- KVM: Fix stack-out-of-bounds read in write_mmio (CVE-2017-17741
  bsc#1073311).
- commit a0834ee
* Thu Jan 18 2018 jroedel@suse.de
- x86/platform/uv/BAU: Replace hard-coded values with MMR
  definitions (bsc#1076263 #fate#322814).
- x86/platform/UV: Fix UV4A BAU MMRs (bsc#1076263 #fate#322814).
- x86/platform/UV: Fix GAM MMR references in the UV x2apic code
  (bsc#1076263 #fate#322814).
- x86/platform/UV: Fix GAM MMR changes in UV4A (bsc#1076263
  [#]fate#322814).
- x86/platform/UV: Add references to access fixed UV4A HUB MMRs
  (bsc#1076263 #fate#322814).
- x86/platform/UV: Update uv_mmrs.h to prepare for UV4A fixes
  (bsc#1076263 #fate#322814).
- commit fe3d886
* Wed Jan 17 2018 mhocko@suse.com
- x86/boot/KASLR: Prefer mirrored memory regions for the kernel
  physical address (bnc#1071680, fate#323473).
- x86/KASLR: Parse all 'memmap=' boot option entries (bnc#1071680,
  fate#323473).
- x86/boot/KASLR: Wrap e820 entries walking code into new function
  process_e820_entries() (bnc#1071680, fate#323473).
- x86/KASLR: Handle the memory limit specified by the 'memmap='
  and 'mem=' boot options (bnc#1071680, fate#323473).
- x86/boot/KASLR: Switch to pass struct mem_vector to
  process_e820_entry() (bnc#1071680, fate#323473).
- x86/boot/KASLR: Rename process_e820_entry() into
  process_mem_region() (bnc#1071680, fate#323473).
- efi: Introduce efi_early_memdesc_ptr to get pointer to memmap
  descriptor (bnc#1071680, fate#323473).
- Refresh
  patches.suse/0003-x86-KASLR-public-the-function-for-getting-random-lon.patch.
- commit 08d4ed7
* Wed Jan 17 2018 msuchanek@suse.de
- Update supported.conf
  + drivers/rpmsg/rpmsg_core
- commit 3bebef7
* Wed Jan 17 2018 msuchanek@suse.de
- powerpc/rfi-flush: Make setup_rfi_flush() not __init
  (bsc#1068032).
- commit 475655a
* Wed Jan 17 2018 tiwai@suse.de
- serial: 8250_pci: Add Amazon PCI serial device ID (bsc#1076416).
- commit a5ea307
* Wed Jan 17 2018 tbogendoerfer@suse.de
- net/mlx5: Fix fixpoint divide exception in
  mlx5e_am_stats_compare (bsc#1071289).
- commit 3a609ef
* Wed Jan 17 2018 msuchanek@suse.de
- powerpc/pseries: include linux/types.h in asm/hvcall.h
  (bsc#1068032).
- commit cf01f3a
* Wed Jan 17 2018 msuchanek@suse.de
- powerpc/64s: Allow control of RFI flush via debugfs (bsc#1068032).
- Refresh patches.arch/powerpc-rfi-flush-Move-the-logic-to-avoid-a-redo-int.patch.
  Also remove the sysfs interface of the same now that there is upstream
  solution.
- commit c30bac4
* Wed Jan 17 2018 rjschwei@suse.com
- kernel-obs-build.spec.in: enable xfs module
  This allows the public cloud team to build images with XFS
  as root filesystem
- commit 95a2d6f
* Wed Jan 17 2018 msuchanek@suse.de
- powerpc/xmon: Add RFI flush related fields to paca dump
  (bsc#1068032).
- commit 87bb47e
* Wed Jan 17 2018 msuchanek@suse.de
- macros.kernel-source: pass -f properly in module subpackage (boo#1076393).
- commit 66bd9b8
* Wed Jan 17 2018 oneukum@suse.com
- iwlwifi: pcie: fix DMA memory mapping / unmapping (FATE#322675).
- commit ce89961
* Wed Jan 17 2018 oneukum@suse.com
- Refresh
  patches.drivers/ibmvnic-Fix-pending-MAC-address-changes.patch.
- commit 4c95b8e
* Wed Jan 17 2018 msuchanek@suse.de
- Refresh patches.drivers/ibmvnic-Fix-pending-MAC-address-changes.patch.
  Add commit hash
- commit b83a6a8
* Wed Jan 17 2018 tiwai@suse.de
- ALSA: pcm: Remove yet superfluous WARN_ON() (bsc#1051510).
- commit 10af5fa
* Wed Jan 17 2018 tiwai@suse.de
- ALSA: hda - Apply the existing quirk to iMac 14,1 (bsc#1051510).
- ALSA: hda - Apply headphone noise quirk for another Dell XPS
  13 variant (bsc#1051510).
- commit 82d50bd
* Wed Jan 17 2018 tiwai@suse.de
- Move the sound patch to sorted section
  Also refreshed the upstreamed patch tags
- commit affe9a9
* Wed Jan 17 2018 bp@suse.de
- s390/mm: use generic mm_hooks (bsc#1068032 CVE-2017-5754).
- commit 565b1ca
* Tue Jan 16 2018 bp@suse.de
- Refresh
  patches.arch/21-x86-cpu_entry_area-move-it-to-a-separate-unit.patch.
- commit b987a74
* Tue Jan 16 2018 bp@suse.de
- x86/kaslr: Fix the vaddr_end mess (bsc#1068032 CVE-2017-5754).
- blacklist.conf:
- init: Invoke init_espfix_bsp() from mm_init() (bsc#1068032
  CVE-2017-5754).
- x86/cpu_entry_area: Move it out of the fixmap (bsc#1068032
  CVE-2017-5754).
- x86/cpu_entry_area: Move it to a separate unit (bsc#1068032
  CVE-2017-5754).
- x86/mm: Create asm/invpcid.h (bsc#1068032 CVE-2017-5754).
- x86/mm: Put MMU to hardware ASID translation in one place
  (bsc#1068032 CVE-2017-5754).
- x86/mm: Remove hard-coded ASID limit checks (bsc#1068032
  CVE-2017-5754).
- x86/mm: Move the CR3 construction functions to tlbflush.h
  (bsc#1068032 CVE-2017-5754).
- x86/mm: Add comments to clarify which TLB-flush functions are
  supposed to flush what (bsc#1068032 CVE-2017-5754).
- x86/mm: Remove superfluous barriers (bsc#1068032 CVE-2017-5754).
- x86/mm: Use __flush_tlb_one() for kernel memory (bsc#1068032
  CVE-2017-5754).
- x86/microcode: Dont abuse the TLB-flush interface (bsc#1068032
  CVE-2017-5754).
- x86/uv: Use the right TLB-flush API (bsc#1068032 CVE-2017-5754).
- x86/entry: Rename SYSENTER_stack to CPU_ENTRY_AREA_entry_stack
  (bsc#1068032 CVE-2017-5754).
- x86/doc: Remove obvious weirdnesses from the x86 MM layout
  documentation (bsc#1068032 CVE-2017-5754).
- x86/mm/64: Improve the memory map documentation (bsc#1068032
  CVE-2017-5754).
- x86/ldt: Prevent LDT inheritance on exec (bsc#1068032
  CVE-2017-5754).
- x86/ldt: Rework locking (bsc#1068032 CVE-2017-5754).
- x86/ldt/64: Refresh DS and ES when modify_ldt changes an entry
  (bsc#1068032 CVE-2017-5754).
- arch, mm: Allow arch_dup_mmap() to fail (bsc#1068032
  CVE-2017-5754).
- x86/vsyscall/64: Warn and fail vsyscall emulation in NATIVE mode
  (bsc#1068032 CVE-2017-5754).
- x86/vsyscall/64: Explicitly set _PAGE_USER in the pagetable
  hierarchy (bsc#1068032 CVE-2017-5754).
- x86/mm/dump_pagetables: Make the address hints correct and
  readable (bsc#1068032 CVE-2017-5754).
- x86/mm/dump_pagetables: Check PAGE_PRESENT for real (bsc#1068032
  CVE-2017-5754).
- commit 7f3f7c7
* Tue Jan 16 2018 tiwai@suse.de
- ALSA: seq: Make ioctls race-free (CVE-2018-1000004,bsc#1076017).
- commit 971e9f4
* Tue Jan 16 2018 msuchanek@suse.de
- scsi: sr: wait for the medium to become ready (bsc#1048585).
- cdrom: wait for tray to close (bsc#1048585).
- cdrom: factor out common open_for_* code (bsc#1048585).
- delay: add poll_event_interruptible (bsc#1048585).
- commit 4aae228
* Tue Jan 16 2018 lpechacek@suse.com
- x86/intel_rdt: Fix a silent failure when writing zero value
  schemata (fate#324327).
- x86/intel_rdt: Add diagnostics when making directories
  (fate#324327).
- x86/intel_rdt: Add diagnostics when writing the cpus file
  (fate#324327).
- x86/intel_rdt: Add diagnostics when writing the tasks file
  (fate#324327).
- x86/intel_rdt: Add diagnostics when writing the schemata file
  (fate#324327).
- x86/intel_rdt: Add framework for better RDT UI diagnostics
  (fate#324327).
- commit 14b8e33
* Tue Jan 16 2018 jslaby@suse.cz
- x86/cpuid: Replace set/clear_bit32() (fate#324438).
- x86/cpufeatures: Enable new SSE/AVX/AVX512 CPU features
  (fate#324438).
- x86/cpuid: Prevent out of bound access in do_clear_cpu_cap()
  (fate#324438).
- x86/cpuid: Add generic table for CPUID dependencies
  (fate#324438).
- commit 02ab826
* Tue Jan 16 2018 mkubecek@suse.cz
- bpf: fix two missing target_size settings in
  bpf_convert_ctx_access (bsc#1073928).
- commit 7f7bbde
* Tue Jan 16 2018 tiwai@suse.de
- Re-sort previous bcache patches in the sorted section
- commit fb5ff24
* Tue Jan 16 2018 colyli@suse.de
- bcache: check return value of register_shrinker (bsc#1076110).
- bcache: recover data from backing when data is clean
  (bsc#1076110, bsc#1043652).
- bcache: Fix building error on MIPS (bsc#1076110).
- bcache: add a comment in journal bucket reading (bsc#1076110).
- bcache: explicitly destroy mutex while exiting (bsc#1076110).
- bcache: fix wrong cache_misses statistics (bsc#1076110).
- bcache: update bucket_in_use in real time (bsc#1076110).
- bcache: convert cached_dev.count from atomic_t to refcount_t
  (bsc#1076110).
- bcache: only permit to recovery read error when cache device
  is clean (bsc#1076110, bsc#1043652).
- bcache: writeback rate clamping: make 32 bit safe (bsc#1076110).
- bcache: safeguard a dangerous addressing in closure_queue
  (bsc#1076110).
- bcache: rearrange writeback main thread ratelimit (bsc#1076110).
- bcache: writeback rate shouldn't artifically clamp
  (bsc#1076110).
- bcache: smooth writeback rate control (bsc#1076110).
- bcache: implement PI controller for writeback rate
  (bsc#1076110).
- bcache: don't write back data if reading it failed (bsc#1076110,
  bsc#1043652).
- bcache: remove unused parameter (bsc#1076110).
- bcache: update bio->bi_opf bypass/writeback REQ_ flag hints
  (bsc#1076110).
- bcache: Remove redundant set_capacity (bsc#1076110).
- bcache: rewrite multiple partitions support (bsc#1076110,
  bsc#1038085).
- bcache: fix a comments typo in bch_alloc_sectors()
  (bsc#1076110).
- bcache: check ca->alloc_thread initialized before wake up it
  (bsc#1076110).
- bcache: Avoid nested function definition (bsc#1076110).
- bcache: use llist_for_each_entry_safe() in __closure_wake_up()
  (bsc#1076110).
- bcache: initialize dirty stripes in flash_dev_run()
  (bsc#1076110).
- bcache: fix bch_hprint crash and improve output (bsc#1076110).
- bcache: Update continue_at() documentation (bsc#1076110).
- bcache: silence static checker warning (bsc#1076110).
- bcache: fix for gc and write-back race (bsc#1076110).
- bcache: increase the number of open buckets (bsc#1076110).
- bcache: Correct return value for sysfs attach errors
  (bsc#1076110).
- bcache: correct cache_dirty_target in __update_writeback_rate()
  (bsc#1076110).
- bcache: gc does not work when triggering by manual command
  (bsc#1076110, bsc#1038078).
- bcache: Don't reinvent the wheel but use existing llist API
  (bsc#1076110).
- bcache: do not subtract sectors_to_gc for bypassed IO
  (bsc#1076110).
- bcache: fix sequential large write IO bypass (bsc#1076110).
- commit 54ef3ac
* Tue Jan 16 2018 colyli@suse.de
- bcache: Fix leak of bdev reference (bsc#1076110).
- commit fbfa4d4
* Tue Jan 16 2018 mkubecek@suse.cz
- Update
  patches.drivers/bpf-don-t-prune-branches-when-a-scalar-is-replaced-w.patch
  references (add CVE-2017-17855 bsc#1073928).
- Update
  patches.drivers/bpf-fix-incorrect-sign-extension-in-check_alu_op.patch
  references (add CVE-2017-16995 bsc#1073928).
- Update
  patches.drivers/bpf-fix-missing-error-return-in-check_stack_boundary.patch
  references (add CVE-2017-17857 bsc#1073928).
- Update
  patches.drivers/bpf-force-strict-alignment-checks-for-stack-pointers.patch
  references (add CVE-2017-17856 bsc#1073928).
- Update
  patches.drivers/bpf-verifier-fix-bounds-calculation-on-BPF_RSH.patch
  references (add CVE-2017-17853 bsc#1073928).
- commit e19e1fe
* Mon Jan 15 2018 bp@suse.de
- x86/mm, KVM: Fix warning when !CONFIG_PREEMPT_COUNT (bsc#1068032
  CVE-2017-5754).
- KVM: nVMX: fix HOST_CR3/HOST_CR4 cache (bsc#1068032
  CVE-2017-5754).
- Refresh
  patches.arch/19-x86-mm-implement-pcid-based-optimization-try-to-preserve-old-tlb-entries-using-pcid.patch.
- Refresh
  patches.arch/23-x86-mm-factor-out-cr3-building-code.patch.
- commit 237ac1a
* Mon Jan 15 2018 bp@suse.de
- x86/mm/64: Fix reboot interaction with CR4.PCIDE (bsc#1068032
  CVE-2017-5754).
- blacklist.conf:
- x86/mm/64: Initialize CR4.PCIDE early (bsc#1068032
  CVE-2017-5754).
- x86/hibernate/64: Mask off CR3's PCID bits in the saved CR3
  (bsc#1068032 CVE-2017-5754).
- x86/mm: Add the 'nopcid' boot option to turn off PCID
  (bsc#1068032 CVE-2017-5754).
- x86/mm: Enable CR4.PCIDE on supported systems (bsc#1068032
  CVE-2017-5754).
- Revert "x86/mm: Stop calling leave_mm() in idle code"
  (bsc#1068032 CVE-2017-5754).
- x86/mm: Remove debug/x86/tlb_defer_switch_to_init_mm
  (bsc#1068032 CVE-2017-5754).
- x86/mm: Tidy up "x86/mm: Flush more aggressively in lazy TLB
  mode" (bsc#1068032 CVE-2017-5754).
- x86/mm/64: Remove the last VM_BUG_ON() from the TLB code
  (bsc#1068032 CVE-2017-5754).
- x86/mm: Flush more aggressively in lazy TLB mode (bsc#1068032
  CVE-2017-5754).
- x86/mm: Factor out CR3-building code (bsc#1068032
  CVE-2017-5754).
- x86/mm: Get rid of VM_BUG_ON in switch_tlb_irqs_off()
  (bsc#1068032 CVE-2017-5754).
- x86/mm/64: Fix an incorrect warning with CONFIG_DEBUG_VM=y,
  !PCID (bsc#1068032 CVE-2017-5754).
- x86/mm: Reinitialize TLB state on hotplug and resume
  (bsc#1068032 CVE-2017-5754).
- x86/mm: Implement PCID based optimization: try to preserve
  old TLB entries using PCID (bsc#1068032 CVE-2017-5754).
- x86/mm, KVM: Teach KVM's VMX code that CR3 isn't a constant
  (bsc#1068032 CVE-2017-5754).
- x86/mm: Stop calling leave_mm() in idle code (bsc#1068032
  CVE-2017-5754).
- x86/mm: Rework lazy TLB mode and TLB freshness tracking
  (bsc#1068032 CVE-2017-5754).
- x86/mm: Remove reset_lazy_tlbstate() (bsc#1068032
  CVE-2017-5754).
- x86/mm: Track the TLB's tlb_gen and update the flushing
  algorithm (bsc#1068032 CVE-2017-5754).
- x86/mm: Give each mm TLB flush generation a unique ID
  (bsc#1068032 CVE-2017-5754).
- x86/ldt: Simplify the LDT switching logic (bsc#1068032
  CVE-2017-5754).
- x86/mm: Be more consistent wrt PAGE_SHIFT vs PAGE_SIZE in tlb
  flush code (bsc#1068032 CVE-2017-5754).
- x86/mm: Don't reenter flush_tlb_func_common() (bsc#1068032
  CVE-2017-5754).
- x86/mm: Rework lazy TLB to track the actual loaded mm
  (bsc#1068032 CVE-2017-5754).
- x86/mm: Remove the UP asm/tlbflush.h code, always use the
  (formerly) SMP code (bsc#1068032 CVE-2017-5754).
- x86/mm: Use new merged flush logic in arch_tlbbatch_flush()
  (bsc#1068032 CVE-2017-5754).
- x86/mm: Refactor flush_tlb_mm_range() to merge local and remote
  cases (bsc#1068032 CVE-2017-5754).
- x86/mm: Change the leave_mm() condition for local TLB flushes
  (bsc#1068032 CVE-2017-5754).
- x86/mm: Pass flush_tlb_info to flush_tlb_others() etc
  (bsc#1068032 CVE-2017-5754).
- mm, x86/mm: Make the batched unmap TLB flush API more generic
  (bsc#1068032 CVE-2017-5754).
- x86/mm: Reduce indentation in flush_tlb_func() (bsc#1068032
  CVE-2017-5754).
- x86/mm: Reimplement flush_tlb_page() using flush_tlb_mm_range()
  (bsc#1068032 CVE-2017-5754).
- commit 10bb3d6
* Mon Jan 15 2018 mkubecek@suse.cz
- bpf: simplify narrower ctx access (bsc#1073928).
- commit e69d191
* Mon Jan 15 2018 tbogendoerfer@suse.de
- nfp: always unmask aux interrupts at init (bsc#1055968).
- cxgb4: Fix FW flash errors (bsc#1064802 bsc#1066129).
- net/sched: Fix update of lastuse in act modules implementing
  stats_update (bsc#1056787).
- IB/srpt: Fix ACL lookup during login (bsc#1046306 FATE#322942).
- RDMA/netlink: Fix locking around __ib_get_device_by_index
  (bsc#1046306 FATE#322942).
- IB/ipoib: Fix race condition in neigh creation (bsc#1046307
  FATE#322941).
- IB/mlx4: Fix mlx4_ib_alloc_mr error flow (bsc#1046302
  FATE#322945).
- RDMA/cxgb3: remove redundant first assignement of sqp
  (bsc#1046306 FATE#322942).
- commit 861131d
* Mon Jan 15 2018 mkubecek@suse.cz
- bpf: fix integer overflows (CVE-2017-17854 bsc#1073928).
- commit 30aa5d1
* Mon Jan 15 2018 mkubecek@suse.cz
- bpf: fix 32-bit ALU op verification (CVE-2017-17852
  bsc#1073928).
- commit 9e3ea9b
* Mon Jan 15 2018 mkubecek@suse.cz
- bpf: fix incorrect tracking of register size truncation
  (CVE-2017-16996 bsc#1073928).
- commit fcb9274
* Mon Jan 15 2018 mkubecek@suse.cz
- bpf: fix branch pruning logic (CVE-2017-17862 CVE-2017-17864
  bsc#1073928).
- commit 72c5166
* Mon Jan 15 2018 mkubecek@suse.cz
- bpf: move global verifier log into verifier environment
  (bsc#1073928).
- Refresh
  patches.drivers/bpf-fix-missing-error-return-in-check_stack_boundary.patch.
- Refresh
  patches.drivers/bpf-verifier-fix-bounds-calculation-on-BPF_RSH.patch.
- Refresh
  patches.suse/bpf-prevent-out-of-bounds-speculation.patch.
- commit be080dc
* Mon Jan 15 2018 mkubecek@suse.cz
- bpf: encapsulate verifier log state into a structure
  (bsc#1073928).
- bpf/verifier: improve disassembly of BPF_NEG instructions
  (bsc#1073928).
- bpf/verifier: improve disassembly of BPF_END instructions
  (bsc#1073928).
- commit 1108f7e
* Mon Jan 15 2018 mkubecek@suse.cz
- Move Spectre BPF fixes into sorted section
- Refresh patches.drivers/bpf-Introduce-bpf_map-ID.patch.
- Refresh
  patches.drivers/bpf-free-up-BPF_JMP-BPF_CALL-BPF_X-opcode.patch.
- Refresh
  patches.suse/bpf-array-fix-overflow-in-max_entries-and-undefined-.patch.
- Refresh
  patches.suse/bpf-prevent-out-of-bounds-speculation.patch.
  (Strictly speaking, not exactly a refresh as the resulting expanded tree
  differs but I preferred to order the members of struct bpf_map as they are
  in mainline.)
- commit 7834099
* Sat Jan 13 2018 jkosina@suse.cz
- Update config files: run oldconfig on vanilla (HMM merge fallout)
- commit ffda3e4
* Fri Jan 12 2018 bp@suse.de
- x86/dumpstack: Fix partial register dumps (bsc#1068032
  CVE-2017-5754).
- x86/process: Define cpu_tss_rw in same section as declaration
  (bsc#1068032 CVE-2017-5754).
- x86/xen/64: Fix the reported SS and CS in SYSCALL (bsc#1068032
  CVE-2017-5754).
- x86/entry/64: Fix entry_SYSCALL_64_after_hwframe() IRQ tracing
  (bsc#1068032 CVE-2017-5754).
- Refresh
  patches.arch/10-x86-dumpstack-handle-stack-overflow-on-all-stacks.patch.
- Refresh
  patches.arch/22-x86-entry-64-make-cpu_entry_area-tss-read-only.patch.
- commit ea8be21
* Fri Jan 12 2018 bp@suse.de
- x86/cpufeatures: Make CPU bugs sticky (bsc#1068032
  CVE-2017-5754).
- x86/paravirt: Provide a way to check for hypervisors
  (bsc#1068032 CVE-2017-5754).
- x86/virt: Add enum for hypervisors to replace x86_hyper
  (bsc#1068032 CVE-2017-5754).
- x86/virt, x86/platform: Merge 'struct x86_hyper' into 'struct
  x86_platform' and 'struct x86_init' (bsc#1068032 CVE-2017-5754).
- x86/paravirt: Dont patch flush_tlb_single (bsc#1068032
  CVE-2017-5754).
- x86/entry/64: Make cpu_entry_area.tss read-only (bsc#1068032
  CVE-2017-5754).
- x86/entry: Clean up the SYSENTER_stack code (bsc#1068032
  CVE-2017-5754).
- x86/entry/64: Remove the SYSENTER stack canary (bsc#1068032
  CVE-2017-5754).
- x86/entry/64: Move the IST stacks into struct cpu_entry_area
  (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Create a per-CPU SYSCALL entry trampoline
  (bsc#1068032 CVE-2017-5754).
- x86/xen/64: Rearrange the SYSCALL entries (bsc#1068032
  CVE-2017-5754).
- x86/entry/64: Return to userspace from the trampoline stack
  (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Use a per-CPU trampoline stack for IDT entries
  (bsc#1068032 CVE-2017-5754).
- x86/espfix/64: Stop assuming that pt_regs is on the entry stack
  (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Separate cpu_current_top_of_stack from TSS.sp0
  (bsc#1068032 CVE-2017-5754).
- x86/entry: Remap the TSS into the CPU entry area (bsc#1068032
  CVE-2017-5754).
- x86/entry: Move SYSENTER_stack to the beginning of struct
  tss_struct (bsc#1068032 CVE-2017-5754).
- x86/dumpstack: Handle stack overflow on all stacks (bsc#1068032
  CVE-2017-5754).
- x86/entry: Fix assumptions that the HW TSS is at the beginning
  of cpu_tss (bsc#1068032 CVE-2017-5754).
- x86/mm/fixmap: Generalize the GDT fixmap mechanism, introduce
  struct cpu_entry_area (bsc#1068032 CVE-2017-5754).
- x86/entry/gdt: Put per-CPU GDT remaps in ascending order
  (bsc#1068032 CVE-2017-5754).
- x86/dumpstack: Add get_stack_info() support for the SYSENTER
  stack (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Allocate and enable the SYSENTER stack
  (bsc#1068032 CVE-2017-5754).
- x86/irq/64: Print the offending IP in the stack overflow warning
  (bsc#1068032 CVE-2017-5754).
- x86/unwinder: Handle stack overflows more gracefully
  (bsc#1068032 CVE-2017-5754).
- x86/unwinder/orc: Dont bail on stack overflow (bsc#1068032
  CVE-2017-5754).
- x86/entry/64/paravirt: Use paravirt-safe macro to access eflags
  (bsc#1068032 CVE-2017-5754).
- commit 4ffe4d7
* Fri Jan 12 2018 msuchanek@suse.de
- Refresh patches.arch/powerpc-rfi-flush-Move-the-logic-to-avoid-a-redo-int.patch.
  Add missing hunk
- commit 77b0afb
* Fri Jan 12 2018 jslaby@suse.cz
- bpf, array: fix overflow in max_entries and undefined behavior
  in index_mask (bsc#1068032 CVE-2017-5753).
- commit e1fc2a6
* Fri Jan 12 2018 jthumshirn@suse.de
- s390/disassembler: correct disassembly lines alignment
  (bnc#1072915, LTC#161577).
- commit 588da4b
* Fri Jan 12 2018 msuchanek@suse.de
- powerpc/pseries/rfi-flush: Call setup_rfi_flush() after LPM
  migration (bsc#1068032).
- powerpc/rfi-flush: Move the logic to avoid a redo into the
  sysfs code (bsc#1068032).
- commit 1eb315e
* Fri Jan 12 2018 jthumshirn@suse.de
- s390/pci: handle insufficient resources during dma tlb flush
  (bnc#1072915, LTC#163393).
- s390/disassembler: increase show_code buffer size (bnc#1072915,
  LTC#161577).
- s390/qeth: fix early exit from error path (bnc#1072915,
  LTC#162173).
- s390: fix transactional execution control register handling
  (bnc#1072915, LTC#162116).
- s390/disassembler: add missing end marker for e7 table
  (bnc#1072915, LTC#162117).
- commit aa6f28e
* Fri Jan 12 2018 jthumshirn@suse.de
- dm mpath: Use blk_path_error (FATE#323952, FATE#322506).
- nvme/multipath: Use blk_path_error (FATE#323952, FATE#322506).
- block: Provide blk_status_t decoding for path errors
  (FATE#323952, FATE#322506).
- nvme/multipath: Consult blk_status_t for failover (FATE#323952,
  FATE#322506).
- nvme: Add more command status translation (FATE#323952,
  FATE#322506).
- commit 0e5402c
* Fri Jan 12 2018 jthumshirn@suse.de
- scripts/git_sort/git_sort.py: add Jens Axboe's for-next branch
- commit 07603e6
* Fri Jan 12 2018 hare@suse.de
- nvme_fc: correct hang in nvme_ns_remove() (bsc#1075811).
- nvme_fc: fix rogue admin cmds stalling teardown (bsc#1075811).
- commit 529f10d
* Fri Jan 12 2018 jslaby@suse.cz
- Refresh
  patches.suse/bpf-prevent-out-of-bounds-speculation.patch.
- Delete
  patches.suse/0004-bpf-prevent-speculative-execution-in-eBPF-interprete.patch.
  Update the upstream status of the former.
  And removed the latter as it has been just replaced by the proper
  upstream solution.
- commit c092517
* Fri Jan 12 2018 jthumshirn@suse.de
- nvme: Fix NULL dereference on reservation request (FATE#323952,
  FATE#322506).
- commit 989d61e
* Fri Jan 12 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/nvme-mpath-fix-last-path-removal-during-traffic.patch.
- commit b181043
* Fri Jan 12 2018 tbogendoerfer@suse.de
- iw_cxgb4: only clear the ARMED bit if a notification is needed
  (bsc#1074762).
- commit c4e49f6
* Fri Jan 12 2018 tiwai@suse.de
- drm/i915/cfl: Adding more Coffee Lake PCI IDs (FATE#322643
  bsc#1055900).
- x86/gpu: add CFL to early quirks (FATE#322643 bsc#1055900).
- drm/i915: Apply Display WA #1183 on skl, kbl, and cfl
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Map VBT DDC Pin to BSpec DDC Pin (FATE#322643
  bsc#1055900).
- drm/i915: Pass encoder type to cnl_ddi_vswing_sequence()
  explicitly (FATE#322643 bsc#1055900).
- drm/i915/kbl: Change a KBL pci id to GT2 from GT1.5 (FATE#322643
  bsc#1055900).
- drm/i915: rework IS_*_GT* macros (FATE#322643 bsc#1055900).
- drm/i915: mark all device info struct with __initconst
  (FATE#322643 bsc#1055900).
- drm/i915: add GT number to intel_device_info (FATE#322643
  bsc#1055900).
- drm/i915: Unify GT* and GT3 definitions (FATE#322643
  bsc#1055900).
- commit 1aca3f9
* Fri Jan 12 2018 msuchanek@suse.de
- ibmvnic: Don't handle RX interrupts when not up (bsc#1075066).
- powerpc/tm: Flush TM only if CPU has TM feature (bsc#1075746).
- commit 10ca720
* Fri Jan 12 2018 tiwai@suse.de
- Delete buggy i915 WA#1133
  Upstream reverted the commit via 7a8b70535037.
- commit f3d58a2
* Fri Jan 12 2018 tbogendoerfer@suse.de
- enic: Add support for 'ethtool -g/-G' (bsc#1037697).
- enic: reset fetch index (bsc#1037697).
- commit 1de5aa3
* Fri Jan 12 2018 jslaby@suse.cz
- bpf: prevent out-of-bounds speculation (bsc#1068032
  CVE-2017-5753).
- Refresh patches.drivers/bpf-Introduce-bpf_map-ID.patch.
- Refresh
  patches.drivers/bpf-free-up-BPF_JMP-BPF_CALL-BPF_X-opcode.patch.
- commit 5e34282
* Thu Jan 11 2018 tbogendoerfer@suse.de
- bnxt_en: Fix the 'Invalid VF' id check in bnxt_vf_ndo_prep
  routine (bsc#1050242 FATE#32291).
- bnxt_en: Fix population of flow_type in
  bnxt_hwrm_cfa_flow_alloc() (bsc#1050242 FATE#32291).
- commit a5c4842
* Thu Jan 11 2018 msuchanek@suse.de
- powerpc/powernv: Check device-tree for RFI flush settings
  (bsc#1068032).
- powerpc/pseries: Query hypervisor for RFI flush settings
  (bsc#1068032).
- powerpc/64s: Support disabling RFI flush with no_rfi_flush
  and nopti (bsc#1068032).
- powerpc/64s: Add support for RFI flush of L1-D cache
  (bsc#1068032).
- powerpc/64s: Convert slb_miss_common to use RFI_TO_USER/KERNEL
  (bsc#1068032).
- powerpc/64: Convert fast_exception_return to use
  RFI_TO_USER/KERNEL (bsc#1068032).
- powerpc/64: Convert the syscall exit path to use
  RFI_TO_USER/KERNEL (bsc#1068032).
- powerpc/64s: Simple RFI macro conversions (bsc#1068032).
- powerpc/64: Add macros for annotating the destination of
  rfid/hrfid (bsc#1068032).
- powerpc/pseries: Add H_GET_CPU_CHARACTERISTICS flags & wrapper
  (bsc#1068032).
- powerpc/64s: masked_interrupt() returns to kernel so avoid
  restoring r13 (bsc#1068032).
- powerpc/64s: Add EX_SIZE definition for paca exception save
  areas (bsc#1068032).
- commit 4d37f12
* Thu Jan 11 2018 msuchanek@suse.de
- ibmvnic: Fix pending MAC address changes (bsc#1075627).
- commit 6c5f5a0
* Thu Jan 11 2018 msuchanek@suse.de
- powerpc/pseries: Make RAS IRQ explicitly dependent on DLPAR WQ
  (FATE#323745, bsc#1067906).
- commit a40c0d4
* Thu Jan 11 2018 mgorman@suse.de
- Refresh
  patches.suse/cpufreq-intel_pstate-Temporarily-boost-P-state-when-exiting-from-idle.patch.
- commit 0b73b50
* Thu Jan 11 2018 tiwai@suse.de
- Refresh patches.drivers/mfd-Add-support-for-Cherry-Trail-Dollar-Cove-TI-PMIC (bsc#1068546)
  Fix the i2c probe due to missing empty table
- commit d3b0394
* Thu Jan 11 2018 lpechacek@suse.com
- rpm/kernel-binary.spec.in: more specific kGraft Provides: (fate#323682)
  Follow openSUSE packaging practices described at
  https://en.opensuse.org/openSUSE:Package_dependencies#Renaming_a_package.
- commit 050081b
* Thu Jan 11 2018 tiwai@suse.de
- ALSA: pcm: Allow aborting mutex lock at OSS read/write loops
  (bsc#1051510).
- ALSA: pcm: Abort properly at pending signal in OSS read/write
  loops (bsc#1051510).
- ALSA: aloop: Fix racy hw constraints adjustment (bsc#1051510).
- ALSA: aloop: Fix inconsistent format due to incomplete rule
  (bsc#1051510).
- ALSA: aloop: Release cable upon open error path (bsc#1051510).
- ALSA: pcm: Add missing error checks in OSS emulation plugin
  builder (bsc#1051510).
- ALSA: pcm: Remove incorrect snd_BUG_ON() usages (bsc#1051510).
- commit e8d347b
* Wed Jan 10 2018 bp@suse.de
- x86/entry/64: Shorten TEST instructions (bsc#1068032
  CVE-2017-5754).
- x86/traps: Use a new on_thread_stack() helper to clean up an
  assertion (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Remove thread_struct::sp0 (bsc#1068032
  CVE-2017-5754).
- x86/entry/32: Fix cpu_current_top_of_stack initialization at
  boot (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Remove all remaining direct thread_struct::sp0
  reads (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Stop initializing TSS.sp0 at boot (bsc#1068032
  CVE-2017-5754).
- x86/xen/64, x86/entry/64: Clean up SP code in
  cpu_initialize_context() (bsc#1068032 CVE-2017-5754).
- x86/entry: Add task_top_of_stack() to find the top of a task's
  stack (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Pass SP0 directly to load_sp0() (bsc#1068032
  CVE-2017-5754).
- x86/entry/32: Pull the MSR_IA32_SYSENTER_CS update code out
  of native_load_sp0() (bsc#1068032 CVE-2017-5754).
- x86/entry/64: De-Xen-ify our NMI code (bsc#1068032
  CVE-2017-5754).
- xen, x86/entry/64: Add xen NMI trap entry (bsc#1068032
  CVE-2017-5754).
- x86/xen: Get rid of paravirt op adjust_exception_frame
  (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Remove the RESTORE_..._REGS infrastructure
  (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Use POP instead of MOV to restore regs on NMI
  return (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Merge the fast and slow SYSRET paths (bsc#1068032
  CVE-2017-5754).
- x86/entry/64: Use pop instead of movq in
  syscall_return_via_sysret (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Shrink paranoid_exit_restore and make labels local
  (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Simplify reg restore code in the standard IRET
  paths (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Move SWAPGS into the common IRET-to-usermode path
  (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Split the IRET-to-user and IRET-to-kernel paths
  (bsc#1068032 CVE-2017-5754).
- x86/entry/64: Remove the restore_c_regs_and_iret label
  (bsc#1068032 CVE-2017-5754).
- commit 0f7ab23
* Wed Jan 10 2018 tiwai@suse.de
- ACPI / watchdog: Make acpi_has_watchdog() false after failing
  the device creation (bsc#1073960).
- commit c0345e4
* Wed Jan 10 2018 mgorman@suse.de
- Refresh
  patches.suse/cpufreq-intel_pstate-Temporarily-boost-P-state-when-exiting-from-idle.patch.
- commit 7b370e7
* Wed Jan 10 2018 jthumshirn@suse.de
- nvme-mpath: fix last path removal during traffic (FATE#323952,
  FATE#322506).
- commit d221a0c
* Tue Jan  9 2018 lduncan@suse.com
- scsi: libiscsi: Allow sd_shutdown on bad transport
  (bsc#1075234).
- commit 31d7cc7
* Tue Jan  9 2018 tiwai@suse.de
- Update config files: fix arm64/vanilla config
- commit 33b1664
* Tue Jan  9 2018 tiwai@suse.de
- Move upstreamed input and misc driver patches into sorted section
- commit 5b07263
* Tue Jan  9 2018 tiwai@suse.de
- ASoC: atmel-classd: select correct Kconfig symbol (bsc#1051510).
- ASoC: rockchip: disable clock on error (bsc#1051510).
- ASoC: rsnd: ssiu: clear SSI_MODE for non TDM Extended modes
  (bsc#1051510).
- commit 3cec1bc
* Tue Jan  9 2018 tiwai@suse.de
- drm/i915: Protect DDI port to DPLL map from theoretical race
  (bsc#1051510).
- commit c8c45d6
* Tue Jan  9 2018 tbogendoerfer@suse.de
- Revert "mlx5: move affinity hints assignments to generic code"
  (bsc#1046303 FATE#322944 bsc#1075185).
- commit 9ba5d83
* Tue Jan  9 2018 tiwai@suse.de
- Move Wireless driver patches into the sorted section
  Update patch tags accordingly, too.
  Also, correct the bad backport in
  patches.drivers/0001-iwlwifi-mvm-send-all-non-bufferable-frames-on-the-pr
  Refreshed patches:
  patches.drivers/0123-iwlwifi-mvm-map-cab_queue-to-real-one-earlier.patch
  patches.drivers/iwlwifi-mvm-quietly-accept-non-sta-assoc-response-fr
  patches.drivers/iwlwifi-mvm-quietly-accept-non-sta-disassoc-frames
  patches.drivers/iwlwifi-pcie-fix-TVQM-queue-ID-range-check
  patches.drivers/iwlwifi-pcie-fix-command-completion-name-debug
  patches.drivers/0001-iwlwifi-mvm-send-all-non-bufferable-frames-on-the-pr.patch
  patches.drivers/0039-iwlwifi-pcie-don-t-init-a-Tx-queue-with-an-SSN-size-.patch
  patches.drivers/0048-iwlwifi-pcie-support-short-Tx-queues-for-A000-device.patch
  patches.drivers/0144-iwlwifi-mvm-send-delba-upon-rx-ba-session-timeout.patch
  patches.drivers/iwlwifi-mvm-fix-a-NULL-pointer-dereference-of-error-
- commit 7a1ea61
* Tue Jan  9 2018 yousaf.kaukab@suse.com
- config: arm64: enable UNMAP_KERNEL_AT_EL0
- commit 6afa3ca
* Tue Jan  9 2018 tiwai@suse.de
- Move DRM/video patches into the sorted section
  Update patch tags accordingly, too.
  Refreshed patches:
  patches.drivers/drm-i915-Always-use-9-bits-of-the-LPC-bridge-device-
  patches.drivers/drm-i915-Fix-PCH-names-for-KBP-and-CNP
  patches.drivers/drm-i915-cfl-Add-Coffee-Lake-PCI-IDs-for-H-Sku
  patches.drivers/drm-i915-cfl-Add-Coffee-Lake-PCI-IDs-for-S-Skus
  patches.drivers/drm-i915-cfl-Add-Coffee-Lake-PCI-IDs-for-U-Sku
  patches.drivers/drm-i915-cfl-Introduce-Coffee-Lake-workarounds
  patches.drivers/drm-i915-cnl-Add-Cannonlake-PCI-IDs-for-U-skus
  patches.drivers/drm-i915-cnl-Fix-the-CURSOR_COEFF_MASK-used-in-DDI-V
  patches.drivers/drm-i915-gen9-Reintroduce-WaEnableYV12BugFixInHalfSl
- commit 415c89f
* Tue Jan  9 2018 yousaf.kaukab@suse.com
- arm64: kaslr: Put kernel vectors address in separate data page
  (bsc#1068032).
- arm64: mm: Introduce TTBR_ASID_MASK for getting at the ASID
  in the TTBR (bsc#1068032).
- arm64: Kconfig: Add CONFIG_UNMAP_KERNEL_AT_EL0 (bsc#1068032).
- arm64: entry: Add fake CPU feature for unmapping the kernel
  at EL0 (bsc#1068032).
- arm64: tls: Avoid unconditional zeroing of tpidrro_el0 for
  native tasks (bsc#1068032).
- arm64: erratum: Work around Falkor erratum #E1003 in trampoline
  code (bsc#1068032).
- arm64: entry: Hook up entry trampoline to exception vectors
  (bsc#1068032).
- arm64: entry: Explicitly pass exception level to kernel_ventry
  macro (bsc#1068032).
- arm64: entry.S: move SError handling into a C function for
  future expansion (bsc#1068032).
- arm64: Mask all exceptions during kernel_exit (bsc#1068032).
- arm64: Move the async/fiq helpers to explicitly set process
  context flags (bsc#1068032).
- arm64: introduce an order for exceptions (bsc#1068032).
- arm64: explicitly mask all exceptions (bsc#1068032).
- arm64: add VMAP_STACK overflow detection (bsc#1068032).
- arm64: add on_accessible_stack() (bsc#1068032).
- arm64: add basic VMAP_STACK support (bsc#1068032).
- arm64: use an irq stack pointer (bsc#1068032).
- arm64: assembler: allow adr_this_cpu to use the stack pointer
  (bsc#1068032).
- arm64: factor out entry stack manipulation (bsc#1068032).
- efi/arm64: add EFI_KIMG_ALIGN (bsc#1068032).
- arm64: move SEGMENT_ALIGN to <asm/memory.h> (bsc#1068032).
- arm64: clean up irq stack definitions (bsc#1068032).
- arm64: clean up THREAD_* definitions (bsc#1068032).
- arm64: factor out PAGE_* and CONT_* definitions (bsc#1068032).
- arm64: kernel: remove {THREAD,IRQ_STACK}_START_SP (bsc#1068032).
- fork: allow arch-override of VMAP stack alignment (bsc#1068032).
- arm64: remove __die()'s stack dump (bsc#1068032).
- arm64: unwind: remove sp from struct stackframe (bsc#1068032).
- arm64: unwind: reference pt_regs via embedded stack frame
  (bsc#1068032).
- arm64: Add dump_backtrace() in show_regs (bsc#1068032).
- arm64: Call __show_regs directly (bsc#1068032).
- arm64: unwind: disregard frame.sp when validating frame pointer
  (bsc#1068032).
- arm64: unwind: avoid percpu indirection for irq stack
  (bsc#1068032).
- arm64: move non-entry code out of .entry.text (bsc#1068032).
- arm64: consistently use bl for C exception entry (bsc#1068032).
- arm64: Add ASM_BUG() (bsc#1068032).
- arm64: mm: Map entry trampoline into trampoline and kernel
  page tables (bsc#1068032).
- arm64: entry: Add exception trampoline page for exceptions
  from EL0 (bsc#1068032).
- arm64: mm: Invalidate both kernel and user ASIDs when performing
  TLBI (bsc#1068032).
- arm64: mm: Add arm64_kernel_unmapped_at_el0 helper
  (bsc#1068032).
- arm64: mm: Allocate ASIDs in pairs (bsc#1068032).
- arm64: mm: Fix and re-enable ARM64_SW_TTBR0_PAN (bsc#1068032).
- arm64: mm: Rename post_ttbr0_update_workaround (bsc#1068032).
- arm64: mm: Remove pre_ttbr0_update_workaround for Falkor
  erratum #E1003 (bsc#1068032).
- arm64: context: Fix comments and remove pointless smp_wmb()
  (bsc#1068032).
- arm64: mm: Move ASID from TTBR0 to TTBR1 (bsc#1068032).
- arm64: mm: Temporarily disable ARM64_SW_TTBR0_PAN (bsc#1068032).
- arm64: mm: Use non-global mappings for kernel space
  (bsc#1068032).
- arm64: Move PTE_RDONLY bit handling out of set_pte_at()
  (bsc#1068032).
- arm64: Convert pte handling from inline asm to using (cmp)xchg
  (bsc#1068032).
- arm64: Fix potential race with hardware DBM in
  ptep_set_access_flags() (bsc#1068032).
- commit 0b6ce86
* Tue Jan  9 2018 tbogendoerfer@suse.de
- net/mlx5: Fix misspelling in the error message and comment
  (bsc#1046303 FATE#322944).
- net/mlx4_core: Fix wrong calculation of free counters
  (bsc#1046300 FATE#322946).
- net/mlx4_en: Fix selftest for small MTUs (bsc#1046299
  FATE#322947 Mellanox).
- i40e: fix the calculation of VFs mac addresses (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: only redistribute MSI-X vectors when needed (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- net/mlx4_core: Fix cast warning in fw.c (bsc#1046300
  FATE#322946).
- net/mlx4: Fix endianness issue in qp context params (bsc#1046300
  FATE#322946).
- commit 15cabbf
* Tue Jan  9 2018 jslaby@suse.cz
- userns: prevent speculative execution (bsc#1068032
  CVE-2017-5753).
- udf: prevent speculative execution (bsc#1068032 CVE-2017-5753).
- net: mpls: prevent speculative execution (bsc#1068032
  CVE-2017-5753).
- fs: prevent speculative execution (bsc#1068032 CVE-2017-5753).
- ipv6: prevent speculative execution (bsc#1068032 CVE-2017-5753).
- ipv4: prevent speculative execution (bsc#1068032 CVE-2017-5753).
- Thermal/int340x: prevent speculative execution (bsc#1068032
  CVE-2017-5753).
- cw1200: prevent speculative execution (bsc#1068032
  CVE-2017-5753).
- qla2xxx: prevent speculative execution (bsc#1068032
  CVE-2017-5753).
- p54: prevent speculative execution (bsc#1068032 CVE-2017-5753).
- carl9170: prevent speculative execution (bsc#1068032
  CVE-2017-5753).
- uvcvideo: prevent speculative execution (bsc#1068032
  CVE-2017-5753).
- x86, bpf, jit: prevent speculative execution when JIT is enabled
  (bsc#1068032 CVE-2017-5753).
- bpf: prevent speculative execution in eBPF interpreter
  (bsc#1068032 CVE-2017-5753).
- locking/barriers: introduce new observable speculation barrier
  (bsc#1068032 CVE-2017-5753).
- x86/cpu/AMD: Remove now unused definition of MFENCE_RDTSC
  feature (bsc#1068032 CVE-2017-5753).
- x86/cpu/AMD: Make the LFENCE instruction serialized (bsc#1068032
  CVE-2017-5753).
- commit ee60c7e
* Mon Jan  8 2018 tiwai@suse.de
- x86/mm: Unbreak modules that use the DMA API (bsc#1075052).
- commit 0f06940
* Mon Jan  8 2018 jack@suse.cz
- ext4: Fix ENOSPC handling in DAX page fault handler
  (bsc#1067281).
- dax: Pass detailed error code from dax_iomap_fault()
  (bsc#1067281).
- commit a1646e6
* Mon Jan  8 2018 jthumshirn@suse.de
- bsg-lib: fix use-after-free under memory-pressure (bsc#1074140).
- commit 67cee42
* Mon Jan  8 2018 tbogendoerfer@suse.de
- RDMA/vmw_pvrdma: Avoid use after free due to QP/CQ/SRQ destroy
  (bsc#1046306 FATE#322942).
- RDMA/vmw_pvrdma: Use refcount_dec_and_test to avoid warning
  (bsc#1046306 FATE#322942).
- s390/qeth: fix error handling in checksum cmd callback
  (bsc#1061024 FATE#323301).
- s390/qeth: update takeover IPs after configuration change
  (bsc#1061024 FATE#323301).
- s390/qeth: lock IP table while applying takeover changes
  (bsc#1061024 FATE#323301).
- s390/qeth: don't apply takeover changes to RXIP (bsc#1061024
  FATE#323301).
- s390/qeth: apply takeover changes when mode is toggled
  (bsc#1061024 FATE#323301).
- RDMA/vmw_pvrdma: Add shared receive queue support (bsc#1046306
  FATE#322942).
- IB/mlx4: Increase maximal message size under UD QP (bsc#1046302
  FATE#322945).
- IB/mlx5: Assign send CQ and recv CQ of UMR QP (bsc#1046305
  FATE#322943).
- commit 573bb09
* Mon Jan  8 2018 jthumshirn@suse.de
- bsg-lib: fix kernel panic resulting from missing allocation
  of reply-buffer (bsc#1074140).
- commit 707b96d
* Mon Jan  8 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/nvmet-fc-cleanup-nvmet-add_port-remove_port.patch.
- Delete patches.drivers/nvmet_fc-correct-broken-add_port.patch.
- commit 38a8d6d
* Mon Jan  8 2018 tbogendoerfer@suse.de
- blacklist.conf: mark cd36c3a21a40 as duplicate of 33ba43ed0afc
- commit 08645b1
* Mon Jan  8 2018 tbogendoerfer@suse.de
- bpf: fix incorrect sign extension in check_alu_op()
  (bsc1056787).
- commit 977b7b1
* Mon Jan  8 2018 msuchanek@suse.de
- KVM: PPC: Book3S: fix XIVE migration of pending interrupts
  (bsc#1061840).
- KVM: PPC: Book3S HV: Fix pending_pri value in
  kvmppc_xive_get_icp() (bsc#1061840).
- commit d8d002b
* Mon Jan  8 2018 msuchanek@suse.de
- powerpc/perf/imc: Fix nest-imc cpuhotplug callback failure
  (bsc#1054914).
- powerpc/perf: Fix kfree memory allocated for nest pmus
  (bsc#1054914).
- cxl: Check if vphb exists before iterating over AFU devices
  (bsc#1055014).
- commit 61c1d48
* Mon Jan  8 2018 msuchanek@suse.de
- powerpc/perf: Dereference BHRB entries safely (bsc#1065729).
- commit 57f8b50
* Mon Jan  8 2018 tbogendoerfer@suse.de
- net/mlx5: Stay in polling mode when command EQ destroy fails
  (bsc#1046303 FATE#322944).
- net/mlx5: Cleanup IRQs in case of unload failure (bsc#1046303
  FATE#322944).
- net/mlx5e: Prevent possible races in VXLAN control flow
  (bsc#1046303 FATE#322944).
- net/mlx5e: Add refcount to VXLAN structure (bsc#1046303
  FATE#322944).
- net/mlx5e: Fix possible deadlock of VXLAN lock (bsc#1046303
  FATE#322944).
- socket, bpf: fix possible use after free (bsc1056787).
- commit e08b924
* Mon Jan  8 2018 tbogendoerfer@suse.de
- net_sched: fix a compile warning in act_ife (bsc1056787).
- commit bd78fe1
* Mon Jan  8 2018 tbogendoerfer@suse.de
- crypto: chelsio - select CRYPTO_GF128MUL (bsc#1046548).
- net: sched: fix static key imbalance in case of
  ingress/clsact_init error (bsc1056787).
- net_sched: red: Avoid illegal values (bsc1056787).
- net: sched: cbq: create block for q->link.block (bsc1056787).
- net: sched: fix crash when deleting secondary chains
  (bsc1056787).
- net sched actions: fix module auto-loading (bsc1056787).
- net sched actions: change IFE modules alias names (bsc1056787).
- net_sched: gen_estimator: fix scaling error in bytes/packets
  samples (bsc1056787).
- net sched actions: Use proper root attribute table for actions
  (bsc1056787).
- commit 2bbf18d
* Mon Jan  8 2018 ohering@suse.de
- scsi: storvsc: Fix scsi_cmd error assignments in
  storvsc_handle_error (fate#323887).
- vmbus: unregister device_obj->channels_kset (fate#323887).
- hv: kvp: Avoid reading past allocated blocks from KVP file
  (fate#323887).
- Drivers: hv: vmbus: Fix a rescind issue (fate#323887).
- commit 12ffd27
* Mon Jan  8 2018 msuchanek@suse.de
- kernel-obs-build.spec.in: add --no-hostonly-cmdline to dracut invocation (boo#1062303).
  call dracut with --no-hostonly-cmdline to avoid the random rootfs UUID
  being added into the initrd's /etc/cmdline.d/95root-dev.conf
- commit da5186f
* Mon Jan  8 2018 mgorman@suse.de
- cpufreq: intel_pstate: Temporarily boost P-state when exiting
  from idle (bnc#1068680 Update schedutil and intel_pstate to
  default to load-based policy).
- commit 3b0b990
* Mon Jan  8 2018 mgorman@suse.de
- Refresh
  patches.suse/mm-page_alloc.c-avoid-excessive-IRQ-disabled-times-in-free_unref_page_list.patch.
- commit fcb0706
* Sun Jan  7 2018 lduncan@suse.com
- X.509: fix buffer overflow detection in sprint_oid()
  (bsc#1074877).
- 509: fix printing uninitialized stack memory when OID is empty
  (bsc#1074879).
- KEYS: add missing permission check for request_key() destination
  (bsc#1074878).
- KEYS: trusted: fix writing past end of buffer in trusted_read()
  (bsc#1074880).
- KEYS: encrypted: fix dereference of NULL user_key_payload
  (bsc#1074876).
- commit 3160a2d
* Sat Jan  6 2018 jslaby@suse.cz
- rpm/constraints.in: lower kernel-syzkaller's mem requirements
  OBS now reports that it needs only around 2G, so lower the limit to
  8G, so that more compliant workers can be used.
- commit a73399a
* Sat Jan  6 2018 jbohac@suse.cz
- Remove patches.arch/x86_64-hpet-64bit-timer.patch.
  This is an ancient patch we should have never included in the first place. It
  adds a command-line  parameter "hpet64" which works around a hardware "bug" that
  is only visible if applications mmap HPET.
  The bug makes the HPET main counter wrap at the 32 bit boundary when Timer 0 is
  used in 32 bit mode.
  Thomas Gleixner refused the patch upstream, he claims this does not work on
  some HPETs: https://patchwork.kernel.org/patch/10103049/
  If someone insists on accessing the hardware directly, they should deal with
  hardware oddities.
- commit 20efbd0
* Fri Jan  5 2018 lhenriques@suse.com
- regulator: da9063: Return an error code on probe failure
  (bsc#1074847).
- commit ca048fa
* Fri Jan  5 2018 tbogendoerfer@suse.de
- IB/mlx5: Serialize access to the VMA list (bsc#1046305
  FATE#322943).
- RDMA/vmw_pvrdma: Call ib_umem_release on destroy QP path
  (bsc#1046306 FATE#322942).
- iw_cxgb4: when flushing, complete all wrs in a chain
  (bsc#1046543 FATE#322927).
- bpf: force strict alignment checks for stack pointers
  (bsc#1056787).
- net/mlx5: Fix error flow in CREATE_QP command (bsc#1046303
  FATE#322944).
- net/mlx5e: Fix defaulting RX ring size when not needed
  (bsc#1046303 FATE#322944).
- bpf, ppc64: do not reload skb pointers in non-skb context
  (bsc#1056787).
- bpf, s390x: do not reload skb pointers in non-skb context
  (bsc#1056787).
- net/mlx5e: Add support for ethtool msglvl support (bsc#1046303
  FATE#322944).
- commit d4fe50f
* Fri Jan  5 2018 tbogendoerfer@suse.de
- cxgb4: collect TX rate limit info in UP CIM logs (bsc#1073513).
- cxgb4: RSS table is 4k for T6 (bsc#1073513).
- cxgb4: collect PCIe configuration logs (bsc#1073513).
- cxgb4: collect egress and ingress SGE queue contexts
  (bsc#1073513).
- cxgb4: skip TX and RX payload regions in memory dumps
  (bsc#1073513).
- cxgb4: collect HMA memory dump (bsc#1073513).
- cxgb4: collect MC memory dump (bsc#1073513).
- cxgb4: collect on-chip memory information (bsc#1073513).
- commit 5208a72
* Fri Jan  5 2018 mgorman@suse.de
- cpufreq, intel_pstate: Update setpoint for unspecified ACPI
  profile (bnc#1068680 Update schedutil and intel_pstate to
  default to load-based policy).
- commit 61ed90d
* Fri Jan  5 2018 ghe@suse.com
- dlm: recheck kthread_should_stop() before schedule()
  (bsc#1071422).
- commit ecebdc2
* Fri Jan  5 2018 ghe@suse.com
- DLM: fix NULL pointer dereference in send_to_sock()
  (bsc#1074590).
- commit 33ddb10
* Fri Jan  5 2018 ghe@suse.com
- DLM: fix to reschedule rwork (bsc#1074590).
- commit e8637ae
* Fri Jan  5 2018 ghe@suse.com
- DLM: fix to use sk_callback_lock correctly (bsc#1074590).
- commit 710c4fa
* Fri Jan  5 2018 ghe@suse.com
- DLM: fix overflow dlm_cb_seq (bsc#1074590).
- commit 09372fc
* Fri Jan  5 2018 ghe@suse.com
- DLM: fix memory leak in tcp_accept_from_sock() (bsc#1074590).
- commit 5aedf91
* Fri Jan  5 2018 ghe@suse.com
- DLM: fix conversion deadlock when DLM_LKF_NODLCKWT flag is set
  (bsc#1074590).
- commit 69894be
* Fri Jan  5 2018 ghe@suse.com
- DLM: use CF_CLOSE flag to stop dlm_send correctly (bsc#1074590).
- commit e8a6712
* Fri Jan  5 2018 ghe@suse.com
- DLM: Reanimate CF_WRITE_PENDING flag (bsc#1074590).
- commit a4de653
* Fri Jan  5 2018 ghe@suse.com
- DLM: fix race condition between dlm_recoverd_stop and
  dlm_recoverd (bsc#1074590).
- commit 819a622
* Fri Jan  5 2018 ghe@suse.com
- DLM: close othercon at send/receive error (bsc#1074590).
- commit 0937fb9
* Fri Jan  5 2018 ghe@suse.com
- DLM: retry rcom when dlm_wait_function is timed out
  (bsc#1074590).
- commit c842f52
* Fri Jan  5 2018 ghe@suse.com
- DLM: fix to use sock_mutex correctly in xxx_accept_from_sock
  (bsc#1074590).
- commit 78dd4c6
* Fri Jan  5 2018 ghe@suse.com
- DLM: fix race condition between dlm_send and dlm_recv
  (bsc#1074590).
- commit 11bc1dd
* Fri Jan  5 2018 ghe@suse.com
- DLM: fix double list_del() (bsc#1074590).
- commit a0f2a2c
* Fri Jan  5 2018 ghe@suse.com
- DLM: fix remove save_cb argument from add_sock() (bsc#1074590).
- commit 4b9a8d1
* Fri Jan  5 2018 ghe@suse.com
- DLM: Fix saving of NULL callbacks (bsc#1074590).
- commit 59e7b7b
* Fri Jan  5 2018 ghe@suse.com
- DLM: Eliminate CF_WRITE_PENDING flag (bsc#1074590).
- commit 28eba49
* Fri Jan  5 2018 ghe@suse.com
- DLM: Eliminate CF_CONNECT_PENDING flag (bsc#1074590).
- commit 367693f
* Fri Jan  5 2018 ghe@suse.com
- dlm: remove this patch temporarily
  since I plan to back-port valuable patches of DLM dlm-4.15 to SLE15
  kernel source, but this patch will impact more older patches to
  apply SLE15 kernel. So, I will remove this patch temporarily,
  then get this patch back after this back-port is done.
- commit 70cb39a
* Fri Jan  5 2018 lduncan@suse.com
- scsi: libcxgbi: simplify task->hdr allocation for mgmt cmds
  (bsc#1073515).
- scsi: cxgb4i: fix Tx skb leak (bsc#1073515).
- commit c19f0ba
* Fri Jan  5 2018 lduncan@suse.com
- Fixed incorrect commit for nvmet-fc patch.
  The commits seems to be incorrect for
  patches.drivers/nvmet-fc-cleanup-nvmet-add_port-remove_port.patch,
  perhaps because of upstream merging? Set it to the
  correct commit.
- commit 3e2aa51
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: seq: Avoid invalid lockdep class warning (bsc#1051510).
- commit 1d6dc29
* Thu Jan  4 2018 ghe@suse.com
- dlm: use sock_create_lite inside tcp_accept_from_sock
  (bsc#1069364).
- commit 8b8e456
* Thu Jan  4 2018 neilb@suse.com
- sunrpc: use supplimental groups in auth hash (bsc#1012917).
- commit 9a10aa8
* Thu Jan  4 2018 neilb@suse.com
- kernel: make groups_sort calling a responsibility group_info
  allocators (bsc#1070623).
- commit de0ae1a
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: hda: Drop useless WARN_ON() (bsc#1051510).
- commit f2fb93c
* Thu Jan  4 2018 tiwai@suse.de
- ASoC: twl4030: fix child-node lookup (bsc#1051510).
- commit 69b6ece
* Thu Jan  4 2018 tiwai@suse.de
- ASoC: tlv320aic31xx: Fix GPIO1 register definition
  (bsc#1051510).
- commit 11c73a1
* Thu Jan  4 2018 tiwai@suse.de
- ASoC: codecs: msm8916-wcd: Fix supported formats (bsc#1051510).
- commit 374ba25
* Thu Jan  4 2018 tiwai@suse.de
- ASoC: fsl_ssi: AC'97 ops need regmap, clock and cleaning up
  on failure (bsc#1051510).
- commit dcacf0c
* Thu Jan  4 2018 tiwai@suse.de
- ASoC: da7218: fix fix child-node lookup (bsc#1051510).
- commit e945eac
* Thu Jan  4 2018 tiwai@suse.de
- ASoC: wm_adsp: Fix validation of firmware and coeff lengths
  (bsc#1051510).
- commit 51a0c9c
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: usb-audio: Fix the missing ctl name suffix at parsing SU
  (bsc#1051510).
- commit 563b896
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: rawmidi: Avoid racy info ioctl via ctl device
  (bsc#1051510).
- commit 9c189e8
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: hda - Add vendor id for Cannonlake HDMI codec
  (bsc#1051510).
- commit e971433
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: usb-audio: Add native DSD support for Esoteric D-05X
  (bsc#1051510).
- commit 4d85d23
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: pcm: prevent UAF in snd_pcm_info (bsc#1051510).
- commit 25f7384
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: usb-audio: Add check return value for usb_string()
  (bsc#1051510).
- commit 3171828
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: usb-audio: Fix out-of-bound error (bsc#1051510).
- commit 6578e73
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: seq: Remove spurious WARN_ON() at timer check
  (bsc#1051510).
- commit fc7e398
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: hda - fix headset mic problem for Dell machines with
  alc274 (bsc#1051510).
- commit d23de14
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: seq: Fix OSS sysex delivery in OSS emulation
  (bsc#1051510).
- commit 510ff99
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: timer: Limit max instances per timer (bsc#1051510).
- commit 103491e
* Thu Jan  4 2018 tiwai@suse.de
- ASoC: adau17x1: Workaround for noise bug in ADC (bsc#1051510).
- commit 85fa8c4
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: seq: Fix nested rwsem annotation for lockdep splat
  (bsc#1051510).
- commit fa3fd1f
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: seq: Enable 'use' locking in all configurations
  (bsc#1051510).
- commit 655ae8d
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: usb-audio: Add native DSD support for Pro-Ject Pre Box
  S2 Digital (bsc#1051510).
- commit 6cd87cf
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: caiaq: Fix stray URB at probe error path (bsc#1051510).
- commit 43475d3
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: seq: Fix copy_from_user() call inside lock (bsc#1051510).
- commit 2297056
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: usx2y: Suppress kernel warning at page allocation failures
  (bsc#1051510).
- commit 13eccc1
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: hda - Add MIC_NO_PRESENCE fixup for 2 HP machines
  (bsc#1051510).
- commit 81dfa71
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: hda - Fix missing COEF init for ALC225/295/299
  (bsc#1051510).
- commit a3ae07c
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: hda - change the location for one mic on a Lenovo machine
  (bsc#1051510).
- commit 53462d1
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: hda - fix headset mic detection issue on a Dell machine
  (bsc#1051510).
- commit ec4781a
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: hda/realtek - Fix Dell AIO LineOut issue (bsc#1051510).
- commit 4de0a3d
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: hda/realtek - New codec support for ALC257 (bsc#1051510).
- commit c025c50
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: hda/realtek - Add support for ALC1220 (bsc#1051510).
- commit cd79b10
* Thu Jan  4 2018 tiwai@suse.de
- Move upstreamed sound patches into sorted section
- commit 2f5f898
* Wed Jan  3 2018 mgorman@suse.de
- rcu: Remove debugfs tracing (bnc#1073315 remove defunct
  debugfs tracing).
- commit 761bb8f
* Wed Jan  3 2018 mbenes@suse.cz
- livepatch: Mark the kernel unsupported when disabling a live
  patch (fate#323487).
- commit 38cb6c2
* Wed Jan  3 2018 ghe@suse.com
- dlm: Make dismatch error message more clear (bsc#1074440).
- commit 47fea46
* Wed Jan  3 2018 mgalbraith@suse.de
- sched/rt: Do not pull from current CPU if only one CPU to pull
  (bnc#1022476).
- sched/rt: Simplify the IPI based RT balancing logic
  (bnc#1022476).
- commit 2c0bd50
* Tue Jan  2 2018 tbogendoerfer@suse.de
- IB/mlx5: Fix mlx5_ib_alloc_mr error flow (bsc#1046303
  FATE#322944).
- IB/core: Verify that QP is security enabled in create and
  destroy (bsc#1046306 FATE#322942).
- IB/uverbs: Fix command checking as part of
  ib_uverbs_ex_modify_qp() (bsc#1046306 FATE#322942).
- IB/hfi: Only read capability registers if the capability exists
  (bsc#1060463 FATE#323043).
- IB/mlx5: Fix congestion counters in LAG mode (bsc#1046303
  FATE#322944).
- iw_cxgb4: reflect the original WR opcode in drain cqes
  (bsc#1064802 bsc#1066129).
- bpf: don't prune branches when a scalar is replaced with a
  pointer (bsc#1056787).
- bpf: fix missing error return in check_stack_boundary()
  (bsc#1056787).
- bpf/verifier: fix bounds calculation on BPF_RSH (bsc#1056787).
- net/mlx5e: Fix features check of IPv6 traffic (bsc#1046305
  FATE#322943).
- net/mlx5: Fix rate limit packet pacing naming and struct
  (bsc#1046305 FATE#322943).
- net/mlx5: FPGA, return -EINVAL if size is zero (bsc#1046303
  FATE#322944).
- net/mlx4_en: Fill all counters under one call of stats lock
  (bsc#1046299 FATE#322947).
- commit 9946ea4
* Tue Jan  2 2018 ghe@suse.com
- ocfs2: fix a static checker warning (bsc#1074282).
- commit 691c72c
* Mon Jan  1 2018 bpoirier@suse.com
- git-sort tests wip
- commit fac0c20
* Thu Dec 28 2017 acho@suse.com
- Bluetooth: Prevent stack info leak from the EFS element
  (bsc#1070535 CVE-2017-1000410).
- commit 0214ec3
* Wed Dec 27 2017 bpoirier@suse.com
- git_sort: Use pygit2 to read git config.
  Fixes an error when operating on a repository with no configured remotes.
- commit f28d0a2
* Tue Dec 26 2017 bpoirier@suse.com
- scripts/git_sort/README.md: Add information about quilt package.
- commit 41d89b6
* Tue Dec 26 2017 bpoirier@suse.com
- scripts/git-pre-commit: Specify paths to check to git diff.
  Also, specifically check for changes between the index and HEAD (--cached).
- commit 2450ed3
* Tue Dec 26 2017 dbueso@suse.de
- Delete patches.fixes/0001-autofs-fix-AT_NO_AUTOMOUNT-not-being-honored.patch.
  Per upstream commit:
    5d38f049cee (autofs: revert "autofs: fix AT_NO_AUTOMOUNT not being honored")
- commit ed5935d
* Tue Dec 26 2017 dbueso@suse.de
- blacklist.conf: we don't build null_blk module
- commit bb0a8a8
* Tue Dec 26 2017 dbueso@suse.de
- block: unalign call_single_data in struct request (bsc#1050549).
- commit 5e7d58d
* Tue Dec 26 2017 bpoirier@suse.com
- git_sort: Support configurable cache path.
  Also, create the cache directory if it does not exist.
- commit db0e54d
* Mon Dec 25 2017 bpoirier@suse.com
- series_sort: Catch pygit2 import failure.
  Provide some instructions about how to install the module in the README.
  Note that this only catches the exception from series_sort.py. There are
  other executable python scripts which import pygit2 and those will still
  raise an ImportError if the pygit2 module is not available. However,
  series_sort.py is the most common entry point for new users.
- commit 3c7e689
* Fri Dec 22 2017 jthumshirn@suse.de
- nvmet_fc: correct broken add_port (bsc#1072553).
- commit cc3e8db
* Fri Dec 22 2017 bpoirier@suse.com
- e1000e: Fix e1000_check_for_copper_link_ich8lan return value
  (bsc#1073809).
- e1000e: Avoid receiver overrun interrupt bursts (bsc#1073809).
- e1000e: Separate signaling for link check/link up (bsc#1073809).
- e1000e: Fix return value test (bsc#1073809).
- e1000e: Fix wrong comment related to link detection
  (bsc#1073809).
- e1000e: Fix error path in link detection (bsc#1073809).
- commit 6843b8f
* Fri Dec 22 2017 bpoirier@suse.com
- Refresh patch order in sorted section
- commit 45e9108
* Fri Dec 22 2017 msuchanek@suse.de
- ibmvnic: Include header descriptor support for ARP packets
  (bsc#1073912).
- ibmvnic: Increase maximum number of RX/TX queues (bsc#1073912).
- ibmvnic: Rename IBMVNIC_MAX_TX_QUEUES to IBMVNIC_MAX_QUEUES
  (bsc#1073912).
- commit e6d9f08
* Fri Dec 22 2017 msuchanek@suse.de
- Refresh sorted section.
- commit 08f400d
* Thu Dec 21 2017 mbenes@suse.cz
- Delete
  patches.suse/0002-module-move-add_taint_module-to-a-header-file.patch.
  kGraft-specific patch not needed with upstream livepatch. We have
  add_taint_module() call in kernel/module.c (upstream commit 2992ef29ae01
  ("livepatch/module: make TAINT_LIVEPATCH module-specific")).
- commit cfddc2c
* Thu Dec 21 2017 tbogendoerfer@suse.de
- bnxt_en: Uninitialized variable in bnxt_tc_parse_actions()
  (bsc#1050242 FATE#322914).
- bnxt_en: Add ETH_RESET_AP support (bsc#1050242 FATE#322914).
- commit a2af10c
* Thu Dec 21 2017 tbogendoerfer@suse.de
- drivers: net: bnxt: use setup_timer() helper (bsc#1050242
  FATE#322914).
- Refresh
  patches.drivers/bnxt_en-Reorganize-the-coalescing-parameters.patch.
- commit a924173
* Thu Dec 21 2017 tiwai@suse.de
- crypto: hmac - require that the underlying hash algorithm is
  unkeyed (CVE-2017-17806,bsc#1073874).
- commit ab2ecae
* Thu Dec 21 2017 tiwai@suse.de
- crypto: salsa20 - fix blkcipher_walk API usage
  (CVE-2017-17805,bsc#1073792).
- commit 81ba0ab
* Thu Dec 21 2017 tbogendoerfer@suse.de
- bnxt_en: Use NETIF_F_GRO_HW (bsc#1050242 FATE#322914).
- net: Disable GRO_HW when generic XDP is installed on a device
  (bsc#1050242 FATE#322914).
- net: Introduce NETIF_F_GRO_HW (bsc#1050242 FATE#322914).
- net: ethtool: add support for reset of AP inside NIC interface
  (bsc#1050242 FATE#322914).
- bnxt_en: Fix sources of spurious netpoll warnings (bsc#1050242
  FATE#322914).
- bnxt_en: fix dst/src fid for vxlan encap/decap actions
  (bsc#1050242 FATE#322914).
- bnxt_en: wildcard smac while creating tunnel decap filter
  (bsc#1050242 FATE#322914).
- bnxt_en: Fix an error handling path in
  'bnxt_get_module_eeprom()' (bsc#1050242 FATE#322914).
- bnxt_re: Make room for mapping beyond 32 entries (bsc#1050242
  FATE#322914).
- bnxt: fix bnxt_hwrm_fw_set_time for y2038 (bsc#1050242
  FATE#322914).
- bnxt_en: Fix IRQ coalescing regression (bsc#1050242
  FATE#322914).
- bnxt_en: fix typo in bnxt_set_coalesce (bsc#1050242
  FATE#322914).
- bnxt_en: Fix randconfig build errors (bsc#1050242 FATE#322914).
- bnxt_en: alloc tc_info{} struct only when tc flower is enabled
  (bsc#1050242 FATE#322914).
- bnxt_en: query cfa flow stats periodically to compute 'lastused'
  attribute (bsc#1050242 FATE#322914).
- bnxt_en: add hwrm FW cmds for cfa_encap_record and decap_filter
  (bsc#1050242 FATE#322914).
- bnxt_en: add support for Flower based vxlan encap/decap offload
  (bsc#1050242 FATE#322914).
- bnxt_en: Refactor and simplify coalescing code (bsc#1050242
  FATE#322914).
- bnxt_en: Reorganize the coalescing parameters (bsc#1050242
  FATE#322914).
- bnxt_en: Add ethtool reset method (bsc#1050242 FATE#322914).
- bnxt_en: Check maximum supported MTU from firmware (bsc#1050242
  FATE#322914).
- bnxt_en: Optimize .ndo_set_mac_address() for VFs (bsc#1050242
  FATE#322914).
- bnxt_en: Get firmware package version one time (bsc#1050242
  FATE#322914).
- bnxt_en: Check for zero length value in bnxt_get_nvram_item()
  (bsc#1050242 FATE#322914).
- bnxt_en: adding PCI ID for SMARTNIC VF support (bsc#1050242
  FATE#322914).
- bnxt_en: Add PCIe device ID for bcm58804 (bsc#1050242
  FATE#322914).
- bnxt_en: Update firmware interface to 1.8.3.1 (bsc#1050242
  FATE#322914).
- bnxt: Move generic devlink code to new file (bsc#1050242
  FATE#322914).
- bnxt_en: don't consider building bnxt_tc.o if option not enabled
  (bsc#1050242 FATE#322914).
- bnxt_en: Remove redundant unlikely() (bsc#1050242 FATE#322914).
- net: add new netdevice feature for offload of RX port for UDP
  tunnels (bsc#1056787).
- commit 8a8e435
* Thu Dec 21 2017 msuchanek@suse.de
- kernel-obs-build: use pae and lpae kernels where available
  (bsc#1073579).
- commit 1ac1946
* Thu Dec 21 2017 tiwai@suse.de
- Disable CONFIG_SPI_INTEL_SPI_PLATFORM for BIOS breakge on Lenovo laptops
  (bsc#1073836)
- commit 47130d8
* Wed Dec 20 2017 dbueso@suse.de
- epoll: remove ep_call_nested() from ep_eventpoll_poll()
  (bsc#1056427).
- epoll: avoid calling ep_call_nested() from ep_poll_safewake()
  (bsc#1056427).
- locking/qrwlock: Prevent slowpath writers getting held up by
  fastpath (bsc#1050549).
- locking/qrwlock: Use atomic_cond_read_acquire() when spinning
  in qrwlock (bsc#1050549).
- locking/qrwlock: Use 'struct qrwlock' instead of 'struct
  __qrwlock' (bsc#1050549).
- locking/atomic: Add atomic_cond_read_acquire() (bsc#1050549).
- commit f353922
* Wed Dec 20 2017 msuchanek@suse.de
- Refresh patches.arch/powerpc-64s-Implement-system-reset-idle-wakeup-reason.patch.
- commit 2e65242
* Wed Dec 20 2017 msuchanek@suse.de
- powerpc/64s: Fix Power9 DD2.1 logic in DT CPU features
  (bsc#1055121).
- powerpc/64s: Fix Power9 DD2.0 workarounds by adding DD2.1
  feature (bsc#1055121).
- powerpc/64s/idle: avoid POWER9 DD1 and DD2.0 PMU workaround
  on DD2.1 (bsc#1055121).
- powerpc/powernv: Save/Restore additional SPRs for stop4 cpuidle
  (bsc#1055121).
- powerpc/64s/idle: avoid POWER9 DD1 and DD2.0 ERAT workaround
  on DD2.1 (bsc#1055121).
- powerpc/64s: idle POWER9 can execute stop in virtual mode
  (bsc#1055121).
- powerpc/64s: Drop no longer used IDLE_STATE_ENTER_SEQ
  (bsc#1055121).
- powerpc/64s: POWER9 can execute stop without a sync sequence
  (bsc#1055121).
- powerpc/64s: Move IDLE_STATE_ENTER_SEQ[_NORET] into
  idle_book3s.S (bsc#1055121).
- powerpc/powernv/idle: Clear r12 on wakeup from stop lite
  (bsc#1055121).
- powerpc/64s/idle: Avoid SRR usage in idle sleep/wake paths
  (bsc#1055121).
- powerpc: add POWER9_DD20 feature (bsc#1055121).
- powerpc/64: Free up CPU_FTR_ICSWX (bsc#1055121).
- commit 9dfdd40
* Wed Dec 20 2017 msuchanek@suse.de
- powerpc: conditionally compile platform-specific serial drivers
  (bsc#1065729).
- tpm: ibmvtpm: simplify crq initialization and document crq
  format (bsc#1065729).
- commit d8d888e
* Wed Dec 20 2017 msuchanek@suse.de
- supported.conf: add missing modules.
  Changed:
  crypto/aes_generic -> crypto/aes_ti
  drivers/scsi/ibmvscsi/ibmvstgt -> drivers/scsi/ibmvscsi_tgt/ibmvscsis
  New modules:
  arch/powerpc/crypto/crc32c-vpmsum
  drivers/tty/serial/8250/8250_of
  - drivers/char/powernv-op-panel
  Add core/lib:
  drivers/char/tpm/tpm_tis_core
  drivers/pci/hotplug/pnv-php
  lib/parman
- commit d4b29da
* Wed Dec 20 2017 msuchanek@suse.de
- supported.conf: remove garbage.
- commit 1ce25e4
* Wed Dec 20 2017 sparschauer@suse.de
- scsi_scan: Exit loop if TUR to LUN0 fails with 0x05/0x25 (bsc#1063043).
  This is specific to FUJITSU ETERNUS_DX* targets. They can return
  "Illegal Request - Logical unit not supported" and processing should
  leave the timeout loop in this case.
- commit c16da9f
* Wed Dec 20 2017 neilb@suse.com
- NFS: Fix uninitialized rpc_wait_queue (git-fixes).
- xprtrdma: Throw away reply when version is unrecognized
  (git-fixes).
- svcrdma: Preserve CB send buffer across retransmits (git-fixes).
- commit 3eac6c0
* Tue Dec 19 2017 neilb@suse.com
- blacklist.conf: mark 11e3e8d6d927 not-applicable
- commit 250f889
* Tue Dec 19 2017 neilb@suse.com
- autofs: fix careless error in recent commit (bnc#1012382
  bsc#1065180).
- NFS: revalidate "." etc correctly on "open" (git-fixes).
- commit 4c82a6d
* Tue Dec 19 2017 msuchanek@suse.de
- powerpc/64s: Fix hypercall entry clobbering r12 input
  (bsc#1055117).
- powerpc/64s: Optimize hypercall/syscall entry (bsc#1055117).
- commit 0ca40fc
* Tue Dec 19 2017 jkosina@suse.cz
- README.BRANCH: add Takashi as comaintainer
- commit d7552c3
* Tue Dec 19 2017 msuchanek@suse.de
- KVM: PPC: Book3S HV: Fix migration and HPT resizing of HPT
  guests on radix hosts (bsc#1061840).
- KVM: PPC: Book3S HV: Add infrastructure for running HPT guests
  on radix host (bsc#1061840).
- KVM: PPC: Book3S HV: Unify dirty page map between HPT and radix
  (bsc#1061840).
- commit 51c7c60
* Tue Dec 19 2017 msuchanek@suse.de
- KVM: PPC: Book3S HV: Rename hpte_setup_done to mmu_ready (bsc#1061840).
- Refresh patches.arch/KVM-PPC-Book3S-HV-Fix-exclusion-between-HPT-resizing.patch.
- commit 052b912
* Tue Dec 19 2017 msuchanek@suse.de
- KVM: PPC: Tie KVM_CAP_PPC_HTM to the user-visible TM feature (bsc#1061840).
- Refresh patches.arch/KVM-PPC-Fix-oops-when-checking-KVM_CAP_PPC_HTM.patch.
- commit 9c0b1aa
* Tue Dec 19 2017 msuchanek@suse.de
- KVM: PPC: Book3S HV: Don't rely on host's page size information
  (bsc#1061840).
- KVM: PPC: Book3S HV: Explicitly disable HPT operations on
  radix guests (bsc#1061840).
- KVM: PPC: Book3S HV: Fix memory leak in kvm_vm_ioctl_get_htab_fd
  (bsc#1061840).
- KVM: PPC: Book3S HV: Report storage key support to userspace
  (bsc#1061840).
- commit 1a88a98
* Tue Dec 19 2017 bp@suse.de
- x86/ACPI/cstate: Allow ACPI C1 FFH MWAIT use on AMD systems
  (bsc#1069881).
- commit 8e6ab6a
* Tue Dec 19 2017 lhenriques@suse.com
- ceph: drop negative child dentries before try pruning inode's
  alias (bsc#1073525).
- commit aeb9e15
* Mon Dec 18 2017 jlee@suse.com
- Update config files.
  Enabling hibernation verification.
- commit 490e23f
* Mon Dec 18 2017 jack@suse.cz
- fanotify: fix fsnotify_prepare_user_wait() failure
  (bsc#1052766).
- commit 080b493
* Mon Dec 18 2017 jack@suse.cz
- mm/frame_vector.c: release a semaphore in 'get_vaddr_frames()'
  (bsc#1052766).
- commit e8d4b10
* Mon Dec 18 2017 jlee@suse.com
- PM / hibernate: require hibernate snapshot image to be validly
  signed when kernel is locked down (fate#316350).
- PM / hibernate: a option to request that snapshot image must
  be validly signed (fate#316350).
- PM / hibernate: prevent EFI secret key to be regenerated
  (fate#316350).
- PM / hibernate: Generate and verify signature for snapshot image
  (fate#316350).
- PM / hibernate: encrypt hidden area (fate#316350).
- efi: allow user to regenerate secret key (fate#316350).
- efi: generate secret key in EFI boot environment (fate#316350).
- x86/KASLR: public the function for getting random long number
  (fate#316350).
- hibernate: avoid the data in hidden area to be snapshotted
  (fate#316350).
- security: create hidden area to keep sensitive data
  (fate#316350).
- commit 8c35bf3
* Mon Dec 18 2017 mhocko@suse.com
- userfaultfd: hugetlbfs: remove superfluous page unlock in
  VM_SHARED case (bnc#1073113, CVE-2017-15127).
- commit 0332d2e
* Mon Dec 18 2017 mhocko@suse.com
- userfaultfd: hugetlbfs: prevent UFFDIO_COPY to fill beyond
  the end of i_size (bnc#1073112, CVE-2017-15128).
- commit 31f7526
* Mon Dec 18 2017 mhocko@suse.com
- mm, oom_reaper: gather each vma to prevent leaking TLB entry
  (bnc#1073258).
- commit b55bb20
* Mon Dec 18 2017 tbogendoerfer@suse.de
- IB/ipoib: Restore MM behavior in case of tx_ring allocation
  failure (bsc#1046307 FATE#322941).
- iw_cxgb4: only insert drain cqes if wq is flushed (bsc#1046543
  FATE#32292).
- RDMA/netlink: Fix general protection fault (bsc#1046306
  FATE#322942).
- IB/mlx4: Fix RSS hash fields restrictions (bsc#1046302
  FATE#322945).
- IB/core: Don't enforce PKey security on SMI MADs (bsc#1046306
  FATE#322942).
- IB/core: Bound check alternate path port number (bsc#1046306
  FATE#322942).
- sfc: pass valid pointers from efx_enqueue_unwind (bsc#1058169
  FATE#322922).
- commit 6688227
* Mon Dec 18 2017 tbogendoerfer@suse.de
- Re-sorted sorted section
- commit 108f419
* Mon Dec 18 2017 jlee@suse.com
- Delete
  patches.suse/0001-PM-hibernate-Fix-2G-size-issue-of-snapshot-image-ver.patch.
- Delete
  patches.suse/0001-PM-hibernate-Fix-warning-about-non-void-function-not.patch.
- Delete
  patches.suse/0001-PM-hibernate-Force-verify-hibernation-signature-in-s.patch.
- Delete
  patches.suse/0001-PM-hibernate-define-HMAC-algorithm-and-digest-size-o.patch.
- Delete
  patches.suse/0001-x86-Removed-the-free-memblock-of-hibernat-keys-to-av.patch.
- Delete
  patches.suse/0001-x86-efi-Fix-invalid-parameter-error-when-getting-hib.patch.
- Delete
  patches.suse/0002-x86-efi-Add-get-and-set-variable-to-EFI-services-poi.patch.
- Delete
  patches.suse/0003-x86-boot-Public-getting-random-boot-function.patch.
- Delete
  patches.suse/0004-x86-efi-Generating-random-number-in-EFI-stub.patch.
- Delete
  patches.suse/0005-x86-efi-Get-entropy-through-EFI-random-number-genera.patch.
- Delete
  patches.suse/0006-x86-efi-Generating-random-HMAC-key-for-siging-hibern.patch.
- Delete
  patches.suse/0007-efi-Make-efi_status_to_err-public.patch.
- Delete
  patches.suse/0008-x86-efi-Carrying-hibernation-key-by-setup-data.patch.
- Delete
  patches.suse/0009-PM-hibernate-Reserve-hibernation-key-and-erase-footp.patch.
- Delete
  patches.suse/0010-PM-hibernate-Generate-and-verify-signature-of-hibern.patch.
- Delete
  patches.suse/0011-PM-hibernate-Avoid-including-hibernation-key-to-hibe.patch.
- Delete
  patches.suse/0012-PM-hibernate-Forward-signature-verifying-result-and-.patch.
- Delete
  patches.suse/0013-PM-hibernate-Add-configuration-to-enforce-signature-.patch.
- Delete
  patches.suse/0014-PM-hibernate-Allow-user-trigger-hibernation-key-re-g.patch.
- Delete
  patches.suse/0015-PM-hibernate-Bypass-verification-logic-on-legacy-BIO.patch.
- Delete
  patches.suse/0016-PM-hibernate-Document-signature-verification-of-hibe.patch.
  The hibernation verification will be refactored against v4.12.
  Removed old version.
- commit 80cd2cb
* Mon Dec 18 2017 jlee@suse.com
- Delete
  patches.suse/0049-uswsusp-Disable-when-the-kernel-is-locked-down.patch.
  Because the code is duplicate with
  0048-hibernate-Disable-when-the-kernel-is-locked-down.patch
- commit 713a68b
* Fri Dec 15 2017 msuchanek@suse.de
- Refresh patches.drivers/nvme-fc-remove-double-put-reference-if-admin-connect.patch.
  Fix commit hash.
- commit 61669a7
* Fri Dec 15 2017 msuchanek@suse.de
- Refresh sorted section.
- commit 8c10740
* Fri Dec 15 2017 msuchanek@suse.de
- git_sort.py: add rdma/rdma remote.
- commit ec2ea23
* Fri Dec 15 2017 mgorman@suse.de
- sched: Only immediately migrate tasks due to interrupts if prev
  and target CPUs share cache (bnc#1066110 Scheduler utilisation
  tracking).
- commit 8747826
* Fri Dec 15 2017 mgorman@suse.de
- mm/page_alloc.c: avoid excessive IRQ disabled times in
  free_unref_page_list() (bnc#971975 VM -- git fixes).
- commit e2361a2
* Fri Dec 15 2017 msuchanek@suse.de
- genwqe: Take R/W permissions into account when dealing with
  memory pages (bsc#1073090).
- commit 0f3a06a
* Fri Dec 15 2017 mhocko@suse.com
- mm, oom_reaper: fix memory corruption (bnc#1073039).
- commit c664e6e
* Fri Dec 15 2017 jslaby@suse.cz
- x86/stacktrace: make clear the success paths (bnc#1058115).
- Refresh
  patches.suse/0003-x86-stacktrace-remove-STACKTRACE_DUMP_ONCE-from-__sa.patch.
- Refresh
  patches.suse/0004-x86-stacktrace-do-not-fail-for-ORC-with-regs-on-stac.patch.
- Delete
  patches.suse/0002-x86-stacktrace-remove-unwind_state-error.patch.
  Fix livepatch to succeed also for kthreads and idle tasks.
- commit 228dd50
* Fri Dec 15 2017 tiwai@suse.de
- APEI / ERST: Fix missing error handling in erst_reader()
  (bsc#1072556).
- commit 1d69ef4
* Fri Dec 15 2017 tonyj@suse.de
- perf/x86/intel/uncore: Fix memory leaks on allocation failures
  (git-fixes).
- blacklist.conf:  Update perf git-fixes
- commit 25d3ce5
* Thu Dec 14 2017 oneukum@suse.com
- media: dvb-usb-v2: lmedm04: Improve logic checking of warm start
  (bsc#1066569 CVE-2017-16538).
- commit 4f7cbf8
* Thu Dec 14 2017 tiwai@suse.de
- Enable build of CX2072X codec for Intel Atom SST (bsc#1068546)
- commit dde0783
* Thu Dec 14 2017 tiwai@suse.de
- Enable Intel CHTDC-TI powerbutton driver (bsc#1068546)
- commit 5a6685e
* Thu Dec 14 2017 tiwai@suse.de
- platform/x86: Add support for Dollar Cove TI power button
  (bsc#1068546).
- commit e0bff99
* Thu Dec 14 2017 jthumshirn@suse.de
- nvmet-fc: cleanup nvmet add_port/remove_port (bsc#1072553).
- nvme-fc: remove double put reference if admin connect fails
  (bsc#1072553).
- nvme-fc: don't use bit masks for set/test_bit() numbers
  (bsc#1072553).
- nvmet-fc: correct ref counting error when deferred rcv used
  (bsc#1072553).
- nvme-loop: check if queue is ready in queue_rq (bsc#1072553).
- nvme-fc: check if queue is ready in queue_rq (bsc#1072553).
- nvme-fabrics: introduce init command check for a queue that
  is not alive (bsc#1072553).
- commit c9fa2b2
* Thu Dec 14 2017 tbogendoerfer@suse.de
- IB/hfi1: Use 4096 for default active MTU in query_qp
  (bsc#1070622).
- IB/CM: Change sgid to IB GID when handling CM request
  (bsc#1070622).
- IB/hfi1: Mask the path bits with the LMC for 16B RC Acks
  (bsc#1070622).
- bnxt_en: Don't print "Link speed -1 no longer supported"
  messages (bsc#1070116).
- commit 48fe400
* Thu Dec 14 2017 jthumshirn@suse.de
- lpfc: remove use of FC-specific error codes (bsc#1072553).
- nvme-fc: remove use of FC-specific error codes (bsc#1072553).
- nvme.h: remove FC transport-specific error values (bsc#1072553).
- nvmet-fc: remove use of FC-specific error codes (bsc#1072553).
- qla2xxx: remove use of FC-specific error codes (bsc#1072553).
- Refresh
  patches.drivers/nvme-fc-correct-io-termination-handling.patch.
- commit c63aa5a
* Thu Dec 14 2017 jthumshirn@suse.de
- scripts/git_sort/git_sort.py: Add nvme-4.16 to indexed heads
- commit f08f096
* Thu Dec 14 2017 fdmanana@suse.com
- Btrfs: fix reported number of inode blocks after buffered
  append writes (bsc#1061589).
- Btrfs: move definition of the function
  btrfs_find_new_delalloc_bytes (bsc#1061589).
- commit 3954048
* Thu Dec 14 2017 oneukum@suse.com
- USB: core: prevent malicious bNumInterfaces overflow
  (bsc#1072561 CVE-2017-17558).
- commit cdc5902
* Thu Dec 14 2017 jthumshirn@suse.de
- block: fix a crash caused by wrong API (bsc#1072355).
- commit 6bffd0a
* Thu Dec 14 2017 yousaf.kaukab@suse.com
- config: arm64: enable rk3399 missing drivers
- commit 611930b
* Thu Dec 14 2017 tiwai@suse.de
- qxl: alloc & use shadow for dumb buffers (bsc#1072190).
- drm/qxl: replace QXL_INFO with DRM_DEBUG_DRIVER (bsc#1072190).
- commit 6fed647
* Wed Dec 13 2017 jeffm@suse.com
- Btrfs: change how we iterate bios in endio (bsc#1071219).
- commit 248d2a7
* Wed Dec 13 2017 jeffm@suse.com
- housekeeping: update btrfs patch tags
- commit 5824e3f
* Wed Dec 13 2017 fdmanana@suse.com
- Refresh
  patches.suse/btrfs-add-support-for-fallocate-s-zero-range-operati.patch.
- commit c5e275b
* Wed Dec 13 2017 msuchanek@suse.de
- powerpc/powernv/npu: Move tlb flush before launching ATSD
  (bsc#1055120).
- commit 2674fa8
* Wed Dec 13 2017 mgorman@suse.de
- sched/fair: Update and fix the runnable propagation rule
  (bnc#1066110 Scheduler utilisation tracking).
- commit 426857f
* Wed Dec 13 2017 neilb@suse.com
- NFSv4: always set NFS_LOCK_LOST when a lock is lost
  (bsc#1068951).
- commit 8816f29
* Tue Dec 12 2017 bp@suse.de
- x86/microcode/AMD: Add support for fam17h microcode loading
  (bsc#1068032).
- commit 13cc8c9
* Tue Dec 12 2017 jthumshirn@suse.de
- acpi, nfit: validate commands against the device type
  (FATE#324505).
- commit 606c2ff
* Tue Dec 12 2017 jthumshirn@suse.de
- acpi: always include uuid.h (FATE#324505).
- commit 6bbdd80
* Tue Dec 12 2017 mkubecek@suse.cz
- netfilter: xt_osf: Add missing permission checks (CVE-2017-17450
  bsc#1071695).
- commit 3196363
* Tue Dec 12 2017 mkubecek@suse.cz
- netlink: Add netns check on taps (CVE-2017-17449 bsc#1071694).
- commit e92da0c
* Tue Dec 12 2017 mkubecek@suse.cz
- netfilter: nfnetlink_cthelper: Add missing permission checks
  (CVE-2017-17448 bsc#1071693).
- commit b16758e
* Tue Dec 12 2017 jthumshirn@suse.de
- scsi: bfa: fix type conversion warning (bsc#1065101).
- scsi: bfa: fix access to bfad_im_port_s (bsc#1065101).
- commit f3a3c83
* Tue Dec 12 2017 jthumshirn@suse.de
- git_sort.py: Add Martin Petersen's 4.15/scsi-fixes branch
- commit 20244cd
* Tue Dec 12 2017 jthumshirn@suse.de
- acpi, nfit: add 'Enable Latch System Shutdown Status' command
  support (FATE#324505).
- acpi, nfit: add support for NVDIMM_FAMILY_INTEL v1.6 DSMs
  (FATE#324505).
- commit 00a6cf4
* Tue Dec 12 2017 jthumshirn@suse.de
- acpi, nfit: add support for the _LSI, _LSR, and _LSW label
  methods (FATE#324505).
- Refresh
  patches.drivers/acpi-nfit-hide-unknown-commands-from-nmemX-commands.patch.
- commit 33bc52f
* Tue Dec 12 2017 mkubecek@suse.cz
- sctp: do not peel off an assoc from one netns to another one
  (CVE-2017-15115 bsc#1068671).
- commit 500f976
* Tue Dec 12 2017 tbogendoerfer@suse.de
- net_sched: red: Avoid devision by zero (bsc#1056787).
- i40iw: Notify user of established connection after QP in RTS
  (bsc#1058659 FATE#322535).
- i40iw: Move MPA request event for loopback after connect
  (bsc#1058659 FATE#322535).
- i40iw: Correct ARP index mask (bsc#1058659 FATE#322535).
- i40iw: Do not free sqbuf when event is I40IW_TIMER_TYPE_CLOSE
  (bsc#1058659 FATE#322535).
- i40iw: Allocate a sdbuf per CQP WQE (bsc#1058659 FATE#322535).
- s390/qeth: build max size GSO skbs on L2 devices (bsc#1061024
  FATE#323301).
- s390/qeth: fix GSO throughput regression (bsc#1061024
  FATE#323301).
- s390/qeth: fix thinko in IPv4 multicast address tracking
  (bsc#1061024 FATE#323301).
- IB/mlx5: Fix RoCE Address Path fields (bsc#1046305 FATE#322943).
- IB/srpt: Do not accept invalid initiator port names (bsc#1046306
  FATE#322942).
- commit 647cda2
* Tue Dec 12 2017 jthumshirn@suse.de
- acpi, nfit: hide unknown commands from nmemX/commands
  (FATE#324505).
- commit 26aa55c
* Tue Dec 12 2017 jthumshirn@suse.de
- acpi nfit: nfit_test supports translate SPA (FATE#324505).
- acpi nfit: Enable to show what feature is supported via
  ND_CMD_CALL for nfit_test (FATE#324505).
- acpi, nfit: Show bus_dsm_mask in sysfs (FATE#324505).
- libnvdimm, acpi, nfit: Add bus level dsm mask for pass thru
  (FATE#324505).
- acpi, nfit: Enable DSM pass thru for root functions
  (FATE#324505).
- commit 09b07e6
* Tue Dec 12 2017 mkubecek@suse.cz
- dccp: CVE-2017-8824: use-after-free in DCCP code (CVE-2017-8824
  bsc#1070771).
- commit ed1dc5d
* Tue Dec 12 2017 jthumshirn@suse.de
- thermal: int340x_thermal: fix compile after the UUID API switch
  (FATE#324505).
- thermal: int340x_thermal: Switch to use new generic UUID API
  (FATE#324505).
- commit 0f58456
* Tue Dec 12 2017 mkubecek@suse.cz
- Update
  patches.kernel.org/4.12.11-023-xfrm-policy-check-policy-direction-value.patch
  references (add CVE-2017-11600 bsc#1050231).
- commit c24a6f8
* Tue Dec 12 2017 jthumshirn@suse.de
- ACPI: Switch to use generic guid_t in acpi_evaluate_dsm()
  (FATE#324505).
- Refresh
  patches.drivers/0017-usb-typec-ucsi-Add-ACPI-driver.patch.
- Refresh
  patches.drivers/net-hns-add-acpi-function-of-xge-led-control.patch
- commit b154a19
* Mon Dec 11 2017 mbrugger@suse.com
- drm: hibmc: Initialize the hibmc_bo_driver.io_mem_pfn
  (bnc#1067977).
- drm: hibmc: Use set_busid function from drm core (bsc#1067977).
- vgaarb: Factor out EFI and fallback default device selection
  (bsc#1067977).
- vgaarb: Select a default VGA device even if there's no legacy
  VGA (bsc#1067977).
- commit 56166ea
* Mon Dec 11 2017 jthumshirn@suse.de
- ACPI / bus: Switch to use new generic UUID API (FATE#324505).
- commit eeb5838
* Mon Dec 11 2017 tiwai@suse.de
- blacklist.conf: Add drm inapplicable commits (bsc#1051510)
- commit ba5ee60
* Mon Dec 11 2017 tiwai@suse.de
- drm/i915/cnl: Mask previous DDI - PLL mapping (bsc#1051510).
- commit e06d654
* Mon Dec 11 2017 jthumshirn@suse.de
- ACPI / extlog: Switch to use new generic UUID API (FATE#324505).
- commit 9e27ec4
* Mon Dec 11 2017 msuchanek@suse.de
- powerpc: Force reload for recheckpoint during tm {fp, vec,
  vsx} unavailable exception (bsc#1065729).
- powerpc: Don't enable FP/Altivec if not checkpointed
  (bsc#1065729).
- powerpc: Fix missing newline before { (bsc#1065729).
- cxl: Rename register PSL9_FIR2 to PSL9_FIR_MASK (bsc#1055014).
- cxl: Enable global TLBIs for cxl contexts (bsc#1055014).
- powerpc/mm: Export flush_all_mm() (bsc#1055014).
- powerpc/mm: Make switch_mm_irqs_off() out of line (bsc#1055014).
- powerpc: Remove old unused icswx based coprocessor support
  (bsc#1055014).
- powerpc/mm: Optimize detection of thread local mm's
  (bsc#1055014).
- powerpc/mm: Move pgdir setting into a helper (bsc#1055014).
- commit 5bc2261
* Mon Dec 11 2017 msuchanek@suse.de
- Reorder powerpc patches.
- commit ddca890
* Mon Dec 11 2017 tbogendoerfer@suse.de
- Refresh
  patches.drivers/cxgb4-add-tc-flower-support-for-ETH-DMAC-rewrite.patch.
- commit 449190e
* Mon Dec 11 2017 mgorman@suse.de
- locking/x86: Use LOCK ADD for smp_mb() instead of MFENCE
  (bnc#1072172 x86 performance -- barriers).
- commit a4b5e51
* Mon Dec 11 2017 tiwai@suse.de
- supported.conf: Add missing supported modules (bsc#1072163)
- commit fb1f805
* Mon Dec 11 2017 jthumshirn@suse.de
- acpi, nfit: Switch to use new generic UUID API (FATE#324505).
- commit a3ed858
* Mon Dec 11 2017 tbogendoerfer@suse.de
- net: thunderx: Fix TCP/UDP checksum offload for IPv4 pkts
  (bsc#1069583).
- nfp: fix port stats for mac representors (bsc#1055968).
- IB/core: Only enforce security for InfiniBand (bsc#1070482).
- IB: INFINIBAND should depend on HAS_DMA (bsc#1046306
  FATE#322942).
- IB/hfi1: Initialize bth1 in 16B rc ack builder (bsc#1060463
  FATE#323043).
- bnxt_en: Fix a variable scoping in bnxt_hwrm_do_send_msg()
  (bsc#1050242 FATE#322914).
- bnxt_en: Need to unconditionally shut down RoCE in bnxt_shutdown
  (bsc#1050242 FATE#322914).
- IB/core: Avoid unnecessary return value check (bsc#1070482).
- commit 232528a
* Mon Dec 11 2017 jthumshirn@suse.de
- scsi: lpfc: Fix a precedence bug in lpfc_nvme_io_cmd_wqe_cmpl()
  (bsc#1050239,FATE#322918).
- commit 2fe735c
* Mon Dec 11 2017 jthumshirn@suse.de
- scsi: qla2xxx: Suppress a kernel complaint in
  qla_init_base_qpair() (FATE#322910).
- commit 9d4fd8e
* Mon Dec 11 2017 jgross@suse.com
- xen: fix hvm guest with kaslr enabled (bnc#1071891).
- xen: split up xen_hvm_init_shared_info() (bnc#1071891).
- x86: provide an init_mem_mapping hypervisor hook (bnc#1071891).
- commit 2820573
* Mon Dec 11 2017 mbenes@suse.cz
- livepatch: __klp_disable_patch() should never be called for
  disabled patches (bsc#1071995 fate#323487).
  Callbacks support. Coming from upstream klp tree, branch
  for-4.15/callbacks.
- livepatch: Correctly call klp_post_unpatch_callback() in error
  paths (bsc#1071995 fate#323487).
  Callbacks support. Coming from upstream klp tree, branch
  for-4.15/callbacks.
- livepatch: add transition notices (bsc#1071995 fate#323487).
  Callbacks support. Coming from upstream klp tree, branch
  for-4.15/callbacks.
- livepatch: move transition "complete" notice into
  klp_complete_transition() (bsc#1071995 fate#323487).
  Callbacks support. Coming from upstream klp tree, branch
  for-4.15/callbacks.
- livepatch: add (un)patch callbacks (bsc#1071995 fate#323487).
  Callbacks support. Coming from upstream klp tree, branch
  for-4.15/callbacks.
- commit bfcc8d1
* Mon Dec 11 2017 tiwai@suse.de
- Remove buggy IPMI patch (bsc#1071877)
  The broken fix was identified and removed/blacklisted now.
  Also re-enable the rest IPMI fixes that have been disabled.
- commit 0128c61
* Mon Dec 11 2017 mgorman@suse.de
- Update patches.suse/cpufreq-intel_pstate-use-setpoint-of-10-on-servers.patch
  (bnc#945201,bnc#1064414).
- commit f696fcb
* Mon Dec 11 2017 mbenes@suse.cz
- livepatch: Small shadow variable documentation fixes
  (bsc#1071995 fate#323487).
  Shadow variables support. Coming from upstream klp tree, branch
  for-4.15/shadow-variables.
- livepatch: __klp_shadow_get_or_alloc() is local to shadow.c
  (bsc#1071995 fate#323487).
  Shadow variables support. Coming from upstream klp tree, branch
  for-4.15/shadow-variables.
- livepatch: introduce shadow variable API (bsc#1071995
  fate#323487).
  Shadow variables support. Coming from upstream klp tree, branch
  for-4.15/shadow-variables.
- commit 576f832
* Mon Dec 11 2017 mbenes@suse.cz
- livepatch: unpatch all klp_objects if klp_module_coming fails
  (bsc#1071995 fate#323487).
  Fix coming from upstream klp tree, branch for-4.14/upstream-fixes
- commit 198dbfe
* Sat Dec  9 2017 tiwai@suse.de
- Disable IPMI fix patches due to regression (bsc#1071877)
- commit 8d8a8ff
* Fri Dec  8 2017 mkubecek@suse.cz
- net: openvswitch: datapath: fix data type in queue_gso_packets
  (bsc#1066757).
- net: accept UFO datagrams from tuntap and packet (bsc#1066757).
- net: Remove unused skb_shared_info member (bsc#1066757).
- commit 6e1c320
* Fri Dec  8 2017 mkubecek@suse.cz
- netfilter: ebtables: fix race condition in
  frame_filter_net_init() (bsc#1071929).
- commit 615d8a0
* Fri Dec  8 2017 mkubecek@suse.cz
- series.conf: refresh
  (just ran series_sort.py)
- commit 50b424d
* Fri Dec  8 2017 msuchanek@suse.de
- supported.conf add crypto_simd (bsc#1071991).
- commit 94d5bb1
* Fri Dec  8 2017 mcgrof@suse.com
- xfs: extend unsupported annotations: reflink or reverse mapping btree (FATE#324503).
- commit 53eb059
* Fri Dec  8 2017 vbabka@suse.cz
- hmm: heterogeneous memory management documentation (VM
  Functionality, FATE#323338, bsc#1047814).
- mm/device-public-memory: device memory cache coherent with CPU
  (VM Functionality, FATE#323338, bsc#1047814).
- mm/device-public-memory: fix edge case in _vm_normal_page()
  (VM Functionality, FATE#323338, bsc#1047814).
- mm/hmm: add new helper to hotplug CDM memory region (VM
  Functionality, FATE#323338, bsc#1047814).
- mm/hmm: avoid bloating arch that do not make use of HMM (VM
  Functionality, FATE#323338, bsc#1047814).
- mm/hmm/devmem: device memory hotplug using ZONE_DEVICE (VM
  Functionality, FATE#323338, bsc#1047814).
- mm/hmm/devmem: dummy HMM device for ZONE_DEVICE memory (VM
  Functionality, FATE#323338, bsc#1047814).
- mm/hmm: fix build when HMM is disabled (VM Functionality,
  FATE#323338, bsc#1047814).
- mm/hmm: heterogeneous memory management (HMM for short)
  (VM Functionality, FATE#323338, bsc#1047814).
- mm/hmm/mirror: device page fault handler (VM Functionality,
  FATE#323338, bsc#1047814).
- mm/hmm/mirror: helper to snapshot CPU page table (VM
  Functionality, FATE#323338, bsc#1047814).
- mm/hmm/mirror: mirror process address space on device with
  HMM helpers (VM Functionality, FATE#323338, bsc#1047814).
- mm/memcontrol: allow to uncharge page without using page->lru
  field (VM Functionality, FATE#323338, bsc#1047814).
- mm/memcontrol: support MEMORY_DEVICE_PRIVATE (VM Functionality,
  FATE#323338, bsc#1047814).
- mm/memory_hotplug: introduce add_pages (VM Functionality,
  FATE#323338, bsc#1047814).
- mm/migrate: allow migrate_vma() to alloc new page on empty entry
  (VM Functionality, FATE#323338, bsc#1047814).
- mm/migrate: fix indexing bug (off by one) and avoid out of
  bound access (VM Functionality, FATE#323338, bsc#1047814).
- mm/migrate: migrate_vma() unmap page from vma while collecting
  pages (VM Functionality, FATE#323338, bsc#1047814).
- mm/migrate: new memory migration helper for use with device
  memory (VM Functionality, FATE#323338, bsc#1047814).
- mm/migrate: new migrate mode MIGRATE_SYNC_NO_COPY (VM
  Functionality, FATE#323338, bsc#1047814).
- mm/migrate: support un-addressable ZONE_DEVICE page in migration
  (VM Functionality, FATE#323338, bsc#1047814).
- mm/ZONE_DEVICE: new type of ZONE_DEVICE for unaddressable memory
  (VM Functionality, FATE#323338, bsc#1047814).
- mm/ZONE_DEVICE: special case put_page() for device private pages
  (VM Functionality, FATE#323338, bsc#1047814).
- Update config files.
- commit 5579b56
* Fri Dec  8 2017 mwilck@suse.com
- Fix git-repo: header in scsi_devinfo patches
- Refresh
  patches.fixes/scsi-scsi_devinfo-cleanly-zero-pad-devinfo-strings.patch.
- Refresh
  patches.fixes/scsi-scsi_devinfo-handle-non-terminated-strings.patch.
- commit 53814b0
* Fri Dec  8 2017 tiwai@suse.de
- iwlwifi: mvm: mark MIC stripped MPDUs (bsc#1071648).
- iwlwifi: mvm: enable RX offloading with TKIP and WEP
  (bsc#1071648).
- iwlwifi: mvm: flush queue before deleting ROC (bsc#1071648).
- iwlwifi: add new cards for 9260 and 22000 series (bsc#1071648).
- iwlwifi: mvm: fix packet injection (bsc#1071648).
- iwlwifi: mvm: don't use transmit queue hang detection when it
  is not possible (bsc#1071648).
- iwlwifi: fix firmware names for 9000 and A000 series hw
  (bsc#1071648).
- iwlwifi: mvm: use IWL_HCMD_NOCOPY for MCAST_FILTER_CMD
  (bsc#1071648).
- iwlwifi: fix PCI IDs and configuration mapping for 9000 series
  (bsc#1071648).
- iwlwifi: add new cards for a000 series (bsc#1071648).
- iwlwifi: add new cards for 8265 series (bsc#1071648).
- iwlwifi: add new cards for 8260 series (bsc#1071648).
- iwlwifi: pcie: sort IDs for the 9000 series for easier
  comparisons (bsc#1071648).
- commit d40b4c9
* Fri Dec  8 2017 msuchanek@suse.de
- Add undefine _unique_build_ids (bsc#964063)
- commit 47e91a1
* Fri Dec  8 2017 yousaf.kaukab@suse.com
- scsi: libsas: align sata_device's rps_resp on a cacheline
  (bsc#1071401).
- scsi: hisi_sas: add v3 hw port AXI error handling (bsc#1071401).
- scsi: hisi_sas: add v3 hw support for AXI fatal error
  (bsc#1071401).
- scsi: hisi_sas: complete all tasklets prior to host reset
  (bsc#1071401).
- scsi: hisi_sas: fix a bug when free device for v3 hw
  (bsc#1071401).
- scsi: hisi_sas: add hisi_hba.rst_work init for v3 hw
  (bsc#1071401).
- scsi: hisi_sas: add v3 hw DFX feature (bsc#1071401).
- scsi: hisi_sas: init connect cfg register for v3 hw
  (bsc#1071401).
- scsi: hisi_sas: check PHY state in get_wideport_bitmap_v3_hw()
  (bsc#1071401).
- scsi: hisi_sas: use array for v2 hw AXI errors (bsc#1071401).
- scsi: hisi_sas: fix the risk of freeing slot twice
  (bsc#1071401).
- scsi: hisi_sas: fix NULL check in SMP abort task path
  (bsc#1071401).
- scsi: hisi_sas: us start_phy in PHY_FUNC_LINK_RESET
  (bsc#1071401).
- scsi: hisi_sas: fix SATA breakpoint memory size (bsc#1071401).
- scsi: hisi_sas: grab hisi_hba.lock when processing slots
  (bsc#1071401).
- scsi: hisi_sas: use spin_lock_irqsave() for hisi_hba.lock
  (bsc#1071401).
- scsi: hisi_sas: delete get_ncq_tag_v3_hw() (bsc#1071401).
- scsi: libsas: remove unused variable sas_ha (bsc#1071401).
- scsi: libsas: add event to defer list tail instead of head
  when draining (bsc#1071401).
- scsi: libsas: rename notify_port_event() for consistency
  (bsc#1071401).
- scsi: libsas: remove unused port_gone_completion and
  DISCE_PORT_GONE (bsc#1071401).
- scsi: libsas: remove the numbering for each event enum
  (bsc#1071401).
- scsi: libsas: kill useless ha_event and do some cleanup
  (bsc#1071401).
- scsi: libsas: Annotate fall-through in a switch statement
  (bsc#1071401).
- scsi: libsas: Remove a set-but-not-used variable (bsc#1071401).
- scsi: hisi_sas: replace kfree with scsi_host_put (bsc#1071401).
- scsi: hisi_sas: remove phy_down_v3_hw() res variable
  (bsc#1071401).
- scsi: hisi_sas: add phy_set_linkrate_v3_hw() (bsc#1071401).
- scsi: hisi_sas: update some v3 register init settings
  (bsc#1071401).
- scsi: hisi_sas: add reset handler for v3 hw (bsc#1071401).
- scsi: hisi_sas: kill tasklet when destroying irq in v3 hw
  (bsc#1071401).
- scsi: hisi_sas: fix v3 hw channel interrupt processing
  (bsc#1071401).
- scsi: hisi_sas: Modify v3 hw STP_LINK_TIMER setting
  (bsc#1071401).
- commit 9c6ddbc
* Fri Dec  8 2017 mgorman@suse.de
- cpufreq, intel_pstate: Ramp up frequency faster when utilisation
  reaches setpoint (bnc#1068680 Update schedutil and intel_pstate
  to default to load-based policy).
- cpufreq: intel_pstate: Improve IO performance with per-core
  P-states (bnc#1068680 Update schedutil and intel_pstate to
  default to load-based policy).
- cpufreq: intel_pstate: Use load-based policy by default
  but allow PID to be used (bnc#1068680 Update schedutil and
  intel_pstate to default to load-based policy).
- sched/fair: Update calc_group_*() comments (bnc#1066110
  Scheduler utilisation tracking).
- sched/fair: Calculate runnable_weight slightly differently
  (bnc#1066110 Scheduler utilisation tracking).
- sched/fair: Implement more accurate async detach (bnc#1066110
  Scheduler utilisation tracking).
- sched/fair: Align PELT windows between cfs_rq and its se
  (bnc#1066110 Scheduler utilisation tracking).
- sched/fair: Implement synchonous PELT detach on load-balance
  migrate (bnc#1066110 Scheduler utilisation tracking).
- sched/fair: Propagate an effective runnable_load_avg
  (bnc#1066110 Scheduler utilisation tracking).
- sched/pelt: Fix false running accounting (bnc#1066110 Scheduler
  utilisation tracking).
- sched/fair: Rewrite PELT migration propagation (bnc#1066110
  Scheduler utilisation tracking).
- sched/fair: Rewrite cfs_rq->removed_*avg (bnc#1066110 Scheduler
  utilisation tracking).
- sched/fair: Use reweight_entity() for set_user_nice()
  (bnc#1066110 Scheduler utilisation tracking).
- sched/fair: More accurate reweight_entity() (bnc#1066110
  Scheduler utilisation tracking).
- sched/fair: Introduce {en,de}queue_load_avg() (bnc#1066110
  Scheduler utilisation tracking).
- sched/fair: Rename {en,de}queue_entity_load_avg() (bnc#1066110
  Scheduler utilisation tracking).
- sched/fair: Move enqueue migrate handling (bnc#1066110 Scheduler
  utilisation tracking).
- sched/fair: Change update_load_avg() arguments (bnc#1066110
  Scheduler utilisation tracking).
- sched/fair: Remove se->load.weight from se->avg.load_sum
  (bnc#1066110 Scheduler utilisation tracking).
- sched/fair: Cure calc_cfs_shares() vs. reweight_entity()
  (bnc#1066110 Scheduler utilisation tracking).
- sched/fair: Add comment to calc_cfs_shares() (bnc#1066110
  Scheduler utilisation tracking).
- sched/fair: Clean up calc_cfs_shares() (bnc#1066110 Scheduler
  utilisation tracking).
- sched/fair: Drop always true parameter of
  update_cfs_rq_load_avg() (bnc#1066110 Scheduler utilisation
  tracking).
- sched/fair: Avoid checking cfs_rq->nr_running twice (bnc#1066110
  Scheduler utilisation tracking).
- sched/fair: Pass 'rq' to weighted_cpuload() (bnc#1066110
  Scheduler utilisation tracking).
- sched/core: Reuse put_prev_task() (bnc#1066110 Scheduler
  utilisation tracking).
- sched/fair: Use task_groups instead of leaf_cfs_rq_list to
  walk all cfs_rqs (bnc#1066110 Scheduler utilisation tracking).
- sched/fair: Fix O(nr_cgroups) in load balance path (bnc#1066110
  Scheduler utilisation tracking).
- sched/fair: Call cpufreq update util handlers less frequently
  on UP (bnc#1066110 Scheduler utilisation tracking).
- commit 9ea022c
* Thu Dec  7 2017 dbueso@suse.de
- fs/proc: Report eip/esp in /prod/PID/stat for coredumping
  (bsc#1050549).
- locking/x86: Use LOCK ADD for smp_mb() instead of MFENCE
  (bsc#1050549).
- commit 1941e2e
* Wed Dec  6 2017 tiwai@suse.de
- iwlwifi: mvm: support version 7 of the SCAN_REQ_UMAC FW command
  (bsc#1068838,bsc#1071652).
- commit d602917
* Wed Dec  6 2017 oneukum@suse.com
- USB: uas: fix bug in handling of alternate settings
  (bsc#1071074).
- commit e1e1aea
* Wed Dec  6 2017 tbogendoerfer@suse.de
- IB/mlx4: Add contig support for control objects (bsc#1071218).
- IB/mlx4: Use optimal numbers of MTT entries (bsc#1071218).
- IB/mlx4: Add report for RSS capabilities by vendor channel
  (bsc#1071218).
- commit 8514de9
* Wed Dec  6 2017 yousaf.kaukab@suse.com
- regulator: fan53555: fix I2C device ids (bsc#1071296).
- Update config files.
- supported.conf:
- regulator: fan53555: Use of_device_get_match_data() to simplify
  probe (bsc#1071296).
- commit aab6c79
* Wed Dec  6 2017 oneukum@suse.com
- blacklist.conf: usbtest is not compiled
  document that patch for security issue is not needed
- commit 33a85d1
* Wed Dec  6 2017 oneukum@suse.com
- blacklist.conf: the driver is not compiled. Ignore fixes.
- commit eab7a74
* Wed Dec  6 2017 mgorman@suse.de
- sched/wait: fix add_wait_queue() behavior change (bnc#971975
  VM performance -- page waitqueue).
- commit b67e247
* Wed Dec  6 2017 mwilck@suse.com
- scsi: scsi_devinfo: cleanly zero-pad devinfo strings
  (bsc#1062941, bsc#1037404, bsc#1012523, bsc#1038299).
- scsi: scsi_devinfo: handle non-terminated strings (bsc#1062941,
  bsc#1037404, bsc#1012523, bsc#1038299).
- commit fcb27f8
* Wed Dec  6 2017 tiwai@suse.de
- isa: Prevent NULL dereference in isa_bus driver callbacks
  (bsc#1051510).
- commit 32eeca3
* Wed Dec  6 2017 gqjiang@suse.com
- md: always set THREAD_WAKEUP and wake up wqueue if thread
  existed (bsc#1071403).
- dlm: recheck kthread_should_stop() before schedule()
  (bsc#1071422).
- commit a2cb166
* Wed Dec  6 2017 mwilck@suse.com
- scsi_devinfo fixes from 4.15 (bsc#1062941, bsc#1037404)
- scsi: scsi_devinfo: Add 'AIX VDASD' to blacklist (bsc#1012523
  bsc#1037404 bsc#1038299 bsc#1062941).
- scsi: scsi_devinfo: Add TRY_VPD_PAGES to HITACHI OPEN-V
  blacklist entry (bsc#1012523 bsc#1037404 bsc#1038299
  bsc#1062941).
- scsi: scsi_devinfo: fixup string compare (bsc#1012523
  bsc#1037404 bsc#1038299 bsc#1062941).
- scsi: scsi_devinfo: Whitespace fixes (bsc#1012523 bsc#1037404
  bsc#1038299 bsc#1062941).
- commit 0b796f6
* Wed Dec  6 2017 mwilck@suse.com
- Move iTCO_wdt patch to sorted section
- commit c15439f
* Tue Dec  5 2017 jeffm@suse.com
- btrfs: fix NULL pointer dereference from free_reloc_roots()
  (bsc#1071099).
- commit f5d556f
* Tue Dec  5 2017 jack@suse.cz
- dax: fix general protection fault in dax_alloc_inode
  (bsc#1052766).
- commit cc66850
* Tue Dec  5 2017 jack@suse.cz
- f2fs: fix to show ino management cache size correctly
  (bsc#1052766).
- commit 3007e0f
* Tue Dec  5 2017 jack@suse.cz
- Revert "f2fs: handle dirty segments inside refresh_sit_entry"
  (bsc#1052766).
- commit dcc8098
* Tue Dec  5 2017 jack@suse.cz
- f2fs: fix to clear FI_NO_PREALLOC (bsc#1052766).
- commit 8a0aa54
* Tue Dec  5 2017 jack@suse.cz
- ocfs2: ip_alloc_sem should be taken in ocfs2_get_block()
  (bsc#1052766).
- commit 8d3384d
* Tue Dec  5 2017 jack@suse.cz
- dnotify: Handle errors from fsnotify_add_mark_locked() in
  fcntl_dirnotify() (bsc#1052766).
- commit 16097ad
* Tue Dec  5 2017 jack@suse.cz
- fsnotify: pin both inode and vfsmount mark (bsc#1052766).
- commit 1702fdd
* Tue Dec  5 2017 jack@suse.cz
- fsnotify: clean up fsnotify_prepare/finish_user_wait()
  (bsc#1052766).
- commit cb63dd7
* Tue Dec  5 2017 mbrugger@suse.com
- supported.conf: update arm64 relevant drivers
- commit 4d1cbfb
* Tue Dec  5 2017 tbogendoerfer@suse.de
- IB/rdmavt: Don't wait for resources in QP reset (bsc#1070622).
- IB/hfi1: Allow meta version 4 for platform configuration
  (bsc#1070622).
- IB/hfi1: Add parsing for platform configuration format version 4
  (bsc#1070622).
- commit 63d7eea
* Tue Dec  5 2017 jack@suse.cz
- mm/memory.c: mark create_huge_pmd() inline to prevent build
  failure (fate#323590).
- commit 8e193c8
* Tue Dec  5 2017 oneukum@suse.com
- crypto: cavium - clean up clang warning on unread variable
  offset (FATE#323051).
- commit f445359
* Tue Dec  5 2017 mbrugger@suse.com
- scsi: hisi_sas: fix internal abort slot timeout bug
  (bsc#1068693).
- commit 645ee34
* Tue Dec  5 2017 jslaby@suse.cz
- x86/stacktrace: do now unwind after user regs (bnc#1058115).
- x86/stacktrace: remove unwind_state->error (bnc#1058115).
- x86/stacktrace: remove STACKTRACE_DUMP_ONCE from
  __save_stack_trace_reliable (bnc#1058115).
- x86/stacktrace: do not fail for ORC with regs on stack
  (bnc#1058115).
  More make-ORC-reliable patches.
- commit 91578f6
* Mon Dec  4 2017 bp@suse.de
- perf/x86/intel/bts: Fix exclusive event reference leak
  (git-fixes d2878d642a4ed).
- commit 798cbcd
* Mon Dec  4 2017 tiwai@suse.de
- blacklist.conf: Add inapplicable / non-issues commits for WiFi and DRM
- commit 999cd73
* Mon Dec  4 2017 tiwai@suse.de
- mmc: core: prepend 0x to OCR entry in sysfs (bsc#1051510).
- mmc: core: prepend 0x to pre_eol_info entry in sysfs
  (bsc#1051510).
- mac80211_hwsim: Fix memory leak in hwsim_new_radio_nl()
  (bsc#1051510).
- rtlwifi: rtl8821ae: Fix connection lost problem (bsc#1051510).
- brcmfmac: fix double free upon register_netdevice() failure
  (bsc#1051510).
- ath10k: fix reported HT MCS rates with NSS > 1 (bsc#1051510).
- drm/i915: Prevent zero length "index" write (bsc#1051510).
- drm/i915: Don't try indexed reads to alternate slave addresses
  (bsc#1051510).
- commit 4923254
* Mon Dec  4 2017 oneukum@suse.com
- thunderbolt: tb: fix use after free in tb_activate_pcie_devices
  (FATE#323948).
- commit d3f0bb9
* Mon Dec  4 2017 tiwai@suse.de
- Refresh
  patches.drivers/drm-i915-Suppress-switch_mm-emission-between-the-sam.
  Add the cherry-picked upstream commit id, too
- commit f2ecc61
* Mon Dec  4 2017 tiwai@suse.de
- blacklist.conf: Add inapplicable DRM and IIO commits (bsc#1051510)
- commit b18d7d1
* Mon Dec  4 2017 tiwai@suse.de
- ipmi_ssif: unlock on allocation failure (bsc#1051510).
- iio: trigger: stm32-timer: fix a corner case to write preset
  (bsc#1051510).
- iio: inkern: fix a static checker error (bsc#1051510).
- mfd: omap-usb-tll: Fix register offsets (bsc#1051510).
- drm/omap: displays: panel-dpi: add backlight dependency
  (bsc#1051510).
- drm/omap: Fix error handling path in 'omap_dmm_probe()'
  (bsc#1051510).
- drm/i915: fix intel_backlight_device_register declaration
  (bsc#1051510).
- commit d3a4e07
* Mon Dec  4 2017 rgoldwyn@suse.com
- apparmor: fix off-by-one comparison on MAXMAPPED_SIG
  (bsc#1071070).
- apparmor: fix locking when creating a new complain profile
  (bsc#1071061).
- apparmor: fix leak of null profile name if profile allocation
  fails (bsc#1071057).
- apparmor: fix profile attachment for special unconfined profiles
  (bsc#1071035).
- commit 196f7ba
* Mon Dec  4 2017 jack@suse.cz
- mm: always enable thp for dax mappings (fate#323590).
  Refresh patches.fixes/dax-use-common-4k-zero-page-for-dax-mmap-reads.patch
- commit a9ff0a7
* Mon Dec  4 2017 oneukum@suse.com
- iwlwifi: mvm: support version 7 of the SCAN_REQ_UMAC FW command (FATE#322675).
- commit be16b41
* Mon Dec  4 2017 jack@suse.cz
- mm: improve readability of transparent_hugepage_enabled()
  (fate#323590).
- commit 52d3d3e
* Mon Dec  4 2017 msuchanek@suse.de
- blacklist 65c5ec11c25e powerpc/boot: Fix 64-bit boot wrapper build with
  non-biarch compiler
  - correct backlisted commit id
- commit 2fd25e6
* Mon Dec  4 2017 oneukum@suse.com
- iwlwifi: fix wrong struct for a000 device (FATE#322675).
- commit 6762404
* Mon Dec  4 2017 jack@suse.cz
- IB/core: disable memory registration of filesystem-dax vmas
  (bsc#1070967).
- commit 68da5e4
* Mon Dec  4 2017 jack@suse.cz
- v4l2: disable filesystem-dax mapping support (bsc#1070967).
- commit add8a46
* Mon Dec  4 2017 jack@suse.cz
- mm: fail get_vaddr_frames() for filesystem-dax mappings
  (bsc#1070967).
- commit 9705a09
* Mon Dec  4 2017 jack@suse.cz
- mm: introduce get_user_pages_longterm (bsc#1070967).
- commit 3240a1e
* Mon Dec  4 2017 jack@suse.cz
- ecryptfs: fix dereference of NULL user_key_payload
  (bsc#1052766).
- commit b2e39ae
* Mon Dec  4 2017 jack@suse.cz
- dax: fix PMD faults on zero-length files (bsc#1052766).
- commit 640b01c
* Mon Dec  4 2017 jack@suse.cz
- quota: Check for register_shrinker() failure (bsc#1052766).
- commit 7ea927a
* Mon Dec  4 2017 jack@suse.cz
- xfs: evict all inodes involved with log redo item (bsc#1052766).
- commit 1e78f32
* Mon Dec  4 2017 jack@suse.cz
- xfs: clear MS_ACTIVE after finishing log recovery (bsc#1052766).
- commit cd4c172
* Mon Dec  4 2017 jack@suse.cz
- mm, hugetlbfs: introduce ->split() to vm_operations_struct
  (bsc#1070968).
- commit b96e8a1
* Mon Dec  4 2017 jack@suse.cz
- device-dax: implement ->split() to catch invalid munmap attempts
  (bsc#1070968).
- commit 542be39
* Mon Dec  4 2017 jack@suse.cz
- 9p: set page uptodate when required in write_end()
  (bsc#1052766).
- commit de002ea
* Mon Dec  4 2017 tbogendoerfer@suse.de
- net: thunderx: Fix TCP/UDP checksum offload for IPv6 pkts
  (bsc#1069583).
- bpf: fix lockdep splat (bsc#1056787).
- net/mlx5e: Add rollback on add VLAN failure (bsc#1046303
  FATE#322944).
- rtnetlink: bring NETDEV_CHANGEMTU event process back in
  rtnetlink_event (bsc#1056787).
- net: sched: fix use-after-free in tcf_action_destroy and
  tcf_del_walker (bsc#1056787).
- commit 7674fd9
* Mon Dec  4 2017 tbogendoerfer@suse.de
- Re-sorted series.conf
- commit da1763f
* Mon Dec  4 2017 mhocko@suse.com
- mm/hugetlb: fix NULL-pointer dereference on 5-level paging
  machine (bnc#1070965).
- commit 008deb0
* Mon Dec  4 2017 mhocko@suse.com
- mm/madvise.c: fix madvise() infinite loop under special
  circumstances (bnc#1070964).
- commit 6645258
* Mon Dec  4 2017 mhocko@suse.com
- mm/cma: fix alloc_contig_range ret code/potential leak
  (bnc#1070962).
- commit 0363569
* Mon Dec  4 2017 mhocko@suse.com
- blacklist.conf: blacklist 3f3295709edea6268ff1609855f498035286af73 as a
  minor optimization
- commit 689fb18
* Fri Dec  1 2017 mcgrof@suse.com
- xfs: Properly retry failed inode items in case of error during buffer writeback (bsc#1070682).
- xfs: Add infrastructure needed for error propagation during buffer IO failure (bsc#1070682).
- commit b6a619b
* Fri Dec  1 2017 jthumshirn@suse.de
- dm, dax: Make sure dm_dax_flush() is called if device supports
  it (FATE#323717).
- Refresh
  patches.drivers/dax-remove-the-pmem_dax_ops-flush-abstraction.patch.
- commit 5a023df
* Fri Dec  1 2017 hare@suse.de
- Btrfs: work around maybe-uninitialized warning (FATE#323952,
  FATE#322506).
- commit c56eb06
* Fri Dec  1 2017 rgoldwyn@suse.com
- apparmor: fix oops in audit_signal_cb hook (bsc#1070227).
- commit da7b6ca
* Fri Dec  1 2017 jthumshirn@suse.de
- dax: convert to bitmask for flags (FATE#323717).
- dax, pmem: introduce an optional 'flush' dax_operation
  (FATE#323717).
- dax: remove the pmem_dax_ops->flush abstraction (FATE#323717).
- dm: add ->copy_from_iter() dax operation support (FATE#323717).
- dm: add ->flush() dax operation support (FATE#323717).
- filesystem-dax: convert to dax_copy_from_iter() (FATE#323717).
- filesystem-dax: convert to dax_flush() (FATE#323717).
- libnvdimm, nd_blk: remove mmio_flush_range() (FATE#323717).
- libnvdimm, pmem, dax: export a cache control attribute
  (FATE#323717).
- libnvdimm, pmem: disable dax flushing when pmem is fronting
  a volatile region (FATE#323717).
- x86, dax, libnvdimm: remove wb_cache_pmem() indirection
  (FATE#323717).
- x86, dax: replace clear_pmem() with open coded memset +
  dax_ops->flush (FATE#323717).
- x86, libnvdimm, pmem: move arch_invalidate_pmem() to libnvdimm
  (FATE#323717).
- Refresh
  patches.fixes/dax-explain-how-read-2-write-2-addresses-are-validat.patch.
- commit 2bc41df
* Fri Dec  1 2017 ohering@suse.de
- hv_netvsc: preserve hw_features on mtu/channels/ringparam
  changes (fate#323887).
- hv_netvsc: hide warnings about uninitialized/missing rndis
  device (fate#323887).
- hv_netvsc: netvsc_teardown_gpadl() split (fate#323887).
- scsi: storvsc: Avoid excessive host scan on controller change
  (fate#323887).
- hyper-v: trace channel events (fate#323887).
- hyper-v: trace vmbus_send_tl_connect_request() (fate#323887).
- hyper-v: trace vmbus_release_relid() (fate#323887).
- hyper-v: trace vmbus_negotiate_version() (fate#323887).
- hyper-v: trace vmbus_teardown_gpadl() (fate#323887).
- hyper-v: trace vmbus_establish_gpadl() (fate#323887).
- hyper-v: trace vmbus_close_internal() (fate#323887).
- hyper-v: trace vmbus_open() (fate#323887).
- hyper-v: trace vmbus_request_offers() (fate#323887).
- hyper-v: trace vmbus_onversion_response() (fate#323887).
- hyper-v: trace vmbus_ongpadl_torndown() (fate#323887).
- hyper-v: trace vmbus_ongpadl_created() (fate#323887).
- hyper-v: trace vmbus_onopen_result() (fate#323887).
- hyper-v: trace vmbus_onoffer_rescind() (fate#323887).
- hyper-v: trace vmbus_onoffer() (fate#323887).
- hyper-v: trace vmbus_on_message() (fate#323887).
- hyper-v: trace vmbus_on_msg_dpc() (fate#323887).
- scsi: storvsc: Allow only one remove lun work item to be issued
  per lun (fate#323887).
- Drivers: hv: vmbus: Make panic reporting to be more useful
  (fate#323887).
- Drivers: hv: vmbus: Expose per-channel interrupts and events
  counters (fate#323887).
- hv_netvsc: Set tx_table to equal weight after subchannels open
  (fate#323887).
- vmbus: initialize reserved fields in messages (fate#323887).
- hv_netvsc: Add initialization of tx_table in netvsc_device_add()
  (fate#323887).
- hv_netvsc: Rename tx_send_table to tx_table (fate#323887).
- hv_netvsc: Rename ind_table to rx_table (fate#323887).
- hv_netvsc: Add ethtool handler to set and get TCP hash levels
  (fate#323887).
- hv_netvsc: Change the hash level variable to bit flags
  (fate#323887).
- HID: hyperv: pr_err() strings should end with newlines
  (fate#323887).
- vmbus: add per-channel sysfs info (fate#323887).
- hv_netvsc: report stop_queue and wake_queue (fate#323887).
- hv_netvsc: Fix the real number of queues of non-vRSS cases
  (fate#323887).
- hv_netvsc: make const array ver_list static, reduces object
  code size (fate#323887).
- commit 76f63c8
* Fri Dec  1 2017 hare@suse.de
- scsi: mpt3sas: remove a stray KERN_INFO (bsc#1067965).
- scsi: mpt3sas: cleanup _scsih_pcie_enumeration_event()
  (bsc#1067965).
- scsi: mpt3sas: fix dma_addr_t casts (bsc#1067965).
- scsi: mpt3sas: Update mpt3sas driver version (bsc#1067965).
- scsi: mpt3sas: Fix sparse warnings (bsc#1067965).
- scsi: mpt3sas: Fix nvme drives checking for tlr (bsc#1067965).
- scsi: mpt3sas: NVMe drive support for BTDHMAPPING ioctl command
  and log info (bsc#1067965).
- scsi: mpt3sas: Add-Task-management-debug-info-for-NVMe-drives
  (bsc#1067965).
- scsi: mpt3sas: scan and add nvme device after controller reset
  (bsc#1067965).
- scsi: mpt3sas: Set NVMe device queue depth as 128 (bsc#1067965).
- scsi: mpt3sas: Handle NVMe PCIe device related events generated
  from firmware (bsc#1067965).
- scsi: mpt3sas: API's to remove nvme drive from sml
  (bsc#1067965).
- scsi: mpt3sas: API 's to support NVMe drive addition to SML
  (bsc#1067965).
- scsi: mpt3sas: Added support for nvme encapsulated request
  message (bsc#1067965).
- scsi: mpt3sas: SGL to PRP Translation for I/Os to NVMe devices
  (bsc#1067965).
- scsi: mpt3sas: Add nvme device support in slave alloc, target
  alloc and probe (bsc#1067965).
- commit 5d6012f
* Fri Dec  1 2017 hare@suse.de
- Rediff patches after sorting series.conf
- patches.arch/s390-sles15-00-10-01-kernel-sthyi-reorganize-sthyi-implementation.patch:
  (FATE#324258, LTC#160415, bsc#1068273).
- Refresh patches.drivers/s390-cpu-alternatives.patch.
- commit 92c2ed1
* Fri Dec  1 2017 ohering@suse.de
- rename a bunch hyperv patches to reflect new upstream ordering
- commit ab8bb68
* Fri Dec  1 2017 hare@suse.de
- patches.arch/s390-sles15-00-10-03-kernel-sthyi-add-s390_sthyi-system-call.patch:
  (FATE#324258, LTC#160415, bsc#1068273).
- patches.arch/s390-sles15-00-10-02-kernel-sthyi-add-cache-to-store-hypervisor-info.patch:
  (FATE#324258, LTC#160415, bsc#1068273).
- patches.arch/s390-sles15-00-10-01-kernel-sthyi-reorganize-sthyi-implementation.patch:
  (FATE#324258, LTC#160415, bsc#1068273).
- commit bbfb48f
* Fri Dec  1 2017 hare@suse.de
- KVM: s390: Support Configuration z/Architecture Mode
  (FATE#324111, LTC#158961,bsc#1066434).
- commit 39c4947
* Fri Dec  1 2017 tbogendoerfer@suse.de
- iw_cxgb4: atomically flush the qp (bsc#1064802 bsc#1066129).
- iw_cxgb4: only call the cq comp_handler when the cq is armed
  (bsc#1064802 bsc#1066129).
- iw_cxgb4: Fix possible circular dependency locking warning
  (bsc#1064802 bsc#1066129).
- iw_cxgb4: remove BUG_ON() usage (bsc#1064802 bsc#1066129).
- RDMA/cxgb4: Protect from possible dereference (bsc#1064802
  bsc#1066129).
- RDMA/cxgb4: Annotate r2 and stag as __be32 (bsc#1064802
  bsc#1066129).
- RDMA/cxgb4: Declare stag as __be32 (bsc#1064802 bsc#1066129).
- RDMA/cxgb4: Remove a set-but-not-used variable (bsc#1064802
  bsc#1066129).
- RDMA/cxgb4: Suppress gcc 7 fall-through complaints (bsc#1064802
  bsc#1066129).
- RDMA/cxgb4: Remove the obsolete kernel module option
  'c4iw_debug' (bsc#1064802 bsc#1066129).
- RDMA/cxgb4: Fix indentation (bsc#1064802 bsc#1066129).
- iw_cxgb4: add referencing to wait objects (bsc#1064802
  bsc#1066129).
- iw_cxgb4: allocate wait object for each ep object (bsc#1064802
  bsc#1066129).
- iw_cxgb4: allocate wait object for each qp object (bsc#1064802
  bsc#1066129).
- iw_cxgb4: allocate wait object for each cq object (bsc#1064802
  bsc#1066129).
- iw_cxgb4: allocate wait object for each memory object
  (bsc#1064802 bsc#1066129).
- iw_cxgb4: change pr_debug to appropriate log level (bsc#1064802
  bsc#1066129).
- iw_cxgb4: Remove __func__ parameter from pr_debug() (bsc#1064802
  bsc#1066129).
- IB/{cxgb3,cxgb4}: Remove unneeded config dependencies
  (bsc#1064802 bsc#1066129).
- cxgb4: collect SGE queue context dump (bsc#1064802 bsc#1066129).
- cxgb4: collect LE-TCAM dump (bsc#1064802 bsc#1066129).
- cxgb4: collect vpd info directly from hardware (bsc#1064802
  bsc#1066129).
- cxgb4vf: define get_fecparam ethtool callback (bsc#1064802
  bsc#1066129).
- cxgb4: fix error return code in cxgb4_set_hash_filter()
  (bsc#1064802 bsc#1066129).
- cxgb4: add support to create hash-filters via tc-flower offload
  (bsc#1064802 bsc#1066129).
- cxgb4: add support to retrieve stats for hash filters
  (bsc#1064802 bsc#1066129).
- cxgb4: add support to delete hash filter (bsc#1064802
  bsc#1066129).
- cxgb4: add support to create hash filters (bsc#1064802
  bsc#1066129).
- cxgb4: initialize hash-filter configuration (bsc#1064802
  bsc#1066129).
- cxgb4: save additional filter tuple field shifts in tp_params
  (bsc#1064802 bsc#1066129).
- cxgb3: Check and handle the dma mapping errors (bsc#1064802
  bsc#1066129).
- cxgb4: collect hardware misc dumps (bsc#1064802 bsc#1066129).
- cxgb4: collect hardware scheduler dumps (bsc#1064802
  bsc#1066129).
- cxgb4: collect PBT tables dump (bsc#1064802 bsc#1066129).
- cxgb4: collect MPS-TCAM dump (bsc#1064802 bsc#1066129).
- cxgb4: collect TID info dump (bsc#1064802 bsc#1066129).
- cxgb4: collect RSS dumps (bsc#1064802 bsc#1066129).
- cxgb4: collect CIM queue configuration dump (bsc#1064802
  bsc#1066129).
- cxgb4: collect hardware LA dumps (bsc#1064802 bsc#1066129).
- cxgb4: fix overflow in collecting IBQ and OBQ dump (bsc#1064802
  bsc#1066129).
- cxgb4: add tc flower support for L3/L4 rewrite (bsc#1064802
  bsc#1066129).
- cxgb4: introduce fw_filter2_wr to prepare for L3/L4 rewrite
  support (bsc#1064802 bsc#1066129).
- cxgb4: add tc flower support for ETH-SMAC rewrite (bsc#1064802
  bsc#1066129).
- cxgb4: introduce SMT ops to prepare for SMAC rewrite support
  (bsc#1064802 bsc#1066129).
- cxgb4: add tc flower support for ETH-DMAC rewrite (bsc#1064802
  bsc#1066129).
- cxgb4: add tc flower support for action PASS (bsc#1064802
  bsc#1066129).
- cxgb4: add tc flower match support for vlan (bsc#1064802
  bsc#1066129).
- cxgb4: add tc flower match support for TOS (bsc#1064802
  bsc#1066129).
- cxgb4: fix missing break in switch and indent return statements
  (bsc#1064802 bsc#1066129).
- cxgb4: collect IBQ and OBQ dumps (bsc#1064802 bsc#1066129).
- cxgb4: collect hardware module dumps (bsc#1064802 bsc#1066129).
- cxgb4: collect TP dump (bsc#1064802 bsc#1066129).
- cxgb4: update API for TP indirect register access (bsc#1064802
  bsc#1066129).
- cxgb4: collect firmware mbox and device log dump (bsc#1064802
  bsc#1066129).
- cxgb4: collect on-chip memory dump (bsc#1064802 bsc#1066129).
- cxgb4: collect register dump (bsc#1064802 bsc#1066129).
- cxgb4: implement ethtool dump data operations (bsc#1064802
  bsc#1066129).
- cxgb4: Add support for new flash parts (bsc#1064802
  bsc#1066129).
- cxgb4vf: make a couple of functions static (bsc#1064802
  bsc#1066129).
- cxgb4: Update comment for min_mtu (bsc#1064802 bsc#1066129).
- cxgb4: make function ch_flower_stats_cb, fixes warning
  (bsc#1064802 bsc#1066129).
- net: sched: introduce helper to identify gact pass action
  (bsc#1064802 bsc#1066129).
- cxgb4: do DCB state reset in couple of places (bsc#1064802
  bsc#1066129).
- cxgb4: fetch stats for offloaded tc flower flows (bsc#1064802
  bsc#1066129).
- cxgb4: add support to offload action vlan (bsc#1064802
  bsc#1066129).
- cxgb4: add basic tc flower offload support (bsc#1064802
  bsc#1066129).
- cxgb4: add tc flower offload skeleton (bsc#1064802 bsc#1066129).
- cxgb4: avoid stall while shutting down the adapter (bsc#1064802
  bsc#1066129).
- net: sched: add couple of goto_chain helpers (bsc#1064802
  bsc#1066129).
- net: sched: introduce helper to identify gact trap action
  (bsc#1064802 bsc#1066129).
- commit 20cef46
* Fri Dec  1 2017 tbogendoerfer@suse.de
- Re-sorted series.conf
- commit 7b3ce49
* Fri Dec  1 2017 ghe@suse.com
- ocfs2: fstrim: Fix start offset of first cluster group during
  fstrim (bsc#1063586).
- commit 0ab4132
* Fri Dec  1 2017 lduncan@suse.com
- target: Move a declaration of a global variable into a header
  file (bsc#1070678).
- commit 4efa2af
* Wed Nov 29 2017 msuchanek@suse.de
- rpm/kernel-binary.spec.in: fix incorrectly moved comment
  While moving # END COMMON DEPS moved following comment with it.
- commit 858b7e7
* Wed Nov 29 2017 jlee@suse.com
- MODSIGN: checking the blacklisted hash before loading a kernel
  module (fate#316531, bnc#854875).
- Delete
  patches.suse/0001-MODSIGN-Print-appropriate-status-message-when-access.patch.
- Delete
  patches.suse/MODSIGN-loading-keys-from-db-when-SecureBoot-disabled.patch.
- commit edc0be3
* Wed Nov 29 2017 jack@suse.cz
- eCryptfs: use after free in ecryptfs_release_messaging()
  (bsc#1052766).
- commit f859ac2
* Wed Nov 29 2017 jlee@suse.com
- MODSIGN: load blacklist from MOKx (fate#316531, bnc#854875).
- Delete
  patches.suse/0001-MODSIGN-check-hash-of-PKCS-7-signed-kernel-module-in.patch.
- commit 803e6b3
* Wed Nov 29 2017 jack@suse.cz
- xfs: skip bmbt block ino validation during owner change
  (bsc#1052766).
- commit 6bfd0e1
* Wed Nov 29 2017 jlee@suse.com
- MODSIGN: print appropriate status message when getting UEFI
  certificates list (fate#316531, bnc#854875).
- Delete
  patches.suse/0002-MODSIGN-load-hash-blacklist-of-modules-from-MOKx.patch.
- commit 7bcb5b3
* Wed Nov 29 2017 jack@suse.cz
- fs/9p: Compare qid.path in v9fs_test_inode (bsc#1052766).
- commit dbfff87
* Wed Nov 29 2017 jack@suse.cz
- mm/page-writeback.c: remove unused parameter from
  balance_dirty_pages() (bsc#1052766).
- blacklist.conf: Blacklist 0fafdc9f888b
- commit 1229ece
* Wed Nov 29 2017 jlee@suse.com
- MODSIGN: do not load mok when secure boot disabled (fate#316531,
  bnc#854875).
- Delete
  patches.suse/0001-MODSIGN-check-hash-of-kernel-module-in-blacklist.patch.
- commit 8579580
* Wed Nov 29 2017 lhenriques@suse.com
- blaclist.conf: ignore a non-critical clk compile-testing fix
- commit e7dbc17
* Wed Nov 29 2017 msuchanek@suse.de
- powerpc/signal: Properly handle return value from
  uprobe_deny_signal() (bsc#1066223, bsc#1065729).
- powerpc/powernv: Make opal_event_shutdown() callable from IRQ
  context (bsc#1066223, bsc#1065729).
- powerpc/opal: Fix EBUSY bug in acquiring tokens (bsc#1066223,
  bsc#1065729).
- commit 8e87d41
* Wed Nov 29 2017 tbogendoerfer@suse.de
- IB/hfi1: Add MODULE_FIRMWARE statements (bsc#1060463 FATE#323043
  bsc#1036800).
- commit 4895106
* Wed Nov 29 2017 mkubecek@suse.cz
- ipsec: Fix aborted xfrm policy dump crash (CVE-2017-16939
  bsc#1069702).
- commit 1423016
* Wed Nov 29 2017 mkubecek@suse.cz
- series.conf: refresh
  (just ran scripts/series_sort.py)
- commit ae21bc7
* Wed Nov 29 2017 tbogendoerfer@suse.de
- RDMA/core: avoid uninitialized variable warning in create_udata
  (bsc#1046306 FATE#322942).
- commit f931b31
* Wed Nov 29 2017 msuchanek@suse.de
- powerpc/perf: Fix core-imc hotplug callback failure during
  imc initialization (FATE#322448, bsc#1054914).
- commit 38573c2
* Wed Nov 29 2017 tbogendoerfer@suse.de
- blacklist.conf: mark duplicate commit
- commit e6f182d
* Wed Nov 29 2017 tbogendoerfer@suse.de
- IB/hfi1: Allow MgmtAllowed on B2B setups (bsc#1060463
  FATE#323043).
- IB/hfi1: Fix incorrect available receive user context count
  (bsc#1060463 FATE#323043).
- commit 040fd09
* Wed Nov 29 2017 jthumshirn@suse.de
- Delete
  patches.fixes/nvme-check-for-disk-before-submitting-cmd.patch.
  Not needed anymore and in fact causing regressions (bsc#1070098).
- commit 1c081cf
* Wed Nov 29 2017 tbogendoerfer@suse.de
- IB/hfi1: Extend input hdr tracing for packet type (bsc#1060463
  FATE#323043).
- Refresh
  patches.drivers/IB-hfi1-Fix-output-trace-issues-from-16B-change.patch.
- commit 5d3e02e
* Wed Nov 29 2017 tbogendoerfer@suse.de
- IB/cm: Fix memory corruption in handling CM request (bsc#1046306
  FATE#322942).
- i40iw: Move cqp_cmd_head init to CQP initialization (bsc#1058659
  FATE#322535).
- i40iw: Remove UDA QP from QoS list if creation fails
  (bsc#1058659 FATE#322535).
- i40iw: Clear CQP Head/Tail during initialization (bsc#1058659
  FATE#322535).
- i40iw: Account for IPv6 header when setting MSS (bsc#1058659
  FATE#322535).
- i40iw: Move exception_lan_queue to VSI structure (bsc#1058659
  FATE#322535).
- i40iw: Ignore AE source field in AEQE for some AEs (bsc#1058659
  FATE#322535).
- i40iw: Cleanup AE processing (bsc#1058659 FATE#322535).
- IB/srp: Avoid that a cable pull can trigger a kernel crash
  (bsc#1046306 FATE#322942).
- i40iw: Do not allow posting WR after QP is flushed (bsc#1058659
  FATE#322535).
- i40iw: Do not generate CQE for RTR on QP flush (bsc#1058659
  FATE#322535).
- i40iw: Do not retransmit MPA request after it is ACKed
  (bsc#1058659 FATE#322535).
- IB/uverbs: clean up INIT_UDATA_BUF_OR_NULL usage (bsc#1046306
  FATE#322942).
- IB/core: Fix calculation of maximum RoCE MTU (bsc#1046306
  FATE#322942).
- net/smc: dev_put for netdev after usage of ib_query_gid()
  (bsc#1046306 FATE#322942).
- net/mlx4_en: Use __force to fix a sparse warning in TX datapath
  (bsc#1046299 FATE#322947).
- net/mlx5: Avoid NULL pointer dereference on steering cleanup
  (bsc#1046303 FATE#322944).
- commit edced08
* Wed Nov 29 2017 mhocko@suse.com
- Update
  patches.kernel.org/4.12.10-050-fork-fix-incorrect-fput-of-exe_file-causing-u.patch
  (bnc#1060662, bnc#1070266, CVE-2017-17052).
- commit e963703
* Wed Nov 29 2017 msuchanek@suse.de
- ibmvnic: fix dma_mapping_error call (bsc#1069942).
  - refresh sorted section
- ibmvnic: Feature implementation of Vital Product Data (VPD)
  for the ibmvnic driver (bsc#1069942).
- commit 4421afe
* Wed Nov 29 2017 msuchanek@suse.de
- ibmvnic: Add vnic client data to login buffer (bsc#1069942).
- commit d008cdc
* Wed Nov 29 2017 tiwai@suse.de
- blacklist.conf: Add an inapplicable DRM blacklist commit
- commit ac5e9b7
* Wed Nov 29 2017 tiwai@suse.de
- video: udlfb: Fix read EDID timeout (bsc#1051510).
- drm/vc4: Account for interrupts in flight (bsc#1051510).
- drm/kirin: Checking for IS_ERR() instead of NULL (bsc#1051510).
- drm/i915: Clear breadcrumb node when cancelling signaling
  (bsc#1051510).
- drm/edid: Don't send non-zero YQ in AVI infoframe for HDMI
  1.x sinks (bsc#1051510).
- drm: handle HDMI 2.0 VICs in AVI info-frames (bsc#1051510).
- drm/tegra: Set MODULE_FIRMWARE for the VIC (bsc#1051510).
- drm/fsl-dcu: avoid disabling pixel clock twice on suspend
  (bsc#1051510).
- drm/atomic-helper: Realign function parameters (bsc#1051510).
- drm/amdgpu: Throttle visible VRAM moves separately
  (bsc#1051510).
- commit a1d9e66
* Wed Nov 29 2017 tiwai@suse.de
- ipmi_si: fix memory leak on new_smi (bsc#1070006).
- ipmi: Prefer ACPI system interfaces over SMBIOS ones
  (bsc#1070006).
- drm/i915: Fix init_clock_gating for resume (bsc#1051510).
- commit e55a660
* Wed Nov 29 2017 lduncan@suse.com
- KEYS: return full count in keyring_read() if buffer is too small
  (bsc#1066478).
- commit db9dfe7
* Tue Nov 28 2017 msuchanek@suse.de
- powerpc/mm/radix: Fix crashes on Power9 DD1 with radix MMU and
  STRICT_RWX (bsc#1055186, fate#323286, git-fixes 7614ff3272a1).
- commit a720d8d
* Tue Nov 28 2017 msuchanek@suse.de
- blacklist: fc2a5a6161a2 powerpc/64s: ppc_save_regs is now needed for
  all 64s builds
- commit 23ca0a5
* Tue Nov 28 2017 msuchanek@suse.de
- powerpc/64s/slice: Use addr limit when computing slice mask
  (bsc#1070169).
- powerpc/64s: mm_context.addr_limit is only used on hash
  (bsc#1070169).
- powerpc/64s/hash: Allow MAP_FIXED allocations to cross 128TB
  boundary (bsc#1070169).
- powerpc/64s/hash: Fix 128TB-512TB virtual address boundary
  case allocation (bsc#1070169).
- powerpc/64s/hash: Fix fork() with 512TB process address space
  (bsc#1070169).
- powerpc/64s/radix: Fix 128TB-512TB virtual address boundary
  case allocation (bsc#1070169).
- powerpc/64s/hash: Fix 512T hint detection to use >= 128T
  (bsc#1070169).
- commit 9e4b8a7
* Tue Nov 28 2017 tbogendoerfer@suse.de
- RDMA/bnxt_re: synchronize poll_cq and req_notify_cq verbs
  (bsc#1050244 FATE#322915).
- RDMA/bnxt_re: Flush CQ notification Work Queue before destroying
  QP (bsc#1050244 FATE#322915).
- RDMA/bnxt_re: Set QP state in case of response completion errors
  (bsc#1050244 FATE#322915).
- RDMA/bnxt_re: Add memory barriers when processing CQ/EQ entries
  (bsc#1050244 FATE#322915).
- bnxt_re: changing the ip address shouldn't affect new
  connections (bsc#1050244 FATE#322915).
- bnxt_re: fix a crash in qp error event processing (bsc#1050244
  FATE#322915).
- bnxt_re: Implement the shutdown hook of the L2-RoCE driver
  interface (bsc#1050244 FATE#322915).
- bnxt_re: Fix incorrect usage of test_bit() (bsc#1050244
  FATE#322915).
- cxgb4: add new T6 pci device id's (bsc#1062057).
- cxgb4: add new T5 pci device id's (bsc#1062057).
- cxgb4: add new T6 pci device id's (bsc#1062057).
- cxgb4: add new T5 pci device id's (bsc#1062057).
- commit c0d6d87
* Tue Nov 28 2017 msuchanek@suse.de
- powerpc/kexec: Fix kexec/kdump in P9 guest kernels
  (bsc#1070053).
- powerpc/powernv: Fix kexec crashes caused by tlbie tracing
  (bsc#1055117, fate#323286, git-fixes 0428491cba92).
- commit 1619f34
* Tue Nov 28 2017 msuchanek@suse.de
- powerpc/perf/imc: Use cpu_to_node() not
  topology_physical_package_id() (FATE#322448, bsc#1054914).
- powerpc/perf: Fix IMC_MAX_PMU macro (FATE#322448, bsc#1054914).
- commit aff096d
* Tue Nov 28 2017 msuchanek@suse.de
- powerpc/book3s: EXPORT_SYMBOL_GPL machine_check_print_event_info
  (bsc#1061840).
- commit bf1a2aa
* Tue Nov 28 2017 msuchanek@suse.de
- KVM: PPC: Book3S HV: Don't call real-mode XICS hypercall
  handlers if not enabled (bsc#1061840).
- KVM: PPC: Book3S HV: Fix exclusion between HPT resizing and
  other HPT updates (bsc#1061840).
- KVM: PPC: Book3S HV: Add more barriers in XIVE load/unload code
  (bsc#1061840).
- KVM: PPC: Book3S HV: Close race with testing for signals on
  guest entry (bsc#1061840).
- KVM: PPC: Book3S HV: Simplify dynamic micro-threading code
  (bsc#1061840).
- KVM: PPC: Book3S HV: Exit guest upon MCE when FWNMI capability
  is enabled (bsc#1061840).
- KVM: PPC: Book3S HV: Add new capability to control MCE behaviour
  (bsc#1061840).
  Refresh patches.drivers/KVM-s390-02-CMMA-tracking-ESSA-emulation-migration-mode.patch.
- commit 1cc7495
* Tue Nov 28 2017 msuchanek@suse.de
- Reorder KVM patches.
- commit 78a9369
* Tue Nov 28 2017 ddiss@suse.de
- target: fix ALUA state file path truncation (bsc#1064606).
- target: fix PR state file path truncation (bsc#1064606).
  Also update patches.drivers/0058-fs-fix-kernel_write-prototype context.
- rbd: set discard_alignment to zero (bsc#1064320).
- commit 684d96b
* Tue Nov 28 2017 mhocko@suse.com
- mm/pagewalk.c: report holes in hugetlb ranges (bnc#1069996,
  CVE-2017-16994).
- commit 346de02
* Mon Nov 27 2017 msuchanek@suse.de
- Do not enforce patch directories yet.
- commit f0d8a60
* Mon Nov 27 2017 dbueso@suse.de
- lib/int_sqrt: adjust comments (bsc#1069436).
- lib/int_sqrt: optimize initial value compute (bsc#1069436).
- lib/int_sqrt: optimize small argument (bsc#1069436).
- kernel/kcmp.c: drop branch leftover typo (bsc#1052639).
- autofs: fix AT_NO_AUTOMOUNT not being honored (bsc#1069987).
- commit 8651b98
* Mon Nov 27 2017 tbogendoerfer@suse.de
- supported.conf: added liquidio, liquidio_vf and opa_vnic
- commit 6dd2c4f
* Mon Nov 27 2017 tbogendoerfer@suse.de
- Update config files.
- commit d61614e
* Mon Nov 27 2017 tbogendoerfer@suse.de
- liquidio: fix timespec64_to_ns typo (bsc#1067126).
- liquidio: fix crash in presence of zeroed-out base address regs
  (bsc#1067126).
- liquidio: show NIC's U-Boot version in a dev_info() message
  (bsc#1067126).
- liquidio: change manner of detecting whether or not NIC firmware
  is loaded (bsc#1067126).
- liquidio: make VF driver notify NIC firmware of MTU change
  (bsc#1067126).
- liquidio: move macro definition to a proper place (bsc#1067126).
- liquidio: fix use of pf in pass-through mode in a virtual
  machine (bsc#1067126).
- liquidio: remove support for deprecated f/w cmd
  OCTNET_CMD_RESET_PF (bsc#1067126).
- liquidio: fix Smatch error (bsc#1067126).
- liquidio: with embedded f/w, issue droq credits before
  enablement (bsc#1067126).
- liquidio: with embedded f/w, don't reload f/w, issue pf flr
  at exit (bsc#1067126).
- liquidio: fix spelling mistake: "interuupt" -> "interrupt"
  (bsc#1067126).
- liquidio: update VF's netdev->max_mtu if there's a change in
  PF's MTU (bsc#1067126).
- liquidio: added support for ethtool --set-channels feature
  (bsc#1067126).
- liquidio: moved octeon_setup_interrupt to lio_core.c
  (bsc#1067126).
- liquidio: moved liquidio_legacy_intr_handler to lio_core.c
  (bsc#1067126).
- liquidio: moved liquidio_msix_intr_handler to lio_core.c
  (bsc#1067126).
- liquidio: fix issues with fw_type module parameter
  (bsc#1067126).
- liquidio: added support for ethtool --set-ring feature
  (bsc#1067126).
- liquidio: moved liquidio_setup_io_queues to lio_core.c
  (bsc#1067126).
- liquidio: moved liquidio_napi_poll to lio_core.c (bsc#1067126).
- liquidio: moved liquidio_napi_drv_callback to lio_core.c
  (bsc#1067126).
- liquidio: moved liquidio_push_packet to lio_core.c
  (bsc#1067126).
- liquidio: moved octeon_setup_droq to lio_core.c (bsc#1067126).
- liquidio: moved update_txq_status to lio_core.c (bsc#1067126).
- liquidio: moved wait_for_pending_requests to octeon_network.h
  (bsc#1067126).
- liquidio: fix duplicated code for different branches
  (bsc#1067126).
- liquidio: update debug console logging mechanism (bsc#1067126).
- liquidio: moved ptp_enable to octeon_device structure
  (bsc#1067126).
- liquidio: removed check for queue size alignment (bsc#1067126).
- liquidio: rx/tx queue cleanup (bsc#1067126).
- liquidio: napi cleanup (bsc#1067126).
- liquidio: fix misspelled firmware image filenames (bsc#1067126).
- liquidio: fix wrong info about vf rx/tx ring parameters reported
  to ethtool (bsc#1067126).
- liquidio: moved console_bitmask module param to lio_main.c
  (bsc#1067126).
- liquidio: add missing strings in oct_dev_state_str array
  (bsc#1067126).
- liquidio: set sriov_totalvfs correctly (bsc#1067126).
- liquidio: bump up driver version to match newer NIC firmware
  (bsc#1067126).
- liquidio: cleanup: removed cryptic and misleading macro
  (bsc#1067126).
- liquidio: standardization: use min_t instead of custom macro
  (bsc#1067126).
- liquidio: fix implicit irq include causing build failures
  (bsc#1067126).
- liquidio: lio_main: remove unnecessary static in
  setup_io_queues() (bsc#1067126).
- liquidio: lio_vf_main: remove unnecessary static in
  setup_io_queues() (bsc#1067126).
- liquidio: lowmem: init allocated memory to 0 (bsc#1067126).
- liquidio: lowmem: do not dereference null ptr (bsc#1067126).
- liquidio: lowmem: init allocated memory to 0 (bsc#1067126).
- liquidio: support new firmware statistic fw_err_pki
  (bsc#1067126).
- liquidio: fix possible eeprom format string overflow
  (bsc#1067126).
- liquidio: stop using huge static buffer, save 4096k in .data
  (bsc#1067126).
- liquidio: replace info-pointer mode with buffer-pointer-only
  mode (bsc#1067126).
- liquidio: implement vlan filter enable and disable
  (bsc#1067126).
- liquidio: fix VF driver off-by-one bug when setting ethtool
  - C ethX rx-frames (bsc#1067126).
- liquidio: disallow enabling firmware debug from a VF
  (bsc#1067126).
- liquidio: Fix checkpatch errors with references crossing single
  line (bsc#1067126).
- liquidio: VF interrupt initialization cleanup (bsc#1067126).
- liquidio: fix inaccurate count of napi-processed rx packets
  reported to Octeon (bsc#1067126).
- liquidio: fix rare pci_driver.probe failure of VF driver
  (bsc#1067126).
- liquidio: make the spinlock octeon_devices_lock static
  (bsc#1067126).
- liquidio: fix PF falsely indicating success at setting MAC
  address of a nonexistent VF (bsc#1067126).
- liquidio: fix insmod failure when multiple NICs are plugged in
  (bsc#1067126).
- liquidio: use pcie_flr instead of duplicating it (bsc#1067126).
- commit 4fe19f6
* Mon Nov 27 2017 tbogendoerfer@suse.de
- IB/rxe: put the pool on allocation failure (bsc#1050662
  FATE#323951).
- commit 927c30e
* Mon Nov 27 2017 pmladek@suse.com
- printk: Make sure to wake up printk kthread from irq work for
  pending output (bnc#744692, bnc#789311).
- Refresh patches.suse/printk-make-synchronous-param-rw.patch.
- commit 2e337de
* Mon Nov 27 2017 tbogendoerfer@suse.de
- IB/rxe: don't crash, if allocation of crc algorithm failed
  (bsc#1051635).
- IB/rxe: check for allocation failure on elem (bsc#1050662
  FATE#323951).
- i40e: Avoid some useless variables and initializers in NVM
  functions (bsc#1056658 FATE#322188).
- i40e: Add programming descriptors to cleaned_count (bsc#1056658
  FATE#322188).
- i40e: Fix incorrect use of tx_itr_setting when checking for
  Rx ITR setup (bsc#1056658 FATE#322188).
- ixgbe: Fix Tx map failure path (bsc#1056657 FATE#322189
  bsc#1056653 FATE#322190).
- igb: Fix TX map failure path (bsc#1056651 FATE#322191
  bsc#1056643 FATE#322192).
- e1000: avoid null pointer dereference on invalid stat type
  (bsc#1056665 FATE#322184).
- e1000: fix race condition between e1000_down() and
  e1000_watchdog (bsc#1056665 FATE#322184).
- i40e: Fix memory leak related filter programming status
  (bsc#1056658 FATE#322188).
- i40e: Fix comment about locking for __i40e_read_nvm_word()
  (bsc#1056658 FATE#322188).
- ixgbe: incorrect XDP ring accounting in ethtool tx_frame param
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: fix masking of bits read from IXGBE_VXLANCTRL register
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: Return error when getting PHY address if PHY access is
  not supported (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- commit 71a839f
* Mon Nov 27 2017 pmladek@suse.com
- Port async printk for SLE15 (bsc#744692, bsc#789311, bsc#995541, bsc#1034995, bsc#1043347)
- Refresh
  patches.suse/printk-Switch-to-the-sync-mode-when-an-emergency-mes.patch.
- Refresh patches.suse/printk-fix-suspend-hang.patch.
- Refresh patches.suse/printk-make-async.patch.
- Refresh
  patches.suse/printk-xen-Force-printk-sync-mode-when-migrating-Xen.patch.
- commit b97b16d
* Mon Nov 27 2017 jthumshirn@suse.de
- Update config files, activate NVMe multipathing on the default kernel.
- commit 02da60f
* Mon Nov 27 2017 jthumshirn@suse.de
- nvmet_fc: fix better length checking (FATE#323952, FATE#322506).
- nvme: expose subsys attribute to sysfs (FATE#323952,
  FATE#322506).
- nvme: create 'slaves' and 'holders' entries for hidden
  controllers (FATE#323952, FATE#322506).
- block: create 'slaves' and 'holders' entries for hidden gendisks
  (FATE#323952, FATE#322506).
- nvme: also expose the namespace identification sysfs files
  for mpath nodes (FATE#323952, FATE#322506).
- nvme: implement multipath access to nvme subsystems
  (FATE#323952, FATE#322506).
- nvme: track shared namespaces (FATE#323952, FATE#322506).
- nvme: introduce a nvme_ns_ids structure (FATE#323952,
  FATE#322506).
- nvme: track subsystems (FATE#323952, FATE#322506).
- commit 6e1681a
* Mon Nov 27 2017 tbogendoerfer@suse.de
- Update config files.
- commit 81510df
* Mon Nov 27 2017 vbabka@suse.cz
- x86/mm: fix use-after-free of vma during userfaultfd fault
  (Git-fixes, bsc#1069916).
- x86/mm: Fix fault error path using unsafe vma pointer
  (Git-fixes, bsc#1069916).
- commit 26d860b
* Mon Nov 27 2017 jthumshirn@suse.de
- nvmet: kill nvmet_inline_bio_init (FATE#323952, FATE#322506).
- nvmet: better data length validation (FATE#323952, FATE#322506).
- nvme-pci: avoid dereference of symbol from unloaded module
  (FATE#323952, FATE#322506).
- nvme: send uevent for some asynchronous events (FATE#323952,
  FATE#322506).
- nvme: unexport starting async event work (FATE#323952,
  FATE#322506).
- nvme: remove handling of multiple AEN requests (FATE#323952,
  FATE#322506).
- nvme-fc: remove unused "queue_size" field (FATE#323952,
  FATE#322506).
- nvme: centralize AEN defines (FATE#323952, FATE#322506).
- nvmet: remove redundant local variable (FATE#323952,
  FATE#322506).
- nvmet: remove redundant memset if failed to get_smart_log failed
  (FATE#323952, FATE#322506).
- blk-mq: Avoid that request queue removal can trigger list
  corruption (FATE#323952, FATE#322506).
- commit de963be
* Mon Nov 27 2017 tbogendoerfer@suse.de
- qed: Fix iWARP out of order flow (bsc#1050536 FATE#322898
  bsc#1050545 FATE#322893).
- Refresh
  patches.drivers/IB-Move-PCI-dependency-from-root-KConfig-to-HW-s-KCo.patch.
- commit 8815545
* Mon Nov 27 2017 jthumshirn@suse.de
- nvme: fix eui_show() print format (FATE#323952, FATE#322506).
- nvme: compare NQN string with right size (FATE#323952,
  FATE#322506).
- nvmet: fix comment typos in admin-cmd.c (FATE#323952,
  FATE#322506).
- nvme-rdma: fix nvme_rdma_create_queue_ib error flow
  (FATE#323952, FATE#322506).
- nvmet-rdma: update queue list during ib_device removal
  (FATE#323952, FATE#322506).
- nvme-fc: decouple ns references from lldd references
  (FATE#323952, FATE#322506).
- nvme-fc: fix localport resume using stale values (FATE#323952,
  FATE#322506).
- nvme: check admin passthru command effects (FATE#323952,
  FATE#322506).
- nvme: factor get log into a helper (FATE#323952, FATE#322506).
- nvme: fix and clarify the check for missing metadata
  (FATE#323952, FATE#322506).
- nvme: split __nvme_revalidate_disk (FATE#323952, FATE#322506).
- nvme: set the chunk size before freezing the queue (FATE#323952,
  FATE#322506).
- nvme: don't pass struct nvme_ns to nvme_config_discard
  (FATE#323952, FATE#322506).
- nvme: don't pass struct nvme_ns to nvme_init_integrity
  (FATE#323952, FATE#322506).
- nvme: always unregister the integrity profile in
  __nvme_revalidate_disk (FATE#323952, FATE#322506).
- nvme: move the dying queue check from cancel to completion
  (FATE#323952, FATE#322506).
- commit de01ab6
* Mon Nov 27 2017 jthumshirn@suse.de
- Re-sort series.conf
- commit 3402cbf
* Mon Nov 27 2017 tbogendoerfer@suse.de
- nfp: inherit the max_mtu from the PF netdev (bsc#1055968).
- nfp: fix vlan receive MAC statistics typo (bsc#1055968).
- nfp: fix flower offload metadata flag usage (bsc#1055968).
- IB/core: Only maintain real QPs in the security lists
  (bsc#1046306 FATE#322942).
- IB/hfi1: Mask upper 16Bits of Extended LID prior to rvt_cq_entry
  (bsc#1046306 FATE#322942).
- IB/core: Convert OPA AH to IB for Extended LIDs only
  (bsc#1046306 FATE#322942).
- IB/core: Avoid crash on pkey enforcement failed in received MADs
  (bsc#1046306 FATE#322942).
- IB/mlx4: Fix RSS's QPC attributes assignments (bsc#1046302
  FATE#322945).
- IB/hfi1: Set hdr_type when tx req is allocated (bsc#1060463
  FATE#323043).
- IB/hfi1: Eliminate allocation while atomic (bsc#1060463
  FATE#323043).
- IB/hfi1: Mask out A bit from psn trace (bsc#1060463
  FATE#323043).
- IB/core: Fix endianness annotation in rdma_is_multicast_addr()
  (bsc#1046306 FATE#322942).
- infiniband: add MMU dependency for user_mem (bsc#1046306
  FATE#322942).
- IB/hfi1: Do not warn on lid conversions for OPA (bsc#1046306
  FATE#322942).
- IB/core: Do not warn on lid conversions for OPA (bsc#1046306
  FATE#322942).
- IB/core: Use __be32 for LIDs in opa_is_extended_lid (bsc#1046306
  FATE#322942).
- IB/hfi1: Prevent LNI out of sync by resetting host interface
  version (bsc#1060463 FATE#323043).
- IB/hfi1: Fix output trace issues from 16B change (bsc#1060463
  FATE#323043).
- IB/core: Fix use workqueue without WQ_MEM_RECLAIM (bsc#1046306
  FATE#322942).
- qed: Add iWARP support for fpdu spanned over more than two
  tcp packets (bsc#1050536 FATE#322898 bsc#1050545 FATE#322893).
- qed: Add support for MPA header being split over two tcp packets
  (bsc#1050536 FATE#322898 bsc#1050545 FATE#322893).
- qed: Add support for freeing two ll2 buffers for corner cases
  (bsc#1050536 FATE#322898 bsc#1050545 FATE#322893).
- qed: Add unaligned and packed packet processing (bsc#1050536
  FATE#322898 bsc#1050545 FATE#322893).
- qed: Add mpa buffer descriptors for storing and processing
  mpa fpdus (bsc#1050536 FATE#322898 bsc#1050545 FATE#322893).
- qed: Add ll2 connection for processing unaligned MPA packets
  (bsc#1050536 FATE#322898 bsc#1050545 FATE#322893).
- qed: Add LL2 slowpath handling (bsc#1050536 FATE#322898
  bsc#1050545 FATE#322893).
- qed: Add the source of a packet sent on an iWARP ll2 connection
  (bsc#1050536 FATE#322898 bsc#1050545 FATE#322893).
- qed: Fix initialization of ll2 offload feature (bsc#1050536
  FATE#322898 bsc#1050545 FATE#322893).
- qed: Add ll2 option for dropping a tx packet (bsc#1050536
  FATE#322898 bsc#1050545 FATE#322893).
- qed: Add ll2 ability of opening a secondary queue (bsc#1050536
  FATE#322898 bsc#1050545 FATE#322893).
- qed: Add ll2 option to limit the number of bds per packet
  (bsc#1050536 FATE#322898 bsc#1050545 FATE#322893).
- qed: Delete redundant check on dcb_app priority (bsc#1050536
  FATE#322898 bsc#1050545 FATE#322893).
- qed: iWARP - Add check for errors on a SYN packet (bsc#1050536
  FATE#322898 bsc#1050545 FATE#322893).
- qed: Fix maximum number of CQs for iWARP (bsc#1050536
  FATE#322898 bsc#1050545 FATE#322893).
- qed: Add iWARP out of order support (bsc#1050536 FATE#322898
  bsc#1050545 FATE#322893).
- qed: Add iWARP enablement support (bsc#1050536 FATE#322898
  bsc#1050545 FATE#322893).
- commit f5625a0
* Mon Nov 27 2017 tbogendoerfer@suse.de
- Re-sorted patches
- commit b5ad2da
* Mon Nov 27 2017 tiwai@suse.de
- Revert a broken USB-audio patch (bsc#1051510)
  Delete
  patches.drivers/ALSA-usb-audio-Fix-potential-zero-division-at-parsin.
  Also blacklist it.
- commit 6ef0b1b
* Mon Nov 27 2017 hare@suse.de
- block: avoid null pointer dereference on null disk (FATE#323952,
  FATE#322506).
- commit 81a37d2
* Mon Nov 27 2017 hare@suse.de
- bio: ensure __bio_clone_fast copies bi_partno (FATE#323952,
  FATE#322506).
- fs: guard_bio_eod() needs to consider partitions (FATE#323952,
  FATE#322506).
- block: add a poll_fn callback to struct request_queue
  (FATE#323952, FATE#322506).
- block: introduce GENHD_FL_HIDDEN (FATE#323952, FATE#322506).
- block: don't look at the struct device dev_t in disk_devt
  (FATE#323952, FATE#322506).
- block: add a blk_steal_bios helper (FATE#323952, FATE#322506).
- block: provide a direct_make_request helper (FATE#323952,
  FATE#322506).
- block: add REQ_DRV bit (FATE#323952, FATE#322506).
- block: move REQ_NOWAIT (FATE#323952, FATE#322506).
- btrfs: Fix bug for misused dev_t when lookup in dev state hash
  table (FATE#323952, FATE#322506).
- block: tolerate tracing of NULL bio (FATE#323952, FATE#322506).
- commit ad4c58e
* Mon Nov 27 2017 hare@suse.de
- block: replace bi_bdev with a gendisk pointer and partitions
  index (FATE#323952, FATE#322506).
- Refresh
  patches.drivers/0004-md-Runtime-support-for-multiple-ppls.patch.
- Refresh
  patches.drivers/nvme-factor-metadata-handling-out-of-__nvme_submit_u.patch.
- Refresh
  patches.fixes/nvme-check-for-disk-before-submitting-cmd.patch.
- commit 2c78f3d
* Fri Nov 24 2017 lhenriques@suse.com
- iommu/vt-d: Don't register bus-notifier under dmar_global_lock
  (bsc#1069793).
- commit 0f58c9b
* Fri Nov 24 2017 tiwai@suse.de
- rpm/kernel-binary.spec.in: Correct supplements for recent SLE products (bsc#1067494)
- commit 8f05b9f
* Fri Nov 24 2017 yousaf.kaukab@suse.com
- hwmon: (xgene) Fix up error handling path mixup in
  'xgene_hwmon_probe()' (bsc#1069757).
- mmc: dw_mmc: Fix the DTO timeout calculation (bsc#1069721).
- mmc: core: add driver strength selection when selecting hs400es
  (bsc#1069721).
- commit 75c3fc9
* Fri Nov 24 2017 jkosina@suse.cz
- HID: elo: clear BTN_LEFT mapping (bsc#1065866).
- commit 9f9219a
* Fri Nov 24 2017 mbrugger@suse.com
- net: hns: set correct return value (bsc#1068693).
- scsi: libsas: move bus_reset_handler() to target_reset_handler()
  (bsc#1068693).
- scsi: hisi_sas: remove driver versioning (bsc#1068693).
- scsi: hisi_sas: add status and command buffer for internal abort
  (bsc#1068693).
- scsi: hisi_sas: support zone management commands (bsc#1068693).
- scsi: hisi_sas: service interrupt ITCT_CLR interrupt in v2 hw
  (bsc#1068693).
- scsi: hisi_sas: add irq and tasklet cleanup in v2 hw
  (bsc#1068693).
- scsi: hisi_sas: remove repeated device config in v2 hw
  (bsc#1068693).
- scsi: hisi_sas: use array for v2 hw ECC errors (bsc#1068693).
- scsi: hisi_sas: add v2 hw DFX feature (bsc#1068693).
- scsi: hisi_sas: fix v2 hw underflow residual value
  (bsc#1068693).
- scsi: hisi_sas: avoid potential v2 hw interrupt issue
  (bsc#1068693).
- scsi: hisi_sas: fix reset and port ID refresh issues
  (bsc#1068693).
- net: hns: Fix for __udivdi3 compiler error (bsc#1068693).
- net: hns: Add self-adaptive interrupt coalesce support in hns
  driver (bsc#1068693).
- hns: remove useless void cast (bsc#1068693).
- clocksource/drivers/arm_arch_timer: Avoid infinite recursion
  when ftrace is enabled (bsc#1068693).
- net: hns: add acpi function of xge led control (bsc#1068693).
- scsi: hisi_sas: make several const arrays static (bsc#1068693).
- net: hns: Bugfix for Tx timeout handling in hns driver
  (bsc#1068693).
- net: hns: Fix a skb used after free bug (bsc#1068693).
- net: hns: Fix a wrong op phy C45 code (bsc#1068693).
- scsi: hisi_sas: optimise DMA slot memory (bsc#1068693).
- scsi: hisi_sas: redefine hisi_sas_phy.phy_type as u32
  (bsc#1068693).
- scsi: hisi_sas: modify internal abort dev flow for v3 hw
  (bsc#1068693).
- scsi: hisi_sas: add v3 code to fill some more hw function
  pointers (bsc#1068693).
- scsi: hisi_sas: add get_wideport_bitmap_v3_hw() (bsc#1068693).
- scsi: hisi_sas: add v3 code to send internal abort command
  (bsc#1068693).
- scsi: hisi_sas: add v3 code for itct setup and free
  (bsc#1068693).
- scsi: hisi_sas: add v3 code to send ATA frame (bsc#1068693).
- scsi: hisi_sas: add v3 code to send SMP frame (bsc#1068693).
- scsi: hisi_sas: add v3 code to send SSP frame (bsc#1068693).
- scsi: hisi_sas: add v3 cq interrupt handler (bsc#1068693).
- scsi: hisi_sas: add phy up/down/bcast and channel ISR
  (bsc#1068693).
- scsi: hisi_sas: add v3 hw PHY init (bsc#1068693).
- scsi: hisi_sas: add v3 hw init (bsc#1068693).
- scsi: hisi_sas: add initialisation for v3 pci-based controller
  (bsc#1068693).
- scsi: hisi_sas: add skeleton v3 hw driver (bsc#1068693).
- scsi: hisi_sas: create hisi_sas_get_fw_info() (bsc#1068693).
- scsi: hisi_sas: add pci_dev in hisi_hba struct (bsc#1068693).
- scsi: hisi_sas: relocate get_ncq_tag_v2_hw() (bsc#1068693).
- scsi: hisi_sas: relocate sata_done_v2_hw() (bsc#1068693).
- scsi: hisi_sas: relocate get_ata_protocol() (bsc#1068693).
- scsi: hisi_sas: optimise the usage of hisi_hba.lock
  (bsc#1068693).
- scsi: hisi_sas: define hisi_sas_device.device_id as int
  (bsc#1068693).
- scsi: hisi_sas: fix timeout check in
  hisi_sas_internal_task_abort() (bsc#1068693).
- scsi: hisi_sas: add null check before indirect pointer
  dereference (bsc#1068693).
- net: hns: Use phy_driver to setup Phy loopback (bsc#1068693).
- net: phy: Add phy loopback support in net phy framework
  (bsc#1068693).
- commit b48234d
* Fri Nov 24 2017 vbabka@suse.cz
- mm, page_alloc: fix potential false positive in
  __zone_watermark_ok (Git-fixes, bsc#1068978).
- commit 79749ae
* Fri Nov 24 2017 tiwai@suse.de
- ALSA: timer: Remove kernel warning at compat ioctl error paths
  (bsc#1051510).
- ALSA: pcm: update tstamp only if audio_tstamp changed
  (bsc#1051510).
- ALSA: usb-audio: Add sanity checks in v2 clock parsers
  (bsc#1051510).
- ALSA: usb-audio: Fix potential zero-division at parsing FU
  (bsc#1051510).
- ALSA: usb-audio: Fix potential out-of-bound access at parsing SU
  (bsc#1051510).
- ALSA: usb-audio: Add sanity checks to FE parser (bsc#1051510).
- ALSA: usb-audio: uac1: Invalidate ctl on interrupt
  (bsc#1051510).
- ALSA: hda: Add Raven PCI ID (bsc#1051510).
- ALSA: hda/realtek - Fix ALC700 family no sound issue
  (bsc#1051510).
- ALSA: hda/realtek: Add headset mic support for Intel NUC Skull
  Canyon (bsc#1051510).
- ALSA: hda: Fix too short HDMI/DP chmap reporting (bsc#1051510).
- ALSA: hda/realtek - Fix ALC275 no sound issue (bsc#1051510).
- commit 2816ae2
* Fri Nov 24 2017 jack@suse.cz
- ext4: fix null pointer dereference on sbi (fate#322879).
- commit f2b1207
* Fri Nov 24 2017 jack@suse.cz
- dax: fix FS_DAX=n BLOCK=y compilation (fate#322879).
- commit e1180b5
* Thu Nov 23 2017 yousaf.kaukab@suse.com
- i2c: xlp9xx: Handle I2C_M_RECV_LEN in msg->flags (bsc#1067225).
- i2c: xlp9xx: Get clock frequency with clk API (bsc#1067225).
- i2c: xlp9xx: Enable HWMON class probing for xlp9xx (bsc#1067225).
- PCI: Mark Cavium CN8xxx to avoid bus reset (bsc#1069250).
- PCI: Apply Cavium ThunderX ACS quirk to more Root Ports (bsc#1069250).
- PCI: Set Cavium ACS capability quirk flags to assert RR/CR/SV/UF (bsc#1069250).
- ACPI / APD: Add clock frequency for ThunderX2 I2C controller (bsc#1067225).
- commit de9db6c
* Thu Nov 23 2017 tiwai@suse.de
- blacklist.conf: Add an iwlwifi blacklist commit
- commit c177979
* Thu Nov 23 2017 tiwai@suse.de
- iwlwifi: fix multi queue notification for a000 devices
  (bsc#1051510).
- iwlwifi: mvm: reset seq num after restart (bsc#1051510).
- iwlwifi: mvm: add missing lq_color (bsc#1051510).
- mac80211: validate user rate mask before configuring driver
  (bsc#1051510).
- iwlwifi: mvm: fix reorder buffer for 9000 devices (bsc#1051510).
- nl80211: fix null-ptr dereference on invalid mesh configuration
  (bsc#1051510).
- nl80211: look for HT/VHT capabilities in beacon's tail
  (bsc#1051510).
- mac80211: agg-tx: call drv_wake_tx_queue in proper context
  (bsc#1051510).
- mwifiex: replace netif_carrier_on/off by
  netif_device_attach/dettach (bsc#1051510).
- commit f574816
* Thu Nov 23 2017 tiwai@suse.de
- blacklist.conf: Blacklist an already-applied drm commit
- commit 3376c3c
* Thu Nov 23 2017 tiwai@suse.de
- drm/sun4i: tcon: Unconditionally reset the TCON (bsc#1051510).
- drm/sun4i: backend: Offset layer buffer address by DRAM starting
  address (bsc#1051510).
- drm/radeon: disable hard reset in hibernate for APUs
  (bsc#1051510).
- drm/nouveau/kms/nv50: perform null check on msto[i] rathern
  than msto (bsc#1051510).
- drm/i915/perf: fix perf enable/disable ioctls with 32bits
  userspace (bsc#1051510).
- drm/i915: Use crtc_state_is_legacy_gamma in intel_color_check
  (bsc#1051510).
- drm/bridge/sii8620: Fix memory corruption (bsc#1051510).
- commit ff1cf1f
* Thu Nov 23 2017 jthumshirn@suse.de
- Refresh
  patches.drivers/block-Fix-a-race-between-blk_cleanup_queue-and-timeo.patch.
- Refresh
  patches.drivers/block-introduce-blk_mq_tagset_iter.patch.
- Refresh patches.drivers/block-remove-blk_mq_reinit_tagset.patch.
- Refresh patches.drivers/nvme-Remove-unused-headers.patch.
- Refresh patches.drivers/nvme-add-duplicate_connect-option.patch.
- Refresh
  patches.drivers/nvme-add-helper-to-compare-options-to-controller.patch.
- Refresh
  patches.drivers/nvme-allow-controller-RESETTING-to-RECONNECTING-tran.patch.
- Refresh
  patches.drivers/nvme-check-for-a-live-controller-in-nvme_dev_open.patch.
- Refresh
  patches.drivers/nvme-comment-typo-fixed-in-clearing-AER.patch.
- Refresh
  patches.drivers/nvme-consolidate-common-code-from-reset_work.patch.
- Refresh
  patches.drivers/nvme-fc-add-a-dev_loss_tmo-field-to-the-remoteport.patch.
- Refresh
  patches.drivers/nvme-fc-add-dev_loss_tmo-timeout-and-remoteport-resu.patch.
- Refresh
  patches.drivers/nvme-fc-add-support-for-duplicate_connect-option.patch.
- Refresh
  patches.drivers/nvme-fc-add-uevent-for-auto-connect.patch.
- Refresh
  patches.drivers/nvme-fc-avoid-workqueue-flush-stalls.patch.
- Refresh
  patches.drivers/nvme-fc-change-ctlr-state-assignments-during-reset-r.patch.
- Refresh
  patches.drivers/nvme-fc-check-connectivity-before-initiating-reconne.patch.
- Refresh
  patches.drivers/nvme-fc-merge-__nvme_fc_schedule_delete_work-into-__.patch.
- Refresh
  patches.drivers/nvme-fc-remove-NVME_FC_MAX_SEGMENTS.patch.
- Refresh
  patches.drivers/nvme-flush-reset_work-before-safely-continuing-with-.patch.
- Refresh patches.drivers/nvme-get-rid-of-nvme_ctrl_list.patch.
- Refresh patches.drivers/nvme-introduce-nvme_reinit_tagset.patch.
- Refresh
  patches.drivers/nvme-move-controller-deletion-to-common-code.patch.
- Refresh
  patches.drivers/nvme-rdma-Add-debug-message-when-reaches-timeout.patch.
- Refresh
  patches.drivers/nvme-rdma-add-support-for-duplicate_connect-option.patch.
- Refresh
  patches.drivers/nvme-rdma-align-nvme_rdma_device-structure.patch.
- Refresh
  patches.drivers/nvme-rdma-remove-nvme_rdma_remove_ctrl.patch.
- Refresh
  patches.drivers/nvme-rdma-reuse-nvme_delete_ctrl-when-reconnect-atte.patch.
- Refresh patches.drivers/nvme-simplify-nvme_open.patch.
- Refresh
  patches.drivers/nvme-switch-controller-refcounting-to-use-struct-dev.patch.
- Refresh
  patches.drivers/nvme-use-kref_get_unless_zero-in-nvme_find_get_ns.patch.
- Refresh patches.drivers/nvmet-fix-fatal_err_work-deadlock.patch.
  Update Patch-mainline tag.
- commit b021439
* Thu Nov 23 2017 hare@suse.de
- block: cache the partition index in struct block_device
  (FATE#323952, FATE#322506).
- block: add a __disk_get_part helper (FATE#323952, FATE#322506).
- block: reject attempts to allocate more than DISK_MAX_PARTS
  partitions (FATE#323952, FATE#322506).
- raid5: remove a call to get_start_sect (FATE#323952,
  FATE#322506).
- btrfs: index check-integrity state hash by a dev_t (FATE#323952,
  FATE#322506).
- commit f184e50
* Thu Nov 23 2017 tiwai@suse.de
- blacklist.conf: Add an amdgpu blacklist commit (bsc#1051510)
- commit 08272a2
* Thu Nov 23 2017 tiwai@suse.de
- drm/amd/powerplay: initialize a variable before using it
  (bsc#1051510).
- commit c3e3026
* Thu Nov 23 2017 tiwai@suse.de
- Refresh patches.fixes/drm-amdgpu-revert-update-tile-table-for-oland-hainan.patch
  Add the upstream commit information.
- commit 24df947
* Thu Nov 23 2017 tiwai@suse.de
- mmc: sdhci-pci: remove outdated declaration (bsc#1051510).
- mmc: sdhci-pci: Fix default d3_retune for Intel host controllers
  (bsc#1051510).
- staging: rtl8723bs: avoid null pointer dereference on pmlmepriv
  (bsc#1051510).
- rtlwifi: rtl8821ae: Fix HW_VAR_NAV_UPPER operation
  (bsc#1051510).
- PM / devfreq: Fix memory leak when fail to register device
  (bsc#1051510).
- commit 6bc162b
* Thu Nov 23 2017 tiwai@suse.de
- mfd: intel_soc_pmic: Export separate mfd-cell configs for BYT
  and CHT (bsc#1051510).
- Refresh
  patches.drivers/mfd-intel_soc_pmic-Differentiate-between-Bay-and-Che.
- commit 07bf2c4
* Thu Nov 23 2017 tiwai@suse.de
- ASoC: sun8i-codec: Fix left and right channels inversion
  (bsc#1051510).
- ASoC: cs42l56: Fix reset GPIO name in example DT binding
  (bsc#1051510).
- ALSA: usb-audio: support new Amanero Combo384 firmware version
  (bsc#1051510).
- ALSA: timer: Add missing mutex lock for compat ioctls
  (bsc#1051510).
- ALSA: compress: Remove unused variable (bsc#1051510).
- commit 42e54fa
* Thu Nov 23 2017 hare@suse.de
- Move MD RAID patches to ordered section
- Refresh
  patches.drivers/0001-raid5-ppl-check-recovery_offset-when-performing-ppl-.patch.
- Refresh
  patches.drivers/0002-raid5-ppl-don-t-resync-after-rebuild.patch.
- commit eb74fe0
* Thu Nov 23 2017 hare@suse.de
- blk-mq: enable checking two part inflight counts at the same
  time (FATE#323952, FATE#322506).
- blk-mq: provide internal in-flight variant (FATE#323952,
  FATE#322506).
- block: make part_in_flight() take an array of two ints
  (FATE#323952, FATE#322506).
- block: pass in queue to inflight accounting (FATE#323952,
  FATE#322506).
- blk-mq-tag: check for NULL rq when iterating tags (FATE#323952,
  FATE#322506).
- commit 1b31ec9
* Thu Nov 23 2017 jthumshirn@suse.de
- nvme: comment typo fixed in clearing AER (FATE#323952,
  FATE#322506).
- nvme: Remove unused headers (FATE#323952, FATE#322506).
- nvmet: fix fatal_err_work deadlock (FATE#323952, FATE#322506).
- nvme-fc: add dev_loss_tmo timeout and remoteport resume support
  (FATE#323952, FATE#322506).
- nvme: allow controller RESETTING to RECONNECTING transition
  (FATE#323952, FATE#322506).
- nvme-fc: check connectivity before initiating reconnects
  (FATE#323952, FATE#322506).
- nvme-fc: add a dev_loss_tmo field to the remoteport
  (FATE#323952, FATE#322506).
- nvme-fc: change ctlr state assignments during reset/reconnect
  (FATE#323952, FATE#322506).
- nvme: flush reset_work before safely continuing with delete
  operation (FATE#323952, FATE#322506).
- nvme-rdma: reuse nvme_delete_ctrl when reconnect attempts expire
  (FATE#323952, FATE#322506).
- nvme: consolidate common code from ->reset_work (FATE#323952,
  FATE#322506).
- nvme-rdma: remove nvme_rdma_remove_ctrl (FATE#323952,
  FATE#322506).
- nvme: move controller deletion to common code (FATE#323952,
  FATE#322506).
- nvme-fc: merge __nvme_fc_schedule_delete_work into
  __nvme_fc_del_ctrl (FATE#323952, FATE#322506).
- nvme-fc: avoid workqueue flush stalls (FATE#323952,
  FATE#322506).
- nvme-fc: remove NVME_FC_MAX_SEGMENTS (FATE#323952, FATE#322506).
- nvme-fc: add support for duplicate_connect option (FATE#323952,
  FATE#322506).
- nvme-rdma: add support for duplicate_connect option
  (FATE#323952, FATE#322506).
- nvme: add helper to compare options to controller (FATE#323952,
  FATE#322506).
- nvme: add duplicate_connect option (FATE#323952, FATE#322506).
- commit 9578246
* Thu Nov 23 2017 hare@suse.de
- Btrfs: use bio_clone_bioset_partial to simplify DIO submit
  (FATE#323952, FATE#322506).
- Btrfs: new helper btrfs_bio_clone_partial (FATE#323952,
  FATE#322506).
- Btrfs: use bio_clone_fast to clone our bio (FATE#323952,
  FATE#322506).
- commit aef50da
* Thu Nov 23 2017 jthumshirn@suse.de
- nvme: check for a live controller in nvme_dev_open (FATE#323952,
  FATE#322506).
- nvme: get rid of nvme_ctrl_list (FATE#323952, FATE#322506).
- nvme: switch controller refcounting to use struct device
  (FATE#323952, FATE#322506).
- nvme: simplify nvme_open (FATE#323952, FATE#322506).
- nvme: use kref_get_unless_zero in nvme_find_get_ns (FATE#323952,
  FATE#322506).
- nvme-rdma: Add debug message when reaches timeout (FATE#323952,
  FATE#322506).
- nvme-rdma: align nvme_rdma_device structure (FATE#323952,
  FATE#322506).
- commit 8f38e6b
* Thu Nov 23 2017 jthumshirn@suse.de
- block: Fix a race between blk_cleanup_queue() and timeout
  handling (FATE#323952, FATE#322506).
- block: introduce blk_mq_tagset_iter (FATE#323952, FATE#322506).
- block: remove blk_mq_reinit_tagset (FATE#323952, FATE#322506).
- nvme-fc: add uevent for auto-connect (FATE#323952, FATE#322506).
- nvme: introduce nvme_reinit_tagset (FATE#323952, FATE#322506).
- Refresh
  patches.drivers/nvme-fc-move-remote-port-get-put-free-location.patch.
- Refresh patches.suse/blk-timeout-no-round.
- commit 990148a
* Thu Nov 23 2017 jthumshirn@suse.de
- nvme: Fix setting logical block format when revalidating
  (FATE#323952, FATE#322506).
- nvme-fc: fix iowait hang (FATE#323952, FATE#322506).
- nvme-fc: retry initial controller connections 3 times
  (FATE#323952, FATE#322506).
- nvme-pci: Use PCI bus address for data/queues in CMB
  (FATE#323952, FATE#322506).
- nvme-rdma: Fix error status return in tagset allocation failure
  (FATE#323952, FATE#322506).
- nvme-rdma: Fix possible double free in reconnect flow
  (FATE#323952, FATE#322506).
- nvme-rdma: fix possible hang when issuing commands during ctrl
  removal (FATE#323952, FATE#322506).
- nvmet: synchronize sqhd update (FATE#323952, FATE#322506).
- Refresh
  patches.drivers/nvme-rdma-change-queue-flag-semantics-DELETING-ALLOC.patch.
- commit 4b99674
* Thu Nov 23 2017 mgorman@suse.de
- Update
  patches.suse/cpufreq-intel_pstate-use-setpoint-of-40-on-servers.patch
  (bnc#945201,bnc#1064414).
  Update
  patches.suse/cpufreq-ondemand-set-default-up_threshold-to-40-on-multi-core-systems.patch
  (bnc#945201,bnc#1064414).
- commit 4ef8315
* Wed Nov 22 2017 jack@suse.cz
- fs, dax: unify IOMAP_F_DIRTY read vs write handling policy in
  the dax core (fate#322879).
- xfs: support for synchronous DAX faults (fate#322879).
- xfs: Implement xfs_filemap_pfn_mkwrite() using
  __xfs_filemap_fault() (fate#322879).
- ext4: Support for synchronous DAX faults (fate#322879).
- ext4: Simplify error handling in ext4_dax_huge_fault()
  (fate#322879).
- dax: Implement dax_finish_sync_fault() (fate#322879).
- dax, iomap: Add support for synchronous faults (fate#322879).
- mm: Define MAP_SYNC and VM_SYNC flags (fate#322879).
- dax: Allow tuning whether dax_insert_mapping_entry() dirties
  entry (fate#322879).
- dax: Allow dax_iomap_fault() to return pfn (fate#322879).
- dax: Fix comment describing dax_iomap_fault() (fate#322879).
- dax: Inline dax_pmd_insert_mapping() into the callsite
  (fate#322879).
- dax: Inline dax_insert_mapping() into the callsite
  (fate#322879).
- dax: Create local variable for vmf->flags & FAULT_FLAG_WRITE
  test (fate#322879).
- dax: Create local variable for VMA in dax_iomap_pte_fault()
  (fate#322879).
- dax: Factor out getting of pfn out of iomap (fate#322879).
- dax: Simplify arguments of dax_insert_mapping() (fate#322879).
- mm: Remove VM_FAULT_HWPOISON_LARGE_MASK (fate#322879).
- mm: introduce MAP_SHARED_VALIDATE, a mechanism to safely define
  new mmap flags (fate#322879).
- mm: Handle 0 flags in _calc_vm_trans() macro (fate#322879).
- ext4: perform dax_device lookup at mount (fate#322879).
- ext2: perform dax_device lookup at mount (fate#322879).
- xfs: perform dax_device lookup at mount (fate#322879).
- dax: introduce a fs_dax_get_by_bdev() helper (fate#322879).
- ext4: fix fault handling when mounted with -o dax,ro
  (fate#322879).
- xfs: consolidate the various page fault handlers (fate#322879).
- iomap: return VM_FAULT_* codes from iomap_page_mkwrite
  (fate#322879).
- commit 4b7d25c
* Wed Nov 22 2017 jkosina@suse.cz
- Update config files: enable KASLR for x86_64 (FATE#323473)
- commit a75287b
* Wed Nov 22 2017 hare@suse.de
- scsi: megaraid_sas: driver version upgrade
  (bsc#1066909,FATE#322937).
- scsi: megaraid_sas: Add support for 64bit consistent DMA
  (bsc#1066909,FATE#322937).
- scsi: megaraid_sas: Do not limit queue_depth to 1k in non-RDPQ
  mode (bsc#1066909,FATE#322937).
- scsi: megaraid_sas: Retry with reduced queue depth when alloc
  fails for higher QD (bsc#1066909,FATE#322937).
- scsi: megaraid_sas: Incorrect processing of IOCTL frames for
  SMP/STP commands (bsc#1066909,FATE#322937).
- scsi: megaraid_sas: Resize MFA frame used for IOC INIT to 4k
  (bsc#1066909,FATE#322937).
- scsi: megaraid_sas: Update current host time to FW during IOC
  Init (bsc#1066909,FATE#322937).
- scsi: megaraid_sas: Move controller memory allocations
  and DMA mask settings from probe to megasas_init_fw
  (bsc#1066909,FATE#322937).
- scsi: megaraid_sas: Move initialization of instance parameters
  inside newly created function megasas_init_ctrl_params
  (bsc#1066909,FATE#322937).
- scsi: megaraid_sas: remove instance->ctrl_info
  (bsc#1066909,FATE#322937).
- scsi: megaraid_sas: Pre-allocate frequently used DMA buffers
  (bsc#1066909,FATE#322937).
- scsi: megaraid_sas: Create separate functions for allocating
  and freeing controller DMA buffers (bsc#1066909,FATE#322937).
- scsi: megaraid_sas: Create separate functions to allocate ctrl
  memory (bsc#1066909,FATE#322937).
- scsi: megaraid_sas: reduce size of fusion_context and use
  kmalloc for allocation (bsc#1066909,FATE#322937).
- scsi: megaraid_sas: replace is_ventura with adapter_type checks
  (bsc#1066909,FATE#322937).
- scsi: megaraid_sas: Remove redundant checks for ctrl_context
  (bsc#1066909,FATE#322937).
- scsi: megaraid_sas: replace instance->ctrl_context checks with
  instance->adapter_type (bsc#1066909,FATE#322937).
- scsi: megaraid_sas: Add support for Crusader controllers
  (bsc#1066909,FATE#322937).
- scsi: megaraid_sas: use adapter_type for all gen controllers
  (bsc#1066909,FATE#322937).
- commit 2b04e3e
* Wed Nov 22 2017 tbogendoerfer@suse.de
- net/mlx5e: Increase Striding RQ minimum size limit to 4
  multi-packet WQEs (bsc#1046303 FATE#322944).
- net/mlx5e: Set page to null in case dma mapping fails
  (bsc#1046303 FATE#322944).
- net/mlx5e: Fix napi poll with zero budget (bsc#1046305
  FATE#322943).
- net/mlx5: Cancel health poll before sending panic teardown
  command (bsc#1046303 FATE#322944).
- net/mlx5: Loop over temp list to release delay events
  (bsc#1046303 FATE#322944).
- net/mlx5e/core/en_fs: fix pointer dereference after free in
  mlx5e_execute_l2_action (bsc#1046305 FATE#322943).
- commit 919ca4c
* Wed Nov 22 2017 hare@suse.de
- s390x/default: Enable CONFIG_TUNE_Z13 (bsc#1067886)
  Update s390x config files.
- commit e68d618
* Wed Nov 22 2017 hare@suse.de
- Fixup s390x zfcpdump build failure (bsc#1066354)
  Refresh patches.drivers/s390-cpu-alternatives.patch.
- commit 2b990ee
* Wed Nov 22 2017 oneukum@suse.com
- net: cdc_ether: fix divide by 0 on bad descriptors (bsc#1067085
  CVE-2017-16649).
- commit 73a409e
* Wed Nov 22 2017 jkosina@suse.cz
- Update config files: INTEL_SOC_PMIC=n for arm/vanilla
- commit c812597
* Wed Nov 22 2017 tiwai@suse.de
- Enable ACP, SI, CIK and USERPTR for amdgpu (bsc#1069343)
- commit 37a7bbc
* Tue Nov 21 2017 jslaby@suse.cz
- objtool: Print top level commands on incorrect usage
  (bnc#1058115).
- x86/unwind: Disable KASAN checking in the ORC unwinder
  (bnc#1058115).
- x86/module: Detect and skip invalid relocations (bnc#1058115).
- objtool: Prevent GCC from merging annotate_unreachable(),
  take 2 (bnc#1058115).
- commit 24f3048
* Tue Nov 21 2017 tiwai@suse.de
- drm/i915/skl+: unify cpp value in WM calculation (FATE#322643
  bsc#1055900).
- drm/i915/skl+: WM calculation don't require height (FATE#322643
  bsc#1055900).
- drm/i915/skl+: Scaling not supported in IF-ID Interlace mode
  (FATE#322643 bsc#1055900).
- drm/i915/skl+: Check for supported plane configuration in
  Interlace mode (FATE#322643 bsc#1055900).
- drm/i915/cnl: Enable wrpll computation for CNL (FATE#322643
  bsc#1055900).
- commit 10cf16b
* Tue Nov 21 2017 tiwai@suse.de
- platform/x86: sony-laptop: Fix error handling in
  sony_nc_setup_rfkill() (bsc#1051510).
- platform/x86: hp-wmi: Fix tablet mode detection for convertibles
  (bsc#1051510).
- platform/x86: fujitsu-laptop: Fix radio LED detection
  (bsc#1051510).
- serial: 8250_fintek: Fix rs485 disablement on invalid ioctl()
  (bsc#1051510).
- mfd: rn5t618: Unregister restart handler on remove
  (bsc#1051510).
- mfd: lpc_ich: Do not touch SPI-NOR write protection bit on
  Haswell/Broadwell (bsc#1051510).
- mfd: intel_soc_pmic: Differentiate between Bay and Cherry
  Trail CRC variants (bsc#1051510).
- mfd: intel_soc_pmic: Select designware i2c-bus driver
  (bsc#1051510).
- media: usbtv: fix brightness and contrast controls
  (bsc#1051510).
- media: omap_vout: Fix a possible null pointer dereference in
  omap_vout_open() (bsc#1051510).
- commit 25e6140
* Tue Nov 21 2017 tiwai@suse.de
- Update blacklist and no-fix tags
  Refreshed:
  patches.drivers/drm-i915-Always-wake-the-device-to-flush-the-GTT
  patches.drivers/drm-i915-bxt-set-min-brightness-from-VBT
- commit e7acd40
* Tue Nov 21 2017 tiwai@suse.de
- drm/tilcdc: Precalculate total frametime in
  tilcdc_crtc_set_mode() (bsc#1051510).
- drm/panel: simple: Fix width and height for Olimex
  LCD-OLinuXino-4.3TS (bsc#1051510).
- drm/panel: simple: Add missing panel_simple_unprepare() calls
  (bsc#1051510).
- drm/i915: Prune the reservation shared fence array
  (bsc#1051510).
- drm/i915: Move init_clock_gating() back to where it was
  (bsc#1051510).
- drm: gma500: fix logic error (bsc#1051510).
- drm: Drop drm_get_link_status_name() (bsc#1051510).
- commit f67acae
* Tue Nov 21 2017 jslaby@suse.cz
- x86/unwind: Make CONFIG_UNWINDER_ORC=y the default in kconfig
  for 64-bit (bnc#1058115).
- Update config files.
- x86/unwind: Rename unwinder config options to
  'CONFIG_UNWINDER_*' (bnc#1058115).
- Refresh patches.suse/0001-orc-mark-it-as-reliable.patch.
- Update config files.
- x86/unwinder: Make CONFIG_UNWINDER_ORC=y the default in the
  64-bit defconfig (bnc#1058115).
- commit b87f785
* Tue Nov 21 2017 jslaby@suse.cz
- x86/stacktrace: Avoid recording save_stack_trace() wrappers
  (bnc#1058115).
- commit d5fd971
* Tue Nov 21 2017 tiwai@suse.de
- ASoC: topology: Fix a potential memory leak in
  'soc_tplg_dapm_widget_denum_create()' (bsc#1051510).
- ASoC: topology: Fix a potential NULL pointer dereference in
  'soc_tplg_dapm_widget_denum_create()' (bsc#1051510).
- ASoC: sun8i-codec: Set the BCLK divider (bsc#1051510).
- ASoC: sun8i-codec: Invert Master / Slave condition
  (bsc#1051510).
- ASoC: samsung: Fix possible double iounmap on s3c24xx driver
  probe failure (bsc#1051510).
- ASoC: samsung: Fix invalid argument when devm_gpiod_get is
  called (bsc#1051510).
- ASoC: rt5665: fix gcc-7 warning (bsc#1051510).
- ASoC: rt5665: Fix uninitialized warning in
  rt5665_i2s_pin_event() (bsc#1051510).
- ASoC: rt5514: fix gcc-7 warning (bsc#1051510).
- ASoC: rsnd: avoid duplicate free_irq() (bsc#1051510).
- ASoC: rockchip: Correct 'dmic-delay' property name
  (bsc#1051510).
- ASoC: mediatek: Fix an error checking code (bsc#1051510).
- ASoC: intel: include linux/module.h as needed (bsc#1051510).
- ASoC: davinci-mcasp: Fix an error handling path in
  'davinci_mcasp_probe()' (bsc#1051510).
- ASoC: codecs: msm8916: fix invalid cast to bool type
  (bsc#1051510).
- commit 4a79751
* Tue Nov 21 2017 jslaby@suse.cz
- Refresh
  patches.suse/0001-objtool-Don-t-report-end-of-section-error-after-an-e.patch.
- Refresh
  patches.suse/0002-x86-head-Remove-confusing-comment.patch.
- Refresh
  patches.suse/0003-x86-head-Remove-unused-bad_address-code.patch.
- Refresh
  patches.suse/0004-x86-head-Fix-head-ELF-function-annotations.patch.
- Refresh
  patches.suse/0005-x86-boot-Annotate-verify_cpu-as-a-callable-function.patch.
- Refresh
  patches.suse/0006-x86-xen-Fix-xen-head-ELF-annotations.patch.
- Refresh
  patches.suse/0007-x86-xen-Add-unwind-hint-annotations.patch.
- Refresh
  patches.suse/0008-x86-head-Add-unwind-hint-annotations.patch.
  Update upstream status.
- commit e207155
* Tue Nov 21 2017 bp@suse.de
- blacklist.conf: no need for 9275b933d409
- commit 18d829a
* Tue Nov 21 2017 jslaby@suse.cz
- Refresh
  patches.suse/0001-futex-futex_wake_op-do-not-fail-on-invalid-op.patch.
  Update upstream status
- commit 915f469
* Tue Nov 21 2017 jslaby@suse.cz
- crypto: x86/chacha20 - satisfy stack validation 2.0
  (bnc#1058115).
- commit e52c6fc
* Tue Nov 21 2017 bp@suse.de
- X86/KVM: Clear encryption attribute when SEV is active
  (bsc#1063068).
- X86/KVM: Decrypt shared per-cpu variables when SEV is active
  (bsc#1063068).
- percpu: Introduce DEFINE_PER_CPU_DECRYPTED (bsc#1063068).
- x86: Add support for changing memory encryption attribute in
  early boot (bsc#1063068).
- x86/io: Unroll string I/O when SEV is active (bsc#1063068).
- x86/boot: Add early boot support when running with SEV active
  (bsc#1063068).
- x86/mm: Add DMA support for SEV memory encryption (bsc#1063068).
- x86/mm, resource: Use PAGE_KERNEL protection for ioremap of
  memory pages (bsc#1063068).
- resource: Provide resource struct in resource walk callback
  (bsc#1063068).
- resource: Consolidate resource walking code (bsc#1063068).
- x86/efi: Access EFI data as encrypted when SEV is active
  (bsc#1063068).
- x86/mm: Include SEV for encryption memory attribute changes
  (bsc#1063068).
- x86/mm: Use encrypted access of boot related data with SEV
  (bsc#1063068).
- x86/realmode: Don't decrypt trampoline area under SEV
  (bsc#1063068).
- x86/mm: Don't attempt to encrypt initrd under SEV (bsc#1063068).
- x86/mm: Add Secure Encrypted Virtualization (SEV) support
  (bsc#1063068).
- Documentation/x86: Add AMD Secure Encrypted Virtualization
  (SEV) description (bsc#1063068).
- commit 4c52764
* Tue Nov 21 2017 jthumshirn@suse.de
- nvme: check for disk before submitting cmd (bsc#1067848).
- commit 3af97e1
* Mon Nov 20 2017 mgorman@suse.de
- cpufreq: intel_pstate: Drop ->get from intel_pstate structure
  (bnc#1068680 Update schedutil and intel_pstate to default to
  load-based policy).
- commit d7b80bc
* Mon Nov 20 2017 mgorman@suse.de
- cpufreq: intel_pstate: report correct CPU frequencies during
  trace (bnc#1068680 Update schedutil and intel_pstate to default
  to load-based policy).
- cpufreq: schedutil: Fix sugov_start() versus
  sugov_update_shared() race (bnc#1068680 Update schedutil and
  intel_pstate to default to load-based policy).
- cpuidle: menu: allow state 0 to be disabled (bnc#1068680 Update
  schedutil and intel_pstate to default to load-based policy).
- cpufreq: intel_pstate: Fix ratio setting for min_perf_pct
  (bnc#1068680 Update schedutil and intel_pstate to default to
  load-based policy).
- cpufreq: intel_pstate: constify attribute_group structures
  (bnc#1068680 Update schedutil and intel_pstate to default to
  load-based policy).
- cpufreq: intel_pstate: Clean up after performance governor
  changes (bnc#1068680 Update schedutil and intel_pstate to
  default to load-based policy).
- intel_pstate: skip scheduler hook when in "performance" mode
  (bnc#1068680 Update schedutil and intel_pstate to default to
  load-based policy).
- intel_pstate: delete scheduler hook in HWP mode (bnc#1068680
  Update schedutil and intel_pstate to default to load-based
  policy).
- cpufreq: intel_pstate: Remove max/min fractions to limit
  performance (bnc#1068680 Update schedutil and intel_pstate to
  default to load-based policy).
- intel_pstate: use updated msr-index.h HWP.EPP values
  (bnc#1068680 Update schedutil and intel_pstate to default to
  load-based policy).
- commit 5cdc1ae
* Mon Nov 20 2017 mhocko@suse.com
- mm/page_ext.c: check if page_ext is not prepared (bnc#1068982).
- commit ee8873e
* Mon Nov 20 2017 mgorman@suse.de
- x86: msr-index.h: fix shifts to ULL results in HWP macros
  (bnc#1068680 Update schedutil and intel_pstate to default to
  load-based policy).
- x86: msr-index.h: define HWP.EPP values (bnc#1068680 Update
  schedutil and intel_pstate to default to load-based policy).
- x86: msr-index.h: define EPB mid-points (bnc#1068680 Update
  schedutil and intel_pstate to default to load-based policy).
- commit d4d2ce6
* Mon Nov 20 2017 jeffm@suse.com
- ext4: in ext4_seek_{hole,data}, return -ENXIO for negative
  offsets (bsc#1068897).
- commit b65087c
* Mon Nov 20 2017 mhocko@suse.com
- mm/page_alloc.c: broken deferred calculation (bnc#1068980).
- commit eef6b44
* Mon Nov 20 2017 jthumshirn@suse.de
- PCI: vmd: Free up IRQs on suspend path (bsc#1067483).
- commit 8be6133
* Mon Nov 20 2017 hare@suse.de
- KVM: s390: Fix KVM_S390_GET_CMMA_BITS ioctl definition
  (LTC#160419,bsc#1066194).
- commit a777801
* Mon Nov 20 2017 hare@suse.de
- Update s390x config files.
- commit ba626f1
* Mon Nov 20 2017 mhocko@suse.com
- mm, sparse: do not swamp log with huge vmemmap allocation
  failures (bnc#1040797).
- commit d6d0c93
* Mon Nov 20 2017 mhocko@suse.com
- mm, memory_hotplug: remove timeout from __offline_memory
  (bnc#1051406).
- mm, memory_hotplug: do not fail offlining too early
  (bnc#1051406).
- mm, page_alloc: fail has_unmovable_pages when seeing reserved
  pages (bnc#1051406).
- mm: distinguish CMA and MOVABLE isolation in
  has_unmovable_pages() (bnc#1051406).
- commit e2cd981
* Mon Nov 20 2017 yousaf.kaukab@suse.com
- drm: bridge: synopsys/dw-hdmi: Provide default configuration
  function for HDMI 2.0 PHY (fate#323912).
- commit 97f9ebc
* Mon Nov 20 2017 bp@suse.de
- x86/MCE/AMD: Always give panic severity for UC errors in kernel
  context (git-fixes bf80bbd7dcf5).
- commit af09f69
* Mon Nov 20 2017 bp@suse.de
- x86/intel_rdt: Initialize bitmask of shareable resource if CDP enabled (git-fixes 0dd2d7494cd8).
- blacklist.conf: 3916a4135c696fa226a1abe6d6a0ff7f5edd9a7c and
  ac5292e9a294618cecb31109d1ba265e3d027ba2
- commit 7d8d364
* Mon Nov 20 2017 hare@suse.de
- s390/noexec: execute kexec datamover without DAT (bnc#1066799, LTC#161403).
- commit 7dec3bf
* Mon Nov 20 2017 hare@suse.de
- scsi: zfcp: fix erp_action use-before-initialize in REC action
  trace (bnc#1066983, LTC#160081).
- s390/cputime: fix guest/irq/softirq times after CPU hotplug
  (bnc#1066983, LTC#161328).
- commit f168a73
* Mon Nov 20 2017 hare@suse.de
- s390/topology: enable / disable topology dynamically
  (bnc#1066983, LTC#159177).
- s390/topology: alternative topology for topology-less machines
  (bnc#1066983, LTC#159177).
- s390/mm: fix write access check in gup_huge_pmd() (bnc#1066983,
  LTC#160551).
- scsi: zfcp: trace high part of "new" 64 bit SCSI LUN
  (bnc#1066983, LTC#158495).
- scsi: zfcp: trace HBA FSF response by default on dismiss or
  timedout late response (bnc#1066983, LTC#158494).
- scsi: zfcp: fix payload with full FCP_RSP IU in SCSI trace
  records (bnc#1066983, LTC#158494).
- scsi: zfcp: fix missing trace records for early returns in
  TMF eh handlers (bnc#1066983, LTC#158494).
- scsi: zfcp: fix passing fsf_req to SCSI trace on TMF to
  correlate with HBA (bnc#1066983, LTC#158494).
- scsi: zfcp: fix capping of unsuccessful GPN_FT SAN response
  trace records (bnc#1066983, LTC#158494).
- scsi: zfcp: fix queuecommand for scsi_eh commands when DIX
  enabled (bnc#1066983, LTC#158493).
- s390/vmcp: make use of contiguous memory allocator (bnc#1066983,
  LTC#159171).
- s390/cpcmd,vmcp: avoid GFP_DMA allocations (bnc#1066983,
  LTC#159112).
- s390/mm: prevent memory offline for memory blocks with cma areas
  (bnc#1066983, LTC#159171).
- s390/mm: add missing virt_to_pfn() etc. helper functions
  (bnc#1066983, LTC#159171).
- s390/pci: recognize name clashes with uids (bnc#1066983,
  LTC#157731).
- s390/pci: provide more debug information (bnc#1066983,
  LTC#157731).
- s390/pci: fix handling of PEC 306 (bnc#1066983, LTC#157731).
- s390/pci: improve pci hotplug (bnc#1066983, LTC#157731).
- s390/pci: introduce clp_get_state (bnc#1066983, LTC#157731).
- s390/pci: improve error handling during fmb (de)registration
  (bnc#1066983, LTC#157731).
- s390/pci: improve unreg_ioat error handling (bnc#1066983,
  LTC#157731).
- s390/pci: improve error handling during interrupt deregistration
  (bnc#1066983, LTC#157731).
- s390/pci: don't cleanup in arch_setup_msi_irqs (bnc#1066983,
  LTC#157731).
- commit 187b6e4
* Mon Nov 20 2017 hare@suse.de
- s390/spinlock: use cpu alternatives to enable niai instruction
  (FATE#322614,LTC#160173,bsc#1066354).
- commit 2099d05
* Mon Nov 20 2017 hare@suse.de
- s390: introduce CPU alternatives
  (FATE#322614,LTC#160173,bsc#1066354).
- commit c544efd
* Mon Nov 20 2017 hare@suse.de
- s390/spinlock: add niai spinlock hints
  (FATE#322614,LTC#160173,bsc#1066354).
- commit 670388a
* Mon Nov 20 2017 hare@suse.de
- Refresh patch header to reflect mainline status
- Refresh
  patches.drivers/0001-scsi-be2iscsi-fix-boot-flags-in-sysfs.
- Refresh
  patches.drivers/0002-scsi-be2iscsi-fix-return-value-in-mgmt_open_connection.
- Refresh
  patches.drivers/0003-scsi-be2iscsi-free-msi_name-and-disable-hw-intr.
- Refresh
  patches.drivers/0004-scsi-be2iscsi-fix-modify_eq_delay-buffer-overflow.
- Refresh
  patches.drivers/0005-scsi-be2iscsi-fix-get_initname-buffer-overflow.
- Refresh
  patches.drivers/0006-scsi-be2iscsi-modify-ioctl-to-fetch-user-configured-iqn.
- Refresh
  patches.drivers/0007-scsi-be2iscsi-add-cmd-to-set-host-data.
- Refresh
  patches.drivers/0008-scsi-be2iscsi-fix-misc-static-analysis-errors.
- Refresh
  patches.drivers/0009-scsi-be2iscsi-remove-a-circumflex-character-in-copyright-marking.
- Refresh
  patches.drivers/0010-scsi-be2iscsi-update-driver-version.
- Refresh
  patches.drivers/IB-Move-PCI-dependency-from-root-KConfig-to-HW-s-KCo.patch.
- Refresh
  patches.drivers/RDMA-qedr-Add-iWARP-connection-management-functions.patch.
- Refresh
  patches.drivers/RDMA-qedr-Add-iWARP-connection-management-qp-related.patch.
- Refresh
  patches.drivers/RDMA-qedr-Add-iWARP-support-in-existing-verbs.patch.
- Refresh
  patches.drivers/RDMA-qedr-Add-support-for-iWARP-in-user-space.patch.
- Refresh
  patches.drivers/RDMA-qedr-Add-support-for-read-with-invalidate-suppo.patch.
- Refresh
  patches.drivers/RDMA-qedr-Add-support-for-registering-an-iWARP-devic.patch.
- Refresh
  patches.drivers/RDMA-qedr-Fix-rdma_type-initialization.patch.
- Refresh
  patches.drivers/RDMA-qedr-Missing-error-code-in-qedr_init_user_queue.patch.
- Refresh
  patches.drivers/RDMA-qedr-Rename-the-qedr_cm-file-as-a-preparation-f.patch.
- Refresh
  patches.drivers/RDMA-qedr-fix-build-error-without-ipv6.patch.
- Refresh
  patches.drivers/i40e-add-private-flag-to-control-source-pruning.patch.
- Refresh patches.drivers/ibmvnic-113-Set-state-UP.patch.
- Refresh
  patches.drivers/ibmvnic-115-Enable-scatter-gather-support.patch.
- Refresh patches.drivers/ibmvnic-116-Enable-TSO-support.patch.
- Refresh
  patches.drivers/ibmvnic-117-Let-users-change-net-device-features.patch.
- Refresh
  patches.drivers/ibmvnic-118-Update-reset-infrastructure-to-support-tunab.patch.
- Refresh
  patches.drivers/ibmvnic-119-Fix-failover-error-path-for-non-fatal-resets.patch.
- Refresh
  patches.drivers/nvme-fabrics-request-transport-module.patch.
- Refresh
  patches.drivers/nvme-fc-Add-BLK_MQ_F_NO_SCHED-flag-to-admin-tag-set.patch.
- Refresh
  patches.drivers/nvme-fc-correct-io-termination-handling.patch.
- Refresh
  patches.drivers/nvme-fc-correct-io-timeout-behavior.patch.
- Refresh
  patches.drivers/nvme-fc-create-fc-class-and-transport-device.patch.
- Refresh
  patches.drivers/nvme-fc-move-remote-port-get-put-free-location.patch.
- Refresh
  patches.drivers/nvme-loop-Add-BLK_MQ_F_NO_SCHED-flag-to-admin-tag-se.patch.
- Refresh patches.drivers/nvme-pci-add-SGL-support.patch.
- Refresh patches.drivers/nvme-pci-fix-typos-in-comments.patch.
- Refresh
  patches.drivers/nvme-rdma-Add-BLK_MQ_F_NO_SCHED-flag-to-admin-tag-se.patch.
- Refresh
  patches.drivers/nvme-rdma-Check-that-reinit_request-got-a-proper-mr.patch.
- Refresh
  patches.drivers/nvme-rdma-Don-t-local-invalidate-if-the-queue-is-not.patch.
- Refresh
  patches.drivers/nvme-rdma-change-queue-flag-semantics-DELETING-ALLOC.patch.
- Refresh
  patches.drivers/nvme-rdma-fix-wrong-logging-message.patch.
- Refresh
  patches.drivers/nvme-rdma-move-assignment-to-declaration.patch.
- Refresh
  patches.drivers/nvme-rdma-pass-tagset-to-directly-nvme_rdma_free_tag.patch.
- Refresh
  patches.drivers/nvme-rdma-stop-controller-reset-if-the-controller-is.patch.
- Refresh
  patches.drivers/nvme-rdma-teardown-admin-io-queues-once-on-error-rec.patch.
- Refresh
  patches.drivers/nvme-simplify-compat_ioctl-handling.patch.
- Refresh
  patches.drivers/nvme-update-timeout-module-parameter-type.patch.
- Refresh
  patches.drivers/nvme-use-ida_simple_-get-remove-for-the-controller-i.patch.
- Refresh patches.drivers/nvme-use-menu-Kconfig-interface.patch.
- Refresh
  patches.drivers/nvmet-Change-max_nsid-in-subsystem-due-to-ns_disable.patch.
- Refresh patches.drivers/nvmet-bump-NVMET_NR_QUEUES-to-128.patch.
- Refresh
  patches.drivers/s390-qeth-add-VNICC-enable-disable-support.patch.
- Refresh
  patches.drivers/s390-qeth-add-VNICC-get-set-timeout-support.patch.
- Refresh patches.drivers/s390-qeth-add-basic-VNICC-support.patch.
- Refresh
  patches.drivers/scsi-lpfc-Cocci-spatch-pool_zalloc-simple.patch.
- Refresh
  patches.drivers/scsi-lpfc-Disable-NPIV-support-if-NVME-is-enabled.patch.
- Refresh
  patches.drivers/scsi-lpfc-Ensure-io-aborts-interlocked-with-the-targ.patch.
- Refresh patches.drivers/scsi-lpfc-Extend-RDP-support.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-FCP-hba_wqidx-assignment.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-crash-in-lpfc_nvme_fcp_io_submit-durin.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-crash-receiving-ELS-while-detaching-dr.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-lpfc-nvme-host-rejecting-IO-with-Not-R.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-oops-if-nvmet_fc_register_targetport-f.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-oops-of-nvme-host-during-driver-unload.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-secure-firmware-updates.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-warning-messages-when-NVME_TARGET_FC-n.patch.
- Refresh
  patches.drivers/scsi-lpfc-Make-ktime-sampling-more-accurate.patch.
- Refresh
  patches.drivers/scsi-lpfc-Move-CQ-processing-to-a-soft-IRQ.patch.
- Refresh
  patches.drivers/scsi-lpfc-PLOGI-failures-during-NPIV-testing.patch.
- Refresh
  patches.drivers/scsi-lpfc-Reduce-log-spew-on-controller-reconnects.patch.
- Refresh
  patches.drivers/scsi-lpfc-Revise-NVME-module-parameter-descriptions-.patch.
- Refresh
  patches.drivers/scsi-lpfc-Set-missing-abort-context.patch.
- Refresh
  patches.drivers/scsi-lpfc-change-version-to-11.4.0.4.patch.
- Refresh
  patches.drivers/scsi-lpfc-correct-nvme-sg-segment-count-check.patch.
- Refresh
  patches.drivers/scsi-lpfc-fix-pci-hot-plug-crash-in-list_add-call.patch.
- Refresh
  patches.drivers/scsi-lpfc-fix-pci-hot-plug-crash-in-timer-management.patch.
- Refresh
  patches.drivers/scsi-lpfc-remove-redundant-null-check-on-eqe.patch.
- Refresh
  patches.drivers/scsi-mpt3sas-Adding-support-for-SAS3616-HBA-device.patch.
- Refresh
  patches.drivers/scsi-mpt3sas-Bump-mpt3sas-driver-version-to-v16.100..patch.
- Refresh
  patches.drivers/scsi-mpt3sas-Display-chassis-slot-information-of-the.patch.
- Refresh
  patches.drivers/scsi-mpt3sas-Fix-IO-error-occurs-on-pulling-out-a-dr.patch.
- Refresh
  patches.drivers/scsi-mpt3sas-Fix-possibility-of-using-invalid-Enclos.patch.
- Refresh
  patches.drivers/scsi-mpt3sas-Fix-removal-and-addition-of-vSES-device.patch.
- Refresh
  patches.drivers/scsi-mpt3sas-Fixed-memory-leaks-in-driver.patch.
- Refresh
  patches.drivers/scsi-mpt3sas-Processing-of-Cable-Exception-events.patch.
- Refresh
  patches.drivers/scsi-mpt3sas-Reduce-memory-footprint-in-kdump-kernel.patch.
- Refresh
  patches.drivers/scsi-mpt3sas-Updated-MPI-headers-to-v2.00.48.patch.
- Refresh
  patches.drivers/scsi-mpt3sas-remove-redundant-copy_from_user-in-_ctl.patch.
- Refresh
  patches.drivers/scsi-pm80xx-Different-SAS-addresses-for-phys.patch.
- Refresh
  patches.drivers/scsi-pm80xx-ILA-and-inactive-firmware-version-throug.patch.
- Refresh
  patches.drivers/scsi-pm80xx-cleanup-in-pm8001_abort_task-function.patch.
- Refresh
  patches.drivers/scsi-pm80xx-corrected-SATA-abort-handling-sequence.patch.
- Refresh
  patches.drivers/scsi-pm80xx-corrected-linkrate-value.patch.
- Refresh
  patches.drivers/scsi-pm80xx-modified-port-reset-timer-value-for-PM80.patch.
- Refresh
  patches.drivers/scsi-pm80xx-panic-on-ncq-error-cleaning-up-the-read-.patch.
- Refresh
  patches.drivers/scsi-pm80xx-redefine-sas_identify_frame-structure.patch.
- Refresh
  patches.drivers/scsi-pm80xx-tag-allocation-for-phy-control-request.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Add-ATIO-Q-processing-for-INTx-mode.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Allow-MBC_GET_PORT_DATABASE-to-query-an.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Changes-to-support-N2N-logins.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Cocci-spatch-pool_zalloc-simple.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Query-FC4-type-during-RSCN-processing.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Reinstate-module-parameter-ql2xenablems.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Update-driver-version-to-10.00.00.02-k.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Use-ql2xnvmeenable-to-enable-Q-Pair-for.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-don-t-break-the-bsg-lib-abstractions.patch.
- Refresh
  patches.drivers/scsi-smartpqi-cleanup-raid-map-warning-message.patch.
- Refresh
  patches.drivers/scsi-smartpqi-update-controller-ids.patch.
- Refresh
  patches.drivers/scsi-smartpqi-update-driver-version-to-1.1.2-126.patch.
- commit f976d20
* Mon Nov 20 2017 neilb@suse.com
- autofs: don't fail mount for transient error (bsc#1065180).
- commit f023e91
* Fri Nov 17 2017 tiwai@suse.de
- ASoC: intel: Add headset jack support to cht-cx2072x
  (bsc#1068546).
- ASoC: Intel: add support for CX2072x machine driver
  (bsc#1068546).
- ASoC: Intel: Add machine driver for Cherrytrail-CX2072X
  (bsc#1068546).
- ASoC: add support for Conexant CX2072X CODEC (bsc#1068546).
- ASoC: cx2072x: Add DT bingings documentation for CX2072X CODEC
  (bsc#1068546).
- commit e2196fe
* Fri Nov 17 2017 tiwai@suse.de
- supported.conf: Updated for missing entries (bsc#1066369)
  Also mark old x86-platform ones unsupported
- commit 2e66eed
* Fri Nov 17 2017 tiwai@suse.de
- supported.conf: List up CHT DC TI PMIC and INT0002 VGPIO (bsc#1068546)
- commit 5f4a9b1
* Fri Nov 17 2017 tiwai@suse.de
- blacklist.conf: Add BT commits to be ignored (bsc#1068546)
- commit 2b7fddf
* Fri Nov 17 2017 tiwai@suse.de
- Update config files: Enable Cherrytrail kconfigs (bsc#1068546)
- commit 470e1f9
* Fri Nov 17 2017 tiwai@suse.de
- platform/x86: Add driver for ACPI INT0002 Virtual GPIO device
  (bsc#1068546).
- ASoC: rt5645: Add jack detection workaround for GPD Win
  (bsc#1068546).
- ASoC: rt5645: add inv_jd1_1 flag (bsc#1068546).
- ASoC: rt5645: rename jd_invert flag in platform data
  (bsc#1068546).
- ASoC: rt5645: read jd1_1 status for jd detection (bsc#1068546).
- ACPI / PMIC: Add opregion driver for Intel Dollar Cove TI PMIC
  (bsc#1068546).
- mfd: Add support for Cherry Trail Dollar Cove TI PMIC
  (bsc#1068546).
- brcmfmac: Use separate firmware for revision 0 of the brcm43430
  chip (bsc#1068546).
- Bluetooth: hci_bcm: Add support for BCM2E7E (bsc#1068546).
- mmc: sdhci-acpi: Workaround conflict with PCI wifi on GPD Win
  handheld (bsc#1068546).
- video/console: Update BIOS dates list for GPD win console
  rotation DMI quirk (bsc#1068546).
- video/console: Add new BIOS date for GPD pocket to dmi quirk
  table (bsc#1068546).
- video/console: Add dmi quirk table for x86 systems which need
  fbcon rotation (bsc#1068546).
- ACPI / x86: Extend KIOX000A quirk to cover all affected BIOS
  versions (bsc#1068546).
- ACPI / x86: Add KIOX000A accelerometer on GPD win to
  always_present_ids array (bsc#1068546).
- ACPI / x86: Allow matching always_present_id array entries by
  DMI (bsc#1068546).
- commit 20e1325
* Fri Nov 17 2017 mbrugger@suse.com
- arm64: Update config files and support.conf
  Compile SCSI_HISI_SAS_PCI as a module.
  Mark the driver as not supported.
- commit f6b8981
* Fri Nov 17 2017 mgorman@suse.de
- pcc-cpufreq: Re-introduce deadband effect to reduce number of
  frequency changes (bsc#981838).
- commit 7533cac
* Thu Nov 16 2017 mgorman@suse.de
- Refresh
  patches.suse/mm-only-drain-per-cpu-pagevecs-once-per-pagevec-usage.patch.
- Refresh
  patches.suse/mm-page_alloc-enable-disable-IRQs-once-when-freeing-a-list-of-pages.patch.
- Refresh
  patches.suse/mm-page_alloc-simplify-list-handling-in-rmqueue_bulk.patch.
- Refresh
  patches.suse/mm-pagevec-remove-cold-parameter-for-pagevecs.patch.
- Refresh
  patches.suse/mm-pagevec-rename-pagevec-drained-field.patch.
- Refresh patches.suse/mm-remove-__GFP_COLD.patch.
- Refresh
  patches.suse/mm-remove-cold-parameter-for-release_pages.patch.
- Refresh
  patches.suse/mm-remove-cold-parameter-from-free_hot_cold_page.patch.
- Refresh
  patches.suse/mm-truncate-do-not-check-mapping-for-every-page-being-truncated.patch.
- Refresh
  patches.suse/mm-truncate-remove-all-exceptional-entries-from-pagevec-under-one-lock.patch.
- Delete
  patches.suse/mm-truncate-remove-all-exceptional-entries-from-pagevec-under-one-lock-fix.patch.
- commit b425423
* Wed Nov 15 2017 yousaf.kaukab@suse.com
- PCI: rockchip: Add per-lane PHY support (fate#323912).
- PCI: rockchip: Factor out rockchip_pcie_get_phys()
  (fate#323912).
- commit 42c5487
* Wed Nov 15 2017 mgorman@suse.de
- rcu: Use lockdep to assert IRQs are disabled/enabled
  (bnc#1068202 Avoid irqs_disabled debugging checks in fast
  paths).
- netpoll: Use lockdep to assert IRQs are disabled/enabled
  (bnc#1068202 Avoid irqs_disabled debugging checks in fast
  paths).
- timers/posix-cpu-timers: Use lockdep to assert IRQs are
  disabled/enabled (bnc#1068202 Avoid irqs_disabled debugging
  checks in fast paths).
- sched/clock, sched/cputime: Use lockdep to assert IRQs are
  disabled/enabled (bnc#1068202 Avoid irqs_disabled debugging
  checks in fast paths).
- irq_work: Use lockdep to assert IRQs are disabled/enabled
  (bnc#1068202 Avoid irqs_disabled debugging checks in fast
  paths).
- perf/core: Use lockdep to assert IRQs are disabled/enabled
  (bnc#1068202 Avoid irqs_disabled debugging checks in fast
  paths).
- x86: Use lockdep to assert IRQs are disabled/enabled
  (bnc#1068202 Avoid irqs_disabled debugging checks in fast
  paths).
- smp/core: Use lockdep to assert IRQs are disabled/enabled
  (bnc#1068202 Avoid irqs_disabled debugging checks in fast
  paths).
- timers/hrtimer: Use lockdep to assert IRQs are disabled/enabled
  (bnc#1068202 Avoid irqs_disabled debugging checks in fast
  paths).
- timers/nohz: Use lockdep to assert IRQs are disabled/enabled
  (bnc#1068202 Avoid irqs_disabled debugging checks in fast
  paths).
- workqueue: Use lockdep to assert IRQs are disabled/enabled
  (bnc#1068202 Avoid irqs_disabled debugging checks in fast
  paths).
- irq/softirqs: Use lockdep to assert IRQs are disabled/enabled
  (bnc#1068202 Avoid irqs_disabled debugging checks in fast
  paths).
- locking/lockdep: Add IRQs disabled/enabled assertion APIs:
  lockdep_assert_irqs_enabled()/disabled() (bnc#1068202 Avoid
  irqs_disabled debugging checks in fast paths).
- sched/idle: Micro-optimize the idle loop (bnc#978907 Scheduler
  performance -- idle).
- commit dc86215
* Wed Nov 15 2017 yousaf.kaukab@suse.com
- Update config files.
- supported.conf:
  Enable Rockchip rk3399 drivers
  supported.conf checker reported following missing modules:
  drivers/phy/allwinner/phy-sun4i-usb.ko
  drivers/phy/allwinner/phy-sun9i-usb.ko
  drivers/phy/amlogic/phy-meson8b-usb2.ko
  drivers/phy/broadcom/phy-bcm-ns-usb2.ko
  drivers/phy/broadcom/phy-bcm-ns-usb3.ko
  drivers/phy/broadcom/phy-bcm-ns2-pcie.ko
  drivers/phy/broadcom/phy-brcm-sata.ko
  drivers/phy/hisilicon/phy-hi6220-usb.ko
  drivers/phy/qualcomm/phy-qcom-qmp.ko
  drivers/phy/qualcomm/phy-qcom-qusb2.ko
  drivers/phy/qualcomm/phy-qcom-usb-hs.ko
  drivers/phy/qualcomm/phy-qcom-usb-hsic.ko
  Since this patch has not enabled any of them, adding all of them in
  supported.conf with '-' as they were never marked as supported.
- commit 3664826
* Wed Nov 15 2017 yousaf.kaukab@suse.com
- lib/mpi: call cond_resched() from mpi_powm() loop (bsc#1066688).
- commit 35d6a4a
* Wed Nov 15 2017 yousaf.kaukab@suse.com
- iommu/rockchip: ignore isp mmu reset operation (fate#323912).
- commit 59a5545
* Wed Nov 15 2017 yousaf.kaukab@suse.com
- iommu/rockchip: add multi irqs support (fate#323912).
- iommu/rockchip: Enable Rockchip IOMMU on ARM64 (fate#323912).
- drm/rockchip: add CONFIG_OF dependency for lvds (fate#323912).
- drm/rockchip: add PINCTRL dependency for LVDS (fate#323912).
- drm/rockchip: Rely on the default best_encoder() behavior
  (fate#323912).
- drm/rockchip: Cocci spatch "vma_pages" (fate#323912).
- drm/rockchip: Fix uninitialized use of ret (fate#323912).
- drm/rockchip: Replace dev_* with DRM_DEV_* (fate#323912).
- drm/rockchip: Add support for Rockchip Soc LVDS (fate#323912).
- drm/rockchip: switch to drm_*_get(), drm_*_put() helpers
  (fate#323912).
- drm/rockchip: Fix suspend crash when drm is not bound
  (fate#323912).
- drm/rockchip: make drm_connector_funcs structures const
  (fate#323912).
- drm/rockchip: fix race with kms hotplug and fbdev (fate#323912).
- drm/rockchip: vop: no need wait vblank on crtc enable
  (fate#323912).
- drm/rockchip: vop: report error when check resource error
  (fate#323912).
- drm/rockchip: vop: round_up pitches to word align (fate#323912).
- drm/rockchip: vop: fix NV12 video display error (fate#323912).
- drm/rockchip: vop: fix iommu page fault when resume
  (fate#323912).
- drm/rockchip: vop: rk3328: fix overlay abnormal (fate#323912).
- drm/rockchip: vop: add a series of vop support (fate#323912).
- drm/rockchip: vop: group vop registers (fate#323912).
- drm/rockchip: vop: move line_flag_num to interrupt registers
  (fate#323912).
- drm/rockchip: vop: move write_relaxed flags to vop register
  (fate#323912).
- drm/rockchip: vop: initialize registers directly (fate#323912).
- drm/rockchip: Use .dumb_map_offset and .dumb_destroy defaults
  (fate#323912).
- drm/rockchip: Use for_each_oldnew_plane_in_state in
  vop_crtc_atomic_flush (fate#323912).
- drm/rockchip: fix NULL check on devm_kzalloc() return value
  (fate#323912).
- drm/rockchip: Drop drm_vblank_cleanup (fate#323912).
- drm/rockchip: dw_hdmi: introduce the pclk for grf (fate#323912).
- drm/rockchip: dw_hdmi: introduce the VPLL clock setting
  (fate#323912).
- drm/rockchip: dw_hdmi: add RK3399 HDMI support (fate#323912).
- drm/rockchip: Remove unnecessary NULL check (fate#323912).
- drm/rockchip: gem: add the lacks lock and trivial changes
  (fate#323912).
- drm/rockchip: use drm_for_each_connector_iter() (fate#323912).
- drm/rockchip: analogix_dp: Remove unused check and variables
  (fate#323912).
- drm/rockchip: Set line flag config register in vop_crtc_enable
  (fate#323912).
- mfd: rk808: Fix up the chip id get failed (fate#323912).
- pwm: rockchip: Use same PWM ops for each IP (fate#323912).
- pwm: rockchip: Move the configuration of polarity (fate#323912).
- pwm: rockchip: Use pwm_apply() instead of pwm_enable()
  (fate#323912).
- pwm: rockchip: Remove the judge from return value of
  pwm_config() (fate#323912).
- pwm: rockchip: Add APB and function both clocks support
  (fate#323912).
- phy: rockchip-typec: Do the calibration more correctly
  (fate#323912).
- phy: rockchip-typec: Avoid magic numbers + add delays in aux
  calib (fate#323912).
- phy: rockchip-typec: Check for errors from tcphy_phy_init()
  (fate#323912).
- phy: rockchip-typec: Don't set the aux voltage swing to 400 mV
  (fate#323912).
- phy: rockchip-typec: Set the AUX channel flip state earlier
  (fate#323912).
- phy: rockchip-pcie: Reconstruct driver to support per-lane PHYs
  (fate#323912).
- phy: rockchip-typec: remove unused dfp variable (fate#323912).
- phy: rockchip-inno-usb2: add support of usb2-phy for rv1108 SoCs
  (fate#323912).
- phy: rockchip-inno-usb2: add support for otg-mux interrupt
  (fate#323912).
- phy: rockchip-inno-usb2: add support for rockchip,usbgrf
  property (fate#323912).
- phy: rockchip-inno-usb2: Replace the extcon API (fate#323912).
- phy: rockchip-inno-usb2: add support of usb2-phy for rk3228 SoCs
  (fate#323912).
- phy: rockchip-inno-usb2: add one phy comprises with two
  host-ports support (fate#323912).
- phy: rockchip-inno-usb2: increase otg sm work first schedule
  time (fate#323912).
- phy: rockchip-inno-usb2: add a delay after phy resume
  (fate#323912).
- phy: Group vendor specific phy drivers (fate#323912).
- phy: Move ULPI phy header out of drivers to include path
  (fate#323912).
- phy: qcom-usb: Remove unused ulpi phy header (fate#323912).
- clk: rockchip: Remove superfluous error message in
  rockchip_clk_register_cpuclk() (fate#323912).
- clk: rockchip: Mark rockchip_fractional_approximation static
  (fate#323912).
- clk: rockchip: add special approximation to fix up fractional
  clk's jitter (fate#323912).
- clk: fractional-divider: allow overriding of approximation
  (fate#323912).
- clk: rockchip: add ids for rk3399 testclks used for camera
  handling (fate#323912).
- clk: rockchip: add dt-binding header for rk3128 (fate#323912).
- clk: rockchip: add ids for camera on rk3399 (fate#323912).
- spi: rockchip: configure CTRLR1 according to size and data frame
  (fate#323912).
- spi: rockchip: Fix clock handling in suspend/resume
  (fate#323912).
- spi: rockchip: Fix clock handling in remove (fate#323912).
- spi: rockchip: Slightly rework return value handling
  (fate#323912).
- spi: rockchip: Disable Runtime PM when chip select is asserted
  (fate#323912).
- spi: rockchip: Set GPIO_SS flag to enable Slave Select with
  GPIO CS (fate#323912).
- spi: rockchip: fix error handling when probe (fate#323912).
- pinctrl: rockchip: Fix the rk3399 gpio0 and gpio1 banks'
  drv_offset at pmu grf (fate#323912).
- pinctrl: rockchip: Use common interface for recalced iomux
  (fate#323912).
- pinctrl: rockchip: Add iomux-route switching support for rk3399
  (fate#323912).
- pinctrl: rockchip: Add iomux-route switching support for rk3328
  (fate#323912).
- pinctrl: rockchip: Add iomux-route switching support for rk3228
  (fate#323912).
- pinctrl: rockchip: Add iomux-route switching support
  (fate#323912).
- pinctrl: rockchip: remove unneeded (void *) casts in
  of_match_table (fate#323912).
- clocksource/drivers/rockchip: pr_err() strings should end with
  newlines (fate#323912).
- iio: adc: rockchip_saradc: explicitly request exclusive reset
  control (fate#323912).
- iio: adc: rockchip_saradc: add NULL check on of_match_device()
  return value (fate#323912).
- PM / devfreq: rk3399_dmc: fix error return code in
  rk3399_dmcfreq_probe() (fate#323912).
- commit e27a9b1
* Tue Nov 14 2017 tiwai@suse.de
- drm/i915/glk: Add cold boot sequence for GLK DSI (bsc#1067957).
- drm/i915/glk: Split GLK DSI device ready functionality
  (bsc#1067957).
- drm/i915/huc: Update GLK HuC version (bsc#1067957).
- drm/i915/gen9: Reintroduce WaEnableYV12BugFixInHalfSliceChicken7
  (bsc#1067957).
- drm/i915/glk: Calculate high/low switch count for GLK
  (bsc#1067957).
- drm/i915/glk: Don't allow 12 bpc when htotal is too big
  (bsc#1067957).
- drm/i915/GLK/HuC: Load HuC on GLK (bsc#1067957).
- drm/i915/GuC/GLK: Load GuC on GLK (bsc#1067957).
- drm/i915/glk: limit pixel clock to 99%% of cdclk workaround
  (bsc#1067957).
- commit f5509cc
* Tue Nov 14 2017 tiwai@suse.de
- drm/i915/glk: Remove the alpha_support flag (bsc#1067957).
- commit 4bae915
* Tue Nov 14 2017 lpechacek@suse.com
- btrfs: use GFP_KERNEL in mount and remount (bsc#1062897).
- commit e1d90be
* Tue Nov 14 2017 jkosina@suse.cz
- Refresh patches.fixes/ext4-add-ext4_should_use_dax.patch: update upstream
  commit reference SHA
- commit f3bb07f
* Tue Nov 14 2017 jkosina@suse.cz
- Refresh
  patches.fixes/ext4-add-sanity-check-for-encryption-DAX.patch: update
  upstream commit reference SHA
- commit db0eb3c
* Tue Nov 14 2017 jkosina@suse.cz
- Refresh
  patches.fixes/ext4-prevent-data-corruption-with-journaling-DAX.patch: update
  upstream commit SHA
- commit 73f86f5
* Tue Nov 14 2017 tiwai@suse.de
- Correct to the updated upstream fix patch (CVE-2017-16647, bsc#1067102)
  Refreshed
  patches.drivers/net-usb-asix-fill-null-ptr-deref-in-asix_suspend.patch
- commit decd96f
* Tue Nov 14 2017 msuchanek@suse.de
- powerpc/pseries/vio: Dispose of virq mapping on vdevice
  unregister (bsc#1067888).
- commit 927b61a
* Mon Nov 13 2017 msuchanek@suse.de
- powerpc/vphn: Fix numa update end-loop bug (FATE#323745,
  bsc#1067906).
- powerpc/hotplug: Improve responsiveness of hotplug change
  (FATE#323745, bsc#1067906).
- powerpc/vphn: Improve recognition of PRRN/VPHN (FATE#323745,
  bsc#1067906).
- powerpc/vphn: Update CPU topology when VPHN enabled
  (FATE#323745, bsc#1067906).
- commit 2e4ca0c
* Mon Nov 13 2017 tiwai@suse.de
- media: rainshadow-cec: avoid -Wmaybe-uninitialized warning again
  (bsc#1051510).
- commit a30769c
* Mon Nov 13 2017 tiwai@suse.de
- blacklist.conf: add media and other commits (bsc#1051510)
- commit e57653b
* Mon Nov 13 2017 tiwai@suse.de
- serial: pch_uart: Make port type explicit (bsc#1051510).
- Refresh
  patches.drivers/serial-fix-port-type-numbering-for-ti-da8xx.
- commit 71e99cb
* Mon Nov 13 2017 tiwai@suse.de
- iio: dummy: events: Add missing break (bsc#1051510).
- Input: ucb1400_ts - fix suspend and resume handling
  (bsc#1051510).
- Input: ti_am335x_tsc - fix incorrect step config for 5 wire
  touchscreen (bsc#1051510).
- i2c: cadance: fix ctrl/addr reg write order (bsc#1051510).
- rtc: sa1100: fix unbalanced
  clk_prepare_enable/clk_disable_unprepare (bsc#1051510).
- cfg80211: honor NL80211_RRF_NO_HT40{MINUS,PLUS} (bsc#1051510).
- serial: 8250_uniphier: fix serial port index in private data
  (bsc#1051510).
- Revert "net: bcmgenet: Remove init parameter from
  bcmgenet_mii_config" (bsc#1051510).
- rtc: rtc-nuc900: fix loop timeout test (bsc#1051510).
- libertas: Fix lbs_prb_rsp_limit_set() (bsc#1051510).
- mmc: mediatek: Fixed size in dma_free_coherent (bsc#1051510).
- Fix serial console on SNI RM400 machines (bsc#1051510).
- media: v4l2-compat-ioctl32: Fix timespec conversion
  (bsc#1051510).
- [media] rainshadow-cec: use strlcat instead of strncat
  (bsc#1051510).
- [media] rainshadow-cec: avoid -Wmaybe-uninitialized warning
  (bsc#1051510).
- [media] mceusb: fix memory leaks in error path (bsc#1051510).
- media: em28xx: calculate left volume level correctly
  (bsc#1051510).
- media: devnode: Rename mdev argument as devnode (bsc#1051510).
- media: au0828: fix RC_CORE dependency (bsc#1051510).
- media: Revert "[media] et8ek8: Export OF device ID as module
  aliases" (bsc#1051510).
- gpu: ipu-v3: add DRM dependency (bsc#1051510).
- gpu: host1x: Free the IOMMU domain when there is no device to
  attach (bsc#1051510).
- gpu: host1x: Don't fail on NULL bo physical address
  (bsc#1051510).
- drm: rcar-du: Use the VBK interrupt for vblank events
  (bsc#1051510).
- commit 26cdc26
* Mon Nov 13 2017 tiwai@suse.de
- Refresh patch-mainline tag:
  patches.drivers/net-usb-asix-fill-null-ptr-deref-in-asix_suspend.patch.
- commit c4c86fe
* Mon Nov 13 2017 tiwai@suse.de
- ALSA: line6: Fix missing initialization before error path
  (bsc#1052235).
- ALSA: line6: Fix leftover URB at error-path during probe
  (bsc#1052235).
- ALSA: line6: Fix NULL dereference at podhd_disconnect()
  (bsc#1052235).
- commit b480beb
* Mon Nov 13 2017 tiwai@suse.de
- Fix the logic error in mgag200 patch (bsc#1066589)
  Refreshed
  patches.drivers/drm-mgag200-Add-mode-validation-debugging-code.patch.
- commit 507c2b5
* Mon Nov 13 2017 mhocko@suse.com
- blacklist.conf: blacklist a872eb2131e9 (bnc#1066602)
- commit c02d5e2
* Mon Nov 13 2017 oneukum@suse.com
- net: qmi_wwan: fix divide by 0 on bad descriptors (bsc#1067086
  CVE-2017-16650).
- commit 2135e29
* Mon Nov 13 2017 bp@suse.de
- x86/smpboot: Make optimization of delay calibration work
  correctly (git-fixes).
- commit cb9a8c3
* Fri Nov 10 2017 dbueso@suse.de
- locking/pvqspinlock: Implement hybrid PV queued/unfair locks
  (bsc#1050549).
- futex: Fix more put_pi_state() vs. exit_pi_state_list() races
  (bsc#1067665).
- futex: Fix pi_state->owner serialization (bsc#1067665).
- commit df2923d
* Thu Nov  9 2017 tiwai@suse.de
- blacklist.conf: Add drm/vgmem blacklist patch (bsc#1051510)
- commit a526463
* Thu Nov  9 2017 tiwai@suse.de
- drm/crc: Only open CRC on atomic drivers when the CRTC is active
  (bsc#1051510).
- drm/vc4: Don't disable DSI clocks on component unload
  (bsc#1051510).
- drm/vc4: Fix leak of HDMI EDID (bsc#1051510).
- drm/i915: Hold rcu_read_lock when iterating over the radixtree
  (objects) (bsc#1051510).
- commit 34fddd9
* Thu Nov  9 2017 bpoirier@suse.com
- Update some Git-repo tags according to most recent upstream status.
- Refresh
  patches.arch/KVM-PPC-Book3S-0005-Fix-server-always-zero-from-kvmppc_xi.patch.
- Refresh patches.arch/cxl-Fix-memory-page-not-handled.patch.
- Refresh
  patches.arch/perf-pmu-events-support-additional-power8-pvr-in-mapfile.patch.
- Refresh
  patches.arch/perf-vendor-events-add-power9-pmu-events.patch.
- Refresh
  patches.arch/perf-vendor-events-add-power9-pvrs-to-mapfile.patch.
- Refresh
  patches.arch/perf-vendor-events-powerpc-remove-suffix-in-mapfile.patch.
- Refresh
  patches.arch/perf-vendor-events-powerpc-update-power9-events.patch.
- Refresh
  patches.arch/powerpc-Fix-action-argument-for-cpufeatures-based-TLB-flush.patch.
- Refresh
  patches.arch/powerpc-Fix-workaround-for-spurious-MCE-on-POWER9.patch.
- Refresh
  patches.arch/powerpc-Handle-MCE-on-POWER9-with-only-DSISR-bit-30-set.patch.
- Refresh
  patches.arch/powerpc-mm-radix-Avoid-flushing-the-PWC-on-every-flush_tlb_range.patch.
- Refresh
  patches.arch/powerpc-mm-radix-Improve-TLB-PWC-flushes.patch.
- Refresh
  patches.arch/powerpc-mm-radix-Improve-_tlbiel_pid-to-be-usable-for-PWC-flushes.patch.
- Refresh
  patches.arch/powerpc-perf-Cleanup-of-PM_BR_CMPL-vs.-PM_BRU_CMPL-in-Power9-event-list.patch.
- Refresh
  patches.arch/powerpc-perf-Update-default-sdar_mode-value-for-power9.patch.
- Refresh
  patches.arch/powerpc-perf-add-core-imc-pmu-support.patch.
- Refresh
  patches.arch/powerpc-perf-add-nest-imc-pmu-support.patch.
- Refresh
  patches.arch/powerpc-perf-add-thread-imc-pmu-support.patch.
- Refresh
  patches.arch/powerpc-perf-fix-double-unlock-in-imc_common_cpuhp_mem_free.patch.
- Refresh
  patches.arch/powerpc-perf-fix-usage-of-nest_imc_refc.patch.
- Refresh
  patches.arch/powerpc-perf-imc-fix-nest-events-on-muti-socket-system.patch.
- Refresh
  patches.arch/powerpc-xive-04-Ensure-active-irqd-when-setting-affinit.patch.
- Refresh
  patches.arch/powerpc-xive-05-Fix-section-mismatch-warnings.patch.
- Refresh
  patches.arch/powerpc-xive-06-Fix-the-size-of-the-cpumask-used-in-xive_find_target_in_mask.patch.
- Refresh
  patches.arch/powerpc-xive-07-powerpc-xmon-Exclude-all-of-xmon-from-ftrace.patch.
- Refresh
  patches.arch/powerpc-xive-08-introduce-a-common-routine-xive_queue_p.patch.
- Refresh
  patches.arch/powerpc-xive-09-guest-exploitation-of-the-XIVE-interrup.patch.
- Refresh
  patches.arch/powerpc-xive-10-rename-xive_poke_esb-in-xive_esb_read.patch.
- Refresh
  patches.arch/powerpc-xive-11-introduce-xive_esb_write.patch.
- Refresh
  patches.arch/powerpc-xive-12-add-the-HW-IRQ-number-under-xive_irq_da.patch.
- Refresh
  patches.arch/powerpc-xive-13-introduce-H_INT_ESB-hcall.patch.
- Refresh
  patches.arch/powerpc-xive-14-add-XIVE-Exploitation-Mode-to-CAS.patch.
- Refresh
  patches.arch/powerpc-xive-15-improve-debugging-macros.patch.
- Refresh
  patches.arch/powerpc-xive-16-Fix-section-__init-warning.patch.
- Refresh patches.arch/powerpc-xive-18-Fix-IPI-reset.patch.
- Refresh
  patches.arch/powerpc-xive-19-Clear-XIVE-internal-structures-when-a-C.patch.
- Refresh
  patches.drivers/0001-acpica-iort-Update-SMMU-models-for-IORT-rev.-C.patch.
- Refresh
  patches.drivers/0001-ata-ceva-Move-sata-port-phy-oob-settings-to-device-t.patch.
- Refresh
  patches.drivers/0002-ata-ceva-Add-gen-3-mode-support-in-driver.patch.
- Refresh
  patches.drivers/0002-tty-xilinx_uartps-move-to-arch_initcall-for-earlier-.patch.
- Refresh
  patches.drivers/0003-ata-ceva-Disable-Device-Sleep-capability.patch.
- Refresh
  patches.drivers/0004-ata-ceva-Make-RxWaterMark-value-as-module-parameter.patch.
- Refresh
  patches.drivers/0005-ata-ceva-Add-CCI-support-for-SATA-if-CCI-is-enabled.patch.
- Refresh
  patches.drivers/0006-ata-ceva-Correct-the-AXI-bus-configuration-for-SATA-.patch.
- Refresh
  patches.drivers/0007-ata-ceva-Correct-the-suspend-and-resume-logic-for-SA.patch.
- Refresh
  patches.drivers/0008-ata-ceva-Add-SMMU-support-for-SATA-IP.patch.
- Refresh
  patches.drivers/0031-ACPI-APEI-Enable-APEI-multiple-GHES-source-to-share-.patch.
- Refresh
  patches.drivers/05-edac-pnd2-build-in-a-minimal-sideband-driver-for-apollo-lake.patch.
- Refresh
  patches.drivers/06-edac-pnd2-mask-off-the-lower-four-bits-of-a-bar.patch.
- Refresh
  patches.drivers/07-edac-pnd2-conditionally-unhide-hide-the-p2sb-pci-device-to-read-bar.patch.
- Refresh
  patches.drivers/08-edac-pnd2-properly-toggle-hidden-state-for-p2sb-pci-device.patch.
- Refresh
  patches.drivers/ALSA-hda-Abort-capability-probe-at-invalid-register-.
- Refresh
  patches.drivers/ALSA-hda-Implement-mic-mute-LED-mode-enum.
- Refresh
  patches.drivers/ALSA-ice1712-Add-support-for-STAudio-ADCIII.
- Refresh
  patches.drivers/drm-i915-Align-vswing-sequences-with-old-ddi-buffer-.
- Refresh
  patches.drivers/drm-i915-Display-WA-1133-WaFbcSkipSegments-cnl-glk.
- Refresh
  patches.drivers/drm-i915-Enable-voltage-swing-before-enabling-DDI_BU.
- Refresh patches.drivers/drm-i915-Introduce-intel_ddi_dp_level.
- Refresh patches.drivers/drm-i915-Shrink-cnl_ddi_buf_trans.
- Refresh
  patches.drivers/drm-i915-Stop-using-long-platform-names-on-clock-gat.
- Refresh
  patches.drivers/drm-i915-avoid-division-by-zero-on-cnl_calc_wrpll_li.
- Refresh
  patches.drivers/drm-i915-avoid-potential-uninitialized-variable-use.
- Refresh
  patches.drivers/drm-i915-cfl-Coffee-Lake-works-on-Kaby-Lake-PCH.
- Refresh
  patches.drivers/drm-i915-cfl-Remove-alpha-support-protection.
- Refresh patches.drivers/drm-i915-cnl-Add-Gen10-LRC-size.
- Refresh
  patches.drivers/drm-i915-cnl-Add-WaDisableReplayBufferBankArbitratio.
- Refresh
  patches.drivers/drm-i915-cnl-Add-support-slice-subslice-eu-configs.
- Refresh
  patches.drivers/drm-i915-cnl-Allow-the-reg_read-ioctl-to-read-the-RC.
- Refresh
  patches.drivers/drm-i915-cnl-Apply-large-line-width-optimization.
- Refresh
  patches.drivers/drm-i915-cnl-Avoid-ioremap_wc-on-Cannonlake-as-well.
- Refresh
  patches.drivers/drm-i915-cnl-Change-the-macro-name-to-DPLL_CFGCR0_DC.
- Refresh
  patches.drivers/drm-i915-cnl-Do-not-add-an-extra-page-for-precaution.
- Refresh
  patches.drivers/drm-i915-cnl-Extend-WM-workaround-with-IPC-for-CNL.
- Refresh
  patches.drivers/drm-i915-cnl-Fix-DDI-hdmi-level-selection.
- Refresh patches.drivers/drm-i915-cnl-Fix-DP-max-voltage.
- Refresh
  patches.drivers/drm-i915-cnl-Introduce-initial-Cannonlake-Workaround.
- Refresh
  patches.drivers/drm-i915-cnl-Move-ddi-buf-trans-related-functions-up.
- Refresh
  patches.drivers/drm-i915-cnl-Move-voltage-check-into-ddi-buf-trans-f.
- Refresh
  patches.drivers/drm-i915-cnl-Reprogram-DMC-firmware-after-S3-S4-resu.
- Refresh
  patches.drivers/drm-i915-cnl-WA-FtrEnableFastAnisoL1BankingFix.
- Refresh
  patches.drivers/drm-i915-cnl-WaDisableEnhancedSBEVertexCaching.
- Refresh patches.drivers/drm-i915-cnl-WaDisableI2mCycleOnWRPort.
- Refresh
  patches.drivers/drm-i915-cnl-WaForceContextSaveRestoreNonCoherent.patch.
- Refresh
  patches.drivers/drm-i915-cnl-WaPushConstantDereferenceHoldDisable.
- Refresh
  patches.drivers/drm-i915-cnl-WaThrottleEUPerfToAvoidTDBackPressure-c.
- Refresh
  patches.drivers/drm-i915-cnl-don-t-hardcode-DPCLKA_CFGCR0_DDI_CLK_SE.
- Refresh
  patches.drivers/drm-i915-cnl-extract-cnl_set_procmon_ref_values.
- Refresh
  patches.drivers/drm-i915-cnl-simplify-cnl_procmon_values-handling.
- Refresh
  patches.drivers/drm-i915-cnp-Display-Wa-1179-WaHardHangonHotPlug.
- Refresh
  patches.drivers/drm-i915-cnp-Don-t-touch-other-PCH-clock-gating-bits.
- Refresh
  patches.drivers/drm-i915-cnp-Wa-1181-Fix-Backlight-issue.
- Refresh
  patches.drivers/drm-i915-decouple-gen9-and-gen10-dp-signal-levels.
- Refresh
  patches.drivers/drm-i915-glk-cnl-Implement-WaDisableScalarClockGatin.
- Refresh
  patches.drivers/media-cx231xx-cards-fix-NULL-deref-on-missing-associ.
- Refresh
  patches.drivers/media-dib0700-fix-invalid-dvb_detach-argument.
- Refresh
  patches.drivers/media-imon-Fix-null-ptr-deref-in-imon_probe.
- Refresh patches.drivers/powerpc-powernv-Add-IMC-OPAL-APIs.patch.
- Refresh
  patches.drivers/powerpc-powernv-Add-support-for-powercap-framework.patch.
- Refresh
  patches.drivers/powerpc-powernv-Add-support-to-clear-sensor-groups-data.patch.
- Refresh
  patches.drivers/powerpc-powernv-Add-support-to-set-power-shifting-ratio.patch.
- Refresh
  patches.drivers/powerpc-powernv-Detect-and-create-IMC-device.patch.
- Refresh
  patches.drivers/powerpc-powernv-Enable-PCI-peer-to-peer.patch.
- Refresh
  patches.fixes/ALSA-seq-Fix-use-after-free-at-creating-a-port.
- Refresh patches.fixes/loop-Remove-unused-bdev-argument.patch.
- Refresh patches.fixes/loop-fix-error-handling.patch.
- Refresh patches.fixes/loop-support-4k-blocksize.patch.
- Refresh
  patches.fixes/mac80211-accept-key-reinstall-without-changing-anyth.patch.
- Refresh
  patches.fixes/nl80211-check-for-the-required-netlink-attributes-pr.patch.
- Refresh
  patches.fixes/powerpc-mm-book3s64-Make-KERN_IO_START-a-variable.patch.
- Refresh
  patches.fixes/powerpc-mm-hash64-Make-vmalloc-56T-on-hash.patch.
- Refresh
  patches.fixes/powerpc-mm-slb-Move-comment-next-to-the-code-it-s-referring-to.patch.
- Refresh
  patches.fixes/sched-core-Address-more-wake_affine-regressions.patch.
- Refresh
  patches.fixes/sched-core-Fix-wake_affine-performance-regression.patch.
- Refresh
  patches.suse/0001-locking-osq_lock-Fix-osq_lock-queue-corruption.patch.
- Refresh
  patches.suse/0001-objtool-Don-t-report-end-of-section-error-after-an-e.patch.
- Refresh
  patches.suse/0001-sched-wait-Remove-the-lockless-swait_active-check-in.patch.
- Refresh
  patches.suse/0002-x86-head-Remove-confusing-comment.patch.
- Refresh
  patches.suse/0003-x86-head-Remove-unused-bad_address-code.patch.
- Refresh
  patches.suse/0004-x86-head-Fix-head-ELF-function-annotations.patch.
- Refresh
  patches.suse/0005-x86-boot-Annotate-verify_cpu-as-a-callable-function.patch.
- Refresh
  patches.suse/0006-x86-xen-Fix-xen-head-ELF-annotations.patch.
- Refresh
  patches.suse/0007-x86-xen-Add-unwind-hint-annotations.patch.
- Refresh
  patches.suse/0008-x86-head-Add-unwind-hint-annotations.patch.
- commit b965d15
* Thu Nov  9 2017 tiwai@suse.de
- Revert "ALSA: echoaudio: purge contradictions between dimension
  matrix members and total number of members" (bsc#1051510).
- commit 46377e9
* Thu Nov  9 2017 tiwai@suse.de
- blacklist.conf: Add i915 blacklist (bsc#1051510)
- commit a51cd00
* Thu Nov  9 2017 tiwai@suse.de
- drm/i915: Use bdw_ddi_translations_fdi for Broadwell
  (bsc#1051510).
- drm/i915: Report -EFAULT before pwrite fast path into shmemfs
  (bsc#1051510).
- drm/i915: Order two completing nop_submit_request (bsc#1051510).
- drm/i915: Read timings from the correct transcoder in
  intel_crtc_mode_get() (bsc#1051510).
- drm/i915: remove redundant variable hw_check (bsc#1051510).
- drm/i915: Fix DDI PHY init if it was already on (bsc#1051510).
- drm/i915/glk: Fix DMC/DC state idleness calculation
  (bsc#1051510).
- drm/i915: Re-enable GTT following a device reset (bsc#1051510).
- drm/i915: Clear lost context-switch interrupts across reset
  (bsc#1051510).
- drm/i915: Avoid the gpu reset vs. modeset deadlock
  (bsc#1051510).
- commit c463053
* Thu Nov  9 2017 lpechacek@suse.com
- rpm/kernel-binary.spec.in: rename kGraft to KLP (fate#323682)
- commit 0ed191d
* Thu Nov  9 2017 msuchanek@suse.de
- Support paes_s390 and pkey modules (bsc#1066939)
- commit 5932b2c
* Thu Nov  9 2017 msuchanek@suse.de
- s390/crypto: fix aes/paes Kconfig dependeny (bsc#1066939).
- Update config files.
- commit 85fd2af
* Thu Nov  9 2017 jkosina@suse.cz
- x86/mm: Unbreak modules that rely on external PAGE_KERNEL
  availability (FATE#322123).
- commit 2ce8e65
* Wed Nov  8 2017 jack@suse.cz
- mm, truncate: remove all exceptional entries from pagevec
  under one lock -fix (bsc#1065138).
- commit e824298
* Wed Nov  8 2017 pmladek@suse.com
- lib/ratelimit.c: use deferred printk() version (bsc#979928).
- commit 2c73591
* Wed Nov  8 2017 oneukum@suse.com
- Input: gtco - fix potential out-of-bound access (bsc#1067085
  CVE-2017-16649).
- commit 60895ec
* Wed Nov  8 2017 tiwai@suse.de
- media: dib0700: fix invalid dvb_detach argument (CVE-2017-16646
  bsc#1067105).
- commit 66fca6a
* Wed Nov  8 2017 tiwai@suse.de
- net: usb: asix: fill null-ptr-deref in asix_suspend
  (CVE-2017-16647 bsc#1067102).
- commit f86cac1
* Wed Nov  8 2017 tiwai@suse.de
- Input: ims-psu - check if CDC union descriptor is sane
  (CVE-2017-16645 bsc#1067132).
- commit fba5e7b
* Wed Nov  8 2017 oneukum@suse.com
- USB: core: harden cdc_parse_cdc_header (bsc#1066693
  CVE-2017-16534).
- commit a719332
* Wed Nov  8 2017 gqjiang@suse.com
- Refresh
  patches.drivers/0003-md-cluster-Suspend-writes-in-RAID10-if-within-range.patch.
- Delete
  patches.drivers/0002-md-raid10-add-honouring-of-suspend_-lo-hi.patch.
- commit 6922f7b
* Tue Nov  7 2017 oneukum@suse.com
- USB: core: fix out-of-bounds access bug in
  usb_get_bos_descriptor() (bsc#1066700 CVE-2017-16535).
- commit c7ecdbf
* Tue Nov  7 2017 rgoldwyn@suse.com
- apparmor: Revert network mediation to old patches.
  References: bsc#1065536
  Backport of upstream patch 651e28c5537a ("apparmor: add base
  infastructure for socket mediation") allowed us delete old apparmor
  networking patches which we have been carrying for quite some time.
  However, through 80c094a47dd4 ("Revert "apparmor: add base
  infastructure for socket mediation""), this patch was reverted.
  In order to support our networking infrastructure for apparmor,
  we have to retain our old patches.
- apparmor: update apparmor-basic-networking-rules for 4.11-rc1
  (FATE#300516).
- AppArmor: basic networking rules (FATE#300516).
- apparmor: Fix quieting of audit messages for network mediation
  (FATE#300516).
- Delete
  patches.apparmor/0011-apparmor-add-base-infastructure-for-socket-mediation.patch.
- commit 68ae091
* Tue Nov  7 2017 oneukum@suse.com
- USB: fix out-of-bounds in usb_set_configuration (bsc#1066671
  CVE-2017-16531).
- commit 503cdcb
* Tue Nov  7 2017 nborisov@suse.com
- btrfs: change how we decide to commit transactions during
  flushing (bsc#1060197).
  Also enable Liu Bo's patch now that the maths behind transaction commit is
  fixed.
- commit 090a8a5
* Mon Nov  6 2017 yousaf.kaukab@suse.com
- arm64: Ensure the instruction emulation is ready for userspace
  (bsc#1066688).
- commit d42b0c9
* Mon Nov  6 2017 tiwai@suse.de
- assoc_array: Fix a buggy node-splitting case (CVE-2017-12193
  bsc#1066192).
- commit 2a60539
* Mon Nov  6 2017 tbogendoerfer@suse.de
- net: ethtool: remove error check for legacy setting transceiver
  type (bsc#1056787).
- commit 7d9e6b5
* Mon Nov  6 2017 agraf@suse.de
- Update config files to enable spidev on arm64. (bsc#1066696)
- supported.conf: Support spidev (bsc#1066696)
- commit 181d4fc
* Mon Nov  6 2017 bpoirier@suse.com
- Refresh patch order in sorted section
- commit 8c0cbfa
* Mon Nov  6 2017 tbogendoerfer@suse.de
- net_sched: avoid matching qdisc with zero handle (bsc#1056787).
- soreuseport: fix initialization race (bsc#1056787).
- netlink: fix netlink_ack() extack race (bsc#1056787).
- net: enable interface alias removal via rtnl (bsc#1056787).
- gso: fix payload length when gso_size is zero (bsc#1056787).
- net: rtnetlink: fix info leak in RTM_GETSTATS call
  (bsc#1056787).
- inet: fix improper empty comparison (bsc#1056787).
- net: ethtool: Add back transceiver type (bsc#1056787).
- net_sched: always reset qdisc backlog in qdisc_reset()
  (bsc#1056787).
- net: change skb->mac_header when Generic XDP calls adjust_head
  (bsc#1056787).
- net/sched: cls_matchall: fix crash when used with classful qdisc
  (bsc#1056787).
- net/sock: allow the user to set negative peek offset
  (bsc#1056787).
- sch_tbf: fix two null pointer dereferences on init failure
  (bsc#1056787).
- sch_netem: avoid null pointer deref on init failure
  (bsc#1056787).
- sch_fq_codel: avoid double free on init failure (bsc#1056787).
- sch_cbq: fix null pointer dereferences on init failure
  (bsc#1056787).
- sch_hhf: fix null pointer dereference on init failure
  (bsc#1056787).
- sch_htb: fix crash on init failure (bsc#1056787).
- gue: fix remcsum when GRO on and CHECKSUM_PARTIAL boundary is
  outer UDP (bsc#1056787).
- vxlan: fix remcsum when GRO on and CHECKSUM_PARTIAL boundary
  is outer UDP (bsc#1056787).
- net: bridge: fix dest lookup when vlan proto doesn't match
  (bsc#1056787).
- commit 112af25
* Mon Nov  6 2017 oneukum@suse.com
- USB: serial: console: fix use-after-free on disconnect
  (bsc#1066618 CVE-2017-16525).
- USB: serial: console: fix use-after-free after failed setup
  (bsc#1066618 CVE-2017-16525).
- commit f99e4d9
* Mon Nov  6 2017 tiwai@suse.de
- ALSA: usb-audio: Check out-of-bounds access by corrupted buffer
  descriptor (CVE-2017-16529 bsc#1066650).
- commit d27bf12
* Mon Nov  6 2017 hare@suse.de
- s390/kvm: fix detection of guest machine checks
  (FATE#324256,LTC#160417,bsc#1066327).
- KVM: s390: Inject machine check into the nested guest
  (FATE#324256,LTC#160417,bsc#1066327).
- KVM: s390: Inject machine check into the guest
  (FATE#324256,LTC#160417,bsc#1066327).
- KVM: s390: Backup the guest's machine check info
  (FATE#324256,LTC#160417,bsc#1066327).
- s390/nmi: s390: New low level handling for machine check
  happening in guest (FATE#324256,LTC#160417,bsc#1066327).
- commit 03cf0ff
* Mon Nov  6 2017 hare@suse.de
- KVM: s390: expose no-DAT to guest and migration support
  (LTC#160419,bsc#1066194).
- KVM: s390: ioctls to get and set guest storage attributes
  (LTC#160419,bsc#1066194).
- KVM: s390: CMMA tracking, ESSA emulation, migration mode
  (LTC#160419,bsc#1066194).
- commit c96fac7
* Mon Nov  6 2017 hare@suse.de
- KVM: make pid available for uevents without debugfs
  (FATE#323770,bsc#1061982).
- KVM: trigger uevents when creating or destroying a VM
  (FATE#323770,bsc#1061982).
- commit 4b7e072
* Mon Nov  6 2017 tiwai@suse.de
- media: imon: Fix null-ptr-deref in imon_probe (CVE-2017-16537
  bsc#1066573).
- [media] cx231xx-cards: fix NULL-deref on missing association
  descriptor (CVE-2017-16536 bsc#1066606).
- commit b162a90
* Mon Nov  6 2017 tbogendoerfer@suse.de
- RDMA/nldev: Enforce device index check for port callback
  (bsc#1046306 FATE#322942).
- net/mlx5e: DCBNL, Implement tc with ets type and zero bandwidth
  (bsc#1046303 FATE#322944).
- net/mlx5e: Properly deal with encap flows add/del under neigh
  update (bsc#1046303 FATE#322944).
- net/mlx5: Delay events till mlx5 interface's add complete for
  pci resume (bsc#1046303 FATE#322944).
- net/mlx5: Fix health work queue spin lock to IRQ safe
  (bsc#1046303 FATE#322944).
- nfp: refuse offloading filters that redirects to upper devices
  (bsc#1055968).
- RDMA/netlink: OOPs in rdma_nl_rcv_msg() from misinterpreted flag
  (bsc#1046306 FATE#322942).
- commit c03a7d9
* Mon Nov  6 2017 tbogendoerfer@suse.de
- Re-sorted sorted section
- commit b3742e5
* Mon Nov  6 2017 msuchanek@suse.de
- powerpc/64s/radix: Fix preempt imbalance in TLB flush
  (bsc#1055186).
- commit 4c97add
* Mon Nov  6 2017 vbabka@suse.cz
- Update
  patches.fixes/mm-memcontrol-fix-null-pointer-crash-in-test_clear_page_writeback.patch
  (VM Functionality, bsc#1061849, bsc#1065971). Fix bsc#1065971 by editing the
  patch in-place.
- commit 44552ab
* Mon Nov  6 2017 tiwai@suse.de
- Set CONFIG_MQ_IOSCHED_DEADLINE=y on config/arm64/default (bsc#1066369)
- commit 9841c29
* Mon Nov  6 2017 tiwai@suse.de
- ALSA: usb-audio: Kill stray URB at exiting (CVE-2017-16527
  bsc#1066625).
- ALSA: seq: Cancel pending autoload work at unbinding device
  (CVE-2017-16528 bsc#1066629).
- commit e9dde55
* Mon Nov  6 2017 jkosina@suse.cz
- rpm/kernel-binary.spec.in: add explicit dependency of kernel-*-devel on
  libelf-devel. Otherwise warning that got turned into error by e683952999
  ("objtool: Upgrade libelf-devel warning to error...") would trigger and
  cause any packages being built against kernel-*-devel (such as KMPs,
  crash) not to have the libelf dependency included, and fail to build.
- commit cad1ef9
* Mon Nov  6 2017 bp@suse.de
- x86/alternatives: Fix alt_max_short macro to really be a max()
  (git-fixes).
- commit 440e729
* Mon Nov  6 2017 jkosina@suse.cz
- Revert "scripts/git-pre-commit: Check the content of the series.conf sorted section."
  This reverts commit 869e9a97f5038eb456502f1b0ee7cd06f3b8e5c3; we have to first
  announce this globally with a fixed transition date and give committers time
  to readjust their infrastructure (namely have pygit2 put in place properly).
- commit 28dd483
* Mon Nov  6 2017 mkubecek@suse.cz
- supported.conf: mark vsockmon as supported (bsc#1066369)
  This module creates a device receiving copies of vsock traffic so that it
  packets can be monitored e.g. by tcpdump/wireshark (the same way nlmon
  works for netlink). (vsock is a framework for specific guest-host
  communication channels, used by VMware, virtio and recently also Hyper-V)
- commit 683ca74
* Mon Nov  6 2017 gqjiang@suse.com
- md-cluster/raid10: set "do_balance = 0" if area is resyncing
  (fate#323171).
- md/raid10: add honouring of suspend_{lo,hi} (fate#323171).
- md-cluster: Suspend writes in RAID10 if within range
  (fate#323171).
- md-cluster: Use a small window for raid10 resync (fate#323171).
- md-cluster: update document for raid10 (fate#323171).
- Delete
  patches.suse/0036-md-cluster-remove-EXPERIMENTAL-info.patch.
- commit 0803ffd
* Fri Nov  3 2017 mcgrof@suse.com
- mac80211: don't compare TKIP TX MIC key in reinstall prevention
  (bsc#1066472).
- commit 3545ef0
* Fri Nov  3 2017 mcgrof@suse.com
- mac80211: use constant time comparison with keys (bsc#1066471).
- commit 0ae0929
* Fri Nov  3 2017 mcgrof@suse.com
- kernel/sysctl.c: remove duplicate UINT_MAX check on do_proc_douintvec_conv() (bsc#1066470).
- commit b275255
* Fri Nov  3 2017 tiwai@suse.de
- Update no-fix patch tags for recent i915 patches
  This removes the false-positive checks by git-fixes.
- commit 9fccb15
* Fri Nov  3 2017 tiwai@suse.de
- ALSA: hda - fix headset mic problem for Dell machines with
  alc236 (bsc#1052235).
- ALSA: hda/realtek - Add support for ALC236/ALC3204
  (bsc#1052235).
- ALSA: hda: Remove superfluous '-' added by printk conversion
  (bsc#1052235).
- ALSA: hda - program ICT bits to support HBR audio (bsc#1052235).
- ALSA: hda: Fix forget to free resource in error handling code
  path in hda_codec_driver_probe (bsc#1052235).
- ALSA: hda/realtek - Fix pincfg for Dell XPS 13 9370
  (bsc#1052235).
- ALSA: hda: Add Cannonlake PCI ID (bsc#1052235).
- ALSA: hda - Add hdmi id for a Geminilake variant (bsc#1052235).
- ALSA: hda - Add AZX_DRIVER_SKL for simplification (bsc#1052235).
- commit f2aaa75
* Fri Nov  3 2017 mfleming@suse.de
- sched/fair: Enable SIS_AVG_CPU by default (bsc#1061593).
- commit fc3055c
* Fri Nov  3 2017 msuchanek@suse.de
- ibmvnic: Fix failover error path for non-fatal resets
  (bsc#1066382).
- commit 786fbe8
* Fri Nov  3 2017 msuchanek@suse.de
- ibmvnic: Update reset infrastructure to support tunable
  parameters (bsc#1066382).
- commit 4058b41
* Fri Nov  3 2017 msuchanek@suse.de
- ibmvnic: Let users change net device features (bsc#1066382).
- commit c706428
* Fri Nov  3 2017 msuchanek@suse.de
- ibmvnic: Enable TSO support (bsc#1066382).
- commit 251d320
* Fri Nov  3 2017 msuchanek@suse.de
- ibmvnic: Enable scatter-gather support (bsc#1066382).
- commit 36f16a2
* Fri Nov  3 2017 msuchanek@suse.de
- ibmvnic: Fix calculation of number of TX header descriptors
  (bsc#1066382).
- commit 5ec05af
* Fri Nov  3 2017 bp@suse.de
- x86/fpu: Don't let userspace set bogus xcomp_bv (bsc#1063984,
  CVE-2017-15537).
- commit 17bafc1
* Fri Nov  3 2017 yousaf.kaukab@suse.com
- ata: ceva: Add SMMU support for SATA IP (bsc#1066345).
- ata: ceva: Correct the suspend and resume logic for SATA
  (bsc#1066345).
- ata: ceva: Correct the AXI bus configuration for SATA ports
  (bsc#1066345).
- ata: ceva: Add CCI support for SATA if CCI is enabled
  (bsc#1066345).
- ata: ceva: Make RxWaterMark value as module parameter
  (bsc#1066345).
- ata: ceva: Disable Device Sleep capability (bsc#1066345).
- ata: ceva: Add gen 3 mode support in driver (bsc#1066345).
- ata: ceva: Move sata port phy oob settings to device-tree
  (bsc#1066345).
- commit 4b09db7
* Fri Nov  3 2017 tiwai@suse.de
- supported.conf: Add wdat_wdt as supported (bsc#1066296)
- commit 45de744
* Thu Nov  2 2017 msuchanek@suse.de
- powerpc/xmon: Fix display of SPRs (bsc#1065729).
- commit e8eae4d
* Thu Nov  2 2017 msuchanek@suse.de
- powerpc/powernv: Increase memory block size to 1GB on radix
  (bsc#1065729).
- commit c2f4068
* Thu Nov  2 2017 msuchanek@suse.de
- powerpc/pseries: Don't attempt to acquire drc during memory
  hot add for assigned lmbs (FATE#322022, bsc#1065729).
- powerpc/pseries: Check memory device state before
  onlining/offlining (FATE#322022, bsc#1065729).
- commit 7e9a794
* Thu Nov  2 2017 msuchanek@suse.de
- scsi: ipr: Set no_report_opcodes for RAID arrays (bsc#1066213).
- commit 620e3a3
* Thu Nov  2 2017 msuchanek@suse.de
- scsi: ipr: Fix scsi-mq lockdep issue (bsc#1066213).
- commit a69de39
* Thu Nov  2 2017 bpoirier@suse.com
- Refresh patch order in sorted section
- commit 96020ad
* Thu Nov  2 2017 hare@suse.de
- dax: initialize variable pfn before using it (FATE#323721).
- dax: use PG_PMD_COLOUR instead of open coding (FATE#323721).
- dax: explain how read(2)/write(2) addresses are validated
  (FATE#323721).
- dax: remove DAX code from page_cache_tree_insert()
  (FATE#323721).
- dax: use common 4k zero page for dax mmap reads (FATE#323721).
- dax: relocate some dax functions (FATE#323721).
- mm: add vm_insert_mixed_mkwrite() (FATE#323721).
- commit ade91b6
* Thu Nov  2 2017 msuchanek@suse.de
- powerpc/sysrq: Fix oops whem ppmu is not registered
  (bsc#1065729).
- commit f08eb15
* Thu Nov  2 2017 tiwai@suse.de
- drm/i915: avoid division by zero on cnl_calc_wrpll_link
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Do not add an extra page for precaution in the
  Gen10 LRC size (FATE#322643 bsc#1055900).
- drm/i915: avoid potential uninitialized variable use
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Reprogram DMC firmware after S3/S4 resume
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add Gen10 LRC size (FATE#322643 bsc#1055900).
- drm/i915/cnl: Extend WM workaround with IPC for CNL (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Change the macro name to
  DPLL_CFGCR0_DCO_FRACTION_SHIFT (FATE#322643 bsc#1055900).
- drm/i915: Shrink cnl_ddi_buf_trans (FATE#322643 bsc#1055900).
- drm/i915/glk, cnl: Implement WaDisableScalarClockGating
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add support slice/subslice/eu configs (FATE#322643
  bsc#1055900).
- drm/i915/cnl:
  WaThrottleEUPerfToAvoidTDBackPressure:cnl(pre-prod) (FATE#322643
  bsc#1055900).
- drm/i915: Display WA #1133 WaFbcSkipSegments:cnl, glk
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: Display Wa #1179: WaHardHangonHotPlug (FATE#322643
  bsc#1055900).
- drm/i915/cnp: set min brightness from VBT (FATE#322643
  bsc#1055900).
- drm/i915/cnp: Don't touch other PCH clock gating bits
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: Wa 1181: Fix Backlight issue (FATE#322643
  bsc#1055900).
- drm/i915: Stop using long platform names on clock gating
  functions (FATE#322643 bsc#1055900).
- drm/i915/cnl: Allow the reg_read ioctl to read the RCS TIMESTAMP
  register (FATE#322643 bsc#1055900).
- drm/i915/cnl: Avoid ioremap_wc on Cannonlake as well
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix DP max voltage (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix DDI hdmi level selection (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Move ddi buf trans related functions up
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Move voltage check into ddi buf trans functions
  (FATE#322643 bsc#1055900).
- drm/i915: Enable voltage swing before enabling DDI_BUF_CTL
  (FATE#322643 bsc#1055900).
- drm/i915: Align vswing sequences with old ddi buffer registers
  (FATE#322643 bsc#1055900).
- drm/i915: decouple gen9 and gen10 dp signal levels (FATE#322643
  bsc#1055900).
- drm/i915: Introduce intel_ddi_dp_level (FATE#322643
  bsc#1055900).
- drm/i915/cnl: WaDisableI2mCycleOnWRPort (FATE#322643
  bsc#1055900).
- drm/i915/cnl: WA FtrEnableFastAnisoL1BankingFix (FATE#322643
  bsc#1055900).
- drm/i915/cnl: don't hardcode DPCLKA_CFGCR0_DDI_CLK_SEL_SHIFT
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: WaForceContextSaveRestoreNonCoherent (FATE#322643
  bsc#1055900).
- drm/i915/cnl: WaPushConstantDereferenceHoldDisable (FATE#322643
  bsc#1055900).
- drm/i915/cnl: extract cnl_set_procmon_ref_values (FATE#322643
  bsc#1055900).
- drm/i915/cnl: simplify cnl_procmon_values handling (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Apply large line width optimization (FATE#322643
  bsc#1055900).
- drm/i915/cnl: WaDisableEnhancedSBEVertexCaching (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add
  WaDisableReplayBufferBankArbitrationOptimization (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Introduce initial Cannonlake Workarounds
  (FATE#322643 bsc#1055900).
- drm/i915/cfl: Remove alpha support protection (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Coffee Lake works on Kaby Lake PCH (FATE#322643
  bsc#1055900).
- commit 2e11a0a
* Thu Nov  2 2017 tiwai@suse.de
- drm/i915/cnl: Fix PLL initialization for HDMI (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix PLL mapping (FATE#322643 bsc#1055900).
- drm/i915: Fix the missing PPAT cache attributes on CNL
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix LSPCON support (FATE#322643 bsc#1055900).
- drm/i915/cnl: Reuse skl_wm_get_hw_state on Cannonlake
  (FATE#322643 bsc#1055900).
- drm/i915/gen10: implement gen 10 watermarks calculations
  (FATE#322643 bsc#1055900).
- drm/i915: Addition wrapper for fixed16.16 operation (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Setup PAT Index (FATE#322643 bsc#1055900).
- drm/i915/gen10: fix WM latency printing (FATE#322643
  bsc#1055900).
- drm/i915/gen10: fix the gen 10 SAGV block time (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Enable SAGV for Cannonlake (FATE#322643
  bsc#1055900).
- drm/i915/gen10+: use the SKL code for reading WM latencies
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Dump the right pll registers when dumping pipe
  config (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add allowed DP rates for Cannonlake (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add max allowed Cannonlake DC (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add slice and subslice information to debugfs
  (FATE#322643 bsc#1055900).
- drm/i915: Return correct EDP voltage swing table for 0.85V
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Removing missing DDI_E bits from CNL (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix loadgen select programming on ddi vswing
  sequence (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add missing type case (FATE#322643 bsc#1055900).
- drm/i915/cnl: Don't trust VBT's alternate pin for port D for
  now (FATE#322643 bsc#1055900).
- drm/i915/cnl: Get DDI clock based on PLLs (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Inherit RPS stuff from previous platforms
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Cannonlake color init (FATE#322643 bsc#1055900).
- x86/gpu: CNL uses the same GMS values as SKL (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add force wake for gen10+ (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix the CURSOR_COEFF_MASK used in DDI Vswing
  Programming (FATE#322643 bsc#1055900).
- drm/i915/cnl: Fix RMW on ddi vswing sequence (FATE#322643
  bsc#1055900).
- drm/i915/cnl: LSPCON support is gen9+ (FATE#322643 bsc#1055900).
- drm/i915/cnl: Enable fifo underrun for Cannonlake (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Fix Cannonlake scaler mode programing (FATE#322643
  bsc#1055900).
- drm/i915: Use HAS_CSR instead of gen number on DMC load
  (FATE#322643 bsc#1055900).
- drm/i915/DMC/CNL: Load DMC on CNL (FATE#322643 bsc#1055900).
- drm/i915/cnl: Enable loadgen_select bit for vswing sequence
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Implement voltage swing sequence (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add DDI Buffer translation tables for Cannonlake
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add registers related to voltage swing sequences
  (FATE#322643 bsc#1055900).
- drm/i915: Add MMIO helper for 6 ports with different offsets
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Initialize PLLs (FATE#322643 bsc#1055900).
- drm/i915: Configure DPLL's for Cannonlake (FATE#322643
  bsc#1055900).
- drm/i915/cnl: DDI - PLL mapping (FATE#322643 bsc#1055900).
- drm/i915/cnl: Allow dynamic cdclk changes on CNL (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Implement CNL display init/unit sequence
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Implement .set_cdclk() for CNL (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Implement .get_display_clock_speed() for CNL
  (FATE#322643 bsc#1055900).
- drm/i915: Remove unnecessary PORT3 definition (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Also need power well sanitize (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add power wells for CNL (FATE#322643 bsc#1055900).
- drm/i915/gen10: Set value of Indirect Context Offset for gen10
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Cannonlake has same MOCS table than Skylake
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Configure EU slice power gating (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Cannonlake has 4 planes (3 sprites) per pipe
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: add IS_CNL_REVID macro (FATE#322643 bsc#1055900).
- drm/i915/cnl: Add Cannonlake PCI IDs for Y-skus (FATE#322643
  bsc#1055900).
- drm/i915/cnl: Add Cannonlake PCI IDs for U-skus (FATE#322643
  bsc#1055900).
- drm/i915: Always use 9 bits of the LPC bridge device ID for
  PCH detection (FATE#322643 bsc#1055900).
- drm/i915: Fix PCH names for KBP and CNP (FATE#322643
  bsc#1055900).
- commit 99ef3b0
* Thu Nov  2 2017 jkosina@suse.cz
- scripts/git_sort/git_sort.py: add ext4 git repository
- commit 7d0f4fb
* Thu Nov  2 2017 hare@suse.de
- Update s390x config files (FATE#323442)
- commit 139ffd3
* Thu Nov  2 2017 hare@suse.de
- s390/dasd: Add discard support for FBA devices (FATE#322263,
  bsc#1061020).
- commit fcd8c50
* Thu Nov  2 2017 hare@suse.de
- s390/mm,kvm: use nodat PGSTE tag to optimize TLB flushing
  (FATE#321512, bsc#1061009).
- s390/mm: add guest ASCE TLB flush optimization (FATE#321512,
  bsc#1061009).
- s390/mm: add no-dat TLB flush optimization (FATE#321512,
  bsc#1061009).
- s390/mm: tag normal pages vs pages used in page tables
  (FATE#321512, bsc#1061009).
- s390/sclp: single increment assignment control (FATE#323299,
  bsc#1061050).
- scsi: Do not retry invalid function error (bnc#809122).
- Delete
  patches.suse/scsi-do-not-retry-invalid-function-error.patch.
- commit cbe6ec6
* Wed Nov  1 2017 lduncan@suse.com
- KEYS: prevent KEYCTL_READ on negative key (bsc#1066043).
- KEYS: fix writing past end of user-supplied buffer in
  keyring_read() (bsc#1066046).
- serial: Fix port type numbering for TI DA8xx (bsc#1066048).
- serial: Remove unused port type (bsc#1066045).
- commit e8b8788
* Wed Nov  1 2017 msuchanek@suse.de
- Delete patches.rpmify/firmware-path
  Firmware path is irrelevant since the firmware is not used anyway
  (bsc#1054239).
- commit 6a4e78f
* Wed Nov  1 2017 bp@suse.de
- iommu/amd: Do not disable SWIOTLB if SME is active
  (fate#322123).
- commit bf4176e
* Wed Nov  1 2017 jack@suse.cz
- ext4: add ext4_should_use_dax() (bsc#1064591).
- commit a01f212
* Wed Nov  1 2017 jack@suse.cz
- ext4: add sanity check for encryption + DAX (bsc#1064591).
- commit 19ca8bf
* Wed Nov  1 2017 jack@suse.cz
- ext4: prevent data corruption with journaling + DAX
  (bsc#1064591).
- commit 0aec3e0
* Wed Nov  1 2017 jack@suse.cz
- ext4: prevent data corruption with inline data + DAX
  (bsc#1064591).
- commit 7dfd254
* Wed Nov  1 2017 vbabka@suse.cz
- mm,compaction: serialize waitqueue_active() checks (for real)
  (Git-fixes, VM Performance).
- commit 483dd23
* Wed Nov  1 2017 jgross@suse.com
- Kbuild: use -fshort-wchar globally (bnc#1065600).
- commit 3a70c58
* Wed Nov  1 2017 jgross@suse.com
- xen: x86: mark xen_find_pt_base as __init (bnc#1065600).
- commit 1037440
* Wed Nov  1 2017 jgross@suse.com
- xen/events: events_fifo: Don't use {get,put}_cpu() in
  xen_evtchn_fifo_init() (bnc#1065600).
- commit 61488f9
* Tue Oct 31 2017 msuchanek@suse.de
- KVM: PPC: Book3S: Protect kvmppc_gpa_to_ua() with SRCU
  (bsc#1061840).
- commit ad12195
* Tue Oct 31 2017 msuchanek@suse.de
- KVM: PPC: Book3S HV: POWER9 more doorbell fixes (bsc#1061840).
- commit db3a4d5
* Tue Oct 31 2017 msuchanek@suse.de
- KVM: PPC: Fix oops when checking KVM_CAP_PPC_HTM (bsc#1061840).
- commit 7d9f250
* Tue Oct 31 2017 msuchanek@suse.de
- KVM: PPC: Book3S HV: Use msgsync with hypervisor doorbells on
  POWER9 (bsc#1061840).
- commit 7e124d4
* Tue Oct 31 2017 msuchanek@suse.de
- KVM: PPC: Book3S HV: Hold kvm->lock around call to
  kvmppc_update_lpcr (bsc#1061840).
- commit e13b8b9
* Tue Oct 31 2017 msuchanek@suse.de
- KVM: PPC: Book3S HV: Fix case where HDEC is treated as 32-bit
  on POWER9 (bsc#1061840).
- commit 9b7c48e
* Tue Oct 31 2017 bpoirier@suse.com
- Refresh
  patches.drivers/0008-Revert-commit-1a8b6d76dc5b-net-add-one-common-config.patch.
- Refresh
  patches.drivers/0009-ixgbe-Use-new-PCI_DEV_FLAGS_NO_RELAXED_ORDERING-flag.patch.
- Refresh
  patches.drivers/0047-scsi-qla2xxx-Cleanup-FC-NVMe-code.patch.
- Refresh
  patches.drivers/0048-scsi-qla2xxx-Move-function-prototype-to-correct-head.patch.
- Refresh
  patches.drivers/0049-scsi-qla2xxx-Added-change-to-enable-ZIO-for-FC-NVMe-.patch.
- Refresh
  patches.drivers/0050-scsi-qla2xxx-Simpify-unregistration-of-FC-NVMe-local.patch.
- Refresh
  patches.drivers/0051-scsi-qla2xxx-Fix-remoteport-disconnect-for-FC-NVMe.patch.
- Refresh
  patches.drivers/0052-scsi-qla2xxx-use-dma_mapping_error-to-check-map-erro.patch.
- Refresh
  patches.drivers/0053-scsi-qla2xxx-fix-spelling-mistake-of-variable-sfp_ad.patch.
- Refresh
  patches.drivers/0054-scsi-qla2xxx-Correction-to-vha-vref_count-timeout.patch.
- Refresh
  patches.drivers/0055-scsi-qla2xxx-Fix-target-multiqueue-configuration.patch.
- Refresh
  patches.drivers/0056-scsi-qla2xxx-Update-fw_started-flags-at-qpair-creati.patch.
- Refresh
  patches.drivers/0057-scsi-qla2xxx-Add-command-completion-for-error-path.patch.
- Refresh
  patches.drivers/0058-scsi-qla2xxx-Fix-WWPN-WWNN-in-debug-message.patch.
- Refresh
  patches.drivers/0059-scsi-qla2xxx-Fix-system-panic-due-to-pointer-access-.patch.
- Refresh
  patches.drivers/0060-scsi-qla2xxx-Use-BIT_6-to-acquire-FAWWPN-from-switch.patch.
- Refresh
  patches.drivers/0061-scsi-qla2xxx-Fix-NPIV-host-enable-after-chip-reset.patch.
- Refresh
  patches.drivers/0062-scsi-qla2xxx-Remove-extra-register-read.patch.
- Refresh
  patches.drivers/0063-scsi-qla2xxx-Change-ha-wq-max_active-value-to-defaul.patch.
- Refresh
  patches.drivers/0064-scsi-qla2xxx-Use-fabric-name-for-Get-Port-Speed-comm.patch.
- Refresh
  patches.drivers/0065-scsi-qla2xxx-Add-ability-to-autodetect-SFP-type.patch.
- Refresh
  patches.drivers/0066-scsi-qla2xxx-Prevent-sp-free-null-uninitialized-poin.patch.
- Refresh
  patches.drivers/0067-scsi-qla2xxx-Use-sp-free-instead-of-hard-coded-call.patch.
- Refresh
  patches.drivers/0068-scsi-qla2xxx-Move-logging-default-mask-to-execute-on.patch.
- Refresh
  patches.drivers/0069-scsi-qla2xxx-Add-timeout-ability-to-wait_for_sess_de.patch.
- Refresh
  patches.drivers/0070-scsi-qla2xxx-Allow-SNS-fabric-login-to-be-retried.patch.
- Refresh
  patches.drivers/0071-scsi-qla2xxx-Fix-task-mgmt-handling-for-NPIV.patch.
- Refresh
  patches.drivers/0072-scsi-qla2xxx-Print-correct-mailbox-registers-in-fail.patch.
- Refresh
  patches.drivers/0073-scsi-qla2xxx-Remove-potential-macro-parameter-side-e.patch.
- Refresh
  patches.drivers/0074-scsi-qla2xxx-Add-support-for-minimum-link-speed.patch.
- Refresh
  patches.drivers/0075-scsi-qla2xxx-Add-LR-distance-support-from-nvram-bit.patch.
- Refresh
  patches.drivers/0076-scsi-qla2xxx-Cleanup-NPIV-host-in-target-mode-during.patch.
- Refresh
  patches.drivers/0077-scsi-qla2xxx-Enable-Async-TMF-processing.patch.
- Refresh
  patches.drivers/0078-scsi-qla2xxx-Increase-ql2xmaxqdepth-to-64.patch.
- Refresh
  patches.drivers/0079-scsi-qla2xxx-Recheck-session-state-after-RSCN.patch.
- Refresh
  patches.drivers/0080-scsi-qla2xxx-Skip-zero-queue-count-entry-during-FW-d.patch.
- Refresh
  patches.drivers/0081-scsi-qla2xxx-Ability-to-process-multiple-SGEs-in-Com.patch.
- Refresh
  patches.drivers/0082-scsi-qla2xxx-Do-not-call-abort-handler-function-duri.patch.
- Refresh
  patches.drivers/0083-scsi-qla2xxx-Update-driver-version-to-10.00.00.01-k.patch.
- Refresh
  patches.drivers/0084-scsi-qla2xxx-Fix-an-integer-overflow-in-sysfs-code.patch.
- Refresh
  patches.drivers/IB-rxe-Another-fix-for-broken-receive-queue-draining.patch.
- Refresh
  patches.drivers/IB-rxe-Move-refcounting-earlier-in-rxe_send.patch.
- Refresh
  patches.drivers/e1000e-Don-t-return-uninitialized-stats.patch.
- Refresh
  patches.drivers/ibmvnic-103-Initialize-SCRQ-s-during-login-renegotiation.patch.
- Refresh
  patches.drivers/ibmvnic-104-Check-for-transport-event-on-driver-resume.patch.
- Refresh
  patches.drivers/ibmvnic-105-Report-rx-buffer-return-codes-as-netdev_dbg.patch.
- Refresh
  patches.drivers/ibmvnic-106-Implement-per-queue-statistics-reporting.patch.
- Refresh
  patches.drivers/ibmvnic-107-Convert-vnic-server-reported-statistics-to-cpu-endian.patch.
- Refresh
  patches.drivers/ibmvnic-108-Implement-.get_ringparam.patch.
- Refresh
  patches.drivers/ibmvnic-109-Implement-.get_channels.patch.
- Refresh
  patches.drivers/ibmvnic-110-Clean-up-resources-on-probe-failure.patch.
- Refresh
  patches.drivers/ibmvnic-111-Add-netdev_dbg-output-for-debugging.patch.
- Refresh
  patches.drivers/ibmvnic-112-constify-vio_device_id.patch.
- Refresh
  patches.drivers/net-check-type-when-freeing-metadata-dst.patch.
- Refresh
  patches.drivers/net-mlx5e-IPoIB-Fix-driver-name-retrieved-by-ethtool.patch.
- Refresh
  patches.drivers/net-sched-fix-memleak-for-chain-zero.patch.
- Refresh
  patches.drivers/scsi-cxlflash-22-Fix-an-error-handling-path-in-cxlflash.patch.
- Refresh
  patches.drivers/scsi-cxlflash-23-Remove-unnecessary-existence-check.patch.
- Refresh
  patches.drivers/scsi-cxlflash-24-Avoid-double-mutex-unlock.patch.
- Refresh
  patches.drivers/scsi-cxlflash-25-Fix-vlun-resize-failure-in-the-shrink-.patch.
- Refresh
  patches.drivers/scsi-libfc-fix-a-deadlock-in-fc_rport_work.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Add-ATIO-Q-processing-for-INTx-mode.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Allow-MBC_GET_PORT_DATABASE-to-query-an.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Changes-to-support-N2N-logins.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Query-FC4-type-during-RSCN-processing.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Reinstate-module-parameter-ql2xenablems.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Update-driver-version-to-10.00.00.02-k.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Use-ql2xnvmeenable-to-enable-Q-Pair-for.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-don-t-break-the-bsg-lib-abstractions.patch.
- Refresh
  patches.drivers/scsi-scsi_transport_iscsi-fix-the-issue-that.patch.
- Refresh
  patches.drivers/scsi_transport_fc-return-EBUSY-for-deleted-vport.patch.
- Refresh
  patches.fixes/0001-loop-Add-PF_LESS_THROTTLE-to-block-loop-device-threa.patch.
- Refresh
  patches.fixes/0001-md-raid5-fix-a-race-condition-in-stripe-batch.patch.
  Update Git-repo tags according to current content in each repository.
- commit e2d8d15
* Mon Oct 30 2017 msuchanek@suse.de
- cxl: Fix driver use count (bsc#1055014).
- commit 004458e
* Mon Oct 30 2017 msuchanek@suse.de
- powerpc/tm: Fix illegal TM state in signal handler
  (bsc#1065729).
- powerpc/pseries: Fix parent_dn reference leak in add_dt_node()
  (bsc#1065729).
- powerpc/mm/hash: Free the subpage_prot_table correctly
  (bsc#1065729).
- powerpc/mm: Fix check of multiple 16G pages from device tree
  (bsc#1065729).
- powerpc: Correct instruction code for xxlor instruction
  (bsc#1065729).
- commit 701cd66
* Mon Oct 30 2017 ddiss@suse.de
- SMB3: Validate negotiate request must always be signed
  (bsc#1064597).
- SMB: fix validate negotiate info uninitialised memory use
  (bsc#1064597).
- SMB: fix leak of validate negotiate info response buffer
  (bsc#1064597).
- commit f686414
* Mon Oct 30 2017 yousaf.kaukab@suse.com
- cavium: cn99xx: enable out of tree ahci errata
  Refresh
  patches.drivers/0001-PCI-Vulcan-AHCI-PCI-bar-fix-for-Broadcom-Vulcan-earl.patch.
- commit 5b59192
* Mon Oct 30 2017 vbabka@suse.cz
- drivers: dma-mapping: Do not leave an invalid area->pages
  pointer in dma_common_contiguous_remap() (Git-fixes,
  bsc#1065692).
- commit 0f78052
* Mon Oct 30 2017 jgross@suse.com
- xen: fix booting ballooned down hvm guest (bnc#1065600).
- commit 177d959
* Mon Oct 30 2017 jslaby@suse.cz
- objtool: Fix memory leak in decode_instructions() (bnc#1058115).
- x86/unwind: Disable unwinder warnings on 32-bit (bnc#1058115).
- x86/unwind: Align stack pointer in unwinder dump (bnc#1058115).
- x86/unwind: Use MSB for frame pointer encoding on 32-bit
  (bnc#1058115).
- x86/unwind: Fix dereference of untrusted pointer (bnc#1058115).
- x86/kvm: Move kvm_fastop_exception to .fixup section
  (bnc#1058115).
- objtool: Upgrade libelf-devel warning to error for
  CONFIG_ORC_UNWINDER (bnc#1058115).
- kprobes/x86: Set up frame pointer in kprobe trampoline
  (bnc#1058115).
- objtool: Support unoptimized frame pointer setup (bnc#1058115).
- objtool: Skip unreachable warnings for GCC 4.4 and older
  (bnc#1058115).
- commit 0942514
* Mon Oct 30 2017 yousaf.kaukab@suse.com
- tty: xilinx_uartps: move to arch_initcall for earlier console
  (fate#323912).
- serial: xuartps: Remove __init marking from early write
  (fate#323912).
- commit bb8f007
* Sun Oct 29 2017 jslaby@suse.cz
- x86/unwind: Show function name+offset in ORC error messages
  (bnc#1058115).
- x86/entry: Fix idtentry unwind hint (bnc#1058115).
  x86/entry: Fix idtentry unwind hint (bnc#1058115).
- commit a59af47
* Fri Oct 27 2017 fdmanana@suse.com
- Btrfs: add support for fallocate's zero range operation
  (fate#323233).
- commit 5c14b28
* Fri Oct 27 2017 yousaf.kaukab@suse.com
- random: do not ignore early device randomness (bsc#1064475).
- commit 272473f
* Fri Oct 27 2017 msuchanek@suse.de
- powerpc/perf: Fix for core/nest imc call trace on cpuhotplug
  (FATE#322448, bsc#1054914).
- commit c0cc9d1
* Fri Oct 27 2017 msuchanek@suse.de
- powerpc/perf: Fix IMC initialization crash (FATE#322448,
  bsc#1054914).
- powerpc/perf: Add ___GFP_NOWARN flag to alloc_pages_node()
  (FATE#322448, bsc#1054914).
- commit 64c2f61
* Fri Oct 27 2017 jslaby@suse.cz
- futex: futex_wake_op, fix sign_extend32 sign bits (bnc#1064590).
- futex: futex_wake_op, do not fail on invalid op (bnc#1064590).
- commit dff8df7
* Thu Oct 26 2017 neilb@suse.com
- VFS: expedite unmount (bsc#1024412).
- commit 7f33b23
* Wed Oct 25 2017 tbogendoerfer@suse.de
- blacklist.conf: patched file is not backported
- commit 7103104
* Wed Oct 25 2017 tbogendoerfer@suse.de
- bpf: fix byte order test in test_verifier (bsc#1056787).
- commit 0318ced
* Wed Oct 25 2017 tbogendoerfer@suse.de
- nfp: handle page allocation failures (bsc#1055968).
- nfp: fix ethtool stats gather retry (bsc#1055968).
- nfp: wait for the NSP resource to appear on boot (bsc#1055968).
- nfp: wait for board state before talking to the NSP
  (bsc#1055968).
- nfp: flower: restore RTNL locking around representor updates
  (bsc#1055968).
- nfp: build the flower offload by default (bsc#1055968).
- nfp: be drop monitor friendly (bsc#1055968).
- nfp: move the start/stop app callbacks back (bsc#1055968).
- nfp: flower: base lifetime of representors on existence of
  lower vNIC (bsc#1055968).
- nfp: separate app vNIC init/clean from alloc/free (bsc#1055968).
- nfp: add basic SR-IOV ndo functions to representors
  (bsc#1055968).
- nfp: add basic SR-IOV ndo functions (bsc#1055968).
- nfp: don't reuse pointers in ring dumping (bsc#1055968).
- nfp: fix copy paste in names and messages regarding vNICs
  (bsc#1055968).
- nfp: add ethtool statistics for representors (bsc#1055968).
- nfp: add pointer to vNIC config memory to nfp_port structure
  (bsc#1055968).
- nfp: report MAC statistics in ethtool (bsc#1055968).
- nfp: store pointer to MAC statistics in nfp_port (bsc#1055968).
- nfp: split software and hardware vNIC statistics (bsc#1055968).
- nfp: add helper for printing ethtool strings (bsc#1055968).
- nfp: don't report standard netdev statistics in ethtool
  (bsc#1055968).
- nfp: allow retreiving management FW logs on representors
  (bsc#1055968).
- nfp: provide ethtool_drvinfo on representors (bsc#1055968).
- nfp: link basic ethtool ops to representors (bsc#1055968).
- nfp: process MTU updates from firmware flower app (bsc#1055968).
- nfp: process control messages in workqueue in flower app
  (bsc#1055968).
- nfp: send control message when MAC representors are created
  (bsc#1055968).
- bpf, nfp: implement jiting of BPF_J{LT,LE} (bsc#1055968).
- nfp: TX time stamp packets before HW doorbell is rung
  (bsc#1055968).
- commit 773d1a0
* Wed Oct 25 2017 tbogendoerfer@suse.de
- bpf: fix pattern matches for direct packet access (bsc#1056787).
- bpf: fix off by one for range markings with L{T, E} patterns
  (bsc#1056787).
- bpf: do not test for PCPU_MIN_UNIT_SIZE before percpu
  allocations (bsc#1056787).
- bpf: disallow arithmetic operations on context pointer
  (bsc#1056787).
- bpf: fix liveness marking (bsc#1056787).
- bpf: fix bpf_tail_call() x64 JIT (bsc#1056787).
- bpf: do not disable/enable BH in bpf_map_free_id()
  (bsc#1056787).
- bpf/verifier: reject BPF_ALU64|BPF_END (bsc#1056787).
- bpf: Only set node->ref = 1 if it has not been set
  (bsc#1056787).
- bpf: Inline LRU map lookup (bsc#1056787).
- bpf/verifier: document liveness analysis (bsc#1056787).
- bpf/verifier: remove varlen_map_value_access flag (bsc#1056787).
- bpf/verifier: when pruning a branch, ignore its write marks
  (bsc#1056787).
- bpf: inline map in map lookup functions for array and htab
  (bsc#1056787).
- bpf: make htab inlining more robust wrt assumptions
  (bsc#1056787).
- bpf: fix liveness propagation to parent in spilled stack slots
  (bsc#1056787).
- bpf: export bpf_prog_inc_not_zero (bsc#1056787).
- bpf/verifier: track liveness for pruning (bsc#1056787).
- bpf: enable BPF_J{LT, LE, SLT, SLE} opcodes in verifier
  (bsc#1056787).
- bpf: add BPF_J{LT,LE,SLT,SLE} instructions (bsc#1056787).
- bpf: Extend check_uarg_tail_zero() checks (bsc#1056787).
- bpf: Move check_uarg_tail_zero() upward (bsc#1056787).
- bpf/verifier: increase complexity limit to 128k (bsc#1056787).
- bpf/verifier: more concise register state logs for constant
  var_off (bsc#1056787).
- bpf/verifier: track signed and unsigned min/max values
  (bsc#1056787).
- bpf/verifier: rework value tracking (bsc#1056787).
- bpf: fix bpf_prog_get_info_by_fd to dump correct xlated_prog_len
  (bsc#1056787).
- bpf: don't indicate success when copy_from_user fails
  (bsc#1056787).
- selftests/bpf: subtraction bounds test (bsc#1056787).
- bpf: more tests for mixed signed and unsigned bounds checks
  (bsc#1056787).
- bpf: add test for mixed signed and unsigned bounds checks
  (bsc#1056787).
- bpf: fix up test cases with mixed signed/unsigned bounds
  (bsc#1056787).
- bpf: Implement show_options (bsc#1056787).
- bpf: don't open-code memdup_user() (bsc#1056787).
- bpf: export whether tail call has jited owner (bsc#1056787).
- bpf: Fix out-of-bound access on interpreters (bsc#1056787).
- bpf: Add syscall lookup support for fd array and htab
  (bsc#1056787).
- bpf: possibly avoid extra masking for narrower load in verifier
  (bsc#1056787).
- selftests/bpf: Add test cases to test narrower ctx field loads
  (bsc#1056787).
- bpf: reset id on spilled regs in clear_all_pkt_pointers
  (bsc#1056787).
- bpf: reset id on CONST_IMM transition (bsc#1056787).
- bpf: don't check spilled reg state for non-STACK_SPILLed type
  slots (bsc#1056787).
- bpf: cgroup skb progs cannot access ld_abs/ind (bsc#1056787).
- bpf: Add BPF_OBJ_GET_INFO_BY_FD (bsc#1056787).
- bpf: Add jited_len to struct bpf_prog (bsc#1056787).
- bpf: Add BPF_MAP_GET_FD_BY_ID (bsc#1056787).
- bpf: Add BPF_PROG_GET_FD_BY_ID (bsc#1056787).
- bpf: Add BPF_(PROG|MAP)_GET_NEXT_ID command (bsc#1056787).
- bpf: Introduce bpf_map ID (bsc#1056787).
- bpf: Remove the capability check for cgroup skb eBPF program
  (bsc#1056787).
- bpf: Allow CGROUP_SKB eBPF program to access sk_buff
  (bsc#1056787).
- bpf: use different interpreter depending on required stack size
  (bsc#1056787).
- bpf: reconcile bpf_tail_call and stack_depth (bsc#1056787).
- bpf: split bpf core interpreter (bsc#1056787).
- bpf: free up BPF_JMP | BPF_CALL | BPF_X opcode (bsc#1056787).
- commit afa6680
* Wed Oct 25 2017 jthumshirn@suse.de
- Update config files, add CONFIG_BLK_MQ_RDMA=y.
- commit 596d823
* Wed Oct 25 2017 jthumshirn@suse.de
- nvme-fc: correct io timeout behavior (FATE#323952, FATE#322506).
- nvme-fc: correct io termination handling (FATE#323952,
  FATE#322506).
- nvme-pci: add SGL support (FATE#323952, FATE#322506).
- nvme: use ida_simple_{get,remove} for the controller instance
  (FATE#323952, FATE#322506).
- nvmet: Change max_nsid in subsystem due to ns_disable if needed
  (FATE#323952, FATE#322506).
- nvme-loop: Add BLK_MQ_F_NO_SCHED flag to admin tag set
  (FATE#323952, FATE#322506).
- nvme-fc: Add BLK_MQ_F_NO_SCHED flag to admin tag set
  (FATE#323952, FATE#322506).
- nvme-rdma: Add BLK_MQ_F_NO_SCHED flag to admin tag set
  (FATE#323952, FATE#322506).
- nvme-pci: fix typos in comments (FATE#323952, FATE#322506).
- nvme-rdma: stop controller reset if the controller is deleting
  (FATE#323952, FATE#322506).
- nvme-rdma: change queue flag semantics DELETING -> ALLOCATED
  (FATE#323952, FATE#322506).
- nvme-rdma: Don't local invalidate if the queue is not live
  (FATE#323952, FATE#322506).
- nvme-rdma: teardown admin/io queues once on error recovery
  (FATE#323952, FATE#322506).
- nvme-rdma: Check that reinit_request got a proper mr
  (FATE#323952, FATE#322506).
- nvme-rdma: move assignment to declaration (FATE#323952,
  FATE#322506).
- nvme-rdma: fix wrong logging message (FATE#323952, FATE#322506).
- nvme-rdma: pass tagset to directly nvme_rdma_free_tagset
  (FATE#323952, FATE#322506).
- nvme: simplify compat_ioctl handling (FATE#323952, FATE#322506).
- nvme-fc: move remote port get/put/free location (FATE#323952,
  FATE#322506).
- nvme-fc: create fc class and transport device (FATE#323952,
  FATE#322506).
- nvme-fabrics: request transport module (FATE#323952,
  FATE#322506).
- nvmet: bump NVMET_NR_QUEUES to 128 (FATE#323952, FATE#322506).
- nvme: use menu Kconfig interface (FATE#323952, FATE#322506).
- nvme: update timeout module parameter type (FATE#323952,
  FATE#322506).
- nvme-fcloop: fix port deletes and callbacks (FATE#323952,
  FATE#322506).
- nvmet-fc: sync header templates with comments (FATE#323952,
  FATE#322506).
- nvmet-fc: ensure target queue id within range (FATE#323952,
  FATE#322506).
- nvmet-fc: on port remove call put outside lock (FATE#323952,
  FATE#322506).
- nvme-rdma: don't fully stop the controller in error recovery
  (FATE#323952, FATE#322506).
- nvme-rdma: give up reconnect if state change fails (FATE#323952,
  FATE#322506).
- nvme-core: Use nvme_wq to queue async events and fw activation
  (FATE#323952, FATE#322506).
- nvme: fix sqhd reference when admin queue connect fails
  (FATE#323952, FATE#322506).
- nvmet: implement valid sqhd values in completions (FATE#323952,
  FATE#322506).
- nvme-fabrics: Allow 0 as KATO value (FATE#323952, FATE#322506).
- nvme: allow timed-out ios to retry (FATE#323952, FATE#322506).
- nvme: stop aer posting if controller state not live
  (FATE#323952, FATE#322506).
- nvme-pci: Print invalid SGL only once (FATE#323952,
  FATE#322506).
- nvme-pci: initialize queue memory before interrupts
  (FATE#323952, FATE#322506).
- nvmet-fc: fix failing max io queue connections (FATE#323952,
  FATE#322506).
- nvme-fc: use transport-specific sgl format (FATE#323952,
  FATE#322506).
- nvme: add transport SGL definitions (FATE#323952, FATE#322506).
- commit 2ece78f
* Wed Oct 25 2017 jthumshirn@suse.de
- nvmet-fcloop: remove use of FC-specific error codes
  (FATE#323952, FATE#322506).
- nvme-pci: implement the HMB entry number and size limitations
  (FATE#323952, FATE#322506).
- nvme-pci: propagate (some) errors from host memory buffer setup
  (FATE#323952, FATE#322506).
- nvme-pci: use appropriate initial chunk size for HMB allocation
  (FATE#323952, FATE#322506).
- nvme-pci: fix host memory buffer allocation fallback
  (FATE#323952, FATE#322506).
- nvme: fix lightnvm check (FATE#323952, FATE#322506).
- nvmet: add support for reporting the host identifier
  (FATE#323952, FATE#322506).
- nvme: Use metadata for passthrough commands (FATE#323952,
  FATE#322506).
- nvme: Make nvme user functions static (FATE#323952,
  FATE#322506).
- nvme/pci: Use req_op to determine DIF remapping (FATE#323952,
  FATE#322506).
- nvme: factor metadata handling out of __nvme_submit_user_cmd
  (FATE#323952, FATE#322506).
- nvme-fabrics: Convert nvmf_transports_mutex to an rwsem
  (FATE#323952, FATE#322506).
- nvme: don't blindly overwrite identifiers on disk revalidate
  (FATE#323952, FATE#322506).
- nvme: remove nvme_revalidate_ns (FATE#323952, FATE#322506).
- nvme: remove unused struct nvme_ns fields (FATE#323952,
  FATE#322506).
- nvme: allow calling nvme_change_ctrl_state from irq context
  (FATE#323952, FATE#322506).
- nvme: report more detailed status codes to the block layer
  (FATE#323952, FATE#322506).
- nvme: honor RTD3 Entry Latency for shutdowns (FATE#323952,
  FATE#322506).
- nvme: fix uninitialized prp2 value on small transfers
  (FATE#323952, FATE#322506).
- nvme-rdma: Use unlikely macro in the fast path (FATE#323952,
  FATE#322506).
- nvmet-fc: simplify sg list handling (FATE#323952, FATE#322506).
- nvme-fc: Reattach to localports on re-registration (FATE#323952,
  FATE#322506).
- nvme: rename AMS symbolic constants to fit specification
  (FATE#323952, FATE#322506).
- nvme: add symbolic constants for CC identifiers (FATE#323952,
  FATE#322506).
- nvme: fix identify namespace logging (FATE#323952, FATE#322506).
- nvme-fabrics: log a warning if hostid is invalid (FATE#323952,
  FATE#322506).
- nvme-rdma: call ops->reg_read64 instead of nvmf_reg_read64
  (FATE#323952, FATE#322506).
- nvme-rdma: cleanup error path in controller reset (FATE#323952,
  FATE#322506).
- nvme-rdma: introduce nvme_rdma_start_queue (FATE#323952,
  FATE#322506).
- nvme-rdma: rename nvme_rdma_init_queue to nvme_rdma_alloc_queue
  (FATE#323952, FATE#322506).
- nvme-rdma: stop queues instead of simply flipping their state
  (FATE#323952, FATE#322506).
- nvme-rdma: introduce configure/destroy io queues (FATE#323952,
  FATE#322506).
- nvme-rdma: reuse configure/destroy_admin_queue (FATE#323952,
  FATE#322506).
- nvme-rdma: don't free tagset on resets (FATE#323952,
  FATE#322506).
- nvme-rdma: disable the controller on resets (FATE#323952,
  FATE#322506).
- nvme-rdma: move tagset allocation to a dedicated routine
  (FATE#323952, FATE#322506).
- nvme: Add admin_tagset pointer to nvme_ctrl (FATE#323952,
  FATE#322506).
- nvme-rdma: move nvme_rdma_configure_admin_queue code location
  (FATE#323952, FATE#322506).
- nvme-rdma: remove NVME_RDMA_MAX_SEGMENT_SIZE (FATE#323952,
  FATE#322506).
- nvmet-fcloop: remove ALL_OPTS define (FATE#323952, FATE#322506).
- nvmet: fix the return error code of target if host is not
  allowed (FATE#323952, FATE#322506).
- nvmet: use NVME_NSID_ALL (FATE#323952, FATE#322506).
- nvme: add support for NVMe 1.3 Timestamp Feature (FATE#323952,
  FATE#322506).
- nvme: define NVME_NSID_ALL (FATE#323952, FATE#322506).
- nvme: add support for FW activation without reset (FATE#323952,
  FATE#322506).
- blk-mq: Make blk_mq_reinit_tagset() calls easier to read
  (FATE#323952, FATE#322506).
- nvmem: include linux/err.h from header (FATE#323952,
  FATE#322506).
- nvmem: core: Add nvmem_cell_read_u32 (FATE#323952, FATE#322506).
- nvmet-rdma: remove redundant empty device add callout
  (FATE#323952, FATE#322506).
- nvme-rdma: remove redundant empty device add callout
  (FATE#323952, FATE#322506).
- nvme-rdma: use intelligent affinity based queue mappings
  (FATE#323952, FATE#322506).
- block: Add rdma affinity based queue mapping helper
  (FATE#323952, FATE#322506).
- commit 747cb11
* Wed Oct 25 2017 jthumshirn@suse.de
- scripts/git_sort/git_sort.py: Add upstream NVMe repository
- commit 7a0ab79
* Wed Oct 25 2017 tbogendoerfer@suse.de
- bnxt_en: Fix possible corruption in DCB parameters from firmware
  (bsc#1050242 FATE#322914).
- bnxt_en: Fix possible corrupted NVRAM parameters from firmware
  response (bsc#1050242 FATE#322914).
- bnxt_en: Fix VF resource checking (bsc#1050242 FATE#322914).
- bnxt_en: Fix VF PCIe link speed and width logic (bsc#1050242
  FATE#322914).
- bnxt_en: Don't use rtnl lock to protect link change logic in
  workqueue (bsc#1050242 FATE#322914).
- bnxt_en: Improve VF/PF link change logic (bsc#1050242
  FATE#322914).
- commit 99e5c52
* Tue Oct 24 2017 oneukum@suse.com
- power: supply: Fix power_supply_am_i_supplied to return -ENODEV
  when apropriate (bsc#1064870).
- commit 36c0450
* Tue Oct 24 2017 msuchanek@suse.de
- Blacklist build fixes for configurations we don't use
  7e7dc66adcf4 powerpc/mm: Build fix for non SPARSEMEM_VMEMAP config
- commit 65839a0
* Tue Oct 24 2017 oneukum@suse.com
- bcma: gpio: Correct number of GPIOs for BCM53573 (bsc#1048185).
- commit b622f9e
* Tue Oct 24 2017 msuchanek@suse.de
- Blacklist fixes for unsupported ppc platforms
  3c29b6038828 powerpc/8xx: fix mpc8xx_get_irq() return on no irq
  8d046759f6ad powerpc/44x: Fix mask and shift to zero bug
  c65540453e15 powerpc/83xx: Use sizeof correct type when ioremapping
- commit bc9210e
* Tue Oct 24 2017 oneukum@suse.com
- iwlwifi: nvm: set the correct offsets to 3168 series
  (FATE#322675).
- commit 012cc15
* Tue Oct 24 2017 oneukum@suse.com
- blacklist.conf: just removes an unused constant
- commit 41edaf8
* Tue Oct 24 2017 oneukum@suse.com
- blacklist.conf: We do not use m-bus
- commit 0028f53
* Tue Oct 24 2017 oneukum@suse.com
- pinctrl: check ops->pin_config_set in pinconf_set_config()
  (bsc#1064862).
- commit 7ffeae7
* Tue Oct 24 2017 oneukum@suse.com
- iwlwifi: mvm: return -ENODATA when reading the temperature
  with the FW down (FATE#322675).
- commit 82b7e03
* Tue Oct 24 2017 oneukum@suse.com
- blacklist.conf: Totally unused
- commit c8b4062
* Tue Oct 24 2017 mcgrof@suse.com
- supported.conf: add CONFIG_TEST_LKM=m on kselftests-kmp
- Update config files.
  The kselftests-kmp fails to build on vanilla as no modules
  are present. We add the test_module just so that kselftests-kmp
  is never empty on any flavor.
- commit 88d2cfb
* Mon Oct 23 2017 msuchanek@suse.de
- Remove remaining RPi3 patches.
  The post-4.12 patches modify only devicetree and we don't use the
  devicetree from kernel.
- commit c65306e
* Mon Oct 23 2017 dbueso@suse.de
- locking/rwsem-xadd: Fix missed wakeup due to reordering of load (bsc#1050549).
- commit 16013be
* Mon Oct 23 2017 msuchanek@suse.de
- Refresh metadata on rpi3 enablement patches.
- commit 39ba7ab
* Mon Oct 23 2017 dmulder@suse.com
- CIFS: fix circular locking dependency (bsc#1064701).
- commit 0d88f5f
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit 81c882d
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit 363694d
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit c1f6612
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit 48d23a2
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit 865ea84
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit 5da7287
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit 87aae5f
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit 5d96e28
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit 55132f5
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit 75c2056
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit 3eb65cd
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do noy use the driver. It is not even compiled.
- commit 973ce20
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit ae3cfa6
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit cb9514c
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit 93eb95b
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use thwe driver. It is not even compiled.
- commit 1fc6071
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit cc3ae21
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit 7deff52
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit 8db603c
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit 5e82dac
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit 17fddcc
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit 5ec0458
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: We do not use the driver. It is not even compiled.
- commit ded0aea
* Mon Oct 23 2017 oneukum@suse.com
- blacklist.conf: we do not use the driver. It is not even compiled.
- commit d4a32ec
* Mon Oct 23 2017 tbogendoerfer@suse.de
- net/sched: cls_flower: Set egress_dev mark when calling into
  the HW driver (bsc#1056787).
- commit 7276c25
* Mon Oct 23 2017 ohering@suse.de
- vmbus: hvsock: add proper sync for
  vmbus_hvsock_device_unregister() (fate#323887).
- commit b1aee9d
* Mon Oct 23 2017 bpoirier@suse.com
- Refresh patches.suse/0001-ipc-sem-drop-sem_checkid-helper.patch.
- Refresh
  patches.suse/0001-rbtree-cache-leftmost-node-internally.patch.
- Refresh
  patches.suse/0002-ipc-sem-play-nicer-with-large-nsops-allocations.patch.
- Refresh
  patches.suse/0002-rbtree-optimize-root-check-during-rebalancing-loop.patch.
- Refresh
  patches.suse/0003-rbtree-add-some-additional-comments-for-rebalancing-.patch.
- Refresh
  patches.suse/0008-sched-deadline-replace-earliest-dl-and-rq-leftmost-c.patch.
- Refresh
  patches.suse/0009-locking-rtmutex-replace-top-waiter-and-pi_waiters-le.patch.
- Refresh
  patches.suse/0010-block-cfq-replace-cfq_rb_root-leftmost-caching.patch.
- Refresh
  patches.suse/0012-lib-interval-tree-correct-comment-wrt-generic-flavor.patch.
- Refresh
  patches.suse/0013-procfs-use-faster-rb_first_cached.patch.
- Refresh
  patches.suse/0014-fs-epoll-use-faster-rb_first_cached.patch.
- Refresh patches.suse/0015-mem-memcg-cache-rightmost-node.patch.
- Refresh
  patches.suse/0016-block-cfq-cache-rightmost-rb_node.patch.
- Refresh patches.suse/0039-efi-Add-EFI_SECURE_BOOT-bit.patch.
- Refresh
  patches.suse/0040-Add-the-ability-to-lock-down-access-to-the-running-k.patch.
- Refresh
  patches.suse/0041-efi-Lock-down-the-kernel-if-booted-in-secure-boot-mo.patch.
- Refresh
  patches.suse/0042-Enforce-module-signatures-if-the-kernel-is-locked-do.patch.
- Refresh
  patches.suse/0043-Restrict-dev-mem-and-dev-kmem-when-the-kernel-is-loc.patch.
- Refresh
  patches.suse/0045-kexec-Disable-at-runtime-if-the-kernel-is-locked-dow.patch.
- Refresh
  patches.suse/0046-Copy-secure_boot-flag-in-boot-params-across-kexec-re.patch.
- Refresh
  patches.suse/0047-kexec_file-Disable-at-runtime-if-securelevel-has-bee.patch.
- Refresh
  patches.suse/0048-hibernate-Disable-when-the-kernel-is-locked-down.patch.
- Refresh
  patches.suse/0049-uswsusp-Disable-when-the-kernel-is-locked-down.patch.
- Refresh
  patches.suse/0050-PCI-Lock-down-BAR-access-when-the-kernel-is-locked-d.patch.
- Refresh
  patches.suse/0051-x86-Lock-down-IO-port-access-when-the-kernel-is-lock.patch.
- Refresh
  patches.suse/0052-x86-Restrict-MSR-access-when-the-kernel-is-locked-do.patch.
- Refresh
  patches.suse/0053-asus-wmi-Restrict-debugfs-interface-when-the-kernel-.patch.
- Refresh
  patches.suse/0054-ACPI-Limit-access-to-custom_method-when-the-kernel-i.patch.
- Refresh
  patches.suse/0055-acpi-Ignore-acpi_rsdp-kernel-param-when-the-kernel-h.patch.
- Refresh
  patches.suse/0056-acpi-Disable-ACPI-table-override-if-the-kernel-is-lo.patch.
- Refresh
  patches.suse/0057-acpi-Disable-APEI-error-injection-if-the-kernel-is-l.patch.
  These patches are tagged with Git-commit ids which are not actually found
  in the respective Git-repo. Udate the tags accordingly.
- commit bad2721
* Fri Oct 20 2017 mkubecek@suse.cz
- packet: in packet_do_bind, test fanout with bind_lock held
  (CVE-2017-15649 bsc#1064388).
- packet: hold bind lock when rebinding to fanout hook
  (CVE-2017-15649 bsc#1064388).
- commit d09ce18
* Fri Oct 20 2017 mkubecek@suse.cz
- series.conf: refresh
  (just ran scripts/series_sort.py)
- commit 1be1653
* Fri Oct 20 2017 tbogendoerfer@suse.de
- i40iw: Fix port number for query QP (bsc#1058659 FATE#322535).
- i40iw: Add missing memory barriers (bsc#1058659 FATE#322535).
- IB/hfi1: On error, fix use after free during user context setup
  (bsc#1060463 FATE#323043).
- Revert "IB/ipoib: Update broadcast object if PKey value was
  changed in index 0" (bsc#1046307 FATE#322941).
- IB/hfi1: Return correct value in general interrupt handler
  (bsc#1060463 FATE#323043).
- IB/hfi1: Only reset QSFP after link up and turn off AOC TX
  (bsc#1060463 FATE#323043).
- IB/hfi1: Turn off AOC TX after offline substates (bsc#1060463
  FATE#323043).
- IB/ipoib: Fix inconsistency with free_netdev and
  free_rdma_netdev (bsc#1046307 FATE#322941).
- IB: Correct MR length field to be 64-bit (bsc#1046306
  FATE#322942).
- commit e86f670
* Fri Oct 20 2017 tbogendoerfer@suse.de
- drivers: net: xgene: Remove return statement from void function
  (bsc#1064426).
- drivers: net: xgene: Configure tx/rx delay for ACPI
  (bsc#1064426).
- drivers: net: xgene: Read tx/rx delay for ACPI (bsc#1064426).
- drivers: net: xgene: Correct probe sequence handling
  (bsc#1064426).
- xgene: Always get clk source, but ignore if it's missing for
  SGMII ports (bsc#1048501).
- xgene: Don't fail probe, if there is no clk resource for SGMII
  interfaces (bsc#1048501).
- commit 5124b20
* Fri Oct 20 2017 msuchanek@suse.de
- Refresh metadata on ibmvnic patches.
- commit 2625b9d
* Fri Oct 20 2017 msuchanek@suse.de
- Blacklist unsupported architectures.
- commit e2b7413
* Fri Oct 20 2017 ohering@suse.de
- x86/hyperv: Fix hypercalls with extended CPU ranges for TLB
  flushing (fate#323887).
- x86/hyperv: Don't use percpu areas for pcpu_flush/pcpu_flush_ex
  structures (fate#323887).
- x86/hyperv: Clear vCPU banks between calls to avoid flushing
  unneeded vCPUs (fate#323887).
- Drivers: hv: vmbus: Fix bugs in rescind handling (fate#323887).
- Drivers: hv: fcopy: restore correct transfer length
  (fate#323887).
- vmbus: don't acquire the mutex in
  vmbus_hvsock_device_unregister() (fate#323887).
- hv_netvsc: fix send buffer failure on MTU change (fate#323887).
- netvsc: increase default receive buffer size (fate#323887).
- x86/hyper-v: Remove duplicated
  HV_X64_EX_PROCESSOR_MASKS_RECOMMENDED definition (fate#323887).
- hv_netvsc: avoid unnecessary wakeups on subchannel creation
  (fate#323887).
- hv_netvsc: fix deadlock on hotplug (fate#323887).
- hv_netvsc: Fix the channel limit in netvsc_set_rxfh()
  (fate#323887).
- hv_netvsc: Simplify the limit check in netvsc_set_channels()
  (fate#323887).
- hv_netvsc: Simplify num_chn checking in
  rndis_filter_device_add() (fate#323887).
- hv_netvsc: Clean up an unused parameter in
  rndis_filter_set_rss_param() (fate#323887).
- netvsc: allow driver to be removed even if VF is present
  (fate#323887).
- netvsc: cleanup datapath switch (fate#323887).
- tracing/hyper-v: Trace hyperv_mmu_flush_tlb_others()
  (fate#323887).
- x86/hyper-v: Support extended CPU ranges for TLB flush
  hypercalls (fate#323887).
- scsi: storvsc: fix memory leak on ring buffer busy
  (fate#323887).
- hv_netvsc: Fix rndis_filter_close error during netvsc_remove
  (fate#323887).
- hv_netvsc: Add ethtool handler to set and get UDP hash levels
  (fate#323887).
- hv_netvsc: Clean up unused parameter from
  netvsc_get_rss_hash_opts() (fate#323887).
- hv_netvsc: Clean up unused parameter from netvsc_get_hash()
  (fate#323887).
- vmbus: remove unused vmbus_sendpacket_ctl (fate#323887).
- vmbus: remove unused vmubs_sendpacket_pagebuffer_ctl
  (fate#323887).
- vmbus: remove unused vmbus_sendpacket_multipagebuffer
  (fate#323887).
- Drivers: hv: vmbus: Fix rescind handling issues (fate#323887).
- Tools: hv: update buffer handling in hv_fcopy_daemon
  (fate#323887).
- Tools: hv: fix snprintf warning in kvp_daemon (fate#323887).
- Drivers: hv: kvp: Use MAX_ADAPTER_ID_SIZE for translating
  adapter id (fate#323887).
- Drivers: hv: balloon: Initialize last_post_time on startup
  (fate#323887).
- Drivers: hv: balloon: Show the max dynamic memory assigned
  (fate#323887).
- Drivers: hv: balloon: Correctly update onlined page count
  (fate#323887).
- Tools: hv: vss: Skip freezing filesystems backed by loop
  (fate#323887).
- netvsc: keep track of some non-fatal overload conditions
  (fate#323887).
- netvsc: allow controlling send/recv buffer size (fate#323887).
- netvsc: remove unnecessary check for NULL hdr (fate#323887).
- netvsc: remove unnecessary cast of void pointer (fate#323887).
- netvsc: whitespace cleanup (fate#323887).
- netvsc: no need to allocate send/receive on numa node
  (fate#323887).
- netvsc: check error return when restoring channels and mtu
  (fate#323887).
- netvsc: propagate MAC address change to VF slave (fate#323887).
- netvsc: don't signal host twice if empty (fate#323887).
- netvsc: delay setup of VF device (fate#323887).
- x86/hyper-v: Use hypercall for remote TLB flush (fate#323887).
- hyper-v: Globalize vp_index (fate#323887).
- x86/hyper-v: Implement rep hypercalls (fate#323887).
- hyper-v: Use fast hypercall for HVCALL_SIGNAL_EVENT
  (fate#323887).
- x86/hyper-v: Introduce fast hypercall implementation
  (fate#323887).
- x86/hyper-v: Make hv_do_hypercall() inline (fate#323887).
- x86/hyper-v: Include hyperv/ only when CONFIG_HYPERV is set
  (fate#323887).
- netvsc: fix race on sub channel creation (fate#323887).
- PCI: hv: Do not sleep in compose_msi_msg() (fate#323887).
- netvsc: remove bonding setup script (fate#323887).
- netvsc: Initialize 64-bit stats seqcount (fate#323887).
- Revert "x86/hyper-v: include hyperv/ only when CONFIG_HYPERV
  is set" (fate#323887).
- x86/hyper-v: stash the max number of virtual/logical processor
  (fate#323887).
- x86/hyper-v: include hyperv/ only when CONFIG_HYPERV is set
  (fate#323887).
- vmbus: add prefetch to ring buffer iterator (fate#323887).
- vmbus: more host signalling avoidance (fate#323887).
- vmbus: eliminate duplicate cached index (fate#323887).
- vmbus: refactor hv_signal_on_read (fate#323887).
- vmbus: drop unused ring_buffer_info elements (fate#323887).
- vmbus: simplify hv_ringbuffer_read (fate#323887).
- tools: hv: ignore a NIC if it has been configured (fate#323887).
- commit 6f087bf
* Fri Oct 20 2017 jthumshirn@suse.de
- scsi: pm80xx: corrected linkrate value (FATE#322890,
  bsc#1049518).
- scsi: pm80xx: panic on ncq error cleaning up the read log
  (FATE#322890, bsc#1049518).
- scsi: pm80xx: corrected SATA abort handling sequence
  (FATE#322890, bsc#1049518).
- scsi: pm80xx: modified port reset timer value for PM8006 card
  (FATE#322890, bsc#1049518).
- scsi: pm80xx: cleanup in pm8001_abort_task function
  (FATE#322890, bsc#1049518).
- scsi: pm80xx: tag allocation for phy control request
  (FATE#322890, bsc#1049518).
- scsi: pm80xx: Different SAS addresses for phys (FATE#322890,
  bsc#1049518).
- scsi: pm80xx: ILA and inactive firmware version through sysfs
  (FATE#322890, bsc#1049518).
- scsi: pm80xx: redefine sas_identify_frame structure
  (FATE#322890, bsc#1049518).
- scsi: pm8001: fix double free in pm8001_pci_probe (FATE#322890,
  bsc#1049518).
- commit e741c37
* Fri Oct 20 2017 mgorman@suse.de
- mm, page_alloc: simplify list handling in rmqueue_bulk()
  (bsc#1060256).
- commit 14e8830
* Fri Oct 20 2017 mgorman@suse.de
- mm, pagevec: rename pagevec drained field (bsc#1060256).
- commit ec03f35
* Fri Oct 20 2017 jkosina@suse.cz
- series.conf: reorder to reflect upstream merges
- Refresh
  patches.drivers/scsi-qla2xxx-Allow-MBC_GET_PORT_DATABASE-to-query-an.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Changes-to-support-N2N-logins.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-don-t-break-the-bsg-lib-abstractions.patch.
- commit 7f799ea
* Fri Oct 20 2017 lduncan@suse.com
- scsi: be2iscsi: Fix boot flags in sysfs (bsc#1050253).
- scsi: be2iscsi: Fix return value in mgmt_open_connection
  (bsc#1050253).
- scsi: be2iscsi: Free msi_name and disable HW intr (bsc#1050253).
- scsi: be2iscsi: Fix _modify_eq_delay buffer overflow
  (bsc#1050253).
- scsi: be2iscsi: Fix _get_initname buffer overflow (bsc#1050253).
- scsi: be2iscsi: Modify IOCTL to fetch user configured IQN
  (bsc#1050253).
- scsi: be2iscsi: Add cmd to set host data (bsc#1050253).
- scsi: be2iscsi: Fix misc static analysis errors (bsc#1050253).
- scsi: be2iscsi: Remove A-circumflex character in copyright
  marking (bsc#1050253).
- scsi: be2iscsi: Update driver version (bsc#1050253).
- commit c2fd5a6
* Fri Oct 20 2017 mcgrof@suse.com
- blacklist.conf: add test_kmod blacklist
  CONFIG_TEST_KMOD=n is currently set. When and if we enable it
  then we will need it, otherwise we don't.
- commit 4ceac95
* Thu Oct 19 2017 mgorman@suse.de
- mm: remove __GFP_COLD (bsc#1060256).
- Refresh
  patches.drivers/net-ena-add-support-for-out-of-order-rx-buffers-refi.patch.
- Refresh
  patches.drivers/net-mlx4_en-Improve-receive-data-path.patch.
- mm: remove cold parameter from free_hot_cold_page*
  (bsc#1060256).
- mm: remove cold parameter for release_pages (bsc#1060256).
- mm, pagevec: remove cold parameter for pagevecs (bsc#1060256).
- mm: only drain per-cpu pagevecs once per pagevec usage
  (bsc#1060256).
- mm, truncate: remove all exceptional entries from pagevec
  under one lock (bsc#1060256).
- mm, truncate: do not check mapping for every page being
  truncated (bsc#1060256).
- mm, page_alloc: enable/disable IRQs once when freeing a list
  of pages (bsc#1060256).
- commit af4a6ea
* Thu Oct 19 2017 tiwai@suse.de
- Enable CONFIG_DRM_VC4 again for arm64 with dependencies (bsc#1060104)
- commit ca643c4
* Thu Oct 19 2017 tiwai@suse.de
- Bluetooth: Add support for Intel Bluetooth device 9460/9560
  [8087:0aaa] (bsc#1064235).
- commit a7785ae
* Thu Oct 19 2017 jack@suse.cz
- mm: Batch radix tree operations when truncating pages
  (bsc#1060256).
- mm: Factor out checks and accounting from
  __delete_from_page_cache() (bsc#1060256).
- mm: Move clearing of page->mapping to page_cache_tree_delete()
  (bsc#1060256).
- mm: Move accounting updates before page_cache_tree_delete()
  (bsc#1060256).
- mm: Factor out page cache page freeing into a separate function
  (bsc#1060256).
- mm: Refactor truncate_complete_page() (bsc#1060256).
- mm: Speedup cancel_dirty_page() for clean pages (bsc#1060256).
- mm: hugetlb: return immediately for hugetlb page in
  __delete_from_page_cache() (bsc#1060256).
- commit b25574b
* Thu Oct 19 2017 jlee@suse.com
- efi: Add an EFI signature blob parser (fate#314508).
- Update config files.
- Delete
  patches.suse/0002-Add-an-EFI-signature-blob-parser-and-key-loader.patch.
- commit 50111a7
* Thu Oct 19 2017 jlee@suse.com
- modsign: Use secondary trust keyring for module signing
  (fate#314508).
- commit f04a6b3
* Thu Oct 19 2017 jkosina@suse.cz
- scripts/git_sort/git_sort.py: add David Howell's linux-fs.git
- commit 0a669c1
* Thu Oct 19 2017 jlee@suse.com
- MODSIGN: Allow the "db" UEFI variable to be suppressed
  (fate#314508).
- Delete
  patches.suse/0005-MODSIGN-Support-not-importing-certs-from-db.patch.
- commit fefd1b5
* Thu Oct 19 2017 jlee@suse.com
- Update config files.
- Update
  patches.suse/0004-MODSIGN-Import-certificates-from-UEFI-Secure-Boot.patch
  (fate#314508).
- commit b7a5639
* Thu Oct 19 2017 jlee@suse.com
- efi: Add EFI signature data types (fate#314508).
- Delete patches.suse/0001-Add-EFI-signature-data-types.patch.
- commit a22dd23
* Thu Oct 19 2017 jlee@suse.com
- KEYS: Allow unrestricted boot-time addition of keys to secondary
  keyring (fate#314508).
- commit 01ed74a
* Thu Oct 19 2017 jlee@suse.com
- Delete
  patches.suse/0003-KEYS-Add-a-system-blacklist-keyring.patch.
  This patch already replaced by 734114f87 and 436529562 in v4.12
  kernel.
  734114f87	KEYS: Add a system blacklist keyring
  436529562	X.509: Allow X.509 certs to be blacklisted
- commit 9855c97
* Wed Oct 18 2017 jslaby@suse.cz
- x86/mm: Disable various instrumentations of mm/mem_encrypt.c
  and mm/tlb.c (fate#322123).
- commit bc2e6c5
* Wed Oct 18 2017 mcgrof@suse.com
- mac80211: accept key reinstall without changing anything (CVE-2017-13080 bsc#1063667).
- commit 33c9018
* Wed Oct 18 2017 vbabka@suse.cz
- mm, page_owner: skip unnecessary stack_trace entries (VM
  Functionality, bsc#1063512).
- commit 019f21f
* Wed Oct 18 2017 yousaf.kaukab@suse.com
- supported.conf: enable dw_mmc-rockchip driver
  References: bsc#1064064
- commit 33b440c
* Wed Oct 18 2017 tiwai@suse.de
- ALSA: hda - Add model string for Intel reference board quirk
  (bsc#1064043).
- ALSA: hda/realtek - Enable jack detection function for Intel
  ALC700 (bsc#1064043).
- commit 0c8702a
* Wed Oct 18 2017 tiwai@suse.de
- x86/mm: Use pr_cont() in dump_pagetable() (bsc#1064024).
- commit 379bbd8
* Wed Oct 18 2017 tiwai@suse.de
- ALSA: hda: Abort capability probe at invalid register read
  (bsc#1064017).
- commit d9d62b1
* Wed Oct 18 2017 jlee@suse.com
- Add the ability to lock down access to the running kernel image
  (fate#314486).
- Update config files.
- Delete
  patches.suse/0001-Add-BSD-style-securelevel-support.patch.
  Replaced by the patch in David Howells's linux-fs git repo.
- commit f7f8bf3
* Wed Oct 18 2017 mcgrof@suse.com
- xfs: handle error if xfs_btree_get_bufs fails (bsc#1059863).
- commit 2689e7f
* Tue Oct 17 2017 jkosina@suse.cz
- scripts/git_sort/git_sort.py: add Michal Petersen's SCSI tree
- commit 42c245c
* Tue Oct 17 2017 jthumshirn@suse.de
- scsi: qla2xxx: don't break the bsg-lib abstractions
  (FATE#322910).
- scsi: qla2xxx: Query FC4 type during RSCN processing
  (FATE#322910).
- scsi: qla2xxx: Use ql2xnvmeenable to enable Q-Pair for FC-NVMe
  (FATE#322910).
- scsi: qla2xxx: Update driver version to 10.00.00.02-k
  (FATE#322910).
- scsi: qla2xxx: Changes to support N2N logins (FATE#322910).
- scsi: qla2xxx: Allow MBC_GET_PORT_DATABASE to query and save
  the port states (FATE#322910).
- scsi: qla2xxx: Add ATIO-Q processing for INTx mode
  (FATE#322910).
- scsi: qla2xxx: Reinstate module parameter ql2xenablemsix
  (FATE#322910).
- scsi: qla2xxx: Cocci spatch "pool_zalloc-simple" (FATE#322910).
- scsi: qla2xxx: Reset the logo flag, after target re-login
  (FATE#322910).
- scsi: qla2xxx: Fix slow mem alloc behind lock (FATE#322910).
- scsi: qla2xxx: Clear fc4f_nvme flag (FATE#322910).
- scsi: qla2xxx: Handle PCIe error for driver (FATE#322910).
- commit 641d8fb
* Tue Oct 17 2017 mkubecek@suse.cz
- ipv4: Fix traffic triggered IPsec connections (bsc#1061739).
- ipv6: Fix traffic triggered IPsec connections (bsc#1061739).
- net: prevent dst uses after free (bsc#1061739).
- ipv4: Don't override return code from ip_route_input_noref()
  (bsc#1061739).
- net: xfrm: don't double-hold dst when sk_policy in use
  (bsc#1061739).
- ipv6: release rt6->rt6i_idev properly during ifdown
  (bsc#1061739).
- commit 173c05a
* Tue Oct 17 2017 mkubecek@suse.cz
- tcp: tcp_data_queue() cleanup (bsc#1061739).
- tcp: remove unused mib counters (bsc#1061739).
- tcp: remove low_latency sysctl (bsc#1061739).
- tcp: reindent two spots after prequeue removal (bsc#1061739).
- tcp: remove prequeue support (bsc#1061739).
- tcp: better validation of received ack sequences (bsc#1061739).
- commit 6c0fdbb
* Tue Oct 17 2017 mkubecek@suse.cz
- net: add debug atomic_inc_not_zero() in dst_hold()
  (bsc#1061739).
- net: reorder all the dst flags (bsc#1061739).
- net: remove DST_NOCACHE flag (bsc#1061739).
- net: remove DST_NOGC flag (bsc#1061739).
- net: remove dst gc related code (bsc#1061739).
- decnet: take dst->__refcnt when struct dn_route is created
  (bsc#1061739).
- xfrm: take refcnt of dst when creating struct xfrm_dst bundle
  (bsc#1061739).
- ipv6: get rid of icmp6 dst garbage collector (bsc#1061739).
- ipv6: mark DST_NOGC and remove the operation of dst_free()
  (bsc#1061739).
- ipv6: call dst_hold_safe() properly (bsc#1061739).
- ipv6: call dst_dev_put() properly (bsc#1061739).
- ipv6: take dst->__refcnt for insertion into fib6 tree
  (bsc#1061739).
- ipv4: mark DST_NOGC and remove the operation of dst_free()
  (bsc#1061739).
- ipv4: call dst_hold_safe() properly (bsc#1061739).
- ipv4: call dst_dev_put() properly (bsc#1061739).
- ipv4: take dst->__refcnt when caching dst in fib (bsc#1061739).
- net: introduce a new function dst_dev_put() (bsc#1061739).
- net: introduce DST_NOGC in dst_release() to destroy dst based
  on refcnt (bsc#1061739).
- net: use loopback dev when generating blackhole route
  (bsc#1061739).
- udp: call dst_hold_safe() in udp_sk_rx_set_dst() (bsc#1061739).
- ipv6: remove unnecessary dst_hold() in ip6_fragment()
  (bsc#1061739).
- commit f97eac8
* Tue Oct 17 2017 jthumshirn@suse.de
- scsi: libfc: fix a deadlock in fc_rport_work (bsc#1063695).
- fs/mpage.c: fix mpage_writepage() for pages with buffers
  (bsc#1050471).
- commit d0711a1
* Tue Oct 17 2017 jkosina@suse.cz
- scripts/git_sort/git_sort.py: add md.git tree
- commit d2c30da
* Tue Oct 17 2017 jlee@suse.com
- Delete
  patches.suse/0001-Remove-BSD-style-securelevel-sysfs-file.patch.
  David Howells's lock down patch set doesn't provide sysfs interface
  anymore.
- commit 7180bdf
* Tue Oct 17 2017 jlee@suse.com
- acpi: Disable APEI error injection if the kernel is locked down
  (fate#314486).
- Delete
  patches.suse/acpi_Disable_APEI_error_injection_if_securelevel_is_set.patch.
  Replaced by the patch in David Howells's linux-fs git repo.
- commit 69a1c63
* Tue Oct 17 2017 jlee@suse.com
- acpi: Disable ACPI table override if the kernel is locked down
  (fate#314486).
- Delete
  patches.suse/acpi-Disable_ACPI_table_override_when_UEFI_Secure_Boot_is.patch.
  Replaced by the patch in David Howells's linux-fs git repo.
- commit 6ef9921
* Tue Oct 17 2017 jlee@suse.com
- acpi: Ignore acpi_rsdp kernel param when the kernel has been
  locked down (fate#314486).
- Delete
  patches.suse/0007-acpi-Ignore-acpi_rsdp-kernel-parameter-when-securele.patch.
  Replaced by the patch in David Howells's linux-fs git repo.
- commit 10e6554
* Tue Oct 17 2017 jlee@suse.com
- ACPI: Limit access to custom_method when the kernel is locked
  down (fate#314486).
- Delete
  patches.suse/0006-acpi-Limit-access-to-custom_method-if-securelevel-is.patch.
  Replaced by the patch in David Howells's linux-fs git repo.
- commit 62d1f7d
* Tue Oct 17 2017 jlee@suse.com
- asus-wmi: Restrict debugfs interface when the kernel is locked
  down (fate#314486).
- Delete
  patches.suse/0011-asus-wmi-Restrict-debugfs-interface-when-securelevel.patch.
  Replaced by the patch in David Howells's linux-fs git repo.
- commit e2ab47b
* Tue Oct 17 2017 jlee@suse.com
- x86: Restrict MSR access when the kernel is locked down
  (fate#314486).
- Delete
  patches.suse/0010-x86-Restrict-MSR-access-when-securelevel-is-set.patch.
  Replaced by the patch in David Howells's linux-fs git repo.
- commit 3909643
* Tue Oct 17 2017 jlee@suse.com
- x86: Lock down IO port access when the kernel is locked down
  (fate#314486).
- Delete
  patches.suse/0004-x86-Lock-down-IO-port-access-when-securelevel-is-ena.patch.
  Replaced by the patch in David Howells's linux-fs git repo.
- commit 1762c3f
* Tue Oct 17 2017 jlee@suse.com
- PCI: Lock down BAR access when the kernel is locked down
  (fate#314486).
- Delete
  patches.suse/0003-PCI-Lock-down-BAR-access-when-securelevel-is-enabled.patch.
  Replaced by the patch in David Howells's linux-fs git repo.
- commit 9fdfbff
* Tue Oct 17 2017 jlee@suse.com
- uswsusp: Disable when the kernel is locked down (fate#314486).
- Delete
  patches.suse/0009-uswsusp-Disable-when-securelevel-is-set.patch.
  Replaced by the patch in David Howells's linux-fs git repo.
- commit a084ec6
* Tue Oct 17 2017 jlee@suse.com
- hibernate: Disable when the kernel is locked down (fate#314486).
- Delete
  patches.suse/0014-hibernate-Disable-when-securelevel-is-set.patch.
  Replaced by the patch in David Howells's linux-fs git repo.
- commit 33abf1b
* Tue Oct 17 2017 jlee@suse.com
- Copy secure_boot flag in boot params across kexec reboot
  (fate#314486).
- Delete
  patches.suse/0015-kexec-uefi-copy-secure_boot-flag-in-boot-params-acro.patch.
  Replaced by the patch in David Howells's linux-fs git repo.
- commit 8f6bfe2
* Tue Oct 17 2017 jlee@suse.com
- kexec: Disable at runtime if the kernel is locked down
  (fate#314486).
- kexec_file: Disable at runtime if securelevel has been set
  (fate#314486).
- Delete
  patches.suse/0008-kexec-Disable-at-runtime-if-securelevel-has-been-set.patch.
  Replaced by the patch in David Howells's linux-fs git repo.
- commit 3ec1db3
* Tue Oct 17 2017 jlee@suse.com
- Restrict /dev/mem and /dev/kmem when the kernel is locked down
  (fate#314486).
- Delete
  patches.suse/0005-Restrict-dev-mem-and-dev-kmem-when-securelevel-is-se.patch.
  Replaced by the patch in David Howells's linux-fs git repo.
- commit 9d8716c
* Tue Oct 17 2017 jlee@suse.com
- Enforce module signatures if the kernel is locked down
  (fate#314486).
- Delete
  patches.suse/0001-Enforce-module-signatures-when-securelevel-is-greate.patch.
  Replaced by the patch in David Howells's linux-fs git repo.
- commit 96ad4fa
* Tue Oct 17 2017 jlee@suse.com
- efi: Lock down the kernel if booted in secure boot mode
  (fate#314486).
- Update config files.
- Delete
  patches.suse/0012-Add-option-to-automatically-set-securelevel-when-in-.patch.
  Replaced by the patch in David Howells's linux-fs git repo.
- commit c339fd5
* Tue Oct 17 2017 jlee@suse.com
- efi: Add EFI_SECURE_BOOT bit (fate#314486).
- Delete patches.suse/0014-efi-Add-EFI_SECURE_BOOT-bit.patch.
  Replaced by the patch in David Howells's linux-fs git repo.
- commit aff4b1b
* Tue Oct 17 2017 bpoirier@suse.com
- Refresh patch order in sorted section
- commit a59e716
* Mon Oct 16 2017 bp@suse.de
- EDAC, pnd2: Return proper error value from apl_rd_reg()
  (bsc#1056989).
- EDAC, pnd2: Make function sbi_send() static (bsc#1056989).
- EDAC, pnd2: Fix Apollo Lake DIMM detection (bsc#1056989).
- i2c: i801: Restore the presence state of P2SB PCI device after
  reading BAR (bsc#1056989).
- EDAC, pnd2: Build in a minimal sideband driver for Apollo Lake
  (bsc#1056989).
- EDAC, pnd2: Mask off the lower four bits of a BAR (bsc#1056989).
- EDAC, pnd2: Conditionally unhide/hide the P2SB PCI device to
  read BAR (bsc#1056989).
- EDAC, pnd2: Properly toggle hidden state for P2SB PCI device
  (bsc#1056989).
- Refresh
  patches.drivers/07-edac-add-owner-check-to-the-x86-platform-drivers.patch.
- commit 9dd1f7f
* Mon Oct 16 2017 oneukum@suse.com
- iwlwifi: mvm: disable dbg data collect when fw isn't alive
  (FATE#322675).
- iwlwifi: mvm: flush per station for DQA mode (FATE#322675).
- iwlwifi: mvm: support getting nvm data from firmware
  (FATE#322675).
- iwlwifi: refactor out paging code (FATE#322675).
- iwlwifi: mvm: support old method of NVM parsing (FATE#322675).
- iwlwifi: refactor shared mem parsing (FATE#322675).
- iwlwifi: mvm: fix endianness in lq_cmd declaration
  (FATE#322675).
- iwlwifi: track current firmware image in common code
  (FATE#322675).
- iwlwifi: mvm: document which group enums are used with which
  group ID (FATE#322675).
- iwlwifi: refactor firmware debug code (FATE#322675).
- iwlwifi: mvm: use proper sta_addr in firmware API (FATE#322675).
- iwlwifi: reorganize firmware API (FATE#322675).
- iwlwifi: fw api: fix various kernel-doc warnings (FATE#322675).
- iwlwifi: mvm: fix MCC endianness bug (FATE#322675).
- iwlwifi: mvm: add and use iwl_mvm_has_unified_ucode()
  (FATE#322675).
- iwlwifi: mvm: use u8 for reserved fields (FATE#322675).
- iwlwifi: mvm: check family instead of new TX API for workarounds
  (FATE#322675).
- iwlwifi: mvm: disentangle paging command structs (FATE#322675).
- iwlwifi: mvm: add documentation to some WoWLAN commands
  (FATE#322675).
- iwlwifi: mvm: byte-swap constant instead of variable
  (FATE#322675).
- iwlwifi: dvm: remove unused defines (FATE#322675).
- iwlwifi: mvm: wait for the flushed queue only (FATE#322675).
- iwlwifi: mvm: fix some kernel-doc (FATE#322675).
- iwlwifi: mvm: refactor beacon template command code
  (FATE#322675).
- iwlwifi: mvm: add documentation links to various fields
  (FATE#322675).
- iwlwifi: mvm: fix the FIFO numbers in A000 devices
  (FATE#322675).
- iwlwifi: mvm: fix uninitialized var while waiting for queues
  to empty (FATE#322675).
- iwlwifi: update device ID for a000 family (FATE#322675).
- iwlwifi: mvm: disentangle binding command versions
  (FATE#322675).
- iwlwifi: pcie: fix A-MSDU on gen2 devices (FATE#322675).
- iwlwifi: mvm: create/name various enums (FATE#322675).
- iwlwifi: mvm: support fw reading empty OTP (FATE#322675).
- iwlwifi: implement fseq version mismatch warning (FATE#322675).
- iwlwifi: mvm: document structures used by commands
  (FATE#322675).
- iwlwifi: mvm: add compile-time option to disable EBS
  (FATE#322675).
- iwlwifi: mvm: remove wrt support of page dumps in gen2
  (FATE#322675).
- iwlwifi: pcie: rename iwl_trans_check_hw_rf_kill() to pcie
  (FATE#322675).
- iwlwifi: pcie: support page dumping in wrt in gen2
  (FATE#322675).
- iwlwifi: Add fw_name_pre_rf_next_step to support different rf
  steps (FATE#322675).
- iwlwifi: mvm: require AP_LINK_PS for TVQM (FATE#322675).
- iwlwifi: mvm: remove unused TX_CMD_NEXT_FRAME_* (FATE#322675).
- iwlwifi: mvm: simplify bufferable MMPDU check (FATE#322675).
- iwlwifi: kernel-doc: make proper links (FATE#322675).
- iwlwifi: mvm: rename p2p-specific sta functions to include
  p2p in the names (FATE#322675).
- iwlwifi: mvm: fix many kernel-doc warnings (FATE#322675).
- iwlwifi: mvm: remove non-DQA mode (FATE#322675).
- iwlwifi: add wait for tx queue empty (FATE#322675).
- iwlwifi: mvm: don't retake the pointer to skb's CB
  (FATE#322675).
- iwlwifi: mvm: add AMSDU flag to offload assist (FATE#322675).
- iwlwifi: mvm: remove useless condition in LED code
  (FATE#322675).
- iwlwifi: mvm: document RX structures (FATE#322675).
- iwlwifi: mvm: use firmware LED command where applicable
  (FATE#322675).
- iwlwifi: mvm: add const to thermal_cooling_device_ops structure
  (FATE#322675).
- iwlwifi: pcie: add AMSDU to gen2 (FATE#322675).
- iwlwifi: cleanup references to 8000 family in NVM code
  (FATE#322675).
- iwlwifi: mvm: add debugfs to force CT-kill (FATE#322675).
- iwlwifi: change functions that can only return 0 to void
  (FATE#322675).
- iwlwifi: remove references to 8000 B-step devices (FATE#322675).
- iwlwifi: add dbgc_supported to transport configuration
  (FATE#322675).
- iwlwifi: fix a few instances of misaligned kerneldoc parameters
  (FATE#322675).
- iwlwifi: add support of FPGA fw (FATE#322675).
- iwlwifi: mvm: add TLV for NAN API differentiation (FATE#322675).
- iwlwifi: fix a000 RF_ID define (FATE#322675).
- iwlwifi: mvm: support init flow debugging (FATE#322675).
- iwlwifi: add 9000 and A000 device families (FATE#322675).
- iwlwifi: dump smem configuration when firmware crashes
  (FATE#322675).
- iwlwifi: mvm: move a000 device NVM retrieval to a common place
  (FATE#322675).
- iwlwifi: pcie: support dumping FH in a000 hw (FATE#322675).
- iwlwifi: mvm: disable prph collection in a000 hw (FATE#322675).
- iwlwifi: mvm: set the default cTDP budget (FATE#322675).
- iwlwifi: mvm: add and use iwl_mvm_device_running()
  (FATE#322675).
- iwlwifi: mvm: support new beacon template command (FATE#322675).
- iwlwifi: mvm: check firmware is up in debugfs (FATE#322675).
- iwlwifi: mvm: don't send CTDP commands via debugfs if not
  supported (FATE#322675).
- iwlwifi: mvm: add station before allocating a queue
  (FATE#322675).
- iwlwifi: mvm: use schedule_delayed_work() (FATE#322675).
- iwlwifi: mvm: convert ucode_loaded to a status bit
  (FATE#322675).
- iwlwifi: pcie: don't init a Tx queue with an SSN > size of
  the queue (FATE#322675).
- iwlwifi: fix nmi triggering from host (FATE#322675).
- iwlwifi: mvm: clear firmware running bit earlier (FATE#322675).
- iwlwifi: fix a kernel-doc tag (FATE#322675).
- iwlwifi: remove references to unsupported HW (FATE#322675).
- iwlwifi: pcie: free the TSO page when a Tx queue is unmapped
  on A000 devices (FATE#322675).
- iwlwifi: split firmware API from iwl-trans.h (FATE#322675).
- iwlwifi: mvm: fix the coex firmware API (FATE#322675).
- iwlwifi: mvm: link queue cmd docs to A000 command structs
  (FATE#322675).
- iwlwifi: mvm: document structures used for BEACON_TEMPLATE_CMD
  (FATE#322675).
- iwlwifi: mvm: remove the corunning support (FATE#322675).
- iwlwifi: mvm: consider RFKILL during INIT as success
  (FATE#322675).
- iwlwifi: mvm: link to TX commands in documentation
  (FATE#322675).
- iwlwifi: call iwl_remove_notification from iwl_wait_notification
  (FATE#322675).
- iwlwifi: mvm: remove SCAN_GROUP (FATE#322675).
- iwlwifi: fw-api: cleanup cycle includes (FATE#322675).
- iwlwifi: mvm: support new Coex firmware API (FATE#322675).
- iwlwifi: pcie: support short Tx queues for A000 device family
  (FATE#322675).
- iwlwifi: remove unnecessary code in iwl_trans_alloc_tx_cmd
  (FATE#322675).
- commit 833689044e13a3fb8c6c03ad868375670d97010b
  Merge: 63a2f310d040 0ae0bb3f409d Author: Kalle Valo
  <kvalo@codeaurora.org> Date:   Mon Jun 12 19:29:39 2017 +0300
  (FATE#322675).
- iwlwifi: mvm: add command name for FRAME_RELEASE (FATE#322675).
- iwlwifi: mvm: group all dummy SAR function declarations together
  (FATE#322675).
- iwlwifi: mvm: remove txq EMPTYING_DELBA state for DQA
  (FATE#322675).
- iwlwifi: mvm: use mvmsta consistently in rs.c (FATE#322675).
- iwlwifi: remove resp_pkt NULL checks (FATE#322675).
- iwlwifi: mvm: Enable security on new TX API (FATE#322675).
- iwlwifi: mvm: update the firmware API in TX (FATE#322675).
- iwlwifi: mvm: avoid unnecessary cache trashing in Tx path
  (FATE#322675).
- iwlwifi: mvm: remove session protection to allow channel switch
  (FATE#322675).
- iwlwifi: mvm: don't send BAR on flushed frames (FATE#322675).
- iwlwifi: mvm: remove pointless num_stored condition
  (FATE#322675).
- iwlwifi: move BT_MBOX_PRINT macro to common header
  (FATE#322675).
- iwlwifi: mvm: avoid variable shadowing (FATE#322675).
- iwlwifi: Demote messages about fw flags size to info
  (FATE#322675).
- iwlwifi: mvm: use scnprintf() instead of snprintf()
  (FATE#322675).
- iwlwifi: mvm: Fix channel switch in case of count <= 1
  (FATE#322675).
- iwlwifi: use bitfield.h for some registers (FATE#322675).
- iwlwifi: distinguish different RF modules in A000 devices
  (FATE#322675).
- iwlwifi: mvm: track and report IBSS manager status to mac80211
  (FATE#322675).
- iwlwifi: mvm: make D0I3_END_CMD sync during system resume
  (FATE#322675).
- iwlwifi: update channel flags parser (FATE#322675).
- iwlwifi: mvm: change open and close criteria of a BA session
  (FATE#322675).
- iwlwifi: mvm: support D0I3_END_CMD at the start of resume
  (FATE#322675).
- iwlwifi: add workaround to disable wide channels in 5GHz
  (FATE#322675).
- iwlwifi: mvm: make iwl_mvm_update_mcc() easier to follow
  (FATE#322675).
- iwlwifi: fw: fix lar_enabled endian problem in iwl_fw_get_nvm
  (FATE#322675).
- iwlwifi: mvm: rs: add logs for the wrong antenna case
  (FATE#322675).
- iwlwifi: mvm: remove useless argument in iwl_nvm_init()
  (FATE#322675).
- iwlwifi: pcie: pull out common rfkill IRQ handling code
  (FATE#322675).
- iwlwifi: mvm: remove useless check for mvm->cfg in
  iwl_parse_nvm_section() (FATE#322675).
- iwlwifi: pcie: add fake RF-kill to debugfs (FATE#322675).
- iwlwifi: mvm: don't warn in queue sync on RF-kill (FATE#322675).
- iwlwifi: use big-endian for the hw section of the nvm
  (FATE#322675).
- iwlwifi: mvm: Avoid deferring non bufferable frames
  (FATE#322675).
- iwlwifi: pcie: don't report RF-kill enabled while shutting down
  (FATE#322675).
- iwlwifi: mvm: bump API to 34 for 8000 and up (FATE#322675).
- iwlwifi: pcie: remove pointless debugfs parsing for csr file
  (FATE#322675).
- iwlwifi: mvm: document status bits (FATE#322675).
- iwlwifi: mvm: only send LEDS_CMD when the FW supports it
  (FATE#322675).
- iwlwifi: mvm: support aggregations on A000 HW (FATE#322675).
- iwlwifi: pcie: use kstrtou32_from_user() (FATE#322675).
- iwlwifi: mvm: better link scan notification results length
  (FATE#322675).
- iwlwifi: mvm: docs: fix enum link, provide TX response link
  (FATE#322675).
- iwlwifi: mvm: fix fw monitor 7000 HW recollecting (FATE#322675).
- iwlwifi: mvm: disentangle union in TX status struct
  (FATE#322675).
- iwlwifi: mvm: add documentation for enum iwl_debug_cmds
  (FATE#322675).
- iwlwifi: document transmit buffer bits better (FATE#322675).
- iwlwifi: remove useless iwl_free_nvm_data() function
  (FATE#322675).
- iwlwifi: mvm: fix nvm_data leak (FATE#322675).
- iwlwifi: pcie: don't disable bh when handling FW errors
  (FATE#322675).
- iwlwifi: mvm: reset the HW before dumping if HW error is
  detected (FATE#322675).
- iwlwifi: mvm: don't mark TIDs that are not idle wrt BA as
  inactive (FATE#322675).
- iwlwifi: add a W/A for a scheduler hardware bug (FATE#322675).
- iwlwifi: pcie: make iwl_pcie_apm_stop_master() return void
  (FATE#322675).
- iwlwifi: mvm: set assoc_beacon_arrive_time (FATE#322675).
- iwlwifi: mvm: support new flush API (FATE#322675).
- iwlwifi: mvm: document assoc_beacon_arrive_time (FATE#322675).
- iwlwifi: mvm: print base HW address during init (FATE#322675).
- iwlwifi: pcie: reduce unwanted noise in the logs (FATE#322675).
- iwlwifi: pcie: delete the Tx queue timer earlier upon firmware
  crash (FATE#322675).
- iwlwifi: mvm: fix typo in CTDP_CMD_OPERATION_REPORT description
  (FATE#322675).
- iwlwifi: pcie: work around suspend/resume issue (FATE#322675).
- iwlwifi: mvm: support TX on MONITOR iface (FATE#322675).
- iwlwifi: mvm: refactor geo init (FATE#322675).
- iwlwifi: mvm: Add debugfs entry to retrieve SAR geographic
  profile (FATE#322675).
- iwlwifi: mvm: remove some CamelCase from firmware API
  (FATE#322675).
- iwlwifi: mvm: fix various "Excess ... description" kernel-doc
  warnings (FATE#322675).
- iwlwifi: mvm: remove various unused command IDs/structs
  (FATE#322675).
- iwlwifi: mvm: use __le16 even for reserved fields (FATE#322675).
- iwlwifi: mvm: add documentation for all command IDs
  (FATE#322675).
- iwlwifi: mvm: fix a bunch of kernel-doc warnings (FATE#322675).
- iwlwifi: dvm: use macros for format strings (FATE#322675).
- iwlwifi: pcie: only apply retention workaround on 9000-series
  A-step (FATE#322675).
- iwlwifi: pcie: fix 9000-series RF-kill interrupt propagation
  (FATE#322675).
- iwlwifi: mvm: simplify CHECK_MLME_TRIGGER macro (FATE#322675).
- iwlwifi: add the new a000_2ax series (FATE#322675).
- iwlwifi: add twelve new 9560 series PCI IDs (FATE#322675).
- iwlwifi: mvm: use proper CDB check in PHY context modify
  (FATE#322675).
- iwlwifi: pcie: improve "invalid queue" warning (FATE#322675).
- iwlwifi: mvm: support aggs of 64 frames in A000 family
  (FATE#322675).
- iwlwifi: pcie: improve debug in iwl_pcie_rx_handle_rb()
  (FATE#322675).
- iwlwifi: mvm: change when the BT_COEX is sent (FATE#322675).
- iwlwifi: mvm: support multi tid ba notif (FATE#322675).
- iwlwifi: unify external & internal modparam names (FATE#322675).
- iwlwifi: pcie: make ctxt-info free idempotent (FATE#322675).
- iwlwifi: pcie: warn if paging is already initialized during init
  (FATE#322675).
- iwlwifi: mvm: rename iwl_shared_mem_cfg_v1 to the correct _v2
  (FATE#322675).
- iwlwifi: create new subdirectory for FW interaction
  (FATE#322675).
- iwlwifi: move notification wait into fw/ (FATE#322675).
- iwlwifi: move configuration into sub-directory (FATE#322675).
- iwlwifi: mvm: remove version 2 of paging command (FATE#322675).
- iwlwifi: pcie: add MSI-X interrupt tracing (FATE#322675).
- iwlwifi: mvm: properly enable IP header checksumming
  (FATE#322675).
- iwlwifi: mvm: map cab_queue to real one earlier (FATE#322675).
- iwlwifi: mvm: fix mac80211's hw_queue in DQA mode (FATE#322675).
- iwlwifi: mvm: remove DQA non-STA client mode special case
  (FATE#322675).
- iwlwifi: mvm: update rx statistics cmd api (FATE#322675).
- iwlwifi: pcie: propagate iwl_pcie_apm_init's status
  (FATE#322675).
- iwlwifi: pcie: wait longer after device reset (FATE#322675).
- iwlwifi: bump MAX API for 8000/9000/A000 to 33 (FATE#322675).
- iwlwifi: pcie: fix unused txq NULL pointer dereference
  (FATE#322675).
- iwlwifi: mvm: defer setting IWL_MVM_STATUS_IN_HW_RESTART
  (FATE#322675).
- iwlwifi: add TLV for MLME offload firmware capability
  (FATE#322675).
- iwlwifi: split the regulatory rules when the bandwidth flags
  require it (FATE#322675).
- iwlwifi: mvm: set A-MPDU bit upon empty BA notification from FW
  (FATE#322675).
- iwlwifi: mvm: rs: fix TLC statistics collection (FATE#322675).
- iwlwifi: fix fw_pre_next_step to apply also for C step
  (FATE#322675).
- iwlwifi: add the new 9000 series PCI IDs (FATE#322675).
- iwlwifi: mvm: Fix a memory leak in an error handling path in
  'iwl_mvm_sar_get_wgds_table()' (FATE#322675).
- iwlwifi: mvm: start mac queues when deferred tx frames are
  purged (FATE#322675).
- iwlwifi: mvm: don't WARN when a legit race happens in A-MPDU
  (FATE#322675).
- mac80211: add api to start ba session timer expired flow
  (FATE#322675).
- iwlwifi: mvm: send delba upon rx ba session timeout
  (FATE#322675).
- iwlwifi: pcie: move rx workqueue initialization to
  iwl_trans_pcie_alloc() (FATE#322675).
- Refresh
  patches.drivers/iwlwifi-mvm-don-t-warn-in-queue-sync-on-RF-kill.
- Refresh
  patches.drivers/iwlwifi-mvm-fix-a-NULL-pointer-dereference-of-error-.
- Refresh patches.drivers/iwlwifi-mvm-fix-mac80211-queue-tracking.
- Refresh
  patches.drivers/iwlwifi-mvm-quietly-accept-non-sta-disassoc-frames.
- Refresh
  patches.drivers/iwlwifi-mvm-remove-DQA-non-STA-client-mode-special-c.
- Refresh
  patches.drivers/iwlwifi-pcie-fix-TVQM-queue-ID-range-check.
- Refresh
  patches.drivers/iwlwifi-pcie-fix-command-completion-name-debug.
- Refresh
  patches.drivers/iwlwifi-pcie-reconfigure-MSI-X-HW-on-resume.
- Refresh patches.suse/iwlwifi-expose-default-fallback-ucode-api.
- Delete
  patches.drivers/iwlwifi-mvm-reset-the-fw_dump_desc-pointer-after-ASS.
- commit 318dcaf
* Mon Oct 16 2017 jslaby@suse.cz
- arm64: futex: Fix undefined behaviour with FUTEX_OP_OPARG_SHIFT usage
  (bnc#1005915).
- commit f68b002
* Mon Oct 16 2017 jslaby@suse.cz
- futex: Remove duplicated code and fix undefined behaviour
  (bnc#1005915).
- commit 3ab315a
* Mon Oct 16 2017 mhocko@suse.cz
- mm: page_vma_mapped: ensure pmd is loaded with READ_ONCE
  outside of lock (bnc#1063517).
- commit f9d9f6b
* Mon Oct 16 2017 mhocko@suse.cz
- mm: meminit: mark init_reserved_page as __meminit (bnc#1063509).
- commit f1081d0
* Mon Oct 16 2017 mhocko@suse.cz
- mm/memory_hotplug: define find_{smallest|biggest}_section_pfn
  as unsigned long (bnc#1063520).
- commit 5a4bbdf
* Mon Oct 16 2017 mhocko@suse.cz
- blacklist.conf: blacklist pure doc update
- commit 44bb57c
* Mon Oct 16 2017 mhocko@suse.cz
- mm/memory_hotplug: change pfn_to_section_nr/section_nr_to_pfn
  macro to inline function (bnc#1063501).
- commit 093a972
* Mon Oct 16 2017 mhocko@suse.cz
- mm/backing-dev.c: fix an error handling path in 'cgwb_create()'
  (bnc#1063475).
- commit 5def433
* Mon Oct 16 2017 mgorman@suse.de
- Refresh
  patches.suse/mm-mempolicy-fix-numa_interleave_hit-counter.patch.
- commit 6574465
* Fri Oct 13 2017 msuchanek@suse.de
- Revert "rpm/constraints.in: Lower default disk space requirement from 25G to 24G"
  This reverts commit 406abda1467c038842febffe264faae1fa2e3c1d.
  ok, did not wait long enough to see the failure.
- commit ed99981
* Fri Oct 13 2017 msuchanek@suse.de
- rpm/constraints.in: Lower default disk space requirement from 25G to 24G
  25G is rejected by the build service on ARM.
- commit 406abda
* Fri Oct 13 2017 bpoirier@suse.com
- Add marker for the end of the sorted section.
- commit 5add254
* Fri Oct 13 2017 jlee@suse.com
- Delete
  patches.suse/0001-MODSIGN-Support-the-old-style-signature-format.patch.
  SLE15 kernel only suppports PKCS#7 signature for module.
- commit 8f5ab3d
* Fri Oct 13 2017 jlee@suse.com
- Delete
  patches.fixes/0001-X.509-Fix-test-for-self-signed-certificate.patch.
  This patches did not accept by kernel mainline but David Howells's
  6c2dc5ae4 patch in v4.7-rc1 has similar logic to fix issue.
- commit 6fa04b9
* Fri Oct 13 2017 jlee@suse.com
- Delete
  patches.drivers/0001-acpi-nfit-treat-virtual-spa-region-as-r-v4.patch.
  This patch was merged in v4.8-rc1 on upstream.
- commit b8a49c5
* Fri Oct 13 2017 jlee@suse.com
- Refresh
  patches.suse/0003-Add-external-no-support-as-bad-taint-module.patch.
- commit 5af8e7d
* Fri Oct 13 2017 colyli@suse.de
- md/raid5: preserve STRIPE_ON_UNPLUG_LIST in
  break_stripe_batch_list (fate#323095).
- md: notify about new spare disk in the container (fate#323095).
- md: Runtime support for multiple ppls (fate#323095).
- raid5-ppl: Recovery support for multiple partial parity logs
  (fate#323095).
- raid5-ppl: don't resync after rebuild (fate#323095).
- raid5-ppl: check recovery_offset when performing ppl recovery
  (fate#323095).
- commit cf8b210
* Thu Oct 12 2017 jkosina@suse.cz
- series.conf: drop already merged printk patch from patches marked for review
- commit 48eb86a
* Thu Oct 12 2017 pmladek@suse.com
- printk/console: Enhance the check for consoles using init memory
  (bsc#1063026).
- printk/console: Always disable boot consoles that use init
  memory before it is freed (bsc#1063026).
- commit 39bffbf
* Thu Oct 12 2017 pmladek@suse.com
- Refresh and enable
  patches.suse/printk-console-Correctly-mark-console-that-is-used-w.patch
  printk/console: Correctly mark console that is used when
  opening /dev/console (bsc#1040020).
- commit 1f1f97c
* Thu Oct 12 2017 msuchanek@suse.de
- Refresh vanilla config.
- commit de6c979
* Thu Oct 12 2017 msuchanek@suse.de
- ibmvnic: Set state UP (bsc#1062962).
- commit d037007
* Thu Oct 12 2017 jthumshirn@suse.de
- scsi: mpt3sas: Bump mpt3sas driver version to v16.100.00.00
  (bsc#1049527,FATE#322938).
- scsi: mpt3sas: Adding support for SAS3616 HBA device
  (bsc#1049527,FATE#322938).
- scsi: mpt3sas: Fix possibility of using invalid Enclosure Handle
  for SAS device after host reset (bsc#1049527,FATE#322938).
- scsi: mpt3sas: Display chassis slot information of the drive
  (bsc#1049527,FATE#322938).
- scsi: mpt3sas: Updated MPI headers to v2.00.48
  (bsc#1049527,FATE#322938).
- scsi: mpt3sas: Fix IO error occurs on pulling out
  a drive from RAID1 volume created on two SATA drive
  (bsc#1049527,FATE#322938).
- scsi: mpt3sas: Fix removal and addition of vSES device during
  host reset (bsc#1049527,FATE#322938).
- scsi: mpt3sas: Reduce memory footprint in kdump kernel
  (bsc#1049527,FATE#322938).
- scsi: mpt3sas: Fixed memory leaks in driver
  (bsc#1049527,FATE#322938).
- scsi: mpt3sas: Processing of Cable Exception events
  (bsc#1049527,FATE#322938).
- scsi: mpt3sas: remove redundant copy_from_user in
  _ctl_getiocinfo (bsc#1049527,FATE#322938).
- scsi: mpt3sas: fix pr_info message continuation
  (bsc#1049527,FATE#322938).
- commit 51e999e
* Thu Oct 12 2017 lduncan@suse.com
- fs: fix kernel_write prototype (fate#323946).
- tcmu: free old string on reconfig (fate#323946).
- tcmu: Fix possible to/from address overflow when doing the
  memcpy (fate#323946).
- tcmu: clean up the code and with one small fix (fate#323946).
- target: export lio pgr/alua support as device attr
  (fate#323946).
- target: Fix return sense reason in target_scsi3_emulate_pr_out
  (fate#323946).
- target: Fix cmd size for PR-OUT in passthrough_parse_cdb
  (fate#323946).
- tcmu: Fix dev_config_store (fate#323946).
- target: pscsi: Introduce TYPE_ZBC support (fate#323946).
- target: Use macro for WRITE_VERIFY_32 operation codes
  (fate#323946).
- target: fix SAM_STAT_BUSY/TASK_SET_FULL handling (fate#323946).
- target: remove transport_complete (fate#323946).
- pscsi: finish cmd processing from pscsi_req_done (fate#323946).
- tcmu: fix sense handling during completion (fate#323946).
- target: add helper to copy sense to se_cmd buffer (fate#323946).
- target: do not require a transport_complete for
  SCF_TRANSPORT_TASK_SENSE (fate#323946).
- target: make device_mutex and device_list static (fate#323946).
- tcmu: fix multiple uio open/close sequences (fate#323946).
- tcmu: drop configured check in destroy (fate#323946).
- target: remove g_device_list (fate#323946).
- xcopy: loop over devices using idr helper (fate#323946).
- target: add helper to iterate over devices (fate#323946).
- tcmu: perfom device add, del and reconfig synchronously
  (fate#323946).
- target: add helper to find se_device by dev_index (fate#323946).
- target: use idr for se_device dev index (fate#323946).
- target: break up free_device callback (fate#323946).
- tcmu: reconfigure netlink attr changes (fate#323946).
- tcmu: make array tcmu_attrib_attrs static const (fate#323946).
- tcmu: Fix module removal due to stuck unmap_thread thread again
  (fate#323946).
- tcmu: Add Type of reconfig into netlink (fate#323946).
- tcmu: Make dev_config configurable (fate#323946).
- tcmu: Make dev_size configurable via userspace (fate#323946).
- tcmu: Add netlink for device reconfiguration (fate#323946).
- tcmu: Support emulate_write_cache (fate#323946).
- target/iscsi: Remove dead code from iscsit_process_scsi_cmd()
  (fate#323946).
- target/iscsi: Simplify iscsit_free_cmd() (fate#323946).
- target/iscsi: Remove second argument of __iscsit_free_cmd()
  (fate#323946).
- target/tcm_loop: Make TMF processing slightly faster
  (fate#323946).
- target/tcm_loop: Use target_submit_tmr() instead of open-coding
  this function (fate#323946).
- target/tcm_loop: Replace a waitqueue and a counter by a
  completion (fate#323946).
- target/tcm_loop: Merge struct tcm_loop_cmd and struct
  tcm_loop_tmr (fate#323946).
- target: Introduce a function that shows the command state
  (fate#323946).
- iscsi-target: Kill left-over iscsi_target_do_cleanup
  (fate#323946).
- target: Fix a deadlock between the XCOPY code and iSCSI session
  shutdown (fate#323946).
- target: Use {get,put}_unaligned_be*() instead of open coding
  these functions (fate#323946).
- target: Fix transport_init_se_cmd() (fate#323946).
- target: Remove se_device.dev_list (fate#323946).
- target: Use symbolic value for WRITE_VERIFY_16 (fate#323946).
- target: Add TARGET_SCF_LOOKUP_LUN_FROM_TAG support for
  ABORT_TASK (fate#323946).
- target: Add support for TMR percpu reference counting
  (fate#323946).
- target: reject COMPARE_AND_WRITE if emulate_caw is not set
  (fate#323946).
- iscsi: ensure RNG is seeded before use (fate#323946).
- random: add get_random_{bytes,u32,u64,int,long,once}_wait family
  (fate#323946).
- random: add wait_for_random_bytes() API (fate#323946).
- iscsi-target: Avoid holding ->tpg_state_lock during param update
  (fate#323946).
- target/configfs: Kill se_lun->lun_link_magic (fate#323946).
- target/configfs: Kill se_device->dev_link_magic (fate#323946).
- target/iblock: Convert WRITE_SAME to blkdev_issue_zeroout
  (fate#323946).
- target: remove dead code (fate#323946).
- commit 7cc5b73
* Thu Oct 12 2017 bpoirier@suse.com
- Update subsystem names
  They are now generated automatically from the remote url and branch name.
- commit 3f61bda
* Thu Oct 12 2017 bpoirier@suse.com
- Refresh
  patches.drivers/0008-Revert-commit-1a8b6d76dc5b-net-add-one-common-config.patch.
- net: ixgbe: Use new PCI_DEV_FLAGS_NO_RELAXED_ORDERING flag
  (bsc#1056419).
- commit 90521fa
* Wed Oct 11 2017 mwilck@suse.com
- scsi: sd: Do not override max_sectors_kb sysfs setting
  (bsc#1025461).
- commit ddec827
* Wed Oct 11 2017 bp@suse.de
- Refresh
  patches.drivers/03-edac-ghes-remove-symbol-exports.patch.
- Refresh
  patches.drivers/04-edac-ghes-model-a-single-logical-memory-controller.patch.
- Refresh patches.drivers/05-edac-ghes-add-platform-check.patch.
- Refresh
  patches.drivers/06-edac-add-helper-which-returns-the-loaded-platform-driver.patch.
- Refresh
  patches.drivers/07-edac-add-owner-check-to-the-x86-platform-drivers.patch.
- commit 25bfcf5
* Wed Oct 11 2017 mwilck@suse.com
- Fix patch ordering in "scsi for-next" section
- commit fa6ad69
* Wed Oct 11 2017 jlee@suse.com
- Update config files. (bsc#1049122)
- Enabling module signature verification for PKCS#7 support. (bsc#1049122)
- Enabling module signature verification on ARM64.
- commit f366940
* Wed Oct 11 2017 bp@suse.de
- ACPI / blacklist: add acpi_match_platform_list() (bsc#1042420).
- commit a2737a9
* Wed Oct 11 2017 msuchanek@suse.de
- powerpc/64s: Use emergency stack for kernel TM Bad Thing
  program checks (CVE-2017-1000255 bsc#1061633).
- commit bf589f7
* Wed Oct 11 2017 tiwai@suse.de
- ALSA: seq: Fix use-after-free at creating a port
  (CVE-2017-15265, bsc#1062520).
- commit fd32f35
* Wed Oct 11 2017 jthumshirn@suse.de
- mtip32xx: quiesce request queues to make sure no submissions
  are inflight (FATE#322582).
- commit 5051e53
* Tue Oct 10 2017 mfleming@suse.de
- sched/core: Address more wake_affine() regressions
  (bsc#1061593).
- sched/core: Fix wake_affine() performance regression
  (bsc#1061593).
- sched/fair: Fix wake_affine_llc() balancing rules (bsc#1061593).
- sched/fair: Fix wake_affine() for !NUMA_BALANCING (bsc#1061593).
- commit 2d3e2a7
* Tue Oct 10 2017 mkubecek@suse.cz
- config: drop obsolete network drivers (fate#323372)
  CONFIG_PCNET32        - AMD PCnet32
  CONFIG_ATL2           - Atheros L2
  CONFIG_NET_VENDOR_DEC - DEC Tulip family
  CONFIG_NE2K_PCI       - PCI NE2000 and clones
  CONFIG_ATP            - AT-LAN-TEC/Realtek pocket adapter
  CONFIG_SIS900         - SiS 900
  CONFIG_EPIC100        - SMC EtherPower II
  CONFIG_HAPPYMEAL      - Sun Happy Meal
- commit 09e0cef
* Tue Oct 10 2017 mkubecek@suse.cz
- Refresh
  patches.drivers/i40e-add-private-flag-to-control-source-pruning.patch.
- update upstream reference
- move to net-next section
- commit 0c27bbf
* Tue Oct 10 2017 mkubecek@suse.cz
- series.conf: restore repository names
  (just executed series_sort.py)
- commit fcbee0f
* Tue Oct 10 2017 mkubecek@suse.cz
- Update patches.fixes/inetpeer-fix-RCU-lookup-again.patch
  upstream reference and move it to sorted section
- commit fe35cb6
* Mon Oct  9 2017 tbogendoerfer@suse.de
- RDMA/iwpm: Properly mark end of NL messages (bsc#1046306
  FATE#322942).
- commit 8db3fd1
* Mon Oct  9 2017 tbogendoerfer@suse.de
- RDMA/qedr: Parse VLAN ID correctly and ignore the value of zero
  (bsc#1050545 FATE#322893).
- RDMA/qedr: Parse vlan priority as sl (bsc#1050545 FATE#322893).
- Refresh
  patches.drivers/RDMA-qedr-Rename-the-qedr_cm-file-as-a-preparation-f.patch.
- commit 49c1725
* Mon Oct  9 2017 msuchanek@suse.de
- cxl: Add support for POWER9 DD2 (bsc#1055014).
- commit c6a99b3
* Mon Oct  9 2017 vbabka@suse.cz
- Fix series.conf whitespace.
- commit a7d3388
* Mon Oct  9 2017 vbabka@suse.cz
- mm: memcontrol: fix NULL pointer crash in
  test_clear_page_writeback() (VM Functionality, bsc#1061849).
- commit 0cd7f9e
* Mon Oct  9 2017 tbogendoerfer@suse.de
- IB/mlx5: Fix label order in error path handling (bsc#1046305
  FATE#322943).
- net/mlx5: Fix wrong indentation in enable SRIOV code
  (bsc#1046303 FATE#322944).
- net/mlx5: Fix static checker warning on steering tracepoints
  code (bsc#1046303 FATE#322944).
- net/mlx5e: Fix calculated checksum offloads counters
  (bsc#1046303 FATE#322944).
- net/mlx5e: Don't add/remove 802.1ad rules when changing 802.1Q
  VLAN filter (bsc#1046303 FATE#322944).
- net/mlx5e: Print netdev features correctly in error message
  (bsc#1046303 FATE#322944).
- net/mlx5e: Check encap entry state when offloading tunneled
  flows (bsc#1046303 FATE#322944).
- net/mlx5e: Disallow TC offloading of unsupported match/action
  combinations (bsc#1046303 FATE#322944).
- net/mlx5e: Fix erroneous freeing of encap header buffer
  (bsc#1046303 FATE#322944).
- net/mlx5: Check device capability for maximum flow counters
  (bsc#1046303 FATE#322944).
- net/mlx5: Fix FPGA capability location (bsc#1046303
  FATE#322944).
- net/mlx5e: IPoIB, Fix access to invalid memory address
  (bsc#1046303 FATE#322944).
- IB/mlx5: Simplify mlx5_ib_cont_pages (bsc#1046305 FATE#322943).
- commit 14b0a3d
* Mon Oct  9 2017 tbogendoerfer@suse.de
- Re-sorted sorted section
- commit 1999b85
* Mon Oct  9 2017 jthumshirn@suse.de
- nvme: fix visibility of "uuid" ns attribute (FATE#323952,
  FATE#322506).
- commit ca3cd08
* Mon Oct  9 2017 hare@suse.de
- Remove obsolete patches
- Delete patches.fixes/ch-add-refcounting.patch.
- Delete
  patches.fixes/ses-Fix-racy-cleanup-of-sys-in-remove_dev.patch.
- commit f705316
* Mon Oct  9 2017 hare@suse.de
- scsi: Rework handling of scsi_device.vpd_pg8[03] (bsc#1061782).
- scsi: Rework the code for caching Vital Product Data (VPD)
  (bsc#1061782).
- scsi: rcu: Introduce rcu_swap_protected() (bsc#1061782).
- commit aec4a2a
* Fri Oct  6 2017 mwilck@suse.com
- watchdog: Revert "iTCO_wdt: all versions count down twice"
  (bsc#1061556).
- commit dd4ee65
* Fri Oct  6 2017 rgoldwyn@suse.com
- apparmor: Add socket, mount, signal mediation (FATE#323500)
- apparmor: Fix shadowed local variable in unpack_trans_table()
  (FATE#323500).
- apparmor: Fix logical error in verify_header() (FATE#323500).
- apparmor: Fix an error code in aafs_create() (FATE#323500).
- apparmor: Redundant condition: prev_ns. in [label.c:1498]
  (FATE#323500).
- apparmor: add the ability to mediate signals (FATE#323500).
- apparmor: add mount mediation (FATE#323500).
- apparmor: cleanup conditional check for label in label_print
  (FATE#323500).
- apparmor: add support for absolute root view based labels
  (FATE#323500).
- apparmor: make policy_unpack able to audit different info
  messages (FATE#323500).
- apparmor: add more debug asserts to apparmorfs (FATE#323500).
- apparmor: add base infastructure for socket mediation
  (FATE#323500).
- apparmor: move new_null_profile to after profile lookup fns()
  (FATE#323500).
- apparmor: fix race condition in null profile creation
  (FATE#323500).
- apparmor: ensure unconfined profiles have dfas initialized
  (FATE#323500).
- apparmor: fix incorrect type assignment when freeing proxies
  (FATE#323500).
- apparmor: fix build failure on sparc caused by undeclared
  signals (FATE#323500).
- apparmor: fix apparmorfs DAC access permissions (FATE#323500).
- Delete
  patches.apparmor/apparmor-basic-networking-rules-4.11-rc1.patch.
- Delete patches.apparmor/apparmor-basic-networking-rules.patch.
- Delete
  patches.apparmor/apparmor-fix-quieting-of-audit-messages-for-network-mediation.patch.
- commit f4b43e1
* Fri Oct  6 2017 msuchanek@suse.de
- rpm/kernel-binary.spec.in: add the kernel-binary dependencies to
  kernel-binary-base (bsc#1060333).
- commit 955681c
* Fri Oct  6 2017 hare@suse.de
- scsi: ses: Fix racy cleanup of /sys in remove_dev()
  (bsc#1061782).
- scsi: ch: add refcounting (bsc#1061782).
- scsi: ses: make page2 support optional (bsc#1061782).
- scsi: ses: Fixup error message 'failed to get diagnostic page
  0xffffffea' (bsc#1061782).
- scsi: ses: check return code from ses_recv_diag() (bsc#1061782).
- scsi: ses: Fix wrong page error (bsc#1061782).
- commit 26418a1
* Fri Oct  6 2017 hare@suse.de
- Drop obsolete hpsa patches
- Delete
  patches.drivers/hpsa-allow-hpsa-to-claim-compaq-smartarray-devices.
- Delete
  patches.drivers/hpsa-handle-unsupported-devices-more-gracefully.
- Delete
  patches.drivers/hpsa-mark-older-boards-as-unsupported.patch.
- commit a441a63
* Fri Oct  6 2017 hare@suse.de
- Update config files to remove cciss driver
- commit e1fae76
* Fri Oct  6 2017 hare@suse.de
- scsi: hpsa: remove the smp_handler stub
  (bsc#1049517,FATE#322892).
- scsi: hpsa: fix the device_id in hpsa_update_device_info()
  (bsc#1049517,FATE#322892).
- scsi: hpsa: Remove 'hpsa_allow_any' module option
  (bsc#1049517,FATE#322892).
- scsi: cciss: Drop obsolete driver
  (bsc#1049517,FATE#322892,FATE#323833).
- scsi: hpsa: do not print errors for unsupported report luns
  format (bsc#1049517,FATE#322892).
- scsi: hpsa: Ignore errors for unsupported LV_DEVICE_ID VPD page
  (bsc#1049517,FATE#322892).
- scsi: hpsa: disable volume status check for legacy boards
  (bsc#1049517,FATE#322892).
- scsi: hpsa: add support for legacy boards
  (bsc#1049517,FATE#322892).
- commit a5fea5d
* Fri Oct  6 2017 msuchanek@suse.de
- powerpc/64s: Implement system reset idle wakeup reason
  (bsc#1055121).
- commit 4c3f65a
* Fri Oct  6 2017 msuchanek@suse.de
- rpm/kernel-docs.spec.in: Require xmlto unconditionally.
  Getting the condition right is too challenging it seems.
- commit fa08731
* Fri Oct  6 2017 msuchanek@suse.de
- powerpc/64s/idle: Process interrupts from system reset wakeup
  (bsc#1055121).
- commit 68b4938
* Fri Oct  6 2017 jthumshirn@suse.de
- libnvdimm, namespace: fix btt claim class crash (FATE#323731).
- libnvdimm, namespace: record 'lbasize' for pmem namespaces
  (FATE#323731).
- commit 285bf96
* Fri Oct  6 2017 jthumshirn@suse.de
- libnvdimm, btt: rework error clearing (FATE#323731).
- libnvdimm: fix potential deadlock while clearing errors
  (FATE#323731).
- libnvdimm, btt: cache sector_size in arena_info (FATE#323731).
- libnvdimm, btt: ensure that flags were also unchanged during
  a map_read (FATE#323731).
- libnvdimm, btt: refactor map entry operations with macros
  (FATE#323731).
- libnvdimm, btt: fix a missed NVDIMM_IO_ATOMIC case in the
  write path (FATE#323731).
- libnvdimm, btt: check memory allocation failure (FATE#323731).
- libnvdimm, btt: BTT updates for UEFI 2.7 format (FATE#323731).
- libnvdimm, label: switch to using v1.2 labels by default
  (FATE#323731).
- libnvdimm, label: add address abstraction identifiers
  (FATE#323731).
- libnvdimm, label: add v1.2 label checksum support (FATE#323731).
- libnvdimm, label: update 'nlabel' and 'position' handling for
  local namespaces (FATE#323731).
- libnvdimm, label: populate 'isetcookie' for blk-aperture
  namespaces (FATE#323731).
- libnvdimm, label: populate the type_guid property for v1.2
  namespaces (FATE#323731).
- libnvdimm, label: honor the lba size specified in v1.2 labels
  (FATE#323731).
- libnvdimm, label: add v1.2 interleave-set-cookie algorithm
  (FATE#323731).
- libnvdimm, label: add v1.2 nvdimm label definitions
  (FATE#323731).
- commit 9d14158
* Fri Oct  6 2017 pmladek@suse.com
- Delete
  patches.suse/ftrace-x86-xen-use-kernel-identity-mapping-only-when.patch.
  The change is not longer needed with PVOPS Xen (bsc#873195).
- commit 7b3f924
* Fri Oct  6 2017 jthumshirn@suse.de
- scsi: smartpqi: update driver version to 1.1.2-126
  (FATE#323891,bsc#1049514).
- scsi: smartpqi: cleanup raid map warning message
  (FATE#323891,bsc#1049514).
- scsi: smartpqi: update controller ids (FATE#323891,bsc#1049514).
- scsi: smartpqi: remove the smp_handler stub
  (FATE#323891,bsc#1049514).
- scsi: smartpqi: change driver version to 1.1.2-125
  (FATE#323891,bsc#1049514).
- scsi: smartpqi: add in new controller ids
  (FATE#323891,bsc#1049514).
- scsi: smartpqi: update kexec and power down support
  (FATE#323891,bsc#1049514).
- scsi: smartpqi: cleanup doorbell register usage
  (FATE#323891,bsc#1049514).
- scsi: smartpqi: update pqi passthru ioctl
  (FATE#323891,bsc#1049514).
- scsi: smartpqi: enhance BMIC cache flush
  (FATE#323891,bsc#1049514).
- scsi: smartpqi: add pqi reset quiesce support
  (FATE#323891,bsc#1049514).
- scsi: smartpqi: mark PM functions as __maybe_unused
  (FATE#323891,bsc#1049514).
- commit 1882c7b
* Fri Oct  6 2017 jthumshirn@suse.de
- Re-sorted series.conf to the correct order of lpfc patches.
- Refresh
  patches.drivers/scsi-lpfc-Fix-crash-receiving-ELS-while-detaching-dr.patch.
- Refresh
  patches.drivers/scsi-lpfc-Make-ktime-sampling-more-accurate.patch.
- Refresh
  patches.drivers/scsi-lpfc-Move-CQ-processing-to-a-soft-IRQ.patch.
- Refresh
  patches.drivers/scsi-lpfc-fix-pci-hot-plug-crash-in-timer-management.patch.
- Refresh
  patches.drivers/scsi-lpfc-remove-redundant-null-check-on-eqe.patch.
- commit d1bbb42
* Thu Oct  5 2017 bpoirier@suse.com
- sfc: Add ethtool -m support for QSFP modules (bsc#1058169
  FATE#322922).
- commit acd2839
* Thu Oct  5 2017 bpoirier@suse.com
- Refresh
  patches.drivers/scsi-lpfc-Cocci-spatch-pool_zalloc-simple.patch.
- Refresh
  patches.drivers/scsi-lpfc-Ensure-io-aborts-interlocked-with-the-targ.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-crash-in-lpfc_nvme_fcp_io_submit-durin.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-crash-receiving-ELS-while-detaching-dr.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-lpfc-nvme-host-rejecting-IO-with-Not-R.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-oops-if-nvmet_fc_register_targetport-f.patch.
- Refresh
  patches.drivers/scsi-lpfc-Fix-warning-messages-when-NVME_TARGET_FC-n.patch.
- Refresh
  patches.drivers/scsi-lpfc-Make-ktime-sampling-more-accurate.patch.
- Refresh
  patches.drivers/scsi-lpfc-Move-CQ-processing-to-a-soft-IRQ.patch.
- Refresh
  patches.drivers/scsi-lpfc-PLOGI-failures-during-NPIV-testing.patch.
- Refresh
  patches.drivers/scsi-lpfc-Reduce-log-spew-on-controller-reconnects.patch.
- Refresh
  patches.drivers/scsi-lpfc-change-version-to-11.4.0.4.patch.
- Refresh
  patches.drivers/scsi-lpfc-correct-nvme-sg-segment-count-check.patch.
- Refresh
  patches.drivers/scsi-lpfc-fix-pci-hot-plug-crash-in-timer-management.patch.
- Refresh
  patches.drivers/scsi-lpfc-remove-redundant-null-check-on-eqe.patch.
  Johannes reported that when a subsystem repository is not listed in
  git_sort.py head_names, the patches for it are silently not ordered by
  qdoit. The problem is avoided for now by adding this scsi tree to
  head_names. A more general solution will be needed later.
  I've reordered the patches and refreshed them. There is no difference in
  the expanded tree.
- commit 949fce3
* Thu Oct  5 2017 jeffm@suse.com
- Delete patches.rpmify/cloneconfig.diff.
- commit 3aaafe7
* Thu Oct  5 2017 colyli@suse.de
- block: fix integer overflow in __blkdev_sectors_to_bio_pages()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- commit 249ef28
* Thu Oct  5 2017 colyli@suse.de
- md/r5cache: call mddev_lock/unlock() in r5c_journal_mode_set
  (fate#322738,fate#322919,fate#322950,fate#323773).
- commit c74127c
* Thu Oct  5 2017 msuchanek@suse.de
- powerpc/64s: Add workaround for P9 vector CI load issue
  (bsc#1055117).
- powerpc/mce: Move 64-bit machine check code into mce.c
  (bsc#1055117).
- powerpc/64s: Machine check handle ifetch from foreign real
  address for POWER9 (bsc#1055117).
- commit e6af293
* Thu Oct  5 2017 msuchanek@suse.de
- powerpc: Fix action argument for cpufeatures-based TLB flush
  (bsc#1055117).
- powerpc: Fix workaround for spurious MCE on POWER9
  (bsc#1055117).
- powerpc: Handle MCE on POWER9 with only DSISR bit 30 set
  (bsc#1055117).
- commit 783697a
* Thu Oct  5 2017 msuchanek@suse.de
- powerpc/powernv: Fix local TLB flush for boot and MCE on POWER9
  (bsc#1055117).
- commit df999ef
* Thu Oct  5 2017 msuchanek@suse.de
- powerpc/powernv: Use early_radix_enabled in POWER9 tlb flush
  (bsc#1055117).
- commit b5bc2ee
* Thu Oct  5 2017 msuchanek@suse.de
- powerpc/xive: Clear XIVE internal structures when a CPU is
  removed (fate#322438).
- commit 12dbb32
* Thu Oct  5 2017 msuchanek@suse.de
- powerpc/xive: Fix IPI reset (fate#322438).
- commit 6f5e307
* Thu Oct  5 2017 tiwai@suse.de
- Update cherry-picked drm/i915 ids
  blacklist.conf
  patches.drivers/drm-i915-Initialize-data-in-intel_dsi_dcs_backlight.
- commit 3e26bd9
* Thu Oct  5 2017 tiwai@suse.de
- drm/i915: Add __rcu to radix tree slot pointer (bsc#1051510).
- commit 73cdd3f
* Thu Oct  5 2017 tiwai@suse.de
- iwlwifi: mvm: set the RTS_MIMO_PROT bit in flag mask when
  sending sta to fw (bsc#1051510).
- iwlwifi: mvm: fix TCP CSUM offload with WEP and A000 series
  (bsc#1051510).
- iwlwifi: mvm: don't warn in queue sync on RF-kill (bsc#1051510).
- commit a8def16
* Thu Oct  5 2017 tiwai@suse.de
- drm/i915: remove unused function declaration (bsc#1051510).
- drm/i915/bxt: set min brightness from VBT (bsc#1051510).
- drm/i915: Suppress switch_mm emission between the same
  aliasing_ppgtt (bsc#1051510).
- drm/i915: Quietly cancel FBC activation if CRTC is turned off
  before worker (bsc#1051510).
- drm/i915: Initialize 'data' in intel_dsi_dcs_backlight.c
  (bsc#1051510).
- drm/i915: Always wake the device to flush the GTT (bsc#1051510).
- Revert "drm/i915/bxt: Disable device ready before shutdown
  command" (bsc#1051510).
- commit a5aceb8
* Thu Oct  5 2017 tiwai@suse.de
- ALSA: hda/ca0132 - Fix memory leak at error path (bsc#1052235).
- ALSA: hda: Fix regression of hdmi eld control created based
  on invalid pcm (bsc#1052235).
- commit c5a6ca0
* Thu Oct  5 2017 msuchanek@suse.de
- cxl: Fix memory page not handled (bsc#1055014).
- commit 904cf45
* Thu Oct  5 2017 msuchanek@suse.de
- KVM: PPC: Book3S: Fix server always zero from
  kvmppc_xive_get_xive() (bsc#1061840).
- commit a04c301
* Thu Oct  5 2017 msuchanek@suse.de
- KVM: PPC: Book3S HV: Fix bug causing host SLB to be restored
  incorrectly (bsc#1061840).
- commit fcb992f
* Thu Oct  5 2017 msuchanek@suse.de
- KVM: PPC: Book3S HV: Don't access XIVE PIPR register using
  byte accesses (bsc#1061840).
- commit 6a8e0e7
* Thu Oct  5 2017 msuchanek@suse.de
- KVM: PPC: Book3S HV: Add missing barriers to XIVE code and
  document them (bsc#1061840).
- commit 5efae32
* Thu Oct  5 2017 msuchanek@suse.de
- KVM: PPC: Book3S HV: Workaround POWER9 DD1.0 bug causing IPB
  bit loss (bsc#1061840).
- commit f582f45
* Thu Oct  5 2017 msuchanek@suse.de
- ibmveth: Support to enable LSO/CSO for Trunk VEA (bsc#1061843).
- commit e982073
* Thu Oct  5 2017 jroedel@suse.de
- PCI: Mark Broadcom HT2100 Root Port Extended Tags as broken
  (bsc#1061880).
- commit d31f3a4
* Thu Oct  5 2017 jroedel@suse.de
- x86/ldt: Fix off by one in get_segment_base() (bsc#1061872).
- x86/ldt: Rename ldt_struct::size to ::nr_entries (bsc#1061872).
- commit aaef532
* Thu Oct  5 2017 bpoirier@suse.com
- Refresh patch order in sorted section
  In case of absent remotes, series_sort reordered and renamed subsystem
  sections. This should now be fixed as long as the subsystem is listed in
  series_sort.py head_names.
- commit 0257dde
* Thu Oct  5 2017 tiwai@suse.de
- Refresh QXL fixes: they've been upstreamed
  patches.drivers/qxl-fix-pinning.patch
  patches.drivers/qxl-fix-primary-surface-handling.patch
- commit 133bed7
* Thu Oct  5 2017 tbogendoerfer@suse.de
- Refresh
  patches.drivers/net-mlx5-Introduce-trigger_health_work-function.patch.
- commit f064ef2
* Thu Oct  5 2017 hare@suse.de
- libata: check for trusted computing in IDENTIFY DEVICE data
  (bsc#1061782).
- libata: implement SECURITY PROTOCOL IN/OUT (bsc#1061782).
- libata: factor out a ata_identify_page_supported helper
  (bsc#1061782).
- libata: clarify log page naming / grouping (bsc#1061782).
- libata: factor out a ata_log_supported helper (bsc#1061782).
- libata: move ata_read_log_page to libata-core.c (bsc#1061782).
- commit 37e3e92
* Thu Oct  5 2017 vbabka@suse.cz
- mm/page_alloc.c: apply gfp_allowed_mask before the first
  allocation attempt (VM Functionality, git fixes).
- commit 9d48e99
* Thu Oct  5 2017 hare@suse.de
- scsi: scsi-sysfs: Adjust error returned for adapter reset
  request (bsc#1061782).
- scsi: make 'state' device attribute pollable (bsc#1061782).
- scsi: scsi_lib: rework scsi_internal_device_unblock_nowait()
  (bsc#1061782).
- scsi: fc: start decoupling fc_block_scsi_eh from scsi_cmnd
  (bsc#1061782).
- scsi: remove DRIVER_ATTR() usage (bsc#1061782).
- scsi: sd_zbc: Write unlock zone from sd_uninit_cmnd()
  (bsc#1061782).
- scsi: isci: fix typo in function names (bsc#1061782).
- scsi: sas: scsi_queue_work can fail, so make callers aware
  (bsc#1061782).
- scsi: sd: Use sysfs_match_string() (bsc#1061782).
- scsi: scsi_dh_alua: remove synchronous STPG support
  (bsc#1061782).
- scsi: remove various unused blist flags (bsc#1061782).
- scsi: xen-scsifront: Remove code that zeroes driver-private
  command data (bsc#1061782).
- scsi: virtio_scsi: Remove code that zeroes driver-private
  command data (bsc#1061782).
- scsi: snic: Remove code that zeroes driver-private command data
  (bsc#1061782).
- scsi: Make scsi_mq_prep_fn() call scsi_init_command()
  (bsc#1061782).
- scsi: Introduce scsi_mq_sgl_size() (bsc#1061782).
- scsi: Only add commands to the device command list if required
  by the LLD (bsc#1061782).
- commit 4360116
* Thu Oct  5 2017 hare@suse.de
- scsi: Make __scsi_remove_device go straight from BLOCKED to DEL
  (bsc#1061782).
- commit e9b1984
* Thu Oct  5 2017 hare@suse.de
- scsi: Introduce scsi_start_queue() (bsc#1061782).
- scsi: Protect SCSI device state changes with a mutex
  (bsc#1061782).
- commit e63b6b2
* Thu Oct  5 2017 hare@suse.de
- scsi: Create two versions of scsi_internal_device_unblock()
  (bsc#1061782).
- commit e74af46
* Thu Oct  5 2017 hare@suse.de
- scsi: Split scsi_internal_device_block() (bsc#1061782).
- commit 31782b2
* Thu Oct  5 2017 hare@suse.de
- sd: add support for TCG OPAL self encrypting disks
  (bsc#1061782).
- commit db34dbf
* Thu Oct  5 2017 tbogendoerfer@suse.de
- RDMA/qedr: Fix rdma_type initialization (bsc#1050545
  FATE#322893).
- IB: Move PCI dependency from root KConfig to HW's KConfigs
  (bsc#1046306 FATE#322942).
- RDMA/qedr: fix build error without ipv6 (bsc#1050545
  FATE#322893).
- RDMA/qedr: Missing error code in qedr_init_user_queue()
  (bsc#1050545 FATE#322893).
- RDMA/qedr: Add support for iWARP in user space (bsc#1050545
  FATE#322893).
- RDMA/qedr: Add iWARP connection management functions
  (bsc#1050545 FATE#322893).
- RDMA/qedr: Add iWARP connection management qp related callbacks
  (bsc#1050545 FATE#322893).
- RDMA/qedr: Add support for read with invalidate, supported in
  iWARP (bsc#1050545 FATE#322893).
- RDMA/qedr: Add iWARP support in existing verbs (bsc#1050545
  FATE#322893).
- RDMA/qedr: Add support for registering an iWARP device
  (bsc#1050545 FATE#322893).
- RDMA/qedr: Rename the qedr_cm file as a preparation for iWARP
  support (bsc#1050545 FATE#322893).
- commit 1e6b3ed
* Thu Oct  5 2017 tbogendoerfer@suse.de
- re-sorted series.conf
- commit d2e8138
* Thu Oct  5 2017 jroedel@suse.de
- KVM: x86: Fix immediate_exit handling for uninitialized AP
  (bsc#1061813).
- commit 4ed06fa
* Thu Oct  5 2017 jroedel@suse.de
- iommu/amd: pr_err() strings should end with newlines
  (bsc#1043261).
- commit 2281132
* Thu Oct  5 2017 hare@suse.de
- scsi: aacraid: error: testing array offset 'bus' after use
  (bsc#1049519,FATE#322889).
- scsi: aacraid: Fix command send race condition
  (bsc#1049519,FATE#322889).
- scsi: aacraid: report -ENOMEM to upper layer from
  aac_convert_sgraw2() (bsc#1049519,FATE#322889).
- scsi: aacraid: get rid of one level of indentation
  (bsc#1049519,FATE#322889).
- scsi: aacraid: fix indentation errors (bsc#1049519,FATE#322889).
- scsi: aacraid: complete all commands during bus reset
  (bsc#1049519,FATE#322889).
- scsi: aacraid: add fib flag to mark scsi command callback
  (bsc#1049519,FATE#322889).
- scsi: aacraid: enable sending of TMFs from aac_hba_send()
  (bsc#1049519,FATE#322889).
- scsi: aacraid: use aac_tmf_callback for reset fib
  (bsc#1049519,FATE#322889).
- scsi: aacraid: split off device, target, and bus reset
  (bsc#1049519,FATE#322889).
- scsi: aacraid: split off host reset (bsc#1049519,FATE#322889).
- scsi: aacraid: split off functions to generate reset FIB
  (bsc#1049519,FATE#322889).
- commit 8d89ea9
* Thu Oct  5 2017 jkosina@suse.cz
- series.conf: restore upstream ordering which I broke by mistake
- commit 1757725
* Thu Oct  5 2017 hare@suse.de
- Reshuffle series.conf to include scsi-misc branch
- commit 9845e26
* Thu Oct  5 2017 vbabka@suse.cz
- mm: fix data corruption caused by lazyfree page (VM
  Functionality, bsc#1061775).
- mm: avoid marking swap cached page as lazyfree (VM
  Functionality, bsc#1061775).
- commit 791a9bf
* Thu Oct  5 2017 hare@suse.de
- scsi: megaraid_mbox: drop duplicate bus reset and device reset
  function (bsc#1049528,FATE#322937).
- scsi: megaraid_sas: driver version upgrade
  (bsc#1049528,FATE#322937).
- scsi: megaraid_sas: call megasas_dump_frame with correct IO
  frame size (bsc#1049528,FATE#322937).
- scsi: megaraid_sas: modified few prints in OCR and IOC INIT path
  (bsc#1049528,FATE#322937).
- scsi: megaraid_sas: replace internal FALSE/TRUE definitions
  with false/true (bsc#1049528,FATE#322937).
- scsi: megaraid_sas: Return pended IOCTLs with
  cmd_status MFI_STAT_WRONG_STATE in case adapter is dead
  (bsc#1049528,FATE#322937).
- scsi: megaraid_sas: use vmalloc for crash dump buffers and
  driver's local RAID map (bsc#1049528,FATE#322937).
- scsi: megaraid_sas: Use SMID for Task abort case only
  (bsc#1049528,FATE#322937).
- scsi: megaraid_sas: Check valid aen class range to avoid kernel
  panic (bsc#1049528,FATE#322937).
- scsi: megaraid_sas: Fix endianness issues in DCMD handling
  (bsc#1049528,FATE#322937).
- scsi: megaraid_sas: Do not re-fire shutdown DCMD after OCR
  (bsc#1049528,FATE#322937).
- scsi: megaraid_sas: Call megasas_complete_cmd_dpc_fusion
  every 1 second while there are pending commands
  (bsc#1049528,FATE#322937).
- scsi: megaraid_sas: Use synchronize_irq in target reset case
  (bsc#1049528,FATE#322937).
- scsi: megaraid_sas: set minimum value of resetwaittime to be
  1 secs (bsc#1049528,FATE#322937).
- scsi: megaraid_sas: mismatch of allocated MFI frame
  size and length exposed in MFI MPT pass through command
  (bsc#1049528,FATE#322937).
- scsi: megaraid_sas: fix allocate instance->pd_info twice
  (bsc#1049528,FATE#322937).
- scsi: megaraid: fix format-overflow warning
  (bsc#1049528,FATE#322937).
- scsi: megaraid: Replace PCI pool old API
  (bsc#1049528,FATE#322937).
- scsi: megaraid_sas: fix error handle in megasas_probe_one
  (bsc#1049528,FATE#322937).
- scsi: megaraid_sas: fix memleak in megasas_alloc_cmdlist_fusion
  (bsc#1049528,FATE#322937).
- scsi: megaraid: Fix a sleep-in-atomic bug
  (bsc#1049528,FATE#322937).
- commit 83ffcac
* Thu Oct  5 2017 ohering@suse.de
- add mainline tags to hyperv patches
- commit 529ce16
* Thu Oct  5 2017 mkubecek@suse.cz
- inetpeer: fix RCU lookup() again (bsc#1061739).
- inetpeer: fix RCU lookup() (bsc#1061739).
- inetpeer: remove AVL implementation in favor of RB tree
  (bsc#1061739).
- net: convert inet_peer.refcnt from atomic_t to refcount_t
  (bsc#1061739).
- commit 3cca9a9
* Thu Oct  5 2017 tbogendoerfer@suse.de
- Update config files.
- commit d121c2b
* Thu Oct  5 2017 tbogendoerfer@suse.de
- net/mlx5e: Distribute RSS table among all RX rings (bsc#1046305
  FATE#322943).
- net/mlx5e: Stop NAPI when irq balancer changes affinity
  (bsc#1046305 FATE#322943).
- net/mlx5e: Use kernel's mechanism to avoid missing NAPIs
  (bsc#1046305 FATE#322943).
- net/mlx5e: Slightly increase RX page-cache size (bsc#1046305
  FATE#322943).
- net/mlx5e: Don't recycle page if moved to far NUMA (bsc#1046305
  FATE#322943).
- net/mlx5e: Remove unnecessary fields in ICO SQ (bsc#1046305
  FATE#322943).
- net/mlx5e: Type-specific optimizations for RX post WQEs function
  (bsc#1046305 FATE#322943).
- net/mlx5e: Non-atomic RQ state indicator for UMR WQE in progress
  (bsc#1046305 FATE#322943).
- net/mlx5e: Non-atomic indicator for ring enabled state
  (bsc#1046305 FATE#322943).
- net/mlx5e: Refactor data-path lro header function (bsc#1046305
  FATE#322943).
- net/mlx5e: Early-return on empty completion queues (bsc#1046305
  FATE#322943).
- net/mlx5e: NAPI busy-poll when UMR post is in progress
  (bsc#1046305 FATE#322943).
- net/mlx5e: Small enhancements for RX MPWQE allocation and free
  (bsc#1046305 FATE#322943).
- net/mlx5e: Use memset to init skbs_frags array to zeros
  (bsc#1046305 FATE#322943).
- net/mlx5e: Remove unnecessary wqe_sz field from RQ buffer
  (bsc#1046305 FATE#322943).
- net/mlx5e: Replace multiplication by stride size with a shift
  (bsc#1046305 FATE#322943).
- net/mlx5e: Reorganize struct mlx5e_rq (bsc#1046305 FATE#322943).
- net/mlx5e: Support RSS for GRE tunneled packets (bsc#1046305
  FATE#322943).
- net/mlx5e: Support TSO and TX checksum offloads for GRE tunnels
  (bsc#1046305 FATE#322943).
- net/mlx5e: Use IP version matching to classify IP traffic
  (bsc#1046305 FATE#322943).
- net/mlx5: Add tracepoints (bsc#1046305 FATE#322943).
- net/mlx5: Add hash table for flow groups in flow table
  (bsc#1046305 FATE#322943).
- net/mlx5: Add hash table to search FTEs in a flow-group
  (bsc#1046305 FATE#322943).
- net/mlx5: Don't store reserved part in FTEs and FGs (bsc#1046305
  FATE#322943).
- net/mlx5: Convert linear search for free index to ida
  (bsc#1046305 FATE#322943).
- net/mlx5e: Fix wrong code indentation in conditional statement
  (bsc#1046305 FATE#322943).
- net/mlx5: Remove a leftover unused variable (bsc#1046305
  FATE#322943).
- net/mlx5: Add a blank line after declarations V2 (bsc#1046305
  FATE#322943).
- net/mlx5e: make mlx5e_profile const (bsc#1046305 FATE#322943).
- net/mlx5e: Use size_t to store byte offset in statistics
  descriptors (bsc#1046305 FATE#322943).
- net/mlx5e: Use kernel types instead of uint*_t in ethtool
  callbacks (bsc#1046305 FATE#322943).
- net/mlx5e: Place constants on the right side of comparisons
  (bsc#1046305 FATE#322943).
- net/mlx5e: Avoid using multiple blank lines (bsc#1046305
  FATE#322943).
- net/mlx5e: Properly indent within conditional statements
  (bsc#1046305 FATE#322943).
- net/mlx5: Add a blank line after declarations (bsc#1046305
  FATE#322943).
- net/mlx5: Avoid blank lines after/before open/close brace
  (bsc#1046305 FATE#322943).
- net/mlx5e: Add outbound PCI buffer overflow counter (bsc#1046305
  FATE#322943).
- net/mlx5e: Add RX buffer fullness counters (bsc#1046305
  FATE#322943).
- net/mlx5: Add RX buffer fullness counters infrastructure
  (bsc#1046305 FATE#322943).
- net/mlx5e: Add PCIe outbound stalls counters (bsc#1046305
  FATE#322943).
- net/mlx5: Add PCIe outbound stalls counters infrastructure
  (bsc#1046305 FATE#322943).
- net/mlx5e: IPoIB, Add support for get_link_ksettings in ethtool
  (bsc#1046305 FATE#322943).
- net/mlx5e: Send PAOS command on interface up/down (bsc#1046305
  FATE#322943).
- mlx5: ensure 0 is returned when vport is zero (bsc#1046305
  FATE#322943).
- mlx5: remove unnecessary pci_set_drvdata() (bsc#1046305
  FATE#322943).
- net/mlx5: Increase the maximum flow counters supported
  (bsc#1046305 FATE#322943).
- net/mlx5: Fix counter list hardware structure (bsc#1046305
  FATE#322943).
- net/mlx5: Delay events till ib registration ends (bsc#1046305
  FATE#322943).
- net/mlx5: Add CONFIG_MLX5_ESWITCH Kconfig (bsc#1046305
  FATE#322943).
- net/mlx5: Separate between E-Switch and MPFS (bsc#1046305
  FATE#322943).
- net/mlx5: Unify vport manager capability check (bsc#1046305
  FATE#322943).
- net/mlx5e: NIC netdev init flow cleanup (bsc#1046305
  FATE#322943).
- net/mlx5e: Rearrange netdevice ops structures (bsc#1046305
  FATE#322943).
- commit 16606b3
* Thu Oct  5 2017 jthumshirn@suse.de
- scsi: lpfc: PLOGI failures during NPIV testing
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix oops of nvme host during driver unload
  (bsc#1050239,FATE#322918).
- scsi: lpfc: change version to 11.4.0.4 (FATE#324028).
- scsi: lpfc: Fix secure firmware updates
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix lpfc nvme host rejecting IO with Not Ready
  message (bsc#1050239,FATE#322918).
- scsi: lpfc: fix pci hot plug crash in list_add call
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix warning messages when NVME_TARGET_FC not defined
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Cocci spatch "pool_zalloc-simple"
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Ensure io aborts interlocked with the target
  (bsc#1050239,FATE#322918).
- scsi: lpfc: remove redundant null check on eqe (bsc#1050239,
  FATE#322918).
- scsi: lpfc: Extend RDP support (bsc#1050239,FATE#322918).
- scsi: lpfc: Set missing abort context (bsc#1050239,FATE#322918).
- scsi: lpfc: Disable NPIV support if NVME is enabled
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix FCP hba_wqidx assignment
  (bsc#1050239,FATE#322918).
- scsi: lpfc: fix pci hot plug crash in timer management routines
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Revise NVME module parameter descriptions for
  better clarity (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix oops if nvmet_fc_register_targetport fails
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix crash receiving ELS while detaching driver
  (bsc#1050239,FATE#322918).
- scsi: lpfc: correct nvme sg segment count check
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Make ktime sampling more accurate
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Move CQ processing to a soft IRQ
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Reduce log spew on controller reconnects
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix crash in lpfc_nvme_fcp_io_submit during LIP
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Don't return internal MBXERR_ERROR code from probe
  function (bsc#1050239,FATE#322918).
- scsi: lpfc: avoid false-positive gcc-8 warning
  (bsc#1050239,FATE#322918).
- scsi: lpfc: avoid an unused function warning
  (bsc#1050239,FATE#322918).
- scsi: lpfc: lpfc version bump 11.4.0.3
  (bsc#1050239,FATE#322918).
- scsi: lpfc: fix "integer constant too large" error on 32bit
  archs (bsc#1050239,FATE#322918).
- scsi: lpfc: Add Buffer to Buffer credit recovery support
  (bsc#1050239,FATE#322918).
- scsi: lpfc: remove console log clutter
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix bad sgl reposting after 2nd adapter reset
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix nvme target failure after 2nd adapter reset
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix relative offset error on large nvmet target ios
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix MRQ > 1 context list handling
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Limit amount of work processed in IRQ
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Correct issues with FAWWN and FDISCs
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix NVME PRLI handling during RSCN
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix crash in lpfc nvmet when fc port is reset
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix duplicate NVME rport entries and namespaces
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix handling of FCP and NVME FC4 types in Pt2Pt
  topology (bsc#1050239,FATE#322918).
- scsi: lpfc: Correct return error codes to align with nvme_fc
  transport (bsc#1050239,FATE#322918).
- scsi: lpfc: convert info messages to standard messages
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix oops when NVME Target is discovered in a
  nonNVME environment (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix rediscovery on switch blade pull
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix loop mode target discovery
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix plogi collision that causes illegal state
  transition (bsc#1050239,FATE#322918).
- scsi: lpfc: remove useless code in lpfc_sli4_bsg_link_diag_test
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Replace PCI pool old API (bsc#1050239,FATE#322918).
- lpfc: support nvmet_fc defer_rcv callback
  (bsc#1050239,FATE#322918).
- scsi: lpfc: don't double count abort errors
  (bsc#1050239,FATE#322918).
- scsi: lpfc: spin_lock_irq() is not nestable
  (bsc#1050239,FATE#322918).
- scsi: lpfc: fix refcount error on node list
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix nvme io stoppage after link bounce
  (bsc#1050239,FATE#322918).
- scsi: lpfc: update to revision to 11.4.0.1
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Driver responds LS_RJT to Beacon Off ELS - Linux
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix crash in lpfc_sli_ringtxcmpl_put when nvmet
  gets an abort request (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix crash doing IO with resets
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix crash after firmware flash when IO is running
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix SLI3 drivers attempting NVME ELS commands
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Break up IO ctx list into a separate get and put
  list (bsc#1050239,FATE#322918).
- scsi: lpfc: Reduce time spent in IRQ for received NVME commands
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Vport creation is failing with "Link Down" error
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix nvme_info sysfs output to be consistent
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix system panic when express lane enabled
  (bsc#1050239,FATE#322918).
- scsi: lpfc: update to revision to 11.4.0.0
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Add auto EQ delay logic (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix defects reported by Coverity Scan
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix vports not logging into target
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix PRLI retry handling when target rejects it
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Null pointer dereference when log_verbose is set
  to 0xffffffff (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix System panic after loading the driver
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix crash on powering off BFS VM with passthrough
  device (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix return value of board_mode store routine in
  case of online failure (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix counters so outstandng NVME IO count is accurate
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix Port going offline after multiple resets
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix nvmet node ref count handling
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix Lun Priority level shown as NA
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Add changes to assist in NVMET debugging
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Fix nvme port role handling in sysfs and debugfs
  handlers (bsc#1050239,FATE#322918).
- commit 5d26711
* Thu Oct  5 2017 vbabka@suse.cz
- mm: oom: let oom_reap_task and exit_mmap run concurrently
  (VM Functionality, bsc#1061755).
- mm, hugetlb: do not allocate non-migrateable gigantic pages
  from movable zones (bsc#1061756, bnc#1027153, bnc#1030659,
  fate#323634).
- commit 60f16a2
* Thu Oct  5 2017 mkubecek@suse.cz
- udp: remove unreachable ufo branches (bsc#1061739).
- net: Kill NETIF_F_UFO and SKB_GSO_UDP (bsc#1061739).
- inet: Remove software UFO fragmenting code (bsc#1061739).
- net: Remove all references to SKB_GSO_UDP (bsc#1061739).
- inet: Stop generating UFO packets (bsc#1061739).
- net: Remove references to NETIF_F_UFO from ethtool
  (bsc#1061739).
- net: Remove references to NETIF_F_UFO in netdev_fix_features()
  (bsc#1061739).
- virtio_net: Remove references to NETIF_F_UFO (bsc#1061739).
- dummy: Remove references to NETIF_F_UFO (bsc#1061739).
- tun/tap: Remove references to NETIF_F_UFO (bsc#1061739).
- macvlan/macvtap: Remove NETIF_F_UFO advertisement (bsc#1061739).
- ipvlan: Stop advertising NETIF_F_UFO support (bsc#1061739).
- macb: Remove bogus reference to NETIF_F_UFO (bsc#1061739).
- s2io: Remove UFO support (bsc#1061739).
- commit e43998f
* Thu Oct  5 2017 hare@suse.de
- scsi: csiostor: Avoid content leaks and casts (FATE#322932).
- scsi: csiostor: Replace PCI pool old API (FATE#322932).
- scsi: csiostor: add check for supported fw version
  (FATE#322932).
- scsi: csiostor: add support for Chelsio T6 adapters
  (FATE#322932).
- scsi: csiostor: fail probe if fw does not support FCoE
  (FATE#322932).
- scsi: csiostor: update module version (FATE#322932).
- scsi: fcoe: Fix few small typos in fcoe.c (FATE#322932).
- scsi: fcoe: Remove an extra out label in _fcoe_create function
  (FATE#322932).
- scsi: fix typos and grammar in comments of scsi_transport_fc.c
  (FATE#322918).
- scsi: fnic: Zero io_cmpl_skip on fw reset completion
  (FATE#322783).
- scsi: fnic: added timestamp reporting in fnic debug stats
  (FATE#322783).
- scsi: fnic: correct speed display and add support for 25,40
  and 100G (FATE#322783).
- scsi: fnic: fix format string overflow warning (FATE#322783).
- scsi: libfc: pass an error pointer to fc_disc_error()
  (FATE#322783).
- commit ac9dc66
* Thu Oct  5 2017 jthumshirn@suse.de
- scsi: lpfc: Fix transition nvme-i rport handling to nport only
  (bsc#1050239,FATE#322918).
- scsi: lpfc: Add nvme initiator devloss support
  (bsc#1050239,FATE#322918).
- scsi: lpfc: make a couple of functions static
  (bsc#1050239,FATE#322918).
- scsi: lpfc: fix spelling mistake "entrys" -> "entries"
  (bsc#1050239,FATE#322918).
- lpfc debugfs: get rid of pointless access_ok()
  (bsc#1050239,FATE#322918).
- commit cfc608f
* Thu Oct  5 2017 vbabka@suse.cz
- mm/sparse.c: fix typo in online_mem_sections (bnc#1027153,
  bnc#1030659, fate#323634).
- commit 4d2d8e0
* Thu Oct  5 2017 tbogendoerfer@suse.de
- Re-sorted sorted section
- commit d20aa5b
* Thu Oct  5 2017 oneukum@suse.com
- xhci: set missing SuperSpeedPlus Link Protocol bit in roothub
  descriptor (bsc#1060807).
- commit c584666
* Thu Oct  5 2017 mhocko@suse.cz
- memremap: add scheduling point to devm_memremap_pages
  (bnc#1057079).
- mm, page_alloc: add scheduling point to memmap_init_zone
  (bnc#1057079).
- mm, memory_hotplug: add scheduling point to __add_pages
  (bnc#1057079).
- commit 7fdee39
* Thu Oct  5 2017 neilb@suse.com
- NFS: Fix NFSv2 security settings (git-fixes).
- commit dc322d2
* Thu Oct  5 2017 dchang@suse.com
- be2net: fix TSO6/GSO issue causing TX-stall on Lancer/BEx
  (bsc#1050252 FATE#322920).
- benet: fix set but not used warning (bsc#1050252 FATE#322920).
- commit a8eb98a
* Thu Oct  5 2017 dchang@suse.com
- tg3: clean up redundant initialization of tnapi (bsc#1050260
  FATE#322917).
- tg3: Be drop monitor friendly (bsc#1050260 FATE#322917).
- commit 8771a11
* Thu Oct  5 2017 dchang@suse.com
- qlge: fix duplicated code for different branches (bsc#1050529
  FATE#322902).
- commit 69f8b35
* Thu Oct  5 2017 dchang@suse.com
- qlcnic: remove redundant zero check on retries counter
  (bsc#1050540 FATE#322896).
- qlogic: make device_attribute const (bsc#1050540 FATE#322896).
- qlcnic: add const to bin_attribute structure (bsc#1050540
  FATE#322896).
- qlcnic: remove unnecessary static in qlcnic_dump_fw()
  (bsc#1050540 FATE#322896).
- commit 544316b
* Wed Oct  4 2017 bpoirier@suse.com
- igb: support BCM54616 PHY (bsc#1056651 FATE#322191 bsc#1056643
  FATE#322192).
- igbvf: convert msleep to mdelay in atomic context (bsc#1056651
  FATE#322191 bsc#1056643 FATE#322192).
- igbvf: after mailbox write, wait for reply (bsc#1056651
  FATE#322191 bsc#1056643 FATE#322192).
- igbvf: add lock around mailbox ops (bsc#1056651 FATE#322191
  bsc#1056643 FATE#322192).
- igb: do not drop PF mailbox lock after read of VF message
  (bsc#1056651 FATE#322191 bsc#1056643 FATE#322192).
- igb: expose mailbox unlock method (bsc#1056651 FATE#322191
  bsc#1056643 FATE#322192).
- igb: add argument names to mailbox op function declarations
  (bsc#1056651 FATE#322191 bsc#1056643 FATE#322192).
- igb: Remove incorrect "unexpected SYS WRAP" log message
  (bsc#1056651 FATE#322191 bsc#1056643 FATE#322192).
- igb: protect TX timestamping from API misuse (bsc#1056651
  FATE#322191 bsc#1056643 FATE#322192).
- igb: Fix error of RX network flow classification (bsc#1056651
  FATE#322191 bsc#1056643 FATE#322192).
- commit 89da50e
* Wed Oct  4 2017 bpoirier@suse.com
- i40e SLE15 update, part 2
- i40e: 25G FEC status improvements (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- i40e: Detect ATR HW Evict NVM issue and disable the feature
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: Fix a bug with VMDq RSS queue allocation (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: Fix for trace found with S4 state (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- i40e: Fix for unused value issue found by static analysis
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: Handle admin Q timeout when releasing NVM (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: Store the requested FEC information (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: Update state variable for adminq subtask (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: Use correct flag to enable egress traffic for unicast
  promisc (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: display correct UDP tunnel type name (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: fix incorrect variable assignment (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- i40e: fix odd formatting and indent (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- i40e: fix up 32 bit timespec references (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- i40e: force VMDQ device name truncation (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- i40e: handle setting administratively set MAC address back to
  zero (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e/i40evf: adjust packet size to account for double VLANs
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e/i40evf: avoid dynamic ITR updates when polling or low
  packet rate (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e/i40evf: make IPv6 ATR code clearer (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- i40e/i40evf: remove ULTRA latency mode (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- i40e/i40evf: remove mismatched type warnings (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e/i40evf: rename vf_offload_flags to vf_cap_flags in struct
  virtchnl_vf_resource (bsc#1056658 FATE#322188 bsc#1056662
  FATE#322186).
- i40e/i40evf: support for VF VLAN tag stripping control
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e/i40evf: use cmpxchg64 when updating private flags in
  ethtool (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: initialize our affinity_mask based on cpu_possible_mask
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: invert logic for checking incorrect cpu vs irq affinity
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: move check for avoiding VID=0 filters into
  i40e_vsi_add_vlan (bsc#1056658 FATE#322188 bsc#1056662
  FATE#322186).
- i40e: move enabling icr0 into i40e_update_enable_itr
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: prevent changing ITR if adaptive-rx/tx enabled
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: prevent snprintf format specifier truncation (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: remove WQ_UNBOUND and the task limit of our workqueue
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: remove workaround for Open Firmware MAC address
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: remove workaround for resetting XPS (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: report BPF prog id during XDP_QUERY_PROG (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: separate hw_features from runtime changing flags
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: synchronize nvmupdate command and adminq subtask
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: use cpumask_copy instead of direct assignment (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40evf: Use le32_to_cpu before evaluating HW desc fields
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40evf: add some missing includes (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- i40evf: fix possible snprintf truncation of q_vector->name
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40evf: prevent VF close returning before state transitions
  to DOWN (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40evf: remove unnecessary __packed (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- i40evf: use netdev variable in reset task (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- Refresh
  patches.drivers/i40e-add-private-flag-to-control-source-pruning.patch.
- Refresh
  patches.drivers/i40e-avoid-NVM-acquire-deadlock-during-NVM-update.patch.
- Refresh
  patches.drivers/i40e-point-wb_desc-at-the-nvm_wb_desc-during-i40e_re.patch.
- commit 8d65ed4
* Wed Oct  4 2017 bpoirier@suse.com
- ixgbe: Disable flow control for XFI (bsc#1056657 FATE#322189
  bsc#1056653 FATE#322190).
- ixgbe: Do not support flow control autonegotiation for X553
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: Update NW_MNG_IF_SEL support for X553 (bsc#1056657
  FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: Enable LASI interrupts for X552 devices (bsc#1056657
  FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: Ensure MAC filter was added before setting MACVLAN
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: NULL xdp_tx rings on resource cleanup (bsc#1056657
  FATE#322189 bsc#1056653 FATE#322190).
- commit ae3ddc3
* Wed Oct  4 2017 bpoirier@suse.com
- e1000e: Initial Support for IceLake (bsc#1056664 FATE#322185).
- e1000e: add check on e1e_wphy() return value (bsc#1056664
  FATE#322185).
- commit 875d96b
* Wed Oct  4 2017 yousaf.kaukab@suse.com
- arm64: cn99xx: drop iort/smmu workaround
  References: bsc#1039695
- Delete
  patches.drivers/0007-iommu-arm-smmu-ACPI-Enable-Cavium-SMMU-v2.patch.
- Delete
  patches.drivers/0008-iommu-arm-smmu-ACPI-Enable-Cavium-SMMU-v3.patch.
- Delete
  patches.drivers/0009-acpi-iort-thunderx2-enable-smmu-resource-size-errata.patch.
- commit 8768934
* Wed Oct  4 2017 tbogendoerfer@suse.de
- s390/diag: add diag26c support (bsc#1061024 FATE#323301).
- commit 829f7d6
* Wed Oct  4 2017 tbogendoerfer@suse.de
- qeth: VNIC Characteristics support (bsc#1061024 FATE#323301).
- commit 014a65c
* Wed Oct  4 2017 tbogendoerfer@suse.de
- s390/qeth: add VNICC get/set timeout support (bsc#1061024
  FATE#323301).
- s390/qeth: add VNICC enable/disable support (bsc#1061024
  FATE#323301).
- s390/qeth: add basic VNICC support (bsc#1061024 FATE#323301).
- s390/qeth: use skb_cow_head() for L2 OSA xmit (bsc#1061024
  FATE#323301).
- s390/qeth: unify code to build header elements (bsc#1061024
  FATE#323301).
- s390/qeth: pass full IQD header length to fill_buffer()
  (bsc#1061024 FATE#323301).
- s390/qeth: pass TSO data offset to fill_buffer() (bsc#1061024
  FATE#323301).
- s390/qeth: pass TSO header length to fill_buffer() (bsc#1061024
  FATE#323301).
- s390/qeth: pass full data length to l2_fill_header()
  (bsc#1061024 FATE#323301).
- s390/qeth: split L2 xmit paths (bsc#1061024 FATE#323301).
- s390/qeth: fix using of ref counter for rxip addresses
  (bsc#1061024 FATE#323301).
- s390/qeth: fix trace-messages for deleting rxip addresses
  (bsc#1061024 FATE#323301).
- s390/qeth: reject multicast rxip addresses (bsc#1061024
  FATE#323301).
- s390/qeth: extract bridgeport cmd builder (bsc#1061024
  FATE#323301).
- s390/net: reduce inlining (bsc#1061024 FATE#323301).
- s390/qeth: make more use of skb API (bsc#1061024 FATE#323301).
- s390/qeth: clean up fill_buffer() offset logic (bsc#1061024
  FATE#323301).
- s390/qeth: straighten out fill_buffer() interface (bsc#1061024
  FATE#323301).
- s390/qeth: simplify fragment type selection (bsc#1061024
  FATE#323301).
- s390/qeth: remove extra L3 adapterparms query (bsc#1061024
  FATE#323301).
- s390/qeth: remove extra L2 adapterparms query (bsc#1061024
  FATE#323301).
- s390/qeth: don't access skb after transmission (bsc#1061024
  FATE#323301).
- s390/qeth: constify attribute_group structures (bsc#1061024
  FATE#323301).
- s390/qeth: fix L3 next-hop in xmit qeth hdr (bsc#1061024
  FATE#323301).
- drivers: s390: move static and inline before return type
  (bsc#1061024 FATE#323301).
- s390/qeth: use diag26c to get MAC address on L2 (bsc#1061024
  FATE#323301).
- s390/qeth: fix packing buffer statistics (bsc#1061024
  FATE#323301).
- s390/qeth: add ipa return codes for bridgeport (bsc#1061024
  FATE#323301).
- s390/qeth: do early device setup for z/VM IQD NICs (bsc#1061024
  FATE#323301).
- s390/qeth: add support for early L3 device setup (bsc#1061024
  FATE#323301).
- s390/qeth: silence qeth_fix_features() (bsc#1061024
  FATE#323301).
- s390/qeth: consolidate pack buffer flushing (bsc#1061024
  FATE#323301).
- s390/qeth: add missing strings for IPA return codes (bsc#1061024
  FATE#323301).
- s390/qeth: log bridgeport capabilities (bsc#1061024
  FATE#323301).
- s390/qeth: query IPv6 IPA support on HiperSockets (bsc#1061024
  FATE#323301).
- s390/qeth: remove skb_is_nonlinear() check on IQD (bsc#1061024
  FATE#323301).
- s390/qeth: remove support for IPA_IP_FRAGMENTATION (bsc#1061024
  FATE#323301).
- s390: drivers: convert to use DRIVER_ATTR_RO/WO (bsc#1061024
  FATE#323301).
- commit 7d25fa3
* Wed Oct  4 2017 mfleming@suse.de
- sched/cpuset/pm: Fix cpuset vs. suspend-resume bugs
  (bsc#1061593).
- commit 8f70090
* Wed Oct  4 2017 jeffm@suse.com
- Delete patches.fixes/block-copy-bi_vcnt-in-_bio_clone_fast.
- commit 471096c
* Wed Oct  4 2017 hare@suse.de
- scsi: bnx2fc: Update version number to 2.11.8 (FATE#322911).
- scsi: bnx2fc: Make rport_terminate_io callback a NOOP
  (FATE#322911).
- scsi: bnx2fc: If IO is still in cleanup then do not return to
  SCSI layer (FATE#322911).
- scsi: bnx2fc: Adjust bnx2fc_npiv_create_vports for WWNNs from
  NVRAM that are zero (FATE#322911).
- scsi: bnx2fc: Update copyright for 2017 (FATE#322911).
- scsi: bnx2fc: Check for connection offload before sending RRQ
  (FATE#322911).
- scsi: bnx2fc: Add filters to the non-offload FCoE receive path
  (FATE#322911).
- commit 68f3019
* Wed Oct  4 2017 jthumshirn@suse.de
- libnvdimm, nfit: export an 'ecc_unit_size' sysfs attribute
  (FATE#324028).
- mm, devm_memremap_pages: use multi-order radix for ZONE_DEVICE
  lookups (FATE#324028).
- commit 1cd0d92
* Wed Oct  4 2017 hare@suse.de
- Move iSCSI and FCoE patches to ordered section
- commit 222f486
* Wed Oct  4 2017 hare@suse.de
- Move device-mapper and MD patches to ordered section
- commit b850033
* Wed Oct  4 2017 jslaby@suse.cz
- orc: mark it as reliable (bnc#1058115).
- Update config files.
- commit cb41042
* Wed Oct  4 2017 jslaby@suse.cz
- x86/asm: Use register variable to get stack pointer value
  (bnc#1058115).
- commit 7e6a014
* Wed Oct  4 2017 jslaby@suse.cz
- x86/asm: Fix inline asm call constraints for GCC 4.4
  (bnc#1058115).
- commit 98f2e81
* Wed Oct  4 2017 hare@suse.de
- Delete patches.fixes/sd_liberal_28_sense_invalid.diff.
- Delete patches.suse/dm-emulate-blkrrpart-ioctl.
- commit 0422451
* Wed Oct  4 2017 mgorman@suse.de
- mm/mempolicy: fix NUMA_INTERLEAVE_HIT counter (VM Performance,
  bnc#959436).
- commit 7934624
* Wed Oct  4 2017 lduncan@suse.com
- scsi: scsi_transport_iscsi: fix the issue that iscsi_if_rx
  doesn't parse nlmsg properly (bsc#1059051 CVE-2017-14489).
- commit 180de31
* Wed Oct  4 2017 agraf@suse.de
- Delete patches.arch/arm-OMAP-Fix-missing-usb.h-include.patch.
  (no longer needed)
- Delete patches.arch/arm-arndale-usb.patch. (no longer needed)
- Delete
  patches.arch/arm64-0006-arm64-Select-reboot-driver-for-X-Gene-platform.patch.
  (not needed, our config already includes the driver)
- Delete patches.arch/ppc64le-build-vmlinux.patch. (no longer needed)
- commit 986bfef
* Tue Oct  3 2017 jeffm@suse.com
- Delete patches.suse/binutils2_26.patch.
  The issue addressed by this patch should be handled via upstream
  commit 6d92bc9d483 (x86/build: Build compressed x86 kernels as PIE).
- commit 4e90692
* Tue Oct  3 2017 msuchanek@suse.de
- ctcm_fsms: Convert skb->user accesses to refcount_t (fix
  s390x build).
- commit 3dd2c06
* Tue Oct  3 2017 jeffm@suse.com
- Delete
  patches.suse/btrfs-account-for-pinned-bytes-in-should_alloc_chunk.patch.
- commit bc115ae
* Tue Oct  3 2017 msuchanek@suse.de
- Refresh vanilla config.
- commit e14f2e8
* Tue Oct  3 2017 mgorman@suse.de
- Delete patches.suse/connector-read-mostly.
- commit 038f6d3
* Tue Oct  3 2017 jeffm@suse.com
- series.conf: remove commented out lines for removed patches
- commit 2bff591
* Tue Oct  3 2017 jeffm@suse.com
- Delete patches.arch/arm-refresh-mach-types.diff.
  It was marked for refresh in 12/2016 and hasn't been updated.
- commit d18cac1
* Tue Oct  3 2017 neilb@suse.com
- getcwd: Close race with d_move called by lustre (bsc#1052593).
- commit 930e552
* Mon Oct  2 2017 tbogendoerfer@suse.de
- qed: remove unnecessary call to memset (bsc#1050536
  FATE#322898).
- scsi: qedi: off by one in qedi_get_cmd_from_tid() (bsc#1050534
  FATE#322899).
- scsi: qedf: drop bus reset handler (bsc#1050530 FATE#322901).
- scsi: qedf: Update driver version to 8.20.5.0 (bsc#1050530
  FATE#322901).
- scsi: qedf: Fix up modinfo parameter name for 'debug' in
  modinfo output (bsc#1050530 FATE#322901).
- scsi: qedf: Covert single-threaded workqueues to regular
  workqueues (bsc#1050530 FATE#322901).
- scsi: qedf: Corrent VLAN tag insertion in fallback VLAN case
  (bsc#1050530 FATE#322901).
- scsi: qedf: Use granted MAC from the FCF for the FCoE source
  address if it is available (bsc#1050530 FATE#322901).
- scsi: qedf: Set WWNN and WWPN based on values from qed
  (bsc#1050530 FATE#322901).
- scsi: qedi: Limit number for CQ queues (bsc#1050534
  FATE#322899).
- qed: fix spelling mistake: "calescing" -> "coalescing"
  (bsc#1050536 FATE#322898).
- qed: enhanced per queue max coalesce value (bsc#1050536
  FATE#322898).
- qed: Read per queue coalesce from hardware (bsc#1050536
  FATE#322898).
- qed: Add support for vf coalesce configuration (bsc#1050536
  FATE#322898).
- qede: Add ethtool support for Energy efficient ethernet
  (bsc#1050538 FATE#322897).
- qed: Add support for Energy efficient ethernet (bsc#1050536
  FATE#322898).
- qed/qede: Add setter APIs support for RX flow classification
  (bsc#1050536 FATE#322898 bsc#1050538 FATE#322897).
- qede: Add getter APIs support for RX flow classification
  (bsc#1050538 FATE#322897).
- RDMA/qedr: fix spelling mistake: "invlaid" -> "invalid"
  (bsc#1050545 FATE#322893).
- RDMA/qedr: notify user application of supported WIDs
  (bsc#1050545 FATE#322893).
- RDMA/qedr: notify user application if DPM is supported
  (bsc#1050545 FATE#322893).
- commit a0c198b
* Mon Oct  2 2017 msuchanek@suse.de
- powerpc/eeh: Create PHB PEs after EEH is initialized
  (bsc#1055120, git-fixes 5cb1f8fdddb7).
- commit d07b84d
* Mon Oct  2 2017 tbogendoerfer@suse.de
- net: sched: cls_flower: fix ndo_setup_tc type for stats call
  (bsc#1056787).
- commit f625cbb
* Mon Oct  2 2017 msuchanek@suse.de
- powerpc/perf: Factor out PPMU_ONLY_COUNT_RUN check code from
  power8 (fate#321438, git-fixes efe881afdd999, bsc#1056686).
- commit 9850b2a
* Mon Oct  2 2017 jslaby@suse.cz
- driver core: platform: fix race condition with driver_override
  (bnc#1060662).
- RDMA/uverbs: Check port number supplied by user verbs cmds
  (bnc#1060662).
- usb: dwc3: replace %%p with %%pK (bnc#1060662).
- USB: serial: cp210x: add ID for CEL EM3588 USB ZigBee stick
  (bnc#1060662).
- usb: usbip: set buffer pointers to NULL after free
  (bnc#1060662).
- Add USB quirk for HVR-950q to avoid intermittent device resets
  (bnc#1060662).
- usb: Fix typo in the definition of Endpoint[out]Request
  (bnc#1060662).
- USB: core: fix device node leak (bnc#1060662).
- USB: serial: option: add two Longcheer device ids (bnc#1060662).
- USB: serial: qcserial: new Sierra Wireless EM7305 device ID
  (bnc#1060662).
- xhci: Limit USB2 port wake support for AMD Promontory hosts
  (bnc#1060662).
- gfs2: Fix glock rhashtable rcu bug (bnc#1060662).
- Add "shutdown" to "struct class" (bnc#1060662).
- tpm: Issue a TPM2_Shutdown for TPM2 devices (bnc#1060662).
- tpm: fix a kernel memory leak in tpm-sysfs.c (bnc#1060662).
- powerpc/powernv: Fix CPU_HOTPLUG=n idle.c compile error
  (bnc#1060662).
- x86/uaccess: Optimize copy_user_enhanced_fast_string() for
  short strings (bnc#1060662).
- sched/fair, cpumask: Export for_each_cpu_wrap() (bnc#1060662).
- sched/core: Implement new approach to scale select_idle_cpu()
  (bnc#1060662).
- sched/numa: Use down_read_trylock() for the mmap_sem
  (bnc#1060662).
- sched/numa: Override part of migrate_degrades_locality()
  when idle balancing (bnc#1060662).
- sched/fair: Simplify wake_affine() for the single socket case
  (bnc#1060662).
- sched/numa: Implement NUMA node level wake_affine()
  (bnc#1060662).
- sched/fair: Remove effective_load() (bnc#1060662).
- sched/numa: Hide numa_wake_affine() from UP build (bnc#1060662).
- xen: avoid deadlock in xenbus driver (bnc#1060662).
- crypto: drbg - Fixes panic in wait_for_completion call
  (bnc#1060662).
- Linux 4.12.1 (bnc#1060662).
- Delete patches.kernel.org/patch-4.12.1.
  Expand 4.12.1.
- commit 4505d70
* Mon Oct  2 2017 jslaby@suse.cz
- mqueue: fix a use-after-free in sys_mq_notify() (bnc#1060662).
- imx-serial: RX DMA startup latency (bnc#1060662).
- proc: Fix proc_sys_prune_dcache to hold a sb reference
  (bnc#1060662).
- locking/rwsem-spinlock: Fix EINTR branch in
  __down_write_common() (bnc#1060662).
- staging: vt6556: vnt_start Fix missing call to
  vnt_key_init_table (bnc#1060662).
- staging: comedi: fix clean-up of comedi_class in comedi_init()
  (bnc#1060662).
- crypto: caam - fix gfp allocation flags (part I) (bnc#1060662).
- crypto: rsa-pkcs1pad - use constant time memory comparison
  for MACs (bnc#1060662).
- ext4: check return value of kstrtoull correctly in
  reserved_clusters_store (bnc#1060662).
- x86/mm/pat: Don't report PAT on CPUs that don't support it
  (bnc#1060662).
- Linux 4.12.2 (bnc#1060662).
- Delete patches.kernel.org/patch-4.12.1-2.
  Expand 4.12.2.
- commit ead2cb8
* Mon Oct  2 2017 jslaby@suse.cz
- staging: android: uapi: drop definitions of removed
  ION_IOC_{FREE,SHARE} ioctls (bnc#1060662).
- net/mlx5: Fix driver load error flow when firmware is stuck
  (bnc#1060662).
- net/mlx5: Cancel delayed recovery work when unloading the driver
  (bnc#1060662).
- net/mlx5e: Fix TX carrier errors report in get stats ndo
  (bnc#1060662).
- ipv6: dad: don't remove dynamic addresses if link is down
  (bnc#1060662).
- vxlan: fix hlist corruption (bnc#1060662).
- geneve: fix hlist corruption (bnc#1060662).
- net: core: Fix slab-out-of-bounds in netdev_stats_to_stats64
  (bnc#1060662).
- liquidio: fix bug in soft reset failure detection (bnc#1060662).
- net: ipv6: Compare lwstate in detecting duplicate nexthops
  (bnc#1060662).
- vrf: fix bug_on triggered by rx when destroying a vrf
  (bnc#1060662).
- virtio-net: fix leaking of ctx array (bnc#1060662).
- rds: tcp: use sock_create_lite() to create the accept socket
  (bnc#1060662).
- net/mlx5e: Initialize CEE's getpermhwaddr address buffer to 0xff
  (bnc#1060662).
- cxgb4: fix BUG() on interrupt deallocating path of ULD
  (bnc#1060662).
- tap: convert a mutex to a spinlock (bnc#1060662).
- bridge: mdb: fix leak on complete_info ptr on fail path
  (bnc#1060662).
- brcmfmac: fix possible buffer overflow in
  brcmf_cfg80211_mgmt_tx() (bnc#1060662 CVE-2017-7541
  bsc#1049645).
- sfc: don't read beyond unicast address list (bnc#1060662).
- Adding asm-prototypes.h for genksyms to generate crc
  (bnc#1060662).
- sed regex in Makefile.build requires line break between exported
  symbols (bnc#1060662).
- Adding the type of exported symbols (bnc#1060662).
- sparc64: Fix gup_huge_pmd (bnc#1060662).
- brcmfmac: Fix a memory leak in error handling path in
  'brcmf_cfg80211_attach' (bnc#1060662).
- brcmfmac: Fix glom_skb leak in brcmf_sdiod_recv_chain
  (bnc#1060662).
- efi: Process the MEMATTR table only if EFI_MEMMAP is enabled
  (bnc#1060662).
- cfg80211: Define nla_policy for
  NL80211_ATTR_LOCAL_MESH_POWER_MODE (bnc#1060662).
- cfg80211: Validate frequencies nested in
  NL80211_ATTR_SCAN_FREQUENCIES (bnc#1060662).
- cfg80211: Check if PMKID attribute is of expected size
  (bnc#1060662).
- cfg80211: Check if NAN service ID is of expected size
  (bnc#1060662).
- drm/amdgpu/gfx6: properly cache mc_arb_ramcfg (bnc#1060662).
- KVM: ARM64: fix phy counter access failure in guest
  (bnc#1060662).
- KVM: PPC: Book3S: Fix typo in XICS-on-XIVE state saving code
  (bnc#1060662).
- kvm-vfio: Decouple only when we match a group (bnc#1060662).
- irqchip/gic-v3: Fix out-of-bound access in gic_set_affinity
  (bnc#1060662).
- parisc: Report SIGSEGV instead of SIGBUS when running out of
  stack (bnc#1060662).
- parisc: use compat_sys_keyctl() (bnc#1060662).
- parisc: DMA API: return error instead of BUG_ON for dma ops
  on non dma devs (bnc#1060662).
- parisc/mm: Ensure IRQs are off in switch_mm() (bnc#1060662).
- tools/lib/lockdep: Reduce MAX_LOCK_DEPTH to avoid overflowing
  lock_chain/: Depth (bnc#1060662).
- compiler, clang: always inline when CONFIG_OPTIMIZE_INLINING
  is disabled (bnc#1060662).
- thp, mm: fix crash due race in MADV_FREE handling (bnc#1060662).
- kernel/extable.c: mark core_kernel_text notrace (bnc#1060662).
- mm/list_lru.c: fix list_lru_count_node() to be race free
  (bnc#1060662).
- fs/dcache.c: fix spin lockup issue on nlru->lock (bnc#1060662).
- checkpatch: silence perl 5.26.0 unescaped left brace warnings
  (bnc#1060662).
- binfmt_elf: use ELF_ET_DYN_BASE only for PIE (bnc#1060662).
- arm: move ELF_ET_DYN_BASE to 4MB (bnc#1060662).
- arm64: move ELF_ET_DYN_BASE to 4GB / 4MB (bnc#1060662).
- powerpc: move ELF_ET_DYN_BASE to 4GB / 4MB (bnc#1060662).
- s390: reduce ELF_ET_DYN_BASE (bnc#1060662).
- exec: Limit arg stack to at most 75%% of _STK_LIM (bnc#1060662).
- powerpc/kexec: Fix radix to hash kexec due to IAMR/AMOR
  (bnc#1060662).
- ARM64: dts: marvell: armada37xx: Fix timer interrupt specifiers
  (bnc#1060662).
- arm64: Preventing READ_IMPLIES_EXEC propagation (bnc#1060662).
- vt: fix unchecked __put_user() in tioclinux ioctls
  (bnc#1060662).
- rcu: Add memory barriers for NOCB leader wakeup (bnc#1060662).
- nvmem: core: fix leaks on registration errors (bnc#1060662).
- Drivers: hv: vmbus: Close timing hole that can corrupt per-cpu
  page (bnc#1060662).
- mnt: In umount propagation reparent in a separate pass
  (bnc#1060662).
- mnt: In propgate_umount handle visiting mounts in any order
  (bnc#1060662).
- mnt: Make propagate_umount less slow for overlapping mount
  propagation trees (bnc#1060662).
- selftests/capabilities: Fix the test_execve test (bnc#1060662).
- mm: fix overflow check in expand_upwards() (bnc#1060662).
- crypto: talitos - Extend max key length for SHA384/512-HMAC
  and AEAD (bnc#1060662).
- crypto: atmel - only treat EBUSY as transient if backlog
  (bnc#1060662).
- crypto: sha1-ssse3 - Disable avx2 (bnc#1060662).
- crypto: caam - properly set IV after {en,de}crypt (bnc#1060662).
- crypto: caam - fix signals handling (bnc#1060662).
- KEYS: DH: validate __spare field (bnc#1060662).
- sched/headers/uapi: Fix linux/sched/types.h userspace
  compilation errors (bnc#1060662).
- sched/topology: Fix building of overlapping sched-groups
  (bnc#1060662).
- sched/topology: Optimize build_group_mask() (bnc#1060662).
- sched/topology: Fix overlapping sched_group_mask (bnc#1060662).
- PM / wakeirq: Convert to SRCU (bnc#1060662).
- pstore: Fix leaked pstore_record in pstore_get_backend_records()
  (bnc#1060662).
- ALSA: x86: Clear the pdata.notify_lpe_audio pointer before
  teardown (bnc#1060662).
- ALSA: hda/realtek - change the location for one of two front
  microphones (bnc#1060662).
- PM / QoS: return -EINVAL for bogus strings (bnc#1060662).
- kvm: vmx: Do not disable intercepts for BNDCFGS (bnc#1060662).
- kvm: x86: Guest BNDCFGS requires guest MPX support
  (bnc#1060662).
- kvm: vmx: Check value written to IA32_BNDCFGS (bnc#1060662).
- kvm: vmx: allow host to access guest MSR_IA32_BNDCFGS
  (bnc#1060662).
- Linux 4.12.3 (bnc#1060662).
- Delete patches.kernel.org/patch-4.12.2-3.
  Expand 4.12.3.
- commit bebe2f3
* Mon Oct  2 2017 tbogendoerfer@suse.de
- Update config files.
- commit 7cd64fe
* Mon Oct  2 2017 tbogendoerfer@suse.de
- bnxt_re: Don't issue cmd to delete GID for QP1 GID entry before
  the QP is destroyed (bsc#1050244 FATE#322915).
- bnxt_re: Fix memory leak in FRMR path (bsc#1050244 FATE#322915).
- bnxt_re: Remove RTNL lock dependency in bnxt_re_query_port
  (bsc#1050244 FATE#322915).
- bnxt_re: Fix race between the netdev register and unregister
  events (bsc#1050244 FATE#322915).
- bnxt_re: Free up devices in module_exit path (bsc#1050244
  FATE#322915).
- bnxt_re: Fix compare and swap atomic operands (bsc#1050244
  FATE#322915).
- bnxt_re: Stop issuing further cmds to FW once a cmd times out
  (bsc#1050244 FATE#322915).
- bnxt_re: Fix update of qplib_qp.mtu when modified (bsc#1050244
  FATE#322915).
- IB/bnxt_re: Fix frame stack compilation warning (bsc#1050244
  FATE#322915).
- commit 28ebe60
* Mon Oct  2 2017 tbogendoerfer@suse.de
- bnxt_en: check for ingress qdisc in flower offload (bsc#1050242
  FATE#32291).
- bnxt_en: add a dummy definition for bnxt_vf_rep_get_fid()
  (bsc#1050242 FATE#32291).
- bnxt_en: add code to query TC flower offload stats (bsc#1050242
  FATE#32291).
- bnxt_en: add TC flower offload flow_alloc/free FW cmds
  (bsc#1050242 FATE#32291).
- bnxt_en: bnxt: add TC flower filter offload support (bsc#1050242
  FATE#32291).
- bnxt_en: Reduce default rings on multi-port cards (bsc#1050242
  FATE#32291).
- bnxt_en: Improve -ENOMEM logic in NAPI poll loop (bsc#1050242
  FATE#32291).
- bnxt: initialize board_info values with proper enums
  (bsc#1050242 FATE#32291).
- bnxt: Add PCIe device IDs for bcm58802/bcm58808 (bsc#1050242
  FATE#32291).
- bnxt_en: assign CPU affinity hints to bnxt_en IRQs (bsc#1050242
  FATE#322914).
- bnxt_en: Improve tx ring reservation logic (bsc#1050242
  FATE#322914).
- bnxt_en: Update firmware interface spec. to 1.8.1.4 (bsc#1050242
  FATE#322914).
- bnxt_en: fix spelling mistake: "swtichdev" -> "switchdev"
  (bsc#1050242 FATE#322914).
- commit a61ddf9
* Mon Oct  2 2017 jslaby@suse.cz
- disable new gcc-7.1.1 warnings for now (bnc#1060662).
- ir-core: fix gcc-7 warning on bool arithmetic (bnc#1060662).
- s5p-jpeg: don't return a random width/height (bnc#1060662).
- thermal: max77620: fix device-node reference imbalance
  (bnc#1060662).
- thermal: cpu_cooling: Avoid accessing potentially freed
  structures (bnc#1060662).
- ath9k: fix tx99 use after free (bnc#1060662).
- ath9k: fix tx99 bus error (bnc#1060662).
- ath9k: fix an invalid pointer dereference in ath9k_rng_stop()
  (bnc#1060662).
- iwlwifi: mvm: fix the recovery flow while connecting
  (bnc#1060662).
- NFC: fix broken device allocation (bnc#1060662).
- NFC: nfcmrvl_uart: add missing tty-device sanity check
  (bnc#1060662).
- NFC: nfcmrvl: do not use device-managed resources (bnc#1060662).
- NFC: nfcmrvl: use nfc-device for firmware download
  (bnc#1060662).
- NFC: nfcmrvl: fix firmware-management initialisation
  (bnc#1060662).
- nfc: Ensure presence of required attributes in the
  activate_target handler (bnc#1060662).
- nfc: Fix the sockaddr length sanitization in llcp_sock_connect
  (bnc#1060662).
- NFC: Add sockaddr length checks before accessing sa_family in
  bind handlers (bnc#1060662).
- perf intel-pt: Move decoder error setting into one condition
  (bnc#1060662).
- perf intel-pt: Improve sample timestamp (bnc#1060662).
- perf intel-pt: Fix missing stack clear (bnc#1060662).
- perf intel-pt: Ensure IP is zero when state is
  INTEL_PT_STATE_NO_IP (bnc#1060662).
- perf intel-pt: Fix last_ip usage (bnc#1060662).
- perf intel-pt: Ensure never to set 'last_ip' when packet
  'count' is zero (bnc#1060662).
- perf intel-pt: Use FUP always when scanning for an IP
  (bnc#1060662).
- perf intel-pt: Clear FUP flag on error (bnc#1060662).
- Bluetooth: use constant time memory comparison for secret values
  (bnc#1060662).
- wlcore: fix 64K page support (bnc#1060662).
- pstore: Don't warn if data is uncompressed and type is not
  PSTORE_TYPE_DMESG (bnc#1060662).
- mwifiex: fixup error cases in mwifiex_add_virtual_intf()
  (bnc#1060662).
- Btrfs: fix invalid extent maps due to hole punching
  (bnc#1060662).
- btrfs: Don't clear SGID when inheriting ACLs (bnc#1060662).
- Btrfs: incremental send, fix invalid memory access
  (bnc#1060662).
- igb: Explicitly select page 0 at initialization (bnc#1060662).
- spi: atmel: fix corrupted data issue on SAM9 family SoCs
  (bnc#1060662).
- ASoC: zx-i2s: flip I2S master/slave mode (bnc#1060662).
- ASoC: compress: Derive substream from stream based on direction
  (bnc#1060662).
- ASoC: atmel: tse850: fix off-by-one in the "ANA" enumeration
  count (bnc#1060662).
- PM / Domains: Fix unsafe iteration over modified list of device
  links (bnc#1060662).
- PM / Domains: Fix unsafe iteration over modified list of domain
  providers (bnc#1060662).
- PM / Domains: Fix unsafe iteration over modified list of domains
  (bnc#1060662).
- scsi: ses: do not add a device to an enclosure if
  enclosure_add_links() fails (bnc#1060662).
- scsi: virtio_scsi: let host do exception handling (bnc#1060662).
- scsi: qla2xxx: Allow ABTS, PURX, RIDA on ATIOQ for ISP83XX/27XX
  (bnc#1060662).
- scsi: Add STARGET_CREATED_REMOVE state to scsi_target_state
  (bnc#1060662).
- scsi: Avoid that scsi_exit_rq() triggers a use-after-free
  (bnc#1060662).
- iscsi-target: Add login_keys_workaround attribute for non RFC
  initiators (bnc#1060662).
- xen/scsiback: Fix a TMR related use-after-free (bnc#1060662).
- scsi: virtio_scsi: always read VPD pages for multiqueue too
  (bnc#1060662).
- powerpc/mm/radix: Only add X for pages overlapping kernel text
  (bnc#1060662).
- powerpc/pseries: Fix passing of pp0 in updatepp() and
  updateboltedpp() (bnc#1060662).
- powerpc/mm/radix: Fix execute permissions for interrupt_vectors
  (bnc#1060662).
- powerpc/64: Fix atomic64_inc_not_zero() to return an int
  (bnc#1060662).
- powerpc: Fix emulation of mcrf in emulate_step() (bnc#1060662).
- powerpc: Fix emulation of mfocrf in emulate_step()
  (bnc#1060662).
- powerpc/asm: Mark cr0 as clobbered in mftb() (bnc#1060662).
- powerpc/mm/radix: Properly clear process table entry
  (bnc#1060662).
- powerpc/perf: Fix SDAR_MODE value for continous sampling on
  Power9 (bnc#1060662).
- xen/x86: fix cpu hotplug (bnc#1060662).
- PCI: vmd: Move SRCU cleanup after bus, child device removal
  (bnc#1060662).
- PCI: Work around poweroff & suspend-to-RAM issue on Macbook
  Pro 11 (bnc#1060662).
- PCI: rockchip: Use normal register bank for config accessors
  (bnc#1060662).
- PCI/PM: Restore the status of PCI devices across hibernation
  (bnc#1060662).
- PCI/MSI: Ignore affinity if pre/post vector count is more than
  min_vecs (bnc#1060662).
- usb: xhci: fix spinlock recursion for USB2 test mode
  (bnc#1060662).
- xhci: fix memleak in xhci_run() (bnc#1060662).
- xhci: fix 20000ms port resume timeout (bnc#1060662).
- xhci: Fix NULL pointer dereference when cleaning up streams
  for removed host (bnc#1060662).
- xhci: Bad Ethernet performance plugged in ASM1042A host
  (bnc#1060662).
- mxl111sf: Fix driver to use heap allocate buffers for USB
  messages (bnc#1060662).
- usb: storage: return on error to avoid a null pointer
  dereference (bnc#1060662).
- USB: cdc-acm: add device-id for quirky printer (bnc#1060662).
- usb: renesas_usbhs: fix usbhsc_resume() for
  !USBHSF_RUNTIME_PWCTRL (bnc#1060662).
- usb: renesas_usbhs: gadget: disable all eps when the driver
  stops (bnc#1060662).
- HID: multitouch: do not blindly set EV_KEY or EV_ABS bits
  (bnc#1060662).
- md: don't use flush_signals in userspace processes
  (bnc#1060662).
- md: fix deadlock between mddev_suspend() and md_write_start()
  (bnc#1060662).
- x86/xen: allow userspace access during hypercalls (bnc#1060662).
- cx88: Fix regression in initial video standard setting
  (bnc#1060662).
- rc-core: fix input repeat handling (bnc#1060662).
- tools/testing/nvdimm: fix nfit_test buffer overflow
  (bnc#1060662).
- libnvdimm, btt: fix btt_rw_page not returning errors
  (bnc#1060662).
- libnvdimm: fix the clear-error check in nsio_rw_bytes
  (bnc#1060662).
- libnvdimm: fix badblock range handling of ARS range
  (bnc#1060662).
- ext2: Don't clear SGID when inheriting ACLs (bnc#1060662).
- dm raid: stop using BUG() in __rdev_sectors() (bnc#1060662).
- Raid5 should update rdev->sectors after reshape (bnc#1060662).
- s390/syscalls: Fix out of bounds arguments access (bnc#1060662).
- drm/amdgpu/gfx8: drop per-APU CU limits (bnc#1060662).
- drm/amdgpu: fix vblank_time when displays are off (bnc#1060662).
- drm/amdgpu/cgs: always set reference clock in mode_info
  (bnc#1060662).
- drm/amd/amdgpu: Return error if initiating read out of range
  on vram (bnc#1060662).
- drm/amdgpu: fix the memory corruption on S3 (bnc#1060662).
- drm/amdgpu: Don't call amd_powerplay_destroy() if we don't
  have powerplay (bnc#1060662).
- drm/radeon/ci: disable mclk switching for high refresh rates
  (v2) (bnc#1060662).
- drm/radeon: Fix eDP for single-display iMac10,1 (v2)
  (bnc#1060662).
- drm/ttm: Fix use-after-free in ttm_bo_clean_mm (bnc#1060662).
- drm/etnaviv: Expose our reservation object when exporting a
  dmabuf (bnc#1060662).
- ipmi: use rcu lock around call to intf->handlers->sender()
  (bnc#1060662).
- ipmi:ssif: Add missing unlock in error branch (bnc#1060662).
- xfs: Don't clear SGID when inheriting ACLs (bnc#1060662).
- CIFS: Reconnect expired SMB sessions (bnc#1060662).
- f2fs: load inode's flag from disk (bnc#1060662).
- f2fs: wake up all waiters in f2fs_submit_discard_endio
  (bnc#1060662).
- f2fs: sanity check checkpoint segno and blkoff (bnc#1060662).
- f2fs: try to freeze in gc and discard threads (bnc#1060662).
- f2fs: Do not issue small discards in LFS mode (bnc#1060662).
- f2fs: sanity check size of nat and sit cache (bnc#1060662).
- f2fs: use spin_{,un}lock_irq{save,restore} (bnc#1060662).
- f2fs: Don't clear SGID when inheriting ACLs (bnc#1060662).
- serial: st-asc: Potential error pointer dereference
  (bnc#1060662).
- serial: sh-sci: Uninitialized variables in sysfs files
  (bnc#1060662).
- ovl: mark parent impure on ovl_link() (bnc#1060662).
- ovl: fix random return value on mount (bnc#1060662).
- drm/amd/powerplay: fix memory leak in cz_hwmgr backend
  (bnc#1060662).
- drm/i915: Disable MSI for all pre-gen5 (bnc#1060662).
- vfio: Fix group release deadlock (bnc#1060662).
- vfio: New external user group/file match (bnc#1060662).
- vfio: Remove unnecessary uses of vfio_container.group_lock
  (bnc#1060662).
- nvme-rdma: remove race conditions from IB signalling
  (bnc#1060662).
- ftrace: Fix uninitialized variable in match_records()
  (bnc#1060662).
- iommu/arm-smmu: Plumb in new ACPI identifiers (bnc#1060662).
- drm/i915/gvt: Fix inconsistent locks holding sequence
  (bnc#1060662).
- drm/atomic: Add missing drm_atomic_state_clear to
  atomic_remove_fb (bnc#1060662).
- MIPS: Fix mips_atomic_set() retry condition (bnc#1060662).
- MIPS: Fix mips_atomic_set() with EVA (bnc#1060662).
- MIPS: Negate error syscall return in trace (bnc#1060662).
- mtd: nand: tango: Fix incorrect use of SEQIN command
  (bnc#1060662).
- ubifs: Correctly evict xattr inodes (bnc#1060662).
- ubifs: Don't leak kernel memory to the MTD (bnc#1060662).
- ubifs: Don't encrypt special files on creation (bnc#1060662).
- ubifs: Set double hash cookie also for RENAME_EXCHANGE
  (bnc#1060662).
- ACPI / EC: Drop EC noirq hooks to fix a regression
  (bnc#1060662).
- Revert "ACPI / EC: Enable event freeze mode..." to fix a
  regression (bnc#1060662).
- x86/acpi: Prevent out of bound access caused by broken ACPI
  tables (bnc#1060662 CVE-2017-11473 bsc#1049603).
- x86/ioapic: Pass the correct data to unmask_ioapic_irq()
  (bnc#1060662).
- MIPS: Fix MIPS I ISA /proc/cpuinfo reporting (bnc#1060662).
- MIPS: Save static registers before sysmips (bnc#1060662).
- MIPS: Actually decode JALX in `__compute_return_epc_for_insn'
  (bnc#1060662).
- MIPS: Fix unaligned PC interpretation in `compute_return_epc'
  (bnc#1060662).
- MIPS: math-emu: Prevent wrong ISA mode instruction emulation
  (bnc#1060662).
- MIPS: Send SIGILL for BPOSGE32 in
  `__compute_return_epc_for_insn' (bnc#1060662).
- MIPS: Rename `sigill_r6' to `sigill_r2r6' in
  `__compute_return_epc_for_insn' (bnc#1060662).
- MIPS: Send SIGILL for linked branches in
  `__compute_return_epc_for_insn' (bnc#1060662).
- MIPS: Send SIGILL for R6 branches in
  `__compute_return_epc_for_insn' (bnc#1060662).
- MIPS: Fix a typo: s/preset/present/ in r2-to-r6 emulation
  error message (bnc#1060662).
- Input: i8042 - fix crash at boot time (bnc#1060662).
- IB/iser: Fix connection teardown race condition (bnc#1060662).
- IB/core: Namespace is mandatory input for address resolution
  (bnc#1060662).
- sunrpc: use constant time memory comparison for mac
  (bnc#1060662).
- net/sunrpc/xprt_sock: fix regression in connection error
  reporting (bnc#1060662).
- NFS: Fix initialization of nfs_page_array->npages (bnc#1060662).
- PNFS fix EACCESS on commit to DS handling (bnc#1060662).
- NFS: only invalidate dentrys that are clearly invalid
  (bnc#1060662 bsc#1047118).
- udf: Fix races with i_size changes during readpage
  (bnc#1060662).
- udf: Fix deadlock between writeback and udf_setsize()
  (bnc#1060662).
- target: Fix COMPARE_AND_WRITE caw_sem leak during se_cmd quiesce
  (bnc#1060662).
- iser-target: Avoid isert_conn->cm_id dereference in
  isert_login_recv_done (bnc#1060662).
- perf annotate: Fix broken arrow at row 0 connecting jmp
  instruction to its target (bnc#1060662).
- perf/core: Fix scheduling regression of pinned groups
  (bnc#1060662).
- Revert "perf/core: Drop kernel samples even though :u is
  specified" (bnc#1060662).
- staging: rtl8188eu: add TL-WN722N v2 support (bnc#1060662).
- staging: comedi: ni_mio_common: fix AO timer off-by-one
  regression (bnc#1060662).
- staging: sm750fb: avoid conflicting vesafb (bnc#1060662).
- staging: lustre: ko2iblnd: check copy_from_iter/copy_to_iter
  return code (bnc#1060662).
- ceph: fix race in concurrent readdir (bnc#1060662).
- RDMA/uverbs: Fix the check for port number (bnc#1060662).
- RDMA/core: Initialize port_num in qp_attr (bnc#1060662).
- drm/mst: Fix error handling during MST sideband message
  reception (bnc#1060662).
- drm/mst: Avoid dereferencing a NULL mstb in
  drm_dp_mst_handle_up_req() (bnc#1060662).
- drm/mst: Avoid processing partially received up/down message
  transactions (bnc#1060662).
- drm/i915: Make DP-MST connector info work (bnc#1060662).
- mlx5: Avoid that mlx5_ib_sg_to_klms() overflows the klms[]
  array (bnc#1060662).
- hfsplus: Don't clear SGID when inheriting ACLs (bnc#1060662).
- vtime, sched/cputime: Remove vtime_account_user() (bnc#1060662
  bnc#978907).
- sched/cputime: Always set tsk->vtime_snap_whence after
  accounting vtime (bnc#1060662 bnc#978907).
- sched/cputime: Rename vtime fields (bnc#1060662 bnc#978907).
- sched/cputime: Move the vtime task fields to their own struct
  (bnc#1060662 bnc#978907).
- sched/cputime: Accumulate vtime on top of nsec clocksource
  (bnc#1060662 bnc#978907).
- sched/fair: Fix load_balance() affinity redo path (bnc#1060662
  bnc#978907).
- percpu_counter: Rename __percpu_counter_add to
  percpu_counter_add_batch (bnc#1060662 bnc#971975).
- writeback: rework wb_[dec|inc]_stat family of functions
  (bnc#1060662 bnc#971975).
- kernel/fork.c: virtually mapped stacks: do not disable
  interrupts (bnc#1060662 bnc#978907).
- acpi/nfit: Fix memory corruption/Unregister mce decoder on
  failure (bnc#1060662).
- vmbus: re-enable channel tasklet (bnc#1060662).
- cpufreq: intel_pstate: Correct the busy calculation for KNL
  (bnc#1060662).
- spmi: Include OF based modalias in device uevent (bnc#1060662).
- reiserfs: Don't clear SGID when inheriting ACLs (bnc#1060662).
- device-dax: fix sysfs duplicate warnings (bnc#1060662).
- drm/imx: parallel-display: Accept drm_of_find_panel_or_bridge
  failure (bnc#1060662).
- PM / Domains: defer dev_pm_domain_set() until genpd->attach_dev
  succeeds if present (bnc#1060662).
- tracing: Fix kmemleak in instance_rmdir (bnc#1060662).
- drm/i915/fbdev: Check for existence of ifbdev->vma before
  operations (bnc#1060662).
- drm/i915: Hold RPM wakelock while initializing OA buffer
  (bnc#1060662).
- drm/i915: reintroduce VLV/CHV PFI programming power domain
  workaround (bnc#1060662).
- smp/hotplug: Move unparking of percpu threads to the control
  CPU (bnc#1060662).
- smp/hotplug: Replace BUG_ON and react useful (bnc#1060662).
- alarmtimer: don't rate limit one-shot timers (bnc#1060662).
- sched/cputime: Don't use smp_processor_id() in preemptible
  context (bnc#1060662).
- Linux 4.12.4 (bnc#1060662).
- Delete patches.kernel.org/patch-4.12.3-4.
  Expand 4.12.4.
- commit 9cb5903
* Mon Oct  2 2017 jthumshirn@suse.de
- scsi: qla2xxx: add missing includes for qla_isr (FATE#322910).
  Refresh
  patches.drivers/0036-scsi-qla2xxx-Add-FC-NVMe-command-handling.patch.
- commit 474a2df
* Mon Oct  2 2017 jthumshirn@suse.de
- scsi: aacraid: Add a small delay after IOP reset (FATE#322889,
  bsc#1049519).
- commit 2a43d5a
* Mon Oct  2 2017 jthumshirn@suse.de
- series.conf: fix patch ordering
- commit affbdfb
* Mon Oct  2 2017 jslaby@suse.cz
- jfs: Don't clear SGID when inheriting ACLs (bnc#1060662).
- ALSA: fm801: Initialize chip after IRQ handler is registered
  (bnc#1060662 bsc#1051510).
- ALSA: hda - Add missing NVIDIA GPU codec IDs to patch table
  (bnc#1060662).
- ALSA: hda - Add mute led support for HP ProBook 440 G4
  (bnc#1060662).
- parisc: Prevent TLB speculation on flushed pages on CPUs that
  only support equivalent aliases (bnc#1060662).
- parisc: Extend disabled preemption in copy_user_page
  (bnc#1060662).
- parisc: Suspend lockup detectors before system halt
  (bnc#1060662).
- powerpc/pseries: Fix of_node_put() underflow during reconfig
  remove (bnc#1060662).
- mmc: sunxi: Keep default timing phase settings for new timing
  mode (bnc#1060662).
- NFS: invalidate file size when taking a lock (bnc#1060662).
- NFSv4.1: Fix a race where CB_NOTIFY_LOCK fails to wake a waiter
  (bnc#1060662).
- scripts/dtc: dtx_diff - update include dts paths to match build
  (bnc#1060662).
- crypto: brcm - Fix SHA3-512 algorithm failure (bnc#1060662).
- crypto: brcm - remove BCM_PDC_MBOX dependency in Kconfig
  (bnc#1060662).
- crypto: authencesn - Fix digest_null crash (bnc#1060662).
- KVM: PPC: Book3S HV: Enable TM before accessing TM registers
  (bnc#1060662).
- KVM: PPC: Book3S HV: Fix host crash on changing HPT size
  (bnc#1060662).
- dm integrity: fix inefficient allocation of journal space
  (bnc#1060662).
- dm integrity: test for corrupted disk format during table load
  (bnc#1060662).
- md: remove 'idx' from 'struct resync_pages' (bnc#1060662
  bsc#1049599).
- md/raid1: fix writebehind bio clone (bnc#1060662).
- md/raid5: add thread_group worker async_tx_issue_pending_all
  (bnc#1060662).
- drm/vmwgfx: Fix gcc-7.1.1 warning (bnc#1060662).
- drm/vmwgfx: Limit max desktop dimensions to 8Kx8K (bnc#1060662).
- drm/nouveau/disp/nv50-: bump max chans to 21 (bnc#1060662).
- drm/nouveau/bar/gf100: fix access to upper half of BAR2
  (bnc#1060662).
- drm/i915: Fix scaler init during CRTC HW state readout
  (bnc#1060662).
- isdn/i4l: fix buffer overflow (bnc#1060662).
- ipmi/watchdog: fix watchdog timeout set on reboot (bnc#1060662).
- dentry name snapshots (bnc#1060662 bsc#1049483).
- mmc: tmio-mmc: fix bad pointer math (bnc#1060662).
- Linux 4.12.5 (bnc#1060662).
- Delete patches.kernel.org/patch-4.12.4-5.
  Expand 4.12.5.
- commit d481b6d
* Mon Oct  2 2017 jeffm@suse.com
- Moved powerpc-Blacklist-GCC-5.4-6.1-and-6.2.patch to patches.rpmify.
  It's a compiler blacklist addition and should be applied to vanilla too.
- commit cfc7e71
* Mon Oct  2 2017 tbogendoerfer@suse.de
- iw_cxgb4: remove the stid on listen create failure (bsc#1046543
  FATE#322927).
- iw_cxgb4: drop listen destroy replies if no ep found
  (bsc#1046543 FATE#322927).
- iw_cxgb4: put ep reference in pass_accept_req() (bsc#1046543
  FATE#322927).
- commit b8f72a3
* Mon Oct  2 2017 jslaby@suse.cz
- parisc: Increase thread and stack size to 32kb (bnc#1060662).
- parisc: Handle vma's whose context is not current in
  flush_cache_range (bnc#1060662).
- scsi: lpfc: fix linking against modular NVMe support
  (bnc#1060662).
- ACPI / LPSS: Only call pwm_add_table() for the first PWM
  controller (bnc#1060662).
- cgroup: don't call migration methods if there are no tasks to
  migrate (bnc#1060662).
- cgroup: create dfl_root files on subsys registration
  (bnc#1060662).
- cgroup: fix error return value from cgroup_subtree_control()
  (bnc#1060662).
- libata: array underflow in ata_find_dev() (bnc#1060662).
- workqueue: restore WQ_UNBOUND/max_active==1 to be ordered
  (bnc#1060662).
- iwlwifi: dvm: prevent an out of bounds access (bnc#1060662).
- brcmfmac: fix memleak due to calling brcmf_sdiod_sgtable_alloc()
  twice (bnc#1060662).
- NFSv4: Fix EXCHANGE_ID corrupt verifier issue (bnc#1060662).
- mmc: sdhci-of-at91: force card detect value for non removable
  devices (bnc#1060662).
- mmc: core: Use device_property_read instead of of_property_read
  (bnc#1060662).
- mmc: dw_mmc: Use device_property_read instead of
  of_property_read (bnc#1060662).
- mm, mprotect: flush TLB if potentially racing with a parallel
  reclaim leaving stale TLB entries (bnc#1060662).
- mm/hugetlb.c: __get_user_pages ignores certain
  follow_hugetlb_page errors (bnc#1060662).
- userfaultfd: non-cooperative: notify about unmap of destination
  during mremap (bnc#1060662).
- userfaultfd_zeropage: return -ENOSPC in case mm has gone
  (bnc#1060662).
- userfaultfd: non-cooperative: flush event_wqh at release time
  (bnc#1060662).
- cpuset: fix a deadlock due to incomplete patching of
  cpusets_enabled() (bnc#1060662).
- ocfs2: don't clear SGID when inheriting ACLs (bnc#1060662).
- ALSA: hda - Fix speaker output from VAIO VPCL14M1R
  (bnc#1060662).
- drm/amdgpu: fix header on gfx9 clear state (bnc#1060662).
- drm/amdgpu: Fix undue fallthroughs in golden registers
  initialization (bnc#1060662).
- ASoC: fix pcm-creation regression (bnc#1060662).
- ASoC: ux500: Restore platform DAI assignments (bnc#1060662).
- ASoC: do not close shared backend dailink (bnc#1060662).
- KVM: arm/arm64: Handle hva aging while destroying the vm
  (bnc#1060662).
- KVM: async_pf: make rcu irq exit if not triggered from idle task
  (bnc#1060662).
- timers: Fix overflow in get_next_timer_interrupt (bnc#1060662).
- powerpc/tm: Fix saving of TM SPRs in core dump (bnc#1060662).
- powerpc/64: Fix __check_irq_replay missing decrementer interrupt
  (bnc#1060662).
- iommu/amd: Enable ga_log_intr when enabling guest_mode
  (bnc#1060662 bsc#1052533).
- ARM64: dts: marvell: armada-37xx: Fix the number of GPIO on
  south bridge (bnc#1060662).
- gpiolib: skip unwanted events, don't convert them to opposite
  edge (bnc#1060662).
- ext4: fix SEEK_HOLE/SEEK_DATA for blocksize < pagesize
  (bnc#1060662).
- ext4: fix overflow caused by missing cast in ext4_resize_fs()
  (bnc#1060662).
- MIPS: ralink: Fix build error due to missing header
  (bnc#1060662).
- clk: sunxi-ng: sun5i: Add clk_set_rate_parent to the CPU clock
  (bnc#1060662).
- ARM: mvebu: use __pa_symbol in the mv98dx3236 platform SMP code
  (bnc#1060662).
- ARM: dts: armada-38x: Fix irq type for pca955 (bnc#1060662).
- ARM: dts: tango4: Request RGMII RX and TX clock delays
  (bnc#1060662).
- media: pulse8-cec: persistent_config should be off by default
  (bnc#1060662).
- media: lirc: LIRC_GET_REC_RESOLUTION should return microseconds
  (bnc#1060662).
- media: platform: davinci: return -EINVAL for
  VPFE_CMD_S_CCDC_RAW_PARAMS ioctl (bnc#1060662).
- ir-spi: Fix issues with lirc API (bnc#1060662).
- tcmu: Fix flushing cmd entry dcache page (bnc#1060662).
- tcmu: Fix possbile memory leak / OOPs when recalculating cmd
  base size (bnc#1060662).
- ext4: preserve i_mode if __ext4_set_acl() fails (bnc#1060662).
- ext4: Don't clear SGID when inheriting ACLs (bnc#1060662).
- Btrfs: fix early ENOSPC due to delalloc (bnc#1060662).
- blk-mq: Include all present CPUs in the default queue mapping
  (bnc#1060662).
- blk-mq: Create hctx for each present CPU (bnc#1060662).
- block: disable runtime-pm for blk-mq (bnc#1060662).
- saa7164: fix double fetch PCIe access condition (bnc#1060662
  CVE-2017-8831 bsc#1037994).
- sctp: fix an array overflow when all ext chunks are set
  (bnc#1060662).
- tcp_bbr: cut pacing rate only if filled pipe (bnc#1060662).
- tcp_bbr: introduce bbr_bw_to_pacing_rate() helper (bnc#1060662).
- tcp_bbr: introduce bbr_init_pacing_rate_from_rtt() helper
  (bnc#1060662).
- tcp_bbr: remove sk_pacing_rate=0 transient during init
  (bnc#1060662).
- tcp_bbr: init pacing rate on first RTT sample (bnc#1060662).
- ipv4: ipv6: initialize treq->txhash in cookie_v[46]_check()
  (bnc#1060662).
- wireless: wext: terminate ifr name coming from userspace
  (bnc#1060662).
- net: Zero terminate ifr_name in dev_ifname() (bnc#1060662).
- net: dsa: mv88e6xxx: Enable CMODE config support for 6390X
  (bnc#1060662).
- Revert "rtnetlink: Do not generate notifications for CHANGEADDR
  event" (bnc#1060662).
- ipv6: avoid overflow of offset in ip6_find_1stfragopt
  (bnc#1060662 CVE-2017-7542 bsc#1049882).
- net: dsa: b53: Add missing ARL entries for BCM53125
  (bnc#1060662).
- ipv4: initialize fib_trie prior to register_netdev_notifier call
  (bnc#1060662).
- rtnetlink: allocate more memory for dev_set_mac_address()
  (bnc#1060662).
- net: bonding: Fix transmit load balancing in balance-alb mode
  (bnc#1060662).
- mcs7780: Fix initialization when CONFIG_VMAP_STACK is enabled
  (bnc#1060662).
- openvswitch: fix potential out of bound access in parse_ct
  (bnc#1060662).
- packet: fix use-after-free in prb_retire_rx_blk_timer_expired()
  (bnc#1060662).
- ipv6: Don't increase IPSTATS_MIB_FRAGFAILS twice in
  ip6_fragment() (bnc#1060662).
- net: ethernet: nb8800: Handle all 4 RGMII modes identically
  (bnc#1060662).
- bonding: commit link status change after propose (bnc#1060662).
- dccp: fix a memleak that dccp_ipv6 doesn't put reqsk properly
  (bnc#1060662).
- dccp: fix a memleak that dccp_ipv4 doesn't put reqsk properly
  (bnc#1060662).
- dccp: fix a memleak for dccp_feat_init err process
  (bnc#1060662).
- net/mlx5: Consider tx_enabled in all modes on remap
  (bnc#1060662).
- net/mlx5: Fix command completion after timeout access invalid
  structure (bnc#1060662).
- net/mlx5: Fix command bad flow on command entry allocation
  failure (bnc#1060662).
- sctp: don't dereference ptr before leaving _sctp_walk_{params,
  errors}() (bnc#1060662).
- sctp: fix the check for _sctp_walk_params and _sctp_walk_errors
  (bnc#1060662).
- net/mlx5e: IPoIB, Modify add/remove underlay QPN flows
  (bnc#1060662).
- net/mlx5e: Fix outer_header_zero() check size (bnc#1060662).
- net/mlx5: Fix mlx5_ifc_mtpps_reg_bits structure size
  (bnc#1060662).
- net/mlx5e: Add field select to MTPPS register (bnc#1060662).
- net/mlx5e: Fix broken disable 1PPS flow (bnc#1060662).
- net/mlx5e: Change 1PPS out scheme (bnc#1060662).
- net/mlx5e: Add missing support for PTP_CLK_REQ_PPS request
  (bnc#1060662).
- net/mlx5e: Fix wrong delay calculation for overflow check
  scheduling (bnc#1060662).
- net/mlx5e: Schedule overflow check work to mlx5e workqueue
  (bnc#1060662).
- net/mlx5: Fix mlx5_add_flow_rules call with correct num of dests
  (bnc#1060662).
- udp6: fix socket leak on early demux (bnc#1060662).
- net: phy: Correctly process PHY_HALTED in phy_stop_machine()
  (bnc#1060662).
- workqueue: implicit ordered attribute should be overridable
  (bnc#1060662).
- ipv4: fib: Fix NULL pointer deref during fib_sync_down_dev()
  (bnc#1060662).
- virtio_net: fix truesize for mergeable buffers (bnc#1060662).
- sparc64: Measure receiver forward progress to avoid send mondo
  timeout (bnc#1060662).
- sparc64: Prevent perf from running during super critical
  sections (bnc#1060662).
- sparc64: Register hugepages during arch init (bnc#1060662).
- sparc64: Fix exception handling in UltraSPARC-III memcpy
  (bnc#1060662).
- drm/vmwgfx: Fix cursor hotspot issue with Wayland on Fedora
  (bnc#1060662).
- Linux 4.12.6 (bnc#1060662).
- Delete patches.kernel.org/patch-4.12.5-6.
  Expand 4.12.6.
- commit c435580
* Mon Oct  2 2017 tbogendoerfer@suse.de
- cxgb4: Ignore MPS_TX_INT_CAUSE for T6 (bsc#1046540 FATE#322930).
- cxgb4: Fix pause frame count in t4_get_port_stats (bsc#1046540
  FATE#322930).
- cxgb4: fix memory leak (bsc#1046540 FATE#322930).
- cxgb4/cxgbvf: Handle 32-bit fw port capabilities (bsc#1046540
  FATE#322930 bsc#1046542 FATE#322928).
- cxgb4: Clear On FLASH config file after a FW upgrade
  (bsc#1046540 FATE#322930).
- commit 9ed00a3
* Mon Oct  2 2017 tbogendoerfer@suse.de
- net/sched: Fix the logic error to decide the ingress qdisc
  (bsc#1056787).
- net: sched: use newly added classid identity helpers
  (bsc#1056787).
- net: sched: propagate classid down to offload drivers
  (bsc#1056787).
- net: sched: Add helpers to identify classids (bsc#1056787).
- net: sched: get rid of struct tc_to_netdev (bsc#1056787).
- net: sched: change return value of ndo_setup_tc for driver
  supporting mqprio only (bsc#1056787).
- commit 3fa59d0
* Mon Oct  2 2017 jslaby@suse.cz
- ppp: Fix false xmit recursion detect with two ppp devices
  (bnc#1060662).
- ppp: fix xmit recursion detection on ppp channels (bnc#1060662).
- tcp: avoid setting cwnd to invalid ssthresh after cwnd reduction
  states (bnc#1060662).
- net: fix keepalive code vs TCP_FASTOPEN_CONNECT (bnc#1060662).
- ipv6: set rt6i_protocol properly in the route when it is
  installed (bnc#1060662).
- bpf, s390: fix jit branch offset related to ldimm64
  (bnc#1060662).
- net/mlx4_en: don't set CHECKSUM_COMPLETE on SCTP packets
  (bnc#1060662).
- net: sched: set xt_tgchk_param par.net properly in
  ipt_init_target (bnc#1060662).
- net: sched: set xt_tgchk_param par.nft_compat as 0 in
  ipt_init_target (bnc#1060662).
- tcp: fastopen: tcp_connect() must refresh the route
  (bnc#1060662).
- qmi_wwan: fix NULL deref on disconnect (bnc#1060662).
- net: avoid skb_warn_bad_offload false positives on UFO
  (bnc#1060662).
- igmp: Fix regression caused by igmp sysctl namespace code
  (bnc#1060662).
- udp: consistently apply ufo or fragmentation (bnc#1060662).
- packet: fix tp_reserve race in packet_set_ring (bnc#1060662).
- scsi: sg: only check for dxfer_len greater than 256M
  (bnc#1060662).
- btrfs: Remove false alert when fiemap range is smaller than
  on-disk extent (bnc#1060662).
- Linux 4.12.7 (bnc#1060662).
- Delete patches.kernel.org/patch-4.12.6-7.
  Expand 4.12.7.
- commit 8cebe24
* Mon Oct  2 2017 jslaby@suse.cz
- mm: ratelimit PFNs busy info message (bnc#1060662).
- mm: fix list corruptions on shmem shrinklist (bnc#1060662).
- futex: Remove unnecessary warning from get_futex_key
  (bnc#1060662).
- xtensa: fix cache aliasing handling code for WT cache
  (bnc#1060662).
- xtensa: mm/cache: add missing EXPORT_SYMBOLs (bnc#1060662).
- xtensa: don't limit csum_partial export by CONFIG_NET
  (bnc#1060662).
- xfs: Fix leak of discard bio (bnc#1060662).
- pinctrl: armada-37xx: Fix number of pin in south bridge
  (bnc#1060662).
- mtd: nand: atmel: Fix DT backward compatibility in pmecc.c
  (bnc#1060662).
- mtd: nand: Fix timing setup for NANDs that do not support SET
  FEATURES (bnc#1060662).
- mtd: nand: Declare tBERS, tR and tPROG as u64 to avoid integer
  overflow (bnc#1060662).
- iscsi-target: fix memory leak in iscsit_setup_text_cmd()
  (bnc#1060662).
- iscsi-target: Fix iscsi_np reset hung task during parallel
  delete (bnc#1060662).
- usb-storage: fix deadlock involving host lock and scsi_done
  (bnc#1060662).
- target: Fix node_acl demo-mode + uncached dynamic shutdown
  regression (bnc#1060662).
- fuse: initialize the flock flag in fuse_file on allocation
  (bnc#1060662).
- i2c: designware: Some broken DSTDs use 1MiHz instead of 1MHz
  (bnc#1060662).
- nand: fix wrong default oob layout for small pages using soft
  ecc (bnc#1060662).
- mmc: mmc: correct the logic for setting HS400ES signal voltage
  (bnc#1060662).
- nfs/flexfiles: fix leak of nfs4_ff_ds_version arrays
  (bnc#1060662).
- drm/bridge: tc358767: fix probe without attached output node
  (bnc#1060662).
- drm/etnaviv: Fix off-by-one error in reloc checking
  (bnc#1060662).
- drm/i915: Fix out-of-bounds array access in bdw_load_gamma_lut
  (bnc#1060662).
- USB: serial: option: add D-Link DWM-222 device ID (bnc#1060662).
- USB: serial: cp210x: add support for Qivicon USB ZigBee dongle
  (bnc#1060662).
- USB: serial: pl2303: add new ATEN device id (bnc#1060662).
- usb: musb: fix tx fifo flush handling again (bnc#1060662).
- USB: hcd: Mark secondary HCD as dead if the primary one died
  (bnc#1060662).
- staging:iio:resolver:ad2s1210 fix negative IIO_ANGL_VEL read
  (bnc#1060662).
- iio: aspeed-adc: wait for initial sequence (bnc#1060662).
- iio: accel: st_accel: add SPI-3wire support (bnc#1060662).
- iio: accel: bmc150: Always restore device to normal mode after
  suspend-resume (bnc#1060662).
- iio: pressure: st_pressure_core: disable multiread by default
  for LPS22HB (bnc#1060662).
- iio: light: tsl2563: use correct event code (bnc#1060662).
- iio: adc: Revert "axp288: Drop bogus AXP288_ADC_TS_PIN_CTRL
  register modifications" (bnc#1060662).
- staging: comedi: comedi_fops: do not call blocking ops when
  !TASK_RUNNING (bnc#1060662).
- uas: Add US_FL_IGNORE_RESIDUE for Initio Corporation INIC-3069
  (bnc#1060662).
- firmware: fix batched requests - wake all waiters (bnc#1060662).
- firmware: fix batched requests - send wake up on failure on
  direct lookups (bnc#1060662).
- firmware: avoid invalid fallback aborts by using killable wait
  (bnc#1060662).
- block: Make blk_mq_delay_kick_requeue_list() rerun the queue
  at a quiet time (bnc#1060662).
- usb: gadget: udc: renesas_usb3: Fix
  usb_gadget_giveback_request() calling (bnc#1060662).
- usb: renesas_usbhs: Fix UGCTRL2 value for R-Car Gen3
  (bnc#1060662).
- USB: Check for dropped connection before switching to full speed
  (bnc#1060662).
- usb: core: unlink urbs from the tail of the endpoint's urb_list
  (bnc#1060662).
- usb: quirks: Add no-lpm quirk for Moshi USB to Ethernet Adapter
  (bnc#1060662).
- usb:xhci:Add quirk for Certain failing HP keyboard on reset
  after resume (bnc#1060662).
- PCI: Protect pci_error_handlers->reset_notify() usage with
  device_lock() (bnc#1060662).
- PCI: Remove __pci_dev_reset() and pci_dev_reset() (bnc#1060662).
- PCI: Add pci_reset_function_locked() (bnc#1060662).
- xhci: Reset Renesas uPD72020x USB controller for 32-bit DMA
  issue (bnc#1060662).
- iio: adc: vf610_adc: Fix VALT selection value for REFSEL bits
  (bnc#1060662).
- pnfs/blocklayout: require 64-bit sector_t (bnc#1060662).
- pinctrl: cherryview: Add Setzer models to the Chromebook DMI
  quirk (bnc#1060662).
- pinctrl: sunxi: add a missing function of A10/A20 pinctrl driver
  (bnc#1060662).
- pinctrl: intel: merrifield: Correct UART pin lists
  (bnc#1060662).
- pinctrl: uniphier: fix WARN_ON() of pingroups dump on LD11
  (bnc#1060662).
- pinctrl: uniphier: fix WARN_ON() of pingroups dump on LD20
  (bnc#1060662).
- pinctrl: samsung: Remove bogus irq_[un]mask from resource
  management (bnc#1060662).
- pinctrl: meson-gxbb: Add missing GPIODV_18 pin entry
  (bnc#1060662).
- pinctrl: meson-gxl: Add missing GPIODV_18 pin entry
  (bnc#1060662).
- MIPS: DEC: Fix an int-handler.S CPU_DADDI_WORKAROUNDS regression
  (bnc#1060662).
- Revert "MIPS: Don't unnecessarily include kmalloc.h into
  <asm/cache.h>." (bnc#1060662).
- MIPS: Octeon: Fix broken EDAC driver (bnc#1060662).
- powerpc: Fix /proc/cpuinfo revision for POWER9 DD2 (bnc#1060662
  bsc#1046789).
- Linux 4.12.8 (bnc#1060662).
- Delete patches.kernel.org/patch-4.12.7-8.
  Expand 4.12.8.
- commit e01e9dd
* Mon Oct  2 2017 bpoirier@suse.com
- Update marker for sorted section in series.conf
  The section now contains patches related to more than just networking.
- commit 987899b
* Mon Oct  2 2017 bpoirier@suse.com
- Refresh
  patches.apparmor/0024-apparmor-speed-up-transactional-queries.patch.
- Refresh
  patches.apparmor/0030-apparmor-cleanup-__find_child.patch.
- Refresh
  patches.apparmor/0031-apparmor-add-namespace-lookup-fns.patch.
- Refresh
  patches.drivers/0009-thunderbolt-Convert-switch-to-a-device.patch.
  Fix broken Git-commit tags
- commit 4f9ee19
* Mon Oct  2 2017 jslaby@suse.cz
- audit: Fix use after free in audit_remove_watch_rule()
  (bnc#1060662).
- parisc: pci memory bar assignment fails with 64bit kernels on
  dino/cujo (bnc#1060662).
- crypto: ixp4xx - Fix error handling path in 'aead_perform()'
  (bnc#1060662).
- crypto: x86/sha1 - Fix reads beyond the number of blocks passed
  (bnc#1060662).
- drm/i915: Perform an invalidate prior to executing golden
  renderstate (bnc#1060662).
- drm/amdgpu: save list length when fence is signaled
  (bnc#1060662).
- Input: elan_i2c - add ELAN0608 to the ACPI table (bnc#1060662).
- Input: elan_i2c - Add antoher Lenovo ACPI ID for upcoming
  Lenovo NB (bnc#1060662).
- md: fix test in md_write_start() (bnc#1060662).
- md: always clear ->safemode when md_check_recovery gets the
  mddev lock (bnc#1060662).
- MD: not clear ->safemode for external metadata array
  (bnc#1060662).
- ALSA: seq: 2nd attempt at fixing race creating a queue
  (bnc#1060662).
- ALSA: usb-audio: Apply sample rate quirk to Sennheiser headset
  (bnc#1060662 bsc#1052580).
- ALSA: usb-audio: Add mute TLV for playback volumes on C-Media
  devices (bnc#1060662).
- ALSA: usb-audio: add DSD support for new Amanero PID
  (bnc#1060662).
- mm: discard memblock data later (bnc#1060662).
- slub: fix per memcg cache leak on css offline (bnc#1060662).
- mm: fix double mmap_sem unlock on MMF_UNSTABLE enforced SIGBUS
  (bnc#1060662).
- mm/cma_debug.c: fix stack corruption due to sprintf usage
  (bnc#1060662).
- mm/mempolicy: fix use after free when calling get_mempolicy
  (bnc#1060662).
- mm/vmalloc.c: don't unconditonally use __GFP_HIGHMEM
  (bnc#1060662).
- mm: revert x86_64 and arm64 ELF_ET_DYN_BASE base changes
  (bnc#1060662).
- xen: fix bio vec merging (bnc#1060662).
- ARM: dts: imx6qdl-nitrogen6_som2: fix PCIe reset (bnc#1060662).
- blk-mq-pci: add a fallback when pci_irq_get_affinity returns
  NULL (bnc#1060662).
- powerpc: Fix VSX enabling/flushing to also test MSR_FP and
  MSR_VEC (bnc#1060662).
- xen-blkfront: use a right index when checking requests
  (bnc#1060662).
- perf/x86: Fix RDPMC vs. mm_struct tracking (bnc#1060662).
- x86/asm/64: Clear AC on NMI entries (bnc#1060662).
- x86: Fix norandmaps/ADDR_NO_RANDOMIZE (bnc#1060662).
- x86/elf: Remove the unnecessary ADDR_NO_RANDOMIZE checks
  (bnc#1060662).
- irqchip/atmel-aic: Fix unbalanced of_node_put() in
  aic_common_irq_fixup() (bnc#1060662).
- irqchip/atmel-aic: Fix unbalanced refcount in
  aic_common_rtc_irq_fixup() (bnc#1060662).
- genirq: Restore trigger settings in irq_modify_status()
  (bnc#1060662).
- genirq/ipi: Fixup checks against nr_cpu_ids (bnc#1060662).
- kernel/watchdog: Prevent false positives with turbo modes
  (bnc#1060662).
- Sanitize 'move_pages()' permission checks (bnc#1060662).
- pids: make task_tgid_nr_ns() safe (bnc#1060662).
- debug: Fix WARN_ON_ONCE() for modules (bnc#1060662 bnc#1049599).
- usb: optimize acpi companion search for usb port devices
  (bnc#1060662).
- usb: qmi_wwan: add D-Link DWM-222 device ID (bnc#1060662).
- Linux 4.12.9 (bnc#1060662).
- Delete patches.kernel.org/patch-4.12.8-9.
  Expand 4.12.9.
- commit 87e5f9e
* Mon Oct  2 2017 jslaby@suse.cz
- sparc64: remove unnecessary log message (bnc#1060662).
- bonding: require speed/duplex only for 802.3ad, alb and tlb
  (bnc#1060662).
- bonding: ratelimit failed speed/duplex update warning
  (bnc#1060662).
- af_key: do not use GFP_KERNEL in atomic contexts (bnc#1060662).
- dccp: purge write queue in dccp_destroy_sock() (bnc#1060662).
- dccp: defer ccid_hc_tx_delete() at dismantle time (bnc#1060662).
- ipv4: fix NULL dereference in free_fib_info_rcu() (bnc#1060662).
- net_sched/sfq: update hierarchical backlog when drop packet
  (bnc#1060662).
- net_sched: remove warning from qdisc_hash_add (bnc#1060662).
- bpf: fix bpf_trace_printk on 32 bit archs (bnc#1060662).
- net: igmp: Use ingress interface rather than vrf device
  (bnc#1060662).
- openvswitch: fix skb_panic due to the incorrect actions attrlen
  (bnc#1060662).
- ptr_ring: use kmalloc_array() (bnc#1060662 bsc#1055945).
- ipv4: better IP_MAX_MTU enforcement (bnc#1060662).
- nfp: fix infinite loop on umapping cleanup (bnc#1060662).
- tun: handle register_netdevice() failures properly
  (bnc#1060662).
- sctp: fully initialize the IPv6 address in sctp_v6_to_addr()
  (bnc#1060662).
- tipc: fix use-after-free (bnc#1060662).
- ipv6: reset fn->rr_ptr when replacing route (bnc#1060662).
- ipv6: repair fib6 tree in failure case (bnc#1060662).
- tcp: when rearming RTO, if RTO time is in past then fire RTO
  ASAP (bnc#1060662).
- net/mlx4_core: Enable 4K UAR if SRIOV module parameter is not
  enabled (bnc#1060662).
- irda: do not leak initialized list.dev to userspace
  (bnc#1060662).
- net: sched: fix NULL pointer dereference when action calls
  some targets (bnc#1060662).
- net_sched: fix order of queue length updates in qdisc_replace()
  (bnc#1060662).
- bpf, verifier: add additional patterns to evaluate_reg_imm_alu
  (bnc#1060662).
- bpf: fix mixed signed/unsigned derived min/max value bounds
  (bnc#1060662 bsc#1050081).
- bpf/verifier: fix min/max handling in BPF_SUB (bnc#1060662
  bsc#1050081).
- Input: trackpoint - add new trackpoint firmware ID
  (bnc#1060662).
- Input: elan_i2c - add ELAN0602 ACPI ID to support Lenovo Yoga310
  (bnc#1060662).
- Input: ALPS - fix two-finger scroll breakage in right side on
  ALPS touchpad (bnc#1060662 bsc#1050582).
- KVM: s390: sthyi: fix sthyi inline assembly (bnc#1060662).
- KVM: s390: sthyi: fix specification exception detection
  (bnc#1060662).
- KVM: x86: simplify handling of PKRU (bnc#1060662 bsc#1055935).
- KVM, pkeys: do not use PKRU value in vcpu->arch.guest_fpu.state
  (bnc#1060662 bsc#1055935).
- KVM: x86: block guest protection keys unless the host has them
  enabled (bnc#1060662 bsc#1055935).
- ALSA: usb-audio: Add delay quirk for H650e/Jabra 550a USB
  headsets (bnc#1060662).
- ALSA: core: Fix unexpected error at replacing user TLV
  (bnc#1060662).
- ALSA: hda - Add stereo mic quirk for Lenovo G50-70 (17aa:3978)
  (bnc#1060662 bsc#1020657).
- ALSA: firewire: fix NULL pointer dereference when releasing
  uninitialized data of iso-resource (bnc#1060662).
- ALSA: firewire-motu: destroy stream data surely at failure of
  card initialization (bnc#1060662).
- ARCv2: SLC: Make sure busy bit is set properly for region ops
  (bnc#1060662).
- ARCv2: PAE40: Explicitly set MSB counterpart of SLC region
  ops addresses (bnc#1060662).
- ARCv2: PAE40: set MSB even if !CONFIG_ARC_HAS_PAE40 but PAE
  exists in SoC (bnc#1060662).
- PM/hibernate: touch NMI watchdog when creating snapshot
  (bnc#1060662).
- mm, shmem: fix handling
  /sys/kernel/mm/transparent_hugepage/shmem_enabled (bnc#1060662).
- dax: fix deadlock due to misaligned PMD faults (bnc#1060662).
- i2c: designware: Fix system suspend (bnc#1060662).
- mm/madvise.c: fix freeing of locked page with MADV_FREE
  (bnc#1060662).
- fork: fix incorrect fput of ->exe_file causing use-after-free
  (bnc#1060662).
- mm/memblock.c: reversed logic in memblock_discard()
  (bnc#1060662).
- arm64: fpsimd: Prevent registers leaking across exec
  (bnc#1060662).
- drm: Fix framebuffer leak (bnc#1060662).
- drm: Release driver tracking before making the object available
  again (bnc#1060662).
- drm/sun4i: Implement drm_driver lastclose to restore fbdev
  console (bnc#1060662).
- drm/atomic: Handle -EDEADLK with out-fences correctly
  (bnc#1060662).
- drm/atomic: If the atomic check fails, return its value first
  (bnc#1060662).
- drm/i915/vbt: ignore extraneous child devices for a port
  (bnc#1060662).
- drm/i915/gvt: Fix the kernel null pointer error (bnc#1060662).
- Revert "drm/amdgpu: fix vblank_time when displays are off"
  (bnc#1060662).
- ACPI: device property: Fix node lookup in
  acpi_graph_get_child_prop_value() (bnc#1060662).
- tracing: Call clear_boot_tracer() at lateinit_sync
  (bnc#1060662).
- tracing: Missing error code in tracer_alloc_buffers()
  (bnc#1060662).
- tracing: Fix kmemleak in tracing_map_array_free() (bnc#1060662).
- tracing: Fix freeing of filter in create_filter() when set_str
  is false (bnc#1060662).
- RDMA/uverbs: Initialize cq_context appropriately (bnc#1060662).
- kbuild: linker script do not match C names unless
  LD_DEAD_CODE_DATA_ELIMINATION is configured (bnc#1060662).
- cifs: Fix df output for users with quota limits (bnc#1060662).
- cifs: return ENAMETOOLONG for overlong names in
  cifs_open()/cifs_lookup() (bnc#1060662).
- nfsd: Limit end of page list when decoding NFSv4 WRITE
  (bnc#1060662).
- ring-buffer: Have ring_buffer_alloc_read_page() return error
  on offline CPU (bnc#1060662).
- virtio_pci: fix cpu affinity support (bnc#1060662).
- ftrace: Check for null ret_stack on profile function graph
  entry function (bnc#1060662).
- perf/core: Fix group {cpu,task} validation (bnc#1060662).
- timers: Fix excessive granularity of new timers after a nohz
  idle (bnc#1060662).
- x86/mm: Fix use-after-free of ldt_struct (bnc#1060662).
- net: sunrpc: svcsock: fix NULL-pointer exception (bnc#1060662).
- netfilter: expect: fix crash when putting uninited expectation
  (bnc#1060662 bnc#1048935).
- netfilter: nat: fix src map lookup (bnc#1060662).
- netfilter: nfnetlink: Improve input length sanitization in
  nfnetlink_rcv (bnc#1060662).
- Bluetooth: hidp: fix possible might sleep error in
  hidp_session_thread (bnc#1060662 bnc#1014351).
- Bluetooth: cmtp: fix possible might sleep error in cmtp_session
  (bnc#1060662).
- Bluetooth: bnep: fix possible might sleep error in bnep_session
  (bnc#1060662).
- Revert "android: binder: Sanity check at binder ioctl"
  (bnc#1060662).
- binder: use group leader instead of open thread (bnc#1060662).
- binder: Use wake up hint for synchronous transactions
  (bnc#1060662).
- ANDROID: binder: fix proc->tsk check (bnc#1060662).
- iio: imu: adis16480: Fix acceleration scale factor for adis16480
  (bnc#1060662).
- iio: hid-sensor-trigger: Fix the race with user space powering
  up sensors (bnc#1060662).
- iio: magnetometer: st_magn: fix status register address for
  LSM303AGR (bnc#1060662).
- iio: magnetometer: st_magn: remove ihl property for LSM303AGR
  (bnc#1060662).
- staging: rtl8188eu: add RNX-N150NUB support (bnc#1060662).
- iommu: Fix wrong freeing of iommu_device->dev (bnc#1060662).
- Clarify (and fix) MAX_LFS_FILESIZE macros (bnc#1060662).
- ntb: ntb_test: ensure the link is up before trying to configure
  the mws (bnc#1060662).
- ntb: transport shouldn't disable link due to bogus values in
  SPADs (bnc#1060662).
- ACPI: APD: Fix HID for Hisilicon Hip07/08 (bnc#1060662).
- ACPI: EC: Fix regression related to wrong ECDT initialization
  order (bnc#1060662).
- powerpc/mm: Ensure cpumask update is ordered (bnc#1060662).
- Linux 4.12.10 (bnc#1060662).
- Delete patches.kernel.org/patch-4.12.9-10.
  Expand 4.12.10.
- commit 6b3564b
* Mon Oct  2 2017 jslaby@suse.cz
- arm64: mm: abort uaccess retries upon fatal signal
  (bnc#1060662).
- x86/io: Add "memory" clobber to insb/insw/insl/outsb/outsw/outsl
  (bnc#1060662).
- irqchip: mips-gic: SYNC after enabling GIC region (bnc#1060662).
- Input: synaptics - fix device info appearing different on
  reconnect (bnc#1060662).
- Input: xpad - fix PowerA init quirk for some gamepad models
  (bnc#1060662).
- crypto: chacha20 - fix handling of chunked input (bnc#1060662).
- i2c: ismt: Don't duplicate the receive length for block reads
  (bnc#1060662).
- i2c: ismt: Return EMSGSIZE for block reads with bogus length
  (bnc#1060662).
- crypto: algif_skcipher - only call put_page on referenced and
  used pages (bnc#1060662).
- mm, uprobes: fix multiple free of ->uprobes_state.xol_area
  (bnc#1060662).
- mm, madvise: ensure poisoned pages are removed from per-cpu
  lists (bnc#1060662).
- ceph: fix readpage from fscache (bnc#1060662).
- cpumask: fix spurious cpumask_of_node() on non-NUMA multi-node
  configs (bnc#1060662).
- cpuset: Fix incorrect memory_pressure control file mapping
  (bnc#1060662).
- alpha: uapi: Add support for __SANE_USERSPACE_TYPES__
  (bnc#1060662).
- CIFS: Fix maximum SMB2 header size (bnc#1060662 bsc#1056185).
- CIFS: remove endian related sparse warning (bnc#1060662).
- dm mpath: do not lock up a CPU with requeuing activity
  (bnc#1060662).
- drm/vmwgfx: Fix F26 Wayland screen update issue (bnc#1060662).
- wl1251: add a missing spin_lock_init() (bnc#1060662).
- mmc: sdhci-xenon: add set_power callback (bnc#1060662).
- lib/mpi: kunmap after finishing accessing buffer (bnc#1060662).
- xfrm: policy: check policy direction value (bnc#1060662).
- drm/ttm: Fix accounting error when fail to get pages for pool
  (bnc#1060662).
- nvme: fix the definition of the doorbell buffer config support
  bit (bnc#1060662).
- drm/nouveau/i2c/gf119-: add support for address-only
  transactions (bnc#1060662).
- epoll: fix race between ep_poll_callback(POLLFREE) and
  ep_free()/ep_remove() (bnc#1060662).
- Linux 4.12.11 (bnc#1060662).
- Delete patches.kernel.org/patch-4.12.10-11.
  Expand 4.12.11.
- commit b96a777
* Mon Oct  2 2017 jslaby@suse.cz
- usb: quirks: add delay init quirk for Corsair Strafe RGB
  keyboard (bnc#1060662).
- USB: serial: option: add support for D-Link DWM-157 C1
  (bnc#1060662).
- usb: Add device quirk for Logitech HD Pro Webcam C920-C
  (bnc#1060662).
- usb:xhci:Fix regression when ATI chipsets detected
  (bnc#1060662).
- USB: musb: fix external abort on suspend (bnc#1060662).
- ANDROID: binder: add padding to binder_fd_array_object
  (bnc#1060662).
- ANDROID: binder: add hwbinder,vndbinder to BINDER_DEVICES
  (bnc#1060662).
- USB: core: Avoid race of async_completed() w/ usbdev_release()
  (bnc#1060662).
- staging/rts5208: fix incorrect shift to extract upper nybble
  (bnc#1060662).
- iio: adc: ti-ads1015: fix incorrect data rate setting update
  (bnc#1060662).
- iio: adc: ti-ads1015: fix scale information for ADS1115
  (bnc#1060662).
- iio: adc: ti-ads1015: enable conversion when CONFIG_PM is not
  set (bnc#1060662).
- iio: adc: ti-ads1015: avoid getting stale result after runtime
  resume (bnc#1060662).
- iio: adc: ti-ads1015: don't return invalid value from buffer
  setup callbacks (bnc#1060662).
- iio: adc: ti-ads1015: add adequate wait time to get correct
  conversion (bnc#1060662).
- driver core: bus: Fix a potential double free (bnc#1060662).
- HID: wacom: Do not completely map WACOM_HID_WD_TOUCHRINGSTATUS
  usage (bnc#1060662).
- binder: free memory on error (bnc#1060662).
- crypto: caam/qi - fix compilation with
  CONFIG_DEBUG_FORCE_WEAK_PER_CPU=y (bnc#1060662).
- crypto: caam/qi - fix compilation with DEBUG enabled
  (bnc#1060662).
- fpga: altera-hps2fpga: fix multiple init of l3_remap_lock
  (bnc#1060662).
- intel_th: pci: Add Cannon Lake PCH-H support (bnc#1060662
  FATE#321195).
- intel_th: pci: Add Cannon Lake PCH-LP support (bnc#1060662
  FATE#321195).
- ath10k: fix memory leak in rx ring buffer allocation
  (bnc#1060662).
- Input: trackpoint - assume 3 buttons when buttons detection
  fails (bnc#1060662).
- rtlwifi: rtl_pci_probe: Fix fail path of _rtl_pci_find_adapter
  (bnc#1060662).
- Bluetooth: Add support of 13d3:3494 RTL8723BE device
  (bnc#1060662).
- iwlwifi: pci: add new PCI ID for 7265D (bnc#1060662).
- dlm: avoid double-free on error path in
  dlm_device_{register,unregister} (bnc#1060662).
- mwifiex: correct channel stat buffer overflows (bnc#1060662).
- MCB: add support for SC31 to mcb-lpc (bnc#1060662).
- s390/mm: avoid empty zero pages for KVM guests to avoid postcopy
  hangs (bnc#1060662).
- s390/mm: fix BUG_ON in crst_table_upgrade (bnc#1060662).
- drm/nouveau/pci/msi: disable MSI on big-endian platforms by
  default (bnc#1060662).
- drm/nouveau: Fix error handling in nv50_disp_atomic_commit
  (bnc#1060662).
- workqueue: Fix flag collision (bnc#1060662).
- ahci: don't use MSI for devices with the silly Intel NVMe
  remapping scheme (bnc#1060662).
- cs5536: add support for IDE controller variant (bnc#1060662).
- scsi: sg: protect against races between mmap() and
  SG_SET_RESERVED_SIZE (bnc#1060662).
- scsi: sg: recheck MMAP_IO request length with lock held
  (bnc#1060662).
- of/device: Prevent buffer overflow in of_device_modalias()
  (bnc#1060662).
- rtlwifi: Fix memory leak when firmware request fails
  (bnc#1060662).
- rtlwifi: Fix fallback firmware loading (bnc#1060662).
- Linux 4.12.12 (bnc#1060662).
- Delete patches.kernel.org/patch-4.12.11-12.
  Expand 4.12.12.
- commit 2a3fe1e
* Mon Oct  2 2017 tbogendoerfer@suse.de
- net: sched: move prio into cls_common (bsc#1056787).
- net: sched: push cls related args into cls_common structure
  (bsc#1056787).
- nfp: change flows in apps that offload ndo_setup_tc
  (bsc#1055968).
- dsa: push cls_matchall setup_tc processing into a separate
  function (bsc#1056787).
- mlxsw: spectrum: rename cls arg in matchall processing
  (bsc#1056787).
- mlxsw: spectrum: push cls_flower and cls_matchall setup_tc
  processing into separate functions (bsc#1056787).
- mlx5e_rep: push cls_flower setup_tc processing into a separate
  function (bsc#1046303 FATE#322944).
- mlx5e: push cls_flower and mqprio setup_tc processing into
  separate functions (bsc#1046303 FATE#322944).
- ixgbe: push cls_u32 and mqprio setup_tc processing into separate
  functions (bsc#1056657 FATE#322189).
- cxgb4: push cls_u32 setup_tc processing into a separate function
  (bsc#1046540 FATE#322930).
- net: sched: make egress_dev flag part of flower offload struct
  (bsc#1056787).
- net: sched: rename TC_SETUP_MATCHALL to TC_SETUP_CLSMATCHALL
  (bsc#1056787).
- net: sched: make type an argument for ndo_setup_tc
  (bsc#1056787).
- net: sched: change names of action number helpers to be aligned
  with the rest (bsc#1056787).
- commit ed4a685
* Mon Oct  2 2017 yousaf.kaukab@suse.com
- config: arm64: enable xgene pmu
  References: bsc#1036737
- commit c789476
* Mon Oct  2 2017 tbogendoerfer@suse.de
- resorted sorted section
- commit 053446a
* Mon Oct  2 2017 tbogendoerfer@suse.de
- Delete
  patches.drivers/0007-RDMA-bnxt_re-Fix-race-between-netdev-register-and-un.patch.
- Delete
  patches.drivers/0012-RDMA-bnxt_re-Add-vlan-tag-for-untagged-RoCE-traffic-.patch.
- Delete
  patches.drivers/0018-RDMA-bnxt_re-Update-the-driver-version.patch.
- Delete
  patches.drivers/0020-RDMA-bnxt_re-Allow-posting-when-QPs-are-in-error.patch.
- commit 99f359a
* Mon Oct  2 2017 tiwai@suse.de
- Update config files: set CONFIG_SND_SOC=m for arm64 (bsc#1060104).
- commit 880aeac
* Mon Oct  2 2017 tiwai@suse.de
- Update config files: update to 4.12.4
- commit 4e103ba
* Mon Oct  2 2017 jslaby@suse.cz
- x86/head: Add unwind hint annotations (bnc#1058115).
- x86/xen: Add unwind hint annotations (bnc#1058115).
- x86/xen: Fix xen head ELF annotations (bnc#1058115).
- x86/boot: Annotate verify_cpu() as a callable function
  (bnc#1058115).
- x86/head: Fix head ELF function annotations (bnc#1058115).
- x86/head: Remove unused 'bad_address' code (bnc#1058115).
- x86/head: Remove confusing comment (bnc#1058115).
- objtool: Don't report end of section error after an empty
  unwind hint (bnc#1058115).
- commit d144576
* Mon Oct  2 2017 jslaby@suse.cz
- crypto: x86/twofish - Fix RBP usage (bnc#1058115).
- crypto: sha512-avx2 - Fix RBP usage (bnc#1058115).
- crypto: x86/sha256-ssse3 - Fix RBP usage (bnc#1058115).
- crypto: x86/sha256-avx2 - Fix RBP usage (bnc#1058115).
- crypto: x86/sha256-avx - Fix RBP usage (bnc#1058115).
- crypto: x86/sha1-ssse3 - Fix RBP usage (bnc#1058115).
- crypto: x86/sha1-avx2 - Fix RBP usage (bnc#1058115).
- crypto: x86/des3_ede - Fix RBP usage (bnc#1058115).
- crypto: x86/cast6 - Fix RBP usage (bnc#1058115).
- crypto: x86/cast5 - Fix RBP usage (bnc#1058115).
- crypto: x86/camellia - Fix RBP usage (bnc#1058115).
- crypto: x86/blowfish - Fix RBP usage (bnc#1058115).
- commit 51691cb
* Sat Sep 30 2017 gqjiang@suse.com
- md/bitmap: disable bitmap_resize for file-backed bitmaps
  (bsc#1061174).
- commit a897895
* Fri Sep 29 2017 tbogendoerfer@suse.de
- IB/hfi1: Unsuccessful PCIe caps tuning should not fail driver
  load (bsc#1060463 FATE#323043).
- IB/hfi1: Check eeprom config partition validity (bsc#1060463
  FATE#323043).
- IB/mlx5: Fix NULL deference on mlx5_ib_update_xlt failure
  (bsc#1046305 FATE#322943).
- IB/ipoib: Fix sysfs Pkey create<->remove possible deadlock
  (bsc#1046307 FATE#322941).
- IB/core: Fix qp_sec use after free access (bsc#1046306
  FATE#322942).
- IB/core: Fix typo in the name of the tag-matching cap struct
  (bsc#1046306 FATE#322942).
- IB/mlx5: fix debugfs cleanup (bsc#1046305 FATE#322943).
- bnxt_en: fix clearing devlink ptr from bnxt struct (bsc#1050242
  FATE#322914).
- bnxt_re: add MAY_USE_DEVLINK dependency (bsc#1050242
  FATE#322914).
- commit ea21d80
* Fri Sep 29 2017 tbogendoerfer@suse.de
- IB/mlx5: Support IB_SRQT_TM (bsc#1046305 FATE#322943).
- net/mlx5: Add XRQ support (bsc#1046303 FATE#322944).
- IB/mlx5: Fill XRQ capabilities (bsc#1046305 FATE#322943).
- commit 3ba7f43
* Fri Sep 29 2017 tbogendoerfer@suse.de
- i40iw: Add support for port reuse on active side connections
  (bsc#1058659 FATE#322535).
- i40iw: Add missing VLAN priority (bsc#1058659 FATE#322535).
- i40iw: Call i40iw_cm_disconn on modify QP to disconnect
  (bsc#1058659 FATE#322535).
- i40iw: Prevent multiple netdev event notifier registrations
  (bsc#1058659 FATE#322535).
- i40iw: Fail open if there are no available MSI-X vectors
  (bsc#1058659 FATE#322535).
- i40iw: make some structures const (bsc#1058659 FATE#322535).
- RDMA/i40iw: Remove unused argument (bsc#1058659 FATE#322535).
- i40iw: Improve CQP timeout logic (bsc#1058659 FATE#322535).
- i40iw: fix spelling mistake: "allloc_buf" -> "alloc_buf"
  (bsc#1058659 FATE#322535).
- i40iw: Fixes for static checker warnings (bsc#1058659
  FATE#322535).
- i40iw: Simplify code (bsc#1058659 FATE#322535).
- commit 3ae25bf
* Fri Sep 29 2017 tbogendoerfer@suse.de
- Update config files.
- commit 28fee52
* Fri Sep 29 2017 tbogendoerfer@suse.de
- RDMA/vmw_pvrdma: Fix reporting correct opcodes for completion
  (bsc#1046306 FATE#322942).
- IB/ocrdma: fix incorrect fall-through on switch statement
  (bsc#1058513 FATE#322520).
- IB/ipoib: Suppress the retry related completion errors
  (bsc#1046307 FATE#322941).
- rdma core: Add rdma_rw_mr_payload() (bsc#1046306 FATE#322942).
- RDMA/netlink: clean up message validity array initializer
  (bsc#1046306 FATE#322942).
- RDAM/netlink: Fix out-of-bound access while checking message
  validity (bsc#1046306 FATE#322942).
- IB/core: Expose ioctl interface through experimental Kconfig
  (bsc#1046306 FATE#322942).
- IB/core: Assign root to all drivers (bsc#1046306 FATE#322942).
- IB/core: Add completion queue (cq) object actions (bsc#1046306
  FATE#322942).
- IB/core: Add legacy driver's user-data (bsc#1046306
  FATE#322942).
- IB/core: Export ioctl enum types to user-space (bsc#1046306
  FATE#322942).
- IB/core: Explicitly destroy an object while keeping uobject
  (bsc#1046306 FATE#322942).
- IB/core: Add macros for declaring methods and attributes
  (bsc#1046306 FATE#322942).
- IB/core: Add uverbs merge trees functionality (bsc#1046306
  FATE#322942).
- IB/core: Add DEVICE object and root tree structure (bsc#1046306
  FATE#322942).
- IB/core: Declare an object instead of declaring only type
  attributes (bsc#1046306 FATE#322942).
- IB/core: Add new ioctl interface (bsc#1046306 FATE#322942).
- RDMA/vmw_pvrdma: Fix a signedness (bsc#1046306 FATE#322942).
- RDMA/vmw_pvrdma: Report network header type in WC (bsc#1046306
  FATE#322942).
- IB/core: Add might_sleep() annotation to ib_init_ah_from_wc()
  (bsc#1046306 FATE#322942).
- IB/cm: Fix sleeping in atomic when RoCE is used (bsc#1046306
  FATE#322942).
- IB/core: Add support to finalize objects in one transaction
  (bsc#1046306 FATE#322942).
- IB/core: Add a generic way to execute an operation on a uobject
  (bsc#1046306 FATE#322942).
- IB/uverbs: Expose XRQ capabilities (bsc#1046306 FATE#322942).
- IB/uverbs: Add new SRQ type IB_SRQT_TM (bsc#1046306
  FATE#322942).
- IB/uverbs: Add XRQ creation parameter to UAPI (bsc#1046306
  FATE#322942).
- IB/core: Add new SRQ type IB_SRQT_TM (bsc#1046306 FATE#322942).
- IB/core: Add XRQ capabilities (bsc#1046306 FATE#322942).
- IB/usnic: check for allocation failure (bsc#1046306
  FATE#322942).
- commit 0db1996
* Fri Sep 29 2017 tbogendoerfer@suse.de
- IB/rxe: Handle NETDEV_CHANGE events (bsc#1050662 FATE#323951).
- IB/rxe: Avoid ICRC errors by copying into the skb first
  (bsc#1050662 FATE#323951).
- IB/rxe: Remove unneeded initialization in prepare6()
  (bsc#1050662 FATE#323951).
- IB/rxe: Fix up rxe_qp_cleanup() (bsc#1050662 FATE#323951).
- IB/rxe: Add dst_clone() in prepare_ipv6_hdr() (bsc#1050662
  FATE#323951).
- IB/rxe: Fix destination cache for IPv6 (bsc#1050662
  FATE#323951).
- IB/rxe: Fix up the responder's find_resources() function
  (bsc#1050662 FATE#323951).
- IB/rxe: Remove dangling prototype (bsc#1050662 FATE#323951).
- IB/rxe: Disable completion upcalls when a CQ is destroyed
  (bsc#1050662 FATE#323951).
- commit a819614
* Fri Sep 29 2017 tbogendoerfer@suse.de
- IB/rdmavt: Handle dereg of inuse MRs properly (bsc#1058717
  FATE#322789).
- IB/qib: Convert qp_stats debugfs interface to use new iterator
  API (bsc#1027067 FATE#322649).
- IB/hfi1: Convert qp_stats debugfs interface to use new iterator
  API (bsc#1060463 FATE#323043).
- IB/hfi1: Convert hfi1_error_port_qps() to use new QP iterator
  (bsc#1060463 FATE#323043).
- IB/rdmavt: Add QP iterator API for QPs (bsc#1058717
  FATE#322789).
- IB/hfi1: Use accessor to determine ring size (bsc#1060463
  FATE#323043).
- IB/qib: Stricter bounds checking for copy to buffer (bsc#1027067
  FATE#322649).
- IB/hif1: Remove static tracing from SDMA hot path (bsc#1060463
  FATE#323043).
- IB/hfi1: Acquire QSFP cable information on loopback (bsc#1060463
  FATE#323043).
- IB/hfi1: constify vm_operations_struct (bsc#1060463
  FATE#323043).
- IB/hfi1: Add opcode states to qp_stats (bsc#1060463
  FATE#323043).
- IB/hfi1: Add received request info to qp_stats (bsc#1060463
  FATE#323043).
- IB/hfi1: Fix whitespace alignment issue for MAD (bsc#1060463
  FATE#323043).
- IB/hfi1: Move structure and MACRO definitions in user_sdma.c
  to user_sdma.h (bsc#1060463 FATE#323043).
- IB/hfi1: Move structure definitions from user_exp_rcv.c to
  user_exp_rcv.h (bsc#1060463 FATE#323043).
- IB/hfi1: Remove duplicate definitions of num_user_pages()
  function (bsc#1060463 FATE#323043).
- IB/hfi1: Fix the bail out code in pin_vector_pages() function
  (bsc#1060463 FATE#323043).
- IB/hfi1: Clean up pin_vector_pages() function (bsc#1060463
  FATE#323043).
- IB/hfi1: Clean up user_sdma_send_pkts() function (bsc#1060463
  FATE#323043).
- IB/hfi1: Clean up hfi1_user_exp_rcv_setup function (bsc#1060463
  FATE#323043).
- IB/hfi1: Improve local kmem_cache_alloc performance (bsc#1060463
  FATE#323043).
- IB/hfi1: Ratelimit prints from sdma_interrupt (bsc#1060463
  FATE#323043).
- IB/qib: Stricter bounds checking for copy and array access
  (bsc#1027067 FATE#322649).
- IB/qib: Remove unnecessary memory allocation for boardname
  (bsc#1027067 FATE#322649).
- IB/{qib, hfi1}: Avoid flow control testing for RDMA write
  operation (bsc#1060463 FATE#323043 bsc#1027067 FATE#322649).
- IB/rdmavt: Use rvt_put_swqe() in rvt_clear_mr_ref() (bsc#1058717
  FATE#322789).
- commit 983d8f2
* Fri Sep 29 2017 tbogendoerfer@suse.de
- IB/mlx4: Remove redundant attribute in mlx4_ib_create_qp_rss
  struct (bsc#1046302 FATE#322945).
- RDMA/mlx4: Fix create qp command alignment (bsc#1046302
  FATE#322945).
- commit fbdeecb
* Fri Sep 29 2017 bp@suse.de
- x86/mm: Make the SME mask a u64 (fate#322123).
- commit 2c6cff6
* Fri Sep 29 2017 tbogendoerfer@suse.de
- net/mlx4_core: Use ARRAY_SIZE macro (bsc#1046300 FATE#322946).
- net/mlx4_core: fix incorrect size allocation for
  dev->caps.spec_qps (bsc#1046300 FATE#322946).
- net/mlx4_core: fix memory leaks on error exit path (bsc#1046300
  FATE#322946).
- net/mlx4: Add user mac FW update support (bsc#1046300
  FATE#322946).
- net/mlx4_core: Fix misplaced brackets of sizeof (bsc#1046300
  FATE#322946).
- net/mlx4_core: Make explicit conversion to 64bit value
  (bsc#1046300 FATE#322946).
- net/mlx4_core: Dynamically allocate structs at mlx4_slave_cap
  (bsc#1046300 FATE#322946).
- net/mlx4_core: make mlx4_profile const (bsc#1046300
  FATE#322946).
- net/mlx4: fix spelling mistake: "availible" -> "available"
  (bsc#1046300 FATE#322946).
- mlx4: sizeof style usage (bsc#1046300 FATE#322946).
- mlx4: remove unnecessary pci_set_drvdata() (bsc#1046300
  FATE#322946).
- mlx4_en: remove unnecessary error check (bsc#1046299
  FATE#322947).
- mlx4_en: remove unnecessary returned value (bsc#1046299
  FATE#322947).
- commit 1ab797e
* Fri Sep 29 2017 tbogendoerfer@suse.de
- IB/mlx4: fix sprintf format warning (bsc#1046302 FATE#322945).
- RDMA/mlx4: Properly annotate link layer variable (bsc#1046302
  FATE#322945).
- IB/mlx4: Check that reserved fields in mlx4_ib_create_qp_rss
  are zero (bsc#1046302 FATE#322945).
- IB/mlx4: Fix struct mlx4_ib_create_wq alignment (bsc#1046302
  FATE#322945).
- IB/mlx4: Fix RSS QP type in creation verb (bsc#1046302
  FATE#322945).
- IB/mlx4: Fix some spelling mistakes (bsc#1046302 FATE#322945).
- RDMA/mlx4: Remove gfp_mask argument from acquire_group call
  (bsc#1046302 FATE#322945).
- RDMA/mlx4: Don't use uninitialized variable (bsc#1046302
  FATE#322945).
- IB/mlx4: use kvmalloc_array to allocate wrid (bsc#1046302
  FATE#322945).
- commit 104a064
* Fri Sep 29 2017 tbogendoerfer@suse.de
- IB/core: Separate CQ handle in SRQ context (bsc#1046306
  FATE#322942).
- net/mlx5: Update HW layout definitions (bsc#1046303
  FATE#322944).
- IB/mlx5: Report mlx5 enhanced multi packet WQE capability
  (bsc#1046305 FATE#322943).
- IB/mlx5: Allow posting multi packet send WQEs if hardware
  supports (bsc#1046305 FATE#322943).
- IB/mlx5: Add support for multi underlay QP (bsc#1046305
  FATE#322943).
- IB/mlx5: Fix integer overflow when page_shift == 31 (bsc#1046305
  FATE#322943).
- IB/mlx5: Fix memory leak in clean_mr error path (bsc#1046305
  FATE#322943).
- IB/mlx5: Decouple MR allocation and population flows
  (bsc#1046305 FATE#322943).
- IB/mlx5: Enable UMR for MRs created with reg_create (bsc#1046305
  FATE#322943).
- IB/mlx5: Expose software parsing for Raw Ethernet QP
  (bsc#1046305 FATE#322943).
- RDMA/mlx5: Limit scope of get vector affinity local function
  (bsc#1046305 FATE#322943).
- IB/mlx5: Add necessary delay drop assignment (bsc#1046305
  FATE#322943).
- IB/mlx5: Fix some spelling mistakes (bsc#1046305 FATE#322943).
- IB/mlx5: use kvmalloc_array for mlx5_ib_wq (bsc#1046305
  FATE#322943).
- mlx5: Replace PCI pool old API (bsc#1046303 FATE#322944).
- mlx5: support ->get_vector_affinity (bsc#1046305 FATE#322943).
- mlx5: move affinity hints assignments to generic code
  (bsc#1046303 FATE#322944).
- mlx5e: don't assume anything on the irq affinity mappings of
  the device (bsc#1046303 FATE#322944).
- mlx5: convert to generic pci_alloc_irq_vectors (bsc#1046303
  FATE#322944).
- commit 24ced8f
* Fri Sep 29 2017 tbogendoerfer@suse.de
- RDMA/nes: Remove zeroed parameter from port query callback
  (bsc#1046306 FATE#322942).
- IB/rxe: Make rxe_counter_name static (bsc#1050662 FATE#323951).
- IB/ipoib: Sync between remove_one to sysfs calls that use
  rtnl_lock (bsc#1046307 FATE#322941).
- RDMA/mthca: Make explicit conversion to 64bit value (bsc#1046306
  FATE#322942).
- RDMA/usnic: Fix remove address space warning (bsc#1046306
  FATE#322942).
- RDMA/core: Refactor get link layer wrapper (bsc#1046306
  FATE#322942).
- RDMA/core: Delete BUG() from unreachable flow (bsc#1046306
  FATE#322942).
- RDMA/core: Cleanup device capability enum (bsc#1046306
  FATE#322942).
- RDMA/(core, ulp): Convert register/unregister event handler
  to be void (bsc#1046306 FATE#322942).
- IB/uverbs: Introduce and use helper functions to copy ah
  attributes (bsc#1046306 FATE#322942).
- IB/cma: Fix erroneous validation of supported default GID type
  (bsc#1046306 FATE#322942).
- IB: Avoid ib_modify_port() failure for RoCE devices (bsc#1046306
  FATE#322942).
- RDMA/vmw_pvrdma: Update device query parameters and port caps
  (bsc#1046306 FATE#322942).
- RDMA/vmw_pvrdma: Add RoCEv2 support (bsc#1046306 FATE#322942).
- IB/ipoib: Enable ioctl for to IPoIB rdma netdevs (bsc#1046307
  FATE#322941).
- rdma: Autoload netlink client modules (bsc#1046306 FATE#322942).
- rdma: Allow demand loading of NETLINK_RDMA (bsc#1046306
  FATE#322942).
- IB/pvrdma: Remove unused function (bsc#1046306 FATE#322942).
- IB/mthca: Replace PCI pool old API (bsc#1046306 FATE#322942).
- infiniband: avoid overflow warning (bsc#1046306 FATE#322942).
- IB/rxe: Remove unneeded check (bsc#1050662 FATE#323951).
- IB/rxe: Convert pr_info to pr_warn (bsc#1050662 FATE#323951).
- commit 88ef93a
* Fri Sep 29 2017 tbogendoerfer@suse.de
- IB/hfi1: Add kernel receive context info to debugfs (bsc#1060463
  FATE#323043).
- IB/hfi1: Remove HFI1_VERBS_31BIT_PSN option (bsc#1060463
  FATE#323043).
- IB/hfi1: Remove pstate from hfi1_pportdata (bsc#1060463
  FATE#323043).
- IB/hfi1: Stricter bounds checking of MAD trap index (bsc#1060463
  FATE#323043).
- IB/hfi1: Load fallback platform configuration per HFI device
  (bsc#1060463 FATE#323043).
- IB/hfi1: Add flag for platform config scratch register read
  (bsc#1060463 FATE#323043).
- IB/hfi1: Document phys port state bits not used in IB
  (bsc#1060463 FATE#323043).
- IB/hfi1: Check xchg returned value for queuing link down entry
  (bsc#1060463 FATE#323043).
- IB/hfi1: fix spelling mistake: "Maximim" -> "Maximum"
  (bsc#1060463 FATE#323043).
- IB/hfi1: Enable RDMA_CAP_OPA_AH in hfi driver to support
  extended LIDs (bsc#1060463 FATE#323043).
- IB/hfi1: Enhance PIO/SDMA send for 16B (bsc#1060463
  FATE#323043).
- IB/hfi1: Add 16B RC/UC support (bsc#1060463 FATE#323043).
- IB/rdmavt, hfi1, qib: Enhance rdmavt and hfi1 to use 32 bit lids
  (bsc#1060463 FATE#323043 bsc#1027067 FATE#322649 bsc#1058717
  FATE#322789).
- IB/hfi1: Add 16B trace support (bsc#1060463 FATE#323043).
- IB/hfi1: Add 16B UD support (bsc#1060463 FATE#323043).
- IB/hfi1: Determine 9B/16B L2 header type based on Address handle
  (bsc#1060463 FATE#323043).
- IB/hfi1: Add support to process 16B header errors (bsc#1060463
  FATE#323043).
- IB/hfi1: Add support to send 16B bypass packets (bsc#1060463
  FATE#323043).
- IB/hfi1: Add support to receive 16B bypass packets (bsc#1060463
  FATE#323043).
- IB/rdmavt, hfi1, qib: Modify check_ah() to account for
  extended LIDs (bsc#1060463 FATE#323043 bsc#1027067 FATE#322649
  bsc#1058717 FATE#322789).
- IB/hf1: User context locking is inconsistent (bsc#1060463
  FATE#323043).
- IB/hfi1: Protect context array set/clear with spinlock
  (bsc#1060463 FATE#323043).
- IB/hfi1: Use host_link_state to read state when DC is shut down
  (bsc#1060463 FATE#323043).
- IB/hfi1: Remove lstate from hfi1_pportdata (bsc#1060463
  FATE#323043).
- IB/hfi1: Remove pmtu from the QP structure (bsc#1060463
  FATE#323043).
- IB/hfi1: Revert egress pkey check enforcement (bsc#1060463
  FATE#323043).
- IB/hfi1: add const to bin_attribute structures (bsc#1060463
  FATE#323043).
- IB/qib: add const to bin_attribute structures (bsc#1027067
  FATE#322649).
- IB/hfi1: fix spelling mistake in variable name continious
  (bsc#1060463 FATE#323043).
- IB/qib: fix spelling mistake: "failng" -> "failing" (bsc#1027067
  FATE#322649).
- commit 043fee2
* Fri Sep 29 2017 tbogendoerfer@suse.de
- IB/core: Fix input len in multiple user verbs (bsc#1046306
  FATE#322942).
- Add OPA extended LID support (bsc#1046306 FATE#322942).
- infiniband: pvrdma: constify pci_device_id (bsc#1046306
  FATE#322942).
- infiniband: nes: constify pci_device_id (bsc#1046306
  FATE#322942).
- infiniband: mthca: constify pci_device_id (bsc#1046306
  FATE#322942).
- PCI/IB: add support for pci driver attribute groups (bsc#1046306
  FATE#322942).
- iwcm: Don't allocate iwcm workqueue with WQ_MEM_RECLAIM
  (bsc#1046306 FATE#322942).
- cm: Don't allocate ib_cm workqueue with WQ_MEM_RECLAIM
  (bsc#1046306 FATE#322942).
- RDMA/core: make ib_device.add method optional (bsc#1046306
  FATE#322942).
- RDMA/netlink: Export node_type (bsc#1046306 FATE#322942).
- RDMA/netlink: Provide port state and physical link state
  (bsc#1046306 FATE#322942).
- RDMA/netlink: Export LID mask control (LMC) (bsc#1046306
  FATE#322942).
- RDMA/netink: Export lids and sm_lids (bsc#1046306 FATE#322942).
- RDMA/netlink: Advertise IB subnet prefix (bsc#1046306
  FATE#322942).
- RDMA/netlink: Export node_guid and sys_image_guid (bsc#1046306
  FATE#322942).
- RDMA/netlink: Export FW version (bsc#1046306 FATE#322942).
- RDMA: Simplify get firmware interface (bsc#1046306 FATE#322942).
- RDMA/netlink: Expose device and port capability masks
  (bsc#1046306 FATE#322942).
- RDMA/netlink: Implement nldev port doit callback (bsc#1046306
  FATE#322942).
- RDMA/netlink: Add nldev port dumpit implementation (bsc#1046306
  FATE#322942).
- RDMA/netlink: Add nldev device doit implementation (bsc#1046306
  FATE#322942).
- RDMA/netlink: Implement nldev device dumpit calback (bsc#1046306
  FATE#322942).
- RDMA/netlink: Add nldev initialization flows (bsc#1046306
  FATE#322942).
- RDMA/netlink: Add netlink device definitions to UAPI
  (bsc#1046306 FATE#322942).
- RDMA/netlink: Update copyright (bsc#1046306 FATE#322942).
- RDMA/netlink: Convert LS to doit callback (bsc#1046306
  FATE#322942).
- RDMA/netlink: Reduce indirection access to cb_table (bsc#1046306
  FATE#322942).
- RDMA/netlink: Add and implement doit netlink callback
  (bsc#1046306 FATE#322942).
- RDMA/core: Add and expose static device index (bsc#1046306
  FATE#322942).
- RDMA/core: Add iterator over ib_devices (bsc#1046306
  FATE#322942).
- RDMA/netlink: Rename netlink callback struct (bsc#1046306
  FATE#322942).
- RDMA/netlink: Simplify and rename ibnl_chk_listeners
  (bsc#1046306 FATE#322942).
- RDMA/netlink: Rename and remove redundant parameter from
  ibnl_multicast (bsc#1046306 FATE#322942).
- RDMA/netlink: Rename and remove redundant parameter from
  ibnl_unicast* (bsc#1046306 FATE#322942).
- RDMA/netlink: Simplify the put_msg and put_attr (bsc#1046306
  FATE#322942).
- RDMA/netlink: Add flag to consolidate common handling
  (bsc#1046306 FATE#322942).
- RDMA/iwcm: Remove extra EXPORT_SYMBOLS (bsc#1046306
  FATE#322942).
- RDMA/iwcm: Remove useless check of netlink client validity
  (bsc#1046306 FATE#322942).
- RDMA/netlink: Avoid double pass for RDMA netlink messages
  (bsc#1046306 FATE#322942).
- RDMA/netlink: Remove redundant owner option for netlink
  callbacks (bsc#1046306 FATE#322942).
- RDMA/netlink: Remove netlink clients infrastructure (bsc#1046306
  FATE#322942).
- RDMA/core: Add wait/retry version of ibnl_unicast (bsc#1046306
  FATE#322942).
- RDMA/core: expose affinity mappings per completion vector
  (bsc#1046306 FATE#322942).
- IB/CM: Set appropriate slid and dlid when handling CM request
  (bsc#1046306 FATE#322942).
- IB/CM: Create appropriate path records when handling CM request
  (bsc#1046306 FATE#322942).
- IB/CM: Add OPA Path record support to CM (bsc#1046306
  FATE#322942).
- IB/core: Change wc.slid from 16 to 32 bits (bsc#1046306
  FATE#322942).
- IB/core: Change port_attr.sm_lid from 16 to 32 bits (bsc#1046306
  FATE#322942).
- IB/core: Change port_attr.lid size from 16 to 32 bits
  (bsc#1046306 FATE#322942).
- IB/mad: Change slid in RMPP recv from 16 to 32 bits (bsc#1046306
  FATE#322942).
- IB/IPoIB: Increase local_lid to 32 bits (bsc#1046306
  FATE#322942).
- IB/srpt: Increase lid and sm_lid to 32 bits (bsc#1046306
  FATE#322942).
- IB/core: Convert ah_attr from OPA to IB when copying to user
  (bsc#1046306 FATE#322942).
- IB: nes: convert to use DRIVER_ATTR_RW (bsc#1046306
  FATE#322942).
- commit 0b03922
* Fri Sep 29 2017 jroedel@suse.de
- iommu/vt-d: Avoid calling virt_to_phys() on null pointer
  (bsc#1061067).
- commit 1047702
* Fri Sep 29 2017 tbogendoerfer@suse.de
- Delete
  patches.drivers/RDMA-Simplify-get-firmware-interface.patch.
- commit 60fa778
* Fri Sep 29 2017 tbogendoerfer@suse.de
- IB/hfi1: Always perform offline transition (bsc#1060463
  FATE#323043).
- IB/hfi1: Prevent link down request double queuing (bsc#1060463
  FATE#323043).
- IB/hfi1: Create workqueue for link events (bsc#1060463
  FATE#323043).
- IB/hfi1: Disambiguate corruption and uninitialized error cases
  (bsc#1060463 FATE#323043).
- IB/hfi1: Only set fd pointer when base context is completely
  initialized (bsc#1060463 FATE#323043).
- IB/hfi1: Do not enable disabled port on cable insert
  (bsc#1060463 FATE#323043).
- IB/hfi1: Harden state transition to Armed and Active
  (bsc#1060463 FATE#323043).
- IB/hfi1: Split copy_to_user data copy for better security
  (bsc#1060463 FATE#323043).
- IB/hfi1: Verify port data VLs credits on transition to Armed
  (bsc#1060463 FATE#323043).
- IB/hfi1: Move saving PCI values to a separate function
  (bsc#1060463 FATE#323043).
- IB/hfi1: Fix initialization failure for debug firmware
  (bsc#1060463 FATE#323043).
- IB/hfi1: Fix code consistency for if/else blocks in chip.c
  (bsc#1060463 FATE#323043).
- IB/hfi1: Send MAD traps until repressed (bsc#1060463
  FATE#323043).
- IB/hfi1: Pass the context pointer rather than the index
  (bsc#1060463 FATE#323043).
- IB/hfi1: Use context pointer rather than context index
  (bsc#1060463 FATE#323043).
- IB/hfi1: Size rcd array index correctly and consistently
  (bsc#1060463 FATE#323043).
- IB/hfi1: Remove unused user context data members (bsc#1060463
  FATE#323043).
- IB/hfi1: Assign context does not clean up file descriptor
  correctly on error (bsc#1060463 FATE#323043).
- IB/hfi1: Serve the most starved iowait entry first (bsc#1060463
  FATE#323043).
- IB/hfi1: Fix bar0 mapping to use write combining (bsc#1060463
  FATE#323043).
- IB/hfi1: Check return values from PCI config API calls
  (bsc#1060463 FATE#323043).
- IB/hfi1: Add receiving queue info to qp_stats (bsc#1060463
  FATE#323043).
- IB/qib: remove duplicate code (bsc#1027067 FATE#322649).
- commit 6163efb
* Fri Sep 29 2017 jroedel@suse.de
- PCI: pciehp: Report power fault only once until we clear it
  (bsc#1061046).
- commit c7e1a71
* Fri Sep 29 2017 tbogendoerfer@suse.de
- bnxt_en: fix switchdev port naming for external-port-rep and
  vf-reps (bsc#1050242 FATE#322914).
- bnxt_en: use SWITCHDEV_SET_OPS() for setting
  vf_rep_switchdev_ops (bsc#1050242 FATE#322914).
- bnxt_en: include bnxt_vfr.c code under CONFIG_BNXT_SRIOV switch
  (bsc#1050242 FATE#322914).
- bnxt: fix unused variable warnings (bsc#1050242 FATE#322914).
- bnxt: fix unsigned comparsion with 0 (bsc#1050242 FATE#322914).
- bnxt_en: Use SWITCHDEV_SET_OPS() (bsc#1050242 FATE#322914).
- bnxt_en: add support for port_attr_get and and
  get_phys_port_name (bsc#1050242 FATE#322914).
- bnxt_en: add vf-rep RX/TX and netdev implementation (bsc#1050242
  FATE#322914).
- bnxt_en: add support to enable VF-representors (bsc#1050242
  FATE#322914).
- bnxt_en: Set ETS min_bw parameter for older firmware
  (bsc#1050242 FATE#322914).
- bnxt_en: Report firmware DCBX agent (bsc#1050242 FATE#322914).
- bnxt_en: Allow the user to set ethtool stats-block-usecs to 0
  (bsc#1050242 FATE#322914).
- bnxt_en: Add bnxt_get_num_stats() to centrally get the number
  of ethtool stats (bsc#1050242 FATE#322914).
- bnxt_en: Implement ndo_bridge_{get|set}link methods (bsc#1050242
  FATE#322914).
- bnxt_en: Retrieve the hardware bridge mode from the firmware
  (bsc#1050242 FATE#322914).
- bnxt_en: Update firmware interface spec to 1.8.0 (bsc#1050242
  FATE#322914).
- commit aa23996
* Fri Sep 29 2017 tbogendoerfer@suse.de
- RDMA/bnxt_re: remove unnecessary call to memset (bsc#1050244
  FATE#322915).
- RDMA: Fix return value check for ib_get_eth_speed() (bsc#1050244
  FATE#322915).
- RDMA/bnxt_re: Implement the alloc/get_hw_stats callback
  (bsc#1050244 FATE#322915).
- RDMA/bnxt_re: Allocate multiple notification queues (bsc#1050244
  FATE#322915).
- RDMA/bnxt_re: fix spelling mistake: "Deallocte" -> "Deallocate"
  (bsc#1050244 FATE#322915).
- RDMA/bnxt_re: Allow posting when QPs are in error (bsc#1050244
  FATE#322915).
- RDMA/bnxt_re: Add vlan tag for untagged RoCE traffic when PFC
  is configured (bsc#1050244 FATE#322915).
- RDMA/bnxt_re: Delete unsupported modify_port function
  (bsc#1050244 FATE#322915).
- commit 94e058a
* Fri Sep 29 2017 tbogendoerfer@suse.de
- IB/cma: Fix default RoCE type setting (bsc#1046306 FATE#322942).
- IB/core: Add generic function to extract IB speed from netdev
  (bsc#1046306 FATE#322942).
- IB/usnic: Implement get_netdev hook (bsc#1046306 FATE#322942).
- IB/cma: Set default gid type to RoCEv2 (bsc#1046306
  FATE#322942).
- commit 1582933
* Fri Sep 29 2017 tbogendoerfer@suse.de
- mlx4: Replace PCI pool old API (bsc#1046300 FATE#322946).
- IB/mlx4: Expose RSS capabilities (bsc#1046302 FATE#322945).
- IB/mlx4: Add support for RSS QP (bsc#1046302 FATE#322945).
- IB/mlx4: Add support for WQ indirection table related verbs
  (bsc#1046302 FATE#322945).
- IB/mlx4: Add support for WQ related verbs (bsc#1046302
  FATE#322945).
- (IB, net)/mlx4: Add resource utilization support (bsc#1046302
  FATE#322945 bsc#1046300 FATE#322946 bsc#1046299 FATE#322947).
- IB/mlx4: Add inline-receive support (bsc#1046302 FATE#322945).
- commit 8e2d33f
* Fri Sep 29 2017 tbogendoerfer@suse.de
- net/mlx5: fix spelling mistake: "alloated" -> "allocated"
  (bsc#1046303 FATE#322944).
- IB/mlx5: Expose extended error counters (bsc#1046305
  FATE#322943).
- IB/mlx5: Fix cached MR allocation flow (bsc#1046305
  FATE#322943).
- IB/mlx5: Report RX checksum capabilities for IPoIB (bsc#1046305
  FATE#322943).
- net/mlx5: Report enhanced capabilities for IPoIB (bsc#1046303
  FATE#322944).
- IB/mlx5: Add multicast flow steering support for underlay QP
  (bsc#1046305 FATE#322943).
- IB/mlx5: Add support for QP with a given source QPN (bsc#1046305
  FATE#322943).
- IB/mlx5: Add delay drop configuration and statistics
  (bsc#1046305 FATE#322943).
- IB/mlx5: Add support to dropless RQ (bsc#1046305 FATE#322943).
- net/mlx5: Introduce general notification event (bsc#1046303
  FATE#322944).
- net/mlx5: Introduce set delay drop command (bsc#1046303
  FATE#322944).
- IB/mlx5: Restore IB guid/policy for virtual functions
  (bsc#1046305 FATE#322943).
- IB/mlx5: Add debug control parameters for congestion control
  (bsc#1046305 FATE#322943).
- IB/mlx5: Change logic for dispatching IB events for port state
  (bsc#1046305 FATE#322943).
- net/mlx5e: Enable local loopback in loopback selftest
  (bsc#1046303 FATE#322944).
- IB/mlx5: Add raw ethernet local loopback support (bsc#1046305
  FATE#322943).
- net/mlx5: Add raw ethernet local loopback firmware command
  (bsc#1046303 FATE#322944).
- commit 08c6c4f
* Fri Sep 29 2017 jroedel@suse.de
- KVM: VMX: do not change SN bit in vmx_update_pi_irte()
  (bsc#1061017).
- KVM: nVMX: Update vmcs12->guest_linear_address on nested VM-exit
  (bsc#1061017).
- KVM: async_pf: Fix #DF due to inject "Page not Present" and
  "Page Ready" exceptions simultaneously (bsc#1061017).
- KVM: VMX: remove WARN_ON_ONCE in
  kvm_vcpu_trigger_posted_interrupt (bsc#1061017).
- KVM: SVM: Add a missing 'break' statement (bsc#1061017).
- commit 037fe31
* Fri Sep 29 2017 jroedel@suse.de
- Delete patches.arch/0002-KVM-Don-t-accept-obviously-wrong-gsi-values-via-KVM_.patch.
  Patch was reverted upstream.
- commit b3eafff
* Fri Sep 29 2017 jroedel@suse.de
- Refresh patches.arch/0001-KVM-VMX-Do-not-BUG-on-out-of-bounds-guest-IRQ.patch.
  Add upstream commit-id and Patch-mainline information.
- commit 546cb89
* Thu Sep 28 2017 mgorman@suse.de
- Update config files.
- commit e7bab09
* Wed Sep 27 2017 dbueso@suse.de
- kvm,mips: Fix potential swait_active() races (bsc#1060747).
- kvm,powerpc: Serialize wq active checks in ops->vcpu_kick
  (bsc#1060747).
- kvm: Serialize wq active checks in kvm_vcpu_wake_up()
  (bsc#1060747).
- kvm,x86: Fix apf_task_wake_one() wq serialization (bsc#1060747).
- kvm,lapic: Justify use of swait_active() (bsc#1060747).
- kvm,async_pf: Use swq_has_sleeper() (bsc#1060747).
- sched/wait: Add swq_has_sleeper() (bsc#1060747).
- swait: Add idle variants which don't contribute to load average
  (bsc#1060747).
- commit e57f3cb
* Wed Sep 27 2017 jslaby@suse.cz
- Linux 4.12.14 (bnc#1060662).
- ipv6: accept 64k - 1 packet length in ip6_find_1stfragopt()
  (bnc#1060662).
- ipv6: add rcu grace period before freeing fib6_node
  (bnc#1060662).
- ipv6: fix sparse warning on rt6i_node (bnc#1060662).
- macsec: add genl family module alias (bnc#1060662).
- udp: on peeking bad csum, drop packets even if not at head
  (bnc#1060662).
- bpf: fix map value attribute for hash of maps (bnc#1060662).
- fsl/man: Inherit parent device and of_node (bnc#1060662).
- sctp: Avoid out-of-bounds reads from address storage
  (bnc#1060662).
- tipc: Fix tipc_sk_reinit handling of -EAGAIN (bnc#1060662).
- net: systemport: Be drop monitor friendly (bnc#1060662).
- net: bcmgenet: Be drop monitor friendly (bnc#1060662).
- net: systemport: Free DMA coherent descriptors on errors
  (bnc#1060662).
- netvsc: fix deadlock betwen link status and removal
  (bnc#1060662).
- udp6: set rx_dst_cookie on rx_dst updates (bnc#1060662).
- net: mvpp2: fix the mac address used when using PPv2.2
  (bnc#1060662).
- ipv6: set dst.obsolete when a cached route has expired
  (bnc#1060662).
- ipv6: do not set sk_destruct in IPV6_ADDRFORM sockopt
  (bnc#1060662).
- packet: Don't write vnet header beyond end of buffer
  (bnc#1060662).
- kcm: do not attach PF_KCM sockets to avoid deadlock
  (bnc#1060662).
- net: dsa: bcm_sf2: Fix number of CFP entries for BCM7278
  (bnc#1060662).
- Revert "net: phy: Correctly process PHY_HALTED in
  phy_stop_machine()" (bnc#1060662).
- net: fec: Allow reception of frames bigger than 1522 bytes
  (bnc#1060662).
- mlxsw: spectrum: Forbid linking to devices that have uppers
  (bnc#1060662).
- bridge: switchdev: Clear forward mark when transmitting packet
  (bnc#1060662).
- Revert "net: use lib/percpu_counter API for fragmentation mem
  accounting" (bnc#1060662).
- Revert "net: fix percpu memory leaks" (bnc#1060662).
- gianfar: Fix Tx flow control deactivation (bnc#1060662).
- vhost_net: correctly check tx avail during rx busy polling
  (bnc#1060662).
- ip6_gre: update mtu properly in ip6gre_err (bnc#1060662).
- ipv6: fix memory leak with multiple tables during netns
  destruction (bnc#1060662).
- ipv6: fix typo in fib6_net_exit() (bnc#1060662).
- sctp: fix missing wake ups in some situations (bnc#1060662).
- f2fs: let fill_super handle roll-forward errors (bnc#1060662).
- f2fs: check hot_data for roll-forward recovery (bnc#1060662).
- x86/fsgsbase/64: Fully initialize FS and GS state in
  start_thread_common (bnc#1060662).
- x86/fsgsbase/64: Report FSBASE and GSBASE correctly in core
  dumps (bnc#1060662).
- x86/switch_to/64: Rewrite FS/GS switching yet again to fix
  AMD CPUs (bnc#1060662).
- fuse: allow server to run in different pid_ns (bnc#1060662).
- idr: remove WARN_ON_ONCE() when trying to replace negative ID
  (bnc#1060662).
- md/raid1/10: reset bio allocated from mempool (bnc#1060662).
- md/raid5: release/flush io in raid5_do_work() (bnc#1060662).
- ipv6: Fix may be used uninitialized warning in rt6_check
  (bnc#1060662).
- Refresh
  patches.drivers/net-sock-factor-out-dequeue-peek-with-offset-code.patch.
- Refresh
  patches.suse/0001-x86-entry-64-Refactor-IRQ-stacks-and-make-them-NMI-s.patch.
- commit ffd2366
* Wed Sep 27 2017 mgorman@suse.de
- mm: hugetlb: clear target sub-page last when clearing huge page
  (bnc#971975 VM performance -- thp).
- commit ba31982
* Wed Sep 27 2017 jack@suse.cz
- Disable CONFIG_DEBUG_LIST (bsc#1060256)
  CONFIG_DEBUG_LIST adds some consistency checks into list handling
  operations. Additional fetches resulting from this are visible in the
  perf profile accounting for about 3.5%% of the pagecache truncation path.
  Disable the option to avoid the overhead as it was enabled more or less
  inadvertedly.
  We also have to disable CONFIG_BUG_ON_DATA_CORRUPTION as that selects
  CONFIG_DEBUG_LIST.
- commit 1748d9c
* Tue Sep 26 2017 tbogendoerfer@suse.de
- IB/core: Fix for core panic (bsc#1046306 FATE#322942).
- IB/{rdmavt, hfi1, qib}: Fix panic with post receive and SGE
  compression (bsc#1058717 FATE#322789).
- commit 92c6c71
* Tue Sep 26 2017 tbogendoerfer@suse.de
- IB/uverbs: Enable QP creation with a given source QP number
  (bsc#1046306 FATE#322942).
- IB/core: Enable QP creation with a given source QP number
  (bsc#1046306 FATE#322942).
- IB/core: Add support for RoCEv2 multicast (bsc#1046306
  FATE#322942).
- IB/core: Set RoCEv2 MGID according to spec (bsc#1046306
  FATE#322942).
- IB/core: Fix the validations of a multicast LID in attach or
  detach operations (bsc#1046306 FATE#322942).
- IB/core: Introduce delay drop for a WQ (bsc#1046306
  FATE#322942).
- commit 4537464
* Tue Sep 26 2017 tbogendoerfer@suse.de
- IB/rxe: Constify static rxe_vm_ops (bsc#1050662 FATE#323951).
- IB/rxe: Use __func__ to print function's name (bsc#1050662
  FATE#323951).
- IB/rxe: Use DEVICE_ATTR_RO macro to show parent field
  (bsc#1050662 FATE#323951).
- IB/rxe: Prefer 'unsigned int' to bare use of 'unsigned'
  (bsc#1050662 FATE#323951).
- IB/rxe: Use "foo *bar" instead of "foo * bar" (bsc#1050662
  FATE#323951).
- commit fab70b3
* Tue Sep 26 2017 tbogendoerfer@suse.de
- IB/hfi1: Handle missing magic values in config file (bsc#1060463
  FATE#323043).
- IB/hfi1: Resolve kernel panics by reference counting receive
  contexts (bsc#1060463 FATE#323043).
- IB/hfi1: Initialize TID lists to avoid crash on cleanup
  (bsc#1060463 FATE#323043).
- IB/qib: Replace deprecated pci functions with new API
  (bsc#1027067 FATE#322649).
- IB/hfi1: Add traces for TID operations (bsc#1060463
  FATE#323043).
- IB/hfi1: Use a template for tid reg/unreg (bsc#1060463
  FATE#323043).
- IB/hfi1: Remove reading platform configuration from EFI variable
  (bsc#1060463 FATE#323043).
- IB/hfi1: Create common expected receive verbs/PSM code
  (bsc#1060463 FATE#323043).
- IB/hfi1: Set proper logging levels on QSFP cable error events
  (bsc#1060463 FATE#323043).
- IB/hfi1: Fix DC 8051 host info flag array (bsc#1060463
  FATE#323043).
- IB/hfi1,qib: Do not send QKey trap for UD qps (bsc#1060463
  FATE#323043).
- IB/hfi1: Modify handling of physical link state by Host Driver
  (bsc#1060463 FATE#323043).
- IB/core: Allow QP state transition from reset to error
  (bsc#1046306 FATE#322942).
- IB/hfi1: Add error checking for buffer overrun in OPA aggregate
  (bsc#1060463 FATE#323043).
- IB/hfi1: Remove subtraction of uninitialized value (bsc#1060463
  FATE#323043).
- IB/hfi1: Use QPN mask to avoid overflow (bsc#1060463
  FATE#323043).
- IB/hfi1: Fix spelling mistake in linkdown reason (bsc#1060463
  FATE#323043).
- IB/rdmavt: Remove duplicated functions (bsc#1058717
  FATE#322789).
- IB/hfi1: Fix up sdma_init function comment (bsc#1060463
  FATE#323043).
- IB/hfi1: Reclassify type of messages printed for platform
  config logic (bsc#1060463 FATE#323043).
- IB/hfi1: Remove atomic SDMA_REQ_HAS_ERROR bit operation
  (bsc#1060463 FATE#323043).
- IB/hfi1: Remove atomic SDMA_REQ_SEND_DONE bit operation
  (bsc#1060463 FATE#323043).
- IB/core,rdmavt,hfi1,opa-vnic: Send OPA cap_mask3 in trap
  (bsc#1060463 FATE#323043 bsc#1058717 FATE#322789 bsc#1046306
  FATE#322942).
- IB/hfi1: Replace deprecated pci functions with new API
  (bsc#1060463 FATE#323043).
- IB/hfi1: Name function prototype parameters for affinity module
  (bsc#1060463 FATE#323043).
- IB/hfi1: Optimize cachelines for user SDMA request structure
  (bsc#1060463 FATE#323043).
- IB/hfi1: Don't remove RB entry when not needed (bsc#1060463
  FATE#323043).
- IB/rdmavt: Compress adjacent SGEs in rvt_lkey_ok() (bsc#1058717
  FATE#322789).
- IB/hfi1: Setup common IB fields in hfi1_packet struct
  (bsc#1060463 FATE#323043).
- IB/hfi1: Separate input/output header tracing (bsc#1060463
  FATE#323043).
- IB/hfi1: Add functions to parse BTH/IB headers (bsc#1060463
  FATE#323043).
- IB/hfi1: Remove unused mk_qpn function (bsc#1060463
  FATE#323043).
- IB/hfi1: Remove unnecessary initialization from tx request
  (bsc#1060463 FATE#323043).
- commit 0a0be08
* Tue Sep 26 2017 bp@suse.de
- EDAC: Add owner check to the x86 platform drivers (bsc#1042420).
- Update config files.
- EDAC: Add helper which returns the loaded platform driver
  (bsc#1042420).
- EDAC, ghes: Add platform check (bsc#1042420).
- EDAC, ghes: Model a single, logical memory controller
  (bsc#1042420).
- EDAC, ghes: Remove symbol exports (bsc#1042420).
- intel_pstate: convert to use acpi_match_platform_list()
  (bsc#1042420).
- commit 0ef43b8
* Tue Sep 26 2017 tonyj@suse.de
- Refresh
  patches.arch/perf-vendor-events-powerpc-remove-duplicate-events.patch.
- commit 7117699
* Tue Sep 26 2017 tbogendoerfer@suse.de
- nfp: only use direct firmware requests (bsc#1055968).
- nfp: look for firmware image by device serial number and PCI
  name (bsc#1055968).
- nfp: remove the probe deferral when FW not present
  (bsc#1055968).
- nfp: set config bit (ifup/ifdown) on netdev open/close
  (bsc#1055968).
- commit 2e0e280
* Tue Sep 26 2017 tbogendoerfer@suse.de
- cxgb4: ethtool forward error correction management support
  (bsc#1046540 FATE#322930).
- cxgb4: core hardware/firmware support for Forward Error
  Correction on a link (bsc#1046540 FATE#322930).
- net: ethtool: add support for forward error correction modes
  (bsc#1046540 FATE#322930).
- cxgb4: display serial config and vpd versions (bsc#1046540
  FATE#322930).
- cxgb4: Update register ranges of T4/T5/T6 adapters (bsc#1046540
  FATE#322930).
- cxgb4: Remove some dead code (bsc#1046540 FATE#322930).
- commit 8b2ccca
* Tue Sep 26 2017 tbogendoerfer@suse.de
- RDMA: Simplify get firmware interface (bsc#1046543 FATE#322927).
- RDMA: Remove useless MODULE_VERSION (bsc#1046543 FATE#322927).
- commit 28a0467
* Tue Sep 26 2017 jthumshirn@suse.de
- fs/fcntl: use copy_to/from_user() for u64 types (FATE#323952,
  FATE#322506).
- commit aa1d84c
* Mon Sep 25 2017 jslaby@suse.cz
- x86/asm: Fix inline asm call constraints for Clang
  (bnc#1058115).
- objtool: Handle another GCC stack pointer adjustment bug
  (bnc#1058115).
- commit a2e1012
* Mon Sep 25 2017 jslaby@suse.cz
- Linux 4.12.13 (bnc#1060662).
- mtd: nand: make Samsung SLC NAND usable again (bnc#1060662).
- mtd: nand: hynix: add support for 20nm NAND chips (bnc#1060662).
- mtd: nand: mxc: Fix mxc_v1 ooblayout (bnc#1060662).
- mtd: nand: qcom: fix read failure without complete bootchain
  (bnc#1060662).
- mtd: nand: qcom: fix config error for BCH (bnc#1060662).
- nvme-fabrics: generate spec-compliant UUID NQNs (bnc#1060662).
- btrfs: resume qgroup rescan on rw remount (bnc#1060662).
- rtlwifi: btcoexist: Fix breakage of ant_sel for rtl8723be
  (bnc#1060662).
- radix-tree: must check __radix_tree_preload() return value
  (bnc#1060662).
- selftests/x86/fsgsbase: Test selectors 1, 2, and 3
  (bnc#1060662).
- mm: kvfree the swap cluster info if the swap file is
  unsatisfactory (bnc#1060662).
- mm/swapfile.c: fix swapon frontswap_map memory leak on error
  (bnc#1060662).
- mm/memory.c: fix mem_cgroup_oom_disable() call missing
  (bnc#1060662).
- ALSA: msnd: Optimize / harden DSP and MIDI loops (bnc#1060662).
- KVM: SVM: Limit PFERR_NESTED_GUEST_PAGE error_code check to
  L1 guest (bnc#1060662).
- Bluetooth: Properly check L2CAP config option output buffer
  length (bnc#1060662 bnc#1057389 CVE-2017-1000251).
- ARM64: dts: marvell: armada-37xx: Fix GIC maintenance interrupt
  (bnc#1060662).
- ARM: 8692/1: mm: abort uaccess retries upon fatal signal
  (bnc#1060662).
- NFS: Fix 2 use after free issues in the I/O code (bnc#1060662).
- NFS: Sync the correct byte range during synchronous writes
  (bnc#1060662).
- NFSv4: Fix up mirror allocation (bnc#1060662).
- xfs: XFS_IS_REALTIME_INODE() should be false if no rt device
  present (bnc#1060662).
- commit 5f5d623
* Mon Sep 25 2017 jthumshirn@suse.de
- PCI: Split ->reset_notify() method into ->reset_prepare()
  and ->reset_done() (FATE#323952, FATE#322506).
- fs: add fcntl() interface for setting/getting write life time
  hints (FATE#323952, FATE#322506).
- lightnvm: propagate right error code to target (FATE#323952,
  FATE#322506).
- nvme: Allocate queues for all possible CPUs (FATE#323952,
  FATE#322506).
- nvme: Don't allow to reset a reconnecting controller
  (FATE#323952, FATE#322506).
- nvme: Makefile: remove dead build rule (FATE#323952,
  FATE#322506).
- nvme: Move transports to use nvme-core workqueue (FATE#323952,
  FATE#322506).
- nvme: Quirks for PM1725 controllers (FATE#323952, FATE#322506).
- nvme: Remove SCSI translations (FATE#323952, FATE#322506,
  FATE#323537).
- nvme: add fields into identify controller data structure
  (FATE#323952, FATE#322506).
- nvme: add hostid token to fabric options (FATE#323952,
  FATE#322506).
- nvme: add support for streams and directives (FATE#323952,
  FATE#322506).
- nvme: also provide a UUID in the WWID sysfs attribute
  (FATE#323952, FATE#322506).
- nvme: don't hard code size of struct t10_pi_tuple (FATE#323952,
  FATE#322506).
- nvme: explicitly disable APST on quirked devices (FATE#323952,
  FATE#322506).
- nvme: fabrics commands should use the fctype field for data
  direction (FATE#323952, FATE#322506).
- nvme-fabrics: fix reporting of unrecognized options
  (FATE#323952, FATE#322506).
- nvme-fabrics: verify that a controller returns the correct NQN
  (FATE#323952, FATE#322506).
- nvme-fc: address target disconnect race conditions in fcp io
  submit (FATE#323952, FATE#322506).
- nvme-fc: don't override opts->nr_io_queues (FATE#323952,
  FATE#322506).
- nvme-fc: merge init_request methods (FATE#323952, FATE#322506).
- nvme-fc: quiesce/unquiesce admin_q instead of start/stop its
  hw queues (FATE#323952, FATE#322506).
- nvme-fc: revise TRADDR parsing (FATE#323952, FATE#322506).
- nvme-fc: update tagset nr_hw_queues after queues reinit
  (FATE#323952, FATE#322506).
- nvme-fc: use blk_mq_delay_run_hw_queue instead of open-coding it
  (FATE#323952, FATE#322506).
- nvme: fix byte swapping in the streams code (FATE#323952,
  FATE#322506).
- nvme: fix directive command numd calculation (FATE#323952,
  FATE#322506).
- nvme: fix nvme reset command timeout handling (FATE#323952,
  FATE#322506).
- nvme: get list of namespace descriptors (FATE#323952,
  FATE#322506).
- nvme: host: unquiesce queue in nvme_kill_queues() (FATE#323952,
  FATE#322506).
- nvme: implement NS Optimal IO Boundary from 1.3 Spec
  (FATE#323952, FATE#322506).
- nvme: introduce NVMe Namespace Identification Descriptor
  structures (FATE#323952, FATE#322506).
- nvme: kick requeue list when requeueing a request instead of
  when starting the queues (FATE#323952, FATE#322506).
- nvme-lightnvm: use blk_execute_rq in nvme_nvm_submit_user_cmd
  (FATE#323952, FATE#322506).
- nvme-loop: get rid of unused controller lock (FATE#323952,
  FATE#322506).
- nvme-loop: merge init_request methods (FATE#323952,
  FATE#322506).
- nvme-loop: quiesce/unquiesce admin_q instead of start/stop
  its hw queues (FATE#323952, FATE#322506).
- nvme-loop: update tagset nr_hw_queues after
  reconnecting/resetting (FATE#323952, FATE#322506).
- nvme: mark shutdown_timeout static (FATE#323952, FATE#322506).
- nvme: move ctrl cap to struct nvme_ctrl (FATE#323952,
  FATE#322506).
- nvme: move nr_reconnects to nvme_ctrl (FATE#323952,
  FATE#322506).
- nvme: move protection information check into nvme_setup_rw
  (FATE#323952, FATE#322506).
- nvme: move queue_count to the nvme_ctrl (FATE#323952,
  FATE#322506).
- nvme: move reset workqueue handling to common code (FATE#323952,
  FATE#322506).
- nvme: no need to wait for the reset when keepalive fails
  (FATE#323952, FATE#322506).
- nvme-pci: Fix an error handling path in 'nvme_probe()'
  (FATE#323952, FATE#322506).
- nvme-pci: Introduce nvme_ring_cq_doorbell (FATE#323952,
  FATE#322506).
- nvme-pci: Remove nvme_setup_prps BUG_ON (FATE#323952,
  FATE#322506).
- nvme-pci: Remove watchdog timer (FATE#323952, FATE#322506).
- nvme-pci: add another device ID with stripe quirk (FATE#323952,
  FATE#322506).
- nvme-pci: add module parameter for io queue depth (FATE#323952,
  FATE#322506).
- nvme-pci: compile warnings in nvme_alloc_host_mem()
  (FATE#323952, FATE#322506).
- nvme-pci: factor out cqe handling into a dedicated routine
  (FATE#323952, FATE#322506).
- nvme-pci: factor out the cqe reading mechanics from
  __nvme_process_cq (FATE#323952, FATE#322506).
- nvme-pci: fix CMB sysfs file removal in reset path (FATE#323952,
  FATE#322506).
- nvme-pci: fix HMB size calculation (FATE#323952, FATE#322506).
- nvme-pci: implement host memory buffer support (FATE#323952,
  FATE#322506).
- nvme-pci: merge init_request methods (FATE#323952, FATE#322506).
- nvme-pci: open-code polling logic in nvme_poll (FATE#323952,
  FATE#322506).
- nvme-pci: quiesce/unquiesce admin_q instead of start/stop its
  hw queues (FATE#323952, FATE#322506).
- nvme-pci: remap BAR0 to cover admin CQ doorbell for large stride
  (FATE#323952, FATE#322506).
- nvme-pci: remove redundant includes (FATE#323952, FATE#322506).
- nvme-pci: rename to nvme_pci_configure_admin_queue (FATE#323952,
  FATE#322506).
- nvme-pci: set cqe_seen on polled completions (FATE#323952,
  FATE#322506).
- nvme-pci: use dma memory for the host memory buffer descriptors
  (FATE#323952, FATE#322506).
- nvme: provide UUID value to userspace (FATE#323952,
  FATE#322506).
- nvme: queue ns scanning and async request from nvme_wq
  (FATE#323952, FATE#322506).
- nvme-rdma: Don't rearm the CQ when polling directly
  (FATE#323952, FATE#322506).
- nvme-rdma: Get rid of CONNECTED state (FATE#323952,
  FATE#322506).
- nvme-rdma: Make queue flags bit numbers and not shifts
  (FATE#323952, FATE#322506).
- nvme-rdma: default MR page size to 4k (FATE#323952,
  FATE#322506).
- nvme-rdma: fix error code in nvme_rdma_create_ctrl()
  (FATE#323952, FATE#322506).
- nvme-rdma: get rid of unused ctrl lock (FATE#323952,
  FATE#322506).
- nvme-rdma: make nvme_rdma_[create|destroy]_queue_ib symmetrical
  (FATE#323952, FATE#322506).
- nvme-rdma: merge init_request and exit_request methods
  (FATE#323952, FATE#322506).
- nvme-rdma: quiesce/unquiesce admin_q instead of start/stop
  its hw queues (FATE#323952, FATE#322506).
- nvme-rdma: rework rdma connection establishment error path
  (FATE#323952, FATE#322506).
- nvme-rdma: unconditionally recycle the request mr (FATE#323952,
  FATE#322506).
- nvme-rdma: update tagset nr_hw_queues after
  reconnecting/resetting (FATE#323952, FATE#322506).
- nvme: read the subsystem NQN from Identify Controller
  (FATE#323952, FATE#322506).
- nvme: remove a misleading comment on struct nvme_ns
  (FATE#323952, FATE#322506).
- nvme: rename uuid to nguid in nvme_ns (FATE#323952,
  FATE#322506).
- nvme: save hmpre and hmmin in struct nvme_ctrl (FATE#323952,
  FATE#322506).
- nvme: simplify nvme_dev_attrs_are_visible (FATE#323952,
  FATE#322506).
- nvme: split nvme_uninit_ctrl into stop and uninit (FATE#323952,
  FATE#322506).
- nvme: strip trailing 0-bytes in wwid_show (FATE#323952,
  FATE#322506).
- nvme: switch to uuid_t (FATE#323952, FATE#322506).
- nvme: use a single NVME_AQ_DEPTH and relax it to 32
  (FATE#323952, FATE#322506).
- nvme: use ctrl->device consistently for logging (FATE#323952,
  FATE#322506).
- nvme: validate admin queue before unquiesce (FATE#323952,
  FATE#322506).
- nvme.h: add dword 12 - 15 fields to struct nvme_features
  (FATE#323952, FATE#322506).
- nvme.h: add struct nvme_host_mem_buf_desc and HMB flags
  (FATE#323952, FATE#322506).
- nvme_fc: Fix crash when nvme controller connection fails
  (FATE#323952, FATE#322506).
- nvme_fc: fix double calls to nvme_cleanup_cmd() (FATE#323952,
  FATE#322506).
- nvme_fc: fix error recovery on link down (FATE#323952,
  FATE#322506).
- nvme_fc/nvmet_fc: revise Create Association descriptor length
  (FATE#323952, FATE#322506).
- nvme_fc: replace ioabort msleep loop with completion
  (FATE#323952, FATE#322506).
- nvmet: Move serial number from controller to subsystem
  (FATE#323952, FATE#322506).
- nvmet: add uuid field to nvme_ns and populate via configfs
  (FATE#323952, FATE#322506).
- nvmet: allow overriding the NVMe VS via configfs (FATE#323952,
  FATE#322506).
- nvmet: avoid unneeded assignment of submit_bio return value
  (FATE#323952, FATE#322506).
- nvmet: don't overwrite identify sn/fr with 0-bytes (FATE#323952,
  FATE#322506).
- nvmet: don't report 0-bytes in serial number (FATE#323952,
  FATE#322506).
- nvmet-fc: Remove a set-but-not-used variable (FATE#323952,
  FATE#322506).
- nvmet-fc: correct use after free on list teardown (FATE#323952,
  FATE#322506).
- nvmet-fc: eliminate incorrect static markers on local variables
  (FATE#323952, FATE#322506).
- nvmet-fc: fix byte swapping in nvmet_fc_ls_create_association
  (FATE#323952, FATE#322506).
- nvmet: implement namespace identify descriptor list
  (FATE#323952, FATE#322506).
- nvmet: prefix version configfs file with attr (FATE#323952,
  FATE#322506).
- nvmet: preserve controller serial number between reboots
  (FATE#323952, FATE#322506).
- nvmet-rdma: register ib_client to not deadlock in device removal
  (FATE#323952, FATE#322506).
- nvmet: use NVME_IDENTIFY_DATA_SIZE (FATE#323952, FATE#322506).
- nvmet_fc: Accept variable pad lengths on Create Association LS
  (FATE#323952, FATE#322506).
- nvmet_fc: add defer_req callback for deferment of cmd buffer
  return (FATE#323952, FATE#322506).
- nvmet_fc: fix crashes on bad opcodes (FATE#323952, FATE#322506).
- nvmf: keep track of nvmet connect error status (FATE#323952,
  FATE#322506).
- scatterlist: add sg_zero_buffer() helper (FATE#323952,
  FATE#322506).
- Delete
  patches.suse/0001-lightnvme-fix-compiling-error-for-blk_status_t.patch.
- commit b7fe62e
* Mon Sep 25 2017 mgorman@suse.de
- cpufreq, ondemand: Set default up_threshold to 40 on multi-core
  systems (bnc#464461,bnc#981838).
- commit 91e0473
* Mon Sep 25 2017 jthumshirn@suse.de
- series.conf: Move block-layer patches into sorted patch section
  Refresh
  patches.suse/0004-cfq-iosched-Delete-unused-function-min_vdisktime.patch.
- commit fec2137
* Mon Sep 25 2017 jthumshirn@suse.de
- series.conf: Let SCSI patches follow the upstream order and place them
  into the ordered section of series.conf
- commit 7b4f251
* Sun Sep 24 2017 msuchanek@suse.de
- rpm/kernel-binary.spec.in: only rewrite modules.dep if non-zero in size
  (bsc#1056979).
- commit 75691fd
* Sat Sep 23 2017 agraf@suse.de
- supported.conf: follow upstream rename of bcm2835-sdio to bcm2835
- commit e19f882
* Fri Sep 22 2017 tbogendoerfer@suse.de
- nfp: add whitelist of supported flow dissector (bsc#1055968).
- commit b6ed7d2
* Fri Sep 22 2017 tbogendoerfer@suse.de
- net_sched: fix reference counting of tc filter chain
  (bsc#1056787).
- commit 157c20a
* Fri Sep 22 2017 tbogendoerfer@suse.de
- move pcie relaxed order patches to sorted section for cxgb4
- commit 1ddb2fb
* Fri Sep 22 2017 lduncan@suse.com
- scsi: be2iscsi: Replace PCI pool old API (bsc#1050253).
- commit c409c57
* Thu Sep 21 2017 lduncan@suse.com
- scsi: bnx2i: Simplify cpu hotplug code (bsc#1050314).
- scsi: bnx2i: Prevent recursive cpuhotplug locking (bsc#1050314).
- commit 6746c96
* Thu Sep 21 2017 jroedel@suse.de
- KVM: SVM: Add irqchip_split() checks before enabling AVIC
  (bsc#1044503).
- KVM: Add struct kvm_vcpu pointer parameter to get_enable_apicv()
  (bsc#1044503).
- KVM: SVM: Refactor AVIC vcpu initialization into
  avic_init_vcpu() (bsc#1044503).
- commit ffdf86f
* Thu Sep 21 2017 jroedel@suse.de
- iommu/amd: Fix section mismatch warning (bsc#1043261).
- iommu/amd: Fix compiler warning in copy_device_table()
  (bsc#1043261).
- iommu/amd: Check if domain is NULL in get_domain() and return
  - EBUSY (bsc#1043261).
- iommu/amd: Disable iommu only if amd_iommu=off is specified
  (bsc#1043261).
- iommu/amd: Don't copy GCR3 table root pointer (bsc#1043261).
- iommu/amd: Allocate memory below 4G for dev table if translation
  pre-enabled (bsc#1043261).
- iommu/amd: Use is_attach_deferred call-back (bsc#1043261).
- iommu: Add is_attach_deferred call-back to iommu-ops
  (bsc#1043261).
- iommu/amd: Do sanity check for address translation and irq
  remap of old dev table entry (bsc#1043261).
- iommu/amd: Copy old trans table from old kernel (bsc#1043261).
- iommu/amd: Add function copy_dev_tables() (bsc#1043261).
- iommu/amd: Define bit fields for DTE particularly (bsc#1043261).
- Revert "iommu/amd: Suppress IO_PAGE_FAULTs in kdump kernel"
  (bsc#1043261).
- iommu/amd: Add several helper functions (bsc#1043261).
- iommu/amd: Detect pre enabled translation (bsc#1043261).
- commit 655c694
* Wed Sep 20 2017 mcgrof@suse.com
- xfs: XFS_IS_REALTIME_INODE() should be false if no rt device present (bsc#1058524).
- commit 72f8d25
* Wed Sep 20 2017 mcgrof@suse.com
- nl80211: check for the required netlink attributes presence (bsc#1058410 CVE-2017-12153).
- commit 8769ee8
* Wed Sep 20 2017 oneukum@suse.com
- ACPI / scan: Enable GPEs before scanning the namespace
  (FATE#323948).
- ACPICA: Dispatch active GPEs at init time (FATE#323948).
- ACPICA: Make it possible to enable runtime GPEs earlier
  (FATE#323948).
- Refresh patches.suse/0001-cpuidle-Fix-idle-time-tracking.patch.
- commit 029df21
* Wed Sep 20 2017 jroedel@suse.de
- KVM: SVM: delete avic_vm_id_bitmap (2 megabyte static array)
  (bsc#1059500).
- commit 6783c4c
* Wed Sep 20 2017 jroedel@suse.de
- KVM: SVM: Enable Virtual GIF feature (fate#323405).
- KVM: SVM: Add Virtual GIF feature definition (fate#323405).
- KVM: SVM: suppress unnecessary NMI singlestep on GIF=0 and
  nested exit (fate#323405).
- KVM: SVM: don't NMI singlestep over event injection
  (fate#323405).
- KVM: SVM: hide TF/RF flags used by NMI singlestep (fate#323405).
- KVM: nSVM: do not forward NMI window singlestep VM exits to L1
  (fate#323405).
- KVM: SVM: introduce disable_nmi_singlestep helper (fate#323405).
- commit 82b8a75
* Wed Sep 20 2017 jroedel@suse.de
- PCI: Restore PRI and PASID state after Function-Level Reset
  (fate#322865).
- PCI: Cache PRI and PASID bits in pci_dev (fate#322865).
- commit 085d4a7
* Wed Sep 20 2017 tiwai@suse.de
- qxl: fix pinning (bsc#1057241,bsc#1057123).
- qxl: fix primary surface handling (bsc#1057241,bsc#1057123).
- commit 7c6173e
* Tue Sep 19 2017 jslaby@suse.cz
- objtool: Fix object file corruption (bnc#1058115).
- objtool: Do not retrieve data from empty sections (bnc#1058115).
- objtool: Fix memory leak in elf_create_rela_section()
  (bnc#1058115).
- commit 964c24f
* Mon Sep 18 2017 jthumshirn@suse.de
- Update
  patches.suse/0123-blk-mq-map-all-HWQ-also-in-hyperthreaded-system.patch
  (FATE#1054937).
  The patch has a FATE entry for itself, tag it correctly.
- commit 822ef07
* Mon Sep 18 2017 jack@suse.cz
- orangefs: Don't clear SGID when inheriting ACLs (bsc#1052766).
- commit a58e862
* Mon Sep 18 2017 colyli@suse.de
- Delete patches.drivers/0003-dm-integrity-test-for-corrupted-disk-format-during-t.patch,
  it is in patches.kernel.org/patch-4.12.4-5 already.
- commit cbab9c7
* Sun Sep 17 2017 colyli@suse.de
- lightnvme: fix compiling error for blk_status_t
  (fate#322738,fate#322919,fate#322950,fate#323773).
- commit 12a6d58
* Sat Sep 16 2017 mcgrof@suse.com
- supported.conf: add test_firmware to new kselftests-kmp package FATE#323821
  This test drivers is present on vanilla so we also enable it there.
- Update config files.
- supported.conf:
- commit cd2246a
* Sat Sep 16 2017 mcgrof@suse.com
- supported.conf: add test_syctl to new kselftests-kmp package FATE#323821
  As per FATE#323821 we will require new FATE requests per each
  new selftest driver. We don't want to support these module on
  production runs but we do want to support them for QA / testing
  uses. The compromise is to package them into its own package,
  this will be the kselftests-kmp package.
  Selftests can also be used as proof of concept vehicle for issues
  by customers or ourselves.
  Vanilla kernels do not get test_sysctl given that driver was
  using built-in defaults, this also means we cannot run sefltests
  on config/s390x/zfcpdump which does not enable modules.
  Likeweise, since we had to *change* the kernel for test_syctl, it
  it also means we can't test test_syctl with vanilla kernels. It
  should be possible with other selftests drivers if they are
  present in vanilla kernels though.
- Update config files.
- rpm/package-descriptions:
- supported.conf:
- commit 40c878b
* Sat Sep 16 2017 mcgrof@suse.com
- test_firmware: add batched firmware tests (FATE#323821).
- commit b825e51
* Sat Sep 16 2017 mcgrof@suse.com
- test_firmware: add test case for SIGCHLD on sync fallback (FATE#323821).
- commit 616e12d
* Sat Sep 16 2017 mcgrof@suse.com
- firmware: enable a debug print for batched requests (FATE#323821).
- commit 9d0e61c
* Sat Sep 16 2017 mcgrof@suse.com
- firmware: define pr_fmt (FATE#323821).
- commit b59ec48
* Sat Sep 16 2017 mcgrof@suse.com
- firmware: send -EINTR on signal abort on fallback mechanism (FATE#323821).
- commit 47321c2
* Sat Sep 16 2017 mcgrof@suse.com
- test_sysctl: fix sysctl.sh by making it executable (FATE#323821).
- commit 7287239
* Sat Sep 16 2017 mcgrof@suse.com
- test_sysctl: test against int proc_dointvec() array support (FATE#323821).
- commit 291f702
* Sat Sep 16 2017 mcgrof@suse.com
- test_sysctl: add simple proc_douintvec() case (FATE#323821).
- commit 3e388c4
* Sat Sep 16 2017 mcgrof@suse.com
- test_sysctl: add simple proc_dointvec() case (FATE#323821).
- commit 12b82e3
* Sat Sep 16 2017 mcgrof@suse.com
- test_sysctl: test against PAGE_SIZE for int (FATE#323821).
- commit 59a85c2
* Sat Sep 16 2017 mcgrof@suse.com
- test_sysctl: add generic script to expand on tests (FATE#323821).
- commit c47b649
* Sat Sep 16 2017 mcgrof@suse.com
- test_sysctl: add dedicated proc sysctl test driver (FATE#323821).
- commit e27658a
* Sat Sep 16 2017 mcgrof@suse.com
- tools/testing/selftests/sysctl: Add pre-check to the value of writes_strict (FATE#323821).
- commit 784faa7
* Sat Sep 16 2017 mcgrof@suse.com
- sysctl: add unsigned int range support (FATE#323821).
- commit 9ccbe48
* Sat Sep 16 2017 mcgrof@suse.com
- sysctl: simplify unsigned int support (bsc#1048893).
- commit 5e5055c
* Sat Sep 16 2017 mcgrof@suse.com
- sysctl: fold sysctl_writes_strict checks into helper (bsc#1048893).
- commit c687140
* Sat Sep 16 2017 mcgrof@suse.com
- sysctl: kdoc'ify sysctl_writes_strict (bsc#1048893).
- commit 1c8d7a1
* Sat Sep 16 2017 mcgrof@suse.com
- sysctl: fix lax sysctl_check_table() sanity check (bsc#1048893).
- commit 626023a
* Fri Sep 15 2017 jroedel@suse.de
- kvm: nVMX: Don't allow L2 to access the hardware CR8
  (bsc#1058507, CVE-2017-12154).
- KVM: Don't accept obviously wrong gsi values via KVM_IRQFD
  (bsc#1058038, CVE-2017-1000252).
- KVM: VMX: Do not BUG() on out-of-bounds guest IRQ (bsc#1058038,
  CVE-2017-1000252).
- commit 7aeea59
* Fri Sep 15 2017 jslaby@suse.cz
- objtool: Assume unannotated UD2 instructions are dead ends
  (bnc#1058115).
- objtool: Fix gcov check for older versions of GCC (bnc#1058115).
- objtool: Fix objtool fallthrough detection with function padding
  (bnc#1058115).
- objtool: Fix validate_branch() return codes (bnc#1058115).
- objtool: Handle GCC stack pointer adjustment bug (bnc#1058115).
- x86/asm: Add ASM_UNREACHABLE (bnc#1058115).
- x86/asm: Fix UNWIND_HINT_REGS macro for older binutils
  (bnc#1058115).
- x86/asm: Make objtool unreachable macros independent from GCC
  version (bnc#1058115).
- objtool: Skip unreachable warnings for 'alt' instructions
  (bnc#1058115).
- objtool: Track DRAP separately from callee-saved registers
  (bnc#1058115).
- objtool: Fix '-mtune=atom' decoding support in objtool 2.0
  (bnc#1058115).
- Refresh patches.suse/0001-x86-unwind-Add-the-ORC-unwinder.patch.
  Take all ORC upstream patches to be up-to-date.
- commit 5dc7bd3
* Fri Sep 15 2017 jslaby@suse.cz
- Refresh
  patches.suse/0001-x86-entry-64-Refactor-IRQ-stacks-and-make-them-NMI-s.patch.
- Refresh patches.suse/0001-x86-unwind-Add-the-ORC-unwinder.patch.
- Refresh
  patches.suse/0002-dwarf-do-not-throw-away-unwind-info.patch.
- Refresh
  patches.suse/0002-objtool-x86-Add-several-functions-and-files-to-the-o.patch.
- Refresh
  patches.suse/0002-x86-entry-64-Initialize-the-top-of-the-IRQ-stack-bef.patch.
- Refresh
  patches.suse/0002-x86-kconfig-Make-it-easier-to-switch-to-the-new-ORC-.patch.
- Refresh
  patches.suse/0003-x86-dumpstack-Fix-occasionally-missing-registers.patch.
- Refresh
  patches.suse/0003-x86-kconfig-Consolidate-unwinders-into-multiple-choi.patch.
- Refresh
  patches.suse/0004-x86-dumpstack-Fix-interrupt-and-exception-stack-boun.patch.
- Refresh
  patches.suse/0005-objtool-Add-ORC-unwind-table-generation.patch.
- Refresh
  patches.suse/0006-objtool-x86-Add-facility-for-asm-code-to-provide-unw.patch.
- Refresh
  patches.suse/0007-x86-entry-64-Add-unwind-hint-annotations.patch.
- Refresh
  patches.suse/0008-x86-asm-Add-unwind-hint-annotations-to-sync_core.patch.
- Delete
  patches.suse/0001-linkage-new-macros-for-assembler-symbols.patch.
- Delete
  patches.suse/0002-dwarf-do-not-throw-away-unwind-info.patch.
- Delete
  patches.suse/0003-DWARF-EH-frame-based-stack-unwinding.patch.
- Delete patches.suse/stack-unwind-disable-kasan.patch.
  Update upstream status of ORC and drop already-disabled DWARF
  unwinder.
- commit 87cb5c8
* Fri Sep 15 2017 oneukum@suse.com
- thunderbolt: Fix reset response_type (FATE#323948).
- thunderbolt: Allow clearing the key (FATE#323948).
- thunderbolt: Make key root-only accessible (FATE#323948).
- thunderbolt: Remove superfluous check (FATE#323948).
- thunderbolt: Do not enumerate more ports from DROM than the
  controller has (FATE#323948).
- thunderbolt: icm: Ignore mailbox errors in icm_suspend()
  (FATE#323948).
- thunderbolt: Correct access permissions for active NVM contents
  (FATE#323948).
- thunderbolt: fix spelling mistake: "missmatch" -> "mismatch"
  (FATE#323948).
- thunderbolt: Add support for host and device NVM firmware
  upgrade (FATE#323948).
- thunderbolt: Add support for Internal Connection Manager (ICM)
  (FATE#323948).
- thunderbolt: Do not touch the hardware if the NHI is gone on
  resume (FATE#323948).
- thunderbolt: Add support for DMA configuration based mailbox
  (FATE#323948).
- thunderbolt: Store Thunderbolt generation in the switch
  structure (FATE#323948).
- thunderbolt: Add support for NHI mailbox (FATE#323948).
- thunderbolt: Add new Thunderbolt PCI IDs (FATE#323948).
- thunderbolt: Rework control channel to be more reliable
  (FATE#323948).
- thunderbolt: Let the connection manager handle all notifications
  (FATE#323948).
- thunderbolt: Expose make_header() to other files (FATE#323948).
- thunderbolt: Expose get_route() to other files (FATE#323948).
- thunderbolt: Move control channel messages to tb_msgs.h
  (FATE#323948).
- thunderbolt: Read vendor and device name from DROM
  (FATE#323948).
- thunderbolt: Refactor and fix parsing of port drom entries
  (FATE#323948).
- thunderbolt: Do not fail if DROM data CRC32 is invalid
  (FATE#323948).
- thunderbolt: Fail switch adding operation if reading DROM fails
  (FATE#323948).
- thunderbolt: Convert switch to a device (FATE#323948).
- thunderbolt: Introduce thunderbolt bus and connection manager
  (FATE#323948).
- thunderbolt: Allow passing NULL to tb_ctl_free() (FATE#323948).
- thunderbolt: Rework capability handling (FATE#323948).
- thunderbolt: Add MSI-X support (FATE#323948).
- thunderbolt: Do not warn about newer DROM versions
  (FATE#323948).
- thunderbolt: Do not try to read UID if DROM offset is read as 0
  (FATE#323948).
- commit dc02c6e
* Fri Sep 15 2017 oneukum@suse.com
- thunderbolt: No need to read UID of the root switch on resume
  (FATE#323948).
- thunderbolt: Use const buffer pointer in write operations
  (FATE#323948).
- commit 4cfbced
* Fri Sep 15 2017 mgorman@suse.de
- Refresh
  patches.suse/sched-wait-Break-up-long-wake-list-walk.patch.
- Refresh
  patches.suse/sched-wait-Introduce-wakeup-boomark-in-wake_up_page_bit.patch.
- commit 9f181ab
* Fri Sep 15 2017 mgorman@suse.de
- cpufreq, intel_pstate: Use setpoint of 40%% on servers (bnc#945201).
- commit d39e8fb
* Fri Sep 15 2017 bpoirier@suse.com
- Refresh
  patches.drivers/net-phy-Make-phy_ethtool_ksettings_get-return-void.patch.
  There was a tiny bit of whitespace difference with the upstream commit.
  Correct it in the interest of keeping the expected context.
- commit e744926
* Fri Sep 15 2017 bpoirier@suse.com
- Refresh patch order in networking section
- commit b2d9582
* Thu Sep 14 2017 tbogendoerfer@suse.de
- netpoll: shut up a kernel warning on refcount (bsc#1046306
  FATE#322942 bsc#1056787).
- commit 26241d7
* Thu Sep 14 2017 tbogendoerfer@suse.de
- Update config files.
  Enabled SECURITY_INFINIBAND
- commit 8c7c6ab
* Thu Sep 14 2017 tbogendoerfer@suse.de
- IB/hfi1: update to new mmu_notifier semantic (bsc#1046306
  FATE#322942).
- IB/umem: update to new mmu_notifier semantic (bsc#1046306
  FATE#322942).
- IB/core: Avoid accessing non-allocated memory when inferring
  port type (bsc#1046306 FATE#322942).
- IB/uverbs: Fix NULL pointer dereference during device removal
  (bsc#1046306 FATE#322942).
- IB/core: Protect sysfs entry on ib_unregister_device
  (bsc#1046306 FATE#322942).
- RDMA/vmw_pvrdma: Report CQ missed events (bsc#1046306
  FATE#322942).
- IB/ipoib: Notify on modify QP failure only when relevant
  (bsc#1046307 FATE#322941).
- Revert "IB/core: Allow QP state transition from reset to error"
  (bsc#1046306 FATE#322942).
- IB/ipoib: Remove double pointer assigning (bsc#1046307
  FATE#322941).
- IB/ipoib: Clean error paths in add port (bsc#1046307
  FATE#322941).
- IB/ipoib: Add get statistics support to SRIOV VF (bsc#1046307
  FATE#322941).
- IB/ipoib: Add multicast packets statistics (bsc#1046307
  FATE#322941).
- IB/ipoib: Set IPOIB_NEIGH_TBL_FLUSH after flushed completion
  initialization (bsc#1046307 FATE#322941).
- IB/ipoib: Prevent setting negative values to max_nonsrq_conn_qp
  (bsc#1046307 FATE#322941).
- IB/ipoib: Make sure no in-flight joins while leaving that mcast
  (bsc#1046307 FATE#322941).
- IB/ipoib: Use cancel_delayed_work_sync when needed (bsc#1046307
  FATE#322941).
- IB/ipoib: Fix race between light events and interface restart
  (bsc#1046307 FATE#322941).
- IB/uverbs: Fix device cleanup (bsc#1046306 FATE#322942).
- RDMA/uverbs: Prevent leak of reserved field (bsc#1046306
  FATE#322942).
- IB/core: Fix race condition in resolving IP to MAC (bsc#1046306
  FATE#322942).
- IB/cma: Fix reference count leak when no ipv4 addresses are set
  (bsc#1046306 FATE#322942).
- IB/rdmavt: Setting of QP timeout can overflow jiffies
  computation (bsc#1058717 FATE#322789).
- IB/core: Fix sparse warnings (bsc#1046306 FATE#322942).
- IB/IPoIB: Fix error code in ipoib_add_port() (bsc#1046307
  FATE#322941).
- IB/core: Allow QP state transition from reset to error
  (bsc#1046306 FATE#322942).
- IB/ipoib: Let lower driver handle get_stats64 call (bsc#1046307
  FATE#322941).
- IB/core: Add ordered workqueue for RoCE GID management
  (bsc#1046306 FATE#322942).
- IB/core: Remove NOIO QP create flag (bsc#1046306 FATE#322942).
- IB/{rdmavt, qib, hfi1}: Remove gfp flags argument (bsc#1046306
  FATE#322942 bsc#1027067 FATE#322649 bsc#1058717 FATE#322789).
- IB/IPoIB: Convert IPoIB to memalloc_noio_* calls (bsc#1046307
  FATE#322941).
- IB/IPoIB: Forward MTU change to driver below (bsc#1046307
  FATE#322941).
- IB/uverbs: Make use of ib_modify_qp variant to avoid resolving
  DMAC (bsc#1046306 FATE#322942).
- IB/core: Introduce modify QP operation with udata (bsc#1046306
  FATE#322942).
- IB/core: Don't resolve IP address to the loopback device
  (bsc#1046306 FATE#322942).
- RDMA/core: Document confusing code (bsc#1046306 FATE#322942).
- IB/hfi1: Ensure dd->gi_mask can not be overflowed (bsc#1046306
  FATE#322942).
- IB/srpt: Make a debug statement in srpt_abort_cmd() more
  informative (bsc#1046306 FATE#322942).
- IB/core: Fix static analysis warning in ib_policy_change_task
  (bsc#1046306 FATE#322942).
- IB/core: Fix uninitialized variable use in
  check_qp_port_pkey_settings (bsc#1046306 FATE#322942).
- IB/core, opa_vnic, hfi1, mlx5: Properly free rdma_netdev
  (bsc#1046306 FATE#322942 bsc#1046305 FATE#322943).
- IB/opa_vnic: Use spinlock instead of mutex for stats_lock
  (bsc#1046306 FATE#322942).
- IB/opa_vnic: Use GFP_ATOMIC while sending trap (bsc#1046306
  FATE#322942).
- net: convert sk_buff.users from atomic_t to refcount_t
  (bsc#1046306 FATE#322942 bsc#1056787).
- net: add netlink_ext_ack argument to rtnl_link_ops.changelink
  (bsc#1046306 FATE#322942 bsc#1056787).
- net: add netlink_ext_ack argument to rtnl_link_ops.newlink
  (bsc#1046306 FATE#322942 bsc#1056787).
- IB/core: Enforce security on management datagrams (bsc#1046306
  FATE#322942).
- selinux lsm IB/core: Implement LSM notification system
  (bsc#1046306 FATE#322942).
- IB/core: Enforce PKey security on QPs (bsc#1046306 FATE#322942).
- IB/core: IB cache enhancements to support Infiniband security
  (bsc#1046306 FATE#322942).
- commit 2779070
* Thu Sep 14 2017 tbogendoerfer@suse.de
- Delete
  patches.drivers/IB-core-opa_vnic-hfi1-mlx5-Properly-free-rdma_netdev.patch.
  Patch will be re-done during IBcore commits
- commit 080979b
* Thu Sep 14 2017 msuchanek@suse.de
- powerpc/perf: POWER9 PMU stops after idle workaround
  (bsc#1056686).
- commit e5b99d6
* Thu Sep 14 2017 acho@suse.com
- Bluetooth: Properly check L2CAP config option output buffer
  length (bsc#1057389 CVE-2017-1000251).
- commit 6e305d4
* Thu Sep 14 2017 tbogendoerfer@suse.de
- IB/cxgb3: Fix error codes in iwch_alloc_mr() (bsc#1046534
  FATE#322935).
- commit fb70667
* Thu Sep 14 2017 colyli@suse.de
- blacklist.conf: update not-backport commit id
- commit 65bc4e8
* Thu Sep 14 2017 colyli@suse.de
- dm mpath: retry BLK_STS_RESOURCE errors
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blacklist.conf: add not-backport commits
- dm: fix the second dec_pending()
  argument in __split_and_process_bio()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: Fix two comments that refer to .queue_rq() return values
  (fate#322738,fate#322919,fate#322950,fate#323773).
- commit 1bf9ecf
* Thu Sep 14 2017 tbogendoerfer@suse.de
- i40iw: Fix potential fcn_id_array out of bounds (bsc#1058659
  FATE#322535).
- i40iw: Use correct alignment for CQ0 memory (bsc#1058659
  FATE#322535).
- i40iw: Fix typecast of tcp_seq_num (bsc#1058659 FATE#322535).
- i40iw: Correct variable names (bsc#1058659 FATE#322535).
- i40iw: Fix parsing of query/commit FPM buffers (bsc#1058659
  FATE#322535).
- IB/i40iw: Fix error code in i40iw_create_cq() (bsc#1058659
  FATE#322535).
- i40iw: Free QP PBLEs when the QP is destroyed (bsc#1058659
  FATE#322535).
- i40iw: Avoid memory leak of CQP request objects (bsc#1058659
  FATE#322535).
- i40iw: Update list correctly (bsc#1058659 FATE#322535).
- i40iw: Add missing memory barrier (bsc#1058659 FATE#322535).
- i40iw: Free QP resources on CQP destroy QP failure (bsc#1058659
  FATE#322535).
- i40iw: Release cm_id ref on PCI function reset (bsc#1058659
  FATE#322535).
- i40iw: Utilize iwdev->reset during PCI function reset
  (bsc#1058659 FATE#322535).
- i40iw: Do not poll CCQ after it is destroyed (bsc#1058659
  FATE#322535).
- i40iw: Fix order of cleanup in close (bsc#1058659 FATE#322535).
- commit eebe943
* Thu Sep 14 2017 tbogendoerfer@suse.de
- Resorted network driver section
- commit c5fe18c
* Wed Sep 13 2017 colyli@suse.de
- MD: fix warnning for UP case
  (fate#322738,fate#322919,fate#322950,fate#323773).
- md: simplify code with bio_io_error
  (fate#322738,fate#322919,fate#322950,fate#323773).
- md: raid1-10: move raid1/raid10 common code into raid1-10.c
  (fate#322738,fate#322919,fate#322950,fate#323773).
- md: raid1/raid10: initialize bvec table via bio_add_page()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- raid5-ppl: use BIOSET_NEED_BVECS when creating bioset
  (fate#322738,fate#322919,fate#322950,fate#323773).
- md/bitmap: don't read page from device with Bitmap_sync
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: add support for write hints in a bio
  (fate#322738,fate#322919,fate#322950,fate#323773).
- MD: fix a null dereference
  (fate#322738,fate#322919,fate#322950,fate#323773).
- commit dbbe938
* Wed Sep 13 2017 colyli@suse.de
- series.conf: change patche apply order.
- move patches.suse/0036-md-cluster-remove-EXPERIMENTAL-info.patch to
  be applied after patches.fixes/0001-md-use-a-separate-bio_set-for-synchronous-IO.patch
- commit 2979567
* Wed Sep 13 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Fix a thinko for xmlto buildreq condition
- commit 9d160ac
* Wed Sep 13 2017 msuchanek@suse.de
- powerpc/perf: Update default sdar_mode value for power9
  (bsc#1056686).
- commit 5c31f3d
* Wed Sep 13 2017 msuchanek@suse.de
- powerpc/perf: Cleanup of PM_BR_CMPL vs. PM_BRU_CMPL in Power9
  event list (bsc#1056686).
- commit ad2bb5c
* Wed Sep 13 2017 jkosina@suse.cz
- Update config files: enable USB-C in -vanilla as well
  Fixes: 7e26cc6a2a52f439e815997690146c51503f56dd
- commit c5e1b9f
* Wed Sep 13 2017 msuchanek@suse.de
- powerpc/perf: Avoid spurious PMU interrupts after idle
  (bsc#1056686).
- commit 21fff50
* Wed Sep 13 2017 msuchanek@suse.de
- powerpc/64s: Invalidate ERAT on powersave wakeup for POWER9
  (bsc#1056686).
- commit 037cb86
* Wed Sep 13 2017 colyli@suse.de
- dm kcopyd: add sequential write feature
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm linear: add support for zoned block devices
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm flakey: add support for zoned block devices
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm: introduce dm_remap_zone_report()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm: fix REQ_OP_ZONE_REPORT bio handling
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm: fix REQ_OP_ZONE_RESET bio handling
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm table: add zoned block devices validation
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm crypt: add big-endian variant of plain64 IV
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm bio prison: use rb_entry() rather than container_of()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm ioctl: report event number in DM_LIST_DEVICES
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm ioctl: add a new DM_DEV_ARM_POLL ioctl
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm: add basic support for using the select or poll function
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm verity fec: fix GFP flags used with mempool_alloc()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm zoned: use GFP_NOIO in I/O path
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm zoned: remove test for impossible REQ_OP_FLUSH conditions
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm raid: bump target version
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm raid: avoid mddev->suspended access
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm raid: fix activation check in validate_raid_redundancy()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm raid: remove WARN_ON() in raid10_md_layout_to_format()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm bufio: fix error code in dm_bufio_write_dirty_buffers()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm integrity: test for corrupted disk format during table load
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm integrity: WARN_ON if variables
  representing journal usage get out of sync
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm integrity: use plugging when writing the journal
  (fate#322738,fate#322919,fate#322950,fate#323773).
- commit 1a13da0
* Wed Sep 13 2017 colyli@suse.de
- Allow a queue to request that timeouts don't get rounded up
  (bnc#768084).
- mtd: blkdevs: Fix mtd block write failure
  (fate#322738,fate#322919,fate#322950,fate#323773).
- bio-integrity: only verify integrity on the lowest stacked
  driver (fate#322738,fate#322919,fate#322950,fate#323773).
- bio-integrity: Fix regression if profile verify_fn is NULL
  (fate#322738,fate#322919,fate#322950,fate#323773).
- xen-blkfront: Fix handling of non-supported operations
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: map queues to all present CPUs
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: map all HWQ also in hyperthreaded system
  (fate#322738,fate#322919,fate#322950,fate#323773).
- bcache.txt: standardize document format
  (fate#322738,fate#322919,fate#322950,fate#323773).
- bfq: dispatch request to prevent queue
  stalling after the request completion
  (fate#322738,fate#322919,fate#322950,fate#323773).
- bfq: fix typos in comments about B-WF2Q+ algorithm
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: call bio_uninit in bio_endio
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: Fix __blkdev_issue_zeroout loop
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm zoned: fix overflow when converting zone ID to sectors
  (fate#322738,fate#322919,fate#322950,fate#323773).
- bio-integrity: fix boolreturn.cocci warnings
  (fate#322738,fate#322919,fate#322950,fate#323773).
- bio-integrity: stop abusing bi_end_io
  (fate#322738,fate#322919,fate#322950,fate#323773).
- bio-integrity: Restore original iterator on verify stage
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: remove the unused bio_to_phys macro
  (fate#322738,fate#322919,fate#322950,fate#323773).
- bio: add bvec_iter rewind API
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: guard bvec iteration logic
  (fate#322738,fate#322919,fate#322950,fate#323773).
- bio-integrity: fold bio_integrity_enabled to bio_integrity_prep
  (fate#322738,fate#322919,fate#322950,fate#323773).
- bio-integrity: fix interface for bio_integrity_trim
  (fate#322738,fate#322919,fate#322950,fate#323773).
- bio-integrity: bio_integrity_advance must update integrity seed
  (fate#322738,fate#322919,fate#322950,fate#323773).
- bio-integrity: bio_trim should truncate integrity vector
  accordingly (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq-sched: fix performance regression of mq-deadline
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block, bfq: don't change ioprio class for a bfq_queue on a
  service tree (fate#322738,fate#322919,fate#322950,fate#323773).
- block, bfq: update wr_busy_queues if needed on a queue split
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm: don't set bounce limit
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: don't set bounce limit in blk_init_queue
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: don't set bounce limit in blk_init_allocated_queue
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: don't bounce by default
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: don't bother with bounce limits for make_request drivers
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: remove the queue_bounce_pfn helper
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: move bounce declarations to block/blk.h
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-map: call blk_queue_bounce from blk_rq_append_bio
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: expose write hints through debugfs
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm zoned: drive-managed zoned block device target
  (fate#322738,fate#322919,fate#322950,fate#323773).
  Update: add DM_ZONED (is not set) to configs due to pick the above patch.
- blk-mq: remove double set queue_num
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: Make it safe to quiesce and unquiesce from an interrupt
  handler (fate#322738,fate#322919,fate#322950,fate#323773).
- block: Fix off-by-one errors in
  blk_status_to_errno() and print_req_error()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: Declare local symbols static
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: Add fallthrough markers to switch statements
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: Warn when attempting to run a hardware queue that is
  not mapped (fate#322738,fate#322919,fate#322950,fate#323773).
- block: Constify disk_type
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: Document locking assumptions
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: Document what queue type each function is intended for
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: Check locking assumptions at runtime
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: Initialize .rq_flags in blk_mq_rq_ctx_init()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: Change argument type of scsi_req_init()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: Make most scsi_req_init() calls implicit
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: Introduce request_queue.initialize_rq_fn()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: Make request operation type argument declarations
  consistent (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: Reduce blk_mq_hw_ctx size
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: return on congested block device
  (fate#322738,fate#322919,fate#322950,fate#323773).
- Revert "blk-mq: don't use sync workqueue flushing from drivers"
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: clarify dispatch may not be drained/blocked by stopping
  queue (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: don't stop queue for quiescing
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: update comments on blk_mq_quiesce_queue()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: use QUEUE_FLAG_QUIESCED to quiesce queue
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: use the introduced blk_mq_unquiesce_queue()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: introduce blk_mq_unquiesce_queue
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: introduce blk_mq_quiesce_queue_nowait()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: move blk_mq_quiesce_queue() into include/linux/blk-mq.h
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: don't check for BIO_MAX_PAGES in blk_bio_segment_split()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: remove bio_clone() and all references
  (fate#322738,fate#322919,fate#322950,fate#323773).
- xen-blkfront: remove bio splitting
  (fate#322738,fate#322919,fate#322950,fate#323773).
- rbd: use bio_clone_fast() instead of bio_clone()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- drbd: use bio_clone_fast() instead of bio_clone()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- pktcdvd: Check queue type before attaching to a queue
  (fate#322738,fate#322919,fate#322950,fate#323773).
- pktcdvd: remove the call to blk_queue_bounce
  (fate#322738,fate#322919,fate#322950,fate#323773).
- pktcdvd: use bio_clone_fast() instead of bio_clone()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- pktcdvd: use class_groups instead of class_attrs
  (fate#322738,fate#322919,fate#322950,fate#323773).
- bcache: use kmalloc to allocate bio in bch_data_verify()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: Improvements to bounce-buffer handling
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk: use non-rescuing bioset for q->bio_split
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk: make the bioset rescue_workqueue optional
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk: replace bioset_create_nobvec() with a flags arg to bioset_create()
  (fate#322738,fate#322919,fate#322950,fate#323773).
  Update: patches.fixes/0001-md-use-a-separate-bio_set-for-synchronous-IO.patch
  rebase this patch to follow change of bioset_create() from the above patch.
- blk: remove bio_set arg from blk_queue_split()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: remove __blk_mq_alloc_request
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq-sched: unify request prepare methods
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: refactor blk_mq_sched_assign_ioc
  (fate#322738,fate#322919,fate#322950,fate#323773).
- bfq-iosched: fix NULL ioc check in bfq_get_rq_private
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: streamline blk_mq_get_request
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: simplify blk_mq_free_request
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq-sched: unify request finished methods
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: remove blk_mq_sched_{get,put}_rq_priv
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: move blk_mq_sched_{get,put}_request to blk-mq.c
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: mark blk_mq_rq_ctx_init static
  (fate#322738,fate#322919,fate#322950,fate#323773).
- md: change the initialization value for
  a spare device spot to MD_DISK_ROLE_SPARE
  (fate#322738,fate#322919,fate#322950,fate#323773).
- md/raid1: remove unused bio in sync_request_write
  (fate#322738,fate#322919,fate#322950,fate#323773).
- md/raid10: fix FailFast test for wrong device
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: swim3: make of_device_ids const
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: Dedicated error code fixups
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm: missing break in process_queued_bios()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- x86, uaccess: introduce copy_from_iter_flushcache
  for pmem / cache-bypass operations
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: switch bios to blk_status_t
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: switch ->queue_rq return value to blk_status_t
  (fate#322738,fate#322919,fate#322950,fate#323773).
- fs: simplify dio_bio_complete
  (fate#322738,fate#322919,fate#322950,fate#323773).
- fs: remove the unused error argument to dio_end_io()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- gfs2: remove the unused sd_log_error field
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block_dev: propagate bio_iov_iter_get_pages
  error in __blkdev_direct_IO
  (fate#322738,fate#322919,fate#322950,fate#323773).
- nvme-rdma: fix merge error
  (fate#322738,fate#322919,fate#322950,fate#323773).
- block: introduce new block status code type
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm: change ->end_io calling convention
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm: don't return errnos from ->map
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm mpath: merge do_end_io_bio into multipath_end_io_bio
  (fate#322738,fate#322919,fate#322950,fate#323773).
- dm: fix REQ_RAHEAD handling
  (fate#322738,fate#322919,fate#322950,fate#323773).
- bsg: Check queue type before attaching to a queue
  (fate#322738,fate#322919,fate#322950,fate#323773).
- commit 056fe48
* Wed Sep 13 2017 colyli@suse.de
- block: Introduce queue flag QUEUE_FLAG_SCSI_PASSTHROUGH
  (fate#322738,fate#322919,fate#322950,fate#323773).
- Refresh patches.drivers/0001-cciss-initialize-struct-scsi_req.patch.
- commit fe7d9b8
* Wed Sep 13 2017 colyli@suse.de
- blk-mq-debugfs: Add 'kick' operation
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq-debugfs: Show busy requests
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq-debugfs: Show requeue list
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq-debugfs: Show atomic request flags
  (fate#322738,fate#322919,fate#322950,fate#323773).
- cfq-iosched: Delete unused function min_vdisktime()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: make per-sw-queue bio merge as default .bio_merge
  (fate#322738,fate#322919,fate#322950,fate#323773).
- blk-mq: merge bio into sw queue before plugging
  (fate#322738,fate#322919,fate#322950,fate#323773).
- lib/raid6: Add log-of-2 table for RAID6 HW requiring disk
  position (fate#322738,fate#322919,fate#322950,fate#323773).
- commit 63ce229
* Wed Sep 13 2017 colyli@suse.de
- mtip32xx: avoid to read HOST_CAP from HW in .queue_rq()
  (fate#322738,fate#322919,fate#322950,fate#323773).
- cciss: initialize struct scsi_req
  (fate#322738,fate#322919,fate#322950,fate#323773).
- commit 865ae42
* Wed Sep 13 2017 colyli@suse.de
- btrfs: use new block error code
  (fate#322738,fate#322919,fate#322950,fate#323773).
- commit 4707260
* Wed Sep 13 2017 colyli@suse.de
- Prepare for SLE15 block layer backport, the following patches will be
  replaced in the backport patch set.
- Delete patches.suse/0007-block-return-on-congested-block-device.patch.
- Delete patches.suse/blk-timeout-no-round.
- commit 898bc16
* Wed Sep 13 2017 tbogendoerfer@suse.de
- IB/rxe: Another fix for broken receive queue draining
  (bsc#1050662 FATE#323951).
- IB/rxe: Move refcounting earlier in rxe_send() (bsc#1050662
  FATE#323951).
- commit 232e612
* Wed Sep 13 2017 tbogendoerfer@suse.de
- rxe: fix broken receive queue draining (bsc#1050662
  FATE#323951).
- IB/rxe: Set dma_mask and coherent_dma_mask (bsc#1050662
  FATE#323951).
- IB/rxe: Fix kernel panic from skb destructor (bsc#1050662
  FATE#323951).
- IB/rxe: do not copy extra stack memory to skb (bsc#1050662
  FATE#323951).
- commit 0a634d2
* Wed Sep 13 2017 tbogendoerfer@suse.de
- RDMA/ocrdma: Fix error codes in ocrdma_create_srq() (bsc#1058513
  FATE#322520).
- RDMA/ocrdma: Fix an error code in ocrdma_alloc_pd() (bsc#1058513
  FATE#322520).
- commit 1505b7c
* Wed Sep 13 2017 mkubecek@suse.cz
- config: disable IPX (fate#323372)
  Also drop the ipx line from supported.conf
- commit fd722f1
* Wed Sep 13 2017 dchang@suse.com
- bnx2x: fix format overflow warning (bsc#1050319 FATE#322906).
- net: broadcom: bnx2x: make a couple of const arrays static
  (bsc#1050319 FATE#322906).
- bnx2x: Remove open coded carrier check (bsc#1050319
  FATE#322906).
- commit 1244565
* Wed Sep 13 2017 dchang@suse.com
- net: phy: Make phy_ethtool_ksettings_get return void
  (bsc#1050260 FATE#322917).
- commit 6fbf90a
* Wed Sep 13 2017 jlee@suse.com
- Update config files. (fate#322251)
  Enabling CONFIG_IMA_KEXEC on ppc64le kernel. (fate#322251)
- commit a83dbdc
* Wed Sep 13 2017 dchang@suse.com
- be2net: Update the driver version to 11.4.0.0 (bsc#1050252
  FATE#322920).
- be2net: Fix UE detection logic for BE3 (bsc#1050252
  FATE#322920).
- commit 4374b1f
* Wed Sep 13 2017 dchang@suse.com
- netxen: fix incorrect loop counter decrement (bsc#1050526
  FATE#322905).
- netxen_nic: Remove unused pointer hdr in netxen_setup_minidump()
  (bsc#1050526 FATE#322905).
- netxen: remove writeq/readq function definitions (bsc#1050526
  FATE#322905).
- commit dba6746
* Wed Sep 13 2017 dchang@suse.com
- qlge: avoid memcpy buffer overflow (bsc#1050529 FATE#322902).
- commit 33f6a43
* Wed Sep 13 2017 dchang@suse.com
- Refresh patch order in network section
- commit e712677
* Wed Sep 13 2017 neilb@suse.com
- NFSv4.1: don't use machine credentials for CLOSE when using
  'sec=sys' (bsc#972003).
- Delete patches.fixes/nfs4_close.fix.
  Replace patch with slightly-improved upstream version.
- commit d4a102c
* Wed Sep 13 2017 neilb@suse.com
- md/raid5: fix a race condition in stripe batch (linux-stable).
- NFS: flush data when locking a file to ensure cache coherence
  for mmap (bsc#981309).
- commit 42452b8
* Tue Sep 12 2017 oneukum@suse.com
- Update config files. Readd CONFIG_UCSI
  It was killed by the type C FATEs (bsc#1058307)
- commit 4a9daca
* Tue Sep 12 2017 oneukum@suse.com
- Update config files. Drop ancient USB drivers (FATE#323891)
- commit f78046a
* Tue Sep 12 2017 msuchanek@suse.de
- rpm/kernel-docs.spec.in: make unpack scripts executable
- commit 1ba3766
* Tue Sep 12 2017 oneukum@suse.com
- usb:xhci:Fix regression when ATI chipsets detected
  (bsc#1055044).
- commit 8847613
* Tue Sep 12 2017 oneukum@suse.com
- Update config files. Kill analog TV (FATE#323883)
- commit 56e4a2a
* Tue Sep 12 2017 tbogendoerfer@suse.de
- bnxt_en: Do not setup MAC address in bnxt_hwrm_func_qcaps()
  (bsc#1050242 FATE#322914).
- bnxt_en: Free MSIX vectors when unregistering the device from
  bnxt_re (bsc#1050242 FATE#322914).
- bnxt_en: Fix .ndo_setup_tc() to include XDP rings (bsc#1050242
  FATE#322914).
- RDMA/bnxt_re: Fix the value reported for local ack delay
  (bsc#1050244 FATE#322915).
- RDMA/bnxt_re: Report MISSED_EVENTS in req_notify_cq (bsc#1050244
  FATE#322915).
- RDMA/bnxt_re: Fix return value of poll routine (bsc#1050244
  FATE#322915).
- RDMA/bnxt_re: Enable atomics only if host bios supports
  (bsc#1050244 FATE#322915).
- RDMA/bnxt_re: checking for NULL instead of IS_ERR() (bsc#1050244
  FATE#322915).
- bnxt_en: Fix SRIOV on big-endian architecture (bsc#1050242
  FATE#322914).
- bnxt_en: Fix bug in ethtool -L (bsc#1050242 FATE#322914).
- bnxt_en: Fix race conditions in .ndo_get_stats64() (bsc#1050242
  FATE#322914).
- bpf: bnxt: Report bpf_prog ID during XDP_QUERY_PROG (bsc#1050242
  FATE#322914).
- bnxt_en: Fix xmit_more with BQL (bsc#1050242 FATE#322914).
- bnxt_en: Pass in sh parameter to bnxt_set_dflt_rings()
  (bsc#1050242 FATE#322914).
- bnxt_en: Implement xmit_more (bsc#1050242 FATE#322914).
- bnxt_en: Optimize doorbell write operations for newer chips
  (bsc#1050242 FATE#322914).
- bnxt_en: Add additional chip ID definitions (bsc#1050242
  FATE#322914).
- bnxt_en: Add a callback to inform RDMA driver during PCI
  shutdown (bsc#1050242 FATE#322914).
- bnxt_en: Add PCI IDs for BCM57454 VF devices (bsc#1050242
  FATE#322914).
- bnxt_en: Support for Short Firmware Message (bsc#1050242
  FATE#322914).
- bnxt: add dma mapping attributes (bsc#1050242 FATE#322914).
- commit a791793
* Tue Sep 12 2017 tbogendoerfer@suse.de
- Moved bnxt_re patches into sorted network driver section
- commit e77ab1e
* Tue Sep 12 2017 jslaby@suse.cz
- blacklist.conf: add 2 more entries
- commit 93d993d
* Mon Sep 11 2017 lduncan@suse.com
- mtip32xx: fix up the checking for internal command failure
  (bsc#1058157).
- commit f712234
* Mon Sep 11 2017 bpoirier@suse.com
- sfc: don't try and read ef10 data on non-ef10 NIC (bsc#1058169
  FATE#322922).
- sfc: correct comment on efx_mcdi_process_event (bsc#1058169
  FATE#322922).
- sfc: change Unknown MCDI event message to print full event
  (bsc#1058169 FATE#322922).
- commit 55d76f6
* Mon Sep 11 2017 bpoirier@suse.com
- i40e: point wb_desc at the nvm_wb_desc during i40e_read_nvm_aq
  (bsc#1056658 FATE#322188).
- i40e: avoid NVM acquire deadlock during NVM update (bsc#1056658
  FATE#322188).
- commit 0715187
* Mon Sep 11 2017 tonyj@suse.de
- perf vendor events powerpc: Remove duplicate events
  (FATE#322450, bsc#1050145).
- commit ad444e5
* Mon Sep 11 2017 bpoirier@suse.com
- Refresh patch order in networking section
- commit ae6b192
* Mon Sep 11 2017 tbogendoerfer@suse.de
- scsi: qedf: Fix a potential NULL pointer dereference
  (bsc#1050530 FATE#322901).
- scsi: qedf: Limit number of CQs (bsc#1050530 FATE#322901).
- scsi: qedf: fix spelling mistake: "offlading" -> "offloading"
  (bsc#1050530 FATE#322901).
- scsi: qedf: Merge a few quoted strings split across lines
  (bsc#1050530 FATE#322901).
- scsi: qedf: Use 'dma_zalloc_coherent' to reduce code verbosity
  (bsc#1050530 FATE#322901).
- scsi: qedf: Fix a return value in case of error in
  'qedf_alloc_global_queues' (bsc#1050530 FATE#322901).
- commit 943143a
* Mon Sep 11 2017 tbogendoerfer@suse.de
- Moved qedf patches to sorted network section
- commit f5a68e3
* Mon Sep 11 2017 tbogendoerfer@suse.de
- qed: Fix a memory allocation failure test in
  'qed_mcp_cmd_init()' (bsc#1050536 FATE#322898 bsc#1050538
  FATE#322897).
- scsi: qedi: Fix return code in qedi_ep_connect() (bsc#1050534
  FATE#322899).
- scsi: qedi: Add ISCSI_BOOT_SYSFS to Kconfig (bsc#1050534
  FATE#322899).
- RDMA/qedr: Prevent memory overrun in verbs' user responses
  (bsc#1050545 FATE#322893).
- scsi: qedi: fix another spelling mistake: "alloction" ->
  "allocation" (bsc#1050534 FATE#322899).
- scsi: qedi: Add support for Boot from SAN over iSCSI offload
  (bsc#1050534 FATE#322899).
- qed: Fix printk option passed when printing ipv6 addresses
  (bsc#1050536 FATE#322898 bsc#1050538 FATE#322897).
- scsi: qedi: Remove comparison of u16 idx with zero (bsc#1050534
  FATE#322899).
- qed: initialize ll2_syn_handle at start of function (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Add iWARP support for physical queue allocation
  (bsc#1050536 FATE#322898 bsc#1050545 FATE#322893).
- qed: Add iWARP protocol support in context allocation
  (bsc#1050536 FATE#322898 bsc#1050545 FATE#322893).
- qed: iWARP CM add error handling (bsc#1050536 FATE#322898
  bsc#1050545 FATE#322893).
- qed: iWARP implement disconnect flows (bsc#1050536 FATE#322898
  bsc#1050545 FATE#322893).
- qed: iWARP CM add active side connect (bsc#1050536 FATE#322898
  bsc#1050545 FATE#322893).
- qed: iWARP CM add passive side connect (bsc#1050536 FATE#322898
  bsc#1050545 FATE#322893).
- qed: iWARP CM add listener functions and initial SYN processing
  (bsc#1050536 FATE#322898 bsc#1050545 FATE#322893).
- qed: iWARP CM - setup a ll2 connection for handling SYN packets
  (bsc#1050536 FATE#322898 bsc#1050545 FATE#322893).
- qed: Add iWARP support in ll2 connections (bsc#1050536
  FATE#322898 bsc#1050545 FATE#322893).
- qed: Rename some ll2 related defines (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Implement iWARP initialization, teardown and qp operations
  (bsc#1050536 FATE#322898 bsc#1050545 FATE#322893).
- qed: Introduce iWARP personality (bsc#1050536 FATE#322898
  bsc#1050545 FATE#322893).
- qed*: Rename qed_roce_if.h to qed_rdma_if.h (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Split rdma content between qed_rdma and qed_roce
  (bsc#1050536 FATE#322898 bsc#1050538 FATE#322897).
- qed: Duplicate qed_roce. to qed_rdma.[ch] (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Cleanup qed_roce before duplicating it (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qede: Fix compilation without QED_RDMA (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: SPQ async callback registration (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Wait for resources before FUNC_CLOSE (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed*: Set rdma generic functions prefix (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed*: qede_roce. -> qede_rdma.[ch] (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Disable RoCE dpm when DCBx change occurs (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: RoCE EDPM to honor PFC (bsc#1050536 FATE#322898 bsc#1050538
  FATE#322897).
- qed: Chain support for external PBL (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- bpf: qede: Report bpf_prog ID during XDP_QUERY_PROG (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Fix an off by one bug (bsc#1050536 FATE#322898 bsc#1050538
  FATE#322897).
- qed: add qed_int_sb_init() stub function (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: collect GSI port statistics (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Call rx_release_cb() when flushing LL2 (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: No need for LL2 frags indication (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed*: LL2 callback operations (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: LL2 code relocations (bsc#1050536 FATE#322898 bsc#1050538
  FATE#322897).
- qed: Cleaner seperation of LL2 inputs (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Revise ll2 Rx completion (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: LL2 to use packed information for tx (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qede: VF XDP support (bsc#1050536 FATE#322898 bsc#1050538
  FATE#322897).
- qed: VF XDP support (bsc#1050536 FATE#322898 bsc#1050538
  FATE#322897).
- qed: VFs to try utilizing the doorbell bar (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Multiple qzone queues for VFs (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: IOV db support multiple queues per qzone (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Make VF legacy a bitfield (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Assign a unique per-queue index to queue-cid (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Pass vf_params when creating a queue-cid (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed*: L2 interface to use the SB structures directly
  (bsc#1050536 FATE#322898 bsc#1050538 FATE#322897).
- qed: Create L2 queue database (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Add bitmaps for VF CIDs (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Add support for changing iSCSI mac (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Support NVM-image reading API (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Share additional information with qedf (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Correct order of wwnn and wwpn (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: No need to reset SBs on IOV init (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Reset IGU CAM to default on init (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Hold a single array for SBs (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Provide auxiliary for getting free VF SB (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Remove assumption on SB order in IGU (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Encapsulate interrupt counters in struct (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Add aux. function translating sb_id -> igu_sb_id
  (bsc#1050536 FATE#322898 bsc#1050538 FATE#322897).
- qed: Distinguish between sb_id and igu_sb_id (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: IGU read revised (bsc#1050536 FATE#322898 bsc#1050538
  FATE#322897).
- qed: Minor refactoring in interrupt code (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Make qed_int_cau_conf_pi() static (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Cache alignemnt padding to match host (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Mask parities after occurance (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Print multi-bit attentions properly (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Diffrentiate adapter-specific attentions (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Get rid of the attention-arrays (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Support dynamic s-tag change (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: QL41xxx VF MSI-x table (bsc#1050536 FATE#322898 bsc#1050538
  FATE#322897).
- qed: Don't inherit RoCE DCBx for V2 (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Correct DCBx update scheme (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Add missing static/local dcbx info (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Replace set_id() api with set_name() (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qede: Log probe of PCI device (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Provide MBI information in dev_info (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Enable RoCE parser searching on fp init (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Flush slowpath tasklet on stop (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Remove BB_A0 references (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Drop the 's' from num_ports_in_engines (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Log incorrectly installed board (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: !main_ptt for tunnel configuration (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Align DP_ERR style with other DP macros (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qede: Fix sparse warnings (bsc#1050536 FATE#322898 bsc#1050538
  FATE#322897).
- qede: Support 1G advertisment (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Fix setting of Management bitfields (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qede: qedr closure after setting state (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Correct print in iscsi error-flow (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Revise alloc/setup/free flow (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qede: Don't use an internal MAC field (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qede: Add missing Status-block free (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qede: Honor user request for Tx buffers (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qede: Allow WoL to activate by default (bsc#1050536 FATE#322898
  bsc#1050538 FATE#322897).
- qed: Remove unused including <linux/version.h> (bsc#1050536
  FATE#322898 bsc#1050538 FATE#322897).
- qed: Utilize FW 8.20.0.0 (bsc#1050536 FATE#322898 bsc#1050538
  FATE#322897).
- commit 1d42a59
* Mon Sep 11 2017 tbogendoerfer@suse.de
- net: sched: fix memleak for chain zero (bsc#1056657 FATE#322189
  bsc#1056653 FATE#322190 bsc#1056787).
- commit 2088d61
* Mon Sep 11 2017 mgorman@suse.de
- Refresh
  patches.suse/audit-Reduce-overhead-using-a-coarse-clock.patch.
- Refresh
  patches.suse/mm-change-the-call-sites-of-numa-statistics-items.patch.
- Refresh
  patches.suse/mm-consider-the-number-in-local-CPUs-when-reading-NUMA-stats.patch.
- Refresh
  patches.suse/mm-update-NUMA-counter-threshold-size.patch.
- commit d6d62e5
* Mon Sep 11 2017 jthumshirn@suse.de
- scsi: aacraid: Fix out of bounds in aac_get_name_resp
  (FATE#322889, bsc#1049519).
- scsi: aacraid: reading out of bounds (FATE#322889, bsc#1049519).
- scsi: aacraid: Don't copy uninitialized stack memory to
  userspace (FATE#322889, bsc#1049519).
- scsi: aacraid: fix leak of data from stack back to userspace
  (FATE#322889, bsc#1049519).
- scsi: aacraid: Update driver version to 50834 (FATE#322889,
  bsc#1049519).
- scsi: aacraid: Remove reference to Series-9 (FATE#322889,
  bsc#1049519).
- scsi: aacraid: Add reset debugging statements (FATE#322889,
  bsc#1049519).
- scsi: aacraid: Enable ctrl reset for both hba and arc
  (FATE#322889, bsc#1049519).
- scsi: aacraid: Make sure ioctl returns on controller reset
  (FATE#322889, bsc#1049519).
- scsi: aacraid: Use correct function to get ctrl health
  (FATE#322889, bsc#1049519).
- scsi: aacraid: Rework aac_src_restart (FATE#322889,
  bsc#1049519).
- scsi: aacraid: Rework SOFT reset code (FATE#322889,
  bsc#1049519).
- scsi: aacraid: Add periodic checks to see IOP reset status
  (FATE#322889, bsc#1049519).
- scsi: aacraid: Rework IOP reset (FATE#322889, bsc#1049519).
- scsi: aacraid: Using single reset mask for IOP reset
  (FATE#322889, bsc#1049519).
- scsi: aacraid: Print ctrl status before eh reset (FATE#322889,
  bsc#1049519).
- scsi: aacraid: Log count info of scsi cmds before reset
  (FATE#322889, bsc#1049519).
- scsi: aacraid: Change wait time for fib completion (FATE#322889,
  bsc#1049519).
- scsi: aacraid: Remove reset support from check_health
  (FATE#322889, bsc#1049519).
- scsi: aacraid: Set correct Queue Depth for HBA1000 RAW disks
  (FATE#322889, bsc#1049519).
- scsi: aacraid: Added 32 and 64 queue depth for arc natives
  (FATE#322889, bsc#1049519).
- scsi: aacraid: Fix DMAR issues with iommu=pt (FATE#322889,
  bsc#1049519).
- scsi: aacraid: Remove __GFP_DMA for raw srb memory (FATE#322889,
  bsc#1049519).
- commit 4812863
* Mon Sep 11 2017 tbogendoerfer@suse.de
- supported.conf: mark mlxfw as supported
- commit 51723c1
* Mon Sep 11 2017 tbogendoerfer@suse.de
- net/mlx5e: IPoIB, Fix driver name retrieved by ethtool
  (bsc#1046303 FATE#322944).
- commit f0ce489
* Mon Sep 11 2017 tbogendoerfer@suse.de
- Update config files.
  New MLX5 config options
- commit f7e0715
* Mon Sep 11 2017 tbogendoerfer@suse.de
- net/mlx5e: Fix CQ moderation mode not set properly (bsc#1046303
  FATE#322944).
- net/mlx5e: Fix inline header size for small packets (bsc#1046303
  FATE#322944).
- net/mlx5: E-Switch, Unload the representors in the correct order
  (bsc#1046303 FATE#322944).
- net/mlx5e: Properly resolve TC offloaded ipv6 vxlan tunnel
  source address (bsc#1046303 FATE#322944).
- net/mlx5e: Don't override user RSS upon set channels
  (bsc#1046303 FATE#322944).
- net/mlx5e: Fix dangling page pointer on DMA mapping error
  (bsc#1046303 FATE#322944).
- net/mlx5: Remove the flag MLX5_INTERFACE_STATE_SHUTDOWN
  (bsc#1046303 FATE#322944).
- net/mlx5: Skip mlx5_unload_one if mlx5_load_one fails
  (bsc#1046303 FATE#322944).
- net/mlx5: Fix arm SRQ command for ISSI version 0 (bsc#1046303
  FATE#322944).
- net/mlx5e: Fix DCB_CAP_ATTR_DCBX capability for DCBNL getcap
  (bsc#1046303 FATE#322944).
- net/mlx5e: Check for qos capability in dcbnl_initialize
  (bsc#1046303 FATE#322944).
- IB/mlx5: Always return success for RoCE modify port (bsc#1046303
  FATE#322944).
- IB/mlx5: Fix Raw Packet QP event handler assignment (bsc#1046303
  FATE#322944).
- RDMA/mlx5: Fix existence check for extended address vector
  (bsc#1046305 FATE#322943).
- net/mlx5: Clean SRIOV eswitch resources upon VF creation failure
  (bsc#1046303 FATE#322944).
- IB/mlx5: Fix a warning message (bsc#1046303 FATE#322944).
- IB/mlx5: Clean mr_cache debugfs in case of failure (bsc#1046303
  FATE#322944).
- net/mlx5: IPSec, fix 64-bit division correctly (bsc#1046303
  FATE#322944).
- net/mlx5: Add Makefiles for subdirectories (bsc#1046303
  FATE#322944).
- net/mlx5: Build wq.o even if MLX5_CORE_EN is not selected
  (bsc#1046303 FATE#322944).
- net/mlx5: FPGA, Fix datatype mismatch (bsc#1046303 FATE#322944).
- net/mlx5: FPGA, make mlx5_fpga_device_brb static (bsc#1046303
  FATE#322944).
- net/mlx5: IPSec, Fix 64-bit division on 32-bit builds
  (bsc#1046303 FATE#322944).
- net/mlx5: Add missing include in lib/gid.c (bsc#1046303
  FATE#322944).
- IB/core, opa_vnic, hfi1, mlx5: Properly free rdma_netdev
  (bsc#1046305 FATE#322943).
- net/mlxfw: Properly handle dependancy with non-loadable mlx5
  (bsc#1051858).
- net/mlx5: fix memcpy limit? (bsc#1046303 FATE#322944).
- net/mlx5: fix spelling mistake: "Allodating" -> "Allocating"
  (bsc#1046303 FATE#322944).
- net/mlx5e: IPSec, Add IPSec ethtool stats (bsc#1046303
  FATE#322944).
- net/mlx5e: IPSec, Add Innova IPSec offload TX data path
  (bsc#1046303 FATE#322944).
- net/mlx5e: IPSec, Add Innova IPSec offload RX data path
  (bsc#1046303 FATE#322944).
- net/mlx5e: IPSec, Innova IPSec offload infrastructure
  (bsc#1046303 FATE#322944).
- net/mlx5: Accel, Add IPSec acceleration interface (bsc#1046303
  FATE#322944).
- net/mlx5: FPGA, Add SBU infrastructure (bsc#1046303
  FATE#322944).
- net/mlx5: FPGA, Add SBU bypass and reset flows (bsc#1046303
  FATE#322944).
- net/mlx5: FPGA, Add high-speed connection routines (bsc#1046303
  FATE#322944).
- net/mlx5: FPGA, Add FW commands for FPGA QPs (bsc#1046303
  FATE#322944).
- net/mlx5: FPGA, Move FPGA init/cleanup to init_once (bsc#1046303
  FATE#322944).
- net/mlx5: Add QP WQ support (bsc#1046303 FATE#322944).
- net/mlx5: Make get_cqe routine not ethernet-specific
  (bsc#1046303 FATE#322944).
- IB/mlx5: Respect mlx5_core reserved GIDs (bsc#1046303
  FATE#322944).
- net/mlx5: Add support for multiple RoCE enable (bsc#1046303
  FATE#322944).
- net/mlx5: Add reserved-gids support (bsc#1046303 FATE#322944).
- net/mlx5: Set interface flags before cleanup in unload_one
  (bsc#1046303 FATE#322944).
- net/mlx5: Fix offset of hca cap reserved field (bsc#1046303
  FATE#322944).
- net/mlx5e: IPoIB, Support the flash device ethtool callback
  (bsc#1046303 FATE#322944).
- net/mlx5e: Support the flash device ethtool callback
  (bsc#1046303 FATE#322944).
- net/mlx5: Add mlxfw callbacks (bsc#1046303 FATE#322944).
- net/mlx5: Add helper functions to set/query MCC/MCDA/MCQI
  registers (bsc#1046303 FATE#322944).
- net/mlx5: Enhance MCAM reg to allow query on access reg support
  (bsc#1046303 FATE#322944).
- net/mlx5: Add MCC (Management Component Control) register
  definitions (bsc#1046303 FATE#322944).
- mlxfw: Make the module selectable (bsc#1051858).
- net/mlx5e: Add header re-write offloading of IPv6 hop-limit
  (bsc#1046303 FATE#322944).
- net/mlx5e: Use macro for TC header re-write offload field
  mapping (bsc#1046303 FATE#322944).
- net/mlx5e: Offload TC matching on ip ttl (bsc#1046303
  FATE#322944).
- net/mlx5e: Relocate the TC match on ip tos offload code section
  (bsc#1046303 FATE#322944).
- net/mlx5e: Introduce RX Page-Reuse (bsc#1046303 FATE#322944).
- net/mlx5e: Enhance RX SKB headroom logic (bsc#1046303
  FATE#322944).
- net/mlx5e: Build SKB with exact frag_size (bsc#1046303
  FATE#322944).
- net/mlx5e: Use device ID defines (bsc#1046303 FATE#322944).
- net/mlx5e: IPoIB, Add ioctl support to IPoIB device driver
  (bsc#1046303 FATE#322944).
- net/mlx5e: IPoIB, Add PTP support to IPoIB device driver
  (bsc#1046303 FATE#322944).
- net/mlx5e: IPoIB, Get more TX statistics (bsc#1046303
  FATE#322944).
- net/mlx5e: IPoIB, Handle change_mtu (bsc#1046303 FATE#322944).
- net/mlx5e: Use hard_mtu as part of the mlx5e_priv struct
  (bsc#1046303 FATE#322944).
- net/mlx5e: IPoIB, Change parameters default values (bsc#1046303
  FATE#322944).
- net/mlx5e: Add new profile function update_carrier (bsc#1046303
  FATE#322944).
- net/mlx5e: IPoIB, Add ethtool support (bsc#1046303 FATE#322944).
- net/mlx5e: Prevent PFC call for non ethernet ports (bsc#1046303
  FATE#322944).
- net/mlx5e: IPoIB, Move to a separate directory (bsc#1046303
  FATE#322944).
- net/mlx5: Add fast unload support in shutdown flow (bsc#1046303
  FATE#322944).
- net/mlx5: Expose command polling interface (bsc#1046303
  FATE#322944).
- net/mlx5e: Optimize update stats work (bsc#1046303 FATE#322944).
- net/mlx5e: Move and optimize query out of buffer function
  (bsc#1046303 FATE#322944).
- net/mlx5e: Reduce number of heap allocated buffers for update
  stats (bsc#1046303 FATE#322944).
- net/mlx5e: Rename physical symbol errors counter (bsc#1046303
  FATE#322944).
- net/mlx5e: Fix typo in warning if CQ moderation is not supported
  (bsc#1046303 FATE#322944).
- net/mlx5e: Use function to map aRFS into traffic type
  (bsc#1046303 FATE#322944).
- net/mlx5: Undo LAG upon request to create virtual functions
  (bsc#1046303 FATE#322944).
- net/mlx5: Avoid space after casting (bsc#1046303 FATE#322944).
- net/mlx5: Align to match opening parenthesis (bsc#1046303
  FATE#322944).
- net/mlx5: Avoid blank lines before/after closing/opening braces
  (bsc#1046303 FATE#322944).
- net/mlx5: Avoid using multiple blank lines (bsc#1046303
  FATE#322944).
- net/mlx5: Fix some spelling mistakes (bsc#1046303 FATE#322944).
- net/mlx5: Update eqe_type_str() event names (bsc#1046303
  FATE#322944).
- bpf: mlx5e: Report bpf_prog ID during XDP_QUERY_PROG
  (bsc#1046303 FATE#322944).
- net/mlxfw: fix a NULL dereference (bsc#1051858).
- net/mlx5e: Fill advertised and supported port data from Hardware
  info (bsc#1046303 FATE#322944).
- net/mlx5e: Add support for reading connector type from PTYS
  (bsc#1046303 FATE#322944).
- net/mlx5: Update flow table commands layout (bsc#1046303
  FATE#322944).
- net/mlx5e: Support header re-write of partial fields in TC
  pedit offload (bsc#1046303 FATE#322944).
- net/mlx5e: Use modify header ID cache for offloaded TC NIC flows
  (bsc#1046303 FATE#322944).
- net/mlx5e: Use modify header ID cache for offloaded TC E-Switch
  flows (bsc#1046303 FATE#322944).
- net/mlx5e: Add cache for HW modify header IDs (bsc#1046303
  FATE#322944).
- net/mlx5e: Use short attribute form when adding/deleting
  offloaded TC flows (bsc#1046303 FATE#322944).
- net/mlx5e: Remove limitation of single NIC offloaded TC action
  per rule (bsc#1046303 FATE#322944).
- net/mlxfw: remove redundant goto on error check (bsc#1051858).
- net/mlx5e: Offload TC matching on ip tos / traffic-class
  (bsc#1046303 FATE#322944).
- net/mlx5e: Offload TC matching on tcp flags (bsc#1046303
  FATE#322944).
- net/mlxfw: select CONFIG_XZ_DEC (bsc#1051858).
- Add the mlxfw module for Mellanox firmware flash process
  (bsc#1051858).
- IB/mlx5: Bump driver version (bsc#1046303 FATE#322944).
- net/mlx5: Bump driver version (bsc#1046303 FATE#322944).
- net/mlx5: FPGA, Add basic support for Innova (bsc#1046303
  FATE#322944).
- net/mlx5: Introduce trigger_health_work function (bsc#1046303
  FATE#322944).
- net/mlx5: Update the list of the PCI supported devices
  (bsc#1046303 FATE#322944).
- {net, IB}/mlx5: Replace mlx5_vzalloc with kvzalloc (bsc#1046305
  FATE#322943).
- net/mlx5e: Fix possible memory leak (bsc#1046303 FATE#322944).
- commit eb483d0
* Mon Sep 11 2017 jslaby@suse.cz
- rpm/constraints.in: build ARM on at least 2 cpus
- commit b7edeaf
* Mon Sep 11 2017 jslaby@suse.cz
- rpm/constraints.in: increase memory for kernel-syzkaller
  And see if it helps. If so, push it to packaging...
- commit 7193e65
* Sun Sep 10 2017 jslaby@suse.cz
- Linux 4.12.12 (FATE#321195 bnc#1012628).
- Delete
  patches.drivers/0001-intel_th-pci-Add-Cannon-Lake-PCH-LP-support.patch.
- Delete
  patches.drivers/0002-intel_th-pci-Add-Cannon-Lake-PCH-H-support.patch.
- commit 296e98a
* Sat Sep  9 2017 bp@suse.de
- x86/intel_rdt: Turn off most RDT features on Skylake
  (fate#323965).
- commit 2a5c169
* Sat Sep  9 2017 bp@suse.de
- x86/intel_rdt: Add command line options for resource director
  technology (fate#323965).
- commit f5e558a
* Sat Sep  9 2017 bp@suse.de
- x86/intel_rdt: Move special case code for Haswell to a quirk
  function (fate#323965).
- commit c494255
* Sat Sep  9 2017 bp@suse.de
- x86/intel_rdt: Remove redundant ternary operator on return
  (fate#323965).
- commit da06468
* Sat Sep  9 2017 bp@suse.de
- x86/intel_rdt/cqm: Improve limbo list processing (fate#323965).
- commit d7dce5a
* Sat Sep  9 2017 bp@suse.de
- x86/intel_rdt/mbm: Fix MBM overflow handler during CPU hotplug
  (fate#323965).
- commit a86f8e0
* Sat Sep  9 2017 bp@suse.de
- x86/intel_rdt: Modify the intel_pqr_state for better performance
  (fate#323965).
- commit ab298d6
* Sat Sep  9 2017 bp@suse.de
- x86/intel_rdt/cqm: Clear the default RMID during hotcpu
  (fate#323965).
- commit 3c14e89
* Sat Sep  9 2017 bp@suse.de
- x86/intel_rdt: Show bitmask of shareable resource with other
  executing units (fate#323965).
- commit 0ccbd41
* Sat Sep  9 2017 bp@suse.de
- x86/intel_rdt/mbm: Handle counter overflow (fate#323965).
- commit 94ce203
* Sat Sep  9 2017 bp@suse.de
- x86/intel_rdt/mbm: Add mbm counter initialization (fate#323965).
- commit 32e11af
* Sat Sep  9 2017 bp@suse.de
- x86/intel_rdt/mbm: Basic counting of MBM events (total and
  local) (fate#323965).
- commit 12b1bc5
* Sat Sep  9 2017 bp@suse.de
- x86/intel_rdt/cqm: Add CPU hotplug support (fate#323965).
- commit 71658b1
* Sat Sep  9 2017 bp@suse.de
- x86/intel_rdt/cqm: Add sched_in support (fate#323965).
- commit 4198905
* Sat Sep  9 2017 bp@suse.de
- x86/intel_rdt: Introduce rdt_enable_key for scheduling
  (fate#323965).
- commit 16e00d5
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt/cqm: Add mount,umount support (fate#323965).
- commit e56f8c1
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt/cqm: Add rmdir support (fate#323965).
- commit bac5646
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt: Separate the ctrl bits from rmdir (fate#323965).
- commit 6ec17c9
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt/cqm: Add mon_data (fate#323965).
- commit 16bb61c
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt: Prepare for RDT monitor data support
  (fate#323965).
- commit ebdd847
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt/cqm: Add cpus file support (fate#323965).
- commit 11c3fd1
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt: Prepare to add RDT monitor cpus file support
  (fate#323965).
- commit 8229971
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt/cqm: Add tasks file support (fate#323965).
- commit eebc71b
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt: Change closid type from int to u32 (fate#323965).
- commit 6a67176
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt/cqm: Add mkdir support for RDT monitoring
  (fate#323965).
- commit bc3130b
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt: Prepare for RDT monitoring mkdir support
  (fate#323965).
- commit af2e795
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt/cqm: Add info files for RDT monitoring
  (fate#323965).
- commit 18ae4be
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt: Simplify info and base file lists (fate#323965).
- commit ae6127b
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt/cqm: Add RMID (Resource monitoring ID) management
  (fate#323965).
- commit e234239
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt/cqm: Add RDT monitoring initialization
  (fate#323965).
- commit 16f77e6
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt: Make rdt_resources_all more readable
  (fate#323965).
- commit 6a43549
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt: Cleanup namespace to support RDT monitoring
  (fate#323965).
- commit ace7458
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt: Mark rdt_root and closid_alloc as static
  (fate#323965).
- commit b46c4ec
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt: Change file names to accommodate RDT monitor code
  (fate#323965).
- commit a90473c
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt: Introduce a common compile option for RDT
  (fate#323965).
- commit 38084a6
* Fri Sep  8 2017 bp@suse.de
- x86/intel_rdt/cqm: Documentation for resctrl based RDT
  Monitoring (fate#323965).
- commit b231f22
* Fri Sep  8 2017 bp@suse.de
- x86/perf/cqm: Wipe out perf based cqm (fate#323965).
- commit 7619997
* Fri Sep  8 2017 bp@suse.de
- perf, bpf: Add BPF support to all perf_event types
  (fate#323965).
- commit db63802
* Fri Sep  8 2017 tbogendoerfer@suse.de
- net/mlx4_core: Fixes missing capability bit in flags2 capability
  dump (bsc#1046300 FATE#322946).
- net/mlx4_core: Fix namespace misalignment in QinQ VST support
  commit (bsc#1046300 FATE#322946).
- net/mlx4_core: Fix sl_to_vl_change bit offset in flags2 dump
  (bsc#1046300 FATE#322946).
- net/mlx4_en: Fix wrong indication of Wake-on-LAN (WoL) support
  (bsc#1046299 FATE#322947).
- IB/mlx4: Fix CM REQ retries in paravirt mode (bsc#1046302
  FATE#322945).
- mlx4_en: remove unnecessary returned value check (bsc#1046299
  FATE#322947).
- {net, IB}/mlx4: Remove gfp flags argument (bsc#1046302
  FATE#322945).
- IB: Convert msleep below 20ms to usleep_range (bsc#1046302
  FATE#322945).
- mlx4_en: make mlx4_log_num_mgm_entry_size static (bsc#1046299
  FATE#322947).
- net/mlx4_en: Do not allocate redundant TX queues when TC is
  disabled (bsc#1046299 FATE#322947).
- net/mlx4_en: Add dynamic variable to hold the number of user
  priorities (UP) (bsc#1046299 FATE#322947).
- net/mlx4: fix spelling mistake: "enforcment" -> "enforcement"
  (bsc#1046299 FATE#322947).
- net/mlx4: fix spelling mistake: "coalesing" -> "coalescing"
  (bsc#1046299 FATE#322947).
- bpf: mlx4: Report bpf_prog ID during XDP_QUERY_PROG (bsc#1046299
  FATE#322947).
- net/mlx4_en: Refactor mlx4_en_free_tx_desc (bsc#1046299
  FATE#322947).
- net/mlx4_en: Replace TXBB_SIZE multiplications with shift
  operations (bsc#1046299 FATE#322947).
- net/mlx4_en: Increase default TX ring size (bsc#1046299
  FATE#322947).
- net/mlx4_en: Poll XDP TX completion queue in RX NAPI
  (bsc#1046299 FATE#322947).
- net/mlx4_en: Improve XDP xmit function (bsc#1046299
  FATE#322947).
- net/mlx4_en: Improve stack xmit function (bsc#1046299
  FATE#322947).
- net/mlx4_en: Improve transmit CQ polling (bsc#1046299
  FATE#322947).
- net/mlx4_en: Improve receive data-path (bsc#1046299
  FATE#322947).
- net/mlx4_en: Optimized single ring steering (bsc#1046299
  FATE#322947).
- net/mlx4_en: Remove unused argument in TX datapath function
  (bsc#1046299 FATE#322947).
- IB/mlx4: Bump driver version (bsc#1046302 FATE#322945).
- net/mlx4_en: Bump driver version (bsc#1046299 FATE#322947).
- net/mlx4_core: Bump driver version (bsc#1046300 FATE#322946).
- commit 13e2dc6
* Fri Sep  8 2017 tbogendoerfer@suse.de
- Re-sorted network driver sorted section
- commit 011cd2d
* Fri Sep  8 2017 jslaby@suse.cz
- rpm/kernel-binary.spec.in: package ftrace-mod.o on arm64
  It is needed for building modules since 4.13:
  CC [M]  /suse/jslaby/a/aaa.o
  Building modules, stage 2.
  MODPOST 1 modules
  CC      /suse/jslaby/a/aaa.mod.o
  LD [M]  /suse/jslaby/a/aaa.ko
  ld: cannot find ./arch/arm64/kernel/ftrace-mod.o: No such file or directory
  ...
- commit 07da115
* Fri Sep  8 2017 msuchanek@suse.de
- net: ibm: ibmvnic: constify vio_device_id (fate#323285).
- ibmvnic: Add netdev_dbg output for debugging (fate#323285).
- ibmvnic: Clean up resources on probe failure (fate#323285).
- ibmvnic: Implement .get_channels (fate#323285).
- ibmvnic: Implement .get_ringparam (fate#323285).
- commit 1850d99
* Fri Sep  8 2017 msuchanek@suse.de
- ibmvnic: Convert vnic server reported statistics to cpu endian
  (fate#323285).
- ibmvnic: Implement per-queue statistics reporting (fate#323285).
- commit 1d86bd7
* Thu Sep  7 2017 bpoirier@suse.com
- net/{mii, smsc}: Make mii_ethtool_get_link_ksettings and
  smc_netdev_get_ecmd return void (bsc#1056666 FATE#322183).
- commit c133dc9
* Thu Sep  7 2017 bpoirier@suse.com
- igb: make a few local functions static (bsc#1056651 FATE#322191
  bsc#1056643 FATE#322192).
- igb: Remove useless argument (bsc#1056651 FATE#322191
  bsc#1056643 FATE#322192).
- igb: check for Tx timestamp timeouts during watchdog
  (bsc#1056651 FATE#322191 bsc#1056643 FATE#322192).
- igb: add statistic indicating number of skipped Tx timestamps
  (bsc#1056651 FATE#322191 bsc#1056643 FATE#322192).
- igb: avoid permanent lock of *_PTP_TX_IN_PROGRESS (bsc#1056651
  FATE#322191 bsc#1056643 FATE#322192).
- igb: fix race condition with PTP_TX_IN_PROGRESS bits
  (bsc#1056651 FATE#322191 bsc#1056643 FATE#322192).
- igb: mark PM functions as __maybe_unused (bsc#1056651
  FATE#322191 bsc#1056643 FATE#322192).
- commit 846d7ef
* Thu Sep  7 2017 bpoirier@suse.com
- i40e backport for SLE15
  e3412575488a net: ethernet: update drivers to handle HWTSTAMP_FILTER_NTP_ALL (v4.13-rc1)
  already added as part of e1000e
  eb873fe4d31b i40evf: fix duplicate lines (v4.13-rc1)
  155b0f690051 i40evf: fix merge error in older patch (v4.13-rc1)
  Already applied with ref bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247. Refreshed.
  9d68322e53e6 i40evf: disable unused flags (v4.13-rc1)
  bbc4e7d273b5 i40e: fix race condition with PTP_TX_IN_PROGRESS bits (v4.13-rc1)
  69077577af50 i40e: avoid permanent lock of *_PTP_TX_IN_PROGRESS (v4.13-rc1)
  2955faca0403 i40e: add statistic indicating number of skipped Tx timestamps (v4.13-rc1)
  61189556692e i40e: use pf data structure directly in i40e_ptp_rx_hang (v4.13-rc1)
  0bc0706b46cd i40e: check for Tx timestamp timeouts during watchdog (v4.13-rc1)
  0a4ecc2c5e04 i40e: Check for memory allocation failure (v4.13-rc1)
  392908033308 i40evf: drop i40e_type.h include (v4.13-rc1)
  681bdf80cff6 i40e/i40evf: create and use new unified header file (v4.13-rc1)
  55cdfd48f217 i40e: use new unified virtchnl header file (v4.13-rc1)
  310a2ad92e3f virtchnl: rename i40e to generic virtchnl (v4.13-rc1)
  260e93820ad6 virtchnl: move some code to core driver (v4.13-rc1)
  eedcfef85b15 virtchnl: convert to new macros (v4.13-rc1)
  764430ce6f8c i40e/virtchnl: refactor code for validate checks (v4.13-rc1)
  f0adc6e831ba i40evf/virtchnl: whitespace cleanups (v4.13-rc1)
  ff3f4cc267f6 virtchnl: finish conversion to virtchnl interface (v4.13-rc1)
  735e35c56bbc i40e/virtchnl: move function to virtchnl (v4.13-rc1)
  a33c83c4353b virtchnl: Add pad fields to a couple of structures (v4.13-rc1)
  73556269aab3 virtchnl: Add compile time static asserts to validate structure sizes (v4.13-rc1)
  abf709a1e731 i40evf: Add support for Adaptive Virtual Function (v4.13-rc1)
  a5fcf8a6c968 net: propagate tc filter chain index down the ndo_setup_tc call (v4.13-rc1)
  already applied as part of ixgbe
  4df864c1d9af networking: make skb_put & friends return void pointers (v4.13-rc1)
  already applied with ref bsc#1056787
  0c8493d90b6b i40e: add XDP support for pass and drop actions (v4.13-rc1)
  74608d17fe29 i40e: add support for XDP_TX action (v4.13-rc1)
  65c7006f234c i40evf: assign num_active_queues inside i40evf_alloc_queues (v4.13-rc1)
  7c32b1e65075 i40e/i40evf: update WOL and I40E_AQC_ADDR_VALID_MASK flags (v4.13-rc1)
  59e331e36ef9 i40e: use dev_dbg instead of dev_info when warning about missing routine (v4.13-rc1)
  15d23b4c361f i40e: comment that udp_port must be in host byte order (v4.13-rc1)
  1e99854715c7 i40e: Fix potential out of bound array access (v4.13-rc1)
  68fb13a76774 i40e: Support firmware CEE DCB UP to TC map re-definition (v4.13-rc1)
  83d14c595e01 i40e: Add message for unsupported MFP mode (v4.13-rc1)
  4fc8c6763957 i40e: genericize the partition bandwidth control (v4.13-rc1)
  5bbb2e204544 i40e: Add support for OEM firmware version (v4.13-rc1)
  e58872398684 i40e: fix disabling overflow promiscuous mode (v4.13-rc1)
  2e5c26ea0d08 i40e: clear only cause_ena bit (v4.13-rc1)
  7642984b0876 i40e: Handle PE_CRITERR properly with IWARP enabled (v4.13-rc1)
  dfc4ff644674 i40e: don't hold RTNL lock for the entire reset (v4.13-rc1)
  7d6d06779028 i40e: Initialize 64-bit statistics TX ring seqcount (v4.13-rc5)
- i40e: Add message for unsupported MFP mode (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: Add support for OEM firmware version (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: Check for memory allocation failure (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: Fix potential out of bound array access (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: Handle PE_CRITERR properly with IWARP enabled (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: Initialize 64-bit statistics TX ring seqcount (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: Support firmware CEE DCB UP to TC map re-definition
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: add XDP support for pass and drop actions (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: add statistic indicating number of skipped Tx timestamps
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: add support for XDP_TX action (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- i40e: avoid permanent lock of *_PTP_TX_IN_PROGRESS (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: check for Tx timestamp timeouts during watchdog
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: clear only cause_ena bit (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- i40e: comment that udp_port must be in host byte order
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: don't hold RTNL lock for the entire reset (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: fix disabling overflow promiscuous mode (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: fix race condition with PTP_TX_IN_PROGRESS bits
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: genericize the partition bandwidth control (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e/i40evf: create and use new unified header file (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e/i40evf: update WOL and I40E_AQC_ADDR_VALID_MASK flags
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: use dev_dbg instead of dev_info when warning about missing
  routine (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e: use new unified virtchnl header file (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e: use pf data structure directly in i40e_ptp_rx_hang
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40e/virtchnl: move function to virtchnl (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40e/virtchnl: refactor code for validate checks (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40evf: Add support for Adaptive Virtual Function (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- i40evf: assign num_active_queues inside i40evf_alloc_queues
  (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- i40evf: disable unused flags (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- i40evf: drop i40e_type.h include (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- i40evf: fix duplicate lines (bsc#1056658 FATE#322188 bsc#1056662
  FATE#322186).
- i40evf/virtchnl: whitespace cleanups (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- virtchnl: Add compile time static asserts to validate structure
  sizes (bsc#1056658 FATE#322188 bsc#1056662 FATE#322186).
- virtchnl: Add pad fields to a couple of structures (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- virtchnl: convert to new macros (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- virtchnl: finish conversion to virtchnl interface (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- virtchnl: move some code to core driver (bsc#1056658 FATE#322188
  bsc#1056662 FATE#322186).
- virtchnl: rename i40e to generic virtchnl (bsc#1056658
  FATE#322188 bsc#1056662 FATE#322186).
- Refresh
  patches.drivers/i40evf-fix-merge-error-in-older-patch.patch.
- commit dd418e7
* Thu Sep  7 2017 tbogendoerfer@suse.de
- net: check type when freeing metadata dst (bsc#1056787).
- commit a09d253
* Thu Sep  7 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Expand kernel tree directly from sources (bsc#1057199)
- commit a61b4d9
* Thu Sep  7 2017 tbogendoerfer@suse.de
- cisco: enic: Fic an error handling path in
  'vnic_dev_init_devcmd2()' (bsc#1037697).
- enic: Fix format truncation warning (bsc#1037697).
- enic: unmask intr only when napi is complete (bsc#1037697).
- commit c00bce8
* Thu Sep  7 2017 mgorman@suse.de
- Refresh
  patches.suse/exports-from-rcu_idle_exit-and-rcu_idle_enter.patch.
- Refresh
  patches.suse/numa-sched-slow-down-scan-rate-if-shared-faults-dominate.patch.
- Refresh
  patches.suse/page-waitqueue-always-add-new-entries-at-the-end.patch.
- Refresh
  patches.suse/rcu_idle_enter-rely-on-callers-disabling-irqs.patch.
- Refresh
  patches.suse/sched-numa-scale-scan-period-with-tasks-in-group-and-shared-private.patch.
- commit 14198d9
* Thu Sep  7 2017 jack@suse.cz
- gfs2: Don't clear SGID when inheriting ACLs (bsc#1052766).
- commit 6e0baaf
* Thu Sep  7 2017 jack@suse.cz
- xfs: fix inobt inode allocation search optimization
  (bsc#1052766).
- commit d59b124
* Thu Sep  7 2017 oneukum@suse.com
- Update config files.
  Switch off radio support (FATE#323882)
- commit 9ff0bc2
* Thu Sep  7 2017 oneukum@suse.com
- intel_th: pci: Add Cannon Lake PCH-H support (FATE#321195).
- intel_th: pci: Add Cannon Lake PCH-LP support (FATE#321195).
- commit 9fe67df
* Thu Sep  7 2017 tiwai@suse.de
- drm/i915/cfl: Fix Workarounds (FATE#322643 bsc#1055900).
- drm/i915/cfl: Introduce Coffee Lake workarounds (FATE#322643
  bsc#1055900).
- drm/i915: Store 9 bits of PCI Device ID for platforms with a
  LP PCH (FATE#322643 bsc#1055900).
- drm/i915/cfl: Basic DDI plumbing for Coffee Lake (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Coffee Lake reuses Kabylake DMC (FATE#322643
  bsc#1055900).
- drm/i915/huc: Load HuC on Coffee Lake (FATE#322643 bsc#1055900).
- drm/i915/guc: Load GuC on Coffee Lake (FATE#322643 bsc#1055900).
- drm/i915/cfl: Add Coffee Lake PCI IDs for U Sku (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Add Coffee Lake PCI IDs for H Sku (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Add Coffee Lake PCI IDs for S Skus (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Introduce Display workarounds for Coffee Lake
  (FATE#322643 bsc#1055900).
- drm/i915/cfl: Coffee Lake uses CNP PCH (FATE#322643
  bsc#1055900).
- drm/i915/cfl: Introduce Coffee Lake platform definition
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Cannonlake uses CNP PCH (FATE#322643 bsc#1055900).
- drm/i915/cnp: Panel Power sequence changes for CNP PCH
  (FATE#322643 bsc#1055900).
- drm/i915/cnl: Introduce Cannonlake platform defition
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: add CNP gmbus support (FATE#322643 bsc#1055900).
- drm/i915/cnp: Backlight support for CNP (FATE#322643
  bsc#1055900).
- drm/i915/cnp: Get/set proper Raw clock frequency on CNP
  (FATE#322643 bsc#1055900).
- drm/i915/cnp: Add PCI ID for Cannonpoint LP PCH (FATE#322643
  bsc#1055900).
- drm/i915/cnp: Introduce Cannonpoint PCH (FATE#322643
  bsc#1055900).
- commit 602378e
* Thu Sep  7 2017 jslaby@suse.cz
- Linux 4.12.11 (bnc#1012628).
- commit bf7fb08
* Wed Sep  6 2017 mcgrof@suse.com
- supported.conf: add test_syctl to new kselftests-kmp package FATE#323821
  As per FATE#323821 we will require new FATE requests per each
  new selftest driver. We don't want to support these module on
  production runs but we do want to support them for QA / testing
  uses. The compromise is to package them into its own package,
  this will be the kselftests-kmp package.
  Selftests can also be used as proof of concept vehicle for issues
  by customers or ourselves.
  Vanilla kernels do not get test_sysctl given that driver was
  using built-in defaults, this also means we cannot run sefltests
  on config/s390x/zfcpdump which does not enable modules.
  Likeweise, since we had to *change* the kernel for test_syctl, it
  it also means we can't test test_syctl with vanilla kernels. It
  should be possible with other selftests drivers if they are
  present in vanilla kernels though.
- commit ae8069f
* Wed Sep  6 2017 bpoirier@suse.com
- Update config files.
  Needed because of the backport of 7edaeb6841df ("kernel/watchdog: Prevent
  false positives with turbo modes", v4.13-rc6) added in v4.12.9.
- commit 6d65043
* Wed Sep  6 2017 bpoirier@suse.com
- net: Fix parisc SCM_TIMESTAMPING_PKTINFO value (bsc#1056664
  FATE#322185).
- net: Define SCM_TIMESTAMPING_PKTINFO on all architectures
  (bsc#1056664 FATE#322185).
- commit ad597de
* Wed Sep  6 2017 bpoirier@suse.com
- ixgbe: Initialize 64-bit stats seqcounts (bsc#1056657
  FATE#322189 bsc#1056653 FATE#322190).
- bpf: ixgbe: Report bpf_prog ID during XDP_QUERY_PROG
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- net: Add IFLA_XDP_PROG_ID (bsc#1056657 FATE#322189 bsc#1056653
  FATE#322190).
- ixgbe: pci_set_drvdata must be called before register_netdev
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: Resolve cppcheck format string warning (bsc#1056657
  FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: fix writes to PFQDE (bsc#1056657 FATE#322189 bsc#1056653
  FATE#322190).
- ixgbevf: Bump version number (bsc#1056657 FATE#322189
  bsc#1056653 FATE#322190).
- ixgbe: Bump version number (bsc#1056657 FATE#322189 bsc#1056653
  FATE#322190).
- ixgbe: check for Tx timestamp timeouts during watchdog
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: add statistic indicating number of skipped Tx timestamps
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: avoid permanent lock of *_PTP_TX_IN_PROGRESS (bsc#1056657
  FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: fix race condition with PTP_TX_IN_PROGRESS bits
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- net: propagate tc filter chain index down the ndo_setup_tc call
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- bpf: Introduce bpf_prog ID (bsc#1056657 FATE#322189 bsc#1056653
  FATE#322190).
- ixgbe: fix incorrect status check (bsc#1056657 FATE#322189
  bsc#1056653 FATE#322190).
- ixgbe: add missing configuration for rate select 1 (bsc#1056657
  FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: always call setup_mac_link for multispeed fiber
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: add write flush when configuring CS4223/7 (bsc#1056657
  FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: correct CS4223/7 PHY identification (bsc#1056657
  FATE#322189 bsc#1056653 FATE#322190).
- ixgbevf: Resolve warnings for -Wimplicit-fallthrough
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- ixgbevf: Resolve truncation warning for q_vector->name
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: Resolve warnings for -Wimplicit-fallthrough (bsc#1056657
  FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: Resolve truncation warning for q_vector->name
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: Add error checking to setting VF MAC (bsc#1056657
  FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: Correct thermal sensor event check (bsc#1056657
  FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: enable L3/L4 filtering for Tx switched packets
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: Remove MAC X550EM_X 1Gbase-t led_[on|off] support
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- ixgbe: initialize u64_stats_sync structures early at ixgbe_probe
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- ixgbe/ixgbevf: Enables TSO for MPLS encapsulated packets
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- net: sched: add termination action to allow goto chain
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- net: sched: push tp down to action init (bsc#1056657 FATE#322189
  bsc#1056653 FATE#322190).
- net: sched: introduce multichain support for filters
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- net: sched: push chain dump to a separate function (bsc#1056657
  FATE#322189 bsc#1056653 FATE#322190).
- net: sched: introduce helpers to work with filter chains
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- net: sched: move TC_H_MAJ macro call into tcf_auto_prio
  (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- net: sched: replace nprio by a bool to make the function more
  readable (bsc#1056657 FATE#322189 bsc#1056653 FATE#322190).
- net: sched: rename tcf_destroy_chain helper (bsc#1056657
  FATE#322189 bsc#1056653 FATE#322190).
- net: sched: introduce tcf block infractructure (bsc#1056657
  FATE#322189 bsc#1056653 FATE#322190).
- net: sched: move tc_classify function to cls_api.c (bsc#1056657
  FATE#322189 bsc#1056653 FATE#322190).
- commit fe2f3a3
* Wed Sep  6 2017 bpoirier@suse.com
- e1000e: Undo e1000e_pm_freeze if __e1000_shutdown fails
  (bsc#1056664 FATE#322185).
- e1000e: use disable_hardirq() also for MSIX vectors in
  e1000_netpoll() (bsc#1056664 FATE#322185).
- e1000e: add statistic indicating number of skipped Tx timestamps
  (bsc#1056664 FATE#322185).
- e1000e: fix race condition around skb_tstamp_tx() (bsc#1056664
  FATE#322185).
- net: ethernet: update drivers to make both SW and HW TX
  timestamps (bsc#1056664 FATE#322185).
- net: allow simultaneous SW and HW transmit timestamping
  (bsc#1056664 FATE#322185).
- net: fix documentation of struct scm_timestamping (bsc#1056664
  FATE#322185).
- net: add new control message for incoming HW-timestamped packets
  (bsc#1056664 FATE#322185).
- net: add function to retrieve original skb device using NAPI ID
  (bsc#1056664 FATE#322185).
- net: ethernet: update drivers to handle HWTSTAMP_FILTER_NTP_ALL
  (bsc#1056664 FATE#322185).
- net: define receive timestamp filter for NTP (bsc#1056664
  FATE#322185).
- commit ac365e2
* Wed Sep  6 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Re-add xmlto buildreq conditionally for SLE15 & co
- commit 259b49e
* Wed Sep  6 2017 mchandras@suse.de
- rpm/group-source-files.pl: Add arch/*/tools/* files to the devel package
  Commit b71c9ffb1405 ("powerpc: Add arch/powerpc/tools directory")
  introduced in v4.12-rc1 release, moved the scripts into the tools
  directory. However, this location is not considered for the kernel devel
  package and the following error occurs when building a kmp for powerpc
  make[2]: /usr/src/linux-4.12.9-1/arch/powerpc/tools/gcc-check-mprofile-kernel.sh: Command not found
- commit 5f1ff53
* Tue Sep  5 2017 mbrugger@suse.com
- Delete
  patches.drivers/0002-hns-set-relation-between-hns_roce-and-hns_enet_drv.patch.
- commit 1532f7a
* Tue Sep  5 2017 mbrugger@suse.com
- Delete
  patches.arch/arm64-1-5-arm64-perf-Basic-uncore-counter-support-for-Cavium-ThunderX.patch.
- Delete
  patches.arch/arm64-2-5-arm64-perf-Cavium-ThunderX-L2C-TAD-uncore-support.patch.
- Delete
  patches.arch/arm64-3-5-arm64-perf-Cavium-ThunderX-L2C-CBC-uncore-support.patch.
- Delete
  patches.arch/arm64-4-5-arm64-perf-Cavium-ThunderX-LMC-uncore-support.patch.
- Delete
  patches.arch/arm64-5-5-arm64-perf-Cavium-ThunderX-OCX-TLK-uncore-support.patch.
  Delete not upstreamed driver
- commit 68629cf
* Tue Sep  5 2017 mbrugger@suse.com
- Delete
  patches.suse/arm64-0075-kdump-kexec-arm64-Add-kernel-parameter-to-enable-kexec.patch.
- commit 0bb01f6
* Tue Sep  5 2017 mbrugger@suse.com
- Delete
  patches.arch/arm64-0001-arm64-insn-Do-not-disable-irqs-during-patching.patch.
- Delete
  patches.arch/arm64-0002-arm64-Implement-IPI-based-TLB-invalidation.patch.
- Delete
  patches.arch/arm64-0003-KVM-arm-arm64-Check-for-broadcast-TLBI-support.patch.
- Delete
  patches.arch/arm64-0005-arm64-Add-workaround-for-Cavium-erratum-26026.patch.
  HW which needed this workaround is no longer supported
- commit bfc65a0
* Tue Sep  5 2017 jlee@suse.com
- Update config files. (fate#323414)
  Enable IMA kernel configuration on arm64 and s390x. (fate#323414)
- commit 39207d0
* Tue Sep  5 2017 jthumshirn@suse.de
- Update config files, enable NVMe on S/390x (FATE#323773).
- commit 6e56e74
* Tue Sep  5 2017 tbogendoerfer@suse.de
- cxgb4: Fix stack out-of-bounds read due to wrong size to
  t4_record_mbox() (bsc#1046540).
- iw_cxgb4: fix misuse of integer variable (bsc#1046543).
- iw_cxgb4: don't use WR keys/addrs for 0 byte reads
  (bsc#1046543).
- cxgb4: Fix error codes in c4iw_create_cq() (bsc#1046540).
- cxgb4: ptp_clock_register() returns error pointers (bsc#1046540
  bsc#1046648).
- cxgb4: add new T5 pci device id's (bsc#1046540).
- crypto: chcr - Avoid algo allocation in softirq (bsc#1046548).
- cxgb4: Support for get_ts_info ethtool method (bsc#1046540
  bsc#1046648).
- cxgb4: Add PTP Hardware Clock (PHC) support (bsc#1046540
  bsc#1046648).
- cxgb4: time stamping interface for PTP (bsc#1046540
  bsc#1046648).
- cxgb4: Use Firmware params to get buffer-group map
  (bsc#1046540).
- cxgb4: Update T6 Buffer Group and Channel Mappings
  (bsc#1046540).
- net: introduce __skb_put_[zero, data, u8] (bsc#1056787).
- cxgb4: add new T6 pci device id's (bsc#1046540).
- cxgb4: fix a NULL dereference (bsc#1046540).
- cxgb4: handle serial flash interrupt (bsc#1046540).
- cxgb4: fix memory leak in init_one() (bsc#1046540).
- cxgb4: handle interrupt raised when FW crashes (bsc#1046540).
- cxgb4: fix to bring link down after adapter crash (bsc#1046540).
- tcp: add a struct net parameter to tcp_parse_options()
  (bsc#1046543).
  Refresh
  patches.drivers/networking-make-skb_push-__skb_push-return-void-poin.patch.
- crypto: chcr - Select device in Round Robin fashion
  (bsc#1046548).
- crypto: chcr - Ensure Destination sg entry size less than 2k
  (bsc#1046548).
- chcr - Add debug counters (bsc#1046548).
- crypto: chcr - Add ctr mode and process large sg entries for
  cipher (bsc#1046548).
  Refresh
  patches.drivers/networking-make-skb_put-friends-return-void-pointers.patch.
- crypto: chcr - Avoid changing request structure (bsc#1046548).
- crypto: chcr - Return correct error code (bsc#1046548).
- crypto: chcr - Fix fallback key setting (bsc#1046548).
- crypto: chcr - Pass lcb bit setting to firmware (bsc#1046548).
- commit dd52566
* Tue Sep  5 2017 tiwai@suse.de
- drm/dp/mst: Handle errors from
  drm_atomic_get_private_obj_state() correctly (bsc#1055493).
- drm/i915: Track MST link bandwidth (bsc#1055493).
- drm/dp: Add DP MST helpers to atomically find and release vcpi
  slots (bsc#1055493).
- drm/dp: Introduce MST topology state to track available link
  bandwidth (bsc#1055493).
- drm: Add driver-private objects to atomic state (bsc#1055493).
- commit 5bd7bf1
* Tue Sep  5 2017 lduncan@suse.com
- cxgbit: fix sg_nents calculation (bsc#1046545).
- iscsi-target: fix invalid flags in text response (bsc#1046545).
- cxgbit: add missing __kfree_skb() (bsc#1046545).
- commit 053e1ff
* Tue Sep  5 2017 lduncan@suse.com
- RDMA/iser: don't send an rkey if all data is written as
  immadiate-data (bsc#1046647).
- IB/iser: Handle lack of memory management extentions correctly
  (bsc#1046647).
- commit e8af9ba
* Tue Sep  5 2017 dbueso@suse.de
- x86/nmi: Use raw lock (bsc#1050549).
- locking/rwsem-xadd: Add killable versions of
  rwsem_down_read_failed() (bsc#1050549).
- locking/rwsem-spinlock: Add killable versions of __down_read()
  (bsc#1050549).
- locking/pvqspinlock: Relax cmpxchg's to improve performance
  on some architectures (bsc#1050549).
- smp: Avoid using two cache lines for struct call_single_data
  (bsc#1050549).
- smp, cpumask: Use non-atomic cpumask_{set,clear}_cpu()
  (bsc#1050549).
- smp: Avoid sending needless IPI in smp_call_function_many()
  (bsc#1050549).
- commit 46ecda3
* Mon Sep  4 2017 msuchanek@suse.de
- powerpc/xive: Fix section __init warning (fate#322438).
- commit fe47c32
* Mon Sep  4 2017 msuchanek@suse.de
- powerpc/xive: improve debugging macros (fate#322438).
- powerpc/xive: add XIVE Exploitation Mode to CAS (fate#322438).
- powerpc/xive: introduce H_INT_ESB hcall (fate#322438).
- powerpc/xive: add the HW IRQ number under xive_irq_data
  (fate#322438).
- powerpc/xive: introduce xive_esb_write() (fate#322438).
- commit daa41de
* Mon Sep  4 2017 msuchanek@suse.de
- powerpc/xive: rename xive_poke_esb() in xive_esb_read()
  (fate#322438).
- powerpc/xive: guest exploitation of the XIVE interrupt
  controller (fate#322438).
- powerpc/xive: introduce a common routine xive_queue_page_alloc()
  (fate#322438).
- powerpc/xmon: Exclude all of xmon from ftrace (fate#322438).
- commit 71dd0bb
* Mon Sep  4 2017 bpoirier@suse.com
- Refresh patch order in networking section
- commit 2da2414
* Mon Sep  4 2017 msuchanek@suse.de
- powerpc/xive: Fix the size of the cpumask used in
  xive_find_target_in_mask() (fate#322438).
- commit 956ce91
* Mon Sep  4 2017 tbogendoerfer@suse.de
- sch_sfq: fix null pointer dereference on init failure
  (bsc#1056787).
- sch_hfsc: fix null pointer deref and double free on init failure
  (bsc#1056787).
- net: sched: don't do tcf_chain_flush from tcf_chain_destroy
  (bsc#1056787).
- net: sched: fix use after free when tcf_chain_destroy is called
  multiple times (bsc#1056787).
- udp: make function udp_skb_dtor_locked static (bsc#1056787).
- commit a5094e3
* Mon Sep  4 2017 tbogendoerfer@suse.de
- nfp: double free on error in probe (bsc#1055968).
- nfp: remove incorrect mask check for vlan matching
  (bsc#1055968).
- nfp: fix supported key layers calculation (bsc#1055968).
- nfp: fix unchecked flow dissector use (bsc#1055968).
- nfp: avoid buffer leak when representor is missing
  (bsc#1055968).
- nfp: make sure representors are destroyed before their lower
  netdev (bsc#1055968).
- nfp: don't hold PF lock while enabling SR-IOV (bsc#1055968).
- commit 6f53b58
* Mon Sep  4 2017 tbogendoerfer@suse.de
- net: Define SCM_TIMESTAMPING_PKTINFO on all architectures
  (bsc#1056787).
- commit 502bfad
* Mon Sep  4 2017 tbogendoerfer@suse.de
- Update config files.
- commit 3eb3872
* Mon Sep  4 2017 tbogendoerfer@suse.de
- nfp: do not update MTU from BH in flower app (bsc#1055968).
- nfp: Initialize RX and TX ring 64-bit stats seqcounts
  (bsc#1055968).
- nfp: freeing the wrong variable (bsc#1055968).
- nfp: flower: add missing clean up call to avoid memory leaks
  (bsc#1055968).
- nfp: default to chained metadata prepend format (bsc#1055968).
- nfp: remove legacy MAC address lookup (bsc#1055968).
- nfp: improve order of interfaces in breakout mode (bsc#1055968).
- nfp: add control message passing capabilities to flower offloads
  (bsc#1055968).
- nfp: add a stats handler for flower offloads (bsc#1055968).
- nfp: add metadata to each flow offload (bsc#1055968).
- nfp: add basic action capabilities to flower offloads
  (bsc#1055968).
- nfp: extend flower matching capabilities (bsc#1055968).
- nfp: extend flower add flow offload (bsc#1055968).
- nfp: provide infrastructure for offloading flower based TC
  filters (bsc#1055968).
- nfp: add phys_switch_id support (bsc#1055968).
- nfp: flower: add Kconfig for flower app (bsc#1055968).
- nfp: allocate a private workqueue for driver work (bsc#1055968).
- nfp: reorder SR-IOV config and nfp_app SR-IOV callbacks
  (bsc#1055968).
- nfp: handle SR-IOV already enabled when driver is probing
  (bsc#1055968).
- nfp: wire get_phys_port_name on representors (bsc#1055968).
- nfp: allow converting representor's netdev into nfp_port
  (bsc#1055968).
- nfp: move representors' struct net_device_ops to shared code
  (bsc#1055968).
- nfp: make the representor get stats app-independent
  (bsc#1055968).
- nfp: spawn nfp_ports for PF and VF ports (bsc#1055968).
- nfp: add nfp_app cleanup callback and make flower use it
  (bsc#1055968).
- nfp: remove unused nfp_cpp_area_check_range() (bsc#1055968).
- nfp: add helper for mapping runtime symbols (bsc#1055968).
- nfp: move area mapping helper into nfpcore (bsc#1055968).
- nfp: explicitly check if application FW is loaded (bsc#1055968).
- nfp: add VF and PF representors to flower app (bsc#1055968).
- nfp: add flower app (bsc#1055968).
- nfp: add support for control messages for flower app
  (bsc#1055968).
- nfp: add support for tx/rx with metadata portid (bsc#1055968).
- nfp: provide nfp_port to of nfp_net_get_mac_addr()
  (bsc#1055968).
- nfp: app callbacks for SRIOV (bsc#1055968).
- nfp: add stats and xmit helpers for representors (bsc#1055968).
- nfp: general representor implementation (bsc#1055968).
- nfp: map mac_stats and vf_cfg BARs (bsc#1055968).
- nfp: move physical port init into a helper (bsc#1055968).
- nfp: devlink add support for getting eswitch mode (bsc#1055968).
- nfp: xdp: report if program is offloaded (bsc#1055968).
- nfp: bpf: add support for XDP_FLAGS_HW_MODE (bsc#1055968).
- nfp: bpf: release the reference on offloaded programs
  (bsc#1055968).
- nfp: bpf: don't offload XDP programs in DRV_MODE (bsc#1055968).
- nfp: xdp: move driver XDP setup into a separate function
  (bsc#1055968).
- nfp: add VLAN filtering support (bsc#1055968).
- bpf: nfp: Report bpf_prog ID during XDP_QUERY_PROG
  (bsc#1055968).
- nfp: report application FW build name in ethtool -i
  (bsc#1055968).
- nfp: keep MIP object around (bsc#1055968).
- nfp: remove automatic caching of HWInfo (bsc#1055968).
- nfp: remove automatic caching of RTsym table (bsc#1055968).
- nfp: make sure to cancel port refresh on the error path
  (bsc#1055968).
- commit 2a7c54a
* Mon Sep  4 2017 tbogendoerfer@suse.de
- net: sched: fix p_filter_chain check in tcf_chain_flush
  (bsc#1056787).
- net_sched: reset pointers to tcf blocks in classful qdiscs'
  destructors (bsc#1056787).
- net/sched/hfsc: allocate tcf block for hfsc root class
  (bsc#1056787).
- commit b26c3ec
* Mon Sep  4 2017 tbogendoerfer@suse.de
- net: switchdev: add SET_SWITCHDEV_OPS helper (bsc#1056787).
- net: store port/representator id in metadata_dst (bsc#1056787).
- xdp: add reporting of offload mode (bsc#1056787).
- xdp: add HW offload mode flag for installing programs
  (bsc#1056787).
- xdp: pass XDP flags into install handlers (bsc#1056787).
- net: Add IFLA_XDP_PROG_ID (bsc#1056787).
- bpf: Introduce bpf_prog ID (bsc#1056787).
- bpf: teach verifier to track stack depth (bsc#1056787).
- commit 5b751d3
* Mon Sep  4 2017 tbogendoerfer@suse.de
- networking: add and use skb_put_u8() (bsc#1056787).
- networking: make skb_push & __skb_push return void pointers
  (bsc#1056787).
- networking: make skb_pull & friends return void pointers
  (bsc#1056787).
- networking: make skb_put & friends return void pointers
  (bsc#1056787).
- networking: introduce and use skb_put_data() (bsc#1056787).
- networking: convert many more places to skb_put_zero()
  (bsc#1056787).
- net: sched: act_tunnel_key: make UDP checksum configurable
  (bsc#1056787).
- net: sched: act_tunnel_key: request UDP checksum by default
  (bsc#1056787).
- skbuff: make skb_put_zero() return void (bsc#1056787).
- net: use skb_unref() in napi_consume_skb() (bsc#1056787).
- bpf: permits narrower load from bpf program context fields
  (bsc#1056787).
- skbuff/mac80211: introduce and use skb_put_zero() (bsc#1056787).
- mac80211: mesh: support sending wide bandwidth CSA
  (bsc#1056787).
- net: factor out a helper to decrement the skb refcount
  (bsc#1056787).
- bpf: add bpf_set_hash helper for tc progs (bsc#1056787).
- bpf: remove cg_skb_func_proto and use sk_filter_func_proto
  directly (bsc#1056787).
- skbuff: only inherit relevant tx_flags (bsc#1056787).
- net: qrtr: Inform open sockets about new controller
  (bsc#1056787).
- net: qrtr: Broadcast DEL_CLIENT message when endpoint is closed
  (bsc#1056787).
- net: qrtr: Inject BYE on remote termination (bsc#1056787).
- net: qrtr: Refactor packet allocation (bsc#1056787).
- net: propagate tc filter chain index down the ndo_setup_tc call
  (bsc#1056787).
- net: sched: introduce a TRAP control action (bsc#1056787).
- net: sched: select cls when cls_act is enabled (bsc#1056787).
- neigh: Really delete an arp/neigh entry on "ip neigh delete"
  or "arp -d" (bsc#1056787).
- net/sched: cls_flower: add support for matching on ip tos and
  ttl (bsc#1056787).
- net/flow_dissector: add support for dissection of misc ip
  header fields (bsc#1056787).
- rtnetlink: use the new rtnl_get_event() interface (bsc#1056787).
- rtnl: Add support for netdev event to link messages
  (bsc#1056787).
- net_sched: only create filter chains for new filters/actions
  (bsc#1056787).
- net: sched: cls_api: make reclassify return all the way back
  to the original tp (bsc#1056787).
- net/sched: flower: add support for matching on tcp flags
  (bsc#1056787).
- net: flow_dissector: add support for dissection of tcp flags
  (bsc#1056787).
- net/sched: fix filter flushing (bsc#1056787).
- net/sched: properly assign RCU pointer in
  tcf_chain_tp_insert/remove (bsc#1056787).
- net: allow simultaneous SW and HW transmit timestamping
  (bsc#1056787).
- net: add new control message for incoming HW-timestamped packets
  (bsc#1056787).
- net: add function to retrieve original skb device using NAPI ID
  (bsc#1056787).
- net: ethernet: update drivers to handle HWTSTAMP_FILTER_NTP_ALL
  (bsc#1056787).
- net: define receive timestamp filter for NTP (bsc#1056787).
- sk_buff.h: improve description of CHECKSUM_{COMPLETE,
  UNNECESSARY} (bsc#1056787).
- net: more accurate checksumming in validate_xmit_skb()
  (bsc#1056787).
- net: use skb->csum_not_inet to identify packets needing crc32c
  (bsc#1056787).
- sk_buff: remove support for csum_bad in sk_buff (bsc#1056787).
- net: introduce skb_crc32c_csum_help (bsc#1056787).
- skbuff: add stub to help computing crc32c on SCTP packets
  (bsc#1056787).
- net: fix __skb_try_recv_from_queue to return the old behavior
  (bsc#1056787).
- net: make struct net_device::tx_queue_len unsigned int
  (bsc#1056787).
- sch_dsmark: Fix uninitialized variable warning (bsc#1056787).
- net: sched: add termination action to allow goto chain
  (bsc#1056787).
- net: sched: push tp down to action init (bsc#1056787).
- net: sched: introduce multichain support for filters
  (bsc#1056787).
- net: sched: push chain dump to a separate function
  (bsc#1056787).
- net: sched: introduce helpers to work with filter chains
  (bsc#1056787).
- net: sched: move TC_H_MAJ macro call into tcf_auto_prio
  (bsc#1056787).
- net: sched: replace nprio by a bool to make the function more
  readable (bsc#1056787).
- net: sched: rename tcf_destroy_chain helper (bsc#1056787).
- net: sched: introduce tcf block infractructure (bsc#1056787).
- net: sched: move tc_classify function to cls_api.c
  (bsc#1056787).
- tcp: internal implementation for pacing (bsc#1056787).
- udp: keep the sk_receive_queue held when splicing (bsc#1056787).
- udp: use a separate rx queue for packet reception (bsc#1056787).
- net/sock: factor out dequeue/peek with offset code
  (bsc#1056787).
- net: fix some identation issues at kernel-doc markups
  (bsc#1056787).
- net: skbuff.h: properly escape a macro name on kernel-doc
  (bsc#1056787).
- commit 7232e8e
* Mon Sep  4 2017 bp@suse.de
- x86/mm: Fix SME encryption stack ptr handling (fate#322123).
- commit aea6d23
* Mon Sep  4 2017 bp@suse.de
- acpi, x86/mm: Remove encryption mask from ACPI page protection
  type (fate#322123).
- commit 4d393f7
* Mon Sep  4 2017 bp@suse.de
- x86/mm, kexec: Fix memory corruption with SME on successive
  kexecs (fate#322123).
- commit 261ee7e
* Mon Sep  4 2017 bp@suse.de
- x86/boot: Fix memremap() related build failure (fate#322123).
- commit 04d48c7
* Mon Sep  4 2017 bp@suse.de
- x86/boot/64/clang: Use fixup_pointer() to access
  'next_early_pgt' (fate#322123).
  Subsequently pulled in by git-fixes.
- commit db95bac
* Mon Sep  4 2017 bp@suse.de
- x86/mm: Add support to make use of Secure Memory Encryption
  (fate#322123).
- commit 1ede395
* Mon Sep  4 2017 bp@suse.de
- compiler-gcc.h: Introduce __nostackprotector function attribute
  (fate#322123).
- commit 9b71e69
* Mon Sep  4 2017 bp@suse.de
- x86/boot: Add early cmdline parsing for options with arguments
  (fate#322123).
- commit f880532
* Mon Sep  4 2017 bp@suse.de
- x86/mm: Add support to encrypt the kernel in-place
  (fate#322123).
- commit 7fb1d36
* Mon Sep  4 2017 bp@suse.de
- x86/mm: Create native_make_p4d() for PGTABLE_LEVELS <= 4
  (fate#322123).
- commit 519d43f
* Mon Sep  4 2017 bp@suse.de
- x86/mm: Use proper encryption attributes with /dev/mem
  (fate#322123).
- commit 7e40dec
* Mon Sep  4 2017 bp@suse.de
- xen/x86: Remove SME feature in PV guests (fate#322123).
- commit b2b2f82
* Mon Sep  4 2017 bp@suse.de
- x86/mm, kexec: Allow kexec to be used with SME (fate#322123).
- commit c5ac3b2
* Mon Sep  4 2017 bp@suse.de
- kvm/x86/svm: Support Secure Memory Encryption within KVM
  (fate#322123).
- commit ded3057
* Mon Sep  4 2017 bp@suse.de
- x86, drm, fbdev: Do not specify encrypted memory for video
  mappings (fate#322123).
- commit 3926698
* Mon Sep  4 2017 bp@suse.de
- x86/boot/realmode: Check for memory encryption on the APs
  (fate#322123).
- commit a907124
* Mon Sep  4 2017 bp@suse.de
- iommu/amd: Allow the AMD IOMMU to work with memory encryption
  (fate#322123).
- Refresh
  patches.drivers/0012-iommu-amd-suppress-io_page_faults-in-kdump-kernel.
- Refresh
  patches.drivers/0019-iommu-amd-remove-amd_iommu_disabled-check-from-amd_iommu_detect.
- commit 06efcc5
* Mon Sep  4 2017 tbogendoerfer@suse.de
- Patch will be redone with commits for bsc#1056787
  Delete
  patches.suse/msft-hv-1363-networking-introduce-and-use-skb_put_data.patch.
- commit de2f49a
* Mon Sep  4 2017 bp@suse.de
- x86/cpu/AMD: Make the microcode level available earlier in
  the boot (fate#322123).
- commit 45da941
* Mon Sep  4 2017 bp@suse.de
- swiotlb: Add warnings for use of bounce buffers with SME
  (fate#322123).
- commit 4b6c991
* Mon Sep  4 2017 bp@suse.de
- x86, swiotlb: Add memory encryption support (fate#322123).
- commit 0dc9b8d
* Mon Sep  4 2017 bp@suse.de
- x86/realmode: Decrypt trampoline area if memory encryption is
  active (fate#322123).
- commit 70f1f35
* Mon Sep  4 2017 bp@suse.de
- x86/mm: Add support for changing the memory encryption attribute
  (fate#322123).
- commit 5eb9aa3
* Mon Sep  4 2017 bp@suse.de
- x86/mm: Add support to access persistent memory in the clear
  (fate#322123).
- commit 2521a3c
* Mon Sep  4 2017 bp@suse.de
- x86/boot: Use memremap() to map the MPF and MPC data
  (fate#322123).
- commit 40f02a4
* Mon Sep  4 2017 bp@suse.de
- x86/mm: Add support to access boot related data in the clear
  (fate#322123).
- commit e966ee6
* Mon Sep  4 2017 bp@suse.de
- x86/efi: Update EFI pagetable creation to work with SME
  (fate#322123).
- commit ce57435
* Mon Sep  4 2017 bp@suse.de
- efi: Update efi_mem_type() to return an error rather than 0
  (fate#322123).
- commit 91147ec
* Mon Sep  4 2017 bp@suse.de
- efi: Add an EFI table address match function (fate#322123).
- commit 473de56
* Mon Sep  4 2017 bp@suse.de
- x86/boot/e820: Add support to determine the E820 type of an
  address (fate#322123).
- commit a831c04
* Mon Sep  4 2017 bp@suse.de
- x86/mm: Insure that boot memory areas are mapped properly
  (fate#322123).
- commit 7075d9d
* Mon Sep  4 2017 bp@suse.de
- x86/mm: Add support for early encryption/decryption of memory
  (fate#322123).
- commit c49e594
* Mon Sep  4 2017 bp@suse.de
- x86/mm: Extend early_memremap() support with additional attrs
  (fate#322123).
- commit bffaaa4
* Mon Sep  4 2017 bp@suse.de
- x86/mm: Add SME support for read_cr3_pa() (fate#322123).
- commit 8a90820
* Mon Sep  4 2017 tbogendoerfer@suse.de
- nfp: advertise support for NFD ABI 0.5 (bsc#1055968).
- nfp: create control vNICs and wire up rx/tx (bsc#1055968).
- nfp: allow non-equal distribution of IRQs (bsc#1055968).
- nfp: slice the netdev spawning function (bsc#1055968).
- nfp: don't clutter init code passing fw_ver around
  (bsc#1055968).
- nfp: map all queue controllers at once (bsc#1055968).
- nfp: make vNIC ctrl memory mapping function reusable
  (bsc#1055968).
- nfp: add control vNIC datapath (bsc#1055968).
- nfp: prepare config and enable for working without netdevs
  (bsc#1055968).
- nfp: allow allocation and initialization of netdev-less vNICs
  (bsc#1055968).
- nfp: make sure debug accesses don't depend on netdevs
  (bsc#1055968).
- nfp: prepare print macros for use without netdev (bsc#1055968).
- nfp: move nfp_net_vecs_init() (bsc#1055968).
- nfp: reuse ring free code on close (bsc#1055968).
- nfp: split out the allocation part of open (bsc#1055968).
- nfp: reorder open and close functions (bsc#1055968).
- nfp: fix memory leak on FW load error (bsc#1055968).
- nfp: move basic eBPF stats to app-specific code (bsc#1055968).
- nfp: move bpf offload code to the BPF app (bsc#1055968).
- nfp: move eBPF offload files to BPF app directory (bsc#1055968).
- nfp: report app name in ethtool -i (bsc#1055968).
- nfp: move port init to apps (bsc#1055968).
- nfp: turn reading PCIe RTsym parameters into a helper
  (bsc#1055968).
- nfp: add missing fall through statements (bsc#1055968).
- sched: add helper for updating statistics on all actions
  (bsc#1055968).
- nfp: don't keep count for free buffers delayed kick
  (bsc#1055968).
- nfp: don't add ring size to index calculations (bsc#1055968).
- nfp: fix print format for ring pointers in ring dumps
  (bsc#1055968).
- nfp: don't wait for resources indefinitely (bsc#1055968).
- nfp: add hwmon support (bsc#1055968).
- nfp: support variable NSP response lengths (bsc#1055968).
- nfp: shorten CPP core probe logs (bsc#1055968).
- nfp: support long reads and writes with the cpp helpers
  (bsc#1055968).
- nfp: only try to get to PCIe ctrl memory if BARs are wide enough
  (bsc#1055968).
- nfp: don't set aux pointers if ioremap failed (bsc#1055968).
- nfp: set driver VF limit (bsc#1055968).
- nfp: add set_mac_address support while the interface is up
  (bsc#1055968).
- nfp: add MAY_USE_DEVLINK dependency (bsc#1055968).
- nfp: support port splitting via devlink (bsc#1055968).
- nfp: calculate total port lanes for split (bsc#1055968).
- nfp: register ports as devlink ports (bsc#1055968).
- nfp: add helper for cleaning up vNICs (bsc#1055968).
- nfp: add devlink support (bsc#1055968).
- nfp: move mutex init out of net code (bsc#1055968).
- nfp: refresh port state before reporting autonegotiation
  (bsc#1055968).
- nfp: mark port state as stale if update failed (bsc#1055968).
- nfp: mark port state as stale after reconfig (bsc#1055968).
- nfp: provide linking on port structures (bsc#1055968).
- nfp: move refresh tracking into the port structure
  (bsc#1055968).
- nfp: update port state in place (bsc#1055968).
- nfp: introduce nfp_port (bsc#1055968).
- nfp: disallow mixing vNICs with and without NSP port entry
  (bsc#1055968).
- nfp: introduce very minimal nfp_app (bsc#1055968).
- nfp: add nfp_net_pf_free_vnic() function (bsc#1055968).
- nfp: rename netdev/port to vNIC (bsc#1055968).
- nfp: make nfp_net alloc/init/cleanup/free not depend on netdevs
  (bsc#1055968).
- nfp: add nfp_cppcore_pcie_unit() helper (bsc#1055968).
- nfp: eliminate an if statement in calculation of completed
  frames (bsc#1055968).
- nfp: add a helper for wrapping descriptor index (bsc#1055968).
- nfp: complete the XDP TX ring only when it's full (bsc#1055968).
- nfp: add CHECKSUM_COMPLETE support (bsc#1055968).
- nfp: version independent support for chained RSS metadata
  (bsc#1055968).
- nfp: don't assume RSS and IRQ moderation are always enabled
  (bsc#1055968).
- nfp: support LSO2 capability (bsc#1055968).
- nfp: rename l4_offset in struct nfp_net_tx_desc to lso_hdrlen
  (bsc#1055968).
- nfp: don't enable TSO on the device when disabled (bsc#1055968).
- commit c02b1d9
* Mon Sep  4 2017 bp@suse.de
- x86/mm: Provide general kernel support for memory encryption
  (fate#322123).
- commit 0bc99cf
* Mon Sep  4 2017 bp@suse.de
- x86/mm: Simplify pd_page() macros (fate#322123).
- commit 35ace63
* Mon Sep  4 2017 bp@suse.de
- x86/mm: Add support to enable SME in early boot processing
  (fate#322123).
- commit 9508f8a
* Mon Sep  4 2017 bp@suse.de
- x86/mm: Remove phys_to_virt() usage in ioremap() (fate#322123).
- commit 371b1fb
* Mon Sep  4 2017 bp@suse.de
- x86/mm: Add Secure Memory Encryption (SME) support
  (fate#322123).
  Update config files with new options.
- commit 1f3aaaf
* Mon Sep  4 2017 bp@suse.de
- x86/cpu/AMD: Handle SME reduction in physical address size
  (fate#322123).
- commit 88d989f
* Mon Sep  4 2017 bp@suse.de
- x86/cpu/AMD: Add the Secure Memory Encryption CPU feature
  (fate#322123).
- commit 4e8af2a
* Mon Sep  4 2017 bp@suse.de
- x86, mpparse, x86/acpi, x86/PCI, x86/dmi, SFI: Use memremap()
  for RAM mappings (fate#322123).
- commit fd1bdfe
* Mon Sep  4 2017 bp@suse.de
- x86/mm/pat: Set write-protect cache mode for full PAT support
  (fate#322123).
- commit 9b2584b
* Mon Sep  4 2017 bp@suse.de
- x86/cpu/AMD: Document AMD Secure Memory Encryption (SME)
  (fate#322123).
- commit 112bbc1
* Mon Sep  4 2017 bp@suse.de
- x86/boot/64: Put __startup_64() into .head.text (fate#322123).
- commit cb63948
* Mon Sep  4 2017 bp@suse.de
- x86/boot/64: Add support of additional page table level during
  early boot (fate#322123).
- commit c69bf2f
* Mon Sep  4 2017 bp@suse.de
- x86/boot/64: Rename init_level4_pgt and early_level4_pgt
  (fate#322123).
- commit d75bf42
* Mon Sep  4 2017 bp@suse.de
- x86/ftrace: Exclude functions in head64.c from function-tracing
  (fate#322123).
- commit 6d229da
* Mon Sep  4 2017 tbogendoerfer@suse.de
- Sorted patches in network section
- commit e2cc8e7
* Mon Sep  4 2017 bp@suse.de
- x86/boot/64: Rewrite startup_64() in C (fate#322123).
- commit 935bc66
* Mon Sep  4 2017 bp@suse.de
- x86/mm: Split read_cr3() into read_cr3_pa() and __read_cr3()
  (fate#322123).
- commit c5d71a2
* Mon Sep  4 2017 lhenriques@suse.com
- ceph: fix readpage from fscache (bsc#1057015).
- commit c9e96e6
* Fri Sep  1 2017 dbueso@suse.de
- powerpc: use spin loop primitives in some functions (bsc#1056912).
- commit dfd3f3e
* Fri Sep  1 2017 dbueso@suse.de
- spin loop primitives for busy waiting (bsc#1056912).
- commit cda1f6a
* Fri Sep  1 2017 lduncan@suse.com
- scsi: libcxgbi: add check for valid cxgbi_task_data
  (bsc#1046541).
- scsi: cxgb4i: assign rxqs in round robin mode (bsc#1046541).
- commit 3064c71
* Fri Sep  1 2017 jroedel@suse.de
- iommu/vt-d: Helper function to query if a pasid has any active
  users (fate#322864).
- commit 01214f9
* Fri Sep  1 2017 oneukum@suse.com
- Update config files. (FATE#322631)
- commit 90aeb55
* Fri Sep  1 2017 yousaf.kaukab@suse.com
- ixgbe: Use new PCI_DEV_FLAGS_NO_RELAXED_ORDERING flag
  (bsc#1056419).
- Revert commit 1a8b6d76dc5b ("net:add one common
  config...") (bsc#1056419).
- net/cxgb4vf: Use new PCI_DEV_FLAGS_NO_RELAXED_ORDERING flag
  (bsc#1056419).
- net/cxgb4: Use new PCI_DEV_FLAGS_NO_RELAXED_ORDERING flag
  (bsc#1056419).
- commit ce6396a
* Fri Sep  1 2017 bp@suse.de
- supported.conf: Add Goldmont-specific EDAC driver (fate#322662)
- commit eff24c3
* Fri Sep  1 2017 neilb@suse.com
- NFSv4: Fix double frees in nfs4_test_session_trunk()
  (git-fixes).
- xprtrdma: Don't defer MR recovery if ro_map fails (git-fixes).
- xprtrdma: Fix FRWR invalidation error recovery (git-fixes).
- xprtrdma: Fix client lock-up after application signal fires
  (git-fixes).
- xprtrdma: Rename rpcrdma_req::rl_free (git-fixes).
- xprtrdma: Pass only the list of registered MRs to ro_unmap_sync
  (git-fixes).
- xprtrdma: Pre-mark remotely invalidated MRs (git-fixes).
- xprtrdma: On invalidation failure, remove MWs from rl_registered
  (git-fixes).
- commit 7d59497
* Fri Sep  1 2017 mgalbraith@suse.de
- Per IBM request, drop drop IBM specific patches from SLE15 (bnc#1012582)
- Delete patches.suse/sched-disable-FAIR_SLEEPERS-for-S390.patch.
- Delete patches.suse/sched-reinstate-FAIR_SLEEPERS-feature.patch.
- Delete patches.suse/sched-reinstate-sched_compat_yield.patch.
- commit 3ee70fe
* Thu Aug 31 2017 tiwai@suse.de
- rt2800: fix TX_PIN_CFG setting for non MT7620 chips
  (bsc#1055826).
- commit d79ffeb
* Thu Aug 31 2017 oneukum@suse.com
- pinctrl: intel: Add Intel Cannon Lake PCH-H pin controller
  support (FATE#321195).
- spi: pxa2xx: Add support for Intel Cannonlake (FATE#321195).
- pinctrl: intel: Add Intel Cannon Lake PCH pin controller support
  (FATE#321195).
- pinctrl: intel: Make it possible to specify mode per pin in
  a group (FATE#321195).
- pinctrl: intel: Add support for variable size pad groups
  (FATE#321195).
- mmc: sdhci-pci: Add support for Intel CNP (FATE#321195).
- mmc: sdhci-pci: Use macros in pci_ids definition (FATE#321195).
- scsi: ufs: flush eh_work when eh_work scheduled (FATE#321195).
- commit 16f0485
* Thu Aug 31 2017 oneukum@suse.com
- scsi: ufshcd-pci: Add Intel CNL support (FATE#321195).
- scsi: ufshcd-pci: Fix PM config (FATE#321195).
- scsi: ufs: Tidy clocks list head usage (FATE#321195).
- commit f7ba845
* Thu Aug 31 2017 yousaf.kaukab@suse.com
- PCI: Allow PCI express root ports to find themselves
  (bsc#1056419).
- PCI: fix oops when try to find Root Port for a PCI device
  (bsc#1056419).
- PCI: Disable Relaxed Ordering Attributes for AMD A1100
  (bsc#1056419).
- PCI: Disable Relaxed Ordering for some Intel processors
  (bsc#1056419).
- PCI: Disable PCIe Relaxed Ordering if unsupported (bsc#1056419).
- commit 7e5ee6f
* Thu Aug 31 2017 jthumshirn@suse.de
- scsi: qla2xxx: Fix an integer overflow in sysfs code
  (bsc#1056588, CVE-2017-14051).
- commit a9495c3
* Thu Aug 31 2017 jthumshirn@suse.de
- scsi: qla2xxx: Fix an integer overflow in sysfs code
  (bsc#1056588, CVE-2017-14051).
- commit 4fafb75
* Thu Aug 31 2017 oneukum@suse.com
- supported.conf: the old style UCSI for non-x86
- commit ed3ca0b
* Thu Aug 31 2017 jslaby@suse.cz
- blacklist.conf: add one objtool patch
- commit 6f1e31d
* Thu Aug 31 2017 tiwai@suse.de
- supported.conf: Reduce supported sound modules (bsc#1056612,FATE#323981)
- commit a185749
* Thu Aug 31 2017 msuchanek@suse.de
- scsi: cxlflash: Fix vlun resize failure in the shrink path
  (fate#322239).
- scsi: cxlflash: Avoid double mutex unlock (fate#322239).
- scsi: cxlflash: Remove unnecessary existence check
  (fate#322239).
- scsi: cxlflash: Fix an error handling path in
  'cxlflash_disk_attach()' (fate#322239).
- scsi: cxlflash: return -EFAULT if copy_from_user() fails
  (fate#322239).
- commit e126787
* Thu Aug 31 2017 msuchanek@suse.de
- scsi: cxlflash: Update debug prints in reset handlers
  (fate#322239).
- scsi: cxlflash: Update send_tmf() parameters (fate#322239).
- scsi: cxlflash: Avoid double free of character device
  (fate#322239).
- scsi: cxlflash: Update TMF command processing (fate#322239).
- scsi: cxlflash: Remove zeroing of private command data
  (fate#322239).
- scsi: cxlflash: Support WS16 unmap (fate#322239).
- commit 438c2e8
* Thu Aug 31 2017 msuchanek@suse.de
- scsi: cxlflash: Support AFU debug (fate#322239).
- scsi: cxlflash: Support LUN provisioning (fate#322239).
- scsi: cxlflash: Refactor AFU capability checking (fate#322239).
- scsi: cxlflash: Introduce host ioctl support (fate#322239).
- scsi: cxlflash: Separate AFU internal command handling from
  AFU sync specifics (fate#322239).
- commit e1c2471
* Thu Aug 31 2017 msuchanek@suse.de
- scsi: cxlflash: Create character device to provide host
  management interface (fate#322239).
- scsi: cxlflash: Add scsi command abort handler (fate#322239).
- scsi: cxlflash: Flush pending commands in cleanup path
  (fate#322239).
- scsi: cxlflash: Track pending scsi commands in each hardware
  queue (fate#322239).
- scsi: cxlflash: Handle AFU sync failures (fate#322239).
- commit aec8db3
* Thu Aug 31 2017 msuchanek@suse.de
- scsi: cxlflash: Schedule asynchronous reset of the host
  (fate#322239).
- scsi: cxlflash: Reset hardware queue context via specified
  register (fate#322239).
- scsi: cxlflash: Update cxlflash_afu_sync() to return errno
  (fate#322239).
- scsi: cxlflash: Combine the send queue locks (fate#322239).
- commit b877eca
* Thu Aug 31 2017 oneukum@suse.com
- supported.conf: add full ucsi support (FATE#322665, FATE#322666)
- commit 893e6d9
* Thu Aug 31 2017 bp@suse.de
- RAS/CEC: Disable CEC (bsc#1056592).
- commit cb2beb8
* Wed Aug 30 2017 mgorman@suse.de
- Fix up over-eager 'wait_queue_t' renaming (bnc#971975 VM
  performance -- page waitqueue).
- commit 92ad9c7
* Wed Aug 30 2017 jslaby@suse.cz
- Linux 4.12.10 (bnc#1012628 bnc#1014351 bnc#1048935 bsc#1020657
  bsc#1050582).
- Delete
  patches.drivers/ALSA-hda-Add-stereo-mic-quirk-for-Lenovo-G50-70-17aa.
- Delete
  patches.fixes/Bluetooth-hidp-fix-possible-might-sleep-error-in-hid.patch.
- Delete
  patches.fixes/Input-ALPS-Fix-Alps-Touchpad-two-finger-scroll-does-.
- Delete
  patches.fixes/netfilter-expect-fix-crash-when-putting-uninited-exp.patch.
- commit 030062c
* Wed Aug 30 2017 mgorman@suse.de
- sched/wait: Introduce wakeup boomark in wake_up_page_bit
  (bnc#971975 VM performance -- page waitqueue).
- sched/wait: Break up long wake list walk (bnc#971975 VM
  performance -- page waitqueue).
- page waitqueue: always add new entries at the end (bnc#971975
  VM performance -- page waitqueue).
- sched/wait: Clean up some documentation warnings (bnc#971975
  VM performance -- page waitqueue).
- sched/wait: Disambiguate wq_entry->task_list and
  wq_head->task_list naming (bnc#971975 VM performance --
  page waitqueue).
- sched/wait: Split out the wait_bit*() APIs from <linux/wait.h>
  into <linux/wait_bit.h> (bnc#971975 VM performance -- page
  waitqueue).
- sched/wait: Re-adjust macro line continuation backslashes in
  <linux/wait.h> (bnc#971975 VM performance -- page waitqueue).
- sched/wait: Improve the bit-wait API parameter names in
  the API function prototypes (bnc#971975 VM performance --
  page waitqueue).
- sched/wait: Standardize wait_bit_queue naming (bnc#971975 VM
  performance -- page waitqueue).
- sched/wait: Standardize 'struct wait_bit_queue' wait-queue
  entry field name (bnc#971975 VM performance -- page waitqueue).
- sched/wait: Standardize internal naming of wait-queue heads
  (bnc#971975 VM performance -- page waitqueue).
- sched/wait: Standardize internal naming of wait-queue entries
  (bnc#971975 VM performance -- page waitqueue).
- commit 59134c0
* Wed Aug 30 2017 mgorman@suse.de
- sched/wait: Rename wait_queue_t => wait_queue_entry_t
  (bnc#971975 VM performance -- page waitqueue).
- Refresh
  patches.fixes/Bluetooth-hidp-fix-possible-might-sleep-error-in-hid.patch.
- commit 60bfe92
* Wed Aug 30 2017 jthumshirn@suse.de
- scsi: qla2xxx: Update driver version to 10.00.00.01-k
  (FATE#322910).
- scsi: qla2xxx: Do not call abort handler function during chip
  reset (FATE#322910).
- scsi: qla2xxx: Ability to process multiple SGEs in Command
  SGL for CT passthrough commands (FATE#322910).
- scsi: qla2xxx: Skip zero queue count entry during FW dump
  capture (FATE#322910).
- scsi: qla2xxx: Recheck session state after RSCN (FATE#322910).
- scsi: qla2xxx: Increase ql2xmaxqdepth to 64 (FATE#322910).
- scsi: qla2xxx: Enable Async TMF processing (FATE#322910).
- scsi: qla2xxx: Cleanup NPIV host in target mode during config
  teardown (FATE#322910).
- scsi: qla2xxx: Add LR distance support from nvram bit
  (FATE#322910).
- scsi: qla2xxx: Add support for minimum link speed (FATE#322910).
- scsi: qla2xxx: Remove potential macro parameter side-effect
  in ql_dump_regs() (FATE#322910).
- scsi: qla2xxx: Print correct mailbox registers in failed summary
  (FATE#322910).
- scsi: qla2xxx: Fix task mgmt handling for NPIV (FATE#322910).
- scsi: qla2xxx: Allow SNS fabric login to be retried
  (FATE#322910).
- scsi: qla2xxx: Add timeout ability to wait_for_sess_deletion()
  (FATE#322910).
- scsi: qla2xxx: Move logging default mask to execute once only
  (FATE#322910).
- scsi: qla2xxx: Use sp->free instead of hard coded call
  (FATE#322910).
- scsi: qla2xxx: Prevent sp->free null/uninitialized pointer
  dereference (FATE#322910).
- scsi: qla2xxx: Add ability to autodetect SFP type (FATE#322910).
- scsi: qla2xxx: Use fabric name for Get Port Speed command
  (FATE#322910).
- scsi: qla2xxx: Change ha->wq max_active value to default
  (FATE#322910).
- scsi: qla2xxx: Remove extra register read (FATE#322910).
- scsi: qla2xxx: Fix NPIV host enable after chip reset
  (FATE#322910).
- scsi: qla2xxx: Use BIT_6 to acquire FAWWPN from switch
  (FATE#322910).
- scsi: qla2xxx: Fix system panic due to pointer access problem
  (FATE#322910).
- scsi: qla2xxx: Fix WWPN/WWNN in debug message (FATE#322910).
- scsi: qla2xxx: Add command completion for error path
  (FATE#322910).
- scsi: qla2xxx: Update fw_started flags at qpair creation
  (FATE#322910).
- scsi: qla2xxx: Fix target multiqueue configuration
  (FATE#322910).
- scsi: qla2xxx: Correction to vha->vref_count timeout
  (FATE#322910).
- scsi: qla2xxx: fix spelling mistake of variable
  sfp_additonal_info (FATE#322910).
- scsi: qla2xxx: use dma_mapping_error to check map errors
  (FATE#322910).
- scsi: qla2xxx: Fix remoteport disconnect for FC-NVMe
  (FATE#322910).
- scsi: qla2xxx: Simpify unregistration of FC-NVMe local/remote
  ports (FATE#322910).
- scsi: qla2xxx: Added change to enable ZIO for FC-NVMe devices
  (FATE#322910).
- scsi: qla2xxx: Move function prototype to correct header
  (FATE#322910).
- scsi: qla2xxx: Cleanup FC-NVMe code (FATE#322910).
- scsi: qla2xxx: Off by one in qlt_ctio_to_cmd() (FATE#322910).
- t10-pi: Move opencoded contants to common header (FATE#322910).
- qla2xxx: Fix NVMe entry_type for iocb packet on BE system
  (FATE#322910).
- scsi: qla2xxx: avoid unused-function warning (FATE#322910).
- scsi: qla2xxx: fix a bunch of typos and spelling mistakes
  (FATE#322910).
- scsi: qla2xxx: Protect access to qpair members with
  qpair->qp_lock (FATE#322910).
- scsi: qla2xxx: Update Driver version to 10.00.00.00-k
  (FATE#322910).
- scsi: qla2xxx: Use FC-NVMe FC4 type for FDMI registration
  (FATE#322910).
- scsi: qla2xxx: Send FC4 type NVMe to the management server
  (FATE#322910).
- scsi: qla2xxx: Add FC-NVMe F/W initialization and transport
  registration (FATE#322910).
- scsi: qla2xxx: Add FC-NVMe command handling (FATE#322910).
- scsi: qla2xxx: Add FC-NVMe port discovery and PRLI handling
  (FATE#322910).
- scsi: qla2xxx: Update driver version to 9.01.00.00-k
  (FATE#322910).
- scsi: qla2xxx: Include Exchange offload/Extended Login into
  FW dump (FATE#322910).
- scsi: qla2xxx: Move target stat counters from vha to qpair
  (FATE#322910).
- scsi: qla2xxx: Remove datasegs_per_cmd and datasegs_per_cont
  field (FATE#322910).
- scsi: qla2xxx: Remove unused tgt_enable_64bit_addr flag
  (FATE#322910).
- scsi: qla2xxx: Add debug logging routine for qpair
  (FATE#322910).
- scsi: qla2xxx: Add function call to qpair for door bell
  (FATE#322910).
- scsi: qla2xxx: use shadow register for ISP27XX (FATE#322910).
- scsi: qla2xxx: move fields from qla_hw_data to qla_qpair
  (FATE#322910).
- scsi: qla2xxx: Add fw_started flags to qpair (FATE#322910).
- scsi: qla2xxx: Add debug knob for user control workload
  (FATE#322910).
- scsi: qla2xxx: Fix mailbox failure while deleting Queue pairs
  (FATE#322910).
- scsi: qla2xxx: Enable Target Multi Queue (FATE#322910).
- scsi: qla2xxx: Preparation for Target MQ (FATE#322910).
- scsi: qla2xxx: Combine Active command arrays (FATE#322910).
- scsi: qla2xxx: don't include <generated/utsrelease.h>
  (FATE#322910).
- scsi: qla2xxx: Fix compile warning (FATE#322910).
- scsi: qla2xxx: remove redundant null check on tgt (FATE#322910).
- scsi: qla2xxx: remove writeq/readq function definitions
  (FATE#322910).
- scsi: qla2xxx: Remove extra register read (FATE#322910).
- scsi: qla2xxx: Remove unused irq_cmd_count field (FATE#322910).
- scsi: qla2xxx: Accelerate SCSI BUSY status generation in target
  mode (FATE#322910).
- scsi: qla2xxx: Remove redundant wait when target is stopped
  (FATE#322910).
- scsi: qla2xxx: Add ql2xiniexchg parameter (FATE#322910).
- scsi: qla2xxx: Turn on FW option for exchange check
  (FATE#322910).
- scsi: qla2xxx: Cleanup debug message IDs (FATE#322910).
- scsi: qla2xxx: Fix name server relogin (FATE#322910).
- scsi: qla2xxx: Convert 32-bit LUN usage to 64-bit (FATE#322910).
- scsi: qla2xxx: Use flag PFLG_DISCONNECTED (FATE#322910).
- scsi: tcm_qla2xxx: Do not allow aborted cmd to advance
  (FATE#322910).
- scsi: qla2xxx: Fix path recovery (FATE#322910).
- scsi: qla2xxx: Retain loop test for fwdump length exceeding
  buffer length (FATE#322910).
- scsi: qla2xxx: Replace usage of spin_lock with spin_lock_irqsave
  (FATE#322910).
- scsi: qla2xxx: Remove an unused structure member (FATE#322910).
- commit e1bfb61
* Wed Aug 30 2017 msuchanek@suse.de
- genirq/cpuhotplug: Do not migrated shutdown irqs (bsc#1054935).
- commit 075835d
* Wed Aug 30 2017 msuchanek@suse.de
- genirq/cpuhotplug: Reorder check logic (bsc#1054935).
- commit 1367886
* Wed Aug 30 2017 msuchanek@suse.de
- genirq/cpuhotplug: Dont claim success on error (bsc#1054935).
- commit 4f8cdfc
* Wed Aug 30 2017 oneukum@suse.com
- USB: add usbfs ioctl to retrieve the connection speed
  (FATE#321327).
- xhci: remove endpoint ring cache (FATE#321327, FATE#322665,
  FATE#322666).
- xhci: refactor transfer event errors and completion codes
  (FATE#321327, FATE#322665, FATE#322666).
- xhci: Add support for endpoint soft reset (FATE#321327).
- xhci: support calling cleanup_halted_endpoint with soft retry
  (bFATE#321327).
- xhci: handle transfer events without TRB pointer (FATE#321327).
- xhci: cleanup virtual endoint structure, remove stopped_stream
  (FATE#321327).
- xhci: cleanup finish_td() skip option (FATE#321327).
- usb: typec: Add support for UCSI interface (FATE#322665,
  FATE#322666).
- usb: typec: ucsi: Add ACPI driver (FATE#322665, FATE#322666).
- usb: typec: include linux/device.h in ucsi.h (FATE#322665,
  FATE#322666).
- usb: hcd: constify attribute_group structures (FATE#321327).
- xhci: rename temp and temp1 variables (FATE#321327).
- usb: Increase root hub reset signaling time to prevent retry
  (FATE#321327).
- xhci: rework bus_resume and check ports are suspended before
  resuming them (FATE#321327).
- usb: make device_type const (FATE#321327).
- USB: core: constify vm_operations_struct (FATE#321327).
- usb: xhci: Support enabling of compliance mode for xhci 1.1
  (FATE#321327).
- usb: misc: lvstest: add entry to place port in compliance mode
  (FATE#321327).
- Update config files.
- commit 7e26cc6
* Wed Aug 30 2017 oneukum@suse.com
- usb: typec: Add a sysfs node to manage port type (FATE#322665,
  FATE#322666).
- usb: typec: update partner power delivery support with opmode
  (FATE#322665, FATE#322666).
- xhci: remove unused stopped_td pointer (FATE#321327).
- xhci: Add stream id to xhci_dequeue_state structure
  (FATE#321327).
- xhci: Find out where an endpoint or stream stopped from its
  context (FATE#321327).
- xhci: Add helper to get hardware dequeue pointer for stopped
  rings (FATE#321327).
- usb: typec: Don't prevent using constant typec_mode_desc
  initializers (FATE#322665, FATE#322666).
- commit 80163a3
* Wed Aug 30 2017 mbenes@suse.cz
- Add live patching section to series.conf for future backports
  (fate#323487)
- commit 428055c
* Wed Aug 30 2017 mbenes@suse.cz
- Drop kGraft (fate#323487)
  Upstream live patching infrastructure is going to be used in SLE15
- Delete patches.suse/kgr-0002-livepatch-add-infrastructure.patch.
- Delete
  patches.suse/kgr-0003-livepatch-kgr_in_progress-for-all-threads.patch.
- Delete
  patches.suse/kgr-0004-ftrace-Make-ftrace_is_dead-available-globally.patch.
- Delete patches.suse/kgr-0005-initial-code.patch.
- Delete patches.suse/kgr-0006-add-testing-kgraft-patch.patch.
- Delete patches.suse/kgr-0007-add-Documentation.patch.
- Delete
  patches.suse/kgr-0008-mark-task_safe-in-some-kthreads.patch.
- Delete patches.suse/kgr-0009-kthreads-support.patch.
- Delete patches.suse/kgr-0010-handle-irqs.patch.
- Delete patches.suse/kgr-0011-allow-stacking-of-patches.patch.
- Delete
  patches.suse/kgr-0012-handle-patched-modules-that-are-being-removed.patch.
- Delete
  patches.suse/kgr-0013-try-to-apply-skipped-patches-when-a-module-is-lo.patch.
- Delete patches.suse/kgr-0014-allow-for-forced-module-load.patch.
- Delete patches.suse/kgr-0015-allow-replace_all.patch.
- Delete
  patches.suse/kgr-0016-support-for-forcing-success-of-patching-process.patch.
- Delete
  patches.suse/kgr-0017-correct-error-handling-of-the-first-patching-sta.patch.
- Delete
  patches.suse/kgr-0018-send-a-fake-signal-to-all-blocking-tasks.patch.
- Delete
  patches.suse/kgr-0019-mark-task_safe-in-non-upstream-kthreads.patch.
- Delete
  patches.suse/kgr-0020-kmemleak-really-mark-the-kthread-safe-after-a.patch.
- Delete
  patches.suse/kgr-0021-fix-reversion-of-a-patch-already-reverted-by-a-r.patch.
- Delete
  patches.suse/kgr-0022-add-objname-to-kgr_patch_fun-struct.patch.
- Delete patches.suse/kgr-0023-remove-abort_if_missing-flag.patch.
- Delete
  patches.suse/kgr-0024-do-not-return-and-print-an-error-only-if-the-obj.patch.
- Delete
  patches.suse/kgr-0025-fix-subtle-race-with-kgr_module_init-going-notif.patch.
- Delete
  patches.suse/kgr-0026-fix-an-asymmetric-dealing-with-delayed-module-lo.patch.
- Delete
  patches.suse/kgr-0027-call-kgr_init_ftrace_ops-only-for-loaded-objects.patch.
- Delete
  patches.suse/kgr-0028-change-to-kallsyms_on_each_symbol-iterator.patch.
- Delete
  patches.suse/kgr-0029-add-sympos-as-disambiguator-field-to-kgr_patch_f.patch.
- Delete patches.suse/kgr-0030-add-sympos-to-sysfs.patch.
- Delete
  patches.suse/kgr-0031-add-sympos-and-objname-to-error-and-debug-messag.patch.
- Delete patches.suse/kgr-0032-taint-with-TAINT_LIVEPATCH.patch.
- Delete
  patches.suse/kgr-0033-define-pr_fmt-and-modify-all-pr_-messages.patch.
- Delete
  patches.suse/kgr-0034-kgraft-bcache-Do-not-block-livepatching-in-the-write.patch.
- Delete
  patches.suse/kgr-0035-kgraft-gfs2-Do-not-block-livepatching-in-the-log-dae.patch.
- Delete
  patches.suse/kgr-0036-kgraft-xen-Do-not-block-livepatching-in-the-XEN-blki.patch.
- Delete
  patches.suse/kgr-0037-ignore-zombie-tasks-during-the-patching.patch.
- Delete
  patches.suse/kgr-0038-kgraft-xen-Do-not-block-kGraft-in-xenbus-kthread.patch.
- Delete
  patches.suse/kgr-0039-kgraft-iscsi-target-Do-not-block-kGraft-in-iscsi_np-.patch.
- Delete
  patches.suse/kgr-0040-remove-all-arch-specific-kgraft-header-files.patch.
- Delete
  patches.suse/kgr-0041-make-a-taint-flag-module-specific.patch.
- Delete
  patches.suse/kgr-0042-locking-semaphore-Add-down_interruptible_timeout.patch.
- Delete
  patches.suse/kgr-0043-kgr-Mark-eeh_event_handler-kthread-safe-using-a-time.patch.
- Delete
  patches.suse/kgr-0102-kgr-mark-kernel-unsupported-upon-patch-revert.patch.
- Delete patches.suse/printk-mark_kgr_task_safe.patch.
- commit dde7e1c
* Wed Aug 30 2017 aaptel@suse.com
- CIFS: Fix maximum SMB2 header size (bsc#1056185).
- commit d54f5d7
* Tue Aug 29 2017 tiwai@suse.de
- Refresh patches.suse/iwlwifi-expose-default-fallback-ucode-api.
  The latest firmware matches for iwl7xxx/3168 series, so dropped the changes.
- commit 1447668
* Tue Aug 29 2017 yousaf.kaukab@suse.com
- arm64: update config file for RAS support
- commit 4812033
* Tue Aug 29 2017 yousaf.kaukab@suse.com
- ras: mark stub functions as 'inline' (fate#323583).
- ACPI: APEI: Enable APEI multiple GHES source to share a single
  external IRQ (fate#323583).
- acpi: apei: check for pending errors when probing GHES entries
  (fate#323583).
- arm/arm64: KVM: add guest SEA support (fate#323583).
- trace, ras: add ARM processor error trace event (fate#323583).
- ras: acpi / apei: generate trace event for unrecognized CPER
  section (fate#323583).
- efi: print unrecognized CPER section (fate#323583).
- acpi: apei: panic OS with fatal error status block
  (fate#323583).
- acpi: apei: handle SEA notification type for ARMv8
  (fate#323583).
- arm64: exception: handle Synchronous External Abort
  (fate#323583).
- efi: parse ARM processor error (fate#323583).
- cper: add timestamp print to CPER status printing (fate#323583).
- ras: acpi/apei: cper: add support for generic data v3 structure
  (fate#323583).
- acpi: apei: read ack upon ghes record consumption (fate#323583).
- ACPI / APEI: Switch to use new generic UUID API (fate#323583).
- uuid: fix incorrect uuid_equal conversion in test_uuid_test
  (fate#323583).
- fs: switch ->s_uuid to uuid_t (fate#323583).
- ima/policy: switch to use uuid_t (fate#323583).
- block: remove blk_part_pack_uuid (fate#323583).
- xfs: use the common helper uuid_is_null() (fate#323583).
- xfs: remove uuid_getnodeuniq and xfs_uu_t (fate#323583).
- S390/sysinfo: use uuid_is_null instead of opencoding it
  (fate#323583).
- uuid: hoist uuid_is_null() helper from libnvdimm (fate#323583).
- uuid: hoist helpers uuid_equal() and uuid_copy() from xfs
  (fate#323583).
- uuid: don't export guid_index and uuid_index (fate#323583).
- uuid: rename uuid types (fate#323583).
- uuid: remove uuid_be defintions from the uapi header
  (fate#323583).
- nfsd: namespace-prefix uuid_parse (fate#323583).
- md: namespace private helper names (fate#323583).
- xfs: use uuid_be to implement the uuid_t type (fate#323583).
- xfs: use uuid_copy() helper to abstract uuid_t (fate#323583).
- uuid,afs: move struct uuid_v1 back into afs (fate#323583).
- commit ccd5a8a
* Tue Aug 29 2017 oneukum@suse.com
- i2c: i801: Add support for Intel Cannon Lake (FATE#321195).
- mfd: intel-lpss: Add Intel Cannonlake PCI IDs (FATE#321195).
- HID: intel-ish-hid: Enable Cannon Lake ish driver (FATE#321195).
- commit fe6deda
* Mon Aug 28 2017 mgorman@suse.de
- Avoid page waitqueue race leaving possible page locker waiting
  (bnc#971975 VM performance -- page waitqueue).
- commit fc6592a
* Mon Aug 28 2017 tonyj@suse.de
- powerpc/perf: Fix usage of nest_imc_refc (FATE#322448,
  bsc#1054914).
- powerpc/perf/imc: Fix nest events on muti socket system
  (FATE#322448, bsc#1054914).
- powerpc/perf: Fix double unlock in imc_common_cpuhp_mem_free()
  (FATE#322448, bsc#1054914).
- powerpc/perf: Add thread IMC PMU support (FATE#322448,
  bsc#1054914).
- powerpc/perf: Add core IMC PMU support (FATE#322448,
  bsc#1054914).
- powerpc/perf: Add nest IMC PMU support (FATE#322448,
  bsc#1054914).
- perf vendor events powerpc: Update POWER9 events (FATE#322450,
  bsc#1052213).
- perf vendor events powerpc: remove suffix in mapfile
  (FATE#322450, bsc#1052213).
- commit 3b5ba34
* Mon Aug 28 2017 jroedel@suse.de
- KVM: x86: block guest protection keys unless the host has them
  enabled (bsc#1055935).
- KVM, pkeys: do not use PKRU value in vcpu->arch.guest_fpu.state
  (bsc#1055935).
- KVM: x86: simplify handling of PKRU (bsc#1055935).
- commit da19195
* Mon Aug 28 2017 dbueso@suse.de
- ptr_ring: use kmalloc_array() (bsc#1055945).
- commit f6d643d
* Mon Aug 28 2017 dbueso@suse.de
- blacklist.conf: add more entries (uml, rhashtable tests)
- commit 398a701
* Mon Aug 28 2017 tiwai@suse.de
- rpm/kernel-binary.spec.in: Update drm-kmp obsolete for SLE12-SP3/Leap-42.3
- commit 77ccbd0
* Mon Aug 28 2017 mgorman@suse.de
- Minor page waitqueue cleanups (bnc#971975 VM performance --
  page waitqueue).
- commit 98a2529
* Mon Aug 28 2017 tbogendoerfer@suse.de
- Drop old qed patches, which will be refreshed while doing backports
- Delete
  patches.drivers/qed-sp3-0216-qed-bump-drivers-to-version-8.10.10.63.patch.
- Delete
  patches.drivers/qed-sp3-0264-qed-Enable-RoCE-parser-searching-on-fp-init.patch.
- Delete
  patches.drivers/qed-sp3-0265-qed-Correct-order-of-wwnn-and-wwpn.patch.
- Delete
  patches.drivers/qed-sp3-0266-qed-Share-additional-information-with-qedf.patch.
- Delete
  patches.drivers/qed-sp3-0267-qed-Support-NVM-image-reading-API.patch.
- Delete
  patches.drivers/qed-sp3-0268-qed-Add-support-for-changing-iSCSI-mac.patch.
- Delete
  patches.drivers/qed-sp3-0269-qedi-Add-support-for-offload-iSCSI-Boot.patch.
- commit 8c6203d
* Mon Aug 28 2017 mhocko@suse.cz
- mm, memory_hotplug: do not back off draining pcp free pages
  from kworker context (bnc#1049591).
- commit e362ef6
* Mon Aug 28 2017 tiwai@suse.de
- drm/i915: Disable tv output on i9x5gm (bsc#1055490).
- commit 425d710
* Mon Aug 28 2017 mgorman@suse.de
- mm: consider the number in local CPUs when reading NUMA stats
  (VM Performance, bnc#959436).
- mm: update NUMA counter threshold size (VM Performance,
  bnc#959436).
- mm: change the call sites of numa statistics items (VM
  Performance, bnc#959436).
- commit 451bfd6
* Mon Aug 28 2017 tiwai@suse.de
- Refresh patch tags of patches.fixes/Input-ALPS-Fix-Alps-Touchpad-two-finger-scroll-does-
- commit df5244b
* Mon Aug 28 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Disable PDF build again
  ... due to the breakage with the recent TeXLive 2017.
  Also add the missing dependency on texlive-varwidth.
- commit 9f682b5
* Fri Aug 25 2017 hare@suse.de
- S/390: enable CONFIG_KMSG_IDS (bsc#1053718)
- commit a6e1a82
* Fri Aug 25 2017 hare@suse.de
- Drop obsolete S/390 patches (bsc#1053718)
- Delete
  patches.arch/s390-sles12sp2-00-02-s390-dasd-add-query-host-access-to-volume-support.patch.
- Delete
  patches.arch/s390-sles12sp2-00-03-s390-pci-add-report_error-attribute-01.patch.
- Delete
  patches.arch/s390-sles12sp2-00-03-s390-pci-add-report_error-attribute-02.patch.
- Delete
  patches.arch/s390-sles12sp2-00-03-s390-pci-add-report_error-attribute-03.patch.
- Delete
  patches.arch/s390-sles12sp2-00-03-s390-pci-add-report_error-attribute-04.patch.
- Delete
  patches.arch/s390-sles12sp2-00-04-s390-pci-fmb-enhancements-03.patch.
- Delete
  patches.arch/s390-sles12sp2-10-05-kmsg-add-descriptions.patch.
- Delete patches.arch/s390-sles12sp3-00-04-kmsg.patch.
- Delete patches.arch/s390-sles12sp3-00-07-kmsg.patch.
- Delete patches.arch/s390-sles12sp3-00-08-kmsg.patch.
- commit a1f2fe2
* Fri Aug 25 2017 hare@suse.de
- s390: Kernel message catalog (bnc#1053718, LTC#157660).
- Refresh patches.suse/0001-x86-unwind-Add-the-ORC-unwinder.patch.
- Delete patches.arch/kmsg-fix-parameter-limitations.
- Delete patches.arch/s390-message-catalog.diff.
- commit 5df3fc3
* Fri Aug 25 2017 mmarek@suse.com
- rpm/config.sh: Update KOTD build targets
  Build the internal packages against SLE15 and add s390x to the OBS
  builds.
- commit 88cc604
* Fri Aug 25 2017 tbogendoerfer@suse.de
- cxgb4: Fix tids count for ipv6 offload connection (bsc#1046540
  fate#322930).
- cxgb4: implement ndo_set_vf_rate() (bsc#1046540 fate#322930).
- cxgb4: fix incorrect cim_la output for T6 (bsc#1046540
  fate#322930).
- cxgb4: FW upgrade fixes (bsc#1046540 fate#322930).
- cxgb4: add new T5 pci device id (bsc#1046540 fate#322930).
- cxgb4 : retrieve port information from firmware (bsc#1046540
  fate#322930).
- cxgb4: add new T5 pci device id (bsc#1046540 fate#322930).
- commit 407692b
* Fri Aug 25 2017 hare@suse.de
- Drop patches.suse/scsi-netlink-ml (bsc#1055689)
- commit 8e3c10c
* Fri Aug 25 2017 mmarek@suse.com
- supported.conf: Fix malformed entry for n5pf
- commit 22e41e9
* Fri Aug 25 2017 jslaby@suse.cz
- Linux 4.12.9 (bnc#1012628 bsc#1052580 bnc#1049599).
- Delete
  patches.drivers/ALSA-usb-audio-Apply-sample-rate-quirk-to-Sennheiser.
- Delete patches.fixes/debug-fix-WARN_ON_ONCE-for-modules.patch.
- Update config files.
- commit f2ab6ba
* Thu Aug 24 2017 lduncan@suse.com
- lib: test_rhashtable: Fix KASAN warning (bsc#1055359).
- lib: test_rhashtable: fix for large entry counts (bsc#1055359).
- commit 28437b2
* Thu Aug 24 2017 jack@suse.cz
- supported.conf: Remove logfs (does not exist anymore), add orangefs as
  unsupported
- commit 1afee12
* Thu Aug 24 2017 mhocko@suse.cz
- kernel/watchdog: Prevent false positives with turbo modes
  (bnc#1055313).
- Update config files.
- commit 75b22a6
* Thu Aug 24 2017 vbabka@suse.cz
- cma: fix calculation of aligned offset (VM Functionality,
  bsc#1055314).
- commit 8914932
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/powernv/idle: Disable LOSE_FULL_CONTEXT states when
  stop-api fails (bsc#1055121).
- commit cf34929
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/powernv: Simplify lazy IRQ handling in CPU offline
  (bsc#1055121).
- commit 25e5ffb
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/64s/idle: Move soft interrupt mask logic into C code
  (bsc#1055121).
  - fix paste error in previous patch name
- commit 56abbca
* Wed Aug 23 2017 mhocko@suse.cz
- mm, oom: fix potential data corruption when oom_reaper races
  with writer (bnc#1055311).
- mm: fix double mmap_sem unlock on MMF_UNSTABLE enforced SIGBUS
  (bnc#1055311).
- commit 8afe3e4
* Wed Aug 23 2017 msuchanek@suse.de
- rtc: opal: Handle disabled TPO in opal_get_tpo_time()
  (bsc#1055122).
- commit 2cf6a2b
* Wed Aug 23 2017 msuchanek@suse.de
- rtc: interface: Validate alarm-time before handling rollover
  (bsc#1055122).
- commit 61f40d3
* Wed Aug 23 2017 jroedel@suse.de
- x86/cpufeature, kvm/svm: Rename (shorten) the new "virtualized
  VMSAVE/VMLOAD" CPUID flag (fate#323405).
- KVM: SVM: Enable Virtual VMLOAD VMSAVE feature (fate#323405).
- KVM: SVM: Add Virtual VMLOAD VMSAVE feature definition
  (fate#323405).
- KVM: SVM: Rename lbr_ctl field in the vmcb control area
  (fate#323405).
- KVM: SVM: Prepare for new bit definition in lbr_ctl
  (fate#323405).
- commit fda2890
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/powernv/pci: Add support for PHB4 diagnostics
  (bsc#1055120).
- commit 8b6d16d
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/powernv/pci: Dynamically allocate PHB diag data
  (bsc#1055120).
- commit d796605
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/powernv/pci: Reduce spam when dumping PEST
  (bsc#1055120).
- commit a228946
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/powernv: Add support to clear sensor groups data
  (bsc#1055115).
- commit ca4565c
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/powernv: Add support to set power-shifting-ratio
  (bsc#1055115).
- commit 73968cc
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/powernv: Add support for powercap framework
  (bsc#1055115).
- commit 934753a
* Wed Aug 23 2017 msuchanek@suse.de
- hwmon: (ibmpowernv) Add current(A) sensor (bsc#1055115).
- commit f4b3bf5
* Wed Aug 23 2017 msuchanek@suse.de
- hwmon: (ibmpowernv) introduce a legacy_compatibles array
  (bsc#1055115).
- commit 9e071c1
* Wed Aug 23 2017 msuchanek@suse.de
- hwmon: (ibmpowernv) Add highest/lowest attributes to sensors
  (bsc#1055115).
- commit ea5ab64
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/powernv: Enable PCI peer-to-peer (bsc#1055120).
- commit a6a5452
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/powernv: Detect and create IMC device (bsc1054914,
  fate#322448).
- commit 7df86cd
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/powernv: Add IMC OPAL APIs (bsc1054914, fate#322448).
- commit d35ae16
* Wed Aug 23 2017 mhocko@suse.cz
- blacklist.conf: blacklist 1ee1c3f5b5cf
  CONFIG_DEBUG_VM is disabled in all our kernel flavors
- commit 2802e86
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/powernv/idle: Correctly initialize core_idle_state_ptr
  (bsc#1055121).
- powerpc/powernv/idle: Decouple Timebase restore & Per-core
  SPRs restore (bsc#1055121).
- powerpc/powernv/idle: Restore LPCR on wakeup from deep-stop
  (bsc#1055121).
- powerpc/powernv/idle: Restore SPRs for deep idle states via
  stop API (bsc#1055121).
- powerpc/powernv/idle: Use Requested Level for restoring state
  on P9 DD1 (bsc#1055121).
- commit 9ac205d
* Wed Aug 23 2017 msuchanek@suse.de
- cpuidle-powernv: Allow Deep stop states that don't stop time
  (bsc#1055121).
- powerpc/64s/idle: Branch to handler with virtual mode offset
  (bsc#1055121).
- commit a2551db
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/mm/radix: Avoid flushing the PWC on every
  flush_tlb_range (bsc#1055186, fate#323286).
- commit 37f137e
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/mm/radix: Improve TLB/PWC flushes (bsc#1055186,
  fate#323286).
- commit 7c388fb
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/mm/radix: Improve _tlbiel_pid to be usable for PWC
  flushes (bsc#1055186, fate#323286).
- commit c4233df
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/mm/radix: Refactor radix__mark_rodata_ro() (bsc#1055186,
  fate#323286).
- commit b3b09ac
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/mm/radix: Synchronize updates to the process table
  (bsc#1055186, fate#323286).
- commit d78f2e1
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/mm/radix: Implement STRICT_RWX/mark_rodata_ro() for
  Radix (bsc#1055186, fate#323286).
- commit 8abecba
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/mm/hash: Implement mark_rodata_ro() for hash
  (bsc#1055186, fate#323286).
- commit 80a9929
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/64s: Leave interrupts hard enabled in context switch
  for radix (bsc#1055186, fate#323286).
- commit 749d27e
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/powernv: Fix boot on Power8 bare metal due to
  opal_configure_cores() (bsc#1055117, fate#323286).
- commit 396c5c1
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/powernv: Tell OPAL about our MMU mode on POWER9
  (bsc#1055117, fate#323286).
- commit bc75dc8
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/mm: Fix pmd/pte_devmap() on non-leaf entries
  (bsc#1055117, fate#323286).
- commit 457e49f
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/mm: Add devmap support for ppc64 (bsc#1055117,
  fate#323286).
- commit beadf59
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/mm/radix: Workaround prefetch issue with KVM
  (bsc#1055117, fate#323286).
- commit 34d0082
* Wed Aug 23 2017 msuchanek@suse.de
- powerpc/mm: Trace tlbie(l) instructions (bsc#1055117,
  fate#323286).
- commit f6cd9ad
* Wed Aug 23 2017 tiwai@suse.de
- ALSA: hda - Add stereo mic quirk for Lenovo G50-70 (17aa:3978)
  (bsc#1020657).
- commit d300598
* Wed Aug 23 2017 jslaby@suse.cz
- Bluetooth: hidp: fix possible might sleep error in
  hidp_session_thread (bnc#1014351).
- commit fa3a4f0
* Tue Aug 22 2017 tiwai@suse.de
- ALSA: ice1712: Add support for STAudio ADCIII (bsc#1048934).
- commit 53a20a8
* Tue Aug 22 2017 tiwai@suse.de
- ALSA: hda - Implement mic-mute LED mode enum (bsc#1055013).
- commit b870486
* Tue Aug 22 2017 msuchanek@suse.de
- cxl: Export library to support IBM XSL (bsc#1055014,
  fate#322239).
  Update config files.
- commit 06766f5
* Tue Aug 22 2017 msuchanek@suse.de
- mm/hugetlb: clean up ARCH_HAS_GIGANTIC_PAGE (bsc#1055014,
  fate#322239).
- commit ecf0169
* Tue Aug 22 2017 msuchanek@suse.de
- powerpc/mm/hugetlb: add support for 1G huge pages (bsc#1055014,
  fate#322239).
  Update config files.
- commit 619d9b1
* Tue Aug 22 2017 tiwai@suse.de
- supported.conf: Add Intel HDMI LPE audio to be supported
- commit 7218d85
* Tue Aug 22 2017 bp@suse.de
- supported.conf: Remove microcode loader
  It is not a module anymore.
- commit 6997200
* Tue Aug 22 2017 mhocko@suse.cz
- supported.conf: make z3fold.ko officially unsupported
  We do not have anybody inhouse to be familiar with the code and there
  was no explicit fate to enable it either. Make it available in the
  kernel-extra though.
- commit 5bd98fe
* Mon Aug 21 2017 pmladek@suse.com
- Update TAINT_FLAGS_COUNT for the added taint flags
  This fixes the port for 4.12.
  Refresh patches.suse/supported-flag.
- commit 22a9dcd
* Fri Aug 18 2017 msuchanek@suse.de
- Do not ship firmware (bsc#1054239).
  Pull firmware from kernel-firmware instead.
- commit 0b0b5c9
* Fri Aug 18 2017 tbogendoerfer@suse.de
- supported.conf: mark sfc-falcon as unsupported (fate#323467, bsc#1039860)
- commit 6eb197e
* Fri Aug 18 2017 yousaf.kaukab@suse.com
- tty: pl011: fix initialization order of QDF2400 E44
  (fate#323912).
- commit 1f108a8
* Fri Aug 18 2017 neilb@suse.com
- Delete patches.suse/0017-NFS-nfs4_lookup_revalidate-need-to-report-STALE-inod.patch.
  This has been fixed a different way upstream
- commit 535dc30
* Thu Aug 17 2017 jeffm@suse.com
- supported.conf: clear mistaken external support flag for cifs.ko (bsc#1053802).
- commit a5b6524
* Thu Aug 17 2017 neilb@suse.com
- Refresh patches.fixes/0001-MD-fix-sleep-in-atomic.patch.
- Refresh
  patches.fixes/0001-NFSv4-don-t-let-hanging-mounts-block-other-mounts.patch.
- Refresh
  patches.fixes/0001-loop-Add-PF_LESS_THROTTLE-to-block-loop-device-threa.patch.
- Refresh
  patches.fixes/0001-md-use-a-separate-bio_set-for-synchronous-IO.patch.
- Refresh patches.fixes/d-lookup-fairness.fix.
- Refresh patches.fixes/dm-snap-avoid-deadlock.patch.
- Refresh patches.fixes/nfs4_close.fix.
- Refresh
  patches.suse/0017-NFS-nfs4_lookup_revalidate-need-to-report-STALE-inod.patch.
- Refresh patches.suse/blk-timeout-no-round.
- Delete
  patches.fixes/0001-NFS-don-t-try-to-cross-a-mountpount-when-there-isn-t.patch.
- Delete
  patches.fixes/0001-Revert-SUNRPC-xs_sock_mark_closed-does-not-need-to-t.patch.
- Delete
  patches.fixes/0001-md-handle-read-only-member-devices-better.patch.
- Delete patches.fixes/cifs-optional-treename-prefix.
- Delete patches.fixes/nfs_flush_incompatible.fix.
- Delete patches.fixes/ptrace-in-namespace-perm-check.fix.
- Delete patches.suse/nfs-no-share-transport.
- Delete patches.suse/nfs-no-share-transport-nfsv4.
  Review patches carried forward from SLE12.
  Some not needed, some not wanted, some perserved and refreshed.
- commit 30682b5
* Thu Aug 17 2017 jslaby@suse.cz
- Linux 4.12.8 (bnc#1012628).
- commit 4d7933a
* Thu Aug 17 2017 neilb@suse.com
- SUNRPC: Mask XIDs to prevent replay cache collision
  (fate#322786).
- NFS: Allow multiple connections to NFSv3 and NFSv4.0 servers
  (fate#322786).
- NFS: Display the "nconnect" mount option if it is set
  (fate#322786).
- pNFS: Allow multiple connections to the DS (fate#322786).
- NFSv4: Allow multiple connections to NFSv4.x (x>0) servers
  (fate#322786).
- NFS: Add a mount option to specify number of TCP connections
  to use (fate#322786).
- SUNRPC: Allow creation of RPC clients with multiple connections
  (fate#322786).
- commit e56b097
* Wed Aug 16 2017 tonyj@suse.de
- powerpc/perf/hv-24x7: Aggregate result elements on POWER9 SMT8
  (FATE#323438).
- powerpc/perf/hv-24x7: Support v2 of the hypervisor API
  (FATE#323438).
- powerpc/perf/hv-24x7: Minor improvements (FATE#323438).
- powerpc/perf/hv-24x7: Fix return value of hcalls (FATE#323438).
- powerpc-perf/hx-24x7: Don't log failed hcall twice
  (FATE#323438).
- powerpc/perf/hv-24x7: Properly iterate through results
  (FATE#323438).
- powerpc/perf/hv-24x7: Fix off-by-one error in request_buffer
  check (FATE#323438).
- powerpc/perf/hv-24x7: Fix passing of catalog version number
  (FATE#323438).
- commit 56353ab
* Wed Aug 16 2017 jeffm@suse.com
- supported.conf: mark reiserfs unsupported (FATE#323394).
  ReiserFS is not supported in SLE15.  ReiserFS file systems must be
  transferred or converted before installing.
- commit 5f3f041
* Wed Aug 16 2017 msuchanek@suse.de
- powerpc/mm/hash64: Make vmalloc 56T on hash (bsc#1048914,
  bsc#1054026).
- commit cbc95bf
* Wed Aug 16 2017 msuchanek@suse.de
- powerpc/mm/slb: Move comment next to the code it's referring to
  (bsc#1048914, bsc#1054026).
- commit a120516
* Wed Aug 16 2017 msuchanek@suse.de
- powerpc/mm/book3s64: Make KERN_IO_START a variable (bsc#1048914,
  bsc#1054026).
- commit 7eb1dbb
* Wed Aug 16 2017 tiwai@suse.de
- blacklist.conf: add blacklist entries for drm
- commit 369eed2
* Wed Aug 16 2017 tiwai@suse.de
- drm/i915: Remove assertion from raw __i915_vma_unpin()
  (bsc#1051510).
- drm/i915: Fix out-of-bounds array access in bdw_load_gamma_lut
  (bsc#1051510).
- drm/i915: Unbreak gpu reset vs. modeset locking (bsc#1051510).
- drm/i915: fix backlight invert for non-zero minimum brightness
  (bsc#1051510).
- drm/i915: Fix an error checking test (bsc#1051510).
- drm/msm/hdmi: Use bitwise operators when building register
  values (bsc#1051510).
- drm/imx: fix typo in ipu_plane_formats[] (bsc#1051510).
- drm/bridge: tc358767: fix probe without attached output node
  (bsc#1051510).
- drm/msm/dsi: Calculate link clock rates with updated dsi->lanes
  (bsc#1051510).
- drm: omapdrm: Take GEM object reference when exporting dmabuf
  (bsc#1051510).
- drm/rockchip: fix Kconfig dependencies (bsc#1051510).
- drm/amdkfd: NULL dereference involving create_process()
  (bsc#1051510).
- drm/mediatek: separate color module to fixup error memory
  reallocation (bsc#1051510).
- commit 54d6c62
* Wed Aug 16 2017 oneukum@suse.com
- supported.conf: overzealous destruction of PCMCIA
- commit 1d32c31
* Wed Aug 16 2017 oneukum@suse.com
- supported.conf: added Cavium Nitrox (FATE#323034)
- commit c54e3ea
* Wed Aug 16 2017 msuchanek@suse.de
- s390: export symbols for crash-kmp (bsc#1053915).
- commit dd8539a
* Wed Aug 16 2017 oneukum@suse.com
- Update config files.
  Cavium crypto accelerators
  (FATE#323034, FATE#323051)
- commit 546670e
* Tue Aug 15 2017 tonyj@suse.de
- perf vendor events: Add POWER9 PVRs to mapfile (FATE#322450,
  bsc#1050145).
- perf vendor events: Add POWER9 PMU events (FATE#322450,
  bsc#1050145).
- perf pmu-events: Support additional POWER8+ PVR in mapfile
  (FATE#322450, bsc#1050145 (dependent patch)).
- commit 5191db3
* Tue Aug 15 2017 bpoirier@suse.com
- Refresh patch order in networking section
- commit 5beeea5
* Tue Aug 15 2017 mgorman@suse.de
- Revert "mm: numa: defer TLB flush for THP migration as long
  as possible" (mprotect/madvise theoretical races (bnc#1053919)).
- mm: fix KSM data corruption (mprotect/madvise theoretical races
  (bnc#1053919)).
- mm: fix MADV_[FREE|DONTNEED] TLB flush miss problem
  (mprotect/madvise theoretical races (bnc#1053919)).
- mm: make tlb_flush_pending global (mprotect/madvise theoretical
  races (bnc#1053919)).
- mm: refactor TLB gathering API (mprotect/madvise theoretical
  races (bnc#1053919)).
- mm: migrate: fix barriers around tlb_flush_pending
  (mprotect/madvise theoretical races (bnc#1053919)).
- mm: migrate: prevent racy access to tlb_flush_pending
  (mprotect/madvise theoretical races (bnc#1053919)).
- commit e34ab01
* Tue Aug 15 2017 dbueso@suse.de
- mm, hugetlb: schedule when potentially allocating many hugepages (bsc#971975).
- commit 56cb576
* Tue Aug 15 2017 dbueso@suse.de
- sched/deadline: Zero out positive runtime after throttling
  constrained tasks (bsc#978907).
- sched/core: Allow __sched_setscheduler() in interrupts when
  PI is not used (bsc#978907).
- commit 472d759
* Tue Aug 15 2017 jeffm@suse.com
- Remove legacy overlayfs compatibility layer (FATE#323754).
- commit 276905f
* Tue Aug 15 2017 oneukum@suse.com
- ACPI / PM: Ignore spurious SCI wakeups from suspend-to-idle
  (FATE#323777).
- ACPI / PM: Run wakeup notify handlers synchronously
  (FATE#323777).
- commit 925f2b6
* Tue Aug 15 2017 yousaf.kaukab@suse.com
- i2c: xgene-slimpro: include linux/io.h for memremap
  (bsc#1053633).
- i2c: xgene-slimpro: Add ACPI support by using PCC mailbox
  (bsc#1053633).
- i2c: xgene-slimpro: Use a single function to send command
  message (bsc#1053633).
- ACPI / irq: Fix return code of acpi_gsi_to_irq() (bsc#1053627).
- commit d7a9a50
* Tue Aug 15 2017 hare@suse.de
- Delete
  patches.fixes/dm-raid-Do-not-call-BUG-in-__rdev_sectors.patch.
- Delete patches.fixes/md-fix-a-null-dereference.patch.
- commit 88d2447
* Tue Aug 15 2017 hare@suse.de
- Delete
  patches.drivers/blk-mq-map-all-HWQ-also-in-hyperthreaded-system.patch.
- commit 4b25e5c
* Tue Aug 15 2017 hare@suse.de
- Delete patches.suse/loop-fix-regression-with-op_is_write.patch.
- commit aadbd32
* Tue Aug 15 2017 hare@suse.de
- Re-enable 'patches.fixes/dm-multipath-Improve-logging.patch'
- commit 7c6e565
* Tue Aug 15 2017 hare@suse.de
- Delete
  patches.fixes/dm-mpath-fix-potential-for-dropping-queue_if_no_path.patch.
- commit a103f04
* Tue Aug 15 2017 hare@suse.de
- Delete patches.fixes/watchdog-hpwdt-add-support-for-iLO5.patch.
- commit e86c31d
* Tue Aug 15 2017 hare@suse.de
- Delete
  patches.drivers/target-fixup-error-message-in-target_tg_pt_gp_alua_a.patch.
- Delete
  patches.drivers/target-fixup-error-message-in-target_tg_pt_gp_tg_pt_.patch.
- commit b9fb445
* Tue Aug 15 2017 hare@suse.de
- megaraid_sas: Fallback to older scanning if no disks are found
  (bnc#870440).
- megaraid_sas: boot hangs while LD is offline (bnc#698102).
- Delete
  patches.suse/megaraid_sas-Fallback-to-older-scanning-if-not-disks.patch.
- Delete
  patches.suse/megaraid_sas-boot-hangs-while-LD-is-offline.patch.
- commit 168240e
* Tue Aug 15 2017 hare@suse.de
- Re-enable 'patches.suse/fcoe-reduce-max_sectors'
- commit 0e279a1
* Tue Aug 15 2017 hare@suse.de
- scsi: fnic: changing queue command to return result
  DID_IMM_RETRY when rport is init (bsc#1035920).
- commit 6c8597b
* Tue Aug 15 2017 hare@suse.de
- Delete
  patches.drivers/0005-scsi-fnic-Correcting-rport-check-location-in-fnic_qu.patch.
- commit 243f663
* Tue Aug 15 2017 hare@suse.de
- Delete
  patches.drivers/mpt3sas-Ensure-the-connector_name-string-is-NUL-term.patch.
- commit 5836852
* Tue Aug 15 2017 hare@suse.de
- Delete patches.fixes/scsi-dh-queuedata-accessors.
- commit 475dab3
* Tue Aug 15 2017 hare@suse.de
- Reshuffle 'patches.drivers/scsi_transport_fc-return-EBUSY-for-deleted-vport.patch'
- commit 2ed0ed3
* Tue Aug 15 2017 hare@suse.de
- Delete
  patches.fixes/block-don-t-check-request-size-in-blk_cloned_rq_chec.patch.
- commit c81e3a2
* Tue Aug 15 2017 hare@suse.de
- Delete patches.suse/dm-mpath-detach-existing-hardware-handler.
- commit 5762cda
* Tue Aug 15 2017 hare@suse.de
- Delete patches.suse/no-partition-scan (FATE#323406)
- commit 5056c39
* Tue Aug 15 2017 hare@suse.de
- Refresh patches.suse/dm-mpath-accept-failed-paths.
- commit a98933b
* Tue Aug 15 2017 hare@suse.de
- Delete patches.suse/dm-mpath-no-partitions-feature (FATE#323406)
- commit ef1cd4c
* Tue Aug 15 2017 tiwai@suse.de
- ALSA: usb-audio: Apply sample rate quirk to Sennheiser headset
  (bsc#1052580).
- commit a8251af
* Mon Aug 14 2017 msuchanek@suse.de
- genirq: Handle NOAUTOEN interrupt setup proper (fate#322438).
- commit 9650b8d
* Mon Aug 14 2017 msuchanek@suse.de
- powerpc/xive: Fix section mismatch warnings (fate#322438).
- powerpc/xive: Ensure active irqd when setting affinity
  (fate#322438).
- powerpc/xive: Silence message about VP block allocation
  (fate#322438).
- KVM: PPC: Book3S HV: Don't sleep if XIVE interrupt pending on
  POWER9 (fate#322438).
- commit 2b1c5d2
* Mon Aug 14 2017 msuchanek@suse.de
- KVM: PPC: Book3S HV: Don't let VCPU sleep if it has a doorbell
  pending (fate#322438).
- commit f863b85
* Mon Aug 14 2017 mwilck@suse.com
- hpsa/smartpqi: metadata and series.conf update
- moved hpsa patches upwards in series.conf
- hpsa/smartpqi "limit transfer length" patches accepted upstream
- Refresh
  patches.drivers/0001-scsi-hpsa-limit-transfer-length-to-1MB.patch.
- Refresh
  patches.fixes/0001-smartpqi-limit-transfer-length-to-1MB.patch.
- commit c0d744c
* Mon Aug 14 2017 tiwai@suse.de
- ALSA: fm801: Initialize chip after IRQ handler is registered
  (bsc#1051510).
- iwlwifi: mvm: quietly accept non-sta assoc response frames
  (bsc#1051510).
- iwlwifi: mvm: fix deduplication start logic (bsc#1051510).
- iwlwifi: fix TX tracing for non-linear SKBs (bsc#1051510).
- iwlwifi: mvm: change sta_id to u8 (bsc#1051510).
- iwlwifi: mvm: handle IBSS probe_queue in a few missing places
  (bsc#1051510).
- iwlwifi: mvm: remove DQA non-STA client mode special case
  (bsc#1051510).
- iwlwifi: mvm: don't mess the SNAP header in TSO for non-QoS
  packets (bsc#1051510).
- iwlwifi: mvm: fix a NULL pointer dereference of error in
  recovery (bsc#1051510).
- iwlwifi: fix tracing when tx only is enabled (bsc#1051510).
- iwlwifi: mvm: quietly accept non-sta disassoc frames
  (bsc#1051510).
- iwlwifi: mvm: don't send fetch the TID from a non-QoS packet
  in TSO (bsc#1051510).
- iwlwifi: mvm: fix mac80211 queue tracking (bsc#1051510).
- iwlwifi: missing error code in iwl_trans_pcie_alloc()
  (bsc#1051510).
- commit d7ab615
* Sun Aug 13 2017 jslaby@suse.cz
- Linux 4.12.7 (bnc#1012628).
- commit 7dae241
* Sun Aug 13 2017 jslaby@suse.cz
- Refresh
  patches.fixes/netfilter-expect-fix-crash-when-putting-uninited-exp.patch.
  Update upstream status.
- commit cdb9f49
* Sat Aug 12 2017 jslaby@suse.cz
- Linux 4.12.6 (CVE-2017-7542 CVE-2017-8831 bnc#1012628
  bsc#1037994 bsc#1049882).
- Delete
  patches.fixes/ipv6-avoid-overflow-of-offset-in-ip6_find_1stfragopt.patch.
- Delete
  patches.fixes/media-saa7164-fix-double-fetch-PCIe-access-condition.
- commit 29b7412
* Fri Aug 11 2017 dbueso@suse.de
- sched/wait: Remove the lockless swait_active() check in swake_up*() (bsc#1050549).
- commit 5f6d96e
* Fri Aug 11 2017 dbueso@suse.de
- ipc/sem: play nicer with large nsops allocations (bsc#1050323).
- ipc/sem: drop sem_checkid helper (bsc#1050323).
- locking/osq_lock: Fix osq_lock queue corruption (bsc#1050549).
- commit 458731e
* Fri Aug 11 2017 dbueso@suse.de
- update configs
- commit 2295f30
* Thu Aug 10 2017 dbueso@suse.de
- block/cfq: cache rightmost rb_node (bsc#1052639).
- mem/memcg: cache rightmost node (bsc#1052639).
- fs/epoll: use faster rb_first_cached() (bsc#1052639).
- procfs: use faster rb_first_cached() (bsc#1052639).
- lib/interval-tree: correct comment wrt generic flavor
  (bsc#1052639).
- block/cfq: replace cfq_rb_root leftmost caching (bsc#1052639).
- locking/rtmutex: replace top-waiter and pi_waiters leftmost
  caching (bsc#1052639).
- sched/deadline: replace earliest dl and rq leftmost caching
  (bsc#1052639).
- rbtree: add some additional comments for rebalancing cases
  (bsc#1052639).
- rbtree: optimize root-check during rebalancing loop
  (bsc#1052639).
- rbtree: cache leftmost node internally (bsc#1052639).
- lib/interval_tree_test.c: allow full tree search (bsc#1052639).
- lib/interval_tree_test.c: allow users to limit scope of endpoint
  (bsc#1052639).
- lib/interval_tree_test.c: make test options module parameters
  (bsc#1052639).
- lib/interval_tree_test.c: allow the module to be compiled-in
  (bsc#1052639).
- commit 1f8bb6f
* Thu Aug 10 2017 dbueso@suse.de
- bitmap: use memcmp optimisation in more situations
  (bsc#1050549).
- include/linux/bitmap.h: turn bitmap_set and bitmap_clear into
  memset when possible (bsc#1050549).
- commit 1f0d3c0
* Thu Aug 10 2017 dbueso@suse.de
- kcmp: fs/epoll: wrap kcmp code with CONFIG_CHECKPOINT_RESTORE
  (bsc#1052639).
- kcmp: add KCMP_EPOLL_TFD mode to compare epoll target files
  (bsc#1052639).
- procfs: fdinfo: extend information about epoll target files
  (bsc#1052639).
- fs, epoll: short circuit fetching events if thread has been
  killed (bsc#1052639).
- commit 935d249
* Thu Aug 10 2017 dbueso@suse.de
- locking/rtmutex: Don't initialize lockdep when not required
  (bsc#1050549).
- rt_mutex: Add lockdep annotations (bsc#1050549).
- sched/cfs: Make util/load_avg more stable (bnc#978907).
- commit 1933697
* Thu Aug 10 2017 msuchanek@suse.de
- rpm/modules.fips include module list from dracut (bsc#1074984, FATE#323247).
- rpm/modules.fips include module list from dracut
- commit bfa538f
* Thu Aug 10 2017 ohering@suse.de
- Delete stale patches.suse/suse-hv-storvsc-sg_tablesize.patch.
- commit df0c558
* Thu Aug 10 2017 ohering@suse.de
- hv: print extra debug in kvp_on_msg in error paths
  (bnc#1039153).
- netvsc: make sure and unregister datapath (fate#323887,
  bsc#1052899).
- netvsc: fix rtnl deadlock on unregister of vf (fate#323887,
  bsc#1052442).
- netvsc: transparent VF management (fate#323887, bsc#1051979).
- hyperv: netvsc: Neaten netvsc_send_pkt by using a temporary
  (fate#323887).
- netvsc: signal host if receive ring is emptied (fate#323887).
- netvsc: fix error unwind on device setup failure (fate#323887).
- netvsc: optimize receive completions (fate#323887).
- netvsc: remove unnecessary indirection of page_buffer
  (fate#323887).
- netvsc: don't print pointer value in error message
  (fate#323887).
- netvsc: fix warnings reported by lockdep (fate#323887).
- netvsc: fix return value for set_channels (fate#323887).
- Revert "netvsc: optimize calculation of number of slots"
  (fate#323887).
- netvsc: remove no longer used max_num_rss queues (fate#323887).
- netvsc: include rtnetlink.h (fate#323887).
- netvsc: fix netvsc_set_channels (fate#323887).
- netvsc: prefetch the first incoming ring element (fate#323887).
- netvsc: Remove redundant use of ipv6_hdr() (fate#323887).
- netvsc: remove bogus rtnl_unlock (fate#323887).
- netvsc: fix ptr_ret.cocci warnings (fate#323887).
- netvsc: add rtnl annotations in rndis (fate#323887).
- netvsc: save pointer to parent netvsc_device in channel table
  (fate#323887).
- netvsc: need rcu_derefence when accessing internal device info
  (fate#323887).
- netvsc: use ERR_PTR to avoid dereference issues (fate#323887).
- netvsc: change logic for change mtu and set_queues
  (fate#323887).
- netvsc: change order of steps in setting queues (fate#323887).
- netvsc: add some rtnl_dereference annotations (fate#323887).
- netvsc: force link update after MTU change (fate#323887).
- PCI: hv: Use vPCI protocol version 1.2 (fate#323887).
- PCI: hv: Add vPCI version protocol negotiation (fate#323887).
- PCI: hv: Temporary own CPU-number-to-vCPU-number infra
  (fate#323887).
- PCI: hv: Use page allocation for hbus structure (fate#323887).
- PCI: hv: Fix comment formatting and use proper integer fields
  (fate#323887).
- scsi: storvsc: use default I/O timeout handler for FC devices
  (fate#323887).
- hv_netvsc: Fix the carrier state error when data path is off
  (fate#323887).
- hv_netvsc: Remove unnecessary var link_state from struct
  netvsc_device_info (fate#323887).
- x86/hyperv: Read TSC frequency from a synthetic MSR
  (fate#323887).
- x86/hyperv: Check frequency MSRs presence according to the
  specification (fate#323887).
- networking: introduce and use skb_put_data() (fate#323887).
- scsi: storvsc: remove unnecessary channel inbound lock
  (fate#323887).
- scsi: storvsc: use in place iterator function (fate#323887).
- netvsc: fold in get_outbound_net_device (fate#323887).
- netvsc: pass net_device to netvsc_init_buf and
  netvsc_connect_vsp (fate#323887).
- netvsc: mark error cases as unlikely (fate#323887).
- netvsc: use typed pointer for internal state (fate#323887).
- netvsc: use hv_get_bytes_to_read (fate#323887).
- netvsc: optimize calculation of number of slots (fate#323887).
- tools: hv: set hotplug for VF on Suse (fate#323887).
- tools: hv: set allow-hotplug for VF on Ubuntu (fate#323887).
- netvsc: Add #include's for csum_* function declarations
  (fate#323887).
- vmbus: Reuse uuid_le_to_bin() helper (fate#323887).
- drivers: hv: vmbus: Increase the time between retries in
  vmbus_post_msg() (fate#323887).
- hv_utils: fix TimeSync work on pre-TimeSync-v4 hosts
  (fate#323887).
- hv_utils: drop .getcrosststamp() support from PTP driver
  (fate#323887).
- Drivers: hv: vmbus: Get the current time from the current
  clocksource (fate#323887).
- HV: properly delay KVP packets when negotiation is in progress
  (fate#323887).
- Drivers: hv: vmbus: Fix rescind handling (fate#323887).
- Drivers: hv: util: Make hv_poll_channel() a little more
  efficient (fate#323887).
- Drivers: hv: vmbus: Fix error code returned by vmbus_post_msg()
  (fate#323887).
- tools: hv: properly handle long paths (fate#323887).
- Tools: hv: vss: Thaw the filesystem and continue if freeze
  call has timed out (fate#323887).
- tools: hv: Add clean up for included files in Ubuntu net config
  (fate#323887).
- commit 5791482
* Thu Aug 10 2017 msuchanek@suse.de
- powerpc: Only do ERAT invalidate on radix context switch on
  P9 DD1 (bsc#1053131).
- commit b476432
* Thu Aug 10 2017 oneukum@suse.com
- crypto: cavium - make several functions static (FATE#323051,
  FATE#323034).
- crypto: cavium/nitrox - dma_mapping_error() returns bool
  (FATE#323034).
- crypto: cavium - fix spelling mistake "Revsion" -> "Revision"
  (FATE#323034).
- crypto: cavium - Add more algorithms (FATE#323034, FATE#323051).
- commit 7a50f51
* Thu Aug 10 2017 oneukum@suse.com
- crypto: cavium - Remove the individual encrypt/decrypt function
  for each algorithm (FATE#323051, FATE#323034).
- crypto: cavium - Downgrade the annoying misc interrupt print
  from dev_err to dev_dbg (FATE#323034, FATE#323051).
- crypto: cavium - Register the CNN55XX supported crypto
  algorithms (FATE#323034).
- crypto: cavium - Add debugfs support in CNN55XX driver
  (FATE#323034).
- crypto: cavium - Add support for CNN55XX adapters (FATE#323051).
- commit 2b3984f
* Thu Aug 10 2017 brogers@suse.com
- Delete patches.suse/x86-kvm-increase-guest-vcpu-support-count-to-240.patch.
  Obsolete, as it is already in upstream kernel.
  Also reassign a patch to jslaby which was mislabeled as mine.
- commit 62ea3d9
* Wed Aug  9 2017 bpoirier@suse.com
- Refresh patch order in networking section
  Some patches were added out of order.
- commit 314b1ee
* Wed Aug  9 2017 tbogendoerfer@suse.de
- Dropped already present patch
  patches.drivers/ibft-expose-ibft-acpi-header-via-sysfs.patch
- commit ca0f923
* Wed Aug  9 2017 tbogendoerfer@suse.de
- enabled/moved
  patches.suse/module-Inform-user-when-loading-externally-supported.patch
  patches.drivers/i40evf-fix-merge-error-in-older-patch.patch
  Refresh
  patches.drivers/i40evf-fix-merge-error-in-older-patch.patch.
- commit bd094a0
* Wed Aug  9 2017 jbeulich@suse.com
- Delete patches.fixes/xsa216.patch (went into 4.12).
- commit 05e7511
* Wed Aug  9 2017 jgross@suse.com
- re-enable Xen pvusb frontend patches
- commit 6cb7475
* Wed Aug  9 2017 msuchanek@suse.de
- kdump: protect vmcoreinfo data under the crash memory
  (bsc#1051137).
- commit 8c0423d
* Wed Aug  9 2017 msuchanek@suse.de
- kexec: move vmcoreinfo out of the kernel's .bss section
  (bsc#1051137).
- commit b72922b
* Wed Aug  9 2017 msuchanek@suse.de
- powerpc/fadump: use the correct VMCOREINFO_NOTE_SIZE for phdr
  (bsc#1051137).
- commit 30c6dec
* Wed Aug  9 2017 msuchanek@suse.de
- powerpc/fadump: Set an upper limit for boot memory size
  (bsc#1051137).
- commit 68223be
* Wed Aug  9 2017 msuchanek@suse.de
- powerpc/fadump: Update comment about offset where fadump is
  reserved (bsc#1051137).
- commit eb88722
* Wed Aug  9 2017 msuchanek@suse.de
- Refresh fadump patches metadata and change to upstream order.
- commit a85ebb8
* Wed Aug  9 2017 ohering@suse.de
- Delete stale patches.fixes/scsi-ibmvscsi-module_alias.patch.
- Delete stale patches.suse/suse-ppc64-branding.
- commit 6b6f95c
* Wed Aug  9 2017 tiwai@suse.de
- [media] saa7164: fix double fetch PCIe access condition
  (CVE-2017-8831 bsc#1037994).
- commit 4d38c27
* Wed Aug  9 2017 dbueso@suse.de
- x86/tsc: Fold set_cyc2ns_scale() into caller (bsc#1052904).
- commit d94e9ff
* Wed Aug  9 2017 dbueso@suse.de
- bitmap: optimise bitmap_set and bitmap_clear of a single bit
  (bsc#1050549).
- lib/test_bitmap.c: add optimisation tests (bsc#1050549).
- commit a98aaca
* Wed Aug  9 2017 dbueso@suse.de
- cpuidle: Fix idle time tracking (bsc#1052904).
- x86/tsc: Call check_system_tsc_reliable() before
  unsynchronized_tsc() (bsc#1052904).
- sched/clock: Fix early boot preempt assumption in
  __set_sched_clock_stable() (bsc#1052904).
- sched/clock: Print a warning recommending 'tsc=unstable'
  (bsc#1052904).
- sched/clock: Use late_initcall() instead of sched_init_smp()
  (bsc#1052904).
- sched/clock: Remove watchdog touching (bsc#1052904).
- sched/clock: Remove unused argument to
  sched_clock_idle_wakeup_event() (bsc#1052904).
- x86/tsc: Provide 'tsc=unstable' boot parameter (bsc#1052904).
- x86/tsc: Feed refined TSC calibration into sched_clock()
  (bsc#1052904).
- x86/tsc: Fix sched_clock() sync (bsc#1052904).
- x86/tsc, sched/clock, clocksource: Use clocksource watchdog
  to provide stable sync points (bsc#1052904).
- x86/tsc: Remodel cyc2ns to use seqcount_latch() (bsc#1052904).
- sched/clock: Initialize all per-CPU state before switching
  (back) to unstable (bsc#1052904).
- commit 521cce8
* Wed Aug  9 2017 dbueso@suse.de
- ipc: add missing container_of()s for randstruct (bsc#1050323).
- kernel/locking: Fix compile error with qrwlock.c (bsc#1050549).
- commit 62276d3
* Tue Aug  8 2017 msuchanek@suse.de
- ibmvnic: Report rx buffer return codes as netdev_dbg
  (bsc#1052794).
- commit 3bd6034
* Tue Aug  8 2017 msuchanek@suse.de
- ibmvnic: Check for transport event on driver resume
  (bsc#1051556, bsc#1052709).
- commit fefc352
* Tue Aug  8 2017 msuchanek@suse.de
- ibmvnic: Initialize SCRQ's during login renegotiation
  (bsc#1052223).
- commit 9454da2
* Tue Aug  8 2017 jack@suse.cz
- ext4: Don't clear SGID when inheriting ACLs (bsc#1052766).
- ext4: preserve i_mode if __ext4_set_acl() fails (bsc#1052766).
- commit 0e8e28d
* Mon Aug  7 2017 jroedel@suse.de
- iommu/amd: Fix schedule-while-atomic BUG in initialization code
  (bsc1052533).
- iommu/amd: Enable ga_log_intr when enabling guest_mode
  (bsc1052533).
- commit 645d9f3
* Mon Aug  7 2017 jslaby@suse.cz
- Linux 4.12.5 (bnc#1012628 bsc#1049483 bsc#1049599).
- Delete patches.fixes/dentry-name-snapshots.patch.
- Delete
  patches.suse/0001-md-remove-idx-from-struct-resync_pages.patch.
- commit e6109ef
* Fri Aug  4 2017 ohering@suse.de
- Remove merged hyperv patches that lacked an upstream tag
- commit a39c1e7
* Fri Aug  4 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Disable PDF build again.
  4.12.x still seems having some issues.  Temporarily disabled again.
- commit 472526a
* Fri Aug  4 2017 tiwai@suse.de
- ALSA: hda/realtek - There is no loopback mixer in the
  ALC234/274/294 (bsc#1052235).
- ALSA: hda/realtek - Fix typo of pincfg for Dell quirk
  (bsc#1052235).
- ALSA: hda/realtek - Support Dell headset mode for ALC3271
  (bsc#1052235).
- ALSA: hda/realtek - No loopback on ALC225/ALC295 codec
  (bsc#1052235).
- ALSA: hda/realtek - Update headset mode for ALC225
  (bsc#1052235).
- ALSA: hda/realtek - Update headset mode for ALC298
  (bsc#1052235).
- ALSA: hda/realtek - Support headset mode for
  ALC234/ALC274/ALC294 (bsc#1052235).
- ALSA: hda/realtek - Add default procedure for suspend and
  resume state (bsc#1052235).
- ALSA: hda/realtek - Add ALC256 HP depop function (bsc#1052235).
- ALSA: hda/realtek - New codec device ID for ALC1220
  (bsc#1052235).
- ALSA: hda/realtek - New codecs support for ALC215/ALC285/ALC289
  (bsc#1052235).
- ALSA: hda/realtek - Remove ALC285 device ID (bsc#1052235).
- commit 876d653
* Fri Aug  4 2017 tiwai@suse.de
- Re-enable xmlto for 4.12 build
  Otherwise the doc-build complains and aborts.
- commit de2cf2a
* Thu Aug  3 2017 jkosina@suse.cz
- supported.conf: add Intel ISH support (FATE#322842)
- commit 129f345
* Wed Aug  2 2017 jroedel@suse.de
- kvm: nVMX: Fix nested_vmx_check_msr_bitmap_controls
  (bsc#1051478).
- commit 56b5cb8
* Wed Aug  2 2017 jroedel@suse.de
- blacklist.conf: Blacklist c133c7615751 ('x86/nmi: Fix timeout test in test_nmi_ipi()')
  Fixes just a test-case.
- commit a4200a2
* Wed Aug  2 2017 jroedel@suse.de
- PCI / PM: Fix native PME handling during system suspend/resume
  (bsc#1051478).
- PCI: Enable ECRC only if device supports it (bsc#1051478).
- PCI: dwc: dra7xx: Use RW1C for IRQSTATUS_MSI and IRQSTATUS_MAIN
  (bsc#1051478).
- PCI: Correct PCI_STD_RESOURCE_END usage (bsc#1051478).
- commit 9891a80
* Wed Aug  2 2017 jkosina@suse.cz
- series.conf: patches.suse/sched-optimize-latency-defaults.patch has been
  enabled by Mel Gorman already, drop the one with mgalbraith guard
- commit 75879d1
* Wed Aug  2 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Fix package list and enable building PDFs
  Finally it works!  Added some missing pieces (ImageMagick, some texlive
  subpkgs) in addition to use explicitly python3-Sphinx stuff.
- commit c117a0c
* Wed Aug  2 2017 yousaf.kaukab@suse.com
- Delete
  patches.drivers/0002-iommu-arm-smmu-Plumb-in-new-ACPI-identifiers.patch.
  6dbeea7da557 iommu/arm-smmu: Plumb in new ACPI identifiers in v4.12.4
- commit 39ce84a
* Wed Aug  2 2017 mbrugger@suse.com
- Refresh
  patches.arch/arm64-drivers-char-kmem-disable-on-arm64.patch.
- Delete patches.arch/0001-arm64-Define-Cortex-A73-MIDR.patch.
- Delete
  patches.arch/0001-arm64-arch_timer-Add-infrastructure-for-multiple-err.patch.
- Delete
  patches.arch/0002-arm64-arch_timer-Add-erratum-handler-for-globally-de.patch.
- Delete
  patches.arch/0002-arm64-cpu_errata-Allow-an-erratum-to-be-match-for-al.patch.
- Delete
  patches.arch/0003-arm64-arch_timer-Add-erratum-handler-for-CPU-specifi.patch.
- Delete
  patches.arch/0004-arm64-arch_timer-Move-arch_timer_reg_read-write-arou.patch.
- Delete
  patches.arch/0005-arm64-arch_timer-Get-rid-of-erratum_workaround_set_s.patch.
- Delete
  patches.arch/0006-arm64-arch_timer-Rework-the-set_next_event-workaroun.patch.
- Delete
  patches.arch/0007-arm64-arch_timer-Make-workaround-methods-optional.patch.
- Delete
  patches.arch/0008-arm64-arch_timer-Allows-a-CPU-specific-erratum-to-on.patch.
- Delete
  patches.arch/0009-arm64-arch_timer-Move-clocksource_counter-and-co-aro.patch.
- Delete
  patches.arch/0010-arm64-arch_timer-Enable-CNTVCT_EL0-trap-if-workaroun.patch.
- Delete
  patches.arch/0011-arm64-arch_timer-Workaround-for-Cortex-A73-erratum-8.patch.
- Delete
  patches.arch/0012-arm64-arch_timer-Allow-erratum-matching-with-ACPI-OE.patch.
- Delete
  patches.arch/0013-arm64-arch_timer-Add-HISILICON_ERRATUM_161010101-ACP.patch.
- Delete
  patches.arch/arm64-0001-iommu-arm-smmu-Invalidate-TLBs-properly.patch.
- Delete
  patches.arch/arm64-1-6-Documentation-arm64-pmu-Add-Broadcom-Vulcan-PMU-binding.patch.
- Delete
  patches.arch/arm64-2-6-arm64-dts-Add-Broadcom-Vulcan-PMU-in-dts.patch.
- Delete
  patches.arch/arm64-3-4-perf-xgene-Add-APM-X-Gene-SoC-Performance-Monitoring-Unit-driver.patch.
- Delete
  patches.arch/arm64-3-6-arm64-perf-Changed-events-naming-as-per-ARM-ARM.patch.
- Delete
  patches.arch/arm64-4-6-arm64-perf-Define-complete-ARMv8-recommended-implementation-defined-events.patch.
- Delete
  patches.arch/arm64-5-6-arm64-perf-Filter-common-events-based-on-PMCEIDn_EL0.patch.
- Delete
  patches.arch/arm64-6-6-arm64-perf-Add-Broadcom-Vulcan-PMU-support.patch.
- Delete
  patches.arch/arm64-Documentation-gpio-Update-description-for-X-Gene-standby-GPIO-controller-DTS-binding.patch.
- Delete
  patches.arch/arm64-dts-Update-X-Gene-standby-GPIO-controller-DTS-entries.patch.
- Delete patches.arch/arm64-fix-includes-for-smp.patch.
- Delete
  patches.arch/arm64-gpio-xgene-Enable-X-Gene-standby-GPIO-as-interrupt-controller.patch.
- Delete
  patches.arch/arm64-irqdomain-Export-irq_domain_free_irqs_common.patch.
- Delete
  patches.arch/arm64-pci-numa-adding-helper-functions-as-requiered.patch.
- Delete
  patches.arch/arm64-thd-0002-pci-Add-is_pcierc-element-to-struct-pci_bus.patch.
- Delete
  patches.arch/arm64-thd-gicv3-its-increase-FOREC_MAX_ZONEORDER-for-Cav.patch.
- Delete
  patches.arch/crypto-arm64-crc32-detect-crc32-support-in-assembler.patch.
- Delete patches.arch/x86-boot-rename-reserve_bios_regions.patch.
- Delete
  patches.drivers/0001-clk-mvebu-mark-root-clocks-in-AP806-CP110-system-con.patch.
- commit 36915c9
* Wed Aug  2 2017 yousaf.kaukab@suse.com
- arm64: iommu/arm-smmu-v3: Increase CMDQ drain timeout value (bsc#1035479).
- Delete
  patches.drivers/0005-iommu-arm-smmu-v3-Increase-SMMU-CMD-queue-poll-timeo.patch.
  Switch to solution accepted upstream.
- commit 591ddbd
* Wed Aug  2 2017 hare@suse.de
- Drop obsolete SCSI patches
- Delete
  patches.drivers/cciss-set-cciss_allow_hpsa-per-default.patch.
- Delete
  patches.fixes/scsi-Do-not-use-synchronous-ALUA-submission-for-NetA.patch.
- Delete
  patches.fixes/scsi-Retry-failfast-commands-after-EH.patch.
- commit 714a4bc
* Wed Aug  2 2017 hare@suse.de
- st: fix blk_get_queue usage (bnc#834808).
- commit ea540b7
* Wed Aug  2 2017 hare@suse.de
- Update loop patches to upstream submission
- loop: Remove unused 'bdev' argument from loop_set_capacity
  (bsc#931634, FATE#319010).
- loop: fix error handling regression (bsc#931634, FATE#319010).
- loop: support 4k physical blocksize (bsc#931634, FATE#319010).
- Refresh patches.suse/loop-Compability-for-older-releases.patch.
- Delete patches.suse/loop-Add-lo_logical_blocksize.patch.
- Delete
  patches.suse/loop-Enable-correct-physical-blocksize.patch.
- Delete
  patches.suse/loop-Pass-logical-blocksize-in-lo_init-0-ioctl-field.patch.
- Delete
  patches.suse/loop-Remove-unused-bdev-argument-from-loop_set_capac.patch.
- commit 3d19f6c
* Wed Aug  2 2017 hare@suse.de
- Drop obsolete lpfc patches
- Delete
  patches.drivers/0428-lpfc-Add-nvme-initiator-devloss-support.patch.
- Delete
  patches.drivers/0429-lpfc-Fix-transition-nvme-i-rport-handling-to-nport-o.patch.
- Delete
  patches.drivers/0430-lpfc-Fix-nvme-port-role-handling-in-sysfs-and-debugf.patch.
- Delete
  patches.drivers/0431-lpfc-Add-changes-to-assist-in-NVMET-debugging.patch.
- Delete
  patches.drivers/0432-lpfc-Fix-Lun-Priority-level-shown-as-NA.patch.
- Delete
  patches.drivers/0433-lpfc-Fix-nvmet-node-ref-count-handling.patch.
- Delete
  patches.drivers/0434-lpfc-Fix-Port-going-offline-after-multiple-resets.patch.
- Delete
  patches.drivers/0435-lpfc-Fix-counters-so-outstandng-NVME-IO-count-is-acc.patch.
- Delete
  patches.drivers/0436-lpfc-Fix-return-value-of-board_mode-store-routine-in.patch.
- Delete
  patches.drivers/0437-lpfc-Fix-crash-on-powering-off-BFS-VM-with-passthrou.patch.
- Delete
  patches.drivers/0438-lpfc-Fix-System-panic-after-loading-the-driver.patch.
- Delete
  patches.drivers/0439-lpfc-Null-pointer-dereference-when-log_verbose-is-se.patch.
- Delete
  patches.drivers/0440-lpfc-Fix-PRLI-retry-handling-when-target-rejects-it.patch.
- Delete
  patches.drivers/0441-lpfc-Fix-vports-not-logging-into-target.patch.
- Delete
  patches.drivers/0442-lpfc-update-to-revision-to-11.4.0.0.patch.
- Delete
  patches.drivers/0443-lpfc-tie-lpfc-dev_loss_tmo-dynamic-changes-to-transp.patch.
- commit b536d39
* Wed Aug  2 2017 yousaf.kaukab@suse.com
- Refresh patches.drivers/0004-iommu-arm-smmu-v3-Add-workaround-for-Cavium-ThunderX.patch.
- commit a112130
* Wed Aug  2 2017 yousaf.kaukab@suse.com
- Refresh patches.drivers/0003-iommu-arm-smmu-v3-Add-workaround-for-Cavium-ThunderX.patch.
- commit 1f0b409
* Wed Aug  2 2017 yousaf.kaukab@suse.com
- Refresh patches.drivers/0002-ACPI-IORT-Fixup-SMMUv3-resource-size-for-Cavium-Thun.patch.
- commit ec446ff
* Wed Aug  2 2017 yousaf.kaukab@suse.com
- ACPICA: IORT: Update SMMU models for revision C (bsc#1036060).
- commit a283c6f
* Wed Aug  2 2017 yousaf.kaukab@suse.com
- Delete patches.drivers/0013-PCI-ACPI-Add-ThunderX-pass2.x-2nd-node-MCFG-quirk.patch.
  cd183740480f PCI/ACPI: Add ThunderX pass2.x 2nd node MCFG quirk in v4.12
- commit 8af3b43
* Wed Aug  2 2017 yousaf.kaukab@suse.com
- Delete patches.drivers/0012-PCI-ACPI-Tidy-up-MCFG-quirk-whitespace.patch.
  ced414a14f70 PCI/ACPI: Tidy up MCFG quirk whitespace in v4.12
- commit b8dfc46
* Wed Aug  2 2017 yousaf.kaukab@suse.com
- Delete patches.drivers/0017-MAINTAINERS-Add-entry-for-Cavium-MMC-driver.patch.
  25fc84650373 MAINTAINERS: Add entry for Cavium MMC driver in v4.12
- commit 58bf6f3
* Wed Aug  2 2017 yousaf.kaukab@suse.com
- Delete patches.drivers/0016-mmc-cavium-Support-DDR-mode-for-eMMC-devices.patch.
  4ce944074e5e mmc: cavium: Support DDR mode for eMMC devices in v4.12
- commit 7ead2d8
* Wed Aug  2 2017 yousaf.kaukab@suse.com
- Delete patches.drivers/0015-mmc-cavium-Add-scatter-gather-DMA-support.patch.
  cd76e5c565e8 mmc: cavium: Add scatter-gather DMA support in v4.12
- commit 4c792e1
* Wed Aug  2 2017 yousaf.kaukab@suse.com
- Delete patches.drivers/0014-mmc-cavium-Add-MMC-PCI-driver-for-ThunderX-SOCs.patch.
  166bac38c3c5 mmc: cavium: Add MMC PCI driver for ThunderX SOCs in v4.12
- commit 018a1e3
* Wed Aug  2 2017 yousaf.kaukab@suse.com
- Delete patches.drivers/0013-mmc-cavium-Add-core-MMC-driver-for-Cavium-SOCs.patch.
  ba3869ff32e4 mmc: cavium: Add core MMC driver for Cavium SOCs in v4.12
- commit 947dfdf
* Wed Aug  2 2017 yousaf.kaukab@suse.com
- Delete patches.drivers/0012-dt-bindings-mmc-Add-Cavium-SOCs-MMC-bindings.patch.
  dc5aee3f9f45 dt-bindings: mmc: Add Cavium SOCs MMC bindings in v4.12
- commit b4b7a95
* Wed Aug  2 2017 mgalbraith@suse.de
- Refresh patches.fixes/sched-Fix-up-proc-sched_debug-to-print-only-runnable-tasks-again.patch.
- Refresh patches.suse/sched-optimize-latency-defaults.patch.
- Refresh patches.suse/sched-reinstate-FAIR_SLEEPERS-feature.patch.
- Refresh patches.suse/sched-reinstate-sched_compat_yield.patch.
- Delete patches.suse/sched-domain-flags-proc-handler.patch.
- Delete patches.suse/sched-provide-nortsched-boot-option.patch.
- Delete patches.suse/sched-provide-rtkthreads-rtworkqueues-boot-options.patch.
- commit 823b493
* Wed Aug  2 2017 mgorman@suse.de
- sched,numa: scale scan period with tasks in group and
  shared/private (Automatic NUMA Balancing (fate#315482)).
- commit cccc123
* Wed Aug  2 2017 mgorman@suse.de
- numa,sched: slow down scan rate if shared faults dominate
  (Automatic NUMA Balancing (fate#315482)).
- commit bd6ebee
* Wed Aug  2 2017 mgorman@suse.de
- Refresh patches.suse/sched-optimize-latency-defaults.patch.
- commit 3a3fa45
* Tue Aug  1 2017 rgoldwyn@suse.com
- Apparmor for FATE#323500 (namespace, ptrace etc.)
  The networking patches are applied after the upstream patches
  because they are not upstreamed. It was simpler to change
  the networking patches later because of the changes in core(LSM)
  in the upstream patches.
- securityfs: add the ability to support symlinks (FATE#323500).
- apparmorfs: Combine two function calls into one in
  aa_fs_seq_raw_abi_show() (FATE#323500).
- doc: ReSTify apparmor.txt (FATE#323500).
- apparmorfs: Use seq_putc() (FATE#323500).
- apparmor: Fix error cod in __aa_fs_profile_mkdir()
  (FATE#323500).
- security/apparmor: Use POSIX-compatible "printf '%%s'"
  (FATE#323500).
- apparmor: move file context into file.h (FATE#323500).
- apparmor: make internal lib fn skipn_spaces available to the
  rest of apparmor (FATE#323500).
- apparmor: allow profiles to provide info to disconnected paths
  (FATE#323500).
- apparmor: Move path lookup to using preallocated buffers
  (FATE#323500).
- apparmor: move to per loaddata files, instead of replicating
  in profiles (FATE#323500).
- apparmor: use macro template to simplify profile seq_files
  (FATE#323500).
- apparmor: use macro template to simplify namespace seq_files
  (FATE#323500).
- apparmor: add custom apparmorfs that will be used by policy
  namespace files (FATE#323500).
- apparmor: rename apparmor file fns and data to indicate use
  (FATE#323500).
- apparmor: allow specifying an already created dir to create
  ns entries in (FATE#323500).
- apparmor: convert from securityfs to apparmorfs for policy ns
  files (FATE#323500).
- apparmor: move permissions into their own file to be more
  easily shared (FATE#323500).
- apparmor: rework perm mapping to a slightly broader set
  (FATE#323500).
- apparmor: provide finer control over policy management
  (FATE#323500).
- apparmor: add policy revision file interface (FATE#323500).
- apparmor: add mkdir/rmdir interface to manage policy namespaces
  (FATE#323500).
- apparmor: add label data availability to the feature set
  (FATE#323500).
- apparmor: speed up transactional queries (FATE#323500).
- apparmor: add fn to test if profile supports a given mediation
  class (FATE#323500).
- apparmor: add gerneric permissions struct and support fns
  (FATE#323500).
- apparmor: switch from file_perms to aa_perms (FATE#323500).
- apparmor: add profile permission query ability (FATE#323500).
- apparmor: provide information about path buffer size at boot
  (FATE#323500).
- apparmor: cleanup __find_child( (FATE#323500).
- apparmor: add namespace lookup fns() (FATE#323500).
- apparmor: fix policy load/remove semantics (FATE#323500).
- apparmor: fix apparmor_query data (FATE#323500).
- apparmor: fix display of ns name (FATE#323500).
- apparmor: move bprm_committing_creds/committed_creds to lsm.c
  (FATE#323500).
- apparmor: convert to profile block critical sections
  (FATE#323500).
- apparmor: share profile name on replacement (FATE#323500).
- apparmor: refactor updating profiles to the newest parent
  (FATE#323500).
- apparmor: cleanup remove unused and not fully implemented
  profile rename (FATE#323500).
- apparmor: convert aa_change_XXX bool parameters to flags
  (FATE#323500).
- apparmor: cleanup rename XXX_file_context() to XXX_file_ctx()
  (FATE#323500).
- apparmor: revalidate files during exec (FATE#323500).
- apparmor: add the base fns() for domain labels (FATE#323500).
- apparmor: switch from profiles to using labels on contexts
  (FATE#323500).
- apparmor: switch getprocattr to using label_print fns(
  (FATE#323500).
- apparmor: update query interface to support label queries
  (FATE#323500).
- apparmor: move capability checks to using labels (FATE#323500).
- apparmor: move resource checks to using labels (FATE#323500).
- apparmor: add cross check permission helper macros
  (FATE#323500).
- apparmor: move ptrace checks to using labels (FATE#323500).
- apparmor: allow ptrace checks to be finer grained than just
  capability (FATE#323500).
- apparmor: move aa_file_perm() to use labels (FATE#323500).
- apparmor: update aa_audit_file() to use labels (FATE#323500).
- apparmor: refactor path name lookup and permission checks
  around labels (FATE#323500).
- apparmor: move path_link mediation to using labels
  (FATE#323500).
- apparmor: rework file permission to cache file access in
  file->ctx (FATE#323500).
- apparmor: mediate files when they are received (FATE#323500).
- apparmor: support v7 transition format compatible with
  label_parse (FATE#323500).
- apparmor: move exec domain mediation to using labels
  (FATE#323500).
- apparmor: move change_hat mediation to using labels
  (FATE#323500).
- apparmor: move change_profile mediation to using labels
  (FATE#323500).
- apparmor: add domain label stacking info to apparmorfs
  (FATE#323500).
- apparmor: add stacked domain labels interface (FATE#323500).
- apparmor: export that basic profile namespaces are supported
  (FATE#323500).
- apparmor: put back designators in struct initialisers
  (FATE#323500).
- Refresh
  patches.apparmor/apparmor-basic-networking-rules-4.11-rc1.patch.
- Refresh patches.apparmor/apparmor-basic-networking-rules.patch.
- Refresh
  patches.apparmor/apparmor-fix-quieting-of-audit-messages-for-network-mediation.patch.
- commit e310a9d
* Tue Aug  1 2017 yousaf.kaukab@suse.com
- Delete patches.drivers/0071-mmc-dw_mmc-improve-dw_mci_reset-a-bit.patch.
  bc2dcc1a2a5e mmc: dw_mmc: improve dw_mci_reset a bit in v4.12
- commit 847a0dd
* Tue Aug  1 2017 yousaf.kaukab@suse.com
- Delete patches.drivers/0070-mmc-dw_mmc-move-mci_send_cmd-forward-to-avoid-declar.patch.
  4dba18defb4c mmc: dw_mmc: move mci_send_cmd forward to avoid declaration in v4.12
- commit edcfef2
* Tue Aug  1 2017 yousaf.kaukab@suse.com
- Delete patches.drivers/0069-mmc-dw_mmc-remove-declaration-of-dw_mci_card_busy.patch.
  132b3b6aa618 mmc: dw_mmc: remove declaration of dw_mci_card_busy in v4.12
- commit 346a64d
* Tue Aug  1 2017 yousaf.kaukab@suse.com
- Delete patches.drivers/0068-mmc-dw_mmc-move-dw_mci_get_cd-forward-to-avoid-decla.patch.
  671fa142fc03 mmc: dw_mmc: move dw_mci_get_cd forward to avoid declaration in v4.12
- commit e7920fa
* Tue Aug  1 2017 yousaf.kaukab@suse.com
- Delete patches.drivers/0067-mmc-dw_mmc-move-dw_mci_ctrl_reset-forward-to-avoid-d.patch.
  8e6db1f65510 mmc: dw_mmc: move dw_mci_ctrl_reset forward to avoid declaration in v4.12
- commit 72c131b
* Tue Aug  1 2017 yousaf.kaukab@suse.com
- Delete patches.drivers/0066-mmc-dw_mmc-move-dw_mci_reset-forward-to-avoid-declar.patch.
  8e6db1f65510 mmc: dw_mmc: move dw_mci_ctrl_reset forward to avoid declaration in v4.12
- commit e993d40
* Tue Aug  1 2017 yousaf.kaukab@suse.com
- Delete patches.drivers/0065-mmc-dw_mmc-improve-the-timeout-polling-code.patch.
  b6d2d81c5c2d mmc: dw_mmc: improve the timeout polling code in v4.12
- commit 1d3f660
* Tue Aug  1 2017 yousaf.kaukab@suse.com
- Delete patches.arch/0010-arm64-Add-CNTFRQ_EL0-trap-handler.patch.
  9842119a238b arm64: Add CNTFRQ_EL0 trap handler in v4.12
- commit 32e4ad4
* Tue Aug  1 2017 yousaf.kaukab@suse.com
- Delete patches.arch/0008-arm64-add-ESR_ELx_SYS64_ISS_SYS_OP_MASK-define.patch.
  116c81f427ff arm64: Work around systems with mismatched cache line sizes in v4.9
- commit 02dfdaa
* Tue Aug  1 2017 hare@suse.de
- Drop cciss driver (FATE#323833)
- Update config files.
- supported.conf:
- commit cac232d
* Tue Aug  1 2017 yousaf.kaukab@suse.com
- Delete patches.arch/0003-arm64-cpu_errata-Add-capability-to-advertise-Cortex-.patch.
  eeb1efbcb83c arm64: cpu_errata: Add capability to advertise Cortex-A73 erratum 858921 in v4.12
- commit 22fb6fa
* Tue Aug  1 2017 yousaf.kaukab@suse.com
- Delete patches.arch/0001-irqdomain-add-empty-irq_domain_check_msi_remap.patch.
  b3e228473e6c irqdomain: Add empty irq_domain_check_msi_remap in v4.12
- commit ba2255e
* Tue Aug  1 2017 jthumshirn@suse.de
- Delete
  patches.drivers/0444-nvme_fc-fix-confused-queue-size-handling.patch.
- Delete
  patches.drivers/0445-nvme_fc-on-lldd-transport-io-error-terminate-associa.patch.
- Delete
  patches.drivers/0446-lpfc-Fix-defects-reported-by-Coverity-Scan.patch.
- Delete patches.drivers/0447-lpfc-Add-auto-EQ-delay-logic.patch.
- Delete
  patches.drivers/0448-lpfc-fix-irq_affinity-relative-to-older-irq-interfaces.patch.
- Delete
  patches.drivers/0451-scatterlist-add-sg_zero_buffer-helper.patch.
- Delete
  patches.drivers/0452-nvmet-use-NVME_IDENTIFY_DATA_SIZE.patch.
- Delete
  patches.drivers/0453-nvme-introduce-NVMe-Namespace-Identification-Descrip.patch.
- Delete
  patches.drivers/0454-nvme-rename-uuid-to-nguid-in-nvme_ns.patch.
- Delete
  patches.drivers/0455-nvme-get-list-of-namespace-descriptors.patch.
- Delete
  patches.drivers/0456-nvme-provide-UUID-value-to-userspace.patch.
- Delete
  patches.drivers/0457-nvmet-implement-namespace-identify-descriptor-list.patch.
- Delete
  patches.drivers/0458-nvmet-add-uuid-field-to-nvme_ns-and-populate-via-con.patch.
- Delete
  patches.drivers/0459-nvmet-allow-overriding-the-NVMe-VS-via-configfs.patch.
- Delete
  patches.drivers/0460-nvme-add-fields-into-identify-controller-data-struct.patch.
- Delete
  patches.drivers/0461-Fix-system-panic-when-express-lane-enabled.patch.
- Delete
  patches.drivers/0462-Vport-creation-is-failing-with-Link-Down-error.patch.
- Delete
  patches.drivers/0463-Reduce-time-spent-in-IRQ-for-received-NVME-commands.patch.
- Delete
  patches.drivers/0464-Fix-SLI3-drivers-attempting-NVME-ELS-commands.patch.
- Delete
  patches.drivers/0465-Fix-crash-after-firmware-flash-when-IO-is-running.patch.
- Delete
  patches.drivers/0466-Fix-crash-doing-IO-with-resets.patch.
- Delete
  patches.drivers/0467-Fix-crash-in-lpfc_sli_ringtxcmpl_put-when-nvmet-gets.patch.
- Delete
  patches.drivers/0468-Driver-responds-LS_RJT-to-Beacon-Off-ELS.patch.
- Delete
  patches.drivers/0469-lpfc-update-to-revision-to-11.4.0.1.patch.
- Delete
  patches.drivers/0469-nvme_fc-Fix-crash-when-nvme-controller-connection-fa.patch.
- Delete
  patches.drivers/0470-nvmet_fc-fix-crashes-on-bad-opcodes.patch.
- Delete
  patches.drivers/0471-nvme_fc-Fix-hard-lockup-in-nvme-host-transport-on-co.patch.
- Delete
  patches.drivers/0473-nvme_fc-fix-double-calls-to-nvme_cleanup_cmd.patch.
- Delete
  patches.drivers/0474-nvme_fc-fix-error-recovery-on-link-down.patch.
- Delete
  patches.drivers/0475-lpfc-Fix-nvme-io-stoppage-after-link-bounce.patch.
- Delete
  patches.drivers/0476-lpfc-fix-refcount-error-on-node-list.patch.
- Delete
  patches.drivers/nvme-submit-nvme_admin_activate_fw-to-admin-queue.patch.
- commit 0d0b596
* Tue Aug  1 2017 yousaf.kaukab@suse.com
- Refresh patches.drivers/0001-ARM64-PCI-Set-root-bus-NUMA-node-on-ACPI-systems.patch.
- commit bb1bc41
* Tue Aug  1 2017 yousaf.kaukab@suse.com
- Delete patches.drivers/0008-drivers-net-xgene-fix-build-after-change_mtu-functio.patch.
  Not required for kernel v4.12
- commit 7a10760
* Tue Aug  1 2017 agraf@suse.de
- Clean up upstreamed patches list. Annotate the remaining ones
  with their current status.
- Delete patches.arch/arm-exynos-dwmmc-modalias.patch.
- Delete patches.arch/arm-xen-fixup.patch.
- Delete
  patches.arch/arm64-Allow-for-different-DMA-and-CPU-bus-offsets.patch.
- Delete
  patches.arch/arm64-PCI-xilinx-nwl-Add-support-for-Xilinx-NWL-PCIe-Host-.patch.
- Delete
  patches.arch/arm64-Relocate-screen_info.lfb_base-on-PCI-BAR-alloc.patch.
- Delete
  patches.arch/arm64-bcm2837-0070-ARM-bcm2835-Add-VC4-to-the-device-tree.patch.
- Delete
  patches.arch/arm64-bcm2837-0071-drm-vc4-Add-DPI-driver.patch.
- Delete
  patches.arch/arm64-bcm2837-0073-irqchip-bcm2836-Drop-smp_set_ops-on-arm64-builds.patch.
- Delete
  patches.arch/arm64-bcm2837-0074-irqchip-bcm2836-Fix-compiler-warning-on-64-bit-build.patch.
- Delete
  patches.arch/arm64-bcm2837-0075-irqchip-bcm2836-Use-a-more-generic-memory-barrier-ca.patch.
- Delete
  patches.arch/arm64-bcm2837-0076-clk-bcm2835-Fix-compiler-warnings-on-64-bit-builds.patch.
- Delete
  patches.arch/arm64-bcm2837-0078-ARM-bcm2835-Add-devicetree-for-the-Raspberry-Pi-3.patch.
- Delete
  patches.arch/arm64-bcm2837-0079-drm-vc4-Fix-NULL-deref-in-HDMI-init-error-path.patch.
- Delete
  patches.arch/arm64-bcm2837-0081-don-t-force-serial-pins-to-uart0.patch.
- Delete
  patches.arch/arm64-bcm2837-0088-arm64-Add-platform-selection-for-BCM2835.patch.
- Delete
  patches.arch/arm64-bcm2837-0103-ARM-bcm2835-dt-Add-the-ethernet-to-the-device-trees.patch.
- Delete
  patches.arch/arm64-bcm2837-0104-ARM-bcm2837-dt-Add-the-ethernet-to-the-device-trees.patch.
- Delete
  patches.arch/arm64-bcm2837-0106-rtc-efi-Fail-probing-if-RTC-reads-don-t-work.patch.
- Delete
  patches.arch/arm64-bcm2837-0112-clk-bcm2835-Mark-the-VPU-clock-as-critical.patch.
- Delete
  patches.arch/arm64-bcm2837-0113-clk-bcm2835-Mark-GPIO-clocks-enabled-at-boot-as-crit.patch.
- Delete
  patches.arch/arm64-bcm2837-0114-clk-bcm2835-Skip-PLLC-clocks-when-deciding-on-a-new-.patch.
- Delete
  patches.arch/arm64-bcm2837-0115-clk-bcm2835-Mark-the-CM-SDRAM-clock-s-parent-as-crit.patch.
- Delete
  patches.arch/arm64-bcm2837-0195-bcm2835-Add-Raspberry-Pi-thermal-sensor-to-the-device-tree.patch.
- Delete
  patches.arch/arm64-bcm2837-0197-thermal-Add-Raspberry-Pi-BCM2835-thermal-driver.patch.
- Delete
  patches.arch/arm64-ls1043-0101-fsl-fman-Convert-to-long.patch.
- Delete
  patches.arch/arm64-ls1043-0129-phy-Add-an-mdio_device-structure.patch.
- Delete
  patches.arch/arm64-ls1043-0130-arm64-Export-arch_setup_dma_ops.patch.
- Delete
  patches.arch/arm64-ls1043-0215-caam-Declare-PER_CPU-variable-outside-function-scope.patch.
- Delete
  patches.arch/arm64-ls1043-0221-caam-Use-old-attrs-interface.patch.
- Delete
  patches.arch/ppc64le-ile-0001-powerpc-Add-global-exports-for-all-interrupt-vectors.patch.
- Delete
  patches.arch/ppc64le-ile-0002-powerpc-Add-relocation-code-for-fixups.patch.
- Delete
  patches.arch/ppc64le-ile-0003-powerpc-Add-hack-to-make-ppc64le-work-on-hosts-witho.patch.
- Delete
  patches.arch/ppc64le-ile-0004-powerpc-Don-t-return-to-BE-mode-when-we-are-already-.patch.
- commit ab1a7d7
* Tue Aug  1 2017 nborisov@suse.com
- series.conf: Remove commented out line
  While pushing my for-next to SLE15 i got the following warning:
  remote: Warning: multiple uses in /tmp/githook.T8ujQR04YV/series.conf:
  patches.suse/btrfs-8888-add-allow_unsupported-module-parameter.patch
  This was due to aforementioned patch being disabled during the transition of the
  branch. In the meantime JeffM has already triaged/enabled the patch. So let's
  remove the extra line
- commit 19d3938
* Mon Jul 31 2017 mgorman@suse.de
- Remove patches for review that must be reimplemented from scratch if still required
- commit abf83a9
* Mon Jul 31 2017 tiwai@suse.de
- mwifiex: do not update MCS set from hostapd (bsc#1051510).
- iwlwifi: pcie: reconfigure MSI-X HW on resume (bsc#1051510).
- iwlwifi: pcie: fix command completion name debug (bsc#1051510).
- iwlwifi: pcie: fix TVQM queue ID range check (bsc#1051510).
- iwlwifi: mvm: unconditionally stop device after init
  (bsc#1051510).
- iwlwifi: mvm: reset the fw_dump_desc pointer after ASSERT
  (bsc#1051510).
- drm/tegra: dc: Avoid reset asserts on Tegra20 (bsc#1051510).
- drm/panel: add backlight dependency for sitronix-st7789v
  (bsc#1051510).
- drm/panel: S6E3HA2 needs backlight code (bsc#1051510).
- drm/nouveau: use proper prototype in nouveau_pmops_runtime()
  definition (bsc#1051510).
- drm/nouveau/disp/nv50-: bump max chans to 21 (bsc#1051510).
- drm/i915: Fix scaler init during CRTC HW state readout
  (bsc#1051510).
- drm: exynos: mark pm functions as __maybe_unused (bsc#1051510).
- drm/doc: Fix missing @ctx documentation (bsc#1051510).
- commit d5522f6
* Mon Jul 31 2017 nborisov@suse.com
- Btrfs: incremental send, fix invalid path for link  commands
  (bsc#1051479).
- Btrfs: incremental send, fix invalid path for unlink  commands
  (bsc#1051479).
- Btrfs: send, fix invalid path after renaming and linking  file
  (bsc#1051479).
- commit 86ebf6c
* Mon Jul 31 2017 jgross@suse.com
- Move XEN patches to dedicated section
- commit aef3ab9
* Mon Jul 31 2017 jgross@suse.com
- Rebased patches.fixes/xen-allocate-page-for-shared-info-page-from-low-mem.patch to 4.12
- commit 221ffe0
* Mon Jul 31 2017 jgross@suse.com
- Rebased patches.fixes/xen-balloon-don-t-online-new-memory-initially.patch to 4.12
- commit 4009e51
* Mon Jul 31 2017 jgross@suse.com
- Rebased patches.fixes/xen-mce-dont-issue-error-message.patch to 4.12
- commit d5fc01c
* Mon Jul 31 2017 jgross@suse.com
- Rebased patches.fixes/xen-add-sysfs-node-for-guest-type.patch to 4.12
- commit 90f8a3b
* Mon Jul 31 2017 jgross@suse.com
- Removed patches.fixes/xen-use-machine-addresses-in-vmcoreinfo-when-pv.patch,
  already contained in upstream 4.12
- commit b385b8c
* Mon Jul 31 2017 rgoldwyn@suse.com
- Refresh
  patches.fixes/0002-fs-fcntl-f_setown-avoid-undefined-behaviour.patch.
  Correct the patch according to SLE15 (as opposed to SLE12SP2) because
  patches.fixes/0001-fs-fcntl-f_setown-allow-returning-error.patch
  changed the function prototype.
- commit ca46fac
* Sun Jul 30 2017 mgorman@suse.de
- Remove comment about patches merged via -stable
- commit 0cb4556
* Fri Jul 28 2017 hare@suse.de
- Drop obsolete patches and update patch description
- Refresh
  patches.drivers/scsi_transport_fc-return-EBUSY-for-deleted-vport.patch.
- Delete
  patches.drivers/libfc-do-not-flood-console-with-messages-libfc-queue.patch.
- Delete
  patches.drivers/scsi_transport_fc-do-not-call-queue_work-under-lock.patch.
- Delete
  patches.drivers/scsi_transport_fc-fixup-race-condition-in-fc_rport_f.patch.
- commit 4ca214c
* Fri Jul 28 2017 glin@suse.com
- bpf: fix mixed signed/unsigned derived min/max value bounds
  (bsc#1050081).
- commit c6eeed6
* Fri Jul 28 2017 jslaby@suse.cz
- Update config files.
  Fix vanillas after the orc update.
- commit 2a27bf2
* Fri Jul 28 2017 jslaby@suse.cz
- Linux 4.12.4 (bnc#1012628).
- commit f2e2c0a
* Thu Jul 27 2017 mgorman@suse.de
- Review and document sched-Further-improve-spurious-CPU_IDLE-active-migrations.patch
- commit 36d9aef
* Thu Jul 27 2017 rgoldwyn@suse.com
- btrfs: nowait aio: Correct assignment of pos (FATE#321994).
- btrfs: nowait aio support (FATE#321994).
- xfs: nowait aio support (FATE#321994).
- ext4: nowait aio support (FATE#321994).
- block: return on congested block device (FATE#321994).
- fs: Introduce IOMAP_NOWAIT (FATE#321994).
- fs: return if direct I/O will trigger writeback (FATE#321994).
- fs: Introduce RWF_NOWAIT and FMODE_AIO_NOWAIT (FATE#321994).
- fs: Use RWF_* flags for AIO operations (FATE#321994).
- fs: Introduce filemap_range_has_page() (FATE#321994).
- fs: Separate out kiocb flags setup based on RWF_* flags
  (FATE#321994).
- commit d1dfe7b
* Thu Jul 27 2017 bpoirier@suse.com
- supported.conf: Update network drivers
- commit 49a23df
* Thu Jul 27 2017 mkubecek@suse.cz
- ipv6: avoid overflow of offset in ip6_find_1stfragopt
  (CVE-2017-7542 bsc#1049882).
- commit 00c5961
* Thu Jul 27 2017 mgorman@suse.de
- Enable sched-ratelimit-nohz.patch
- commit f691847
* Thu Jul 27 2017 jthumshirn@suse.de
- Delete
  patches.drivers/0043-lightnvm-fix-warning-ret-may-be-used-uninitialized.patch.
- commit e2eabec
* Thu Jul 27 2017 jthumshirn@suse.de
- Re-enable patches.drivers/scsi-bnx2i-missing-error-code-in-bnx2i_ep_connect
- commit 90b3cea
* Thu Jul 27 2017 mgorman@suse.de
- exports from rcu_idle_exit() and rcu_idle_enter() (bnc#978907
  Scheduler performance -- idle).
- rcu_idle_enter() rely on callers disabling irqs (bnc#978907
  Scheduler performance -- idle).
- commit d4e79a7
* Thu Jul 27 2017 jslaby@suse.cz
- Refresh
  patches.suse/0001-md-remove-idx-from-struct-resync_pages.patch.
- commit b11fd5b
* Thu Jul 27 2017 jslaby@suse.cz
- objtool: Fix sibling call detection logic (bnc#1018348).
- x86/kconfig: Make it easier to switch to the new ORC unwinder
  (bnc#1018348).
- x86/kconfig: Consolidate unwinders into multiple choice
  selection (bnc#1018348).
- Refresh
- Refresh patches.suse/0001-x86-unwind-Add-the-ORC-unwinder.patch.
- Refresh
  patches.suse/0002-dwarf-do-not-throw-away-unwind-info.patch.
- Refresh
  patches.suse/0002-objtool-x86-Add-several-functions-and-files-to-the-o.patch.
- Refresh
  patches.suse/0002-x86-entry-64-Initialize-the-top-of-the-IRQ-stack-bef.patch.
- Refresh
  patches.suse/0002-x86-kconfig-Make-it-easier-to-switch-to-the-new-ORC-.patch.
- Refresh
  patches.suse/0003-objtool-Implement-stack-validation-2.0.patch.
- Refresh
  patches.suse/0003-x86-kconfig-Consolidate-unwinders-into-multiple-choi.patch.
- Refresh
  patches.suse/0007-x86-entry-64-Add-unwind-hint-annotations.patch.
- Refresh
  patches.suse/0008-x86-asm-Add-unwind-hint-annotations-to-sync_core.patch.
- Update config files.
  Update to version from -tip. ORC is in -tip completely. So make sure
  we use the upstream version.
- commit 34dd0f5
* Thu Jul 27 2017 bpoirier@suse.com
- net: ena: update ena driver to version 1.2.0 (bsc#1047121).
- net: ena: update driver's rx drop statistics (bsc#1047121).
- net: ena: use lower_32_bits()/upper_32_bits() to split dma
  address (bsc#1047121).
- net: ena: separate skb allocation to dedicated function
  (bsc#1047121).
- net: ena: use napi_schedule_irqoff when possible (bsc#1047121).
- net: ena: allow the driver to work with small number of msix
  vectors (bsc#1047121).
- net: ena: add support for out of order rx buffers refill
  (bsc#1047121).
- net: ena: add reset reason for each device FLR (bsc#1047121).
- net: ena: change sizeof() argument to be the type pointer
  (bsc#1047121).
- net: ena: add hardware hints capability to the driver
  (bsc#1047121).
- net: ena: change return value for unsupported features
  unsupported return value (bsc#1047121).
- commit 025123f
* Thu Jul 27 2017 enadolski@suse.com
- btrfs: remove outdated version of backrefs rbtree patch set
  These patches are superceded by the version that was submitted
  to upstream. This commit removes the outdated files and their
  corresponding entries in series.conf.
- Delete
  patches.suse/btrfs-add-a-node-counter-to-each-of-the-rbtrees.
- Delete
  patches.suse/btrfs-add-cond_resched-calls-when-resolving-backrefs.
- Delete
  patches.suse/btrfs-allow-backref-search-checks-for-shared-extents.
- Delete
  patches.suse/btrfs-backref-add-tracepoints-for-prelim_ref-insertion-and-merging.
- Delete
  patches.suse/btrfs-backref-add-unode_aux_to_inode_list-helper.
- Delete patches.suse/btrfs-backref-cleanup-_-namespace-abuse.
- Delete patches.suse/btrfs-backref-constify-some-arguments.
- Delete
  patches.suse/btrfs-btrfs_check_shared-should-manage-its-own-transaction.
- Delete
  patches.suse/btrfs-clean-up-extraneous-computations-in-add_delayed_refs.
- Delete patches.suse/btrfs-constify-tracepoint-arguments.
- Delete
  patches.suse/btrfs-convert-prelimary-reference-tracking-to-use-rbtrees.
- Delete
  patches.suse/btrfs-remove-ref_tree-implementation-from-backref-c.
- Delete patches.suse/btrfs-struct-funcs-constify-readers.
- commit 7a9c5fb
* Thu Jul 27 2017 enadolski@suse.com
- btrfs: clean up extraneous computations in add_delayed_refs
  (bsc#974590 bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: allow backref search checks for shared extents
  (bsc#974590 bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: add cond_resched() calls when resolving backrefs
  (bsc#974590 bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: backref, add tracepoints for prelim_ref insertion and
  merging (bsc#974590 bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: add a node counter to each of the rbtrees (bsc#974590
  bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: convert prelimary reference tracking to use rbtrees
  (bsc#974590 bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: remove ref_tree implementation from backref.c (bsc#974590
  bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: btrfs_check_shared should manage its own transaction
  (bsc#974590 bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: backref, cleanup __ namespace abuse (bsc#974590
  bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: backref, add unode_aux_to_inode_list helper (bsc#974590
  bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: backref, constify some arguments (bsc#974590 bsc#1030061
  bsc#1022914 bsc#1017461).
- btrfs: constify tracepoint arguments (bsc#974590 bsc#1030061
  bsc#1022914 bsc#1017461).
- btrfs: struct-funcs, constify readers (bsc#974590 bsc#1030061
  bsc#1022914 bsc#1017461).
- commit 68ccc54
* Wed Jul 26 2017 mcgrof@suse.com
- mm: kmemleak: treat vm_struct as alternative reference to
  vmalloc'ed objects (bsc#1027456).
- mm: kmemleak: factor object reference updating out of
  scan_block() (bsc#1027456).
- mm: kmemleak: slightly reduce the size of some structures on
  64-bit architectures (bsc#1027456).
- commit bc42ba6
* Wed Jul 26 2017 mcgrof@suse.com
- Refresh
  patches.suse/0001-mm-kmemleak-slightly-reduce-the-size-of-some-structu.patch.
- Refresh
  patches.suse/0002-mm-kmemleak-factor-object-reference-updating-out-of-.patch.
- Refresh
  patches.suse/0003-mm-kmemleak-treat-vm_struct-as-alternative-reference.patch.
- commit f7ebe40
* Wed Jul 26 2017 mcgrof@suse.com
- Refresh
  patches.suse/0001-mm-kmemleak-slightly-reduce-the-size-of-some-structu.patch.
- Refresh
  patches.suse/0002-mm-kmemleak-factor-object-reference-updating-out-of-.patch.
- Refresh
  patches.suse/0003-mm-kmemleak-treat-vm_struct-as-alternative-reference.patch.
- commit eb41516
* Wed Jul 26 2017 mgorman@suse.de
- audit: Reduce overhead using a coarse clock (bnc#1050724).
- commit e3464f2
* Wed Jul 26 2017 mgorman@suse.de
- Remove architecture heading that is no longer supported
- commit e5e149e
* Wed Jul 26 2017 mgorman@suse.de
- rcu: Use RCU_NOCB_WAKE rather than RCU_NOGP_WAKE (bnc#978907
  Scheduler performance -- idle).
- doc: Take tail recursion into account in RCU requirements
  (bnc#978907 Scheduler performance -- idle).
- srcu: Document auto-expediting requirement (bnc#978907 Scheduler
  performance -- idle).
- rcu: Remove obsolete reference to synchronize_kernel()
  (bnc#978907 Scheduler performance -- idle).
- srcu: Eliminate possibility of destructive counter overflow
  (bnc#978907 Scheduler performance -- idle).
- rcu: Prevent rcu_barrier() from starting needless grace periods
  (bnc#978907 Scheduler performance -- idle).
- commit 7f11b71
* Wed Jul 26 2017 mkubecek@suse.cz
- ipv6: avoid overflow of offset in ip6_find_1stfragopt
  (CVE-2017-7542 bsc#1049882).
- commit 399d4a0
* Wed Jul 26 2017 mkubecek@suse.cz
- bpf/verifier: fix min/max handling in BPF_SUB (bsc#1050081).
- bpf: fix mixed signed/unsigned derived min/max value bounds
  (bsc#1050081).
- commit f90c358
* Wed Jul 26 2017 mkubecek@suse.cz
- supported.conf: mark nf_log_bridge as supported
  This was the only netfilter module not marked as supported. There is no
  apparent reason except that nobody marked it when the functionality was
  separated into its own module.
- commit c5e825b
* Wed Jul 26 2017 mkubecek@suse.cz
- supported.conf: mark nftables related modules as supported (fate#323407)
- commit 0fbfb00
* Wed Jul 26 2017 tiwai@suse.de
- Input: ALPS - Fix Alps Touchpad two finger scroll does not
  work on right side (bsc#1050582).
- commit 93ed5e8
* Wed Jul 26 2017 tiwai@suse.de
- Delete patches.drivers/0088-dma-buf-sync_file-Add-back-the-u64_to_user_ptr-macro.patch
  It's a stop-gap fix in SLE12-SP3 for 4.9 dmabuf API.
- commit 678704a
* Wed Jul 26 2017 tiwai@suse.de
- Delete patches.drivers/vgaarb-Add-more-context-to-error-messages.patch
  It's no longer needed as we AMD binary-only stuff is dead.
- commit 78dd994
* Wed Jul 26 2017 dbueso@suse.de
- configs: update defaults for REFCOUNT_FULL
  Such that it is always disabled, with the exception
  of x86-64 debug.
- commit ddb821a
* Wed Jul 26 2017 dbueso@suse.de
- mm: update callers to use HASH_ZERO flag (bsc#971975).
- mm: zero hash tables in allocator (bsc#971975).
- locking/qspinlock: Explicitly include asm/prefetch.h
  (bsc#1050549).
- locking/rtmutex: Remove unnecessary priority adjustment
  (bsc#1050549).
- locking/refcount: Create unchecked atomic_t implementation
  (bsc#1050549).
- commit ca0d066
* Tue Jul 25 2017 jeffm@suse.com
- Refresh patches.suse/squashfs-3.4.patch.
  Restore fixes from:
  patches.suse/squashfs3-properly-handle-dir_emit-failures.patch.
- commit 03d0582
* Tue Jul 25 2017 jthumshirn@suse.de
- Forward port v4.13-rc qedf patches from SLE12-SP3
- commit 4512e77
* Tue Jul 25 2017 fvogt@suse.com
- Reassign some bcm283x patches
  patches.arch/arm64-bcm2837-0195-bcm2835-Add-Raspberry-Pi-thermal-sensor-to-the-device-tree.patch
  and patches.arch/arm64-bcm2837-0197-thermal-Add-Raspberry-Pi-BCM2835-thermal-driver.patch
  are now upstream, but due to a bug in Kconfig not enabled in arm64 builds. Needs a proper fix
  with proper testing which I currently can't do.
- commit d6fe1c5
* Tue Jul 25 2017 mgorman@suse.de
- Enable hpsa patch that avoids bypassing the controller cache
- commit 1c4e9ea
* Tue Jul 25 2017 jthumshirn@suse.de
- Update v4.13-rc2 bnxt_re patches
- commit 41b7731
* Tue Jul 25 2017 oneukum@suse.com
- Update config files.
  Kill the ancient PCMCIA/CardBus . (bsc#323267)
- commit 6b5ad53
* Tue Jul 25 2017 msuchanek@suse.de
- blacklist 2400fd822f46 powerpc/asm: Mark cr0 as clobbered in mftb()
- commit 0f1ad8b
* Mon Jul 24 2017 dbueso@suse.de
- ipc/util.h: update documentation for ipc_getref() and
  ipc_putref() (bsc#1050323).
- ipc/sem: drop __sem_free() (bsc#1050323).
- ipc/msg: remove special msg_alloc/free (bsc#1050323).
- ipc/shm: remove special shm_alloc/free (bsc#1050323).
- ipc: move atomic_set() to where it is needed (bsc#1050323).
- ipc/msg.c: avoid ipc_rcu_putref for failed ipc_addid()
  (bsc#1050323).
- ipc/shm.c: avoid ipc_rcu_putref for failed ipc_addid()
  (bsc#1050323).
- ipc/sem.c: avoid ipc_rcu_putref for failed ipc_addid()
  (bsc#1050323).
- ipc/util: drop ipc_rcu_alloc() (bsc#1050323).
- ipc/msg: avoid ipc_rcu_alloc() (bsc#1050323).
- ipc/shm: avoid ipc_rcu_alloc() (bsc#1050323).
- ipc/sem: avoid ipc_rcu_alloc() (bsc#1050323).
- ipc/util: drop ipc_rcu_free() (bsc#1050323).
- ipc/msg: do not use ipc_rcu_free() (bsc#1050323).
- ipc/shm: do not use ipc_rcu_free() (bsc#1050323).
- ipc/sem: do not use ipc_rcu_free() (bsc#1050323).
- ipc: drop non-RCU allocation (bsc#1050323).
- include/linux/sem.h: correctly document sem_ctime (bsc#1050323).
- ipc: merge ipc_rcu and kern_ipc_perm (bsc#1050323).
- ipc/sem.c: remove sem_base, embed struct sem (bsc#1050323).
- fs: remove call_fsync helper function (bsc#1050323).
- mqueue: move compat syscalls to native ones (bsc#1050323).
- commit c68517a
* Mon Jul 24 2017 tiwai@suse.de
- Apply the upstreamed (submitted) DRM patches, drop a couple of them
  (bnc#746883,bnc#895608,bnc#871134,bnc#893040,bnc#806990).
  patches.drivers/drm-radeon-limit-bpp-for-low-vram.patch
  patches.drivers/drm-ast-Actually-load-DP501-firmware-when-required.patch
  patches.drivers/drm-ast-Add-an-crtc_disable-callback-to-the-crtc-helper-funcs.patch
  patches.drivers/drm-ast-Fix-memleak-in-error-path-in-ast_bo_create.patch
  patches.drivers/drm-ast-Free-container-instead-of-member-in-ast_user_framebuffer_destroy.patch
  patches.drivers/drm-ast-Simplify-function-ast_bo_unpin.patch
  patches.drivers/drm-mgag200-Add-additional-limits-for-certain-G200-variants.patch
  patches.drivers/drm-mgag200-Add-command-line-option-to-specify-preferred-depth.patch
  patches.drivers/drm-mgag200-Add-doublescan-and-interlace-support.patch
  patches.drivers/drm-mgag200-Add-mode-validation-debugging-code.patch
  patches.drivers/drm-mgag200-Add-support-for-MATROX-PCI-device-IDs-0x520-and-0x521.patch
  patches.drivers/drm-mgag200-Cleanup-cursor-BOs-properly.patch
  patches.drivers/drm-mgag200-Consolidate-depth-bpp-handling.patch
  patches.drivers/drm-mgag200-Don-t-use-crtc_-parameters-for-validation.patch
  patches.drivers/drm-mgag200-Fix-memleak-in-error-path-in-mgag200_bo_create.patch
  patches.drivers/drm-mgag200-Free-container-instead-of-member-in-mga_user_framebuffer_destroy.patch
  patches.drivers/drm-mgag200-Implement-basic-PM-support
  patches.drivers/drm-mgag200-Initialize-data-needed-to-map-fbdev-memory.patch
  patches.drivers/drm-mgag200-Simplify-function-mgag200_ttm_placement.patch
  Dropped:
  patches.drivers/drm-cirrus-Add-missing-drm_connector_unregister.patch
  patches.drivers/drm-mgag200-Add-missing-drm_connector_unregister.patch
- commit b11e49b
* Mon Jul 24 2017 mgorman@suse.de
- writeback: rework wb_[dec|inc]_stat family of functions
  (bnc#971975 VM performance -- statistics).
- percpu_counter: Rename __percpu_counter_add to
  percpu_counter_add_batch (bnc#971975 VM performance --
  statistics).
- commit 960acce
* Mon Jul 24 2017 mgorman@suse.de
- kernel/fork.c: virtually mapped stacks: do not disable
  interrupts (bnc#978907 Scheduler performance -- fork).
- commit e0d9b89
* Mon Jul 24 2017 mgorman@suse.de
- sched/fair: Fix load_balance() affinity redo path (bnc#978907
  Scheduler performance -- load balancer).
- sched/cputime: Accumulate vtime on top of nsec clocksource
  (bnc#978907 Scheduler performance -- nohz_full, accounting).
- sched/cputime: Move the vtime task fields to their own struct
  (bnc#978907 Scheduler performance -- nohz_full, accounting).
- sched/cputime: Rename vtime fields (bnc#978907 Scheduler
  performance -- nohz_full, accounting).
- sched/cputime: Always set tsk->vtime_snap_whence after
  accounting vtime (bnc#978907 Scheduler performance -- nohz_full,
  accounting).
- vtime, sched/cputime: Remove vtime_account_user() (bnc#978907
  Scheduler performance -- nohz_full, accounting).
- commit 835d782
* Mon Jul 24 2017 mgorman@suse.de
- sched/topology: Rename sched_group_cpus() (bnc#978907 Scheduler
  performance -- topology).
- sched/topology: Rename sched_group_mask() (bnc#978907 Scheduler
  performance -- topology).
- sched/topology: Simplify sched_group_mask() usage (bnc#978907
  Scheduler performance -- topology).
- sched/topology: Rewrite get_group() (bnc#978907 Scheduler
  performance -- topology).
- sched/topology: Add a few comments (bnc#978907 Scheduler
  performance -- topology).
- sched/topology: Fix overlapping sched_group_capacity (bnc#978907
  Scheduler performance -- topology).
- sched/topology: Add sched_group_capacity debugging (bnc#978907
  Scheduler performance -- topology).
- sched/topology: Small cleanup (bnc#978907 Scheduler performance
  - - topology).
- sched/topology: Remove FORCE_SD_OVERLAP (bnc#978907 Scheduler
  performance -- topology).
- sched/topology: Move comment about asymmetric node setups
  (bnc#978907 Scheduler performance -- topology).
- sched/topology: Verify the first group matches the child domain
  (bnc#978907 Scheduler performance -- topology).
- sched/debug: Print the scheduler topology group mask (bnc#978907
  Scheduler performance -- topology).
- sched/topology: Simplify build_overlap_sched_groups()
  (bnc#978907 Scheduler performance -- topology).
- sched/topology: Refactor function build_overlap_sched_groups()
  (bnc#978907 Scheduler performance -- topology).
- commit bccf165
* Mon Jul 24 2017 mkubecek@suse.cz
- supported.conf: update core networking
  Add missing modules, drop those not built anymore.
- commit 017c4e5
* Mon Jul 24 2017 msuchanek@suse.de
- powerpc/fadump: Add a warning when 'fadump_reserve_mem='
  is used (bsc#1049231).
- commit f59fefd
* Mon Jul 24 2017 msuchanek@suse.de
- s390/crash: Remove unused KEXEC_NOTE_BYTES (bsc#1049706).
- commit f3e8437
* Mon Jul 24 2017 mkubecek@suse.cz
- Refresh and enable
  patches.drivers/i40e-add-private-flag-to-control-source-pruning.patch.
- commit d3ea4f6
* Mon Jul 24 2017 mkubecek@suse.cz
- Delete patches.suse/AF_MAX.patch.
  This patch reserved space for adding AF_HYPERV and AF_SMC constants as
  implementations of both families were not upstreamed at the moment of
  SLE12-SP2 kABI freeze. AF_SMC was accepted in the meantime (which turned
  out to be a bad thing, BtW), AF_HYPERV submission was rejected in July 2016
  and no attempt to resubmit it was made since.
  In other words, there doesn't seem to be any reason to keep the patch, it
  can be reintroduced later (in updated form) if there is a need.
- commit 4e036bb
* Mon Jul 24 2017 mkubecek@suse.cz
- Update upstream reference:
  patches.fixes/usb-early-Remove-trace_printk-callers-in-xhci-dbc.patch.
- commit 0162ee3
* Mon Jul 24 2017 mhocko@suse.cz
- blacklist.conf: blacklist 5d6dec6fba38 (we do not have any users)
- commit 7131165
* Mon Jul 24 2017 mhocko@suse.cz
- blacklist.conf: 3bc1630774bc (compilation fix for config which we do not
  care)
- commit e1ee65a
* Mon Jul 24 2017 mhocko@suse.cz
- blacklist.conf: 38cb266ad1a2 (trivial doc formatting)
- commit 4fa3930
* Sat Jul 22 2017 bpoirier@suse.com
- Sort network patch section and rename accordingly
- commit 8588a81
* Sat Jul 22 2017 bpoirier@suse.com
- Refresh
  patches.drivers/e1000e-Don-t-return-uninitialized-stats.patch.
  It was a local commit id.
- commit 4c5c3f9
* Fri Jul 21 2017 colyli@suse.de
- md: remove 'idx' from 'struct resync_pages' (bsc#1049599).
- commit 515f14e
* Fri Jul 21 2017 lhenriques@suse.com
- Patch has been merged into 4.12
  Delete
  patches.fixes/ceph-check-i_nlink-while-converting-a-file-handle-to-dentry.patch.
- commit d60ca32
* Fri Jul 21 2017 tbogendoerfer@suse.de
- enabled and moved patches present in SLE12-SP3 and still needed in SLE15
- commit 597b029
* Fri Jul 21 2017 duwe@suse.de
- Be prepared to enable ARM64 live patching during SLE15 lifetime
  (FATE#322421).
- Delete
  patches.arch/powerpc-add-kernel-parameter-iommu_alloc_quiet.patch.
  DMA_ATTR_NO_WARN is now incorporated.
- Delete patches.fixes/fix-stop-machine.
  Proper mainline fix is now in.
- Remove FIPS patches:
- Delete patches.suse/allow-cmac_3des_ede-for-FIPS-140-2.
- Delete patches.suse/allow-cmac_aes-for-FIPS-140-2.
- Delete patches.suse/disallow-ansi_cprng-for-FIPS-140-2.
- Delete patches.suse/fips-remove-hmac-crc32-add-nullcipher-hack.
- commit cd28b1d
* Fri Jul 21 2017 jroedel@suse.de
- x86/acpi: Prevent out of bound access caused by broken ACPI
  tables (CVE-2017-11473 bsc#1049603).
- commit cc7b51e
* Fri Jul 21 2017 oneukum@suse.com
- Update config files.
  Remove WUSB (FATE#323423)
- commit 2257fee
* Fri Jul 21 2017 oneukum@suse.com
- supported.conf:
  remove support for IRDA (FATE#323263)
- commit bdaf793
* Fri Jul 21 2017 oneukum@suse.com
- supported.conf:
  removed support for ISDN (FATE#323266)
- commit 4265d36
* Fri Jul 21 2017 oneukum@suse.com
- Update config files.
  Exterminate ISDN (FATE#323266)
- commit f13b205
* Fri Jul 21 2017 oneukum@suse.com
- Update config files.
  Exterminate IRDA (FATE#323263)
- commit ef690e1
* Fri Jul 21 2017 jslaby@suse.cz
- Linux 4.12.3 (CVE-2017-7541 bnc#1012628 bsc#1049645).
- Refresh patches.suse/pstore-backend-autoaction.
- Delete
  patches.fixes/brcmfmac-fix-possible-buffer-overflow-in-brcmf_cfg80.
- commit 409edbf
* Fri Jul 21 2017 jthumshirn@suse.de
- Delete
  patches.drivers/0051-Missing-bio_put-following-submit_bio_wait.patch.
- Delete
  patches.drivers/0127-scsi-lpfc-Fix-crash-on-PCI-hotplug-remove-path.patch.
- Delete patches.drivers/0426-nvmet_fc-fix-list-corruption.patch.
- Delete
  patches.drivers/0427-nvmet_fc-cap-amount-of-work-allowed-in-workqueue.patch.
  Delete superseded patches and re-attribute PM patch to Joey
- commit 492279e
* Fri Jul 21 2017 mcgrof@suse.com
- Delete
  patches.fixes/xfs-fix-buffer-overflow-dm_get_dirattrs.patch.
- Delete
  patches.fixes/xfs_dmapi-fix-the-debug-compilation-of-xfs_dmapi.patch.
- commit 2f7c909
* Fri Jul 21 2017 mcgrof@suse.com
- Refresh
  patches.drivers/0001-module-warn-if-module-init-probe-takes-long.patch.
- commit c47c847
* Thu Jul 20 2017 jack@suse.cz
- dentry name snapshots (bsc#1049483).
- commit 76ea0ca
* Thu Jul 20 2017 mwilck@suse.com
- Delete
  patches.drivers/ipmi_si-create-hardware-independent-softdep-for-ipmi.patch.
  upstream now.
- commit c4eb19d
* Thu Jul 20 2017 mwilck@suse.com
- Refresh
  patches.drivers/0001-hpsa-update-identify-physical-device-structure.patch.
- Refresh
  patches.drivers/0002-hpsa-do-not-get-enclosure-info-for-external-devices.patch.
- Refresh patches.drivers/0003-hpsa-update-reset-handler.patch.
- Refresh patches.drivers/0004-hpsa-do-not-reset-enclosures.patch.
- Refresh
  patches.drivers/0005-hpsa-rescan-later-if-reset-in-progress.patch.
- Refresh
  patches.drivers/0006-hpsa-correct-resets-on-retried-commands.patch.
- Refresh patches.drivers/0007-hpsa-cleanup-reset-handler.patch.
- Refresh
  patches.drivers/0008-hpsa-correct-queue-depth-for-externals.patch.
- Refresh
  patches.drivers/0009-hpsa-separate-monitor-events-from-rescan-worker.patch.
- Refresh
  patches.drivers/0010-hpsa-send-ioaccel-requests-with-0-length-down-raid-path.patch.
- Update patches.drivers/0011-hpsa-remove-abort-handler.patch
  (bsc#1022600 fate#321928 bsc#1016119).
- Refresh patches.drivers/0012-hpsa-bump-driver-version.patch.
- Delete
  patches.drivers/hpsa-fallback-to-use-legacy-REPORT-PHYS-command.patch.
- Delete
  patches.drivers/hpsa-use-correct-DID_NO_CONNECT-hostbyte.patch.
- commit 3a174f7
* Thu Jul 20 2017 nborisov@suse.com
- Add Omar's total_bytes_pinned patches from upstream and delete old backports
- Btrfs: always account pinned bytes when dropping a tree block
  ref (bsc#1040182).
- Btrfs: make add_pinned_bytes() take an s64 num_bytes instead
  of u64 (bsc#1040182).
- Btrfs: make BUG_ON() in add_pinned_bytes() an ASSERT()
  (bsc#1040182).
- Btrfs: return old and new total ref mods when adding delayed
  refs (bsc#1040182).
- Btrfs: rework delayed ref total_bytes_pinned accounting
  (bsc#1040182).
- Btrfs: update total_bytes_pinned when pinning down extents
  (bsc#1040182).
- Delete
  patches.suse/0001-Btrfs-make-add_pinned_bytes-take-an-s64-num_bytes-in.patch.
- Delete
  patches.suse/0002-Btrfs-make-BUG_ON-in-add_pinned_bytes-an-ASSERT.patch.
- Delete
  patches.suse/0003-Btrfs-update-total_bytes_pinned-when-pinning-down-ex.patch.
- Delete
  patches.suse/0004-Btrfs-always-account-pinned-bytes-when-dropping-a-tr.patch.
- Delete
  patches.suse/0005-Btrfs-return-old-and-new-total-ref-mods-when-adding-.patch.
- Delete
  patches.suse/0006-Btrfs-rework-delayed-ref-total_bytes_pinned-accounti.patch.
- Delete
  patches.suse/0007-Btrfs-warn-if-total_bytes_pinned-is-non-zero-on-unmo.patch.
- commit 97e177b
* Thu Jul 20 2017 tbogendoerfer@suse.de
- Patch is already part of 4.12.
  Delete
  patches.drivers/cxgb4-0157-cxgb4-notify-uP-to-route-ctrlq-compl-to-rdma-rspq.patch.
- commit c3e3c5d
* Thu Jul 20 2017 jeffm@suse.com
- btrfs: fix lockup in find_free_extent with read-only block
  groups (bsc#1046682).
- commit fa3b074
* Thu Jul 20 2017 jslaby@suse.cz
- debug: fix WARN_ON_ONCE() for modules (bnc#1049599).
- commit b1e9bab
* Thu Jul 20 2017 mhocko@suse.cz
- patches.fixes/mm-mmap.c-do-not-blow-on-PROT_NONE-MAP_FIXED-holes-i.patch
  forward port
- commit e188cbc
* Thu Jul 20 2017 tbogendoerfer@suse.de
- Deleted outdated patches.
- Delete
  patches.drivers/staging-rdma-0001-Commit-507f6afa3ab6-struct-ib_class_port_info-this-c.patch.
- Delete
  patches.drivers/staging-rdma-0002-Fix-changed-get_user_pages-arguments.patch.
- Delete
  patches.drivers/staging-rdma-0003-Adapt-staging-rdma-drivers-to-IB-core-Let-create_ah.patch.
- commit 357b909
* Thu Jul 20 2017 tiwai@suse.de
- brcmfmac: fix possible buffer overflow in
  brcmf_cfg80211_mgmt_tx() (CVE-2017-7541,bsc#1049645).
- commit 9f05680
* Thu Jul 20 2017 mhocko@suse.cz
- series.conf - move some MM patches to the proper section
- commit d78e77f
* Wed Jul 19 2017 mmarek@suse.cz
- rpm/kernel-binary.spec.in: find-debuginfo.sh should not touch build-id
  This needs rpm-4.14+ (bsc#964063).
- commit f622d60
* Wed Jul 19 2017 lduncan@suse.com
- Removing gaurded patch from SLE12 not needed.
- commit 0d62b5e
* Wed Jul 19 2017 jack@suse.cz
- ext4: avoid unnecessary stalls in ext4_evict_inode()
  (bsc#1049486).
- commit 47dc213
* Wed Jul 19 2017 mmarek@suse.cz
- Reassign some of the to be reviewed patches
- commit 7431a6f
* Wed Jul 19 2017 oneukum@suse.com
- Refresh
  patches.suse/0003-kabi-Add-placeholders-to-a-couple-of-important-struc.patch.
  Taking all the kABI placeholders, as teh rational for them has not changed.
- commit 72e50ae
* Wed Jul 19 2017 mfleming@suse.de
- Delete
  patches.suse/sched-Add-missing-update_rq_clock-call-in-set_user_n.patch:
  Merged as 2fb8d36787affe26f3536c3d8ec094995a48037d in v4.11-rc1.
- commit f2bba64
* Wed Jul 19 2017 mfleming@suse.de
- Delete
  patches.suse/sched-Add-missing-update_rq_clock-call-for-task_hot.patch:
  Merged as 3bed5e2166a5e433bf62162f3cd3c5174d335934 as v4.11-rc1.
- commit 23e5248
* Wed Jul 19 2017 mfleming@suse.de
- Delete
  patches.suse/sched-Add-missing-update_rq_clock-in-detach_task_cfs.patch:
  Merged as 80f5c1b84baa8180c3c27b7e227429712cd967b6 in v4.11-rc1.
- commit 85dec32
* Wed Jul 19 2017 mfleming@suse.de
- Delete
  patches.suse/sched-Add-missing-update_rq_clock-in-post_init_entit.patch:
  Merged as 4126bad6717336abe5d666440ae15555563ca53f in v4.11-rc1.
- commit d31a75d
* Wed Jul 19 2017 mmarek@suse.cz
- Delete patches.suse/split-package, the specfile does not use this anymore
- commit f265fd3
* Wed Jul 19 2017 jkosina@suse.cz
- supported.conf: import supported.conf from SLE12-SP3 and add missing entries
- commit 22aaf02
* Wed Jul 19 2017 jthumshirn@suse.de
- Renumber SmartPQI patches, as we're restarting from 1 now
- commit 9737cb7
* Wed Jul 19 2017 jthumshirn@suse.de
- Refresh
  patches.drivers/0041-scsi-smartpqi-correct-aio-error-path.patch.
- Refresh
  patches.drivers/0048-scsi-smartpqi-make-ioaccel-references-consistent.patch.
- Delete patches.drivers/0001-scsi-fcoe-convert-to-kworker.patch.
- commit 2cee378
* Wed Jul 19 2017 oneukum@suse.com
- Delete
  patches.drivers/0001-USB-add-descriptors-from-USB-Power-Delivery-spec.patch.
- Delete
  patches.drivers/0001-cdc-acm-added-sanity-checking-for-probe.patch.
- Delete patches.drivers/0001-gspca-correct-speed-testing.patch.
- Delete
  patches.drivers/0002-USB-PD-define-specific-requests.patch.
- Delete patches.drivers/0002-uvc-correct-speed-testing.patch.
- Delete
  patches.drivers/0003-USB-PD-additional-feature-selectors.patch.
- Delete
  patches.suse/0001-usb-quirk-to-stop-runtime-PM-for-Intel-7260.patch.
- commit 2b88672
* Wed Jul 19 2017 jroedel@suse.de
- iommu/amd: Free already flushed ring-buffer entries before
  full-check (bsc#1045709).
- iommu/amd: Remove amd_iommu_disabled check from
  amd_iommu_detect() (bsc#1045715 bsc#1043261).
- iommu/amd: Free IOMMU resources when disabled on command line
  (bsc#1045715 bsc#1043261).
- iommu/amd: Set global pointers to NULL after freeing them
  (bsc#1045715 bsc#1043261).
- iommu/amd: Check for error states first in iommu_go_to_state()
  (bsc#1045715 bsc#1043261).
- iommu/amd: Add new init-state IOMMU_CMDLINE_DISABLED
  (bsc#1045715 bsc#1043261).
- iommu/amd: Rename free_on_init_error() (bsc#1045715
  bsc#1043261).
- iommu/amd: Disable IOMMUs at boot if they are enabled
  (bsc#1045715 bsc#1043261).
- iommu/amd: Suppress IO_PAGE_FAULTs in kdump kernel (bsc#1045715
  bsc#1043261).
- iommu/amd: Remove queue_release() function (bsc#1045709).
- iommu/amd: Add per-domain timer to flush per-cpu queues
  (bsc#1045709).
- iommu/amd: Add flush counters to struct dma_ops_domain
  (bsc#1045709).
- iommu/amd: Add locking to per-domain flush-queue (bsc#1045709).
- iommu/amd: Make use of the per-domain flush queue (bsc#1045709).
- iommu/amd: Add per-domain flush-queue data structures
  (bsc#1045709).
- iommu/amd: Rip out old queue flushing code (bsc#1045709).
- iommu/amd: Reduce delay waiting for command buffer space
  (bsc#1045709).
- iommu/amd: Reduce amount of MMIO when submitting commands
  (bsc#1045709).
- iommu/amd: Constify irq_domain_ops (bsc#1045709).
- iommu/amd: Ratelimit io-page-faults per device (bsc#1045709).
- commit f012b19
* Wed Jul 19 2017 hare@suse.de
- Delete upstreamed patches
- Delete
  patches.drivers/0097-NVMe-Only-release-requested-regions.patch.
- Delete
  patches.drivers/0385-nvme-fc-correct-port-role-bits.patch.
- Delete
  patches.drivers/0386-nvme-fc-require-target-or-discovery-role-for-fc-nvme.patch.
- Delete
  patches.drivers/0387-nvme-fc-stop-queues-on-error-detection.patch.
- Delete
  patches.drivers/0388-nvmet-fc-remove-target-cpu-scheduling-flag.patch.
- Delete
  patches.drivers/0389-nvmet-release-the-sq-ref-on-rdma-read-errors.patch.
- Delete
  patches.drivers/0390-nvme_fc-get-rid-of-local-reconnect_delay.patch.
- Delete patches.drivers/0391-nvme_fc-Support-ctrl_loss_tmo.patch.
- Delete
  patches.drivers/0392-nvme_fc-replace-ioabort-msleep-loop-with-completion.patch.
- Delete
  patches.drivers/0393-nvme_fc-revise-comment-on-teardown.patch.
- Delete
  patches.drivers/0394-nvme_fc-set-logging-level-on-resets-deletes.patch.
- Delete patches.drivers/0395-nvmet_fc-Reduce-work_q-count.patch.
- Delete
  patches.drivers/0396-nvmet_fc-Add-queue-create-and-delete-callbacks-in-LL.patch.
- Delete
  patches.drivers/0397-nvme_fc-remove-extra-controller-reference-taken-on-r.patch.
- Delete
  patches.drivers/0398-nvme_fcloop-fix-port-deletes-and-callbacks.patch.
- Delete
  patches.drivers/0399-nvme_fc-correct-nvme-status-set-on-abort.patch.
- Delete
  patches.drivers/0400-nvme_fc-create-fc-class-and-transport-device.patch.
- Delete
  patches.drivers/0401-nvme_fc-add-uevent-for-auto-connect.patch.
- Delete
  patches.drivers/0402-nvme-core-allow-controller-RESETTING-to-RECONNECTING.patch.
- Delete
  patches.drivers/0403-nvme_fc-change-ctlr-state-assignments-during-reset-r.patch.
- Delete
  patches.drivers/0404-nvme_fc-add-a-dev_loss_tmo-field-to-the-remoteport.patch.
- Delete
  patches.drivers/0405-nvme_fc-add-dev_loss_tmo-to-controller.patch.
- Delete
  patches.drivers/0406-nvme_fc-check-connectivity-before-initiating-reconne.patch.
- Delete
  patches.drivers/0407-nvme_fc-change-failure-code-on-remoteport-connectivi.patch.
- Delete
  patches.drivers/0408-nvme_fc-move-remote-port-get-put-free-location.patch.
- Delete
  patches.drivers/0409-nvme_fc-add-dev_loss_tmo-timeout-and-remoteport-resu.patch.
- Delete
  patches.drivers/lpfc-Revert-patch-lpfc-Delete-unnecessary-checks-bef.patch.
- Delete
  patches.drivers/lpfc-driver-update-for-SLES12-SP2-11.1.0.1.patch.
- Delete
  patches.fixes/fc-add-missing-ELS-explanation-values.patch.
- Delete patches.fixes/fc_rport-PRLI-fixes.patch.
- Delete
  patches.fixes/fc_rport-Return-LS_RJT_BUSY-for-PRLI-in-status-PLOGI.patch.
- Delete
  patches.fixes/fcoe-Add-FIP-responder-on-the-real-network-device.patch.
- Delete patches.fixes/fcoe-FIP-debugging.patch.
- Delete patches.fixes/fcoe-Use-kfree_skb-instead-of-kfree.patch.
- Delete
  patches.fixes/fcoe-correct-sending-FIP-VLAN-packets-on-VLAN-0.patch.
- Delete
  patches.fixes/fcoe-filter-out-frames-from-invalid-vlans.patch.
- Delete
  patches.fixes/fcoe-inhibit-writing-invalid-values-into-the-enabled.patch.
- Delete
  patches.fixes/fcoe-make-R_A_TOV-and-E_D_TOV-configurable.patch.
- Delete patches.fixes/fcoe-set-default-TC-priority.patch.
- Delete
  patches.fixes/fcoe_ctlr-fix-potential-deadlock-when-re-adding-port.patch.
- Delete patches.fixes/libfc-Clarify-ramp-down-messages.patch.
- Delete
  patches.fixes/libfc-Correctly-set-E_D_TOV-and-R_A_TOV-values-in-RT.patch.
- Delete patches.fixes/libfc-Debug-PRLI-failures.patch.
- Delete
  patches.fixes/libfc-Do-not-attempt-to-login-if-the-port-is-already.patch.
- Delete
  patches.fixes/libfc-Do-not-drop-down-to-FLOGI-for-fc_rport_login.patch.
- Delete
  patches.fixes/libfc-Do-not-drop-out-of-order-frames.patch.
- Delete
  patches.fixes/libfc-Do-not-take-rdata-rp_mutex-when-processing-a-F.patch.
- Delete
  patches.fixes/libfc-Fix-PRLI-response-handling-yet-again.patch.
- Delete patches.fixes/libfc-Fixup-disc_mutex-handling.patch.
- Delete
  patches.fixes/libfc-Fixup-fixup-disc_mutex-handling.patch.
- Delete patches.fixes/libfc-Implement-RTV-responder.patch.
- Delete
  patches.fixes/libfc-Issue-PRLI-after-a-PRLO-has-been-received.patch.
- Delete patches.fixes/libfc-Revisit-kref-handling.patch.
- Delete
  patches.fixes/libfc-Send-LS_RJT-responses-on-frame-allocation-fail.patch.
- Delete
  patches.fixes/libfc-Update-rport-reference-counting.patch.
- Delete
  patches.fixes/libfc-additional-debugging-in-fc_rport.patch.
- Delete patches.fixes/libfc-additional-debugging-messages.patch.
- Delete
  patches.fixes/libfc-do-not-overwrite-DID_TIME_OUT-status.patch.
- Delete
  patches.fixes/libfc-do-not-send-ABTS-when-resetting-exchanges.patch.
- Delete
  patches.fixes/libfc-don-t-advance-state-machine-for-incoming-FLOGI.patch.
- Delete
  patches.fixes/libfc-don-t-fail-sequence-abort-for-completed-exchan.patch.
- Delete
  patches.fixes/libfc-fc_fcp-wait-for-E_D_TOV-when-out-of-order-sequ.patch.
- Delete patches.fixes/libfc-fixup-RTV-handling.patch.
- Delete patches.fixes/libfc-fixup-locking-of-ptp_setup.patch.
- Delete patches.fixes/libfc-frame-alloc-failure-messages.patch.
- Delete patches.fixes/libfc-quarantine-timed-out-xids.patch.
- Delete
  patches.fixes/libfc-reset-exchange-manager-during-LOGO-handling.patch.
- Delete patches.fixes/libfc-reset-timeout-on-queue-full.patch.
- Delete
  patches.fixes/libfc-safeguard-against-invalid-exchange-index.patch.
- Delete patches.fixes/libfc-sanitize-E_D_TOV-setting.patch.
- Delete patches.fixes/libfc-send-LOGO-for-PLOGI-failure.patch.
- Delete
  patches.fixes/libfc-spurious-I-O-error-under-high-load.patch.
- Delete
  patches.fixes/libfc-use-configured-e_d_tov-for-remote-port-state-r.patch.
- Delete
  patches.fixes/libfc-use-configured-lport-R_A_TOV-when-sending-exch.patch.
- Delete
  patches.fixes/libfc-use-error-code-for-fc_rport_error.patch.
- Delete patches.fixes/scsi-Fix-RCU-handling-for-VPD-pages.patch.
- Delete
  patches.fixes/scsi-vpd-pages-are-mandatory-for-SPC-2.patch.
- Delete
  patches.fixes/scsi_dh_alua-Do-not-modify-the-interval-value-for-re.patch.
- Delete
  patches.fixes/scsi_dh_alua-Do-not-retry-for-unmapped-device.patch.
- Delete
  patches.fixes/scsi_dh_alua-Retry-RTPG-on-SCSI-host_bytes-values.patch.
- Delete
  patches.fixes/scsi_dh_alua-do-not-call-BUG_ON-when-updating-port-g.patch.
- Delete
  patches.fixes/scsi_transport_sas-add-scsi_target_id-sysfs-attribut.patch.
- commit 292a8cf
* Wed Jul 19 2017 tbogendoerfer@suse.de
- Update Patch-mainline tags.
- Refresh
  patches.drivers/cxgb4-0151-cxgb4-reduce-resource-allocation-in-kdump-kernel.patch.
- Refresh
  patches.drivers/cxgb4-0152-cxgb4-Fix-netdev_features-flag.patch.
- Refresh
  patches.drivers/cxgb4-0153-cxgb4-keep-carrier-off-before-registering-netdev.patch.
- Refresh
  patches.drivers/cxgb4-0157-cxgb4-notify-uP-to-route-ctrlq-compl-to-rdma-rspq.patch.
- Refresh
  patches.drivers/qed-sp3-0264-qed-Enable-RoCE-parser-searching-on-fp-init.patch.
- Refresh
  patches.drivers/qed-sp3-0265-qed-Correct-order-of-wwnn-and-wwpn.patch.
- Refresh
  patches.drivers/qed-sp3-0266-qed-Share-additional-information-with-qedf.patch.
- Refresh
  patches.drivers/qed-sp3-0267-qed-Support-NVM-image-reading-API.patch.
- Refresh
  patches.drivers/qed-sp3-0268-qed-Add-support-for-changing-iSCSI-mac.patch.
- Refresh
  patches.drivers/xgene-sp3-0001-phy-Add-helper-function-to-check-phy-interface-mode.patch.
- Refresh
  patches.drivers/xgene-sp3-0011-drivers-net-xgene-Protect-indirect-MAC-access.patch.
- Refresh
  patches.drivers/xgene-sp3-0012-drivers-net-phy-xgene-Add-lock-to-protect-mac-access.patch.
- Refresh
  patches.drivers/xgene-sp3-0013-drivers-net-xgene-Use-rgmii-mdio-mac-access.patch.
- Refresh
  patches.drivers/xgene-sp3-0014-drivers-net-xgene-Remove-redundant-local-stats.patch.
- Refresh
  patches.drivers/xgene-sp3-0015-drivers-net-xgene-Refactor-statistics-error-parsing-.patch.
- Refresh
  patches.drivers/xgene-sp3-0016-drivers-net-xgene-Remove-unused-macros.patch.
- Refresh
  patches.drivers/xgene-sp3-0017-drivers-net-xgene-Extend-ethtool-statistics.patch.
- Refresh
  patches.drivers/xgene-sp3-0018-drivers-net-xgene-Add-rx_overrun-tx_underrun-statist.patch.
- Refresh
  patches.drivers/xgene-sp3-0019-drivers-net-xgene-Workaround-for-HW-errata-10GE_4.patch.
- Refresh
  patches.drivers/xgene-sp3-0020-drivers-net-xgene-Add-frame-recovered-statistics-cou.patch.
- Refresh
  patches.drivers/xgene-sp3-0021-drivers-net-xgene-Workaround-for-HW-errata-10GE_10-E.patch.
- Refresh
  patches.drivers/xgene-sp3-0022-drivers-net-xgene-Fix-redundant-prefetch-buffer-clea.patch.
- Refresh
  patches.drivers/xgene-sp3-0023-xgene-Check-all-RGMII-phy-mode-variants.patch.
- commit b012c38
* Wed Jul 19 2017 jroedel@suse.de
- Delete
  patches.drivers/0001-iommu-amd-ratelimit-io-page-faults-per-device.
- Delete
  patches.drivers/0001-iommu-amd-suppress-io_page_faults-in-kdump-kernel.
- Delete patches.drivers/0002-iommu-amd-constify-irq_domain_ops.
- Delete
  patches.drivers/0002-iommu-amd-disable-iommus-at-boot-if-they-are-enabled.
- Delete
  patches.drivers/0003-iommu-amd-reduce-amount-of-mmio-when-submitting-commands.
- Delete patches.drivers/0003-iommu-amd-rename-free_on_init_error.
- Delete
  patches.drivers/0004-iommu-amd-add-new-init-state-iommu_cmdline_disabled.
- Delete
  patches.drivers/0004-iommu-amd-reduce-delay-waiting-for-command-buffer-space.
- Delete
  patches.drivers/0005-iommu-amd-check-for-error-states-first-in-iommu_go_to_state.
- Delete
  patches.drivers/0005-iommu-amd-rip-out-old-queue-flushing-code.
- Delete
  patches.drivers/0006-iommu-amd-add-per-domain-flush-queue-data-structures.
- Delete
  patches.drivers/0006-iommu-amd-set-global-pointers-to-null-after-freeing-them.
- Delete
  patches.drivers/0007-iommu-amd-free-iommu-resources-when-disabled-on-command-line.
- Delete
  patches.drivers/0007-iommu-amd-make-use-of-the-per-domain-flush-queue.
- Delete
  patches.drivers/0008-iommu-amd-add-locking-to-per-domain-flush-queue.
- Delete
  patches.drivers/0008-iommu-amd-remove-amd_iommu_disabled-check-from-amd_iommu_detect.
- Delete
  patches.drivers/0009-iommu-amd-add-flush-counters-to-struct-dma_ops_domain.
- Delete
  patches.drivers/0010-iommu-amd-add-per-domain-timer-to-flush-per-cpu-queues.
- Delete
  patches.drivers/0011-iommu-amd-remove-queue_release-function.
- Delete
  patches.drivers/0012-iommu-amd-free-already-flushed-ring-buffer-entries-before-full-check.
- commit abd2aa7
* Wed Jul 19 2017 jbohac@suse.cz
- Drop bridge-remove-br_netfilter-warning.patch
  patches.suse/bridge-remove-br_netfilter-warning.patch was intended for
  SLE12-SPx only. For SLE15 we want to follow the upstream behaviour of bridge /
  br_netfilter.
- commit d00a8a0
* Wed Jul 19 2017 jthumshirn@suse.de
- series.conf: Delete already upstreamed patches.
- commit d8c5404
* Wed Jul 19 2017 jroedel@suse.de
- Re-assign patches.suse/0009-PM-hibernate-Reserve-hibernation-key-and-erase-footp.patch
- commit 1d767fc
* Wed Jul 19 2017 gqjiang@suse.com
- Delete
  patches.suse/0004-md-cluster-use-sync-way-to-handle-METADATA_UPDATED-m.patch.
- Delete
  patches.suse/0005-md-move-bitmap_destroy-to-the-beginning-of-__md_stop.patch.
- Delete
  patches.suse/0006-md-cluster-add-CHANGE_CAPACITY-message-type.patch.
- Delete
  patches.suse/0007-md-cluster-introduce-cluster_check_sync_size.patch.
- Delete
  patches.suse/0008-md-cluster-add-the-support-for-resize.patch.
- commit ef41919
* Tue Jul 18 2017 mhocko@suse.cz
- Added patches.fixes/0001-mm-memory_hotplug-simplify-empty-node-mask-handling-.patch
  Added patches.fixes/0002-hugetlb-memory_hotplug-prefer-to-use-reserved-pages-.patch
  Added patches.fixes/0003-mm-unify-new_node_page-and-alloc_migrate_target.patch.
  forward ported
- commit d5e8bf8
* Tue Jul 18 2017 mhocko@suse.cz
- patches.suse/0001-mm-memory_hotplug-support-movable_node-for-hotplugab.patch
  forward port
- commit 3426276
* Tue Jul 18 2017 mhocko@suse.cz
- Update
  patches.suse/0004-mm-memory_hotplug-get-rid-of-is_zone_device_section.patch
  (bnc#1027153, bnc#1030659, bnc#1047595, fate#323634).
- Delete
  patches.fixes/004-mm-memory_hotplug-get-rid-of-is_zone_device_section-fix.patch.
- commit 9b458ae
* Tue Jul 18 2017 mhocko@suse.cz
- mm: remove return value from init_currently_empty_zone
  (bnc#1027153, bnc#1030659, fate#323634).
- mm, memory_hotplug: consider offline memblocks removable
  (bnc#1027153, bnc#1030659, fate#323634).
- mm: consider zone which is not fully populated to have holes
  (bnc#1027153, bnc#1030659, fate#323634).
- mm, compaction: skip over holes in __reset_isolation_suitable
  (bnc#1027153, bnc#1030659, fate#323634).
- mm: __first_valid_page skip over offline pages (bnc#1027153,
  bnc#1030659, fate#323634).
- mm, vmstat: skip reporting offline pages in pagetypeinfo
  (bnc#1027153, bnc#1030659, fate#323634).
- mm, memory_hotplug: do not associate hotadded memory to
  zones until online (bnc#1027153, bnc#1030659, bnc#1047506,
  fate#323634).
- mm, memory_hotplug: fix MMOP_ONLINE_KEEP behavior (bnc#1027153,
  bnc#1030659, fate#323634).
- mm, memory_hotplug: do not assume ZONE_NORMAL is default kernel
  zone (bnc#1027153, bnc#1030659, fate#323634).
- mm, memory_hotplug: replace for_device by want_memblock in
  arch_add_memory (bnc#1027153, bnc#1030659, fate#323634).
- mm, memory_hotplug: fix the section mismatch warning
  (bnc#1027153, bnc#1030659, fate#323634).
- mm, memory_hotplug: remove unused cruft after memory hotplug
  rework (bnc#1027153, bnc#1030659, fate#323634).
- Update
  patches.suse/0002-mm-memory_hotplug-use-node-instead-of-zone-in-can_on.patch
  (bnc#1027153, bnc#1030659, fate#323634).
- Update
  patches.suse/0003-mm-drop-page_initialized-check-from-get_nid_for_pfn.patch
  (bnc#1027153, bnc#1030659, fate#323634).
- Update
  patches.suse/0004-mm-memory_hotplug-get-rid-of-is_zone_device_section.patch
  (bnc#1027153, bnc#1030659, fate#323634).
- mm, memory_hotplug: split up register_one_node() (bnc#1027153,
  bnc#1030659, fate#323634).
- Delete
  patches.fixes/0001-mm-memory_hotplug-fix-MMOP_ONLINE_KEEP-behavior.patch.
- Delete
  patches.fixes/0002-mm-memory_hotplug-do-not-assume-ZONE_NORMAL-is-defau.patch.
- Delete
  patches.fixes/include-linux-mmzone.h-simplify-zone_intersects.patch.
- Delete
  patches.suse/0006-mm-memory_hotplug-do-not-associate-hotadded-memory-t.patch.
- Delete
  patches.suse/0008-mm-memory_hotplug-fix-the-section-mismatch-warning.patch.
- Delete
  patches.suse/0009-mm-memory_hotplug-remove-unused-cruft-after-memory-h.patch.
- Delete
  patches.suse/mm-memory_hotplug-consider-offline-memblocks-removable.patch.
  Replace the SLE12-SP2 based implementation by the upstream commits. Take
  the whole series but in principle there are no large changes between the
  two.
- commit 5fdd3c7
* Tue Jul 18 2017 bpoirier@suse.com
- Move all networking patches in one section
  Driver and core changes are intertwined upstream. Trying to separate them
  leads to an unbisectable series.
- commit dc0dd37
* Tue Jul 18 2017 bpoirier@suse.com
- Delete
  patches.drivers/qed-bump-driver-versions-to-8.7.1.62.patch.
  Specific to SLE12SP2 backport, see bsc#966318 comment 16
- Delete
  patches.fixes/scsi-bfa-Increase-requested-firmware-version-to-3.2..patch.
  Upstream as
  2d1148f0f450 scsi: bfa: Increase requested firmware version to 3.2.5.1 (v4.10-rc4)
- commit 31b4006
* Tue Jul 18 2017 tiwai@suse.de
- Adjust guard prefix in series.conf, no functional change
- commit f09e36f
* Tue Jul 18 2017 tiwai@suse.de
- Enable patches.fixes/iio-hid-sensor-fix-return-of-EINVAL-on-invalid-value
  It's a trivial fix from 4.13-rc1 and still valid.
- commit 4daf55f
* Tue Jul 18 2017 tiwai@suse.de
- Enable patches.drivers/kernel-Export-mm_access.patch.
  This patch is still required for supporting AMD ROCm.
- commit d9a4c03
* Tue Jul 18 2017 mhocko@suse.cz
- Delete patches.fixes/mm-do-not-loop-on-GFP_REPEAT-when-no-reclaim-progress.patch.
  fixed as a part of 0a0337e0d1d134465778a16f5cbea95086e8e9e0 (4.7)
- commit a38fe09
* Tue Jul 18 2017 tiwai@suse.de
- Delete patches.drivers/drm-Print-EDID-errors-less-obviously.patch
  This change is no longer needed with the recent upstream code.
- commit 30a521d
* Tue Jul 18 2017 mhocko@suse.cz
- patches.suse/mm-inform-about-enabling-mirrored-memory.patch
  enable because the concern with the mirrored memory still holds
- commit b059f43
* Tue Jul 18 2017 mhocko@suse.cz
- Delete patches.fixes/powerpc-implement-arch_reserved_kernel_pages.patch.
  merged 1e76609cc1646c5222feefe86a3433a79be4fb73 (4.9)
- commit cbafebe
* Tue Jul 18 2017 mhocko@suse.cz
- Delete patches.fixes/mm-memblock-expose-total-reserved-memory.patch.
  merged as 8907de5dc6e9d5925cf3b0a698cc3a4272fda073 (4.9)
- commit 7eb2ba2
* Tue Jul 18 2017 mhocko@suse.cz
- Delete patches.fixes/mm-introduce-arch_reserved_kernel_pages.patch.
  merged as f6f34b4387d9e18304451a131b35d7c4f27a0b5a (4.9)
- commit c8145c8
* Tue Jul 18 2017 mhocko@suse.cz
- patches.suse/mm-Warn-users-of-node-memory-hot-remove-if-the-memory-ratio-is-a-high-risk.patch
  enable the patch as we want to have an idea that somebody overuses
  movable memory.
- commit 490b154
* Tue Jul 18 2017 mgorman@suse.de
- Delete
  patches.suse/mm-fadvise-avoid-expensive-remote-LRU-cache-draining-after-FADV_DONTNEED.patch.
- Delete patches.suse/mm-fix-remote-numa-hits-statistics.patch.
- Delete patches.suse/mm-get-rid-of-__GFP_OTHER_NODE.patch.
- Delete
  patches.suse/mm-mmzone.c-swap-likely-to-unlikely-as-code-logic-is-different-for-next_zones_zonelist.patch.
- Delete
  patches.suse/mm-mprotect.c-don-t-touch-single-threaded-PTEs-which-are-on-the-right-node.patch.
- Delete patches.suse/sched-debug-always-show-nr_migrations.patch.
- Delete
  patches.suse/thp-fix-MADV_DONTNEED-vs.-numa-balancing-race.patch.
- Delete
  patches.suse/thp-reduce-indentation-level-in-change_huge_pmd.patch.
- commit 165d34d
* Tue Jul 18 2017 mhocko@suse.cz
- Refresh patches.suse/memcg-deprecate-memory.force_empty-knob.patch.
  forward ported. We still want to catch users who might depend on the
  knob
- commit a082540
* Tue Jul 18 2017 mhocko@suse.cz
- Delete patches.suse/memcg-introduce-low-limit-for-cgroupv1.patch.
  cgroup v2 is no longer in devel mode since
  34a9304a96d6351c2d35dcdc9293258378fc0bd8 (4.5)
- commit 3ed04d3
* Tue Jul 18 2017 nborisov@suse.com
- Disable CONFIG_XFS_RT (fate#321934)
- commit fede9b2
* Tue Jul 18 2017 jack@suse.cz
- Enable patches.fixes/fs-speedup-clean-bdev-aliases.patch: The issue has
  not been sorted out upstream yet.
- commit f565355
* Tue Jul 18 2017 jack@suse.cz
- Delete patches.fixes/md-Make-flush-bios-explicitely-sync.patch: Merged
  as commit 5a8948f8a32ba56c17b3fb75d318ac98157f3ba5 to 4.12-rc4.
- commit 064de7f
* Tue Jul 18 2017 jack@suse.cz
- Delete
  patches.fixes/btrfs-Make-flush-bios-explicitely-sync.patch: Merged as
  commit 8d91012528b3c95c159e6b6779e367421df9cbb5 to 4.12-rc5.
- commit 199953b
* Tue Jul 18 2017 jack@suse.cz
- Delete
  patches.fixes/reiserfs-Make-flush-bios-explicitely-sync.patch: Merged as
  commit d8747d642ec4ce96adf17ae35652a5e4015cfe02 to 4.12-rc4.
- commit 74f0ec4
* Tue Jul 18 2017 jack@suse.cz
- Delete
  patches.fixes/gfs2-Make-flush-bios-explicitely-sync.patch: Merged as
  0f0b9b63e14fc3f66e4d342df016c9b071c5abed to 4.12-rc4.
- commit 5260255
* Tue Jul 18 2017 mhocko@suse.cz
- Delete patches.suse/proc-show-MADV_FREE-pages-info-in-smaps.patch.
  merged as cf8496ea8020792ea32d0fbec0c140d8de93011a (4.12)
- commit 622d942
* Tue Jul 18 2017 jack@suse.cz
- Delete
  patches.fixes/x86-mm-fix-gup_pte_range-vs-DAX-mappings.patch: Merged as
  commit ef947b2529f918d9606533eb9c32b187ed6a5ede to 4.11-rc2
- commit 8edaf40
* Tue Jul 18 2017 mhocko@suse.cz
- Delete patches.suse/mm-enable-MADV_FREE-for-swapless-system.patch.
  merged as 93e06c7a645343d222c9a838834a51042eebbbf7 (4.12)
- commit f290c11
* Tue Jul 18 2017 msuchanek@suse.de
- Refresh ibmvnic patch metadata
  Also rename patches to 3 digit scheme.
- commit 1de7e2b
* Tue Jul 18 2017 mhocko@suse.cz
- Delete patches.suse/mm-reclaim-MADV_FREE-pages.patch.
  merged as 802a3a92ad7ac0b9be9df229dee530a1f0a8039b (4.12)
- commit 0086a29
* Tue Jul 18 2017 mhocko@suse.cz
- Delete patches.suse/mm-move-MADV_FREE-pages-into-LRU_INACTIVE_FILE-list.patch.
  merged as f7ad2a6cb9f7c4040004bedee84a70a9b985583e (4.12)
- commit 0d6a174
* Tue Jul 18 2017 jack@suse.cz
- Printk patches will be handled by Petr Mladek.
- commit 7aa5f41
* Tue Jul 18 2017 mhocko@suse.cz
- Delete patches.suse/mm-dont-assume-anonymous-pages-have-SwapBacked-flag.patch.
  merged as d44d363f65780f2ac2ec672164555af54896d40d (4.12)
- commit 66d14fb
* Tue Jul 18 2017 mhocko@suse.cz
- Delete patches.suse/mm-delete-unnecessary-TTU_-flags.patch
  merged as a128ca71fb29ed4444b80f38a0148b468826e19b (4.12)
- commit aa5cda3
* Tue Jul 18 2017 mhocko@suse.cz
- Refresh patches.fixes/mm-make-PR_SET_THP_DISABLE-immediately-active.patch
  forward-port
- commit 35db809
* Tue Jul 18 2017 jack@suse.cz
- Delete patches.suse/cgroup-Export-cgroup_is_descendant.patch: Commit
  b11cfb5807e30 in 4.5-rc1 made this obsolete.
- commit 229d877
* Tue Jul 18 2017 jack@suse.cz
- Delete
  patches.suse/xfs-silence-warnings-in-xfs-vm-releasepage.patch: Merged as
  commit 0a417b8dc1f10 to 4.10-rc4
- commit e4fddb8
* Tue Jul 18 2017 jack@suse.cz
- Delete patches.suse/kabi-Add-placeholder-to-vm_fault.patch: kABI
  placeholder not needed anymore since DAX patches are already in
  4.12.
- commit 7c85cca
* Tue Jul 18 2017 mhocko@suse.cz
- Delete patches.fixes/mm-fix-classzone_idx-underflow-in-shrink_zones.patch.
  obsolete by b2e18757f2c9
- commit 054b718
* Tue Jul 18 2017 mhocko@suse.cz
- Delete patches.suse/x86-mm-sched-make-lazy-TLB-mode-even-lazier-kabi.patch
  we do not need kabi workaround anymore
- commit a1b7ca1
* Tue Jul 18 2017 mhocko@suse.cz
- Refresh patches.fixes/mm-adaptive-hash-table-scaling.patch to the
  upstream version
- Delete patches.fixes/mm-adaptive-hash-table-scaling-fix.patch.
- Delete patches.fixes/mm-drop-HASH_ADAPT.patch.
  those were follow up fixes for the patch taken from the mmotm tree
- commit e8e2fc2
* Tue Jul 18 2017 jeffm@suse.com
- Refresh
  patches.suse/btrfs-8888-add-allow_unsupported-module-parameter.patch.
- commit dcc0c57
* Tue Jul 18 2017 jeffm@suse.com
- Refresh patches.suse/squashfs-3.4.patch.
- Delete
  patches.suse/squashfs3-properly-handle-dir_emit-failures.patch.
- commit d3a07b1
* Tue Jul 18 2017 nborisov@suse.com
- Refresh
  patches.suse/0001-Btrfs-skip-commit-transaction-if-we-don-t-have-enoug.patch.
- commit e762284
* Tue Jul 18 2017 msuchanek@suse.de
- Enable POWER patches from 4.13
- commit b709393
* Tue Jul 18 2017 msuchanek@suse.de
- Enable ibmvnic patches.
- commit 759126f
* Tue Jul 18 2017 jeffm@suse.com
- Refresh patches.suse/xfs-unsupported-features.patch.
- commit 02d7e1f
* Tue Jul 18 2017 jroedel@suse.de
- Delete patches.suse/x86-mm-sched-make-lazy-TLB-mode-even-lazier-kabi.patch.
- commit 178d687
* Tue Jul 18 2017 jeffm@suse.com
- Refresh patches.suse/ext4-unsupported-features.patch.
- commit 70b7452
* Tue Jul 18 2017 jeffm@suse.com
- Delete patches.suse/8250-sysrq-ctrl_o.patch.
  The SLE15 merge re-added this patch.  It was removed in:
  05568ac53a9 (Delete POWER4 specific patches.suse/8250-sysrq-ctrl_o.patch.)
- commit cf3419b
* Tue Jul 18 2017 jeffm@suse.com
- Refresh patches.suse/unsupported-features.patch.
- commit 658708b
* Tue Jul 18 2017 jeffm@suse.com
- Delete patches.rpmify/lustre-lloop-dont-change-logical-size.
  This patch was incomplete and LUSTRE_FS=n in any case.
- commit 0ba6419
* Tue Jul 18 2017 jeffm@suse.com
- Remove DMAPI patches (fate#320591).
- Delete
  patches.fixes/xfs-fix-buffer-overflow-dm_get_dirattrs.patch.
- Delete
  patches.fixes/xfs_dmapi-fix-the-debug-compilation-of-xfs_dmapi.patch.
- Delete patches.suse/dmapi-Make-NFSD-DMAPI-aware.patch.
- Delete patches.suse/dmapi-source.patch.
- Delete patches.suse/dmapi-support-for-xfs.patch.
- commit a1b6653
* Tue Jul 18 2017 jslaby@suse.cz
- series: turn away from some patches
  Once upon a time, I only touched those. Turn away from them now.
- commit 3b9f2a5
* Tue Jul 18 2017 jslaby@suse.cz
- Refresh
  patches.suse/0001-x86-entry-64-Refactor-IRQ-stacks-and-make-them-NMI-s.patch.
- Refresh
  patches.suse/0002-x86-entry-64-Initialize-the-top-of-the-IRQ-stack-bef.patch.
- Refresh
  patches.suse/0003-x86-dumpstack-fix-occasionally-missing-registers.patch.
- Refresh
  patches.suse/0004-x86-dumpstack-fix-interrupt-and-exception-stack-boun.patch.
- Refresh
  patches.suse/0005-objtool-add-ORC-unwind-table-generation.patch.
- Refresh
  patches.suse/0006-objtool-x86-add-facility-for-asm-code-to-provide-unw.patch.
- Refresh
  patches.suse/0007-x86-entry-64-add-unwind-hint-annotations.patch.
- Refresh
  patches.suse/0008-x86-asm-add-unwind-hint-annotations-to-sync_core.patch.
  Update upstream information.
- commit 8db850a
* Tue Jul 18 2017 msuchanek@suse.de
- Delete fadump patches which are in 4.12 and enable the rest.
- commit 53bf06b
* Tue Jul 18 2017 msuchanek@suse.de
- Refresh fadump patch metadata
- Refresh patches.arch/ia64-remove-multiple-definitions-of-append-elf.patch.
- Refresh patches.arch/move-crashkernel-and-vmcore-related-code-under-config_crash_dump.patch.
- Refresh patches.arch/powerpc-fadump-remove-dependency-with-kexec.patch.
- Refresh patches.arch/powerpc-fadump-reuse-crashkernel-parameter-to-reserve-memory.patch.
- Refresh patches.arch/powerpc-fadump-update-fadump-kernel-documentation.patch.
- commit 12d1968
* Tue Jul 18 2017 jkosina@suse.cz
- series.conf: manually fixup some of the missess of the automatic
  guard generation
- series.conf: move IOMMU AMD to Joerg
- commit 0900ac0
* Tue Jul 18 2017 msuchanek@suse.de
- Delete patches.arch/ACPICA-Update-TPM2-ACPI-table.patch.
  in 4.12
- commit 8224558
* Tue Jul 18 2017 jkosina@suse.cz
- series.conf: move intel_pstate-Increase-hold-off-time-before-samples-are-scaled.patch
  over to Mel as requested
- commit 8bc2621
* Tue Jul 18 2017 jkosina@suse.cz
- series.conf: make the forward-porting patch guards per-login (scripted)
- commit d3987bc
* Tue Jul 18 2017 msuchanek@suse.de
- Refresh metadata on recent powerpc patches.
- Refresh patches.arch/powerpc-Fix-proc-cpuinfo-revision-for-POWER9-DD2.patch.
- Refresh patches.arch/powerpc-perf-0026-Fix-branch-event-code-for-power9.patch.
- commit 54227b1
* Tue Jul 18 2017 msuchanek@suse.de
- Remove post-4.12 tpm patches.
  Should get these from stable updates.
- commit b857f37
* Tue Jul 18 2017 mmarek@suse.com
- Refresh and trim ppc64le and x86_64 debug configs
- commit 2f8eb87
* Tue Jul 18 2017 tiwai@suse.de
- Refresh and apply patches.drivers/b43-Add-missing-MODULE_FIRMWARE.
- commit 6878788
* Tue Jul 18 2017 tiwai@suse.de
- Delete patches.fixes/drm-i915-Fix-S4-resume-breakage.
  The workaround wasn't merged to upstream, and it seems becoming
  superfluous with the recent i915 driver, so let's drop this one.
- commit f5a35ab
* Tue Jul 18 2017 tiwai@suse.de
- Delete upstreamed or SLE12-specific patches
- commit c0b786f
* Tue Jul 18 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Drop unnecessary xmlto for 4.13+
- commit e47dc84
* Tue Jul 18 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Correct kernel-docs package summary/description
- commit 697b763
* Tue Jul 18 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: refresh dependencies for PDF build (bsc#1048129)
  But it still doesn't work with Tex Live 2017, thus disabled yet.
  Also add texlive-anyfontsize for HTML math handling.
- commit ead44a1
* Tue Jul 18 2017 jkosina@suse.cz
- Update config files: temporarily disable module signature verification (bsc#1049122)
- commit 59b1abb
* Tue Jul 18 2017 jslaby@suse.cz
- Delete
  patches.suse/kgr-0001-s390-livepatch-reorganize-TIF-bits.patch.
  This was in upstream as 30d64f1904d44a7e52a93d711d57aabbac2efd72.
- commit 2b93b5d
* Tue Jul 18 2017 jslaby@suse.cz
- Delete
  patches.arch/stack-unwind-cfi_ignore-takes-more-arguments.
- Delete patches.arch/x86_64-unwind-annotations.
- Delete
  patches.suse/revert-x86-remove-warning-and-warning_symbol-from-struct-stacktrace_ops.
- Delete patches.suse/stack-unwind.patch.
  Kill the old stack unwinding crap.
- commit 8eb0aae
* Tue Jul 18 2017 jslaby@suse.cz
- Delete patches.rpmify/drm-i915-disable-KASAN-for-handlers.patch.
  It was never accepted, is under discussion. But we disabled
  CONFIG_DRM_I915_WERROR in commit 5fc7b327348b, so we are safe anyway.
- commit 09fc05f
* Tue Jul 18 2017 jslaby@suse.cz
- Delete patches.rpmify/get_builtin_firmware-gcc-7.patch.
  This was never accepted. Instead this seems to be fixed in gcc.
- commit c486b10
* Mon Jul 17 2017 jeffm@suse.com
- Delete patches.drivers/ppc64-adb.
  This hardware was discontinued in 2006 and the patch was never accepted
  upstream.
- commit 38f5b34
* Mon Jul 17 2017 jeffm@suse.com
- Delete patches.arch/ppc-prom-nodisplay.patch.
  We no longer support 32-bit ppc and this hardware only existed with a
  32-bit CPU.
- commit 44570ac
* Mon Jul 17 2017 jeffm@suse.com
- Delete patches.arch/ppc-pegasos-console-autodetection.patch.
  We no longer support 32-bit ppc and this hardware only existed with a
  32-bit CPU.
- commit 9a9213c
* Mon Jul 17 2017 jeffm@suse.com
- Delete patches.suse/ppc-powerbook-usb-fn-key-default.patch.
  We no longer support 32-bit ppc and there were no 64-bit powerbooks.
- commit 550dc2e
* Mon Jul 17 2017 jkosina@suse.cz
- README.BRANCH: update branch information
- commit 895cf17
* Mon Jul 17 2017 jkosina@suse.cz
- Create SLE15 branch
- Branch off from stable
- Import all the patches from SLE12 codestream with unclear
  upstream status and mark them with 'needs_review' guard at
  the end of series.conf
- Initial import/merge configs from SLE12 codestream; needs verification
  to make sure no SLE12-enabled options are lost
- Patches which were left intact (conflict as they were in both
  branches):
  patches.suse/supported-flag
  patches.suse/genksyms-add-override-flag.diff
  patches.suse/vfs-add-super_operations-get_inode_dev
  patches.suse/suse-hv-guest-os-id.patch
  patches.suse/btrfs-fs-super.c-add-new-super-block-devices-super_block_d.patch
  patches.suse/btrfs-btrfs-use-the-new-VFS-super_block_dev.patch
  patches.drivers/pstore_disable_efi_backend_by_default.patch
  patches.suse/pstore-backend-autoaction
  patches.fixes/scsi-ibmvscsi-module_alias.patch
  patches.fixes/drm-i915-Fix-S4-resume-breakage
  patches.suse/iwlwifi-expose-default-fallback-ucode-api
  patches.suse/crasher.patch
  patches.suse/ftrace-x86-xen-use-kernel-identity-mapping-only-when.patch
- config.conf replaced from SLE12 codebase
- drop 'needs_review'-marked variants of patches which are already present and
  do apply cleanly from -stable branch already.
-  patches.arch/acpi_thermal_passive_blacklist.patch: update with version from
  stable branch to fix build.
- update README.BRANCH
- commit 2028ed7
* Mon Jul 17 2017 msuchanek@suse.de
- Refresh metadata of fadump patches
- Refresh patches.arch/powerpc-fadump-add-reschedule-point-while-releasing-memory.patch.
- Refresh patches.arch/powerpc-fadump-avoid-duplicates-in-crash-memory-ranges.patch.
- Refresh patches.arch/powerpc-fadump-avoid-holes-in-boot-memory-area-when-fadump-is-registered.patch.
- Refresh patches.arch/powerpc-fadump-provide-a-helpful-error-message.patch.
- commit 6f71027
* Mon Jul 17 2017 msuchanek@suse.de
- Refresh TPM and CXL patch metadata.
- Refresh patches.arch/ACPICA-Update-TPM2-ACPI-table.patch.
- Refresh patches.arch/cxl-Unlock-on-error-in-probe.patch.
- commit f1e3eba
* Mon Jul 17 2017 jslaby@suse.cz
- netfilter: expect: fix crash when putting uninited expectation
  (bnc#1048935).
- Delete
  patches.fixes/netfilter-nf_ct_expect-fix-expect-removal.patch.
  Replace by upstream fix (from a subsys repo).
- commit abad31d
* Mon Jul 17 2017 jslaby@suse.cz
- netfilter: nf_ct_expect: fix expect removal (bnc#1048935).
- commit 28fe876
* Mon Jul 17 2017 mmarek@suse.cz
- Drop multiversion(kernel) from the KMP template (fate#323189)
- commit 71504d8
* Tue Jul 11 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Fix and cleanup for 4.13 doc build (bsc#1048129)
  The whole DocBook stuff has been deleted.  The PDF build still non-working
  thus the sub-packaging disabled so far.
- commit 8e7de10
* Mon Jun 19 2017 mcgrof@suse.com
- mm: kmemleak: treat vm_struct as alternative reference to vmalloc'ed objects (bsc#1027456).
- mm: kmemleak: factor object reference updating out of scan_block() (bsc#1027456).
- mm: kmemleak: slightly reduce the size of some structures on 64-bit architectures (bsc#1027456).
- commit 880dbd7
* Fri Jun  2 2017 afaerber@suse.de
- rpm/dtb.spec.in.in: Fix new include path
  Commit 89de3db69113d58cdab14d2c777de6080eac49dc ("rpm/dtb.spec.in.in:
  Update include path for dt-bindings") introduced an additional include
  path for 4.12. The commit message had it correct, but the spec file
  template lacked a path component, breaking the aarch64 build while
  succeeding on armv7hl. Fix that.
- commit c8d853a
* Wed May 31 2017 afaerber@suse.de
- rpm/dtb.spec.in.in: Update include path for dt-bindings
  Kernels before 4.12 had arch/{arm,arm64}/boot/dts/include/ directories
  with a symlink to include/dt-bindings/.
  In 4.12 those include/ directories were dropped.
  Therefore use include/ directly.
  Additionally some cross-architecture .dtsi reuse was introduced, which
  requires scripts/dtc/include-prefixes/ that didn't exist on older kernels.
- commit 466f108
* Fri Jan  6 2017 afaerber@suse.de
- rpm: Add arm64 dtb-zte subpackage
  4.9 added arch/arm64/boot/dts/zte/.
- commit 073d831
* Fri Jan  6 2017 afaerber@suse.de
- rpm: Add arm64 dtb-allwinner subpackage
  4.10 added arch/arm64/boot/dts/allwinner/.
- commit dfeb94a
* Tue Dec 20 2016 xxxxxmichl@googlemail.com
- added De0-Nanos-SoC board support (and others based on Altera SOC).
- commit 9278339
